#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 19348
#define LARGE_STATE_COUNT 5257
#define SYMBOL_COUNT 580
#define ALIAS_COUNT 55
#define TOKEN_COUNT 252
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 51
#define MAX_ALIAS_SEQUENCE_LENGTH 14
#define PRODUCTION_ID_COUNT 285

enum ts_symbol_identifiers {
  sym__unquoted_identifier = 1,
  aux_sym_keyword_if_not_exists_token1 = 2,
  aux_sym_keyword_if_not_exists_token2 = 3,
  aux_sym_keyword_if_not_exists_token3 = 4,
  aux_sym_keyword_temporary_token1 = 5,
  aux_sym_keyword_temporary_token2 = 6,
  aux_sym_keyword_replace_token1 = 7,
  aux_sym_keyword_replace_token2 = 8,
  aux_sym__keyword_schema_token1 = 9,
  aux_sym__keyword_column_token1 = 10,
  aux_sym__keyword_alter_token1 = 11,
  aux_sym__keyword_rename_token1 = 12,
  aux_sym__keyword_create_token1 = 13,
  aux_sym__keyword_add_token1 = 14,
  aux_sym__keyword_drop_token1 = 15,
  aux_sym__keyword_from_token1 = 16,
  aux_sym__keyword_replica_token1 = 17,
  aux_sym__keyword_distinct_token1 = 18,
  aux_sym__keyword_format_token1 = 19,
  aux_sym__keyword_delete_token1 = 20,
  aux_sym__keyword_tablesuffix_token1 = 21,
  aux_sym__keyword_begin_token1 = 22,
  aux_sym__keyword_end_token1 = 23,
  aux_sym__keyword_struct_token1 = 24,
  aux_sym__keyword_range_token1 = 25,
  aux_sym__keyword_array_token1 = 26,
  aux_sym__keyword_returns_token1 = 27,
  aux_sym__keyword_between_token1 = 28,
  aux_sym__keyword_case_token1 = 29,
  aux_sym__keyword_when_token1 = 30,
  aux_sym__keyword_then_token1 = 31,
  aux_sym__keyword_else_token1 = 32,
  aux_sym__keyword_is_token1 = 33,
  aux_sym__keyword_in_token1 = 34,
  aux_sym__keyword_and_token1 = 35,
  aux_sym__keyword_like_token1 = 36,
  aux_sym__keyword_repeat_token1 = 37,
  aux_sym__keyword_as_token1 = 38,
  aux_sym__keyword_cast_token1 = 39,
  aux_sym__keyword_cast_token2 = 40,
  aux_sym__keyword_window_token1 = 41,
  aux_sym__keyword_partition_by_token1 = 42,
  aux_sym__keyword_partition_by_token2 = 43,
  aux_sym__keyword_date_token1 = 44,
  aux_sym__keyword_datetime_token1 = 45,
  aux_sym__keyword_time_token1 = 46,
  aux_sym__keyword_timestamp_token1 = 47,
  aux_sym__keyword_for_token1 = 48,
  aux_sym__keyword_partitiontime_token1 = 49,
  aux_sym__keyword_system_as_of_token1 = 50,
  aux_sym__keyword_system_as_of_token2 = 51,
  anon_sym_SEMI = 52,
  aux_sym_declare_statement_token1 = 53,
  anon_sym_COMMA = 54,
  aux_sym_default_clause_token1 = 55,
  aux_sym_set_statement_token1 = 56,
  aux_sym_set_statement_token2 = 57,
  anon_sym_LPAREN = 58,
  anon_sym_RPAREN = 59,
  aux_sym_execute_immediate_statement_token1 = 60,
  aux_sym_execute_immediate_statement_token2 = 61,
  aux_sym_into_clause_token1 = 62,
  aux_sym_using_clause_token1 = 63,
  aux_sym_return_statement_token1 = 64,
  aux_sym_call_statement_token1 = 65,
  aux_sym_begin_exception_end_statement_token1 = 66,
  aux_sym_begin_exception_end_statement_token2 = 67,
  aux_sym_if_statement_token1 = 68,
  aux_sym_loop_statement_token1 = 69,
  aux_sym_repeat_statement_token1 = 70,
  aux_sym_while_statement_token1 = 71,
  aux_sym_while_statement_token2 = 72,
  aux_sym_break_statement_token1 = 73,
  aux_sym_leave_statement_token1 = 74,
  aux_sym_continue_statement_token1 = 75,
  aux_sym_iterate_statement_token1 = 76,
  aux_sym_raise_statement_token1 = 77,
  aux_sym_raise_statement_token2 = 78,
  anon_sym_EQ = 79,
  aux_sym_assert_statement_token1 = 80,
  aux_sym_drop_schema_option_token1 = 81,
  aux_sym_drop_schema_option_token2 = 82,
  aux_sym_create_table_statement_token1 = 83,
  aux_sym_create_table_statement_token2 = 84,
  aux_sym_create_table_statement_token3 = 85,
  aux_sym_clone_clause_token1 = 86,
  aux_sym_default_collate_clause_token1 = 87,
  aux_sym_copy_clause_token1 = 88,
  aux_sym_create_snapshot_table_statement_token1 = 89,
  aux_sym_create_external_table_statement_token1 = 90,
  aux_sym_partition_columns_clause_token1 = 91,
  aux_sym_partition_columns_clause_token2 = 92,
  aux_sym_alter_table_rename_statement_token1 = 93,
  aux_sym_set_data_type_token1 = 94,
  aux_sym_set_data_type_token2 = 95,
  aux_sym_drop_notnull_token1 = 96,
  aux_sym_constraint_enfoce_option_token1 = 97,
  aux_sym_primary_key_token1 = 98,
  aux_sym_primary_key_token2 = 99,
  aux_sym_foreign_key_token1 = 100,
  aux_sym_foreign_key_references_token1 = 101,
  aux_sym_add_foreign_key_action_token1 = 102,
  aux_sym_drop_table_statement_token1 = 103,
  aux_sym_option_clause_token1 = 104,
  anon_sym_LT = 105,
  anon_sym_GT = 106,
  aux_sym_partition_expression_token1 = 107,
  aux_sym_partition_expression_token2 = 108,
  aux_sym_partition_expression_token3 = 109,
  aux_sym_partition_expression_token4 = 110,
  aux_sym_partition_expression_token5 = 111,
  aux_sym_partition_expression_token6 = 112,
  aux_sym_partition_expression_token7 = 113,
  aux_sym_partition_expression_token8 = 114,
  aux_sym_partition_expression_token9 = 115,
  aux_sym_partition_expression_token10 = 116,
  aux_sym_table_cluster_clause_token1 = 117,
  aux_sym_create_function_statement_token1 = 118,
  aux_sym_create_remote_function_statement_token1 = 119,
  aux_sym_create_remote_function_statement_token2 = 120,
  aux_sym__function_language_token1 = 121,
  aux_sym_create_procedure_statement_token1 = 122,
  aux_sym_procedure_argument_token1 = 123,
  aux_sym_procedure_argument_token2 = 124,
  aux_sym_create_model_statement_token1 = 125,
  aux_sym_transoform_clause_token1 = 126,
  aux_sym_set_operation_token1 = 127,
  aux_sym_set_operation_token2 = 128,
  aux_sym_set_operation_token3 = 129,
  aux_sym_set_operation_token4 = 130,
  aux_sym_select_token1 = 131,
  aux_sym_select_token2 = 132,
  aux_sym_having_clause_token1 = 133,
  aux_sym_qualify_clause_token1 = 134,
  aux_sym_limit_clause_token1 = 135,
  aux_sym_limit_clause_token2 = 136,
  aux_sym_group_by_clause_token1 = 137,
  aux_sym_grouping_sets_token1 = 138,
  aux_sym_grouping_sets_token2 = 139,
  aux_sym_rollup_token1 = 140,
  aux_sym_cube_token1 = 141,
  aux_sym_rows_range_token1 = 142,
  aux_sym_window_numeric_preceding_token1 = 143,
  aux_sym_window_numeric_following_token1 = 144,
  aux_sym_keyword_unbounded_preceding_token1 = 145,
  aux_sym_keyword_current_row_token1 = 146,
  aux_sym_keyword_current_row_token2 = 147,
  aux_sym_aggregation_threshold_clause_token1 = 148,
  anon_sym_OPTIONS = 149,
  aux_sym_differential_privacy_clause_token1 = 150,
  aux_sym__direction_keywords_token1 = 151,
  aux_sym__direction_keywords_token2 = 152,
  aux_sym__nulls_preference_token1 = 153,
  aux_sym__nulls_preference_token2 = 154,
  aux_sym__nulls_preference_token3 = 155,
  aux_sym_order_by_clause_token1 = 156,
  aux_sym_where_clause_token1 = 157,
  aux_sym_cte_clause_token1 = 158,
  aux_sym_pivot_operator_token1 = 159,
  aux_sym_unpivot_operator_token1 = 160,
  aux_sym_unpivot_operator_token2 = 161,
  aux_sym_unpivot_operator_token3 = 162,
  aux_sym_tablesample_operator_token1 = 163,
  aux_sym_tablesample_operator_token2 = 164,
  aux_sym_tablesample_operator_token3 = 165,
  aux_sym_join_type_token1 = 166,
  aux_sym_join_type_token2 = 167,
  aux_sym_join_type_token3 = 168,
  aux_sym_join_type_token4 = 169,
  aux_sym_join_type_token5 = 170,
  aux_sym__cross_join_operation_token1 = 171,
  aux_sym__cross_join_operation_token2 = 172,
  aux_sym_join_condition_token1 = 173,
  aux_sym_analytics_clause_token1 = 174,
  anon_sym_EQ_GT = 175,
  aux_sym_function_call_token1 = 176,
  aux_sym_function_call_token2 = 177,
  aux_sym_having_max_clause_token1 = 178,
  aux_sym_having_min_clause_token1 = 179,
  aux_sym_unnest_operator_token1 = 180,
  aux_sym_insert_statement_token1 = 181,
  aux_sym_values_clause_token1 = 182,
  aux_sym_truncate_statement_token1 = 183,
  aux_sym_update_statement_token1 = 184,
  aux_sym_merge_statement_token1 = 185,
  aux_sym_merge_matched_clause_token1 = 186,
  aux_sym_merge_not_matched_by_target_clause_token1 = 187,
  aux_sym_merge_not_matched_by_source_clause_token1 = 188,
  aux_sym_grant_statement_token1 = 189,
  aux_sym_grant_statement_token2 = 190,
  aux_sym_revoke_statement_token1 = 191,
  sym_privilege_role = 192,
  anon_sym_DQUOTE = 193,
  anon_sym_user = 194,
  anon_sym_group = 195,
  anon_sym_serviceAccount = 196,
  anon_sym_domain = 197,
  anon_sym_specialGroup = 198,
  anon_sym_COLON = 199,
  aux_sym_privilege_user_token1 = 200,
  aux_sym_export_data_statement_token1 = 201,
  anon_sym_AS = 202,
  aux_sym_load_data_statement_token1 = 203,
  aux_sym_load_data_statement_token2 = 204,
  aux_sym_from_files_clause_token1 = 205,
  aux_sym_TRUE_token1 = 206,
  aux_sym_FALSE_token1 = 207,
  sym__integer = 208,
  aux_sym__float_token1 = 209,
  aux_sym__float_token2 = 210,
  aux_sym__float_token3 = 211,
  aux_sym_numeric_token1 = 212,
  aux_sym_numeric_token2 = 213,
  aux_sym_numeric_token3 = 214,
  aux_sym_numeric_token4 = 215,
  anon_sym_SQUOTE = 216,
  aux_sym_interval_token1 = 217,
  anon_sym_LBRACK = 218,
  anon_sym_RBRACK = 219,
  aux_sym_range_content_token1 = 220,
  aux_sym_json_token1 = 221,
  sym_system_variable = 222,
  sym__named_query_parameter = 223,
  sym__positional_query_parameter = 224,
  sym__quoted_identifier = 225,
  anon_sym_DOT = 226,
  sym_comment = 227,
  anon_sym_DOT2 = 228,
  anon_sym_TILDE = 229,
  anon_sym_PLUS = 230,
  anon_sym_DASH = 231,
  anon_sym_STAR = 232,
  anon_sym_SLASH = 233,
  anon_sym_PIPE_PIPE = 234,
  anon_sym_LT_EQ = 235,
  anon_sym_LT_GT = 236,
  anon_sym_GT_EQ = 237,
  anon_sym_BANG_EQ = 238,
  anon_sym_LT_LT = 239,
  anon_sym_GT_GT = 240,
  anon_sym_AMP = 241,
  anon_sym_CARET = 242,
  anon_sym_PIPE = 243,
  anon_sym_operator_compare = 244,
  aux_sym_quantitve_like_operator_token1 = 245,
  aux_sym_quantitve_like_operator_token2 = 246,
  anon_sym_DOLLAR = 247,
  aux_sym_argument_reference_token1 = 248,
  sym__string_start = 249,
  sym__string_content = 250,
  sym__string_end = 251,
  sym_source_file = 252,
  sym_keyword_if_not_exists = 253,
  sym_keyword_if_exists = 254,
  sym_keyword_temporary = 255,
  sym_keyword_replace = 256,
  sym__keyword_schema = 257,
  sym__keyword_column = 258,
  sym__keyword_alter = 259,
  sym__keyword_rename = 260,
  sym__keyword_create = 261,
  sym__keyword_add = 262,
  sym__keyword_drop = 263,
  sym__keyword_from = 264,
  sym__keyword_replica = 265,
  sym__keyword_distinct = 266,
  sym__keyword_format = 267,
  sym__keyword_delete = 268,
  sym__keyword_end = 269,
  sym__keyword_struct = 270,
  sym__keyword_range = 271,
  sym__keyword_array = 272,
  sym__keyword_returns = 273,
  sym__keyword_between = 274,
  sym__keyword_case = 275,
  sym__keyword_when = 276,
  sym__keyword_then = 277,
  sym__keyword_else = 278,
  sym__keyword_is = 279,
  sym__keyword_in = 280,
  sym__keyword_not = 281,
  sym__keyword_and = 282,
  sym__keyword_or = 283,
  sym__keyword_like = 284,
  sym__keyword_repeat = 285,
  sym__keyword_as = 286,
  sym__keyword_cast = 287,
  sym__keyword_window = 288,
  sym__keyword_partition_by = 289,
  sym__keyword_date = 290,
  sym__keyword_datetime = 291,
  sym__keyword_time = 292,
  sym__keyword_timestamp = 293,
  sym__keyword_for = 294,
  sym__keyword_system_as_of = 295,
  sym__statement = 296,
  aux_sym__statement_list = 297,
  sym_declare_statement = 298,
  sym_default_clause = 299,
  sym_set_statement = 300,
  sym_execute_immediate_statement = 301,
  sym_into_clause = 302,
  sym_using_clause = 303,
  sym_return_statement = 304,
  sym_call_statement = 305,
  sym_begin_end_statement = 306,
  sym_begin_exception_end_statement = 307,
  sym_if_statement = 308,
  sym_loop_statement = 309,
  sym_repeat_statement = 310,
  sym_while_statement = 311,
  sym_for_in_statement = 312,
  sym_break_statement = 313,
  sym_leave_statement = 314,
  sym_continue_statement = 315,
  sym_iterate_statement = 316,
  sym_raise_statement = 317,
  sym_assert_statement = 318,
  sym_create_schema_statement = 319,
  sym__alter_schema_clause = 320,
  sym_alter_schema_statement = 321,
  sym_alter_schema_add_replica_statement = 322,
  sym_alter_schema_drop_replica_statement = 323,
  sym_drop_schema_statement = 324,
  sym_drop_schema_option = 325,
  sym_create_table_statement = 326,
  sym_create_table_like_statement = 327,
  sym_like_clause = 328,
  sym_create_table_clone_statement = 329,
  sym_clone_clause = 330,
  sym_create_table_copy_statement = 331,
  sym_default_collate_clause = 332,
  sym_copy_clause = 333,
  sym_create_snapshot_table_statement = 334,
  sym_create_external_table_statement = 335,
  sym_partition_columns_clause = 336,
  sym_system_time_clause = 337,
  sym_alter_table_statement = 338,
  sym_alter_table_rename_statement = 339,
  sym_alter_table_column_statement = 340,
  sym_alter_column_actions_list = 341,
  sym_add_column_action = 342,
  sym_rename_column_action = 343,
  sym_drop_column_action = 344,
  sym_alter_column_action = 345,
  sym_set_option = 346,
  sym_set_data_type = 347,
  sym_set_default = 348,
  sym_drop_notnull = 349,
  sym_drop_default = 350,
  sym_column_list = 351,
  sym_constraint_enfoce_option = 352,
  sym_primary_key = 353,
  sym_add_primary_key_action = 354,
  sym_drop_primary_key_action = 355,
  sym_foreign_key = 356,
  sym_foreign_key_references = 357,
  sym_add_foreign_key_action = 358,
  sym_drop_constraint_action = 359,
  sym_drop_table_statement = 360,
  sym_create_table_parameters = 361,
  sym_option_clause = 362,
  sym_option_item = 363,
  sym_column_definition = 364,
  sym_constraint_definition = 365,
  sym_collate_clause = 366,
  sym_column_type = 367,
  sym__column_definition_type_array = 368,
  sym__column_definition_type_struct = 369,
  sym_partition_expression = 370,
  sym_table_partition_clause = 371,
  sym_table_cluster_clause = 372,
  sym_create_function_statement = 373,
  sym_create_remote_function_statement = 374,
  sym__function_body_sql = 375,
  sym__function_body_js = 376,
  sym_create_function_return_clause = 377,
  sym_drop_function_statement = 378,
  sym_create_table_function_statement = 379,
  sym_create_table_function_body = 380,
  sym_drop_table_function_statement = 381,
  sym_create_table_function_returns = 382,
  sym__function_language = 383,
  sym_create_function_parameter = 384,
  sym_create_function_parameters = 385,
  sym_create_procedure_statement = 386,
  sym_procedure_parameters = 387,
  sym_procedure_body = 388,
  sym_procedure_argument = 389,
  sym_drop_procedure_statement = 390,
  sym_create_model_statement = 391,
  sym_transoform_clause = 392,
  sym_drop_model_statement = 393,
  sym_query_statement = 394,
  sym_set_operation = 395,
  sym_query_expr = 396,
  sym_select = 397,
  sym_select_list = 398,
  sym_select_all = 399,
  sym_select_all_except = 400,
  sym_select_all_replace = 401,
  sym_select_replace_expression = 402,
  sym_having_clause = 403,
  sym_qualify_clause = 404,
  sym_limit_clause = 405,
  sym_group_by_clause = 406,
  sym__grouping_list = 407,
  sym_grouping_all = 408,
  sym_grouping_sets = 409,
  sym_grouping_item_sets = 410,
  sym_rollup = 411,
  sym_cube = 412,
  sym_grouping_empty = 413,
  sym_grouping_item = 414,
  sym_over_clause = 415,
  sym_window_specification = 416,
  sym_window_partition_clause = 417,
  sym_window_frame_clause = 418,
  sym_rows_range = 419,
  sym_window_frame_start = 420,
  sym_window_frame_between = 421,
  sym__window_frame_end_a = 422,
  sym__window_frame_end_b = 423,
  sym__window_frame_end_c = 424,
  sym_window_numeric_preceding = 425,
  sym_window_numeric_following = 426,
  sym_keyword_unbounded_preceding = 427,
  sym_keyword_unbounded_following = 428,
  sym_keyword_current_row = 429,
  sym_named_window_expression = 430,
  sym_aggregation_threshold_clause = 431,
  sym_differential_privacy_clause = 432,
  sym_window_clause = 433,
  sym_order_by_clause_body = 434,
  sym__direction_keywords = 435,
  sym__nulls_preference = 436,
  sym_order_by_clause = 437,
  sym_where_clause = 438,
  sym__aliasable_expression = 439,
  sym_as_alias = 440,
  sym_cte_clause = 441,
  sym_cte = 442,
  sym_from_clause = 443,
  sym_pivot_value = 444,
  sym_pivot_operator = 445,
  sym_unpivot_operator = 446,
  sym_single_column_unpivot = 447,
  sym_multi_column_unpivot = 448,
  sym_unpivot_column = 449,
  sym_tablesample_operator = 450,
  sym_from_item = 451,
  sym_join_operation = 452,
  sym_join_type = 453,
  sym__cross_join_operation = 454,
  sym__conditional_join_operator = 455,
  sym_join_condition = 456,
  sym_select_subexpression = 457,
  sym_analytics_clause = 458,
  sym_bigquery_resource = 459,
  sym_argument = 460,
  sym_function_call = 461,
  sym_having_max_clause = 462,
  sym_having_min_clause = 463,
  sym_unnest_operator = 464,
  sym_unnest_clause = 465,
  sym_unnest_withoffset = 466,
  sym_insert_statement = 467,
  sym_values_clause = 468,
  sym_value_element = 469,
  sym_delete_statement = 470,
  sym_truncate_statement = 471,
  sym_update_statement = 472,
  sym_set_clause = 473,
  sym_update_item = 474,
  sym__assigment_expression = 475,
  sym_merge_statement = 476,
  sym_merge_matched_clause = 477,
  sym_merge_not_matched_by_target_clause = 478,
  sym_merge_not_matched_by_source_clause = 479,
  sym_merge_update_clause = 480,
  sym_merge_delete_clause = 481,
  sym_merge_insert_clause = 482,
  sym_insert_columns = 483,
  sym_grant_statement = 484,
  sym_revoke_statement = 485,
  sym_privilege_user = 486,
  sym_object_type = 487,
  sym_export_data_statement = 488,
  sym_load_data_statement = 489,
  sym_with_connection_clause = 490,
  sym_from_files_clause = 491,
  sym__literal = 492,
  sym_NULL = 493,
  sym_TRUE = 494,
  sym_FALSE = 495,
  sym__float = 496,
  sym__float_or_integer = 497,
  sym_numeric = 498,
  sym__number = 499,
  sym_interval = 500,
  sym_range_boundary_start = 501,
  sym_range_boundary_end = 502,
  sym_range_content = 503,
  sym_range_start = 504,
  sym_range_end = 505,
  sym__range_string = 506,
  sym_range = 507,
  sym_time = 508,
  sym_number = 509,
  sym_json = 510,
  sym_query_parameter = 511,
  sym_type = 512,
  sym__bqtype = 513,
  sym__type_chrono = 514,
  sym__type_struct = 515,
  sym__type_array = 516,
  sym_array = 517,
  sym_struct = 518,
  sym__identifier = 519,
  sym__dotted_identifier = 520,
  sym_identifier = 521,
  sym__base_type = 522,
  sym_string = 523,
  sym__expression = 524,
  sym__parenthesized_expression = 525,
  sym_element_access = 526,
  sym_field_access = 527,
  sym_unary_expression = 528,
  sym_binary_expression = 529,
  sym_like_operator = 530,
  sym_quantitve_like_operator = 531,
  sym_quantitve_like_patterns = 532,
  sym_between_operator = 533,
  sym_casewhen_expression = 534,
  sym_casewhen_clause = 535,
  sym_caseelse_clause = 536,
  sym_cast_expression = 537,
  sym_cast_format_clause = 538,
  sym_asterisk_expression = 539,
  sym_argument_reference = 540,
  aux_sym_source_file_repeat1 = 541,
  aux_sym_declare_statement_repeat1 = 542,
  aux_sym_set_statement_repeat1 = 543,
  aux_sym_using_clause_repeat1 = 544,
  aux_sym_call_statement_repeat1 = 545,
  aux_sym_if_statement_repeat1 = 546,
  aux_sym_alter_column_actions_list_repeat1 = 547,
  aux_sym_create_table_parameters_repeat1 = 548,
  aux_sym_option_clause_repeat1 = 549,
  aux_sym_column_type_repeat1 = 550,
  aux_sym__column_definition_type_struct_repeat1 = 551,
  aux_sym_create_function_parameters_repeat1 = 552,
  aux_sym_procedure_parameters_repeat1 = 553,
  aux_sym_select_list_repeat1 = 554,
  aux_sym_select_all_except_repeat1 = 555,
  aux_sym_select_all_replace_repeat1 = 556,
  aux_sym_group_by_clause_repeat1 = 557,
  aux_sym__grouping_list_repeat1 = 558,
  aux_sym_grouping_sets_repeat1 = 559,
  aux_sym_window_partition_clause_repeat1 = 560,
  aux_sym_order_by_clause_body_repeat1 = 561,
  aux_sym_cte_clause_repeat1 = 562,
  aux_sym_pivot_operator_repeat1 = 563,
  aux_sym_pivot_operator_repeat2 = 564,
  aux_sym_single_column_unpivot_repeat1 = 565,
  aux_sym_multi_column_unpivot_repeat1 = 566,
  aux_sym_join_condition_repeat1 = 567,
  aux_sym_function_call_repeat1 = 568,
  aux_sym_values_clause_repeat1 = 569,
  aux_sym_set_clause_repeat1 = 570,
  aux_sym_merge_statement_repeat1 = 571,
  aux_sym_grant_statement_repeat1 = 572,
  aux_sym_grant_statement_repeat2 = 573,
  aux_sym__type_struct_repeat1 = 574,
  aux_sym_struct_repeat1 = 575,
  aux_sym_identifier_repeat1 = 576,
  aux_sym_string_repeat1 = 577,
  aux_sym_quantitve_like_patterns_repeat1 = 578,
  aux_sym_casewhen_expression_repeat1 = 579,
  anon_alias_sym_COLLATE = 580,
  anon_alias_sym_DISTINCT = 581,
  anon_alias_sym_DROP = 582,
  anon_alias_sym_DROP_CONSTRAINT = 583,
  anon_alias_sym_DROP_DEFAULT = 584,
  anon_alias_sym_DROP_NOT_NULL = 585,
  anon_alias_sym_END = 586,
  anon_alias_sym_END_LOOP = 587,
  anon_alias_sym_END_REPEAT = 588,
  anon_alias_sym_END_WHILE = 589,
  anon_alias_sym_EXCEPT_DISTINCT = 590,
  anon_alias_sym_EXISTS = 591,
  anon_alias_sym_FOR = 592,
  anon_alias_sym_IF_EXISTS = 593,
  anon_alias_sym_NOT = 594,
  anon_alias_sym_NOT_ENFORCED = 595,
  anon_alias_sym_NULL = 596,
  anon_alias_sym_OFFSET = 597,
  anon_alias_sym_OR = 598,
  anon_alias_sym_PARTITION_BY = 599,
  anon_alias_sym_RENAME = 600,
  anon_alias_sym_SET_DEFAULT = 601,
  anon_alias_sym_TABLE_FUNCTION = 602,
  anon_alias_sym_UNBOUNDED = 603,
  anon_alias_sym_UNBOUNDED_FOLLOWING = 604,
  anon_alias_sym_UNION_DISTINCT = 605,
  anon_alias_sym_UPDATE_SET = 606,
  anon_alias_sym_WHEN = 607,
  anon_alias_sym_WHEN_NOT_MATCHED = 608,
  anon_alias_sym_WITH = 609,
  anon_alias_sym_WITH_CONNECTION = 610,
  alias_sym_between_from = 611,
  alias_sym_connection_path = 612,
  alias_sym_create_table_function_parameters = 613,
  alias_sym_datetime_part = 614,
  alias_sym_distinct = 615,
  alias_sym_else_statement = 616,
  alias_sym_elseif_statement = 617,
  alias_sym_having_expression = 618,
  alias_sym_input_column = 619,
  alias_sym_language = 620,
  alias_sym_like_pattern = 621,
  alias_sym_load_data_table_parameters = 622,
  alias_sym_merge_condition = 623,
  alias_sym_name_column = 624,
  alias_sym_partition_columns = 625,
  alias_sym_pivot_column = 626,
  alias_sym_range_type = 627,
  alias_sym_search_condition = 628,
  alias_sym_select_expression = 629,
  alias_sym_type_identifier = 630,
  alias_sym_unpivot_value = 631,
  alias_sym_until_clause = 632,
  alias_sym_using_expression = 633,
  alias_sym_variable_type = 634,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__unquoted_identifier] = "_unquoted_identifier",
  [aux_sym_keyword_if_not_exists_token1] = "IF",
  [aux_sym_keyword_if_not_exists_token2] = "NOT_NULL",
  [aux_sym_keyword_if_not_exists_token3] = "IF_NOT_EXISTS",
  [aux_sym_keyword_temporary_token1] = "TEMP",
  [aux_sym_keyword_temporary_token2] = "TEMPORARY",
  [aux_sym_keyword_replace_token1] = "OR_REPLACE",
  [aux_sym_keyword_replace_token2] = "REPLACE",
  [aux_sym__keyword_schema_token1] = "SCHEMA",
  [aux_sym__keyword_column_token1] = "COLUMN",
  [aux_sym__keyword_alter_token1] = "ALTER",
  [aux_sym__keyword_rename_token1] = "RENAME_TO",
  [aux_sym__keyword_create_token1] = "CREATE",
  [aux_sym__keyword_add_token1] = "ADD",
  [aux_sym__keyword_drop_token1] = "DROP_PRIMARY_KEY",
  [aux_sym__keyword_from_token1] = "FROM",
  [aux_sym__keyword_replica_token1] = "REPLICA",
  [aux_sym__keyword_distinct_token1] = "DISTINCT_FROM",
  [aux_sym__keyword_format_token1] = "FORMAT",
  [aux_sym__keyword_delete_token1] = "DELETE",
  [aux_sym__keyword_tablesuffix_token1] = "_TABLE_SUFFIX",
  [aux_sym__keyword_begin_token1] = "BEGIN",
  [aux_sym__keyword_end_token1] = "END_IF",
  [aux_sym__keyword_struct_token1] = "STRUCT",
  [aux_sym__keyword_range_token1] = "RANGE",
  [aux_sym__keyword_array_token1] = "ARRAY",
  [aux_sym__keyword_returns_token1] = "RETURNS",
  [aux_sym__keyword_between_token1] = "BETWEEN",
  [aux_sym__keyword_case_token1] = "CASE",
  [aux_sym__keyword_when_token1] = "WHEN_MATCHED",
  [aux_sym__keyword_then_token1] = "THEN",
  [aux_sym__keyword_else_token1] = "ELSE",
  [aux_sym__keyword_is_token1] = "IS",
  [aux_sym__keyword_in_token1] = "IN",
  [aux_sym__keyword_and_token1] = "AND",
  [aux_sym__keyword_like_token1] = "LIKE",
  [aux_sym__keyword_repeat_token1] = "REPEAT",
  [aux_sym__keyword_as_token1] = "AS",
  [aux_sym__keyword_cast_token1] = "CAST",
  [aux_sym__keyword_cast_token2] = "SAFE_CAST",
  [aux_sym__keyword_window_token1] = "WINDOW",
  [aux_sym__keyword_partition_by_token1] = "PARTITION_COLUMNS",
  [aux_sym__keyword_partition_by_token2] = "GROUP_BY",
  [aux_sym__keyword_date_token1] = "DATE",
  [aux_sym__keyword_datetime_token1] = "DATETIME",
  [aux_sym__keyword_time_token1] = "TIME",
  [aux_sym__keyword_timestamp_token1] = "TIMESTAMP",
  [aux_sym__keyword_for_token1] = "END_FOR",
  [aux_sym__keyword_partitiontime_token1] = "_PARTITIONTIME",
  [aux_sym__keyword_system_as_of_token1] = "FOR_SYSTEM_TIME_AS_OF",
  [aux_sym__keyword_system_as_of_token2] = "FOR_SYSTEM_TIME_AS_OF",
  [anon_sym_SEMI] = ";",
  [aux_sym_declare_statement_token1] = "DECLARE",
  [anon_sym_COMMA] = ",",
  [aux_sym_default_clause_token1] = "DEFAULT",
  [aux_sym_set_statement_token1] = "SET",
  [aux_sym_set_statement_token2] = "=",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [aux_sym_execute_immediate_statement_token1] = "EXECUTE_IMMEDIATE",
  [aux_sym_execute_immediate_statement_token2] = "EXECUTE_IMMEDIATE",
  [aux_sym_into_clause_token1] = "INTO",
  [aux_sym_using_clause_token1] = "USING",
  [aux_sym_return_statement_token1] = "RETURN",
  [aux_sym_call_statement_token1] = "CALL",
  [aux_sym_begin_exception_end_statement_token1] = "EXCEPTION_WHEN_ERROR_THEN",
  [aux_sym_begin_exception_end_statement_token2] = "EXCEPTION_WHEN_ERROR_THEN",
  [aux_sym_if_statement_token1] = "ELSEIF",
  [aux_sym_loop_statement_token1] = "LOOP",
  [aux_sym_repeat_statement_token1] = "UNTIL",
  [aux_sym_while_statement_token1] = "WHILE",
  [aux_sym_while_statement_token2] = "DO",
  [aux_sym_break_statement_token1] = "BREAK",
  [aux_sym_leave_statement_token1] = "LEAVE",
  [aux_sym_continue_statement_token1] = "CONTINUE",
  [aux_sym_iterate_statement_token1] = "ITERATE",
  [aux_sym_raise_statement_token1] = "RAISE",
  [aux_sym_raise_statement_token2] = "USING_MESSAGE",
  [anon_sym_EQ] = "=",
  [aux_sym_assert_statement_token1] = "ASSERT",
  [aux_sym_drop_schema_option_token1] = "CASCADE",
  [aux_sym_drop_schema_option_token2] = "RESTRICT",
  [aux_sym_create_table_statement_token1] = "TABLE",
  [aux_sym_create_table_statement_token2] = "VIEW",
  [aux_sym_create_table_statement_token3] = "MATERIALIZED_VIEW",
  [aux_sym_clone_clause_token1] = "CLONE",
  [aux_sym_default_collate_clause_token1] = "DEFAULT_COLLATE",
  [aux_sym_copy_clause_token1] = "COPY",
  [aux_sym_create_snapshot_table_statement_token1] = "SNAPSHOT_TABLE",
  [aux_sym_create_external_table_statement_token1] = "EXTERNAL_TABLE",
  [aux_sym_partition_columns_clause_token1] = "REMOTE_WITH_CONNECTION",
  [aux_sym_partition_columns_clause_token2] = "PARTITION_COLUMNS",
  [aux_sym_alter_table_rename_statement_token1] = "TO",
  [aux_sym_set_data_type_token1] = "LOAD_DATA",
  [aux_sym_set_data_type_token2] = "SET_DATA_TYPE",
  [aux_sym_drop_notnull_token1] = "NOT_NULL",
  [aux_sym_constraint_enfoce_option_token1] = "ENFORCED",
  [aux_sym_primary_key_token1] = "PRIMARY_KEY",
  [aux_sym_primary_key_token2] = "PRIMARY_KEY",
  [aux_sym_foreign_key_token1] = "FOREIGN_KEY",
  [aux_sym_foreign_key_references_token1] = "REFERENCES",
  [aux_sym_add_foreign_key_action_token1] = "CONSTRAINT",
  [aux_sym_drop_table_statement_token1] = "SNAPSHOST_TABLE",
  [aux_sym_option_clause_token1] = "OPTIONS",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [aux_sym_partition_expression_token1] = "_PARTITIONDATE",
  [aux_sym_partition_expression_token2] = "DATETIME_TRUNC",
  [aux_sym_partition_expression_token3] = "TIMESTAMP_TRUNC",
  [aux_sym_partition_expression_token4] = "DATE_TRUNC",
  [aux_sym_partition_expression_token5] = "DAY",
  [aux_sym_partition_expression_token6] = "HOUR",
  [aux_sym_partition_expression_token7] = "MONTH",
  [aux_sym_partition_expression_token8] = "YEAR",
  [aux_sym_partition_expression_token9] = "RANGE_BUCKET",
  [aux_sym_partition_expression_token10] = "GENERATE_ARRAY",
  [aux_sym_table_cluster_clause_token1] = "CLUSTER_BY",
  [aux_sym_create_function_statement_token1] = "FUNCTION",
  [aux_sym_create_remote_function_statement_token1] = "REMOTE_WITH_CONNECTION",
  [aux_sym_create_remote_function_statement_token2] = "REMOTE_WITH_CONNECTION",
  [aux_sym__function_language_token1] = "LANGUAGE",
  [aux_sym_create_procedure_statement_token1] = "PROCEDURE",
  [aux_sym_procedure_argument_token1] = "OUT",
  [aux_sym_procedure_argument_token2] = "INOUT",
  [aux_sym_create_model_statement_token1] = "MODEL",
  [aux_sym_transoform_clause_token1] = "TRANSFORM",
  [aux_sym_set_operation_token1] = "UNION_ALL",
  [aux_sym_set_operation_token2] = "ALL",
  [aux_sym_set_operation_token3] = "INTERSECT_DISTINCT",
  [aux_sym_set_operation_token4] = "EXCEPT",
  [aux_sym_select_token1] = "SELECT",
  [aux_sym_select_token2] = "VALUE",
  [aux_sym_having_clause_token1] = "HAVING",
  [aux_sym_qualify_clause_token1] = "QUALIFY",
  [aux_sym_limit_clause_token1] = "LIMIT",
  [aux_sym_limit_clause_token2] = "WITH_OFFSET",
  [aux_sym_group_by_clause_token1] = "GROUP_BY",
  [aux_sym_grouping_sets_token1] = "GROUPING_SETS",
  [aux_sym_grouping_sets_token2] = "GROUPING_SETS",
  [aux_sym_rollup_token1] = "ROLLUP",
  [aux_sym_cube_token1] = "CUBE",
  [aux_sym_rows_range_token1] = "ROWS",
  [aux_sym_window_numeric_preceding_token1] = "PRECEDING",
  [aux_sym_window_numeric_following_token1] = "FOLLOWING",
  [aux_sym_keyword_unbounded_preceding_token1] = "UNBOUNDED_PRECEDING",
  [aux_sym_keyword_current_row_token1] = "CURRENT_ROW",
  [aux_sym_keyword_current_row_token2] = "ROW",
  [aux_sym_aggregation_threshold_clause_token1] = "WITH_AGGREGATION_THRESHOLD",
  [anon_sym_OPTIONS] = "OPTIONS",
  [aux_sym_differential_privacy_clause_token1] = "WITH_DIFFERENTIAL_PRIVACY",
  [aux_sym__direction_keywords_token1] = "ASC",
  [aux_sym__direction_keywords_token2] = "DESC",
  [aux_sym__nulls_preference_token1] = "NULLS",
  [aux_sym__nulls_preference_token2] = "NULLS_FIRST",
  [aux_sym__nulls_preference_token3] = "NULLS_LAST",
  [aux_sym_order_by_clause_token1] = "ORDER_BY",
  [aux_sym_where_clause_token1] = "WHERE",
  [aux_sym_cte_clause_token1] = "with_recursive_keyword",
  [aux_sym_pivot_operator_token1] = "PIVOT",
  [aux_sym_unpivot_operator_token1] = "UNPIVOT",
  [aux_sym_unpivot_operator_token2] = "INCLUDE_NULLS",
  [aux_sym_unpivot_operator_token3] = "EXCLUDE_NULLS",
  [aux_sym_tablesample_operator_token1] = "TABLESAMPLE_SYSTEM",
  [aux_sym_tablesample_operator_token2] = "TABLESAMPLE_SYSTEM",
  [aux_sym_tablesample_operator_token3] = "PERCENT",
  [aux_sym_join_type_token1] = "INNER",
  [aux_sym_join_type_token2] = "LEFT",
  [aux_sym_join_type_token3] = "RIGHT",
  [aux_sym_join_type_token4] = "FULL",
  [aux_sym_join_type_token5] = "OUTER",
  [aux_sym__cross_join_operation_token1] = "CROSS_JOIN",
  [aux_sym__cross_join_operation_token2] = "JOIN",
  [aux_sym_join_condition_token1] = "ON",
  [aux_sym_analytics_clause_token1] = "OVER",
  [anon_sym_EQ_GT] = "=>",
  [aux_sym_function_call_token1] = "IGNORE",
  [aux_sym_function_call_token2] = "identifier",
  [aux_sym_having_max_clause_token1] = "MAX",
  [aux_sym_having_min_clause_token1] = "MIN",
  [aux_sym_unnest_operator_token1] = "UNNEST",
  [aux_sym_insert_statement_token1] = "INSERT",
  [aux_sym_values_clause_token1] = "VALUES",
  [aux_sym_truncate_statement_token1] = "TRUNCATE_TABLE",
  [aux_sym_update_statement_token1] = "UPDATE",
  [aux_sym_merge_statement_token1] = "MERGE",
  [aux_sym_merge_matched_clause_token1] = "WHEN_MATCHED",
  [aux_sym_merge_not_matched_by_target_clause_token1] = "BY_TARGET",
  [aux_sym_merge_not_matched_by_source_clause_token1] = "WHEN_NOT_MATCHED_BY_SOURCE",
  [aux_sym_grant_statement_token1] = "GRANT",
  [aux_sym_grant_statement_token2] = "ALL_PRIVILEGES",
  [aux_sym_revoke_statement_token1] = "REVOKE",
  [sym_privilege_role] = "privilege_role",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_user] = "user_type",
  [anon_sym_group] = "user_type",
  [anon_sym_serviceAccount] = "user_type",
  [anon_sym_domain] = "user_type",
  [anon_sym_specialGroup] = "user_type",
  [anon_sym_COLON] = ":",
  [aux_sym_privilege_user_token1] = "user_id",
  [aux_sym_export_data_statement_token1] = "EXPORT_DATA",
  [anon_sym_AS] = "AS",
  [aux_sym_load_data_statement_token1] = "LOAD_DATA",
  [aux_sym_load_data_statement_token2] = "OVERWRITE",
  [aux_sym_from_files_clause_token1] = "FILES",
  [aux_sym_TRUE_token1] = "TRUE",
  [aux_sym_FALSE_token1] = "FALSE",
  [sym__integer] = "_integer",
  [aux_sym__float_token1] = "_float_token1",
  [aux_sym__float_token2] = "_float_token2",
  [aux_sym__float_token3] = "_float_token3",
  [aux_sym_numeric_token1] = "NUMERIC",
  [aux_sym_numeric_token2] = "BIGNUMERIC",
  [aux_sym_numeric_token3] = "DECIMAL",
  [aux_sym_numeric_token4] = "BIGDECIMAL",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_interval_token1] = "INTERVAL",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [aux_sym_range_content_token1] = "range_content_token1",
  [aux_sym_json_token1] = "JSON",
  [sym_system_variable] = "system_variable",
  [sym__named_query_parameter] = "_named_query_parameter",
  [sym__positional_query_parameter] = "_positional_query_parameter",
  [sym__quoted_identifier] = "_quoted_identifier",
  [anon_sym_DOT] = ".",
  [sym_comment] = "comment",
  [anon_sym_DOT2] = ".",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_operator_compare] = "operator_compare",
  [aux_sym_quantitve_like_operator_token1] = "ANY",
  [aux_sym_quantitve_like_operator_token2] = "SOME",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_argument_reference_token1] = "argument_reference_token1",
  [sym__string_start] = "_string_start",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "_string_end",
  [sym_source_file] = "source_file",
  [sym_keyword_if_not_exists] = "keyword_if_not_exists",
  [sym_keyword_if_exists] = "keyword_if_exists",
  [sym_keyword_temporary] = "keyword_temporary",
  [sym_keyword_replace] = "keyword_replace",
  [sym__keyword_schema] = "_keyword_schema",
  [sym__keyword_column] = "_keyword_column",
  [sym__keyword_alter] = "_keyword_alter",
  [sym__keyword_rename] = "_keyword_rename",
  [sym__keyword_create] = "_keyword_create",
  [sym__keyword_add] = "_keyword_add",
  [sym__keyword_drop] = "_keyword_drop",
  [sym__keyword_from] = "_keyword_from",
  [sym__keyword_replica] = "_keyword_replica",
  [sym__keyword_distinct] = "_keyword_distinct",
  [sym__keyword_format] = "_keyword_format",
  [sym__keyword_delete] = "_keyword_delete",
  [sym__keyword_end] = "_keyword_end",
  [sym__keyword_struct] = "_keyword_struct",
  [sym__keyword_range] = "_keyword_range",
  [sym__keyword_array] = "_keyword_array",
  [sym__keyword_returns] = "_keyword_returns",
  [sym__keyword_between] = "_keyword_between",
  [sym__keyword_case] = "_keyword_case",
  [sym__keyword_when] = "_keyword_when",
  [sym__keyword_then] = "_keyword_then",
  [sym__keyword_else] = "_keyword_else",
  [sym__keyword_is] = "_keyword_is",
  [sym__keyword_in] = "_keyword_in",
  [sym__keyword_not] = "_keyword_not",
  [sym__keyword_and] = "_keyword_and",
  [sym__keyword_or] = "_keyword_or",
  [sym__keyword_like] = "_keyword_like",
  [sym__keyword_repeat] = "_keyword_repeat",
  [sym__keyword_as] = "_keyword_as",
  [sym__keyword_cast] = "_keyword_cast",
  [sym__keyword_window] = "_keyword_window",
  [sym__keyword_partition_by] = "_keyword_partition_by",
  [sym__keyword_date] = "_keyword_date",
  [sym__keyword_datetime] = "_keyword_datetime",
  [sym__keyword_time] = "_keyword_time",
  [sym__keyword_timestamp] = "_keyword_timestamp",
  [sym__keyword_for] = "_keyword_for",
  [sym__keyword_system_as_of] = "_keyword_system_as_of",
  [sym__statement] = "_statement",
  [aux_sym__statement_list] = "_statement_list",
  [sym_declare_statement] = "declare_statement",
  [sym_default_clause] = "default_clause",
  [sym_set_statement] = "set_statement",
  [sym_execute_immediate_statement] = "execute_immediate_statement",
  [sym_into_clause] = "into_clause",
  [sym_using_clause] = "using_clause",
  [sym_return_statement] = "return_statement",
  [sym_call_statement] = "call_statement",
  [sym_begin_end_statement] = "begin_end_statement",
  [sym_begin_exception_end_statement] = "begin_exception_end_statement",
  [sym_if_statement] = "if_statement",
  [sym_loop_statement] = "loop_statement",
  [sym_repeat_statement] = "repeat_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym_break_statement] = "break_statement",
  [sym_leave_statement] = "leave_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_iterate_statement] = "iterate_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_create_schema_statement] = "create_schema_statement",
  [sym__alter_schema_clause] = "_alter_schema_clause",
  [sym_alter_schema_statement] = "alter_schema_statement",
  [sym_alter_schema_add_replica_statement] = "alter_schema_add_replica_statement",
  [sym_alter_schema_drop_replica_statement] = "alter_schema_drop_replica_statement",
  [sym_drop_schema_statement] = "drop_schema_statement",
  [sym_drop_schema_option] = "drop_schema_option",
  [sym_create_table_statement] = "create_table_statement",
  [sym_create_table_like_statement] = "create_table_like_statement",
  [sym_like_clause] = "like_clause",
  [sym_create_table_clone_statement] = "create_table_clone_statement",
  [sym_clone_clause] = "clone_clause",
  [sym_create_table_copy_statement] = "create_table_copy_statement",
  [sym_default_collate_clause] = "default_collate_clause",
  [sym_copy_clause] = "copy_clause",
  [sym_create_snapshot_table_statement] = "create_snapshot_table_statement",
  [sym_create_external_table_statement] = "create_external_table_statement",
  [sym_partition_columns_clause] = "partition_columns_clause",
  [sym_system_time_clause] = "system_time_clause",
  [sym_alter_table_statement] = "alter_table_statement",
  [sym_alter_table_rename_statement] = "alter_table_rename_statement",
  [sym_alter_table_column_statement] = "alter_table_column_statement",
  [sym_alter_column_actions_list] = "alter_column_actions_list",
  [sym_add_column_action] = "add_column_action",
  [sym_rename_column_action] = "rename_column_action",
  [sym_drop_column_action] = "drop_column_action",
  [sym_alter_column_action] = "alter_column_action",
  [sym_set_option] = "set_option",
  [sym_set_data_type] = "set_data_type",
  [sym_set_default] = "set_default",
  [sym_drop_notnull] = "drop_notnull",
  [sym_drop_default] = "drop_default",
  [sym_column_list] = "column_list",
  [sym_constraint_enfoce_option] = "constraint_enfoce_option",
  [sym_primary_key] = "primary_key",
  [sym_add_primary_key_action] = "add_primary_key_action",
  [sym_drop_primary_key_action] = "drop_primary_key_action",
  [sym_foreign_key] = "foreign_key",
  [sym_foreign_key_references] = "foreign_key_references",
  [sym_add_foreign_key_action] = "add_foreign_key_action",
  [sym_drop_constraint_action] = "drop_constraint_action",
  [sym_drop_table_statement] = "drop_table_statement",
  [sym_create_table_parameters] = "create_table_parameters",
  [sym_option_clause] = "option_clause",
  [sym_option_item] = "option_item",
  [sym_column_definition] = "column_definition",
  [sym_constraint_definition] = "constraint_definition",
  [sym_collate_clause] = "collate_clause",
  [sym_column_type] = "column_type",
  [sym__column_definition_type_array] = "_column_definition_type_array",
  [sym__column_definition_type_struct] = "_column_definition_type_struct",
  [sym_partition_expression] = "partition_expression",
  [sym_table_partition_clause] = "table_partition_clause",
  [sym_table_cluster_clause] = "table_cluster_clause",
  [sym_create_function_statement] = "create_function_statement",
  [sym_create_remote_function_statement] = "create_remote_function_statement",
  [sym__function_body_sql] = "create_function_body",
  [sym__function_body_js] = "create_function_body",
  [sym_create_function_return_clause] = "create_function_return_clause",
  [sym_drop_function_statement] = "drop_function_statement",
  [sym_create_table_function_statement] = "create_table_function_statement",
  [sym_create_table_function_body] = "create_table_function_body",
  [sym_drop_table_function_statement] = "drop_table_function_statement",
  [sym_create_table_function_returns] = "create_table_function_returns",
  [sym__function_language] = "_function_language",
  [sym_create_function_parameter] = "create_function_parameter",
  [sym_create_function_parameters] = "create_function_parameters",
  [sym_create_procedure_statement] = "create_procedure_statement",
  [sym_procedure_parameters] = "procedure_parameters",
  [sym_procedure_body] = "procedure_body",
  [sym_procedure_argument] = "procedure_argument",
  [sym_drop_procedure_statement] = "drop_procedure_statement",
  [sym_create_model_statement] = "create_model_statement",
  [sym_transoform_clause] = "transoform_clause",
  [sym_drop_model_statement] = "drop_model_statement",
  [sym_query_statement] = "query_statement",
  [sym_set_operation] = "set_operation",
  [sym_query_expr] = "query_expr",
  [sym_select] = "select",
  [sym_select_list] = "select_list",
  [sym_select_all] = "select_all",
  [sym_select_all_except] = "select_all_except",
  [sym_select_all_replace] = "select_all_replace",
  [sym_select_replace_expression] = "select_replace_expression",
  [sym_having_clause] = "having_clause",
  [sym_qualify_clause] = "qualify_clause",
  [sym_limit_clause] = "limit_clause",
  [sym_group_by_clause] = "group_by_clause",
  [sym__grouping_list] = "_grouping_list",
  [sym_grouping_all] = "grouping_all",
  [sym_grouping_sets] = "grouping_sets",
  [sym_grouping_item_sets] = "grouping_item_sets",
  [sym_rollup] = "rollup",
  [sym_cube] = "cube",
  [sym_grouping_empty] = "grouping_empty",
  [sym_grouping_item] = "grouping_item",
  [sym_over_clause] = "over_clause",
  [sym_window_specification] = "window_specification",
  [sym_window_partition_clause] = "window_partition_clause",
  [sym_window_frame_clause] = "window_frame_clause",
  [sym_rows_range] = "rows_range",
  [sym_window_frame_start] = "window_frame_start",
  [sym_window_frame_between] = "window_frame_between",
  [sym__window_frame_end_a] = "between_to",
  [sym__window_frame_end_b] = "_window_frame_end_b",
  [sym__window_frame_end_c] = "between_to",
  [sym_window_numeric_preceding] = "window_numeric_preceding",
  [sym_window_numeric_following] = "window_numeric_following",
  [sym_keyword_unbounded_preceding] = "keyword_unbounded_preceding",
  [sym_keyword_unbounded_following] = "keyword_unbounded_following",
  [sym_keyword_current_row] = "keyword_current_row",
  [sym_named_window_expression] = "named_window_expression",
  [sym_aggregation_threshold_clause] = "aggregation_threshold_clause",
  [sym_differential_privacy_clause] = "differential_privacy_clause",
  [sym_window_clause] = "window_clause",
  [sym_order_by_clause_body] = "order_by_clause_body",
  [sym__direction_keywords] = "_direction_keywords",
  [sym__nulls_preference] = "_nulls_preference",
  [sym_order_by_clause] = "order_by_clause",
  [sym_where_clause] = "where_clause",
  [sym__aliasable_expression] = "_aliasable_expression",
  [sym_as_alias] = "as_alias",
  [sym_cte_clause] = "cte_clause",
  [sym_cte] = "cte",
  [sym_from_clause] = "from_clause",
  [sym_pivot_value] = "pivot_value",
  [sym_pivot_operator] = "pivot_operator",
  [sym_unpivot_operator] = "unpivot_operator",
  [sym_single_column_unpivot] = "single_column_unpivot",
  [sym_multi_column_unpivot] = "multi_column_unpivot",
  [sym_unpivot_column] = "unpivot_column",
  [sym_tablesample_operator] = "tablesample_operator",
  [sym_from_item] = "from_item",
  [sym_join_operation] = "join_operation",
  [sym_join_type] = "join_type",
  [sym__cross_join_operation] = "_cross_join_operation",
  [sym__conditional_join_operator] = "_conditional_join_operator",
  [sym_join_condition] = "join_condition",
  [sym_select_subexpression] = "select_subexpression",
  [sym_analytics_clause] = "analytics_clause",
  [sym_bigquery_resource] = "bigquery_resource",
  [sym_argument] = "argument",
  [sym_function_call] = "function_call",
  [sym_having_max_clause] = "having_max_clause",
  [sym_having_min_clause] = "having_min_clause",
  [sym_unnest_operator] = "unnest_operator",
  [sym_unnest_clause] = "unnest_clause",
  [sym_unnest_withoffset] = "unnest_withoffset",
  [sym_insert_statement] = "insert_statement",
  [sym_values_clause] = "values_clause",
  [sym_value_element] = "value_element",
  [sym_delete_statement] = "delete_statement",
  [sym_truncate_statement] = "truncate_statement",
  [sym_update_statement] = "update_statement",
  [sym_set_clause] = "set_clause",
  [sym_update_item] = "update_item",
  [sym__assigment_expression] = "_assigment_expression",
  [sym_merge_statement] = "merge_statement",
  [sym_merge_matched_clause] = "merge_matched_clause",
  [sym_merge_not_matched_by_target_clause] = "merge_not_matched_by_target_clause",
  [sym_merge_not_matched_by_source_clause] = "merge_not_matched_by_source_clause",
  [sym_merge_update_clause] = "merge_update_clause",
  [sym_merge_delete_clause] = "merge_delete_clause",
  [sym_merge_insert_clause] = "merge_insert_clause",
  [sym_insert_columns] = "insert_columns",
  [sym_grant_statement] = "grant_statement",
  [sym_revoke_statement] = "revoke_statement",
  [sym_privilege_user] = "privilege_user",
  [sym_object_type] = "object_type",
  [sym_export_data_statement] = "export_data_statement",
  [sym_load_data_statement] = "load_data_statement",
  [sym_with_connection_clause] = "with_connection_clause",
  [sym_from_files_clause] = "from_files_clause",
  [sym__literal] = "_literal",
  [sym_NULL] = "NULL",
  [sym_TRUE] = "TRUE",
  [sym_FALSE] = "FALSE",
  [sym__float] = "_float",
  [sym__float_or_integer] = "_float_or_integer",
  [sym_numeric] = "numeric",
  [sym__number] = "_number",
  [sym_interval] = "interval",
  [sym_range_boundary_start] = "range_boundary_start",
  [sym_range_boundary_end] = "range_boundary_end",
  [sym_range_content] = "range_content",
  [sym_range_start] = "range_start",
  [sym_range_end] = "range_end",
  [sym__range_string] = "string",
  [sym_range] = "range",
  [sym_time] = "time",
  [sym_number] = "number",
  [sym_json] = "json",
  [sym_query_parameter] = "query_parameter",
  [sym_type] = "type",
  [sym__bqtype] = "_bqtype",
  [sym__type_chrono] = "_type_chrono",
  [sym__type_struct] = "_type_struct",
  [sym__type_array] = "_type_array",
  [sym_array] = "array",
  [sym_struct] = "struct",
  [sym__identifier] = "_identifier",
  [sym__dotted_identifier] = "_dotted_identifier",
  [sym_identifier] = "identifier",
  [sym__base_type] = "_base_type",
  [sym_string] = "string",
  [sym__expression] = "_expression",
  [sym__parenthesized_expression] = "_parenthesized_expression",
  [sym_element_access] = "element_access",
  [sym_field_access] = "field_access",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_like_operator] = "like_operator",
  [sym_quantitve_like_operator] = "quantitve_like_operator",
  [sym_quantitve_like_patterns] = "quantitve_like_patterns",
  [sym_between_operator] = "between_operator",
  [sym_casewhen_expression] = "casewhen_expression",
  [sym_casewhen_clause] = "casewhen_clause",
  [sym_caseelse_clause] = "caseelse_clause",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_format_clause] = "cast_format_clause",
  [sym_asterisk_expression] = "asterisk_expression",
  [sym_argument_reference] = "argument_reference",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_declare_statement_repeat1] = "declare_statement_repeat1",
  [aux_sym_set_statement_repeat1] = "set_statement_repeat1",
  [aux_sym_using_clause_repeat1] = "using_clause_repeat1",
  [aux_sym_call_statement_repeat1] = "call_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_alter_column_actions_list_repeat1] = "alter_column_actions_list_repeat1",
  [aux_sym_create_table_parameters_repeat1] = "create_table_parameters_repeat1",
  [aux_sym_option_clause_repeat1] = "option_clause_repeat1",
  [aux_sym_column_type_repeat1] = "column_type_repeat1",
  [aux_sym__column_definition_type_struct_repeat1] = "_column_definition_type_struct_repeat1",
  [aux_sym_create_function_parameters_repeat1] = "create_function_parameters_repeat1",
  [aux_sym_procedure_parameters_repeat1] = "procedure_parameters_repeat1",
  [aux_sym_select_list_repeat1] = "select_list_repeat1",
  [aux_sym_select_all_except_repeat1] = "select_all_except_repeat1",
  [aux_sym_select_all_replace_repeat1] = "select_all_replace_repeat1",
  [aux_sym_group_by_clause_repeat1] = "group_by_clause_repeat1",
  [aux_sym__grouping_list_repeat1] = "_grouping_list_repeat1",
  [aux_sym_grouping_sets_repeat1] = "grouping_sets_repeat1",
  [aux_sym_window_partition_clause_repeat1] = "window_partition_clause_repeat1",
  [aux_sym_order_by_clause_body_repeat1] = "order_by_clause_body_repeat1",
  [aux_sym_cte_clause_repeat1] = "cte_clause_repeat1",
  [aux_sym_pivot_operator_repeat1] = "pivot_operator_repeat1",
  [aux_sym_pivot_operator_repeat2] = "pivot_operator_repeat2",
  [aux_sym_single_column_unpivot_repeat1] = "single_column_unpivot_repeat1",
  [aux_sym_multi_column_unpivot_repeat1] = "multi_column_unpivot_repeat1",
  [aux_sym_join_condition_repeat1] = "join_condition_repeat1",
  [aux_sym_function_call_repeat1] = "function_call_repeat1",
  [aux_sym_values_clause_repeat1] = "values_clause_repeat1",
  [aux_sym_set_clause_repeat1] = "set_clause_repeat1",
  [aux_sym_merge_statement_repeat1] = "merge_statement_repeat1",
  [aux_sym_grant_statement_repeat1] = "grant_statement_repeat1",
  [aux_sym_grant_statement_repeat2] = "grant_statement_repeat2",
  [aux_sym__type_struct_repeat1] = "_type_struct_repeat1",
  [aux_sym_struct_repeat1] = "struct_repeat1",
  [aux_sym_identifier_repeat1] = "identifier_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_quantitve_like_patterns_repeat1] = "quantitve_like_patterns_repeat1",
  [aux_sym_casewhen_expression_repeat1] = "casewhen_expression_repeat1",
  [anon_alias_sym_COLLATE] = "COLLATE",
  [anon_alias_sym_DISTINCT] = "DISTINCT",
  [anon_alias_sym_DROP] = "DROP",
  [anon_alias_sym_DROP_CONSTRAINT] = "DROP_CONSTRAINT",
  [anon_alias_sym_DROP_DEFAULT] = "DROP_DEFAULT",
  [anon_alias_sym_DROP_NOT_NULL] = "DROP_NOT_NULL",
  [anon_alias_sym_END] = "END",
  [anon_alias_sym_END_LOOP] = "END_LOOP",
  [anon_alias_sym_END_REPEAT] = "END_REPEAT",
  [anon_alias_sym_END_WHILE] = "END_WHILE",
  [anon_alias_sym_EXCEPT_DISTINCT] = "EXCEPT_DISTINCT",
  [anon_alias_sym_EXISTS] = "EXISTS",
  [anon_alias_sym_FOR] = "FOR",
  [anon_alias_sym_IF_EXISTS] = "IF_EXISTS",
  [anon_alias_sym_NOT] = "NOT",
  [anon_alias_sym_NOT_ENFORCED] = "NOT_ENFORCED",
  [anon_alias_sym_NULL] = "NULL",
  [anon_alias_sym_OFFSET] = "OFFSET",
  [anon_alias_sym_OR] = "OR",
  [anon_alias_sym_PARTITION_BY] = "PARTITION_BY",
  [anon_alias_sym_RENAME] = "RENAME",
  [anon_alias_sym_SET_DEFAULT] = "SET_DEFAULT",
  [anon_alias_sym_TABLE_FUNCTION] = "TABLE_FUNCTION",
  [anon_alias_sym_UNBOUNDED] = "UNBOUNDED",
  [anon_alias_sym_UNBOUNDED_FOLLOWING] = "UNBOUNDED_FOLLOWING",
  [anon_alias_sym_UNION_DISTINCT] = "UNION_DISTINCT",
  [anon_alias_sym_UPDATE_SET] = "UPDATE_SET",
  [anon_alias_sym_WHEN] = "WHEN",
  [anon_alias_sym_WHEN_NOT_MATCHED] = "WHEN_NOT_MATCHED",
  [anon_alias_sym_WITH] = "WITH",
  [anon_alias_sym_WITH_CONNECTION] = "WITH_CONNECTION",
  [alias_sym_between_from] = "between_from",
  [alias_sym_connection_path] = "connection_path",
  [alias_sym_create_table_function_parameters] = "create_table_function_parameters",
  [alias_sym_datetime_part] = "datetime_part",
  [alias_sym_distinct] = "distinct",
  [alias_sym_else_statement] = "else_statement",
  [alias_sym_elseif_statement] = "elseif_statement",
  [alias_sym_having_expression] = "having_expression",
  [alias_sym_input_column] = "input_column",
  [alias_sym_language] = "language",
  [alias_sym_like_pattern] = "like_pattern",
  [alias_sym_load_data_table_parameters] = "load_data_table_parameters",
  [alias_sym_merge_condition] = "merge_condition",
  [alias_sym_name_column] = "name_column",
  [alias_sym_partition_columns] = "partition_columns",
  [alias_sym_pivot_column] = "pivot_column",
  [alias_sym_range_type] = "range_type",
  [alias_sym_search_condition] = "search_condition",
  [alias_sym_select_expression] = "select_expression",
  [alias_sym_type_identifier] = "type_identifier",
  [alias_sym_unpivot_value] = "unpivot_value",
  [alias_sym_until_clause] = "until_clause",
  [alias_sym_using_expression] = "using_expression",
  [alias_sym_variable_type] = "variable_type",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__unquoted_identifier] = sym__unquoted_identifier,
  [aux_sym_keyword_if_not_exists_token1] = aux_sym_keyword_if_not_exists_token1,
  [aux_sym_keyword_if_not_exists_token2] = aux_sym_keyword_if_not_exists_token2,
  [aux_sym_keyword_if_not_exists_token3] = aux_sym_keyword_if_not_exists_token3,
  [aux_sym_keyword_temporary_token1] = aux_sym_keyword_temporary_token1,
  [aux_sym_keyword_temporary_token2] = aux_sym_keyword_temporary_token2,
  [aux_sym_keyword_replace_token1] = aux_sym_keyword_replace_token1,
  [aux_sym_keyword_replace_token2] = aux_sym_keyword_replace_token2,
  [aux_sym__keyword_schema_token1] = aux_sym__keyword_schema_token1,
  [aux_sym__keyword_column_token1] = aux_sym__keyword_column_token1,
  [aux_sym__keyword_alter_token1] = aux_sym__keyword_alter_token1,
  [aux_sym__keyword_rename_token1] = aux_sym__keyword_rename_token1,
  [aux_sym__keyword_create_token1] = aux_sym__keyword_create_token1,
  [aux_sym__keyword_add_token1] = aux_sym__keyword_add_token1,
  [aux_sym__keyword_drop_token1] = aux_sym__keyword_drop_token1,
  [aux_sym__keyword_from_token1] = aux_sym__keyword_from_token1,
  [aux_sym__keyword_replica_token1] = aux_sym__keyword_replica_token1,
  [aux_sym__keyword_distinct_token1] = aux_sym__keyword_distinct_token1,
  [aux_sym__keyword_format_token1] = aux_sym__keyword_format_token1,
  [aux_sym__keyword_delete_token1] = aux_sym__keyword_delete_token1,
  [aux_sym__keyword_tablesuffix_token1] = aux_sym__keyword_tablesuffix_token1,
  [aux_sym__keyword_begin_token1] = aux_sym__keyword_begin_token1,
  [aux_sym__keyword_end_token1] = aux_sym__keyword_end_token1,
  [aux_sym__keyword_struct_token1] = aux_sym__keyword_struct_token1,
  [aux_sym__keyword_range_token1] = aux_sym__keyword_range_token1,
  [aux_sym__keyword_array_token1] = aux_sym__keyword_array_token1,
  [aux_sym__keyword_returns_token1] = aux_sym__keyword_returns_token1,
  [aux_sym__keyword_between_token1] = aux_sym__keyword_between_token1,
  [aux_sym__keyword_case_token1] = aux_sym__keyword_case_token1,
  [aux_sym__keyword_when_token1] = aux_sym__keyword_when_token1,
  [aux_sym__keyword_then_token1] = aux_sym__keyword_then_token1,
  [aux_sym__keyword_else_token1] = aux_sym__keyword_else_token1,
  [aux_sym__keyword_is_token1] = aux_sym__keyword_is_token1,
  [aux_sym__keyword_in_token1] = aux_sym__keyword_in_token1,
  [aux_sym__keyword_and_token1] = aux_sym__keyword_and_token1,
  [aux_sym__keyword_like_token1] = aux_sym__keyword_like_token1,
  [aux_sym__keyword_repeat_token1] = aux_sym__keyword_repeat_token1,
  [aux_sym__keyword_as_token1] = anon_sym_AS,
  [aux_sym__keyword_cast_token1] = aux_sym__keyword_cast_token1,
  [aux_sym__keyword_cast_token2] = aux_sym__keyword_cast_token2,
  [aux_sym__keyword_window_token1] = aux_sym__keyword_window_token1,
  [aux_sym__keyword_partition_by_token1] = aux_sym__keyword_partition_by_token1,
  [aux_sym__keyword_partition_by_token2] = aux_sym__keyword_partition_by_token2,
  [aux_sym__keyword_date_token1] = aux_sym__keyword_date_token1,
  [aux_sym__keyword_datetime_token1] = aux_sym__keyword_datetime_token1,
  [aux_sym__keyword_time_token1] = aux_sym__keyword_time_token1,
  [aux_sym__keyword_timestamp_token1] = aux_sym__keyword_timestamp_token1,
  [aux_sym__keyword_for_token1] = aux_sym__keyword_for_token1,
  [aux_sym__keyword_partitiontime_token1] = aux_sym__keyword_partitiontime_token1,
  [aux_sym__keyword_system_as_of_token1] = aux_sym__keyword_system_as_of_token1,
  [aux_sym__keyword_system_as_of_token2] = aux_sym__keyword_system_as_of_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_default_clause_token1] = aux_sym_default_clause_token1,
  [aux_sym_set_statement_token1] = aux_sym_set_statement_token1,
  [aux_sym_set_statement_token2] = anon_sym_EQ,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_execute_immediate_statement_token1] = aux_sym_execute_immediate_statement_token1,
  [aux_sym_execute_immediate_statement_token2] = aux_sym_execute_immediate_statement_token1,
  [aux_sym_into_clause_token1] = aux_sym_into_clause_token1,
  [aux_sym_using_clause_token1] = aux_sym_using_clause_token1,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_call_statement_token1] = aux_sym_call_statement_token1,
  [aux_sym_begin_exception_end_statement_token1] = aux_sym_begin_exception_end_statement_token1,
  [aux_sym_begin_exception_end_statement_token2] = aux_sym_begin_exception_end_statement_token1,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_loop_statement_token1] = aux_sym_loop_statement_token1,
  [aux_sym_repeat_statement_token1] = aux_sym_repeat_statement_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [aux_sym_leave_statement_token1] = aux_sym_leave_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_iterate_statement_token1] = aux_sym_iterate_statement_token1,
  [aux_sym_raise_statement_token1] = aux_sym_raise_statement_token1,
  [aux_sym_raise_statement_token2] = aux_sym_raise_statement_token2,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_assert_statement_token1] = aux_sym_assert_statement_token1,
  [aux_sym_drop_schema_option_token1] = aux_sym_drop_schema_option_token1,
  [aux_sym_drop_schema_option_token2] = aux_sym_drop_schema_option_token2,
  [aux_sym_create_table_statement_token1] = aux_sym_create_table_statement_token1,
  [aux_sym_create_table_statement_token2] = aux_sym_create_table_statement_token2,
  [aux_sym_create_table_statement_token3] = aux_sym_create_table_statement_token3,
  [aux_sym_clone_clause_token1] = aux_sym_clone_clause_token1,
  [aux_sym_default_collate_clause_token1] = aux_sym_default_collate_clause_token1,
  [aux_sym_copy_clause_token1] = aux_sym_copy_clause_token1,
  [aux_sym_create_snapshot_table_statement_token1] = aux_sym_create_snapshot_table_statement_token1,
  [aux_sym_create_external_table_statement_token1] = aux_sym_create_external_table_statement_token1,
  [aux_sym_partition_columns_clause_token1] = aux_sym_partition_columns_clause_token1,
  [aux_sym_partition_columns_clause_token2] = aux_sym__keyword_partition_by_token1,
  [aux_sym_alter_table_rename_statement_token1] = aux_sym_alter_table_rename_statement_token1,
  [aux_sym_set_data_type_token1] = aux_sym_set_data_type_token1,
  [aux_sym_set_data_type_token2] = aux_sym_set_data_type_token2,
  [aux_sym_drop_notnull_token1] = aux_sym_keyword_if_not_exists_token2,
  [aux_sym_constraint_enfoce_option_token1] = aux_sym_constraint_enfoce_option_token1,
  [aux_sym_primary_key_token1] = aux_sym_primary_key_token1,
  [aux_sym_primary_key_token2] = aux_sym_primary_key_token1,
  [aux_sym_foreign_key_token1] = aux_sym_foreign_key_token1,
  [aux_sym_foreign_key_references_token1] = aux_sym_foreign_key_references_token1,
  [aux_sym_add_foreign_key_action_token1] = aux_sym_add_foreign_key_action_token1,
  [aux_sym_drop_table_statement_token1] = aux_sym_drop_table_statement_token1,
  [aux_sym_option_clause_token1] = anon_sym_OPTIONS,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [aux_sym_partition_expression_token1] = aux_sym_partition_expression_token1,
  [aux_sym_partition_expression_token2] = aux_sym_partition_expression_token2,
  [aux_sym_partition_expression_token3] = aux_sym_partition_expression_token3,
  [aux_sym_partition_expression_token4] = aux_sym_partition_expression_token4,
  [aux_sym_partition_expression_token5] = aux_sym_partition_expression_token5,
  [aux_sym_partition_expression_token6] = aux_sym_partition_expression_token6,
  [aux_sym_partition_expression_token7] = aux_sym_partition_expression_token7,
  [aux_sym_partition_expression_token8] = aux_sym_partition_expression_token8,
  [aux_sym_partition_expression_token9] = aux_sym_partition_expression_token9,
  [aux_sym_partition_expression_token10] = aux_sym_partition_expression_token10,
  [aux_sym_table_cluster_clause_token1] = aux_sym_table_cluster_clause_token1,
  [aux_sym_create_function_statement_token1] = aux_sym_create_function_statement_token1,
  [aux_sym_create_remote_function_statement_token1] = aux_sym_partition_columns_clause_token1,
  [aux_sym_create_remote_function_statement_token2] = aux_sym_partition_columns_clause_token1,
  [aux_sym__function_language_token1] = aux_sym__function_language_token1,
  [aux_sym_create_procedure_statement_token1] = aux_sym_create_procedure_statement_token1,
  [aux_sym_procedure_argument_token1] = aux_sym_procedure_argument_token1,
  [aux_sym_procedure_argument_token2] = aux_sym_procedure_argument_token2,
  [aux_sym_create_model_statement_token1] = aux_sym_create_model_statement_token1,
  [aux_sym_transoform_clause_token1] = aux_sym_transoform_clause_token1,
  [aux_sym_set_operation_token1] = aux_sym_set_operation_token1,
  [aux_sym_set_operation_token2] = aux_sym_set_operation_token2,
  [aux_sym_set_operation_token3] = aux_sym_set_operation_token3,
  [aux_sym_set_operation_token4] = aux_sym_set_operation_token4,
  [aux_sym_select_token1] = aux_sym_select_token1,
  [aux_sym_select_token2] = aux_sym_select_token2,
  [aux_sym_having_clause_token1] = aux_sym_having_clause_token1,
  [aux_sym_qualify_clause_token1] = aux_sym_qualify_clause_token1,
  [aux_sym_limit_clause_token1] = aux_sym_limit_clause_token1,
  [aux_sym_limit_clause_token2] = aux_sym_limit_clause_token2,
  [aux_sym_group_by_clause_token1] = aux_sym__keyword_partition_by_token2,
  [aux_sym_grouping_sets_token1] = aux_sym_grouping_sets_token1,
  [aux_sym_grouping_sets_token2] = aux_sym_grouping_sets_token1,
  [aux_sym_rollup_token1] = aux_sym_rollup_token1,
  [aux_sym_cube_token1] = aux_sym_cube_token1,
  [aux_sym_rows_range_token1] = aux_sym_rows_range_token1,
  [aux_sym_window_numeric_preceding_token1] = aux_sym_window_numeric_preceding_token1,
  [aux_sym_window_numeric_following_token1] = aux_sym_window_numeric_following_token1,
  [aux_sym_keyword_unbounded_preceding_token1] = aux_sym_keyword_unbounded_preceding_token1,
  [aux_sym_keyword_current_row_token1] = aux_sym_keyword_current_row_token1,
  [aux_sym_keyword_current_row_token2] = aux_sym_keyword_current_row_token2,
  [aux_sym_aggregation_threshold_clause_token1] = aux_sym_aggregation_threshold_clause_token1,
  [anon_sym_OPTIONS] = anon_sym_OPTIONS,
  [aux_sym_differential_privacy_clause_token1] = aux_sym_differential_privacy_clause_token1,
  [aux_sym__direction_keywords_token1] = aux_sym__direction_keywords_token1,
  [aux_sym__direction_keywords_token2] = aux_sym__direction_keywords_token2,
  [aux_sym__nulls_preference_token1] = aux_sym__nulls_preference_token1,
  [aux_sym__nulls_preference_token2] = aux_sym__nulls_preference_token2,
  [aux_sym__nulls_preference_token3] = aux_sym__nulls_preference_token3,
  [aux_sym_order_by_clause_token1] = aux_sym_order_by_clause_token1,
  [aux_sym_where_clause_token1] = aux_sym_where_clause_token1,
  [aux_sym_cte_clause_token1] = aux_sym_cte_clause_token1,
  [aux_sym_pivot_operator_token1] = aux_sym_pivot_operator_token1,
  [aux_sym_unpivot_operator_token1] = aux_sym_unpivot_operator_token1,
  [aux_sym_unpivot_operator_token2] = aux_sym_unpivot_operator_token2,
  [aux_sym_unpivot_operator_token3] = aux_sym_unpivot_operator_token3,
  [aux_sym_tablesample_operator_token1] = aux_sym_tablesample_operator_token1,
  [aux_sym_tablesample_operator_token2] = aux_sym_tablesample_operator_token1,
  [aux_sym_tablesample_operator_token3] = aux_sym_tablesample_operator_token3,
  [aux_sym_join_type_token1] = aux_sym_join_type_token1,
  [aux_sym_join_type_token2] = aux_sym_join_type_token2,
  [aux_sym_join_type_token3] = aux_sym_join_type_token3,
  [aux_sym_join_type_token4] = aux_sym_join_type_token4,
  [aux_sym_join_type_token5] = aux_sym_join_type_token5,
  [aux_sym__cross_join_operation_token1] = aux_sym__cross_join_operation_token1,
  [aux_sym__cross_join_operation_token2] = aux_sym__cross_join_operation_token2,
  [aux_sym_join_condition_token1] = aux_sym_join_condition_token1,
  [aux_sym_analytics_clause_token1] = aux_sym_analytics_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [aux_sym_function_call_token1] = aux_sym_function_call_token1,
  [aux_sym_function_call_token2] = sym_identifier,
  [aux_sym_having_max_clause_token1] = aux_sym_having_max_clause_token1,
  [aux_sym_having_min_clause_token1] = aux_sym_having_min_clause_token1,
  [aux_sym_unnest_operator_token1] = aux_sym_unnest_operator_token1,
  [aux_sym_insert_statement_token1] = aux_sym_insert_statement_token1,
  [aux_sym_values_clause_token1] = aux_sym_values_clause_token1,
  [aux_sym_truncate_statement_token1] = aux_sym_truncate_statement_token1,
  [aux_sym_update_statement_token1] = aux_sym_update_statement_token1,
  [aux_sym_merge_statement_token1] = aux_sym_merge_statement_token1,
  [aux_sym_merge_matched_clause_token1] = aux_sym__keyword_when_token1,
  [aux_sym_merge_not_matched_by_target_clause_token1] = aux_sym_merge_not_matched_by_target_clause_token1,
  [aux_sym_merge_not_matched_by_source_clause_token1] = aux_sym_merge_not_matched_by_source_clause_token1,
  [aux_sym_grant_statement_token1] = aux_sym_grant_statement_token1,
  [aux_sym_grant_statement_token2] = aux_sym_grant_statement_token2,
  [aux_sym_revoke_statement_token1] = aux_sym_revoke_statement_token1,
  [sym_privilege_role] = sym_privilege_role,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_user] = anon_sym_user,
  [anon_sym_group] = anon_sym_user,
  [anon_sym_serviceAccount] = anon_sym_user,
  [anon_sym_domain] = anon_sym_user,
  [anon_sym_specialGroup] = anon_sym_user,
  [anon_sym_COLON] = anon_sym_COLON,
  [aux_sym_privilege_user_token1] = aux_sym_privilege_user_token1,
  [aux_sym_export_data_statement_token1] = aux_sym_export_data_statement_token1,
  [anon_sym_AS] = anon_sym_AS,
  [aux_sym_load_data_statement_token1] = aux_sym_set_data_type_token1,
  [aux_sym_load_data_statement_token2] = aux_sym_load_data_statement_token2,
  [aux_sym_from_files_clause_token1] = aux_sym_from_files_clause_token1,
  [aux_sym_TRUE_token1] = aux_sym_TRUE_token1,
  [aux_sym_FALSE_token1] = aux_sym_FALSE_token1,
  [sym__integer] = sym__integer,
  [aux_sym__float_token1] = aux_sym__float_token1,
  [aux_sym__float_token2] = aux_sym__float_token2,
  [aux_sym__float_token3] = aux_sym__float_token3,
  [aux_sym_numeric_token1] = aux_sym_numeric_token1,
  [aux_sym_numeric_token2] = aux_sym_numeric_token2,
  [aux_sym_numeric_token3] = aux_sym_numeric_token3,
  [aux_sym_numeric_token4] = aux_sym_numeric_token4,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_interval_token1] = aux_sym_interval_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_range_content_token1] = aux_sym_range_content_token1,
  [aux_sym_json_token1] = aux_sym_json_token1,
  [sym_system_variable] = sym_system_variable,
  [sym__named_query_parameter] = sym__named_query_parameter,
  [sym__positional_query_parameter] = sym__positional_query_parameter,
  [sym__quoted_identifier] = sym__quoted_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_comment] = sym_comment,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_operator_compare] = anon_sym_operator_compare,
  [aux_sym_quantitve_like_operator_token1] = aux_sym_quantitve_like_operator_token1,
  [aux_sym_quantitve_like_operator_token2] = aux_sym_quantitve_like_operator_token2,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_argument_reference_token1] = aux_sym_argument_reference_token1,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_end,
  [sym_source_file] = sym_source_file,
  [sym_keyword_if_not_exists] = sym_keyword_if_not_exists,
  [sym_keyword_if_exists] = sym_keyword_if_exists,
  [sym_keyword_temporary] = sym_keyword_temporary,
  [sym_keyword_replace] = sym_keyword_replace,
  [sym__keyword_schema] = sym__keyword_schema,
  [sym__keyword_column] = sym__keyword_column,
  [sym__keyword_alter] = sym__keyword_alter,
  [sym__keyword_rename] = sym__keyword_rename,
  [sym__keyword_create] = sym__keyword_create,
  [sym__keyword_add] = sym__keyword_add,
  [sym__keyword_drop] = sym__keyword_drop,
  [sym__keyword_from] = sym__keyword_from,
  [sym__keyword_replica] = sym__keyword_replica,
  [sym__keyword_distinct] = sym__keyword_distinct,
  [sym__keyword_format] = sym__keyword_format,
  [sym__keyword_delete] = sym__keyword_delete,
  [sym__keyword_end] = sym__keyword_end,
  [sym__keyword_struct] = sym__keyword_struct,
  [sym__keyword_range] = sym__keyword_range,
  [sym__keyword_array] = sym__keyword_array,
  [sym__keyword_returns] = sym__keyword_returns,
  [sym__keyword_between] = sym__keyword_between,
  [sym__keyword_case] = sym__keyword_case,
  [sym__keyword_when] = sym__keyword_when,
  [sym__keyword_then] = sym__keyword_then,
  [sym__keyword_else] = sym__keyword_else,
  [sym__keyword_is] = sym__keyword_is,
  [sym__keyword_in] = sym__keyword_in,
  [sym__keyword_not] = sym__keyword_not,
  [sym__keyword_and] = sym__keyword_and,
  [sym__keyword_or] = sym__keyword_or,
  [sym__keyword_like] = sym__keyword_like,
  [sym__keyword_repeat] = sym__keyword_repeat,
  [sym__keyword_as] = sym__keyword_as,
  [sym__keyword_cast] = sym__keyword_cast,
  [sym__keyword_window] = sym__keyword_window,
  [sym__keyword_partition_by] = sym__keyword_partition_by,
  [sym__keyword_date] = sym__keyword_date,
  [sym__keyword_datetime] = sym__keyword_datetime,
  [sym__keyword_time] = sym__keyword_time,
  [sym__keyword_timestamp] = sym__keyword_timestamp,
  [sym__keyword_for] = sym__keyword_for,
  [sym__keyword_system_as_of] = sym__keyword_system_as_of,
  [sym__statement] = sym__statement,
  [aux_sym__statement_list] = aux_sym__statement_list,
  [sym_declare_statement] = sym_declare_statement,
  [sym_default_clause] = sym_default_clause,
  [sym_set_statement] = sym_set_statement,
  [sym_execute_immediate_statement] = sym_execute_immediate_statement,
  [sym_into_clause] = sym_into_clause,
  [sym_using_clause] = sym_using_clause,
  [sym_return_statement] = sym_return_statement,
  [sym_call_statement] = sym_call_statement,
  [sym_begin_end_statement] = sym_begin_end_statement,
  [sym_begin_exception_end_statement] = sym_begin_exception_end_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_loop_statement] = sym_loop_statement,
  [sym_repeat_statement] = sym_repeat_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_leave_statement] = sym_leave_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_iterate_statement] = sym_iterate_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_create_schema_statement] = sym_create_schema_statement,
  [sym__alter_schema_clause] = sym__alter_schema_clause,
  [sym_alter_schema_statement] = sym_alter_schema_statement,
  [sym_alter_schema_add_replica_statement] = sym_alter_schema_add_replica_statement,
  [sym_alter_schema_drop_replica_statement] = sym_alter_schema_drop_replica_statement,
  [sym_drop_schema_statement] = sym_drop_schema_statement,
  [sym_drop_schema_option] = sym_drop_schema_option,
  [sym_create_table_statement] = sym_create_table_statement,
  [sym_create_table_like_statement] = sym_create_table_like_statement,
  [sym_like_clause] = sym_like_clause,
  [sym_create_table_clone_statement] = sym_create_table_clone_statement,
  [sym_clone_clause] = sym_clone_clause,
  [sym_create_table_copy_statement] = sym_create_table_copy_statement,
  [sym_default_collate_clause] = sym_default_collate_clause,
  [sym_copy_clause] = sym_copy_clause,
  [sym_create_snapshot_table_statement] = sym_create_snapshot_table_statement,
  [sym_create_external_table_statement] = sym_create_external_table_statement,
  [sym_partition_columns_clause] = sym_partition_columns_clause,
  [sym_system_time_clause] = sym_system_time_clause,
  [sym_alter_table_statement] = sym_alter_table_statement,
  [sym_alter_table_rename_statement] = sym_alter_table_rename_statement,
  [sym_alter_table_column_statement] = sym_alter_table_column_statement,
  [sym_alter_column_actions_list] = sym_alter_column_actions_list,
  [sym_add_column_action] = sym_add_column_action,
  [sym_rename_column_action] = sym_rename_column_action,
  [sym_drop_column_action] = sym_drop_column_action,
  [sym_alter_column_action] = sym_alter_column_action,
  [sym_set_option] = sym_set_option,
  [sym_set_data_type] = sym_set_data_type,
  [sym_set_default] = sym_set_default,
  [sym_drop_notnull] = sym_drop_notnull,
  [sym_drop_default] = sym_drop_default,
  [sym_column_list] = sym_column_list,
  [sym_constraint_enfoce_option] = sym_constraint_enfoce_option,
  [sym_primary_key] = sym_primary_key,
  [sym_add_primary_key_action] = sym_add_primary_key_action,
  [sym_drop_primary_key_action] = sym_drop_primary_key_action,
  [sym_foreign_key] = sym_foreign_key,
  [sym_foreign_key_references] = sym_foreign_key_references,
  [sym_add_foreign_key_action] = sym_add_foreign_key_action,
  [sym_drop_constraint_action] = sym_drop_constraint_action,
  [sym_drop_table_statement] = sym_drop_table_statement,
  [sym_create_table_parameters] = sym_create_table_parameters,
  [sym_option_clause] = sym_option_clause,
  [sym_option_item] = sym_option_item,
  [sym_column_definition] = sym_column_definition,
  [sym_constraint_definition] = sym_constraint_definition,
  [sym_collate_clause] = sym_collate_clause,
  [sym_column_type] = sym_column_type,
  [sym__column_definition_type_array] = sym__column_definition_type_array,
  [sym__column_definition_type_struct] = sym__column_definition_type_struct,
  [sym_partition_expression] = sym_partition_expression,
  [sym_table_partition_clause] = sym_table_partition_clause,
  [sym_table_cluster_clause] = sym_table_cluster_clause,
  [sym_create_function_statement] = sym_create_function_statement,
  [sym_create_remote_function_statement] = sym_create_remote_function_statement,
  [sym__function_body_sql] = sym__function_body_sql,
  [sym__function_body_js] = sym__function_body_sql,
  [sym_create_function_return_clause] = sym_create_function_return_clause,
  [sym_drop_function_statement] = sym_drop_function_statement,
  [sym_create_table_function_statement] = sym_create_table_function_statement,
  [sym_create_table_function_body] = sym_create_table_function_body,
  [sym_drop_table_function_statement] = sym_drop_table_function_statement,
  [sym_create_table_function_returns] = sym_create_table_function_returns,
  [sym__function_language] = sym__function_language,
  [sym_create_function_parameter] = sym_create_function_parameter,
  [sym_create_function_parameters] = sym_create_function_parameters,
  [sym_create_procedure_statement] = sym_create_procedure_statement,
  [sym_procedure_parameters] = sym_procedure_parameters,
  [sym_procedure_body] = sym_procedure_body,
  [sym_procedure_argument] = sym_procedure_argument,
  [sym_drop_procedure_statement] = sym_drop_procedure_statement,
  [sym_create_model_statement] = sym_create_model_statement,
  [sym_transoform_clause] = sym_transoform_clause,
  [sym_drop_model_statement] = sym_drop_model_statement,
  [sym_query_statement] = sym_query_statement,
  [sym_set_operation] = sym_set_operation,
  [sym_query_expr] = sym_query_expr,
  [sym_select] = sym_select,
  [sym_select_list] = sym_select_list,
  [sym_select_all] = sym_select_all,
  [sym_select_all_except] = sym_select_all_except,
  [sym_select_all_replace] = sym_select_all_replace,
  [sym_select_replace_expression] = sym_select_replace_expression,
  [sym_having_clause] = sym_having_clause,
  [sym_qualify_clause] = sym_qualify_clause,
  [sym_limit_clause] = sym_limit_clause,
  [sym_group_by_clause] = sym_group_by_clause,
  [sym__grouping_list] = sym__grouping_list,
  [sym_grouping_all] = sym_grouping_all,
  [sym_grouping_sets] = sym_grouping_sets,
  [sym_grouping_item_sets] = sym_grouping_item_sets,
  [sym_rollup] = sym_rollup,
  [sym_cube] = sym_cube,
  [sym_grouping_empty] = sym_grouping_empty,
  [sym_grouping_item] = sym_grouping_item,
  [sym_over_clause] = sym_over_clause,
  [sym_window_specification] = sym_window_specification,
  [sym_window_partition_clause] = sym_window_partition_clause,
  [sym_window_frame_clause] = sym_window_frame_clause,
  [sym_rows_range] = sym_rows_range,
  [sym_window_frame_start] = sym_window_frame_start,
  [sym_window_frame_between] = sym_window_frame_between,
  [sym__window_frame_end_a] = sym__window_frame_end_a,
  [sym__window_frame_end_b] = sym__window_frame_end_b,
  [sym__window_frame_end_c] = sym__window_frame_end_a,
  [sym_window_numeric_preceding] = sym_window_numeric_preceding,
  [sym_window_numeric_following] = sym_window_numeric_following,
  [sym_keyword_unbounded_preceding] = sym_keyword_unbounded_preceding,
  [sym_keyword_unbounded_following] = sym_keyword_unbounded_following,
  [sym_keyword_current_row] = sym_keyword_current_row,
  [sym_named_window_expression] = sym_named_window_expression,
  [sym_aggregation_threshold_clause] = sym_aggregation_threshold_clause,
  [sym_differential_privacy_clause] = sym_differential_privacy_clause,
  [sym_window_clause] = sym_window_clause,
  [sym_order_by_clause_body] = sym_order_by_clause_body,
  [sym__direction_keywords] = sym__direction_keywords,
  [sym__nulls_preference] = sym__nulls_preference,
  [sym_order_by_clause] = sym_order_by_clause,
  [sym_where_clause] = sym_where_clause,
  [sym__aliasable_expression] = sym__aliasable_expression,
  [sym_as_alias] = sym_as_alias,
  [sym_cte_clause] = sym_cte_clause,
  [sym_cte] = sym_cte,
  [sym_from_clause] = sym_from_clause,
  [sym_pivot_value] = sym_pivot_value,
  [sym_pivot_operator] = sym_pivot_operator,
  [sym_unpivot_operator] = sym_unpivot_operator,
  [sym_single_column_unpivot] = sym_single_column_unpivot,
  [sym_multi_column_unpivot] = sym_multi_column_unpivot,
  [sym_unpivot_column] = sym_unpivot_column,
  [sym_tablesample_operator] = sym_tablesample_operator,
  [sym_from_item] = sym_from_item,
  [sym_join_operation] = sym_join_operation,
  [sym_join_type] = sym_join_type,
  [sym__cross_join_operation] = sym__cross_join_operation,
  [sym__conditional_join_operator] = sym__conditional_join_operator,
  [sym_join_condition] = sym_join_condition,
  [sym_select_subexpression] = sym_select_subexpression,
  [sym_analytics_clause] = sym_analytics_clause,
  [sym_bigquery_resource] = sym_bigquery_resource,
  [sym_argument] = sym_argument,
  [sym_function_call] = sym_function_call,
  [sym_having_max_clause] = sym_having_max_clause,
  [sym_having_min_clause] = sym_having_min_clause,
  [sym_unnest_operator] = sym_unnest_operator,
  [sym_unnest_clause] = sym_unnest_clause,
  [sym_unnest_withoffset] = sym_unnest_withoffset,
  [sym_insert_statement] = sym_insert_statement,
  [sym_values_clause] = sym_values_clause,
  [sym_value_element] = sym_value_element,
  [sym_delete_statement] = sym_delete_statement,
  [sym_truncate_statement] = sym_truncate_statement,
  [sym_update_statement] = sym_update_statement,
  [sym_set_clause] = sym_set_clause,
  [sym_update_item] = sym_update_item,
  [sym__assigment_expression] = sym__assigment_expression,
  [sym_merge_statement] = sym_merge_statement,
  [sym_merge_matched_clause] = sym_merge_matched_clause,
  [sym_merge_not_matched_by_target_clause] = sym_merge_not_matched_by_target_clause,
  [sym_merge_not_matched_by_source_clause] = sym_merge_not_matched_by_source_clause,
  [sym_merge_update_clause] = sym_merge_update_clause,
  [sym_merge_delete_clause] = sym_merge_delete_clause,
  [sym_merge_insert_clause] = sym_merge_insert_clause,
  [sym_insert_columns] = sym_insert_columns,
  [sym_grant_statement] = sym_grant_statement,
  [sym_revoke_statement] = sym_revoke_statement,
  [sym_privilege_user] = sym_privilege_user,
  [sym_object_type] = sym_object_type,
  [sym_export_data_statement] = sym_export_data_statement,
  [sym_load_data_statement] = sym_load_data_statement,
  [sym_with_connection_clause] = sym_with_connection_clause,
  [sym_from_files_clause] = sym_from_files_clause,
  [sym__literal] = sym__literal,
  [sym_NULL] = sym_NULL,
  [sym_TRUE] = sym_TRUE,
  [sym_FALSE] = sym_FALSE,
  [sym__float] = sym__float,
  [sym__float_or_integer] = sym__float_or_integer,
  [sym_numeric] = sym_numeric,
  [sym__number] = sym__number,
  [sym_interval] = sym_interval,
  [sym_range_boundary_start] = sym_range_boundary_start,
  [sym_range_boundary_end] = sym_range_boundary_end,
  [sym_range_content] = sym_range_content,
  [sym_range_start] = sym_range_start,
  [sym_range_end] = sym_range_end,
  [sym__range_string] = sym_string,
  [sym_range] = sym_range,
  [sym_time] = sym_time,
  [sym_number] = sym_number,
  [sym_json] = sym_json,
  [sym_query_parameter] = sym_query_parameter,
  [sym_type] = sym_type,
  [sym__bqtype] = sym__bqtype,
  [sym__type_chrono] = sym__type_chrono,
  [sym__type_struct] = sym__type_struct,
  [sym__type_array] = sym__type_array,
  [sym_array] = sym_array,
  [sym_struct] = sym_struct,
  [sym__identifier] = sym__identifier,
  [sym__dotted_identifier] = sym__dotted_identifier,
  [sym_identifier] = sym_identifier,
  [sym__base_type] = sym__base_type,
  [sym_string] = sym_string,
  [sym__expression] = sym__expression,
  [sym__parenthesized_expression] = sym__parenthesized_expression,
  [sym_element_access] = sym_element_access,
  [sym_field_access] = sym_field_access,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_like_operator] = sym_like_operator,
  [sym_quantitve_like_operator] = sym_quantitve_like_operator,
  [sym_quantitve_like_patterns] = sym_quantitve_like_patterns,
  [sym_between_operator] = sym_between_operator,
  [sym_casewhen_expression] = sym_casewhen_expression,
  [sym_casewhen_clause] = sym_casewhen_clause,
  [sym_caseelse_clause] = sym_caseelse_clause,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_format_clause] = sym_cast_format_clause,
  [sym_asterisk_expression] = sym_asterisk_expression,
  [sym_argument_reference] = sym_argument_reference,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_declare_statement_repeat1] = aux_sym_declare_statement_repeat1,
  [aux_sym_set_statement_repeat1] = aux_sym_set_statement_repeat1,
  [aux_sym_using_clause_repeat1] = aux_sym_using_clause_repeat1,
  [aux_sym_call_statement_repeat1] = aux_sym_call_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_alter_column_actions_list_repeat1] = aux_sym_alter_column_actions_list_repeat1,
  [aux_sym_create_table_parameters_repeat1] = aux_sym_create_table_parameters_repeat1,
  [aux_sym_option_clause_repeat1] = aux_sym_option_clause_repeat1,
  [aux_sym_column_type_repeat1] = aux_sym_column_type_repeat1,
  [aux_sym__column_definition_type_struct_repeat1] = aux_sym__column_definition_type_struct_repeat1,
  [aux_sym_create_function_parameters_repeat1] = aux_sym_create_function_parameters_repeat1,
  [aux_sym_procedure_parameters_repeat1] = aux_sym_procedure_parameters_repeat1,
  [aux_sym_select_list_repeat1] = aux_sym_select_list_repeat1,
  [aux_sym_select_all_except_repeat1] = aux_sym_select_all_except_repeat1,
  [aux_sym_select_all_replace_repeat1] = aux_sym_select_all_replace_repeat1,
  [aux_sym_group_by_clause_repeat1] = aux_sym_group_by_clause_repeat1,
  [aux_sym__grouping_list_repeat1] = aux_sym__grouping_list_repeat1,
  [aux_sym_grouping_sets_repeat1] = aux_sym_grouping_sets_repeat1,
  [aux_sym_window_partition_clause_repeat1] = aux_sym_window_partition_clause_repeat1,
  [aux_sym_order_by_clause_body_repeat1] = aux_sym_order_by_clause_body_repeat1,
  [aux_sym_cte_clause_repeat1] = aux_sym_cte_clause_repeat1,
  [aux_sym_pivot_operator_repeat1] = aux_sym_pivot_operator_repeat1,
  [aux_sym_pivot_operator_repeat2] = aux_sym_pivot_operator_repeat2,
  [aux_sym_single_column_unpivot_repeat1] = aux_sym_single_column_unpivot_repeat1,
  [aux_sym_multi_column_unpivot_repeat1] = aux_sym_multi_column_unpivot_repeat1,
  [aux_sym_join_condition_repeat1] = aux_sym_join_condition_repeat1,
  [aux_sym_function_call_repeat1] = aux_sym_function_call_repeat1,
  [aux_sym_values_clause_repeat1] = aux_sym_values_clause_repeat1,
  [aux_sym_set_clause_repeat1] = aux_sym_set_clause_repeat1,
  [aux_sym_merge_statement_repeat1] = aux_sym_merge_statement_repeat1,
  [aux_sym_grant_statement_repeat1] = aux_sym_grant_statement_repeat1,
  [aux_sym_grant_statement_repeat2] = aux_sym_grant_statement_repeat2,
  [aux_sym__type_struct_repeat1] = aux_sym__type_struct_repeat1,
  [aux_sym_struct_repeat1] = aux_sym_struct_repeat1,
  [aux_sym_identifier_repeat1] = aux_sym_identifier_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_quantitve_like_patterns_repeat1] = aux_sym_quantitve_like_patterns_repeat1,
  [aux_sym_casewhen_expression_repeat1] = aux_sym_casewhen_expression_repeat1,
  [anon_alias_sym_COLLATE] = anon_alias_sym_COLLATE,
  [anon_alias_sym_DISTINCT] = anon_alias_sym_DISTINCT,
  [anon_alias_sym_DROP] = anon_alias_sym_DROP,
  [anon_alias_sym_DROP_CONSTRAINT] = anon_alias_sym_DROP_CONSTRAINT,
  [anon_alias_sym_DROP_DEFAULT] = anon_alias_sym_DROP_DEFAULT,
  [anon_alias_sym_DROP_NOT_NULL] = anon_alias_sym_DROP_NOT_NULL,
  [anon_alias_sym_END] = anon_alias_sym_END,
  [anon_alias_sym_END_LOOP] = anon_alias_sym_END_LOOP,
  [anon_alias_sym_END_REPEAT] = anon_alias_sym_END_REPEAT,
  [anon_alias_sym_END_WHILE] = anon_alias_sym_END_WHILE,
  [anon_alias_sym_EXCEPT_DISTINCT] = anon_alias_sym_EXCEPT_DISTINCT,
  [anon_alias_sym_EXISTS] = anon_alias_sym_EXISTS,
  [anon_alias_sym_FOR] = anon_alias_sym_FOR,
  [anon_alias_sym_IF_EXISTS] = anon_alias_sym_IF_EXISTS,
  [anon_alias_sym_NOT] = anon_alias_sym_NOT,
  [anon_alias_sym_NOT_ENFORCED] = anon_alias_sym_NOT_ENFORCED,
  [anon_alias_sym_NULL] = anon_alias_sym_NULL,
  [anon_alias_sym_OFFSET] = anon_alias_sym_OFFSET,
  [anon_alias_sym_OR] = anon_alias_sym_OR,
  [anon_alias_sym_PARTITION_BY] = anon_alias_sym_PARTITION_BY,
  [anon_alias_sym_RENAME] = anon_alias_sym_RENAME,
  [anon_alias_sym_SET_DEFAULT] = anon_alias_sym_SET_DEFAULT,
  [anon_alias_sym_TABLE_FUNCTION] = anon_alias_sym_TABLE_FUNCTION,
  [anon_alias_sym_UNBOUNDED] = anon_alias_sym_UNBOUNDED,
  [anon_alias_sym_UNBOUNDED_FOLLOWING] = anon_alias_sym_UNBOUNDED_FOLLOWING,
  [anon_alias_sym_UNION_DISTINCT] = anon_alias_sym_UNION_DISTINCT,
  [anon_alias_sym_UPDATE_SET] = anon_alias_sym_UPDATE_SET,
  [anon_alias_sym_WHEN] = anon_alias_sym_WHEN,
  [anon_alias_sym_WHEN_NOT_MATCHED] = anon_alias_sym_WHEN_NOT_MATCHED,
  [anon_alias_sym_WITH] = anon_alias_sym_WITH,
  [anon_alias_sym_WITH_CONNECTION] = anon_alias_sym_WITH_CONNECTION,
  [alias_sym_between_from] = alias_sym_between_from,
  [alias_sym_connection_path] = alias_sym_connection_path,
  [alias_sym_create_table_function_parameters] = alias_sym_create_table_function_parameters,
  [alias_sym_datetime_part] = alias_sym_datetime_part,
  [alias_sym_distinct] = alias_sym_distinct,
  [alias_sym_else_statement] = alias_sym_else_statement,
  [alias_sym_elseif_statement] = alias_sym_elseif_statement,
  [alias_sym_having_expression] = alias_sym_having_expression,
  [alias_sym_input_column] = alias_sym_input_column,
  [alias_sym_language] = alias_sym_language,
  [alias_sym_like_pattern] = alias_sym_like_pattern,
  [alias_sym_load_data_table_parameters] = alias_sym_load_data_table_parameters,
  [alias_sym_merge_condition] = alias_sym_merge_condition,
  [alias_sym_name_column] = alias_sym_name_column,
  [alias_sym_partition_columns] = alias_sym_partition_columns,
  [alias_sym_pivot_column] = alias_sym_pivot_column,
  [alias_sym_range_type] = alias_sym_range_type,
  [alias_sym_search_condition] = alias_sym_search_condition,
  [alias_sym_select_expression] = alias_sym_select_expression,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
  [alias_sym_unpivot_value] = alias_sym_unpivot_value,
  [alias_sym_until_clause] = alias_sym_until_clause,
  [alias_sym_using_expression] = alias_sym_using_expression,
  [alias_sym_variable_type] = alias_sym_variable_type,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__unquoted_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_keyword_if_not_exists_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_if_not_exists_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_if_not_exists_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_temporary_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_temporary_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_replace_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_replace_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_schema_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_column_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_alter_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_rename_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_create_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_add_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_drop_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_from_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_replica_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_distinct_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_format_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_delete_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_tablesuffix_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_begin_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_end_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_struct_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_range_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_array_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_returns_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_between_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_when_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_then_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_is_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_in_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_and_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_like_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_repeat_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_as_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_cast_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_cast_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_window_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_partition_by_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_partition_by_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_date_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_datetime_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_time_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_timestamp_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_for_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_partitiontime_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_system_as_of_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__keyword_system_as_of_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_default_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_execute_immediate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_execute_immediate_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_into_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_using_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_call_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_begin_exception_end_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_begin_exception_end_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_repeat_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_leave_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_iterate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_raise_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_raise_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assert_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_schema_option_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_schema_option_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_table_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_table_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_table_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_default_collate_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_copy_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_snapshot_table_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_external_table_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_columns_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_columns_clause_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_alter_table_rename_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_data_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_data_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_notnull_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_constraint_enfoce_option_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primary_key_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primary_key_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreign_key_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreign_key_references_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_add_foreign_key_action_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_drop_table_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_option_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_partition_expression_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_table_cluster_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_remote_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_remote_function_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__function_language_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_argument_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_argument_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_create_model_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_transoform_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_operation_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_operation_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_operation_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_set_operation_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_having_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_qualify_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_limit_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_limit_clause_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_group_by_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_grouping_sets_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_grouping_sets_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_rollup_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cube_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_rows_range_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_window_numeric_preceding_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_window_numeric_following_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_unbounded_preceding_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_current_row_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_current_row_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_aggregation_threshold_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_OPTIONS] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_differential_privacy_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__direction_keywords_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__direction_keywords_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__nulls_preference_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__nulls_preference_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__nulls_preference_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_order_by_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_where_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cte_clause_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_pivot_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unpivot_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unpivot_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unpivot_operator_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tablesample_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tablesample_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tablesample_operator_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_type_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__cross_join_operation_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__cross_join_operation_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_join_condition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_analytics_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_call_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_call_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_having_max_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_having_min_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unnest_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_insert_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_values_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_truncate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_update_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_merge_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_merge_matched_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_merge_not_matched_by_target_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_merge_not_matched_by_source_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_grant_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_grant_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_revoke_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_privilege_role] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_user] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_group] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_serviceAccount] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_domain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_specialGroup] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_privilege_user_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_export_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AS] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_load_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_load_data_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_from_files_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_TRUE_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_FALSE_token1] = {
    .visible = true,
    .named = false,
  },
  [sym__integer] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__float_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__float_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__float_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_numeric_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_numeric_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_numeric_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_numeric_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interval_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_range_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_json_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_system_variable] = {
    .visible = true,
    .named = true,
  },
  [sym__named_query_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__positional_query_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator_compare] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quantitve_like_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quantitve_like_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_argument_reference_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_if_not_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_if_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temporary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replace] = {
    .visible = true,
    .named = true,
  },
  [sym__keyword_schema] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_column] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_alter] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_rename] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_create] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_add] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_drop] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_from] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_replica] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_distinct] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_format] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_delete] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_end] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_struct] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_range] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_array] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_returns] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_between] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_case] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_when] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_then] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_else] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_is] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_in] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_not] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_and] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_or] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_like] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_repeat] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_as] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_cast] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_window] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_partition_by] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_date] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_datetime] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_time] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_timestamp] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_for] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_system_as_of] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statement_list] = {
    .visible = false,
    .named = false,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_set_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_execute_immediate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_into_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_using_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_call_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_begin_end_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_begin_exception_end_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_iterate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_schema_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_schema_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_alter_schema_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_schema_add_replica_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_schema_drop_replica_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_schema_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_schema_option] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_like_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_like_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_clone_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_copy_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_collate_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_copy_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_create_snapshot_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_external_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_partition_columns_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_system_time_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_table_rename_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_table_column_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_column_actions_list] = {
    .visible = true,
    .named = true,
  },
  [sym_add_column_action] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_column_action] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_column_action] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_column_action] = {
    .visible = true,
    .named = true,
  },
  [sym_set_option] = {
    .visible = true,
    .named = true,
  },
  [sym_set_data_type] = {
    .visible = true,
    .named = true,
  },
  [sym_set_default] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_notnull] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_default] = {
    .visible = true,
    .named = true,
  },
  [sym_column_list] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_enfoce_option] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_key] = {
    .visible = true,
    .named = true,
  },
  [sym_add_primary_key_action] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_primary_key_action] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_key] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_key_references] = {
    .visible = true,
    .named = true,
  },
  [sym_add_foreign_key_action] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_constraint_action] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_table_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_option_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_option_item] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_collate_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_column_type] = {
    .visible = true,
    .named = true,
  },
  [sym__column_definition_type_array] = {
    .visible = false,
    .named = true,
  },
  [sym__column_definition_type_struct] = {
    .visible = false,
    .named = true,
  },
  [sym_partition_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_table_partition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_table_cluster_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_remote_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body_sql] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body_js] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function_return_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_table_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table_function_returns] = {
    .visible = true,
    .named = true,
  },
  [sym__function_language] = {
    .visible = false,
    .named = true,
  },
  [sym_create_function_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_create_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_body] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_model_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_transoform_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_model_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_query_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_set_operation] = {
    .visible = true,
    .named = true,
  },
  [sym_query_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_select] = {
    .visible = true,
    .named = true,
  },
  [sym_select_list] = {
    .visible = true,
    .named = true,
  },
  [sym_select_all] = {
    .visible = true,
    .named = true,
  },
  [sym_select_all_except] = {
    .visible = true,
    .named = true,
  },
  [sym_select_all_replace] = {
    .visible = true,
    .named = true,
  },
  [sym_select_replace_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_having_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualify_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_limit_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_group_by_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__grouping_list] = {
    .visible = false,
    .named = true,
  },
  [sym_grouping_all] = {
    .visible = true,
    .named = true,
  },
  [sym_grouping_sets] = {
    .visible = true,
    .named = true,
  },
  [sym_grouping_item_sets] = {
    .visible = true,
    .named = true,
  },
  [sym_rollup] = {
    .visible = true,
    .named = true,
  },
  [sym_cube] = {
    .visible = true,
    .named = true,
  },
  [sym_grouping_empty] = {
    .visible = true,
    .named = true,
  },
  [sym_grouping_item] = {
    .visible = true,
    .named = true,
  },
  [sym_over_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_window_partition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_rows_range] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame_start] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame_between] = {
    .visible = true,
    .named = true,
  },
  [sym__window_frame_end_a] = {
    .visible = true,
    .named = true,
  },
  [sym__window_frame_end_b] = {
    .visible = false,
    .named = true,
  },
  [sym__window_frame_end_c] = {
    .visible = true,
    .named = true,
  },
  [sym_window_numeric_preceding] = {
    .visible = true,
    .named = true,
  },
  [sym_window_numeric_following] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unbounded_preceding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unbounded_following] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current_row] = {
    .visible = true,
    .named = true,
  },
  [sym_named_window_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_aggregation_threshold_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_differential_privacy_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_order_by_clause_body] = {
    .visible = true,
    .named = true,
  },
  [sym__direction_keywords] = {
    .visible = false,
    .named = true,
  },
  [sym__nulls_preference] = {
    .visible = false,
    .named = true,
  },
  [sym_order_by_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__aliasable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_as_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_cte_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_cte] = {
    .visible = true,
    .named = true,
  },
  [sym_from_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pivot_value] = {
    .visible = true,
    .named = true,
  },
  [sym_pivot_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unpivot_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_single_column_unpivot] = {
    .visible = true,
    .named = true,
  },
  [sym_multi_column_unpivot] = {
    .visible = true,
    .named = true,
  },
  [sym_unpivot_column] = {
    .visible = true,
    .named = true,
  },
  [sym_tablesample_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_from_item] = {
    .visible = true,
    .named = true,
  },
  [sym_join_operation] = {
    .visible = true,
    .named = true,
  },
  [sym_join_type] = {
    .visible = true,
    .named = true,
  },
  [sym__cross_join_operation] = {
    .visible = false,
    .named = true,
  },
  [sym__conditional_join_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_join_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_select_subexpression] = {
    .visible = true,
    .named = true,
  },
  [sym_analytics_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_bigquery_resource] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_having_max_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_having_min_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_unnest_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unnest_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_unnest_withoffset] = {
    .visible = true,
    .named = true,
  },
  [sym_insert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_values_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_value_element] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_truncate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_update_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_set_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_update_item] = {
    .visible = true,
    .named = true,
  },
  [sym__assigment_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_merge_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_matched_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_not_matched_by_target_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_not_matched_by_source_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_update_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_delete_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_merge_insert_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_insert_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_grant_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_revoke_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_privilege_user] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_export_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_load_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_connection_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_from_files_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_NULL] = {
    .visible = true,
    .named = true,
  },
  [sym_TRUE] = {
    .visible = true,
    .named = true,
  },
  [sym_FALSE] = {
    .visible = true,
    .named = true,
  },
  [sym__float] = {
    .visible = false,
    .named = true,
  },
  [sym__float_or_integer] = {
    .visible = false,
    .named = true,
  },
  [sym_numeric] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = false,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_range_boundary_start] = {
    .visible = true,
    .named = true,
  },
  [sym_range_boundary_end] = {
    .visible = true,
    .named = true,
  },
  [sym_range_content] = {
    .visible = true,
    .named = true,
  },
  [sym_range_start] = {
    .visible = true,
    .named = true,
  },
  [sym_range_end] = {
    .visible = true,
    .named = true,
  },
  [sym__range_string] = {
    .visible = true,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [sym_time] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_json] = {
    .visible = true,
    .named = true,
  },
  [sym_query_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__bqtype] = {
    .visible = false,
    .named = true,
  },
  [sym__type_chrono] = {
    .visible = false,
    .named = true,
  },
  [sym__type_struct] = {
    .visible = false,
    .named = true,
  },
  [sym__type_array] = {
    .visible = false,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_struct] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__dotted_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__base_type] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_element_access] = {
    .visible = true,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_like_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_quantitve_like_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_quantitve_like_patterns] = {
    .visible = true,
    .named = true,
  },
  [sym_between_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_casewhen_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_casewhen_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_caseelse_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_format_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_reference] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declare_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_using_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_column_actions_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_table_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_option_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_definition_type_struct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_function_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_all_except_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_all_replace_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_group_by_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__grouping_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grouping_sets_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_window_partition_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_clause_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cte_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pivot_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pivot_operator_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_single_column_unpivot_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multi_column_unpivot_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_join_condition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_values_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_merge_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grant_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grant_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_struct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quantitve_like_patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_casewhen_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_COLLATE] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DISTINCT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_CONSTRAINT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_DEFAULT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_DROP_NOT_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_END] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_END_LOOP] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_END_REPEAT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_END_WHILE] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_EXCEPT_DISTINCT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_EXISTS] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_FOR] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_IF_EXISTS] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_NOT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_NOT_ENFORCED] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_OFFSET] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_OR] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_PARTITION_BY] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_RENAME] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_SET_DEFAULT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_TABLE_FUNCTION] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_UNBOUNDED] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_UNBOUNDED_FOLLOWING] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_UNION_DISTINCT] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_UPDATE_SET] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_WHEN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_WHEN_NOT_MATCHED] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_WITH] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_WITH_CONNECTION] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_between_from] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_connection_path] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_create_table_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_datetime_part] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_distinct] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_elseif_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_having_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_input_column] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_language] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_like_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_load_data_table_parameters] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_merge_condition] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_name_column] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_partition_columns] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_pivot_column] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_range_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_search_condition] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_select_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unpivot_value] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_until_clause] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_using_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_variable_type] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_actions = 1,
  field_alias = 2,
  field_alias_name = 3,
  field_argument = 4,
  field_argument_mode = 5,
  field_collate_clause = 6,
  field_column_list = 7,
  field_column_name = 8,
  field_column_schema = 9,
  field_column_type = 10,
  field_connection_name = 11,
  field_constraint_clause = 12,
  field_constraint_name = 13,
  field_default = 14,
  field_default_value = 15,
  field_else_result = 16,
  field_except_key = 17,
  field_exp = 18,
  field_expr = 19,
  field_format_type = 20,
  field_from = 21,
  field_function = 22,
  field_key = 23,
  field_keys = 24,
  field_keyword = 25,
  field_left = 26,
  field_load_option_list = 27,
  field_match_condition = 28,
  field_match_result = 29,
  field_model_name = 30,
  field_new_column_name = 31,
  field_new_table_name = 32,
  field_not_null = 33,
  field_nulls_preference = 34,
  field_operator = 35,
  field_option = 36,
  field_order = 37,
  field_referenced_column_list = 38,
  field_referenced_table_name = 39,
  field_replica_name = 40,
  field_resource_type = 41,
  field_right = 42,
  field_routine_name = 43,
  field_sample_rate = 44,
  field_schema_name = 45,
  field_source_name = 46,
  field_source_table_name = 47,
  field_table_name = 48,
  field_to = 49,
  field_value = 50,
  field_variable_type = 51,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_actions] = "actions",
  [field_alias] = "alias",
  [field_alias_name] = "alias_name",
  [field_argument] = "argument",
  [field_argument_mode] = "argument_mode",
  [field_collate_clause] = "collate_clause",
  [field_column_list] = "column_list",
  [field_column_name] = "column_name",
  [field_column_schema] = "column_schema",
  [field_column_type] = "column_type",
  [field_connection_name] = "connection_name",
  [field_constraint_clause] = "constraint_clause",
  [field_constraint_name] = "constraint_name",
  [field_default] = "default",
  [field_default_value] = "default_value",
  [field_else_result] = "else_result",
  [field_except_key] = "except_key",
  [field_exp] = "exp",
  [field_expr] = "expr",
  [field_format_type] = "format_type",
  [field_from] = "from",
  [field_function] = "function",
  [field_key] = "key",
  [field_keys] = "keys",
  [field_keyword] = "keyword",
  [field_left] = "left",
  [field_load_option_list] = "load_option_list",
  [field_match_condition] = "match_condition",
  [field_match_result] = "match_result",
  [field_model_name] = "model_name",
  [field_new_column_name] = "new_column_name",
  [field_new_table_name] = "new_table_name",
  [field_not_null] = "not_null",
  [field_nulls_preference] = "nulls_preference",
  [field_operator] = "operator",
  [field_option] = "option",
  [field_order] = "order",
  [field_referenced_column_list] = "referenced_column_list",
  [field_referenced_table_name] = "referenced_table_name",
  [field_replica_name] = "replica_name",
  [field_resource_type] = "resource_type",
  [field_right] = "right",
  [field_routine_name] = "routine_name",
  [field_sample_rate] = "sample_rate",
  [field_schema_name] = "schema_name",
  [field_source_name] = "source_name",
  [field_source_table_name] = "source_table_name",
  [field_table_name] = "table_name",
  [field_to] = "to",
  [field_value] = "value",
  [field_variable_type] = "variable_type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [9] = {.index = 0, .length = 1},
  [10] = {.index = 1, .length = 1},
  [11] = {.index = 2, .length = 1},
  [12] = {.index = 1, .length = 1},
  [14] = {.index = 3, .length = 2},
  [15] = {.index = 5, .length = 1},
  [18] = {.index = 6, .length = 1},
  [19] = {.index = 7, .length = 1},
  [20] = {.index = 8, .length = 1},
  [21] = {.index = 9, .length = 1},
  [23] = {.index = 8, .length = 1},
  [24] = {.index = 10, .length = 1},
  [25] = {.index = 11, .length = 1},
  [27] = {.index = 2, .length = 1},
  [30] = {.index = 12, .length = 1},
  [31] = {.index = 13, .length = 3},
  [32] = {.index = 13, .length = 3},
  [33] = {.index = 16, .length = 1},
  [34] = {.index = 17, .length = 1},
  [36] = {.index = 18, .length = 1},
  [37] = {.index = 19, .length = 1},
  [41] = {.index = 20, .length = 2},
  [42] = {.index = 22, .length = 1},
  [43] = {.index = 23, .length = 1},
  [44] = {.index = 23, .length = 1},
  [45] = {.index = 23, .length = 1},
  [46] = {.index = 24, .length = 1},
  [47] = {.index = 25, .length = 1},
  [48] = {.index = 23, .length = 1},
  [49] = {.index = 23, .length = 1},
  [50] = {.index = 25, .length = 1},
  [51] = {.index = 26, .length = 2},
  [53] = {.index = 28, .length = 2},
  [54] = {.index = 28, .length = 2},
  [55] = {.index = 28, .length = 2},
  [56] = {.index = 28, .length = 2},
  [57] = {.index = 30, .length = 2},
  [58] = {.index = 32, .length = 1},
  [59] = {.index = 33, .length = 1},
  [60] = {.index = 34, .length = 2},
  [61] = {.index = 2, .length = 1},
  [62] = {.index = 30, .length = 2},
  [64] = {.index = 36, .length = 4},
  [66] = {.index = 40, .length = 2},
  [70] = {.index = 42, .length = 1},
  [73] = {.index = 43, .length = 1},
  [75] = {.index = 44, .length = 1},
  [76] = {.index = 44, .length = 1},
  [77] = {.index = 44, .length = 1},
  [78] = {.index = 44, .length = 1},
  [79] = {.index = 44, .length = 1},
  [80] = {.index = 45, .length = 1},
  [81] = {.index = 46, .length = 1},
  [82] = {.index = 44, .length = 1},
  [83] = {.index = 44, .length = 1},
  [85] = {.index = 47, .length = 1},
  [86] = {.index = 48, .length = 1},
  [87] = {.index = 49, .length = 1},
  [88] = {.index = 50, .length = 2},
  [90] = {.index = 52, .length = 3},
  [92] = {.index = 55, .length = 2},
  [94] = {.index = 57, .length = 2},
  [95] = {.index = 59, .length = 1},
  [96] = {.index = 60, .length = 3},
  [97] = {.index = 63, .length = 2},
  [98] = {.index = 65, .length = 1},
  [99] = {.index = 52, .length = 3},
  [102] = {.index = 66, .length = 3},
  [103] = {.index = 69, .length = 5},
  [105] = {.index = 74, .length = 3},
  [109] = {.index = 77, .length = 1},
  [110] = {.index = 78, .length = 1},
  [111] = {.index = 23, .length = 1},
  [112] = {.index = 79, .length = 2},
  [114] = {.index = 81, .length = 1},
  [115] = {.index = 82, .length = 1},
  [117] = {.index = 83, .length = 2},
  [120] = {.index = 85, .length = 1},
  [121] = {.index = 85, .length = 1},
  [122] = {.index = 85, .length = 1},
  [123] = {.index = 85, .length = 1},
  [125] = {.index = 86, .length = 2},
  [126] = {.index = 86, .length = 2},
  [127] = {.index = 88, .length = 2},
  [128] = {.index = 90, .length = 3},
  [129] = {.index = 93, .length = 3},
  [130] = {.index = 96, .length = 4},
  [131] = {.index = 2, .length = 1},
  [133] = {.index = 100, .length = 3},
  [137] = {.index = 103, .length = 6},
  [138] = {.index = 109, .length = 3},
  [140] = {.index = 28, .length = 2},
  [141] = {.index = 112, .length = 1},
  [142] = {.index = 113, .length = 2},
  [143] = {.index = 115, .length = 2},
  [144] = {.index = 7, .length = 1},
  [145] = {.index = 117, .length = 2},
  [147] = {.index = 119, .length = 2},
  [148] = {.index = 121, .length = 2},
  [149] = {.index = 81, .length = 1},
  [150] = {.index = 123, .length = 1},
  [151] = {.index = 124, .length = 1},
  [152] = {.index = 25, .length = 1},
  [153] = {.index = 125, .length = 1},
  [154] = {.index = 126, .length = 3},
  [155] = {.index = 129, .length = 3},
  [156] = {.index = 132, .length = 3},
  [157] = {.index = 135, .length = 3},
  [158] = {.index = 138, .length = 1},
  [159] = {.index = 46, .length = 1},
  [160] = {.index = 139, .length = 1},
  [161] = {.index = 140, .length = 1},
  [162] = {.index = 141, .length = 1},
  [163] = {.index = 142, .length = 4},
  [165] = {.index = 146, .length = 1},
  [169] = {.index = 8, .length = 1},
  [170] = {.index = 147, .length = 2},
  [171] = {.index = 7, .length = 1},
  [172] = {.index = 117, .length = 2},
  [173] = {.index = 149, .length = 2},
  [174] = {.index = 123, .length = 1},
  [176] = {.index = 151, .length = 2},
  [177] = {.index = 46, .length = 1},
  [178] = {.index = 153, .length = 4},
  [180] = {.index = 157, .length = 4},
  [181] = {.index = 161, .length = 4},
  [182] = {.index = 165, .length = 4},
  [183] = {.index = 169, .length = 4},
  [184] = {.index = 173, .length = 4},
  [185] = {.index = 177, .length = 4},
  [188] = {.index = 46, .length = 1},
  [189] = {.index = 181, .length = 2},
  [193] = {.index = 8, .length = 1},
  [194] = {.index = 147, .length = 2},
  [195] = {.index = 183, .length = 2},
  [196] = {.index = 7, .length = 1},
  [197] = {.index = 117, .length = 2},
  [198] = {.index = 149, .length = 2},
  [199] = {.index = 185, .length = 1},
  [201] = {.index = 186, .length = 1},
  [202] = {.index = 187, .length = 2},
  [203] = {.index = 189, .length = 5},
  [204] = {.index = 194, .length = 5},
  [205] = {.index = 199, .length = 5},
  [206] = {.index = 204, .length = 5},
  [207] = {.index = 209, .length = 5},
  [208] = {.index = 214, .length = 5},
  [209] = {.index = 219, .length = 5},
  [210] = {.index = 224, .length = 5},
  [211] = {.index = 229, .length = 5},
  [212] = {.index = 234, .length = 2},
  [213] = {.index = 236, .length = 1},
  [214] = {.index = 236, .length = 1},
  [219] = {.index = 237, .length = 1},
  [220] = {.index = 238, .length = 1},
  [221] = {.index = 8, .length = 1},
  [222] = {.index = 147, .length = 2},
  [223] = {.index = 183, .length = 2},
  [224] = {.index = 7, .length = 1},
  [225] = {.index = 149, .length = 2},
  [226] = {.index = 239, .length = 2},
  [227] = {.index = 241, .length = 1},
  [228] = {.index = 241, .length = 1},
  [229] = {.index = 242, .length = 1},
  [231] = {.index = 243, .length = 6},
  [232] = {.index = 249, .length = 6},
  [233] = {.index = 255, .length = 6},
  [234] = {.index = 261, .length = 6},
  [235] = {.index = 267, .length = 6},
  [236] = {.index = 273, .length = 6},
  [237] = {.index = 279, .length = 6},
  [238] = {.index = 285, .length = 6},
  [239] = {.index = 291, .length = 6},
  [240] = {.index = 297, .length = 6},
  [241] = {.index = 303, .length = 2},
  [244] = {.index = 305, .length = 1},
  [245] = {.index = 306, .length = 2},
  [246] = {.index = 308, .length = 2},
  [247] = {.index = 8, .length = 1},
  [248] = {.index = 183, .length = 2},
  [250] = {.index = 310, .length = 7},
  [251] = {.index = 317, .length = 7},
  [252] = {.index = 324, .length = 7},
  [253] = {.index = 331, .length = 7},
  [254] = {.index = 338, .length = 7},
  [255] = {.index = 345, .length = 7},
  [256] = {.index = 352, .length = 7},
  [257] = {.index = 359, .length = 7},
  [258] = {.index = 366, .length = 2},
  [262] = {.index = 368, .length = 8},
  [263] = {.index = 376, .length = 8},
  [264] = {.index = 384, .length = 2},
  [265] = {.index = 386, .length = 8},
  [266] = {.index = 394, .length = 8},
  [267] = {.index = 402, .length = 8},
  [268] = {.index = 410, .length = 2},
  [273] = {.index = 412, .length = 9},
  [274] = {.index = 421, .length = 9},
  [275] = {.index = 430, .length = 9},
  [278] = {.index = 439, .length = 1},
  [279] = {.index = 440, .length = 10},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_schema_name, 0, .inherited = true},
  [1] =
    {field_operator, 0},
  [2] =
    {field_function, 0},
  [3] =
    {field_operator, 0},
    {field_value, 1},
  [5] =
    {field_alias_name, 0},
  [6] =
    {field_variable_type, 2},
  [7] =
    {field_table_name, 1},
  [8] =
    {field_table_name, 2},
  [9] =
    {field_schema_name, 2},
  [10] =
    {field_model_name, 2},
  [11] =
    {field_routine_name, 2},
  [12] =
    {field_alias_name, 1},
  [13] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [16] =
    {field_variable_type, 3},
  [17] =
    {field_routine_name, 1},
  [18] =
    {field_operator, 0, .inherited = true},
  [19] =
    {field_table_name, 0},
  [20] =
    {field_actions, 3},
    {field_table_name, 2},
  [22] =
    {field_schema_name, 3},
  [23] =
    {field_table_name, 3},
  [24] =
    {field_model_name, 3},
  [25] =
    {field_routine_name, 3},
  [26] =
    {field_replica_name, 3},
    {field_schema_name, 0, .inherited = true},
  [28] =
    {field_operator, 1},
    {field_operator, 2},
  [30] =
    {field_argument, 2},
    {field_function, 0},
  [32] =
    {field_expr, 1},
  [33] =
    {field_else_result, 1},
  [34] =
    {field_resource_type, 0},
    {field_resource_type, 1},
  [36] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 2},
    {field_right, 3},
  [40] =
    {field_argument, 3},
    {field_routine_name, 1},
  [42] =
    {field_connection_name, 2},
  [43] =
    {field_source_table_name, 1},
  [44] =
    {field_table_name, 4},
  [45] =
    {field_model_name, 4},
  [46] =
    {field_routine_name, 4},
  [47] =
    {field_order, 0},
  [48] =
    {field_order, 1, .inherited = true},
  [49] =
    {field_nulls_preference, 1, .inherited = true},
  [50] =
    {field_nulls_preference, 1, .inherited = true},
    {field_order, 1, .inherited = true},
  [52] =
    {field_argument, 2},
    {field_argument, 3},
    {field_function, 0},
  [55] =
    {field_match_condition, 1},
    {field_match_result, 3},
  [57] =
    {field_argument, 3},
    {field_function, 0},
  [59] =
    {field_argument, 1},
  [60] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_function, 0},
  [63] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [65] =
    {field_keyword, 0},
  [66] =
    {field_exp, 0},
    {field_from, 2},
    {field_to, 4},
  [69] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 2},
    {field_operator, 3},
    {field_right, 4},
  [74] =
    {field_argument, 3},
    {field_argument, 4, .inherited = true},
    {field_routine_name, 1},
  [77] =
    {field_operator, 1},
  [78] =
    {field_except_key, 2},
  [79] =
    {field_new_table_name, 5},
    {field_table_name, 2},
  [81] =
    {field_constraint_name, 2},
  [82] =
    {field_column_name, 2},
  [83] =
    {field_column_name, 0},
    {field_column_type, 1},
  [85] =
    {field_table_name, 5},
  [86] =
    {field_nulls_preference, 0},
    {field_nulls_preference, 1},
  [88] =
    {field_nulls_preference, 2, .inherited = true},
    {field_order, 1, .inherited = true},
  [90] =
    {field_nulls_preference, 2, .inherited = true},
    {field_order, 1, .inherited = true},
    {field_order, 2, .inherited = true},
  [93] =
    {field_nulls_preference, 1, .inherited = true},
    {field_nulls_preference, 2, .inherited = true},
    {field_order, 2, .inherited = true},
  [96] =
    {field_nulls_preference, 0, .inherited = true},
    {field_nulls_preference, 1, .inherited = true},
    {field_order, 0, .inherited = true},
    {field_order, 1, .inherited = true},
  [100] =
    {field_argument, 3},
    {field_argument, 4, .inherited = true},
    {field_function, 0},
  [103] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 2},
    {field_operator, 3},
    {field_operator, 4},
    {field_right, 5},
  [109] =
    {field_exp, 0},
    {field_from, 3},
    {field_to, 5},
  [112] =
    {field_except_key, 1},
  [113] =
    {field_except_key, 2},
    {field_except_key, 3, .inherited = true},
  [115] =
    {field_except_key, 0, .inherited = true},
    {field_except_key, 1, .inherited = true},
  [117] =
    {field_source_name, 3},
    {field_table_name, 1},
  [119] =
    {field_key, 0},
    {field_value, 2},
  [121] =
    {field_new_table_name, 6},
    {field_table_name, 3},
  [123] =
    {field_constraint_name, 3},
  [124] =
    {field_column_name, 3},
  [125] =
    {field_constraint_name, 1},
  [126] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 2},
  [129] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
  [132] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_option, 2},
  [135] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
  [138] =
    {field_argument_mode, 0},
  [139] =
    {field_table_name, 6},
  [140] =
    {field_order, 2, .inherited = true},
  [141] =
    {field_nulls_preference, 2, .inherited = true},
  [142] =
    {field_nulls_preference, 2, .inherited = true},
    {field_nulls_preference, 3, .inherited = true},
    {field_order, 1, .inherited = true},
    {field_order, 3, .inherited = true},
  [146] =
    {field_format_type, 1},
  [147] =
    {field_source_name, 4},
    {field_table_name, 2},
  [149] =
    {field_source_name, 4},
    {field_table_name, 1},
  [151] =
    {field_column_name, 2},
    {field_new_column_name, 4},
  [153] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_not_null, 2},
    {field_not_null, 3},
  [157] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 2},
    {field_option, 3},
  [161] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_default, 3},
  [165] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_option, 3},
  [169] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 3},
  [173] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
  [177] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_option, 3},
  [181] =
    {field_nulls_preference, 3, .inherited = true},
    {field_order, 2, .inherited = true},
  [183] =
    {field_source_name, 5},
    {field_table_name, 2},
  [185] =
    {field_load_option_list, 3},
  [186] =
    {field_default_value, 2},
  [187] =
    {field_column_name, 3},
    {field_new_column_name, 5},
  [189] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_not_null, 2},
    {field_not_null, 3},
    {field_option, 4},
  [194] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
  [199] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 2},
    {field_not_null, 3},
    {field_not_null, 4},
  [204] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_not_null, 3},
    {field_not_null, 4},
  [209] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_default, 3},
    {field_option, 4},
  [214] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_not_null, 3},
    {field_not_null, 4},
  [219] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 3},
    {field_option, 4},
  [224] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_default, 4},
  [229] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_option, 4},
  [234] =
    {field_connection_name, 8},
    {field_routine_name, 2},
  [236] =
    {field_routine_name, 5},
  [237] =
    {field_sample_rate, 3},
  [238] =
    {field_keys, 2},
  [239] =
    {field_load_option_list, 3},
    {field_load_option_list, 4},
  [241] =
    {field_column_list, 3},
  [242] =
    {field_column_schema, 3},
  [243] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_default, 5},
  [249] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_option, 5},
  [255] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 2},
    {field_not_null, 3},
    {field_not_null, 4},
    {field_option, 5},
  [261] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_not_null, 3},
    {field_not_null, 4},
    {field_option, 5},
  [267] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_default, 3},
    {field_not_null, 4},
    {field_not_null, 5},
  [273] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_not_null, 3},
    {field_not_null, 4},
    {field_option, 5},
  [279] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
  [285] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 3},
    {field_not_null, 4},
    {field_not_null, 5},
  [291] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_not_null, 4},
    {field_not_null, 5},
  [297] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_default, 4},
    {field_option, 5},
  [303] =
    {field_connection_name, 9},
    {field_routine_name, 3},
  [305] =
    {field_keys, 1},
  [306] =
    {field_keys, 2},
    {field_keys, 3, .inherited = true},
  [308] =
    {field_keys, 0, .inherited = true},
    {field_keys, 1, .inherited = true},
  [310] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_not_null, 5},
    {field_not_null, 6},
  [317] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_default, 5},
    {field_option, 6},
  [324] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_default, 3},
    {field_not_null, 4},
    {field_not_null, 5},
    {field_option, 6},
  [331] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_default, 6},
  [338] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_option, 6},
  [345] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_default, 3},
    {field_not_null, 4},
    {field_not_null, 5},
    {field_option, 6},
  [352] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_not_null, 4},
    {field_not_null, 5},
    {field_option, 6},
  [359] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_default, 4},
    {field_not_null, 5},
    {field_not_null, 6},
  [366] =
    {field_connection_name, 10},
    {field_routine_name, 4},
  [368] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_not_null, 5},
    {field_not_null, 6},
    {field_option, 7},
  [376] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_default, 5},
    {field_not_null, 6},
    {field_not_null, 7},
  [384] =
    {field_referenced_column_list, 3},
    {field_referenced_table_name, 1},
  [386] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_not_null, 6},
    {field_not_null, 7},
  [394] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_default, 6},
    {field_option, 7},
  [402] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_default, 4},
    {field_not_null, 5},
    {field_not_null, 6},
    {field_option, 7},
  [410] =
    {field_connection_name, 11},
    {field_routine_name, 5},
  [412] =
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 2},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_default, 5},
    {field_not_null, 6},
    {field_not_null, 7},
    {field_option, 8},
  [421] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_not_null, 6},
    {field_not_null, 7},
    {field_option, 8},
  [430] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_default, 6},
    {field_not_null, 7},
    {field_not_null, 8},
  [439] =
    {field_alias, 2},
  [440] =
    {field_collate_clause, 2},
    {field_column_name, 0},
    {field_column_type, 1},
    {field_constraint_clause, 3},
    {field_constraint_clause, 4},
    {field_constraint_clause, 5},
    {field_default, 6},
    {field_not_null, 7},
    {field_not_null, 8},
    {field_option, 9},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_DROP,
  },
  [2] = {
    [0] = anon_alias_sym_FOR,
  },
  [3] = {
    [0] = anon_alias_sym_NOT,
  },
  [4] = {
    [0] = anon_alias_sym_NULL,
  },
  [5] = {
    [1] = anon_alias_sym_END,
  },
  [6] = {
    [0] = anon_alias_sym_WITH,
  },
  [7] = {
    [0] = anon_alias_sym_DISTINCT,
  },
  [8] = {
    [0] = alias_sym_select_expression,
  },
  [10] = {
    [0] = anon_alias_sym_EXISTS,
  },
  [13] = {
    [0] = anon_alias_sym_WHEN,
  },
  [16] = {
    [0] = anon_alias_sym_OR,
  },
  [17] = {
    [2] = anon_alias_sym_END,
  },
  [18] = {
    [2] = alias_sym_variable_type,
  },
  [20] = {
    [1] = aux_sym_truncate_statement_token1,
  },
  [22] = {
    [1] = aux_sym_keyword_replace_token1,
  },
  [26] = {
    [2] = alias_sym_datetime_part,
  },
  [27] = {
    [0] = sym_identifier,
  },
  [28] = {
    [0] = anon_alias_sym_END,
  },
  [29] = {
    [0] = aux_sym_limit_clause_token2,
  },
  [32] = {
    [2] = alias_sym_like_pattern,
  },
  [33] = {
    [3] = alias_sym_variable_type,
  },
  [35] = {
    [2] = anon_alias_sym_END_LOOP,
    [3] = anon_alias_sym_END_LOOP,
  },
  [38] = {
    [1] = alias_sym_select_expression,
  },
  [39] = {
    [0] = anon_alias_sym_IF_EXISTS,
    [1] = anon_alias_sym_IF_EXISTS,
  },
  [40] = {
    [0] = anon_alias_sym_RENAME,
  },
  [44] = {
    [2] = aux_sym_create_table_statement_token3,
  },
  [45] = {
    [2] = aux_sym_create_external_table_statement_token1,
  },
  [47] = {
    [1] = anon_alias_sym_TABLE_FUNCTION,
    [2] = anon_alias_sym_TABLE_FUNCTION,
  },
  [48] = {
    [2] = aux_sym_create_snapshot_table_statement_token1,
  },
  [49] = {
    [2] = aux_sym_drop_table_statement_token1,
  },
  [52] = {
    [1] = aux_sym_order_by_clause_token1,
  },
  [53] = {
    [1] = anon_alias_sym_UNION_DISTINCT,
    [2] = anon_alias_sym_UNION_DISTINCT,
  },
  [54] = {
    [2] = aux_sym_set_operation_token1,
  },
  [55] = {
    [2] = aux_sym_set_operation_token3,
  },
  [56] = {
    [1] = anon_alias_sym_EXCEPT_DISTINCT,
    [2] = anon_alias_sym_EXCEPT_DISTINCT,
  },
  [57] = {
    [0] = sym_identifier,
  },
  [61] = {
    [2] = alias_sym_distinct,
  },
  [63] = {
    [4] = aux_sym__keyword_end_token1,
  },
  [65] = {
    [1] = alias_sym_using_expression,
  },
  [67] = {
    [3] = anon_alias_sym_END_WHILE,
    [4] = anon_alias_sym_END_WHILE,
  },
  [68] = {
    [1] = aux_sym_raise_statement_token2,
  },
  [69] = {
    [1] = aux_sym_create_external_table_statement_token1,
  },
  [70] = {
    [0] = anon_alias_sym_WITH_CONNECTION,
    [1] = anon_alias_sym_WITH_CONNECTION,
    [2] = alias_sym_connection_path,
  },
  [71] = {
    [1] = aux_sym_export_data_statement_token1,
  },
  [72] = {
    [0] = aux_sym_keyword_if_not_exists_token3,
    [1] = aux_sym_keyword_if_not_exists_token3,
  },
  [74] = {
    [0] = anon_alias_sym_PARTITION_BY,
    [1] = anon_alias_sym_PARTITION_BY,
  },
  [75] = {
    [2] = aux_sym_create_table_statement_token3,
  },
  [76] = {
    [2] = aux_sym_create_external_table_statement_token1,
  },
  [78] = {
    [2] = aux_sym_create_table_statement_token3,
    [3] = aux_sym_create_table_statement_token3,
  },
  [79] = {
    [2] = aux_sym_create_external_table_statement_token1,
    [3] = aux_sym_create_external_table_statement_token1,
  },
  [81] = {
    [1] = anon_alias_sym_TABLE_FUNCTION,
    [2] = anon_alias_sym_TABLE_FUNCTION,
  },
  [82] = {
    [2] = aux_sym_create_snapshot_table_statement_token1,
  },
  [83] = {
    [2] = aux_sym_drop_table_statement_token1,
  },
  [84] = {
    [2] = anon_alias_sym_OFFSET,
  },
  [89] = {
    [2] = alias_sym_datetime_part,
    [4] = alias_sym_datetime_part,
  },
  [90] = {
    [0] = sym_identifier,
  },
  [91] = {
    [2] = alias_sym_range_type,
  },
  [93] = {
    [2] = alias_sym_having_expression,
  },
  [94] = {
    [2] = alias_sym_distinct,
  },
  [100] = {
    [1] = alias_sym_elseif_statement,
  },
  [101] = {
    [4] = aux_sym__keyword_end_token1,
    [5] = aux_sym__keyword_end_token1,
  },
  [102] = {
    [2] = alias_sym_between_from,
    [4] = sym__window_frame_end_a,
  },
  [103] = {
    [3] = aux_sym__keyword_distinct_token1,
  },
  [104] = {
    [1] = alias_sym_like_pattern,
  },
  [106] = {
    [4] = anon_alias_sym_END_WHILE,
    [5] = anon_alias_sym_END_WHILE,
  },
  [107] = {
    [0] = aux_sym_aggregation_threshold_clause_token1,
  },
  [108] = {
    [0] = aux_sym_differential_privacy_clause_token1,
  },
  [111] = {
    [4] = alias_sym_load_data_table_parameters,
  },
  [112] = {
    [4] = aux_sym__keyword_rename_token1,
  },
  [113] = {
    [1] = aux_sym__keyword_drop_token1,
    [2] = aux_sym__keyword_drop_token1,
  },
  [114] = {
    [0] = anon_alias_sym_DROP_CONSTRAINT,
    [1] = anon_alias_sym_DROP_CONSTRAINT,
  },
  [116] = {
    [0] = aux_sym_default_collate_clause_token1,
  },
  [118] = {
    [1] = aux_sym_table_cluster_clause_token1,
  },
  [119] = {
    [1] = alias_sym_language,
  },
  [120] = {
    [2] = aux_sym_create_table_statement_token3,
    [3] = aux_sym_create_table_statement_token3,
  },
  [121] = {
    [2] = aux_sym_create_external_table_statement_token1,
    [3] = aux_sym_create_external_table_statement_token1,
  },
  [123] = {
    [3] = aux_sym_create_table_statement_token3,
    [4] = aux_sym_create_table_statement_token3,
  },
  [124] = {
    [3] = alias_sym_until_clause,
    [4] = anon_alias_sym_END_REPEAT,
    [5] = anon_alias_sym_END_REPEAT,
  },
  [125] = {
    [0] = aux_sym__nulls_preference_token2,
  },
  [126] = {
    [0] = aux_sym__nulls_preference_token3,
  },
  [131] = {
    [0] = sym_identifier,
    [2] = alias_sym_datetime_part,
  },
  [132] = {
    [4] = alias_sym_type_identifier,
  },
  [133] = {
    [2] = alias_sym_distinct,
  },
  [134] = {
    [4] = alias_sym_else_statement,
    [5] = aux_sym__keyword_end_token1,
    [6] = aux_sym__keyword_end_token1,
  },
  [135] = {
    [1] = alias_sym_elseif_statement,
    [3] = alias_sym_elseif_statement,
  },
  [136] = {
    [5] = aux_sym__keyword_end_token1,
    [6] = aux_sym__keyword_end_token1,
  },
  [137] = {
    [3] = aux_sym__keyword_distinct_token1,
    [4] = aux_sym__keyword_distinct_token1,
  },
  [138] = {
    [3] = alias_sym_between_from,
    [5] = sym__window_frame_end_a,
  },
  [139] = {
    [3] = aux_sym_begin_exception_end_statement_token1,
    [5] = aux_sym_begin_exception_end_statement_token1,
    [6] = anon_alias_sym_END,
  },
  [140] = {
    [2] = aux_sym__cross_join_operation_token1,
  },
  [144] = {
    [5] = alias_sym_merge_condition,
  },
  [145] = {
    [5] = alias_sym_merge_condition,
  },
  [146] = {
    [1] = aux_sym_grant_statement_token2,
  },
  [148] = {
    [4] = aux_sym__keyword_rename_token1,
    [5] = aux_sym__keyword_rename_token1,
  },
  [150] = {
    [0] = anon_alias_sym_DROP_CONSTRAINT,
    [1] = anon_alias_sym_DROP_CONSTRAINT,
  },
  [152] = {
    [1] = anon_alias_sym_TABLE_FUNCTION,
    [2] = anon_alias_sym_TABLE_FUNCTION,
    [4] = alias_sym_create_table_function_parameters,
  },
  [160] = {
    [3] = aux_sym_create_table_statement_token3,
    [4] = aux_sym_create_table_statement_token3,
  },
  [164] = {
    [0] = anon_alias_sym_UNBOUNDED,
  },
  [166] = {
    [1] = sym_partition_expression,
  },
  [167] = {
    [5] = alias_sym_else_statement,
    [6] = aux_sym__keyword_end_token1,
    [7] = aux_sym__keyword_end_token1,
  },
  [168] = {
    [3] = aux_sym_begin_exception_end_statement_token1,
    [5] = aux_sym_begin_exception_end_statement_token1,
    [7] = anon_alias_sym_END,
  },
  [169] = {
    [6] = alias_sym_merge_condition,
  },
  [170] = {
    [6] = alias_sym_merge_condition,
  },
  [171] = {
    [6] = alias_sym_merge_condition,
  },
  [172] = {
    [6] = alias_sym_merge_condition,
  },
  [173] = {
    [6] = alias_sym_merge_condition,
  },
  [175] = {
    [0] = anon_alias_sym_DROP_DEFAULT,
    [1] = anon_alias_sym_DROP_DEFAULT,
  },
  [177] = {
    [1] = anon_alias_sym_TABLE_FUNCTION,
    [2] = anon_alias_sym_TABLE_FUNCTION,
    [5] = alias_sym_create_table_function_parameters,
  },
  [179] = {
    [0] = anon_alias_sym_COLLATE,
  },
  [186] = {
    [0] = aux_sym__keyword_system_as_of_token1,
    [2] = aux_sym__keyword_system_as_of_token1,
  },
  [187] = {
    [0] = anon_alias_sym_WITH,
    [3] = alias_sym_partition_columns,
  },
  [188] = {
    [2] = anon_alias_sym_TABLE_FUNCTION,
    [3] = anon_alias_sym_TABLE_FUNCTION,
    [5] = alias_sym_create_table_function_parameters,
  },
  [190] = {
    [1] = aux_sym_keyword_unbounded_preceding_token1,
  },
  [191] = {
    [1] = aux_sym_keyword_current_row_token1,
  },
  [192] = {
    [6] = alias_sym_else_statement,
    [7] = aux_sym__keyword_end_token1,
    [8] = aux_sym__keyword_end_token1,
  },
  [193] = {
    [7] = alias_sym_merge_condition,
  },
  [194] = {
    [7] = alias_sym_merge_condition,
  },
  [195] = {
    [7] = alias_sym_merge_condition,
  },
  [196] = {
    [7] = alias_sym_merge_condition,
  },
  [197] = {
    [7] = alias_sym_merge_condition,
  },
  [198] = {
    [7] = alias_sym_merge_condition,
  },
  [200] = {
    [0] = anon_alias_sym_DROP_NOT_NULL,
    [1] = anon_alias_sym_DROP_NOT_NULL,
    [2] = anon_alias_sym_DROP_NOT_NULL,
  },
  [201] = {
    [0] = anon_alias_sym_SET_DEFAULT,
    [1] = anon_alias_sym_SET_DEFAULT,
  },
  [212] = {
    [8] = alias_sym_connection_path,
  },
  [213] = {
    [2] = anon_alias_sym_TABLE_FUNCTION,
    [3] = anon_alias_sym_TABLE_FUNCTION,
    [6] = alias_sym_create_table_function_parameters,
  },
  [215] = {
    [7] = aux_sym__keyword_for_token1,
    [8] = aux_sym__keyword_for_token1,
  },
  [216] = {
    [1] = alias_sym_unpivot_value,
  },
  [217] = {
    [2] = aux_sym_unpivot_operator_token2,
  },
  [218] = {
    [2] = aux_sym_unpivot_operator_token3,
  },
  [221] = {
    [8] = alias_sym_merge_condition,
  },
  [222] = {
    [8] = alias_sym_merge_condition,
  },
  [223] = {
    [8] = alias_sym_merge_condition,
  },
  [224] = {
    [8] = alias_sym_merge_condition,
  },
  [225] = {
    [8] = alias_sym_merge_condition,
  },
  [228] = {
    [1] = aux_sym_foreign_key_token1,
  },
  [229] = {
    [0] = aux_sym_set_data_type_token2,
    [1] = aux_sym_set_data_type_token2,
  },
  [230] = {
    [0] = anon_alias_sym_NOT_ENFORCED,
    [1] = anon_alias_sym_NOT_ENFORCED,
  },
  [241] = {
    [9] = alias_sym_connection_path,
  },
  [242] = {
    [8] = aux_sym__keyword_for_token1,
  },
  [243] = {
    [1] = alias_sym_between_from,
  },
  [247] = {
    [9] = alias_sym_merge_condition,
  },
  [248] = {
    [9] = alias_sym_merge_condition,
  },
  [249] = {
    [0] = anon_alias_sym_WHEN_NOT_MATCHED,
    [1] = anon_alias_sym_WHEN_NOT_MATCHED,
    [2] = anon_alias_sym_WHEN_NOT_MATCHED,
  },
  [258] = {
    [10] = alias_sym_connection_path,
  },
  [259] = {
    [0] = anon_alias_sym_UNBOUNDED_FOLLOWING,
    [1] = anon_alias_sym_UNBOUNDED_FOLLOWING,
  },
  [260] = {
    [0] = anon_alias_sym_UPDATE_SET,
    [1] = anon_alias_sym_UPDATE_SET,
  },
  [261] = {
    [3] = alias_sym_search_condition,
  },
  [268] = {
    [11] = alias_sym_connection_path,
  },
  [269] = {
    [0] = alias_sym_unpivot_value,
    [2] = alias_sym_name_column,
  },
  [270] = {
    [0] = anon_alias_sym_WHEN_NOT_MATCHED,
    [1] = anon_alias_sym_WHEN_NOT_MATCHED,
    [2] = anon_alias_sym_WHEN_NOT_MATCHED,
    [3] = aux_sym_merge_not_matched_by_target_clause_token1,
  },
  [271] = {
    [0] = aux_sym_merge_not_matched_by_source_clause_token1,
    [1] = aux_sym_merge_not_matched_by_source_clause_token1,
    [2] = aux_sym_merge_not_matched_by_source_clause_token1,
    [3] = aux_sym_merge_not_matched_by_source_clause_token1,
  },
  [272] = {
    [0] = anon_alias_sym_WHEN_NOT_MATCHED,
    [1] = anon_alias_sym_WHEN_NOT_MATCHED,
    [2] = anon_alias_sym_WHEN_NOT_MATCHED,
    [4] = alias_sym_search_condition,
  },
  [276] = {
    [1] = alias_sym_pivot_column,
  },
  [277] = {
    [4] = alias_sym_input_column,
    [7] = alias_sym_pivot_column,
  },
  [280] = {
    [5] = alias_sym_input_column,
    [8] = alias_sym_pivot_column,
  },
  [281] = {
    [1] = alias_sym_unpivot_value,
    [4] = alias_sym_name_column,
  },
  [282] = {
    [0] = anon_alias_sym_WHEN_NOT_MATCHED,
    [1] = anon_alias_sym_WHEN_NOT_MATCHED,
    [2] = anon_alias_sym_WHEN_NOT_MATCHED,
    [3] = aux_sym_merge_not_matched_by_target_clause_token1,
    [6] = alias_sym_search_condition,
  },
  [283] = {
    [0] = aux_sym_merge_not_matched_by_source_clause_token1,
    [1] = aux_sym_merge_not_matched_by_source_clause_token1,
    [2] = aux_sym_merge_not_matched_by_source_clause_token1,
    [3] = aux_sym_merge_not_matched_by_source_clause_token1,
    [6] = alias_sym_search_condition,
  },
  [284] = {
    [1] = alias_sym_unpivot_value,
    [5] = alias_sym_name_column,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__keyword_distinct, 2,
    sym__keyword_distinct,
    alias_sym_distinct,
  sym__keyword_range, 2,
    sym__keyword_range,
    sym_identifier,
  aux_sym__statement_list, 3,
    aux_sym__statement_list,
    alias_sym_else_statement,
    alias_sym_elseif_statement,
  sym_create_table_parameters, 3,
    sym_create_table_parameters,
    alias_sym_load_data_table_parameters,
    alias_sym_partition_columns,
  sym_create_function_parameters, 2,
    sym_create_function_parameters,
    alias_sym_create_table_function_parameters,
  sym_window_numeric_preceding, 2,
    sym_window_numeric_preceding,
    alias_sym_between_from,
  sym_window_numeric_following, 2,
    sym_window_numeric_following,
    alias_sym_between_from,
  sym_keyword_unbounded_preceding, 2,
    sym_keyword_unbounded_preceding,
    alias_sym_between_from,
  sym_keyword_current_row, 2,
    sym_keyword_current_row,
    alias_sym_between_from,
  sym__aliasable_expression, 4,
    sym__aliasable_expression,
    alias_sym_pivot_column,
    alias_sym_select_expression,
    alias_sym_using_expression,
  sym_type, 2,
    sym_type,
    alias_sym_variable_type,
  sym__bqtype, 2,
    sym__bqtype,
    alias_sym_type_identifier,
  sym__type_chrono, 3,
    sym__type_chrono,
    alias_sym_range_type,
    sym_identifier,
  sym_identifier, 5,
    sym_identifier,
    alias_sym_connection_path,
    alias_sym_input_column,
    alias_sym_name_column,
    alias_sym_unpivot_value,
  sym_string, 2,
    sym_string,
    alias_sym_like_pattern,
  sym__expression, 9,
    sym__expression,
    alias_sym_between_from,
    alias_sym_elseif_statement,
    alias_sym_having_expression,
    alias_sym_merge_condition,
    alias_sym_search_condition,
    alias_sym_until_clause,
    sym__window_frame_end_a,
    sym_partition_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 3,
  [7] = 4,
  [8] = 5,
  [9] = 2,
  [10] = 10,
  [11] = 11,
  [12] = 11,
  [13] = 11,
  [14] = 11,
  [15] = 11,
  [16] = 11,
  [17] = 11,
  [18] = 11,
  [19] = 11,
  [20] = 11,
  [21] = 11,
  [22] = 11,
  [23] = 23,
  [24] = 11,
  [25] = 11,
  [26] = 11,
  [27] = 11,
  [28] = 11,
  [29] = 11,
  [30] = 11,
  [31] = 11,
  [32] = 11,
  [33] = 11,
  [34] = 11,
  [35] = 11,
  [36] = 11,
  [37] = 11,
  [38] = 11,
  [39] = 39,
  [40] = 39,
  [41] = 39,
  [42] = 39,
  [43] = 43,
  [44] = 39,
  [45] = 39,
  [46] = 4,
  [47] = 39,
  [48] = 5,
  [49] = 39,
  [50] = 39,
  [51] = 39,
  [52] = 52,
  [53] = 53,
  [54] = 39,
  [55] = 39,
  [56] = 39,
  [57] = 39,
  [58] = 39,
  [59] = 39,
  [60] = 10,
  [61] = 39,
  [62] = 39,
  [63] = 39,
  [64] = 39,
  [65] = 39,
  [66] = 2,
  [67] = 53,
  [68] = 39,
  [69] = 3,
  [70] = 39,
  [71] = 39,
  [72] = 39,
  [73] = 53,
  [74] = 39,
  [75] = 39,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 23,
  [81] = 81,
  [82] = 82,
  [83] = 81,
  [84] = 81,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 91,
  [96] = 89,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 99,
  [102] = 102,
  [103] = 91,
  [104] = 104,
  [105] = 105,
  [106] = 99,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 113,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 10,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 113,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 136,
  [138] = 138,
  [139] = 134,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 134,
  [144] = 136,
  [145] = 125,
  [146] = 126,
  [147] = 147,
  [148] = 10,
  [149] = 10,
  [150] = 114,
  [151] = 147,
  [152] = 124,
  [153] = 147,
  [154] = 120,
  [155] = 129,
  [156] = 147,
  [157] = 147,
  [158] = 147,
  [159] = 147,
  [160] = 147,
  [161] = 147,
  [162] = 147,
  [163] = 147,
  [164] = 147,
  [165] = 147,
  [166] = 166,
  [167] = 130,
  [168] = 133,
  [169] = 147,
  [170] = 118,
  [171] = 171,
  [172] = 147,
  [173] = 147,
  [174] = 119,
  [175] = 116,
  [176] = 10,
  [177] = 128,
  [178] = 147,
  [179] = 147,
  [180] = 121,
  [181] = 122,
  [182] = 117,
  [183] = 147,
  [184] = 132,
  [185] = 133,
  [186] = 116,
  [187] = 128,
  [188] = 121,
  [189] = 122,
  [190] = 125,
  [191] = 127,
  [192] = 129,
  [193] = 130,
  [194] = 10,
  [195] = 23,
  [196] = 132,
  [197] = 118,
  [198] = 114,
  [199] = 10,
  [200] = 124,
  [201] = 126,
  [202] = 117,
  [203] = 119,
  [204] = 204,
  [205] = 204,
  [206] = 120,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 209,
  [211] = 3,
  [212] = 208,
  [213] = 213,
  [214] = 214,
  [215] = 5,
  [216] = 208,
  [217] = 209,
  [218] = 214,
  [219] = 4,
  [220] = 220,
  [221] = 2,
  [222] = 213,
  [223] = 213,
  [224] = 214,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 239,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 239,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 239,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 239,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 239,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 239,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 239,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 239,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 239,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 239,
  [308] = 308,
  [309] = 309,
  [310] = 263,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 135,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 239,
  [321] = 321,
  [322] = 239,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 239,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 239,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 263,
  [348] = 348,
  [349] = 239,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 263,
  [363] = 363,
  [364] = 364,
  [365] = 239,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 239,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 125,
  [383] = 122,
  [384] = 119,
  [385] = 385,
  [386] = 386,
  [387] = 385,
  [388] = 117,
  [389] = 389,
  [390] = 116,
  [391] = 121,
  [392] = 133,
  [393] = 385,
  [394] = 126,
  [395] = 132,
  [396] = 396,
  [397] = 130,
  [398] = 398,
  [399] = 385,
  [400] = 129,
  [401] = 120,
  [402] = 385,
  [403] = 10,
  [404] = 10,
  [405] = 385,
  [406] = 406,
  [407] = 385,
  [408] = 408,
  [409] = 385,
  [410] = 385,
  [411] = 124,
  [412] = 385,
  [413] = 10,
  [414] = 385,
  [415] = 415,
  [416] = 385,
  [417] = 385,
  [418] = 385,
  [419] = 385,
  [420] = 385,
  [421] = 385,
  [422] = 385,
  [423] = 385,
  [424] = 114,
  [425] = 385,
  [426] = 385,
  [427] = 118,
  [428] = 428,
  [429] = 128,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 10,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 23,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 406,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 331,
  [625] = 288,
  [626] = 378,
  [627] = 337,
  [628] = 376,
  [629] = 343,
  [630] = 353,
  [631] = 238,
  [632] = 324,
  [633] = 235,
  [634] = 295,
  [635] = 303,
  [636] = 308,
  [637] = 228,
  [638] = 352,
  [639] = 639,
  [640] = 231,
  [641] = 234,
  [642] = 366,
  [643] = 229,
  [644] = 316,
  [645] = 227,
  [646] = 311,
  [647] = 374,
  [648] = 237,
  [649] = 242,
  [650] = 244,
  [651] = 309,
  [652] = 652,
  [653] = 653,
  [654] = 248,
  [655] = 639,
  [656] = 249,
  [657] = 251,
  [658] = 299,
  [659] = 252,
  [660] = 253,
  [661] = 255,
  [662] = 267,
  [663] = 639,
  [664] = 270,
  [665] = 271,
  [666] = 272,
  [667] = 274,
  [668] = 276,
  [669] = 280,
  [670] = 281,
  [671] = 282,
  [672] = 286,
  [673] = 287,
  [674] = 370,
  [675] = 289,
  [676] = 293,
  [677] = 639,
  [678] = 294,
  [679] = 297,
  [680] = 298,
  [681] = 304,
  [682] = 305,
  [683] = 275,
  [684] = 335,
  [685] = 339,
  [686] = 356,
  [687] = 241,
  [688] = 325,
  [689] = 361,
  [690] = 357,
  [691] = 350,
  [692] = 327,
  [693] = 321,
  [694] = 317,
  [695] = 313,
  [696] = 300,
  [697] = 292,
  [698] = 639,
  [699] = 699,
  [700] = 225,
  [701] = 284,
  [702] = 277,
  [703] = 265,
  [704] = 264,
  [705] = 259,
  [706] = 258,
  [707] = 257,
  [708] = 256,
  [709] = 250,
  [710] = 243,
  [711] = 306,
  [712] = 230,
  [713] = 232,
  [714] = 233,
  [715] = 236,
  [716] = 245,
  [717] = 260,
  [718] = 261,
  [719] = 652,
  [720] = 262,
  [721] = 266,
  [722] = 268,
  [723] = 723,
  [724] = 278,
  [725] = 279,
  [726] = 723,
  [727] = 283,
  [728] = 290,
  [729] = 301,
  [730] = 314,
  [731] = 318,
  [732] = 323,
  [733] = 326,
  [734] = 330,
  [735] = 336,
  [736] = 342,
  [737] = 344,
  [738] = 345,
  [739] = 346,
  [740] = 653,
  [741] = 639,
  [742] = 348,
  [743] = 354,
  [744] = 359,
  [745] = 364,
  [746] = 367,
  [747] = 371,
  [748] = 373,
  [749] = 375,
  [750] = 377,
  [751] = 380,
  [752] = 381,
  [753] = 379,
  [754] = 372,
  [755] = 368,
  [756] = 363,
  [757] = 360,
  [758] = 358,
  [759] = 639,
  [760] = 355,
  [761] = 351,
  [762] = 334,
  [763] = 226,
  [764] = 333,
  [765] = 329,
  [766] = 328,
  [767] = 319,
  [768] = 639,
  [769] = 312,
  [770] = 770,
  [771] = 639,
  [772] = 247,
  [773] = 773,
  [774] = 639,
  [775] = 770,
  [776] = 776,
  [777] = 652,
  [778] = 770,
  [779] = 723,
  [780] = 338,
  [781] = 639,
  [782] = 782,
  [783] = 639,
  [784] = 723,
  [785] = 785,
  [786] = 782,
  [787] = 639,
  [788] = 782,
  [789] = 770,
  [790] = 723,
  [791] = 639,
  [792] = 770,
  [793] = 770,
  [794] = 723,
  [795] = 776,
  [796] = 639,
  [797] = 652,
  [798] = 652,
  [799] = 639,
  [800] = 770,
  [801] = 723,
  [802] = 723,
  [803] = 652,
  [804] = 770,
  [805] = 723,
  [806] = 770,
  [807] = 723,
  [808] = 770,
  [809] = 723,
  [810] = 770,
  [811] = 723,
  [812] = 770,
  [813] = 723,
  [814] = 770,
  [815] = 723,
  [816] = 816,
  [817] = 770,
  [818] = 723,
  [819] = 723,
  [820] = 770,
  [821] = 639,
  [822] = 822,
  [823] = 823,
  [824] = 770,
  [825] = 782,
  [826] = 770,
  [827] = 827,
  [828] = 823,
  [829] = 827,
  [830] = 823,
  [831] = 827,
  [832] = 823,
  [833] = 770,
  [834] = 639,
  [835] = 723,
  [836] = 827,
  [837] = 652,
  [838] = 723,
  [839] = 339,
  [840] = 840,
  [841] = 841,
  [842] = 841,
  [843] = 843,
  [844] = 288,
  [845] = 843,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 843,
  [851] = 841,
  [852] = 852,
  [853] = 846,
  [854] = 854,
  [855] = 238,
  [856] = 295,
  [857] = 846,
  [858] = 840,
  [859] = 303,
  [860] = 860,
  [861] = 308,
  [862] = 846,
  [863] = 337,
  [864] = 864,
  [865] = 865,
  [866] = 343,
  [867] = 867,
  [868] = 868,
  [869] = 352,
  [870] = 846,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 366,
  [877] = 877,
  [878] = 378,
  [879] = 879,
  [880] = 376,
  [881] = 353,
  [882] = 882,
  [883] = 324,
  [884] = 884,
  [885] = 874,
  [886] = 877,
  [887] = 316,
  [888] = 846,
  [889] = 846,
  [890] = 846,
  [891] = 311,
  [892] = 846,
  [893] = 846,
  [894] = 841,
  [895] = 843,
  [896] = 309,
  [897] = 877,
  [898] = 299,
  [899] = 846,
  [900] = 900,
  [901] = 287,
  [902] = 902,
  [903] = 903,
  [904] = 847,
  [905] = 275,
  [906] = 843,
  [907] = 848,
  [908] = 908,
  [909] = 877,
  [910] = 227,
  [911] = 849,
  [912] = 912,
  [913] = 874,
  [914] = 914,
  [915] = 846,
  [916] = 228,
  [917] = 846,
  [918] = 846,
  [919] = 919,
  [920] = 846,
  [921] = 877,
  [922] = 846,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 847,
  [927] = 927,
  [928] = 852,
  [929] = 874,
  [930] = 874,
  [931] = 854,
  [932] = 865,
  [933] = 884,
  [934] = 867,
  [935] = 848,
  [936] = 868,
  [937] = 937,
  [938] = 871,
  [939] = 846,
  [940] = 873,
  [941] = 875,
  [942] = 942,
  [943] = 884,
  [944] = 884,
  [945] = 874,
  [946] = 942,
  [947] = 875,
  [948] = 948,
  [949] = 877,
  [950] = 877,
  [951] = 874,
  [952] = 301,
  [953] = 884,
  [954] = 875,
  [955] = 873,
  [956] = 871,
  [957] = 957,
  [958] = 868,
  [959] = 841,
  [960] = 867,
  [961] = 882,
  [962] = 843,
  [963] = 865,
  [964] = 847,
  [965] = 854,
  [966] = 848,
  [967] = 848,
  [968] = 852,
  [969] = 957,
  [970] = 849,
  [971] = 860,
  [972] = 852,
  [973] = 873,
  [974] = 854,
  [975] = 229,
  [976] = 871,
  [977] = 868,
  [978] = 231,
  [979] = 865,
  [980] = 867,
  [981] = 865,
  [982] = 867,
  [983] = 868,
  [984] = 854,
  [985] = 849,
  [986] = 871,
  [987] = 987,
  [988] = 873,
  [989] = 852,
  [990] = 875,
  [991] = 948,
  [992] = 884,
  [993] = 849,
  [994] = 874,
  [995] = 877,
  [996] = 841,
  [997] = 871,
  [998] = 318,
  [999] = 323,
  [1000] = 874,
  [1001] = 877,
  [1002] = 1002,
  [1003] = 914,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 852,
  [1007] = 854,
  [1008] = 865,
  [1009] = 867,
  [1010] = 868,
  [1011] = 871,
  [1012] = 873,
  [1013] = 875,
  [1014] = 884,
  [1015] = 234,
  [1016] = 1016,
  [1017] = 235,
  [1018] = 1018,
  [1019] = 849,
  [1020] = 1020,
  [1021] = 884,
  [1022] = 1022,
  [1023] = 875,
  [1024] = 1024,
  [1025] = 843,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 877,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 843,
  [1033] = 841,
  [1034] = 849,
  [1035] = 314,
  [1036] = 874,
  [1037] = 874,
  [1038] = 873,
  [1039] = 1039,
  [1040] = 877,
  [1041] = 884,
  [1042] = 875,
  [1043] = 873,
  [1044] = 1044,
  [1045] = 848,
  [1046] = 1046,
  [1047] = 847,
  [1048] = 848,
  [1049] = 847,
  [1050] = 871,
  [1051] = 1051,
  [1052] = 868,
  [1053] = 847,
  [1054] = 868,
  [1055] = 867,
  [1056] = 1056,
  [1057] = 840,
  [1058] = 867,
  [1059] = 865,
  [1060] = 900,
  [1061] = 840,
  [1062] = 900,
  [1063] = 854,
  [1064] = 925,
  [1065] = 852,
  [1066] = 865,
  [1067] = 937,
  [1068] = 877,
  [1069] = 843,
  [1070] = 854,
  [1071] = 840,
  [1072] = 843,
  [1073] = 841,
  [1074] = 841,
  [1075] = 871,
  [1076] = 852,
  [1077] = 841,
  [1078] = 900,
  [1079] = 849,
  [1080] = 874,
  [1081] = 868,
  [1082] = 884,
  [1083] = 840,
  [1084] = 867,
  [1085] = 865,
  [1086] = 900,
  [1087] = 840,
  [1088] = 854,
  [1089] = 841,
  [1090] = 848,
  [1091] = 847,
  [1092] = 843,
  [1093] = 843,
  [1094] = 841,
  [1095] = 900,
  [1096] = 877,
  [1097] = 852,
  [1098] = 924,
  [1099] = 840,
  [1100] = 923,
  [1101] = 874,
  [1102] = 900,
  [1103] = 840,
  [1104] = 884,
  [1105] = 1056,
  [1106] = 900,
  [1107] = 840,
  [1108] = 1051,
  [1109] = 900,
  [1110] = 875,
  [1111] = 1044,
  [1112] = 875,
  [1113] = 848,
  [1114] = 840,
  [1115] = 900,
  [1116] = 847,
  [1117] = 840,
  [1118] = 900,
  [1119] = 840,
  [1120] = 873,
  [1121] = 871,
  [1122] = 848,
  [1123] = 868,
  [1124] = 867,
  [1125] = 847,
  [1126] = 848,
  [1127] = 865,
  [1128] = 326,
  [1129] = 900,
  [1130] = 873,
  [1131] = 1131,
  [1132] = 854,
  [1133] = 927,
  [1134] = 840,
  [1135] = 900,
  [1136] = 852,
  [1137] = 840,
  [1138] = 849,
  [1139] = 871,
  [1140] = 900,
  [1141] = 1141,
  [1142] = 237,
  [1143] = 868,
  [1144] = 330,
  [1145] = 867,
  [1146] = 1146,
  [1147] = 865,
  [1148] = 852,
  [1149] = 841,
  [1150] = 849,
  [1151] = 854,
  [1152] = 865,
  [1153] = 867,
  [1154] = 927,
  [1155] = 868,
  [1156] = 871,
  [1157] = 247,
  [1158] = 873,
  [1159] = 875,
  [1160] = 884,
  [1161] = 874,
  [1162] = 877,
  [1163] = 849,
  [1164] = 841,
  [1165] = 846,
  [1166] = 843,
  [1167] = 847,
  [1168] = 848,
  [1169] = 849,
  [1170] = 398,
  [1171] = 852,
  [1172] = 848,
  [1173] = 854,
  [1174] = 865,
  [1175] = 867,
  [1176] = 847,
  [1177] = 868,
  [1178] = 871,
  [1179] = 873,
  [1180] = 875,
  [1181] = 843,
  [1182] = 841,
  [1183] = 884,
  [1184] = 852,
  [1185] = 854,
  [1186] = 865,
  [1187] = 242,
  [1188] = 840,
  [1189] = 867,
  [1190] = 849,
  [1191] = 868,
  [1192] = 871,
  [1193] = 873,
  [1194] = 875,
  [1195] = 884,
  [1196] = 847,
  [1197] = 874,
  [1198] = 877,
  [1199] = 244,
  [1200] = 841,
  [1201] = 843,
  [1202] = 847,
  [1203] = 248,
  [1204] = 1204,
  [1205] = 848,
  [1206] = 843,
  [1207] = 841,
  [1208] = 849,
  [1209] = 852,
  [1210] = 854,
  [1211] = 865,
  [1212] = 877,
  [1213] = 874,
  [1214] = 884,
  [1215] = 875,
  [1216] = 873,
  [1217] = 867,
  [1218] = 868,
  [1219] = 871,
  [1220] = 873,
  [1221] = 871,
  [1222] = 868,
  [1223] = 867,
  [1224] = 875,
  [1225] = 249,
  [1226] = 884,
  [1227] = 874,
  [1228] = 251,
  [1229] = 877,
  [1230] = 843,
  [1231] = 336,
  [1232] = 342,
  [1233] = 396,
  [1234] = 841,
  [1235] = 338,
  [1236] = 843,
  [1237] = 865,
  [1238] = 854,
  [1239] = 852,
  [1240] = 927,
  [1241] = 1002,
  [1242] = 879,
  [1243] = 847,
  [1244] = 848,
  [1245] = 854,
  [1246] = 1246,
  [1247] = 849,
  [1248] = 344,
  [1249] = 1249,
  [1250] = 884,
  [1251] = 903,
  [1252] = 874,
  [1253] = 847,
  [1254] = 848,
  [1255] = 849,
  [1256] = 912,
  [1257] = 852,
  [1258] = 252,
  [1259] = 253,
  [1260] = 255,
  [1261] = 852,
  [1262] = 849,
  [1263] = 840,
  [1264] = 267,
  [1265] = 852,
  [1266] = 854,
  [1267] = 877,
  [1268] = 847,
  [1269] = 848,
  [1270] = 270,
  [1271] = 865,
  [1272] = 877,
  [1273] = 848,
  [1274] = 867,
  [1275] = 847,
  [1276] = 874,
  [1277] = 868,
  [1278] = 406,
  [1279] = 871,
  [1280] = 873,
  [1281] = 271,
  [1282] = 875,
  [1283] = 884,
  [1284] = 1284,
  [1285] = 843,
  [1286] = 841,
  [1287] = 875,
  [1288] = 272,
  [1289] = 919,
  [1290] = 274,
  [1291] = 877,
  [1292] = 873,
  [1293] = 874,
  [1294] = 874,
  [1295] = 884,
  [1296] = 875,
  [1297] = 948,
  [1298] = 877,
  [1299] = 877,
  [1300] = 873,
  [1301] = 871,
  [1302] = 841,
  [1303] = 871,
  [1304] = 868,
  [1305] = 867,
  [1306] = 868,
  [1307] = 841,
  [1308] = 865,
  [1309] = 843,
  [1310] = 276,
  [1311] = 867,
  [1312] = 865,
  [1313] = 900,
  [1314] = 854,
  [1315] = 1141,
  [1316] = 852,
  [1317] = 854,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 900,
  [1321] = 1321,
  [1322] = 847,
  [1323] = 848,
  [1324] = 280,
  [1325] = 281,
  [1326] = 1326,
  [1327] = 282,
  [1328] = 927,
  [1329] = 1046,
  [1330] = 854,
  [1331] = 843,
  [1332] = 286,
  [1333] = 852,
  [1334] = 847,
  [1335] = 370,
  [1336] = 877,
  [1337] = 874,
  [1338] = 289,
  [1339] = 840,
  [1340] = 293,
  [1341] = 294,
  [1342] = 884,
  [1343] = 1343,
  [1344] = 849,
  [1345] = 875,
  [1346] = 297,
  [1347] = 298,
  [1348] = 900,
  [1349] = 849,
  [1350] = 873,
  [1351] = 848,
  [1352] = 848,
  [1353] = 927,
  [1354] = 871,
  [1355] = 868,
  [1356] = 847,
  [1357] = 867,
  [1358] = 865,
  [1359] = 304,
  [1360] = 854,
  [1361] = 884,
  [1362] = 875,
  [1363] = 345,
  [1364] = 873,
  [1365] = 852,
  [1366] = 840,
  [1367] = 871,
  [1368] = 900,
  [1369] = 927,
  [1370] = 865,
  [1371] = 849,
  [1372] = 868,
  [1373] = 346,
  [1374] = 852,
  [1375] = 854,
  [1376] = 843,
  [1377] = 873,
  [1378] = 879,
  [1379] = 865,
  [1380] = 867,
  [1381] = 865,
  [1382] = 849,
  [1383] = 840,
  [1384] = 867,
  [1385] = 300,
  [1386] = 854,
  [1387] = 1319,
  [1388] = 868,
  [1389] = 852,
  [1390] = 871,
  [1391] = 849,
  [1392] = 873,
  [1393] = 875,
  [1394] = 884,
  [1395] = 874,
  [1396] = 841,
  [1397] = 877,
  [1398] = 848,
  [1399] = 848,
  [1400] = 847,
  [1401] = 847,
  [1402] = 305,
  [1403] = 335,
  [1404] = 1404,
  [1405] = 348,
  [1406] = 875,
  [1407] = 847,
  [1408] = 356,
  [1409] = 374,
  [1410] = 843,
  [1411] = 325,
  [1412] = 1412,
  [1413] = 884,
  [1414] = 361,
  [1415] = 841,
  [1416] = 1004,
  [1417] = 874,
  [1418] = 357,
  [1419] = 900,
  [1420] = 867,
  [1421] = 1005,
  [1422] = 877,
  [1423] = 874,
  [1424] = 884,
  [1425] = 927,
  [1426] = 875,
  [1427] = 868,
  [1428] = 879,
  [1429] = 877,
  [1430] = 873,
  [1431] = 871,
  [1432] = 868,
  [1433] = 867,
  [1434] = 865,
  [1435] = 877,
  [1436] = 877,
  [1437] = 854,
  [1438] = 1046,
  [1439] = 350,
  [1440] = 852,
  [1441] = 874,
  [1442] = 874,
  [1443] = 840,
  [1444] = 841,
  [1445] = 849,
  [1446] = 327,
  [1447] = 900,
  [1448] = 843,
  [1449] = 1204,
  [1450] = 900,
  [1451] = 942,
  [1452] = 1031,
  [1453] = 927,
  [1454] = 902,
  [1455] = 1030,
  [1456] = 908,
  [1457] = 841,
  [1458] = 544,
  [1459] = 874,
  [1460] = 1028,
  [1461] = 884,
  [1462] = 843,
  [1463] = 1027,
  [1464] = 847,
  [1465] = 848,
  [1466] = 1026,
  [1467] = 1467,
  [1468] = 848,
  [1469] = 321,
  [1470] = 847,
  [1471] = 843,
  [1472] = 903,
  [1473] = 849,
  [1474] = 900,
  [1475] = 317,
  [1476] = 840,
  [1477] = 841,
  [1478] = 843,
  [1479] = 841,
  [1480] = 877,
  [1481] = 852,
  [1482] = 879,
  [1483] = 854,
  [1484] = 865,
  [1485] = 847,
  [1486] = 848,
  [1487] = 874,
  [1488] = 867,
  [1489] = 884,
  [1490] = 868,
  [1491] = 871,
  [1492] = 313,
  [1493] = 875,
  [1494] = 873,
  [1495] = 873,
  [1496] = 871,
  [1497] = 849,
  [1498] = 1498,
  [1499] = 292,
  [1500] = 879,
  [1501] = 875,
  [1502] = 884,
  [1503] = 225,
  [1504] = 868,
  [1505] = 841,
  [1506] = 874,
  [1507] = 284,
  [1508] = 877,
  [1509] = 277,
  [1510] = 852,
  [1511] = 912,
  [1512] = 843,
  [1513] = 871,
  [1514] = 854,
  [1515] = 865,
  [1516] = 867,
  [1517] = 868,
  [1518] = 867,
  [1519] = 865,
  [1520] = 871,
  [1521] = 873,
  [1522] = 265,
  [1523] = 875,
  [1524] = 854,
  [1525] = 849,
  [1526] = 840,
  [1527] = 852,
  [1528] = 848,
  [1529] = 884,
  [1530] = 902,
  [1531] = 264,
  [1532] = 908,
  [1533] = 852,
  [1534] = 854,
  [1535] = 259,
  [1536] = 912,
  [1537] = 865,
  [1538] = 867,
  [1539] = 868,
  [1540] = 847,
  [1541] = 884,
  [1542] = 841,
  [1543] = 843,
  [1544] = 258,
  [1545] = 900,
  [1546] = 257,
  [1547] = 1246,
  [1548] = 841,
  [1549] = 843,
  [1550] = 875,
  [1551] = 847,
  [1552] = 256,
  [1553] = 871,
  [1554] = 250,
  [1555] = 919,
  [1556] = 942,
  [1557] = 848,
  [1558] = 873,
  [1559] = 849,
  [1560] = 875,
  [1561] = 927,
  [1562] = 884,
  [1563] = 852,
  [1564] = 1564,
  [1565] = 854,
  [1566] = 903,
  [1567] = 900,
  [1568] = 243,
  [1569] = 874,
  [1570] = 877,
  [1571] = 865,
  [1572] = 840,
  [1573] = 884,
  [1574] = 875,
  [1575] = 867,
  [1576] = 879,
  [1577] = 868,
  [1578] = 241,
  [1579] = 873,
  [1580] = 871,
  [1581] = 873,
  [1582] = 230,
  [1583] = 875,
  [1584] = 942,
  [1585] = 232,
  [1586] = 847,
  [1587] = 927,
  [1588] = 884,
  [1589] = 848,
  [1590] = 860,
  [1591] = 874,
  [1592] = 872,
  [1593] = 948,
  [1594] = 903,
  [1595] = 233,
  [1596] = 877,
  [1597] = 900,
  [1598] = 873,
  [1599] = 871,
  [1600] = 840,
  [1601] = 868,
  [1602] = 927,
  [1603] = 879,
  [1604] = 867,
  [1605] = 236,
  [1606] = 354,
  [1607] = 865,
  [1608] = 501,
  [1609] = 359,
  [1610] = 841,
  [1611] = 843,
  [1612] = 847,
  [1613] = 245,
  [1614] = 848,
  [1615] = 849,
  [1616] = 852,
  [1617] = 306,
  [1618] = 942,
  [1619] = 927,
  [1620] = 312,
  [1621] = 854,
  [1622] = 903,
  [1623] = 900,
  [1624] = 865,
  [1625] = 867,
  [1626] = 840,
  [1627] = 868,
  [1628] = 879,
  [1629] = 871,
  [1630] = 873,
  [1631] = 875,
  [1632] = 884,
  [1633] = 874,
  [1634] = 877,
  [1635] = 854,
  [1636] = 948,
  [1637] = 919,
  [1638] = 319,
  [1639] = 260,
  [1640] = 364,
  [1641] = 942,
  [1642] = 852,
  [1643] = 848,
  [1644] = 841,
  [1645] = 879,
  [1646] = 847,
  [1647] = 1647,
  [1648] = 849,
  [1649] = 927,
  [1650] = 367,
  [1651] = 840,
  [1652] = 261,
  [1653] = 371,
  [1654] = 900,
  [1655] = 903,
  [1656] = 841,
  [1657] = 373,
  [1658] = 843,
  [1659] = 847,
  [1660] = 848,
  [1661] = 1661,
  [1662] = 849,
  [1663] = 903,
  [1664] = 262,
  [1665] = 266,
  [1666] = 268,
  [1667] = 875,
  [1668] = 852,
  [1669] = 854,
  [1670] = 927,
  [1671] = 278,
  [1672] = 865,
  [1673] = 867,
  [1674] = 868,
  [1675] = 613,
  [1676] = 875,
  [1677] = 279,
  [1678] = 900,
  [1679] = 871,
  [1680] = 942,
  [1681] = 849,
  [1682] = 873,
  [1683] = 1683,
  [1684] = 283,
  [1685] = 875,
  [1686] = 290,
  [1687] = 884,
  [1688] = 874,
  [1689] = 328,
  [1690] = 329,
  [1691] = 877,
  [1692] = 879,
  [1693] = 840,
  [1694] = 927,
  [1695] = 873,
  [1696] = 871,
  [1697] = 1498,
  [1698] = 331,
  [1699] = 879,
  [1700] = 948,
  [1701] = 333,
  [1702] = 919,
  [1703] = 903,
  [1704] = 226,
  [1705] = 942,
  [1706] = 868,
  [1707] = 1564,
  [1708] = 927,
  [1709] = 375,
  [1710] = 912,
  [1711] = 927,
  [1712] = 942,
  [1713] = 879,
  [1714] = 867,
  [1715] = 334,
  [1716] = 865,
  [1717] = 840,
  [1718] = 843,
  [1719] = 841,
  [1720] = 841,
  [1721] = 854,
  [1722] = 843,
  [1723] = 847,
  [1724] = 618,
  [1725] = 848,
  [1726] = 873,
  [1727] = 852,
  [1728] = 903,
  [1729] = 900,
  [1730] = 848,
  [1731] = 351,
  [1732] = 900,
  [1733] = 919,
  [1734] = 840,
  [1735] = 877,
  [1736] = 879,
  [1737] = 942,
  [1738] = 355,
  [1739] = 874,
  [1740] = 927,
  [1741] = 849,
  [1742] = 849,
  [1743] = 849,
  [1744] = 840,
  [1745] = 358,
  [1746] = 903,
  [1747] = 360,
  [1748] = 377,
  [1749] = 903,
  [1750] = 927,
  [1751] = 562,
  [1752] = 942,
  [1753] = 879,
  [1754] = 871,
  [1755] = 1284,
  [1756] = 841,
  [1757] = 843,
  [1758] = 927,
  [1759] = 877,
  [1760] = 874,
  [1761] = 848,
  [1762] = 900,
  [1763] = 1763,
  [1764] = 847,
  [1765] = 363,
  [1766] = 840,
  [1767] = 840,
  [1768] = 879,
  [1769] = 1141,
  [1770] = 884,
  [1771] = 875,
  [1772] = 873,
  [1773] = 871,
  [1774] = 868,
  [1775] = 867,
  [1776] = 865,
  [1777] = 868,
  [1778] = 854,
  [1779] = 852,
  [1780] = 867,
  [1781] = 942,
  [1782] = 948,
  [1783] = 847,
  [1784] = 848,
  [1785] = 852,
  [1786] = 927,
  [1787] = 854,
  [1788] = 903,
  [1789] = 849,
  [1790] = 865,
  [1791] = 843,
  [1792] = 854,
  [1793] = 900,
  [1794] = 843,
  [1795] = 852,
  [1796] = 841,
  [1797] = 1046,
  [1798] = 903,
  [1799] = 852,
  [1800] = 927,
  [1801] = 900,
  [1802] = 368,
  [1803] = 849,
  [1804] = 942,
  [1805] = 854,
  [1806] = 1412,
  [1807] = 840,
  [1808] = 372,
  [1809] = 849,
  [1810] = 879,
  [1811] = 848,
  [1812] = 379,
  [1813] = 879,
  [1814] = 1814,
  [1815] = 381,
  [1816] = 942,
  [1817] = 380,
  [1818] = 879,
  [1819] = 865,
  [1820] = 903,
  [1821] = 1024,
  [1822] = 900,
  [1823] = 867,
  [1824] = 1022,
  [1825] = 840,
  [1826] = 868,
  [1827] = 1020,
  [1828] = 847,
  [1829] = 900,
  [1830] = 848,
  [1831] = 1831,
  [1832] = 847,
  [1833] = 1498,
  [1834] = 428,
  [1835] = 903,
  [1836] = 1018,
  [1837] = 927,
  [1838] = 865,
  [1839] = 1016,
  [1840] = 1498,
  [1841] = 884,
  [1842] = 942,
  [1843] = 840,
  [1844] = 879,
  [1845] = 852,
  [1846] = 854,
  [1847] = 843,
  [1848] = 865,
  [1849] = 867,
  [1850] = 868,
  [1851] = 871,
  [1852] = 873,
  [1853] = 875,
  [1854] = 884,
  [1855] = 879,
  [1856] = 840,
  [1857] = 867,
  [1858] = 900,
  [1859] = 841,
  [1860] = 942,
  [1861] = 871,
  [1862] = 927,
  [1863] = 903,
  [1864] = 875,
  [1865] = 927,
  [1866] = 903,
  [1867] = 900,
  [1868] = 873,
  [1869] = 875,
  [1870] = 1683,
  [1871] = 884,
  [1872] = 873,
  [1873] = 874,
  [1874] = 871,
  [1875] = 849,
  [1876] = 840,
  [1877] = 868,
  [1878] = 874,
  [1879] = 942,
  [1880] = 877,
  [1881] = 877,
  [1882] = 1882,
  [1883] = 900,
  [1884] = 520,
  [1885] = 605,
  [1886] = 603,
  [1887] = 601,
  [1888] = 598,
  [1889] = 595,
  [1890] = 570,
  [1891] = 568,
  [1892] = 513,
  [1893] = 432,
  [1894] = 550,
  [1895] = 434,
  [1896] = 435,
  [1897] = 436,
  [1898] = 406,
  [1899] = 408,
  [1900] = 555,
  [1901] = 604,
  [1902] = 447,
  [1903] = 557,
  [1904] = 448,
  [1905] = 450,
  [1906] = 455,
  [1907] = 559,
  [1908] = 462,
  [1909] = 468,
  [1910] = 1467,
  [1911] = 561,
  [1912] = 415,
  [1913] = 471,
  [1914] = 473,
  [1915] = 479,
  [1916] = 484,
  [1917] = 486,
  [1918] = 10,
  [1919] = 341,
  [1920] = 489,
  [1921] = 10,
  [1922] = 606,
  [1923] = 495,
  [1924] = 569,
  [1925] = 496,
  [1926] = 428,
  [1927] = 386,
  [1928] = 396,
  [1929] = 498,
  [1930] = 607,
  [1931] = 616,
  [1932] = 620,
  [1933] = 502,
  [1934] = 505,
  [1935] = 592,
  [1936] = 580,
  [1937] = 571,
  [1938] = 549,
  [1939] = 546,
  [1940] = 534,
  [1941] = 527,
  [1942] = 437,
  [1943] = 438,
  [1944] = 572,
  [1945] = 10,
  [1946] = 503,
  [1947] = 439,
  [1948] = 510,
  [1949] = 515,
  [1950] = 573,
  [1951] = 518,
  [1952] = 519,
  [1953] = 389,
  [1954] = 528,
  [1955] = 532,
  [1956] = 576,
  [1957] = 577,
  [1958] = 578,
  [1959] = 440,
  [1960] = 581,
  [1961] = 441,
  [1962] = 583,
  [1963] = 584,
  [1964] = 551,
  [1965] = 585,
  [1966] = 553,
  [1967] = 442,
  [1968] = 586,
  [1969] = 587,
  [1970] = 588,
  [1971] = 443,
  [1972] = 444,
  [1973] = 445,
  [1974] = 589,
  [1975] = 446,
  [1976] = 590,
  [1977] = 449,
  [1978] = 451,
  [1979] = 452,
  [1980] = 591,
  [1981] = 453,
  [1982] = 454,
  [1983] = 456,
  [1984] = 556,
  [1985] = 558,
  [1986] = 594,
  [1987] = 457,
  [1988] = 458,
  [1989] = 398,
  [1990] = 459,
  [1991] = 596,
  [1992] = 597,
  [1993] = 460,
  [1994] = 461,
  [1995] = 599,
  [1996] = 463,
  [1997] = 464,
  [1998] = 465,
  [1999] = 466,
  [2000] = 600,
  [2001] = 467,
  [2002] = 602,
  [2003] = 469,
  [2004] = 470,
  [2005] = 472,
  [2006] = 608,
  [2007] = 406,
  [2008] = 609,
  [2009] = 610,
  [2010] = 611,
  [2011] = 474,
  [2012] = 475,
  [2013] = 10,
  [2014] = 476,
  [2015] = 612,
  [2016] = 2016,
  [2017] = 477,
  [2018] = 478,
  [2019] = 480,
  [2020] = 614,
  [2021] = 615,
  [2022] = 617,
  [2023] = 481,
  [2024] = 482,
  [2025] = 483,
  [2026] = 619,
  [2027] = 621,
  [2028] = 485,
  [2029] = 622,
  [2030] = 623,
  [2031] = 500,
  [2032] = 487,
  [2033] = 582,
  [2034] = 579,
  [2035] = 499,
  [2036] = 575,
  [2037] = 507,
  [2038] = 491,
  [2039] = 574,
  [2040] = 506,
  [2041] = 494,
  [2042] = 567,
  [2043] = 566,
  [2044] = 565,
  [2045] = 564,
  [2046] = 560,
  [2047] = 517,
  [2048] = 516,
  [2049] = 554,
  [2050] = 514,
  [2051] = 504,
  [2052] = 552,
  [2053] = 548,
  [2054] = 545,
  [2055] = 512,
  [2056] = 543,
  [2057] = 542,
  [2058] = 511,
  [2059] = 541,
  [2060] = 540,
  [2061] = 539,
  [2062] = 497,
  [2063] = 538,
  [2064] = 537,
  [2065] = 536,
  [2066] = 535,
  [2067] = 533,
  [2068] = 530,
  [2069] = 529,
  [2070] = 490,
  [2071] = 563,
  [2072] = 509,
  [2073] = 431,
  [2074] = 488,
  [2075] = 526,
  [2076] = 493,
  [2077] = 492,
  [2078] = 525,
  [2079] = 508,
  [2080] = 430,
  [2081] = 524,
  [2082] = 523,
  [2083] = 522,
  [2084] = 521,
  [2085] = 602,
  [2086] = 444,
  [2087] = 470,
  [2088] = 472,
  [2089] = 474,
  [2090] = 475,
  [2091] = 544,
  [2092] = 549,
  [2093] = 476,
  [2094] = 477,
  [2095] = 478,
  [2096] = 480,
  [2097] = 481,
  [2098] = 482,
  [2099] = 483,
  [2100] = 485,
  [2101] = 488,
  [2102] = 490,
  [2103] = 491,
  [2104] = 492,
  [2105] = 493,
  [2106] = 10,
  [2107] = 494,
  [2108] = 497,
  [2109] = 499,
  [2110] = 500,
  [2111] = 135,
  [2112] = 430,
  [2113] = 504,
  [2114] = 506,
  [2115] = 507,
  [2116] = 508,
  [2117] = 509,
  [2118] = 511,
  [2119] = 512,
  [2120] = 514,
  [2121] = 516,
  [2122] = 517,
  [2123] = 461,
  [2124] = 520,
  [2125] = 467,
  [2126] = 521,
  [2127] = 466,
  [2128] = 522,
  [2129] = 523,
  [2130] = 524,
  [2131] = 525,
  [2132] = 526,
  [2133] = 431,
  [2134] = 501,
  [2135] = 563,
  [2136] = 529,
  [2137] = 530,
  [2138] = 533,
  [2139] = 535,
  [2140] = 465,
  [2141] = 536,
  [2142] = 537,
  [2143] = 538,
  [2144] = 539,
  [2145] = 469,
  [2146] = 540,
  [2147] = 541,
  [2148] = 542,
  [2149] = 543,
  [2150] = 545,
  [2151] = 548,
  [2152] = 552,
  [2153] = 554,
  [2154] = 464,
  [2155] = 560,
  [2156] = 463,
  [2157] = 564,
  [2158] = 565,
  [2159] = 566,
  [2160] = 567,
  [2161] = 574,
  [2162] = 575,
  [2163] = 561,
  [2164] = 579,
  [2165] = 582,
  [2166] = 487,
  [2167] = 454,
  [2168] = 623,
  [2169] = 622,
  [2170] = 621,
  [2171] = 613,
  [2172] = 406,
  [2173] = 619,
  [2174] = 617,
  [2175] = 615,
  [2176] = 614,
  [2177] = 612,
  [2178] = 460,
  [2179] = 611,
  [2180] = 459,
  [2181] = 458,
  [2182] = 610,
  [2183] = 609,
  [2184] = 608,
  [2185] = 600,
  [2186] = 599,
  [2187] = 597,
  [2188] = 596,
  [2189] = 594,
  [2190] = 618,
  [2191] = 558,
  [2192] = 556,
  [2193] = 591,
  [2194] = 590,
  [2195] = 589,
  [2196] = 588,
  [2197] = 587,
  [2198] = 457,
  [2199] = 586,
  [2200] = 562,
  [2201] = 553,
  [2202] = 585,
  [2203] = 551,
  [2204] = 584,
  [2205] = 583,
  [2206] = 581,
  [2207] = 578,
  [2208] = 577,
  [2209] = 576,
  [2210] = 555,
  [2211] = 2016,
  [2212] = 532,
  [2213] = 528,
  [2214] = 456,
  [2215] = 453,
  [2216] = 389,
  [2217] = 519,
  [2218] = 518,
  [2219] = 573,
  [2220] = 515,
  [2221] = 510,
  [2222] = 503,
  [2223] = 572,
  [2224] = 452,
  [2225] = 498,
  [2226] = 496,
  [2227] = 569,
  [2228] = 495,
  [2229] = 489,
  [2230] = 486,
  [2231] = 484,
  [2232] = 479,
  [2233] = 606,
  [2234] = 605,
  [2235] = 603,
  [2236] = 473,
  [2237] = 451,
  [2238] = 449,
  [2239] = 601,
  [2240] = 471,
  [2241] = 415,
  [2242] = 468,
  [2243] = 462,
  [2244] = 559,
  [2245] = 455,
  [2246] = 450,
  [2247] = 598,
  [2248] = 448,
  [2249] = 607,
  [2250] = 557,
  [2251] = 616,
  [2252] = 620,
  [2253] = 595,
  [2254] = 502,
  [2255] = 447,
  [2256] = 570,
  [2257] = 604,
  [2258] = 408,
  [2259] = 446,
  [2260] = 445,
  [2261] = 568,
  [2262] = 592,
  [2263] = 513,
  [2264] = 580,
  [2265] = 571,
  [2266] = 546,
  [2267] = 432,
  [2268] = 534,
  [2269] = 527,
  [2270] = 550,
  [2271] = 437,
  [2272] = 438,
  [2273] = 434,
  [2274] = 439,
  [2275] = 435,
  [2276] = 440,
  [2277] = 441,
  [2278] = 442,
  [2279] = 436,
  [2280] = 505,
  [2281] = 443,
  [2282] = 116,
  [2283] = 118,
  [2284] = 2284,
  [2285] = 118,
  [2286] = 124,
  [2287] = 120,
  [2288] = 125,
  [2289] = 120,
  [2290] = 555,
  [2291] = 128,
  [2292] = 130,
  [2293] = 132,
  [2294] = 122,
  [2295] = 129,
  [2296] = 125,
  [2297] = 126,
  [2298] = 128,
  [2299] = 121,
  [2300] = 117,
  [2301] = 561,
  [2302] = 116,
  [2303] = 125,
  [2304] = 128,
  [2305] = 2305,
  [2306] = 130,
  [2307] = 132,
  [2308] = 126,
  [2309] = 117,
  [2310] = 121,
  [2311] = 133,
  [2312] = 133,
  [2313] = 129,
  [2314] = 118,
  [2315] = 10,
  [2316] = 119,
  [2317] = 121,
  [2318] = 122,
  [2319] = 114,
  [2320] = 122,
  [2321] = 124,
  [2322] = 120,
  [2323] = 129,
  [2324] = 124,
  [2325] = 130,
  [2326] = 132,
  [2327] = 126,
  [2328] = 116,
  [2329] = 133,
  [2330] = 117,
  [2331] = 119,
  [2332] = 119,
  [2333] = 114,
  [2334] = 114,
  [2335] = 406,
  [2336] = 1467,
  [2337] = 121,
  [2338] = 549,
  [2339] = 117,
  [2340] = 116,
  [2341] = 125,
  [2342] = 122,
  [2343] = 119,
  [2344] = 133,
  [2345] = 126,
  [2346] = 132,
  [2347] = 130,
  [2348] = 128,
  [2349] = 129,
  [2350] = 120,
  [2351] = 124,
  [2352] = 114,
  [2353] = 118,
  [2354] = 225,
  [2355] = 343,
  [2356] = 2016,
  [2357] = 338,
  [2358] = 284,
  [2359] = 324,
  [2360] = 10,
  [2361] = 353,
  [2362] = 242,
  [2363] = 351,
  [2364] = 277,
  [2365] = 355,
  [2366] = 265,
  [2367] = 358,
  [2368] = 376,
  [2369] = 264,
  [2370] = 1467,
  [2371] = 309,
  [2372] = 356,
  [2373] = 247,
  [2374] = 10,
  [2375] = 271,
  [2376] = 360,
  [2377] = 259,
  [2378] = 378,
  [2379] = 335,
  [2380] = 258,
  [2381] = 346,
  [2382] = 363,
  [2383] = 257,
  [2384] = 366,
  [2385] = 305,
  [2386] = 256,
  [2387] = 368,
  [2388] = 250,
  [2389] = 372,
  [2390] = 304,
  [2391] = 329,
  [2392] = 331,
  [2393] = 379,
  [2394] = 352,
  [2395] = 272,
  [2396] = 386,
  [2397] = 274,
  [2398] = 276,
  [2399] = 348,
  [2400] = 381,
  [2401] = 280,
  [2402] = 241,
  [2403] = 237,
  [2404] = 380,
  [2405] = 235,
  [2406] = 234,
  [2407] = 333,
  [2408] = 298,
  [2409] = 226,
  [2410] = 297,
  [2411] = 230,
  [2412] = 231,
  [2413] = 270,
  [2414] = 396,
  [2415] = 229,
  [2416] = 232,
  [2417] = 334,
  [2418] = 339,
  [2419] = 377,
  [2420] = 281,
  [2421] = 375,
  [2422] = 373,
  [2423] = 371,
  [2424] = 228,
  [2425] = 367,
  [2426] = 345,
  [2427] = 292,
  [2428] = 294,
  [2429] = 244,
  [2430] = 293,
  [2431] = 364,
  [2432] = 233,
  [2433] = 128,
  [2434] = 359,
  [2435] = 236,
  [2436] = 318,
  [2437] = 245,
  [2438] = 289,
  [2439] = 275,
  [2440] = 341,
  [2441] = 248,
  [2442] = 243,
  [2443] = 122,
  [2444] = 119,
  [2445] = 337,
  [2446] = 300,
  [2447] = 249,
  [2448] = 260,
  [2449] = 133,
  [2450] = 319,
  [2451] = 287,
  [2452] = 126,
  [2453] = 10,
  [2454] = 132,
  [2455] = 261,
  [2456] = 251,
  [2457] = 344,
  [2458] = 130,
  [2459] = 262,
  [2460] = 266,
  [2461] = 129,
  [2462] = 268,
  [2463] = 120,
  [2464] = 124,
  [2465] = 114,
  [2466] = 278,
  [2467] = 118,
  [2468] = 135,
  [2469] = 121,
  [2470] = 252,
  [2471] = 354,
  [2472] = 311,
  [2473] = 313,
  [2474] = 328,
  [2475] = 316,
  [2476] = 374,
  [2477] = 253,
  [2478] = 279,
  [2479] = 135,
  [2480] = 10,
  [2481] = 283,
  [2482] = 255,
  [2483] = 317,
  [2484] = 290,
  [2485] = 267,
  [2486] = 301,
  [2487] = 308,
  [2488] = 303,
  [2489] = 312,
  [2490] = 306,
  [2491] = 295,
  [2492] = 238,
  [2493] = 314,
  [2494] = 325,
  [2495] = 336,
  [2496] = 323,
  [2497] = 282,
  [2498] = 326,
  [2499] = 286,
  [2500] = 288,
  [2501] = 2501,
  [2502] = 330,
  [2503] = 342,
  [2504] = 321,
  [2505] = 116,
  [2506] = 117,
  [2507] = 398,
  [2508] = 125,
  [2509] = 327,
  [2510] = 350,
  [2511] = 357,
  [2512] = 227,
  [2513] = 299,
  [2514] = 361,
  [2515] = 370,
  [2516] = 2516,
  [2517] = 406,
  [2518] = 10,
  [2519] = 135,
  [2520] = 2016,
  [2521] = 428,
  [2522] = 10,
  [2523] = 135,
  [2524] = 398,
  [2525] = 396,
  [2526] = 580,
  [2527] = 542,
  [2528] = 121,
  [2529] = 117,
  [2530] = 116,
  [2531] = 605,
  [2532] = 603,
  [2533] = 606,
  [2534] = 10,
  [2535] = 601,
  [2536] = 2305,
  [2537] = 598,
  [2538] = 125,
  [2539] = 128,
  [2540] = 595,
  [2541] = 570,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 568,
  [2545] = 513,
  [2546] = 122,
  [2547] = 432,
  [2548] = 119,
  [2549] = 133,
  [2550] = 126,
  [2551] = 132,
  [2552] = 550,
  [2553] = 434,
  [2554] = 435,
  [2555] = 130,
  [2556] = 544,
  [2557] = 607,
  [2558] = 616,
  [2559] = 620,
  [2560] = 502,
  [2561] = 116,
  [2562] = 505,
  [2563] = 592,
  [2564] = 571,
  [2565] = 546,
  [2566] = 534,
  [2567] = 527,
  [2568] = 437,
  [2569] = 438,
  [2570] = 439,
  [2571] = 440,
  [2572] = 441,
  [2573] = 436,
  [2574] = 443,
  [2575] = 117,
  [2576] = 408,
  [2577] = 444,
  [2578] = 445,
  [2579] = 446,
  [2580] = 449,
  [2581] = 451,
  [2582] = 452,
  [2583] = 453,
  [2584] = 454,
  [2585] = 456,
  [2586] = 457,
  [2587] = 458,
  [2588] = 459,
  [2589] = 501,
  [2590] = 460,
  [2591] = 461,
  [2592] = 463,
  [2593] = 464,
  [2594] = 442,
  [2595] = 466,
  [2596] = 467,
  [2597] = 469,
  [2598] = 470,
  [2599] = 472,
  [2600] = 474,
  [2601] = 475,
  [2602] = 476,
  [2603] = 477,
  [2604] = 478,
  [2605] = 480,
  [2606] = 613,
  [2607] = 481,
  [2608] = 482,
  [2609] = 604,
  [2610] = 483,
  [2611] = 447,
  [2612] = 557,
  [2613] = 485,
  [2614] = 488,
  [2615] = 490,
  [2616] = 491,
  [2617] = 492,
  [2618] = 493,
  [2619] = 122,
  [2620] = 119,
  [2621] = 494,
  [2622] = 618,
  [2623] = 133,
  [2624] = 126,
  [2625] = 497,
  [2626] = 132,
  [2627] = 499,
  [2628] = 500,
  [2629] = 130,
  [2630] = 430,
  [2631] = 562,
  [2632] = 504,
  [2633] = 506,
  [2634] = 507,
  [2635] = 508,
  [2636] = 129,
  [2637] = 509,
  [2638] = 120,
  [2639] = 511,
  [2640] = 512,
  [2641] = 514,
  [2642] = 516,
  [2643] = 517,
  [2644] = 124,
  [2645] = 114,
  [2646] = 118,
  [2647] = 520,
  [2648] = 521,
  [2649] = 128,
  [2650] = 125,
  [2651] = 522,
  [2652] = 523,
  [2653] = 524,
  [2654] = 525,
  [2655] = 526,
  [2656] = 431,
  [2657] = 465,
  [2658] = 563,
  [2659] = 129,
  [2660] = 529,
  [2661] = 530,
  [2662] = 533,
  [2663] = 535,
  [2664] = 537,
  [2665] = 538,
  [2666] = 539,
  [2667] = 540,
  [2668] = 541,
  [2669] = 2284,
  [2670] = 543,
  [2671] = 545,
  [2672] = 548,
  [2673] = 552,
  [2674] = 554,
  [2675] = 560,
  [2676] = 564,
  [2677] = 565,
  [2678] = 566,
  [2679] = 567,
  [2680] = 574,
  [2681] = 130,
  [2682] = 575,
  [2683] = 579,
  [2684] = 582,
  [2685] = 536,
  [2686] = 623,
  [2687] = 622,
  [2688] = 621,
  [2689] = 619,
  [2690] = 617,
  [2691] = 615,
  [2692] = 614,
  [2693] = 612,
  [2694] = 611,
  [2695] = 610,
  [2696] = 609,
  [2697] = 608,
  [2698] = 602,
  [2699] = 600,
  [2700] = 599,
  [2701] = 597,
  [2702] = 596,
  [2703] = 594,
  [2704] = 558,
  [2705] = 556,
  [2706] = 117,
  [2707] = 116,
  [2708] = 487,
  [2709] = 590,
  [2710] = 589,
  [2711] = 120,
  [2712] = 588,
  [2713] = 587,
  [2714] = 586,
  [2715] = 553,
  [2716] = 585,
  [2717] = 551,
  [2718] = 584,
  [2719] = 583,
  [2720] = 581,
  [2721] = 578,
  [2722] = 577,
  [2723] = 125,
  [2724] = 576,
  [2725] = 128,
  [2726] = 118,
  [2727] = 532,
  [2728] = 528,
  [2729] = 114,
  [2730] = 124,
  [2731] = 120,
  [2732] = 129,
  [2733] = 389,
  [2734] = 519,
  [2735] = 518,
  [2736] = 573,
  [2737] = 515,
  [2738] = 132,
  [2739] = 126,
  [2740] = 510,
  [2741] = 503,
  [2742] = 591,
  [2743] = 118,
  [2744] = 572,
  [2745] = 498,
  [2746] = 133,
  [2747] = 496,
  [2748] = 121,
  [2749] = 569,
  [2750] = 495,
  [2751] = 489,
  [2752] = 114,
  [2753] = 486,
  [2754] = 119,
  [2755] = 484,
  [2756] = 479,
  [2757] = 124,
  [2758] = 473,
  [2759] = 121,
  [2760] = 471,
  [2761] = 122,
  [2762] = 415,
  [2763] = 468,
  [2764] = 462,
  [2765] = 559,
  [2766] = 455,
  [2767] = 450,
  [2768] = 448,
  [2769] = 119,
  [2770] = 549,
  [2771] = 125,
  [2772] = 406,
  [2773] = 128,
  [2774] = 118,
  [2775] = 114,
  [2776] = 122,
  [2777] = 124,
  [2778] = 120,
  [2779] = 129,
  [2780] = 116,
  [2781] = 117,
  [2782] = 130,
  [2783] = 132,
  [2784] = 126,
  [2785] = 133,
  [2786] = 121,
  [2787] = 341,
  [2788] = 133,
  [2789] = 121,
  [2790] = 2790,
  [2791] = 117,
  [2792] = 116,
  [2793] = 135,
  [2794] = 2501,
  [2795] = 124,
  [2796] = 119,
  [2797] = 341,
  [2798] = 2798,
  [2799] = 114,
  [2800] = 126,
  [2801] = 132,
  [2802] = 118,
  [2803] = 135,
  [2804] = 130,
  [2805] = 129,
  [2806] = 122,
  [2807] = 128,
  [2808] = 125,
  [2809] = 120,
  [2810] = 341,
  [2811] = 292,
  [2812] = 288,
  [2813] = 228,
  [2814] = 229,
  [2815] = 231,
  [2816] = 234,
  [2817] = 245,
  [2818] = 235,
  [2819] = 237,
  [2820] = 290,
  [2821] = 242,
  [2822] = 283,
  [2823] = 236,
  [2824] = 279,
  [2825] = 244,
  [2826] = 248,
  [2827] = 233,
  [2828] = 278,
  [2829] = 249,
  [2830] = 251,
  [2831] = 268,
  [2832] = 252,
  [2833] = 253,
  [2834] = 255,
  [2835] = 267,
  [2836] = 266,
  [2837] = 232,
  [2838] = 2838,
  [2839] = 270,
  [2840] = 271,
  [2841] = 230,
  [2842] = 386,
  [2843] = 272,
  [2844] = 274,
  [2845] = 241,
  [2846] = 243,
  [2847] = 250,
  [2848] = 256,
  [2849] = 276,
  [2850] = 280,
  [2851] = 227,
  [2852] = 10,
  [2853] = 281,
  [2854] = 125,
  [2855] = 128,
  [2856] = 116,
  [2857] = 118,
  [2858] = 117,
  [2859] = 114,
  [2860] = 124,
  [2861] = 120,
  [2862] = 129,
  [2863] = 130,
  [2864] = 282,
  [2865] = 286,
  [2866] = 370,
  [2867] = 289,
  [2868] = 135,
  [2869] = 132,
  [2870] = 126,
  [2871] = 133,
  [2872] = 121,
  [2873] = 338,
  [2874] = 119,
  [2875] = 122,
  [2876] = 341,
  [2877] = 275,
  [2878] = 293,
  [2879] = 287,
  [2880] = 314,
  [2881] = 318,
  [2882] = 306,
  [2883] = 294,
  [2884] = 312,
  [2885] = 323,
  [2886] = 326,
  [2887] = 297,
  [2888] = 330,
  [2889] = 257,
  [2890] = 336,
  [2891] = 298,
  [2892] = 304,
  [2893] = 262,
  [2894] = 299,
  [2895] = 342,
  [2896] = 305,
  [2897] = 258,
  [2898] = 247,
  [2899] = 344,
  [2900] = 345,
  [2901] = 346,
  [2902] = 348,
  [2903] = 354,
  [2904] = 359,
  [2905] = 364,
  [2906] = 386,
  [2907] = 335,
  [2908] = 367,
  [2909] = 371,
  [2910] = 259,
  [2911] = 373,
  [2912] = 295,
  [2913] = 319,
  [2914] = 261,
  [2915] = 375,
  [2916] = 328,
  [2917] = 377,
  [2918] = 380,
  [2919] = 339,
  [2920] = 301,
  [2921] = 238,
  [2922] = 381,
  [2923] = 379,
  [2924] = 378,
  [2925] = 372,
  [2926] = 356,
  [2927] = 374,
  [2928] = 325,
  [2929] = 361,
  [2930] = 357,
  [2931] = 350,
  [2932] = 368,
  [2933] = 303,
  [2934] = 363,
  [2935] = 308,
  [2936] = 360,
  [2937] = 264,
  [2938] = 327,
  [2939] = 321,
  [2940] = 317,
  [2941] = 265,
  [2942] = 313,
  [2943] = 337,
  [2944] = 343,
  [2945] = 352,
  [2946] = 358,
  [2947] = 366,
  [2948] = 300,
  [2949] = 355,
  [2950] = 2516,
  [2951] = 260,
  [2952] = 225,
  [2953] = 376,
  [2954] = 353,
  [2955] = 351,
  [2956] = 334,
  [2957] = 329,
  [2958] = 324,
  [2959] = 226,
  [2960] = 316,
  [2961] = 333,
  [2962] = 331,
  [2963] = 311,
  [2964] = 309,
  [2965] = 386,
  [2966] = 284,
  [2967] = 277,
  [2968] = 2543,
  [2969] = 2542,
  [2970] = 116,
  [2971] = 117,
  [2972] = 2972,
  [2973] = 396,
  [2974] = 386,
  [2975] = 398,
  [2976] = 447,
  [2977] = 2977,
  [2978] = 406,
  [2979] = 125,
  [2980] = 128,
  [2981] = 118,
  [2982] = 114,
  [2983] = 124,
  [2984] = 513,
  [2985] = 428,
  [2986] = 120,
  [2987] = 129,
  [2988] = 130,
  [2989] = 121,
  [2990] = 122,
  [2991] = 119,
  [2992] = 121,
  [2993] = 133,
  [2994] = 126,
  [2995] = 132,
  [2996] = 130,
  [2997] = 117,
  [2998] = 129,
  [2999] = 120,
  [3000] = 124,
  [3001] = 117,
  [3002] = 116,
  [3003] = 114,
  [3004] = 118,
  [3005] = 116,
  [3006] = 128,
  [3007] = 125,
  [3008] = 125,
  [3009] = 124,
  [3010] = 132,
  [3011] = 3011,
  [3012] = 128,
  [3013] = 126,
  [3014] = 120,
  [3015] = 133,
  [3016] = 119,
  [3017] = 133,
  [3018] = 122,
  [3019] = 126,
  [3020] = 129,
  [3021] = 121,
  [3022] = 130,
  [3023] = 119,
  [3024] = 118,
  [3025] = 122,
  [3026] = 114,
  [3027] = 132,
  [3028] = 272,
  [3029] = 525,
  [3030] = 617,
  [3031] = 376,
  [3032] = 378,
  [3033] = 366,
  [3034] = 619,
  [3035] = 352,
  [3036] = 621,
  [3037] = 343,
  [3038] = 622,
  [3039] = 337,
  [3040] = 623,
  [3041] = 487,
  [3042] = 308,
  [3043] = 303,
  [3044] = 295,
  [3045] = 238,
  [3046] = 288,
  [3047] = 582,
  [3048] = 227,
  [3049] = 579,
  [3050] = 228,
  [3051] = 575,
  [3052] = 574,
  [3053] = 229,
  [3054] = 231,
  [3055] = 234,
  [3056] = 235,
  [3057] = 567,
  [3058] = 237,
  [3059] = 566,
  [3060] = 242,
  [3061] = 565,
  [3062] = 244,
  [3063] = 614,
  [3064] = 564,
  [3065] = 560,
  [3066] = 248,
  [3067] = 249,
  [3068] = 554,
  [3069] = 251,
  [3070] = 552,
  [3071] = 252,
  [3072] = 253,
  [3073] = 548,
  [3074] = 545,
  [3075] = 558,
  [3076] = 255,
  [3077] = 299,
  [3078] = 459,
  [3079] = 324,
  [3080] = 615,
  [3081] = 556,
  [3082] = 507,
  [3083] = 543,
  [3084] = 542,
  [3085] = 590,
  [3086] = 267,
  [3087] = 451,
  [3088] = 541,
  [3089] = 316,
  [3090] = 270,
  [3091] = 612,
  [3092] = 311,
  [3093] = 271,
  [3094] = 611,
  [3095] = 610,
  [3096] = 247,
  [3097] = 309,
  [3098] = 609,
  [3099] = 540,
  [3100] = 3100,
  [3101] = 274,
  [3102] = 276,
  [3103] = 539,
  [3104] = 280,
  [3105] = 538,
  [3106] = 281,
  [3107] = 537,
  [3108] = 282,
  [3109] = 286,
  [3110] = 553,
  [3111] = 551,
  [3112] = 370,
  [3113] = 289,
  [3114] = 293,
  [3115] = 294,
  [3116] = 297,
  [3117] = 304,
  [3118] = 305,
  [3119] = 335,
  [3120] = 536,
  [3121] = 535,
  [3122] = 339,
  [3123] = 533,
  [3124] = 356,
  [3125] = 530,
  [3126] = 529,
  [3127] = 374,
  [3128] = 325,
  [3129] = 361,
  [3130] = 357,
  [3131] = 532,
  [3132] = 350,
  [3133] = 327,
  [3134] = 321,
  [3135] = 317,
  [3136] = 528,
  [3137] = 313,
  [3138] = 300,
  [3139] = 292,
  [3140] = 225,
  [3141] = 284,
  [3142] = 277,
  [3143] = 265,
  [3144] = 406,
  [3145] = 264,
  [3146] = 259,
  [3147] = 258,
  [3148] = 257,
  [3149] = 256,
  [3150] = 250,
  [3151] = 243,
  [3152] = 571,
  [3153] = 241,
  [3154] = 519,
  [3155] = 230,
  [3156] = 232,
  [3157] = 233,
  [3158] = 236,
  [3159] = 518,
  [3160] = 245,
  [3161] = 515,
  [3162] = 260,
  [3163] = 128,
  [3164] = 546,
  [3165] = 261,
  [3166] = 262,
  [3167] = 266,
  [3168] = 268,
  [3169] = 278,
  [3170] = 279,
  [3171] = 283,
  [3172] = 290,
  [3173] = 301,
  [3174] = 431,
  [3175] = 510,
  [3176] = 314,
  [3177] = 298,
  [3178] = 608,
  [3179] = 323,
  [3180] = 326,
  [3181] = 330,
  [3182] = 336,
  [3183] = 342,
  [3184] = 344,
  [3185] = 345,
  [3186] = 346,
  [3187] = 348,
  [3188] = 354,
  [3189] = 359,
  [3190] = 364,
  [3191] = 503,
  [3192] = 367,
  [3193] = 371,
  [3194] = 373,
  [3195] = 375,
  [3196] = 449,
  [3197] = 377,
  [3198] = 526,
  [3199] = 380,
  [3200] = 381,
  [3201] = 379,
  [3202] = 372,
  [3203] = 368,
  [3204] = 363,
  [3205] = 360,
  [3206] = 358,
  [3207] = 353,
  [3208] = 355,
  [3209] = 498,
  [3210] = 351,
  [3211] = 496,
  [3212] = 334,
  [3213] = 226,
  [3214] = 333,
  [3215] = 331,
  [3216] = 329,
  [3217] = 328,
  [3218] = 318,
  [3219] = 319,
  [3220] = 312,
  [3221] = 306,
  [3222] = 489,
  [3223] = 439,
  [3224] = 130,
  [3225] = 486,
  [3226] = 484,
  [3227] = 479,
  [3228] = 524,
  [3229] = 473,
  [3230] = 523,
  [3231] = 522,
  [3232] = 471,
  [3233] = 521,
  [3234] = 561,
  [3235] = 468,
  [3236] = 462,
  [3237] = 455,
  [3238] = 563,
  [3239] = 450,
  [3240] = 448,
  [3241] = 447,
  [3242] = 604,
  [3243] = 555,
  [3244] = 440,
  [3245] = 436,
  [3246] = 435,
  [3247] = 434,
  [3248] = 432,
  [3249] = 602,
  [3250] = 513,
  [3251] = 600,
  [3252] = 570,
  [3253] = 595,
  [3254] = 598,
  [3255] = 601,
  [3256] = 603,
  [3257] = 287,
  [3258] = 125,
  [3259] = 275,
  [3260] = 605,
  [3261] = 606,
  [3262] = 458,
  [3263] = 446,
  [3264] = 495,
  [3265] = 591,
  [3266] = 506,
  [3267] = 460,
  [3268] = 118,
  [3269] = 114,
  [3270] = 599,
  [3271] = 445,
  [3272] = 597,
  [3273] = 596,
  [3274] = 120,
  [3275] = 338,
  [3276] = 594,
  [3277] = 437,
  [3278] = 124,
  [3279] = 568,
  [3280] = 408,
  [3281] = 589,
  [3282] = 430,
  [3283] = 588,
  [3284] = 587,
  [3285] = 586,
  [3286] = 544,
  [3287] = 585,
  [3288] = 549,
  [3289] = 550,
  [3290] = 576,
  [3291] = 557,
  [3292] = 3292,
  [3293] = 504,
  [3294] = 452,
  [3295] = 453,
  [3296] = 499,
  [3297] = 497,
  [3298] = 534,
  [3299] = 559,
  [3300] = 508,
  [3301] = 494,
  [3302] = 454,
  [3303] = 493,
  [3304] = 415,
  [3305] = 444,
  [3306] = 443,
  [3307] = 492,
  [3308] = 491,
  [3309] = 490,
  [3310] = 456,
  [3311] = 488,
  [3312] = 438,
  [3313] = 457,
  [3314] = 569,
  [3315] = 442,
  [3316] = 485,
  [3317] = 129,
  [3318] = 520,
  [3319] = 483,
  [3320] = 482,
  [3321] = 501,
  [3322] = 481,
  [3323] = 480,
  [3324] = 572,
  [3325] = 478,
  [3326] = 477,
  [3327] = 580,
  [3328] = 517,
  [3329] = 516,
  [3330] = 514,
  [3331] = 512,
  [3332] = 511,
  [3333] = 509,
  [3334] = 476,
  [3335] = 472,
  [3336] = 573,
  [3337] = 475,
  [3338] = 474,
  [3339] = 500,
  [3340] = 613,
  [3341] = 389,
  [3342] = 470,
  [3343] = 584,
  [3344] = 469,
  [3345] = 577,
  [3346] = 441,
  [3347] = 578,
  [3348] = 467,
  [3349] = 116,
  [3350] = 581,
  [3351] = 466,
  [3352] = 465,
  [3353] = 464,
  [3354] = 463,
  [3355] = 122,
  [3356] = 461,
  [3357] = 583,
  [3358] = 607,
  [3359] = 119,
  [3360] = 618,
  [3361] = 616,
  [3362] = 620,
  [3363] = 502,
  [3364] = 121,
  [3365] = 133,
  [3366] = 562,
  [3367] = 505,
  [3368] = 117,
  [3369] = 592,
  [3370] = 126,
  [3371] = 527,
  [3372] = 132,
  [3373] = 135,
  [3374] = 2798,
  [3375] = 398,
  [3376] = 2790,
  [3377] = 135,
  [3378] = 3378,
  [3379] = 3011,
  [3380] = 3380,
  [3381] = 396,
  [3382] = 428,
  [3383] = 135,
  [3384] = 341,
  [3385] = 386,
  [3386] = 2284,
  [3387] = 406,
  [3388] = 568,
  [3389] = 489,
  [3390] = 615,
  [3391] = 121,
  [3392] = 617,
  [3393] = 562,
  [3394] = 618,
  [3395] = 619,
  [3396] = 613,
  [3397] = 501,
  [3398] = 544,
  [3399] = 621,
  [3400] = 563,
  [3401] = 622,
  [3402] = 559,
  [3403] = 623,
  [3404] = 119,
  [3405] = 487,
  [3406] = 2838,
  [3407] = 605,
  [3408] = 603,
  [3409] = 117,
  [3410] = 116,
  [3411] = 582,
  [3412] = 579,
  [3413] = 601,
  [3414] = 575,
  [3415] = 598,
  [3416] = 595,
  [3417] = 574,
  [3418] = 133,
  [3419] = 570,
  [3420] = 567,
  [3421] = 120,
  [3422] = 566,
  [3423] = 565,
  [3424] = 550,
  [3425] = 564,
  [3426] = 557,
  [3427] = 606,
  [3428] = 560,
  [3429] = 569,
  [3430] = 124,
  [3431] = 554,
  [3432] = 406,
  [3433] = 114,
  [3434] = 118,
  [3435] = 549,
  [3436] = 552,
  [3437] = 548,
  [3438] = 545,
  [3439] = 129,
  [3440] = 543,
  [3441] = 542,
  [3442] = 538,
  [3443] = 541,
  [3444] = 540,
  [3445] = 572,
  [3446] = 539,
  [3447] = 130,
  [3448] = 132,
  [3449] = 614,
  [3450] = 128,
  [3451] = 125,
  [3452] = 537,
  [3453] = 126,
  [3454] = 573,
  [3455] = 432,
  [3456] = 513,
  [3457] = 536,
  [3458] = 535,
  [3459] = 533,
  [3460] = 576,
  [3461] = 530,
  [3462] = 529,
  [3463] = 577,
  [3464] = 431,
  [3465] = 526,
  [3466] = 578,
  [3467] = 525,
  [3468] = 581,
  [3469] = 524,
  [3470] = 523,
  [3471] = 583,
  [3472] = 522,
  [3473] = 584,
  [3474] = 558,
  [3475] = 521,
  [3476] = 556,
  [3477] = 585,
  [3478] = 520,
  [3479] = 586,
  [3480] = 587,
  [3481] = 588,
  [3482] = 589,
  [3483] = 517,
  [3484] = 516,
  [3485] = 514,
  [3486] = 122,
  [3487] = 512,
  [3488] = 511,
  [3489] = 590,
  [3490] = 509,
  [3491] = 553,
  [3492] = 508,
  [3493] = 507,
  [3494] = 506,
  [3495] = 551,
  [3496] = 504,
  [3497] = 430,
  [3498] = 591,
  [3499] = 500,
  [3500] = 499,
  [3501] = 555,
  [3502] = 408,
  [3503] = 497,
  [3504] = 415,
  [3505] = 594,
  [3506] = 494,
  [3507] = 596,
  [3508] = 532,
  [3509] = 493,
  [3510] = 492,
  [3511] = 491,
  [3512] = 490,
  [3513] = 488,
  [3514] = 597,
  [3515] = 485,
  [3516] = 483,
  [3517] = 389,
  [3518] = 482,
  [3519] = 481,
  [3520] = 528,
  [3521] = 480,
  [3522] = 599,
  [3523] = 519,
  [3524] = 478,
  [3525] = 600,
  [3526] = 518,
  [3527] = 477,
  [3528] = 476,
  [3529] = 475,
  [3530] = 474,
  [3531] = 515,
  [3532] = 472,
  [3533] = 470,
  [3534] = 469,
  [3535] = 602,
  [3536] = 467,
  [3537] = 466,
  [3538] = 510,
  [3539] = 465,
  [3540] = 464,
  [3541] = 503,
  [3542] = 463,
  [3543] = 434,
  [3544] = 608,
  [3545] = 461,
  [3546] = 498,
  [3547] = 435,
  [3548] = 460,
  [3549] = 459,
  [3550] = 458,
  [3551] = 457,
  [3552] = 456,
  [3553] = 454,
  [3554] = 453,
  [3555] = 452,
  [3556] = 496,
  [3557] = 451,
  [3558] = 449,
  [3559] = 495,
  [3560] = 446,
  [3561] = 445,
  [3562] = 444,
  [3563] = 443,
  [3564] = 442,
  [3565] = 610,
  [3566] = 441,
  [3567] = 440,
  [3568] = 580,
  [3569] = 439,
  [3570] = 438,
  [3571] = 437,
  [3572] = 527,
  [3573] = 534,
  [3574] = 546,
  [3575] = 571,
  [3576] = 609,
  [3577] = 592,
  [3578] = 505,
  [3579] = 502,
  [3580] = 620,
  [3581] = 616,
  [3582] = 607,
  [3583] = 604,
  [3584] = 447,
  [3585] = 448,
  [3586] = 450,
  [3587] = 455,
  [3588] = 462,
  [3589] = 468,
  [3590] = 561,
  [3591] = 612,
  [3592] = 436,
  [3593] = 471,
  [3594] = 611,
  [3595] = 473,
  [3596] = 479,
  [3597] = 484,
  [3598] = 486,
  [3599] = 275,
  [3600] = 266,
  [3601] = 114,
  [3602] = 118,
  [3603] = 2977,
  [3604] = 117,
  [3605] = 124,
  [3606] = 116,
  [3607] = 338,
  [3608] = 550,
  [3609] = 3011,
  [3610] = 557,
  [3611] = 559,
  [3612] = 247,
  [3613] = 122,
  [3614] = 119,
  [3615] = 121,
  [3616] = 133,
  [3617] = 569,
  [3618] = 126,
  [3619] = 132,
  [3620] = 130,
  [3621] = 129,
  [3622] = 120,
  [3623] = 572,
  [3624] = 124,
  [3625] = 114,
  [3626] = 306,
  [3627] = 118,
  [3628] = 128,
  [3629] = 125,
  [3630] = 312,
  [3631] = 319,
  [3632] = 573,
  [3633] = 576,
  [3634] = 128,
  [3635] = 125,
  [3636] = 577,
  [3637] = 578,
  [3638] = 328,
  [3639] = 117,
  [3640] = 116,
  [3641] = 581,
  [3642] = 329,
  [3643] = 331,
  [3644] = 583,
  [3645] = 333,
  [3646] = 226,
  [3647] = 584,
  [3648] = 334,
  [3649] = 122,
  [3650] = 119,
  [3651] = 2972,
  [3652] = 585,
  [3653] = 133,
  [3654] = 562,
  [3655] = 586,
  [3656] = 351,
  [3657] = 587,
  [3658] = 355,
  [3659] = 588,
  [3660] = 358,
  [3661] = 360,
  [3662] = 589,
  [3663] = 363,
  [3664] = 590,
  [3665] = 368,
  [3666] = 372,
  [3667] = 379,
  [3668] = 381,
  [3669] = 380,
  [3670] = 591,
  [3671] = 377,
  [3672] = 375,
  [3673] = 373,
  [3674] = 371,
  [3675] = 367,
  [3676] = 126,
  [3677] = 132,
  [3678] = 130,
  [3679] = 618,
  [3680] = 594,
  [3681] = 364,
  [3682] = 596,
  [3683] = 359,
  [3684] = 597,
  [3685] = 354,
  [3686] = 599,
  [3687] = 348,
  [3688] = 346,
  [3689] = 345,
  [3690] = 344,
  [3691] = 342,
  [3692] = 125,
  [3693] = 128,
  [3694] = 118,
  [3695] = 114,
  [3696] = 600,
  [3697] = 124,
  [3698] = 120,
  [3699] = 602,
  [3700] = 130,
  [3701] = 132,
  [3702] = 126,
  [3703] = 330,
  [3704] = 299,
  [3705] = 326,
  [3706] = 133,
  [3707] = 121,
  [3708] = 323,
  [3709] = 318,
  [3710] = 314,
  [3711] = 119,
  [3712] = 122,
  [3713] = 608,
  [3714] = 609,
  [3715] = 301,
  [3716] = 610,
  [3717] = 290,
  [3718] = 283,
  [3719] = 611,
  [3720] = 279,
  [3721] = 278,
  [3722] = 612,
  [3723] = 268,
  [3724] = 262,
  [3725] = 261,
  [3726] = 260,
  [3727] = 614,
  [3728] = 615,
  [3729] = 245,
  [3730] = 617,
  [3731] = 236,
  [3732] = 233,
  [3733] = 619,
  [3734] = 232,
  [3735] = 230,
  [3736] = 613,
  [3737] = 621,
  [3738] = 241,
  [3739] = 622,
  [3740] = 243,
  [3741] = 623,
  [3742] = 250,
  [3743] = 487,
  [3744] = 256,
  [3745] = 257,
  [3746] = 258,
  [3747] = 336,
  [3748] = 264,
  [3749] = 582,
  [3750] = 579,
  [3751] = 265,
  [3752] = 575,
  [3753] = 277,
  [3754] = 284,
  [3755] = 574,
  [3756] = 225,
  [3757] = 129,
  [3758] = 292,
  [3759] = 120,
  [3760] = 567,
  [3761] = 300,
  [3762] = 566,
  [3763] = 565,
  [3764] = 129,
  [3765] = 313,
  [3766] = 564,
  [3767] = 317,
  [3768] = 321,
  [3769] = 560,
  [3770] = 327,
  [3771] = 350,
  [3772] = 554,
  [3773] = 357,
  [3774] = 361,
  [3775] = 325,
  [3776] = 374,
  [3777] = 552,
  [3778] = 548,
  [3779] = 545,
  [3780] = 356,
  [3781] = 543,
  [3782] = 542,
  [3783] = 339,
  [3784] = 541,
  [3785] = 540,
  [3786] = 607,
  [3787] = 616,
  [3788] = 335,
  [3789] = 539,
  [3790] = 305,
  [3791] = 304,
  [3792] = 620,
  [3793] = 538,
  [3794] = 298,
  [3795] = 297,
  [3796] = 537,
  [3797] = 294,
  [3798] = 293,
  [3799] = 502,
  [3800] = 289,
  [3801] = 505,
  [3802] = 592,
  [3803] = 370,
  [3804] = 536,
  [3805] = 580,
  [3806] = 535,
  [3807] = 571,
  [3808] = 287,
  [3809] = 546,
  [3810] = 533,
  [3811] = 286,
  [3812] = 530,
  [3813] = 529,
  [3814] = 282,
  [3815] = 534,
  [3816] = 501,
  [3817] = 431,
  [3818] = 527,
  [3819] = 526,
  [3820] = 437,
  [3821] = 438,
  [3822] = 439,
  [3823] = 281,
  [3824] = 525,
  [3825] = 280,
  [3826] = 524,
  [3827] = 523,
  [3828] = 276,
  [3829] = 522,
  [3830] = 274,
  [3831] = 272,
  [3832] = 472,
  [3833] = 440,
  [3834] = 441,
  [3835] = 309,
  [3836] = 442,
  [3837] = 443,
  [3838] = 444,
  [3839] = 445,
  [3840] = 521,
  [3841] = 271,
  [3842] = 446,
  [3843] = 259,
  [3844] = 520,
  [3845] = 267,
  [3846] = 255,
  [3847] = 253,
  [3848] = 252,
  [3849] = 517,
  [3850] = 516,
  [3851] = 514,
  [3852] = 251,
  [3853] = 512,
  [3854] = 511,
  [3855] = 249,
  [3856] = 311,
  [3857] = 449,
  [3858] = 451,
  [3859] = 316,
  [3860] = 452,
  [3861] = 453,
  [3862] = 454,
  [3863] = 456,
  [3864] = 457,
  [3865] = 458,
  [3866] = 459,
  [3867] = 460,
  [3868] = 509,
  [3869] = 324,
  [3870] = 353,
  [3871] = 461,
  [3872] = 376,
  [3873] = 378,
  [3874] = 121,
  [3875] = 248,
  [3876] = 508,
  [3877] = 507,
  [3878] = 463,
  [3879] = 366,
  [3880] = 464,
  [3881] = 465,
  [3882] = 116,
  [3883] = 506,
  [3884] = 352,
  [3885] = 117,
  [3886] = 244,
  [3887] = 466,
  [3888] = 467,
  [3889] = 343,
  [3890] = 504,
  [3891] = 469,
  [3892] = 430,
  [3893] = 470,
  [3894] = 270,
  [3895] = 337,
  [3896] = 242,
  [3897] = 474,
  [3898] = 475,
  [3899] = 500,
  [3900] = 499,
  [3901] = 544,
  [3902] = 237,
  [3903] = 497,
  [3904] = 476,
  [3905] = 477,
  [3906] = 308,
  [3907] = 303,
  [3908] = 478,
  [3909] = 295,
  [3910] = 238,
  [3911] = 480,
  [3912] = 288,
  [3913] = 481,
  [3914] = 482,
  [3915] = 227,
  [3916] = 483,
  [3917] = 485,
  [3918] = 228,
  [3919] = 488,
  [3920] = 490,
  [3921] = 491,
  [3922] = 492,
  [3923] = 493,
  [3924] = 229,
  [3925] = 231,
  [3926] = 494,
  [3927] = 234,
  [3928] = 235,
  [3929] = 379,
  [3930] = 342,
  [3931] = 339,
  [3932] = 370,
  [3933] = 272,
  [3934] = 356,
  [3935] = 335,
  [3936] = 274,
  [3937] = 374,
  [3938] = 325,
  [3939] = 361,
  [3940] = 280,
  [3941] = 357,
  [3942] = 350,
  [3943] = 327,
  [3944] = 321,
  [3945] = 317,
  [3946] = 356,
  [3947] = 313,
  [3948] = 271,
  [3949] = 270,
  [3950] = 267,
  [3951] = 300,
  [3952] = 255,
  [3953] = 338,
  [3954] = 292,
  [3955] = 225,
  [3956] = 253,
  [3957] = 374,
  [3958] = 252,
  [3959] = 251,
  [3960] = 284,
  [3961] = 249,
  [3962] = 277,
  [3963] = 305,
  [3964] = 265,
  [3965] = 264,
  [3966] = 259,
  [3967] = 258,
  [3968] = 335,
  [3969] = 257,
  [3970] = 256,
  [3971] = 248,
  [3972] = 327,
  [3973] = 250,
  [3974] = 325,
  [3975] = 299,
  [3976] = 276,
  [3977] = 244,
  [3978] = 241,
  [3979] = 361,
  [3980] = 242,
  [3981] = 230,
  [3982] = 232,
  [3983] = 237,
  [3984] = 235,
  [3985] = 233,
  [3986] = 298,
  [3987] = 236,
  [3988] = 234,
  [3989] = 231,
  [3990] = 245,
  [3991] = 229,
  [3992] = 228,
  [3993] = 260,
  [3994] = 261,
  [3995] = 262,
  [3996] = 297,
  [3997] = 266,
  [3998] = 286,
  [3999] = 268,
  [4000] = 227,
  [4001] = 278,
  [4002] = 279,
  [4003] = 283,
  [4004] = 306,
  [4005] = 312,
  [4006] = 290,
  [4007] = 301,
  [4008] = 288,
  [4009] = 314,
  [4010] = 318,
  [4011] = 323,
  [4012] = 326,
  [4013] = 330,
  [4014] = 319,
  [4015] = 336,
  [4016] = 238,
  [4017] = 294,
  [4018] = 342,
  [4019] = 295,
  [4020] = 303,
  [4021] = 308,
  [4022] = 293,
  [4023] = 344,
  [4024] = 289,
  [4025] = 370,
  [4026] = 286,
  [4027] = 282,
  [4028] = 281,
  [4029] = 406,
  [4030] = 280,
  [4031] = 345,
  [4032] = 328,
  [4033] = 276,
  [4034] = 329,
  [4035] = 357,
  [4036] = 346,
  [4037] = 396,
  [4038] = 331,
  [4039] = 348,
  [4040] = 274,
  [4041] = 337,
  [4042] = 333,
  [4043] = 343,
  [4044] = 354,
  [4045] = 352,
  [4046] = 366,
  [4047] = 359,
  [4048] = 378,
  [4049] = 350,
  [4050] = 364,
  [4051] = 226,
  [4052] = 272,
  [4053] = 355,
  [4054] = 376,
  [4055] = 271,
  [4056] = 270,
  [4057] = 367,
  [4058] = 353,
  [4059] = 324,
  [4060] = 371,
  [4061] = 373,
  [4062] = 278,
  [4063] = 267,
  [4064] = 255,
  [4065] = 375,
  [4066] = 377,
  [4067] = 281,
  [4068] = 3292,
  [4069] = 316,
  [4070] = 243,
  [4071] = 330,
  [4072] = 305,
  [4073] = 329,
  [4074] = 351,
  [4075] = 372,
  [4076] = 253,
  [4077] = 368,
  [4078] = 309,
  [4079] = 363,
  [4080] = 299,
  [4081] = 339,
  [4082] = 304,
  [4083] = 287,
  [4084] = 360,
  [4085] = 358,
  [4086] = 355,
  [4087] = 275,
  [4088] = 351,
  [4089] = 245,
  [4090] = 360,
  [4091] = 251,
  [4092] = 363,
  [4093] = 249,
  [4094] = 248,
  [4095] = 380,
  [4096] = 368,
  [4097] = 372,
  [4098] = 379,
  [4099] = 244,
  [4100] = 381,
  [4101] = 380,
  [4102] = 242,
  [4103] = 237,
  [4104] = 334,
  [4105] = 235,
  [4106] = 226,
  [4107] = 333,
  [4108] = 377,
  [4109] = 321,
  [4110] = 331,
  [4111] = 317,
  [4112] = 334,
  [4113] = 398,
  [4114] = 125,
  [4115] = 128,
  [4116] = 328,
  [4117] = 375,
  [4118] = 373,
  [4119] = 234,
  [4120] = 371,
  [4121] = 367,
  [4122] = 231,
  [4123] = 364,
  [4124] = 229,
  [4125] = 228,
  [4126] = 359,
  [4127] = 227,
  [4128] = 252,
  [4129] = 354,
  [4130] = 238,
  [4131] = 313,
  [4132] = 295,
  [4133] = 348,
  [4134] = 346,
  [4135] = 303,
  [4136] = 345,
  [4137] = 344,
  [4138] = 381,
  [4139] = 308,
  [4140] = 337,
  [4141] = 300,
  [4142] = 292,
  [4143] = 336,
  [4144] = 343,
  [4145] = 352,
  [4146] = 225,
  [4147] = 284,
  [4148] = 118,
  [4149] = 293,
  [4150] = 114,
  [4151] = 311,
  [4152] = 366,
  [4153] = 277,
  [4154] = 304,
  [4155] = 378,
  [4156] = 265,
  [4157] = 264,
  [4158] = 376,
  [4159] = 319,
  [4160] = 326,
  [4161] = 312,
  [4162] = 323,
  [4163] = 318,
  [4164] = 306,
  [4165] = 314,
  [4166] = 353,
  [4167] = 324,
  [4168] = 316,
  [4169] = 259,
  [4170] = 258,
  [4171] = 3100,
  [4172] = 358,
  [4173] = 124,
  [4174] = 311,
  [4175] = 301,
  [4176] = 309,
  [4177] = 282,
  [4178] = 288,
  [4179] = 298,
  [4180] = 260,
  [4181] = 289,
  [4182] = 257,
  [4183] = 256,
  [4184] = 250,
  [4185] = 297,
  [4186] = 247,
  [4187] = 341,
  [4188] = 120,
  [4189] = 129,
  [4190] = 130,
  [4191] = 243,
  [4192] = 132,
  [4193] = 126,
  [4194] = 133,
  [4195] = 121,
  [4196] = 119,
  [4197] = 122,
  [4198] = 268,
  [4199] = 241,
  [4200] = 266,
  [4201] = 428,
  [4202] = 294,
  [4203] = 261,
  [4204] = 287,
  [4205] = 230,
  [4206] = 232,
  [4207] = 233,
  [4208] = 117,
  [4209] = 116,
  [4210] = 290,
  [4211] = 283,
  [4212] = 236,
  [4213] = 275,
  [4214] = 262,
  [4215] = 247,
  [4216] = 279,
  [4217] = 528,
  [4218] = 338,
  [4219] = 135,
  [4220] = 398,
  [4221] = 396,
  [4222] = 3380,
  [4223] = 3011,
  [4224] = 3378,
  [4225] = 406,
  [4226] = 10,
  [4227] = 386,
  [4228] = 341,
  [4229] = 341,
  [4230] = 275,
  [4231] = 287,
  [4232] = 299,
  [4233] = 309,
  [4234] = 311,
  [4235] = 316,
  [4236] = 324,
  [4237] = 353,
  [4238] = 376,
  [4239] = 378,
  [4240] = 366,
  [4241] = 352,
  [4242] = 343,
  [4243] = 337,
  [4244] = 308,
  [4245] = 303,
  [4246] = 295,
  [4247] = 238,
  [4248] = 288,
  [4249] = 227,
  [4250] = 228,
  [4251] = 229,
  [4252] = 231,
  [4253] = 234,
  [4254] = 235,
  [4255] = 237,
  [4256] = 242,
  [4257] = 244,
  [4258] = 248,
  [4259] = 249,
  [4260] = 251,
  [4261] = 252,
  [4262] = 253,
  [4263] = 255,
  [4264] = 267,
  [4265] = 270,
  [4266] = 271,
  [4267] = 272,
  [4268] = 274,
  [4269] = 276,
  [4270] = 280,
  [4271] = 281,
  [4272] = 282,
  [4273] = 286,
  [4274] = 370,
  [4275] = 289,
  [4276] = 293,
  [4277] = 294,
  [4278] = 297,
  [4279] = 298,
  [4280] = 304,
  [4281] = 305,
  [4282] = 335,
  [4283] = 339,
  [4284] = 356,
  [4285] = 374,
  [4286] = 325,
  [4287] = 361,
  [4288] = 357,
  [4289] = 350,
  [4290] = 327,
  [4291] = 321,
  [4292] = 317,
  [4293] = 313,
  [4294] = 300,
  [4295] = 292,
  [4296] = 225,
  [4297] = 284,
  [4298] = 277,
  [4299] = 265,
  [4300] = 264,
  [4301] = 259,
  [4302] = 258,
  [4303] = 257,
  [4304] = 256,
  [4305] = 250,
  [4306] = 243,
  [4307] = 241,
  [4308] = 230,
  [4309] = 232,
  [4310] = 233,
  [4311] = 236,
  [4312] = 245,
  [4313] = 260,
  [4314] = 261,
  [4315] = 262,
  [4316] = 266,
  [4317] = 268,
  [4318] = 278,
  [4319] = 279,
  [4320] = 283,
  [4321] = 290,
  [4322] = 301,
  [4323] = 314,
  [4324] = 318,
  [4325] = 323,
  [4326] = 326,
  [4327] = 330,
  [4328] = 336,
  [4329] = 342,
  [4330] = 344,
  [4331] = 345,
  [4332] = 346,
  [4333] = 348,
  [4334] = 354,
  [4335] = 359,
  [4336] = 364,
  [4337] = 367,
  [4338] = 371,
  [4339] = 373,
  [4340] = 375,
  [4341] = 377,
  [4342] = 380,
  [4343] = 381,
  [4344] = 379,
  [4345] = 372,
  [4346] = 368,
  [4347] = 363,
  [4348] = 360,
  [4349] = 358,
  [4350] = 355,
  [4351] = 351,
  [4352] = 334,
  [4353] = 226,
  [4354] = 333,
  [4355] = 331,
  [4356] = 329,
  [4357] = 328,
  [4358] = 319,
  [4359] = 312,
  [4360] = 306,
  [4361] = 135,
  [4362] = 398,
  [4363] = 386,
  [4364] = 606,
  [4365] = 605,
  [4366] = 603,
  [4367] = 601,
  [4368] = 598,
  [4369] = 595,
  [4370] = 570,
  [4371] = 568,
  [4372] = 432,
  [4373] = 434,
  [4374] = 435,
  [4375] = 436,
  [4376] = 386,
  [4377] = 408,
  [4378] = 555,
  [4379] = 604,
  [4380] = 396,
  [4381] = 450,
  [4382] = 455,
  [4383] = 462,
  [4384] = 468,
  [4385] = 448,
  [4386] = 561,
  [4387] = 415,
  [4388] = 471,
  [4389] = 473,
  [4390] = 479,
  [4391] = 484,
  [4392] = 2284,
  [4393] = 486,
  [4394] = 135,
  [4395] = 489,
  [4396] = 495,
  [4397] = 496,
  [4398] = 498,
  [4399] = 503,
  [4400] = 510,
  [4401] = 515,
  [4402] = 518,
  [4403] = 519,
  [4404] = 389,
  [4405] = 532,
  [4406] = 551,
  [4407] = 341,
  [4408] = 556,
  [4409] = 558,
  [4410] = 553,
  [4411] = 563,
  [4412] = 247,
  [4413] = 428,
  [4414] = 560,
  [4415] = 579,
  [4416] = 546,
  [4417] = 521,
  [4418] = 544,
  [4419] = 571,
  [4420] = 501,
  [4421] = 580,
  [4422] = 613,
  [4423] = 610,
  [4424] = 522,
  [4425] = 609,
  [4426] = 608,
  [4427] = 618,
  [4428] = 562,
  [4429] = 523,
  [4430] = 406,
  [4431] = 592,
  [4432] = 406,
  [4433] = 602,
  [4434] = 505,
  [4435] = 406,
  [4436] = 600,
  [4437] = 524,
  [4438] = 509,
  [4439] = 607,
  [4440] = 448,
  [4441] = 616,
  [4442] = 620,
  [4443] = 620,
  [4444] = 599,
  [4445] = 502,
  [4446] = 597,
  [4447] = 505,
  [4448] = 596,
  [4449] = 592,
  [4450] = 616,
  [4451] = 594,
  [4452] = 607,
  [4453] = 606,
  [4454] = 605,
  [4455] = 603,
  [4456] = 601,
  [4457] = 598,
  [4458] = 580,
  [4459] = 571,
  [4460] = 546,
  [4461] = 534,
  [4462] = 527,
  [4463] = 437,
  [4464] = 595,
  [4465] = 438,
  [4466] = 570,
  [4467] = 439,
  [4468] = 440,
  [4469] = 568,
  [4470] = 441,
  [4471] = 442,
  [4472] = 443,
  [4473] = 513,
  [4474] = 432,
  [4475] = 444,
  [4476] = 445,
  [4477] = 446,
  [4478] = 449,
  [4479] = 451,
  [4480] = 434,
  [4481] = 452,
  [4482] = 435,
  [4483] = 386,
  [4484] = 453,
  [4485] = 454,
  [4486] = 457,
  [4487] = 436,
  [4488] = 555,
  [4489] = 604,
  [4490] = 447,
  [4491] = 532,
  [4492] = 450,
  [4493] = 534,
  [4494] = 455,
  [4495] = 462,
  [4496] = 458,
  [4497] = 459,
  [4498] = 460,
  [4499] = 461,
  [4500] = 463,
  [4501] = 428,
  [4502] = 464,
  [4503] = 465,
  [4504] = 466,
  [4505] = 469,
  [4506] = 468,
  [4507] = 526,
  [4508] = 472,
  [4509] = 456,
  [4510] = 561,
  [4511] = 475,
  [4512] = 471,
  [4513] = 473,
  [4514] = 479,
  [4515] = 484,
  [4516] = 486,
  [4517] = 489,
  [4518] = 476,
  [4519] = 495,
  [4520] = 496,
  [4521] = 498,
  [4522] = 508,
  [4523] = 477,
  [4524] = 478,
  [4525] = 591,
  [4526] = 525,
  [4527] = 480,
  [4528] = 481,
  [4529] = 482,
  [4530] = 483,
  [4531] = 485,
  [4532] = 488,
  [4533] = 490,
  [4534] = 491,
  [4535] = 492,
  [4536] = 503,
  [4537] = 510,
  [4538] = 493,
  [4539] = 515,
  [4540] = 494,
  [4541] = 497,
  [4542] = 499,
  [4543] = 500,
  [4544] = 520,
  [4545] = 430,
  [4546] = 504,
  [4547] = 506,
  [4548] = 507,
  [4549] = 508,
  [4550] = 509,
  [4551] = 511,
  [4552] = 470,
  [4553] = 590,
  [4554] = 512,
  [4555] = 511,
  [4556] = 589,
  [4557] = 514,
  [4558] = 512,
  [4559] = 518,
  [4560] = 519,
  [4561] = 528,
  [4562] = 516,
  [4563] = 517,
  [4564] = 506,
  [4565] = 520,
  [4566] = 521,
  [4567] = 522,
  [4568] = 507,
  [4569] = 523,
  [4570] = 588,
  [4571] = 524,
  [4572] = 525,
  [4573] = 587,
  [4574] = 431,
  [4575] = 514,
  [4576] = 526,
  [4577] = 586,
  [4578] = 551,
  [4579] = 553,
  [4580] = 585,
  [4581] = 516,
  [4582] = 431,
  [4583] = 556,
  [4584] = 558,
  [4585] = 529,
  [4586] = 4586,
  [4587] = 530,
  [4588] = 533,
  [4589] = 4589,
  [4590] = 535,
  [4591] = 536,
  [4592] = 430,
  [4593] = 537,
  [4594] = 584,
  [4595] = 529,
  [4596] = 538,
  [4597] = 500,
  [4598] = 539,
  [4599] = 540,
  [4600] = 583,
  [4601] = 499,
  [4602] = 541,
  [4603] = 581,
  [4604] = 542,
  [4605] = 543,
  [4606] = 578,
  [4607] = 545,
  [4608] = 577,
  [4609] = 576,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 548,
  [4613] = 497,
  [4614] = 467,
  [4615] = 552,
  [4616] = 554,
  [4617] = 573,
  [4618] = 4618,
  [4619] = 517,
  [4620] = 4620,
  [4621] = 530,
  [4622] = 564,
  [4623] = 565,
  [4624] = 4624,
  [4625] = 612,
  [4626] = 566,
  [4627] = 474,
  [4628] = 533,
  [4629] = 494,
  [4630] = 567,
  [4631] = 535,
  [4632] = 572,
  [4633] = 574,
  [4634] = 493,
  [4635] = 527,
  [4636] = 569,
  [4637] = 536,
  [4638] = 575,
  [4639] = 474,
  [4640] = 492,
  [4641] = 582,
  [4642] = 487,
  [4643] = 623,
  [4644] = 622,
  [4645] = 621,
  [4646] = 491,
  [4647] = 437,
  [4648] = 619,
  [4649] = 617,
  [4650] = 490,
  [4651] = 488,
  [4652] = 615,
  [4653] = 485,
  [4654] = 614,
  [4655] = 615,
  [4656] = 614,
  [4657] = 483,
  [4658] = 438,
  [4659] = 612,
  [4660] = 439,
  [4661] = 537,
  [4662] = 611,
  [4663] = 617,
  [4664] = 610,
  [4665] = 609,
  [4666] = 440,
  [4667] = 608,
  [4668] = 482,
  [4669] = 4669,
  [4670] = 602,
  [4671] = 441,
  [4672] = 600,
  [4673] = 559,
  [4674] = 619,
  [4675] = 481,
  [4676] = 538,
  [4677] = 599,
  [4678] = 480,
  [4679] = 597,
  [4680] = 596,
  [4681] = 594,
  [4682] = 539,
  [4683] = 591,
  [4684] = 557,
  [4685] = 478,
  [4686] = 590,
  [4687] = 540,
  [4688] = 589,
  [4689] = 442,
  [4690] = 502,
  [4691] = 588,
  [4692] = 621,
  [4693] = 477,
  [4694] = 622,
  [4695] = 541,
  [4696] = 476,
  [4697] = 475,
  [4698] = 587,
  [4699] = 444,
  [4700] = 443,
  [4701] = 586,
  [4702] = 445,
  [4703] = 585,
  [4704] = 542,
  [4705] = 543,
  [4706] = 584,
  [4707] = 623,
  [4708] = 472,
  [4709] = 446,
  [4710] = 545,
  [4711] = 579,
  [4712] = 581,
  [4713] = 470,
  [4714] = 548,
  [4715] = 550,
  [4716] = 504,
  [4717] = 449,
  [4718] = 487,
  [4719] = 469,
  [4720] = 549,
  [4721] = 578,
  [4722] = 467,
  [4723] = 451,
  [4724] = 577,
  [4725] = 466,
  [4726] = 576,
  [4727] = 465,
  [4728] = 464,
  [4729] = 554,
  [4730] = 560,
  [4731] = 463,
  [4732] = 563,
  [4733] = 573,
  [4734] = 572,
  [4735] = 564,
  [4736] = 565,
  [4737] = 583,
  [4738] = 566,
  [4739] = 461,
  [4740] = 567,
  [4741] = 552,
  [4742] = 569,
  [4743] = 460,
  [4744] = 582,
  [4745] = 452,
  [4746] = 459,
  [4747] = 458,
  [4748] = 457,
  [4749] = 456,
  [4750] = 574,
  [4751] = 559,
  [4752] = 557,
  [4753] = 454,
  [4754] = 575,
  [4755] = 550,
  [4756] = 398,
  [4757] = 549,
  [4758] = 544,
  [4759] = 501,
  [4760] = 396,
  [4761] = 613,
  [4762] = 618,
  [4763] = 562,
  [4764] = 389,
  [4765] = 611,
  [4766] = 415,
  [4767] = 408,
  [4768] = 453,
  [4769] = 444,
  [4770] = 494,
  [4771] = 477,
  [4772] = 476,
  [4773] = 544,
  [4774] = 475,
  [4775] = 474,
  [4776] = 596,
  [4777] = 472,
  [4778] = 470,
  [4779] = 469,
  [4780] = 549,
  [4781] = 467,
  [4782] = 466,
  [4783] = 528,
  [4784] = 465,
  [4785] = 464,
  [4786] = 597,
  [4787] = 463,
  [4788] = 599,
  [4789] = 461,
  [4790] = 460,
  [4791] = 459,
  [4792] = 458,
  [4793] = 457,
  [4794] = 456,
  [4795] = 454,
  [4796] = 453,
  [4797] = 452,
  [4798] = 600,
  [4799] = 451,
  [4800] = 449,
  [4801] = 446,
  [4802] = 445,
  [4803] = 482,
  [4804] = 443,
  [4805] = 442,
  [4806] = 602,
  [4807] = 441,
  [4808] = 440,
  [4809] = 478,
  [4810] = 439,
  [4811] = 438,
  [4812] = 437,
  [4813] = 527,
  [4814] = 534,
  [4815] = 546,
  [4816] = 608,
  [4817] = 571,
  [4818] = 580,
  [4819] = 610,
  [4820] = 592,
  [4821] = 505,
  [4822] = 502,
  [4823] = 620,
  [4824] = 616,
  [4825] = 607,
  [4826] = 611,
  [4827] = 612,
  [4828] = 614,
  [4829] = 615,
  [4830] = 617,
  [4831] = 619,
  [4832] = 613,
  [4833] = 621,
  [4834] = 622,
  [4835] = 623,
  [4836] = 487,
  [4837] = 582,
  [4838] = 480,
  [4839] = 396,
  [4840] = 406,
  [4841] = 579,
  [4842] = 575,
  [4843] = 574,
  [4844] = 567,
  [4845] = 566,
  [4846] = 565,
  [4847] = 564,
  [4848] = 606,
  [4849] = 481,
  [4850] = 605,
  [4851] = 555,
  [4852] = 603,
  [4853] = 601,
  [4854] = 560,
  [4855] = 598,
  [4856] = 554,
  [4857] = 595,
  [4858] = 398,
  [4859] = 570,
  [4860] = 568,
  [4861] = 513,
  [4862] = 432,
  [4863] = 550,
  [4864] = 434,
  [4865] = 435,
  [4866] = 436,
  [4867] = 408,
  [4868] = 548,
  [4869] = 604,
  [4870] = 447,
  [4871] = 557,
  [4872] = 448,
  [4873] = 561,
  [4874] = 450,
  [4875] = 455,
  [4876] = 559,
  [4877] = 462,
  [4878] = 468,
  [4879] = 545,
  [4880] = 609,
  [4881] = 415,
  [4882] = 543,
  [4883] = 471,
  [4884] = 473,
  [4885] = 479,
  [4886] = 484,
  [4887] = 486,
  [4888] = 489,
  [4889] = 495,
  [4890] = 569,
  [4891] = 542,
  [4892] = 496,
  [4893] = 483,
  [4894] = 498,
  [4895] = 572,
  [4896] = 541,
  [4897] = 540,
  [4898] = 485,
  [4899] = 618,
  [4900] = 539,
  [4901] = 558,
  [4902] = 538,
  [4903] = 503,
  [4904] = 510,
  [4905] = 515,
  [4906] = 573,
  [4907] = 488,
  [4908] = 518,
  [4909] = 537,
  [4910] = 519,
  [4911] = 389,
  [4912] = 490,
  [4913] = 536,
  [4914] = 532,
  [4915] = 576,
  [4916] = 535,
  [4917] = 577,
  [4918] = 491,
  [4919] = 492,
  [4920] = 578,
  [4921] = 493,
  [4922] = 533,
  [4923] = 581,
  [4924] = 530,
  [4925] = 529,
  [4926] = 563,
  [4927] = 556,
  [4928] = 583,
  [4929] = 501,
  [4930] = 584,
  [4931] = 431,
  [4932] = 551,
  [4933] = 585,
  [4934] = 526,
  [4935] = 553,
  [4936] = 594,
  [4937] = 562,
  [4938] = 525,
  [4939] = 524,
  [4940] = 523,
  [4941] = 586,
  [4942] = 497,
  [4943] = 522,
  [4944] = 499,
  [4945] = 500,
  [4946] = 521,
  [4947] = 520,
  [4948] = 430,
  [4949] = 517,
  [4950] = 504,
  [4951] = 516,
  [4952] = 514,
  [4953] = 552,
  [4954] = 512,
  [4955] = 587,
  [4956] = 588,
  [4957] = 506,
  [4958] = 591,
  [4959] = 589,
  [4960] = 511,
  [4961] = 590,
  [4962] = 509,
  [4963] = 507,
  [4964] = 508,
  [4965] = 353,
  [4966] = 258,
  [4967] = 251,
  [4968] = 366,
  [4969] = 350,
  [4970] = 238,
  [4971] = 351,
  [4972] = 357,
  [4973] = 271,
  [4974] = 287,
  [4975] = 317,
  [4976] = 355,
  [4977] = 358,
  [4978] = 361,
  [4979] = 234,
  [4980] = 334,
  [4981] = 352,
  [4982] = 265,
  [4983] = 313,
  [4984] = 325,
  [4985] = 378,
  [4986] = 376,
  [4987] = 343,
  [4988] = 272,
  [4989] = 374,
  [4990] = 256,
  [4991] = 259,
  [4992] = 300,
  [4993] = 250,
  [4994] = 264,
  [4995] = 311,
  [4996] = 253,
  [4997] = 255,
  [4998] = 356,
  [4999] = 292,
  [5000] = 324,
  [5001] = 225,
  [5002] = 360,
  [5003] = 23,
  [5004] = 363,
  [5005] = 339,
  [5006] = 270,
  [5007] = 337,
  [5008] = 368,
  [5009] = 281,
  [5010] = 248,
  [5011] = 372,
  [5012] = 284,
  [5013] = 345,
  [5014] = 243,
  [5015] = 308,
  [5016] = 241,
  [5017] = 249,
  [5018] = 244,
  [5019] = 230,
  [5020] = 303,
  [5021] = 379,
  [5022] = 277,
  [5023] = 279,
  [5024] = 381,
  [5025] = 290,
  [5026] = 267,
  [5027] = 282,
  [5028] = 380,
  [5029] = 305,
  [5030] = 232,
  [5031] = 295,
  [5032] = 304,
  [5033] = 327,
  [5034] = 321,
  [5035] = 335,
  [5036] = 309,
  [5037] = 377,
  [5038] = 288,
  [5039] = 375,
  [5040] = 298,
  [5041] = 226,
  [5042] = 233,
  [5043] = 373,
  [5044] = 236,
  [5045] = 257,
  [5046] = 297,
  [5047] = 299,
  [5048] = 371,
  [5049] = 367,
  [5050] = 364,
  [5051] = 227,
  [5052] = 359,
  [5053] = 245,
  [5054] = 354,
  [5055] = 228,
  [5056] = 348,
  [5057] = 294,
  [5058] = 346,
  [5059] = 293,
  [5060] = 252,
  [5061] = 260,
  [5062] = 261,
  [5063] = 262,
  [5064] = 266,
  [5065] = 289,
  [5066] = 280,
  [5067] = 330,
  [5068] = 342,
  [5069] = 370,
  [5070] = 268,
  [5071] = 344,
  [5072] = 283,
  [5073] = 229,
  [5074] = 301,
  [5075] = 231,
  [5076] = 314,
  [5077] = 306,
  [5078] = 276,
  [5079] = 318,
  [5080] = 286,
  [5081] = 312,
  [5082] = 319,
  [5083] = 323,
  [5084] = 278,
  [5085] = 326,
  [5086] = 235,
  [5087] = 275,
  [5088] = 316,
  [5089] = 274,
  [5090] = 242,
  [5091] = 237,
  [5092] = 247,
  [5093] = 328,
  [5094] = 329,
  [5095] = 331,
  [5096] = 336,
  [5097] = 333,
  [5098] = 549,
  [5099] = 396,
  [5100] = 398,
  [5101] = 406,
  [5102] = 457,
  [5103] = 512,
  [5104] = 550,
  [5105] = 477,
  [5106] = 478,
  [5107] = 557,
  [5108] = 559,
  [5109] = 480,
  [5110] = 341,
  [5111] = 4611,
  [5112] = 569,
  [5113] = 562,
  [5114] = 572,
  [5115] = 476,
  [5116] = 618,
  [5117] = 573,
  [5118] = 475,
  [5119] = 613,
  [5120] = 474,
  [5121] = 576,
  [5122] = 481,
  [5123] = 472,
  [5124] = 482,
  [5125] = 483,
  [5126] = 470,
  [5127] = 577,
  [5128] = 578,
  [5129] = 581,
  [5130] = 583,
  [5131] = 469,
  [5132] = 467,
  [5133] = 466,
  [5134] = 465,
  [5135] = 485,
  [5136] = 488,
  [5137] = 464,
  [5138] = 463,
  [5139] = 584,
  [5140] = 585,
  [5141] = 461,
  [5142] = 460,
  [5143] = 459,
  [5144] = 458,
  [5145] = 586,
  [5146] = 587,
  [5147] = 588,
  [5148] = 456,
  [5149] = 454,
  [5150] = 453,
  [5151] = 452,
  [5152] = 589,
  [5153] = 501,
  [5154] = 590,
  [5155] = 490,
  [5156] = 439,
  [5157] = 491,
  [5158] = 591,
  [5159] = 4610,
  [5160] = 451,
  [5161] = 594,
  [5162] = 449,
  [5163] = 446,
  [5164] = 445,
  [5165] = 444,
  [5166] = 443,
  [5167] = 442,
  [5168] = 441,
  [5169] = 440,
  [5170] = 596,
  [5171] = 597,
  [5172] = 438,
  [5173] = 437,
  [5174] = 599,
  [5175] = 4589,
  [5176] = 527,
  [5177] = 600,
  [5178] = 534,
  [5179] = 602,
  [5180] = 546,
  [5181] = 571,
  [5182] = 580,
  [5183] = 592,
  [5184] = 608,
  [5185] = 609,
  [5186] = 610,
  [5187] = 505,
  [5188] = 502,
  [5189] = 611,
  [5190] = 612,
  [5191] = 614,
  [5192] = 615,
  [5193] = 620,
  [5194] = 617,
  [5195] = 616,
  [5196] = 619,
  [5197] = 607,
  [5198] = 621,
  [5199] = 622,
  [5200] = 623,
  [5201] = 492,
  [5202] = 493,
  [5203] = 487,
  [5204] = 544,
  [5205] = 582,
  [5206] = 579,
  [5207] = 575,
  [5208] = 574,
  [5209] = 567,
  [5210] = 566,
  [5211] = 565,
  [5212] = 564,
  [5213] = 560,
  [5214] = 554,
  [5215] = 552,
  [5216] = 548,
  [5217] = 545,
  [5218] = 543,
  [5219] = 542,
  [5220] = 541,
  [5221] = 540,
  [5222] = 4620,
  [5223] = 4618,
  [5224] = 539,
  [5225] = 538,
  [5226] = 537,
  [5227] = 536,
  [5228] = 535,
  [5229] = 533,
  [5230] = 530,
  [5231] = 494,
  [5232] = 529,
  [5233] = 431,
  [5234] = 497,
  [5235] = 526,
  [5236] = 499,
  [5237] = 500,
  [5238] = 4586,
  [5239] = 525,
  [5240] = 430,
  [5241] = 504,
  [5242] = 524,
  [5243] = 523,
  [5244] = 506,
  [5245] = 522,
  [5246] = 521,
  [5247] = 520,
  [5248] = 507,
  [5249] = 508,
  [5250] = 517,
  [5251] = 516,
  [5252] = 4669,
  [5253] = 514,
  [5254] = 4624,
  [5255] = 511,
  [5256] = 509,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5257,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 386,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5265,
  [5273] = 5273,
  [5274] = 5274,
  [5275] = 5273,
  [5276] = 5274,
  [5277] = 10,
  [5278] = 5265,
  [5279] = 5265,
  [5280] = 5257,
  [5281] = 10,
  [5282] = 5270,
  [5283] = 5257,
  [5284] = 114,
  [5285] = 5273,
  [5286] = 130,
  [5287] = 129,
  [5288] = 120,
  [5289] = 5289,
  [5290] = 126,
  [5291] = 133,
  [5292] = 124,
  [5293] = 119,
  [5294] = 117,
  [5295] = 116,
  [5296] = 5296,
  [5297] = 122,
  [5298] = 127,
  [5299] = 121,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5274,
  [5303] = 132,
  [5304] = 5304,
  [5305] = 118,
  [5306] = 125,
  [5307] = 128,
  [5308] = 135,
  [5309] = 10,
  [5310] = 10,
  [5311] = 5311,
  [5312] = 10,
  [5313] = 5313,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5274,
  [5317] = 5317,
  [5318] = 5318,
  [5319] = 5273,
  [5320] = 10,
  [5321] = 128,
  [5322] = 118,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5325,
  [5327] = 5323,
  [5328] = 5323,
  [5329] = 5323,
  [5330] = 10,
  [5331] = 5325,
  [5332] = 5323,
  [5333] = 5323,
  [5334] = 10,
  [5335] = 5323,
  [5336] = 5323,
  [5337] = 5337,
  [5338] = 5323,
  [5339] = 5339,
  [5340] = 5323,
  [5341] = 121,
  [5342] = 5323,
  [5343] = 5323,
  [5344] = 5323,
  [5345] = 23,
  [5346] = 122,
  [5347] = 119,
  [5348] = 133,
  [5349] = 126,
  [5350] = 132,
  [5351] = 130,
  [5352] = 129,
  [5353] = 120,
  [5354] = 117,
  [5355] = 116,
  [5356] = 5323,
  [5357] = 125,
  [5358] = 5323,
  [5359] = 5323,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 124,
  [5363] = 5323,
  [5364] = 5323,
  [5365] = 114,
  [5366] = 5366,
  [5367] = 5300,
  [5368] = 10,
  [5369] = 5296,
  [5370] = 5301,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5289,
  [5374] = 5304,
  [5375] = 5375,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5379,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 5388,
  [5389] = 5389,
  [5390] = 396,
  [5391] = 5391,
  [5392] = 5314,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5397,
  [5398] = 5398,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5313,
  [5403] = 5403,
  [5404] = 338,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 398,
  [5409] = 398,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5317,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 396,
  [5420] = 308,
  [5421] = 259,
  [5422] = 5422,
  [5423] = 406,
  [5424] = 324,
  [5425] = 306,
  [5426] = 316,
  [5427] = 319,
  [5428] = 328,
  [5429] = 329,
  [5430] = 331,
  [5431] = 333,
  [5432] = 5360,
  [5433] = 226,
  [5434] = 334,
  [5435] = 351,
  [5436] = 355,
  [5437] = 358,
  [5438] = 312,
  [5439] = 363,
  [5440] = 368,
  [5441] = 372,
  [5442] = 379,
  [5443] = 381,
  [5444] = 380,
  [5445] = 377,
  [5446] = 375,
  [5447] = 373,
  [5448] = 371,
  [5449] = 247,
  [5450] = 367,
  [5451] = 364,
  [5452] = 359,
  [5453] = 354,
  [5454] = 348,
  [5455] = 337,
  [5456] = 346,
  [5457] = 345,
  [5458] = 386,
  [5459] = 344,
  [5460] = 342,
  [5461] = 311,
  [5462] = 336,
  [5463] = 330,
  [5464] = 309,
  [5465] = 295,
  [5466] = 299,
  [5467] = 360,
  [5468] = 326,
  [5469] = 323,
  [5470] = 318,
  [5471] = 314,
  [5472] = 5472,
  [5473] = 301,
  [5474] = 290,
  [5475] = 283,
  [5476] = 279,
  [5477] = 278,
  [5478] = 5478,
  [5479] = 5361,
  [5480] = 268,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 287,
  [5484] = 366,
  [5485] = 343,
  [5486] = 5486,
  [5487] = 266,
  [5488] = 5488,
  [5489] = 262,
  [5490] = 261,
  [5491] = 260,
  [5492] = 245,
  [5493] = 5493,
  [5494] = 236,
  [5495] = 233,
  [5496] = 232,
  [5497] = 5497,
  [5498] = 230,
  [5499] = 241,
  [5500] = 243,
  [5501] = 250,
  [5502] = 256,
  [5503] = 257,
  [5504] = 258,
  [5505] = 353,
  [5506] = 264,
  [5507] = 265,
  [5508] = 277,
  [5509] = 284,
  [5510] = 292,
  [5511] = 300,
  [5512] = 313,
  [5513] = 317,
  [5514] = 321,
  [5515] = 327,
  [5516] = 350,
  [5517] = 357,
  [5518] = 361,
  [5519] = 325,
  [5520] = 374,
  [5521] = 356,
  [5522] = 275,
  [5523] = 339,
  [5524] = 335,
  [5525] = 305,
  [5526] = 304,
  [5527] = 303,
  [5528] = 298,
  [5529] = 297,
  [5530] = 5530,
  [5531] = 294,
  [5532] = 288,
  [5533] = 293,
  [5534] = 289,
  [5535] = 5366,
  [5536] = 370,
  [5537] = 286,
  [5538] = 282,
  [5539] = 281,
  [5540] = 280,
  [5541] = 276,
  [5542] = 274,
  [5543] = 272,
  [5544] = 271,
  [5545] = 270,
  [5546] = 352,
  [5547] = 267,
  [5548] = 5324,
  [5549] = 225,
  [5550] = 255,
  [5551] = 252,
  [5552] = 251,
  [5553] = 249,
  [5554] = 248,
  [5555] = 244,
  [5556] = 242,
  [5557] = 237,
  [5558] = 235,
  [5559] = 5337,
  [5560] = 238,
  [5561] = 5561,
  [5562] = 234,
  [5563] = 231,
  [5564] = 229,
  [5565] = 341,
  [5566] = 228,
  [5567] = 227,
  [5568] = 253,
  [5569] = 376,
  [5570] = 378,
  [5571] = 10,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 549,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5581,
  [5582] = 5582,
  [5583] = 406,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 428,
  [5587] = 568,
  [5588] = 561,
  [5589] = 555,
  [5590] = 5590,
  [5591] = 232,
  [5592] = 377,
  [5593] = 478,
  [5594] = 477,
  [5595] = 476,
  [5596] = 255,
  [5597] = 475,
  [5598] = 474,
  [5599] = 267,
  [5600] = 472,
  [5601] = 470,
  [5602] = 469,
  [5603] = 467,
  [5604] = 466,
  [5605] = 270,
  [5606] = 465,
  [5607] = 464,
  [5608] = 463,
  [5609] = 461,
  [5610] = 278,
  [5611] = 459,
  [5612] = 458,
  [5613] = 457,
  [5614] = 456,
  [5615] = 454,
  [5616] = 453,
  [5617] = 452,
  [5618] = 451,
  [5619] = 449,
  [5620] = 272,
  [5621] = 446,
  [5622] = 445,
  [5623] = 444,
  [5624] = 443,
  [5625] = 274,
  [5626] = 442,
  [5627] = 441,
  [5628] = 440,
  [5629] = 439,
  [5630] = 438,
  [5631] = 5631,
  [5632] = 437,
  [5633] = 527,
  [5634] = 534,
  [5635] = 546,
  [5636] = 571,
  [5637] = 580,
  [5638] = 592,
  [5639] = 505,
  [5640] = 502,
  [5641] = 620,
  [5642] = 616,
  [5643] = 607,
  [5644] = 5644,
  [5645] = 276,
  [5646] = 280,
  [5647] = 281,
  [5648] = 282,
  [5649] = 286,
  [5650] = 370,
  [5651] = 289,
  [5652] = 406,
  [5653] = 293,
  [5654] = 294,
  [5655] = 297,
  [5656] = 298,
  [5657] = 304,
  [5658] = 305,
  [5659] = 335,
  [5660] = 339,
  [5661] = 356,
  [5662] = 324,
  [5663] = 325,
  [5664] = 361,
  [5665] = 357,
  [5666] = 350,
  [5667] = 327,
  [5668] = 321,
  [5669] = 317,
  [5670] = 313,
  [5671] = 300,
  [5672] = 292,
  [5673] = 225,
  [5674] = 284,
  [5675] = 277,
  [5676] = 265,
  [5677] = 264,
  [5678] = 504,
  [5679] = 253,
  [5680] = 259,
  [5681] = 481,
  [5682] = 252,
  [5683] = 482,
  [5684] = 483,
  [5685] = 258,
  [5686] = 257,
  [5687] = 256,
  [5688] = 485,
  [5689] = 250,
  [5690] = 243,
  [5691] = 241,
  [5692] = 488,
  [5693] = 230,
  [5694] = 490,
  [5695] = 235,
  [5696] = 5388,
  [5697] = 233,
  [5698] = 491,
  [5699] = 492,
  [5700] = 236,
  [5701] = 245,
  [5702] = 493,
  [5703] = 260,
  [5704] = 494,
  [5705] = 261,
  [5706] = 497,
  [5707] = 499,
  [5708] = 262,
  [5709] = 500,
  [5710] = 430,
  [5711] = 266,
  [5712] = 268,
  [5713] = 506,
  [5714] = 283,
  [5715] = 597,
  [5716] = 5378,
  [5717] = 279,
  [5718] = 251,
  [5719] = 507,
  [5720] = 247,
  [5721] = 249,
  [5722] = 508,
  [5723] = 509,
  [5724] = 511,
  [5725] = 248,
  [5726] = 290,
  [5727] = 301,
  [5728] = 244,
  [5729] = 5383,
  [5730] = 512,
  [5731] = 514,
  [5732] = 516,
  [5733] = 517,
  [5734] = 520,
  [5735] = 521,
  [5736] = 314,
  [5737] = 522,
  [5738] = 318,
  [5739] = 242,
  [5740] = 323,
  [5741] = 523,
  [5742] = 524,
  [5743] = 237,
  [5744] = 525,
  [5745] = 326,
  [5746] = 526,
  [5747] = 431,
  [5748] = 271,
  [5749] = 330,
  [5750] = 529,
  [5751] = 336,
  [5752] = 530,
  [5753] = 533,
  [5754] = 342,
  [5755] = 535,
  [5756] = 460,
  [5757] = 344,
  [5758] = 537,
  [5759] = 345,
  [5760] = 346,
  [5761] = 538,
  [5762] = 348,
  [5763] = 539,
  [5764] = 5764,
  [5765] = 354,
  [5766] = 540,
  [5767] = 541,
  [5768] = 374,
  [5769] = 542,
  [5770] = 543,
  [5771] = 359,
  [5772] = 545,
  [5773] = 364,
  [5774] = 367,
  [5775] = 371,
  [5776] = 548,
  [5777] = 373,
  [5778] = 375,
  [5779] = 552,
  [5780] = 480,
  [5781] = 381,
  [5782] = 554,
  [5783] = 379,
  [5784] = 560,
  [5785] = 564,
  [5786] = 372,
  [5787] = 565,
  [5788] = 368,
  [5789] = 363,
  [5790] = 566,
  [5791] = 567,
  [5792] = 574,
  [5793] = 575,
  [5794] = 360,
  [5795] = 358,
  [5796] = 355,
  [5797] = 579,
  [5798] = 351,
  [5799] = 5799,
  [5800] = 582,
  [5801] = 334,
  [5802] = 226,
  [5803] = 333,
  [5804] = 331,
  [5805] = 487,
  [5806] = 329,
  [5807] = 623,
  [5808] = 328,
  [5809] = 319,
  [5810] = 312,
  [5811] = 306,
  [5812] = 5812,
  [5813] = 622,
  [5814] = 621,
  [5815] = 619,
  [5816] = 617,
  [5817] = 5817,
  [5818] = 615,
  [5819] = 614,
  [5820] = 612,
  [5821] = 611,
  [5822] = 380,
  [5823] = 5823,
  [5824] = 610,
  [5825] = 609,
  [5826] = 608,
  [5827] = 602,
  [5828] = 5828,
  [5829] = 5376,
  [5830] = 600,
  [5831] = 5831,
  [5832] = 5832,
  [5833] = 599,
  [5834] = 5834,
  [5835] = 5835,
  [5836] = 544,
  [5837] = 501,
  [5838] = 613,
  [5839] = 618,
  [5840] = 562,
  [5841] = 121,
  [5842] = 116,
  [5843] = 234,
  [5844] = 117,
  [5845] = 5845,
  [5846] = 596,
  [5847] = 396,
  [5848] = 5848,
  [5849] = 398,
  [5850] = 5850,
  [5851] = 594,
  [5852] = 5385,
  [5853] = 5853,
  [5854] = 5854,
  [5855] = 125,
  [5856] = 127,
  [5857] = 563,
  [5858] = 128,
  [5859] = 519,
  [5860] = 591,
  [5861] = 590,
  [5862] = 5862,
  [5863] = 589,
  [5864] = 588,
  [5865] = 5865,
  [5866] = 5866,
  [5867] = 558,
  [5868] = 556,
  [5869] = 553,
  [5870] = 551,
  [5871] = 5871,
  [5872] = 532,
  [5873] = 528,
  [5874] = 587,
  [5875] = 389,
  [5876] = 5876,
  [5877] = 518,
  [5878] = 515,
  [5879] = 510,
  [5880] = 586,
  [5881] = 503,
  [5882] = 585,
  [5883] = 118,
  [5884] = 498,
  [5885] = 114,
  [5886] = 338,
  [5887] = 495,
  [5888] = 489,
  [5889] = 486,
  [5890] = 484,
  [5891] = 584,
  [5892] = 479,
  [5893] = 583,
  [5894] = 581,
  [5895] = 578,
  [5896] = 473,
  [5897] = 471,
  [5898] = 577,
  [5899] = 415,
  [5900] = 468,
  [5901] = 462,
  [5902] = 455,
  [5903] = 576,
  [5904] = 573,
  [5905] = 450,
  [5906] = 448,
  [5907] = 124,
  [5908] = 447,
  [5909] = 604,
  [5910] = 408,
  [5911] = 572,
  [5912] = 436,
  [5913] = 435,
  [5914] = 536,
  [5915] = 434,
  [5916] = 432,
  [5917] = 120,
  [5918] = 513,
  [5919] = 129,
  [5920] = 570,
  [5921] = 595,
  [5922] = 598,
  [5923] = 601,
  [5924] = 130,
  [5925] = 132,
  [5926] = 126,
  [5927] = 133,
  [5928] = 119,
  [5929] = 122,
  [5930] = 559,
  [5931] = 561,
  [5932] = 557,
  [5933] = 550,
  [5934] = 275,
  [5935] = 287,
  [5936] = 299,
  [5937] = 309,
  [5938] = 311,
  [5939] = 316,
  [5940] = 569,
  [5941] = 353,
  [5942] = 603,
  [5943] = 376,
  [5944] = 378,
  [5945] = 366,
  [5946] = 352,
  [5947] = 605,
  [5948] = 606,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 343,
  [5952] = 5379,
  [5953] = 337,
  [5954] = 308,
  [5955] = 496,
  [5956] = 303,
  [5957] = 295,
  [5958] = 5958,
  [5959] = 238,
  [5960] = 555,
  [5961] = 288,
  [5962] = 227,
  [5963] = 228,
  [5964] = 5964,
  [5965] = 229,
  [5966] = 231,
  [5967] = 5967,
  [5968] = 5968,
  [5969] = 5969,
  [5970] = 5970,
  [5971] = 355,
  [5972] = 233,
  [5973] = 5973,
  [5974] = 232,
  [5975] = 230,
  [5976] = 241,
  [5977] = 243,
  [5978] = 250,
  [5979] = 256,
  [5980] = 257,
  [5981] = 258,
  [5982] = 259,
  [5983] = 264,
  [5984] = 265,
  [5985] = 277,
  [5986] = 284,
  [5987] = 225,
  [5988] = 292,
  [5989] = 300,
  [5990] = 313,
  [5991] = 317,
  [5992] = 321,
  [5993] = 327,
  [5994] = 350,
  [5995] = 5995,
  [5996] = 357,
  [5997] = 361,
  [5998] = 325,
  [5999] = 374,
  [6000] = 356,
  [6001] = 339,
  [6002] = 335,
  [6003] = 305,
  [6004] = 304,
  [6005] = 298,
  [6006] = 297,
  [6007] = 294,
  [6008] = 293,
  [6009] = 289,
  [6010] = 370,
  [6011] = 286,
  [6012] = 282,
  [6013] = 281,
  [6014] = 280,
  [6015] = 276,
  [6016] = 5396,
  [6017] = 274,
  [6018] = 272,
  [6019] = 271,
  [6020] = 10,
  [6021] = 318,
  [6022] = 267,
  [6023] = 255,
  [6024] = 6024,
  [6025] = 5395,
  [6026] = 253,
  [6027] = 252,
  [6028] = 251,
  [6029] = 249,
  [6030] = 248,
  [6031] = 244,
  [6032] = 270,
  [6033] = 237,
  [6034] = 235,
  [6035] = 234,
  [6036] = 231,
  [6037] = 229,
  [6038] = 228,
  [6039] = 227,
  [6040] = 288,
  [6041] = 238,
  [6042] = 295,
  [6043] = 303,
  [6044] = 308,
  [6045] = 337,
  [6046] = 549,
  [6047] = 343,
  [6048] = 352,
  [6049] = 366,
  [6050] = 5406,
  [6051] = 5398,
  [6052] = 378,
  [6053] = 376,
  [6054] = 353,
  [6055] = 324,
  [6056] = 316,
  [6057] = 311,
  [6058] = 5391,
  [6059] = 5410,
  [6060] = 309,
  [6061] = 299,
  [6062] = 287,
  [6063] = 275,
  [6064] = 5394,
  [6065] = 245,
  [6066] = 260,
  [6067] = 236,
  [6068] = 261,
  [6069] = 262,
  [6070] = 266,
  [6071] = 268,
  [6072] = 278,
  [6073] = 279,
  [6074] = 6074,
  [6075] = 283,
  [6076] = 242,
  [6077] = 290,
  [6078] = 301,
  [6079] = 6079,
  [6080] = 5411,
  [6081] = 314,
  [6082] = 6082,
  [6083] = 323,
  [6084] = 326,
  [6085] = 330,
  [6086] = 336,
  [6087] = 342,
  [6088] = 344,
  [6089] = 345,
  [6090] = 346,
  [6091] = 348,
  [6092] = 354,
  [6093] = 6093,
  [6094] = 359,
  [6095] = 6095,
  [6096] = 5415,
  [6097] = 5393,
  [6098] = 6098,
  [6099] = 364,
  [6100] = 367,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 358,
  [6104] = 135,
  [6105] = 406,
  [6106] = 360,
  [6107] = 371,
  [6108] = 363,
  [6109] = 5403,
  [6110] = 6110,
  [6111] = 373,
  [6112] = 6112,
  [6113] = 386,
  [6114] = 406,
  [6115] = 306,
  [6116] = 5416,
  [6117] = 6117,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 312,
  [6121] = 549,
  [6122] = 319,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 328,
  [6126] = 6126,
  [6127] = 247,
  [6128] = 368,
  [6129] = 6129,
  [6130] = 329,
  [6131] = 331,
  [6132] = 333,
  [6133] = 5407,
  [6134] = 5405,
  [6135] = 6135,
  [6136] = 6136,
  [6137] = 6137,
  [6138] = 372,
  [6139] = 379,
  [6140] = 6140,
  [6141] = 6141,
  [6142] = 381,
  [6143] = 380,
  [6144] = 226,
  [6145] = 5412,
  [6146] = 6146,
  [6147] = 334,
  [6148] = 351,
  [6149] = 377,
  [6150] = 1467,
  [6151] = 6151,
  [6152] = 375,
  [6153] = 542,
  [6154] = 620,
  [6155] = 619,
  [6156] = 5488,
  [6157] = 617,
  [6158] = 568,
  [6159] = 615,
  [6160] = 614,
  [6161] = 612,
  [6162] = 611,
  [6163] = 6163,
  [6164] = 610,
  [6165] = 609,
  [6166] = 608,
  [6167] = 6167,
  [6168] = 602,
  [6169] = 600,
  [6170] = 6170,
  [6171] = 599,
  [6172] = 597,
  [6173] = 6173,
  [6174] = 428,
  [6175] = 596,
  [6176] = 6176,
  [6177] = 594,
  [6178] = 591,
  [6179] = 6179,
  [6180] = 590,
  [6181] = 589,
  [6182] = 588,
  [6183] = 587,
  [6184] = 586,
  [6185] = 585,
  [6186] = 6186,
  [6187] = 584,
  [6188] = 583,
  [6189] = 581,
  [6190] = 578,
  [6191] = 577,
  [6192] = 576,
  [6193] = 6193,
  [6194] = 6194,
  [6195] = 2016,
  [6196] = 6196,
  [6197] = 573,
  [6198] = 572,
  [6199] = 569,
  [6200] = 559,
  [6201] = 561,
  [6202] = 557,
  [6203] = 550,
  [6204] = 135,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 5478,
  [6208] = 6208,
  [6209] = 5493,
  [6210] = 6210,
  [6211] = 6211,
  [6212] = 6212,
  [6213] = 6213,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 6217,
  [6218] = 6218,
  [6219] = 5472,
  [6220] = 549,
  [6221] = 6221,
  [6222] = 406,
  [6223] = 6223,
  [6224] = 6224,
  [6225] = 6225,
  [6226] = 6137,
  [6227] = 544,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 501,
  [6232] = 475,
  [6233] = 622,
  [6234] = 6234,
  [6235] = 623,
  [6236] = 474,
  [6237] = 5497,
  [6238] = 487,
  [6239] = 582,
  [6240] = 579,
  [6241] = 575,
  [6242] = 574,
  [6243] = 567,
  [6244] = 613,
  [6245] = 566,
  [6246] = 565,
  [6247] = 564,
  [6248] = 555,
  [6249] = 560,
  [6250] = 554,
  [6251] = 607,
  [6252] = 616,
  [6253] = 341,
  [6254] = 621,
  [6255] = 5481,
  [6256] = 549,
  [6257] = 502,
  [6258] = 552,
  [6259] = 548,
  [6260] = 545,
  [6261] = 505,
  [6262] = 543,
  [6263] = 6263,
  [6264] = 618,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 592,
  [6268] = 541,
  [6269] = 540,
  [6270] = 580,
  [6271] = 539,
  [6272] = 1467,
  [6273] = 6273,
  [6274] = 571,
  [6275] = 546,
  [6276] = 538,
  [6277] = 534,
  [6278] = 527,
  [6279] = 537,
  [6280] = 437,
  [6281] = 338,
  [6282] = 438,
  [6283] = 406,
  [6284] = 439,
  [6285] = 440,
  [6286] = 536,
  [6287] = 535,
  [6288] = 533,
  [6289] = 441,
  [6290] = 530,
  [6291] = 529,
  [6292] = 442,
  [6293] = 431,
  [6294] = 526,
  [6295] = 443,
  [6296] = 525,
  [6297] = 444,
  [6298] = 524,
  [6299] = 523,
  [6300] = 445,
  [6301] = 522,
  [6302] = 446,
  [6303] = 562,
  [6304] = 449,
  [6305] = 521,
  [6306] = 451,
  [6307] = 452,
  [6308] = 520,
  [6309] = 453,
  [6310] = 454,
  [6311] = 456,
  [6312] = 6312,
  [6313] = 457,
  [6314] = 517,
  [6315] = 516,
  [6316] = 514,
  [6317] = 458,
  [6318] = 512,
  [6319] = 511,
  [6320] = 459,
  [6321] = 509,
  [6322] = 460,
  [6323] = 6323,
  [6324] = 508,
  [6325] = 507,
  [6326] = 506,
  [6327] = 461,
  [6328] = 504,
  [6329] = 430,
  [6330] = 463,
  [6331] = 500,
  [6332] = 499,
  [6333] = 464,
  [6334] = 497,
  [6335] = 465,
  [6336] = 466,
  [6337] = 494,
  [6338] = 6338,
  [6339] = 467,
  [6340] = 469,
  [6341] = 493,
  [6342] = 492,
  [6343] = 491,
  [6344] = 490,
  [6345] = 488,
  [6346] = 470,
  [6347] = 485,
  [6348] = 483,
  [6349] = 472,
  [6350] = 482,
  [6351] = 481,
  [6352] = 480,
  [6353] = 5482,
  [6354] = 478,
  [6355] = 477,
  [6356] = 476,
  [6357] = 560,
  [6358] = 619,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 6273,
  [6364] = 6364,
  [6365] = 10,
  [6366] = 6366,
  [6367] = 6367,
  [6368] = 406,
  [6369] = 6369,
  [6370] = 1467,
  [6371] = 6371,
  [6372] = 2016,
  [6373] = 6373,
  [6374] = 6374,
  [6375] = 6375,
  [6376] = 6375,
  [6377] = 6377,
  [6378] = 6263,
  [6379] = 6379,
  [6380] = 6374,
  [6381] = 6381,
  [6382] = 6382,
  [6383] = 6373,
  [6384] = 6384,
  [6385] = 606,
  [6386] = 605,
  [6387] = 603,
  [6388] = 601,
  [6389] = 598,
  [6390] = 595,
  [6391] = 570,
  [6392] = 432,
  [6393] = 550,
  [6394] = 6394,
  [6395] = 6395,
  [6396] = 6396,
  [6397] = 6397,
  [6398] = 6398,
  [6399] = 434,
  [6400] = 435,
  [6401] = 436,
  [6402] = 6402,
  [6403] = 6403,
  [6404] = 6404,
  [6405] = 408,
  [6406] = 604,
  [6407] = 6407,
  [6408] = 447,
  [6409] = 6409,
  [6410] = 557,
  [6411] = 448,
  [6412] = 6412,
  [6413] = 6266,
  [6414] = 6414,
  [6415] = 443,
  [6416] = 6416,
  [6417] = 607,
  [6418] = 616,
  [6419] = 620,
  [6420] = 502,
  [6421] = 505,
  [6422] = 592,
  [6423] = 580,
  [6424] = 571,
  [6425] = 546,
  [6426] = 534,
  [6427] = 527,
  [6428] = 437,
  [6429] = 438,
  [6430] = 439,
  [6431] = 440,
  [6432] = 441,
  [6433] = 442,
  [6434] = 517,
  [6435] = 444,
  [6436] = 445,
  [6437] = 446,
  [6438] = 449,
  [6439] = 451,
  [6440] = 452,
  [6441] = 453,
  [6442] = 454,
  [6443] = 456,
  [6444] = 457,
  [6445] = 458,
  [6446] = 459,
  [6447] = 460,
  [6448] = 461,
  [6449] = 463,
  [6450] = 464,
  [6451] = 465,
  [6452] = 466,
  [6453] = 467,
  [6454] = 469,
  [6455] = 470,
  [6456] = 472,
  [6457] = 474,
  [6458] = 475,
  [6459] = 544,
  [6460] = 476,
  [6461] = 477,
  [6462] = 478,
  [6463] = 480,
  [6464] = 481,
  [6465] = 482,
  [6466] = 483,
  [6467] = 485,
  [6468] = 488,
  [6469] = 490,
  [6470] = 491,
  [6471] = 492,
  [6472] = 493,
  [6473] = 494,
  [6474] = 497,
  [6475] = 499,
  [6476] = 500,
  [6477] = 430,
  [6478] = 504,
  [6479] = 506,
  [6480] = 507,
  [6481] = 508,
  [6482] = 509,
  [6483] = 511,
  [6484] = 512,
  [6485] = 514,
  [6486] = 516,
  [6487] = 596,
  [6488] = 520,
  [6489] = 521,
  [6490] = 522,
  [6491] = 523,
  [6492] = 524,
  [6493] = 525,
  [6494] = 526,
  [6495] = 431,
  [6496] = 501,
  [6497] = 563,
  [6498] = 529,
  [6499] = 530,
  [6500] = 533,
  [6501] = 535,
  [6502] = 536,
  [6503] = 537,
  [6504] = 538,
  [6505] = 539,
  [6506] = 540,
  [6507] = 541,
  [6508] = 542,
  [6509] = 543,
  [6510] = 545,
  [6511] = 548,
  [6512] = 552,
  [6513] = 554,
  [6514] = 450,
  [6515] = 564,
  [6516] = 565,
  [6517] = 566,
  [6518] = 567,
  [6519] = 574,
  [6520] = 575,
  [6521] = 579,
  [6522] = 582,
  [6523] = 487,
  [6524] = 623,
  [6525] = 622,
  [6526] = 621,
  [6527] = 613,
  [6528] = 10,
  [6529] = 617,
  [6530] = 615,
  [6531] = 614,
  [6532] = 612,
  [6533] = 611,
  [6534] = 610,
  [6535] = 609,
  [6536] = 608,
  [6537] = 602,
  [6538] = 600,
  [6539] = 599,
  [6540] = 597,
  [6541] = 583,
  [6542] = 594,
  [6543] = 618,
  [6544] = 558,
  [6545] = 556,
  [6546] = 455,
  [6547] = 559,
  [6548] = 591,
  [6549] = 590,
  [6550] = 589,
  [6551] = 588,
  [6552] = 587,
  [6553] = 586,
  [6554] = 562,
  [6555] = 553,
  [6556] = 585,
  [6557] = 462,
  [6558] = 551,
  [6559] = 6559,
  [6560] = 468,
  [6561] = 584,
  [6562] = 513,
  [6563] = 581,
  [6564] = 578,
  [6565] = 577,
  [6566] = 576,
  [6567] = 532,
  [6568] = 528,
  [6569] = 389,
  [6570] = 519,
  [6571] = 518,
  [6572] = 573,
  [6573] = 515,
  [6574] = 415,
  [6575] = 510,
  [6576] = 503,
  [6577] = 572,
  [6578] = 498,
  [6579] = 496,
  [6580] = 569,
  [6581] = 495,
  [6582] = 489,
  [6583] = 486,
  [6584] = 6584,
  [6585] = 6265,
  [6586] = 484,
  [6587] = 479,
  [6588] = 471,
  [6589] = 6371,
  [6590] = 473,
  [6591] = 6591,
  [6592] = 122,
  [6593] = 124,
  [6594] = 6594,
  [6595] = 119,
  [6596] = 121,
  [6597] = 133,
  [6598] = 6362,
  [6599] = 5866,
  [6600] = 132,
  [6601] = 130,
  [6602] = 129,
  [6603] = 126,
  [6604] = 5799,
  [6605] = 118,
  [6606] = 5828,
  [6607] = 5812,
  [6608] = 5845,
  [6609] = 5853,
  [6610] = 5865,
  [6611] = 6397,
  [6612] = 5862,
  [6613] = 6613,
  [6614] = 6614,
  [6615] = 5876,
  [6616] = 6398,
  [6617] = 5850,
  [6618] = 6396,
  [6619] = 120,
  [6620] = 6620,
  [6621] = 122,
  [6622] = 119,
  [6623] = 133,
  [6624] = 126,
  [6625] = 132,
  [6626] = 130,
  [6627] = 5817,
  [6628] = 6395,
  [6629] = 5968,
  [6630] = 6394,
  [6631] = 129,
  [6632] = 124,
  [6633] = 117,
  [6634] = 120,
  [6635] = 116,
  [6636] = 117,
  [6637] = 125,
  [6638] = 128,
  [6639] = 116,
  [6640] = 117,
  [6641] = 118,
  [6642] = 114,
  [6643] = 121,
  [6644] = 5967,
  [6645] = 124,
  [6646] = 120,
  [6647] = 129,
  [6648] = 130,
  [6649] = 132,
  [6650] = 126,
  [6651] = 133,
  [6652] = 119,
  [6653] = 124,
  [6654] = 122,
  [6655] = 122,
  [6656] = 119,
  [6657] = 6657,
  [6658] = 133,
  [6659] = 126,
  [6660] = 132,
  [6661] = 6402,
  [6662] = 130,
  [6663] = 129,
  [6664] = 5969,
  [6665] = 120,
  [6666] = 114,
  [6667] = 118,
  [6668] = 128,
  [6669] = 125,
  [6670] = 117,
  [6671] = 116,
  [6672] = 114,
  [6673] = 118,
  [6674] = 121,
  [6675] = 5835,
  [6676] = 5834,
  [6677] = 2305,
  [6678] = 5832,
  [6679] = 128,
  [6680] = 125,
  [6681] = 2284,
  [6682] = 125,
  [6683] = 128,
  [6684] = 2016,
  [6685] = 570,
  [6686] = 5949,
  [6687] = 5958,
  [6688] = 5831,
  [6689] = 5950,
  [6690] = 116,
  [6691] = 5764,
  [6692] = 121,
  [6693] = 5848,
  [6694] = 114,
  [6695] = 5964,
  [6696] = 489,
  [6697] = 6697,
  [6698] = 359,
  [6699] = 326,
  [6700] = 121,
  [6701] = 557,
  [6702] = 122,
  [6703] = 117,
  [6704] = 573,
  [6705] = 116,
  [6706] = 6706,
  [6707] = 591,
  [6708] = 590,
  [6709] = 589,
  [6710] = 576,
  [6711] = 577,
  [6712] = 588,
  [6713] = 578,
  [6714] = 587,
  [6715] = 581,
  [6716] = 275,
  [6717] = 287,
  [6718] = 299,
  [6719] = 583,
  [6720] = 309,
  [6721] = 311,
  [6722] = 316,
  [6723] = 586,
  [6724] = 584,
  [6725] = 562,
  [6726] = 119,
  [6727] = 324,
  [6728] = 353,
  [6729] = 133,
  [6730] = 376,
  [6731] = 378,
  [6732] = 366,
  [6733] = 352,
  [6734] = 343,
  [6735] = 337,
  [6736] = 126,
  [6737] = 132,
  [6738] = 308,
  [6739] = 303,
  [6740] = 585,
  [6741] = 295,
  [6742] = 238,
  [6743] = 130,
  [6744] = 129,
  [6745] = 120,
  [6746] = 125,
  [6747] = 6747,
  [6748] = 128,
  [6749] = 288,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 227,
  [6753] = 124,
  [6754] = 228,
  [6755] = 125,
  [6756] = 114,
  [6757] = 128,
  [6758] = 229,
  [6759] = 231,
  [6760] = 118,
  [6761] = 116,
  [6762] = 234,
  [6763] = 6140,
  [6764] = 235,
  [6765] = 117,
  [6766] = 237,
  [6767] = 121,
  [6768] = 118,
  [6769] = 114,
  [6770] = 135,
  [6771] = 118,
  [6772] = 601,
  [6773] = 114,
  [6774] = 242,
  [6775] = 6112,
  [6776] = 6776,
  [6777] = 244,
  [6778] = 6778,
  [6779] = 6779,
  [6780] = 248,
  [6781] = 124,
  [6782] = 124,
  [6783] = 249,
  [6784] = 251,
  [6785] = 252,
  [6786] = 253,
  [6787] = 255,
  [6788] = 120,
  [6789] = 128,
  [6790] = 129,
  [6791] = 125,
  [6792] = 130,
  [6793] = 6793,
  [6794] = 132,
  [6795] = 6795,
  [6796] = 126,
  [6797] = 133,
  [6798] = 119,
  [6799] = 122,
  [6800] = 267,
  [6801] = 6801,
  [6802] = 270,
  [6803] = 501,
  [6804] = 271,
  [6805] = 272,
  [6806] = 120,
  [6807] = 550,
  [6808] = 274,
  [6809] = 129,
  [6810] = 6810,
  [6811] = 130,
  [6812] = 132,
  [6813] = 126,
  [6814] = 276,
  [6815] = 133,
  [6816] = 6816,
  [6817] = 6817,
  [6818] = 431,
  [6819] = 119,
  [6820] = 526,
  [6821] = 280,
  [6822] = 122,
  [6823] = 281,
  [6824] = 525,
  [6825] = 524,
  [6826] = 282,
  [6827] = 523,
  [6828] = 522,
  [6829] = 521,
  [6830] = 520,
  [6831] = 286,
  [6832] = 6832,
  [6833] = 6095,
  [6834] = 6834,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 6837,
  [6838] = 517,
  [6839] = 516,
  [6840] = 514,
  [6841] = 512,
  [6842] = 370,
  [6843] = 289,
  [6844] = 6844,
  [6845] = 293,
  [6846] = 511,
  [6847] = 509,
  [6848] = 508,
  [6849] = 507,
  [6850] = 506,
  [6851] = 504,
  [6852] = 6852,
  [6853] = 294,
  [6854] = 297,
  [6855] = 430,
  [6856] = 298,
  [6857] = 6857,
  [6858] = 500,
  [6859] = 304,
  [6860] = 499,
  [6861] = 305,
  [6862] = 117,
  [6863] = 497,
  [6864] = 121,
  [6865] = 116,
  [6866] = 494,
  [6867] = 493,
  [6868] = 492,
  [6869] = 491,
  [6870] = 490,
  [6871] = 6871,
  [6872] = 488,
  [6873] = 6873,
  [6874] = 335,
  [6875] = 485,
  [6876] = 6876,
  [6877] = 339,
  [6878] = 483,
  [6879] = 6879,
  [6880] = 356,
  [6881] = 482,
  [6882] = 6882,
  [6883] = 481,
  [6884] = 6102,
  [6885] = 6885,
  [6886] = 6886,
  [6887] = 480,
  [6888] = 374,
  [6889] = 325,
  [6890] = 361,
  [6891] = 478,
  [6892] = 477,
  [6893] = 476,
  [6894] = 572,
  [6895] = 428,
  [6896] = 6896,
  [6897] = 6897,
  [6898] = 306,
  [6899] = 357,
  [6900] = 350,
  [6901] = 6901,
  [6902] = 6902,
  [6903] = 327,
  [6904] = 312,
  [6905] = 6905,
  [6906] = 6906,
  [6907] = 6907,
  [6908] = 321,
  [6909] = 6909,
  [6910] = 317,
  [6911] = 6911,
  [6912] = 6912,
  [6913] = 6913,
  [6914] = 135,
  [6915] = 247,
  [6916] = 313,
  [6917] = 319,
  [6918] = 529,
  [6919] = 6919,
  [6920] = 530,
  [6921] = 533,
  [6922] = 535,
  [6923] = 536,
  [6924] = 135,
  [6925] = 6925,
  [6926] = 6926,
  [6927] = 6927,
  [6928] = 300,
  [6929] = 328,
  [6930] = 6930,
  [6931] = 329,
  [6932] = 331,
  [6933] = 333,
  [6934] = 226,
  [6935] = 292,
  [6936] = 537,
  [6937] = 569,
  [6938] = 225,
  [6939] = 334,
  [6940] = 6141,
  [6941] = 538,
  [6942] = 539,
  [6943] = 540,
  [6944] = 541,
  [6945] = 6945,
  [6946] = 351,
  [6947] = 542,
  [6948] = 543,
  [6949] = 355,
  [6950] = 284,
  [6951] = 6951,
  [6952] = 358,
  [6953] = 545,
  [6954] = 360,
  [6955] = 548,
  [6956] = 552,
  [6957] = 6957,
  [6958] = 363,
  [6959] = 6959,
  [6960] = 368,
  [6961] = 372,
  [6962] = 6962,
  [6963] = 379,
  [6964] = 554,
  [6965] = 277,
  [6966] = 544,
  [6967] = 475,
  [6968] = 381,
  [6969] = 380,
  [6970] = 474,
  [6971] = 377,
  [6972] = 472,
  [6973] = 470,
  [6974] = 619,
  [6975] = 265,
  [6976] = 6135,
  [6977] = 469,
  [6978] = 375,
  [6979] = 617,
  [6980] = 467,
  [6981] = 615,
  [6982] = 614,
  [6983] = 466,
  [6984] = 373,
  [6985] = 465,
  [6986] = 464,
  [6987] = 371,
  [6988] = 6988,
  [6989] = 463,
  [6990] = 367,
  [6991] = 461,
  [6992] = 460,
  [6993] = 459,
  [6994] = 6994,
  [6995] = 612,
  [6996] = 264,
  [6997] = 458,
  [6998] = 457,
  [6999] = 613,
  [7000] = 611,
  [7001] = 456,
  [7002] = 259,
  [7003] = 7003,
  [7004] = 454,
  [7005] = 258,
  [7006] = 610,
  [7007] = 453,
  [7008] = 452,
  [7009] = 621,
  [7010] = 609,
  [7011] = 608,
  [7012] = 257,
  [7013] = 364,
  [7014] = 451,
  [7015] = 607,
  [7016] = 7016,
  [7017] = 622,
  [7018] = 449,
  [7019] = 560,
  [7020] = 7020,
  [7021] = 7021,
  [7022] = 616,
  [7023] = 446,
  [7024] = 445,
  [7025] = 256,
  [7026] = 602,
  [7027] = 623,
  [7028] = 250,
  [7029] = 444,
  [7030] = 6079,
  [7031] = 354,
  [7032] = 243,
  [7033] = 443,
  [7034] = 487,
  [7035] = 241,
  [7036] = 600,
  [7037] = 442,
  [7038] = 7038,
  [7039] = 564,
  [7040] = 441,
  [7041] = 7041,
  [7042] = 440,
  [7043] = 7043,
  [7044] = 599,
  [7045] = 559,
  [7046] = 7046,
  [7047] = 348,
  [7048] = 346,
  [7049] = 565,
  [7050] = 597,
  [7051] = 566,
  [7052] = 345,
  [7053] = 7053,
  [7054] = 230,
  [7055] = 232,
  [7056] = 7056,
  [7057] = 233,
  [7058] = 344,
  [7059] = 236,
  [7060] = 342,
  [7061] = 6136,
  [7062] = 7062,
  [7063] = 336,
  [7064] = 620,
  [7065] = 567,
  [7066] = 6124,
  [7067] = 330,
  [7068] = 596,
  [7069] = 502,
  [7070] = 6137,
  [7071] = 594,
  [7072] = 505,
  [7073] = 592,
  [7074] = 245,
  [7075] = 580,
  [7076] = 571,
  [7077] = 7077,
  [7078] = 546,
  [7079] = 534,
  [7080] = 527,
  [7081] = 437,
  [7082] = 438,
  [7083] = 439,
  [7084] = 260,
  [7085] = 261,
  [7086] = 582,
  [7087] = 262,
  [7088] = 266,
  [7089] = 268,
  [7090] = 579,
  [7091] = 278,
  [7092] = 7092,
  [7093] = 279,
  [7094] = 575,
  [7095] = 283,
  [7096] = 290,
  [7097] = 301,
  [7098] = 618,
  [7099] = 5970,
  [7100] = 574,
  [7101] = 314,
  [7102] = 318,
  [7103] = 323,
  [7104] = 7104,
  [7105] = 462,
  [7106] = 558,
  [7107] = 515,
  [7108] = 6193,
  [7109] = 7109,
  [7110] = 125,
  [7111] = 518,
  [7112] = 128,
  [7113] = 7113,
  [7114] = 7114,
  [7115] = 519,
  [7116] = 556,
  [7117] = 7117,
  [7118] = 389,
  [7119] = 7119,
  [7120] = 7120,
  [7121] = 7121,
  [7122] = 7122,
  [7123] = 528,
  [7124] = 532,
  [7125] = 10,
  [7126] = 7126,
  [7127] = 6208,
  [7128] = 118,
  [7129] = 7129,
  [7130] = 114,
  [7131] = 551,
  [7132] = 553,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 7135,
  [7136] = 338,
  [7137] = 7137,
  [7138] = 7138,
  [7139] = 6194,
  [7140] = 6210,
  [7141] = 7141,
  [7142] = 124,
  [7143] = 396,
  [7144] = 120,
  [7145] = 129,
  [7146] = 7146,
  [7147] = 6212,
  [7148] = 130,
  [7149] = 6223,
  [7150] = 132,
  [7151] = 606,
  [7152] = 605,
  [7153] = 603,
  [7154] = 6137,
  [7155] = 6224,
  [7156] = 598,
  [7157] = 126,
  [7158] = 6215,
  [7159] = 135,
  [7160] = 6196,
  [7161] = 133,
  [7162] = 119,
  [7163] = 6338,
  [7164] = 122,
  [7165] = 6221,
  [7166] = 7126,
  [7167] = 6218,
  [7168] = 595,
  [7169] = 398,
  [7170] = 5871,
  [7171] = 513,
  [7172] = 495,
  [7173] = 563,
  [7174] = 432,
  [7175] = 7126,
  [7176] = 434,
  [7177] = 435,
  [7178] = 436,
  [7179] = 408,
  [7180] = 604,
  [7181] = 7181,
  [7182] = 7182,
  [7183] = 7183,
  [7184] = 6206,
  [7185] = 7126,
  [7186] = 7186,
  [7187] = 6225,
  [7188] = 7126,
  [7189] = 6205,
  [7190] = 7190,
  [7191] = 484,
  [7192] = 6186,
  [7193] = 7193,
  [7194] = 6230,
  [7195] = 6179,
  [7196] = 7196,
  [7197] = 7197,
  [7198] = 6234,
  [7199] = 6170,
  [7200] = 7200,
  [7201] = 7201,
  [7202] = 7202,
  [7203] = 7203,
  [7204] = 7126,
  [7205] = 7126,
  [7206] = 7206,
  [7207] = 7207,
  [7208] = 6211,
  [7209] = 7209,
  [7210] = 7210,
  [7211] = 7211,
  [7212] = 7126,
  [7213] = 7213,
  [7214] = 7126,
  [7215] = 7215,
  [7216] = 7126,
  [7217] = 7217,
  [7218] = 7218,
  [7219] = 7126,
  [7220] = 6213,
  [7221] = 121,
  [7222] = 117,
  [7223] = 116,
  [7224] = 7224,
  [7225] = 7126,
  [7226] = 7226,
  [7227] = 6167,
  [7228] = 7228,
  [7229] = 7229,
  [7230] = 7126,
  [7231] = 6229,
  [7232] = 486,
  [7233] = 7233,
  [7234] = 6312,
  [7235] = 6214,
  [7236] = 338,
  [7237] = 2501,
  [7238] = 7238,
  [7239] = 7126,
  [7240] = 447,
  [7241] = 6176,
  [7242] = 557,
  [7243] = 7126,
  [7244] = 448,
  [7245] = 496,
  [7246] = 7126,
  [7247] = 6216,
  [7248] = 450,
  [7249] = 498,
  [7250] = 7126,
  [7251] = 455,
  [7252] = 7252,
  [7253] = 4669,
  [7254] = 468,
  [7255] = 503,
  [7256] = 415,
  [7257] = 510,
  [7258] = 479,
  [7259] = 7126,
  [7260] = 6323,
  [7261] = 7261,
  [7262] = 6228,
  [7263] = 473,
  [7264] = 471,
  [7265] = 6217,
  [7266] = 135,
  [7267] = 7126,
  [7268] = 7126,
  [7269] = 7269,
  [7270] = 7126,
  [7271] = 7271,
  [7272] = 6374,
  [7273] = 7273,
  [7274] = 7274,
  [7275] = 7275,
  [7276] = 7276,
  [7277] = 7277,
  [7278] = 7278,
  [7279] = 7279,
  [7280] = 7280,
  [7281] = 6398,
  [7282] = 7282,
  [7283] = 7283,
  [7284] = 7284,
  [7285] = 7285,
  [7286] = 7286,
  [7287] = 7287,
  [7288] = 7288,
  [7289] = 7289,
  [7290] = 7290,
  [7291] = 7291,
  [7292] = 7292,
  [7293] = 7293,
  [7294] = 7294,
  [7295] = 7295,
  [7296] = 135,
  [7297] = 6397,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7300,
  [7301] = 7301,
  [7302] = 7302,
  [7303] = 6375,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7306,
  [7307] = 7307,
  [7308] = 7308,
  [7309] = 7309,
  [7310] = 341,
  [7311] = 7311,
  [7312] = 6396,
  [7313] = 7313,
  [7314] = 7314,
  [7315] = 7315,
  [7316] = 7316,
  [7317] = 6371,
  [7318] = 7318,
  [7319] = 7319,
  [7320] = 7320,
  [7321] = 7321,
  [7322] = 7322,
  [7323] = 7323,
  [7324] = 6362,
  [7325] = 7325,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 7328,
  [7329] = 7329,
  [7330] = 7330,
  [7331] = 7331,
  [7332] = 7332,
  [7333] = 7333,
  [7334] = 6375,
  [7335] = 7335,
  [7336] = 7336,
  [7337] = 7337,
  [7338] = 7338,
  [7339] = 7339,
  [7340] = 6373,
  [7341] = 7341,
  [7342] = 7342,
  [7343] = 7343,
  [7344] = 386,
  [7345] = 7345,
  [7346] = 7346,
  [7347] = 7347,
  [7348] = 7348,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 7351,
  [7352] = 7352,
  [7353] = 7353,
  [7354] = 7354,
  [7355] = 7355,
  [7356] = 7356,
  [7357] = 7357,
  [7358] = 7358,
  [7359] = 7359,
  [7360] = 7360,
  [7361] = 7361,
  [7362] = 7362,
  [7363] = 2516,
  [7364] = 7364,
  [7365] = 7365,
  [7366] = 7366,
  [7367] = 406,
  [7368] = 7368,
  [7369] = 6371,
  [7370] = 7370,
  [7371] = 7371,
  [7372] = 7372,
  [7373] = 7373,
  [7374] = 7374,
  [7375] = 7375,
  [7376] = 7376,
  [7377] = 7377,
  [7378] = 7378,
  [7379] = 7379,
  [7380] = 7380,
  [7381] = 6394,
  [7382] = 7382,
  [7383] = 7383,
  [7384] = 7384,
  [7385] = 7385,
  [7386] = 7386,
  [7387] = 7387,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 7390,
  [7391] = 7391,
  [7392] = 7392,
  [7393] = 7393,
  [7394] = 7394,
  [7395] = 7395,
  [7396] = 7396,
  [7397] = 7397,
  [7398] = 7398,
  [7399] = 7399,
  [7400] = 7400,
  [7401] = 7401,
  [7402] = 7402,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 7406,
  [7407] = 7407,
  [7408] = 7408,
  [7409] = 7409,
  [7410] = 7410,
  [7411] = 6373,
  [7412] = 7412,
  [7413] = 6374,
  [7414] = 6395,
  [7415] = 7415,
  [7416] = 7416,
  [7417] = 7417,
  [7418] = 7418,
  [7419] = 2543,
  [7420] = 7420,
  [7421] = 406,
  [7422] = 6402,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7425,
  [7426] = 7426,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 2542,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 6397,
  [7434] = 7434,
  [7435] = 7435,
  [7436] = 7436,
  [7437] = 7437,
  [7438] = 7438,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7443,
  [7444] = 7444,
  [7445] = 561,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7448,
  [7449] = 7449,
  [7450] = 7450,
  [7451] = 7451,
  [7452] = 7452,
  [7453] = 7453,
  [7454] = 7454,
  [7455] = 568,
  [7456] = 7456,
  [7457] = 7457,
  [7458] = 6398,
  [7459] = 7459,
  [7460] = 7460,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 428,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7470,
  [7471] = 7471,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 6396,
  [7481] = 6395,
  [7482] = 6394,
  [7483] = 6362,
  [7484] = 7484,
  [7485] = 7485,
  [7486] = 428,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 7489,
  [7490] = 555,
  [7491] = 7491,
  [7492] = 7492,
  [7493] = 7493,
  [7494] = 7494,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7499,
  [7500] = 7500,
  [7501] = 7501,
  [7502] = 6402,
  [7503] = 555,
  [7504] = 7504,
  [7505] = 7505,
  [7506] = 7506,
  [7507] = 561,
  [7508] = 7508,
  [7509] = 7509,
  [7510] = 7510,
  [7511] = 7511,
  [7512] = 7512,
  [7513] = 7513,
  [7514] = 7514,
  [7515] = 7515,
  [7516] = 7516,
  [7517] = 7517,
  [7518] = 7518,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 7521,
  [7522] = 7522,
  [7523] = 7523,
  [7524] = 7524,
  [7525] = 7525,
  [7526] = 7526,
  [7527] = 7527,
  [7528] = 7528,
  [7529] = 7529,
  [7530] = 437,
  [7531] = 569,
  [7532] = 6907,
  [7533] = 6909,
  [7534] = 471,
  [7535] = 572,
  [7536] = 6911,
  [7537] = 7537,
  [7538] = 573,
  [7539] = 576,
  [7540] = 6912,
  [7541] = 577,
  [7542] = 473,
  [7543] = 603,
  [7544] = 578,
  [7545] = 7545,
  [7546] = 557,
  [7547] = 581,
  [7548] = 479,
  [7549] = 484,
  [7550] = 7550,
  [7551] = 486,
  [7552] = 595,
  [7553] = 7553,
  [7554] = 489,
  [7555] = 495,
  [7556] = 7556,
  [7557] = 7557,
  [7558] = 583,
  [7559] = 496,
  [7560] = 498,
  [7561] = 604,
  [7562] = 7562,
  [7563] = 601,
  [7564] = 570,
  [7565] = 584,
  [7566] = 503,
  [7567] = 7567,
  [7568] = 606,
  [7569] = 7569,
  [7570] = 510,
  [7571] = 7571,
  [7572] = 7572,
  [7573] = 7573,
  [7574] = 7574,
  [7575] = 515,
  [7576] = 7576,
  [7577] = 598,
  [7578] = 518,
  [7579] = 7579,
  [7580] = 519,
  [7581] = 513,
  [7582] = 528,
  [7583] = 6902,
  [7584] = 532,
  [7585] = 432,
  [7586] = 6905,
  [7587] = 544,
  [7588] = 605,
  [7589] = 7589,
  [7590] = 7590,
  [7591] = 7591,
  [7592] = 434,
  [7593] = 7593,
  [7594] = 447,
  [7595] = 7038,
  [7596] = 435,
  [7597] = 7020,
  [7598] = 448,
  [7599] = 7043,
  [7600] = 6919,
  [7601] = 7601,
  [7602] = 450,
  [7603] = 7603,
  [7604] = 455,
  [7605] = 462,
  [7606] = 468,
  [7607] = 6793,
  [7608] = 6879,
  [7609] = 585,
  [7610] = 7610,
  [7611] = 7046,
  [7612] = 6873,
  [7613] = 586,
  [7614] = 7614,
  [7615] = 551,
  [7616] = 7616,
  [7617] = 553,
  [7618] = 7618,
  [7619] = 562,
  [7620] = 587,
  [7621] = 563,
  [7622] = 7622,
  [7623] = 7623,
  [7624] = 408,
  [7625] = 7016,
  [7626] = 6906,
  [7627] = 7627,
  [7628] = 6926,
  [7629] = 588,
  [7630] = 589,
  [7631] = 7077,
  [7632] = 590,
  [7633] = 7633,
  [7634] = 7634,
  [7635] = 6930,
  [7636] = 591,
  [7637] = 594,
  [7638] = 7638,
  [7639] = 596,
  [7640] = 6957,
  [7641] = 597,
  [7642] = 556,
  [7643] = 558,
  [7644] = 618,
  [7645] = 7529,
  [7646] = 7646,
  [7647] = 7647,
  [7648] = 7092,
  [7649] = 7649,
  [7650] = 599,
  [7651] = 7651,
  [7652] = 600,
  [7653] = 7653,
  [7654] = 602,
  [7655] = 608,
  [7656] = 609,
  [7657] = 610,
  [7658] = 7658,
  [7659] = 7659,
  [7660] = 7660,
  [7661] = 7661,
  [7662] = 6801,
  [7663] = 6779,
  [7664] = 611,
  [7665] = 7665,
  [7666] = 7666,
  [7667] = 6751,
  [7668] = 7668,
  [7669] = 6706,
  [7670] = 7670,
  [7671] = 7671,
  [7672] = 612,
  [7673] = 6988,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 614,
  [7677] = 615,
  [7678] = 6747,
  [7679] = 7679,
  [7680] = 7680,
  [7681] = 617,
  [7682] = 6927,
  [7683] = 7683,
  [7684] = 559,
  [7685] = 7685,
  [7686] = 415,
  [7687] = 389,
  [7688] = 621,
  [7689] = 7689,
  [7690] = 7545,
  [7691] = 622,
  [7692] = 623,
  [7693] = 7693,
  [7694] = 7694,
  [7695] = 487,
  [7696] = 6810,
  [7697] = 7697,
  [7698] = 7698,
  [7699] = 619,
  [7700] = 436,
  [7701] = 613,
  [7702] = 6925,
  [7703] = 579,
  [7704] = 7704,
  [7705] = 7705,
  [7706] = 575,
  [7707] = 7707,
  [7708] = 574,
  [7709] = 6962,
  [7710] = 7053,
  [7711] = 567,
  [7712] = 566,
  [7713] = 7713,
  [7714] = 7714,
  [7715] = 6795,
  [7716] = 565,
  [7717] = 564,
  [7718] = 560,
  [7719] = 7719,
  [7720] = 7553,
  [7721] = 554,
  [7722] = 7722,
  [7723] = 6857,
  [7724] = 7724,
  [7725] = 7556,
  [7726] = 7557,
  [7727] = 7727,
  [7728] = 7728,
  [7729] = 7729,
  [7730] = 552,
  [7731] = 7731,
  [7732] = 7732,
  [7733] = 548,
  [7734] = 545,
  [7735] = 7735,
  [7736] = 7736,
  [7737] = 543,
  [7738] = 7738,
  [7739] = 7739,
  [7740] = 7740,
  [7741] = 7741,
  [7742] = 542,
  [7743] = 541,
  [7744] = 7744,
  [7745] = 7745,
  [7746] = 540,
  [7747] = 539,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7649,
  [7751] = 7751,
  [7752] = 550,
  [7753] = 7753,
  [7754] = 558,
  [7755] = 7755,
  [7756] = 556,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 7759,
  [7760] = 538,
  [7761] = 7761,
  [7762] = 7762,
  [7763] = 6776,
  [7764] = 7764,
  [7765] = 7765,
  [7766] = 7766,
  [7767] = 7767,
  [7768] = 7768,
  [7769] = 7769,
  [7770] = 7647,
  [7771] = 7771,
  [7772] = 7772,
  [7773] = 537,
  [7774] = 396,
  [7775] = 398,
  [7776] = 536,
  [7777] = 535,
  [7778] = 7778,
  [7779] = 533,
  [7780] = 7780,
  [7781] = 530,
  [7782] = 529,
  [7783] = 7783,
  [7784] = 431,
  [7785] = 6959,
  [7786] = 7786,
  [7787] = 553,
  [7788] = 526,
  [7789] = 551,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 525,
  [7793] = 7793,
  [7794] = 7062,
  [7795] = 524,
  [7796] = 523,
  [7797] = 7797,
  [7798] = 522,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 521,
  [7802] = 7802,
  [7803] = 7803,
  [7804] = 520,
  [7805] = 7056,
  [7806] = 532,
  [7807] = 528,
  [7808] = 389,
  [7809] = 7809,
  [7810] = 7810,
  [7811] = 519,
  [7812] = 7812,
  [7813] = 518,
  [7814] = 6885,
  [7815] = 517,
  [7816] = 515,
  [7817] = 7817,
  [7818] = 7818,
  [7819] = 7041,
  [7820] = 510,
  [7821] = 7821,
  [7822] = 7822,
  [7823] = 503,
  [7824] = 7021,
  [7825] = 516,
  [7826] = 7826,
  [7827] = 7827,
  [7828] = 7828,
  [7829] = 7829,
  [7830] = 7830,
  [7831] = 7831,
  [7832] = 7832,
  [7833] = 7833,
  [7834] = 514,
  [7835] = 512,
  [7836] = 7836,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 7839,
  [7840] = 498,
  [7841] = 496,
  [7842] = 495,
  [7843] = 489,
  [7844] = 511,
  [7845] = 486,
  [7846] = 484,
  [7847] = 479,
  [7848] = 7848,
  [7849] = 7849,
  [7850] = 473,
  [7851] = 509,
  [7852] = 7852,
  [7853] = 508,
  [7854] = 471,
  [7855] = 7855,
  [7856] = 507,
  [7857] = 415,
  [7858] = 506,
  [7859] = 582,
  [7860] = 7003,
  [7861] = 468,
  [7862] = 7862,
  [7863] = 6837,
  [7864] = 7864,
  [7865] = 462,
  [7866] = 455,
  [7867] = 430,
  [7868] = 6994,
  [7869] = 450,
  [7870] = 448,
  [7871] = 500,
  [7872] = 447,
  [7873] = 7873,
  [7874] = 7738,
  [7875] = 604,
  [7876] = 499,
  [7877] = 408,
  [7878] = 497,
  [7879] = 436,
  [7880] = 435,
  [7881] = 7736,
  [7882] = 434,
  [7883] = 432,
  [7884] = 513,
  [7885] = 6901,
  [7886] = 7886,
  [7887] = 7887,
  [7888] = 494,
  [7889] = 570,
  [7890] = 595,
  [7891] = 7891,
  [7892] = 7892,
  [7893] = 6834,
  [7894] = 7894,
  [7895] = 7895,
  [7896] = 598,
  [7897] = 601,
  [7898] = 7898,
  [7899] = 6897,
  [7900] = 7900,
  [7901] = 603,
  [7902] = 7902,
  [7903] = 6896,
  [7904] = 7904,
  [7905] = 605,
  [7906] = 606,
  [7907] = 7907,
  [7908] = 7908,
  [7909] = 7909,
  [7910] = 7910,
  [7911] = 7911,
  [7912] = 6844,
  [7913] = 6832,
  [7914] = 7914,
  [7915] = 7915,
  [7916] = 6852,
  [7917] = 493,
  [7918] = 7918,
  [7919] = 7919,
  [7920] = 7920,
  [7921] = 492,
  [7922] = 6816,
  [7923] = 491,
  [7924] = 7924,
  [7925] = 7925,
  [7926] = 7926,
  [7927] = 490,
  [7928] = 488,
  [7929] = 7929,
  [7930] = 607,
  [7931] = 616,
  [7932] = 7932,
  [7933] = 620,
  [7934] = 502,
  [7935] = 505,
  [7936] = 7936,
  [7937] = 592,
  [7938] = 7938,
  [7939] = 580,
  [7940] = 571,
  [7941] = 546,
  [7942] = 534,
  [7943] = 527,
  [7944] = 6871,
  [7945] = 438,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 439,
  [7950] = 7950,
  [7951] = 440,
  [7952] = 441,
  [7953] = 442,
  [7954] = 443,
  [7955] = 7955,
  [7956] = 444,
  [7957] = 445,
  [7958] = 7958,
  [7959] = 7959,
  [7960] = 446,
  [7961] = 7961,
  [7962] = 449,
  [7963] = 451,
  [7964] = 7964,
  [7965] = 7965,
  [7966] = 452,
  [7967] = 7967,
  [7968] = 453,
  [7969] = 454,
  [7970] = 456,
  [7971] = 6951,
  [7972] = 457,
  [7973] = 458,
  [7974] = 459,
  [7975] = 6945,
  [7976] = 460,
  [7977] = 485,
  [7978] = 7955,
  [7979] = 483,
  [7980] = 6835,
  [7981] = 6913,
  [7982] = 461,
  [7983] = 7983,
  [7984] = 463,
  [7985] = 6836,
  [7986] = 7986,
  [7987] = 464,
  [7988] = 465,
  [7989] = 466,
  [7990] = 7990,
  [7991] = 6876,
  [7992] = 467,
  [7993] = 7993,
  [7994] = 7994,
  [7995] = 482,
  [7996] = 6886,
  [7997] = 469,
  [7998] = 7947,
  [7999] = 470,
  [8000] = 481,
  [8001] = 6882,
  [8002] = 563,
  [8003] = 501,
  [8004] = 472,
  [8005] = 7924,
  [8006] = 7714,
  [8007] = 8007,
  [8008] = 474,
  [8009] = 7748,
  [8010] = 475,
  [8011] = 476,
  [8012] = 477,
  [8013] = 7759,
  [8014] = 7907,
  [8015] = 480,
  [8016] = 504,
  [8017] = 7911,
  [8018] = 7753,
  [8019] = 7755,
  [8020] = 478,
  [8021] = 7914,
  [8022] = 7203,
  [8023] = 8023,
  [8024] = 8024,
  [8025] = 8025,
  [8026] = 8026,
  [8027] = 8027,
  [8028] = 8028,
  [8029] = 8029,
  [8030] = 8030,
  [8031] = 8031,
  [8032] = 8032,
  [8033] = 8033,
  [8034] = 8034,
  [8035] = 8035,
  [8036] = 8036,
  [8037] = 8037,
  [8038] = 8038,
  [8039] = 8039,
  [8040] = 8040,
  [8041] = 7186,
  [8042] = 8042,
  [8043] = 8043,
  [8044] = 8044,
  [8045] = 7193,
  [8046] = 8033,
  [8047] = 8047,
  [8048] = 8048,
  [8049] = 8049,
  [8050] = 8050,
  [8051] = 8051,
  [8052] = 8052,
  [8053] = 8053,
  [8054] = 8054,
  [8055] = 8055,
  [8056] = 8056,
  [8057] = 8057,
  [8058] = 7202,
  [8059] = 8059,
  [8060] = 7210,
  [8061] = 8061,
  [8062] = 8062,
  [8063] = 8063,
  [8064] = 8064,
  [8065] = 7213,
  [8066] = 8066,
  [8067] = 8067,
  [8068] = 7215,
  [8069] = 8069,
  [8070] = 8070,
  [8071] = 8071,
  [8072] = 8072,
  [8073] = 8073,
  [8074] = 8074,
  [8075] = 8075,
  [8076] = 8076,
  [8077] = 8077,
  [8078] = 8078,
  [8079] = 8079,
  [8080] = 8080,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 8083,
  [8084] = 8084,
  [8085] = 8085,
  [8086] = 8086,
  [8087] = 8087,
  [8088] = 8088,
  [8089] = 8089,
  [8090] = 8090,
  [8091] = 8091,
  [8092] = 8092,
  [8093] = 8093,
  [8094] = 8094,
  [8095] = 8095,
  [8096] = 8096,
  [8097] = 8097,
  [8098] = 8098,
  [8099] = 8099,
  [8100] = 8100,
  [8101] = 8101,
  [8102] = 8102,
  [8103] = 8103,
  [8104] = 8104,
  [8105] = 8105,
  [8106] = 8033,
  [8107] = 8107,
  [8108] = 8108,
  [8109] = 8109,
  [8110] = 8110,
  [8111] = 8111,
  [8112] = 7196,
  [8113] = 8113,
  [8114] = 7209,
  [8115] = 8115,
  [8116] = 8116,
  [8117] = 8117,
  [8118] = 8118,
  [8119] = 8119,
  [8120] = 8033,
  [8121] = 8121,
  [8122] = 8122,
  [8123] = 8123,
  [8124] = 8124,
  [8125] = 8125,
  [8126] = 8126,
  [8127] = 8127,
  [8128] = 8128,
  [8129] = 8129,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 8132,
  [8133] = 8133,
  [8134] = 121,
  [8135] = 8135,
  [8136] = 117,
  [8137] = 8137,
  [8138] = 116,
  [8139] = 8139,
  [8140] = 8140,
  [8141] = 8141,
  [8142] = 8142,
  [8143] = 8143,
  [8144] = 8144,
  [8145] = 8033,
  [8146] = 8146,
  [8147] = 8147,
  [8148] = 8148,
  [8149] = 7201,
  [8150] = 8150,
  [8151] = 8151,
  [8152] = 8033,
  [8153] = 8153,
  [8154] = 8154,
  [8155] = 8155,
  [8156] = 8156,
  [8157] = 8157,
  [8158] = 8158,
  [8159] = 8159,
  [8160] = 8160,
  [8161] = 8161,
  [8162] = 8162,
  [8163] = 8163,
  [8164] = 8164,
  [8165] = 8033,
  [8166] = 8166,
  [8167] = 8033,
  [8168] = 8168,
  [8169] = 8169,
  [8170] = 8170,
  [8171] = 8171,
  [8172] = 8172,
  [8173] = 8173,
  [8174] = 8174,
  [8175] = 8175,
  [8176] = 8176,
  [8177] = 8177,
  [8178] = 8033,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 8181,
  [8182] = 8182,
  [8183] = 7217,
  [8184] = 8184,
  [8185] = 8185,
  [8186] = 7141,
  [8187] = 7211,
  [8188] = 8188,
  [8189] = 7206,
  [8190] = 8190,
  [8191] = 8191,
  [8192] = 8192,
  [8193] = 8193,
  [8194] = 8194,
  [8195] = 8195,
  [8196] = 8196,
  [8197] = 7121,
  [8198] = 8198,
  [8199] = 7119,
  [8200] = 8200,
  [8201] = 7113,
  [8202] = 8202,
  [8203] = 8203,
  [8204] = 8204,
  [8205] = 7117,
  [8206] = 8206,
  [8207] = 7114,
  [8208] = 8033,
  [8209] = 8209,
  [8210] = 8210,
  [8211] = 8211,
  [8212] = 8212,
  [8213] = 8213,
  [8214] = 8214,
  [8215] = 8033,
  [8216] = 8216,
  [8217] = 8217,
  [8218] = 8218,
  [8219] = 8219,
  [8220] = 8220,
  [8221] = 8221,
  [8222] = 8222,
  [8223] = 125,
  [8224] = 8033,
  [8225] = 128,
  [8226] = 8033,
  [8227] = 8227,
  [8228] = 8033,
  [8229] = 8229,
  [8230] = 8033,
  [8231] = 118,
  [8232] = 8033,
  [8233] = 114,
  [8234] = 8234,
  [8235] = 124,
  [8236] = 8236,
  [8237] = 120,
  [8238] = 129,
  [8239] = 130,
  [8240] = 132,
  [8241] = 126,
  [8242] = 133,
  [8243] = 2790,
  [8244] = 8244,
  [8245] = 8245,
  [8246] = 119,
  [8247] = 122,
  [8248] = 8248,
  [8249] = 8249,
  [8250] = 8250,
  [8251] = 8251,
  [8252] = 8252,
  [8253] = 8253,
  [8254] = 8254,
  [8255] = 8255,
  [8256] = 8256,
  [8257] = 8257,
  [8258] = 8258,
  [8259] = 8259,
  [8260] = 8260,
  [8261] = 8261,
  [8262] = 8262,
  [8263] = 8263,
  [8264] = 8264,
  [8265] = 8265,
  [8266] = 8266,
  [8267] = 8267,
  [8268] = 8033,
  [8269] = 8269,
  [8270] = 8270,
  [8271] = 8271,
  [8272] = 8272,
  [8273] = 8273,
  [8274] = 8274,
  [8275] = 8275,
  [8276] = 8276,
  [8277] = 8277,
  [8278] = 8278,
  [8279] = 8279,
  [8280] = 8280,
  [8281] = 8281,
  [8282] = 8282,
  [8283] = 8283,
  [8284] = 8284,
  [8285] = 8285,
  [8286] = 8286,
  [8287] = 8287,
  [8288] = 8288,
  [8289] = 8289,
  [8290] = 8290,
  [8291] = 8291,
  [8292] = 8292,
  [8293] = 8293,
  [8294] = 8294,
  [8295] = 8295,
  [8296] = 8296,
  [8297] = 8297,
  [8298] = 8298,
  [8299] = 8299,
  [8300] = 8300,
  [8301] = 8301,
  [8302] = 8302,
  [8303] = 8303,
  [8304] = 8304,
  [8305] = 8305,
  [8306] = 8306,
  [8307] = 8307,
  [8308] = 8308,
  [8309] = 8309,
  [8310] = 8310,
  [8311] = 8311,
  [8312] = 8312,
  [8313] = 8033,
  [8314] = 8314,
  [8315] = 8315,
  [8316] = 8316,
  [8317] = 8317,
  [8318] = 8318,
  [8319] = 8319,
  [8320] = 8320,
  [8321] = 338,
  [8322] = 8322,
  [8323] = 8323,
  [8324] = 8324,
  [8325] = 8325,
  [8326] = 8326,
  [8327] = 8327,
  [8328] = 8328,
  [8329] = 8329,
  [8330] = 8330,
  [8331] = 8331,
  [8332] = 8332,
  [8333] = 8333,
  [8334] = 8334,
  [8335] = 8335,
  [8336] = 8336,
  [8337] = 8337,
  [8338] = 8338,
  [8339] = 8339,
  [8340] = 8340,
  [8341] = 8341,
  [8342] = 8342,
  [8343] = 8343,
  [8344] = 7104,
  [8345] = 8345,
  [8346] = 8346,
  [8347] = 7252,
  [8348] = 8348,
  [8349] = 8349,
  [8350] = 8350,
  [8351] = 8351,
  [8352] = 8352,
  [8353] = 8353,
  [8354] = 8354,
  [8355] = 8355,
  [8356] = 8356,
  [8357] = 8357,
  [8358] = 8358,
  [8359] = 8359,
  [8360] = 8360,
  [8361] = 7378,
  [8362] = 308,
  [8363] = 7397,
  [8364] = 8364,
  [8365] = 7315,
  [8366] = 341,
  [8367] = 8367,
  [8368] = 386,
  [8369] = 8369,
  [8370] = 341,
  [8371] = 8371,
  [8372] = 247,
  [8373] = 8367,
  [8374] = 8369,
  [8375] = 8371,
  [8376] = 8367,
  [8377] = 8369,
  [8378] = 8371,
  [8379] = 7359,
  [8380] = 8367,
  [8381] = 7322,
  [8382] = 8369,
  [8383] = 8371,
  [8384] = 8367,
  [8385] = 8369,
  [8386] = 8371,
  [8387] = 7400,
  [8388] = 8367,
  [8389] = 8369,
  [8390] = 8371,
  [8391] = 8367,
  [8392] = 8369,
  [8393] = 8371,
  [8394] = 8367,
  [8395] = 8369,
  [8396] = 8371,
  [8397] = 338,
  [8398] = 386,
  [8399] = 2838,
  [8400] = 306,
  [8401] = 312,
  [8402] = 319,
  [8403] = 8403,
  [8404] = 341,
  [8405] = 275,
  [8406] = 287,
  [8407] = 299,
  [8408] = 309,
  [8409] = 311,
  [8410] = 316,
  [8411] = 324,
  [8412] = 353,
  [8413] = 376,
  [8414] = 378,
  [8415] = 366,
  [8416] = 352,
  [8417] = 343,
  [8418] = 337,
  [8419] = 7287,
  [8420] = 7314,
  [8421] = 308,
  [8422] = 303,
  [8423] = 295,
  [8424] = 238,
  [8425] = 288,
  [8426] = 227,
  [8427] = 7316,
  [8428] = 228,
  [8429] = 229,
  [8430] = 231,
  [8431] = 338,
  [8432] = 7318,
  [8433] = 234,
  [8434] = 135,
  [8435] = 235,
  [8436] = 7321,
  [8437] = 237,
  [8438] = 7390,
  [8439] = 242,
  [8440] = 7402,
  [8441] = 244,
  [8442] = 396,
  [8443] = 248,
  [8444] = 249,
  [8445] = 251,
  [8446] = 252,
  [8447] = 255,
  [8448] = 267,
  [8449] = 270,
  [8450] = 271,
  [8451] = 272,
  [8452] = 274,
  [8453] = 253,
  [8454] = 280,
  [8455] = 281,
  [8456] = 282,
  [8457] = 286,
  [8458] = 370,
  [8459] = 7396,
  [8460] = 289,
  [8461] = 293,
  [8462] = 294,
  [8463] = 297,
  [8464] = 298,
  [8465] = 304,
  [8466] = 305,
  [8467] = 335,
  [8468] = 339,
  [8469] = 356,
  [8470] = 374,
  [8471] = 325,
  [8472] = 398,
  [8473] = 361,
  [8474] = 357,
  [8475] = 350,
  [8476] = 327,
  [8477] = 321,
  [8478] = 317,
  [8479] = 313,
  [8480] = 300,
  [8481] = 8481,
  [8482] = 247,
  [8483] = 292,
  [8484] = 225,
  [8485] = 8485,
  [8486] = 8486,
  [8487] = 328,
  [8488] = 7375,
  [8489] = 284,
  [8490] = 277,
  [8491] = 265,
  [8492] = 7377,
  [8493] = 329,
  [8494] = 264,
  [8495] = 259,
  [8496] = 258,
  [8497] = 257,
  [8498] = 331,
  [8499] = 256,
  [8500] = 250,
  [8501] = 243,
  [8502] = 241,
  [8503] = 230,
  [8504] = 232,
  [8505] = 7326,
  [8506] = 233,
  [8507] = 333,
  [8508] = 236,
  [8509] = 245,
  [8510] = 260,
  [8511] = 261,
  [8512] = 226,
  [8513] = 262,
  [8514] = 266,
  [8515] = 268,
  [8516] = 278,
  [8517] = 279,
  [8518] = 283,
  [8519] = 290,
  [8520] = 301,
  [8521] = 276,
  [8522] = 314,
  [8523] = 7412,
  [8524] = 318,
  [8525] = 323,
  [8526] = 326,
  [8527] = 330,
  [8528] = 336,
  [8529] = 342,
  [8530] = 334,
  [8531] = 345,
  [8532] = 8369,
  [8533] = 346,
  [8534] = 348,
  [8535] = 354,
  [8536] = 359,
  [8537] = 364,
  [8538] = 367,
  [8539] = 371,
  [8540] = 373,
  [8541] = 7389,
  [8542] = 375,
  [8543] = 7385,
  [8544] = 377,
  [8545] = 380,
  [8546] = 381,
  [8547] = 7368,
  [8548] = 8367,
  [8549] = 379,
  [8550] = 7357,
  [8551] = 8371,
  [8552] = 372,
  [8553] = 368,
  [8554] = 7356,
  [8555] = 2838,
  [8556] = 8367,
  [8557] = 7351,
  [8558] = 363,
  [8559] = 360,
  [8560] = 7335,
  [8561] = 358,
  [8562] = 355,
  [8563] = 351,
  [8564] = 8369,
  [8565] = 334,
  [8566] = 8371,
  [8567] = 8367,
  [8568] = 3011,
  [8569] = 226,
  [8570] = 8369,
  [8571] = 279,
  [8572] = 8369,
  [8573] = 2972,
  [8574] = 8371,
  [8575] = 7342,
  [8576] = 8576,
  [8577] = 333,
  [8578] = 7399,
  [8579] = 331,
  [8580] = 329,
  [8581] = 328,
  [8582] = 230,
  [8583] = 8367,
  [8584] = 232,
  [8585] = 319,
  [8586] = 8369,
  [8587] = 233,
  [8588] = 236,
  [8589] = 8371,
  [8590] = 245,
  [8591] = 406,
  [8592] = 312,
  [8593] = 7288,
  [8594] = 306,
  [8595] = 7366,
  [8596] = 8367,
  [8597] = 260,
  [8598] = 8371,
  [8599] = 8371,
  [8600] = 261,
  [8601] = 8367,
  [8602] = 8369,
  [8603] = 262,
  [8604] = 275,
  [8605] = 266,
  [8606] = 268,
  [8607] = 344,
  [8608] = 8367,
  [8609] = 278,
  [8610] = 256,
  [8611] = 406,
  [8612] = 8371,
  [8613] = 283,
  [8614] = 290,
  [8615] = 8367,
  [8616] = 301,
  [8617] = 8369,
  [8618] = 8371,
  [8619] = 287,
  [8620] = 247,
  [8621] = 8369,
  [8622] = 241,
  [8623] = 314,
  [8624] = 7332,
  [8625] = 386,
  [8626] = 318,
  [8627] = 7365,
  [8628] = 8369,
  [8629] = 323,
  [8630] = 243,
  [8631] = 326,
  [8632] = 330,
  [8633] = 8369,
  [8634] = 8369,
  [8635] = 250,
  [8636] = 336,
  [8637] = 299,
  [8638] = 305,
  [8639] = 309,
  [8640] = 342,
  [8641] = 8371,
  [8642] = 8369,
  [8643] = 344,
  [8644] = 311,
  [8645] = 345,
  [8646] = 346,
  [8647] = 257,
  [8648] = 316,
  [8649] = 324,
  [8650] = 353,
  [8651] = 376,
  [8652] = 275,
  [8653] = 378,
  [8654] = 348,
  [8655] = 258,
  [8656] = 366,
  [8657] = 352,
  [8658] = 259,
  [8659] = 354,
  [8660] = 343,
  [8661] = 337,
  [8662] = 8367,
  [8663] = 359,
  [8664] = 264,
  [8665] = 299,
  [8666] = 364,
  [8667] = 7380,
  [8668] = 7374,
  [8669] = 309,
  [8670] = 7360,
  [8671] = 7345,
  [8672] = 311,
  [8673] = 265,
  [8674] = 7292,
  [8675] = 277,
  [8676] = 7341,
  [8677] = 316,
  [8678] = 284,
  [8679] = 7384,
  [8680] = 324,
  [8681] = 7387,
  [8682] = 225,
  [8683] = 353,
  [8684] = 376,
  [8685] = 378,
  [8686] = 366,
  [8687] = 7416,
  [8688] = 352,
  [8689] = 303,
  [8690] = 292,
  [8691] = 308,
  [8692] = 295,
  [8693] = 238,
  [8694] = 7409,
  [8695] = 7423,
  [8696] = 288,
  [8697] = 227,
  [8698] = 300,
  [8699] = 343,
  [8700] = 228,
  [8701] = 7398,
  [8702] = 229,
  [8703] = 231,
  [8704] = 234,
  [8705] = 313,
  [8706] = 337,
  [8707] = 8367,
  [8708] = 235,
  [8709] = 237,
  [8710] = 303,
  [8711] = 287,
  [8712] = 295,
  [8713] = 321,
  [8714] = 238,
  [8715] = 327,
  [8716] = 350,
  [8717] = 288,
  [8718] = 244,
  [8719] = 227,
  [8720] = 228,
  [8721] = 248,
  [8722] = 357,
  [8723] = 229,
  [8724] = 249,
  [8725] = 7417,
  [8726] = 7294,
  [8727] = 231,
  [8728] = 361,
  [8729] = 7364,
  [8730] = 325,
  [8731] = 251,
  [8732] = 374,
  [8733] = 356,
  [8734] = 339,
  [8735] = 7331,
  [8736] = 335,
  [8737] = 252,
  [8738] = 289,
  [8739] = 304,
  [8740] = 298,
  [8741] = 297,
  [8742] = 294,
  [8743] = 7300,
  [8744] = 293,
  [8745] = 234,
  [8746] = 7420,
  [8747] = 7391,
  [8748] = 370,
  [8749] = 7280,
  [8750] = 286,
  [8751] = 282,
  [8752] = 341,
  [8753] = 317,
  [8754] = 253,
  [8755] = 275,
  [8756] = 235,
  [8757] = 287,
  [8758] = 299,
  [8759] = 309,
  [8760] = 311,
  [8761] = 316,
  [8762] = 8762,
  [8763] = 324,
  [8764] = 353,
  [8765] = 376,
  [8766] = 378,
  [8767] = 366,
  [8768] = 352,
  [8769] = 255,
  [8770] = 267,
  [8771] = 343,
  [8772] = 7410,
  [8773] = 337,
  [8774] = 270,
  [8775] = 361,
  [8776] = 271,
  [8777] = 308,
  [8778] = 303,
  [8779] = 7327,
  [8780] = 295,
  [8781] = 238,
  [8782] = 396,
  [8783] = 288,
  [8784] = 272,
  [8785] = 237,
  [8786] = 227,
  [8787] = 228,
  [8788] = 229,
  [8789] = 231,
  [8790] = 274,
  [8791] = 276,
  [8792] = 7405,
  [8793] = 242,
  [8794] = 280,
  [8795] = 234,
  [8796] = 7336,
  [8797] = 398,
  [8798] = 7379,
  [8799] = 242,
  [8800] = 235,
  [8801] = 237,
  [8802] = 7354,
  [8803] = 7395,
  [8804] = 7372,
  [8805] = 242,
  [8806] = 306,
  [8807] = 244,
  [8808] = 7323,
  [8809] = 7394,
  [8810] = 312,
  [8811] = 248,
  [8812] = 7278,
  [8813] = 319,
  [8814] = 7289,
  [8815] = 244,
  [8816] = 249,
  [8817] = 7386,
  [8818] = 251,
  [8819] = 252,
  [8820] = 7282,
  [8821] = 248,
  [8822] = 253,
  [8823] = 255,
  [8824] = 267,
  [8825] = 270,
  [8826] = 271,
  [8827] = 7291,
  [8828] = 272,
  [8829] = 7283,
  [8830] = 249,
  [8831] = 251,
  [8832] = 274,
  [8833] = 276,
  [8834] = 280,
  [8835] = 8371,
  [8836] = 8369,
  [8837] = 281,
  [8838] = 252,
  [8839] = 7284,
  [8840] = 253,
  [8841] = 7383,
  [8842] = 282,
  [8843] = 286,
  [8844] = 370,
  [8845] = 289,
  [8846] = 255,
  [8847] = 293,
  [8848] = 294,
  [8849] = 297,
  [8850] = 298,
  [8851] = 7293,
  [8852] = 267,
  [8853] = 304,
  [8854] = 305,
  [8855] = 7302,
  [8856] = 335,
  [8857] = 270,
  [8858] = 271,
  [8859] = 7376,
  [8860] = 339,
  [8861] = 356,
  [8862] = 272,
  [8863] = 7362,
  [8864] = 374,
  [8865] = 325,
  [8866] = 243,
  [8867] = 357,
  [8868] = 350,
  [8869] = 327,
  [8870] = 321,
  [8871] = 317,
  [8872] = 313,
  [8873] = 300,
  [8874] = 292,
  [8875] = 274,
  [8876] = 225,
  [8877] = 284,
  [8878] = 277,
  [8879] = 265,
  [8880] = 264,
  [8881] = 259,
  [8882] = 258,
  [8883] = 257,
  [8884] = 256,
  [8885] = 250,
  [8886] = 346,
  [8887] = 241,
  [8888] = 230,
  [8889] = 386,
  [8890] = 232,
  [8891] = 247,
  [8892] = 233,
  [8893] = 236,
  [8894] = 245,
  [8895] = 306,
  [8896] = 312,
  [8897] = 319,
  [8898] = 328,
  [8899] = 329,
  [8900] = 331,
  [8901] = 333,
  [8902] = 226,
  [8903] = 334,
  [8904] = 351,
  [8905] = 260,
  [8906] = 261,
  [8907] = 355,
  [8908] = 358,
  [8909] = 360,
  [8910] = 262,
  [8911] = 266,
  [8912] = 268,
  [8913] = 265,
  [8914] = 363,
  [8915] = 278,
  [8916] = 368,
  [8917] = 279,
  [8918] = 276,
  [8919] = 283,
  [8920] = 8920,
  [8921] = 290,
  [8922] = 372,
  [8923] = 301,
  [8924] = 379,
  [8925] = 314,
  [8926] = 318,
  [8927] = 323,
  [8928] = 381,
  [8929] = 326,
  [8930] = 380,
  [8931] = 377,
  [8932] = 367,
  [8933] = 375,
  [8934] = 373,
  [8935] = 371,
  [8936] = 371,
  [8937] = 373,
  [8938] = 375,
  [8939] = 367,
  [8940] = 364,
  [8941] = 359,
  [8942] = 354,
  [8943] = 348,
  [8944] = 377,
  [8945] = 330,
  [8946] = 346,
  [8947] = 345,
  [8948] = 380,
  [8949] = 344,
  [8950] = 342,
  [8951] = 381,
  [8952] = 336,
  [8953] = 379,
  [8954] = 372,
  [8955] = 330,
  [8956] = 326,
  [8957] = 323,
  [8958] = 318,
  [8959] = 314,
  [8960] = 368,
  [8961] = 336,
  [8962] = 301,
  [8963] = 290,
  [8964] = 283,
  [8965] = 363,
  [8966] = 280,
  [8967] = 279,
  [8968] = 278,
  [8969] = 268,
  [8970] = 266,
  [8971] = 262,
  [8972] = 261,
  [8973] = 360,
  [8974] = 260,
  [8975] = 245,
  [8976] = 236,
  [8977] = 233,
  [8978] = 358,
  [8979] = 342,
  [8980] = 232,
  [8981] = 230,
  [8982] = 241,
  [8983] = 355,
  [8984] = 344,
  [8985] = 243,
  [8986] = 250,
  [8987] = 351,
  [8988] = 345,
  [8989] = 256,
  [8990] = 257,
  [8991] = 258,
  [8992] = 259,
  [8993] = 264,
  [8994] = 281,
  [8995] = 348,
  [8996] = 277,
  [8997] = 284,
  [8998] = 354,
  [8999] = 225,
  [9000] = 292,
  [9001] = 300,
  [9002] = 7348,
  [9003] = 313,
  [9004] = 359,
  [9005] = 364,
  [9006] = 281,
  [9007] = 367,
  [9008] = 371,
  [9009] = 373,
  [9010] = 317,
  [9011] = 375,
  [9012] = 377,
  [9013] = 321,
  [9014] = 380,
  [9015] = 327,
  [9016] = 381,
  [9017] = 7401,
  [9018] = 282,
  [9019] = 350,
  [9020] = 357,
  [9021] = 379,
  [9022] = 372,
  [9023] = 368,
  [9024] = 363,
  [9025] = 360,
  [9026] = 7373,
  [9027] = 361,
  [9028] = 325,
  [9029] = 374,
  [9030] = 7339,
  [9031] = 358,
  [9032] = 286,
  [9033] = 355,
  [9034] = 370,
  [9035] = 351,
  [9036] = 356,
  [9037] = 7346,
  [9038] = 7350,
  [9039] = 328,
  [9040] = 289,
  [9041] = 7347,
  [9042] = 334,
  [9043] = 7325,
  [9044] = 339,
  [9045] = 335,
  [9046] = 226,
  [9047] = 305,
  [9048] = 293,
  [9049] = 304,
  [9050] = 333,
  [9051] = 331,
  [9052] = 329,
  [9053] = 298,
  [9054] = 297,
  [9055] = 294,
  [9056] = 363,
  [9057] = 260,
  [9058] = 316,
  [9059] = 275,
  [9060] = 287,
  [9061] = 299,
  [9062] = 309,
  [9063] = 311,
  [9064] = 228,
  [9065] = 324,
  [9066] = 9066,
  [9067] = 238,
  [9068] = 353,
  [9069] = 9069,
  [9070] = 376,
  [9071] = 9069,
  [9072] = 9069,
  [9073] = 9069,
  [9074] = 378,
  [9075] = 247,
  [9076] = 9069,
  [9077] = 9069,
  [9078] = 366,
  [9079] = 352,
  [9080] = 9069,
  [9081] = 9069,
  [9082] = 343,
  [9083] = 337,
  [9084] = 247,
  [9085] = 9069,
  [9086] = 308,
  [9087] = 306,
  [9088] = 312,
  [9089] = 9069,
  [9090] = 319,
  [9091] = 9069,
  [9092] = 303,
  [9093] = 295,
  [9094] = 238,
  [9095] = 288,
  [9096] = 549,
  [9097] = 9069,
  [9098] = 9069,
  [9099] = 568,
  [9100] = 9069,
  [9101] = 227,
  [9102] = 9102,
  [9103] = 549,
  [9104] = 9069,
  [9105] = 9069,
  [9106] = 568,
  [9107] = 568,
  [9108] = 317,
  [9109] = 229,
  [9110] = 231,
  [9111] = 234,
  [9112] = 275,
  [9113] = 235,
  [9114] = 287,
  [9115] = 299,
  [9116] = 309,
  [9117] = 311,
  [9118] = 316,
  [9119] = 324,
  [9120] = 353,
  [9121] = 376,
  [9122] = 378,
  [9123] = 366,
  [9124] = 386,
  [9125] = 237,
  [9126] = 352,
  [9127] = 308,
  [9128] = 343,
  [9129] = 337,
  [9130] = 242,
  [9131] = 308,
  [9132] = 244,
  [9133] = 303,
  [9134] = 248,
  [9135] = 295,
  [9136] = 238,
  [9137] = 249,
  [9138] = 288,
  [9139] = 251,
  [9140] = 227,
  [9141] = 228,
  [9142] = 229,
  [9143] = 231,
  [9144] = 9069,
  [9145] = 234,
  [9146] = 252,
  [9147] = 253,
  [9148] = 295,
  [9149] = 235,
  [9150] = 255,
  [9151] = 237,
  [9152] = 242,
  [9153] = 267,
  [9154] = 244,
  [9155] = 270,
  [9156] = 271,
  [9157] = 248,
  [9158] = 249,
  [9159] = 272,
  [9160] = 251,
  [9161] = 252,
  [9162] = 274,
  [9163] = 276,
  [9164] = 280,
  [9165] = 288,
  [9166] = 253,
  [9167] = 255,
  [9168] = 303,
  [9169] = 267,
  [9170] = 270,
  [9171] = 281,
  [9172] = 271,
  [9173] = 282,
  [9174] = 272,
  [9175] = 274,
  [9176] = 286,
  [9177] = 276,
  [9178] = 280,
  [9179] = 370,
  [9180] = 289,
  [9181] = 281,
  [9182] = 282,
  [9183] = 286,
  [9184] = 370,
  [9185] = 289,
  [9186] = 293,
  [9187] = 294,
  [9188] = 297,
  [9189] = 298,
  [9190] = 293,
  [9191] = 328,
  [9192] = 304,
  [9193] = 305,
  [9194] = 337,
  [9195] = 335,
  [9196] = 339,
  [9197] = 356,
  [9198] = 374,
  [9199] = 325,
  [9200] = 294,
  [9201] = 297,
  [9202] = 298,
  [9203] = 304,
  [9204] = 305,
  [9205] = 335,
  [9206] = 339,
  [9207] = 361,
  [9208] = 356,
  [9209] = 374,
  [9210] = 325,
  [9211] = 361,
  [9212] = 357,
  [9213] = 350,
  [9214] = 357,
  [9215] = 327,
  [9216] = 321,
  [9217] = 313,
  [9218] = 350,
  [9219] = 327,
  [9220] = 321,
  [9221] = 300,
  [9222] = 292,
  [9223] = 225,
  [9224] = 317,
  [9225] = 313,
  [9226] = 284,
  [9227] = 300,
  [9228] = 277,
  [9229] = 265,
  [9230] = 264,
  [9231] = 292,
  [9232] = 225,
  [9233] = 259,
  [9234] = 7475,
  [9235] = 284,
  [9236] = 258,
  [9237] = 257,
  [9238] = 256,
  [9239] = 250,
  [9240] = 243,
  [9241] = 277,
  [9242] = 265,
  [9243] = 7477,
  [9244] = 241,
  [9245] = 259,
  [9246] = 230,
  [9247] = 232,
  [9248] = 233,
  [9249] = 236,
  [9250] = 258,
  [9251] = 245,
  [9252] = 260,
  [9253] = 257,
  [9254] = 256,
  [9255] = 261,
  [9256] = 250,
  [9257] = 262,
  [9258] = 266,
  [9259] = 268,
  [9260] = 243,
  [9261] = 241,
  [9262] = 278,
  [9263] = 279,
  [9264] = 283,
  [9265] = 290,
  [9266] = 568,
  [9267] = 230,
  [9268] = 301,
  [9269] = 351,
  [9270] = 232,
  [9271] = 233,
  [9272] = 318,
  [9273] = 236,
  [9274] = 329,
  [9275] = 323,
  [9276] = 245,
  [9277] = 260,
  [9278] = 326,
  [9279] = 261,
  [9280] = 330,
  [9281] = 336,
  [9282] = 7467,
  [9283] = 342,
  [9284] = 262,
  [9285] = 344,
  [9286] = 266,
  [9287] = 268,
  [9288] = 278,
  [9289] = 345,
  [9290] = 279,
  [9291] = 283,
  [9292] = 346,
  [9293] = 7298,
  [9294] = 348,
  [9295] = 280,
  [9296] = 290,
  [9297] = 301,
  [9298] = 314,
  [9299] = 9299,
  [9300] = 318,
  [9301] = 323,
  [9302] = 326,
  [9303] = 330,
  [9304] = 336,
  [9305] = 354,
  [9306] = 342,
  [9307] = 359,
  [9308] = 344,
  [9309] = 345,
  [9310] = 2305,
  [9311] = 9069,
  [9312] = 227,
  [9313] = 264,
  [9314] = 364,
  [9315] = 348,
  [9316] = 228,
  [9317] = 343,
  [9318] = 367,
  [9319] = 371,
  [9320] = 373,
  [9321] = 354,
  [9322] = 359,
  [9323] = 306,
  [9324] = 375,
  [9325] = 377,
  [9326] = 312,
  [9327] = 319,
  [9328] = 3011,
  [9329] = 328,
  [9330] = 380,
  [9331] = 331,
  [9332] = 329,
  [9333] = 331,
  [9334] = 333,
  [9335] = 226,
  [9336] = 334,
  [9337] = 326,
  [9338] = 355,
  [9339] = 333,
  [9340] = 358,
  [9341] = 360,
  [9342] = 243,
  [9343] = 341,
  [9344] = 371,
  [9345] = 226,
  [9346] = 379,
  [9347] = 381,
  [9348] = 381,
  [9349] = 380,
  [9350] = 377,
  [9351] = 379,
  [9352] = 7446,
  [9353] = 375,
  [9354] = 364,
  [9355] = 373,
  [9356] = 371,
  [9357] = 372,
  [9358] = 367,
  [9359] = 306,
  [9360] = 359,
  [9361] = 354,
  [9362] = 348,
  [9363] = 312,
  [9364] = 346,
  [9365] = 345,
  [9366] = 319,
  [9367] = 344,
  [9368] = 342,
  [9369] = 328,
  [9370] = 329,
  [9371] = 331,
  [9372] = 336,
  [9373] = 333,
  [9374] = 226,
  [9375] = 330,
  [9376] = 334,
  [9377] = 368,
  [9378] = 289,
  [9379] = 351,
  [9380] = 323,
  [9381] = 318,
  [9382] = 355,
  [9383] = 314,
  [9384] = 301,
  [9385] = 290,
  [9386] = 283,
  [9387] = 279,
  [9388] = 358,
  [9389] = 360,
  [9390] = 363,
  [9391] = 368,
  [9392] = 372,
  [9393] = 278,
  [9394] = 379,
  [9395] = 381,
  [9396] = 268,
  [9397] = 334,
  [9398] = 346,
  [9399] = 377,
  [9400] = 375,
  [9401] = 373,
  [9402] = 266,
  [9403] = 371,
  [9404] = 262,
  [9405] = 261,
  [9406] = 367,
  [9407] = 363,
  [9408] = 364,
  [9409] = 359,
  [9410] = 354,
  [9411] = 348,
  [9412] = 368,
  [9413] = 346,
  [9414] = 345,
  [9415] = 245,
  [9416] = 344,
  [9417] = 342,
  [9418] = 336,
  [9419] = 330,
  [9420] = 360,
  [9421] = 236,
  [9422] = 326,
  [9423] = 233,
  [9424] = 323,
  [9425] = 358,
  [9426] = 355,
  [9427] = 318,
  [9428] = 232,
  [9429] = 314,
  [9430] = 301,
  [9431] = 247,
  [9432] = 230,
  [9433] = 241,
  [9434] = 276,
  [9435] = 290,
  [9436] = 250,
  [9437] = 256,
  [9438] = 257,
  [9439] = 283,
  [9440] = 380,
  [9441] = 258,
  [9442] = 278,
  [9443] = 259,
  [9444] = 268,
  [9445] = 7518,
  [9446] = 264,
  [9447] = 266,
  [9448] = 9448,
  [9449] = 262,
  [9450] = 261,
  [9451] = 265,
  [9452] = 260,
  [9453] = 351,
  [9454] = 245,
  [9455] = 277,
  [9456] = 334,
  [9457] = 284,
  [9458] = 225,
  [9459] = 292,
  [9460] = 406,
  [9461] = 300,
  [9462] = 226,
  [9463] = 313,
  [9464] = 236,
  [9465] = 233,
  [9466] = 317,
  [9467] = 232,
  [9468] = 230,
  [9469] = 364,
  [9470] = 327,
  [9471] = 350,
  [9472] = 357,
  [9473] = 361,
  [9474] = 325,
  [9475] = 333,
  [9476] = 374,
  [9477] = 356,
  [9478] = 339,
  [9479] = 335,
  [9480] = 241,
  [9481] = 406,
  [9482] = 243,
  [9483] = 250,
  [9484] = 305,
  [9485] = 256,
  [9486] = 386,
  [9487] = 257,
  [9488] = 331,
  [9489] = 304,
  [9490] = 258,
  [9491] = 351,
  [9492] = 298,
  [9493] = 259,
  [9494] = 297,
  [9495] = 329,
  [9496] = 264,
  [9497] = 294,
  [9498] = 355,
  [9499] = 328,
  [9500] = 358,
  [9501] = 293,
  [9502] = 341,
  [9503] = 360,
  [9504] = 363,
  [9505] = 265,
  [9506] = 368,
  [9507] = 7358,
  [9508] = 372,
  [9509] = 379,
  [9510] = 319,
  [9511] = 381,
  [9512] = 277,
  [9513] = 303,
  [9514] = 380,
  [9515] = 377,
  [9516] = 370,
  [9517] = 375,
  [9518] = 373,
  [9519] = 286,
  [9520] = 282,
  [9521] = 312,
  [9522] = 372,
  [9523] = 281,
  [9524] = 306,
  [9525] = 367,
  [9526] = 284,
  [9527] = 280,
  [9528] = 229,
  [9529] = 276,
  [9530] = 274,
  [9531] = 272,
  [9532] = 225,
  [9533] = 271,
  [9534] = 270,
  [9535] = 321,
  [9536] = 292,
  [9537] = 255,
  [9538] = 231,
  [9539] = 352,
  [9540] = 253,
  [9541] = 234,
  [9542] = 252,
  [9543] = 251,
  [9544] = 235,
  [9545] = 300,
  [9546] = 249,
  [9547] = 366,
  [9548] = 248,
  [9549] = 406,
  [9550] = 313,
  [9551] = 244,
  [9552] = 242,
  [9553] = 237,
  [9554] = 317,
  [9555] = 237,
  [9556] = 235,
  [9557] = 234,
  [9558] = 231,
  [9559] = 321,
  [9560] = 327,
  [9561] = 378,
  [9562] = 350,
  [9563] = 357,
  [9564] = 361,
  [9565] = 229,
  [9566] = 325,
  [9567] = 228,
  [9568] = 376,
  [9569] = 227,
  [9570] = 288,
  [9571] = 238,
  [9572] = 374,
  [9573] = 295,
  [9574] = 356,
  [9575] = 339,
  [9576] = 335,
  [9577] = 275,
  [9578] = 242,
  [9579] = 305,
  [9580] = 353,
  [9581] = 304,
  [9582] = 287,
  [9583] = 298,
  [9584] = 297,
  [9585] = 294,
  [9586] = 308,
  [9587] = 293,
  [9588] = 289,
  [9589] = 337,
  [9590] = 343,
  [9591] = 370,
  [9592] = 299,
  [9593] = 286,
  [9594] = 352,
  [9595] = 324,
  [9596] = 366,
  [9597] = 378,
  [9598] = 376,
  [9599] = 353,
  [9600] = 324,
  [9601] = 282,
  [9602] = 316,
  [9603] = 311,
  [9604] = 309,
  [9605] = 299,
  [9606] = 287,
  [9607] = 275,
  [9608] = 267,
  [9609] = 244,
  [9610] = 248,
  [9611] = 249,
  [9612] = 7512,
  [9613] = 251,
  [9614] = 252,
  [9615] = 253,
  [9616] = 255,
  [9617] = 267,
  [9618] = 316,
  [9619] = 247,
  [9620] = 309,
  [9621] = 281,
  [9622] = 279,
  [9623] = 314,
  [9624] = 386,
  [9625] = 270,
  [9626] = 271,
  [9627] = 311,
  [9628] = 272,
  [9629] = 274,
  [9630] = 7919,
  [9631] = 561,
  [9632] = 428,
  [9633] = 555,
  [9634] = 9634,
  [9635] = 125,
  [9636] = 9636,
  [9637] = 9637,
  [9638] = 568,
  [9639] = 128,
  [9640] = 9640,
  [9641] = 118,
  [9642] = 9642,
  [9643] = 114,
  [9644] = 448,
  [9645] = 9645,
  [9646] = 124,
  [9647] = 486,
  [9648] = 9636,
  [9649] = 9637,
  [9650] = 120,
  [9651] = 9651,
  [9652] = 9640,
  [9653] = 528,
  [9654] = 129,
  [9655] = 9634,
  [9656] = 9636,
  [9657] = 9637,
  [9658] = 130,
  [9659] = 132,
  [9660] = 9640,
  [9661] = 126,
  [9662] = 428,
  [9663] = 9636,
  [9664] = 9637,
  [9665] = 133,
  [9666] = 7783,
  [9667] = 7769,
  [9668] = 119,
  [9669] = 9640,
  [9670] = 122,
  [9671] = 9634,
  [9672] = 9636,
  [9673] = 9637,
  [9674] = 386,
  [9675] = 7614,
  [9676] = 406,
  [9677] = 9640,
  [9678] = 7797,
  [9679] = 7739,
  [9680] = 9634,
  [9681] = 9634,
  [9682] = 7852,
  [9683] = 9636,
  [9684] = 9637,
  [9685] = 7873,
  [9686] = 7646,
  [9687] = 7829,
  [9688] = 9640,
  [9689] = 568,
  [9690] = 9634,
  [9691] = 555,
  [9692] = 561,
  [9693] = 9636,
  [9694] = 9637,
  [9695] = 549,
  [9696] = 7886,
  [9697] = 9640,
  [9698] = 7727,
  [9699] = 9634,
  [9700] = 122,
  [9701] = 119,
  [9702] = 133,
  [9703] = 568,
  [9704] = 132,
  [9705] = 130,
  [9706] = 129,
  [9707] = 120,
  [9708] = 7671,
  [9709] = 116,
  [9710] = 117,
  [9711] = 7909,
  [9712] = 126,
  [9713] = 428,
  [9714] = 7668,
  [9715] = 7618,
  [9716] = 7665,
  [9717] = 121,
  [9718] = 406,
  [9719] = 7616,
  [9720] = 406,
  [9721] = 114,
  [9722] = 118,
  [9723] = 9636,
  [9724] = 9636,
  [9725] = 9634,
  [9726] = 7994,
  [9727] = 8007,
  [9728] = 7786,
  [9729] = 7670,
  [9730] = 561,
  [9731] = 7767,
  [9732] = 555,
  [9733] = 549,
  [9734] = 7679,
  [9735] = 9637,
  [9736] = 7694,
  [9737] = 7705,
  [9738] = 9634,
  [9739] = 128,
  [9740] = 125,
  [9741] = 7719,
  [9742] = 341,
  [9743] = 9640,
  [9744] = 7800,
  [9745] = 7731,
  [9746] = 9637,
  [9747] = 7735,
  [9748] = 9634,
  [9749] = 9640,
  [9750] = 9637,
  [9751] = 9636,
  [9752] = 9634,
  [9753] = 9640,
  [9754] = 7745,
  [9755] = 9640,
  [9756] = 9637,
  [9757] = 6416,
  [9758] = 7764,
  [9759] = 9636,
  [9760] = 9634,
  [9761] = 9640,
  [9762] = 9636,
  [9763] = 9636,
  [9764] = 9634,
  [9765] = 7674,
  [9766] = 7929,
  [9767] = 9640,
  [9768] = 9637,
  [9769] = 9636,
  [9770] = 9634,
  [9771] = 9640,
  [9772] = 9637,
  [9773] = 9637,
  [9774] = 9774,
  [9775] = 9775,
  [9776] = 9636,
  [9777] = 9634,
  [9778] = 9640,
  [9779] = 7590,
  [9780] = 7591,
  [9781] = 9637,
  [9782] = 9636,
  [9783] = 9634,
  [9784] = 9640,
  [9785] = 9637,
  [9786] = 9636,
  [9787] = 7610,
  [9788] = 9640,
  [9789] = 7601,
  [9790] = 9636,
  [9791] = 7603,
  [9792] = 124,
  [9793] = 7623,
  [9794] = 9640,
  [9795] = 7627,
  [9796] = 7633,
  [9797] = 9636,
  [9798] = 7638,
  [9799] = 7658,
  [9800] = 9636,
  [9801] = 9640,
  [9802] = 9636,
  [9803] = 7836,
  [9804] = 9640,
  [9805] = 9640,
  [9806] = 9640,
  [9807] = 9640,
  [9808] = 9640,
  [9809] = 9809,
  [9810] = 9640,
  [9811] = 7689,
  [9812] = 9634,
  [9813] = 7675,
  [9814] = 7680,
  [9815] = 7693,
  [9816] = 7713,
  [9817] = 7791,
  [9818] = 549,
  [9819] = 7810,
  [9820] = 9634,
  [9821] = 7569,
  [9822] = 7822,
  [9823] = 7826,
  [9824] = 7828,
  [9825] = 7830,
  [9826] = 7831,
  [9827] = 7832,
  [9828] = 7833,
  [9829] = 7849,
  [9830] = 9637,
  [9831] = 568,
  [9832] = 7959,
  [9833] = 7659,
  [9834] = 7950,
  [9835] = 7653,
  [9836] = 7946,
  [9837] = 341,
  [9838] = 9838,
  [9839] = 9838,
  [9840] = 7593,
  [9841] = 9774,
  [9842] = 7925,
  [9843] = 7908,
  [9844] = 7898,
  [9845] = 7839,
  [9846] = 7550,
  [9847] = 9847,
  [9848] = 7821,
  [9849] = 7993,
  [9850] = 7990,
  [9851] = 9851,
  [9852] = 7967,
  [9853] = 9853,
  [9854] = 7964,
  [9855] = 7579,
  [9856] = 9809,
  [9857] = 7961,
  [9858] = 7958,
  [9859] = 116,
  [9860] = 7634,
  [9861] = 7948,
  [9862] = 117,
  [9863] = 7651,
  [9864] = 7803,
  [9865] = 7793,
  [9866] = 7938,
  [9867] = 7778,
  [9868] = 7936,
  [9869] = 121,
  [9870] = 7771,
  [9871] = 7887,
  [9872] = 7768,
  [9873] = 9637,
  [9874] = 7766,
  [9875] = 9640,
  [9876] = 7932,
  [9877] = 9775,
  [9878] = 7751,
  [9879] = 7728,
  [9880] = 7926,
  [9881] = 7920,
  [9882] = 7892,
  [9883] = 7683,
  [9884] = 7918,
  [9885] = 7915,
  [9886] = 7707,
  [9887] = 7698,
  [9888] = 7910,
  [9889] = 7904,
  [9890] = 456,
  [9891] = 620,
  [9892] = 455,
  [9893] = 572,
  [9894] = 498,
  [9895] = 496,
  [9896] = 569,
  [9897] = 495,
  [9898] = 489,
  [9899] = 484,
  [9900] = 479,
  [9901] = 473,
  [9902] = 471,
  [9903] = 415,
  [9904] = 468,
  [9905] = 462,
  [9906] = 559,
  [9907] = 595,
  [9908] = 450,
  [9909] = 447,
  [9910] = 604,
  [9911] = 408,
  [9912] = 436,
  [9913] = 435,
  [9914] = 434,
  [9915] = 550,
  [9916] = 432,
  [9917] = 513,
  [9918] = 570,
  [9919] = 601,
  [9920] = 9920,
  [9921] = 9921,
  [9922] = 598,
  [9923] = 9920,
  [9924] = 9921,
  [9925] = 9920,
  [9926] = 9921,
  [9927] = 510,
  [9928] = 9921,
  [9929] = 9920,
  [9930] = 515,
  [9931] = 503,
  [9932] = 518,
  [9933] = 519,
  [9934] = 389,
  [9935] = 532,
  [9936] = 576,
  [9937] = 577,
  [9938] = 578,
  [9939] = 581,
  [9940] = 583,
  [9941] = 606,
  [9942] = 603,
  [9943] = 605,
  [9944] = 584,
  [9945] = 551,
  [9946] = 585,
  [9947] = 553,
  [9948] = 562,
  [9949] = 586,
  [9950] = 587,
  [9951] = 588,
  [9952] = 589,
  [9953] = 590,
  [9954] = 591,
  [9955] = 556,
  [9956] = 558,
  [9957] = 618,
  [9958] = 594,
  [9959] = 596,
  [9960] = 573,
  [9961] = 9961,
  [9962] = 9920,
  [9963] = 9921,
  [9964] = 9921,
  [9965] = 9961,
  [9966] = 9920,
  [9967] = 460,
  [9968] = 599,
  [9969] = 9921,
  [9970] = 9920,
  [9971] = 600,
  [9972] = 602,
  [9973] = 597,
  [9974] = 609,
  [9975] = 610,
  [9976] = 9920,
  [9977] = 611,
  [9978] = 612,
  [9979] = 614,
  [9980] = 608,
  [9981] = 617,
  [9982] = 619,
  [9983] = 613,
  [9984] = 9921,
  [9985] = 621,
  [9986] = 622,
  [9987] = 623,
  [9988] = 487,
  [9989] = 582,
  [9990] = 579,
  [9991] = 575,
  [9992] = 574,
  [9993] = 607,
  [9994] = 567,
  [9995] = 566,
  [9996] = 565,
  [9997] = 564,
  [9998] = 560,
  [9999] = 554,
  [10000] = 552,
  [10001] = 615,
  [10002] = 9961,
  [10003] = 6613,
  [10004] = 9920,
  [10005] = 9921,
  [10006] = 9921,
  [10007] = 10007,
  [10008] = 545,
  [10009] = 9921,
  [10010] = 9921,
  [10011] = 9920,
  [10012] = 9920,
  [10013] = 543,
  [10014] = 542,
  [10015] = 541,
  [10016] = 548,
  [10017] = 539,
  [10018] = 538,
  [10019] = 537,
  [10020] = 536,
  [10021] = 535,
  [10022] = 533,
  [10023] = 530,
  [10024] = 529,
  [10025] = 563,
  [10026] = 517,
  [10027] = 501,
  [10028] = 431,
  [10029] = 526,
  [10030] = 525,
  [10031] = 524,
  [10032] = 523,
  [10033] = 522,
  [10034] = 616,
  [10035] = 521,
  [10036] = 520,
  [10037] = 517,
  [10038] = 607,
  [10039] = 616,
  [10040] = 620,
  [10041] = 502,
  [10042] = 505,
  [10043] = 592,
  [10044] = 580,
  [10045] = 571,
  [10046] = 546,
  [10047] = 534,
  [10048] = 527,
  [10049] = 437,
  [10050] = 438,
  [10051] = 439,
  [10052] = 440,
  [10053] = 441,
  [10054] = 442,
  [10055] = 443,
  [10056] = 444,
  [10057] = 445,
  [10058] = 446,
  [10059] = 449,
  [10060] = 451,
  [10061] = 452,
  [10062] = 453,
  [10063] = 454,
  [10064] = 457,
  [10065] = 458,
  [10066] = 459,
  [10067] = 460,
  [10068] = 461,
  [10069] = 463,
  [10070] = 464,
  [10071] = 465,
  [10072] = 466,
  [10073] = 467,
  [10074] = 469,
  [10075] = 470,
  [10076] = 472,
  [10077] = 474,
  [10078] = 475,
  [10079] = 476,
  [10080] = 477,
  [10081] = 478,
  [10082] = 480,
  [10083] = 481,
  [10084] = 482,
  [10085] = 483,
  [10086] = 485,
  [10087] = 488,
  [10088] = 490,
  [10089] = 491,
  [10090] = 492,
  [10091] = 493,
  [10092] = 494,
  [10093] = 497,
  [10094] = 499,
  [10095] = 500,
  [10096] = 430,
  [10097] = 504,
  [10098] = 506,
  [10099] = 507,
  [10100] = 508,
  [10101] = 509,
  [10102] = 511,
  [10103] = 512,
  [10104] = 514,
  [10105] = 516,
  [10106] = 521,
  [10107] = 520,
  [10108] = 594,
  [10109] = 522,
  [10110] = 523,
  [10111] = 524,
  [10112] = 525,
  [10113] = 526,
  [10114] = 431,
  [10115] = 529,
  [10116] = 530,
  [10117] = 533,
  [10118] = 535,
  [10119] = 536,
  [10120] = 537,
  [10121] = 538,
  [10122] = 539,
  [10123] = 540,
  [10124] = 541,
  [10125] = 542,
  [10126] = 543,
  [10127] = 545,
  [10128] = 548,
  [10129] = 552,
  [10130] = 554,
  [10131] = 560,
  [10132] = 564,
  [10133] = 565,
  [10134] = 566,
  [10135] = 567,
  [10136] = 574,
  [10137] = 575,
  [10138] = 579,
  [10139] = 582,
  [10140] = 487,
  [10141] = 623,
  [10142] = 622,
  [10143] = 621,
  [10144] = 619,
  [10145] = 617,
  [10146] = 615,
  [10147] = 614,
  [10148] = 612,
  [10149] = 611,
  [10150] = 610,
  [10151] = 609,
  [10152] = 608,
  [10153] = 602,
  [10154] = 600,
  [10155] = 599,
  [10156] = 620,
  [10157] = 597,
  [10158] = 596,
  [10159] = 550,
  [10160] = 591,
  [10161] = 590,
  [10162] = 516,
  [10163] = 589,
  [10164] = 588,
  [10165] = 587,
  [10166] = 586,
  [10167] = 585,
  [10168] = 584,
  [10169] = 514,
  [10170] = 9920,
  [10171] = 9920,
  [10172] = 512,
  [10173] = 583,
  [10174] = 9921,
  [10175] = 511,
  [10176] = 581,
  [10177] = 9920,
  [10178] = 578,
  [10179] = 577,
  [10180] = 576,
  [10181] = 573,
  [10182] = 572,
  [10183] = 540,
  [10184] = 9920,
  [10185] = 569,
  [10186] = 10186,
  [10187] = 9920,
  [10188] = 9920,
  [10189] = 559,
  [10190] = 557,
  [10191] = 502,
  [10192] = 9921,
  [10193] = 505,
  [10194] = 508,
  [10195] = 507,
  [10196] = 9921,
  [10197] = 9920,
  [10198] = 506,
  [10199] = 9920,
  [10200] = 509,
  [10201] = 430,
  [10202] = 500,
  [10203] = 9921,
  [10204] = 9921,
  [10205] = 499,
  [10206] = 497,
  [10207] = 494,
  [10208] = 493,
  [10209] = 492,
  [10210] = 491,
  [10211] = 490,
  [10212] = 488,
  [10213] = 485,
  [10214] = 483,
  [10215] = 504,
  [10216] = 481,
  [10217] = 480,
  [10218] = 478,
  [10219] = 477,
  [10220] = 476,
  [10221] = 544,
  [10222] = 475,
  [10223] = 474,
  [10224] = 472,
  [10225] = 470,
  [10226] = 469,
  [10227] = 9921,
  [10228] = 9920,
  [10229] = 467,
  [10230] = 466,
  [10231] = 465,
  [10232] = 9921,
  [10233] = 9921,
  [10234] = 482,
  [10235] = 9920,
  [10236] = 463,
  [10237] = 9920,
  [10238] = 9920,
  [10239] = 544,
  [10240] = 9921,
  [10241] = 461,
  [10242] = 460,
  [10243] = 9921,
  [10244] = 459,
  [10245] = 9920,
  [10246] = 458,
  [10247] = 457,
  [10248] = 456,
  [10249] = 9920,
  [10250] = 454,
  [10251] = 453,
  [10252] = 464,
  [10253] = 9921,
  [10254] = 451,
  [10255] = 9920,
  [10256] = 449,
  [10257] = 446,
  [10258] = 445,
  [10259] = 444,
  [10260] = 443,
  [10261] = 442,
  [10262] = 441,
  [10263] = 440,
  [10264] = 9920,
  [10265] = 9921,
  [10266] = 439,
  [10267] = 438,
  [10268] = 9921,
  [10269] = 437,
  [10270] = 527,
  [10271] = 534,
  [10272] = 9921,
  [10273] = 546,
  [10274] = 571,
  [10275] = 580,
  [10276] = 592,
  [10277] = 9920,
  [10278] = 9921,
  [10279] = 505,
  [10280] = 9920,
  [10281] = 9921,
  [10282] = 502,
  [10283] = 9921,
  [10284] = 616,
  [10285] = 447,
  [10286] = 607,
  [10287] = 452,
  [10288] = 592,
  [10289] = 580,
  [10290] = 571,
  [10291] = 546,
  [10292] = 534,
  [10293] = 527,
  [10294] = 437,
  [10295] = 438,
  [10296] = 439,
  [10297] = 440,
  [10298] = 441,
  [10299] = 442,
  [10300] = 443,
  [10301] = 444,
  [10302] = 445,
  [10303] = 446,
  [10304] = 449,
  [10305] = 9921,
  [10306] = 451,
  [10307] = 452,
  [10308] = 453,
  [10309] = 454,
  [10310] = 456,
  [10311] = 457,
  [10312] = 458,
  [10313] = 513,
  [10314] = 459,
  [10315] = 482,
  [10316] = 461,
  [10317] = 463,
  [10318] = 464,
  [10319] = 465,
  [10320] = 466,
  [10321] = 467,
  [10322] = 469,
  [10323] = 470,
  [10324] = 472,
  [10325] = 474,
  [10326] = 475,
  [10327] = 476,
  [10328] = 477,
  [10329] = 478,
  [10330] = 480,
  [10331] = 481,
  [10332] = 567,
  [10333] = 483,
  [10334] = 485,
  [10335] = 613,
  [10336] = 488,
  [10337] = 490,
  [10338] = 491,
  [10339] = 501,
  [10340] = 492,
  [10341] = 493,
  [10342] = 494,
  [10343] = 563,
  [10344] = 9920,
  [10345] = 497,
  [10346] = 499,
  [10347] = 500,
  [10348] = 556,
  [10349] = 430,
  [10350] = 504,
  [10351] = 506,
  [10352] = 507,
  [10353] = 508,
  [10354] = 618,
  [10355] = 509,
  [10356] = 511,
  [10357] = 512,
  [10358] = 514,
  [10359] = 558,
  [10360] = 516,
  [10361] = 517,
  [10362] = 520,
  [10363] = 9920,
  [10364] = 9921,
  [10365] = 450,
  [10366] = 521,
  [10367] = 522,
  [10368] = 523,
  [10369] = 524,
  [10370] = 525,
  [10371] = 526,
  [10372] = 562,
  [10373] = 553,
  [10374] = 551,
  [10375] = 532,
  [10376] = 528,
  [10377] = 389,
  [10378] = 519,
  [10379] = 518,
  [10380] = 515,
  [10381] = 510,
  [10382] = 503,
  [10383] = 431,
  [10384] = 529,
  [10385] = 530,
  [10386] = 498,
  [10387] = 533,
  [10388] = 535,
  [10389] = 9921,
  [10390] = 536,
  [10391] = 9920,
  [10392] = 537,
  [10393] = 538,
  [10394] = 539,
  [10395] = 540,
  [10396] = 496,
  [10397] = 541,
  [10398] = 542,
  [10399] = 543,
  [10400] = 545,
  [10401] = 495,
  [10402] = 548,
  [10403] = 489,
  [10404] = 486,
  [10405] = 484,
  [10406] = 479,
  [10407] = 552,
  [10408] = 554,
  [10409] = 560,
  [10410] = 564,
  [10411] = 565,
  [10412] = 473,
  [10413] = 566,
  [10414] = 569,
  [10415] = 471,
  [10416] = 574,
  [10417] = 575,
  [10418] = 579,
  [10419] = 415,
  [10420] = 582,
  [10421] = 487,
  [10422] = 623,
  [10423] = 622,
  [10424] = 621,
  [10425] = 619,
  [10426] = 617,
  [10427] = 615,
  [10428] = 614,
  [10429] = 612,
  [10430] = 468,
  [10431] = 611,
  [10432] = 610,
  [10433] = 9961,
  [10434] = 462,
  [10435] = 609,
  [10436] = 9921,
  [10437] = 608,
  [10438] = 602,
  [10439] = 600,
  [10440] = 455,
  [10441] = 605,
  [10442] = 599,
  [10443] = 448,
  [10444] = 597,
  [10445] = 596,
  [10446] = 594,
  [10447] = 591,
  [10448] = 590,
  [10449] = 604,
  [10450] = 589,
  [10451] = 588,
  [10452] = 587,
  [10453] = 9920,
  [10454] = 586,
  [10455] = 585,
  [10456] = 408,
  [10457] = 584,
  [10458] = 583,
  [10459] = 581,
  [10460] = 578,
  [10461] = 436,
  [10462] = 577,
  [10463] = 576,
  [10464] = 435,
  [10465] = 434,
  [10466] = 432,
  [10467] = 573,
  [10468] = 570,
  [10469] = 595,
  [10470] = 598,
  [10471] = 8298,
  [10472] = 601,
  [10473] = 603,
  [10474] = 605,
  [10475] = 603,
  [10476] = 601,
  [10477] = 598,
  [10478] = 595,
  [10479] = 570,
  [10480] = 513,
  [10481] = 432,
  [10482] = 434,
  [10483] = 435,
  [10484] = 436,
  [10485] = 604,
  [10486] = 447,
  [10487] = 448,
  [10488] = 450,
  [10489] = 455,
  [10490] = 462,
  [10491] = 468,
  [10492] = 471,
  [10493] = 473,
  [10494] = 479,
  [10495] = 606,
  [10496] = 484,
  [10497] = 486,
  [10498] = 489,
  [10499] = 495,
  [10500] = 496,
  [10501] = 498,
  [10502] = 503,
  [10503] = 510,
  [10504] = 515,
  [10505] = 518,
  [10506] = 519,
  [10507] = 528,
  [10508] = 532,
  [10509] = 551,
  [10510] = 553,
  [10511] = 606,
  [10512] = 558,
  [10513] = 556,
  [10514] = 563,
  [10515] = 415,
  [10516] = 389,
  [10517] = 562,
  [10518] = 408,
  [10519] = 613,
  [10520] = 501,
  [10521] = 618,
  [10522] = 544,
  [10523] = 9920,
  [10524] = 9921,
  [10525] = 9920,
  [10526] = 9921,
  [10527] = 9921,
  [10528] = 9920,
  [10529] = 9920,
  [10530] = 9921,
  [10531] = 9920,
  [10532] = 9921,
  [10533] = 550,
  [10534] = 557,
  [10535] = 559,
  [10536] = 572,
  [10537] = 338,
  [10538] = 10,
  [10539] = 396,
  [10540] = 398,
  [10541] = 258,
  [10542] = 264,
  [10543] = 316,
  [10544] = 324,
  [10545] = 353,
  [10546] = 376,
  [10547] = 378,
  [10548] = 366,
  [10549] = 352,
  [10550] = 276,
  [10551] = 337,
  [10552] = 308,
  [10553] = 303,
  [10554] = 295,
  [10555] = 238,
  [10556] = 288,
  [10557] = 227,
  [10558] = 228,
  [10559] = 229,
  [10560] = 231,
  [10561] = 234,
  [10562] = 235,
  [10563] = 237,
  [10564] = 242,
  [10565] = 244,
  [10566] = 248,
  [10567] = 249,
  [10568] = 251,
  [10569] = 252,
  [10570] = 253,
  [10571] = 255,
  [10572] = 267,
  [10573] = 270,
  [10574] = 271,
  [10575] = 272,
  [10576] = 274,
  [10577] = 317,
  [10578] = 280,
  [10579] = 281,
  [10580] = 282,
  [10581] = 286,
  [10582] = 370,
  [10583] = 289,
  [10584] = 293,
  [10585] = 294,
  [10586] = 297,
  [10587] = 298,
  [10588] = 304,
  [10589] = 305,
  [10590] = 335,
  [10591] = 339,
  [10592] = 356,
  [10593] = 374,
  [10594] = 325,
  [10595] = 361,
  [10596] = 357,
  [10597] = 350,
  [10598] = 327,
  [10599] = 321,
  [10600] = 284,
  [10601] = 313,
  [10602] = 300,
  [10603] = 292,
  [10604] = 225,
  [10605] = 265,
  [10606] = 277,
  [10607] = 343,
  [10608] = 311,
  [10609] = 2543,
  [10610] = 306,
  [10611] = 257,
  [10612] = 256,
  [10613] = 250,
  [10614] = 243,
  [10615] = 241,
  [10616] = 230,
  [10617] = 232,
  [10618] = 233,
  [10619] = 236,
  [10620] = 245,
  [10621] = 260,
  [10622] = 261,
  [10623] = 262,
  [10624] = 266,
  [10625] = 268,
  [10626] = 278,
  [10627] = 279,
  [10628] = 283,
  [10629] = 290,
  [10630] = 301,
  [10631] = 314,
  [10632] = 318,
  [10633] = 323,
  [10634] = 326,
  [10635] = 330,
  [10636] = 336,
  [10637] = 342,
  [10638] = 344,
  [10639] = 345,
  [10640] = 275,
  [10641] = 346,
  [10642] = 348,
  [10643] = 354,
  [10644] = 359,
  [10645] = 364,
  [10646] = 367,
  [10647] = 371,
  [10648] = 373,
  [10649] = 375,
  [10650] = 377,
  [10651] = 380,
  [10652] = 381,
  [10653] = 379,
  [10654] = 372,
  [10655] = 368,
  [10656] = 363,
  [10657] = 360,
  [10658] = 358,
  [10659] = 355,
  [10660] = 351,
  [10661] = 334,
  [10662] = 226,
  [10663] = 333,
  [10664] = 331,
  [10665] = 329,
  [10666] = 328,
  [10667] = 319,
  [10668] = 312,
  [10669] = 309,
  [10670] = 299,
  [10671] = 406,
  [10672] = 247,
  [10673] = 287,
  [10674] = 259,
  [10675] = 262,
  [10676] = 328,
  [10677] = 561,
  [10678] = 555,
  [10679] = 396,
  [10680] = 398,
  [10681] = 406,
  [10682] = 376,
  [10683] = 353,
  [10684] = 276,
  [10685] = 275,
  [10686] = 287,
  [10687] = 378,
  [10688] = 341,
  [10689] = 366,
  [10690] = 299,
  [10691] = 2542,
  [10692] = 549,
  [10693] = 309,
  [10694] = 265,
  [10695] = 264,
  [10696] = 311,
  [10697] = 259,
  [10698] = 258,
  [10699] = 257,
  [10700] = 316,
  [10701] = 256,
  [10702] = 250,
  [10703] = 568,
  [10704] = 243,
  [10705] = 241,
  [10706] = 247,
  [10707] = 230,
  [10708] = 386,
  [10709] = 352,
  [10710] = 232,
  [10711] = 343,
  [10712] = 337,
  [10713] = 233,
  [10714] = 236,
  [10715] = 245,
  [10716] = 260,
  [10717] = 261,
  [10718] = 308,
  [10719] = 266,
  [10720] = 268,
  [10721] = 303,
  [10722] = 278,
  [10723] = 279,
  [10724] = 295,
  [10725] = 283,
  [10726] = 290,
  [10727] = 301,
  [10728] = 314,
  [10729] = 318,
  [10730] = 238,
  [10731] = 323,
  [10732] = 326,
  [10733] = 330,
  [10734] = 336,
  [10735] = 288,
  [10736] = 227,
  [10737] = 228,
  [10738] = 229,
  [10739] = 231,
  [10740] = 234,
  [10741] = 235,
  [10742] = 237,
  [10743] = 242,
  [10744] = 244,
  [10745] = 248,
  [10746] = 249,
  [10747] = 251,
  [10748] = 324,
  [10749] = 252,
  [10750] = 253,
  [10751] = 255,
  [10752] = 267,
  [10753] = 270,
  [10754] = 351,
  [10755] = 344,
  [10756] = 345,
  [10757] = 346,
  [10758] = 348,
  [10759] = 354,
  [10760] = 271,
  [10761] = 359,
  [10762] = 364,
  [10763] = 272,
  [10764] = 367,
  [10765] = 371,
  [10766] = 373,
  [10767] = 375,
  [10768] = 274,
  [10769] = 428,
  [10770] = 293,
  [10771] = 280,
  [10772] = 282,
  [10773] = 286,
  [10774] = 370,
  [10775] = 289,
  [10776] = 342,
  [10777] = 294,
  [10778] = 297,
  [10779] = 298,
  [10780] = 304,
  [10781] = 305,
  [10782] = 335,
  [10783] = 339,
  [10784] = 377,
  [10785] = 380,
  [10786] = 356,
  [10787] = 374,
  [10788] = 325,
  [10789] = 361,
  [10790] = 357,
  [10791] = 350,
  [10792] = 327,
  [10793] = 321,
  [10794] = 317,
  [10795] = 313,
  [10796] = 281,
  [10797] = 292,
  [10798] = 381,
  [10799] = 225,
  [10800] = 284,
  [10801] = 277,
  [10802] = 306,
  [10803] = 312,
  [10804] = 319,
  [10805] = 379,
  [10806] = 372,
  [10807] = 368,
  [10808] = 363,
  [10809] = 360,
  [10810] = 358,
  [10811] = 355,
  [10812] = 300,
  [10813] = 334,
  [10814] = 226,
  [10815] = 333,
  [10816] = 331,
  [10817] = 329,
  [10818] = 608,
  [10819] = 599,
  [10820] = 615,
  [10821] = 551,
  [10822] = 503,
  [10823] = 581,
  [10824] = 614,
  [10825] = 590,
  [10826] = 562,
  [10827] = 578,
  [10828] = 610,
  [10829] = 556,
  [10830] = 558,
  [10831] = 618,
  [10832] = 577,
  [10833] = 478,
  [10834] = 576,
  [10835] = 591,
  [10836] = 583,
  [10837] = 546,
  [10838] = 495,
  [10839] = 573,
  [10840] = 514,
  [10841] = 496,
  [10842] = 489,
  [10843] = 486,
  [10844] = 567,
  [10845] = 484,
  [10846] = 517,
  [10847] = 532,
  [10848] = 613,
  [10849] = 572,
  [10850] = 446,
  [10851] = 565,
  [10852] = 528,
  [10853] = 389,
  [10854] = 617,
  [10855] = 569,
  [10856] = 534,
  [10857] = 519,
  [10858] = 609,
  [10859] = 538,
  [10860] = 612,
  [10861] = 477,
  [10862] = 473,
  [10863] = 518,
  [10864] = 619,
  [10865] = 559,
  [10866] = 515,
  [10867] = 510,
  [10868] = 527,
  [10869] = 563,
  [10870] = 471,
  [10871] = 437,
  [10872] = 480,
  [10873] = 524,
  [10874] = 438,
  [10875] = 439,
  [10876] = 557,
  [10877] = 415,
  [10878] = 481,
  [10879] = 482,
  [10880] = 550,
  [10881] = 589,
  [10882] = 498,
  [10883] = 571,
  [10884] = 476,
  [10885] = 468,
  [10886] = 564,
  [10887] = 462,
  [10888] = 455,
  [10889] = 530,
  [10890] = 450,
  [10891] = 448,
  [10892] = 501,
  [10893] = 483,
  [10894] = 539,
  [10895] = 584,
  [10896] = 566,
  [10897] = 594,
  [10898] = 445,
  [10899] = 611,
  [10900] = 580,
  [10901] = 574,
  [10902] = 596,
  [10903] = 621,
  [10904] = 600,
  [10905] = 592,
  [10906] = 602,
  [10907] = 440,
  [10908] = 485,
  [10909] = 475,
  [10910] = 509,
  [10911] = 622,
  [10912] = 474,
  [10913] = 529,
  [10914] = 623,
  [10915] = 540,
  [10916] = 472,
  [10917] = 470,
  [10918] = 487,
  [10919] = 479,
  [10920] = 469,
  [10921] = 541,
  [10922] = 467,
  [10923] = 553,
  [10924] = 466,
  [10925] = 542,
  [10926] = 597,
  [10927] = 465,
  [10928] = 464,
  [10929] = 543,
  [10930] = 463,
  [10931] = 545,
  [10932] = 548,
  [10933] = 461,
  [10934] = 505,
  [10935] = 522,
  [10936] = 525,
  [10937] = 552,
  [10938] = 441,
  [10939] = 516,
  [10940] = 488,
  [10941] = 502,
  [10942] = 490,
  [10943] = 537,
  [10944] = 604,
  [10945] = 491,
  [10946] = 620,
  [10947] = 492,
  [10948] = 544,
  [10949] = 508,
  [10950] = 554,
  [10951] = 449,
  [10952] = 493,
  [10953] = 588,
  [10954] = 442,
  [10955] = 536,
  [10956] = 460,
  [10957] = 616,
  [10958] = 513,
  [10959] = 507,
  [10960] = 520,
  [10961] = 494,
  [10962] = 607,
  [10963] = 4669,
  [10964] = 526,
  [10965] = 408,
  [10966] = 406,
  [10967] = 431,
  [10968] = 497,
  [10969] = 459,
  [10970] = 458,
  [10971] = 457,
  [10972] = 587,
  [10973] = 586,
  [10974] = 521,
  [10975] = 456,
  [10976] = 582,
  [10977] = 506,
  [10978] = 606,
  [10979] = 605,
  [10980] = 451,
  [10981] = 444,
  [10982] = 603,
  [10983] = 601,
  [10984] = 443,
  [10985] = 598,
  [10986] = 595,
  [10987] = 535,
  [10988] = 570,
  [10989] = 585,
  [10990] = 504,
  [10991] = 579,
  [10992] = 430,
  [10993] = 560,
  [10994] = 533,
  [10995] = 511,
  [10996] = 500,
  [10997] = 499,
  [10998] = 432,
  [10999] = 452,
  [11000] = 434,
  [11001] = 435,
  [11002] = 436,
  [11003] = 512,
  [11004] = 523,
  [11005] = 575,
  [11006] = 447,
  [11007] = 453,
  [11008] = 454,
  [11009] = 557,
  [11010] = 465,
  [11011] = 466,
  [11012] = 467,
  [11013] = 469,
  [11014] = 470,
  [11015] = 472,
  [11016] = 474,
  [11017] = 475,
  [11018] = 476,
  [11019] = 477,
  [11020] = 478,
  [11021] = 480,
  [11022] = 481,
  [11023] = 482,
  [11024] = 483,
  [11025] = 485,
  [11026] = 564,
  [11027] = 490,
  [11028] = 491,
  [11029] = 492,
  [11030] = 493,
  [11031] = 494,
  [11032] = 497,
  [11033] = 499,
  [11034] = 500,
  [11035] = 430,
  [11036] = 504,
  [11037] = 506,
  [11038] = 507,
  [11039] = 508,
  [11040] = 509,
  [11041] = 511,
  [11042] = 512,
  [11043] = 514,
  [11044] = 516,
  [11045] = 517,
  [11046] = 520,
  [11047] = 521,
  [11048] = 522,
  [11049] = 523,
  [11050] = 524,
  [11051] = 525,
  [11052] = 526,
  [11053] = 431,
  [11054] = 529,
  [11055] = 530,
  [11056] = 533,
  [11057] = 535,
  [11058] = 536,
  [11059] = 537,
  [11060] = 538,
  [11061] = 539,
  [11062] = 540,
  [11063] = 541,
  [11064] = 542,
  [11065] = 543,
  [11066] = 545,
  [11067] = 548,
  [11068] = 552,
  [11069] = 554,
  [11070] = 610,
  [11071] = 560,
  [11072] = 608,
  [11073] = 464,
  [11074] = 463,
  [11075] = 461,
  [11076] = 460,
  [11077] = 459,
  [11078] = 559,
  [11079] = 615,
  [11080] = 617,
  [11081] = 619,
  [11082] = 621,
  [11083] = 622,
  [11084] = 488,
  [11085] = 4624,
  [11086] = 550,
  [11087] = 457,
  [11088] = 456,
  [11089] = 454,
  [11090] = 4618,
  [11091] = 623,
  [11092] = 453,
  [11093] = 487,
  [11094] = 452,
  [11095] = 4586,
  [11096] = 451,
  [11097] = 582,
  [11098] = 579,
  [11099] = 449,
  [11100] = 575,
  [11101] = 574,
  [11102] = 446,
  [11103] = 445,
  [11104] = 444,
  [11105] = 443,
  [11106] = 442,
  [11107] = 567,
  [11108] = 566,
  [11109] = 441,
  [11110] = 440,
  [11111] = 439,
  [11112] = 544,
  [11113] = 4620,
  [11114] = 438,
  [11115] = 501,
  [11116] = 565,
  [11117] = 437,
  [11118] = 4610,
  [11119] = 527,
  [11120] = 534,
  [11121] = 546,
  [11122] = 4589,
  [11123] = 571,
  [11124] = 580,
  [11125] = 592,
  [11126] = 505,
  [11127] = 502,
  [11128] = 614,
  [11129] = 620,
  [11130] = 616,
  [11131] = 607,
  [11132] = 584,
  [11133] = 458,
  [11134] = 612,
  [11135] = 611,
  [11136] = 613,
  [11137] = 588,
  [11138] = 549,
  [11139] = 609,
  [11140] = 4611,
  [11141] = 10186,
  [11142] = 618,
  [11143] = 562,
  [11144] = 569,
  [11145] = 587,
  [11146] = 572,
  [11147] = 586,
  [11148] = 573,
  [11149] = 585,
  [11150] = 576,
  [11151] = 577,
  [11152] = 594,
  [11153] = 578,
  [11154] = 581,
  [11155] = 583,
  [11156] = 602,
  [11157] = 600,
  [11158] = 599,
  [11159] = 597,
  [11160] = 589,
  [11161] = 591,
  [11162] = 590,
  [11163] = 596,
  [11164] = 11164,
  [11165] = 11164,
  [11166] = 11166,
  [11167] = 11167,
  [11168] = 11168,
  [11169] = 11169,
  [11170] = 11168,
  [11171] = 11167,
  [11172] = 11168,
  [11173] = 11164,
  [11174] = 11169,
  [11175] = 11166,
  [11176] = 11167,
  [11177] = 11166,
  [11178] = 11169,
  [11179] = 11166,
  [11180] = 11169,
  [11181] = 11169,
  [11182] = 11164,
  [11183] = 341,
  [11184] = 11164,
  [11185] = 11169,
  [11186] = 11164,
  [11187] = 11167,
  [11188] = 11164,
  [11189] = 386,
  [11190] = 11169,
  [11191] = 11164,
  [11192] = 386,
  [11193] = 11168,
  [11194] = 11169,
  [11195] = 341,
  [11196] = 11196,
  [11197] = 11196,
  [11198] = 11196,
  [11199] = 11199,
  [11200] = 11196,
  [11201] = 11196,
  [11202] = 11196,
  [11203] = 11196,
  [11204] = 11196,
  [11205] = 11196,
  [11206] = 11199,
  [11207] = 11196,
  [11208] = 11196,
  [11209] = 11196,
  [11210] = 11196,
  [11211] = 11196,
  [11212] = 11196,
  [11213] = 11196,
  [11214] = 11196,
  [11215] = 11196,
  [11216] = 11196,
  [11217] = 11196,
  [11218] = 11196,
  [11219] = 5265,
  [11220] = 5265,
  [11221] = 5257,
  [11222] = 5270,
  [11223] = 341,
  [11224] = 5257,
  [11225] = 386,
  [11226] = 11226,
  [11227] = 5274,
  [11228] = 5273,
  [11229] = 11229,
  [11230] = 5274,
  [11231] = 4669,
  [11232] = 11232,
  [11233] = 5273,
  [11234] = 11234,
  [11235] = 7361,
  [11236] = 11236,
  [11237] = 11232,
  [11238] = 11238,
  [11239] = 11239,
  [11240] = 11240,
  [11241] = 11239,
  [11242] = 11239,
  [11243] = 11243,
  [11244] = 11244,
  [11245] = 11239,
  [11246] = 11246,
  [11247] = 11247,
  [11248] = 11248,
  [11249] = 11249,
  [11250] = 11250,
  [11251] = 5289,
  [11252] = 11252,
  [11253] = 5304,
  [11254] = 11254,
  [11255] = 11255,
  [11256] = 5300,
  [11257] = 4620,
  [11258] = 11258,
  [11259] = 11259,
  [11260] = 4589,
  [11261] = 4610,
  [11262] = 11262,
  [11263] = 11259,
  [11264] = 11252,
  [11265] = 11265,
  [11266] = 5296,
  [11267] = 4611,
  [11268] = 11268,
  [11269] = 4586,
  [11270] = 4618,
  [11271] = 11258,
  [11272] = 4624,
  [11273] = 5301,
  [11274] = 11274,
  [11275] = 11275,
  [11276] = 11276,
  [11277] = 11277,
  [11278] = 11278,
  [11279] = 11279,
  [11280] = 11280,
  [11281] = 11281,
  [11282] = 11282,
  [11283] = 11277,
  [11284] = 11284,
  [11285] = 11285,
  [11286] = 11286,
  [11287] = 11287,
  [11288] = 11280,
  [11289] = 11282,
  [11290] = 11290,
  [11291] = 11291,
  [11292] = 11292,
  [11293] = 11292,
  [11294] = 11291,
  [11295] = 11276,
  [11296] = 11274,
  [11297] = 11297,
  [11298] = 11298,
  [11299] = 11278,
  [11300] = 11298,
  [11301] = 11287,
  [11302] = 11302,
  [11303] = 11279,
  [11304] = 11304,
  [11305] = 11285,
  [11306] = 11297,
  [11307] = 11284,
  [11308] = 11275,
  [11309] = 11281,
  [11310] = 11304,
  [11311] = 11286,
  [11312] = 11312,
  [11313] = 11312,
  [11314] = 11314,
  [11315] = 11315,
  [11316] = 11316,
  [11317] = 11312,
  [11318] = 11312,
  [11319] = 11319,
  [11320] = 11312,
  [11321] = 11312,
  [11322] = 11322,
  [11323] = 11312,
  [11324] = 11314,
  [11325] = 11325,
  [11326] = 11312,
  [11327] = 11312,
  [11328] = 11312,
  [11329] = 11312,
  [11330] = 11312,
  [11331] = 11312,
  [11332] = 11312,
  [11333] = 11312,
  [11334] = 11325,
  [11335] = 11335,
  [11336] = 11336,
  [11337] = 11312,
  [11338] = 11316,
  [11339] = 11312,
  [11340] = 11315,
  [11341] = 11336,
  [11342] = 11312,
  [11343] = 11343,
  [11344] = 11312,
  [11345] = 11312,
  [11346] = 11312,
  [11347] = 11347,
  [11348] = 11312,
  [11349] = 11312,
  [11350] = 11312,
  [11351] = 11335,
  [11352] = 11312,
  [11353] = 11316,
  [11354] = 11315,
  [11355] = 11336,
  [11356] = 11312,
  [11357] = 11336,
  [11358] = 11315,
  [11359] = 11316,
  [11360] = 11312,
  [11361] = 11322,
  [11362] = 11362,
  [11363] = 11363,
  [11364] = 11364,
  [11365] = 11365,
  [11366] = 11366,
  [11367] = 11367,
  [11368] = 11368,
  [11369] = 11369,
  [11370] = 11370,
  [11371] = 11371,
  [11372] = 11372,
  [11373] = 11373,
  [11374] = 11374,
  [11375] = 5324,
  [11376] = 11376,
  [11377] = 11377,
  [11378] = 11378,
  [11379] = 11379,
  [11380] = 11380,
  [11381] = 5337,
  [11382] = 11382,
  [11383] = 11383,
  [11384] = 11384,
  [11385] = 11385,
  [11386] = 11386,
  [11387] = 11387,
  [11388] = 11388,
  [11389] = 11389,
  [11390] = 11390,
  [11391] = 11391,
  [11392] = 11385,
  [11393] = 11393,
  [11394] = 11394,
  [11395] = 11395,
  [11396] = 11396,
  [11397] = 11397,
  [11398] = 11398,
  [11399] = 5360,
  [11400] = 11400,
  [11401] = 11377,
  [11402] = 11402,
  [11403] = 11388,
  [11404] = 11365,
  [11405] = 11405,
  [11406] = 11380,
  [11407] = 11382,
  [11408] = 11364,
  [11409] = 11396,
  [11410] = 11373,
  [11411] = 5366,
  [11412] = 11412,
  [11413] = 11413,
  [11414] = 11414,
  [11415] = 11415,
  [11416] = 11415,
  [11417] = 11417,
  [11418] = 11405,
  [11419] = 11417,
  [11420] = 11420,
  [11421] = 11414,
  [11422] = 11383,
  [11423] = 11423,
  [11424] = 11388,
  [11425] = 11387,
  [11426] = 11426,
  [11427] = 11427,
  [11428] = 11428,
  [11429] = 5361,
  [11430] = 11400,
  [11431] = 11431,
  [11432] = 11366,
  [11433] = 11379,
  [11434] = 11379,
  [11435] = 11412,
  [11436] = 11386,
  [11437] = 11378,
  [11438] = 11438,
  [11439] = 11439,
  [11440] = 11440,
  [11441] = 11371,
  [11442] = 11442,
  [11443] = 11443,
  [11444] = 11444,
  [11445] = 5257,
  [11446] = 11446,
  [11447] = 11447,
  [11448] = 11448,
  [11449] = 11449,
  [11450] = 11450,
  [11451] = 11451,
  [11452] = 5265,
  [11453] = 11447,
  [11454] = 11454,
  [11455] = 11455,
  [11456] = 11451,
  [11457] = 11443,
  [11458] = 11458,
  [11459] = 11459,
  [11460] = 11460,
  [11461] = 11461,
  [11462] = 11462,
  [11463] = 11446,
  [11464] = 11442,
  [11465] = 5257,
  [11466] = 11466,
  [11467] = 11455,
  [11468] = 5265,
  [11469] = 11469,
  [11470] = 5379,
  [11471] = 11471,
  [11472] = 11472,
  [11473] = 11473,
  [11474] = 11469,
  [11475] = 11475,
  [11476] = 11476,
  [11477] = 11477,
  [11478] = 11478,
  [11479] = 11479,
  [11480] = 11480,
  [11481] = 11481,
  [11482] = 11482,
  [11483] = 11483,
  [11484] = 11484,
  [11485] = 11483,
  [11486] = 5270,
  [11487] = 5376,
  [11488] = 11488,
  [11489] = 11489,
  [11490] = 11490,
  [11491] = 11469,
  [11492] = 11492,
  [11493] = 11493,
  [11494] = 11469,
  [11495] = 11495,
  [11496] = 11496,
  [11497] = 11493,
  [11498] = 11498,
  [11499] = 11493,
  [11500] = 11479,
  [11501] = 11501,
  [11502] = 11469,
  [11503] = 11503,
  [11504] = 11504,
  [11505] = 11505,
  [11506] = 11506,
  [11507] = 11480,
  [11508] = 11508,
  [11509] = 11509,
  [11510] = 11510,
  [11511] = 11511,
  [11512] = 11512,
  [11513] = 11513,
  [11514] = 11514,
  [11515] = 11515,
  [11516] = 11469,
  [11517] = 11493,
  [11518] = 11493,
  [11519] = 11519,
  [11520] = 11520,
  [11521] = 11472,
  [11522] = 11493,
  [11523] = 11523,
  [11524] = 11469,
  [11525] = 11525,
  [11526] = 11526,
  [11527] = 11527,
  [11528] = 11528,
  [11529] = 11493,
  [11530] = 11530,
  [11531] = 11477,
  [11532] = 11469,
  [11533] = 11493,
  [11534] = 11488,
  [11535] = 11535,
  [11536] = 11493,
  [11537] = 11493,
  [11538] = 5383,
  [11539] = 11519,
  [11540] = 11469,
  [11541] = 11469,
  [11542] = 11542,
  [11543] = 11543,
  [11544] = 11489,
  [11545] = 11493,
  [11546] = 11493,
  [11547] = 11469,
  [11548] = 11548,
  [11549] = 11549,
  [11550] = 5273,
  [11551] = 11551,
  [11552] = 11552,
  [11553] = 11553,
  [11554] = 11511,
  [11555] = 11555,
  [11556] = 11493,
  [11557] = 11557,
  [11558] = 11558,
  [11559] = 11559,
  [11560] = 11478,
  [11561] = 11493,
  [11562] = 11508,
  [11563] = 11563,
  [11564] = 11493,
  [11565] = 11469,
  [11566] = 11566,
  [11567] = 5274,
  [11568] = 11568,
  [11569] = 11555,
  [11570] = 11570,
  [11571] = 11571,
  [11572] = 11572,
  [11573] = 11573,
  [11574] = 11508,
  [11575] = 11493,
  [11576] = 11469,
  [11577] = 11577,
  [11578] = 11578,
  [11579] = 11579,
  [11580] = 11580,
  [11581] = 11493,
  [11582] = 11512,
  [11583] = 11493,
  [11584] = 11493,
  [11585] = 11493,
  [11586] = 11493,
  [11587] = 11469,
  [11588] = 11588,
  [11589] = 11589,
  [11590] = 11590,
  [11591] = 11591,
  [11592] = 11490,
  [11593] = 5378,
  [11594] = 11594,
  [11595] = 11595,
  [11596] = 11596,
  [11597] = 11493,
  [11598] = 11598,
  [11599] = 11555,
  [11600] = 11600,
  [11601] = 11601,
  [11602] = 11508,
  [11603] = 11493,
  [11604] = 11469,
  [11605] = 11605,
  [11606] = 11606,
  [11607] = 11606,
  [11608] = 11469,
  [11609] = 11596,
  [11610] = 11610,
  [11611] = 11611,
  [11612] = 11504,
  [11613] = 11469,
  [11614] = 5385,
  [11615] = 11615,
  [11616] = 5388,
  [11617] = 11492,
  [11618] = 11469,
  [11619] = 11552,
  [11620] = 11555,
  [11621] = 11568,
  [11622] = 11622,
  [11623] = 11493,
  [11624] = 11493,
  [11625] = 11625,
  [11626] = 11626,
  [11627] = 11627,
  [11628] = 11628,
  [11629] = 11629,
  [11630] = 11630,
  [11631] = 11469,
  [11632] = 11611,
  [11633] = 11563,
  [11634] = 11634,
  [11635] = 11496,
  [11636] = 11493,
  [11637] = 11637,
  [11638] = 11559,
  [11639] = 11469,
  [11640] = 11625,
  [11641] = 11596,
  [11642] = 11493,
  [11643] = 11469,
  [11644] = 11493,
  [11645] = 11645,
  [11646] = 11493,
  [11647] = 11647,
  [11648] = 11493,
  [11649] = 11484,
  [11650] = 11650,
  [11651] = 5393,
  [11652] = 5415,
  [11653] = 5407,
  [11654] = 5406,
  [11655] = 5398,
  [11656] = 7704,
  [11657] = 11657,
  [11658] = 11657,
  [11659] = 5478,
  [11660] = 11657,
  [11661] = 11657,
  [11662] = 5493,
  [11663] = 11657,
  [11664] = 11657,
  [11665] = 11657,
  [11666] = 5472,
  [11667] = 11657,
  [11668] = 11657,
  [11669] = 11657,
  [11670] = 11657,
  [11671] = 5481,
  [11672] = 11657,
  [11673] = 5488,
  [11674] = 5274,
  [11675] = 11657,
  [11676] = 11657,
  [11677] = 5497,
  [11678] = 5273,
  [11679] = 11657,
  [11680] = 11657,
  [11681] = 11657,
  [11682] = 11657,
  [11683] = 11657,
  [11684] = 5482,
  [11685] = 11657,
  [11686] = 11657,
  [11687] = 11657,
  [11688] = 11657,
  [11689] = 11657,
  [11690] = 11657,
  [11691] = 11657,
  [11692] = 11657,
  [11693] = 11693,
  [11694] = 11694,
  [11695] = 11695,
  [11696] = 11696,
  [11697] = 11694,
  [11698] = 11698,
  [11699] = 11699,
  [11700] = 11695,
  [11701] = 11698,
  [11702] = 11698,
  [11703] = 11698,
  [11704] = 11695,
  [11705] = 11694,
  [11706] = 11699,
  [11707] = 11707,
  [11708] = 11707,
  [11709] = 11707,
  [11710] = 11698,
  [11711] = 11695,
  [11712] = 11698,
  [11713] = 11699,
  [11714] = 11699,
  [11715] = 11695,
  [11716] = 11695,
  [11717] = 11694,
  [11718] = 11699,
  [11719] = 11698,
  [11720] = 11695,
  [11721] = 11721,
  [11722] = 11699,
  [11723] = 11694,
  [11724] = 11694,
  [11725] = 11698,
  [11726] = 11695,
  [11727] = 11699,
  [11728] = 11707,
  [11729] = 11694,
  [11730] = 11694,
  [11731] = 11694,
  [11732] = 11707,
  [11733] = 11707,
  [11734] = 11707,
  [11735] = 11698,
  [11736] = 11698,
  [11737] = 11694,
  [11738] = 11698,
  [11739] = 11695,
  [11740] = 11698,
  [11741] = 11694,
  [11742] = 11698,
  [11743] = 11695,
  [11744] = 11694,
  [11745] = 11707,
  [11746] = 11695,
  [11747] = 11698,
  [11748] = 11694,
  [11749] = 11749,
  [11750] = 11699,
  [11751] = 11699,
  [11752] = 11699,
  [11753] = 11707,
  [11754] = 11698,
  [11755] = 11695,
  [11756] = 11707,
  [11757] = 11694,
  [11758] = 11707,
  [11759] = 11699,
  [11760] = 11699,
  [11761] = 11695,
  [11762] = 11694,
  [11763] = 11698,
  [11764] = 11694,
  [11765] = 11695,
  [11766] = 11695,
  [11767] = 11698,
  [11768] = 11707,
  [11769] = 11699,
  [11770] = 11749,
  [11771] = 11698,
  [11772] = 11695,
  [11773] = 11699,
  [11774] = 11707,
  [11775] = 11695,
  [11776] = 11696,
  [11777] = 11695,
  [11778] = 11698,
  [11779] = 11699,
  [11780] = 11694,
  [11781] = 11699,
  [11782] = 11699,
  [11783] = 11699,
  [11784] = 11699,
  [11785] = 11707,
  [11786] = 11695,
  [11787] = 11699,
  [11788] = 11707,
  [11789] = 11698,
  [11790] = 5764,
  [11791] = 11695,
  [11792] = 11699,
  [11793] = 11707,
  [11794] = 11694,
  [11795] = 11707,
  [11796] = 11707,
  [11797] = 11797,
  [11798] = 11694,
  [11799] = 11694,
  [11800] = 11695,
  [11801] = 11698,
  [11802] = 11707,
  [11803] = 11707,
  [11804] = 11698,
  [11805] = 11695,
  [11806] = 11698,
  [11807] = 11699,
  [11808] = 11698,
  [11809] = 11695,
  [11810] = 11699,
  [11811] = 11695,
  [11812] = 11707,
  [11813] = 11707,
  [11814] = 11707,
  [11815] = 11698,
  [11816] = 11707,
  [11817] = 11694,
  [11818] = 11694,
  [11819] = 11695,
  [11820] = 11698,
  [11821] = 11707,
  [11822] = 11694,
  [11823] = 11823,
  [11824] = 11694,
  [11825] = 11694,
  [11826] = 11699,
  [11827] = 11699,
  [11828] = 11694,
  [11829] = 11694,
  [11830] = 5764,
  [11831] = 11707,
  [11832] = 11698,
  [11833] = 11707,
  [11834] = 11695,
  [11835] = 11699,
  [11836] = 11695,
  [11837] = 11699,
  [11838] = 329,
  [11839] = 368,
  [11840] = 264,
  [11841] = 265,
  [11842] = 277,
  [11843] = 11843,
  [11844] = 5850,
  [11845] = 284,
  [11846] = 11843,
  [11847] = 11843,
  [11848] = 11843,
  [11849] = 11849,
  [11850] = 225,
  [11851] = 5862,
  [11852] = 292,
  [11853] = 11843,
  [11854] = 11843,
  [11855] = 300,
  [11856] = 11856,
  [11857] = 313,
  [11858] = 262,
  [11859] = 5866,
  [11860] = 259,
  [11861] = 317,
  [11862] = 11862,
  [11863] = 321,
  [11864] = 327,
  [11865] = 11843,
  [11866] = 258,
  [11867] = 257,
  [11868] = 11862,
  [11869] = 5835,
  [11870] = 11843,
  [11871] = 350,
  [11872] = 256,
  [11873] = 357,
  [11874] = 250,
  [11875] = 243,
  [11876] = 241,
  [11877] = 5834,
  [11878] = 361,
  [11879] = 325,
  [11880] = 374,
  [11881] = 356,
  [11882] = 339,
  [11883] = 230,
  [11884] = 335,
  [11885] = 305,
  [11886] = 304,
  [11887] = 11887,
  [11888] = 232,
  [11889] = 298,
  [11890] = 297,
  [11891] = 233,
  [11892] = 236,
  [11893] = 11843,
  [11894] = 11894,
  [11895] = 5832,
  [11896] = 11843,
  [11897] = 11843,
  [11898] = 245,
  [11899] = 260,
  [11900] = 11843,
  [11901] = 261,
  [11902] = 247,
  [11903] = 11843,
  [11904] = 11843,
  [11905] = 11843,
  [11906] = 5799,
  [11907] = 11849,
  [11908] = 301,
  [11909] = 11843,
  [11910] = 11843,
  [11911] = 11911,
  [11912] = 11843,
  [11913] = 266,
  [11914] = 11894,
  [11915] = 268,
  [11916] = 5831,
  [11917] = 278,
  [11918] = 5848,
  [11919] = 279,
  [11920] = 275,
  [11921] = 283,
  [11922] = 11843,
  [11923] = 290,
  [11924] = 287,
  [11925] = 333,
  [11926] = 314,
  [11927] = 318,
  [11928] = 323,
  [11929] = 294,
  [11930] = 5817,
  [11931] = 293,
  [11932] = 299,
  [11933] = 289,
  [11934] = 309,
  [11935] = 311,
  [11936] = 316,
  [11937] = 11843,
  [11938] = 326,
  [11939] = 324,
  [11940] = 353,
  [11941] = 376,
  [11942] = 378,
  [11943] = 366,
  [11944] = 11911,
  [11945] = 5958,
  [11946] = 5968,
  [11947] = 352,
  [11948] = 11856,
  [11949] = 306,
  [11950] = 330,
  [11951] = 312,
  [11952] = 319,
  [11953] = 343,
  [11954] = 336,
  [11955] = 342,
  [11956] = 328,
  [11957] = 337,
  [11958] = 344,
  [11959] = 345,
  [11960] = 308,
  [11961] = 346,
  [11962] = 348,
  [11963] = 303,
  [11964] = 354,
  [11965] = 359,
  [11966] = 364,
  [11967] = 367,
  [11968] = 371,
  [11969] = 373,
  [11970] = 375,
  [11971] = 377,
  [11972] = 11972,
  [11973] = 295,
  [11974] = 331,
  [11975] = 238,
  [11976] = 288,
  [11977] = 227,
  [11978] = 380,
  [11979] = 381,
  [11980] = 226,
  [11981] = 370,
  [11982] = 286,
  [11983] = 282,
  [11984] = 228,
  [11985] = 281,
  [11986] = 229,
  [11987] = 280,
  [11988] = 276,
  [11989] = 274,
  [11990] = 231,
  [11991] = 234,
  [11992] = 379,
  [11993] = 235,
  [11994] = 237,
  [11995] = 372,
  [11996] = 242,
  [11997] = 244,
  [11998] = 11843,
  [11999] = 272,
  [12000] = 271,
  [12001] = 248,
  [12002] = 5812,
  [12003] = 270,
  [12004] = 363,
  [12005] = 267,
  [12006] = 334,
  [12007] = 255,
  [12008] = 351,
  [12009] = 253,
  [12010] = 249,
  [12011] = 252,
  [12012] = 360,
  [12013] = 358,
  [12014] = 355,
  [12015] = 251,
  [12016] = 12016,
  [12017] = 12017,
  [12018] = 6228,
  [12019] = 6228,
  [12020] = 12020,
  [12021] = 12021,
  [12022] = 12016,
  [12023] = 12023,
  [12024] = 12024,
  [12025] = 6137,
  [12026] = 12021,
  [12027] = 12020,
  [12028] = 12023,
  [12029] = 12029,
  [12030] = 12030,
  [12031] = 12031,
  [12032] = 12032,
  [12033] = 12033,
  [12034] = 12032,
  [12035] = 12029,
  [12036] = 12031,
  [12037] = 12029,
  [12038] = 12029,
  [12039] = 6101,
  [12040] = 12040,
  [12041] = 12029,
  [12042] = 12042,
  [12043] = 12043,
  [12044] = 12032,
  [12045] = 12045,
  [12046] = 12032,
  [12047] = 12047,
  [12048] = 6151,
  [12049] = 12031,
  [12050] = 6119,
  [12051] = 12051,
  [12052] = 12052,
  [12053] = 12031,
  [12054] = 12029,
  [12055] = 12043,
  [12056] = 12029,
  [12057] = 12029,
  [12058] = 12031,
  [12059] = 12059,
  [12060] = 12042,
  [12061] = 12032,
  [12062] = 12029,
  [12063] = 12031,
  [12064] = 12064,
  [12065] = 12029,
  [12066] = 12031,
  [12067] = 12029,
  [12068] = 12032,
  [12069] = 12032,
  [12070] = 12040,
  [12071] = 12031,
  [12072] = 12031,
  [12073] = 12029,
  [12074] = 12040,
  [12075] = 12029,
  [12076] = 12032,
  [12077] = 12029,
  [12078] = 12078,
  [12079] = 12040,
  [12080] = 12029,
  [12081] = 12081,
  [12082] = 12040,
  [12083] = 12064,
  [12084] = 12081,
  [12085] = 12045,
  [12086] = 12086,
  [12087] = 12029,
  [12088] = 12040,
  [12089] = 12032,
  [12090] = 12029,
  [12091] = 12029,
  [12092] = 12029,
  [12093] = 12029,
  [12094] = 12029,
  [12095] = 12031,
  [12096] = 12032,
  [12097] = 6098,
  [12098] = 12029,
  [12099] = 12040,
  [12100] = 12031,
  [12101] = 12101,
  [12102] = 12029,
  [12103] = 12031,
  [12104] = 12104,
  [12105] = 12032,
  [12106] = 12059,
  [12107] = 12040,
  [12108] = 12029,
  [12109] = 6126,
  [12110] = 12029,
  [12111] = 12111,
  [12112] = 12029,
  [12113] = 12104,
  [12114] = 12040,
  [12115] = 12040,
  [12116] = 12032,
  [12117] = 12040,
  [12118] = 12040,
  [12119] = 12029,
  [12120] = 12120,
  [12121] = 5973,
  [12122] = 12029,
  [12123] = 6110,
  [12124] = 12029,
  [12125] = 12029,
  [12126] = 12040,
  [12127] = 12029,
  [12128] = 12029,
  [12129] = 6137,
  [12130] = 12032,
  [12131] = 12032,
  [12132] = 6082,
  [12133] = 12133,
  [12134] = 12030,
  [12135] = 12031,
  [12136] = 12029,
  [12137] = 12032,
  [12138] = 12032,
  [12139] = 12031,
  [12140] = 12086,
  [12141] = 12040,
  [12142] = 12032,
  [12143] = 12031,
  [12144] = 12040,
  [12145] = 12145,
  [12146] = 6093,
  [12147] = 12032,
  [12148] = 12040,
  [12149] = 12031,
  [12150] = 12029,
  [12151] = 12031,
  [12152] = 12152,
  [12153] = 12029,
  [12154] = 12029,
  [12155] = 12040,
  [12156] = 12051,
  [12157] = 12052,
  [12158] = 12158,
  [12159] = 12040,
  [12160] = 12031,
  [12161] = 12033,
  [12162] = 12029,
  [12163] = 12029,
  [12164] = 12164,
  [12165] = 12165,
  [12166] = 12166,
  [12167] = 12167,
  [12168] = 12168,
  [12169] = 12169,
  [12170] = 12170,
  [12171] = 12171,
  [12172] = 12172,
  [12173] = 12173,
  [12174] = 12174,
  [12175] = 12175,
  [12176] = 12176,
  [12177] = 12177,
  [12178] = 12178,
  [12179] = 12179,
  [12180] = 12174,
  [12181] = 12176,
  [12182] = 12170,
  [12183] = 12183,
  [12184] = 12166,
  [12185] = 12185,
  [12186] = 12186,
  [12187] = 12187,
  [12188] = 12188,
  [12189] = 12189,
  [12190] = 12190,
  [12191] = 12191,
  [12192] = 12192,
  [12193] = 12193,
  [12194] = 12194,
  [12195] = 12174,
  [12196] = 12167,
  [12197] = 12197,
  [12198] = 12176,
  [12199] = 12199,
  [12200] = 12200,
  [12201] = 12201,
  [12202] = 12165,
  [12203] = 12203,
  [12204] = 12204,
  [12205] = 12187,
  [12206] = 12167,
  [12207] = 12207,
  [12208] = 12197,
  [12209] = 12209,
  [12210] = 12210,
  [12211] = 12211,
  [12212] = 12197,
  [12213] = 12213,
  [12214] = 12214,
  [12215] = 12166,
  [12216] = 12170,
  [12217] = 12217,
  [12218] = 12165,
  [12219] = 12219,
  [12220] = 12220,
  [12221] = 12176,
  [12222] = 12222,
  [12223] = 12176,
  [12224] = 12167,
  [12225] = 12225,
  [12226] = 12173,
  [12227] = 12227,
  [12228] = 12177,
  [12229] = 12174,
  [12230] = 12178,
  [12231] = 12177,
  [12232] = 12214,
  [12233] = 12177,
  [12234] = 12166,
  [12235] = 12214,
  [12236] = 12170,
  [12237] = 12173,
  [12238] = 12227,
  [12239] = 12225,
  [12240] = 12197,
  [12241] = 12214,
  [12242] = 12173,
  [12243] = 12178,
  [12244] = 12244,
  [12245] = 12170,
  [12246] = 12246,
  [12247] = 12247,
  [12248] = 12187,
  [12249] = 12249,
  [12250] = 12178,
  [12251] = 12173,
  [12252] = 12166,
  [12253] = 12253,
  [12254] = 12177,
  [12255] = 12214,
  [12256] = 12167,
  [12257] = 12257,
  [12258] = 12173,
  [12259] = 12197,
  [12260] = 12260,
  [12261] = 12177,
  [12262] = 12214,
  [12263] = 12263,
  [12264] = 12187,
  [12265] = 12227,
  [12266] = 12266,
  [12267] = 12227,
  [12268] = 12225,
  [12269] = 12225,
  [12270] = 12174,
  [12271] = 12197,
  [12272] = 12222,
  [12273] = 12220,
  [12274] = 12219,
  [12275] = 12275,
  [12276] = 12276,
  [12277] = 12165,
  [12278] = 12278,
  [12279] = 12165,
  [12280] = 12165,
  [12281] = 12281,
  [12282] = 12282,
  [12283] = 12283,
  [12284] = 12284,
  [12285] = 12285,
  [12286] = 12286,
  [12287] = 12287,
  [12288] = 12219,
  [12289] = 12220,
  [12290] = 12222,
  [12291] = 12222,
  [12292] = 12292,
  [12293] = 12167,
  [12294] = 12227,
  [12295] = 12220,
  [12296] = 12219,
  [12297] = 12297,
  [12298] = 12225,
  [12299] = 12219,
  [12300] = 12220,
  [12301] = 12219,
  [12302] = 12220,
  [12303] = 12303,
  [12304] = 12304,
  [12305] = 12305,
  [12306] = 12165,
  [12307] = 12222,
  [12308] = 12308,
  [12309] = 12309,
  [12310] = 12222,
  [12311] = 12311,
  [12312] = 12312,
  [12313] = 12222,
  [12314] = 12314,
  [12315] = 12315,
  [12316] = 12316,
  [12317] = 12317,
  [12318] = 12174,
  [12319] = 6398,
  [12320] = 6397,
  [12321] = 12225,
  [12322] = 12227,
  [12323] = 12197,
  [12324] = 12166,
  [12325] = 12170,
  [12326] = 12326,
  [12327] = 12327,
  [12328] = 12328,
  [12329] = 12214,
  [12330] = 12225,
  [12331] = 12227,
  [12332] = 12177,
  [12333] = 12333,
  [12334] = 12165,
  [12335] = 12167,
  [12336] = 12225,
  [12337] = 12337,
  [12338] = 12253,
  [12339] = 12214,
  [12340] = 12177,
  [12341] = 12176,
  [12342] = 12227,
  [12343] = 12343,
  [12344] = 12344,
  [12345] = 12173,
  [12346] = 12178,
  [12347] = 12347,
  [12348] = 12348,
  [12349] = 12165,
  [12350] = 12350,
  [12351] = 12351,
  [12352] = 6396,
  [12353] = 6395,
  [12354] = 6394,
  [12355] = 6362,
  [12356] = 12219,
  [12357] = 12178,
  [12358] = 12220,
  [12359] = 12359,
  [12360] = 12174,
  [12361] = 12222,
  [12362] = 12173,
  [12363] = 12187,
  [12364] = 12364,
  [12365] = 12173,
  [12366] = 12214,
  [12367] = 12177,
  [12368] = 12368,
  [12369] = 12170,
  [12370] = 12166,
  [12371] = 12371,
  [12372] = 12177,
  [12373] = 12214,
  [12374] = 12374,
  [12375] = 12375,
  [12376] = 12197,
  [12377] = 12227,
  [12378] = 12173,
  [12379] = 12225,
  [12380] = 12174,
  [12381] = 12187,
  [12382] = 12167,
  [12383] = 12173,
  [12384] = 12225,
  [12385] = 12222,
  [12386] = 12178,
  [12387] = 12227,
  [12388] = 12388,
  [12389] = 12197,
  [12390] = 12390,
  [12391] = 12167,
  [12392] = 12197,
  [12393] = 12214,
  [12394] = 12167,
  [12395] = 12166,
  [12396] = 12170,
  [12397] = 12177,
  [12398] = 6402,
  [12399] = 12176,
  [12400] = 12177,
  [12401] = 12187,
  [12402] = 12173,
  [12403] = 12178,
  [12404] = 12214,
  [12405] = 12405,
  [12406] = 12220,
  [12407] = 12166,
  [12408] = 12408,
  [12409] = 12178,
  [12410] = 12170,
  [12411] = 12173,
  [12412] = 12174,
  [12413] = 12220,
  [12414] = 12219,
  [12415] = 12177,
  [12416] = 12214,
  [12417] = 12170,
  [12418] = 12418,
  [12419] = 12317,
  [12420] = 12227,
  [12421] = 12225,
  [12422] = 12227,
  [12423] = 12170,
  [12424] = 12225,
  [12425] = 12315,
  [12426] = 12222,
  [12427] = 12166,
  [12428] = 12178,
  [12429] = 12170,
  [12430] = 12166,
  [12431] = 12167,
  [12432] = 12222,
  [12433] = 12173,
  [12434] = 12176,
  [12435] = 12220,
  [12436] = 12219,
  [12437] = 12177,
  [12438] = 12214,
  [12439] = 12197,
  [12440] = 12227,
  [12441] = 12441,
  [12442] = 12225,
  [12443] = 12327,
  [12444] = 12444,
  [12445] = 12167,
  [12446] = 12347,
  [12447] = 12371,
  [12448] = 12351,
  [12449] = 12297,
  [12450] = 12165,
  [12451] = 12187,
  [12452] = 12348,
  [12453] = 12173,
  [12454] = 12197,
  [12455] = 12217,
  [12456] = 12209,
  [12457] = 12213,
  [12458] = 12165,
  [12459] = 12174,
  [12460] = 12176,
  [12461] = 12204,
  [12462] = 12462,
  [12463] = 12220,
  [12464] = 12219,
  [12465] = 12199,
  [12466] = 12219,
  [12467] = 12165,
  [12468] = 12468,
  [12469] = 12469,
  [12470] = 6374,
  [12471] = 12222,
  [12472] = 12472,
  [12473] = 12194,
  [12474] = 12187,
  [12475] = 12191,
  [12476] = 12189,
  [12477] = 12165,
  [12478] = 12220,
  [12479] = 12185,
  [12480] = 12172,
  [12481] = 12176,
  [12482] = 12171,
  [12483] = 12219,
  [12484] = 12164,
  [12485] = 12309,
  [12486] = 12486,
  [12487] = 12487,
  [12488] = 12305,
  [12489] = 12169,
  [12490] = 12168,
  [12491] = 12174,
  [12492] = 12175,
  [12493] = 12375,
  [12494] = 12166,
  [12495] = 12178,
  [12496] = 12496,
  [12497] = 12170,
  [12498] = 12166,
  [12499] = 12227,
  [12500] = 12312,
  [12501] = 12177,
  [12502] = 12174,
  [12503] = 12167,
  [12504] = 12214,
  [12505] = 12308,
  [12506] = 12170,
  [12507] = 12166,
  [12508] = 12292,
  [12509] = 12227,
  [12510] = 12225,
  [12511] = 12287,
  [12512] = 12286,
  [12513] = 12167,
  [12514] = 12222,
  [12515] = 12304,
  [12516] = 12197,
  [12517] = 12225,
  [12518] = 12165,
  [12519] = 12284,
  [12520] = 12167,
  [12521] = 12220,
  [12522] = 12219,
  [12523] = 12197,
  [12524] = 12197,
  [12525] = 12174,
  [12526] = 12526,
  [12527] = 12527,
  [12528] = 12528,
  [12529] = 12203,
  [12530] = 12244,
  [12531] = 12246,
  [12532] = 12532,
  [12533] = 12533,
  [12534] = 12534,
  [12535] = 12535,
  [12536] = 12536,
  [12537] = 12537,
  [12538] = 12538,
  [12539] = 12539,
  [12540] = 12540,
  [12541] = 12541,
  [12542] = 12542,
  [12543] = 12543,
  [12544] = 12544,
  [12545] = 12165,
  [12546] = 12546,
  [12547] = 12303,
  [12548] = 12548,
  [12549] = 12549,
  [12550] = 12550,
  [12551] = 12551,
  [12552] = 12552,
  [12553] = 12553,
  [12554] = 12554,
  [12555] = 12555,
  [12556] = 12187,
  [12557] = 12165,
  [12558] = 12558,
  [12559] = 12281,
  [12560] = 12278,
  [12561] = 12276,
  [12562] = 12562,
  [12563] = 12174,
  [12564] = 12219,
  [12565] = 12220,
  [12566] = 12176,
  [12567] = 12174,
  [12568] = 12275,
  [12569] = 12266,
  [12570] = 12222,
  [12571] = 12263,
  [12572] = 12260,
  [12573] = 12187,
  [12574] = 12574,
  [12575] = 12575,
  [12576] = 12576,
  [12577] = 12444,
  [12578] = 12418,
  [12579] = 12579,
  [12580] = 12408,
  [12581] = 12581,
  [12582] = 12582,
  [12583] = 7467,
  [12584] = 12165,
  [12585] = 12197,
  [12586] = 12586,
  [12587] = 12587,
  [12588] = 12167,
  [12589] = 12225,
  [12590] = 12227,
  [12591] = 12222,
  [12592] = 12166,
  [12593] = 12170,
  [12594] = 6375,
  [12595] = 12220,
  [12596] = 12219,
  [12597] = 12220,
  [12598] = 12214,
  [12599] = 12177,
  [12600] = 12219,
  [12601] = 12176,
  [12602] = 12178,
  [12603] = 12247,
  [12604] = 12173,
  [12605] = 12605,
  [12606] = 12314,
  [12607] = 12173,
  [12608] = 12177,
  [12609] = 12214,
  [12610] = 12222,
  [12611] = 12375,
  [12612] = 12178,
  [12613] = 12211,
  [12614] = 12210,
  [12615] = 6375,
  [12616] = 12207,
  [12617] = 12617,
  [12618] = 12227,
  [12619] = 12225,
  [12620] = 12620,
  [12621] = 6374,
  [12622] = 6373,
  [12623] = 12186,
  [12624] = 12170,
  [12625] = 12166,
  [12626] = 6373,
  [12627] = 6371,
  [12628] = 12225,
  [12629] = 12227,
  [12630] = 12201,
  [12631] = 12526,
  [12632] = 12214,
  [12633] = 12177,
  [12634] = 12222,
  [12635] = 12200,
  [12636] = 12220,
  [12637] = 12167,
  [12638] = 12219,
  [12639] = 12193,
  [12640] = 12527,
  [12641] = 12173,
  [12642] = 12178,
  [12643] = 12176,
  [12644] = 12192,
  [12645] = 12190,
  [12646] = 12170,
  [12647] = 12197,
  [12648] = 12166,
  [12649] = 12165,
  [12650] = 12167,
  [12651] = 12375,
  [12652] = 12188,
  [12653] = 12183,
  [12654] = 12179,
  [12655] = 12187,
  [12656] = 12174,
  [12657] = 12197,
  [12658] = 12528,
  [12659] = 12468,
  [12660] = 6137,
  [12661] = 12311,
  [12662] = 12496,
  [12663] = 12534,
  [12664] = 6371,
  [12665] = 12469,
  [12666] = 12174,
  [12667] = 12176,
  [12668] = 12472,
  [12669] = 12174,
  [12670] = 12170,
  [12671] = 12166,
  [12672] = 12187,
  [12673] = 12285,
  [12674] = 12187,
  [12675] = 12535,
  [12676] = 12536,
  [12677] = 12197,
  [12678] = 12187,
  [12679] = 12166,
  [12680] = 12538,
  [12681] = 12167,
  [12682] = 12167,
  [12683] = 12166,
  [12684] = 12540,
  [12685] = 12174,
  [12686] = 12541,
  [12687] = 12197,
  [12688] = 12176,
  [12689] = 12219,
  [12690] = 12542,
  [12691] = 12220,
  [12692] = 12170,
  [12693] = 12222,
  [12694] = 12544,
  [12695] = 12546,
  [12696] = 12549,
  [12697] = 12170,
  [12698] = 12197,
  [12699] = 12462,
  [12700] = 12225,
  [12701] = 12227,
  [12702] = 12165,
  [12703] = 12178,
  [12704] = 12173,
  [12705] = 12486,
  [12706] = 12177,
  [12707] = 12214,
  [12708] = 12214,
  [12709] = 12177,
  [12710] = 12173,
  [12711] = 12170,
  [12712] = 12166,
  [12713] = 12167,
  [12714] = 12550,
  [12715] = 12487,
  [12716] = 12552,
  [12717] = 12174,
  [12718] = 12187,
  [12719] = 12219,
  [12720] = 12220,
  [12721] = 12167,
  [12722] = 12187,
  [12723] = 12166,
  [12724] = 12176,
  [12725] = 12197,
  [12726] = 12282,
  [12727] = 12167,
  [12728] = 12197,
  [12729] = 12170,
  [12730] = 12166,
  [12731] = 12170,
  [12732] = 12227,
  [12733] = 12405,
  [12734] = 12225,
  [12735] = 12222,
  [12736] = 12178,
  [12737] = 12326,
  [12738] = 12173,
  [12739] = 12739,
  [12740] = 12174,
  [12741] = 12177,
  [12742] = 12214,
  [12743] = 12174,
  [12744] = 12222,
  [12745] = 12165,
  [12746] = 12220,
  [12747] = 12178,
  [12748] = 12219,
  [12749] = 12227,
  [12750] = 12165,
  [12751] = 12225,
  [12752] = 12328,
  [12753] = 12165,
  [12754] = 12173,
  [12755] = 12333,
  [12756] = 12225,
  [12757] = 12220,
  [12758] = 12222,
  [12759] = 12173,
  [12760] = 12225,
  [12761] = 12177,
  [12762] = 12214,
  [12763] = 12227,
  [12764] = 12214,
  [12765] = 12177,
  [12766] = 12173,
  [12767] = 12178,
  [12768] = 12227,
  [12769] = 12225,
  [12770] = 12337,
  [12771] = 12227,
  [12772] = 12553,
  [12773] = 12170,
  [12774] = 12166,
  [12775] = 12222,
  [12776] = 12167,
  [12777] = 12220,
  [12778] = 12343,
  [12779] = 12165,
  [12780] = 12316,
  [12781] = 12197,
  [12782] = 12222,
  [12783] = 12214,
  [12784] = 12283,
  [12785] = 12187,
  [12786] = 12177,
  [12787] = 12219,
  [12788] = 12174,
  [12789] = 12174,
  [12790] = 12220,
  [12791] = 12219,
  [12792] = 12177,
  [12793] = 12605,
  [12794] = 12587,
  [12795] = 12173,
  [12796] = 12214,
  [12797] = 12178,
  [12798] = 12187,
  [12799] = 12165,
  [12800] = 12257,
  [12801] = 12576,
  [12802] = 12165,
  [12803] = 12586,
  [12804] = 12170,
  [12805] = 12582,
  [12806] = 12581,
  [12807] = 12249,
  [12808] = 12579,
  [12809] = 12575,
  [12810] = 12166,
  [12811] = 12227,
  [12812] = 12197,
  [12813] = 12225,
  [12814] = 12574,
  [12815] = 12562,
  [12816] = 12167,
  [12817] = 12197,
  [12818] = 12219,
  [12819] = 12220,
  [12820] = 12174,
  [12821] = 12174,
  [12822] = 12187,
  [12823] = 12197,
  [12824] = 12222,
  [12825] = 12558,
  [12826] = 12555,
  [12827] = 12167,
  [12828] = 12554,
  [12829] = 12551,
  [12830] = 12388,
  [12831] = 12187,
  [12832] = 12374,
  [12833] = 12222,
  [12834] = 12176,
  [12835] = 12344,
  [12836] = 12167,
  [12837] = 12174,
  [12838] = 12364,
  [12839] = 12165,
  [12840] = 12166,
  [12841] = 12359,
  [12842] = 12222,
  [12843] = 12225,
  [12844] = 12227,
  [12845] = 12220,
  [12846] = 12219,
  [12847] = 12220,
  [12848] = 12220,
  [12849] = 12222,
  [12850] = 12219,
  [12851] = 12219,
  [12852] = 12214,
  [12853] = 12177,
  [12854] = 12219,
  [12855] = 12350,
  [12856] = 12176,
  [12857] = 12225,
  [12858] = 12173,
  [12859] = 12170,
  [12860] = 12227,
  [12861] = 12861,
  [12862] = 12548,
  [12863] = 12532,
  [12864] = 12214,
  [12865] = 12177,
  [12866] = 12178,
  [12867] = 12166,
  [12868] = 12170,
  [12869] = 12543,
  [12870] = 12173,
  [12871] = 12533,
  [12872] = 12539,
  [12873] = 12165,
  [12874] = 12178,
  [12875] = 12537,
  [12876] = 12876,
  [12877] = 12877,
  [12878] = 12878,
  [12879] = 6776,
  [12880] = 12876,
  [12881] = 12881,
  [12882] = 12882,
  [12883] = 6832,
  [12884] = 6836,
  [12885] = 6837,
  [12886] = 12886,
  [12887] = 12876,
  [12888] = 12876,
  [12889] = 12889,
  [12890] = 12889,
  [12891] = 12877,
  [12892] = 12892,
  [12893] = 12877,
  [12894] = 12894,
  [12895] = 12889,
  [12896] = 12896,
  [12897] = 12897,
  [12898] = 12898,
  [12899] = 12876,
  [12900] = 12877,
  [12901] = 12877,
  [12902] = 12876,
  [12903] = 12889,
  [12904] = 12897,
  [12905] = 12896,
  [12906] = 12894,
  [12907] = 12876,
  [12908] = 12892,
  [12909] = 6832,
  [12910] = 12877,
  [12911] = 12886,
  [12912] = 12912,
  [12913] = 12913,
  [12914] = 12914,
  [12915] = 12877,
  [12916] = 12877,
  [12917] = 12886,
  [12918] = 12918,
  [12919] = 12919,
  [12920] = 12877,
  [12921] = 12877,
  [12922] = 12922,
  [12923] = 12876,
  [12924] = 12918,
  [12925] = 6397,
  [12926] = 12876,
  [12927] = 12889,
  [12928] = 12876,
  [12929] = 7622,
  [12930] = 6396,
  [12931] = 6395,
  [12932] = 6394,
  [12933] = 6362,
  [12934] = 12889,
  [12935] = 12876,
  [12936] = 12889,
  [12937] = 12876,
  [12938] = 12876,
  [12939] = 12877,
  [12940] = 12877,
  [12941] = 12919,
  [12942] = 12876,
  [12943] = 12943,
  [12944] = 12944,
  [12945] = 12877,
  [12946] = 12889,
  [12947] = 12876,
  [12948] = 12877,
  [12949] = 12892,
  [12950] = 12912,
  [12951] = 12951,
  [12952] = 12894,
  [12953] = 12896,
  [12954] = 12897,
  [12955] = 12914,
  [12956] = 12877,
  [12957] = 12876,
  [12958] = 12958,
  [12959] = 12876,
  [12960] = 12877,
  [12961] = 6402,
  [12962] = 12962,
  [12963] = 12876,
  [12964] = 6398,
  [12965] = 12876,
  [12966] = 6817,
  [12967] = 12876,
  [12968] = 12889,
  [12969] = 6778,
  [12970] = 12877,
  [12971] = 12889,
  [12972] = 12878,
  [12973] = 6836,
  [12974] = 12889,
  [12975] = 12876,
  [12976] = 12889,
  [12977] = 12876,
  [12978] = 12978,
  [12979] = 12877,
  [12980] = 12876,
  [12981] = 12876,
  [12982] = 12877,
  [12983] = 12876,
  [12984] = 12876,
  [12985] = 12876,
  [12986] = 12876,
  [12987] = 12889,
  [12988] = 12886,
  [12989] = 6776,
  [12990] = 12886,
  [12991] = 12991,
  [12992] = 12919,
  [12993] = 12919,
  [12994] = 12918,
  [12995] = 12876,
  [12996] = 12996,
  [12997] = 12876,
  [12998] = 447,
  [12999] = 12886,
  [13000] = 12877,
  [13001] = 12913,
  [13002] = 12918,
  [13003] = 12876,
  [13004] = 513,
  [13005] = 12889,
  [13006] = 12876,
  [13007] = 13007,
  [13008] = 6837,
  [13009] = 12919,
  [13010] = 12919,
  [13011] = 12918,
  [13012] = 12962,
  [13013] = 12918,
  [13014] = 12876,
  [13015] = 12876,
  [13016] = 12876,
  [13017] = 12889,
  [13018] = 12889,
  [13019] = 13019,
  [13020] = 12877,
  [13021] = 12876,
  [13022] = 12876,
  [13023] = 12876,
  [13024] = 12991,
  [13025] = 12889,
  [13026] = 12889,
  [13027] = 13027,
  [13028] = 13028,
  [13029] = 13028,
  [13030] = 13030,
  [13031] = 13030,
  [13032] = 13032,
  [13033] = 7448,
  [13034] = 13027,
  [13035] = 13030,
  [13036] = 13036,
  [13037] = 7122,
  [13038] = 13030,
  [13039] = 13030,
  [13040] = 13032,
  [13041] = 13027,
  [13042] = 13042,
  [13043] = 7457,
  [13044] = 13028,
  [13045] = 13032,
  [13046] = 13046,
  [13047] = 13036,
  [13048] = 6907,
  [13049] = 7182,
  [13050] = 13042,
  [13051] = 13051,
  [13052] = 13032,
  [13053] = 13053,
  [13054] = 13027,
  [13055] = 6750,
  [13056] = 13028,
  [13057] = 13030,
  [13058] = 7261,
  [13059] = 13028,
  [13060] = 13030,
  [13061] = 13042,
  [13062] = 13036,
  [13063] = 13027,
  [13064] = 6398,
  [13065] = 6912,
  [13066] = 13030,
  [13067] = 6911,
  [13068] = 6909,
  [13069] = 13030,
  [13070] = 13030,
  [13071] = 13027,
  [13072] = 13030,
  [13073] = 13042,
  [13074] = 6397,
  [13075] = 7109,
  [13076] = 13028,
  [13077] = 13027,
  [13078] = 13036,
  [13079] = 13042,
  [13080] = 13036,
  [13081] = 7183,
  [13082] = 13028,
  [13083] = 7181,
  [13084] = 13084,
  [13085] = 13030,
  [13086] = 7197,
  [13087] = 13028,
  [13088] = 13042,
  [13089] = 13036,
  [13090] = 13028,
  [13091] = 13042,
  [13092] = 13030,
  [13093] = 13027,
  [13094] = 13027,
  [13095] = 13095,
  [13096] = 13036,
  [13097] = 13042,
  [13098] = 13032,
  [13099] = 13032,
  [13100] = 13042,
  [13101] = 13036,
  [13102] = 13032,
  [13103] = 13032,
  [13104] = 13027,
  [13105] = 13032,
  [13106] = 13028,
  [13107] = 13027,
  [13108] = 13028,
  [13109] = 13028,
  [13110] = 13036,
  [13111] = 13042,
  [13112] = 13030,
  [13113] = 13113,
  [13114] = 13028,
  [13115] = 13027,
  [13116] = 13032,
  [13117] = 13032,
  [13118] = 13027,
  [13119] = 13030,
  [13120] = 13032,
  [13121] = 13032,
  [13122] = 13030,
  [13123] = 13042,
  [13124] = 13036,
  [13125] = 13042,
  [13126] = 13030,
  [13127] = 13127,
  [13128] = 13036,
  [13129] = 13030,
  [13130] = 13032,
  [13131] = 13030,
  [13132] = 13030,
  [13133] = 13030,
  [13134] = 7138,
  [13135] = 13030,
  [13136] = 7443,
  [13137] = 13032,
  [13138] = 13028,
  [13139] = 13042,
  [13140] = 13036,
  [13141] = 13036,
  [13142] = 13030,
  [13143] = 6395,
  [13144] = 13042,
  [13145] = 13027,
  [13146] = 13030,
  [13147] = 7226,
  [13148] = 13030,
  [13149] = 13030,
  [13150] = 13030,
  [13151] = 13030,
  [13152] = 13027,
  [13153] = 13030,
  [13154] = 13030,
  [13155] = 13028,
  [13156] = 13030,
  [13157] = 7229,
  [13158] = 6394,
  [13159] = 13032,
  [13160] = 13028,
  [13161] = 13027,
  [13162] = 13036,
  [13163] = 13032,
  [13164] = 13032,
  [13165] = 13042,
  [13166] = 13028,
  [13167] = 6362,
  [13168] = 13027,
  [13169] = 13030,
  [13170] = 13030,
  [13171] = 7133,
  [13172] = 13172,
  [13173] = 13030,
  [13174] = 13032,
  [13175] = 6402,
  [13176] = 13036,
  [13177] = 13042,
  [13178] = 13028,
  [13179] = 13042,
  [13180] = 13036,
  [13181] = 13030,
  [13182] = 6396,
  [13183] = 13028,
  [13184] = 13036,
  [13185] = 13030,
  [13186] = 13028,
  [13187] = 13028,
  [13188] = 13042,
  [13189] = 13030,
  [13190] = 13032,
  [13191] = 13027,
  [13192] = 13027,
  [13193] = 13030,
  [13194] = 13027,
  [13195] = 13027,
  [13196] = 13032,
  [13197] = 13036,
  [13198] = 13198,
  [13199] = 13199,
  [13200] = 13200,
  [13201] = 13201,
  [13202] = 7404,
  [13203] = 13203,
  [13204] = 13204,
  [13205] = 13198,
  [13206] = 13206,
  [13207] = 13207,
  [13208] = 13199,
  [13209] = 13209,
  [13210] = 13210,
  [13211] = 13211,
  [13212] = 13212,
  [13213] = 13206,
  [13214] = 13214,
  [13215] = 13215,
  [13216] = 13216,
  [13217] = 13201,
  [13218] = 13218,
  [13219] = 13219,
  [13220] = 13212,
  [13221] = 13214,
  [13222] = 13216,
  [13223] = 13210,
  [13224] = 13224,
  [13225] = 13209,
  [13226] = 13219,
  [13227] = 13218,
  [13228] = 13228,
  [13229] = 13207,
  [13230] = 13230,
  [13231] = 13204,
  [13232] = 13203,
  [13233] = 13233,
  [13234] = 13200,
  [13235] = 13235,
  [13236] = 13198,
  [13237] = 13237,
  [13238] = 13238,
  [13239] = 13224,
  [13240] = 13240,
  [13241] = 13240,
  [13242] = 13242,
  [13243] = 13243,
  [13244] = 13201,
  [13245] = 13245,
  [13246] = 13246,
  [13247] = 13247,
  [13248] = 13206,
  [13249] = 13249,
  [13250] = 13250,
  [13251] = 13212,
  [13252] = 13252,
  [13253] = 13237,
  [13254] = 13214,
  [13255] = 13238,
  [13256] = 13256,
  [13257] = 13246,
  [13258] = 13245,
  [13259] = 13216,
  [13260] = 13210,
  [13261] = 13209,
  [13262] = 13207,
  [13263] = 13238,
  [13264] = 13230,
  [13265] = 13237,
  [13266] = 13215,
  [13267] = 13240,
  [13268] = 13224,
  [13269] = 13200,
  [13270] = 13198,
  [13271] = 13243,
  [13272] = 13201,
  [13273] = 13224,
  [13274] = 13240,
  [13275] = 13245,
  [13276] = 13212,
  [13277] = 13203,
  [13278] = 13246,
  [13279] = 13206,
  [13280] = 13198,
  [13281] = 13243,
  [13282] = 13256,
  [13283] = 13200,
  [13284] = 13204,
  [13285] = 13250,
  [13286] = 13230,
  [13287] = 13207,
  [13288] = 13256,
  [13289] = 13247,
  [13290] = 13209,
  [13291] = 13242,
  [13292] = 13210,
  [13293] = 13216,
  [13294] = 13235,
  [13295] = 13240,
  [13296] = 13233,
  [13297] = 13218,
  [13298] = 13214,
  [13299] = 13219,
  [13300] = 13212,
  [13301] = 13212,
  [13302] = 13228,
  [13303] = 13214,
  [13304] = 13304,
  [13305] = 13215,
  [13306] = 13250,
  [13307] = 13214,
  [13308] = 13206,
  [13309] = 13215,
  [13310] = 13201,
  [13311] = 13243,
  [13312] = 13211,
  [13313] = 7328,
  [13314] = 7319,
  [13315] = 13238,
  [13316] = 7295,
  [13317] = 13237,
  [13318] = 13228,
  [13319] = 13233,
  [13320] = 13216,
  [13321] = 13219,
  [13322] = 13228,
  [13323] = 13210,
  [13324] = 13218,
  [13325] = 13247,
  [13326] = 13203,
  [13327] = 13235,
  [13328] = 13233,
  [13329] = 13209,
  [13330] = 13204,
  [13331] = 13204,
  [13332] = 13235,
  [13333] = 13203,
  [13334] = 13237,
  [13335] = 13238,
  [13336] = 13242,
  [13337] = 13207,
  [13338] = 13245,
  [13339] = 13230,
  [13340] = 13246,
  [13341] = 13218,
  [13342] = 13219,
  [13343] = 13343,
  [13344] = 13242,
  [13345] = 13200,
  [13346] = 13243,
  [13347] = 13247,
  [13348] = 13201,
  [13349] = 13242,
  [13350] = 13206,
  [13351] = 13212,
  [13352] = 13250,
  [13353] = 13214,
  [13354] = 13235,
  [13355] = 13242,
  [13356] = 13256,
  [13357] = 13224,
  [13358] = 13247,
  [13359] = 13206,
  [13360] = 13216,
  [13361] = 13246,
  [13362] = 13245,
  [13363] = 13210,
  [13364] = 13245,
  [13365] = 13209,
  [13366] = 13240,
  [13367] = 13224,
  [13368] = 13207,
  [13369] = 13233,
  [13370] = 13246,
  [13371] = 13230,
  [13372] = 13256,
  [13373] = 13250,
  [13374] = 13200,
  [13375] = 13198,
  [13376] = 13256,
  [13377] = 13224,
  [13378] = 13198,
  [13379] = 13250,
  [13380] = 13240,
  [13381] = 13200,
  [13382] = 13245,
  [13383] = 13247,
  [13384] = 13228,
  [13385] = 13246,
  [13386] = 13230,
  [13387] = 13207,
  [13388] = 13256,
  [13389] = 13250,
  [13390] = 13209,
  [13391] = 13246,
  [13392] = 13247,
  [13393] = 13210,
  [13394] = 13216,
  [13395] = 13245,
  [13396] = 13215,
  [13397] = 13242,
  [13398] = 13242,
  [13399] = 13256,
  [13400] = 13235,
  [13401] = 13240,
  [13402] = 13233,
  [13403] = 13214,
  [13404] = 13212,
  [13405] = 13247,
  [13406] = 13224,
  [13407] = 13228,
  [13408] = 13215,
  [13409] = 13252,
  [13410] = 312,
  [13411] = 13235,
  [13412] = 7424,
  [13413] = 13233,
  [13414] = 319,
  [13415] = 328,
  [13416] = 329,
  [13417] = 13228,
  [13418] = 331,
  [13419] = 13206,
  [13420] = 333,
  [13421] = 226,
  [13422] = 13201,
  [13423] = 13243,
  [13424] = 334,
  [13425] = 351,
  [13426] = 13426,
  [13427] = 13201,
  [13428] = 355,
  [13429] = 358,
  [13430] = 360,
  [13431] = 363,
  [13432] = 368,
  [13433] = 372,
  [13434] = 306,
  [13435] = 381,
  [13436] = 380,
  [13437] = 377,
  [13438] = 375,
  [13439] = 13238,
  [13440] = 13237,
  [13441] = 13219,
  [13442] = 13218,
  [13443] = 373,
  [13444] = 371,
  [13445] = 13219,
  [13446] = 13218,
  [13447] = 367,
  [13448] = 364,
  [13449] = 359,
  [13450] = 13203,
  [13451] = 13204,
  [13452] = 13204,
  [13453] = 13203,
  [13454] = 354,
  [13455] = 348,
  [13456] = 346,
  [13457] = 345,
  [13458] = 13237,
  [13459] = 344,
  [13460] = 13238,
  [13461] = 342,
  [13462] = 13204,
  [13463] = 13203,
  [13464] = 7408,
  [13465] = 7407,
  [13466] = 7406,
  [13467] = 13218,
  [13468] = 13219,
  [13469] = 336,
  [13470] = 330,
  [13471] = 326,
  [13472] = 13237,
  [13473] = 13243,
  [13474] = 13201,
  [13475] = 13238,
  [13476] = 323,
  [13477] = 13206,
  [13478] = 318,
  [13479] = 13198,
  [13480] = 314,
  [13481] = 13243,
  [13482] = 13201,
  [13483] = 13200,
  [13484] = 13215,
  [13485] = 13206,
  [13486] = 13212,
  [13487] = 13214,
  [13488] = 301,
  [13489] = 290,
  [13490] = 283,
  [13491] = 279,
  [13492] = 13230,
  [13493] = 13216,
  [13494] = 13207,
  [13495] = 13210,
  [13496] = 13209,
  [13497] = 13209,
  [13498] = 278,
  [13499] = 13207,
  [13500] = 13230,
  [13501] = 13212,
  [13502] = 13214,
  [13503] = 13210,
  [13504] = 13252,
  [13505] = 13216,
  [13506] = 268,
  [13507] = 266,
  [13508] = 13216,
  [13509] = 13210,
  [13510] = 13209,
  [13511] = 13243,
  [13512] = 13207,
  [13513] = 13230,
  [13514] = 13250,
  [13515] = 262,
  [13516] = 261,
  [13517] = 13200,
  [13518] = 13214,
  [13519] = 13198,
  [13520] = 13252,
  [13521] = 13212,
  [13522] = 13252,
  [13523] = 260,
  [13524] = 245,
  [13525] = 236,
  [13526] = 233,
  [13527] = 13224,
  [13528] = 13216,
  [13529] = 13240,
  [13530] = 232,
  [13531] = 13245,
  [13532] = 13246,
  [13533] = 13210,
  [13534] = 230,
  [13535] = 241,
  [13536] = 243,
  [13537] = 13256,
  [13538] = 379,
  [13539] = 13250,
  [13540] = 13250,
  [13541] = 13219,
  [13542] = 13218,
  [13543] = 256,
  [13544] = 257,
  [13545] = 258,
  [13546] = 13247,
  [13547] = 13242,
  [13548] = 13247,
  [13549] = 13200,
  [13550] = 259,
  [13551] = 264,
  [13552] = 265,
  [13553] = 277,
  [13554] = 284,
  [13555] = 225,
  [13556] = 292,
  [13557] = 13252,
  [13558] = 13235,
  [13559] = 300,
  [13560] = 13233,
  [13561] = 13215,
  [13562] = 313,
  [13563] = 13209,
  [13564] = 317,
  [13565] = 13198,
  [13566] = 321,
  [13567] = 13228,
  [13568] = 13568,
  [13569] = 327,
  [13570] = 350,
  [13571] = 13215,
  [13572] = 357,
  [13573] = 361,
  [13574] = 13228,
  [13575] = 13204,
  [13576] = 13203,
  [13577] = 13224,
  [13578] = 325,
  [13579] = 374,
  [13580] = 13233,
  [13581] = 356,
  [13582] = 13240,
  [13583] = 339,
  [13584] = 13235,
  [13585] = 335,
  [13586] = 305,
  [13587] = 13256,
  [13588] = 304,
  [13589] = 13237,
  [13590] = 298,
  [13591] = 13238,
  [13592] = 13242,
  [13593] = 13593,
  [13594] = 13238,
  [13595] = 297,
  [13596] = 13242,
  [13597] = 13245,
  [13598] = 294,
  [13599] = 13247,
  [13600] = 13219,
  [13601] = 13218,
  [13602] = 13246,
  [13603] = 293,
  [13604] = 13250,
  [13605] = 13219,
  [13606] = 13218,
  [13607] = 289,
  [13608] = 13256,
  [13609] = 13609,
  [13610] = 370,
  [13611] = 286,
  [13612] = 13204,
  [13613] = 13246,
  [13614] = 13245,
  [13615] = 13243,
  [13616] = 13201,
  [13617] = 13203,
  [13618] = 13240,
  [13619] = 13224,
  [13620] = 282,
  [13621] = 13256,
  [13622] = 281,
  [13623] = 13237,
  [13624] = 13206,
  [13625] = 13237,
  [13626] = 13238,
  [13627] = 13206,
  [13628] = 13250,
  [13629] = 13201,
  [13630] = 13198,
  [13631] = 13243,
  [13632] = 280,
  [13633] = 13200,
  [13634] = 13207,
  [13635] = 250,
  [13636] = 13243,
  [13637] = 13201,
  [13638] = 13230,
  [13639] = 13207,
  [13640] = 13206,
  [13641] = 274,
  [13642] = 13209,
  [13643] = 13247,
  [13644] = 272,
  [13645] = 13210,
  [13646] = 13216,
  [13647] = 13212,
  [13648] = 13238,
  [13649] = 13242,
  [13650] = 13237,
  [13651] = 271,
  [13652] = 13212,
  [13653] = 13214,
  [13654] = 13214,
  [13655] = 13214,
  [13656] = 13212,
  [13657] = 13203,
  [13658] = 13204,
  [13659] = 270,
  [13660] = 13216,
  [13661] = 13235,
  [13662] = 13210,
  [13663] = 267,
  [13664] = 13209,
  [13665] = 13216,
  [13666] = 13210,
  [13667] = 13233,
  [13668] = 255,
  [13669] = 13207,
  [13670] = 13230,
  [13671] = 13206,
  [13672] = 13252,
  [13673] = 253,
  [13674] = 13201,
  [13675] = 13243,
  [13676] = 13209,
  [13677] = 13230,
  [13678] = 13207,
  [13679] = 252,
  [13680] = 13228,
  [13681] = 13200,
  [13682] = 13198,
  [13683] = 251,
  [13684] = 13230,
  [13685] = 249,
  [13686] = 248,
  [13687] = 13215,
  [13688] = 244,
  [13689] = 13200,
  [13690] = 242,
  [13691] = 13238,
  [13692] = 13237,
  [13693] = 237,
  [13694] = 13224,
  [13695] = 13198,
  [13696] = 13240,
  [13697] = 235,
  [13698] = 234,
  [13699] = 13245,
  [13700] = 13246,
  [13701] = 231,
  [13702] = 13203,
  [13703] = 13204,
  [13704] = 229,
  [13705] = 13224,
  [13706] = 13240,
  [13707] = 228,
  [13708] = 13256,
  [13709] = 13237,
  [13710] = 227,
  [13711] = 288,
  [13712] = 13250,
  [13713] = 238,
  [13714] = 295,
  [13715] = 13247,
  [13716] = 303,
  [13717] = 13242,
  [13718] = 308,
  [13719] = 13218,
  [13720] = 13219,
  [13721] = 337,
  [13722] = 13245,
  [13723] = 343,
  [13724] = 13724,
  [13725] = 352,
  [13726] = 13246,
  [13727] = 366,
  [13728] = 13235,
  [13729] = 378,
  [13730] = 276,
  [13731] = 13228,
  [13732] = 13256,
  [13733] = 13233,
  [13734] = 353,
  [13735] = 324,
  [13736] = 13250,
  [13737] = 316,
  [13738] = 13233,
  [13739] = 13228,
  [13740] = 13246,
  [13741] = 311,
  [13742] = 309,
  [13743] = 13215,
  [13744] = 299,
  [13745] = 287,
  [13746] = 275,
  [13747] = 13245,
  [13748] = 13203,
  [13749] = 13219,
  [13750] = 13218,
  [13751] = 13235,
  [13752] = 376,
  [13753] = 13247,
  [13754] = 13215,
  [13755] = 13242,
  [13756] = 13252,
  [13757] = 7370,
  [13758] = 13219,
  [13759] = 13204,
  [13760] = 13218,
  [13761] = 13724,
  [13762] = 13228,
  [13763] = 13204,
  [13764] = 13235,
  [13765] = 13203,
  [13766] = 13237,
  [13767] = 13238,
  [13768] = 13218,
  [13769] = 13233,
  [13770] = 13219,
  [13771] = 13243,
  [13772] = 13201,
  [13773] = 13200,
  [13774] = 13206,
  [13775] = 13228,
  [13776] = 13233,
  [13777] = 13230,
  [13778] = 13235,
  [13779] = 13212,
  [13780] = 13240,
  [13781] = 13214,
  [13782] = 13233,
  [13783] = 13198,
  [13784] = 13216,
  [13785] = 13224,
  [13786] = 13210,
  [13787] = 13252,
  [13788] = 13788,
  [13789] = 13789,
  [13790] = 13593,
  [13791] = 13209,
  [13792] = 13207,
  [13793] = 13230,
  [13794] = 13242,
  [13795] = 13200,
  [13796] = 13198,
  [13797] = 13247,
  [13798] = 13204,
  [13799] = 13224,
  [13800] = 13204,
  [13801] = 13203,
  [13802] = 13240,
  [13803] = 13203,
  [13804] = 13245,
  [13805] = 13246,
  [13806] = 13256,
  [13807] = 13256,
  [13808] = 13215,
  [13809] = 13250,
  [13810] = 13247,
  [13811] = 13237,
  [13812] = 13242,
  [13813] = 13215,
  [13814] = 13238,
  [13815] = 13246,
  [13816] = 13245,
  [13817] = 13240,
  [13818] = 13224,
  [13819] = 13235,
  [13820] = 13233,
  [13821] = 13228,
  [13822] = 13215,
  [13823] = 13198,
  [13824] = 13237,
  [13825] = 13243,
  [13826] = 13228,
  [13827] = 13200,
  [13828] = 13218,
  [13829] = 13238,
  [13830] = 13252,
  [13831] = 13230,
  [13832] = 13233,
  [13833] = 13219,
  [13834] = 13207,
  [13835] = 13201,
  [13836] = 13235,
  [13837] = 13206,
  [13838] = 13209,
  [13839] = 13228,
  [13840] = 13609,
  [13841] = 13210,
  [13842] = 13216,
  [13843] = 13224,
  [13844] = 13203,
  [13845] = 13845,
  [13846] = 13219,
  [13847] = 13218,
  [13848] = 13242,
  [13849] = 13240,
  [13850] = 13252,
  [13851] = 13247,
  [13852] = 13214,
  [13853] = 13212,
  [13854] = 13250,
  [13855] = 13204,
  [13856] = 13250,
  [13857] = 13203,
  [13858] = 13237,
  [13859] = 13238,
  [13860] = 13256,
  [13861] = 13252,
  [13862] = 13245,
  [13863] = 13246,
  [13864] = 13243,
  [13865] = 13246,
  [13866] = 13245,
  [13867] = 13201,
  [13868] = 13243,
  [13869] = 13206,
  [13870] = 13240,
  [13871] = 13224,
  [13872] = 13206,
  [13873] = 13201,
  [13874] = 13201,
  [13875] = 13243,
  [13876] = 13256,
  [13877] = 13212,
  [13878] = 13206,
  [13879] = 13214,
  [13880] = 13216,
  [13881] = 13210,
  [13882] = 13198,
  [13883] = 13209,
  [13884] = 13207,
  [13885] = 13200,
  [13886] = 13230,
  [13887] = 13204,
  [13888] = 13200,
  [13889] = 13198,
  [13890] = 13230,
  [13891] = 13207,
  [13892] = 13238,
  [13893] = 13237,
  [13894] = 13209,
  [13895] = 13224,
  [13896] = 13240,
  [13897] = 13210,
  [13898] = 13216,
  [13899] = 13245,
  [13900] = 13212,
  [13901] = 13214,
  [13902] = 13246,
  [13903] = 13903,
  [13904] = 13256,
  [13905] = 13250,
  [13906] = 13203,
  [13907] = 13214,
  [13908] = 13212,
  [13909] = 13204,
  [13910] = 13247,
  [13911] = 13242,
  [13912] = 13215,
  [13913] = 13216,
  [13914] = 13568,
  [13915] = 13210,
  [13916] = 13250,
  [13917] = 13235,
  [13918] = 13218,
  [13919] = 13209,
  [13920] = 13233,
  [13921] = 13219,
  [13922] = 13252,
  [13923] = 13206,
  [13924] = 13207,
  [13925] = 13247,
  [13926] = 13201,
  [13927] = 13243,
  [13928] = 13228,
  [13929] = 13230,
  [13930] = 13242,
  [13931] = 13235,
  [13932] = 13788,
  [13933] = 13215,
  [13934] = 13218,
  [13935] = 13935,
  [13936] = 13200,
  [13937] = 13233,
  [13938] = 13789,
  [13939] = 13198,
  [13940] = 13940,
  [13941] = 7306,
  [13942] = 7275,
  [13943] = 13238,
  [13944] = 13237,
  [13945] = 13219,
  [13946] = 13224,
  [13947] = 13240,
  [13948] = 13215,
  [13949] = 13252,
  [13950] = 13228,
  [13951] = 13951,
  [13952] = 13245,
  [13953] = 247,
  [13954] = 13203,
  [13955] = 13204,
  [13956] = 13246,
  [13957] = 13957,
  [13958] = 13219,
  [13959] = 13218,
  [13960] = 13228,
  [13961] = 13256,
  [13962] = 13219,
  [13963] = 13218,
  [13964] = 13233,
  [13965] = 13250,
  [13966] = 13204,
  [13967] = 13203,
  [13968] = 13215,
  [13969] = 13237,
  [13970] = 13238,
  [13971] = 13218,
  [13972] = 13219,
  [13973] = 13228,
  [13974] = 13247,
  [13975] = 13235,
  [13976] = 13242,
  [13977] = 13233,
  [13978] = 13235,
  [13979] = 13243,
  [13980] = 13201,
  [13981] = 13235,
  [13982] = 13252,
  [13983] = 13206,
  [13984] = 13215,
  [13985] = 13233,
  [13986] = 13204,
  [13987] = 13242,
  [13988] = 13250,
  [13989] = 13243,
  [13990] = 13203,
  [13991] = 13256,
  [13992] = 13228,
  [13993] = 13212,
  [13994] = 13214,
  [13995] = 13215,
  [13996] = 13246,
  [13997] = 13245,
  [13998] = 13240,
  [13999] = 13216,
  [14000] = 13242,
  [14001] = 13237,
  [14002] = 13238,
  [14003] = 13210,
  [14004] = 13235,
  [14005] = 13224,
  [14006] = 13209,
  [14007] = 13207,
  [14008] = 13252,
  [14009] = 13230,
  [14010] = 13200,
  [14011] = 13304,
  [14012] = 13198,
  [14013] = 13198,
  [14014] = 13200,
  [14015] = 13230,
  [14016] = 13247,
  [14017] = 13207,
  [14018] = 13209,
  [14019] = 13224,
  [14020] = 13240,
  [14021] = 13250,
  [14022] = 13210,
  [14023] = 13245,
  [14024] = 13246,
  [14025] = 13216,
  [14026] = 13243,
  [14027] = 13201,
  [14028] = 13256,
  [14029] = 13250,
  [14030] = 13206,
  [14031] = 13214,
  [14032] = 13212,
  [14033] = 13247,
  [14034] = 13242,
  [14035] = 13256,
  [14036] = 13206,
  [14037] = 13246,
  [14038] = 13201,
  [14039] = 13235,
  [14040] = 13243,
  [14041] = 13233,
  [14042] = 13228,
  [14043] = 13245,
  [14044] = 13238,
  [14045] = 13237,
  [14046] = 13240,
  [14047] = 13215,
  [14048] = 13247,
  [14049] = 13215,
  [14050] = 13212,
  [14051] = 13214,
  [14052] = 13203,
  [14053] = 13204,
  [14054] = 13218,
  [14055] = 13219,
  [14056] = 13224,
  [14057] = 13238,
  [14058] = 13252,
  [14059] = 13215,
  [14060] = 13252,
  [14061] = 13252,
  [14062] = 13228,
  [14063] = 13246,
  [14064] = 13426,
  [14065] = 13198,
  [14066] = 13200,
  [14067] = 13216,
  [14068] = 13233,
  [14069] = 13210,
  [14070] = 13252,
  [14071] = 13230,
  [14072] = 13235,
  [14073] = 13209,
  [14074] = 13207,
  [14075] = 13219,
  [14076] = 13207,
  [14077] = 13230,
  [14078] = 13218,
  [14079] = 13215,
  [14080] = 13209,
  [14081] = 13200,
  [14082] = 13210,
  [14083] = 13204,
  [14084] = 13242,
  [14085] = 14085,
  [14086] = 13203,
  [14087] = 13247,
  [14088] = 13198,
  [14089] = 13228,
  [14090] = 13233,
  [14091] = 13237,
  [14092] = 13250,
  [14093] = 13238,
  [14094] = 13216,
  [14095] = 14095,
  [14096] = 13256,
  [14097] = 14097,
  [14098] = 13235,
  [14099] = 13252,
  [14100] = 13242,
  [14101] = 13246,
  [14102] = 13245,
  [14103] = 13224,
  [14104] = 13240,
  [14105] = 13243,
  [14106] = 13240,
  [14107] = 13224,
  [14108] = 13201,
  [14109] = 13206,
  [14110] = 13245,
  [14111] = 13247,
  [14112] = 13214,
  [14113] = 13250,
  [14114] = 13256,
  [14115] = 14115,
  [14116] = 13256,
  [14117] = 13246,
  [14118] = 13198,
  [14119] = 13245,
  [14120] = 13212,
  [14121] = 13200,
  [14122] = 13214,
  [14123] = 13250,
  [14124] = 14124,
  [14125] = 13240,
  [14126] = 13230,
  [14127] = 13207,
  [14128] = 13224,
  [14129] = 13216,
  [14130] = 13209,
  [14131] = 13210,
  [14132] = 13209,
  [14133] = 13210,
  [14134] = 13216,
  [14135] = 13207,
  [14136] = 13247,
  [14137] = 13212,
  [14138] = 13230,
  [14139] = 14139,
  [14140] = 13200,
  [14141] = 13198,
  [14142] = 13198,
  [14143] = 13214,
  [14144] = 13212,
  [14145] = 13219,
  [14146] = 13242,
  [14147] = 13224,
  [14148] = 13240,
  [14149] = 13218,
  [14150] = 13200,
  [14151] = 13206,
  [14152] = 13245,
  [14153] = 13246,
  [14154] = 13235,
  [14155] = 13230,
  [14156] = 13207,
  [14157] = 13233,
  [14158] = 13256,
  [14159] = 13206,
  [14160] = 13201,
  [14161] = 13250,
  [14162] = 13201,
  [14163] = 13243,
  [14164] = 13209,
  [14165] = 13228,
  [14166] = 13243,
  [14167] = 13247,
  [14168] = 13242,
  [14169] = 13238,
  [14170] = 7273,
  [14171] = 13210,
  [14172] = 13216,
  [14173] = 13235,
  [14174] = 13233,
  [14175] = 13214,
  [14176] = 13212,
  [14177] = 13228,
  [14178] = 13215,
  [14179] = 13238,
  [14180] = 13237,
  [14181] = 13249,
  [14182] = 13206,
  [14183] = 13212,
  [14184] = 13214,
  [14185] = 13201,
  [14186] = 13243,
  [14187] = 13237,
  [14188] = 13216,
  [14189] = 13203,
  [14190] = 13203,
  [14191] = 13204,
  [14192] = 13252,
  [14193] = 13215,
  [14194] = 13204,
  [14195] = 13210,
  [14196] = 13209,
  [14197] = 13207,
  [14198] = 13230,
  [14199] = 13200,
  [14200] = 13198,
  [14201] = 14201,
  [14202] = 13238,
  [14203] = 13237,
  [14204] = 13219,
  [14205] = 13218,
  [14206] = 13204,
  [14207] = 13218,
  [14208] = 13219,
  [14209] = 13203,
  [14210] = 14210,
  [14211] = 14211,
  [14212] = 14212,
  [14213] = 14213,
  [14214] = 14211,
  [14215] = 14215,
  [14216] = 14213,
  [14217] = 14217,
  [14218] = 14218,
  [14219] = 14212,
  [14220] = 14220,
  [14221] = 14211,
  [14222] = 14222,
  [14223] = 14223,
  [14224] = 14224,
  [14225] = 14217,
  [14226] = 14226,
  [14227] = 14211,
  [14228] = 14228,
  [14229] = 14211,
  [14230] = 14217,
  [14231] = 14231,
  [14232] = 14232,
  [14233] = 14233,
  [14234] = 14234,
  [14235] = 14217,
  [14236] = 14213,
  [14237] = 14212,
  [14238] = 14213,
  [14239] = 14239,
  [14240] = 14211,
  [14241] = 14212,
  [14242] = 14211,
  [14243] = 14212,
  [14244] = 14213,
  [14245] = 14245,
  [14246] = 14246,
  [14247] = 14247,
  [14248] = 14212,
  [14249] = 14211,
  [14250] = 14250,
  [14251] = 14251,
  [14252] = 14212,
  [14253] = 14213,
  [14254] = 14217,
  [14255] = 14213,
  [14256] = 14212,
  [14257] = 14213,
  [14258] = 14211,
  [14259] = 14217,
  [14260] = 14217,
  [14261] = 14261,
  [14262] = 14262,
  [14263] = 14263,
  [14264] = 14211,
  [14265] = 7415,
  [14266] = 13007,
  [14267] = 14213,
  [14268] = 14212,
  [14269] = 14246,
  [14270] = 14212,
  [14271] = 14213,
  [14272] = 14245,
  [14273] = 14273,
  [14274] = 14250,
  [14275] = 14250,
  [14276] = 14276,
  [14277] = 7397,
  [14278] = 14217,
  [14279] = 14279,
  [14280] = 14213,
  [14281] = 14212,
  [14282] = 14245,
  [14283] = 14250,
  [14284] = 14211,
  [14285] = 14217,
  [14286] = 14211,
  [14287] = 14245,
  [14288] = 14245,
  [14289] = 14289,
  [14290] = 14290,
  [14291] = 14291,
  [14292] = 14292,
  [14293] = 14293,
  [14294] = 7518,
  [14295] = 14295,
  [14296] = 14217,
  [14297] = 14212,
  [14298] = 14211,
  [14299] = 14213,
  [14300] = 14213,
  [14301] = 14301,
  [14302] = 14213,
  [14303] = 14217,
  [14304] = 14304,
  [14305] = 14212,
  [14306] = 7335,
  [14307] = 14217,
  [14308] = 14213,
  [14309] = 14211,
  [14310] = 14213,
  [14311] = 14212,
  [14312] = 14312,
  [14313] = 7335,
  [14314] = 14211,
  [14315] = 14315,
  [14316] = 14217,
  [14317] = 14317,
  [14318] = 14211,
  [14319] = 14263,
  [14320] = 14217,
  [14321] = 14213,
  [14322] = 14279,
  [14323] = 14323,
  [14324] = 14324,
  [14325] = 14211,
  [14326] = 14213,
  [14327] = 14212,
  [14328] = 14212,
  [14329] = 14213,
  [14330] = 14330,
  [14331] = 14217,
  [14332] = 14212,
  [14333] = 14234,
  [14334] = 14250,
  [14335] = 14261,
  [14336] = 14217,
  [14337] = 14217,
  [14338] = 7308,
  [14339] = 7284,
  [14340] = 14213,
  [14341] = 14212,
  [14342] = 14217,
  [14343] = 14222,
  [14344] = 14304,
  [14345] = 14222,
  [14346] = 14304,
  [14347] = 14222,
  [14348] = 14304,
  [14349] = 14324,
  [14350] = 14250,
  [14351] = 14213,
  [14352] = 14245,
  [14353] = 14212,
  [14354] = 14211,
  [14355] = 14355,
  [14356] = 14356,
  [14357] = 14357,
  [14358] = 14358,
  [14359] = 14359,
  [14360] = 14360,
  [14361] = 14361,
  [14362] = 14362,
  [14363] = 14363,
  [14364] = 14364,
  [14365] = 14365,
  [14366] = 14366,
  [14367] = 14367,
  [14368] = 14368,
  [14369] = 14359,
  [14370] = 14364,
  [14371] = 14371,
  [14372] = 14363,
  [14373] = 14373,
  [14374] = 14374,
  [14375] = 14375,
  [14376] = 14376,
  [14377] = 14358,
  [14378] = 14378,
  [14379] = 14360,
  [14380] = 14380,
  [14381] = 14381,
  [14382] = 14382,
  [14383] = 14378,
  [14384] = 14360,
  [14385] = 14385,
  [14386] = 14358,
  [14387] = 14387,
  [14388] = 14376,
  [14389] = 14374,
  [14390] = 14390,
  [14391] = 14391,
  [14392] = 14359,
  [14393] = 14393,
  [14394] = 14364,
  [14395] = 14395,
  [14396] = 14356,
  [14397] = 14363,
  [14398] = 14398,
  [14399] = 14399,
  [14400] = 14400,
  [14401] = 14401,
  [14402] = 14368,
  [14403] = 14385,
  [14404] = 14401,
  [14405] = 14356,
  [14406] = 14406,
  [14407] = 14400,
  [14408] = 14408,
  [14409] = 14365,
  [14410] = 14406,
  [14411] = 14398,
  [14412] = 14408,
  [14413] = 14393,
  [14414] = 14414,
  [14415] = 14414,
  [14416] = 14390,
  [14417] = 14417,
  [14418] = 14357,
  [14419] = 14391,
  [14420] = 14420,
  [14421] = 14421,
  [14422] = 14422,
  [14423] = 14423,
  [14424] = 14361,
  [14425] = 14362,
  [14426] = 14395,
  [14427] = 14427,
  [14428] = 14428,
  [14429] = 14429,
  [14430] = 14381,
  [14431] = 14431,
  [14432] = 14421,
  [14433] = 14423,
  [14434] = 14434,
  [14435] = 14387,
  [14436] = 14380,
  [14437] = 14437,
  [14438] = 14417,
  [14439] = 14439,
  [14440] = 14440,
  [14441] = 14441,
  [14442] = 14442,
  [14443] = 14443,
  [14444] = 14444,
  [14445] = 14445,
  [14446] = 14381,
  [14447] = 14366,
  [14448] = 14448,
  [14449] = 14380,
  [14450] = 14450,
  [14451] = 14451,
  [14452] = 14452,
  [14453] = 14362,
  [14454] = 14454,
  [14455] = 14455,
  [14456] = 14456,
  [14457] = 14457,
  [14458] = 14458,
  [14459] = 14459,
  [14460] = 14460,
  [14461] = 14355,
  [14462] = 14462,
  [14463] = 14463,
  [14464] = 14464,
  [14465] = 14391,
  [14466] = 14466,
  [14467] = 14467,
  [14468] = 14451,
  [14469] = 14440,
  [14470] = 14443,
  [14471] = 14471,
  [14472] = 14444,
  [14473] = 14473,
  [14474] = 14378,
  [14475] = 14475,
  [14476] = 14476,
  [14477] = 14398,
  [14478] = 14422,
  [14479] = 14434,
  [14480] = 14442,
  [14481] = 14401,
  [14482] = 14355,
  [14483] = 14444,
  [14484] = 14459,
  [14485] = 14393,
  [14486] = 14486,
  [14487] = 14376,
  [14488] = 14387,
  [14489] = 5407,
  [14490] = 14374,
  [14491] = 14491,
  [14492] = 14367,
  [14493] = 14417,
  [14494] = 14371,
  [14495] = 14440,
  [14496] = 14368,
  [14497] = 14497,
  [14498] = 14498,
  [14499] = 14390,
  [14500] = 14500,
  [14501] = 14454,
  [14502] = 14502,
  [14503] = 14452,
  [14504] = 14452,
  [14505] = 14505,
  [14506] = 14395,
  [14507] = 14507,
  [14508] = 14420,
  [14509] = 14509,
  [14510] = 14422,
  [14511] = 14427,
  [14512] = 14448,
  [14513] = 14462,
  [14514] = 14462,
  [14515] = 14515,
  [14516] = 14428,
  [14517] = 14442,
  [14518] = 14448,
  [14519] = 14444,
  [14520] = 14422,
  [14521] = 14521,
  [14522] = 14437,
  [14523] = 14466,
  [14524] = 14395,
  [14525] = 14525,
  [14526] = 14464,
  [14527] = 14466,
  [14528] = 14464,
  [14529] = 14463,
  [14530] = 14460,
  [14531] = 14458,
  [14532] = 14456,
  [14533] = 14456,
  [14534] = 14463,
  [14535] = 14458,
  [14536] = 14460,
  [14537] = 14463,
  [14538] = 14437,
  [14539] = 14464,
  [14540] = 14460,
  [14541] = 14466,
  [14542] = 14458,
  [14543] = 14428,
  [14544] = 14462,
  [14545] = 14365,
  [14546] = 14427,
  [14547] = 14454,
  [14548] = 14442,
  [14549] = 14444,
  [14550] = 14420,
  [14551] = 14456,
  [14552] = 14452,
  [14553] = 14462,
  [14554] = 14448,
  [14555] = 14390,
  [14556] = 14440,
  [14557] = 14422,
  [14558] = 14393,
  [14559] = 14371,
  [14560] = 14395,
  [14561] = 14561,
  [14562] = 14417,
  [14563] = 14401,
  [14564] = 14367,
  [14565] = 14371,
  [14566] = 14566,
  [14567] = 14398,
  [14568] = 14454,
  [14569] = 14361,
  [14570] = 14367,
  [14571] = 14387,
  [14572] = 14391,
  [14573] = 14573,
  [14574] = 14574,
  [14575] = 14486,
  [14576] = 14459,
  [14577] = 14381,
  [14578] = 14578,
  [14579] = 14355,
  [14580] = 14380,
  [14581] = 14437,
  [14582] = 14486,
  [14583] = 14459,
  [14584] = 14355,
  [14585] = 14362,
  [14586] = 14451,
  [14587] = 14366,
  [14588] = 14429,
  [14589] = 14357,
  [14590] = 14443,
  [14591] = 14423,
  [14592] = 14429,
  [14593] = 14486,
  [14594] = 14421,
  [14595] = 14357,
  [14596] = 14443,
  [14597] = 14361,
  [14598] = 14598,
  [14599] = 14599,
  [14600] = 14600,
  [14601] = 14365,
  [14602] = 14366,
  [14603] = 14451,
  [14604] = 14368,
  [14605] = 14451,
  [14606] = 14443,
  [14607] = 14414,
  [14608] = 14608,
  [14609] = 14355,
  [14610] = 14374,
  [14611] = 14459,
  [14612] = 14376,
  [14613] = 14427,
  [14614] = 14378,
  [14615] = 14451,
  [14616] = 14616,
  [14617] = 14454,
  [14618] = 14452,
  [14619] = 14408,
  [14620] = 14360,
  [14621] = 14420,
  [14622] = 14358,
  [14623] = 14623,
  [14624] = 14624,
  [14625] = 14406,
  [14626] = 14442,
  [14627] = 14627,
  [14628] = 14359,
  [14629] = 14355,
  [14630] = 14364,
  [14631] = 14448,
  [14632] = 14440,
  [14633] = 14363,
  [14634] = 14459,
  [14635] = 14400,
  [14636] = 14417,
  [14637] = 14375,
  [14638] = 14387,
  [14639] = 14385,
  [14640] = 14486,
  [14641] = 14356,
  [14642] = 14642,
  [14643] = 14400,
  [14644] = 14356,
  [14645] = 14443,
  [14646] = 14406,
  [14647] = 14385,
  [14648] = 14408,
  [14649] = 14390,
  [14650] = 14414,
  [14651] = 14454,
  [14652] = 14381,
  [14653] = 14452,
  [14654] = 14654,
  [14655] = 14393,
  [14656] = 14360,
  [14657] = 14421,
  [14658] = 14391,
  [14659] = 14423,
  [14660] = 14363,
  [14661] = 14362,
  [14662] = 14367,
  [14663] = 14371,
  [14664] = 14664,
  [14665] = 14421,
  [14666] = 14385,
  [14667] = 14364,
  [14668] = 14401,
  [14669] = 14362,
  [14670] = 14359,
  [14671] = 14387,
  [14672] = 14423,
  [14673] = 14673,
  [14674] = 14417,
  [14675] = 14421,
  [14676] = 14440,
  [14677] = 14395,
  [14678] = 14442,
  [14679] = 14442,
  [14680] = 14356,
  [14681] = 14681,
  [14682] = 14440,
  [14683] = 14358,
  [14684] = 14360,
  [14685] = 14400,
  [14686] = 14686,
  [14687] = 14398,
  [14688] = 14452,
  [14689] = 14422,
  [14690] = 14454,
  [14691] = 14414,
  [14692] = 14692,
  [14693] = 14408,
  [14694] = 14406,
  [14695] = 14459,
  [14696] = 14366,
  [14697] = 14355,
  [14698] = 14357,
  [14699] = 14417,
  [14700] = 14429,
  [14701] = 14378,
  [14702] = 14673,
  [14703] = 14400,
  [14704] = 14451,
  [14705] = 14361,
  [14706] = 14443,
  [14707] = 14387,
  [14708] = 14708,
  [14709] = 14365,
  [14710] = 14462,
  [14711] = 14368,
  [14712] = 14414,
  [14713] = 14444,
  [14714] = 14356,
  [14715] = 14376,
  [14716] = 14627,
  [14717] = 14486,
  [14718] = 14391,
  [14719] = 14374,
  [14720] = 14406,
  [14721] = 14408,
  [14722] = 14362,
  [14723] = 14367,
  [14724] = 14724,
  [14725] = 14371,
  [14726] = 14385,
  [14727] = 14408,
  [14728] = 14423,
  [14729] = 14729,
  [14730] = 14406,
  [14731] = 14374,
  [14732] = 14732,
  [14733] = 14376,
  [14734] = 14363,
  [14735] = 14368,
  [14736] = 14444,
  [14737] = 14395,
  [14738] = 14738,
  [14739] = 14378,
  [14740] = 14421,
  [14741] = 14422,
  [14742] = 14742,
  [14743] = 14448,
  [14744] = 14744,
  [14745] = 14462,
  [14746] = 14414,
  [14747] = 14364,
  [14748] = 14359,
  [14749] = 14466,
  [14750] = 14444,
  [14751] = 14365,
  [14752] = 14464,
  [14753] = 14358,
  [14754] = 14360,
  [14755] = 14381,
  [14756] = 14360,
  [14757] = 14358,
  [14758] = 14466,
  [14759] = 14464,
  [14760] = 14463,
  [14761] = 14460,
  [14762] = 14458,
  [14763] = 14400,
  [14764] = 14456,
  [14765] = 14414,
  [14766] = 14463,
  [14767] = 14408,
  [14768] = 14378,
  [14769] = 14437,
  [14770] = 14376,
  [14771] = 14460,
  [14772] = 14356,
  [14773] = 14773,
  [14774] = 14428,
  [14775] = 14406,
  [14776] = 14374,
  [14777] = 14427,
  [14778] = 14458,
  [14779] = 14779,
  [14780] = 14456,
  [14781] = 14420,
  [14782] = 14400,
  [14783] = 14783,
  [14784] = 14368,
  [14785] = 14785,
  [14786] = 14390,
  [14787] = 14356,
  [14788] = 14788,
  [14789] = 14393,
  [14790] = 14361,
  [14791] = 14385,
  [14792] = 14792,
  [14793] = 14793,
  [14794] = 14401,
  [14795] = 14437,
  [14796] = 14365,
  [14797] = 14363,
  [14798] = 14398,
  [14799] = 14799,
  [14800] = 14364,
  [14801] = 14359,
  [14802] = 14361,
  [14803] = 14391,
  [14804] = 14428,
  [14805] = 14427,
  [14806] = 14421,
  [14807] = 14420,
  [14808] = 14381,
  [14809] = 14358,
  [14810] = 14360,
  [14811] = 14380,
  [14812] = 14385,
  [14813] = 14429,
  [14814] = 14390,
  [14815] = 14815,
  [14816] = 14357,
  [14817] = 14423,
  [14818] = 14366,
  [14819] = 14819,
  [14820] = 14357,
  [14821] = 14378,
  [14822] = 14362,
  [14823] = 14429,
  [14824] = 14393,
  [14825] = 14366,
  [14826] = 14376,
  [14827] = 14827,
  [14828] = 14361,
  [14829] = 14380,
  [14830] = 14374,
  [14831] = 14486,
  [14832] = 14365,
  [14833] = 14401,
  [14834] = 14380,
  [14835] = 14368,
  [14836] = 14368,
  [14837] = 14429,
  [14838] = 14365,
  [14839] = 14428,
  [14840] = 14840,
  [14841] = 14374,
  [14842] = 14842,
  [14843] = 14376,
  [14844] = 14381,
  [14845] = 14378,
  [14846] = 14361,
  [14847] = 14847,
  [14848] = 14429,
  [14849] = 14849,
  [14850] = 14391,
  [14851] = 14360,
  [14852] = 14357,
  [14853] = 14358,
  [14854] = 14398,
  [14855] = 14398,
  [14856] = 14366,
  [14857] = 14401,
  [14858] = 14423,
  [14859] = 14359,
  [14860] = 14391,
  [14861] = 14364,
  [14862] = 14357,
  [14863] = 14393,
  [14864] = 14363,
  [14865] = 14381,
  [14866] = 14380,
  [14867] = 14867,
  [14868] = 14381,
  [14869] = 14390,
  [14870] = 14385,
  [14871] = 14391,
  [14872] = 14356,
  [14873] = 14420,
  [14874] = 14400,
  [14875] = 14427,
  [14876] = 14876,
  [14877] = 14406,
  [14878] = 14428,
  [14879] = 14408,
  [14880] = 14460,
  [14881] = 14414,
  [14882] = 14398,
  [14883] = 14366,
  [14884] = 14401,
  [14885] = 14437,
  [14886] = 5958,
  [14887] = 14366,
  [14888] = 14421,
  [14889] = 14456,
  [14890] = 14423,
  [14891] = 14486,
  [14892] = 14362,
  [14893] = 14357,
  [14894] = 14393,
  [14895] = 14458,
  [14896] = 14460,
  [14897] = 14463,
  [14898] = 14464,
  [14899] = 14466,
  [14900] = 14390,
  [14901] = 14381,
  [14902] = 14387,
  [14903] = 14429,
  [14904] = 14444,
  [14905] = 14417,
  [14906] = 14462,
  [14907] = 14440,
  [14908] = 14448,
  [14909] = 14442,
  [14910] = 14361,
  [14911] = 14420,
  [14912] = 14422,
  [14913] = 14913,
  [14914] = 14395,
  [14915] = 14509,
  [14916] = 14366,
  [14917] = 14371,
  [14918] = 14365,
  [14919] = 14452,
  [14920] = 14367,
  [14921] = 14454,
  [14922] = 14367,
  [14923] = 14427,
  [14924] = 14391,
  [14925] = 14357,
  [14926] = 14459,
  [14927] = 14371,
  [14928] = 14355,
  [14929] = 14429,
  [14930] = 14428,
  [14931] = 14371,
  [14932] = 14368,
  [14933] = 14367,
  [14934] = 14600,
  [14935] = 14451,
  [14936] = 14443,
  [14937] = 14443,
  [14938] = 14451,
  [14939] = 14364,
  [14940] = 14398,
  [14941] = 14359,
  [14942] = 14380,
  [14943] = 14355,
  [14944] = 14459,
  [14945] = 14387,
  [14946] = 14454,
  [14947] = 14437,
  [14948] = 14486,
  [14949] = 14401,
  [14950] = 14456,
  [14951] = 14951,
  [14952] = 14417,
  [14953] = 14452,
  [14954] = 14367,
  [14955] = 14458,
  [14956] = 14371,
  [14957] = 14957,
  [14958] = 14423,
  [14959] = 14437,
  [14960] = 14463,
  [14961] = 14464,
  [14962] = 14466,
  [14963] = 14442,
  [14964] = 14964,
  [14965] = 14440,
  [14966] = 14440,
  [14967] = 14365,
  [14968] = 14395,
  [14969] = 14969,
  [14970] = 14417,
  [14971] = 14387,
  [14972] = 14422,
  [14973] = 14358,
  [14974] = 14448,
  [14975] = 14393,
  [14976] = 14462,
  [14977] = 14420,
  [14978] = 14376,
  [14979] = 14362,
  [14980] = 14378,
  [14981] = 14444,
  [14982] = 14421,
  [14983] = 14442,
  [14984] = 14444,
  [14985] = 14390,
  [14986] = 14414,
  [14987] = 14360,
  [14988] = 14408,
  [14989] = 14466,
  [14990] = 14464,
  [14991] = 14463,
  [14992] = 14460,
  [14993] = 14458,
  [14994] = 14368,
  [14995] = 14456,
  [14996] = 14358,
  [14997] = 14406,
  [14998] = 14400,
  [14999] = 14395,
  [15000] = 14437,
  [15001] = 14356,
  [15002] = 14462,
  [15003] = 14385,
  [15004] = 14398,
  [15005] = 14428,
  [15006] = 14448,
  [15007] = 14428,
  [15008] = 14427,
  [15009] = 14363,
  [15010] = 14422,
  [15011] = 14364,
  [15012] = 14420,
  [15013] = 14359,
  [15014] = 14359,
  [15015] = 14876,
  [15016] = 14358,
  [15017] = 14390,
  [15018] = 14448,
  [15019] = 14374,
  [15020] = 14393,
  [15021] = 14395,
  [15022] = 14360,
  [15023] = 14422,
  [15024] = 14376,
  [15025] = 14401,
  [15026] = 14364,
  [15027] = 14378,
  [15028] = 14437,
  [15029] = 14398,
  [15030] = 14363,
  [15031] = 14376,
  [15032] = 14374,
  [15033] = 14427,
  [15034] = 14391,
  [15035] = 15035,
  [15036] = 14385,
  [15037] = 12368,
  [15038] = 14368,
  [15039] = 14381,
  [15040] = 14371,
  [15041] = 14367,
  [15042] = 14380,
  [15043] = 14356,
  [15044] = 14365,
  [15045] = 14378,
  [15046] = 14448,
  [15047] = 14361,
  [15048] = 14462,
  [15049] = 14366,
  [15050] = 14429,
  [15051] = 14357,
  [15052] = 14486,
  [15053] = 14400,
  [15054] = 14429,
  [15055] = 14378,
  [15056] = 14357,
  [15057] = 14366,
  [15058] = 14456,
  [15059] = 14361,
  [15060] = 14452,
  [15061] = 14360,
  [15062] = 14380,
  [15063] = 14365,
  [15064] = 14406,
  [15065] = 14408,
  [15066] = 14368,
  [15067] = 14414,
  [15068] = 14428,
  [15069] = 14444,
  [15070] = 14381,
  [15071] = 14443,
  [15072] = 14374,
  [15073] = 14421,
  [15074] = 14376,
  [15075] = 14391,
  [15076] = 14378,
  [15077] = 14451,
  [15078] = 14423,
  [15079] = 14456,
  [15080] = 14398,
  [15081] = 14362,
  [15082] = 14360,
  [15083] = 14401,
  [15084] = 14358,
  [15085] = 14427,
  [15086] = 14393,
  [15087] = 14440,
  [15088] = 14390,
  [15089] = 14459,
  [15090] = 14359,
  [15091] = 14420,
  [15092] = 14364,
  [15093] = 14358,
  [15094] = 14428,
  [15095] = 14363,
  [15096] = 14454,
  [15097] = 14452,
  [15098] = 14444,
  [15099] = 14428,
  [15100] = 15100,
  [15101] = 14385,
  [15102] = 14437,
  [15103] = 14356,
  [15104] = 14390,
  [15105] = 14400,
  [15106] = 14393,
  [15107] = 14456,
  [15108] = 14406,
  [15109] = 14458,
  [15110] = 14408,
  [15111] = 14460,
  [15112] = 14414,
  [15113] = 14387,
  [15114] = 14442,
  [15115] = 14463,
  [15116] = 14464,
  [15117] = 14466,
  [15118] = 15118,
  [15119] = 14421,
  [15120] = 14376,
  [15121] = 14423,
  [15122] = 14417,
  [15123] = 14362,
  [15124] = 14400,
  [15125] = 14401,
  [15126] = 14444,
  [15127] = 14462,
  [15128] = 14448,
  [15129] = 14422,
  [15130] = 14417,
  [15131] = 14395,
  [15132] = 5393,
  [15133] = 14387,
  [15134] = 5415,
  [15135] = 14444,
  [15136] = 14417,
  [15137] = 14359,
  [15138] = 14440,
  [15139] = 15139,
  [15140] = 14442,
  [15141] = 14440,
  [15142] = 14387,
  [15143] = 14371,
  [15144] = 14398,
  [15145] = 14367,
  [15146] = 5398,
  [15147] = 5406,
  [15148] = 15148,
  [15149] = 14442,
  [15150] = 14452,
  [15151] = 14364,
  [15152] = 14454,
  [15153] = 15153,
  [15154] = 14486,
  [15155] = 15155,
  [15156] = 14454,
  [15157] = 14459,
  [15158] = 14363,
  [15159] = 14355,
  [15160] = 14374,
  [15161] = 14459,
  [15162] = 15162,
  [15163] = 14401,
  [15164] = 15164,
  [15165] = 14385,
  [15166] = 14451,
  [15167] = 15167,
  [15168] = 14443,
  [15169] = 14356,
  [15170] = 14454,
  [15171] = 15171,
  [15172] = 14391,
  [15173] = 15173,
  [15174] = 14362,
  [15175] = 14400,
  [15176] = 14423,
  [15177] = 15177,
  [15178] = 15178,
  [15179] = 14486,
  [15180] = 14443,
  [15181] = 14421,
  [15182] = 15182,
  [15183] = 14451,
  [15184] = 15184,
  [15185] = 14367,
  [15186] = 14381,
  [15187] = 14371,
  [15188] = 15188,
  [15189] = 14443,
  [15190] = 14451,
  [15191] = 15191,
  [15192] = 14578,
  [15193] = 14406,
  [15194] = 14366,
  [15195] = 14414,
  [15196] = 14408,
  [15197] = 14414,
  [15198] = 15198,
  [15199] = 14395,
  [15200] = 14355,
  [15201] = 14357,
  [15202] = 15202,
  [15203] = 14422,
  [15204] = 14408,
  [15205] = 14448,
  [15206] = 14406,
  [15207] = 14462,
  [15208] = 14459,
  [15209] = 14355,
  [15210] = 14429,
  [15211] = 14459,
  [15212] = 14444,
  [15213] = 14355,
  [15214] = 14374,
  [15215] = 14452,
  [15216] = 14356,
  [15217] = 15217,
  [15218] = 14466,
  [15219] = 14385,
  [15220] = 14466,
  [15221] = 14464,
  [15222] = 14463,
  [15223] = 14460,
  [15224] = 14458,
  [15225] = 14464,
  [15226] = 14456,
  [15227] = 14361,
  [15228] = 14452,
  [15229] = 14363,
  [15230] = 14463,
  [15231] = 14437,
  [15232] = 14364,
  [15233] = 14365,
  [15234] = 14359,
  [15235] = 14442,
  [15236] = 14428,
  [15237] = 14368,
  [15238] = 14440,
  [15239] = 14427,
  [15240] = 14876,
  [15241] = 14454,
  [15242] = 14417,
  [15243] = 14420,
  [15244] = 15118,
  [15245] = 14358,
  [15246] = 14387,
  [15247] = 14454,
  [15248] = 14390,
  [15249] = 14360,
  [15250] = 15139,
  [15251] = 14393,
  [15252] = 14459,
  [15253] = 14374,
  [15254] = 14355,
  [15255] = 14460,
  [15256] = 14401,
  [15257] = 14378,
  [15258] = 14362,
  [15259] = 14423,
  [15260] = 14398,
  [15261] = 14376,
  [15262] = 14376,
  [15263] = 14421,
  [15264] = 14360,
  [15265] = 14391,
  [15266] = 14378,
  [15267] = 14374,
  [15268] = 14452,
  [15269] = 14456,
  [15270] = 14381,
  [15271] = 14458,
  [15272] = 14368,
  [15273] = 14380,
  [15274] = 14421,
  [15275] = 14361,
  [15276] = 15276,
  [15277] = 14365,
  [15278] = 14414,
  [15279] = 14408,
  [15280] = 14366,
  [15281] = 14437,
  [15282] = 14357,
  [15283] = 14360,
  [15284] = 14732,
  [15285] = 14429,
  [15286] = 14361,
  [15287] = 14406,
  [15288] = 14358,
  [15289] = 14362,
  [15290] = 14361,
  [15291] = 14456,
  [15292] = 15292,
  [15293] = 14964,
  [15294] = 14365,
  [15295] = 14429,
  [15296] = 14969,
  [15297] = 14368,
  [15298] = 14359,
  [15299] = 14357,
  [15300] = 14876,
  [15301] = 14400,
  [15302] = 14356,
  [15303] = 14374,
  [15304] = 15118,
  [15305] = 14376,
  [15306] = 14385,
  [15307] = 14378,
  [15308] = 14364,
  [15309] = 14366,
  [15310] = 15139,
  [15311] = 14451,
  [15312] = 15312,
  [15313] = 14360,
  [15314] = 14443,
  [15315] = 14358,
  [15316] = 14363,
  [15317] = 14363,
  [15318] = 14368,
  [15319] = 14364,
  [15320] = 14359,
  [15321] = 14359,
  [15322] = 14437,
  [15323] = 14364,
  [15324] = 14380,
  [15325] = 14442,
  [15326] = 14363,
  [15327] = 14381,
  [15328] = 14451,
  [15329] = 14358,
  [15330] = 14440,
  [15331] = 14428,
  [15332] = 14385,
  [15333] = 14391,
  [15334] = 14356,
  [15335] = 15335,
  [15336] = 14400,
  [15337] = 14417,
  [15338] = 14363,
  [15339] = 14406,
  [15340] = 14574,
  [15341] = 14408,
  [15342] = 14408,
  [15343] = 14414,
  [15344] = 14428,
  [15345] = 14398,
  [15346] = 15346,
  [15347] = 15347,
  [15348] = 14387,
  [15349] = 15349,
  [15350] = 14421,
  [15351] = 14387,
  [15352] = 14423,
  [15353] = 15353,
  [15354] = 14362,
  [15355] = 14385,
  [15356] = 14365,
  [15357] = 14427,
  [15358] = 15358,
  [15359] = 14401,
  [15360] = 14362,
  [15361] = 14429,
  [15362] = 15362,
  [15363] = 14378,
  [15364] = 14387,
  [15365] = 14486,
  [15366] = 14376,
  [15367] = 14417,
  [15368] = 14423,
  [15369] = 14440,
  [15370] = 14393,
  [15371] = 14442,
  [15372] = 14400,
  [15373] = 14390,
  [15374] = 14421,
  [15375] = 14417,
  [15376] = 14374,
  [15377] = 14440,
  [15378] = 14406,
  [15379] = 14423,
  [15380] = 14443,
  [15381] = 14452,
  [15382] = 14420,
  [15383] = 14454,
  [15384] = 14420,
  [15385] = 14414,
  [15386] = 14368,
  [15387] = 15387,
  [15388] = 14459,
  [15389] = 15389,
  [15390] = 14355,
  [15391] = 14462,
  [15392] = 15392,
  [15393] = 14408,
  [15394] = 14406,
  [15395] = 14443,
  [15396] = 14451,
  [15397] = 14451,
  [15398] = 14365,
  [15399] = 14443,
  [15400] = 15400,
  [15401] = 14359,
  [15402] = 14364,
  [15403] = 14427,
  [15404] = 14363,
  [15405] = 14367,
  [15406] = 14428,
  [15407] = 14414,
  [15408] = 14361,
  [15409] = 14371,
  [15410] = 14486,
  [15411] = 14367,
  [15412] = 14437,
  [15413] = 14400,
  [15414] = 14361,
  [15415] = 14429,
  [15416] = 14356,
  [15417] = 15312,
  [15418] = 14385,
  [15419] = 14448,
  [15420] = 14456,
  [15421] = 15421,
  [15422] = 14393,
  [15423] = 14444,
  [15424] = 14357,
  [15425] = 14458,
  [15426] = 14385,
  [15427] = 14366,
  [15428] = 14356,
  [15429] = 14466,
  [15430] = 14463,
  [15431] = 14400,
  [15432] = 14456,
  [15433] = 14460,
  [15434] = 14390,
  [15435] = 14393,
  [15436] = 14406,
  [15437] = 14437,
  [15438] = 14509,
  [15439] = 14463,
  [15440] = 14380,
  [15441] = 14408,
  [15442] = 14428,
  [15443] = 14464,
  [15444] = 14466,
  [15445] = 14427,
  [15446] = 14421,
  [15447] = 14414,
  [15448] = 14381,
  [15449] = 14423,
  [15450] = 14395,
  [15451] = 14422,
  [15452] = 14390,
  [15453] = 14448,
  [15454] = 14462,
  [15455] = 14393,
  [15456] = 14444,
  [15457] = 14391,
  [15458] = 14429,
  [15459] = 14421,
  [15460] = 14401,
  [15461] = 14362,
  [15462] = 14444,
  [15463] = 14423,
  [15464] = 14398,
  [15465] = 15465,
  [15466] = 14398,
  [15467] = 14357,
  [15468] = 14362,
  [15469] = 14391,
  [15470] = 14393,
  [15471] = 14363,
  [15472] = 14366,
  [15473] = 14448,
  [15474] = 14381,
  [15475] = 14464,
  [15476] = 14422,
  [15477] = 14401,
  [15478] = 5835,
  [15479] = 14401,
  [15480] = 14395,
  [15481] = 15481,
  [15482] = 14366,
  [15483] = 14393,
  [15484] = 14357,
  [15485] = 14364,
  [15486] = 15486,
  [15487] = 14429,
  [15488] = 14359,
  [15489] = 14463,
  [15490] = 14390,
  [15491] = 15491,
  [15492] = 14361,
  [15493] = 14460,
  [15494] = 14458,
  [15495] = 15495,
  [15496] = 14365,
  [15497] = 14387,
  [15498] = 15498,
  [15499] = 14368,
  [15500] = 14732,
  [15501] = 14371,
  [15502] = 14448,
  [15503] = 14367,
  [15504] = 14627,
  [15505] = 14374,
  [15506] = 14417,
  [15507] = 14376,
  [15508] = 14443,
  [15509] = 14378,
  [15510] = 14451,
  [15511] = 14456,
  [15512] = 14420,
  [15513] = 15513,
  [15514] = 14358,
  [15515] = 14360,
  [15516] = 14427,
  [15517] = 14358,
  [15518] = 14360,
  [15519] = 14428,
  [15520] = 14486,
  [15521] = 14355,
  [15522] = 14459,
  [15523] = 14359,
  [15524] = 14454,
  [15525] = 14364,
  [15526] = 14390,
  [15527] = 14452,
  [15528] = 14363,
  [15529] = 14964,
  [15530] = 14452,
  [15531] = 14437,
  [15532] = 14437,
  [15533] = 7448,
  [15534] = 14385,
  [15535] = 14442,
  [15536] = 14356,
  [15537] = 14440,
  [15538] = 14400,
  [15539] = 14417,
  [15540] = 14387,
  [15541] = 14406,
  [15542] = 14380,
  [15543] = 14408,
  [15544] = 15349,
  [15545] = 14414,
  [15546] = 7443,
  [15547] = 7457,
  [15548] = 14398,
  [15549] = 14378,
  [15550] = 14458,
  [15551] = 14376,
  [15552] = 14421,
  [15553] = 15553,
  [15554] = 14423,
  [15555] = 15555,
  [15556] = 14362,
  [15557] = 14969,
  [15558] = 14428,
  [15559] = 15559,
  [15560] = 14427,
  [15561] = 14456,
  [15562] = 14393,
  [15563] = 14374,
  [15564] = 14458,
  [15565] = 14387,
  [15566] = 14428,
  [15567] = 14454,
  [15568] = 14417,
  [15569] = 15312,
  [15570] = 14440,
  [15571] = 14460,
  [15572] = 14442,
  [15573] = 14420,
  [15574] = 14391,
  [15575] = 14463,
  [15576] = 14464,
  [15577] = 15577,
  [15578] = 15578,
  [15579] = 14381,
  [15580] = 15118,
  [15581] = 14466,
  [15582] = 14452,
  [15583] = 14381,
  [15584] = 14454,
  [15585] = 14368,
  [15586] = 14459,
  [15587] = 14390,
  [15588] = 14444,
  [15589] = 14459,
  [15590] = 14380,
  [15591] = 14355,
  [15592] = 14365,
  [15593] = 14462,
  [15594] = 15594,
  [15595] = 14401,
  [15596] = 14391,
  [15597] = 14505,
  [15598] = 14451,
  [15599] = 15599,
  [15600] = 14443,
  [15601] = 14422,
  [15602] = 14398,
  [15603] = 14395,
  [15604] = 14361,
  [15605] = 14437,
  [15606] = 14486,
  [15607] = 14371,
  [15608] = 14440,
  [15609] = 14367,
  [15610] = 14442,
  [15611] = 14355,
  [15612] = 14366,
  [15613] = 14429,
  [15614] = 14452,
  [15615] = 14442,
  [15616] = 14486,
  [15617] = 14448,
  [15618] = 14454,
  [15619] = 14443,
  [15620] = 14357,
  [15621] = 14444,
  [15622] = 14459,
  [15623] = 14451,
  [15624] = 14355,
  [15625] = 14451,
  [15626] = 14443,
  [15627] = 14466,
  [15628] = 15628,
  [15629] = 14456,
  [15630] = 14398,
  [15631] = 14401,
  [15632] = 14355,
  [15633] = 14366,
  [15634] = 14437,
  [15635] = 14459,
  [15636] = 14437,
  [15637] = 14398,
  [15638] = 14454,
  [15639] = 14428,
  [15640] = 14456,
  [15641] = 14452,
  [15642] = 14427,
  [15643] = 14391,
  [15644] = 14458,
  [15645] = 14460,
  [15646] = 14463,
  [15647] = 14357,
  [15648] = 14429,
  [15649] = 14390,
  [15650] = 14442,
  [15651] = 14464,
  [15652] = 14393,
  [15653] = 14440,
  [15654] = 14466,
  [15655] = 14417,
  [15656] = 14401,
  [15657] = 14401,
  [15658] = 14521,
  [15659] = 14381,
  [15660] = 14387,
  [15661] = 14398,
  [15662] = 14466,
  [15663] = 14381,
  [15664] = 15664,
  [15665] = 14380,
  [15666] = 14391,
  [15667] = 14362,
  [15668] = 14366,
  [15669] = 14423,
  [15670] = 14361,
  [15671] = 14381,
  [15672] = 14421,
  [15673] = 14357,
  [15674] = 14429,
  [15675] = 14444,
  [15676] = 14414,
  [15677] = 14408,
  [15678] = 14406,
  [15679] = 14366,
  [15680] = 14361,
  [15681] = 14357,
  [15682] = 14400,
  [15683] = 14456,
  [15684] = 14429,
  [15685] = 14456,
  [15686] = 14356,
  [15687] = 14385,
  [15688] = 14363,
  [15689] = 14361,
  [15690] = 14437,
  [15691] = 14364,
  [15692] = 14368,
  [15693] = 14365,
  [15694] = 14359,
  [15695] = 14374,
  [15696] = 14368,
  [15697] = 14428,
  [15698] = 14358,
  [15699] = 14360,
  [15700] = 14376,
  [15701] = 14391,
  [15702] = 14374,
  [15703] = 14362,
  [15704] = 14376,
  [15705] = 14423,
  [15706] = 14378,
  [15707] = 14378,
  [15708] = 14378,
  [15709] = 14376,
  [15710] = 14421,
  [15711] = 14390,
  [15712] = 14360,
  [15713] = 14374,
  [15714] = 14358,
  [15715] = 14414,
  [15716] = 14393,
  [15717] = 14368,
  [15718] = 14408,
  [15719] = 14406,
  [15720] = 14359,
  [15721] = 14400,
  [15722] = 14364,
  [15723] = 14365,
  [15724] = 14356,
  [15725] = 14363,
  [15726] = 14421,
  [15727] = 14361,
  [15728] = 14360,
  [15729] = 14385,
  [15730] = 14358,
  [15731] = 14385,
  [15732] = 14429,
  [15733] = 14356,
  [15734] = 14401,
  [15735] = 14400,
  [15736] = 14363,
  [15737] = 14357,
  [15738] = 14406,
  [15739] = 14364,
  [15740] = 14408,
  [15741] = 14359,
  [15742] = 14414,
  [15743] = 14366,
  [15744] = 14359,
  [15745] = 14364,
  [15746] = 14398,
  [15747] = 14451,
  [15748] = 15748,
  [15749] = 14421,
  [15750] = 14363,
  [15751] = 14423,
  [15752] = 14365,
  [15753] = 14362,
  [15754] = 14380,
  [15755] = 14381,
  [15756] = 14398,
  [15757] = 14391,
  [15758] = 14393,
  [15759] = 14391,
  [15760] = 14401,
  [15761] = 14368,
  [15762] = 14387,
  [15763] = 14443,
  [15764] = 14578,
  [15765] = 14417,
  [15766] = 14385,
  [15767] = 14440,
  [15768] = 14356,
  [15769] = 14442,
  [15770] = 14398,
  [15771] = 14391,
  [15772] = 14400,
  [15773] = 14393,
  [15774] = 14387,
  [15775] = 14417,
  [15776] = 14440,
  [15777] = 14442,
  [15778] = 14401,
  [15779] = 14452,
  [15780] = 14406,
  [15781] = 14454,
  [15782] = 14452,
  [15783] = 14454,
  [15784] = 14459,
  [15785] = 14355,
  [15786] = 14459,
  [15787] = 15787,
  [15788] = 14355,
  [15789] = 15789,
  [15790] = 14374,
  [15791] = 14408,
  [15792] = 15792,
  [15793] = 14393,
  [15794] = 14444,
  [15795] = 14451,
  [15796] = 15796,
  [15797] = 14443,
  [15798] = 15798,
  [15799] = 14390,
  [15800] = 14390,
  [15801] = 14376,
  [15802] = 15802,
  [15803] = 15803,
  [15804] = 14414,
  [15805] = 14420,
  [15806] = 14381,
  [15807] = 14381,
  [15808] = 15808,
  [15809] = 14427,
  [15810] = 14573,
  [15811] = 14428,
  [15812] = 14423,
  [15813] = 14448,
  [15814] = 14362,
  [15815] = 14437,
  [15816] = 14390,
  [15817] = 14444,
  [15818] = 14456,
  [15819] = 14366,
  [15820] = 14458,
  [15821] = 14460,
  [15822] = 14428,
  [15823] = 14466,
  [15824] = 14463,
  [15825] = 14456,
  [15826] = 14464,
  [15827] = 14466,
  [15828] = 14357,
  [15829] = 14732,
  [15830] = 14437,
  [15831] = 14964,
  [15832] = 14969,
  [15833] = 15312,
  [15834] = 14378,
  [15835] = 14428,
  [15836] = 14444,
  [15837] = 14429,
  [15838] = 14427,
  [15839] = 14387,
  [15840] = 14420,
  [15841] = 14462,
  [15842] = 14365,
  [15843] = 14448,
  [15844] = 14437,
  [15845] = 14390,
  [15846] = 14422,
  [15847] = 15847,
  [15848] = 14393,
  [15849] = 14440,
  [15850] = 14395,
  [15851] = 14360,
  [15852] = 14464,
  [15853] = 14401,
  [15854] = 14442,
  [15855] = 14452,
  [15856] = 14456,
  [15857] = 14398,
  [15858] = 14454,
  [15859] = 14427,
  [15860] = 14459,
  [15861] = 14355,
  [15862] = 14391,
  [15863] = 14371,
  [15864] = 14367,
  [15865] = 14361,
  [15866] = 14358,
  [15867] = 14381,
  [15868] = 14358,
  [15869] = 14417,
  [15870] = 14444,
  [15871] = 14360,
  [15872] = 14486,
  [15873] = 14443,
  [15874] = 14428,
  [15875] = 14366,
  [15876] = 14673,
  [15877] = 14357,
  [15878] = 14437,
  [15879] = 14600,
  [15880] = 14429,
  [15881] = 14359,
  [15882] = 14486,
  [15883] = 14364,
  [15884] = 14378,
  [15885] = 14361,
  [15886] = 14456,
  [15887] = 14363,
  [15888] = 14376,
  [15889] = 14365,
  [15890] = 14367,
  [15891] = 14374,
  [15892] = 14368,
  [15893] = 14371,
  [15894] = 14451,
  [15895] = 14460,
  [15896] = 14463,
  [15897] = 14385,
  [15898] = 14374,
  [15899] = 14395,
  [15900] = 14376,
  [15901] = 14368,
  [15902] = 14378,
  [15903] = 14422,
  [15904] = 14448,
  [15905] = 14462,
  [15906] = 14365,
  [15907] = 14365,
  [15908] = 14360,
  [15909] = 14368,
  [15910] = 14358,
  [15911] = 14443,
  [15912] = 14451,
  [15913] = 14444,
  [15914] = 14361,
  [15915] = 14374,
  [15916] = 14359,
  [15917] = 14376,
  [15918] = 14364,
  [15919] = 14378,
  [15920] = 14355,
  [15921] = 14363,
  [15922] = 14459,
  [15923] = 14360,
  [15924] = 14358,
  [15925] = 14429,
  [15926] = 14359,
  [15927] = 14385,
  [15928] = 14357,
  [15929] = 14356,
  [15930] = 14366,
  [15931] = 14400,
  [15932] = 14364,
  [15933] = 15933,
  [15934] = 14406,
  [15935] = 14454,
  [15936] = 14408,
  [15937] = 15937,
  [15938] = 14414,
  [15939] = 14452,
  [15940] = 14363,
  [15941] = 14466,
  [15942] = 14385,
  [15943] = 14356,
  [15944] = 14400,
  [15945] = 14421,
  [15946] = 14442,
  [15947] = 14423,
  [15948] = 14406,
  [15949] = 14362,
  [15950] = 14440,
  [15951] = 14408,
  [15952] = 15139,
  [15953] = 14417,
  [15954] = 14414,
  [15955] = 14387,
  [15956] = 14421,
  [15957] = 14454,
  [15958] = 14387,
  [15959] = 14423,
  [15960] = 14362,
  [15961] = 14417,
  [15962] = 14362,
  [15963] = 14440,
  [15964] = 14387,
  [15965] = 14442,
  [15966] = 14423,
  [15967] = 14417,
  [15968] = 15968,
  [15969] = 14421,
  [15970] = 14440,
  [15971] = 14442,
  [15972] = 14414,
  [15973] = 14452,
  [15974] = 15974,
  [15975] = 14452,
  [15976] = 15976,
  [15977] = 14454,
  [15978] = 14443,
  [15979] = 14408,
  [15980] = 14443,
  [15981] = 14390,
  [15982] = 14459,
  [15983] = 14406,
  [15984] = 14355,
  [15985] = 14459,
  [15986] = 14355,
  [15987] = 14400,
  [15988] = 14451,
  [15989] = 14356,
  [15990] = 14451,
  [15991] = 15991,
  [15992] = 15992,
  [15993] = 15993,
  [15994] = 15994,
  [15995] = 15995,
  [15996] = 15996,
  [15997] = 15997,
  [15998] = 15998,
  [15999] = 15999,
  [16000] = 16000,
  [16001] = 16001,
  [16002] = 15999,
  [16003] = 16003,
  [16004] = 15997,
  [16005] = 15999,
  [16006] = 15997,
  [16007] = 15997,
  [16008] = 16003,
  [16009] = 16001,
  [16010] = 15999,
  [16011] = 15999,
  [16012] = 15997,
  [16013] = 16013,
  [16014] = 16014,
  [16015] = 16015,
  [16016] = 15998,
  [16017] = 16013,
  [16018] = 16018,
  [16019] = 16019,
  [16020] = 15997,
  [16021] = 16021,
  [16022] = 16022,
  [16023] = 16023,
  [16024] = 16024,
  [16025] = 16025,
  [16026] = 16026,
  [16027] = 16000,
  [16028] = 16013,
  [16029] = 16029,
  [16030] = 16030,
  [16031] = 16018,
  [16032] = 16032,
  [16033] = 16033,
  [16034] = 16034,
  [16035] = 16035,
  [16036] = 16036,
  [16037] = 16013,
  [16038] = 16038,
  [16039] = 16039,
  [16040] = 16040,
  [16041] = 16041,
  [16042] = 16018,
  [16043] = 16043,
  [16044] = 16044,
  [16045] = 16045,
  [16046] = 16046,
  [16047] = 16047,
  [16048] = 16003,
  [16049] = 15992,
  [16050] = 16050,
  [16051] = 16051,
  [16052] = 16013,
  [16053] = 16013,
  [16054] = 16054,
  [16055] = 16055,
  [16056] = 16056,
  [16057] = 15999,
  [16058] = 16058,
  [16059] = 16059,
  [16060] = 16060,
  [16061] = 16038,
  [16062] = 16003,
  [16063] = 16001,
  [16064] = 16064,
  [16065] = 16018,
  [16066] = 16013,
  [16067] = 16000,
  [16068] = 15998,
  [16069] = 16018,
  [16070] = 16070,
  [16071] = 16071,
  [16072] = 16072,
  [16073] = 16018,
  [16074] = 16013,
  [16075] = 16075,
  [16076] = 16018,
  [16077] = 15997,
  [16078] = 15999,
  [16079] = 16056,
  [16080] = 16055,
  [16081] = 16058,
  [16082] = 16001,
  [16083] = 16083,
  [16084] = 16084,
  [16085] = 16085,
  [16086] = 16086,
  [16087] = 16013,
  [16088] = 15999,
  [16089] = 15997,
  [16090] = 16090,
  [16091] = 16003,
  [16092] = 16092,
  [16093] = 16018,
  [16094] = 16001,
  [16095] = 16095,
  [16096] = 16000,
  [16097] = 16097,
  [16098] = 15998,
  [16099] = 16018,
  [16100] = 16013,
  [16101] = 16101,
  [16102] = 16038,
  [16103] = 16013,
  [16104] = 16018,
  [16105] = 16105,
  [16106] = 16013,
  [16107] = 16018,
  [16108] = 15993,
  [16109] = 16013,
  [16110] = 15998,
  [16111] = 16000,
  [16112] = 16018,
  [16113] = 16113,
  [16114] = 16114,
  [16115] = 16115,
  [16116] = 16113,
  [16117] = 16115,
  [16118] = 16001,
  [16119] = 16003,
  [16120] = 16120,
  [16121] = 16036,
  [16122] = 16013,
  [16123] = 16123,
  [16124] = 16124,
  [16125] = 16018,
  [16126] = 16126,
  [16127] = 16127,
  [16128] = 15999,
  [16129] = 16013,
  [16130] = 16130,
  [16131] = 15997,
  [16132] = 16132,
  [16133] = 16133,
  [16134] = 16134,
  [16135] = 16135,
  [16136] = 16136,
  [16137] = 16137,
  [16138] = 16138,
  [16139] = 16018,
  [16140] = 16140,
  [16141] = 16141,
  [16142] = 16142,
  [16143] = 16013,
  [16144] = 16018,
  [16145] = 16145,
  [16146] = 16146,
  [16147] = 16032,
  [16148] = 16013,
  [16149] = 16038,
  [16150] = 16150,
  [16151] = 15992,
  [16152] = 16152,
  [16153] = 16018,
  [16154] = 16026,
  [16155] = 16025,
  [16156] = 16013,
  [16157] = 16018,
  [16158] = 16158,
  [16159] = 16038,
  [16160] = 16023,
  [16161] = 16161,
  [16162] = 16021,
  [16163] = 15998,
  [16164] = 16051,
  [16165] = 16000,
  [16166] = 16166,
  [16167] = 16167,
  [16168] = 16001,
  [16169] = 16030,
  [16170] = 16003,
  [16171] = 16171,
  [16172] = 16172,
  [16173] = 16173,
  [16174] = 16174,
  [16175] = 16175,
  [16176] = 16176,
  [16177] = 16013,
  [16178] = 16178,
  [16179] = 16075,
  [16180] = 15999,
  [16181] = 16003,
  [16182] = 16182,
  [16183] = 16001,
  [16184] = 16000,
  [16185] = 15998,
  [16186] = 16075,
  [16187] = 16187,
  [16188] = 15992,
  [16189] = 16189,
  [16190] = 16189,
  [16191] = 15997,
  [16192] = 16192,
  [16193] = 15999,
  [16194] = 16003,
  [16195] = 16038,
  [16196] = 16001,
  [16197] = 16197,
  [16198] = 16000,
  [16199] = 15998,
  [16200] = 16200,
  [16201] = 16201,
  [16202] = 15999,
  [16203] = 16201,
  [16204] = 16145,
  [16205] = 16137,
  [16206] = 16054,
  [16207] = 15998,
  [16208] = 16013,
  [16209] = 15992,
  [16210] = 16000,
  [16211] = 16075,
  [16212] = 16212,
  [16213] = 16213,
  [16214] = 15998,
  [16215] = 16000,
  [16216] = 16001,
  [16217] = 16003,
  [16218] = 16003,
  [16219] = 16219,
  [16220] = 16220,
  [16221] = 16221,
  [16222] = 16019,
  [16223] = 15997,
  [16224] = 15999,
  [16225] = 16018,
  [16226] = 16003,
  [16227] = 16001,
  [16228] = 16001,
  [16229] = 16000,
  [16230] = 15998,
  [16231] = 16231,
  [16232] = 16003,
  [16233] = 16000,
  [16234] = 15992,
  [16235] = 16038,
  [16236] = 15998,
  [16237] = 16237,
  [16238] = 16238,
  [16239] = 16015,
  [16240] = 16240,
  [16241] = 16241,
  [16242] = 16242,
  [16243] = 16243,
  [16244] = 15992,
  [16245] = 16245,
  [16246] = 15992,
  [16247] = 16247,
  [16248] = 16248,
  [16249] = 16213,
  [16250] = 16250,
  [16251] = 15998,
  [16252] = 16000,
  [16253] = 16253,
  [16254] = 16254,
  [16255] = 16001,
  [16256] = 16256,
  [16257] = 16257,
  [16258] = 16038,
  [16259] = 16003,
  [16260] = 16038,
  [16261] = 16038,
  [16262] = 16123,
  [16263] = 15999,
  [16264] = 15997,
  [16265] = 16265,
  [16266] = 16266,
  [16267] = 16267,
  [16268] = 16268,
  [16269] = 16269,
  [16270] = 16270,
  [16271] = 15992,
  [16272] = 16192,
  [16273] = 16038,
  [16274] = 15998,
  [16275] = 16000,
  [16276] = 16212,
  [16277] = 16277,
  [16278] = 16278,
  [16279] = 16001,
  [16280] = 15992,
  [16281] = 16281,
  [16282] = 16200,
  [16283] = 16283,
  [16284] = 16284,
  [16285] = 16003,
  [16286] = 16286,
  [16287] = 16287,
  [16288] = 16288,
  [16289] = 16289,
  [16290] = 16290,
  [16291] = 16291,
  [16292] = 16038,
  [16293] = 15997,
  [16294] = 15992,
  [16295] = 16295,
  [16296] = 16092,
  [16297] = 16297,
  [16298] = 16298,
  [16299] = 15992,
  [16300] = 16300,
  [16301] = 16019,
  [16302] = 16038,
  [16303] = 16303,
  [16304] = 15992,
  [16305] = 15996,
  [16306] = 15997,
  [16307] = 15997,
  [16308] = 15999,
  [16309] = 16003,
  [16310] = 15999,
  [16311] = 16003,
  [16312] = 15999,
  [16313] = 15992,
  [16314] = 16038,
  [16315] = 16001,
  [16316] = 16000,
  [16317] = 15998,
  [16318] = 16318,
  [16319] = 16319,
  [16320] = 16320,
  [16321] = 15997,
  [16322] = 15992,
  [16323] = 16075,
  [16324] = 15997,
  [16325] = 16000,
  [16326] = 15998,
  [16327] = 16014,
  [16328] = 16328,
  [16329] = 15998,
  [16330] = 16000,
  [16331] = 16038,
  [16332] = 16038,
  [16333] = 16333,
  [16334] = 16001,
  [16335] = 16335,
  [16336] = 16003,
  [16337] = 15999,
  [16338] = 16075,
  [16339] = 15997,
  [16340] = 16013,
  [16341] = 16341,
  [16342] = 16342,
  [16343] = 16343,
  [16344] = 16001,
  [16345] = 16345,
  [16346] = 15992,
  [16347] = 16347,
  [16348] = 16348,
  [16349] = 16038,
  [16350] = 16350,
  [16351] = 16351,
  [16352] = 16266,
  [16353] = 16197,
  [16354] = 15998,
  [16355] = 16000,
  [16356] = 16356,
  [16357] = 16038,
  [16358] = 16358,
  [16359] = 16359,
  [16360] = 16360,
  [16361] = 16001,
  [16362] = 15992,
  [16363] = 15992,
  [16364] = 16003,
  [16365] = 16365,
  [16366] = 16366,
  [16367] = 16367,
  [16368] = 16368,
  [16369] = 16369,
  [16370] = 16370,
  [16371] = 16371,
  [16372] = 16372,
  [16373] = 16373,
  [16374] = 16374,
  [16375] = 16375,
  [16376] = 16376,
  [16377] = 16377,
  [16378] = 16378,
  [16379] = 16379,
  [16380] = 16380,
  [16381] = 16381,
  [16382] = 16382,
  [16383] = 16383,
  [16384] = 16384,
  [16385] = 16383,
  [16386] = 16384,
  [16387] = 16387,
  [16388] = 16383,
  [16389] = 16384,
  [16390] = 16383,
  [16391] = 16384,
  [16392] = 16383,
  [16393] = 16384,
  [16394] = 16383,
  [16395] = 16384,
  [16396] = 16383,
  [16397] = 16384,
  [16398] = 16383,
  [16399] = 16384,
  [16400] = 16383,
  [16401] = 16384,
  [16402] = 16402,
  [16403] = 16403,
  [16404] = 16404,
  [16405] = 16383,
  [16406] = 16384,
  [16407] = 16407,
  [16408] = 16408,
  [16409] = 16409,
  [16410] = 16383,
  [16411] = 16384,
  [16412] = 16412,
  [16413] = 16413,
  [16414] = 16414,
  [16415] = 16415,
  [16416] = 16416,
  [16417] = 16417,
  [16418] = 16418,
  [16419] = 16419,
  [16420] = 16420,
  [16421] = 16421,
  [16422] = 16422,
  [16423] = 16423,
  [16424] = 16424,
  [16425] = 16425,
  [16426] = 16426,
  [16427] = 16427,
  [16428] = 16428,
  [16429] = 16429,
  [16430] = 16430,
  [16431] = 16431,
  [16432] = 16432,
  [16433] = 16433,
  [16434] = 16434,
  [16435] = 16435,
  [16436] = 16436,
  [16437] = 16437,
  [16438] = 16438,
  [16439] = 16439,
  [16440] = 16440,
  [16441] = 16441,
  [16442] = 16442,
  [16443] = 16443,
  [16444] = 16382,
  [16445] = 16445,
  [16446] = 16381,
  [16447] = 16447,
  [16448] = 16448,
  [16449] = 16449,
  [16450] = 16450,
  [16451] = 16451,
  [16452] = 16452,
  [16453] = 16453,
  [16454] = 16454,
  [16455] = 16455,
  [16456] = 16456,
  [16457] = 16457,
  [16458] = 16458,
  [16459] = 16459,
  [16460] = 16460,
  [16461] = 16461,
  [16462] = 16462,
  [16463] = 16365,
  [16464] = 16464,
  [16465] = 16465,
  [16466] = 16466,
  [16467] = 16467,
  [16468] = 16468,
  [16469] = 16469,
  [16470] = 16470,
  [16471] = 16471,
  [16472] = 16472,
  [16473] = 16473,
  [16474] = 16474,
  [16475] = 16475,
  [16476] = 16476,
  [16477] = 16477,
  [16478] = 16478,
  [16479] = 16479,
  [16480] = 16480,
  [16481] = 16481,
  [16482] = 16482,
  [16483] = 16483,
  [16484] = 16484,
  [16485] = 16485,
  [16486] = 16384,
  [16487] = 16487,
  [16488] = 16488,
  [16489] = 16417,
  [16490] = 16490,
  [16491] = 16383,
  [16492] = 16492,
  [16493] = 16469,
  [16494] = 16494,
  [16495] = 16495,
  [16496] = 16496,
  [16497] = 16382,
  [16498] = 16381,
  [16499] = 16380,
  [16500] = 16379,
  [16501] = 16378,
  [16502] = 16377,
  [16503] = 16376,
  [16504] = 16375,
  [16505] = 16374,
  [16506] = 16373,
  [16507] = 16372,
  [16508] = 16371,
  [16509] = 16370,
  [16510] = 16369,
  [16511] = 16368,
  [16512] = 16367,
  [16513] = 16513,
  [16514] = 16366,
  [16515] = 16416,
  [16516] = 16403,
  [16517] = 16404,
  [16518] = 16407,
  [16519] = 16408,
  [16520] = 16520,
  [16521] = 16488,
  [16522] = 16409,
  [16523] = 16412,
  [16524] = 16413,
  [16525] = 16415,
  [16526] = 16526,
  [16527] = 16487,
  [16528] = 16402,
  [16529] = 16474,
  [16530] = 16418,
  [16531] = 16419,
  [16532] = 16422,
  [16533] = 16533,
  [16534] = 16423,
  [16535] = 16424,
  [16536] = 16425,
  [16537] = 16426,
  [16538] = 16428,
  [16539] = 16539,
  [16540] = 16540,
  [16541] = 16431,
  [16542] = 16432,
  [16543] = 16433,
  [16544] = 16434,
  [16545] = 16545,
  [16546] = 16546,
  [16547] = 16435,
  [16548] = 16436,
  [16549] = 16437,
  [16550] = 16438,
  [16551] = 16439,
  [16552] = 16552,
  [16553] = 16440,
  [16554] = 16441,
  [16555] = 16445,
  [16556] = 16447,
  [16557] = 16557,
  [16558] = 16558,
  [16559] = 16380,
  [16560] = 16379,
  [16561] = 16378,
  [16562] = 16377,
  [16563] = 16451,
  [16564] = 16376,
  [16565] = 16454,
  [16566] = 16460,
  [16567] = 16375,
  [16568] = 16374,
  [16569] = 16373,
  [16570] = 16372,
  [16571] = 16371,
  [16572] = 16572,
  [16573] = 16461,
  [16574] = 16485,
  [16575] = 16462,
  [16576] = 16365,
  [16577] = 16483,
  [16578] = 16465,
  [16579] = 16466,
  [16580] = 16468,
  [16581] = 16470,
  [16582] = 16582,
  [16583] = 16482,
  [16584] = 16471,
  [16585] = 16472,
  [16586] = 16434,
  [16587] = 16481,
  [16588] = 16475,
  [16589] = 16477,
  [16590] = 16478,
  [16591] = 16479,
  [16592] = 16592,
  [16593] = 16480,
  [16594] = 16480,
  [16595] = 16481,
  [16596] = 16482,
  [16597] = 16483,
  [16598] = 16598,
  [16599] = 16479,
  [16600] = 16485,
  [16601] = 16384,
  [16602] = 16487,
  [16603] = 16488,
  [16604] = 16416,
  [16605] = 16383,
  [16606] = 16469,
  [16607] = 16496,
  [16608] = 16382,
  [16609] = 16381,
  [16610] = 16380,
  [16611] = 16611,
  [16612] = 16612,
  [16613] = 16613,
  [16614] = 16379,
  [16615] = 16378,
  [16616] = 16616,
  [16617] = 16377,
  [16618] = 16376,
  [16619] = 16375,
  [16620] = 16374,
  [16621] = 16373,
  [16622] = 16372,
  [16623] = 16371,
  [16624] = 16572,
  [16625] = 16370,
  [16626] = 16369,
  [16627] = 16368,
  [16628] = 16367,
  [16629] = 16366,
  [16630] = 16630,
  [16631] = 16403,
  [16632] = 16404,
  [16633] = 16407,
  [16634] = 16408,
  [16635] = 16409,
  [16636] = 16636,
  [16637] = 16412,
  [16638] = 16413,
  [16639] = 16415,
  [16640] = 16402,
  [16641] = 16417,
  [16642] = 16418,
  [16643] = 16419,
  [16644] = 16422,
  [16645] = 16423,
  [16646] = 16646,
  [16647] = 16647,
  [16648] = 16648,
  [16649] = 16424,
  [16650] = 16425,
  [16651] = 16651,
  [16652] = 16426,
  [16653] = 16428,
  [16654] = 16431,
  [16655] = 16432,
  [16656] = 16433,
  [16657] = 16657,
  [16658] = 16436,
  [16659] = 16435,
  [16660] = 16496,
  [16661] = 16437,
  [16662] = 16478,
  [16663] = 16438,
  [16664] = 16477,
  [16665] = 16439,
  [16666] = 16440,
  [16667] = 16475,
  [16668] = 16441,
  [16669] = 16445,
  [16670] = 16447,
  [16671] = 16451,
  [16672] = 16672,
  [16673] = 16474,
  [16674] = 16454,
  [16675] = 16460,
  [16676] = 16676,
  [16677] = 16472,
  [16678] = 16461,
  [16679] = 16462,
  [16680] = 16471,
  [16681] = 16365,
  [16682] = 16465,
  [16683] = 16466,
  [16684] = 16468,
  [16685] = 16470,
  [16686] = 16468,
  [16687] = 16470,
  [16688] = 16466,
  [16689] = 16471,
  [16690] = 16465,
  [16691] = 16472,
  [16692] = 16474,
  [16693] = 16475,
  [16694] = 16477,
  [16695] = 16365,
  [16696] = 16462,
  [16697] = 16478,
  [16698] = 16461,
  [16699] = 16699,
  [16700] = 16479,
  [16701] = 16480,
  [16702] = 16481,
  [16703] = 16482,
  [16704] = 16483,
  [16705] = 16485,
  [16706] = 16384,
  [16707] = 16487,
  [16708] = 16488,
  [16709] = 16416,
  [16710] = 16383,
  [16711] = 16469,
  [16712] = 16436,
  [16713] = 16382,
  [16714] = 16422,
  [16715] = 16381,
  [16716] = 16380,
  [16717] = 16379,
  [16718] = 16378,
  [16719] = 16719,
  [16720] = 16720,
  [16721] = 16721,
  [16722] = 16722,
  [16723] = 16377,
  [16724] = 16376,
  [16725] = 16375,
  [16726] = 16374,
  [16727] = 16373,
  [16728] = 16728,
  [16729] = 16372,
  [16730] = 16371,
  [16731] = 16572,
  [16732] = 16370,
  [16733] = 16370,
  [16734] = 16369,
  [16735] = 16369,
  [16736] = 16368,
  [16737] = 16367,
  [16738] = 16366,
  [16739] = 16368,
  [16740] = 16403,
  [16741] = 16367,
  [16742] = 16404,
  [16743] = 16407,
  [16744] = 16408,
  [16745] = 16409,
  [16746] = 16412,
  [16747] = 16413,
  [16748] = 16415,
  [16749] = 16366,
  [16750] = 16403,
  [16751] = 16404,
  [16752] = 16402,
  [16753] = 16407,
  [16754] = 16417,
  [16755] = 16408,
  [16756] = 16418,
  [16757] = 16419,
  [16758] = 16409,
  [16759] = 16412,
  [16760] = 16423,
  [16761] = 16413,
  [16762] = 16415,
  [16763] = 16402,
  [16764] = 16417,
  [16765] = 16418,
  [16766] = 16419,
  [16767] = 16422,
  [16768] = 16423,
  [16769] = 16646,
  [16770] = 16424,
  [16771] = 16425,
  [16772] = 16646,
  [16773] = 16426,
  [16774] = 16774,
  [16775] = 16428,
  [16776] = 16776,
  [16777] = 16431,
  [16778] = 16432,
  [16779] = 16433,
  [16780] = 16460,
  [16781] = 16454,
  [16782] = 16434,
  [16783] = 16451,
  [16784] = 16435,
  [16785] = 16477,
  [16786] = 16447,
  [16787] = 16437,
  [16788] = 16438,
  [16789] = 16439,
  [16790] = 16440,
  [16791] = 16445,
  [16792] = 16441,
  [16793] = 16441,
  [16794] = 16440,
  [16795] = 16445,
  [16796] = 16439,
  [16797] = 16447,
  [16798] = 16438,
  [16799] = 16437,
  [16800] = 16451,
  [16801] = 16436,
  [16802] = 16454,
  [16803] = 16435,
  [16804] = 16460,
  [16805] = 16676,
  [16806] = 16461,
  [16807] = 16434,
  [16808] = 16433,
  [16809] = 16432,
  [16810] = 16431,
  [16811] = 16462,
  [16812] = 16428,
  [16813] = 16365,
  [16814] = 16426,
  [16815] = 16465,
  [16816] = 16466,
  [16817] = 16468,
  [16818] = 16425,
  [16819] = 16424,
  [16820] = 16470,
  [16821] = 16471,
  [16822] = 16472,
  [16823] = 16474,
  [16824] = 16475,
  [16825] = 16431,
  [16826] = 16478,
  [16827] = 16699,
  [16828] = 16479,
  [16829] = 16480,
  [16830] = 16481,
  [16831] = 16482,
  [16832] = 16483,
  [16833] = 16485,
  [16834] = 16384,
  [16835] = 16487,
  [16836] = 16488,
  [16837] = 16416,
  [16838] = 16838,
  [16839] = 16383,
  [16840] = 16469,
  [16841] = 16496,
  [16842] = 16382,
  [16843] = 16381,
  [16844] = 16380,
  [16845] = 16379,
  [16846] = 16378,
  [16847] = 16377,
  [16848] = 16376,
  [16849] = 16375,
  [16850] = 16374,
  [16851] = 16851,
  [16852] = 16373,
  [16853] = 16372,
  [16854] = 16371,
  [16855] = 16572,
  [16856] = 16370,
  [16857] = 16369,
  [16858] = 16368,
  [16859] = 16859,
  [16860] = 16367,
  [16861] = 16366,
  [16862] = 16862,
  [16863] = 16863,
  [16864] = 16403,
  [16865] = 16865,
  [16866] = 16866,
  [16867] = 16867,
  [16868] = 16404,
  [16869] = 16407,
  [16870] = 16870,
  [16871] = 16408,
  [16872] = 16409,
  [16873] = 16412,
  [16874] = 16413,
  [16875] = 16415,
  [16876] = 16402,
  [16877] = 16417,
  [16878] = 16418,
  [16879] = 16419,
  [16880] = 16422,
  [16881] = 16423,
  [16882] = 16646,
  [16883] = 16883,
  [16884] = 16884,
  [16885] = 16885,
  [16886] = 16424,
  [16887] = 16887,
  [16888] = 16425,
  [16889] = 16426,
  [16890] = 16428,
  [16891] = 16445,
  [16892] = 16432,
  [16893] = 16893,
  [16894] = 16433,
  [16895] = 16434,
  [16896] = 16896,
  [16897] = 16897,
  [16898] = 16898,
  [16899] = 16435,
  [16900] = 16900,
  [16901] = 16423,
  [16902] = 16422,
  [16903] = 16436,
  [16904] = 16419,
  [16905] = 16418,
  [16906] = 16437,
  [16907] = 16417,
  [16908] = 16438,
  [16909] = 16402,
  [16910] = 16439,
  [16911] = 16440,
  [16912] = 16441,
  [16913] = 16415,
  [16914] = 16413,
  [16915] = 16412,
  [16916] = 16409,
  [16917] = 16408,
  [16918] = 16407,
  [16919] = 16404,
  [16920] = 16383,
  [16921] = 16403,
  [16922] = 16447,
  [16923] = 16366,
  [16924] = 16367,
  [16925] = 16368,
  [16926] = 16369,
  [16927] = 16451,
  [16928] = 16370,
  [16929] = 16454,
  [16930] = 16460,
  [16931] = 16676,
  [16932] = 16461,
  [16933] = 16462,
  [16934] = 16365,
  [16935] = 16465,
  [16936] = 16466,
  [16937] = 16468,
  [16938] = 16470,
  [16939] = 16471,
  [16940] = 16472,
  [16941] = 16474,
  [16942] = 16475,
  [16943] = 16477,
  [16944] = 16944,
  [16945] = 16424,
  [16946] = 16425,
  [16947] = 16478,
  [16948] = 16699,
  [16949] = 16479,
  [16950] = 16426,
  [16951] = 16480,
  [16952] = 16428,
  [16953] = 16481,
  [16954] = 16431,
  [16955] = 16432,
  [16956] = 16433,
  [16957] = 16434,
  [16958] = 16482,
  [16959] = 16483,
  [16960] = 16485,
  [16961] = 16435,
  [16962] = 16384,
  [16963] = 16436,
  [16964] = 16487,
  [16965] = 16437,
  [16966] = 16438,
  [16967] = 16488,
  [16968] = 16439,
  [16969] = 16416,
  [16970] = 16433,
  [16971] = 16440,
  [16972] = 16469,
  [16973] = 16441,
  [16974] = 16445,
  [16975] = 16975,
  [16976] = 16976,
  [16977] = 16496,
  [16978] = 16382,
  [16979] = 16447,
  [16980] = 16381,
  [16981] = 16380,
  [16982] = 16451,
  [16983] = 16379,
  [16984] = 16454,
  [16985] = 16460,
  [16986] = 16378,
  [16987] = 16987,
  [16988] = 16988,
  [16989] = 16989,
  [16990] = 16377,
  [16991] = 16371,
  [16992] = 16372,
  [16993] = 16373,
  [16994] = 16374,
  [16995] = 16375,
  [16996] = 16376,
  [16997] = 16376,
  [16998] = 16375,
  [16999] = 16377,
  [17000] = 16378,
  [17001] = 16379,
  [17002] = 16380,
  [17003] = 17003,
  [17004] = 17004,
  [17005] = 16374,
  [17006] = 16676,
  [17007] = 17007,
  [17008] = 16373,
  [17009] = 16372,
  [17010] = 16371,
  [17011] = 17011,
  [17012] = 16572,
  [17013] = 16370,
  [17014] = 16369,
  [17015] = 16368,
  [17016] = 16367,
  [17017] = 16366,
  [17018] = 16403,
  [17019] = 16404,
  [17020] = 16407,
  [17021] = 16408,
  [17022] = 16409,
  [17023] = 16412,
  [17024] = 16413,
  [17025] = 16415,
  [17026] = 16402,
  [17027] = 16417,
  [17028] = 16418,
  [17029] = 16419,
  [17030] = 16422,
  [17031] = 16423,
  [17032] = 16646,
  [17033] = 16774,
  [17034] = 16424,
  [17035] = 16425,
  [17036] = 16426,
  [17037] = 16428,
  [17038] = 16431,
  [17039] = 17039,
  [17040] = 16432,
  [17041] = 16381,
  [17042] = 16382,
  [17043] = 16471,
  [17044] = 16434,
  [17045] = 16435,
  [17046] = 16436,
  [17047] = 16437,
  [17048] = 16438,
  [17049] = 16439,
  [17050] = 17050,
  [17051] = 16440,
  [17052] = 16441,
  [17053] = 16445,
  [17054] = 16447,
  [17055] = 16451,
  [17056] = 16454,
  [17057] = 16460,
  [17058] = 17058,
  [17059] = 16676,
  [17060] = 17060,
  [17061] = 16461,
  [17062] = 16462,
  [17063] = 16365,
  [17064] = 16465,
  [17065] = 16466,
  [17066] = 16468,
  [17067] = 17067,
  [17068] = 16470,
  [17069] = 16376,
  [17070] = 16472,
  [17071] = 17071,
  [17072] = 17072,
  [17073] = 16474,
  [17074] = 16475,
  [17075] = 16477,
  [17076] = 16478,
  [17077] = 16699,
  [17078] = 17078,
  [17079] = 16479,
  [17080] = 16480,
  [17081] = 16481,
  [17082] = 16482,
  [17083] = 17083,
  [17084] = 16483,
  [17085] = 16485,
  [17086] = 17086,
  [17087] = 16384,
  [17088] = 16487,
  [17089] = 16488,
  [17090] = 17090,
  [17091] = 16416,
  [17092] = 17092,
  [17093] = 16383,
  [17094] = 16469,
  [17095] = 17095,
  [17096] = 17096,
  [17097] = 16496,
  [17098] = 17098,
  [17099] = 17099,
  [17100] = 16382,
  [17101] = 16381,
  [17102] = 16380,
  [17103] = 16379,
  [17104] = 16378,
  [17105] = 16377,
  [17106] = 16478,
  [17107] = 16375,
  [17108] = 16374,
  [17109] = 16373,
  [17110] = 16372,
  [17111] = 17111,
  [17112] = 16371,
  [17113] = 16572,
  [17114] = 16370,
  [17115] = 16369,
  [17116] = 16368,
  [17117] = 16367,
  [17118] = 16366,
  [17119] = 16403,
  [17120] = 16404,
  [17121] = 16407,
  [17122] = 16408,
  [17123] = 16409,
  [17124] = 16412,
  [17125] = 16413,
  [17126] = 16415,
  [17127] = 16402,
  [17128] = 17128,
  [17129] = 16417,
  [17130] = 16418,
  [17131] = 16419,
  [17132] = 16422,
  [17133] = 16423,
  [17134] = 16646,
  [17135] = 16774,
  [17136] = 16424,
  [17137] = 16425,
  [17138] = 16426,
  [17139] = 16428,
  [17140] = 16431,
  [17141] = 16432,
  [17142] = 16433,
  [17143] = 16434,
  [17144] = 16435,
  [17145] = 16436,
  [17146] = 16437,
  [17147] = 16438,
  [17148] = 16439,
  [17149] = 16440,
  [17150] = 16441,
  [17151] = 16445,
  [17152] = 16447,
  [17153] = 16451,
  [17154] = 16454,
  [17155] = 16460,
  [17156] = 16676,
  [17157] = 16461,
  [17158] = 16462,
  [17159] = 16365,
  [17160] = 16465,
  [17161] = 16466,
  [17162] = 16468,
  [17163] = 16470,
  [17164] = 16471,
  [17165] = 16472,
  [17166] = 16474,
  [17167] = 16475,
  [17168] = 16477,
  [17169] = 17078,
  [17170] = 16699,
  [17171] = 16415,
  [17172] = 16479,
  [17173] = 16480,
  [17174] = 16481,
  [17175] = 16482,
  [17176] = 16483,
  [17177] = 16485,
  [17178] = 16384,
  [17179] = 16487,
  [17180] = 16488,
  [17181] = 16416,
  [17182] = 17092,
  [17183] = 16383,
  [17184] = 16469,
  [17185] = 17095,
  [17186] = 17096,
  [17187] = 16496,
  [17188] = 17188,
  [17189] = 17189,
  [17190] = 17099,
  [17191] = 17191,
  [17192] = 16382,
  [17193] = 16381,
  [17194] = 16380,
  [17195] = 16379,
  [17196] = 16378,
  [17197] = 16377,
  [17198] = 16376,
  [17199] = 16375,
  [17200] = 16374,
  [17201] = 16373,
  [17202] = 16372,
  [17203] = 16371,
  [17204] = 16572,
  [17205] = 16370,
  [17206] = 16369,
  [17207] = 16368,
  [17208] = 16367,
  [17209] = 16366,
  [17210] = 16403,
  [17211] = 16404,
  [17212] = 16407,
  [17213] = 16408,
  [17214] = 16409,
  [17215] = 16412,
  [17216] = 16413,
  [17217] = 16485,
  [17218] = 16402,
  [17219] = 16417,
  [17220] = 16418,
  [17221] = 16419,
  [17222] = 16422,
  [17223] = 16423,
  [17224] = 16646,
  [17225] = 16774,
  [17226] = 16424,
  [17227] = 16425,
  [17228] = 16426,
  [17229] = 16428,
  [17230] = 16431,
  [17231] = 16432,
  [17232] = 16433,
  [17233] = 16434,
  [17234] = 16435,
  [17235] = 16436,
  [17236] = 16437,
  [17237] = 16438,
  [17238] = 16439,
  [17239] = 16440,
  [17240] = 16441,
  [17241] = 16445,
  [17242] = 16447,
  [17243] = 16451,
  [17244] = 16454,
  [17245] = 16460,
  [17246] = 16676,
  [17247] = 16461,
  [17248] = 16462,
  [17249] = 16365,
  [17250] = 16465,
  [17251] = 16466,
  [17252] = 16468,
  [17253] = 16470,
  [17254] = 16471,
  [17255] = 17255,
  [17256] = 17256,
  [17257] = 16472,
  [17258] = 16474,
  [17259] = 16475,
  [17260] = 16477,
  [17261] = 17261,
  [17262] = 16478,
  [17263] = 17263,
  [17264] = 17264,
  [17265] = 16699,
  [17266] = 17266,
  [17267] = 17078,
  [17268] = 17268,
  [17269] = 16479,
  [17270] = 16480,
  [17271] = 16481,
  [17272] = 16482,
  [17273] = 16483,
  [17274] = 16382,
  [17275] = 16384,
  [17276] = 16487,
  [17277] = 16488,
  [17278] = 17278,
  [17279] = 16416,
  [17280] = 16461,
  [17281] = 17092,
  [17282] = 16462,
  [17283] = 16365,
  [17284] = 16383,
  [17285] = 16469,
  [17286] = 17286,
  [17287] = 17095,
  [17288] = 16465,
  [17289] = 17096,
  [17290] = 16466,
  [17291] = 17291,
  [17292] = 16468,
  [17293] = 16470,
  [17294] = 16496,
  [17295] = 17295,
  [17296] = 17099,
  [17297] = 16432,
  [17298] = 16471,
  [17299] = 16381,
  [17300] = 16380,
  [17301] = 16472,
  [17302] = 16379,
  [17303] = 16378,
  [17304] = 16377,
  [17305] = 16474,
  [17306] = 16672,
  [17307] = 16376,
  [17308] = 16375,
  [17309] = 16374,
  [17310] = 16373,
  [17311] = 16475,
  [17312] = 16372,
  [17313] = 16371,
  [17314] = 16477,
  [17315] = 16572,
  [17316] = 16478,
  [17317] = 16370,
  [17318] = 16369,
  [17319] = 16368,
  [17320] = 16699,
  [17321] = 16367,
  [17322] = 16366,
  [17323] = 17078,
  [17324] = 16403,
  [17325] = 17325,
  [17326] = 16404,
  [17327] = 16407,
  [17328] = 16408,
  [17329] = 17329,
  [17330] = 16409,
  [17331] = 16412,
  [17332] = 16413,
  [17333] = 16415,
  [17334] = 16402,
  [17335] = 16417,
  [17336] = 16418,
  [17337] = 16419,
  [17338] = 16422,
  [17339] = 16423,
  [17340] = 17340,
  [17341] = 16646,
  [17342] = 16774,
  [17343] = 16424,
  [17344] = 16425,
  [17345] = 16426,
  [17346] = 16428,
  [17347] = 16431,
  [17348] = 16416,
  [17349] = 16433,
  [17350] = 17350,
  [17351] = 16434,
  [17352] = 16435,
  [17353] = 16436,
  [17354] = 17354,
  [17355] = 16437,
  [17356] = 16438,
  [17357] = 16439,
  [17358] = 16440,
  [17359] = 16441,
  [17360] = 16445,
  [17361] = 16447,
  [17362] = 16451,
  [17363] = 17363,
  [17364] = 17364,
  [17365] = 16454,
  [17366] = 16460,
  [17367] = 16676,
  [17368] = 16461,
  [17369] = 17369,
  [17370] = 16462,
  [17371] = 17371,
  [17372] = 16465,
  [17373] = 16466,
  [17374] = 17374,
  [17375] = 17375,
  [17376] = 16468,
  [17377] = 16470,
  [17378] = 16471,
  [17379] = 16472,
  [17380] = 16474,
  [17381] = 16475,
  [17382] = 16477,
  [17383] = 16478,
  [17384] = 17384,
  [17385] = 16699,
  [17386] = 17386,
  [17387] = 17078,
  [17388] = 16479,
  [17389] = 17389,
  [17390] = 16480,
  [17391] = 16481,
  [17392] = 16482,
  [17393] = 16483,
  [17394] = 16485,
  [17395] = 16384,
  [17396] = 17396,
  [17397] = 16487,
  [17398] = 17398,
  [17399] = 16488,
  [17400] = 16373,
  [17401] = 17092,
  [17402] = 16383,
  [17403] = 16469,
  [17404] = 17404,
  [17405] = 17405,
  [17406] = 17406,
  [17407] = 17095,
  [17408] = 17096,
  [17409] = 17409,
  [17410] = 16496,
  [17411] = 17411,
  [17412] = 17412,
  [17413] = 17099,
  [17414] = 17414,
  [17415] = 16382,
  [17416] = 16381,
  [17417] = 16380,
  [17418] = 16379,
  [17419] = 16378,
  [17420] = 16377,
  [17421] = 16376,
  [17422] = 16375,
  [17423] = 16374,
  [17424] = 17424,
  [17425] = 17425,
  [17426] = 16445,
  [17427] = 16372,
  [17428] = 16371,
  [17429] = 16572,
  [17430] = 16370,
  [17431] = 16369,
  [17432] = 16368,
  [17433] = 16367,
  [17434] = 16366,
  [17435] = 16403,
  [17436] = 16404,
  [17437] = 16407,
  [17438] = 16408,
  [17439] = 17439,
  [17440] = 17440,
  [17441] = 17441,
  [17442] = 17442,
  [17443] = 16409,
  [17444] = 16412,
  [17445] = 17445,
  [17446] = 16413,
  [17447] = 16415,
  [17448] = 16402,
  [17449] = 16417,
  [17450] = 17450,
  [17451] = 16418,
  [17452] = 16419,
  [17453] = 17453,
  [17454] = 17454,
  [17455] = 16422,
  [17456] = 16423,
  [17457] = 16646,
  [17458] = 16479,
  [17459] = 16598,
  [17460] = 16774,
  [17461] = 16424,
  [17462] = 16425,
  [17463] = 16426,
  [17464] = 16428,
  [17465] = 16431,
  [17466] = 16480,
  [17467] = 16592,
  [17468] = 16432,
  [17469] = 16433,
  [17470] = 16434,
  [17471] = 16435,
  [17472] = 16481,
  [17473] = 16436,
  [17474] = 16437,
  [17475] = 16438,
  [17476] = 16439,
  [17477] = 16482,
  [17478] = 16582,
  [17479] = 16440,
  [17480] = 16441,
  [17481] = 17096,
  [17482] = 16447,
  [17483] = 16483,
  [17484] = 16451,
  [17485] = 16454,
  [17486] = 16485,
  [17487] = 16460,
  [17488] = 16676,
  [17489] = 16461,
  [17490] = 16462,
  [17491] = 16365,
  [17492] = 16465,
  [17493] = 16466,
  [17494] = 16468,
  [17495] = 16470,
  [17496] = 16471,
  [17497] = 17497,
  [17498] = 17498,
  [17499] = 16472,
  [17500] = 16474,
  [17501] = 16475,
  [17502] = 16477,
  [17503] = 16478,
  [17504] = 16699,
  [17505] = 17078,
  [17506] = 16479,
  [17507] = 16480,
  [17508] = 16481,
  [17509] = 16482,
  [17510] = 16483,
  [17511] = 16485,
  [17512] = 16384,
  [17513] = 16487,
  [17514] = 16488,
  [17515] = 16416,
  [17516] = 17092,
  [17517] = 16383,
  [17518] = 16469,
  [17519] = 17095,
  [17520] = 16402,
  [17521] = 16496,
  [17522] = 17099,
  [17523] = 16382,
  [17524] = 16381,
  [17525] = 16380,
  [17526] = 16379,
  [17527] = 16378,
  [17528] = 16377,
  [17529] = 16376,
  [17530] = 17530,
  [17531] = 16375,
  [17532] = 16374,
  [17533] = 17533,
  [17534] = 16373,
  [17535] = 16372,
  [17536] = 16371,
  [17537] = 16572,
  [17538] = 16370,
  [17539] = 16369,
  [17540] = 16368,
  [17541] = 16367,
  [17542] = 16366,
  [17543] = 16403,
  [17544] = 17544,
  [17545] = 16404,
  [17546] = 16407,
  [17547] = 16408,
  [17548] = 16409,
  [17549] = 16412,
  [17550] = 16413,
  [17551] = 17551,
  [17552] = 16415,
  [17553] = 17553,
  [17554] = 17554,
  [17555] = 16365,
  [17556] = 17556,
  [17557] = 16417,
  [17558] = 16418,
  [17559] = 16419,
  [17560] = 16422,
  [17561] = 17561,
  [17562] = 16423,
  [17563] = 17563,
  [17564] = 16646,
  [17565] = 16774,
  [17566] = 16424,
  [17567] = 16425,
  [17568] = 16426,
  [17569] = 16428,
  [17570] = 16431,
  [17571] = 16432,
  [17572] = 16433,
  [17573] = 16434,
  [17574] = 16383,
  [17575] = 16384,
  [17576] = 16435,
  [17577] = 16436,
  [17578] = 16437,
  [17579] = 16438,
  [17580] = 16439,
  [17581] = 16440,
  [17582] = 16441,
  [17583] = 16445,
  [17584] = 16447,
  [17585] = 16451,
  [17586] = 16454,
  [17587] = 16460,
  [17588] = 16676,
  [17589] = 16461,
  [17590] = 16462,
  [17591] = 17099,
  [17592] = 16465,
  [17593] = 16466,
  [17594] = 16468,
  [17595] = 16470,
  [17596] = 16471,
  [17597] = 16472,
  [17598] = 16526,
  [17599] = 16474,
  [17600] = 16475,
  [17601] = 16540,
  [17602] = 16477,
  [17603] = 16539,
  [17604] = 16478,
  [17605] = 17605,
  [17606] = 17606,
  [17607] = 16699,
  [17608] = 17078,
  [17609] = 16479,
  [17610] = 17610,
  [17611] = 16480,
  [17612] = 16481,
  [17613] = 16482,
  [17614] = 16483,
  [17615] = 17615,
  [17616] = 17616,
  [17617] = 17617,
  [17618] = 16485,
  [17619] = 16384,
  [17620] = 16487,
  [17621] = 17621,
  [17622] = 16488,
  [17623] = 17623,
  [17624] = 17624,
  [17625] = 17625,
  [17626] = 17626,
  [17627] = 16416,
  [17628] = 17628,
  [17629] = 17092,
  [17630] = 16384,
  [17631] = 16383,
  [17632] = 16469,
  [17633] = 17633,
  [17634] = 17095,
  [17635] = 17096,
  [17636] = 16496,
  [17637] = 16774,
  [17638] = 16382,
  [17639] = 16381,
  [17640] = 16380,
  [17641] = 16379,
  [17642] = 16487,
  [17643] = 16469,
  [17644] = 16378,
  [17645] = 16377,
  [17646] = 16376,
  [17647] = 16375,
  [17648] = 16416,
  [17649] = 16374,
  [17650] = 16373,
  [17651] = 16372,
  [17652] = 16371,
  [17653] = 16488,
  [17654] = 16572,
  [17655] = 16370,
  [17656] = 16369,
  [17657] = 16368,
  [17658] = 16487,
  [17659] = 16367,
  [17660] = 16366,
  [17661] = 16403,
  [17662] = 16404,
  [17663] = 16485,
  [17664] = 16407,
  [17665] = 16408,
  [17666] = 16483,
  [17667] = 16409,
  [17668] = 16412,
  [17669] = 16413,
  [17670] = 16415,
  [17671] = 16482,
  [17672] = 16402,
  [17673] = 16417,
  [17674] = 16418,
  [17675] = 16481,
  [17676] = 16419,
  [17677] = 16422,
  [17678] = 16423,
  [17679] = 16646,
  [17680] = 16480,
  [17681] = 16474,
  [17682] = 16424,
  [17683] = 16425,
  [17684] = 16426,
  [17685] = 16479,
  [17686] = 16428,
  [17687] = 16431,
  [17688] = 16432,
  [17689] = 16478,
  [17690] = 16433,
  [17691] = 16477,
  [17692] = 16434,
  [17693] = 16435,
  [17694] = 16475,
  [17695] = 16436,
  [17696] = 16437,
  [17697] = 16438,
  [17698] = 16439,
  [17699] = 16474,
  [17700] = 16440,
  [17701] = 16441,
  [17702] = 16445,
  [17703] = 16472,
  [17704] = 16447,
  [17705] = 16451,
  [17706] = 16471,
  [17707] = 16454,
  [17708] = 16460,
  [17709] = 16676,
  [17710] = 16461,
  [17711] = 16470,
  [17712] = 16468,
  [17713] = 16462,
  [17714] = 16466,
  [17715] = 16365,
  [17716] = 16465,
  [17717] = 16465,
  [17718] = 16466,
  [17719] = 16468,
  [17720] = 16470,
  [17721] = 16365,
  [17722] = 16462,
  [17723] = 16471,
  [17724] = 16461,
  [17725] = 16472,
  [17726] = 16460,
  [17727] = 16454,
  [17728] = 17099,
  [17729] = 16451,
  [17730] = 16475,
  [17731] = 16477,
  [17732] = 16447,
  [17733] = 16478,
  [17734] = 16699,
  [17735] = 17078,
  [17736] = 16479,
  [17737] = 16445,
  [17738] = 16441,
  [17739] = 16480,
  [17740] = 16440,
  [17741] = 16481,
  [17742] = 16439,
  [17743] = 16482,
  [17744] = 16438,
  [17745] = 16437,
  [17746] = 16483,
  [17747] = 16436,
  [17748] = 16485,
  [17749] = 16435,
  [17750] = 16384,
  [17751] = 16487,
  [17752] = 16488,
  [17753] = 16434,
  [17754] = 16433,
  [17755] = 16432,
  [17756] = 16431,
  [17757] = 16416,
  [17758] = 16428,
  [17759] = 17092,
  [17760] = 16426,
  [17761] = 16383,
  [17762] = 16469,
  [17763] = 17095,
  [17764] = 16425,
  [17765] = 16424,
  [17766] = 16423,
  [17767] = 16422,
  [17768] = 17096,
  [17769] = 16419,
  [17770] = 16418,
  [17771] = 16496,
  [17772] = 16417,
  [17773] = 16373,
  [17774] = 16402,
  [17775] = 16382,
  [17776] = 16381,
  [17777] = 16380,
  [17778] = 16415,
  [17779] = 16413,
  [17780] = 16412,
  [17781] = 16409,
  [17782] = 16408,
  [17783] = 16407,
  [17784] = 16404,
  [17785] = 16379,
  [17786] = 16403,
  [17787] = 16378,
  [17788] = 16366,
  [17789] = 16367,
  [17790] = 16368,
  [17791] = 16369,
  [17792] = 16377,
  [17793] = 16370,
  [17794] = 16376,
  [17795] = 16371,
  [17796] = 16372,
  [17797] = 16373,
  [17798] = 16374,
  [17799] = 16375,
  [17800] = 16375,
  [17801] = 16376,
  [17802] = 16374,
  [17803] = 16377,
  [17804] = 16378,
  [17805] = 16379,
  [17806] = 16380,
  [17807] = 16381,
  [17808] = 16382,
  [17809] = 16475,
  [17810] = 16372,
  [17811] = 16371,
  [17812] = 16572,
  [17813] = 16370,
  [17814] = 16488,
  [17815] = 16520,
  [17816] = 16369,
  [17817] = 16368,
  [17818] = 16367,
  [17819] = 16366,
  [17820] = 16416,
  [17821] = 16403,
  [17822] = 16404,
  [17823] = 16407,
  [17824] = 16408,
  [17825] = 16409,
  [17826] = 16412,
  [17827] = 16413,
  [17828] = 16415,
  [17829] = 16402,
  [17830] = 16417,
  [17831] = 16418,
  [17832] = 16419,
  [17833] = 16422,
  [17834] = 17092,
  [17835] = 16423,
  [17836] = 16646,
  [17837] = 17837,
  [17838] = 16774,
  [17839] = 16424,
  [17840] = 16425,
  [17841] = 16426,
  [17842] = 16428,
  [17843] = 16431,
  [17844] = 16432,
  [17845] = 16469,
  [17846] = 16433,
  [17847] = 16434,
  [17848] = 16435,
  [17849] = 16436,
  [17850] = 16437,
  [17851] = 16383,
  [17852] = 16416,
  [17853] = 16438,
  [17854] = 16439,
  [17855] = 16440,
  [17856] = 16441,
  [17857] = 16488,
  [17858] = 16445,
  [17859] = 16447,
  [17860] = 16451,
  [17861] = 16454,
  [17862] = 16487,
  [17863] = 16460,
  [17864] = 16676,
  [17865] = 16461,
  [17866] = 16462,
  [17867] = 16384,
  [17868] = 16365,
  [17869] = 16485,
  [17870] = 16465,
  [17871] = 16466,
  [17872] = 16483,
  [17873] = 16468,
  [17874] = 16470,
  [17875] = 16471,
  [17876] = 16472,
  [17877] = 16482,
  [17878] = 16474,
  [17879] = 17099,
  [17880] = 16477,
  [17881] = 16481,
  [17882] = 16478,
  [17883] = 16699,
  [17884] = 17078,
  [17885] = 16479,
  [17886] = 16480,
  [17887] = 16480,
  [17888] = 16481,
  [17889] = 16482,
  [17890] = 16483,
  [17891] = 16479,
  [17892] = 16485,
  [17893] = 16384,
  [17894] = 16487,
  [17895] = 16478,
  [17896] = 16488,
  [17897] = 16477,
  [17898] = 16416,
  [17899] = 17092,
  [17900] = 16475,
  [17901] = 16383,
  [17902] = 16469,
  [17903] = 17095,
  [17904] = 17096,
  [17905] = 16474,
  [17906] = 16496,
  [17907] = 16366,
  [17908] = 16382,
  [17909] = 16472,
  [17910] = 16381,
  [17911] = 16380,
  [17912] = 16471,
  [17913] = 16379,
  [17914] = 16378,
  [17915] = 16377,
  [17916] = 16376,
  [17917] = 16470,
  [17918] = 16468,
  [17919] = 16375,
  [17920] = 16466,
  [17921] = 16374,
  [17922] = 16465,
  [17923] = 16373,
  [17924] = 16372,
  [17925] = 16371,
  [17926] = 16572,
  [17927] = 16365,
  [17928] = 16462,
  [17929] = 16370,
  [17930] = 16461,
  [17931] = 16369,
  [17932] = 16460,
  [17933] = 16454,
  [17934] = 16368,
  [17935] = 16451,
  [17936] = 16367,
  [17937] = 16477,
  [17938] = 16447,
  [17939] = 16403,
  [17940] = 16404,
  [17941] = 16407,
  [17942] = 16408,
  [17943] = 16445,
  [17944] = 16441,
  [17945] = 16409,
  [17946] = 16440,
  [17947] = 16412,
  [17948] = 16439,
  [17949] = 16413,
  [17950] = 16438,
  [17951] = 16437,
  [17952] = 16415,
  [17953] = 16436,
  [17954] = 16402,
  [17955] = 16435,
  [17956] = 16417,
  [17957] = 16418,
  [17958] = 16419,
  [17959] = 16434,
  [17960] = 16433,
  [17961] = 16432,
  [17962] = 16431,
  [17963] = 16422,
  [17964] = 16428,
  [17965] = 16423,
  [17966] = 16426,
  [17967] = 16646,
  [17968] = 16774,
  [17969] = 16424,
  [17970] = 16425,
  [17971] = 16424,
  [17972] = 16423,
  [17973] = 16422,
  [17974] = 16425,
  [17975] = 16419,
  [17976] = 16418,
  [17977] = 16426,
  [17978] = 16417,
  [17979] = 16428,
  [17980] = 16402,
  [17981] = 16431,
  [17982] = 16432,
  [17983] = 16433,
  [17984] = 16415,
  [17985] = 16413,
  [17986] = 16412,
  [17987] = 16409,
  [17988] = 16408,
  [17989] = 16407,
  [17990] = 16404,
  [17991] = 16434,
  [17992] = 16403,
  [17993] = 16435,
  [17994] = 16366,
  [17995] = 16367,
  [17996] = 16368,
  [17997] = 16369,
  [17998] = 16436,
  [17999] = 16370,
  [18000] = 16437,
  [18001] = 16371,
  [18002] = 16372,
  [18003] = 16373,
  [18004] = 16374,
  [18005] = 16375,
  [18006] = 16438,
  [18007] = 16376,
  [18008] = 16439,
  [18009] = 16377,
  [18010] = 16378,
  [18011] = 16379,
  [18012] = 16380,
  [18013] = 16381,
  [18014] = 16382,
  [18015] = 16440,
  [18016] = 16441,
  [18017] = 16445,
  [18018] = 16447,
  [18019] = 16451,
  [18020] = 16454,
  [18021] = 16496,
  [18022] = 16460,
  [18023] = 16676,
  [18024] = 16496,
  [18025] = 16461,
  [18026] = 16462,
  [18027] = 16365,
  [18028] = 16469,
  [18029] = 16465,
  [18030] = 16466,
  [18031] = 16468,
  [18032] = 16470,
  [18033] = 16416,
  [18034] = 16471,
  [18035] = 16472,
  [18036] = 16474,
  [18037] = 16475,
  [18038] = 16488,
  [18039] = 16382,
  [18040] = 16478,
  [18041] = 16699,
  [18042] = 17078,
  [18043] = 16487,
  [18044] = 16479,
  [18045] = 16480,
  [18046] = 16481,
  [18047] = 16482,
  [18048] = 16485,
  [18049] = 16483,
  [18050] = 16485,
  [18051] = 16483,
  [18052] = 16384,
  [18053] = 16487,
  [18054] = 16488,
  [18055] = 16416,
  [18056] = 16482,
  [18057] = 17092,
  [18058] = 16383,
  [18059] = 16469,
  [18060] = 16481,
  [18061] = 17095,
  [18062] = 17096,
  [18063] = 16496,
  [18064] = 17099,
  [18065] = 16480,
  [18066] = 16381,
  [18067] = 16472,
  [18068] = 16380,
  [18069] = 16379,
  [18070] = 16479,
  [18071] = 16378,
  [18072] = 16377,
  [18073] = 16376,
  [18074] = 16478,
  [18075] = 16375,
  [18076] = 16477,
  [18077] = 16374,
  [18078] = 16373,
  [18079] = 16475,
  [18080] = 16372,
  [18081] = 16371,
  [18082] = 16572,
  [18083] = 16370,
  [18084] = 16474,
  [18085] = 16369,
  [18086] = 16368,
  [18087] = 16367,
  [18088] = 16472,
  [18089] = 16366,
  [18090] = 16403,
  [18091] = 16471,
  [18092] = 16404,
  [18093] = 16407,
  [18094] = 16408,
  [18095] = 16409,
  [18096] = 16470,
  [18097] = 16468,
  [18098] = 16412,
  [18099] = 16466,
  [18100] = 16413,
  [18101] = 16465,
  [18102] = 16415,
  [18103] = 16402,
  [18104] = 16417,
  [18105] = 16418,
  [18106] = 16365,
  [18107] = 16462,
  [18108] = 16419,
  [18109] = 16461,
  [18110] = 16422,
  [18111] = 16460,
  [18112] = 16454,
  [18113] = 16423,
  [18114] = 16451,
  [18115] = 16646,
  [18116] = 16774,
  [18117] = 16447,
  [18118] = 16424,
  [18119] = 16425,
  [18120] = 16426,
  [18121] = 16428,
  [18122] = 16445,
  [18123] = 16441,
  [18124] = 16431,
  [18125] = 16440,
  [18126] = 16432,
  [18127] = 16439,
  [18128] = 16433,
  [18129] = 16438,
  [18130] = 16437,
  [18131] = 16434,
  [18132] = 16436,
  [18133] = 16435,
  [18134] = 16435,
  [18135] = 16436,
  [18136] = 16437,
  [18137] = 16438,
  [18138] = 16434,
  [18139] = 16433,
  [18140] = 16432,
  [18141] = 16431,
  [18142] = 16439,
  [18143] = 16428,
  [18144] = 16440,
  [18145] = 16426,
  [18146] = 16441,
  [18147] = 16445,
  [18148] = 16447,
  [18149] = 16425,
  [18150] = 16424,
  [18151] = 16423,
  [18152] = 16422,
  [18153] = 16451,
  [18154] = 16419,
  [18155] = 16418,
  [18156] = 16454,
  [18157] = 16417,
  [18158] = 16460,
  [18159] = 16402,
  [18160] = 16676,
  [18161] = 16461,
  [18162] = 16462,
  [18163] = 16415,
  [18164] = 16413,
  [18165] = 16412,
  [18166] = 16409,
  [18167] = 16408,
  [18168] = 16407,
  [18169] = 16404,
  [18170] = 16365,
  [18171] = 16403,
  [18172] = 16465,
  [18173] = 16366,
  [18174] = 16367,
  [18175] = 16368,
  [18176] = 16369,
  [18177] = 16466,
  [18178] = 16370,
  [18179] = 16468,
  [18180] = 16371,
  [18181] = 16372,
  [18182] = 16373,
  [18183] = 16374,
  [18184] = 16375,
  [18185] = 16470,
  [18186] = 16376,
  [18187] = 16471,
  [18188] = 16377,
  [18189] = 16378,
  [18190] = 16379,
  [18191] = 16380,
  [18192] = 16381,
  [18193] = 16382,
  [18194] = 16496,
  [18195] = 16496,
  [18196] = 16699,
  [18197] = 16474,
  [18198] = 16383,
  [18199] = 16384,
  [18200] = 16475,
  [18201] = 16477,
  [18202] = 16478,
  [18203] = 16383,
  [18204] = 16384,
  [18205] = 16377,
  [18206] = 17078,
  [18207] = 16479,
  [18208] = 16480,
  [18209] = 16481,
  [18210] = 16420,
  [18211] = 16482,
  [18212] = 16483,
  [18213] = 16427,
  [18214] = 16485,
  [18215] = 16429,
  [18216] = 16430,
  [18217] = 16384,
  [18218] = 16487,
  [18219] = 16488,
  [18220] = 18220,
  [18221] = 16416,
  [18222] = 17092,
  [18223] = 16383,
  [18224] = 16469,
  [18225] = 17095,
  [18226] = 17096,
  [18227] = 16496,
  [18228] = 17099,
  [18229] = 16382,
  [18230] = 16381,
  [18231] = 16453,
  [18232] = 16456,
  [18233] = 16464,
  [18234] = 16467,
  [18235] = 16380,
  [18236] = 16379,
  [18237] = 16378,
  [18238] = 16471,
  [18239] = 16484,
  [18240] = 16376,
  [18241] = 16375,
  [18242] = 16492,
  [18243] = 16374,
  [18244] = 16373,
  [18245] = 16372,
  [18246] = 16371,
  [18247] = 16572,
  [18248] = 16370,
  [18249] = 16369,
  [18250] = 16520,
  [18251] = 16526,
  [18252] = 16368,
  [18253] = 16539,
  [18254] = 16540,
  [18255] = 16582,
  [18256] = 16592,
  [18257] = 16598,
  [18258] = 16367,
  [18259] = 16366,
  [18260] = 16403,
  [18261] = 16404,
  [18262] = 16407,
  [18263] = 16672,
  [18264] = 16408,
  [18265] = 16409,
  [18266] = 18266,
  [18267] = 16412,
  [18268] = 16413,
  [18269] = 16415,
  [18270] = 16402,
  [18271] = 16417,
  [18272] = 16418,
  [18273] = 16419,
  [18274] = 16422,
  [18275] = 16423,
  [18276] = 16646,
  [18277] = 16774,
  [18278] = 16424,
  [18279] = 16425,
  [18280] = 16426,
  [18281] = 16428,
  [18282] = 16431,
  [18283] = 16432,
  [18284] = 16433,
  [18285] = 16434,
  [18286] = 16435,
  [18287] = 16436,
  [18288] = 16437,
  [18289] = 16438,
  [18290] = 16439,
  [18291] = 16440,
  [18292] = 16441,
  [18293] = 16492,
  [18294] = 16420,
  [18295] = 16427,
  [18296] = 16445,
  [18297] = 16447,
  [18298] = 16451,
  [18299] = 16454,
  [18300] = 16460,
  [18301] = 16676,
  [18302] = 18302,
  [18303] = 18303,
  [18304] = 16464,
  [18305] = 16467,
  [18306] = 16461,
  [18307] = 16462,
  [18308] = 16365,
  [18309] = 16465,
  [18310] = 16484,
  [18311] = 16466,
  [18312] = 16468,
  [18313] = 16470,
  [18314] = 16520,
  [18315] = 16526,
  [18316] = 16539,
  [18317] = 16540,
  [18318] = 16582,
  [18319] = 16592,
  [18320] = 16598,
  [18321] = 17078,
  [18322] = 16472,
  [18323] = 16474,
  [18324] = 16475,
  [18325] = 16672,
  [18326] = 16477,
  [18327] = 16478,
  [18328] = 16699,
  [18329] = 16376,
  [18330] = 16479,
  [18331] = 16480,
  [18332] = 16481,
  [18333] = 16482,
  [18334] = 16483,
  [18335] = 16485,
  [18336] = 16384,
  [18337] = 16487,
  [18338] = 16488,
  [18339] = 18339,
  [18340] = 16416,
  [18341] = 17092,
  [18342] = 16383,
  [18343] = 18343,
  [18344] = 16469,
  [18345] = 18345,
  [18346] = 17095,
  [18347] = 17096,
  [18348] = 16496,
  [18349] = 17099,
  [18350] = 16382,
  [18351] = 16381,
  [18352] = 16420,
  [18353] = 16427,
  [18354] = 16380,
  [18355] = 16379,
  [18356] = 16378,
  [18357] = 16377,
  [18358] = 16470,
  [18359] = 16375,
  [18360] = 16374,
  [18361] = 16373,
  [18362] = 16464,
  [18363] = 16467,
  [18364] = 16372,
  [18365] = 16490,
  [18366] = 16371,
  [18367] = 16484,
  [18368] = 16572,
  [18369] = 16370,
  [18370] = 16520,
  [18371] = 16526,
  [18372] = 16540,
  [18373] = 16582,
  [18374] = 16592,
  [18375] = 16598,
  [18376] = 16369,
  [18377] = 16672,
  [18378] = 16368,
  [18379] = 16367,
  [18380] = 16366,
  [18381] = 16403,
  [18382] = 16404,
  [18383] = 16407,
  [18384] = 16408,
  [18385] = 16409,
  [18386] = 16412,
  [18387] = 16413,
  [18388] = 16420,
  [18389] = 16427,
  [18390] = 16415,
  [18391] = 16402,
  [18392] = 16417,
  [18393] = 16418,
  [18394] = 16419,
  [18395] = 16422,
  [18396] = 18396,
  [18397] = 16423,
  [18398] = 16464,
  [18399] = 16467,
  [18400] = 16646,
  [18401] = 16774,
  [18402] = 16424,
  [18403] = 16425,
  [18404] = 16426,
  [18405] = 16520,
  [18406] = 16526,
  [18407] = 16540,
  [18408] = 16582,
  [18409] = 16592,
  [18410] = 16598,
  [18411] = 16428,
  [18412] = 16672,
  [18413] = 16431,
  [18414] = 16432,
  [18415] = 18415,
  [18416] = 16433,
  [18417] = 16434,
  [18418] = 16435,
  [18419] = 16436,
  [18420] = 16437,
  [18421] = 16438,
  [18422] = 18422,
  [18423] = 16420,
  [18424] = 16439,
  [18425] = 16440,
  [18426] = 16441,
  [18427] = 16445,
  [18428] = 16447,
  [18429] = 16451,
  [18430] = 16454,
  [18431] = 16460,
  [18432] = 16464,
  [18433] = 16467,
  [18434] = 16484,
  [18435] = 16676,
  [18436] = 16461,
  [18437] = 16462,
  [18438] = 16365,
  [18439] = 16520,
  [18440] = 16526,
  [18441] = 16540,
  [18442] = 16582,
  [18443] = 16592,
  [18444] = 16598,
  [18445] = 16465,
  [18446] = 16672,
  [18447] = 16466,
  [18448] = 16468,
  [18449] = 18449,
  [18450] = 18450,
  [18451] = 17078,
  [18452] = 16471,
  [18453] = 16472,
  [18454] = 16474,
  [18455] = 16475,
  [18456] = 16477,
  [18457] = 16420,
  [18458] = 16478,
  [18459] = 16699,
  [18460] = 16375,
  [18461] = 16479,
  [18462] = 18462,
  [18463] = 16480,
  [18464] = 16481,
  [18465] = 16482,
  [18466] = 16464,
  [18467] = 16467,
  [18468] = 18468,
  [18469] = 16483,
  [18470] = 16485,
  [18471] = 16384,
  [18472] = 16487,
  [18473] = 16520,
  [18474] = 16526,
  [18475] = 16540,
  [18476] = 16582,
  [18477] = 16592,
  [18478] = 16598,
  [18479] = 16488,
  [18480] = 16672,
  [18481] = 16416,
  [18482] = 17092,
  [18483] = 18483,
  [18484] = 18484,
  [18485] = 16383,
  [18486] = 16469,
  [18487] = 16420,
  [18488] = 17095,
  [18489] = 18489,
  [18490] = 17096,
  [18491] = 16496,
  [18492] = 17099,
  [18493] = 16382,
  [18494] = 16383,
  [18495] = 16381,
  [18496] = 16464,
  [18497] = 16467,
  [18498] = 16380,
  [18499] = 18499,
  [18500] = 16379,
  [18501] = 16378,
  [18502] = 16377,
  [18503] = 16520,
  [18504] = 16526,
  [18505] = 16582,
  [18506] = 16592,
  [18507] = 16598,
  [18508] = 16672,
  [18509] = 16376,
  [18510] = 16445,
  [18511] = 16374,
  [18512] = 16373,
  [18513] = 16372,
  [18514] = 16420,
  [18515] = 16371,
  [18516] = 16572,
  [18517] = 16370,
  [18518] = 16369,
  [18519] = 16368,
  [18520] = 16469,
  [18521] = 16467,
  [18522] = 16367,
  [18523] = 16464,
  [18524] = 16467,
  [18525] = 16366,
  [18526] = 16403,
  [18527] = 16404,
  [18528] = 16407,
  [18529] = 16408,
  [18530] = 16520,
  [18531] = 16526,
  [18532] = 16582,
  [18533] = 16592,
  [18534] = 16598,
  [18535] = 16672,
  [18536] = 16409,
  [18537] = 16412,
  [18538] = 16413,
  [18539] = 16415,
  [18540] = 16402,
  [18541] = 16420,
  [18542] = 16417,
  [18543] = 16464,
  [18544] = 16418,
  [18545] = 16419,
  [18546] = 16422,
  [18547] = 16423,
  [18548] = 16646,
  [18549] = 16774,
  [18550] = 16464,
  [18551] = 16467,
  [18552] = 16424,
  [18553] = 17095,
  [18554] = 16425,
  [18555] = 17096,
  [18556] = 16426,
  [18557] = 16520,
  [18558] = 16526,
  [18559] = 16582,
  [18560] = 16592,
  [18561] = 16598,
  [18562] = 16672,
  [18563] = 16428,
  [18564] = 16431,
  [18565] = 16432,
  [18566] = 16433,
  [18567] = 16434,
  [18568] = 16420,
  [18569] = 16435,
  [18570] = 18570,
  [18571] = 16436,
  [18572] = 16437,
  [18573] = 16438,
  [18574] = 16439,
  [18575] = 16440,
  [18576] = 16441,
  [18577] = 16464,
  [18578] = 16467,
  [18579] = 17078,
  [18580] = 16447,
  [18581] = 16451,
  [18582] = 16454,
  [18583] = 16460,
  [18584] = 16520,
  [18585] = 16526,
  [18586] = 16582,
  [18587] = 16592,
  [18588] = 16598,
  [18589] = 16672,
  [18590] = 16676,
  [18591] = 16461,
  [18592] = 18592,
  [18593] = 16462,
  [18594] = 16365,
  [18595] = 16420,
  [18596] = 16465,
  [18597] = 16466,
  [18598] = 16468,
  [18599] = 16470,
  [18600] = 16471,
  [18601] = 16472,
  [18602] = 16474,
  [18603] = 16475,
  [18604] = 16464,
  [18605] = 16467,
  [18606] = 16477,
  [18607] = 16478,
  [18608] = 16699,
  [18609] = 17099,
  [18610] = 16479,
  [18611] = 16520,
  [18612] = 16526,
  [18613] = 16582,
  [18614] = 16592,
  [18615] = 16598,
  [18616] = 16672,
  [18617] = 16480,
  [18618] = 16481,
  [18619] = 16482,
  [18620] = 16483,
  [18621] = 16485,
  [18622] = 16420,
  [18623] = 16384,
  [18624] = 16487,
  [18625] = 16488,
  [18626] = 16416,
  [18627] = 17092,
  [18628] = 16383,
  [18629] = 16469,
  [18630] = 18630,
  [18631] = 16464,
  [18632] = 16467,
  [18633] = 17095,
  [18634] = 17096,
  [18635] = 16496,
  [18636] = 18636,
  [18637] = 16428,
  [18638] = 16520,
  [18639] = 16526,
  [18640] = 16582,
  [18641] = 16592,
  [18642] = 16598,
  [18643] = 16672,
  [18644] = 16382,
  [18645] = 16381,
  [18646] = 16380,
  [18647] = 16379,
  [18648] = 16378,
  [18649] = 16420,
  [18650] = 16377,
  [18651] = 16376,
  [18652] = 16375,
  [18653] = 16374,
  [18654] = 16373,
  [18655] = 16372,
  [18656] = 16371,
  [18657] = 16572,
  [18658] = 16464,
  [18659] = 16467,
  [18660] = 16370,
  [18661] = 16369,
  [18662] = 16368,
  [18663] = 16367,
  [18664] = 16366,
  [18665] = 16520,
  [18666] = 16526,
  [18667] = 16582,
  [18668] = 16592,
  [18669] = 16598,
  [18670] = 16672,
  [18671] = 16403,
  [18672] = 16404,
  [18673] = 18673,
  [18674] = 16407,
  [18675] = 16408,
  [18676] = 16420,
  [18677] = 16409,
  [18678] = 16412,
  [18679] = 16413,
  [18680] = 16415,
  [18681] = 16402,
  [18682] = 16417,
  [18683] = 18683,
  [18684] = 18684,
  [18685] = 16464,
  [18686] = 16467,
  [18687] = 16418,
  [18688] = 16419,
  [18689] = 16422,
  [18690] = 18690,
  [18691] = 16423,
  [18692] = 16520,
  [18693] = 16526,
  [18694] = 16582,
  [18695] = 16592,
  [18696] = 16598,
  [18697] = 16672,
  [18698] = 16646,
  [18699] = 16774,
  [18700] = 16424,
  [18701] = 16425,
  [18702] = 16457,
  [18703] = 16420,
  [18704] = 16426,
  [18705] = 16456,
  [18706] = 16477,
  [18707] = 16431,
  [18708] = 16455,
  [18709] = 16432,
  [18710] = 16433,
  [18711] = 18711,
  [18712] = 16464,
  [18713] = 16467,
  [18714] = 16434,
  [18715] = 16435,
  [18716] = 16436,
  [18717] = 18717,
  [18718] = 16437,
  [18719] = 16520,
  [18720] = 16526,
  [18721] = 16582,
  [18722] = 16592,
  [18723] = 16598,
  [18724] = 16672,
  [18725] = 16438,
  [18726] = 18726,
  [18727] = 18727,
  [18728] = 16439,
  [18729] = 16440,
  [18730] = 16420,
  [18731] = 16441,
  [18732] = 16445,
  [18733] = 16447,
  [18734] = 16451,
  [18735] = 16454,
  [18736] = 16460,
  [18737] = 16676,
  [18738] = 16461,
  [18739] = 16464,
  [18740] = 16467,
  [18741] = 16462,
  [18742] = 16365,
  [18743] = 16465,
  [18744] = 16466,
  [18745] = 16468,
  [18746] = 16520,
  [18747] = 16526,
  [18748] = 16582,
  [18749] = 16592,
  [18750] = 16598,
  [18751] = 16672,
  [18752] = 16470,
  [18753] = 18753,
  [18754] = 16471,
  [18755] = 16472,
  [18756] = 16474,
  [18757] = 16467,
  [18758] = 16475,
  [18759] = 16453,
  [18760] = 16496,
  [18761] = 16520,
  [18762] = 16526,
  [18763] = 16582,
  [18764] = 16592,
  [18765] = 16598,
  [18766] = 16672,
  [18767] = 16478,
  [18768] = 18768,
  [18769] = 18769,
  [18770] = 16467,
  [18771] = 18771,
  [18772] = 16699,
  [18773] = 17078,
  [18774] = 16520,
  [18775] = 16526,
  [18776] = 16582,
  [18777] = 16592,
  [18778] = 16598,
  [18779] = 16672,
  [18780] = 16479,
  [18781] = 16480,
  [18782] = 16481,
  [18783] = 16467,
  [18784] = 16450,
  [18785] = 18785,
  [18786] = 16482,
  [18787] = 16520,
  [18788] = 16526,
  [18789] = 16582,
  [18790] = 16592,
  [18791] = 16598,
  [18792] = 16672,
  [18793] = 16483,
  [18794] = 16485,
  [18795] = 16467,
  [18796] = 18796,
  [18797] = 16520,
  [18798] = 16526,
  [18799] = 16582,
  [18800] = 16592,
  [18801] = 16598,
  [18802] = 16672,
  [18803] = 16384,
  [18804] = 16487,
  [18805] = 16467,
  [18806] = 16488,
  [18807] = 16520,
  [18808] = 16526,
  [18809] = 16582,
  [18810] = 16592,
  [18811] = 16598,
  [18812] = 16672,
  [18813] = 16416,
  [18814] = 17092,
  [18815] = 16467,
  [18816] = 16383,
  [18817] = 16520,
  [18818] = 16526,
  [18819] = 16582,
  [18820] = 16592,
  [18821] = 16598,
  [18822] = 16672,
  [18823] = 16469,
  [18824] = 17095,
  [18825] = 16467,
  [18826] = 17096,
  [18827] = 16520,
  [18828] = 16526,
  [18829] = 16582,
  [18830] = 16592,
  [18831] = 16598,
  [18832] = 16672,
  [18833] = 16496,
  [18834] = 17099,
  [18835] = 16467,
  [18836] = 16425,
  [18837] = 16520,
  [18838] = 16526,
  [18839] = 16582,
  [18840] = 16592,
  [18841] = 16598,
  [18842] = 16672,
  [18843] = 17414,
  [18844] = 17291,
  [18845] = 17286,
  [18846] = 18846,
  [18847] = 17191,
  [18848] = 16382,
  [18849] = 16381,
  [18850] = 16380,
  [18851] = 16379,
  [18852] = 16378,
  [18853] = 16377,
  [18854] = 16430,
  [18855] = 16429,
  [18856] = 16376,
  [18857] = 16427,
  [18858] = 18858,
  [18859] = 16375,
  [18860] = 16374,
  [18861] = 16373,
  [18862] = 16372,
  [18863] = 16371,
  [18864] = 16572,
  [18865] = 16720,
  [18866] = 16721,
  [18867] = 16370,
  [18868] = 16369,
  [18869] = 16368,
  [18870] = 18870,
  [18871] = 16367,
  [18872] = 16366,
  [18873] = 18873,
  [18874] = 16403,
  [18875] = 18875,
  [18876] = 18876,
  [18877] = 16404,
  [18878] = 16407,
  [18879] = 18879,
  [18880] = 16408,
  [18881] = 16409,
  [18882] = 16412,
  [18883] = 16413,
  [18884] = 16415,
  [18885] = 16402,
  [18886] = 16417,
  [18887] = 16496,
  [18888] = 16418,
  [18889] = 16419,
  [18890] = 16422,
  [18891] = 16423,
  [18892] = 16646,
  [18893] = 16774,
  [18894] = 16424,
  [18895] = 16485,
  [18896] = 16426,
  [18897] = 16428,
  [18898] = 16431,
  [18899] = 16432,
  [18900] = 16433,
  [18901] = 16434,
  [18902] = 16435,
  [18903] = 18903,
  [18904] = 16467,
  [18905] = 16436,
  [18906] = 16437,
  [18907] = 16438,
  [18908] = 16439,
  [18909] = 16440,
  [18910] = 16441,
  [18911] = 16445,
  [18912] = 16447,
  [18913] = 16451,
  [18914] = 16454,
  [18915] = 16520,
  [18916] = 16526,
  [18917] = 16460,
  [18918] = 16676,
  [18919] = 17266,
  [18920] = 16461,
  [18921] = 16462,
  [18922] = 16365,
  [18923] = 16465,
  [18924] = 16466,
  [18925] = 16582,
  [18926] = 16592,
  [18927] = 16598,
  [18928] = 16468,
  [18929] = 16470,
  [18930] = 18930,
  [18931] = 16471,
  [18932] = 16472,
  [18933] = 16474,
  [18934] = 16475,
  [18935] = 16477,
  [18936] = 16478,
  [18937] = 16699,
  [18938] = 17325,
  [18939] = 16672,
  [18940] = 17078,
  [18941] = 17264,
  [18942] = 17263,
  [18943] = 16479,
  [18944] = 16480,
  [18945] = 16420,
  [18946] = 16481,
  [18947] = 18947,
  [18948] = 18948,
  [18949] = 18949,
  [18950] = 16482,
  [18951] = 16483,
  [18952] = 17071,
  [18953] = 17092,
  [18954] = 16384,
  [18955] = 18955,
  [18956] = 16487,
  [18957] = 16488,
  [18958] = 18958,
  [18959] = 16416,
  [18960] = 16866,
  [18961] = 16865,
  [18962] = 16863,
  [18963] = 17099,
  [18964] = 16383,
  [18965] = 16469,
  [18966] = 17095,
  [18967] = 16651,
  [18968] = 17096,
  [18969] = 16648,
  [18970] = 16647,
  [18971] = 16496,
  [18972] = 16426,
  [18973] = 16546,
  [18974] = 16533,
  [18975] = 16476,
  [18976] = 17414,
  [18977] = 17291,
  [18978] = 16495,
  [18979] = 16494,
  [18980] = 17286,
  [18981] = 18981,
  [18982] = 17098,
  [18983] = 17191,
  [18984] = 18984,
  [18985] = 16382,
  [18986] = 16381,
  [18987] = 16380,
  [18988] = 16379,
  [18989] = 16378,
  [18990] = 16377,
  [18991] = 16376,
  [18992] = 16375,
  [18993] = 16374,
  [18994] = 16373,
  [18995] = 16372,
  [18996] = 16371,
  [18997] = 16572,
  [18998] = 16720,
  [18999] = 16721,
  [19000] = 16370,
  [19001] = 16369,
  [19002] = 16368,
  [19003] = 16367,
  [19004] = 16366,
  [19005] = 16403,
  [19006] = 16404,
  [19007] = 18873,
  [19008] = 16407,
  [19009] = 18875,
  [19010] = 16408,
  [19011] = 16409,
  [19012] = 16412,
  [19013] = 16413,
  [19014] = 16415,
  [19015] = 16402,
  [19016] = 16417,
  [19017] = 17325,
  [19018] = 17264,
  [19019] = 17263,
  [19020] = 16418,
  [19021] = 16419,
  [19022] = 18879,
  [19023] = 19023,
  [19024] = 16422,
  [19025] = 16423,
  [19026] = 16646,
  [19027] = 16774,
  [19028] = 16424,
  [19029] = 16425,
  [19030] = 17078,
  [19031] = 16428,
  [19032] = 16431,
  [19033] = 16432,
  [19034] = 18873,
  [19035] = 16433,
  [19036] = 18875,
  [19037] = 16434,
  [19038] = 16435,
  [19039] = 16436,
  [19040] = 16437,
  [19041] = 16438,
  [19042] = 17325,
  [19043] = 17264,
  [19044] = 17263,
  [19045] = 16439,
  [19046] = 16440,
  [19047] = 16421,
  [19048] = 16441,
  [19049] = 16445,
  [19050] = 16447,
  [19051] = 18873,
  [19052] = 16451,
  [19053] = 18875,
  [19054] = 16454,
  [19055] = 16460,
  [19056] = 16676,
  [19057] = 17325,
  [19058] = 18873,
  [19059] = 17266,
  [19060] = 18875,
  [19061] = 16461,
  [19062] = 16462,
  [19063] = 16365,
  [19064] = 17325,
  [19065] = 18873,
  [19066] = 16465,
  [19067] = 18875,
  [19068] = 16466,
  [19069] = 16468,
  [19070] = 16470,
  [19071] = 17325,
  [19072] = 18873,
  [19073] = 16471,
  [19074] = 18875,
  [19075] = 16472,
  [19076] = 16474,
  [19077] = 18875,
  [19078] = 17325,
  [19079] = 18873,
  [19080] = 16475,
  [19081] = 18875,
  [19082] = 16477,
  [19083] = 16478,
  [19084] = 19084,
  [19085] = 17325,
  [19086] = 18873,
  [19087] = 16699,
  [19088] = 18875,
  [19089] = 16482,
  [19090] = 16479,
  [19091] = 16480,
  [19092] = 17325,
  [19093] = 18873,
  [19094] = 16481,
  [19095] = 18875,
  [19096] = 17099,
  [19097] = 16483,
  [19098] = 17099,
  [19099] = 17325,
  [19100] = 18873,
  [19101] = 16485,
  [19102] = 18875,
  [19103] = 16384,
  [19104] = 16487,
  [19105] = 16488,
  [19106] = 17325,
  [19107] = 18873,
  [19108] = 16416,
  [19109] = 18875,
  [19110] = 17092,
  [19111] = 18422,
  [19112] = 16383,
  [19113] = 17325,
  [19114] = 18873,
  [19115] = 16469,
  [19116] = 18875,
  [19117] = 17095,
  [19118] = 17096,
  [19119] = 18873,
  [19120] = 17325,
  [19121] = 18873,
  [19122] = 16496,
  [19123] = 18875,
  [19124] = 16572,
  [19125] = 17414,
  [19126] = 19126,
  [19127] = 17325,
  [19128] = 18873,
  [19129] = 17291,
  [19130] = 18875,
  [19131] = 17286,
  [19132] = 17191,
  [19133] = 16382,
  [19134] = 17325,
  [19135] = 18873,
  [19136] = 16381,
  [19137] = 18875,
  [19138] = 16380,
  [19139] = 16379,
  [19140] = 16378,
  [19141] = 17325,
  [19142] = 18873,
  [19143] = 16377,
  [19144] = 18875,
  [19145] = 16376,
  [19146] = 16375,
  [19147] = 16374,
  [19148] = 17325,
  [19149] = 18873,
  [19150] = 16373,
  [19151] = 18873,
  [19152] = 16372,
  [19153] = 18873,
  [19154] = 16371,
  [19155] = 18873,
  [19156] = 18873,
  [19157] = 18873,
  [19158] = 18873,
  [19159] = 18873,
  [19160] = 16425,
  [19161] = 16720,
  [19162] = 16721,
  [19163] = 16370,
  [19164] = 19164,
  [19165] = 16369,
  [19166] = 18949,
  [19167] = 18948,
  [19168] = 16368,
  [19169] = 16367,
  [19170] = 16366,
  [19171] = 18846,
  [19172] = 16403,
  [19173] = 16404,
  [19174] = 18636,
  [19175] = 16407,
  [19176] = 16408,
  [19177] = 16409,
  [19178] = 18220,
  [19179] = 16412,
  [19180] = 16413,
  [19181] = 16415,
  [19182] = 16402,
  [19183] = 16417,
  [19184] = 16418,
  [19185] = 16419,
  [19186] = 16422,
  [19187] = 16423,
  [19188] = 17442,
  [19189] = 17441,
  [19190] = 16646,
  [19191] = 16774,
  [19192] = 16424,
  [19193] = 16439,
  [19194] = 16426,
  [19195] = 16428,
  [19196] = 17425,
  [19197] = 17424,
  [19198] = 16431,
  [19199] = 16432,
  [19200] = 16433,
  [19201] = 16434,
  [19202] = 17256,
  [19203] = 17255,
  [19204] = 16435,
  [19205] = 16436,
  [19206] = 17072,
  [19207] = 17128,
  [19208] = 17067,
  [19209] = 16898,
  [19210] = 16897,
  [19211] = 16896,
  [19212] = 16862,
  [19213] = 16558,
  [19214] = 16443,
  [19215] = 16437,
  [19216] = 16438,
  [19217] = 18846,
  [19218] = 16472,
  [19219] = 17442,
  [19220] = 17441,
  [19221] = 17067,
  [19222] = 16862,
  [19223] = 16558,
  [19224] = 16443,
  [19225] = 18846,
  [19226] = 16440,
  [19227] = 17442,
  [19228] = 17441,
  [19229] = 17067,
  [19230] = 16862,
  [19231] = 16558,
  [19232] = 16443,
  [19233] = 18846,
  [19234] = 19234,
  [19235] = 18846,
  [19236] = 19236,
  [19237] = 18846,
  [19238] = 19164,
  [19239] = 18846,
  [19240] = 16441,
  [19241] = 18846,
  [19242] = 16445,
  [19243] = 18846,
  [19244] = 16447,
  [19245] = 18846,
  [19246] = 16451,
  [19247] = 18846,
  [19248] = 19248,
  [19249] = 18846,
  [19250] = 16454,
  [19251] = 18846,
  [19252] = 16460,
  [19253] = 18846,
  [19254] = 16676,
  [19255] = 18846,
  [19256] = 17266,
  [19257] = 18846,
  [19258] = 16414,
  [19259] = 18846,
  [19260] = 16461,
  [19261] = 18846,
  [19262] = 18846,
  [19263] = 18846,
  [19264] = 19126,
  [19265] = 19084,
  [19266] = 16462,
  [19267] = 16365,
  [19268] = 16465,
  [19269] = 16466,
  [19270] = 16468,
  [19271] = 16470,
  [19272] = 16471,
  [19273] = 16384,
  [19274] = 16474,
  [19275] = 16475,
  [19276] = 16477,
  [19277] = 16728,
  [19278] = 16557,
  [19279] = 19126,
  [19280] = 19084,
  [19281] = 16728,
  [19282] = 16557,
  [19283] = 19126,
  [19284] = 19084,
  [19285] = 16728,
  [19286] = 16557,
  [19287] = 19126,
  [19288] = 19084,
  [19289] = 19126,
  [19290] = 19084,
  [19291] = 19126,
  [19292] = 19084,
  [19293] = 19126,
  [19294] = 19084,
  [19295] = 19126,
  [19296] = 19084,
  [19297] = 19126,
  [19298] = 19084,
  [19299] = 19126,
  [19300] = 19084,
  [19301] = 19126,
  [19302] = 19084,
  [19303] = 19126,
  [19304] = 19084,
  [19305] = 19126,
  [19306] = 19084,
  [19307] = 19126,
  [19308] = 19084,
  [19309] = 19126,
  [19310] = 19084,
  [19311] = 19126,
  [19312] = 19084,
  [19313] = 19126,
  [19314] = 19084,
  [19315] = 19126,
  [19316] = 19126,
  [19317] = 19126,
  [19318] = 16478,
  [19319] = 18727,
  [19320] = 16699,
  [19321] = 17078,
  [19322] = 18415,
  [19323] = 16479,
  [19324] = 16480,
  [19325] = 16481,
  [19326] = 16482,
  [19327] = 16483,
  [19328] = 16485,
  [19329] = 17625,
  [19330] = 17099,
  [19331] = 16487,
  [19332] = 16488,
  [19333] = 16416,
  [19334] = 17092,
  [19335] = 18303,
  [19336] = 18422,
  [19337] = 16484,
  [19338] = 16383,
  [19339] = 16469,
  [19340] = 17095,
  [19341] = 17096,
  [19342] = 18570,
  [19343] = 16496,
  [19344] = 16427,
  [19345] = 17610,
  [19346] = 17610,
  [19347] = 17610,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '"', 124,
        '#', 177,
        '$', 200,
        '&', 195,
        '\'', 143,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 181,
        ',', 108,
        '-', 184,
        '.', 175,
        '/', 187,
        ':', 125,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(51);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(47);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(162);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (('B' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(15);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(15);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(16);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(16);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(14);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(14);
      if (lookahead == '\r') SKIP(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(18);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(18);
      if (lookahead == '\r') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(13);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(13);
      if (lookahead == '\r') SKIP(9);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(19);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(19);
      if (lookahead == '\r') SKIP(11);
      END_STATE();
    case 13:
      if (lookahead == ' ') ADVANCE(146);
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '\\') SKIP(10);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(13);
      if (('.' <= lookahead && lookahead <= ':')) ADVANCE(148);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(6);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        '*', 186,
        '+', 182,
        '-', 185,
        '.', 43,
        '/', 21,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(157);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        '+', 182,
        '-', 185,
        '.', 43,
        '/', 21,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(158);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 177,
        '(', 110,
        ')', 111,
        ',', 108,
        '-', 24,
        '.', 175,
        '/', 21,
        '>', 117,
      );
      if (lookahead == '\\') SKIP(8);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '\\') SKIP(8);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == ',') ADVANCE(108);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '\\') SKIP(12);
      if (lookahead == '`') ADVANCE(48);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(37);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(40);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(128);
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '/') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '-') ADVANCE(177);
      END_STATE();
    case 25:
      if (lookahead == '-') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(192);
      END_STATE();
    case 27:
      if (lookahead == '@') ADVANCE(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 28:
      if (lookahead == '@') ADVANCE(28);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 29:
      if (lookahead == '@') ADVANCE(28);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 30:
      if (lookahead == '`') ADVANCE(123);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 31:
      if (lookahead == '`') ADVANCE(123);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '`') ADVANCE(174);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 34:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 35:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 36:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 37:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(38);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(41);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(105);
      END_STATE();
    case 38:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 39:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(36);
      END_STATE();
    case 40:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(39);
      END_STATE();
    case 41:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(198);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 47:
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      if (lookahead != 0 &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(32);
      END_STATE();
    case 48:
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(31);
      END_STATE();
    case 49:
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(32);
      END_STATE();
    case 50:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(82);
      END_STATE();
    case 51:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(82);
      if (lookahead == '\r') SKIP(50);
      END_STATE();
    case 52:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(98);
      END_STATE();
    case 53:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(98);
      if (lookahead == '\r') SKIP(52);
      END_STATE();
    case 54:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 55:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(54);
      END_STATE();
    case 56:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(91);
      END_STATE();
    case 57:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(91);
      if (lookahead == '\r') SKIP(56);
      END_STATE();
    case 58:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(100);
      END_STATE();
    case 59:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(100);
      if (lookahead == '\r') SKIP(58);
      END_STATE();
    case 60:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(92);
      END_STATE();
    case 61:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(92);
      if (lookahead == '\r') SKIP(60);
      END_STATE();
    case 62:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(88);
      END_STATE();
    case 63:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(88);
      if (lookahead == '\r') SKIP(62);
      END_STATE();
    case 64:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(89);
      END_STATE();
    case 65:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(89);
      if (lookahead == '\r') SKIP(64);
      END_STATE();
    case 66:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(95);
      END_STATE();
    case 67:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(95);
      if (lookahead == '\r') SKIP(66);
      END_STATE();
    case 68:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(102);
      END_STATE();
    case 69:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(102);
      if (lookahead == '\r') SKIP(68);
      END_STATE();
    case 70:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(96);
      END_STATE();
    case 71:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(96);
      if (lookahead == '\r') SKIP(70);
      END_STATE();
    case 72:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(103);
      END_STATE();
    case 73:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(103);
      if (lookahead == '\r') SKIP(72);
      END_STATE();
    case 74:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(93);
      END_STATE();
    case 75:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(93);
      if (lookahead == '\r') SKIP(74);
      END_STATE();
    case 76:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(94);
      END_STATE();
    case 77:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(94);
      if (lookahead == '\r') SKIP(76);
      END_STATE();
    case 78:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(90);
      END_STATE();
    case 79:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(90);
      if (lookahead == '\r') SKIP(78);
      END_STATE();
    case 80:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(97);
      END_STATE();
    case 81:
      if (eof) ADVANCE(104);
      if (lookahead == '\n') SKIP(97);
      if (lookahead == '\r') SKIP(80);
      END_STATE();
    case 82:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '"', 124,
        '#', 177,
        '$', 200,
        '&', 195,
        '\'', 143,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 181,
        ',', 108,
        '-', 184,
        '.', 178,
        '/', 187,
        ':', 125,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(51);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(47);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(162);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (('B' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 83:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(65);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(89);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 84:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(79);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(90);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 85:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(75);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 86:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(77);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(94);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 87:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 175,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(81);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 88:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(63);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(88);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('B' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 89:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(65);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(89);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 90:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 113,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(79);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(90);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 91:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(57);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(91);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 92:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(61);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(48);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(92);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 93:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(75);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 94:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(77);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(94);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 95:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(67);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(95);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 96:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(71);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(96);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 97:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '!', 26,
        '#', 177,
        '&', 195,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 180,
        ',', 108,
        '-', 183,
        '.', 178,
        '/', 187,
        ';', 107,
        '<', 116,
        '=', 112,
        '>', 118,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(81);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '|') ADVANCE(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 98:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 182,
        ',', 108,
        '-', 185,
        '.', 43,
        '/', 21,
        ';', 107,
        '<', 115,
        '=', 109,
        '>', 117,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(53);
      if (lookahead == ']') ADVANCE(145);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(98);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 99:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 182,
        ',', 108,
        '-', 185,
        '.', 43,
        '/', 21,
        ';', 107,
        '=', 112,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(55);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 100:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '$', 200,
        '(', 110,
        ')', 111,
        '*', 186,
        '+', 182,
        ',', 108,
        '-', 185,
        '.', 43,
        '/', 21,
        ';', 107,
        '?', 153,
        '@', 27,
        '[', 144,
      );
      if (lookahead == '\\') SKIP(59);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '~') ADVANCE(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(100);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 101:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '(', 110,
        ')', 111,
        '+', 42,
        ',', 108,
        '-', 25,
        '.', 175,
        '/', 21,
        ';', 107,
        '=', 109,
        '>', 117,
        '?', 153,
        '@', 28,
      );
      if (lookahead == '\\') SKIP(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(102);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 102:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '(', 110,
        ')', 111,
        '+', 42,
        ',', 108,
        '-', 25,
        '/', 21,
        ';', 107,
        '=', 109,
        '>', 117,
        '?', 153,
        '@', 28,
      );
      if (lookahead == '\\') SKIP(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(102);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 103:
      if (eof) ADVANCE(104);
      ADVANCE_MAP(
        '#', 177,
        '(', 110,
        ')', 111,
        ',', 108,
        '-', 24,
        '/', 21,
        ';', 107,
        '>', 117,
      );
      if (lookahead == '\\') SKIP(73);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(165);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(103);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym__keyword_as_token1);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym__keyword_as_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_set_statement_token2);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(122);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_option_clause_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(193);
      if (lookahead == '=') ADVANCE(189);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(191);
      if (lookahead == '>') ADVANCE(194);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_set_operation_token2);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_set_operation_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_group_by_clause_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_privilege_role);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '\r') ADVANCE(127);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(177);
      if (lookahead != 0) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '#') ADVANCE(128);
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '/') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '*') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '/') ADVANCE(134);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(23);
      if (lookahead != 0) ADVANCE(132);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(23);
      if (lookahead != 0) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead == '-') ADVANCE(128);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_privilege_user_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym__integer);
      if (lookahead == '.') ADVANCE(138);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym__integer);
      if (lookahead == '.') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym__integer);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym__float_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym__float_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym__float_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym__float_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__float_token3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_range_content_token1);
      if (lookahead == ' ') ADVANCE(146);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':')) ADVANCE(148);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_range_content_token1);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == ' ' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':')) ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym_range_content_token1);
      if (lookahead == ' ' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym_range_content_token1);
      if (lookahead == ' ' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':')) ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(177);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_system_variable);
      if (lookahead == '.') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_system_variable);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym__named_query_parameter);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym__positional_query_parameter);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(172);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__unquoted_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym__quoted_identifier);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_DOT2);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(177);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(188);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_quantitve_like_operator_token1);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_quantitve_like_operator_token2);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym_argument_reference_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(201);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'D') ADVANCE(2);
      if (lookahead == 'G') ADVANCE(3);
      if (lookahead == 'O') ADVANCE(4);
      if (lookahead == 'S') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(6);
      if (lookahead == '\\') SKIP(7);
      if (lookahead == '_') ADVANCE(8);
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'd') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(14);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(16);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(18);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(19);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(20);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(21);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(22);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(23);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(24);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(25);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(27);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(28);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(29);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(32);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        'S', 34,
        's', 35,
        'D', 36,
        'd', 36,
        'G', 37,
        'g', 37,
        'L', 38,
        'l', 38,
        'N', 39,
        'n', 39,
        'R', 40,
        'r', 40,
      );
      END_STATE();
    case 2:
      ADVANCE_MAP(
        'A', 41,
        'a', 41,
        'E', 42,
        'e', 42,
        'I', 43,
        'i', 43,
        'O', 44,
        'o', 44,
        'R', 45,
        'r', 45,
      );
      END_STATE();
    case 3:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'P', 48,
        'F', 49,
        'f', 49,
        'N', 50,
        'n', 50,
        'R', 51,
        'r', 51,
        'U', 52,
        'u', 52,
        'V', 53,
        'v', 53,
      );
      END_STATE();
    case 5:
      ADVANCE_MAP(
        'A', 54,
        'a', 54,
        'C', 55,
        'c', 55,
        'E', 56,
        'e', 56,
        'N', 57,
        'n', 57,
        'O', 58,
        'o', 58,
        'T', 59,
        't', 59,
        'Y', 60,
        'y', 60,
      );
      END_STATE();
    case 6:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(61);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(62);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(63);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(64);
      END_STATE();
    case 8:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(65);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(66);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        'D', 36,
        'd', 36,
        'G', 37,
        'g', 37,
        'L', 38,
        'l', 38,
        'N', 39,
        'n', 39,
        'R', 40,
        'r', 40,
        'S', 35,
        's', 35,
      );
      END_STATE();
    case 10:
      ADVANCE_MAP(
        'O', 44,
        'o', 67,
        'A', 41,
        'a', 41,
        'E', 42,
        'e', 42,
        'I', 43,
        'i', 43,
        'R', 45,
        'r', 45,
      );
      END_STATE();
    case 11:
      if (lookahead == 'R') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(68);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        'p', 69,
        'F', 49,
        'f', 49,
        'N', 50,
        'n', 50,
        'R', 51,
        'r', 51,
        'U', 52,
        'u', 52,
        'V', 53,
        'v', 53,
      );
      END_STATE();
    case 13:
      ADVANCE_MAP(
        'E', 56,
        'e', 70,
        'p', 71,
        'A', 54,
        'a', 54,
        'C', 55,
        'c', 55,
        'N', 57,
        'n', 57,
        'O', 58,
        'o', 58,
        'T', 59,
        't', 59,
        'Y', 60,
        'y', 60,
      );
      END_STATE();
    case 14:
      if (lookahead == 'S') ADVANCE(63);
      if (lookahead == 's') ADVANCE(72);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(61);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(62);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'E', 73,
        'e', 73,
        'I', 74,
        'i', 74,
        'R', 75,
        'r', 75,
        'Y', 76,
        'y', 76,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'A', 77,
        'a', 77,
        'L', 78,
        'l', 78,
        'O', 79,
        'o', 79,
        'R', 80,
        'r', 80,
        'U', 81,
        'u', 81,
      );
      END_STATE();
    case 17:
      ADVANCE_MAP(
        'L', 82,
        'l', 82,
        'N', 83,
        'n', 83,
        'R', 84,
        'r', 84,
        'X', 85,
        'x', 85,
      );
      END_STATE();
    case 18:
      ADVANCE_MAP(
        'A', 86,
        'a', 86,
        'I', 87,
        'i', 87,
        'O', 88,
        'o', 88,
        'R', 89,
        'r', 89,
        'U', 90,
        'u', 90,
      );
      END_STATE();
    case 19:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(91);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        'F', 93,
        'f', 93,
        'G', 94,
        'g', 94,
        'M', 95,
        'm', 95,
        'N', 96,
        'n', 96,
        'S', 97,
        's', 97,
        'T', 98,
        't', 98,
      );
      END_STATE();
    case 21:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(99);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 22:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        'A', 102,
        'a', 102,
        'E', 103,
        'e', 103,
        'I', 104,
        'i', 104,
        'O', 105,
        'o', 105,
      );
      END_STATE();
    case 24:
      ADVANCE_MAP(
        'A', 106,
        'a', 106,
        'E', 107,
        'e', 107,
        'I', 108,
        'i', 108,
        'O', 109,
        'o', 109,
      );
      END_STATE();
    case 25:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(110);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(111);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        'A', 112,
        'a', 112,
        'E', 113,
        'e', 113,
        'I', 114,
        'i', 114,
        'R', 115,
        'r', 115,
      );
      END_STATE();
    case 27:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        'A', 117,
        'a', 117,
        'E', 118,
        'e', 118,
        'I', 119,
        'i', 119,
        'O', 120,
        'o', 120,
      );
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'A', 121,
        'a', 121,
        'E', 122,
        'e', 122,
        'H', 123,
        'h', 123,
        'I', 124,
        'i', 124,
        'O', 125,
        'o', 125,
        'R', 126,
        'r', 126,
        'Y', 127,
        'y', 127,
      );
      END_STATE();
    case 30:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(128);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(130);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 32:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 33:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'D') ADVANCE(2);
      if (lookahead == 'G') ADVANCE(3);
      if (lookahead == 'O') ADVANCE(4);
      if (lookahead == 'S') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(6);
      if (lookahead == '\\') SKIP(7);
      if (lookahead == '_') ADVANCE(8);
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'd') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(14);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(16);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(18);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(19);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(20);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(21);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(22);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(23);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(24);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(25);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(26);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(27);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(28);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(29);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(32);
      if (lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_AS);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(133);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(134);
      END_STATE();
    case 35:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(133);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(134);
      END_STATE();
    case 36:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(135);
      END_STATE();
    case 37:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(136);
      END_STATE();
    case 38:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(137);
      END_STATE();
    case 39:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(138);
      END_STATE();
    case 40:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(139);
      END_STATE();
    case 41:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(140);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(141);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        'C', 142,
        'c', 142,
        'F', 143,
        'f', 143,
        'L', 144,
        'l', 144,
        'S', 145,
        's', 145,
      );
      END_STATE();
    case 43:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(146);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(147);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 45:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 46:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(149);
      END_STATE();
    case 47:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(150);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(151);
      END_STATE();
    case 48:
      if (lookahead == 'T') ADVANCE(152);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym__keyword_system_as_of_token2);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(153);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(aux_sym_join_condition_token1);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(aux_sym_keyword_replace_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(154);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(155);
      END_STATE();
    case 53:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 54:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 55:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(158);
      END_STATE();
    case 56:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 58:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(162);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 60:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(164);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        'B', 165,
        'b', 165,
        'I', 166,
        'i', 166,
        'N', 167,
        'n', 167,
        'P', 168,
        'p', 168,
        'T', 169,
        't', 169,
      );
      END_STATE();
    case 62:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(170);
      END_STATE();
    case 63:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(171);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 65:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 66:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      if (lookahead == 'm') ADVANCE(174);
      END_STATE();
    case 68:
      if (lookahead == 'O') ADVANCE(151);
      if (lookahead == 'o') ADVANCE(175);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 70:
      if (lookahead == 'r') ADVANCE(177);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(159);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(171);
      END_STATE();
    case 73:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(180);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(181);
      END_STATE();
    case 74:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(182);
      END_STATE();
    case 75:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym__keyword_partition_by_token2);
      END_STATE();
    case 77:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(184);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(185);
      END_STATE();
    case 78:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(186);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(187);
      END_STATE();
    case 79:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(188);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(189);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(190);
      END_STATE();
    case 80:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(191);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 81:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(193);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(194);
      END_STATE();
    case 82:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(195);
      END_STATE();
    case 83:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(196);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(197);
      END_STATE();
    case 84:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        'C', 199,
        'c', 199,
        'E', 200,
        'e', 200,
        'I', 201,
        'i', 201,
        'P', 202,
        'p', 202,
        'T', 203,
        't', 203,
      );
      END_STATE();
    case 86:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 87:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(205);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(206);
      END_STATE();
    case 88:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(207);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(208);
      END_STATE();
    case 89:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(209);
      END_STATE();
    case 90:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 91:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(212);
      END_STATE();
    case 92:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(213);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_keyword_if_not_exists_token1);
      END_STATE();
    case 94:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 95:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(215);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym__keyword_in_token1);
      ADVANCE_MAP(
        'C', 216,
        'c', 216,
        'N', 217,
        'n', 217,
        'O', 218,
        'o', 218,
        'S', 219,
        's', 219,
        'T', 220,
        't', 220,
      );
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym__keyword_is_token1);
      END_STATE();
    case 98:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 99:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(222);
      END_STATE();
    case 100:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 101:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(224);
      END_STATE();
    case 102:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(225);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(226);
      END_STATE();
    case 103:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(227);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(228);
      END_STATE();
    case 104:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(229);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(230);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(231);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(232);
      END_STATE();
    case 106:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(233);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(234);
      END_STATE();
    case 107:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(235);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(236);
      END_STATE();
    case 108:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 109:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(238);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(239);
      END_STATE();
    case 110:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(240);
      END_STATE();
    case 111:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(242);
      END_STATE();
    case 112:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      END_STATE();
    case 113:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(244);
      END_STATE();
    case 114:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(245);
      END_STATE();
    case 115:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(247);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 116:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 117:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(250);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(251);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        'C', 252,
        'c', 252,
        'F', 253,
        'f', 253,
        'M', 254,
        'm', 254,
        'N', 255,
        'n', 255,
        'P', 256,
        'p', 256,
        'S', 257,
        's', 257,
        'T', 258,
        't', 258,
        'V', 259,
        'v', 259,
      );
      END_STATE();
    case 119:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(260);
      END_STATE();
    case 120:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(261);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(262);
      END_STATE();
    case 121:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(263);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 122:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(265);
      END_STATE();
    case 123:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 124:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(267);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_alter_table_rename_statement_token1);
      END_STATE();
    case 126:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(268);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(269);
      END_STATE();
    case 127:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(270);
      END_STATE();
    case 128:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(271);
      END_STATE();
    case 129:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 130:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(273);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 131:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(275);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 132:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(277);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym__direction_keywords_token1);
      END_STATE();
    case 134:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym__keyword_add_token1);
      END_STATE();
    case 136:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(279);
      END_STATE();
    case 137:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(280);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym__keyword_and_token1);
      END_STATE();
    case 139:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 140:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(282);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_partition_expression_token5);
      END_STATE();
    case 142:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(285);
      END_STATE();
    case 143:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(286);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(288);
      END_STATE();
    case 146:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(289);
      END_STATE();
    case 147:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(290);
      END_STATE();
    case 148:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(291);
      END_STATE();
    case 149:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 150:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 151:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(294);
      END_STATE();
    case 152:
      if (lookahead == 'I') ADVANCE(295);
      END_STATE();
    case 153:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(296);
      END_STATE();
    case 154:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_procedure_argument_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 156:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(299);
      END_STATE();
    case 157:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 158:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 159:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_set_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(303);
      END_STATE();
    case 161:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(304);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 163:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(306);
      END_STATE();
    case 164:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 165:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 166:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(309);
      END_STATE();
    case 167:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 168:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(311);
      END_STATE();
    case 169:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 170:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(313);
      END_STATE();
    case 171:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(314);
      END_STATE();
    case 172:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 173:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(316);
      END_STATE();
    case 174:
      if (lookahead == 'a') ADVANCE(317);
      END_STATE();
    case 175:
      if (lookahead == 'U') ADVANCE(294);
      if (lookahead == 'u') ADVANCE(318);
      END_STATE();
    case 176:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 177:
      if (lookahead == 'v') ADVANCE(320);
      END_STATE();
    case 178:
      if (lookahead == 'c') ADVANCE(321);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 180:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 181:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(324);
      END_STATE();
    case 182:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(325);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(327);
      END_STATE();
    case 184:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(328);
      END_STATE();
    case 185:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(329);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 186:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 187:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 188:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(334);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 189:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(336);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(337);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(338);
      END_STATE();
    case 190:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(339);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 192:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(341);
      END_STATE();
    case 193:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 194:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 195:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym__keyword_end_token1);
      END_STATE();
    case 197:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(345);
      END_STATE();
    case 198:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(346);
      END_STATE();
    case 199:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(347);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(348);
      END_STATE();
    case 200:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(349);
      END_STATE();
    case 201:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(350);
      END_STATE();
    case 202:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(351);
      END_STATE();
    case 203:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(353);
      END_STATE();
    case 204:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(354);
      END_STATE();
    case 205:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 206:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(356);
      END_STATE();
    case 207:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(357);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym__keyword_for_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(358);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(359);
      END_STATE();
    case 209:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(360);
      END_STATE();
    case 210:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(361);
      END_STATE();
    case 211:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 212:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(363);
      END_STATE();
    case 213:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(364);
      END_STATE();
    case 214:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(365);
      END_STATE();
    case 215:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 216:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(367);
      END_STATE();
    case 217:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 219:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(370);
      END_STATE();
    case 220:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(372);
      END_STATE();
    case 221:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 222:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 223:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(375);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(aux_sym_primary_key_token2);
      END_STATE();
    case 225:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(376);
      END_STATE();
    case 226:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(377);
      END_STATE();
    case 227:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(378);
      END_STATE();
    case 228:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(379);
      END_STATE();
    case 229:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 230:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 231:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(382);
      END_STATE();
    case 232:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(383);
      END_STATE();
    case 233:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(384);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_having_max_clause_token1);
      END_STATE();
    case 235:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(386);
      END_STATE();
    case 236:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(387);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_having_min_clause_token1);
      END_STATE();
    case 238:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 239:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(389);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(aux_sym_keyword_if_not_exists_token2);
      END_STATE();
    case 241:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(390);
      END_STATE();
    case 242:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 243:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(392);
      END_STATE();
    case 244:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(393);
      END_STATE();
    case 245:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(394);
      END_STATE();
    case 246:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(395);
      END_STATE();
    case 247:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(396);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(397);
      END_STATE();
    case 248:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(398);
      END_STATE();
    case 249:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 250:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(400);
      END_STATE();
    case 251:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(401);
      END_STATE();
    case 252:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(402);
      END_STATE();
    case 253:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(403);
      END_STATE();
    case 254:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(404);
      END_STATE();
    case 255:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(405);
      END_STATE();
    case 256:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(406);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(407);
      END_STATE();
    case 257:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(408);
      END_STATE();
    case 258:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(409);
      END_STATE();
    case 259:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(410);
      END_STATE();
    case 260:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(411);
      END_STATE();
    case 261:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(412);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(aux_sym_keyword_current_row_token2);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(413);
      END_STATE();
    case 263:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(414);
      END_STATE();
    case 264:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(415);
      END_STATE();
    case 265:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(416);
      END_STATE();
    case 266:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(417);
      END_STATE();
    case 267:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(418);
      END_STATE();
    case 268:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 269:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(420);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(421);
      END_STATE();
    case 270:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(422);
      END_STATE();
    case 271:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(423);
      END_STATE();
    case 272:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(424);
      END_STATE();
    case 273:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(425);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(426);
      END_STATE();
    case 274:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(427);
      END_STATE();
    case 275:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(428);
      END_STATE();
    case 276:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(429);
      END_STATE();
    case 277:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(430);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 279:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 280:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 281:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(434);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(aux_sym_set_data_type_token1);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym__keyword_date_token1);
      if (lookahead == '_') ADVANCE(435);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(436);
      END_STATE();
    case 284:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(437);
      END_STATE();
    case 285:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(438);
      END_STATE();
    case 286:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(439);
      END_STATE();
    case 287:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(440);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym__direction_keywords_token2);
      END_STATE();
    case 289:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(441);
      END_STATE();
    case 290:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(442);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym__keyword_drop_token1);
      END_STATE();
    case 292:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(443);
      END_STATE();
    case 293:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(444);
      END_STATE();
    case 294:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(445);
      END_STATE();
    case 295:
      if (lookahead == 'O') ADVANCE(446);
      END_STATE();
    case 296:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 297:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(448);
      END_STATE();
    case 298:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(449);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(aux_sym_analytics_clause_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(450);
      END_STATE();
    case 300:
      if (lookahead == '_') ADVANCE(451);
      END_STATE();
    case 301:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(452);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(453);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(aux_sym_grouping_sets_token2);
      END_STATE();
    case 304:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(454);
      END_STATE();
    case 305:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(455);
      END_STATE();
    case 306:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(456);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 308:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(458);
      END_STATE();
    case 309:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(459);
      END_STATE();
    case 310:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(460);
      END_STATE();
    case 311:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(461);
      END_STATE();
    case 312:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(462);
      END_STATE();
    case 313:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(463);
      END_STATE();
    case 314:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(464);
      END_STATE();
    case 315:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(465);
      END_STATE();
    case 316:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(466);
      END_STATE();
    case 317:
      if (lookahead == 'i') ADVANCE(467);
      END_STATE();
    case 318:
      if (lookahead == 'P') ADVANCE(445);
      if (lookahead == 'p') ADVANCE(468);
      END_STATE();
    case 319:
      if (lookahead == 'a') ADVANCE(469);
      END_STATE();
    case 320:
      if (lookahead == 'i') ADVANCE(470);
      END_STATE();
    case 321:
      if (lookahead == 'i') ADVANCE(471);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_user);
      END_STATE();
    case 323:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(472);
      END_STATE();
    case 324:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 326:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(475);
      END_STATE();
    case 327:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(476);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_call_statement_token1);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(477);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym__keyword_case_token1);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym__keyword_cast_token1);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 333:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(479);
      END_STATE();
    case 334:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(480);
      END_STATE();
    case 335:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(481);
      END_STATE();
    case 336:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 337:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(483);
      END_STATE();
    case 338:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(484);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_copy_clause_token1);
      END_STATE();
    case 340:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(485);
      END_STATE();
    case 341:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(486);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(aux_sym_cube_token1);
      END_STATE();
    case 343:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(487);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym__keyword_else_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(488);
      END_STATE();
    case 345:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(489);
      END_STATE();
    case 346:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(490);
      END_STATE();
    case 347:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(491);
      END_STATE();
    case 348:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(492);
      END_STATE();
    case 349:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 350:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(494);
      END_STATE();
    case 351:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(495);
      END_STATE();
    case 352:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(496);
      END_STATE();
    case 353:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(497);
      END_STATE();
    case 354:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(498);
      END_STATE();
    case 355:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(499);
      END_STATE();
    case 356:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(500);
      END_STATE();
    case 357:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(501);
      END_STATE();
    case 358:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 359:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(503);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__keyword_from_token1);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(aux_sym_join_type_token4);
      END_STATE();
    case 362:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(504);
      END_STATE();
    case 363:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(505);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(aux_sym_partition_expression_token6);
      END_STATE();
    case 365:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(506);
      END_STATE();
    case 366:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(507);
      END_STATE();
    case 367:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(508);
      END_STATE();
    case 368:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(509);
      END_STATE();
    case 369:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(510);
      END_STATE();
    case 370:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(511);
      END_STATE();
    case 371:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(512);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_into_clause_token1);
      END_STATE();
    case 373:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(513);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym__cross_join_operation_token2);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(aux_sym_json_token1);
      END_STATE();
    case 376:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(514);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym__nulls_preference_token3);
      END_STATE();
    case 378:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(515);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_join_type_token2);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym__keyword_like_token1);
      END_STATE();
    case 381:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(516);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_load_data_statement_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_loop_statement_token1);
      END_STATE();
    case 384:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(517);
      END_STATE();
    case 385:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(518);
      END_STATE();
    case 386:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 387:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(520);
      END_STATE();
    case 388:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(521);
      END_STATE();
    case 389:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(522);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_drop_notnull_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(523);
      END_STATE();
    case 391:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(524);
      END_STATE();
    case 392:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(525);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 394:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(527);
      END_STATE();
    case 395:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 396:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(529);
      END_STATE();
    case 397:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(530);
      END_STATE();
    case 398:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(531);
      END_STATE();
    case 399:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(532);
      END_STATE();
    case 400:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(533);
      END_STATE();
    case 401:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      END_STATE();
    case 402:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(535);
      END_STATE();
    case 403:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(536);
      END_STATE();
    case 404:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(537);
      END_STATE();
    case 405:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(538);
      END_STATE();
    case 406:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(539);
      END_STATE();
    case 407:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(540);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(541);
      END_STATE();
    case 408:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(542);
      END_STATE();
    case 409:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(543);
      END_STATE();
    case 410:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(544);
      END_STATE();
    case 411:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(545);
      END_STATE();
    case 412:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(546);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_rows_range_token1);
      END_STATE();
    case 414:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(547);
      END_STATE();
    case 415:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(548);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym_keyword_temporary_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(549);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(aux_sym__keyword_then_token1);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(aux_sym__keyword_time_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(550);
      END_STATE();
    case 419:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(551);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(aux_sym_TRUE_token1);
      END_STATE();
    case 421:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(552);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym_set_data_type_token2);
      END_STATE();
    case 423:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(553);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym_create_table_statement_token2);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym__keyword_when_token1);
      END_STATE();
    case 426:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(554);
      END_STATE();
    case 427:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 428:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(556);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym_partition_columns_clause_token1);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(aux_sym_partition_expression_token8);
      END_STATE();
    case 431:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(557);
      END_STATE();
    case 432:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(558);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(aux_sym__keyword_alter_token1);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(aux_sym__keyword_array_token1);
      END_STATE();
    case 435:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(559);
      END_STATE();
    case 436:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(560);
      END_STATE();
    case 437:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(561);
      END_STATE();
    case 438:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(562);
      END_STATE();
    case 439:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(563);
      END_STATE();
    case 440:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(564);
      END_STATE();
    case 441:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(565);
      END_STATE();
    case 442:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(566);
      END_STATE();
    case 443:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(567);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_grant_statement_token1);
      END_STATE();
    case 445:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(568);
      END_STATE();
    case 446:
      if (lookahead == 'N') ADVANCE(569);
      END_STATE();
    case 447:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(570);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(aux_sym_order_by_clause_token1);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(aux_sym_join_type_token5);
      END_STATE();
    case 450:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(571);
      END_STATE();
    case 451:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(572);
      END_STATE();
    case 452:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(573);
      END_STATE();
    case 453:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(574);
      END_STATE();
    case 454:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(575);
      END_STATE();
    case 455:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(576);
      END_STATE();
    case 456:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(577);
      END_STATE();
    case 457:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(578);
      END_STATE();
    case 458:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(579);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(aux_sym_set_operation_token1);
      END_STATE();
    case 460:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(580);
      END_STATE();
    case 461:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(581);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(aux_sym_repeat_statement_token1);
      END_STATE();
    case 463:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(582);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(aux_sym_using_clause_token1);
      END_STATE();
    case 465:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(583);
      END_STATE();
    case 466:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(584);
      END_STATE();
    case 467:
      if (lookahead == 'n') ADVANCE(585);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_group);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(568);
      END_STATE();
    case 469:
      if (lookahead == 't') ADVANCE(586);
      END_STATE();
    case 470:
      if (lookahead == 'c') ADVANCE(587);
      END_STATE();
    case 471:
      if (lookahead == 'a') ADVANCE(588);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(aux_sym__keyword_begin_token1);
      END_STATE();
    case 473:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(589);
      END_STATE();
    case 474:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(590);
      END_STATE();
    case 475:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(591);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 477:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(592);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(aux_sym_clone_clause_token1);
      END_STATE();
    case 479:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(593);
      END_STATE();
    case 480:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(594);
      END_STATE();
    case 481:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(595);
      END_STATE();
    case 482:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(596);
      END_STATE();
    case 483:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(597);
      END_STATE();
    case 484:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(598);
      END_STATE();
    case 485:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(599);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym__cross_join_operation_token1);
      END_STATE();
    case 487:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(600);
      END_STATE();
    case 488:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(601);
      END_STATE();
    case 489:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(602);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_begin_exception_end_statement_token2);
      END_STATE();
    case 491:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(603);
      END_STATE();
    case 492:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(604);
      END_STATE();
    case 493:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(605);
      END_STATE();
    case 494:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(606);
      END_STATE();
    case 495:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(607);
      END_STATE();
    case 496:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(608);
      END_STATE();
    case 497:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(609);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_FALSE_token1);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_from_files_clause_token1);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym__nulls_preference_token2);
      END_STATE();
    case 501:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(610);
      END_STATE();
    case 502:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(611);
      END_STATE();
    case 503:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(612);
      END_STATE();
    case 504:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(613);
      END_STATE();
    case 505:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(614);
      END_STATE();
    case 506:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(615);
      END_STATE();
    case 507:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(616);
      END_STATE();
    case 508:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(617);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(aux_sym_join_type_token1);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(aux_sym_procedure_argument_token2);
      END_STATE();
    case 511:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(618);
      END_STATE();
    case 512:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(619);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(620);
      END_STATE();
    case 513:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(621);
      END_STATE();
    case 514:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(622);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_leave_statement_token1);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_limit_clause_token1);
      END_STATE();
    case 517:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(623);
      END_STATE();
    case 518:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(624);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_merge_statement_token1);
      END_STATE();
    case 520:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(625);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_create_model_statement_token1);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_partition_expression_token7);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym__nulls_preference_token1);
      END_STATE();
    case 524:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(626);
      END_STATE();
    case 525:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(627);
      END_STATE();
    case 526:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(628);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_pivot_operator_token1);
      END_STATE();
    case 528:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(629);
      END_STATE();
    case 529:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(630);
      END_STATE();
    case 530:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(631);
      END_STATE();
    case 531:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(632);
      END_STATE();
    case 532:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(633);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(aux_sym_raise_statement_token1);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(aux_sym__keyword_range_token1);
      if (lookahead == '_') ADVANCE(634);
      END_STATE();
    case 535:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(635);
      END_STATE();
    case 536:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(636);
      END_STATE();
    case 537:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(637);
      END_STATE();
    case 538:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(638);
      END_STATE();
    case 539:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(639);
      END_STATE();
    case 540:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(640);
      END_STATE();
    case 541:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(641);
      END_STATE();
    case 542:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(642);
      END_STATE();
    case 543:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(643);
      END_STATE();
    case 544:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(644);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(aux_sym_join_type_token3);
      END_STATE();
    case 546:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(645);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(aux_sym_create_table_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(646);
      END_STATE();
    case 548:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(647);
      END_STATE();
    case 549:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(648);
      END_STATE();
    case 550:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(649);
      END_STATE();
    case 551:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(650);
      END_STATE();
    case 552:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(651);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(aux_sym_select_token2);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(652);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(aux_sym_where_clause_token1);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 556:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(653);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(aux_sym_assert_statement_token1);
      END_STATE();
    case 558:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(654);
      END_STATE();
    case 559:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(655);
      END_STATE();
    case 560:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(656);
      END_STATE();
    case 561:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(657);
      END_STATE();
    case 562:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(658);
      END_STATE();
    case 563:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(659);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(aux_sym__keyword_delete_token1);
      END_STATE();
    case 565:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(660);
      END_STATE();
    case 566:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(661);
      END_STATE();
    case 567:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(662);
      END_STATE();
    case 568:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(663);
      END_STATE();
    case 569:
      if (lookahead == 'S') ADVANCE(664);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(aux_sym_limit_clause_token2);
      END_STATE();
    case 571:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(665);
      END_STATE();
    case 572:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(666);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym__keyword_schema_token1);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_select_token1);
      END_STATE();
    case 575:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(667);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym_merge_not_matched_by_source_clause_token1);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(aux_sym__keyword_struct_token1);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(aux_sym_tablesample_operator_token2);
      if (lookahead == '_') ADVANCE(668);
      END_STATE();
    case 579:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(669);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_unnest_operator_token1);
      END_STATE();
    case 581:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(670);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_update_statement_token1);
      END_STATE();
    case 583:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(671);
      END_STATE();
    case 584:
      if (lookahead == '_') ADVANCE(672);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_domain);
      END_STATE();
    case 586:
      if (lookahead == 'o') ADVANCE(673);
      END_STATE();
    case 587:
      if (lookahead == 'e') ADVANCE(674);
      END_STATE();
    case 588:
      if (lookahead == 'l') ADVANCE(675);
      END_STATE();
    case 589:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(676);
      END_STATE();
    case 590:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(677);
      END_STATE();
    case 591:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(678);
      END_STATE();
    case 592:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(679);
      END_STATE();
    case 593:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(680);
      END_STATE();
    case 594:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(681);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym__keyword_column_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(682);
      END_STATE();
    case 596:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(683);
      END_STATE();
    case 597:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(684);
      END_STATE();
    case 598:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(685);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym__keyword_create_token1);
      END_STATE();
    case 600:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(686);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 602:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(687);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_set_operation_token4);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(688);
      END_STATE();
    case 604:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(689);
      END_STATE();
    case 605:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(690);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_keyword_if_not_exists_token3);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_export_data_statement_token1);
      END_STATE();
    case 608:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(691);
      END_STATE();
    case 609:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(692);
      END_STATE();
    case 610:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(693);
      END_STATE();
    case 611:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(694);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym__keyword_format_token1);
      END_STATE();
    case 613:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(695);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_having_clause_token1);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_function_call_token1);
      END_STATE();
    case 616:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(696);
      END_STATE();
    case 617:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(697);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_insert_statement_token1);
      END_STATE();
    case 619:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(698);
      END_STATE();
    case 620:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(699);
      END_STATE();
    case 621:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(700);
      END_STATE();
    case 622:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(701);
      END_STATE();
    case 623:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(702);
      END_STATE();
    case 624:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(703);
      END_STATE();
    case 625:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(704);
      END_STATE();
    case 626:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(705);
      END_STATE();
    case 627:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(706);
      END_STATE();
    case 628:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(707);
      END_STATE();
    case 629:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(708);
      END_STATE();
    case 630:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(709);
      END_STATE();
    case 631:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(710);
      END_STATE();
    case 632:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(711);
      END_STATE();
    case 633:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(712);
      END_STATE();
    case 634:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(713);
      END_STATE();
    case 635:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(714);
      END_STATE();
    case 636:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(715);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_create_remote_function_statement_token1);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym__keyword_rename_token1);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym__keyword_repeat_token1);
      END_STATE();
    case 640:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(716);
      END_STATE();
    case 641:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(717);
      END_STATE();
    case 642:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(718);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(719);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_revoke_statement_token1);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_rollup_token1);
      END_STATE();
    case 646:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(720);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(aux_sym_merge_not_matched_by_target_clause_token1);
      END_STATE();
    case 648:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(721);
      END_STATE();
    case 649:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(722);
      END_STATE();
    case 650:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(723);
      END_STATE();
    case 651:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(724);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(aux_sym_values_clause_token1);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(aux_sym__keyword_window_token1);
      END_STATE();
    case 654:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(725);
      END_STATE();
    case 655:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(726);
      END_STATE();
    case 656:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(727);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(aux_sym_numeric_token3);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(aux_sym_default_clause_token1);
      END_STATE();
    case 660:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(728);
      END_STATE();
    case 661:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(729);
      END_STATE();
    case 662:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(730);
      END_STATE();
    case 663:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(731);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(anon_sym_OPTIONS);
      END_STATE();
    case 665:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(732);
      END_STATE();
    case 666:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(733);
      END_STATE();
    case 667:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(734);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(735);
      END_STATE();
    case 668:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(736);
      END_STATE();
    case 669:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(737);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_unpivot_operator_token1);
      END_STATE();
    case 671:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(738);
      END_STATE();
    case 672:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(739);
      END_STATE();
    case 673:
      if (lookahead == 'r') ADVANCE(740);
      END_STATE();
    case 674:
      if (lookahead == 'A') ADVANCE(741);
      END_STATE();
    case 675:
      if (lookahead == 'G') ADVANCE(742);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(aux_sym__keyword_between_token1);
      END_STATE();
    case 677:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(743);
      END_STATE();
    case 678:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(744);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_drop_schema_option_token1);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_table_cluster_clause_token1);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(aux_sym_default_collate_clause_token1);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(aux_sym_partition_columns_clause_token2);
      END_STATE();
    case 683:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(745);
      END_STATE();
    case 684:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(746);
      END_STATE();
    case 685:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(747);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(aux_sym_keyword_current_row_token1);
      END_STATE();
    case 687:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(748);
      END_STATE();
    case 688:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(749);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(aux_sym_unpivot_operator_token3);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(aux_sym_execute_immediate_statement_token1);
      END_STATE();
    case 691:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(750);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(aux_sym_function_call_token2);
      END_STATE();
    case 693:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(751);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(aux_sym_foreign_key_token1);
      END_STATE();
    case 695:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(752);
      END_STATE();
    case 696:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(753);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(aux_sym_unpivot_operator_token2);
      END_STATE();
    case 698:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(754);
      END_STATE();
    case 699:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(755);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(aux_sym_iterate_statement_token1);
      END_STATE();
    case 701:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(756);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_merge_matched_clause_token1);
      END_STATE();
    case 703:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(757);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(aux_sym_raise_statement_token2);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_numeric_token1);
      END_STATE();
    case 706:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(758);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_tablesample_operator_token3);
      END_STATE();
    case 708:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(759);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(aux_sym_primary_key_token1);
      END_STATE();
    case 710:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(760);
      END_STATE();
    case 711:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(761);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(aux_sym_qualify_clause_token1);
      END_STATE();
    case 713:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(762);
      END_STATE();
    case 714:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(763);
      END_STATE();
    case 715:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(764);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(aux_sym_keyword_replace_token2);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(aux_sym__keyword_replica_token1);
      END_STATE();
    case 718:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(765);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(aux_sym__keyword_returns_token1);
      END_STATE();
    case 720:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(766);
      END_STATE();
    case 721:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(767);
      END_STATE();
    case 722:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(768);
      END_STATE();
    case 723:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(769);
      END_STATE();
    case 724:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(770);
      END_STATE();
    case 725:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(771);
      END_STATE();
    case 726:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(772);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(aux_sym__keyword_datetime_token1);
      if (lookahead == '_') ADVANCE(773);
      END_STATE();
    case 728:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(774);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(aux_sym__keyword_distinct_token1);
      END_STATE();
    case 730:
      if (lookahead == '_') ADVANCE(775);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(aux_sym_grouping_sets_token1);
      END_STATE();
    case 732:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(776);
      END_STATE();
    case 733:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(777);
      END_STATE();
    case 734:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(778);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(aux_sym_create_snapshot_table_statement_token1);
      END_STATE();
    case 736:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(779);
      END_STATE();
    case 737:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(780);
      END_STATE();
    case 738:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(781);
      END_STATE();
    case 739:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(782);
      END_STATE();
    case 740:
      if (lookahead == '_') ADVANCE(783);
      END_STATE();
    case 741:
      if (lookahead == 'c') ADVANCE(784);
      END_STATE();
    case 742:
      if (lookahead == 'r') ADVANCE(785);
      END_STATE();
    case 743:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(786);
      END_STATE();
    case 744:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(787);
      END_STATE();
    case 745:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(788);
      END_STATE();
    case 746:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(789);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(aux_sym_constraint_enfoce_option_token1);
      END_STATE();
    case 749:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(790);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(aux_sym_create_external_table_statement_token1);
      END_STATE();
    case 751:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(791);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(aux_sym_create_function_statement_token1);
      END_STATE();
    case 753:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(792);
      END_STATE();
    case 754:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(793);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(aux_sym_interval_token1);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(aux_sym__function_language_token1);
      END_STATE();
    case 757:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(794);
      END_STATE();
    case 758:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(795);
      END_STATE();
    case 759:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(796);
      END_STATE();
    case 760:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(797);
      END_STATE();
    case 761:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(798);
      END_STATE();
    case 762:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(799);
      END_STATE();
    case 763:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(800);
      END_STATE();
    case 764:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(801);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(aux_sym_drop_schema_option_token2);
      END_STATE();
    case 766:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(802);
      END_STATE();
    case 767:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(803);
      END_STATE();
    case 768:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(804);
      END_STATE();
    case 769:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(805);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(aux_sym_truncate_statement_token1);
      END_STATE();
    case 771:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(806);
      END_STATE();
    case 772:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(807);
      END_STATE();
    case 773:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(808);
      END_STATE();
    case 774:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(809);
      END_STATE();
    case 775:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(810);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(aux_sym_load_data_statement_token2);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(aux_sym__keyword_cast_token2);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(aux_sym_drop_table_statement_token1);
      END_STATE();
    case 779:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(811);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(aux_sym_keyword_unbounded_preceding_token1);
      END_STATE();
    case 781:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(812);
      END_STATE();
    case 782:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(813);
      END_STATE();
    case 783:
      if (lookahead == 'c') ADVANCE(814);
      END_STATE();
    case 784:
      if (lookahead == 'c') ADVANCE(815);
      END_STATE();
    case 785:
      if (lookahead == 'o') ADVANCE(816);
      END_STATE();
    case 786:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(817);
      END_STATE();
    case 787:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(818);
      END_STATE();
    case 788:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(819);
      END_STATE();
    case 789:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(820);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(aux_sym_begin_exception_end_statement_token1);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(aux_sym_window_numeric_following_token1);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(aux_sym_execute_immediate_statement_token2);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(aux_sym_set_operation_token3);
      END_STATE();
    case 794:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(821);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(aux_sym__keyword_partition_by_token1);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(aux_sym_window_numeric_preceding_token1);
      END_STATE();
    case 797:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(822);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(aux_sym_create_procedure_statement_token1);
      END_STATE();
    case 799:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(823);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(aux_sym_cte_clause_token1);
      END_STATE();
    case 801:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(824);
      END_STATE();
    case 802:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(825);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(aux_sym_keyword_temporary_token2);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(aux_sym__keyword_timestamp_token1);
      if (lookahead == '_') ADVANCE(826);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(aux_sym_transoform_clause_token1);
      END_STATE();
    case 806:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(827);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(aux_sym_partition_expression_token4);
      END_STATE();
    case 808:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(828);
      END_STATE();
    case 809:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(829);
      END_STATE();
    case 810:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(830);
      END_STATE();
    case 811:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(831);
      END_STATE();
    case 812:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(832);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(833);
      END_STATE();
    case 813:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(834);
      END_STATE();
    case 814:
      if (lookahead == 'o') ADVANCE(835);
      END_STATE();
    case 815:
      if (lookahead == 'o') ADVANCE(836);
      END_STATE();
    case 816:
      if (lookahead == 'u') ADVANCE(837);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_numeric_token4);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_numeric_token2);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_create_remote_function_statement_token2);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(aux_sym_add_foreign_key_action_token1);
      END_STATE();
    case 821:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(838);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(aux_sym_grant_statement_token2);
      END_STATE();
    case 823:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(839);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(aux_sym_foreign_key_references_token1);
      END_STATE();
    case 825:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(840);
      END_STATE();
    case 826:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(841);
      END_STATE();
    case 827:
      if (lookahead == '_') ADVANCE(842);
      END_STATE();
    case 828:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(843);
      END_STATE();
    case 829:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(844);
      END_STATE();
    case 830:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(845);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(aux_sym__keyword_system_as_of_token1);
      END_STATE();
    case 832:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(846);
      END_STATE();
    case 833:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(847);
      END_STATE();
    case 834:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(848);
      END_STATE();
    case 835:
      if (lookahead == 'm') ADVANCE(849);
      END_STATE();
    case 836:
      if (lookahead == 'u') ADVANCE(850);
      END_STATE();
    case 837:
      if (lookahead == 'p') ADVANCE(851);
      END_STATE();
    case 838:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(852);
      END_STATE();
    case 839:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(853);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(aux_sym_tablesample_operator_token1);
      END_STATE();
    case 841:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(854);
      END_STATE();
    case 842:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(855);
      END_STATE();
    case 843:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(856);
      END_STATE();
    case 844:
      if (lookahead == '_') ADVANCE(857);
      END_STATE();
    case 845:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(858);
      END_STATE();
    case 846:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(859);
      END_STATE();
    case 847:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(860);
      END_STATE();
    case 848:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(861);
      END_STATE();
    case 849:
      if (lookahead == 'p') ADVANCE(862);
      END_STATE();
    case 850:
      if (lookahead == 'n') ADVANCE(863);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(anon_sym_specialGroup);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(aux_sym_create_table_statement_token3);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(aux_sym_partition_expression_token9);
      END_STATE();
    case 854:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(864);
      END_STATE();
    case 855:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(865);
      END_STATE();
    case 856:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(866);
      END_STATE();
    case 857:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(867);
      END_STATE();
    case 858:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(868);
      END_STATE();
    case 859:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(869);
      END_STATE();
    case 860:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(870);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(aux_sym__keyword_tablesuffix_token1);
      END_STATE();
    case 862:
      if (lookahead == 'a') ADVANCE(871);
      END_STATE();
    case 863:
      if (lookahead == 't') ADVANCE(872);
      END_STATE();
    case 864:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(873);
      END_STATE();
    case 865:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(874);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(aux_sym_partition_expression_token2);
      END_STATE();
    case 867:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(875);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(aux_sym_partition_expression_token10);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(aux_sym_partition_expression_token1);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(aux_sym__keyword_partitiontime_token1);
      END_STATE();
    case 871:
      if (lookahead == 'r') ADVANCE(876);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(anon_sym_serviceAccount);
      END_STATE();
    case 873:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(877);
      END_STATE();
    case 874:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(878);
      END_STATE();
    case 875:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(879);
      END_STATE();
    case 876:
      if (lookahead == 'e') ADVANCE(880);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(aux_sym_partition_expression_token3);
      END_STATE();
    case 878:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(881);
      END_STATE();
    case 879:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(882);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(anon_sym_operator_compare);
      END_STATE();
    case 881:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(883);
      END_STATE();
    case 882:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(884);
      END_STATE();
    case 883:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(885);
      END_STATE();
    case 884:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(886);
      END_STATE();
    case 885:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(887);
      END_STATE();
    case 886:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(888);
      END_STATE();
    case 887:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(889);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(aux_sym_differential_privacy_clause_token1);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(aux_sym_aggregation_threshold_clause_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 98},
  [2] = {.lex_state = 99, .external_lex_state = 2},
  [3] = {.lex_state = 99, .external_lex_state = 2},
  [4] = {.lex_state = 99, .external_lex_state = 2},
  [5] = {.lex_state = 99, .external_lex_state = 2},
  [6] = {.lex_state = 99, .external_lex_state = 2},
  [7] = {.lex_state = 99, .external_lex_state = 2},
  [8] = {.lex_state = 99, .external_lex_state = 2},
  [9] = {.lex_state = 99, .external_lex_state = 2},
  [10] = {.lex_state = 91},
  [11] = {.lex_state = 98, .external_lex_state = 2},
  [12] = {.lex_state = 98, .external_lex_state = 2},
  [13] = {.lex_state = 98, .external_lex_state = 2},
  [14] = {.lex_state = 98, .external_lex_state = 2},
  [15] = {.lex_state = 98, .external_lex_state = 2},
  [16] = {.lex_state = 98, .external_lex_state = 2},
  [17] = {.lex_state = 98, .external_lex_state = 2},
  [18] = {.lex_state = 98, .external_lex_state = 2},
  [19] = {.lex_state = 98, .external_lex_state = 2},
  [20] = {.lex_state = 98, .external_lex_state = 2},
  [21] = {.lex_state = 98, .external_lex_state = 2},
  [22] = {.lex_state = 98, .external_lex_state = 2},
  [23] = {.lex_state = 91},
  [24] = {.lex_state = 98, .external_lex_state = 2},
  [25] = {.lex_state = 98, .external_lex_state = 2},
  [26] = {.lex_state = 98, .external_lex_state = 2},
  [27] = {.lex_state = 98, .external_lex_state = 2},
  [28] = {.lex_state = 98, .external_lex_state = 2},
  [29] = {.lex_state = 98, .external_lex_state = 2},
  [30] = {.lex_state = 98, .external_lex_state = 2},
  [31] = {.lex_state = 98, .external_lex_state = 2},
  [32] = {.lex_state = 98, .external_lex_state = 2},
  [33] = {.lex_state = 98, .external_lex_state = 2},
  [34] = {.lex_state = 98, .external_lex_state = 2},
  [35] = {.lex_state = 98, .external_lex_state = 2},
  [36] = {.lex_state = 98, .external_lex_state = 2},
  [37] = {.lex_state = 98, .external_lex_state = 2},
  [38] = {.lex_state = 98, .external_lex_state = 2},
  [39] = {.lex_state = 98, .external_lex_state = 2},
  [40] = {.lex_state = 98, .external_lex_state = 2},
  [41] = {.lex_state = 98, .external_lex_state = 2},
  [42] = {.lex_state = 98, .external_lex_state = 2},
  [43] = {.lex_state = 98, .external_lex_state = 2},
  [44] = {.lex_state = 98, .external_lex_state = 2},
  [45] = {.lex_state = 98, .external_lex_state = 2},
  [46] = {.lex_state = 99, .external_lex_state = 2},
  [47] = {.lex_state = 98, .external_lex_state = 2},
  [48] = {.lex_state = 99, .external_lex_state = 2},
  [49] = {.lex_state = 98, .external_lex_state = 2},
  [50] = {.lex_state = 98, .external_lex_state = 2},
  [51] = {.lex_state = 98, .external_lex_state = 2},
  [52] = {.lex_state = 98},
  [53] = {.lex_state = 98, .external_lex_state = 2},
  [54] = {.lex_state = 98, .external_lex_state = 2},
  [55] = {.lex_state = 98, .external_lex_state = 2},
  [56] = {.lex_state = 98, .external_lex_state = 2},
  [57] = {.lex_state = 98, .external_lex_state = 2},
  [58] = {.lex_state = 98, .external_lex_state = 2},
  [59] = {.lex_state = 98, .external_lex_state = 2},
  [60] = {.lex_state = 91},
  [61] = {.lex_state = 98, .external_lex_state = 2},
  [62] = {.lex_state = 98, .external_lex_state = 2},
  [63] = {.lex_state = 98, .external_lex_state = 2},
  [64] = {.lex_state = 98, .external_lex_state = 2},
  [65] = {.lex_state = 98, .external_lex_state = 2},
  [66] = {.lex_state = 99, .external_lex_state = 2},
  [67] = {.lex_state = 98, .external_lex_state = 2},
  [68] = {.lex_state = 98, .external_lex_state = 2},
  [69] = {.lex_state = 99, .external_lex_state = 2},
  [70] = {.lex_state = 98, .external_lex_state = 2},
  [71] = {.lex_state = 98, .external_lex_state = 2},
  [72] = {.lex_state = 98, .external_lex_state = 2},
  [73] = {.lex_state = 98, .external_lex_state = 2},
  [74] = {.lex_state = 98, .external_lex_state = 2},
  [75] = {.lex_state = 98, .external_lex_state = 2},
  [76] = {.lex_state = 98},
  [77] = {.lex_state = 98},
  [78] = {.lex_state = 98},
  [79] = {.lex_state = 98},
  [80] = {.lex_state = 91},
  [81] = {.lex_state = 15, .external_lex_state = 2},
  [82] = {.lex_state = 98},
  [83] = {.lex_state = 15, .external_lex_state = 2},
  [84] = {.lex_state = 15, .external_lex_state = 2},
  [85] = {.lex_state = 98},
  [86] = {.lex_state = 98},
  [87] = {.lex_state = 98},
  [88] = {.lex_state = 98},
  [89] = {.lex_state = 98},
  [90] = {.lex_state = 98},
  [91] = {.lex_state = 16, .external_lex_state = 2},
  [92] = {.lex_state = 98},
  [93] = {.lex_state = 98},
  [94] = {.lex_state = 98},
  [95] = {.lex_state = 16, .external_lex_state = 2},
  [96] = {.lex_state = 98},
  [97] = {.lex_state = 98},
  [98] = {.lex_state = 98},
  [99] = {.lex_state = 16, .external_lex_state = 2},
  [100] = {.lex_state = 98},
  [101] = {.lex_state = 16, .external_lex_state = 2},
  [102] = {.lex_state = 98},
  [103] = {.lex_state = 16, .external_lex_state = 2},
  [104] = {.lex_state = 98},
  [105] = {.lex_state = 98},
  [106] = {.lex_state = 16, .external_lex_state = 2},
  [107] = {.lex_state = 98},
  [108] = {.lex_state = 98},
  [109] = {.lex_state = 98},
  [110] = {.lex_state = 98},
  [111] = {.lex_state = 98},
  [112] = {.lex_state = 98},
  [113] = {.lex_state = 100, .external_lex_state = 2},
  [114] = {.lex_state = 92},
  [115] = {.lex_state = 100, .external_lex_state = 2},
  [116] = {.lex_state = 92},
  [117] = {.lex_state = 92},
  [118] = {.lex_state = 92},
  [119] = {.lex_state = 92},
  [120] = {.lex_state = 92},
  [121] = {.lex_state = 92},
  [122] = {.lex_state = 92},
  [123] = {.lex_state = 91},
  [124] = {.lex_state = 92},
  [125] = {.lex_state = 92},
  [126] = {.lex_state = 92},
  [127] = {.lex_state = 92},
  [128] = {.lex_state = 92},
  [129] = {.lex_state = 92},
  [130] = {.lex_state = 92},
  [131] = {.lex_state = 100, .external_lex_state = 2},
  [132] = {.lex_state = 92},
  [133] = {.lex_state = 92},
  [134] = {.lex_state = 98, .external_lex_state = 2},
  [135] = {.lex_state = 91},
  [136] = {.lex_state = 98, .external_lex_state = 2},
  [137] = {.lex_state = 98, .external_lex_state = 2},
  [138] = {.lex_state = 98, .external_lex_state = 2},
  [139] = {.lex_state = 98, .external_lex_state = 2},
  [140] = {.lex_state = 98, .external_lex_state = 2},
  [141] = {.lex_state = 98, .external_lex_state = 2},
  [142] = {.lex_state = 98, .external_lex_state = 2},
  [143] = {.lex_state = 98, .external_lex_state = 2},
  [144] = {.lex_state = 98, .external_lex_state = 2},
  [145] = {.lex_state = 91},
  [146] = {.lex_state = 91},
  [147] = {.lex_state = 98, .external_lex_state = 2},
  [148] = {.lex_state = 88},
  [149] = {.lex_state = 88},
  [150] = {.lex_state = 91},
  [151] = {.lex_state = 98, .external_lex_state = 2},
  [152] = {.lex_state = 91},
  [153] = {.lex_state = 98, .external_lex_state = 2},
  [154] = {.lex_state = 91},
  [155] = {.lex_state = 91},
  [156] = {.lex_state = 98, .external_lex_state = 2},
  [157] = {.lex_state = 98, .external_lex_state = 2},
  [158] = {.lex_state = 98, .external_lex_state = 2},
  [159] = {.lex_state = 98, .external_lex_state = 2},
  [160] = {.lex_state = 98, .external_lex_state = 2},
  [161] = {.lex_state = 98, .external_lex_state = 2},
  [162] = {.lex_state = 98, .external_lex_state = 2},
  [163] = {.lex_state = 98, .external_lex_state = 2},
  [164] = {.lex_state = 98, .external_lex_state = 2},
  [165] = {.lex_state = 98, .external_lex_state = 2},
  [166] = {.lex_state = 98, .external_lex_state = 2},
  [167] = {.lex_state = 91},
  [168] = {.lex_state = 91},
  [169] = {.lex_state = 98, .external_lex_state = 2},
  [170] = {.lex_state = 91},
  [171] = {.lex_state = 98, .external_lex_state = 2},
  [172] = {.lex_state = 98, .external_lex_state = 2},
  [173] = {.lex_state = 98, .external_lex_state = 2},
  [174] = {.lex_state = 91},
  [175] = {.lex_state = 91},
  [176] = {.lex_state = 91},
  [177] = {.lex_state = 91},
  [178] = {.lex_state = 98, .external_lex_state = 2},
  [179] = {.lex_state = 98, .external_lex_state = 2},
  [180] = {.lex_state = 91},
  [181] = {.lex_state = 91},
  [182] = {.lex_state = 91},
  [183] = {.lex_state = 98, .external_lex_state = 2},
  [184] = {.lex_state = 91},
  [185] = {.lex_state = 92},
  [186] = {.lex_state = 92},
  [187] = {.lex_state = 92},
  [188] = {.lex_state = 92},
  [189] = {.lex_state = 92},
  [190] = {.lex_state = 92},
  [191] = {.lex_state = 92},
  [192] = {.lex_state = 92},
  [193] = {.lex_state = 92},
  [194] = {.lex_state = 88},
  [195] = {.lex_state = 88},
  [196] = {.lex_state = 92},
  [197] = {.lex_state = 92},
  [198] = {.lex_state = 92},
  [199] = {.lex_state = 91},
  [200] = {.lex_state = 92},
  [201] = {.lex_state = 92},
  [202] = {.lex_state = 92},
  [203] = {.lex_state = 92},
  [204] = {.lex_state = 98, .external_lex_state = 2},
  [205] = {.lex_state = 98, .external_lex_state = 2},
  [206] = {.lex_state = 92},
  [207] = {.lex_state = 98, .external_lex_state = 2},
  [208] = {.lex_state = 98, .external_lex_state = 2},
  [209] = {.lex_state = 98, .external_lex_state = 2},
  [210] = {.lex_state = 98, .external_lex_state = 2},
  [211] = {.lex_state = 98, .external_lex_state = 2},
  [212] = {.lex_state = 98, .external_lex_state = 2},
  [213] = {.lex_state = 98, .external_lex_state = 2},
  [214] = {.lex_state = 98, .external_lex_state = 2},
  [215] = {.lex_state = 98, .external_lex_state = 2},
  [216] = {.lex_state = 98, .external_lex_state = 2},
  [217] = {.lex_state = 98, .external_lex_state = 2},
  [218] = {.lex_state = 98, .external_lex_state = 2},
  [219] = {.lex_state = 98, .external_lex_state = 2},
  [220] = {.lex_state = 98, .external_lex_state = 2},
  [221] = {.lex_state = 98, .external_lex_state = 2},
  [222] = {.lex_state = 98, .external_lex_state = 2},
  [223] = {.lex_state = 98, .external_lex_state = 2},
  [224] = {.lex_state = 98, .external_lex_state = 2},
  [225] = {.lex_state = 92},
  [226] = {.lex_state = 92},
  [227] = {.lex_state = 92},
  [228] = {.lex_state = 92},
  [229] = {.lex_state = 92},
  [230] = {.lex_state = 92},
  [231] = {.lex_state = 92},
  [232] = {.lex_state = 92},
  [233] = {.lex_state = 92},
  [234] = {.lex_state = 92},
  [235] = {.lex_state = 92},
  [236] = {.lex_state = 92},
  [237] = {.lex_state = 92},
  [238] = {.lex_state = 92},
  [239] = {.lex_state = 98, .external_lex_state = 2},
  [240] = {.lex_state = 98, .external_lex_state = 2},
  [241] = {.lex_state = 92},
  [242] = {.lex_state = 92},
  [243] = {.lex_state = 92},
  [244] = {.lex_state = 92},
  [245] = {.lex_state = 92},
  [246] = {.lex_state = 98, .external_lex_state = 2},
  [247] = {.lex_state = 92},
  [248] = {.lex_state = 92},
  [249] = {.lex_state = 92},
  [250] = {.lex_state = 92},
  [251] = {.lex_state = 92},
  [252] = {.lex_state = 92},
  [253] = {.lex_state = 92},
  [254] = {.lex_state = 98, .external_lex_state = 2},
  [255] = {.lex_state = 92},
  [256] = {.lex_state = 92},
  [257] = {.lex_state = 92},
  [258] = {.lex_state = 92},
  [259] = {.lex_state = 92},
  [260] = {.lex_state = 92},
  [261] = {.lex_state = 92},
  [262] = {.lex_state = 92},
  [263] = {.lex_state = 98, .external_lex_state = 2},
  [264] = {.lex_state = 92},
  [265] = {.lex_state = 92},
  [266] = {.lex_state = 92},
  [267] = {.lex_state = 92},
  [268] = {.lex_state = 92},
  [269] = {.lex_state = 98, .external_lex_state = 2},
  [270] = {.lex_state = 92},
  [271] = {.lex_state = 92},
  [272] = {.lex_state = 92},
  [273] = {.lex_state = 98, .external_lex_state = 2},
  [274] = {.lex_state = 92},
  [275] = {.lex_state = 92},
  [276] = {.lex_state = 92},
  [277] = {.lex_state = 92},
  [278] = {.lex_state = 92},
  [279] = {.lex_state = 92},
  [280] = {.lex_state = 92},
  [281] = {.lex_state = 92},
  [282] = {.lex_state = 92},
  [283] = {.lex_state = 92},
  [284] = {.lex_state = 92},
  [285] = {.lex_state = 98, .external_lex_state = 2},
  [286] = {.lex_state = 92},
  [287] = {.lex_state = 92},
  [288] = {.lex_state = 92},
  [289] = {.lex_state = 92},
  [290] = {.lex_state = 92},
  [291] = {.lex_state = 98, .external_lex_state = 2},
  [292] = {.lex_state = 92},
  [293] = {.lex_state = 92},
  [294] = {.lex_state = 92},
  [295] = {.lex_state = 92},
  [296] = {.lex_state = 98, .external_lex_state = 2},
  [297] = {.lex_state = 92},
  [298] = {.lex_state = 92},
  [299] = {.lex_state = 92},
  [300] = {.lex_state = 92},
  [301] = {.lex_state = 92},
  [302] = {.lex_state = 98, .external_lex_state = 2},
  [303] = {.lex_state = 92},
  [304] = {.lex_state = 92},
  [305] = {.lex_state = 92},
  [306] = {.lex_state = 92},
  [307] = {.lex_state = 98, .external_lex_state = 2},
  [308] = {.lex_state = 92},
  [309] = {.lex_state = 92},
  [310] = {.lex_state = 98, .external_lex_state = 2},
  [311] = {.lex_state = 92},
  [312] = {.lex_state = 92},
  [313] = {.lex_state = 92},
  [314] = {.lex_state = 92},
  [315] = {.lex_state = 91},
  [316] = {.lex_state = 92},
  [317] = {.lex_state = 92},
  [318] = {.lex_state = 92},
  [319] = {.lex_state = 92},
  [320] = {.lex_state = 98, .external_lex_state = 2},
  [321] = {.lex_state = 92},
  [322] = {.lex_state = 98, .external_lex_state = 2},
  [323] = {.lex_state = 92},
  [324] = {.lex_state = 92},
  [325] = {.lex_state = 92},
  [326] = {.lex_state = 92},
  [327] = {.lex_state = 92},
  [328] = {.lex_state = 92},
  [329] = {.lex_state = 92},
  [330] = {.lex_state = 92},
  [331] = {.lex_state = 92},
  [332] = {.lex_state = 98, .external_lex_state = 2},
  [333] = {.lex_state = 92},
  [334] = {.lex_state = 92},
  [335] = {.lex_state = 92},
  [336] = {.lex_state = 92},
  [337] = {.lex_state = 92},
  [338] = {.lex_state = 92, .external_lex_state = 2},
  [339] = {.lex_state = 92},
  [340] = {.lex_state = 98, .external_lex_state = 2},
  [341] = {.lex_state = 91},
  [342] = {.lex_state = 92},
  [343] = {.lex_state = 92},
  [344] = {.lex_state = 92},
  [345] = {.lex_state = 92},
  [346] = {.lex_state = 92},
  [347] = {.lex_state = 98, .external_lex_state = 2},
  [348] = {.lex_state = 92},
  [349] = {.lex_state = 98, .external_lex_state = 2},
  [350] = {.lex_state = 92},
  [351] = {.lex_state = 92},
  [352] = {.lex_state = 92},
  [353] = {.lex_state = 92},
  [354] = {.lex_state = 92},
  [355] = {.lex_state = 92},
  [356] = {.lex_state = 92},
  [357] = {.lex_state = 92},
  [358] = {.lex_state = 92},
  [359] = {.lex_state = 92},
  [360] = {.lex_state = 92},
  [361] = {.lex_state = 92},
  [362] = {.lex_state = 98, .external_lex_state = 2},
  [363] = {.lex_state = 92},
  [364] = {.lex_state = 92},
  [365] = {.lex_state = 98, .external_lex_state = 2},
  [366] = {.lex_state = 92},
  [367] = {.lex_state = 92},
  [368] = {.lex_state = 92},
  [369] = {.lex_state = 98, .external_lex_state = 2},
  [370] = {.lex_state = 92},
  [371] = {.lex_state = 92},
  [372] = {.lex_state = 92},
  [373] = {.lex_state = 92},
  [374] = {.lex_state = 92},
  [375] = {.lex_state = 92},
  [376] = {.lex_state = 92},
  [377] = {.lex_state = 92},
  [378] = {.lex_state = 92},
  [379] = {.lex_state = 92},
  [380] = {.lex_state = 92},
  [381] = {.lex_state = 92},
  [382] = {.lex_state = 91},
  [383] = {.lex_state = 91},
  [384] = {.lex_state = 91},
  [385] = {.lex_state = 98, .external_lex_state = 2},
  [386] = {.lex_state = 92},
  [387] = {.lex_state = 98, .external_lex_state = 2},
  [388] = {.lex_state = 91},
  [389] = {.lex_state = 92},
  [390] = {.lex_state = 91},
  [391] = {.lex_state = 91},
  [392] = {.lex_state = 91},
  [393] = {.lex_state = 98, .external_lex_state = 2},
  [394] = {.lex_state = 91},
  [395] = {.lex_state = 91},
  [396] = {.lex_state = 85},
  [397] = {.lex_state = 91},
  [398] = {.lex_state = 85},
  [399] = {.lex_state = 98, .external_lex_state = 2},
  [400] = {.lex_state = 91},
  [401] = {.lex_state = 91},
  [402] = {.lex_state = 98, .external_lex_state = 2},
  [403] = {.lex_state = 88},
  [404] = {.lex_state = 91},
  [405] = {.lex_state = 98, .external_lex_state = 2},
  [406] = {.lex_state = 92, .external_lex_state = 2},
  [407] = {.lex_state = 98, .external_lex_state = 2},
  [408] = {.lex_state = 92},
  [409] = {.lex_state = 98, .external_lex_state = 2},
  [410] = {.lex_state = 98, .external_lex_state = 2},
  [411] = {.lex_state = 91},
  [412] = {.lex_state = 98, .external_lex_state = 2},
  [413] = {.lex_state = 88},
  [414] = {.lex_state = 98, .external_lex_state = 2},
  [415] = {.lex_state = 92},
  [416] = {.lex_state = 98, .external_lex_state = 2},
  [417] = {.lex_state = 98, .external_lex_state = 2},
  [418] = {.lex_state = 98, .external_lex_state = 2},
  [419] = {.lex_state = 98, .external_lex_state = 2},
  [420] = {.lex_state = 98, .external_lex_state = 2},
  [421] = {.lex_state = 98, .external_lex_state = 2},
  [422] = {.lex_state = 98, .external_lex_state = 2},
  [423] = {.lex_state = 98, .external_lex_state = 2},
  [424] = {.lex_state = 91},
  [425] = {.lex_state = 98, .external_lex_state = 2},
  [426] = {.lex_state = 98, .external_lex_state = 2},
  [427] = {.lex_state = 91},
  [428] = {.lex_state = 92},
  [429] = {.lex_state = 91},
  [430] = {.lex_state = 92},
  [431] = {.lex_state = 92},
  [432] = {.lex_state = 92},
  [433] = {.lex_state = 88},
  [434] = {.lex_state = 92},
  [435] = {.lex_state = 92},
  [436] = {.lex_state = 92},
  [437] = {.lex_state = 92},
  [438] = {.lex_state = 92},
  [439] = {.lex_state = 92},
  [440] = {.lex_state = 92},
  [441] = {.lex_state = 92},
  [442] = {.lex_state = 92},
  [443] = {.lex_state = 92},
  [444] = {.lex_state = 92},
  [445] = {.lex_state = 92},
  [446] = {.lex_state = 92},
  [447] = {.lex_state = 92},
  [448] = {.lex_state = 92},
  [449] = {.lex_state = 92},
  [450] = {.lex_state = 92},
  [451] = {.lex_state = 92},
  [452] = {.lex_state = 92},
  [453] = {.lex_state = 92},
  [454] = {.lex_state = 92},
  [455] = {.lex_state = 92},
  [456] = {.lex_state = 92},
  [457] = {.lex_state = 92},
  [458] = {.lex_state = 92},
  [459] = {.lex_state = 92},
  [460] = {.lex_state = 92},
  [461] = {.lex_state = 92},
  [462] = {.lex_state = 92},
  [463] = {.lex_state = 92},
  [464] = {.lex_state = 92},
  [465] = {.lex_state = 92},
  [466] = {.lex_state = 92},
  [467] = {.lex_state = 92},
  [468] = {.lex_state = 92},
  [469] = {.lex_state = 92},
  [470] = {.lex_state = 92},
  [471] = {.lex_state = 92},
  [472] = {.lex_state = 92},
  [473] = {.lex_state = 92},
  [474] = {.lex_state = 92},
  [475] = {.lex_state = 92},
  [476] = {.lex_state = 92},
  [477] = {.lex_state = 92},
  [478] = {.lex_state = 92},
  [479] = {.lex_state = 92},
  [480] = {.lex_state = 92},
  [481] = {.lex_state = 92},
  [482] = {.lex_state = 92},
  [483] = {.lex_state = 92},
  [484] = {.lex_state = 92},
  [485] = {.lex_state = 92},
  [486] = {.lex_state = 92},
  [487] = {.lex_state = 92},
  [488] = {.lex_state = 92},
  [489] = {.lex_state = 92},
  [490] = {.lex_state = 92},
  [491] = {.lex_state = 92},
  [492] = {.lex_state = 92},
  [493] = {.lex_state = 92},
  [494] = {.lex_state = 92},
  [495] = {.lex_state = 92},
  [496] = {.lex_state = 92},
  [497] = {.lex_state = 92},
  [498] = {.lex_state = 92},
  [499] = {.lex_state = 92},
  [500] = {.lex_state = 92},
  [501] = {.lex_state = 92},
  [502] = {.lex_state = 92},
  [503] = {.lex_state = 92},
  [504] = {.lex_state = 92},
  [505] = {.lex_state = 92},
  [506] = {.lex_state = 92},
  [507] = {.lex_state = 92},
  [508] = {.lex_state = 92},
  [509] = {.lex_state = 92},
  [510] = {.lex_state = 92},
  [511] = {.lex_state = 92},
  [512] = {.lex_state = 92},
  [513] = {.lex_state = 92},
  [514] = {.lex_state = 92},
  [515] = {.lex_state = 92},
  [516] = {.lex_state = 92},
  [517] = {.lex_state = 92},
  [518] = {.lex_state = 92},
  [519] = {.lex_state = 92},
  [520] = {.lex_state = 92},
  [521] = {.lex_state = 92},
  [522] = {.lex_state = 92},
  [523] = {.lex_state = 92},
  [524] = {.lex_state = 92},
  [525] = {.lex_state = 92},
  [526] = {.lex_state = 92},
  [527] = {.lex_state = 92},
  [528] = {.lex_state = 92},
  [529] = {.lex_state = 92},
  [530] = {.lex_state = 92},
  [531] = {.lex_state = 88},
  [532] = {.lex_state = 92},
  [533] = {.lex_state = 92},
  [534] = {.lex_state = 92},
  [535] = {.lex_state = 92},
  [536] = {.lex_state = 92},
  [537] = {.lex_state = 92},
  [538] = {.lex_state = 92},
  [539] = {.lex_state = 92},
  [540] = {.lex_state = 92},
  [541] = {.lex_state = 92},
  [542] = {.lex_state = 92},
  [543] = {.lex_state = 92},
  [544] = {.lex_state = 92},
  [545] = {.lex_state = 92},
  [546] = {.lex_state = 92},
  [547] = {.lex_state = 98, .external_lex_state = 2},
  [548] = {.lex_state = 92},
  [549] = {.lex_state = 92},
  [550] = {.lex_state = 92},
  [551] = {.lex_state = 92},
  [552] = {.lex_state = 92},
  [553] = {.lex_state = 92},
  [554] = {.lex_state = 92},
  [555] = {.lex_state = 92},
  [556] = {.lex_state = 92},
  [557] = {.lex_state = 92},
  [558] = {.lex_state = 92},
  [559] = {.lex_state = 92},
  [560] = {.lex_state = 92},
  [561] = {.lex_state = 92},
  [562] = {.lex_state = 92},
  [563] = {.lex_state = 92},
  [564] = {.lex_state = 92},
  [565] = {.lex_state = 92},
  [566] = {.lex_state = 92},
  [567] = {.lex_state = 92},
  [568] = {.lex_state = 92},
  [569] = {.lex_state = 92},
  [570] = {.lex_state = 92},
  [571] = {.lex_state = 92},
  [572] = {.lex_state = 92},
  [573] = {.lex_state = 92},
  [574] = {.lex_state = 92},
  [575] = {.lex_state = 92},
  [576] = {.lex_state = 92},
  [577] = {.lex_state = 92},
  [578] = {.lex_state = 92},
  [579] = {.lex_state = 92},
  [580] = {.lex_state = 92},
  [581] = {.lex_state = 92},
  [582] = {.lex_state = 92},
  [583] = {.lex_state = 92},
  [584] = {.lex_state = 92},
  [585] = {.lex_state = 92},
  [586] = {.lex_state = 92},
  [587] = {.lex_state = 92},
  [588] = {.lex_state = 92},
  [589] = {.lex_state = 92},
  [590] = {.lex_state = 92},
  [591] = {.lex_state = 92},
  [592] = {.lex_state = 92},
  [593] = {.lex_state = 92},
  [594] = {.lex_state = 92},
  [595] = {.lex_state = 92},
  [596] = {.lex_state = 92},
  [597] = {.lex_state = 92},
  [598] = {.lex_state = 92},
  [599] = {.lex_state = 92},
  [600] = {.lex_state = 92},
  [601] = {.lex_state = 92},
  [602] = {.lex_state = 92},
  [603] = {.lex_state = 92},
  [604] = {.lex_state = 92},
  [605] = {.lex_state = 92},
  [606] = {.lex_state = 92},
  [607] = {.lex_state = 92},
  [608] = {.lex_state = 92},
  [609] = {.lex_state = 92},
  [610] = {.lex_state = 92},
  [611] = {.lex_state = 92},
  [612] = {.lex_state = 92},
  [613] = {.lex_state = 92},
  [614] = {.lex_state = 92},
  [615] = {.lex_state = 92},
  [616] = {.lex_state = 92},
  [617] = {.lex_state = 92},
  [618] = {.lex_state = 92},
  [619] = {.lex_state = 92},
  [620] = {.lex_state = 92},
  [621] = {.lex_state = 92},
  [622] = {.lex_state = 92},
  [623] = {.lex_state = 92},
  [624] = {.lex_state = 91},
  [625] = {.lex_state = 91},
  [626] = {.lex_state = 91},
  [627] = {.lex_state = 91},
  [628] = {.lex_state = 91},
  [629] = {.lex_state = 91},
  [630] = {.lex_state = 91},
  [631] = {.lex_state = 91},
  [632] = {.lex_state = 91},
  [633] = {.lex_state = 91},
  [634] = {.lex_state = 91},
  [635] = {.lex_state = 91},
  [636] = {.lex_state = 91},
  [637] = {.lex_state = 91},
  [638] = {.lex_state = 91},
  [639] = {.lex_state = 98, .external_lex_state = 2},
  [640] = {.lex_state = 91},
  [641] = {.lex_state = 91},
  [642] = {.lex_state = 91},
  [643] = {.lex_state = 91},
  [644] = {.lex_state = 91},
  [645] = {.lex_state = 91},
  [646] = {.lex_state = 91},
  [647] = {.lex_state = 91},
  [648] = {.lex_state = 91},
  [649] = {.lex_state = 91},
  [650] = {.lex_state = 91},
  [651] = {.lex_state = 91},
  [652] = {.lex_state = 98, .external_lex_state = 2},
  [653] = {.lex_state = 98, .external_lex_state = 2},
  [654] = {.lex_state = 91},
  [655] = {.lex_state = 98, .external_lex_state = 2},
  [656] = {.lex_state = 91},
  [657] = {.lex_state = 91},
  [658] = {.lex_state = 91},
  [659] = {.lex_state = 91},
  [660] = {.lex_state = 91},
  [661] = {.lex_state = 91},
  [662] = {.lex_state = 91},
  [663] = {.lex_state = 98, .external_lex_state = 2},
  [664] = {.lex_state = 91},
  [665] = {.lex_state = 91},
  [666] = {.lex_state = 91},
  [667] = {.lex_state = 91},
  [668] = {.lex_state = 91},
  [669] = {.lex_state = 91},
  [670] = {.lex_state = 91},
  [671] = {.lex_state = 91},
  [672] = {.lex_state = 91},
  [673] = {.lex_state = 91},
  [674] = {.lex_state = 91},
  [675] = {.lex_state = 91},
  [676] = {.lex_state = 91},
  [677] = {.lex_state = 98, .external_lex_state = 2},
  [678] = {.lex_state = 91},
  [679] = {.lex_state = 91},
  [680] = {.lex_state = 91},
  [681] = {.lex_state = 91},
  [682] = {.lex_state = 91},
  [683] = {.lex_state = 91},
  [684] = {.lex_state = 91},
  [685] = {.lex_state = 91},
  [686] = {.lex_state = 91},
  [687] = {.lex_state = 91},
  [688] = {.lex_state = 91},
  [689] = {.lex_state = 91},
  [690] = {.lex_state = 91},
  [691] = {.lex_state = 91},
  [692] = {.lex_state = 91},
  [693] = {.lex_state = 91},
  [694] = {.lex_state = 91},
  [695] = {.lex_state = 91},
  [696] = {.lex_state = 91},
  [697] = {.lex_state = 91},
  [698] = {.lex_state = 98, .external_lex_state = 2},
  [699] = {.lex_state = 98, .external_lex_state = 2},
  [700] = {.lex_state = 91},
  [701] = {.lex_state = 91},
  [702] = {.lex_state = 91},
  [703] = {.lex_state = 91},
  [704] = {.lex_state = 91},
  [705] = {.lex_state = 91},
  [706] = {.lex_state = 91},
  [707] = {.lex_state = 91},
  [708] = {.lex_state = 91},
  [709] = {.lex_state = 91},
  [710] = {.lex_state = 91},
  [711] = {.lex_state = 91},
  [712] = {.lex_state = 91},
  [713] = {.lex_state = 91},
  [714] = {.lex_state = 91},
  [715] = {.lex_state = 91},
  [716] = {.lex_state = 91},
  [717] = {.lex_state = 91},
  [718] = {.lex_state = 91},
  [719] = {.lex_state = 98, .external_lex_state = 2},
  [720] = {.lex_state = 91},
  [721] = {.lex_state = 91},
  [722] = {.lex_state = 91},
  [723] = {.lex_state = 98, .external_lex_state = 2},
  [724] = {.lex_state = 91},
  [725] = {.lex_state = 91},
  [726] = {.lex_state = 98, .external_lex_state = 2},
  [727] = {.lex_state = 91},
  [728] = {.lex_state = 91},
  [729] = {.lex_state = 91},
  [730] = {.lex_state = 91},
  [731] = {.lex_state = 91},
  [732] = {.lex_state = 91},
  [733] = {.lex_state = 91},
  [734] = {.lex_state = 91},
  [735] = {.lex_state = 91},
  [736] = {.lex_state = 91},
  [737] = {.lex_state = 91},
  [738] = {.lex_state = 91},
  [739] = {.lex_state = 91},
  [740] = {.lex_state = 98, .external_lex_state = 2},
  [741] = {.lex_state = 98, .external_lex_state = 2},
  [742] = {.lex_state = 91},
  [743] = {.lex_state = 91},
  [744] = {.lex_state = 91},
  [745] = {.lex_state = 91},
  [746] = {.lex_state = 91},
  [747] = {.lex_state = 91},
  [748] = {.lex_state = 91},
  [749] = {.lex_state = 91},
  [750] = {.lex_state = 91},
  [751] = {.lex_state = 91},
  [752] = {.lex_state = 91},
  [753] = {.lex_state = 91},
  [754] = {.lex_state = 91},
  [755] = {.lex_state = 91},
  [756] = {.lex_state = 91},
  [757] = {.lex_state = 91},
  [758] = {.lex_state = 91},
  [759] = {.lex_state = 98, .external_lex_state = 2},
  [760] = {.lex_state = 91},
  [761] = {.lex_state = 91},
  [762] = {.lex_state = 91},
  [763] = {.lex_state = 91},
  [764] = {.lex_state = 91},
  [765] = {.lex_state = 91},
  [766] = {.lex_state = 91},
  [767] = {.lex_state = 91},
  [768] = {.lex_state = 98, .external_lex_state = 2},
  [769] = {.lex_state = 91},
  [770] = {.lex_state = 98, .external_lex_state = 2},
  [771] = {.lex_state = 98, .external_lex_state = 2},
  [772] = {.lex_state = 91},
  [773] = {.lex_state = 98, .external_lex_state = 2},
  [774] = {.lex_state = 98, .external_lex_state = 2},
  [775] = {.lex_state = 98, .external_lex_state = 2},
  [776] = {.lex_state = 98, .external_lex_state = 2},
  [777] = {.lex_state = 98, .external_lex_state = 2},
  [778] = {.lex_state = 98, .external_lex_state = 2},
  [779] = {.lex_state = 98, .external_lex_state = 2},
  [780] = {.lex_state = 91, .external_lex_state = 2},
  [781] = {.lex_state = 98, .external_lex_state = 2},
  [782] = {.lex_state = 98, .external_lex_state = 2},
  [783] = {.lex_state = 98, .external_lex_state = 2},
  [784] = {.lex_state = 98, .external_lex_state = 2},
  [785] = {.lex_state = 98, .external_lex_state = 2},
  [786] = {.lex_state = 98, .external_lex_state = 2},
  [787] = {.lex_state = 98, .external_lex_state = 2},
  [788] = {.lex_state = 98, .external_lex_state = 2},
  [789] = {.lex_state = 98, .external_lex_state = 2},
  [790] = {.lex_state = 98, .external_lex_state = 2},
  [791] = {.lex_state = 98, .external_lex_state = 2},
  [792] = {.lex_state = 98, .external_lex_state = 2},
  [793] = {.lex_state = 98, .external_lex_state = 2},
  [794] = {.lex_state = 98, .external_lex_state = 2},
  [795] = {.lex_state = 98, .external_lex_state = 2},
  [796] = {.lex_state = 98, .external_lex_state = 2},
  [797] = {.lex_state = 98, .external_lex_state = 2},
  [798] = {.lex_state = 98, .external_lex_state = 2},
  [799] = {.lex_state = 98, .external_lex_state = 2},
  [800] = {.lex_state = 98, .external_lex_state = 2},
  [801] = {.lex_state = 98, .external_lex_state = 2},
  [802] = {.lex_state = 98, .external_lex_state = 2},
  [803] = {.lex_state = 98, .external_lex_state = 2},
  [804] = {.lex_state = 98, .external_lex_state = 2},
  [805] = {.lex_state = 98, .external_lex_state = 2},
  [806] = {.lex_state = 98, .external_lex_state = 2},
  [807] = {.lex_state = 98, .external_lex_state = 2},
  [808] = {.lex_state = 98, .external_lex_state = 2},
  [809] = {.lex_state = 98, .external_lex_state = 2},
  [810] = {.lex_state = 98, .external_lex_state = 2},
  [811] = {.lex_state = 98, .external_lex_state = 2},
  [812] = {.lex_state = 98, .external_lex_state = 2},
  [813] = {.lex_state = 98, .external_lex_state = 2},
  [814] = {.lex_state = 98, .external_lex_state = 2},
  [815] = {.lex_state = 98, .external_lex_state = 2},
  [816] = {.lex_state = 98, .external_lex_state = 2},
  [817] = {.lex_state = 98, .external_lex_state = 2},
  [818] = {.lex_state = 98, .external_lex_state = 2},
  [819] = {.lex_state = 98, .external_lex_state = 2},
  [820] = {.lex_state = 98, .external_lex_state = 2},
  [821] = {.lex_state = 98, .external_lex_state = 2},
  [822] = {.lex_state = 98, .external_lex_state = 2},
  [823] = {.lex_state = 98, .external_lex_state = 2},
  [824] = {.lex_state = 98, .external_lex_state = 2},
  [825] = {.lex_state = 98, .external_lex_state = 2},
  [826] = {.lex_state = 98, .external_lex_state = 2},
  [827] = {.lex_state = 98, .external_lex_state = 2},
  [828] = {.lex_state = 98, .external_lex_state = 2},
  [829] = {.lex_state = 98, .external_lex_state = 2},
  [830] = {.lex_state = 98, .external_lex_state = 2},
  [831] = {.lex_state = 98, .external_lex_state = 2},
  [832] = {.lex_state = 98, .external_lex_state = 2},
  [833] = {.lex_state = 98, .external_lex_state = 2},
  [834] = {.lex_state = 98, .external_lex_state = 2},
  [835] = {.lex_state = 98, .external_lex_state = 2},
  [836] = {.lex_state = 98, .external_lex_state = 2},
  [837] = {.lex_state = 98, .external_lex_state = 2},
  [838] = {.lex_state = 98, .external_lex_state = 2},
  [839] = {.lex_state = 91},
  [840] = {.lex_state = 98, .external_lex_state = 2},
  [841] = {.lex_state = 98, .external_lex_state = 2},
  [842] = {.lex_state = 98, .external_lex_state = 2},
  [843] = {.lex_state = 98, .external_lex_state = 2},
  [844] = {.lex_state = 91},
  [845] = {.lex_state = 98, .external_lex_state = 2},
  [846] = {.lex_state = 98, .external_lex_state = 2},
  [847] = {.lex_state = 98, .external_lex_state = 2},
  [848] = {.lex_state = 98, .external_lex_state = 2},
  [849] = {.lex_state = 98, .external_lex_state = 2},
  [850] = {.lex_state = 98, .external_lex_state = 2},
  [851] = {.lex_state = 98, .external_lex_state = 2},
  [852] = {.lex_state = 98, .external_lex_state = 2},
  [853] = {.lex_state = 98, .external_lex_state = 2},
  [854] = {.lex_state = 98, .external_lex_state = 2},
  [855] = {.lex_state = 91},
  [856] = {.lex_state = 91},
  [857] = {.lex_state = 98, .external_lex_state = 2},
  [858] = {.lex_state = 98, .external_lex_state = 2},
  [859] = {.lex_state = 91},
  [860] = {.lex_state = 98, .external_lex_state = 2},
  [861] = {.lex_state = 91},
  [862] = {.lex_state = 98, .external_lex_state = 2},
  [863] = {.lex_state = 91},
  [864] = {.lex_state = 98, .external_lex_state = 2},
  [865] = {.lex_state = 98, .external_lex_state = 2},
  [866] = {.lex_state = 91},
  [867] = {.lex_state = 98, .external_lex_state = 2},
  [868] = {.lex_state = 98, .external_lex_state = 2},
  [869] = {.lex_state = 91},
  [870] = {.lex_state = 98, .external_lex_state = 2},
  [871] = {.lex_state = 98, .external_lex_state = 2},
  [872] = {.lex_state = 98, .external_lex_state = 2},
  [873] = {.lex_state = 98, .external_lex_state = 2},
  [874] = {.lex_state = 98, .external_lex_state = 2},
  [875] = {.lex_state = 98, .external_lex_state = 2},
  [876] = {.lex_state = 91},
  [877] = {.lex_state = 98, .external_lex_state = 2},
  [878] = {.lex_state = 91},
  [879] = {.lex_state = 98, .external_lex_state = 2},
  [880] = {.lex_state = 91},
  [881] = {.lex_state = 91},
  [882] = {.lex_state = 98, .external_lex_state = 2},
  [883] = {.lex_state = 91},
  [884] = {.lex_state = 98, .external_lex_state = 2},
  [885] = {.lex_state = 98, .external_lex_state = 2},
  [886] = {.lex_state = 98, .external_lex_state = 2},
  [887] = {.lex_state = 91},
  [888] = {.lex_state = 98, .external_lex_state = 2},
  [889] = {.lex_state = 98, .external_lex_state = 2},
  [890] = {.lex_state = 98, .external_lex_state = 2},
  [891] = {.lex_state = 91},
  [892] = {.lex_state = 98, .external_lex_state = 2},
  [893] = {.lex_state = 98, .external_lex_state = 2},
  [894] = {.lex_state = 98, .external_lex_state = 2},
  [895] = {.lex_state = 98, .external_lex_state = 2},
  [896] = {.lex_state = 91},
  [897] = {.lex_state = 98, .external_lex_state = 2},
  [898] = {.lex_state = 91},
  [899] = {.lex_state = 98, .external_lex_state = 2},
  [900] = {.lex_state = 98, .external_lex_state = 2},
  [901] = {.lex_state = 91},
  [902] = {.lex_state = 98, .external_lex_state = 2},
  [903] = {.lex_state = 98, .external_lex_state = 2},
  [904] = {.lex_state = 98, .external_lex_state = 2},
  [905] = {.lex_state = 91},
  [906] = {.lex_state = 98, .external_lex_state = 2},
  [907] = {.lex_state = 98, .external_lex_state = 2},
  [908] = {.lex_state = 98, .external_lex_state = 2},
  [909] = {.lex_state = 98, .external_lex_state = 2},
  [910] = {.lex_state = 91},
  [911] = {.lex_state = 98, .external_lex_state = 2},
  [912] = {.lex_state = 98, .external_lex_state = 2},
  [913] = {.lex_state = 98, .external_lex_state = 2},
  [914] = {.lex_state = 98, .external_lex_state = 2},
  [915] = {.lex_state = 98, .external_lex_state = 2},
  [916] = {.lex_state = 91},
  [917] = {.lex_state = 98, .external_lex_state = 2},
  [918] = {.lex_state = 98, .external_lex_state = 2},
  [919] = {.lex_state = 98, .external_lex_state = 2},
  [920] = {.lex_state = 98, .external_lex_state = 2},
  [921] = {.lex_state = 98, .external_lex_state = 2},
  [922] = {.lex_state = 98, .external_lex_state = 2},
  [923] = {.lex_state = 98, .external_lex_state = 2},
  [924] = {.lex_state = 98, .external_lex_state = 2},
  [925] = {.lex_state = 98, .external_lex_state = 2},
  [926] = {.lex_state = 98, .external_lex_state = 2},
  [927] = {.lex_state = 98, .external_lex_state = 2},
  [928] = {.lex_state = 98, .external_lex_state = 2},
  [929] = {.lex_state = 98, .external_lex_state = 2},
  [930] = {.lex_state = 98, .external_lex_state = 2},
  [931] = {.lex_state = 98, .external_lex_state = 2},
  [932] = {.lex_state = 98, .external_lex_state = 2},
  [933] = {.lex_state = 98, .external_lex_state = 2},
  [934] = {.lex_state = 98, .external_lex_state = 2},
  [935] = {.lex_state = 98, .external_lex_state = 2},
  [936] = {.lex_state = 98, .external_lex_state = 2},
  [937] = {.lex_state = 98, .external_lex_state = 2},
  [938] = {.lex_state = 98, .external_lex_state = 2},
  [939] = {.lex_state = 98, .external_lex_state = 2},
  [940] = {.lex_state = 98, .external_lex_state = 2},
  [941] = {.lex_state = 98, .external_lex_state = 2},
  [942] = {.lex_state = 98, .external_lex_state = 2},
  [943] = {.lex_state = 98, .external_lex_state = 2},
  [944] = {.lex_state = 98, .external_lex_state = 2},
  [945] = {.lex_state = 98, .external_lex_state = 2},
  [946] = {.lex_state = 98, .external_lex_state = 2},
  [947] = {.lex_state = 98, .external_lex_state = 2},
  [948] = {.lex_state = 98, .external_lex_state = 2},
  [949] = {.lex_state = 98, .external_lex_state = 2},
  [950] = {.lex_state = 98, .external_lex_state = 2},
  [951] = {.lex_state = 98, .external_lex_state = 2},
  [952] = {.lex_state = 91},
  [953] = {.lex_state = 98, .external_lex_state = 2},
  [954] = {.lex_state = 98, .external_lex_state = 2},
  [955] = {.lex_state = 98, .external_lex_state = 2},
  [956] = {.lex_state = 98, .external_lex_state = 2},
  [957] = {.lex_state = 98, .external_lex_state = 2},
  [958] = {.lex_state = 98, .external_lex_state = 2},
  [959] = {.lex_state = 98, .external_lex_state = 2},
  [960] = {.lex_state = 98, .external_lex_state = 2},
  [961] = {.lex_state = 98, .external_lex_state = 2},
  [962] = {.lex_state = 98, .external_lex_state = 2},
  [963] = {.lex_state = 98, .external_lex_state = 2},
  [964] = {.lex_state = 98, .external_lex_state = 2},
  [965] = {.lex_state = 98, .external_lex_state = 2},
  [966] = {.lex_state = 98, .external_lex_state = 2},
  [967] = {.lex_state = 98, .external_lex_state = 2},
  [968] = {.lex_state = 98, .external_lex_state = 2},
  [969] = {.lex_state = 98, .external_lex_state = 2},
  [970] = {.lex_state = 98, .external_lex_state = 2},
  [971] = {.lex_state = 98, .external_lex_state = 2},
  [972] = {.lex_state = 98, .external_lex_state = 2},
  [973] = {.lex_state = 98, .external_lex_state = 2},
  [974] = {.lex_state = 98, .external_lex_state = 2},
  [975] = {.lex_state = 91},
  [976] = {.lex_state = 98, .external_lex_state = 2},
  [977] = {.lex_state = 98, .external_lex_state = 2},
  [978] = {.lex_state = 91},
  [979] = {.lex_state = 98, .external_lex_state = 2},
  [980] = {.lex_state = 98, .external_lex_state = 2},
  [981] = {.lex_state = 98, .external_lex_state = 2},
  [982] = {.lex_state = 98, .external_lex_state = 2},
  [983] = {.lex_state = 98, .external_lex_state = 2},
  [984] = {.lex_state = 98, .external_lex_state = 2},
  [985] = {.lex_state = 98, .external_lex_state = 2},
  [986] = {.lex_state = 98, .external_lex_state = 2},
  [987] = {.lex_state = 98, .external_lex_state = 2},
  [988] = {.lex_state = 98, .external_lex_state = 2},
  [989] = {.lex_state = 98, .external_lex_state = 2},
  [990] = {.lex_state = 98, .external_lex_state = 2},
  [991] = {.lex_state = 98, .external_lex_state = 2},
  [992] = {.lex_state = 98, .external_lex_state = 2},
  [993] = {.lex_state = 98, .external_lex_state = 2},
  [994] = {.lex_state = 98, .external_lex_state = 2},
  [995] = {.lex_state = 98, .external_lex_state = 2},
  [996] = {.lex_state = 98, .external_lex_state = 2},
  [997] = {.lex_state = 98, .external_lex_state = 2},
  [998] = {.lex_state = 91},
  [999] = {.lex_state = 91},
  [1000] = {.lex_state = 98, .external_lex_state = 2},
  [1001] = {.lex_state = 98, .external_lex_state = 2},
  [1002] = {.lex_state = 98, .external_lex_state = 2},
  [1003] = {.lex_state = 98, .external_lex_state = 2},
  [1004] = {.lex_state = 98, .external_lex_state = 2},
  [1005] = {.lex_state = 98, .external_lex_state = 2},
  [1006] = {.lex_state = 98, .external_lex_state = 2},
  [1007] = {.lex_state = 98, .external_lex_state = 2},
  [1008] = {.lex_state = 98, .external_lex_state = 2},
  [1009] = {.lex_state = 98, .external_lex_state = 2},
  [1010] = {.lex_state = 98, .external_lex_state = 2},
  [1011] = {.lex_state = 98, .external_lex_state = 2},
  [1012] = {.lex_state = 98, .external_lex_state = 2},
  [1013] = {.lex_state = 98, .external_lex_state = 2},
  [1014] = {.lex_state = 98, .external_lex_state = 2},
  [1015] = {.lex_state = 91},
  [1016] = {.lex_state = 98, .external_lex_state = 2},
  [1017] = {.lex_state = 91},
  [1018] = {.lex_state = 98, .external_lex_state = 2},
  [1019] = {.lex_state = 98, .external_lex_state = 2},
  [1020] = {.lex_state = 98, .external_lex_state = 2},
  [1021] = {.lex_state = 98, .external_lex_state = 2},
  [1022] = {.lex_state = 98, .external_lex_state = 2},
  [1023] = {.lex_state = 98, .external_lex_state = 2},
  [1024] = {.lex_state = 98, .external_lex_state = 2},
  [1025] = {.lex_state = 98, .external_lex_state = 2},
  [1026] = {.lex_state = 98, .external_lex_state = 2},
  [1027] = {.lex_state = 98, .external_lex_state = 2},
  [1028] = {.lex_state = 98, .external_lex_state = 2},
  [1029] = {.lex_state = 98, .external_lex_state = 2},
  [1030] = {.lex_state = 98, .external_lex_state = 2},
  [1031] = {.lex_state = 98, .external_lex_state = 2},
  [1032] = {.lex_state = 98, .external_lex_state = 2},
  [1033] = {.lex_state = 98, .external_lex_state = 2},
  [1034] = {.lex_state = 98, .external_lex_state = 2},
  [1035] = {.lex_state = 91},
  [1036] = {.lex_state = 98, .external_lex_state = 2},
  [1037] = {.lex_state = 98, .external_lex_state = 2},
  [1038] = {.lex_state = 98, .external_lex_state = 2},
  [1039] = {.lex_state = 98, .external_lex_state = 2},
  [1040] = {.lex_state = 98, .external_lex_state = 2},
  [1041] = {.lex_state = 98, .external_lex_state = 2},
  [1042] = {.lex_state = 98, .external_lex_state = 2},
  [1043] = {.lex_state = 98, .external_lex_state = 2},
  [1044] = {.lex_state = 98, .external_lex_state = 2},
  [1045] = {.lex_state = 98, .external_lex_state = 2},
  [1046] = {.lex_state = 98, .external_lex_state = 2},
  [1047] = {.lex_state = 98, .external_lex_state = 2},
  [1048] = {.lex_state = 98, .external_lex_state = 2},
  [1049] = {.lex_state = 98, .external_lex_state = 2},
  [1050] = {.lex_state = 98, .external_lex_state = 2},
  [1051] = {.lex_state = 98, .external_lex_state = 2},
  [1052] = {.lex_state = 98, .external_lex_state = 2},
  [1053] = {.lex_state = 98, .external_lex_state = 2},
  [1054] = {.lex_state = 98, .external_lex_state = 2},
  [1055] = {.lex_state = 98, .external_lex_state = 2},
  [1056] = {.lex_state = 98, .external_lex_state = 2},
  [1057] = {.lex_state = 98, .external_lex_state = 2},
  [1058] = {.lex_state = 98, .external_lex_state = 2},
  [1059] = {.lex_state = 98, .external_lex_state = 2},
  [1060] = {.lex_state = 98, .external_lex_state = 2},
  [1061] = {.lex_state = 98, .external_lex_state = 2},
  [1062] = {.lex_state = 98, .external_lex_state = 2},
  [1063] = {.lex_state = 98, .external_lex_state = 2},
  [1064] = {.lex_state = 98, .external_lex_state = 2},
  [1065] = {.lex_state = 98, .external_lex_state = 2},
  [1066] = {.lex_state = 98, .external_lex_state = 2},
  [1067] = {.lex_state = 98, .external_lex_state = 2},
  [1068] = {.lex_state = 98, .external_lex_state = 2},
  [1069] = {.lex_state = 98, .external_lex_state = 2},
  [1070] = {.lex_state = 98, .external_lex_state = 2},
  [1071] = {.lex_state = 98, .external_lex_state = 2},
  [1072] = {.lex_state = 98, .external_lex_state = 2},
  [1073] = {.lex_state = 98, .external_lex_state = 2},
  [1074] = {.lex_state = 98, .external_lex_state = 2},
  [1075] = {.lex_state = 98, .external_lex_state = 2},
  [1076] = {.lex_state = 98, .external_lex_state = 2},
  [1077] = {.lex_state = 98, .external_lex_state = 2},
  [1078] = {.lex_state = 98, .external_lex_state = 2},
  [1079] = {.lex_state = 98, .external_lex_state = 2},
  [1080] = {.lex_state = 98, .external_lex_state = 2},
  [1081] = {.lex_state = 98, .external_lex_state = 2},
  [1082] = {.lex_state = 98, .external_lex_state = 2},
  [1083] = {.lex_state = 98, .external_lex_state = 2},
  [1084] = {.lex_state = 98, .external_lex_state = 2},
  [1085] = {.lex_state = 98, .external_lex_state = 2},
  [1086] = {.lex_state = 98, .external_lex_state = 2},
  [1087] = {.lex_state = 98, .external_lex_state = 2},
  [1088] = {.lex_state = 98, .external_lex_state = 2},
  [1089] = {.lex_state = 98, .external_lex_state = 2},
  [1090] = {.lex_state = 98, .external_lex_state = 2},
  [1091] = {.lex_state = 98, .external_lex_state = 2},
  [1092] = {.lex_state = 98, .external_lex_state = 2},
  [1093] = {.lex_state = 98, .external_lex_state = 2},
  [1094] = {.lex_state = 98, .external_lex_state = 2},
  [1095] = {.lex_state = 98, .external_lex_state = 2},
  [1096] = {.lex_state = 98, .external_lex_state = 2},
  [1097] = {.lex_state = 98, .external_lex_state = 2},
  [1098] = {.lex_state = 98, .external_lex_state = 2},
  [1099] = {.lex_state = 98, .external_lex_state = 2},
  [1100] = {.lex_state = 98, .external_lex_state = 2},
  [1101] = {.lex_state = 98, .external_lex_state = 2},
  [1102] = {.lex_state = 98, .external_lex_state = 2},
  [1103] = {.lex_state = 98, .external_lex_state = 2},
  [1104] = {.lex_state = 98, .external_lex_state = 2},
  [1105] = {.lex_state = 98, .external_lex_state = 2},
  [1106] = {.lex_state = 98, .external_lex_state = 2},
  [1107] = {.lex_state = 98, .external_lex_state = 2},
  [1108] = {.lex_state = 98, .external_lex_state = 2},
  [1109] = {.lex_state = 98, .external_lex_state = 2},
  [1110] = {.lex_state = 98, .external_lex_state = 2},
  [1111] = {.lex_state = 98, .external_lex_state = 2},
  [1112] = {.lex_state = 98, .external_lex_state = 2},
  [1113] = {.lex_state = 98, .external_lex_state = 2},
  [1114] = {.lex_state = 98, .external_lex_state = 2},
  [1115] = {.lex_state = 98, .external_lex_state = 2},
  [1116] = {.lex_state = 98, .external_lex_state = 2},
  [1117] = {.lex_state = 98, .external_lex_state = 2},
  [1118] = {.lex_state = 98, .external_lex_state = 2},
  [1119] = {.lex_state = 98, .external_lex_state = 2},
  [1120] = {.lex_state = 98, .external_lex_state = 2},
  [1121] = {.lex_state = 98, .external_lex_state = 2},
  [1122] = {.lex_state = 98, .external_lex_state = 2},
  [1123] = {.lex_state = 98, .external_lex_state = 2},
  [1124] = {.lex_state = 98, .external_lex_state = 2},
  [1125] = {.lex_state = 98, .external_lex_state = 2},
  [1126] = {.lex_state = 98, .external_lex_state = 2},
  [1127] = {.lex_state = 98, .external_lex_state = 2},
  [1128] = {.lex_state = 91},
  [1129] = {.lex_state = 98, .external_lex_state = 2},
  [1130] = {.lex_state = 98, .external_lex_state = 2},
  [1131] = {.lex_state = 98, .external_lex_state = 2},
  [1132] = {.lex_state = 98, .external_lex_state = 2},
  [1133] = {.lex_state = 98, .external_lex_state = 2},
  [1134] = {.lex_state = 98, .external_lex_state = 2},
  [1135] = {.lex_state = 98, .external_lex_state = 2},
  [1136] = {.lex_state = 98, .external_lex_state = 2},
  [1137] = {.lex_state = 98, .external_lex_state = 2},
  [1138] = {.lex_state = 98, .external_lex_state = 2},
  [1139] = {.lex_state = 98, .external_lex_state = 2},
  [1140] = {.lex_state = 98, .external_lex_state = 2},
  [1141] = {.lex_state = 98, .external_lex_state = 2},
  [1142] = {.lex_state = 91},
  [1143] = {.lex_state = 98, .external_lex_state = 2},
  [1144] = {.lex_state = 91},
  [1145] = {.lex_state = 98, .external_lex_state = 2},
  [1146] = {.lex_state = 98, .external_lex_state = 2},
  [1147] = {.lex_state = 98, .external_lex_state = 2},
  [1148] = {.lex_state = 98, .external_lex_state = 2},
  [1149] = {.lex_state = 98, .external_lex_state = 2},
  [1150] = {.lex_state = 98, .external_lex_state = 2},
  [1151] = {.lex_state = 98, .external_lex_state = 2},
  [1152] = {.lex_state = 98, .external_lex_state = 2},
  [1153] = {.lex_state = 98, .external_lex_state = 2},
  [1154] = {.lex_state = 98, .external_lex_state = 2},
  [1155] = {.lex_state = 98, .external_lex_state = 2},
  [1156] = {.lex_state = 98, .external_lex_state = 2},
  [1157] = {.lex_state = 91},
  [1158] = {.lex_state = 98, .external_lex_state = 2},
  [1159] = {.lex_state = 98, .external_lex_state = 2},
  [1160] = {.lex_state = 98, .external_lex_state = 2},
  [1161] = {.lex_state = 98, .external_lex_state = 2},
  [1162] = {.lex_state = 98, .external_lex_state = 2},
  [1163] = {.lex_state = 98, .external_lex_state = 2},
  [1164] = {.lex_state = 98, .external_lex_state = 2},
  [1165] = {.lex_state = 98, .external_lex_state = 2},
  [1166] = {.lex_state = 98, .external_lex_state = 2},
  [1167] = {.lex_state = 98, .external_lex_state = 2},
  [1168] = {.lex_state = 98, .external_lex_state = 2},
  [1169] = {.lex_state = 98, .external_lex_state = 2},
  [1170] = {.lex_state = 86},
  [1171] = {.lex_state = 98, .external_lex_state = 2},
  [1172] = {.lex_state = 98, .external_lex_state = 2},
  [1173] = {.lex_state = 98, .external_lex_state = 2},
  [1174] = {.lex_state = 98, .external_lex_state = 2},
  [1175] = {.lex_state = 98, .external_lex_state = 2},
  [1176] = {.lex_state = 98, .external_lex_state = 2},
  [1177] = {.lex_state = 98, .external_lex_state = 2},
  [1178] = {.lex_state = 98, .external_lex_state = 2},
  [1179] = {.lex_state = 98, .external_lex_state = 2},
  [1180] = {.lex_state = 98, .external_lex_state = 2},
  [1181] = {.lex_state = 98, .external_lex_state = 2},
  [1182] = {.lex_state = 98, .external_lex_state = 2},
  [1183] = {.lex_state = 98, .external_lex_state = 2},
  [1184] = {.lex_state = 98, .external_lex_state = 2},
  [1185] = {.lex_state = 98, .external_lex_state = 2},
  [1186] = {.lex_state = 98, .external_lex_state = 2},
  [1187] = {.lex_state = 91},
  [1188] = {.lex_state = 98, .external_lex_state = 2},
  [1189] = {.lex_state = 98, .external_lex_state = 2},
  [1190] = {.lex_state = 98, .external_lex_state = 2},
  [1191] = {.lex_state = 98, .external_lex_state = 2},
  [1192] = {.lex_state = 98, .external_lex_state = 2},
  [1193] = {.lex_state = 98, .external_lex_state = 2},
  [1194] = {.lex_state = 98, .external_lex_state = 2},
  [1195] = {.lex_state = 98, .external_lex_state = 2},
  [1196] = {.lex_state = 98, .external_lex_state = 2},
  [1197] = {.lex_state = 98, .external_lex_state = 2},
  [1198] = {.lex_state = 98, .external_lex_state = 2},
  [1199] = {.lex_state = 91},
  [1200] = {.lex_state = 98, .external_lex_state = 2},
  [1201] = {.lex_state = 98, .external_lex_state = 2},
  [1202] = {.lex_state = 98, .external_lex_state = 2},
  [1203] = {.lex_state = 91},
  [1204] = {.lex_state = 98, .external_lex_state = 2},
  [1205] = {.lex_state = 98, .external_lex_state = 2},
  [1206] = {.lex_state = 98, .external_lex_state = 2},
  [1207] = {.lex_state = 98, .external_lex_state = 2},
  [1208] = {.lex_state = 98, .external_lex_state = 2},
  [1209] = {.lex_state = 98, .external_lex_state = 2},
  [1210] = {.lex_state = 98, .external_lex_state = 2},
  [1211] = {.lex_state = 98, .external_lex_state = 2},
  [1212] = {.lex_state = 98, .external_lex_state = 2},
  [1213] = {.lex_state = 98, .external_lex_state = 2},
  [1214] = {.lex_state = 98, .external_lex_state = 2},
  [1215] = {.lex_state = 98, .external_lex_state = 2},
  [1216] = {.lex_state = 98, .external_lex_state = 2},
  [1217] = {.lex_state = 98, .external_lex_state = 2},
  [1218] = {.lex_state = 98, .external_lex_state = 2},
  [1219] = {.lex_state = 98, .external_lex_state = 2},
  [1220] = {.lex_state = 98, .external_lex_state = 2},
  [1221] = {.lex_state = 98, .external_lex_state = 2},
  [1222] = {.lex_state = 98, .external_lex_state = 2},
  [1223] = {.lex_state = 98, .external_lex_state = 2},
  [1224] = {.lex_state = 98, .external_lex_state = 2},
  [1225] = {.lex_state = 91},
  [1226] = {.lex_state = 98, .external_lex_state = 2},
  [1227] = {.lex_state = 98, .external_lex_state = 2},
  [1228] = {.lex_state = 91},
  [1229] = {.lex_state = 98, .external_lex_state = 2},
  [1230] = {.lex_state = 98, .external_lex_state = 2},
  [1231] = {.lex_state = 91},
  [1232] = {.lex_state = 91},
  [1233] = {.lex_state = 86},
  [1234] = {.lex_state = 98, .external_lex_state = 2},
  [1235] = {.lex_state = 91, .external_lex_state = 2},
  [1236] = {.lex_state = 98, .external_lex_state = 2},
  [1237] = {.lex_state = 98, .external_lex_state = 2},
  [1238] = {.lex_state = 98, .external_lex_state = 2},
  [1239] = {.lex_state = 98, .external_lex_state = 2},
  [1240] = {.lex_state = 98, .external_lex_state = 2},
  [1241] = {.lex_state = 98, .external_lex_state = 2},
  [1242] = {.lex_state = 98, .external_lex_state = 2},
  [1243] = {.lex_state = 98, .external_lex_state = 2},
  [1244] = {.lex_state = 98, .external_lex_state = 2},
  [1245] = {.lex_state = 98, .external_lex_state = 2},
  [1246] = {.lex_state = 98, .external_lex_state = 2},
  [1247] = {.lex_state = 98, .external_lex_state = 2},
  [1248] = {.lex_state = 91},
  [1249] = {.lex_state = 98, .external_lex_state = 2},
  [1250] = {.lex_state = 98, .external_lex_state = 2},
  [1251] = {.lex_state = 98, .external_lex_state = 2},
  [1252] = {.lex_state = 98, .external_lex_state = 2},
  [1253] = {.lex_state = 98, .external_lex_state = 2},
  [1254] = {.lex_state = 98, .external_lex_state = 2},
  [1255] = {.lex_state = 98, .external_lex_state = 2},
  [1256] = {.lex_state = 98, .external_lex_state = 2},
  [1257] = {.lex_state = 98, .external_lex_state = 2},
  [1258] = {.lex_state = 91},
  [1259] = {.lex_state = 91},
  [1260] = {.lex_state = 91},
  [1261] = {.lex_state = 98, .external_lex_state = 2},
  [1262] = {.lex_state = 98, .external_lex_state = 2},
  [1263] = {.lex_state = 98, .external_lex_state = 2},
  [1264] = {.lex_state = 91},
  [1265] = {.lex_state = 98, .external_lex_state = 2},
  [1266] = {.lex_state = 98, .external_lex_state = 2},
  [1267] = {.lex_state = 98, .external_lex_state = 2},
  [1268] = {.lex_state = 98, .external_lex_state = 2},
  [1269] = {.lex_state = 98, .external_lex_state = 2},
  [1270] = {.lex_state = 91},
  [1271] = {.lex_state = 98, .external_lex_state = 2},
  [1272] = {.lex_state = 98, .external_lex_state = 2},
  [1273] = {.lex_state = 98, .external_lex_state = 2},
  [1274] = {.lex_state = 98, .external_lex_state = 2},
  [1275] = {.lex_state = 98, .external_lex_state = 2},
  [1276] = {.lex_state = 98, .external_lex_state = 2},
  [1277] = {.lex_state = 98, .external_lex_state = 2},
  [1278] = {.lex_state = 91, .external_lex_state = 2},
  [1279] = {.lex_state = 98, .external_lex_state = 2},
  [1280] = {.lex_state = 98, .external_lex_state = 2},
  [1281] = {.lex_state = 91},
  [1282] = {.lex_state = 98, .external_lex_state = 2},
  [1283] = {.lex_state = 98, .external_lex_state = 2},
  [1284] = {.lex_state = 98, .external_lex_state = 2},
  [1285] = {.lex_state = 98, .external_lex_state = 2},
  [1286] = {.lex_state = 98, .external_lex_state = 2},
  [1287] = {.lex_state = 98, .external_lex_state = 2},
  [1288] = {.lex_state = 91},
  [1289] = {.lex_state = 98, .external_lex_state = 2},
  [1290] = {.lex_state = 91},
  [1291] = {.lex_state = 98, .external_lex_state = 2},
  [1292] = {.lex_state = 98, .external_lex_state = 2},
  [1293] = {.lex_state = 98, .external_lex_state = 2},
  [1294] = {.lex_state = 98, .external_lex_state = 2},
  [1295] = {.lex_state = 98, .external_lex_state = 2},
  [1296] = {.lex_state = 98, .external_lex_state = 2},
  [1297] = {.lex_state = 98, .external_lex_state = 2},
  [1298] = {.lex_state = 98, .external_lex_state = 2},
  [1299] = {.lex_state = 98, .external_lex_state = 2},
  [1300] = {.lex_state = 98, .external_lex_state = 2},
  [1301] = {.lex_state = 98, .external_lex_state = 2},
  [1302] = {.lex_state = 98, .external_lex_state = 2},
  [1303] = {.lex_state = 98, .external_lex_state = 2},
  [1304] = {.lex_state = 98, .external_lex_state = 2},
  [1305] = {.lex_state = 98, .external_lex_state = 2},
  [1306] = {.lex_state = 98, .external_lex_state = 2},
  [1307] = {.lex_state = 98, .external_lex_state = 2},
  [1308] = {.lex_state = 98, .external_lex_state = 2},
  [1309] = {.lex_state = 98, .external_lex_state = 2},
  [1310] = {.lex_state = 91},
  [1311] = {.lex_state = 98, .external_lex_state = 2},
  [1312] = {.lex_state = 98, .external_lex_state = 2},
  [1313] = {.lex_state = 98, .external_lex_state = 2},
  [1314] = {.lex_state = 98, .external_lex_state = 2},
  [1315] = {.lex_state = 98, .external_lex_state = 2},
  [1316] = {.lex_state = 98, .external_lex_state = 2},
  [1317] = {.lex_state = 98, .external_lex_state = 2},
  [1318] = {.lex_state = 98, .external_lex_state = 2},
  [1319] = {.lex_state = 98, .external_lex_state = 2},
  [1320] = {.lex_state = 98, .external_lex_state = 2},
  [1321] = {.lex_state = 98, .external_lex_state = 2},
  [1322] = {.lex_state = 98, .external_lex_state = 2},
  [1323] = {.lex_state = 98, .external_lex_state = 2},
  [1324] = {.lex_state = 91},
  [1325] = {.lex_state = 91},
  [1326] = {.lex_state = 98, .external_lex_state = 2},
  [1327] = {.lex_state = 91},
  [1328] = {.lex_state = 98, .external_lex_state = 2},
  [1329] = {.lex_state = 98, .external_lex_state = 2},
  [1330] = {.lex_state = 98, .external_lex_state = 2},
  [1331] = {.lex_state = 98, .external_lex_state = 2},
  [1332] = {.lex_state = 91},
  [1333] = {.lex_state = 98, .external_lex_state = 2},
  [1334] = {.lex_state = 98, .external_lex_state = 2},
  [1335] = {.lex_state = 91},
  [1336] = {.lex_state = 98, .external_lex_state = 2},
  [1337] = {.lex_state = 98, .external_lex_state = 2},
  [1338] = {.lex_state = 91},
  [1339] = {.lex_state = 98, .external_lex_state = 2},
  [1340] = {.lex_state = 91},
  [1341] = {.lex_state = 91},
  [1342] = {.lex_state = 98, .external_lex_state = 2},
  [1343] = {.lex_state = 98, .external_lex_state = 2},
  [1344] = {.lex_state = 98, .external_lex_state = 2},
  [1345] = {.lex_state = 98, .external_lex_state = 2},
  [1346] = {.lex_state = 91},
  [1347] = {.lex_state = 91},
  [1348] = {.lex_state = 98, .external_lex_state = 2},
  [1349] = {.lex_state = 98, .external_lex_state = 2},
  [1350] = {.lex_state = 98, .external_lex_state = 2},
  [1351] = {.lex_state = 98, .external_lex_state = 2},
  [1352] = {.lex_state = 98, .external_lex_state = 2},
  [1353] = {.lex_state = 98, .external_lex_state = 2},
  [1354] = {.lex_state = 98, .external_lex_state = 2},
  [1355] = {.lex_state = 98, .external_lex_state = 2},
  [1356] = {.lex_state = 98, .external_lex_state = 2},
  [1357] = {.lex_state = 98, .external_lex_state = 2},
  [1358] = {.lex_state = 98, .external_lex_state = 2},
  [1359] = {.lex_state = 91},
  [1360] = {.lex_state = 98, .external_lex_state = 2},
  [1361] = {.lex_state = 98, .external_lex_state = 2},
  [1362] = {.lex_state = 98, .external_lex_state = 2},
  [1363] = {.lex_state = 91},
  [1364] = {.lex_state = 98, .external_lex_state = 2},
  [1365] = {.lex_state = 98, .external_lex_state = 2},
  [1366] = {.lex_state = 98, .external_lex_state = 2},
  [1367] = {.lex_state = 98, .external_lex_state = 2},
  [1368] = {.lex_state = 98, .external_lex_state = 2},
  [1369] = {.lex_state = 98, .external_lex_state = 2},
  [1370] = {.lex_state = 98, .external_lex_state = 2},
  [1371] = {.lex_state = 98, .external_lex_state = 2},
  [1372] = {.lex_state = 98, .external_lex_state = 2},
  [1373] = {.lex_state = 91},
  [1374] = {.lex_state = 98, .external_lex_state = 2},
  [1375] = {.lex_state = 98, .external_lex_state = 2},
  [1376] = {.lex_state = 98, .external_lex_state = 2},
  [1377] = {.lex_state = 98, .external_lex_state = 2},
  [1378] = {.lex_state = 98, .external_lex_state = 2},
  [1379] = {.lex_state = 98, .external_lex_state = 2},
  [1380] = {.lex_state = 98, .external_lex_state = 2},
  [1381] = {.lex_state = 98, .external_lex_state = 2},
  [1382] = {.lex_state = 98, .external_lex_state = 2},
  [1383] = {.lex_state = 98, .external_lex_state = 2},
  [1384] = {.lex_state = 98, .external_lex_state = 2},
  [1385] = {.lex_state = 91},
  [1386] = {.lex_state = 98, .external_lex_state = 2},
  [1387] = {.lex_state = 98, .external_lex_state = 2},
  [1388] = {.lex_state = 98, .external_lex_state = 2},
  [1389] = {.lex_state = 98, .external_lex_state = 2},
  [1390] = {.lex_state = 98, .external_lex_state = 2},
  [1391] = {.lex_state = 98, .external_lex_state = 2},
  [1392] = {.lex_state = 98, .external_lex_state = 2},
  [1393] = {.lex_state = 98, .external_lex_state = 2},
  [1394] = {.lex_state = 98, .external_lex_state = 2},
  [1395] = {.lex_state = 98, .external_lex_state = 2},
  [1396] = {.lex_state = 98, .external_lex_state = 2},
  [1397] = {.lex_state = 98, .external_lex_state = 2},
  [1398] = {.lex_state = 98, .external_lex_state = 2},
  [1399] = {.lex_state = 98, .external_lex_state = 2},
  [1400] = {.lex_state = 98, .external_lex_state = 2},
  [1401] = {.lex_state = 98, .external_lex_state = 2},
  [1402] = {.lex_state = 91},
  [1403] = {.lex_state = 91},
  [1404] = {.lex_state = 98, .external_lex_state = 2},
  [1405] = {.lex_state = 91},
  [1406] = {.lex_state = 98, .external_lex_state = 2},
  [1407] = {.lex_state = 98, .external_lex_state = 2},
  [1408] = {.lex_state = 91},
  [1409] = {.lex_state = 91},
  [1410] = {.lex_state = 98, .external_lex_state = 2},
  [1411] = {.lex_state = 91},
  [1412] = {.lex_state = 98, .external_lex_state = 2},
  [1413] = {.lex_state = 98, .external_lex_state = 2},
  [1414] = {.lex_state = 91},
  [1415] = {.lex_state = 98, .external_lex_state = 2},
  [1416] = {.lex_state = 98, .external_lex_state = 2},
  [1417] = {.lex_state = 98, .external_lex_state = 2},
  [1418] = {.lex_state = 91},
  [1419] = {.lex_state = 98, .external_lex_state = 2},
  [1420] = {.lex_state = 98, .external_lex_state = 2},
  [1421] = {.lex_state = 98, .external_lex_state = 2},
  [1422] = {.lex_state = 98, .external_lex_state = 2},
  [1423] = {.lex_state = 98, .external_lex_state = 2},
  [1424] = {.lex_state = 98, .external_lex_state = 2},
  [1425] = {.lex_state = 98, .external_lex_state = 2},
  [1426] = {.lex_state = 98, .external_lex_state = 2},
  [1427] = {.lex_state = 98, .external_lex_state = 2},
  [1428] = {.lex_state = 98, .external_lex_state = 2},
  [1429] = {.lex_state = 98, .external_lex_state = 2},
  [1430] = {.lex_state = 98, .external_lex_state = 2},
  [1431] = {.lex_state = 98, .external_lex_state = 2},
  [1432] = {.lex_state = 98, .external_lex_state = 2},
  [1433] = {.lex_state = 98, .external_lex_state = 2},
  [1434] = {.lex_state = 98, .external_lex_state = 2},
  [1435] = {.lex_state = 98, .external_lex_state = 2},
  [1436] = {.lex_state = 98, .external_lex_state = 2},
  [1437] = {.lex_state = 98, .external_lex_state = 2},
  [1438] = {.lex_state = 98, .external_lex_state = 2},
  [1439] = {.lex_state = 91},
  [1440] = {.lex_state = 98, .external_lex_state = 2},
  [1441] = {.lex_state = 98, .external_lex_state = 2},
  [1442] = {.lex_state = 98, .external_lex_state = 2},
  [1443] = {.lex_state = 98, .external_lex_state = 2},
  [1444] = {.lex_state = 98, .external_lex_state = 2},
  [1445] = {.lex_state = 98, .external_lex_state = 2},
  [1446] = {.lex_state = 91},
  [1447] = {.lex_state = 98, .external_lex_state = 2},
  [1448] = {.lex_state = 98, .external_lex_state = 2},
  [1449] = {.lex_state = 98, .external_lex_state = 2},
  [1450] = {.lex_state = 98, .external_lex_state = 2},
  [1451] = {.lex_state = 98, .external_lex_state = 2},
  [1452] = {.lex_state = 98, .external_lex_state = 2},
  [1453] = {.lex_state = 98, .external_lex_state = 2},
  [1454] = {.lex_state = 98, .external_lex_state = 2},
  [1455] = {.lex_state = 98, .external_lex_state = 2},
  [1456] = {.lex_state = 98, .external_lex_state = 2},
  [1457] = {.lex_state = 98, .external_lex_state = 2},
  [1458] = {.lex_state = 91},
  [1459] = {.lex_state = 98, .external_lex_state = 2},
  [1460] = {.lex_state = 98, .external_lex_state = 2},
  [1461] = {.lex_state = 98, .external_lex_state = 2},
  [1462] = {.lex_state = 98, .external_lex_state = 2},
  [1463] = {.lex_state = 98, .external_lex_state = 2},
  [1464] = {.lex_state = 98, .external_lex_state = 2},
  [1465] = {.lex_state = 98, .external_lex_state = 2},
  [1466] = {.lex_state = 98, .external_lex_state = 2},
  [1467] = {.lex_state = 89},
  [1468] = {.lex_state = 98, .external_lex_state = 2},
  [1469] = {.lex_state = 91},
  [1470] = {.lex_state = 98, .external_lex_state = 2},
  [1471] = {.lex_state = 98, .external_lex_state = 2},
  [1472] = {.lex_state = 98, .external_lex_state = 2},
  [1473] = {.lex_state = 98, .external_lex_state = 2},
  [1474] = {.lex_state = 98, .external_lex_state = 2},
  [1475] = {.lex_state = 91},
  [1476] = {.lex_state = 98, .external_lex_state = 2},
  [1477] = {.lex_state = 98, .external_lex_state = 2},
  [1478] = {.lex_state = 98, .external_lex_state = 2},
  [1479] = {.lex_state = 98, .external_lex_state = 2},
  [1480] = {.lex_state = 98, .external_lex_state = 2},
  [1481] = {.lex_state = 98, .external_lex_state = 2},
  [1482] = {.lex_state = 98, .external_lex_state = 2},
  [1483] = {.lex_state = 98, .external_lex_state = 2},
  [1484] = {.lex_state = 98, .external_lex_state = 2},
  [1485] = {.lex_state = 98, .external_lex_state = 2},
  [1486] = {.lex_state = 98, .external_lex_state = 2},
  [1487] = {.lex_state = 98, .external_lex_state = 2},
  [1488] = {.lex_state = 98, .external_lex_state = 2},
  [1489] = {.lex_state = 98, .external_lex_state = 2},
  [1490] = {.lex_state = 98, .external_lex_state = 2},
  [1491] = {.lex_state = 98, .external_lex_state = 2},
  [1492] = {.lex_state = 91},
  [1493] = {.lex_state = 98, .external_lex_state = 2},
  [1494] = {.lex_state = 98, .external_lex_state = 2},
  [1495] = {.lex_state = 98, .external_lex_state = 2},
  [1496] = {.lex_state = 98, .external_lex_state = 2},
  [1497] = {.lex_state = 98, .external_lex_state = 2},
  [1498] = {.lex_state = 98, .external_lex_state = 2},
  [1499] = {.lex_state = 91},
  [1500] = {.lex_state = 98, .external_lex_state = 2},
  [1501] = {.lex_state = 98, .external_lex_state = 2},
  [1502] = {.lex_state = 98, .external_lex_state = 2},
  [1503] = {.lex_state = 91},
  [1504] = {.lex_state = 98, .external_lex_state = 2},
  [1505] = {.lex_state = 98, .external_lex_state = 2},
  [1506] = {.lex_state = 98, .external_lex_state = 2},
  [1507] = {.lex_state = 91},
  [1508] = {.lex_state = 98, .external_lex_state = 2},
  [1509] = {.lex_state = 91},
  [1510] = {.lex_state = 98, .external_lex_state = 2},
  [1511] = {.lex_state = 98, .external_lex_state = 2},
  [1512] = {.lex_state = 98, .external_lex_state = 2},
  [1513] = {.lex_state = 98, .external_lex_state = 2},
  [1514] = {.lex_state = 98, .external_lex_state = 2},
  [1515] = {.lex_state = 98, .external_lex_state = 2},
  [1516] = {.lex_state = 98, .external_lex_state = 2},
  [1517] = {.lex_state = 98, .external_lex_state = 2},
  [1518] = {.lex_state = 98, .external_lex_state = 2},
  [1519] = {.lex_state = 98, .external_lex_state = 2},
  [1520] = {.lex_state = 98, .external_lex_state = 2},
  [1521] = {.lex_state = 98, .external_lex_state = 2},
  [1522] = {.lex_state = 91},
  [1523] = {.lex_state = 98, .external_lex_state = 2},
  [1524] = {.lex_state = 98, .external_lex_state = 2},
  [1525] = {.lex_state = 98, .external_lex_state = 2},
  [1526] = {.lex_state = 98, .external_lex_state = 2},
  [1527] = {.lex_state = 98, .external_lex_state = 2},
  [1528] = {.lex_state = 98, .external_lex_state = 2},
  [1529] = {.lex_state = 98, .external_lex_state = 2},
  [1530] = {.lex_state = 98, .external_lex_state = 2},
  [1531] = {.lex_state = 91},
  [1532] = {.lex_state = 98, .external_lex_state = 2},
  [1533] = {.lex_state = 98, .external_lex_state = 2},
  [1534] = {.lex_state = 98, .external_lex_state = 2},
  [1535] = {.lex_state = 91},
  [1536] = {.lex_state = 98, .external_lex_state = 2},
  [1537] = {.lex_state = 98, .external_lex_state = 2},
  [1538] = {.lex_state = 98, .external_lex_state = 2},
  [1539] = {.lex_state = 98, .external_lex_state = 2},
  [1540] = {.lex_state = 98, .external_lex_state = 2},
  [1541] = {.lex_state = 98, .external_lex_state = 2},
  [1542] = {.lex_state = 98, .external_lex_state = 2},
  [1543] = {.lex_state = 98, .external_lex_state = 2},
  [1544] = {.lex_state = 91},
  [1545] = {.lex_state = 98, .external_lex_state = 2},
  [1546] = {.lex_state = 91},
  [1547] = {.lex_state = 98, .external_lex_state = 2},
  [1548] = {.lex_state = 98, .external_lex_state = 2},
  [1549] = {.lex_state = 98, .external_lex_state = 2},
  [1550] = {.lex_state = 98, .external_lex_state = 2},
  [1551] = {.lex_state = 98, .external_lex_state = 2},
  [1552] = {.lex_state = 91},
  [1553] = {.lex_state = 98, .external_lex_state = 2},
  [1554] = {.lex_state = 91},
  [1555] = {.lex_state = 98, .external_lex_state = 2},
  [1556] = {.lex_state = 98, .external_lex_state = 2},
  [1557] = {.lex_state = 98, .external_lex_state = 2},
  [1558] = {.lex_state = 98, .external_lex_state = 2},
  [1559] = {.lex_state = 98, .external_lex_state = 2},
  [1560] = {.lex_state = 98, .external_lex_state = 2},
  [1561] = {.lex_state = 98, .external_lex_state = 2},
  [1562] = {.lex_state = 98, .external_lex_state = 2},
  [1563] = {.lex_state = 98, .external_lex_state = 2},
  [1564] = {.lex_state = 98, .external_lex_state = 2},
  [1565] = {.lex_state = 98, .external_lex_state = 2},
  [1566] = {.lex_state = 98, .external_lex_state = 2},
  [1567] = {.lex_state = 98, .external_lex_state = 2},
  [1568] = {.lex_state = 91},
  [1569] = {.lex_state = 98, .external_lex_state = 2},
  [1570] = {.lex_state = 98, .external_lex_state = 2},
  [1571] = {.lex_state = 98, .external_lex_state = 2},
  [1572] = {.lex_state = 98, .external_lex_state = 2},
  [1573] = {.lex_state = 98, .external_lex_state = 2},
  [1574] = {.lex_state = 98, .external_lex_state = 2},
  [1575] = {.lex_state = 98, .external_lex_state = 2},
  [1576] = {.lex_state = 98, .external_lex_state = 2},
  [1577] = {.lex_state = 98, .external_lex_state = 2},
  [1578] = {.lex_state = 91},
  [1579] = {.lex_state = 98, .external_lex_state = 2},
  [1580] = {.lex_state = 98, .external_lex_state = 2},
  [1581] = {.lex_state = 98, .external_lex_state = 2},
  [1582] = {.lex_state = 91},
  [1583] = {.lex_state = 98, .external_lex_state = 2},
  [1584] = {.lex_state = 98, .external_lex_state = 2},
  [1585] = {.lex_state = 91},
  [1586] = {.lex_state = 98, .external_lex_state = 2},
  [1587] = {.lex_state = 98, .external_lex_state = 2},
  [1588] = {.lex_state = 98, .external_lex_state = 2},
  [1589] = {.lex_state = 98, .external_lex_state = 2},
  [1590] = {.lex_state = 98, .external_lex_state = 2},
  [1591] = {.lex_state = 98, .external_lex_state = 2},
  [1592] = {.lex_state = 98, .external_lex_state = 2},
  [1593] = {.lex_state = 98, .external_lex_state = 2},
  [1594] = {.lex_state = 98, .external_lex_state = 2},
  [1595] = {.lex_state = 91},
  [1596] = {.lex_state = 98, .external_lex_state = 2},
  [1597] = {.lex_state = 98, .external_lex_state = 2},
  [1598] = {.lex_state = 98, .external_lex_state = 2},
  [1599] = {.lex_state = 98, .external_lex_state = 2},
  [1600] = {.lex_state = 98, .external_lex_state = 2},
  [1601] = {.lex_state = 98, .external_lex_state = 2},
  [1602] = {.lex_state = 98, .external_lex_state = 2},
  [1603] = {.lex_state = 98, .external_lex_state = 2},
  [1604] = {.lex_state = 98, .external_lex_state = 2},
  [1605] = {.lex_state = 91},
  [1606] = {.lex_state = 91},
  [1607] = {.lex_state = 98, .external_lex_state = 2},
  [1608] = {.lex_state = 91},
  [1609] = {.lex_state = 91},
  [1610] = {.lex_state = 98, .external_lex_state = 2},
  [1611] = {.lex_state = 98, .external_lex_state = 2},
  [1612] = {.lex_state = 98, .external_lex_state = 2},
  [1613] = {.lex_state = 91},
  [1614] = {.lex_state = 98, .external_lex_state = 2},
  [1615] = {.lex_state = 98, .external_lex_state = 2},
  [1616] = {.lex_state = 98, .external_lex_state = 2},
  [1617] = {.lex_state = 91},
  [1618] = {.lex_state = 98, .external_lex_state = 2},
  [1619] = {.lex_state = 98, .external_lex_state = 2},
  [1620] = {.lex_state = 91},
  [1621] = {.lex_state = 98, .external_lex_state = 2},
  [1622] = {.lex_state = 98, .external_lex_state = 2},
  [1623] = {.lex_state = 98, .external_lex_state = 2},
  [1624] = {.lex_state = 98, .external_lex_state = 2},
  [1625] = {.lex_state = 98, .external_lex_state = 2},
  [1626] = {.lex_state = 98, .external_lex_state = 2},
  [1627] = {.lex_state = 98, .external_lex_state = 2},
  [1628] = {.lex_state = 98, .external_lex_state = 2},
  [1629] = {.lex_state = 98, .external_lex_state = 2},
  [1630] = {.lex_state = 98, .external_lex_state = 2},
  [1631] = {.lex_state = 98, .external_lex_state = 2},
  [1632] = {.lex_state = 98, .external_lex_state = 2},
  [1633] = {.lex_state = 98, .external_lex_state = 2},
  [1634] = {.lex_state = 98, .external_lex_state = 2},
  [1635] = {.lex_state = 98, .external_lex_state = 2},
  [1636] = {.lex_state = 98, .external_lex_state = 2},
  [1637] = {.lex_state = 98, .external_lex_state = 2},
  [1638] = {.lex_state = 91},
  [1639] = {.lex_state = 91},
  [1640] = {.lex_state = 91},
  [1641] = {.lex_state = 98, .external_lex_state = 2},
  [1642] = {.lex_state = 98, .external_lex_state = 2},
  [1643] = {.lex_state = 98, .external_lex_state = 2},
  [1644] = {.lex_state = 98, .external_lex_state = 2},
  [1645] = {.lex_state = 98, .external_lex_state = 2},
  [1646] = {.lex_state = 98, .external_lex_state = 2},
  [1647] = {.lex_state = 98, .external_lex_state = 2},
  [1648] = {.lex_state = 98, .external_lex_state = 2},
  [1649] = {.lex_state = 98, .external_lex_state = 2},
  [1650] = {.lex_state = 91},
  [1651] = {.lex_state = 98, .external_lex_state = 2},
  [1652] = {.lex_state = 91},
  [1653] = {.lex_state = 91},
  [1654] = {.lex_state = 98, .external_lex_state = 2},
  [1655] = {.lex_state = 98, .external_lex_state = 2},
  [1656] = {.lex_state = 98, .external_lex_state = 2},
  [1657] = {.lex_state = 91},
  [1658] = {.lex_state = 98, .external_lex_state = 2},
  [1659] = {.lex_state = 98, .external_lex_state = 2},
  [1660] = {.lex_state = 98, .external_lex_state = 2},
  [1661] = {.lex_state = 98, .external_lex_state = 2},
  [1662] = {.lex_state = 98, .external_lex_state = 2},
  [1663] = {.lex_state = 98, .external_lex_state = 2},
  [1664] = {.lex_state = 91},
  [1665] = {.lex_state = 91},
  [1666] = {.lex_state = 91},
  [1667] = {.lex_state = 98, .external_lex_state = 2},
  [1668] = {.lex_state = 98, .external_lex_state = 2},
  [1669] = {.lex_state = 98, .external_lex_state = 2},
  [1670] = {.lex_state = 98, .external_lex_state = 2},
  [1671] = {.lex_state = 91},
  [1672] = {.lex_state = 98, .external_lex_state = 2},
  [1673] = {.lex_state = 98, .external_lex_state = 2},
  [1674] = {.lex_state = 98, .external_lex_state = 2},
  [1675] = {.lex_state = 91},
  [1676] = {.lex_state = 98, .external_lex_state = 2},
  [1677] = {.lex_state = 91},
  [1678] = {.lex_state = 98, .external_lex_state = 2},
  [1679] = {.lex_state = 98, .external_lex_state = 2},
  [1680] = {.lex_state = 98, .external_lex_state = 2},
  [1681] = {.lex_state = 98, .external_lex_state = 2},
  [1682] = {.lex_state = 98, .external_lex_state = 2},
  [1683] = {.lex_state = 98, .external_lex_state = 2},
  [1684] = {.lex_state = 91},
  [1685] = {.lex_state = 98, .external_lex_state = 2},
  [1686] = {.lex_state = 91},
  [1687] = {.lex_state = 98, .external_lex_state = 2},
  [1688] = {.lex_state = 98, .external_lex_state = 2},
  [1689] = {.lex_state = 91},
  [1690] = {.lex_state = 91},
  [1691] = {.lex_state = 98, .external_lex_state = 2},
  [1692] = {.lex_state = 98, .external_lex_state = 2},
  [1693] = {.lex_state = 98, .external_lex_state = 2},
  [1694] = {.lex_state = 98, .external_lex_state = 2},
  [1695] = {.lex_state = 98, .external_lex_state = 2},
  [1696] = {.lex_state = 98, .external_lex_state = 2},
  [1697] = {.lex_state = 98, .external_lex_state = 2},
  [1698] = {.lex_state = 91},
  [1699] = {.lex_state = 98, .external_lex_state = 2},
  [1700] = {.lex_state = 98, .external_lex_state = 2},
  [1701] = {.lex_state = 91},
  [1702] = {.lex_state = 98, .external_lex_state = 2},
  [1703] = {.lex_state = 98, .external_lex_state = 2},
  [1704] = {.lex_state = 91},
  [1705] = {.lex_state = 98, .external_lex_state = 2},
  [1706] = {.lex_state = 98, .external_lex_state = 2},
  [1707] = {.lex_state = 98, .external_lex_state = 2},
  [1708] = {.lex_state = 98, .external_lex_state = 2},
  [1709] = {.lex_state = 91},
  [1710] = {.lex_state = 98, .external_lex_state = 2},
  [1711] = {.lex_state = 98, .external_lex_state = 2},
  [1712] = {.lex_state = 98, .external_lex_state = 2},
  [1713] = {.lex_state = 98, .external_lex_state = 2},
  [1714] = {.lex_state = 98, .external_lex_state = 2},
  [1715] = {.lex_state = 91},
  [1716] = {.lex_state = 98, .external_lex_state = 2},
  [1717] = {.lex_state = 98, .external_lex_state = 2},
  [1718] = {.lex_state = 98, .external_lex_state = 2},
  [1719] = {.lex_state = 98, .external_lex_state = 2},
  [1720] = {.lex_state = 98, .external_lex_state = 2},
  [1721] = {.lex_state = 98, .external_lex_state = 2},
  [1722] = {.lex_state = 98, .external_lex_state = 2},
  [1723] = {.lex_state = 98, .external_lex_state = 2},
  [1724] = {.lex_state = 91},
  [1725] = {.lex_state = 98, .external_lex_state = 2},
  [1726] = {.lex_state = 98, .external_lex_state = 2},
  [1727] = {.lex_state = 98, .external_lex_state = 2},
  [1728] = {.lex_state = 98, .external_lex_state = 2},
  [1729] = {.lex_state = 98, .external_lex_state = 2},
  [1730] = {.lex_state = 98, .external_lex_state = 2},
  [1731] = {.lex_state = 91},
  [1732] = {.lex_state = 98, .external_lex_state = 2},
  [1733] = {.lex_state = 98, .external_lex_state = 2},
  [1734] = {.lex_state = 98, .external_lex_state = 2},
  [1735] = {.lex_state = 98, .external_lex_state = 2},
  [1736] = {.lex_state = 98, .external_lex_state = 2},
  [1737] = {.lex_state = 98, .external_lex_state = 2},
  [1738] = {.lex_state = 91},
  [1739] = {.lex_state = 98, .external_lex_state = 2},
  [1740] = {.lex_state = 98, .external_lex_state = 2},
  [1741] = {.lex_state = 98, .external_lex_state = 2},
  [1742] = {.lex_state = 98, .external_lex_state = 2},
  [1743] = {.lex_state = 98, .external_lex_state = 2},
  [1744] = {.lex_state = 98, .external_lex_state = 2},
  [1745] = {.lex_state = 91},
  [1746] = {.lex_state = 98, .external_lex_state = 2},
  [1747] = {.lex_state = 91},
  [1748] = {.lex_state = 91},
  [1749] = {.lex_state = 98, .external_lex_state = 2},
  [1750] = {.lex_state = 98, .external_lex_state = 2},
  [1751] = {.lex_state = 91},
  [1752] = {.lex_state = 98, .external_lex_state = 2},
  [1753] = {.lex_state = 98, .external_lex_state = 2},
  [1754] = {.lex_state = 98, .external_lex_state = 2},
  [1755] = {.lex_state = 98, .external_lex_state = 2},
  [1756] = {.lex_state = 98, .external_lex_state = 2},
  [1757] = {.lex_state = 98, .external_lex_state = 2},
  [1758] = {.lex_state = 98, .external_lex_state = 2},
  [1759] = {.lex_state = 98, .external_lex_state = 2},
  [1760] = {.lex_state = 98, .external_lex_state = 2},
  [1761] = {.lex_state = 98, .external_lex_state = 2},
  [1762] = {.lex_state = 98, .external_lex_state = 2},
  [1763] = {.lex_state = 98, .external_lex_state = 2},
  [1764] = {.lex_state = 98, .external_lex_state = 2},
  [1765] = {.lex_state = 91},
  [1766] = {.lex_state = 98, .external_lex_state = 2},
  [1767] = {.lex_state = 98, .external_lex_state = 2},
  [1768] = {.lex_state = 98, .external_lex_state = 2},
  [1769] = {.lex_state = 98, .external_lex_state = 2},
  [1770] = {.lex_state = 98, .external_lex_state = 2},
  [1771] = {.lex_state = 98, .external_lex_state = 2},
  [1772] = {.lex_state = 98, .external_lex_state = 2},
  [1773] = {.lex_state = 98, .external_lex_state = 2},
  [1774] = {.lex_state = 98, .external_lex_state = 2},
  [1775] = {.lex_state = 98, .external_lex_state = 2},
  [1776] = {.lex_state = 98, .external_lex_state = 2},
  [1777] = {.lex_state = 98, .external_lex_state = 2},
  [1778] = {.lex_state = 98, .external_lex_state = 2},
  [1779] = {.lex_state = 98, .external_lex_state = 2},
  [1780] = {.lex_state = 98, .external_lex_state = 2},
  [1781] = {.lex_state = 98, .external_lex_state = 2},
  [1782] = {.lex_state = 98, .external_lex_state = 2},
  [1783] = {.lex_state = 98, .external_lex_state = 2},
  [1784] = {.lex_state = 98, .external_lex_state = 2},
  [1785] = {.lex_state = 98, .external_lex_state = 2},
  [1786] = {.lex_state = 98, .external_lex_state = 2},
  [1787] = {.lex_state = 98, .external_lex_state = 2},
  [1788] = {.lex_state = 98, .external_lex_state = 2},
  [1789] = {.lex_state = 98, .external_lex_state = 2},
  [1790] = {.lex_state = 98, .external_lex_state = 2},
  [1791] = {.lex_state = 98, .external_lex_state = 2},
  [1792] = {.lex_state = 98, .external_lex_state = 2},
  [1793] = {.lex_state = 98, .external_lex_state = 2},
  [1794] = {.lex_state = 98, .external_lex_state = 2},
  [1795] = {.lex_state = 98, .external_lex_state = 2},
  [1796] = {.lex_state = 98, .external_lex_state = 2},
  [1797] = {.lex_state = 98, .external_lex_state = 2},
  [1798] = {.lex_state = 98, .external_lex_state = 2},
  [1799] = {.lex_state = 98, .external_lex_state = 2},
  [1800] = {.lex_state = 98, .external_lex_state = 2},
  [1801] = {.lex_state = 98, .external_lex_state = 2},
  [1802] = {.lex_state = 91},
  [1803] = {.lex_state = 98, .external_lex_state = 2},
  [1804] = {.lex_state = 98, .external_lex_state = 2},
  [1805] = {.lex_state = 98, .external_lex_state = 2},
  [1806] = {.lex_state = 98, .external_lex_state = 2},
  [1807] = {.lex_state = 98, .external_lex_state = 2},
  [1808] = {.lex_state = 91},
  [1809] = {.lex_state = 98, .external_lex_state = 2},
  [1810] = {.lex_state = 98, .external_lex_state = 2},
  [1811] = {.lex_state = 98, .external_lex_state = 2},
  [1812] = {.lex_state = 91},
  [1813] = {.lex_state = 98, .external_lex_state = 2},
  [1814] = {.lex_state = 98, .external_lex_state = 2},
  [1815] = {.lex_state = 91},
  [1816] = {.lex_state = 98, .external_lex_state = 2},
  [1817] = {.lex_state = 91},
  [1818] = {.lex_state = 98, .external_lex_state = 2},
  [1819] = {.lex_state = 98, .external_lex_state = 2},
  [1820] = {.lex_state = 98, .external_lex_state = 2},
  [1821] = {.lex_state = 98, .external_lex_state = 2},
  [1822] = {.lex_state = 98, .external_lex_state = 2},
  [1823] = {.lex_state = 98, .external_lex_state = 2},
  [1824] = {.lex_state = 98, .external_lex_state = 2},
  [1825] = {.lex_state = 98, .external_lex_state = 2},
  [1826] = {.lex_state = 98, .external_lex_state = 2},
  [1827] = {.lex_state = 98, .external_lex_state = 2},
  [1828] = {.lex_state = 98, .external_lex_state = 2},
  [1829] = {.lex_state = 98, .external_lex_state = 2},
  [1830] = {.lex_state = 98, .external_lex_state = 2},
  [1831] = {.lex_state = 98, .external_lex_state = 2},
  [1832] = {.lex_state = 98, .external_lex_state = 2},
  [1833] = {.lex_state = 98, .external_lex_state = 2},
  [1834] = {.lex_state = 91},
  [1835] = {.lex_state = 98, .external_lex_state = 2},
  [1836] = {.lex_state = 98, .external_lex_state = 2},
  [1837] = {.lex_state = 98, .external_lex_state = 2},
  [1838] = {.lex_state = 98, .external_lex_state = 2},
  [1839] = {.lex_state = 98, .external_lex_state = 2},
  [1840] = {.lex_state = 98, .external_lex_state = 2},
  [1841] = {.lex_state = 98, .external_lex_state = 2},
  [1842] = {.lex_state = 98, .external_lex_state = 2},
  [1843] = {.lex_state = 98, .external_lex_state = 2},
  [1844] = {.lex_state = 98, .external_lex_state = 2},
  [1845] = {.lex_state = 98, .external_lex_state = 2},
  [1846] = {.lex_state = 98, .external_lex_state = 2},
  [1847] = {.lex_state = 98, .external_lex_state = 2},
  [1848] = {.lex_state = 98, .external_lex_state = 2},
  [1849] = {.lex_state = 98, .external_lex_state = 2},
  [1850] = {.lex_state = 98, .external_lex_state = 2},
  [1851] = {.lex_state = 98, .external_lex_state = 2},
  [1852] = {.lex_state = 98, .external_lex_state = 2},
  [1853] = {.lex_state = 98, .external_lex_state = 2},
  [1854] = {.lex_state = 98, .external_lex_state = 2},
  [1855] = {.lex_state = 98, .external_lex_state = 2},
  [1856] = {.lex_state = 98, .external_lex_state = 2},
  [1857] = {.lex_state = 98, .external_lex_state = 2},
  [1858] = {.lex_state = 98, .external_lex_state = 2},
  [1859] = {.lex_state = 98, .external_lex_state = 2},
  [1860] = {.lex_state = 98, .external_lex_state = 2},
  [1861] = {.lex_state = 98, .external_lex_state = 2},
  [1862] = {.lex_state = 98, .external_lex_state = 2},
  [1863] = {.lex_state = 98, .external_lex_state = 2},
  [1864] = {.lex_state = 98, .external_lex_state = 2},
  [1865] = {.lex_state = 98, .external_lex_state = 2},
  [1866] = {.lex_state = 98, .external_lex_state = 2},
  [1867] = {.lex_state = 98, .external_lex_state = 2},
  [1868] = {.lex_state = 98, .external_lex_state = 2},
  [1869] = {.lex_state = 98, .external_lex_state = 2},
  [1870] = {.lex_state = 98, .external_lex_state = 2},
  [1871] = {.lex_state = 98, .external_lex_state = 2},
  [1872] = {.lex_state = 98, .external_lex_state = 2},
  [1873] = {.lex_state = 98, .external_lex_state = 2},
  [1874] = {.lex_state = 98, .external_lex_state = 2},
  [1875] = {.lex_state = 98, .external_lex_state = 2},
  [1876] = {.lex_state = 98, .external_lex_state = 2},
  [1877] = {.lex_state = 98, .external_lex_state = 2},
  [1878] = {.lex_state = 98, .external_lex_state = 2},
  [1879] = {.lex_state = 98, .external_lex_state = 2},
  [1880] = {.lex_state = 98, .external_lex_state = 2},
  [1881] = {.lex_state = 98, .external_lex_state = 2},
  [1882] = {.lex_state = 98, .external_lex_state = 2},
  [1883] = {.lex_state = 98, .external_lex_state = 2},
  [1884] = {.lex_state = 91},
  [1885] = {.lex_state = 91},
  [1886] = {.lex_state = 91},
  [1887] = {.lex_state = 91},
  [1888] = {.lex_state = 91},
  [1889] = {.lex_state = 91},
  [1890] = {.lex_state = 91},
  [1891] = {.lex_state = 91},
  [1892] = {.lex_state = 91},
  [1893] = {.lex_state = 91},
  [1894] = {.lex_state = 91},
  [1895] = {.lex_state = 91},
  [1896] = {.lex_state = 91},
  [1897] = {.lex_state = 91},
  [1898] = {.lex_state = 91, .external_lex_state = 2},
  [1899] = {.lex_state = 91},
  [1900] = {.lex_state = 91},
  [1901] = {.lex_state = 91},
  [1902] = {.lex_state = 91},
  [1903] = {.lex_state = 91},
  [1904] = {.lex_state = 91},
  [1905] = {.lex_state = 91},
  [1906] = {.lex_state = 91},
  [1907] = {.lex_state = 91},
  [1908] = {.lex_state = 91},
  [1909] = {.lex_state = 91},
  [1910] = {.lex_state = 89},
  [1911] = {.lex_state = 91},
  [1912] = {.lex_state = 91},
  [1913] = {.lex_state = 91},
  [1914] = {.lex_state = 91},
  [1915] = {.lex_state = 91},
  [1916] = {.lex_state = 91},
  [1917] = {.lex_state = 91},
  [1918] = {.lex_state = 95},
  [1919] = {.lex_state = 91},
  [1920] = {.lex_state = 91},
  [1921] = {.lex_state = 95},
  [1922] = {.lex_state = 91},
  [1923] = {.lex_state = 91},
  [1924] = {.lex_state = 91},
  [1925] = {.lex_state = 91},
  [1926] = {.lex_state = 91},
  [1927] = {.lex_state = 91},
  [1928] = {.lex_state = 86},
  [1929] = {.lex_state = 91},
  [1930] = {.lex_state = 91},
  [1931] = {.lex_state = 91},
  [1932] = {.lex_state = 91},
  [1933] = {.lex_state = 91},
  [1934] = {.lex_state = 91},
  [1935] = {.lex_state = 91},
  [1936] = {.lex_state = 91},
  [1937] = {.lex_state = 91},
  [1938] = {.lex_state = 91},
  [1939] = {.lex_state = 91},
  [1940] = {.lex_state = 91},
  [1941] = {.lex_state = 91},
  [1942] = {.lex_state = 91},
  [1943] = {.lex_state = 91},
  [1944] = {.lex_state = 91},
  [1945] = {.lex_state = 88},
  [1946] = {.lex_state = 91},
  [1947] = {.lex_state = 91},
  [1948] = {.lex_state = 91},
  [1949] = {.lex_state = 91},
  [1950] = {.lex_state = 91},
  [1951] = {.lex_state = 91},
  [1952] = {.lex_state = 91},
  [1953] = {.lex_state = 91},
  [1954] = {.lex_state = 91},
  [1955] = {.lex_state = 91},
  [1956] = {.lex_state = 91},
  [1957] = {.lex_state = 91},
  [1958] = {.lex_state = 91},
  [1959] = {.lex_state = 91},
  [1960] = {.lex_state = 91},
  [1961] = {.lex_state = 91},
  [1962] = {.lex_state = 91},
  [1963] = {.lex_state = 91},
  [1964] = {.lex_state = 91},
  [1965] = {.lex_state = 91},
  [1966] = {.lex_state = 91},
  [1967] = {.lex_state = 91},
  [1968] = {.lex_state = 91},
  [1969] = {.lex_state = 91},
  [1970] = {.lex_state = 91},
  [1971] = {.lex_state = 91},
  [1972] = {.lex_state = 91},
  [1973] = {.lex_state = 91},
  [1974] = {.lex_state = 91},
  [1975] = {.lex_state = 91},
  [1976] = {.lex_state = 91},
  [1977] = {.lex_state = 91},
  [1978] = {.lex_state = 91},
  [1979] = {.lex_state = 91},
  [1980] = {.lex_state = 91},
  [1981] = {.lex_state = 91},
  [1982] = {.lex_state = 91},
  [1983] = {.lex_state = 91},
  [1984] = {.lex_state = 91},
  [1985] = {.lex_state = 91},
  [1986] = {.lex_state = 91},
  [1987] = {.lex_state = 91},
  [1988] = {.lex_state = 91},
  [1989] = {.lex_state = 86},
  [1990] = {.lex_state = 91},
  [1991] = {.lex_state = 91},
  [1992] = {.lex_state = 91},
  [1993] = {.lex_state = 91},
  [1994] = {.lex_state = 91},
  [1995] = {.lex_state = 91},
  [1996] = {.lex_state = 91},
  [1997] = {.lex_state = 91},
  [1998] = {.lex_state = 91},
  [1999] = {.lex_state = 91},
  [2000] = {.lex_state = 91},
  [2001] = {.lex_state = 91},
  [2002] = {.lex_state = 91},
  [2003] = {.lex_state = 91},
  [2004] = {.lex_state = 91},
  [2005] = {.lex_state = 91},
  [2006] = {.lex_state = 91},
  [2007] = {.lex_state = 91},
  [2008] = {.lex_state = 91},
  [2009] = {.lex_state = 91},
  [2010] = {.lex_state = 91},
  [2011] = {.lex_state = 91},
  [2012] = {.lex_state = 91},
  [2013] = {.lex_state = 88},
  [2014] = {.lex_state = 91},
  [2015] = {.lex_state = 91},
  [2016] = {.lex_state = 89},
  [2017] = {.lex_state = 91},
  [2018] = {.lex_state = 91},
  [2019] = {.lex_state = 91},
  [2020] = {.lex_state = 91},
  [2021] = {.lex_state = 91},
  [2022] = {.lex_state = 91},
  [2023] = {.lex_state = 91},
  [2024] = {.lex_state = 91},
  [2025] = {.lex_state = 91},
  [2026] = {.lex_state = 91},
  [2027] = {.lex_state = 91},
  [2028] = {.lex_state = 91},
  [2029] = {.lex_state = 91},
  [2030] = {.lex_state = 91},
  [2031] = {.lex_state = 91},
  [2032] = {.lex_state = 91},
  [2033] = {.lex_state = 91},
  [2034] = {.lex_state = 91},
  [2035] = {.lex_state = 91},
  [2036] = {.lex_state = 91},
  [2037] = {.lex_state = 91},
  [2038] = {.lex_state = 91},
  [2039] = {.lex_state = 91},
  [2040] = {.lex_state = 91},
  [2041] = {.lex_state = 91},
  [2042] = {.lex_state = 91},
  [2043] = {.lex_state = 91},
  [2044] = {.lex_state = 91},
  [2045] = {.lex_state = 91},
  [2046] = {.lex_state = 91},
  [2047] = {.lex_state = 91},
  [2048] = {.lex_state = 91},
  [2049] = {.lex_state = 91},
  [2050] = {.lex_state = 91},
  [2051] = {.lex_state = 91},
  [2052] = {.lex_state = 91},
  [2053] = {.lex_state = 91},
  [2054] = {.lex_state = 91},
  [2055] = {.lex_state = 91},
  [2056] = {.lex_state = 91},
  [2057] = {.lex_state = 91},
  [2058] = {.lex_state = 91},
  [2059] = {.lex_state = 91},
  [2060] = {.lex_state = 91},
  [2061] = {.lex_state = 91},
  [2062] = {.lex_state = 91},
  [2063] = {.lex_state = 91},
  [2064] = {.lex_state = 91},
  [2065] = {.lex_state = 91},
  [2066] = {.lex_state = 91},
  [2067] = {.lex_state = 91},
  [2068] = {.lex_state = 91},
  [2069] = {.lex_state = 91},
  [2070] = {.lex_state = 91},
  [2071] = {.lex_state = 91},
  [2072] = {.lex_state = 91},
  [2073] = {.lex_state = 91},
  [2074] = {.lex_state = 91},
  [2075] = {.lex_state = 91},
  [2076] = {.lex_state = 91},
  [2077] = {.lex_state = 91},
  [2078] = {.lex_state = 91},
  [2079] = {.lex_state = 91},
  [2080] = {.lex_state = 91},
  [2081] = {.lex_state = 91},
  [2082] = {.lex_state = 91},
  [2083] = {.lex_state = 91},
  [2084] = {.lex_state = 91},
  [2085] = {.lex_state = 91},
  [2086] = {.lex_state = 91},
  [2087] = {.lex_state = 91},
  [2088] = {.lex_state = 91},
  [2089] = {.lex_state = 91},
  [2090] = {.lex_state = 91},
  [2091] = {.lex_state = 91},
  [2092] = {.lex_state = 91},
  [2093] = {.lex_state = 91},
  [2094] = {.lex_state = 91},
  [2095] = {.lex_state = 91},
  [2096] = {.lex_state = 91},
  [2097] = {.lex_state = 91},
  [2098] = {.lex_state = 91},
  [2099] = {.lex_state = 91},
  [2100] = {.lex_state = 91},
  [2101] = {.lex_state = 91},
  [2102] = {.lex_state = 91},
  [2103] = {.lex_state = 91},
  [2104] = {.lex_state = 91},
  [2105] = {.lex_state = 91},
  [2106] = {.lex_state = 88},
  [2107] = {.lex_state = 91},
  [2108] = {.lex_state = 91},
  [2109] = {.lex_state = 91},
  [2110] = {.lex_state = 91},
  [2111] = {.lex_state = 91},
  [2112] = {.lex_state = 91},
  [2113] = {.lex_state = 91},
  [2114] = {.lex_state = 91},
  [2115] = {.lex_state = 91},
  [2116] = {.lex_state = 91},
  [2117] = {.lex_state = 91},
  [2118] = {.lex_state = 91},
  [2119] = {.lex_state = 91},
  [2120] = {.lex_state = 91},
  [2121] = {.lex_state = 91},
  [2122] = {.lex_state = 91},
  [2123] = {.lex_state = 91},
  [2124] = {.lex_state = 91},
  [2125] = {.lex_state = 91},
  [2126] = {.lex_state = 91},
  [2127] = {.lex_state = 91},
  [2128] = {.lex_state = 91},
  [2129] = {.lex_state = 91},
  [2130] = {.lex_state = 91},
  [2131] = {.lex_state = 91},
  [2132] = {.lex_state = 91},
  [2133] = {.lex_state = 91},
  [2134] = {.lex_state = 91},
  [2135] = {.lex_state = 91},
  [2136] = {.lex_state = 91},
  [2137] = {.lex_state = 91},
  [2138] = {.lex_state = 91},
  [2139] = {.lex_state = 91},
  [2140] = {.lex_state = 91},
  [2141] = {.lex_state = 91},
  [2142] = {.lex_state = 91},
  [2143] = {.lex_state = 91},
  [2144] = {.lex_state = 91},
  [2145] = {.lex_state = 91},
  [2146] = {.lex_state = 91},
  [2147] = {.lex_state = 91},
  [2148] = {.lex_state = 91},
  [2149] = {.lex_state = 91},
  [2150] = {.lex_state = 91},
  [2151] = {.lex_state = 91},
  [2152] = {.lex_state = 91},
  [2153] = {.lex_state = 91},
  [2154] = {.lex_state = 91},
  [2155] = {.lex_state = 91},
  [2156] = {.lex_state = 91},
  [2157] = {.lex_state = 91},
  [2158] = {.lex_state = 91},
  [2159] = {.lex_state = 91},
  [2160] = {.lex_state = 91},
  [2161] = {.lex_state = 91},
  [2162] = {.lex_state = 91},
  [2163] = {.lex_state = 91},
  [2164] = {.lex_state = 91},
  [2165] = {.lex_state = 91},
  [2166] = {.lex_state = 91},
  [2167] = {.lex_state = 91},
  [2168] = {.lex_state = 91},
  [2169] = {.lex_state = 91},
  [2170] = {.lex_state = 91},
  [2171] = {.lex_state = 91},
  [2172] = {.lex_state = 91},
  [2173] = {.lex_state = 91},
  [2174] = {.lex_state = 91},
  [2175] = {.lex_state = 91},
  [2176] = {.lex_state = 91},
  [2177] = {.lex_state = 91},
  [2178] = {.lex_state = 91},
  [2179] = {.lex_state = 91},
  [2180] = {.lex_state = 91},
  [2181] = {.lex_state = 91},
  [2182] = {.lex_state = 91},
  [2183] = {.lex_state = 91},
  [2184] = {.lex_state = 91},
  [2185] = {.lex_state = 91},
  [2186] = {.lex_state = 91},
  [2187] = {.lex_state = 91},
  [2188] = {.lex_state = 91},
  [2189] = {.lex_state = 91},
  [2190] = {.lex_state = 91},
  [2191] = {.lex_state = 91},
  [2192] = {.lex_state = 91},
  [2193] = {.lex_state = 91},
  [2194] = {.lex_state = 91},
  [2195] = {.lex_state = 91},
  [2196] = {.lex_state = 91},
  [2197] = {.lex_state = 91},
  [2198] = {.lex_state = 91},
  [2199] = {.lex_state = 91},
  [2200] = {.lex_state = 91},
  [2201] = {.lex_state = 91},
  [2202] = {.lex_state = 91},
  [2203] = {.lex_state = 91},
  [2204] = {.lex_state = 91},
  [2205] = {.lex_state = 91},
  [2206] = {.lex_state = 91},
  [2207] = {.lex_state = 91},
  [2208] = {.lex_state = 91},
  [2209] = {.lex_state = 91},
  [2210] = {.lex_state = 91},
  [2211] = {.lex_state = 89},
  [2212] = {.lex_state = 91},
  [2213] = {.lex_state = 91},
  [2214] = {.lex_state = 91},
  [2215] = {.lex_state = 91},
  [2216] = {.lex_state = 91},
  [2217] = {.lex_state = 91},
  [2218] = {.lex_state = 91},
  [2219] = {.lex_state = 91},
  [2220] = {.lex_state = 91},
  [2221] = {.lex_state = 91},
  [2222] = {.lex_state = 91},
  [2223] = {.lex_state = 91},
  [2224] = {.lex_state = 91},
  [2225] = {.lex_state = 91},
  [2226] = {.lex_state = 91},
  [2227] = {.lex_state = 91},
  [2228] = {.lex_state = 91},
  [2229] = {.lex_state = 91},
  [2230] = {.lex_state = 91},
  [2231] = {.lex_state = 91},
  [2232] = {.lex_state = 91},
  [2233] = {.lex_state = 91},
  [2234] = {.lex_state = 91},
  [2235] = {.lex_state = 91},
  [2236] = {.lex_state = 91},
  [2237] = {.lex_state = 91},
  [2238] = {.lex_state = 91},
  [2239] = {.lex_state = 91},
  [2240] = {.lex_state = 91},
  [2241] = {.lex_state = 91},
  [2242] = {.lex_state = 91},
  [2243] = {.lex_state = 91},
  [2244] = {.lex_state = 91},
  [2245] = {.lex_state = 91},
  [2246] = {.lex_state = 91},
  [2247] = {.lex_state = 91},
  [2248] = {.lex_state = 91},
  [2249] = {.lex_state = 91},
  [2250] = {.lex_state = 91},
  [2251] = {.lex_state = 91},
  [2252] = {.lex_state = 91},
  [2253] = {.lex_state = 91},
  [2254] = {.lex_state = 91},
  [2255] = {.lex_state = 91},
  [2256] = {.lex_state = 91},
  [2257] = {.lex_state = 91},
  [2258] = {.lex_state = 91},
  [2259] = {.lex_state = 91},
  [2260] = {.lex_state = 91},
  [2261] = {.lex_state = 91},
  [2262] = {.lex_state = 91},
  [2263] = {.lex_state = 91},
  [2264] = {.lex_state = 91},
  [2265] = {.lex_state = 91},
  [2266] = {.lex_state = 91},
  [2267] = {.lex_state = 91},
  [2268] = {.lex_state = 91},
  [2269] = {.lex_state = 91},
  [2270] = {.lex_state = 91},
  [2271] = {.lex_state = 91},
  [2272] = {.lex_state = 91},
  [2273] = {.lex_state = 91},
  [2274] = {.lex_state = 91},
  [2275] = {.lex_state = 91},
  [2276] = {.lex_state = 91},
  [2277] = {.lex_state = 91},
  [2278] = {.lex_state = 91},
  [2279] = {.lex_state = 91},
  [2280] = {.lex_state = 91},
  [2281] = {.lex_state = 91},
  [2282] = {.lex_state = 92},
  [2283] = {.lex_state = 89},
  [2284] = {.lex_state = 92},
  [2285] = {.lex_state = 89},
  [2286] = {.lex_state = 89},
  [2287] = {.lex_state = 89},
  [2288] = {.lex_state = 89},
  [2289] = {.lex_state = 89},
  [2290] = {.lex_state = 92},
  [2291] = {.lex_state = 89},
  [2292] = {.lex_state = 89},
  [2293] = {.lex_state = 89},
  [2294] = {.lex_state = 89},
  [2295] = {.lex_state = 89},
  [2296] = {.lex_state = 89},
  [2297] = {.lex_state = 89},
  [2298] = {.lex_state = 89},
  [2299] = {.lex_state = 89},
  [2300] = {.lex_state = 89},
  [2301] = {.lex_state = 92},
  [2302] = {.lex_state = 89},
  [2303] = {.lex_state = 92},
  [2304] = {.lex_state = 92},
  [2305] = {.lex_state = 89},
  [2306] = {.lex_state = 89},
  [2307] = {.lex_state = 89},
  [2308] = {.lex_state = 89},
  [2309] = {.lex_state = 92},
  [2310] = {.lex_state = 92},
  [2311] = {.lex_state = 89},
  [2312] = {.lex_state = 89},
  [2313] = {.lex_state = 89},
  [2314] = {.lex_state = 92},
  [2315] = {.lex_state = 88},
  [2316] = {.lex_state = 89},
  [2317] = {.lex_state = 89},
  [2318] = {.lex_state = 92},
  [2319] = {.lex_state = 92},
  [2320] = {.lex_state = 89},
  [2321] = {.lex_state = 92},
  [2322] = {.lex_state = 92},
  [2323] = {.lex_state = 92},
  [2324] = {.lex_state = 89},
  [2325] = {.lex_state = 92},
  [2326] = {.lex_state = 92},
  [2327] = {.lex_state = 92},
  [2328] = {.lex_state = 89},
  [2329] = {.lex_state = 92},
  [2330] = {.lex_state = 89},
  [2331] = {.lex_state = 89},
  [2332] = {.lex_state = 92},
  [2333] = {.lex_state = 89},
  [2334] = {.lex_state = 89},
  [2335] = {.lex_state = 92},
  [2336] = {.lex_state = 89},
  [2337] = {.lex_state = 89},
  [2338] = {.lex_state = 92},
  [2339] = {.lex_state = 89},
  [2340] = {.lex_state = 89},
  [2341] = {.lex_state = 89},
  [2342] = {.lex_state = 89},
  [2343] = {.lex_state = 89},
  [2344] = {.lex_state = 89},
  [2345] = {.lex_state = 89},
  [2346] = {.lex_state = 89},
  [2347] = {.lex_state = 89},
  [2348] = {.lex_state = 89},
  [2349] = {.lex_state = 89},
  [2350] = {.lex_state = 89},
  [2351] = {.lex_state = 89},
  [2352] = {.lex_state = 89},
  [2353] = {.lex_state = 89},
  [2354] = {.lex_state = 92},
  [2355] = {.lex_state = 92},
  [2356] = {.lex_state = 89},
  [2357] = {.lex_state = 92, .external_lex_state = 2},
  [2358] = {.lex_state = 92},
  [2359] = {.lex_state = 92},
  [2360] = {.lex_state = 88},
  [2361] = {.lex_state = 92},
  [2362] = {.lex_state = 92},
  [2363] = {.lex_state = 92},
  [2364] = {.lex_state = 92},
  [2365] = {.lex_state = 92},
  [2366] = {.lex_state = 92},
  [2367] = {.lex_state = 92},
  [2368] = {.lex_state = 92},
  [2369] = {.lex_state = 92},
  [2370] = {.lex_state = 89},
  [2371] = {.lex_state = 92},
  [2372] = {.lex_state = 92},
  [2373] = {.lex_state = 92},
  [2374] = {.lex_state = 95},
  [2375] = {.lex_state = 92},
  [2376] = {.lex_state = 92},
  [2377] = {.lex_state = 92},
  [2378] = {.lex_state = 92},
  [2379] = {.lex_state = 92},
  [2380] = {.lex_state = 92},
  [2381] = {.lex_state = 92},
  [2382] = {.lex_state = 92},
  [2383] = {.lex_state = 92},
  [2384] = {.lex_state = 92},
  [2385] = {.lex_state = 92},
  [2386] = {.lex_state = 92},
  [2387] = {.lex_state = 92},
  [2388] = {.lex_state = 92},
  [2389] = {.lex_state = 92},
  [2390] = {.lex_state = 92},
  [2391] = {.lex_state = 92},
  [2392] = {.lex_state = 92},
  [2393] = {.lex_state = 92},
  [2394] = {.lex_state = 92},
  [2395] = {.lex_state = 92},
  [2396] = {.lex_state = 91},
  [2397] = {.lex_state = 92},
  [2398] = {.lex_state = 92},
  [2399] = {.lex_state = 92},
  [2400] = {.lex_state = 92},
  [2401] = {.lex_state = 92},
  [2402] = {.lex_state = 92},
  [2403] = {.lex_state = 92},
  [2404] = {.lex_state = 92},
  [2405] = {.lex_state = 92},
  [2406] = {.lex_state = 92},
  [2407] = {.lex_state = 92},
  [2408] = {.lex_state = 92},
  [2409] = {.lex_state = 92},
  [2410] = {.lex_state = 92},
  [2411] = {.lex_state = 92},
  [2412] = {.lex_state = 92},
  [2413] = {.lex_state = 92},
  [2414] = {.lex_state = 101},
  [2415] = {.lex_state = 92},
  [2416] = {.lex_state = 92},
  [2417] = {.lex_state = 92},
  [2418] = {.lex_state = 92},
  [2419] = {.lex_state = 92},
  [2420] = {.lex_state = 92},
  [2421] = {.lex_state = 92},
  [2422] = {.lex_state = 92},
  [2423] = {.lex_state = 92},
  [2424] = {.lex_state = 92},
  [2425] = {.lex_state = 92},
  [2426] = {.lex_state = 92},
  [2427] = {.lex_state = 92},
  [2428] = {.lex_state = 92},
  [2429] = {.lex_state = 92},
  [2430] = {.lex_state = 92},
  [2431] = {.lex_state = 92},
  [2432] = {.lex_state = 92},
  [2433] = {.lex_state = 88},
  [2434] = {.lex_state = 92},
  [2435] = {.lex_state = 92},
  [2436] = {.lex_state = 92},
  [2437] = {.lex_state = 92},
  [2438] = {.lex_state = 92},
  [2439] = {.lex_state = 92},
  [2440] = {.lex_state = 91},
  [2441] = {.lex_state = 92},
  [2442] = {.lex_state = 92},
  [2443] = {.lex_state = 88},
  [2444] = {.lex_state = 88},
  [2445] = {.lex_state = 92},
  [2446] = {.lex_state = 92},
  [2447] = {.lex_state = 92},
  [2448] = {.lex_state = 92},
  [2449] = {.lex_state = 88},
  [2450] = {.lex_state = 92},
  [2451] = {.lex_state = 92},
  [2452] = {.lex_state = 88},
  [2453] = {.lex_state = 88},
  [2454] = {.lex_state = 88},
  [2455] = {.lex_state = 92},
  [2456] = {.lex_state = 92},
  [2457] = {.lex_state = 92},
  [2458] = {.lex_state = 88},
  [2459] = {.lex_state = 92},
  [2460] = {.lex_state = 92},
  [2461] = {.lex_state = 88},
  [2462] = {.lex_state = 92},
  [2463] = {.lex_state = 88},
  [2464] = {.lex_state = 88},
  [2465] = {.lex_state = 88},
  [2466] = {.lex_state = 92},
  [2467] = {.lex_state = 88},
  [2468] = {.lex_state = 88},
  [2469] = {.lex_state = 88},
  [2470] = {.lex_state = 92},
  [2471] = {.lex_state = 92},
  [2472] = {.lex_state = 92},
  [2473] = {.lex_state = 92},
  [2474] = {.lex_state = 92},
  [2475] = {.lex_state = 92},
  [2476] = {.lex_state = 92},
  [2477] = {.lex_state = 92},
  [2478] = {.lex_state = 92},
  [2479] = {.lex_state = 88},
  [2480] = {.lex_state = 95},
  [2481] = {.lex_state = 92},
  [2482] = {.lex_state = 92},
  [2483] = {.lex_state = 92},
  [2484] = {.lex_state = 92},
  [2485] = {.lex_state = 92},
  [2486] = {.lex_state = 92},
  [2487] = {.lex_state = 92},
  [2488] = {.lex_state = 92},
  [2489] = {.lex_state = 92},
  [2490] = {.lex_state = 92},
  [2491] = {.lex_state = 92},
  [2492] = {.lex_state = 92},
  [2493] = {.lex_state = 92},
  [2494] = {.lex_state = 92},
  [2495] = {.lex_state = 92},
  [2496] = {.lex_state = 92},
  [2497] = {.lex_state = 92},
  [2498] = {.lex_state = 92},
  [2499] = {.lex_state = 92},
  [2500] = {.lex_state = 92},
  [2501] = {.lex_state = 89},
  [2502] = {.lex_state = 92},
  [2503] = {.lex_state = 92},
  [2504] = {.lex_state = 92},
  [2505] = {.lex_state = 88},
  [2506] = {.lex_state = 88},
  [2507] = {.lex_state = 101},
  [2508] = {.lex_state = 88},
  [2509] = {.lex_state = 92},
  [2510] = {.lex_state = 92},
  [2511] = {.lex_state = 92},
  [2512] = {.lex_state = 92},
  [2513] = {.lex_state = 92},
  [2514] = {.lex_state = 92},
  [2515] = {.lex_state = 92},
  [2516] = {.lex_state = 89},
  [2517] = {.lex_state = 92, .external_lex_state = 2},
  [2518] = {.lex_state = 88},
  [2519] = {.lex_state = 91},
  [2520] = {.lex_state = 89},
  [2521] = {.lex_state = 92},
  [2522] = {.lex_state = 91},
  [2523] = {.lex_state = 88},
  [2524] = {.lex_state = 85},
  [2525] = {.lex_state = 85},
  [2526] = {.lex_state = 92},
  [2527] = {.lex_state = 92},
  [2528] = {.lex_state = 89},
  [2529] = {.lex_state = 89},
  [2530] = {.lex_state = 89},
  [2531] = {.lex_state = 92},
  [2532] = {.lex_state = 92},
  [2533] = {.lex_state = 92},
  [2534] = {.lex_state = 88},
  [2535] = {.lex_state = 92},
  [2536] = {.lex_state = 89},
  [2537] = {.lex_state = 92},
  [2538] = {.lex_state = 92},
  [2539] = {.lex_state = 92},
  [2540] = {.lex_state = 92},
  [2541] = {.lex_state = 92},
  [2542] = {.lex_state = 91},
  [2543] = {.lex_state = 91},
  [2544] = {.lex_state = 92},
  [2545] = {.lex_state = 92},
  [2546] = {.lex_state = 92},
  [2547] = {.lex_state = 92},
  [2548] = {.lex_state = 92},
  [2549] = {.lex_state = 92},
  [2550] = {.lex_state = 92},
  [2551] = {.lex_state = 92},
  [2552] = {.lex_state = 92},
  [2553] = {.lex_state = 92},
  [2554] = {.lex_state = 92},
  [2555] = {.lex_state = 92},
  [2556] = {.lex_state = 92},
  [2557] = {.lex_state = 92},
  [2558] = {.lex_state = 92},
  [2559] = {.lex_state = 92},
  [2560] = {.lex_state = 92},
  [2561] = {.lex_state = 92},
  [2562] = {.lex_state = 92},
  [2563] = {.lex_state = 92},
  [2564] = {.lex_state = 92},
  [2565] = {.lex_state = 92},
  [2566] = {.lex_state = 92},
  [2567] = {.lex_state = 92},
  [2568] = {.lex_state = 92},
  [2569] = {.lex_state = 92},
  [2570] = {.lex_state = 92},
  [2571] = {.lex_state = 92},
  [2572] = {.lex_state = 92},
  [2573] = {.lex_state = 92},
  [2574] = {.lex_state = 92},
  [2575] = {.lex_state = 92},
  [2576] = {.lex_state = 92},
  [2577] = {.lex_state = 92},
  [2578] = {.lex_state = 92},
  [2579] = {.lex_state = 92},
  [2580] = {.lex_state = 92},
  [2581] = {.lex_state = 92},
  [2582] = {.lex_state = 92},
  [2583] = {.lex_state = 92},
  [2584] = {.lex_state = 92},
  [2585] = {.lex_state = 92},
  [2586] = {.lex_state = 92},
  [2587] = {.lex_state = 92},
  [2588] = {.lex_state = 92},
  [2589] = {.lex_state = 92},
  [2590] = {.lex_state = 92},
  [2591] = {.lex_state = 92},
  [2592] = {.lex_state = 92},
  [2593] = {.lex_state = 92},
  [2594] = {.lex_state = 92},
  [2595] = {.lex_state = 92},
  [2596] = {.lex_state = 92},
  [2597] = {.lex_state = 92},
  [2598] = {.lex_state = 92},
  [2599] = {.lex_state = 92},
  [2600] = {.lex_state = 92},
  [2601] = {.lex_state = 92},
  [2602] = {.lex_state = 92},
  [2603] = {.lex_state = 92},
  [2604] = {.lex_state = 92},
  [2605] = {.lex_state = 92},
  [2606] = {.lex_state = 92},
  [2607] = {.lex_state = 92},
  [2608] = {.lex_state = 92},
  [2609] = {.lex_state = 92},
  [2610] = {.lex_state = 92},
  [2611] = {.lex_state = 92},
  [2612] = {.lex_state = 92},
  [2613] = {.lex_state = 92},
  [2614] = {.lex_state = 92},
  [2615] = {.lex_state = 92},
  [2616] = {.lex_state = 92},
  [2617] = {.lex_state = 92},
  [2618] = {.lex_state = 92},
  [2619] = {.lex_state = 89},
  [2620] = {.lex_state = 89},
  [2621] = {.lex_state = 92},
  [2622] = {.lex_state = 92},
  [2623] = {.lex_state = 89},
  [2624] = {.lex_state = 89},
  [2625] = {.lex_state = 92},
  [2626] = {.lex_state = 89},
  [2627] = {.lex_state = 92},
  [2628] = {.lex_state = 92},
  [2629] = {.lex_state = 89},
  [2630] = {.lex_state = 92},
  [2631] = {.lex_state = 92},
  [2632] = {.lex_state = 92},
  [2633] = {.lex_state = 92},
  [2634] = {.lex_state = 92},
  [2635] = {.lex_state = 92},
  [2636] = {.lex_state = 89},
  [2637] = {.lex_state = 92},
  [2638] = {.lex_state = 89},
  [2639] = {.lex_state = 92},
  [2640] = {.lex_state = 92},
  [2641] = {.lex_state = 92},
  [2642] = {.lex_state = 92},
  [2643] = {.lex_state = 92},
  [2644] = {.lex_state = 89},
  [2645] = {.lex_state = 89},
  [2646] = {.lex_state = 89},
  [2647] = {.lex_state = 92},
  [2648] = {.lex_state = 92},
  [2649] = {.lex_state = 89},
  [2650] = {.lex_state = 89},
  [2651] = {.lex_state = 92},
  [2652] = {.lex_state = 92},
  [2653] = {.lex_state = 92},
  [2654] = {.lex_state = 92},
  [2655] = {.lex_state = 92},
  [2656] = {.lex_state = 92},
  [2657] = {.lex_state = 92},
  [2658] = {.lex_state = 92},
  [2659] = {.lex_state = 92},
  [2660] = {.lex_state = 92},
  [2661] = {.lex_state = 92},
  [2662] = {.lex_state = 92},
  [2663] = {.lex_state = 92},
  [2664] = {.lex_state = 92},
  [2665] = {.lex_state = 92},
  [2666] = {.lex_state = 92},
  [2667] = {.lex_state = 92},
  [2668] = {.lex_state = 92},
  [2669] = {.lex_state = 92},
  [2670] = {.lex_state = 92},
  [2671] = {.lex_state = 92},
  [2672] = {.lex_state = 92},
  [2673] = {.lex_state = 92},
  [2674] = {.lex_state = 92},
  [2675] = {.lex_state = 92},
  [2676] = {.lex_state = 92},
  [2677] = {.lex_state = 92},
  [2678] = {.lex_state = 92},
  [2679] = {.lex_state = 92},
  [2680] = {.lex_state = 92},
  [2681] = {.lex_state = 89},
  [2682] = {.lex_state = 92},
  [2683] = {.lex_state = 92},
  [2684] = {.lex_state = 92},
  [2685] = {.lex_state = 92},
  [2686] = {.lex_state = 92},
  [2687] = {.lex_state = 92},
  [2688] = {.lex_state = 92},
  [2689] = {.lex_state = 92},
  [2690] = {.lex_state = 92},
  [2691] = {.lex_state = 92},
  [2692] = {.lex_state = 92},
  [2693] = {.lex_state = 92},
  [2694] = {.lex_state = 92},
  [2695] = {.lex_state = 92},
  [2696] = {.lex_state = 92},
  [2697] = {.lex_state = 92},
  [2698] = {.lex_state = 92},
  [2699] = {.lex_state = 92},
  [2700] = {.lex_state = 92},
  [2701] = {.lex_state = 92},
  [2702] = {.lex_state = 92},
  [2703] = {.lex_state = 92},
  [2704] = {.lex_state = 92},
  [2705] = {.lex_state = 92},
  [2706] = {.lex_state = 89},
  [2707] = {.lex_state = 89},
  [2708] = {.lex_state = 92},
  [2709] = {.lex_state = 92},
  [2710] = {.lex_state = 92},
  [2711] = {.lex_state = 92},
  [2712] = {.lex_state = 92},
  [2713] = {.lex_state = 92},
  [2714] = {.lex_state = 92},
  [2715] = {.lex_state = 92},
  [2716] = {.lex_state = 92},
  [2717] = {.lex_state = 92},
  [2718] = {.lex_state = 92},
  [2719] = {.lex_state = 92},
  [2720] = {.lex_state = 92},
  [2721] = {.lex_state = 92},
  [2722] = {.lex_state = 92},
  [2723] = {.lex_state = 89},
  [2724] = {.lex_state = 92},
  [2725] = {.lex_state = 89},
  [2726] = {.lex_state = 89},
  [2727] = {.lex_state = 92},
  [2728] = {.lex_state = 92},
  [2729] = {.lex_state = 89},
  [2730] = {.lex_state = 89},
  [2731] = {.lex_state = 89},
  [2732] = {.lex_state = 89},
  [2733] = {.lex_state = 92},
  [2734] = {.lex_state = 92},
  [2735] = {.lex_state = 92},
  [2736] = {.lex_state = 92},
  [2737] = {.lex_state = 92},
  [2738] = {.lex_state = 89},
  [2739] = {.lex_state = 89},
  [2740] = {.lex_state = 92},
  [2741] = {.lex_state = 92},
  [2742] = {.lex_state = 92},
  [2743] = {.lex_state = 92},
  [2744] = {.lex_state = 92},
  [2745] = {.lex_state = 92},
  [2746] = {.lex_state = 89},
  [2747] = {.lex_state = 92},
  [2748] = {.lex_state = 89},
  [2749] = {.lex_state = 92},
  [2750] = {.lex_state = 92},
  [2751] = {.lex_state = 92},
  [2752] = {.lex_state = 92},
  [2753] = {.lex_state = 92},
  [2754] = {.lex_state = 89},
  [2755] = {.lex_state = 92},
  [2756] = {.lex_state = 92},
  [2757] = {.lex_state = 92},
  [2758] = {.lex_state = 92},
  [2759] = {.lex_state = 92},
  [2760] = {.lex_state = 92},
  [2761] = {.lex_state = 89},
  [2762] = {.lex_state = 92},
  [2763] = {.lex_state = 92},
  [2764] = {.lex_state = 92},
  [2765] = {.lex_state = 92},
  [2766] = {.lex_state = 92},
  [2767] = {.lex_state = 92},
  [2768] = {.lex_state = 92},
  [2769] = {.lex_state = 89},
  [2770] = {.lex_state = 95},
  [2771] = {.lex_state = 89},
  [2772] = {.lex_state = 95},
  [2773] = {.lex_state = 89},
  [2774] = {.lex_state = 89},
  [2775] = {.lex_state = 89},
  [2776] = {.lex_state = 89},
  [2777] = {.lex_state = 89},
  [2778] = {.lex_state = 89},
  [2779] = {.lex_state = 89},
  [2780] = {.lex_state = 89},
  [2781] = {.lex_state = 89},
  [2782] = {.lex_state = 89},
  [2783] = {.lex_state = 89},
  [2784] = {.lex_state = 89},
  [2785] = {.lex_state = 89},
  [2786] = {.lex_state = 89},
  [2787] = {.lex_state = 88},
  [2788] = {.lex_state = 88},
  [2789] = {.lex_state = 88},
  [2790] = {.lex_state = 95},
  [2791] = {.lex_state = 88},
  [2792] = {.lex_state = 88},
  [2793] = {.lex_state = 88},
  [2794] = {.lex_state = 89},
  [2795] = {.lex_state = 88},
  [2796] = {.lex_state = 88},
  [2797] = {.lex_state = 88},
  [2798] = {.lex_state = 89},
  [2799] = {.lex_state = 88},
  [2800] = {.lex_state = 88},
  [2801] = {.lex_state = 88},
  [2802] = {.lex_state = 88},
  [2803] = {.lex_state = 88},
  [2804] = {.lex_state = 88},
  [2805] = {.lex_state = 88},
  [2806] = {.lex_state = 88},
  [2807] = {.lex_state = 88},
  [2808] = {.lex_state = 88},
  [2809] = {.lex_state = 88},
  [2810] = {.lex_state = 91},
  [2811] = {.lex_state = 89},
  [2812] = {.lex_state = 89},
  [2813] = {.lex_state = 89},
  [2814] = {.lex_state = 89},
  [2815] = {.lex_state = 89},
  [2816] = {.lex_state = 89},
  [2817] = {.lex_state = 89},
  [2818] = {.lex_state = 89},
  [2819] = {.lex_state = 89},
  [2820] = {.lex_state = 89},
  [2821] = {.lex_state = 89},
  [2822] = {.lex_state = 89},
  [2823] = {.lex_state = 89},
  [2824] = {.lex_state = 89},
  [2825] = {.lex_state = 89},
  [2826] = {.lex_state = 89},
  [2827] = {.lex_state = 89},
  [2828] = {.lex_state = 89},
  [2829] = {.lex_state = 89},
  [2830] = {.lex_state = 89},
  [2831] = {.lex_state = 89},
  [2832] = {.lex_state = 89},
  [2833] = {.lex_state = 89},
  [2834] = {.lex_state = 89},
  [2835] = {.lex_state = 89},
  [2836] = {.lex_state = 89},
  [2837] = {.lex_state = 89},
  [2838] = {.lex_state = 95},
  [2839] = {.lex_state = 89},
  [2840] = {.lex_state = 89},
  [2841] = {.lex_state = 89},
  [2842] = {.lex_state = 89},
  [2843] = {.lex_state = 89},
  [2844] = {.lex_state = 89},
  [2845] = {.lex_state = 89},
  [2846] = {.lex_state = 89},
  [2847] = {.lex_state = 89},
  [2848] = {.lex_state = 89},
  [2849] = {.lex_state = 89},
  [2850] = {.lex_state = 89},
  [2851] = {.lex_state = 89},
  [2852] = {.lex_state = 91},
  [2853] = {.lex_state = 89},
  [2854] = {.lex_state = 95},
  [2855] = {.lex_state = 95},
  [2856] = {.lex_state = 95},
  [2857] = {.lex_state = 95},
  [2858] = {.lex_state = 95},
  [2859] = {.lex_state = 95},
  [2860] = {.lex_state = 95},
  [2861] = {.lex_state = 95},
  [2862] = {.lex_state = 95},
  [2863] = {.lex_state = 95},
  [2864] = {.lex_state = 89},
  [2865] = {.lex_state = 89},
  [2866] = {.lex_state = 89},
  [2867] = {.lex_state = 89},
  [2868] = {.lex_state = 88},
  [2869] = {.lex_state = 95},
  [2870] = {.lex_state = 95},
  [2871] = {.lex_state = 95},
  [2872] = {.lex_state = 95},
  [2873] = {.lex_state = 89, .external_lex_state = 2},
  [2874] = {.lex_state = 95},
  [2875] = {.lex_state = 95},
  [2876] = {.lex_state = 88},
  [2877] = {.lex_state = 89},
  [2878] = {.lex_state = 89},
  [2879] = {.lex_state = 89},
  [2880] = {.lex_state = 89},
  [2881] = {.lex_state = 89},
  [2882] = {.lex_state = 89},
  [2883] = {.lex_state = 89},
  [2884] = {.lex_state = 89},
  [2885] = {.lex_state = 89},
  [2886] = {.lex_state = 89},
  [2887] = {.lex_state = 89},
  [2888] = {.lex_state = 89},
  [2889] = {.lex_state = 89},
  [2890] = {.lex_state = 89},
  [2891] = {.lex_state = 89},
  [2892] = {.lex_state = 89},
  [2893] = {.lex_state = 89},
  [2894] = {.lex_state = 89},
  [2895] = {.lex_state = 89},
  [2896] = {.lex_state = 89},
  [2897] = {.lex_state = 89},
  [2898] = {.lex_state = 89},
  [2899] = {.lex_state = 89},
  [2900] = {.lex_state = 89},
  [2901] = {.lex_state = 89},
  [2902] = {.lex_state = 89},
  [2903] = {.lex_state = 89},
  [2904] = {.lex_state = 89},
  [2905] = {.lex_state = 89},
  [2906] = {.lex_state = 89},
  [2907] = {.lex_state = 89},
  [2908] = {.lex_state = 89},
  [2909] = {.lex_state = 89},
  [2910] = {.lex_state = 89},
  [2911] = {.lex_state = 89},
  [2912] = {.lex_state = 89},
  [2913] = {.lex_state = 89},
  [2914] = {.lex_state = 89},
  [2915] = {.lex_state = 89},
  [2916] = {.lex_state = 89},
  [2917] = {.lex_state = 89},
  [2918] = {.lex_state = 89},
  [2919] = {.lex_state = 89},
  [2920] = {.lex_state = 89},
  [2921] = {.lex_state = 89},
  [2922] = {.lex_state = 89},
  [2923] = {.lex_state = 89},
  [2924] = {.lex_state = 89},
  [2925] = {.lex_state = 89},
  [2926] = {.lex_state = 89},
  [2927] = {.lex_state = 89},
  [2928] = {.lex_state = 89},
  [2929] = {.lex_state = 89},
  [2930] = {.lex_state = 89},
  [2931] = {.lex_state = 89},
  [2932] = {.lex_state = 89},
  [2933] = {.lex_state = 89},
  [2934] = {.lex_state = 89},
  [2935] = {.lex_state = 89},
  [2936] = {.lex_state = 89},
  [2937] = {.lex_state = 89},
  [2938] = {.lex_state = 89},
  [2939] = {.lex_state = 89},
  [2940] = {.lex_state = 89},
  [2941] = {.lex_state = 89},
  [2942] = {.lex_state = 89},
  [2943] = {.lex_state = 89},
  [2944] = {.lex_state = 89},
  [2945] = {.lex_state = 89},
  [2946] = {.lex_state = 89},
  [2947] = {.lex_state = 89},
  [2948] = {.lex_state = 89},
  [2949] = {.lex_state = 89},
  [2950] = {.lex_state = 89},
  [2951] = {.lex_state = 89},
  [2952] = {.lex_state = 89},
  [2953] = {.lex_state = 89},
  [2954] = {.lex_state = 89},
  [2955] = {.lex_state = 89},
  [2956] = {.lex_state = 89},
  [2957] = {.lex_state = 89},
  [2958] = {.lex_state = 89},
  [2959] = {.lex_state = 89},
  [2960] = {.lex_state = 89},
  [2961] = {.lex_state = 89},
  [2962] = {.lex_state = 89},
  [2963] = {.lex_state = 89},
  [2964] = {.lex_state = 89},
  [2965] = {.lex_state = 92},
  [2966] = {.lex_state = 89},
  [2967] = {.lex_state = 89},
  [2968] = {.lex_state = 91},
  [2969] = {.lex_state = 91},
  [2970] = {.lex_state = 96},
  [2971] = {.lex_state = 96},
  [2972] = {.lex_state = 89},
  [2973] = {.lex_state = 83},
  [2974] = {.lex_state = 89},
  [2975] = {.lex_state = 83},
  [2976] = {.lex_state = 95},
  [2977] = {.lex_state = 88},
  [2978] = {.lex_state = 89, .external_lex_state = 2},
  [2979] = {.lex_state = 89},
  [2980] = {.lex_state = 89},
  [2981] = {.lex_state = 89},
  [2982] = {.lex_state = 89},
  [2983] = {.lex_state = 89},
  [2984] = {.lex_state = 95},
  [2985] = {.lex_state = 89},
  [2986] = {.lex_state = 89},
  [2987] = {.lex_state = 89},
  [2988] = {.lex_state = 89},
  [2989] = {.lex_state = 89},
  [2990] = {.lex_state = 89},
  [2991] = {.lex_state = 89},
  [2992] = {.lex_state = 89},
  [2993] = {.lex_state = 89},
  [2994] = {.lex_state = 89},
  [2995] = {.lex_state = 89},
  [2996] = {.lex_state = 89},
  [2997] = {.lex_state = 89},
  [2998] = {.lex_state = 89},
  [2999] = {.lex_state = 89},
  [3000] = {.lex_state = 89},
  [3001] = {.lex_state = 89},
  [3002] = {.lex_state = 89},
  [3003] = {.lex_state = 89},
  [3004] = {.lex_state = 89},
  [3005] = {.lex_state = 89},
  [3006] = {.lex_state = 89},
  [3007] = {.lex_state = 89},
  [3008] = {.lex_state = 96},
  [3009] = {.lex_state = 96},
  [3010] = {.lex_state = 89},
  [3011] = {.lex_state = 96},
  [3012] = {.lex_state = 96},
  [3013] = {.lex_state = 89},
  [3014] = {.lex_state = 96},
  [3015] = {.lex_state = 89},
  [3016] = {.lex_state = 89},
  [3017] = {.lex_state = 96},
  [3018] = {.lex_state = 89},
  [3019] = {.lex_state = 96},
  [3020] = {.lex_state = 96},
  [3021] = {.lex_state = 96},
  [3022] = {.lex_state = 96},
  [3023] = {.lex_state = 96},
  [3024] = {.lex_state = 96},
  [3025] = {.lex_state = 96},
  [3026] = {.lex_state = 96},
  [3027] = {.lex_state = 96},
  [3028] = {.lex_state = 88},
  [3029] = {.lex_state = 89},
  [3030] = {.lex_state = 89},
  [3031] = {.lex_state = 88},
  [3032] = {.lex_state = 88},
  [3033] = {.lex_state = 88},
  [3034] = {.lex_state = 89},
  [3035] = {.lex_state = 88},
  [3036] = {.lex_state = 89},
  [3037] = {.lex_state = 88},
  [3038] = {.lex_state = 89},
  [3039] = {.lex_state = 88},
  [3040] = {.lex_state = 89},
  [3041] = {.lex_state = 89},
  [3042] = {.lex_state = 88},
  [3043] = {.lex_state = 88},
  [3044] = {.lex_state = 88},
  [3045] = {.lex_state = 88},
  [3046] = {.lex_state = 88},
  [3047] = {.lex_state = 89},
  [3048] = {.lex_state = 88},
  [3049] = {.lex_state = 89},
  [3050] = {.lex_state = 88},
  [3051] = {.lex_state = 89},
  [3052] = {.lex_state = 89},
  [3053] = {.lex_state = 88},
  [3054] = {.lex_state = 88},
  [3055] = {.lex_state = 88},
  [3056] = {.lex_state = 88},
  [3057] = {.lex_state = 89},
  [3058] = {.lex_state = 88},
  [3059] = {.lex_state = 89},
  [3060] = {.lex_state = 88},
  [3061] = {.lex_state = 89},
  [3062] = {.lex_state = 88},
  [3063] = {.lex_state = 89},
  [3064] = {.lex_state = 89},
  [3065] = {.lex_state = 89},
  [3066] = {.lex_state = 88},
  [3067] = {.lex_state = 88},
  [3068] = {.lex_state = 89},
  [3069] = {.lex_state = 88},
  [3070] = {.lex_state = 89},
  [3071] = {.lex_state = 88},
  [3072] = {.lex_state = 88},
  [3073] = {.lex_state = 89},
  [3074] = {.lex_state = 89},
  [3075] = {.lex_state = 89},
  [3076] = {.lex_state = 88},
  [3077] = {.lex_state = 88},
  [3078] = {.lex_state = 89},
  [3079] = {.lex_state = 88},
  [3080] = {.lex_state = 89},
  [3081] = {.lex_state = 89},
  [3082] = {.lex_state = 89},
  [3083] = {.lex_state = 89},
  [3084] = {.lex_state = 89},
  [3085] = {.lex_state = 89},
  [3086] = {.lex_state = 88},
  [3087] = {.lex_state = 89},
  [3088] = {.lex_state = 89},
  [3089] = {.lex_state = 88},
  [3090] = {.lex_state = 88},
  [3091] = {.lex_state = 89},
  [3092] = {.lex_state = 88},
  [3093] = {.lex_state = 88},
  [3094] = {.lex_state = 89},
  [3095] = {.lex_state = 89},
  [3096] = {.lex_state = 88},
  [3097] = {.lex_state = 88},
  [3098] = {.lex_state = 89},
  [3099] = {.lex_state = 89},
  [3100] = {.lex_state = 89},
  [3101] = {.lex_state = 88},
  [3102] = {.lex_state = 88},
  [3103] = {.lex_state = 89},
  [3104] = {.lex_state = 88},
  [3105] = {.lex_state = 89},
  [3106] = {.lex_state = 88},
  [3107] = {.lex_state = 89},
  [3108] = {.lex_state = 88},
  [3109] = {.lex_state = 88},
  [3110] = {.lex_state = 89},
  [3111] = {.lex_state = 89},
  [3112] = {.lex_state = 88},
  [3113] = {.lex_state = 88},
  [3114] = {.lex_state = 88},
  [3115] = {.lex_state = 88},
  [3116] = {.lex_state = 88},
  [3117] = {.lex_state = 88},
  [3118] = {.lex_state = 88},
  [3119] = {.lex_state = 88},
  [3120] = {.lex_state = 89},
  [3121] = {.lex_state = 89},
  [3122] = {.lex_state = 88},
  [3123] = {.lex_state = 89},
  [3124] = {.lex_state = 88},
  [3125] = {.lex_state = 89},
  [3126] = {.lex_state = 89},
  [3127] = {.lex_state = 88},
  [3128] = {.lex_state = 88},
  [3129] = {.lex_state = 88},
  [3130] = {.lex_state = 88},
  [3131] = {.lex_state = 89},
  [3132] = {.lex_state = 88},
  [3133] = {.lex_state = 88},
  [3134] = {.lex_state = 88},
  [3135] = {.lex_state = 88},
  [3136] = {.lex_state = 89},
  [3137] = {.lex_state = 88},
  [3138] = {.lex_state = 88},
  [3139] = {.lex_state = 88},
  [3140] = {.lex_state = 88},
  [3141] = {.lex_state = 88},
  [3142] = {.lex_state = 88},
  [3143] = {.lex_state = 88},
  [3144] = {.lex_state = 89},
  [3145] = {.lex_state = 88},
  [3146] = {.lex_state = 88},
  [3147] = {.lex_state = 88},
  [3148] = {.lex_state = 88},
  [3149] = {.lex_state = 88},
  [3150] = {.lex_state = 88},
  [3151] = {.lex_state = 88},
  [3152] = {.lex_state = 89},
  [3153] = {.lex_state = 88},
  [3154] = {.lex_state = 89},
  [3155] = {.lex_state = 88},
  [3156] = {.lex_state = 88},
  [3157] = {.lex_state = 88},
  [3158] = {.lex_state = 88},
  [3159] = {.lex_state = 89},
  [3160] = {.lex_state = 88},
  [3161] = {.lex_state = 89},
  [3162] = {.lex_state = 88},
  [3163] = {.lex_state = 88},
  [3164] = {.lex_state = 89},
  [3165] = {.lex_state = 88},
  [3166] = {.lex_state = 88},
  [3167] = {.lex_state = 88},
  [3168] = {.lex_state = 88},
  [3169] = {.lex_state = 88},
  [3170] = {.lex_state = 88},
  [3171] = {.lex_state = 88},
  [3172] = {.lex_state = 88},
  [3173] = {.lex_state = 88},
  [3174] = {.lex_state = 89},
  [3175] = {.lex_state = 89},
  [3176] = {.lex_state = 88},
  [3177] = {.lex_state = 88},
  [3178] = {.lex_state = 89},
  [3179] = {.lex_state = 88},
  [3180] = {.lex_state = 88},
  [3181] = {.lex_state = 88},
  [3182] = {.lex_state = 88},
  [3183] = {.lex_state = 88},
  [3184] = {.lex_state = 88},
  [3185] = {.lex_state = 88},
  [3186] = {.lex_state = 88},
  [3187] = {.lex_state = 88},
  [3188] = {.lex_state = 88},
  [3189] = {.lex_state = 88},
  [3190] = {.lex_state = 88},
  [3191] = {.lex_state = 89},
  [3192] = {.lex_state = 88},
  [3193] = {.lex_state = 88},
  [3194] = {.lex_state = 88},
  [3195] = {.lex_state = 88},
  [3196] = {.lex_state = 89},
  [3197] = {.lex_state = 88},
  [3198] = {.lex_state = 89},
  [3199] = {.lex_state = 88},
  [3200] = {.lex_state = 88},
  [3201] = {.lex_state = 88},
  [3202] = {.lex_state = 88},
  [3203] = {.lex_state = 88},
  [3204] = {.lex_state = 88},
  [3205] = {.lex_state = 88},
  [3206] = {.lex_state = 88},
  [3207] = {.lex_state = 88},
  [3208] = {.lex_state = 88},
  [3209] = {.lex_state = 89},
  [3210] = {.lex_state = 88},
  [3211] = {.lex_state = 89},
  [3212] = {.lex_state = 88},
  [3213] = {.lex_state = 88},
  [3214] = {.lex_state = 88},
  [3215] = {.lex_state = 88},
  [3216] = {.lex_state = 88},
  [3217] = {.lex_state = 88},
  [3218] = {.lex_state = 88},
  [3219] = {.lex_state = 88},
  [3220] = {.lex_state = 88},
  [3221] = {.lex_state = 88},
  [3222] = {.lex_state = 89},
  [3223] = {.lex_state = 89},
  [3224] = {.lex_state = 88},
  [3225] = {.lex_state = 89},
  [3226] = {.lex_state = 89},
  [3227] = {.lex_state = 89},
  [3228] = {.lex_state = 89},
  [3229] = {.lex_state = 89},
  [3230] = {.lex_state = 89},
  [3231] = {.lex_state = 89},
  [3232] = {.lex_state = 89},
  [3233] = {.lex_state = 89},
  [3234] = {.lex_state = 89},
  [3235] = {.lex_state = 89},
  [3236] = {.lex_state = 89},
  [3237] = {.lex_state = 89},
  [3238] = {.lex_state = 89},
  [3239] = {.lex_state = 89},
  [3240] = {.lex_state = 89},
  [3241] = {.lex_state = 89},
  [3242] = {.lex_state = 89},
  [3243] = {.lex_state = 89},
  [3244] = {.lex_state = 89},
  [3245] = {.lex_state = 89},
  [3246] = {.lex_state = 89},
  [3247] = {.lex_state = 89},
  [3248] = {.lex_state = 89},
  [3249] = {.lex_state = 89},
  [3250] = {.lex_state = 89},
  [3251] = {.lex_state = 89},
  [3252] = {.lex_state = 89},
  [3253] = {.lex_state = 89},
  [3254] = {.lex_state = 89},
  [3255] = {.lex_state = 89},
  [3256] = {.lex_state = 89},
  [3257] = {.lex_state = 88},
  [3258] = {.lex_state = 88},
  [3259] = {.lex_state = 88},
  [3260] = {.lex_state = 89},
  [3261] = {.lex_state = 89},
  [3262] = {.lex_state = 89},
  [3263] = {.lex_state = 89},
  [3264] = {.lex_state = 89},
  [3265] = {.lex_state = 89},
  [3266] = {.lex_state = 89},
  [3267] = {.lex_state = 89},
  [3268] = {.lex_state = 88},
  [3269] = {.lex_state = 88},
  [3270] = {.lex_state = 89},
  [3271] = {.lex_state = 89},
  [3272] = {.lex_state = 89},
  [3273] = {.lex_state = 89},
  [3274] = {.lex_state = 88},
  [3275] = {.lex_state = 88, .external_lex_state = 2},
  [3276] = {.lex_state = 89},
  [3277] = {.lex_state = 89},
  [3278] = {.lex_state = 88},
  [3279] = {.lex_state = 89},
  [3280] = {.lex_state = 89},
  [3281] = {.lex_state = 89},
  [3282] = {.lex_state = 89},
  [3283] = {.lex_state = 89},
  [3284] = {.lex_state = 89},
  [3285] = {.lex_state = 89},
  [3286] = {.lex_state = 89},
  [3287] = {.lex_state = 89},
  [3288] = {.lex_state = 89},
  [3289] = {.lex_state = 89},
  [3290] = {.lex_state = 89},
  [3291] = {.lex_state = 89},
  [3292] = {.lex_state = 96},
  [3293] = {.lex_state = 89},
  [3294] = {.lex_state = 89},
  [3295] = {.lex_state = 89},
  [3296] = {.lex_state = 89},
  [3297] = {.lex_state = 89},
  [3298] = {.lex_state = 89},
  [3299] = {.lex_state = 89},
  [3300] = {.lex_state = 89},
  [3301] = {.lex_state = 89},
  [3302] = {.lex_state = 89},
  [3303] = {.lex_state = 89},
  [3304] = {.lex_state = 89},
  [3305] = {.lex_state = 89},
  [3306] = {.lex_state = 89},
  [3307] = {.lex_state = 89},
  [3308] = {.lex_state = 89},
  [3309] = {.lex_state = 89},
  [3310] = {.lex_state = 89},
  [3311] = {.lex_state = 89},
  [3312] = {.lex_state = 89},
  [3313] = {.lex_state = 89},
  [3314] = {.lex_state = 89},
  [3315] = {.lex_state = 89},
  [3316] = {.lex_state = 89},
  [3317] = {.lex_state = 88},
  [3318] = {.lex_state = 89},
  [3319] = {.lex_state = 89},
  [3320] = {.lex_state = 89},
  [3321] = {.lex_state = 89},
  [3322] = {.lex_state = 89},
  [3323] = {.lex_state = 89},
  [3324] = {.lex_state = 89},
  [3325] = {.lex_state = 89},
  [3326] = {.lex_state = 89},
  [3327] = {.lex_state = 89},
  [3328] = {.lex_state = 89},
  [3329] = {.lex_state = 89},
  [3330] = {.lex_state = 89},
  [3331] = {.lex_state = 89},
  [3332] = {.lex_state = 89},
  [3333] = {.lex_state = 89},
  [3334] = {.lex_state = 89},
  [3335] = {.lex_state = 89},
  [3336] = {.lex_state = 89},
  [3337] = {.lex_state = 89},
  [3338] = {.lex_state = 89},
  [3339] = {.lex_state = 89},
  [3340] = {.lex_state = 89},
  [3341] = {.lex_state = 89},
  [3342] = {.lex_state = 89},
  [3343] = {.lex_state = 89},
  [3344] = {.lex_state = 89},
  [3345] = {.lex_state = 89},
  [3346] = {.lex_state = 89},
  [3347] = {.lex_state = 89},
  [3348] = {.lex_state = 89},
  [3349] = {.lex_state = 88},
  [3350] = {.lex_state = 89},
  [3351] = {.lex_state = 89},
  [3352] = {.lex_state = 89},
  [3353] = {.lex_state = 89},
  [3354] = {.lex_state = 89},
  [3355] = {.lex_state = 88},
  [3356] = {.lex_state = 89},
  [3357] = {.lex_state = 89},
  [3358] = {.lex_state = 89},
  [3359] = {.lex_state = 88},
  [3360] = {.lex_state = 89},
  [3361] = {.lex_state = 89},
  [3362] = {.lex_state = 89},
  [3363] = {.lex_state = 89},
  [3364] = {.lex_state = 88},
  [3365] = {.lex_state = 88},
  [3366] = {.lex_state = 89},
  [3367] = {.lex_state = 89},
  [3368] = {.lex_state = 88},
  [3369] = {.lex_state = 89},
  [3370] = {.lex_state = 88},
  [3371] = {.lex_state = 89},
  [3372] = {.lex_state = 88},
  [3373] = {.lex_state = 95},
  [3374] = {.lex_state = 89},
  [3375] = {.lex_state = 84},
  [3376] = {.lex_state = 95},
  [3377] = {.lex_state = 88},
  [3378] = {.lex_state = 89},
  [3379] = {.lex_state = 89},
  [3380] = {.lex_state = 89},
  [3381] = {.lex_state = 84},
  [3382] = {.lex_state = 88},
  [3383] = {.lex_state = 88},
  [3384] = {.lex_state = 88},
  [3385] = {.lex_state = 88},
  [3386] = {.lex_state = 89},
  [3387] = {.lex_state = 88, .external_lex_state = 2},
  [3388] = {.lex_state = 88},
  [3389] = {.lex_state = 88},
  [3390] = {.lex_state = 88},
  [3391] = {.lex_state = 95},
  [3392] = {.lex_state = 88},
  [3393] = {.lex_state = 88},
  [3394] = {.lex_state = 88},
  [3395] = {.lex_state = 88},
  [3396] = {.lex_state = 88},
  [3397] = {.lex_state = 88},
  [3398] = {.lex_state = 88},
  [3399] = {.lex_state = 88},
  [3400] = {.lex_state = 88},
  [3401] = {.lex_state = 88},
  [3402] = {.lex_state = 88},
  [3403] = {.lex_state = 88},
  [3404] = {.lex_state = 95},
  [3405] = {.lex_state = 88},
  [3406] = {.lex_state = 95},
  [3407] = {.lex_state = 88},
  [3408] = {.lex_state = 88},
  [3409] = {.lex_state = 95},
  [3410] = {.lex_state = 95},
  [3411] = {.lex_state = 88},
  [3412] = {.lex_state = 88},
  [3413] = {.lex_state = 88},
  [3414] = {.lex_state = 88},
  [3415] = {.lex_state = 88},
  [3416] = {.lex_state = 88},
  [3417] = {.lex_state = 88},
  [3418] = {.lex_state = 95},
  [3419] = {.lex_state = 88},
  [3420] = {.lex_state = 88},
  [3421] = {.lex_state = 95},
  [3422] = {.lex_state = 88},
  [3423] = {.lex_state = 88},
  [3424] = {.lex_state = 88},
  [3425] = {.lex_state = 88},
  [3426] = {.lex_state = 88},
  [3427] = {.lex_state = 88},
  [3428] = {.lex_state = 88},
  [3429] = {.lex_state = 88},
  [3430] = {.lex_state = 95},
  [3431] = {.lex_state = 88},
  [3432] = {.lex_state = 88},
  [3433] = {.lex_state = 95},
  [3434] = {.lex_state = 95},
  [3435] = {.lex_state = 88},
  [3436] = {.lex_state = 88},
  [3437] = {.lex_state = 88},
  [3438] = {.lex_state = 88},
  [3439] = {.lex_state = 95},
  [3440] = {.lex_state = 88},
  [3441] = {.lex_state = 88},
  [3442] = {.lex_state = 88},
  [3443] = {.lex_state = 88},
  [3444] = {.lex_state = 88},
  [3445] = {.lex_state = 88},
  [3446] = {.lex_state = 88},
  [3447] = {.lex_state = 95},
  [3448] = {.lex_state = 95},
  [3449] = {.lex_state = 88},
  [3450] = {.lex_state = 95},
  [3451] = {.lex_state = 95},
  [3452] = {.lex_state = 88},
  [3453] = {.lex_state = 95},
  [3454] = {.lex_state = 88},
  [3455] = {.lex_state = 88},
  [3456] = {.lex_state = 88},
  [3457] = {.lex_state = 88},
  [3458] = {.lex_state = 88},
  [3459] = {.lex_state = 88},
  [3460] = {.lex_state = 88},
  [3461] = {.lex_state = 88},
  [3462] = {.lex_state = 88},
  [3463] = {.lex_state = 88},
  [3464] = {.lex_state = 88},
  [3465] = {.lex_state = 88},
  [3466] = {.lex_state = 88},
  [3467] = {.lex_state = 88},
  [3468] = {.lex_state = 88},
  [3469] = {.lex_state = 88},
  [3470] = {.lex_state = 88},
  [3471] = {.lex_state = 88},
  [3472] = {.lex_state = 88},
  [3473] = {.lex_state = 88},
  [3474] = {.lex_state = 88},
  [3475] = {.lex_state = 88},
  [3476] = {.lex_state = 88},
  [3477] = {.lex_state = 88},
  [3478] = {.lex_state = 88},
  [3479] = {.lex_state = 88},
  [3480] = {.lex_state = 88},
  [3481] = {.lex_state = 88},
  [3482] = {.lex_state = 88},
  [3483] = {.lex_state = 88},
  [3484] = {.lex_state = 88},
  [3485] = {.lex_state = 88},
  [3486] = {.lex_state = 95},
  [3487] = {.lex_state = 88},
  [3488] = {.lex_state = 88},
  [3489] = {.lex_state = 88},
  [3490] = {.lex_state = 88},
  [3491] = {.lex_state = 88},
  [3492] = {.lex_state = 88},
  [3493] = {.lex_state = 88},
  [3494] = {.lex_state = 88},
  [3495] = {.lex_state = 88},
  [3496] = {.lex_state = 88},
  [3497] = {.lex_state = 88},
  [3498] = {.lex_state = 88},
  [3499] = {.lex_state = 88},
  [3500] = {.lex_state = 88},
  [3501] = {.lex_state = 88},
  [3502] = {.lex_state = 88},
  [3503] = {.lex_state = 88},
  [3504] = {.lex_state = 88},
  [3505] = {.lex_state = 88},
  [3506] = {.lex_state = 88},
  [3507] = {.lex_state = 88},
  [3508] = {.lex_state = 88},
  [3509] = {.lex_state = 88},
  [3510] = {.lex_state = 88},
  [3511] = {.lex_state = 88},
  [3512] = {.lex_state = 88},
  [3513] = {.lex_state = 88},
  [3514] = {.lex_state = 88},
  [3515] = {.lex_state = 88},
  [3516] = {.lex_state = 88},
  [3517] = {.lex_state = 88},
  [3518] = {.lex_state = 88},
  [3519] = {.lex_state = 88},
  [3520] = {.lex_state = 88},
  [3521] = {.lex_state = 88},
  [3522] = {.lex_state = 88},
  [3523] = {.lex_state = 88},
  [3524] = {.lex_state = 88},
  [3525] = {.lex_state = 88},
  [3526] = {.lex_state = 88},
  [3527] = {.lex_state = 88},
  [3528] = {.lex_state = 88},
  [3529] = {.lex_state = 88},
  [3530] = {.lex_state = 88},
  [3531] = {.lex_state = 88},
  [3532] = {.lex_state = 88},
  [3533] = {.lex_state = 88},
  [3534] = {.lex_state = 88},
  [3535] = {.lex_state = 88},
  [3536] = {.lex_state = 88},
  [3537] = {.lex_state = 88},
  [3538] = {.lex_state = 88},
  [3539] = {.lex_state = 88},
  [3540] = {.lex_state = 88},
  [3541] = {.lex_state = 88},
  [3542] = {.lex_state = 88},
  [3543] = {.lex_state = 88},
  [3544] = {.lex_state = 88},
  [3545] = {.lex_state = 88},
  [3546] = {.lex_state = 88},
  [3547] = {.lex_state = 88},
  [3548] = {.lex_state = 88},
  [3549] = {.lex_state = 88},
  [3550] = {.lex_state = 88},
  [3551] = {.lex_state = 88},
  [3552] = {.lex_state = 88},
  [3553] = {.lex_state = 88},
  [3554] = {.lex_state = 88},
  [3555] = {.lex_state = 88},
  [3556] = {.lex_state = 88},
  [3557] = {.lex_state = 88},
  [3558] = {.lex_state = 88},
  [3559] = {.lex_state = 88},
  [3560] = {.lex_state = 88},
  [3561] = {.lex_state = 88},
  [3562] = {.lex_state = 88},
  [3563] = {.lex_state = 88},
  [3564] = {.lex_state = 88},
  [3565] = {.lex_state = 88},
  [3566] = {.lex_state = 88},
  [3567] = {.lex_state = 88},
  [3568] = {.lex_state = 88},
  [3569] = {.lex_state = 88},
  [3570] = {.lex_state = 88},
  [3571] = {.lex_state = 88},
  [3572] = {.lex_state = 88},
  [3573] = {.lex_state = 88},
  [3574] = {.lex_state = 88},
  [3575] = {.lex_state = 88},
  [3576] = {.lex_state = 88},
  [3577] = {.lex_state = 88},
  [3578] = {.lex_state = 88},
  [3579] = {.lex_state = 88},
  [3580] = {.lex_state = 88},
  [3581] = {.lex_state = 88},
  [3582] = {.lex_state = 88},
  [3583] = {.lex_state = 88},
  [3584] = {.lex_state = 88},
  [3585] = {.lex_state = 88},
  [3586] = {.lex_state = 88},
  [3587] = {.lex_state = 88},
  [3588] = {.lex_state = 88},
  [3589] = {.lex_state = 88},
  [3590] = {.lex_state = 88},
  [3591] = {.lex_state = 88},
  [3592] = {.lex_state = 88},
  [3593] = {.lex_state = 88},
  [3594] = {.lex_state = 88},
  [3595] = {.lex_state = 88},
  [3596] = {.lex_state = 88},
  [3597] = {.lex_state = 88},
  [3598] = {.lex_state = 88},
  [3599] = {.lex_state = 95},
  [3600] = {.lex_state = 95},
  [3601] = {.lex_state = 89},
  [3602] = {.lex_state = 89},
  [3603] = {.lex_state = 88},
  [3604] = {.lex_state = 89},
  [3605] = {.lex_state = 89},
  [3606] = {.lex_state = 89},
  [3607] = {.lex_state = 95, .external_lex_state = 2},
  [3608] = {.lex_state = 95},
  [3609] = {.lex_state = 96},
  [3610] = {.lex_state = 95},
  [3611] = {.lex_state = 95},
  [3612] = {.lex_state = 95},
  [3613] = {.lex_state = 89},
  [3614] = {.lex_state = 89},
  [3615] = {.lex_state = 89},
  [3616] = {.lex_state = 89},
  [3617] = {.lex_state = 95},
  [3618] = {.lex_state = 89},
  [3619] = {.lex_state = 89},
  [3620] = {.lex_state = 89},
  [3621] = {.lex_state = 89},
  [3622] = {.lex_state = 89},
  [3623] = {.lex_state = 95},
  [3624] = {.lex_state = 89},
  [3625] = {.lex_state = 89},
  [3626] = {.lex_state = 95},
  [3627] = {.lex_state = 89},
  [3628] = {.lex_state = 89},
  [3629] = {.lex_state = 89},
  [3630] = {.lex_state = 95},
  [3631] = {.lex_state = 95},
  [3632] = {.lex_state = 95},
  [3633] = {.lex_state = 95},
  [3634] = {.lex_state = 89},
  [3635] = {.lex_state = 89},
  [3636] = {.lex_state = 95},
  [3637] = {.lex_state = 95},
  [3638] = {.lex_state = 95},
  [3639] = {.lex_state = 96},
  [3640] = {.lex_state = 96},
  [3641] = {.lex_state = 95},
  [3642] = {.lex_state = 95},
  [3643] = {.lex_state = 95},
  [3644] = {.lex_state = 95},
  [3645] = {.lex_state = 95},
  [3646] = {.lex_state = 95},
  [3647] = {.lex_state = 95},
  [3648] = {.lex_state = 95},
  [3649] = {.lex_state = 89},
  [3650] = {.lex_state = 89},
  [3651] = {.lex_state = 89},
  [3652] = {.lex_state = 95},
  [3653] = {.lex_state = 89},
  [3654] = {.lex_state = 95},
  [3655] = {.lex_state = 95},
  [3656] = {.lex_state = 95},
  [3657] = {.lex_state = 95},
  [3658] = {.lex_state = 95},
  [3659] = {.lex_state = 95},
  [3660] = {.lex_state = 95},
  [3661] = {.lex_state = 95},
  [3662] = {.lex_state = 95},
  [3663] = {.lex_state = 95},
  [3664] = {.lex_state = 95},
  [3665] = {.lex_state = 95},
  [3666] = {.lex_state = 95},
  [3667] = {.lex_state = 95},
  [3668] = {.lex_state = 95},
  [3669] = {.lex_state = 95},
  [3670] = {.lex_state = 95},
  [3671] = {.lex_state = 95},
  [3672] = {.lex_state = 95},
  [3673] = {.lex_state = 95},
  [3674] = {.lex_state = 95},
  [3675] = {.lex_state = 95},
  [3676] = {.lex_state = 89},
  [3677] = {.lex_state = 89},
  [3678] = {.lex_state = 89},
  [3679] = {.lex_state = 95},
  [3680] = {.lex_state = 95},
  [3681] = {.lex_state = 95},
  [3682] = {.lex_state = 95},
  [3683] = {.lex_state = 95},
  [3684] = {.lex_state = 95},
  [3685] = {.lex_state = 95},
  [3686] = {.lex_state = 95},
  [3687] = {.lex_state = 95},
  [3688] = {.lex_state = 95},
  [3689] = {.lex_state = 95},
  [3690] = {.lex_state = 95},
  [3691] = {.lex_state = 95},
  [3692] = {.lex_state = 96},
  [3693] = {.lex_state = 96},
  [3694] = {.lex_state = 96},
  [3695] = {.lex_state = 96},
  [3696] = {.lex_state = 95},
  [3697] = {.lex_state = 96},
  [3698] = {.lex_state = 96},
  [3699] = {.lex_state = 95},
  [3700] = {.lex_state = 96},
  [3701] = {.lex_state = 96},
  [3702] = {.lex_state = 96},
  [3703] = {.lex_state = 95},
  [3704] = {.lex_state = 95},
  [3705] = {.lex_state = 95},
  [3706] = {.lex_state = 96},
  [3707] = {.lex_state = 96},
  [3708] = {.lex_state = 95},
  [3709] = {.lex_state = 95},
  [3710] = {.lex_state = 95},
  [3711] = {.lex_state = 96},
  [3712] = {.lex_state = 96},
  [3713] = {.lex_state = 95},
  [3714] = {.lex_state = 95},
  [3715] = {.lex_state = 95},
  [3716] = {.lex_state = 95},
  [3717] = {.lex_state = 95},
  [3718] = {.lex_state = 95},
  [3719] = {.lex_state = 95},
  [3720] = {.lex_state = 95},
  [3721] = {.lex_state = 95},
  [3722] = {.lex_state = 95},
  [3723] = {.lex_state = 95},
  [3724] = {.lex_state = 95},
  [3725] = {.lex_state = 95},
  [3726] = {.lex_state = 95},
  [3727] = {.lex_state = 95},
  [3728] = {.lex_state = 95},
  [3729] = {.lex_state = 95},
  [3730] = {.lex_state = 95},
  [3731] = {.lex_state = 95},
  [3732] = {.lex_state = 95},
  [3733] = {.lex_state = 95},
  [3734] = {.lex_state = 95},
  [3735] = {.lex_state = 95},
  [3736] = {.lex_state = 95},
  [3737] = {.lex_state = 95},
  [3738] = {.lex_state = 95},
  [3739] = {.lex_state = 95},
  [3740] = {.lex_state = 95},
  [3741] = {.lex_state = 95},
  [3742] = {.lex_state = 95},
  [3743] = {.lex_state = 95},
  [3744] = {.lex_state = 95},
  [3745] = {.lex_state = 95},
  [3746] = {.lex_state = 95},
  [3747] = {.lex_state = 95},
  [3748] = {.lex_state = 95},
  [3749] = {.lex_state = 95},
  [3750] = {.lex_state = 95},
  [3751] = {.lex_state = 95},
  [3752] = {.lex_state = 95},
  [3753] = {.lex_state = 95},
  [3754] = {.lex_state = 95},
  [3755] = {.lex_state = 95},
  [3756] = {.lex_state = 95},
  [3757] = {.lex_state = 96},
  [3758] = {.lex_state = 95},
  [3759] = {.lex_state = 89},
  [3760] = {.lex_state = 95},
  [3761] = {.lex_state = 95},
  [3762] = {.lex_state = 95},
  [3763] = {.lex_state = 95},
  [3764] = {.lex_state = 89},
  [3765] = {.lex_state = 95},
  [3766] = {.lex_state = 95},
  [3767] = {.lex_state = 95},
  [3768] = {.lex_state = 95},
  [3769] = {.lex_state = 95},
  [3770] = {.lex_state = 95},
  [3771] = {.lex_state = 95},
  [3772] = {.lex_state = 95},
  [3773] = {.lex_state = 95},
  [3774] = {.lex_state = 95},
  [3775] = {.lex_state = 95},
  [3776] = {.lex_state = 95},
  [3777] = {.lex_state = 95},
  [3778] = {.lex_state = 95},
  [3779] = {.lex_state = 95},
  [3780] = {.lex_state = 95},
  [3781] = {.lex_state = 95},
  [3782] = {.lex_state = 95},
  [3783] = {.lex_state = 95},
  [3784] = {.lex_state = 95},
  [3785] = {.lex_state = 95},
  [3786] = {.lex_state = 95},
  [3787] = {.lex_state = 95},
  [3788] = {.lex_state = 95},
  [3789] = {.lex_state = 95},
  [3790] = {.lex_state = 95},
  [3791] = {.lex_state = 95},
  [3792] = {.lex_state = 95},
  [3793] = {.lex_state = 95},
  [3794] = {.lex_state = 95},
  [3795] = {.lex_state = 95},
  [3796] = {.lex_state = 95},
  [3797] = {.lex_state = 95},
  [3798] = {.lex_state = 95},
  [3799] = {.lex_state = 95},
  [3800] = {.lex_state = 95},
  [3801] = {.lex_state = 95},
  [3802] = {.lex_state = 95},
  [3803] = {.lex_state = 95},
  [3804] = {.lex_state = 95},
  [3805] = {.lex_state = 95},
  [3806] = {.lex_state = 95},
  [3807] = {.lex_state = 95},
  [3808] = {.lex_state = 95},
  [3809] = {.lex_state = 95},
  [3810] = {.lex_state = 95},
  [3811] = {.lex_state = 95},
  [3812] = {.lex_state = 95},
  [3813] = {.lex_state = 95},
  [3814] = {.lex_state = 95},
  [3815] = {.lex_state = 95},
  [3816] = {.lex_state = 95},
  [3817] = {.lex_state = 95},
  [3818] = {.lex_state = 95},
  [3819] = {.lex_state = 95},
  [3820] = {.lex_state = 95},
  [3821] = {.lex_state = 95},
  [3822] = {.lex_state = 95},
  [3823] = {.lex_state = 95},
  [3824] = {.lex_state = 95},
  [3825] = {.lex_state = 95},
  [3826] = {.lex_state = 95},
  [3827] = {.lex_state = 95},
  [3828] = {.lex_state = 95},
  [3829] = {.lex_state = 95},
  [3830] = {.lex_state = 95},
  [3831] = {.lex_state = 95},
  [3832] = {.lex_state = 95},
  [3833] = {.lex_state = 95},
  [3834] = {.lex_state = 95},
  [3835] = {.lex_state = 95},
  [3836] = {.lex_state = 95},
  [3837] = {.lex_state = 95},
  [3838] = {.lex_state = 95},
  [3839] = {.lex_state = 95},
  [3840] = {.lex_state = 95},
  [3841] = {.lex_state = 95},
  [3842] = {.lex_state = 95},
  [3843] = {.lex_state = 95},
  [3844] = {.lex_state = 95},
  [3845] = {.lex_state = 95},
  [3846] = {.lex_state = 95},
  [3847] = {.lex_state = 95},
  [3848] = {.lex_state = 95},
  [3849] = {.lex_state = 95},
  [3850] = {.lex_state = 95},
  [3851] = {.lex_state = 95},
  [3852] = {.lex_state = 95},
  [3853] = {.lex_state = 95},
  [3854] = {.lex_state = 95},
  [3855] = {.lex_state = 95},
  [3856] = {.lex_state = 95},
  [3857] = {.lex_state = 95},
  [3858] = {.lex_state = 95},
  [3859] = {.lex_state = 95},
  [3860] = {.lex_state = 95},
  [3861] = {.lex_state = 95},
  [3862] = {.lex_state = 95},
  [3863] = {.lex_state = 95},
  [3864] = {.lex_state = 95},
  [3865] = {.lex_state = 95},
  [3866] = {.lex_state = 95},
  [3867] = {.lex_state = 95},
  [3868] = {.lex_state = 95},
  [3869] = {.lex_state = 95},
  [3870] = {.lex_state = 95},
  [3871] = {.lex_state = 95},
  [3872] = {.lex_state = 95},
  [3873] = {.lex_state = 95},
  [3874] = {.lex_state = 89},
  [3875] = {.lex_state = 95},
  [3876] = {.lex_state = 95},
  [3877] = {.lex_state = 95},
  [3878] = {.lex_state = 95},
  [3879] = {.lex_state = 95},
  [3880] = {.lex_state = 95},
  [3881] = {.lex_state = 95},
  [3882] = {.lex_state = 89},
  [3883] = {.lex_state = 95},
  [3884] = {.lex_state = 95},
  [3885] = {.lex_state = 89},
  [3886] = {.lex_state = 95},
  [3887] = {.lex_state = 95},
  [3888] = {.lex_state = 95},
  [3889] = {.lex_state = 95},
  [3890] = {.lex_state = 95},
  [3891] = {.lex_state = 95},
  [3892] = {.lex_state = 95},
  [3893] = {.lex_state = 95},
  [3894] = {.lex_state = 95},
  [3895] = {.lex_state = 95},
  [3896] = {.lex_state = 95},
  [3897] = {.lex_state = 95},
  [3898] = {.lex_state = 95},
  [3899] = {.lex_state = 95},
  [3900] = {.lex_state = 95},
  [3901] = {.lex_state = 95},
  [3902] = {.lex_state = 95},
  [3903] = {.lex_state = 95},
  [3904] = {.lex_state = 95},
  [3905] = {.lex_state = 95},
  [3906] = {.lex_state = 95},
  [3907] = {.lex_state = 95},
  [3908] = {.lex_state = 95},
  [3909] = {.lex_state = 95},
  [3910] = {.lex_state = 95},
  [3911] = {.lex_state = 95},
  [3912] = {.lex_state = 95},
  [3913] = {.lex_state = 95},
  [3914] = {.lex_state = 95},
  [3915] = {.lex_state = 95},
  [3916] = {.lex_state = 95},
  [3917] = {.lex_state = 95},
  [3918] = {.lex_state = 95},
  [3919] = {.lex_state = 95},
  [3920] = {.lex_state = 95},
  [3921] = {.lex_state = 95},
  [3922] = {.lex_state = 95},
  [3923] = {.lex_state = 95},
  [3924] = {.lex_state = 95},
  [3925] = {.lex_state = 95},
  [3926] = {.lex_state = 95},
  [3927] = {.lex_state = 95},
  [3928] = {.lex_state = 95},
  [3929] = {.lex_state = 91},
  [3930] = {.lex_state = 88},
  [3931] = {.lex_state = 91},
  [3932] = {.lex_state = 91},
  [3933] = {.lex_state = 91},
  [3934] = {.lex_state = 91},
  [3935] = {.lex_state = 88},
  [3936] = {.lex_state = 91},
  [3937] = {.lex_state = 91},
  [3938] = {.lex_state = 91},
  [3939] = {.lex_state = 91},
  [3940] = {.lex_state = 91},
  [3941] = {.lex_state = 91},
  [3942] = {.lex_state = 91},
  [3943] = {.lex_state = 91},
  [3944] = {.lex_state = 91},
  [3945] = {.lex_state = 91},
  [3946] = {.lex_state = 88},
  [3947] = {.lex_state = 91},
  [3948] = {.lex_state = 91},
  [3949] = {.lex_state = 91},
  [3950] = {.lex_state = 91},
  [3951] = {.lex_state = 91},
  [3952] = {.lex_state = 91},
  [3953] = {.lex_state = 88, .external_lex_state = 2},
  [3954] = {.lex_state = 91},
  [3955] = {.lex_state = 91},
  [3956] = {.lex_state = 91},
  [3957] = {.lex_state = 88},
  [3958] = {.lex_state = 91},
  [3959] = {.lex_state = 91},
  [3960] = {.lex_state = 91},
  [3961] = {.lex_state = 91},
  [3962] = {.lex_state = 91},
  [3963] = {.lex_state = 91},
  [3964] = {.lex_state = 91},
  [3965] = {.lex_state = 91},
  [3966] = {.lex_state = 91},
  [3967] = {.lex_state = 91},
  [3968] = {.lex_state = 91},
  [3969] = {.lex_state = 91},
  [3970] = {.lex_state = 91},
  [3971] = {.lex_state = 91},
  [3972] = {.lex_state = 88},
  [3973] = {.lex_state = 91},
  [3974] = {.lex_state = 88},
  [3975] = {.lex_state = 88},
  [3976] = {.lex_state = 91},
  [3977] = {.lex_state = 91},
  [3978] = {.lex_state = 91},
  [3979] = {.lex_state = 88},
  [3980] = {.lex_state = 91},
  [3981] = {.lex_state = 91},
  [3982] = {.lex_state = 91},
  [3983] = {.lex_state = 91},
  [3984] = {.lex_state = 91},
  [3985] = {.lex_state = 91},
  [3986] = {.lex_state = 88},
  [3987] = {.lex_state = 91},
  [3988] = {.lex_state = 91},
  [3989] = {.lex_state = 91},
  [3990] = {.lex_state = 91},
  [3991] = {.lex_state = 91},
  [3992] = {.lex_state = 91},
  [3993] = {.lex_state = 91},
  [3994] = {.lex_state = 91},
  [3995] = {.lex_state = 91},
  [3996] = {.lex_state = 88},
  [3997] = {.lex_state = 91},
  [3998] = {.lex_state = 91},
  [3999] = {.lex_state = 91},
  [4000] = {.lex_state = 91},
  [4001] = {.lex_state = 91},
  [4002] = {.lex_state = 91},
  [4003] = {.lex_state = 91},
  [4004] = {.lex_state = 88},
  [4005] = {.lex_state = 88},
  [4006] = {.lex_state = 91},
  [4007] = {.lex_state = 91},
  [4008] = {.lex_state = 91},
  [4009] = {.lex_state = 91},
  [4010] = {.lex_state = 91},
  [4011] = {.lex_state = 91},
  [4012] = {.lex_state = 91},
  [4013] = {.lex_state = 91},
  [4014] = {.lex_state = 88},
  [4015] = {.lex_state = 91},
  [4016] = {.lex_state = 91},
  [4017] = {.lex_state = 88},
  [4018] = {.lex_state = 91},
  [4019] = {.lex_state = 91},
  [4020] = {.lex_state = 91},
  [4021] = {.lex_state = 91},
  [4022] = {.lex_state = 88},
  [4023] = {.lex_state = 91},
  [4024] = {.lex_state = 88},
  [4025] = {.lex_state = 88},
  [4026] = {.lex_state = 88},
  [4027] = {.lex_state = 88},
  [4028] = {.lex_state = 88},
  [4029] = {.lex_state = 95, .external_lex_state = 2},
  [4030] = {.lex_state = 88},
  [4031] = {.lex_state = 91},
  [4032] = {.lex_state = 88},
  [4033] = {.lex_state = 88},
  [4034] = {.lex_state = 88},
  [4035] = {.lex_state = 88},
  [4036] = {.lex_state = 91},
  [4037] = {.lex_state = 87},
  [4038] = {.lex_state = 88},
  [4039] = {.lex_state = 91},
  [4040] = {.lex_state = 88},
  [4041] = {.lex_state = 91},
  [4042] = {.lex_state = 88},
  [4043] = {.lex_state = 91},
  [4044] = {.lex_state = 91},
  [4045] = {.lex_state = 91},
  [4046] = {.lex_state = 91},
  [4047] = {.lex_state = 91},
  [4048] = {.lex_state = 91},
  [4049] = {.lex_state = 88},
  [4050] = {.lex_state = 91},
  [4051] = {.lex_state = 88},
  [4052] = {.lex_state = 88},
  [4053] = {.lex_state = 88},
  [4054] = {.lex_state = 91},
  [4055] = {.lex_state = 88},
  [4056] = {.lex_state = 88},
  [4057] = {.lex_state = 91},
  [4058] = {.lex_state = 91},
  [4059] = {.lex_state = 91},
  [4060] = {.lex_state = 91},
  [4061] = {.lex_state = 91},
  [4062] = {.lex_state = 88},
  [4063] = {.lex_state = 88},
  [4064] = {.lex_state = 88},
  [4065] = {.lex_state = 91},
  [4066] = {.lex_state = 91},
  [4067] = {.lex_state = 91},
  [4068] = {.lex_state = 96},
  [4069] = {.lex_state = 91},
  [4070] = {.lex_state = 91},
  [4071] = {.lex_state = 88},
  [4072] = {.lex_state = 88},
  [4073] = {.lex_state = 91},
  [4074] = {.lex_state = 88},
  [4075] = {.lex_state = 91},
  [4076] = {.lex_state = 88},
  [4077] = {.lex_state = 91},
  [4078] = {.lex_state = 91},
  [4079] = {.lex_state = 91},
  [4080] = {.lex_state = 91},
  [4081] = {.lex_state = 88},
  [4082] = {.lex_state = 88},
  [4083] = {.lex_state = 91},
  [4084] = {.lex_state = 91},
  [4085] = {.lex_state = 91},
  [4086] = {.lex_state = 91},
  [4087] = {.lex_state = 91},
  [4088] = {.lex_state = 91},
  [4089] = {.lex_state = 88},
  [4090] = {.lex_state = 88},
  [4091] = {.lex_state = 88},
  [4092] = {.lex_state = 88},
  [4093] = {.lex_state = 88},
  [4094] = {.lex_state = 88},
  [4095] = {.lex_state = 91},
  [4096] = {.lex_state = 88},
  [4097] = {.lex_state = 88},
  [4098] = {.lex_state = 88},
  [4099] = {.lex_state = 88},
  [4100] = {.lex_state = 88},
  [4101] = {.lex_state = 88},
  [4102] = {.lex_state = 88},
  [4103] = {.lex_state = 88},
  [4104] = {.lex_state = 91},
  [4105] = {.lex_state = 88},
  [4106] = {.lex_state = 91},
  [4107] = {.lex_state = 91},
  [4108] = {.lex_state = 88},
  [4109] = {.lex_state = 88},
  [4110] = {.lex_state = 91},
  [4111] = {.lex_state = 88},
  [4112] = {.lex_state = 88},
  [4113] = {.lex_state = 87},
  [4114] = {.lex_state = 88},
  [4115] = {.lex_state = 88},
  [4116] = {.lex_state = 91},
  [4117] = {.lex_state = 88},
  [4118] = {.lex_state = 88},
  [4119] = {.lex_state = 88},
  [4120] = {.lex_state = 88},
  [4121] = {.lex_state = 88},
  [4122] = {.lex_state = 88},
  [4123] = {.lex_state = 88},
  [4124] = {.lex_state = 88},
  [4125] = {.lex_state = 88},
  [4126] = {.lex_state = 88},
  [4127] = {.lex_state = 88},
  [4128] = {.lex_state = 88},
  [4129] = {.lex_state = 88},
  [4130] = {.lex_state = 88},
  [4131] = {.lex_state = 88},
  [4132] = {.lex_state = 88},
  [4133] = {.lex_state = 88},
  [4134] = {.lex_state = 88},
  [4135] = {.lex_state = 88},
  [4136] = {.lex_state = 88},
  [4137] = {.lex_state = 88},
  [4138] = {.lex_state = 91},
  [4139] = {.lex_state = 88},
  [4140] = {.lex_state = 88},
  [4141] = {.lex_state = 88},
  [4142] = {.lex_state = 88},
  [4143] = {.lex_state = 88},
  [4144] = {.lex_state = 88},
  [4145] = {.lex_state = 88},
  [4146] = {.lex_state = 88},
  [4147] = {.lex_state = 88},
  [4148] = {.lex_state = 88},
  [4149] = {.lex_state = 91},
  [4150] = {.lex_state = 88},
  [4151] = {.lex_state = 91},
  [4152] = {.lex_state = 88},
  [4153] = {.lex_state = 88},
  [4154] = {.lex_state = 91},
  [4155] = {.lex_state = 88},
  [4156] = {.lex_state = 88},
  [4157] = {.lex_state = 88},
  [4158] = {.lex_state = 88},
  [4159] = {.lex_state = 91},
  [4160] = {.lex_state = 88},
  [4161] = {.lex_state = 91},
  [4162] = {.lex_state = 88},
  [4163] = {.lex_state = 88},
  [4164] = {.lex_state = 91},
  [4165] = {.lex_state = 88},
  [4166] = {.lex_state = 88},
  [4167] = {.lex_state = 88},
  [4168] = {.lex_state = 88},
  [4169] = {.lex_state = 88},
  [4170] = {.lex_state = 88},
  [4171] = {.lex_state = 89},
  [4172] = {.lex_state = 88},
  [4173] = {.lex_state = 88},
  [4174] = {.lex_state = 88},
  [4175] = {.lex_state = 88},
  [4176] = {.lex_state = 88},
  [4177] = {.lex_state = 91},
  [4178] = {.lex_state = 88},
  [4179] = {.lex_state = 91},
  [4180] = {.lex_state = 88},
  [4181] = {.lex_state = 91},
  [4182] = {.lex_state = 88},
  [4183] = {.lex_state = 88},
  [4184] = {.lex_state = 88},
  [4185] = {.lex_state = 91},
  [4186] = {.lex_state = 91},
  [4187] = {.lex_state = 95},
  [4188] = {.lex_state = 88},
  [4189] = {.lex_state = 88},
  [4190] = {.lex_state = 88},
  [4191] = {.lex_state = 88},
  [4192] = {.lex_state = 88},
  [4193] = {.lex_state = 88},
  [4194] = {.lex_state = 88},
  [4195] = {.lex_state = 88},
  [4196] = {.lex_state = 88},
  [4197] = {.lex_state = 88},
  [4198] = {.lex_state = 88},
  [4199] = {.lex_state = 88},
  [4200] = {.lex_state = 88},
  [4201] = {.lex_state = 95},
  [4202] = {.lex_state = 91},
  [4203] = {.lex_state = 88},
  [4204] = {.lex_state = 88},
  [4205] = {.lex_state = 88},
  [4206] = {.lex_state = 88},
  [4207] = {.lex_state = 88},
  [4208] = {.lex_state = 88},
  [4209] = {.lex_state = 88},
  [4210] = {.lex_state = 88},
  [4211] = {.lex_state = 88},
  [4212] = {.lex_state = 88},
  [4213] = {.lex_state = 88},
  [4214] = {.lex_state = 88},
  [4215] = {.lex_state = 88},
  [4216] = {.lex_state = 88},
  [4217] = {.lex_state = 95},
  [4218] = {.lex_state = 89, .external_lex_state = 2},
  [4219] = {.lex_state = 95},
  [4220] = {.lex_state = 86},
  [4221] = {.lex_state = 86},
  [4222] = {.lex_state = 89},
  [4223] = {.lex_state = 89},
  [4224] = {.lex_state = 89},
  [4225] = {.lex_state = 88, .external_lex_state = 2},
  [4226] = {.lex_state = 91},
  [4227] = {.lex_state = 96},
  [4228] = {.lex_state = 88},
  [4229] = {.lex_state = 88},
  [4230] = {.lex_state = 89},
  [4231] = {.lex_state = 89},
  [4232] = {.lex_state = 89},
  [4233] = {.lex_state = 89},
  [4234] = {.lex_state = 89},
  [4235] = {.lex_state = 89},
  [4236] = {.lex_state = 89},
  [4237] = {.lex_state = 89},
  [4238] = {.lex_state = 89},
  [4239] = {.lex_state = 89},
  [4240] = {.lex_state = 89},
  [4241] = {.lex_state = 89},
  [4242] = {.lex_state = 89},
  [4243] = {.lex_state = 89},
  [4244] = {.lex_state = 89},
  [4245] = {.lex_state = 89},
  [4246] = {.lex_state = 89},
  [4247] = {.lex_state = 89},
  [4248] = {.lex_state = 89},
  [4249] = {.lex_state = 89},
  [4250] = {.lex_state = 89},
  [4251] = {.lex_state = 89},
  [4252] = {.lex_state = 89},
  [4253] = {.lex_state = 89},
  [4254] = {.lex_state = 89},
  [4255] = {.lex_state = 89},
  [4256] = {.lex_state = 89},
  [4257] = {.lex_state = 89},
  [4258] = {.lex_state = 89},
  [4259] = {.lex_state = 89},
  [4260] = {.lex_state = 89},
  [4261] = {.lex_state = 89},
  [4262] = {.lex_state = 89},
  [4263] = {.lex_state = 89},
  [4264] = {.lex_state = 89},
  [4265] = {.lex_state = 89},
  [4266] = {.lex_state = 89},
  [4267] = {.lex_state = 89},
  [4268] = {.lex_state = 89},
  [4269] = {.lex_state = 89},
  [4270] = {.lex_state = 89},
  [4271] = {.lex_state = 89},
  [4272] = {.lex_state = 89},
  [4273] = {.lex_state = 89},
  [4274] = {.lex_state = 89},
  [4275] = {.lex_state = 89},
  [4276] = {.lex_state = 89},
  [4277] = {.lex_state = 89},
  [4278] = {.lex_state = 89},
  [4279] = {.lex_state = 89},
  [4280] = {.lex_state = 89},
  [4281] = {.lex_state = 89},
  [4282] = {.lex_state = 89},
  [4283] = {.lex_state = 89},
  [4284] = {.lex_state = 89},
  [4285] = {.lex_state = 89},
  [4286] = {.lex_state = 89},
  [4287] = {.lex_state = 89},
  [4288] = {.lex_state = 89},
  [4289] = {.lex_state = 89},
  [4290] = {.lex_state = 89},
  [4291] = {.lex_state = 89},
  [4292] = {.lex_state = 89},
  [4293] = {.lex_state = 89},
  [4294] = {.lex_state = 89},
  [4295] = {.lex_state = 89},
  [4296] = {.lex_state = 89},
  [4297] = {.lex_state = 89},
  [4298] = {.lex_state = 89},
  [4299] = {.lex_state = 89},
  [4300] = {.lex_state = 89},
  [4301] = {.lex_state = 89},
  [4302] = {.lex_state = 89},
  [4303] = {.lex_state = 89},
  [4304] = {.lex_state = 89},
  [4305] = {.lex_state = 89},
  [4306] = {.lex_state = 89},
  [4307] = {.lex_state = 89},
  [4308] = {.lex_state = 89},
  [4309] = {.lex_state = 89},
  [4310] = {.lex_state = 89},
  [4311] = {.lex_state = 89},
  [4312] = {.lex_state = 89},
  [4313] = {.lex_state = 89},
  [4314] = {.lex_state = 89},
  [4315] = {.lex_state = 89},
  [4316] = {.lex_state = 89},
  [4317] = {.lex_state = 89},
  [4318] = {.lex_state = 89},
  [4319] = {.lex_state = 89},
  [4320] = {.lex_state = 89},
  [4321] = {.lex_state = 89},
  [4322] = {.lex_state = 89},
  [4323] = {.lex_state = 89},
  [4324] = {.lex_state = 89},
  [4325] = {.lex_state = 89},
  [4326] = {.lex_state = 89},
  [4327] = {.lex_state = 89},
  [4328] = {.lex_state = 89},
  [4329] = {.lex_state = 89},
  [4330] = {.lex_state = 89},
  [4331] = {.lex_state = 89},
  [4332] = {.lex_state = 89},
  [4333] = {.lex_state = 89},
  [4334] = {.lex_state = 89},
  [4335] = {.lex_state = 89},
  [4336] = {.lex_state = 89},
  [4337] = {.lex_state = 89},
  [4338] = {.lex_state = 89},
  [4339] = {.lex_state = 89},
  [4340] = {.lex_state = 89},
  [4341] = {.lex_state = 89},
  [4342] = {.lex_state = 89},
  [4343] = {.lex_state = 89},
  [4344] = {.lex_state = 89},
  [4345] = {.lex_state = 89},
  [4346] = {.lex_state = 89},
  [4347] = {.lex_state = 89},
  [4348] = {.lex_state = 89},
  [4349] = {.lex_state = 89},
  [4350] = {.lex_state = 89},
  [4351] = {.lex_state = 89},
  [4352] = {.lex_state = 89},
  [4353] = {.lex_state = 89},
  [4354] = {.lex_state = 89},
  [4355] = {.lex_state = 89},
  [4356] = {.lex_state = 89},
  [4357] = {.lex_state = 89},
  [4358] = {.lex_state = 89},
  [4359] = {.lex_state = 89},
  [4360] = {.lex_state = 89},
  [4361] = {.lex_state = 88},
  [4362] = {.lex_state = 84},
  [4363] = {.lex_state = 88},
  [4364] = {.lex_state = 95},
  [4365] = {.lex_state = 95},
  [4366] = {.lex_state = 95},
  [4367] = {.lex_state = 95},
  [4368] = {.lex_state = 95},
  [4369] = {.lex_state = 95},
  [4370] = {.lex_state = 95},
  [4371] = {.lex_state = 95},
  [4372] = {.lex_state = 95},
  [4373] = {.lex_state = 95},
  [4374] = {.lex_state = 95},
  [4375] = {.lex_state = 95},
  [4376] = {.lex_state = 95},
  [4377] = {.lex_state = 95},
  [4378] = {.lex_state = 95},
  [4379] = {.lex_state = 95},
  [4380] = {.lex_state = 84},
  [4381] = {.lex_state = 95},
  [4382] = {.lex_state = 95},
  [4383] = {.lex_state = 95},
  [4384] = {.lex_state = 95},
  [4385] = {.lex_state = 95},
  [4386] = {.lex_state = 95},
  [4387] = {.lex_state = 95},
  [4388] = {.lex_state = 95},
  [4389] = {.lex_state = 95},
  [4390] = {.lex_state = 95},
  [4391] = {.lex_state = 95},
  [4392] = {.lex_state = 89},
  [4393] = {.lex_state = 95},
  [4394] = {.lex_state = 88},
  [4395] = {.lex_state = 95},
  [4396] = {.lex_state = 95},
  [4397] = {.lex_state = 95},
  [4398] = {.lex_state = 95},
  [4399] = {.lex_state = 95},
  [4400] = {.lex_state = 95},
  [4401] = {.lex_state = 95},
  [4402] = {.lex_state = 95},
  [4403] = {.lex_state = 95},
  [4404] = {.lex_state = 95},
  [4405] = {.lex_state = 95},
  [4406] = {.lex_state = 95},
  [4407] = {.lex_state = 95},
  [4408] = {.lex_state = 95},
  [4409] = {.lex_state = 95},
  [4410] = {.lex_state = 95},
  [4411] = {.lex_state = 95},
  [4412] = {.lex_state = 89},
  [4413] = {.lex_state = 88},
  [4414] = {.lex_state = 88},
  [4415] = {.lex_state = 91},
  [4416] = {.lex_state = 91},
  [4417] = {.lex_state = 91},
  [4418] = {.lex_state = 91},
  [4419] = {.lex_state = 91},
  [4420] = {.lex_state = 91},
  [4421] = {.lex_state = 91},
  [4422] = {.lex_state = 91},
  [4423] = {.lex_state = 91},
  [4424] = {.lex_state = 91},
  [4425] = {.lex_state = 91},
  [4426] = {.lex_state = 91},
  [4427] = {.lex_state = 91},
  [4428] = {.lex_state = 91},
  [4429] = {.lex_state = 91},
  [4430] = {.lex_state = 88},
  [4431] = {.lex_state = 91},
  [4432] = {.lex_state = 91},
  [4433] = {.lex_state = 91},
  [4434] = {.lex_state = 91},
  [4435] = {.lex_state = 89, .external_lex_state = 2},
  [4436] = {.lex_state = 91},
  [4437] = {.lex_state = 91},
  [4438] = {.lex_state = 91},
  [4439] = {.lex_state = 88},
  [4440] = {.lex_state = 88},
  [4441] = {.lex_state = 88},
  [4442] = {.lex_state = 88},
  [4443] = {.lex_state = 91},
  [4444] = {.lex_state = 91},
  [4445] = {.lex_state = 88},
  [4446] = {.lex_state = 91},
  [4447] = {.lex_state = 88},
  [4448] = {.lex_state = 91},
  [4449] = {.lex_state = 88},
  [4450] = {.lex_state = 91},
  [4451] = {.lex_state = 91},
  [4452] = {.lex_state = 91},
  [4453] = {.lex_state = 88},
  [4454] = {.lex_state = 88},
  [4455] = {.lex_state = 88},
  [4456] = {.lex_state = 88},
  [4457] = {.lex_state = 88},
  [4458] = {.lex_state = 88},
  [4459] = {.lex_state = 88},
  [4460] = {.lex_state = 88},
  [4461] = {.lex_state = 88},
  [4462] = {.lex_state = 88},
  [4463] = {.lex_state = 88},
  [4464] = {.lex_state = 88},
  [4465] = {.lex_state = 88},
  [4466] = {.lex_state = 88},
  [4467] = {.lex_state = 88},
  [4468] = {.lex_state = 88},
  [4469] = {.lex_state = 88},
  [4470] = {.lex_state = 88},
  [4471] = {.lex_state = 88},
  [4472] = {.lex_state = 88},
  [4473] = {.lex_state = 88},
  [4474] = {.lex_state = 88},
  [4475] = {.lex_state = 88},
  [4476] = {.lex_state = 88},
  [4477] = {.lex_state = 88},
  [4478] = {.lex_state = 88},
  [4479] = {.lex_state = 88},
  [4480] = {.lex_state = 88},
  [4481] = {.lex_state = 88},
  [4482] = {.lex_state = 88},
  [4483] = {.lex_state = 89},
  [4484] = {.lex_state = 88},
  [4485] = {.lex_state = 88},
  [4486] = {.lex_state = 88},
  [4487] = {.lex_state = 88},
  [4488] = {.lex_state = 88},
  [4489] = {.lex_state = 88},
  [4490] = {.lex_state = 88},
  [4491] = {.lex_state = 88},
  [4492] = {.lex_state = 88},
  [4493] = {.lex_state = 91},
  [4494] = {.lex_state = 88},
  [4495] = {.lex_state = 88},
  [4496] = {.lex_state = 88},
  [4497] = {.lex_state = 88},
  [4498] = {.lex_state = 88},
  [4499] = {.lex_state = 88},
  [4500] = {.lex_state = 88},
  [4501] = {.lex_state = 89},
  [4502] = {.lex_state = 88},
  [4503] = {.lex_state = 88},
  [4504] = {.lex_state = 88},
  [4505] = {.lex_state = 88},
  [4506] = {.lex_state = 88},
  [4507] = {.lex_state = 91},
  [4508] = {.lex_state = 88},
  [4509] = {.lex_state = 88},
  [4510] = {.lex_state = 88},
  [4511] = {.lex_state = 88},
  [4512] = {.lex_state = 88},
  [4513] = {.lex_state = 88},
  [4514] = {.lex_state = 88},
  [4515] = {.lex_state = 88},
  [4516] = {.lex_state = 88},
  [4517] = {.lex_state = 88},
  [4518] = {.lex_state = 88},
  [4519] = {.lex_state = 88},
  [4520] = {.lex_state = 88},
  [4521] = {.lex_state = 88},
  [4522] = {.lex_state = 91},
  [4523] = {.lex_state = 88},
  [4524] = {.lex_state = 88},
  [4525] = {.lex_state = 91},
  [4526] = {.lex_state = 91},
  [4527] = {.lex_state = 88},
  [4528] = {.lex_state = 88},
  [4529] = {.lex_state = 88},
  [4530] = {.lex_state = 88},
  [4531] = {.lex_state = 88},
  [4532] = {.lex_state = 88},
  [4533] = {.lex_state = 88},
  [4534] = {.lex_state = 88},
  [4535] = {.lex_state = 88},
  [4536] = {.lex_state = 88},
  [4537] = {.lex_state = 88},
  [4538] = {.lex_state = 88},
  [4539] = {.lex_state = 88},
  [4540] = {.lex_state = 88},
  [4541] = {.lex_state = 88},
  [4542] = {.lex_state = 88},
  [4543] = {.lex_state = 88},
  [4544] = {.lex_state = 91},
  [4545] = {.lex_state = 88},
  [4546] = {.lex_state = 88},
  [4547] = {.lex_state = 88},
  [4548] = {.lex_state = 88},
  [4549] = {.lex_state = 88},
  [4550] = {.lex_state = 88},
  [4551] = {.lex_state = 88},
  [4552] = {.lex_state = 88},
  [4553] = {.lex_state = 91},
  [4554] = {.lex_state = 88},
  [4555] = {.lex_state = 91},
  [4556] = {.lex_state = 91},
  [4557] = {.lex_state = 88},
  [4558] = {.lex_state = 91},
  [4559] = {.lex_state = 88},
  [4560] = {.lex_state = 88},
  [4561] = {.lex_state = 88},
  [4562] = {.lex_state = 88},
  [4563] = {.lex_state = 88},
  [4564] = {.lex_state = 91},
  [4565] = {.lex_state = 88},
  [4566] = {.lex_state = 88},
  [4567] = {.lex_state = 88},
  [4568] = {.lex_state = 91},
  [4569] = {.lex_state = 88},
  [4570] = {.lex_state = 91},
  [4571] = {.lex_state = 88},
  [4572] = {.lex_state = 88},
  [4573] = {.lex_state = 91},
  [4574] = {.lex_state = 91},
  [4575] = {.lex_state = 91},
  [4576] = {.lex_state = 88},
  [4577] = {.lex_state = 91},
  [4578] = {.lex_state = 88},
  [4579] = {.lex_state = 88},
  [4580] = {.lex_state = 91},
  [4581] = {.lex_state = 91},
  [4582] = {.lex_state = 88},
  [4583] = {.lex_state = 88},
  [4584] = {.lex_state = 88},
  [4585] = {.lex_state = 88},
  [4586] = {.lex_state = 91},
  [4587] = {.lex_state = 88},
  [4588] = {.lex_state = 88},
  [4589] = {.lex_state = 91},
  [4590] = {.lex_state = 88},
  [4591] = {.lex_state = 88},
  [4592] = {.lex_state = 91},
  [4593] = {.lex_state = 88},
  [4594] = {.lex_state = 91},
  [4595] = {.lex_state = 91},
  [4596] = {.lex_state = 88},
  [4597] = {.lex_state = 91},
  [4598] = {.lex_state = 88},
  [4599] = {.lex_state = 88},
  [4600] = {.lex_state = 91},
  [4601] = {.lex_state = 91},
  [4602] = {.lex_state = 88},
  [4603] = {.lex_state = 91},
  [4604] = {.lex_state = 88},
  [4605] = {.lex_state = 88},
  [4606] = {.lex_state = 91},
  [4607] = {.lex_state = 88},
  [4608] = {.lex_state = 91},
  [4609] = {.lex_state = 91},
  [4610] = {.lex_state = 91},
  [4611] = {.lex_state = 91},
  [4612] = {.lex_state = 88},
  [4613] = {.lex_state = 91},
  [4614] = {.lex_state = 88},
  [4615] = {.lex_state = 88},
  [4616] = {.lex_state = 88},
  [4617] = {.lex_state = 91},
  [4618] = {.lex_state = 91},
  [4619] = {.lex_state = 91},
  [4620] = {.lex_state = 91},
  [4621] = {.lex_state = 91},
  [4622] = {.lex_state = 88},
  [4623] = {.lex_state = 88},
  [4624] = {.lex_state = 91},
  [4625] = {.lex_state = 91},
  [4626] = {.lex_state = 88},
  [4627] = {.lex_state = 91},
  [4628] = {.lex_state = 91},
  [4629] = {.lex_state = 91},
  [4630] = {.lex_state = 88},
  [4631] = {.lex_state = 91},
  [4632] = {.lex_state = 91},
  [4633] = {.lex_state = 88},
  [4634] = {.lex_state = 91},
  [4635] = {.lex_state = 91},
  [4636] = {.lex_state = 91},
  [4637] = {.lex_state = 91},
  [4638] = {.lex_state = 88},
  [4639] = {.lex_state = 88},
  [4640] = {.lex_state = 91},
  [4641] = {.lex_state = 88},
  [4642] = {.lex_state = 88},
  [4643] = {.lex_state = 88},
  [4644] = {.lex_state = 88},
  [4645] = {.lex_state = 88},
  [4646] = {.lex_state = 91},
  [4647] = {.lex_state = 91},
  [4648] = {.lex_state = 88},
  [4649] = {.lex_state = 88},
  [4650] = {.lex_state = 91},
  [4651] = {.lex_state = 91},
  [4652] = {.lex_state = 88},
  [4653] = {.lex_state = 91},
  [4654] = {.lex_state = 91},
  [4655] = {.lex_state = 91},
  [4656] = {.lex_state = 88},
  [4657] = {.lex_state = 91},
  [4658] = {.lex_state = 91},
  [4659] = {.lex_state = 88},
  [4660] = {.lex_state = 91},
  [4661] = {.lex_state = 91},
  [4662] = {.lex_state = 88},
  [4663] = {.lex_state = 91},
  [4664] = {.lex_state = 88},
  [4665] = {.lex_state = 88},
  [4666] = {.lex_state = 91},
  [4667] = {.lex_state = 88},
  [4668] = {.lex_state = 91},
  [4669] = {.lex_state = 91},
  [4670] = {.lex_state = 88},
  [4671] = {.lex_state = 91},
  [4672] = {.lex_state = 88},
  [4673] = {.lex_state = 91},
  [4674] = {.lex_state = 91},
  [4675] = {.lex_state = 91},
  [4676] = {.lex_state = 91},
  [4677] = {.lex_state = 88},
  [4678] = {.lex_state = 91},
  [4679] = {.lex_state = 88},
  [4680] = {.lex_state = 88},
  [4681] = {.lex_state = 88},
  [4682] = {.lex_state = 91},
  [4683] = {.lex_state = 88},
  [4684] = {.lex_state = 91},
  [4685] = {.lex_state = 91},
  [4686] = {.lex_state = 88},
  [4687] = {.lex_state = 91},
  [4688] = {.lex_state = 88},
  [4689] = {.lex_state = 91},
  [4690] = {.lex_state = 91},
  [4691] = {.lex_state = 88},
  [4692] = {.lex_state = 91},
  [4693] = {.lex_state = 91},
  [4694] = {.lex_state = 91},
  [4695] = {.lex_state = 91},
  [4696] = {.lex_state = 91},
  [4697] = {.lex_state = 91},
  [4698] = {.lex_state = 88},
  [4699] = {.lex_state = 91},
  [4700] = {.lex_state = 91},
  [4701] = {.lex_state = 88},
  [4702] = {.lex_state = 91},
  [4703] = {.lex_state = 88},
  [4704] = {.lex_state = 91},
  [4705] = {.lex_state = 91},
  [4706] = {.lex_state = 88},
  [4707] = {.lex_state = 91},
  [4708] = {.lex_state = 91},
  [4709] = {.lex_state = 91},
  [4710] = {.lex_state = 91},
  [4711] = {.lex_state = 88},
  [4712] = {.lex_state = 88},
  [4713] = {.lex_state = 91},
  [4714] = {.lex_state = 91},
  [4715] = {.lex_state = 91},
  [4716] = {.lex_state = 91},
  [4717] = {.lex_state = 91},
  [4718] = {.lex_state = 91},
  [4719] = {.lex_state = 91},
  [4720] = {.lex_state = 88},
  [4721] = {.lex_state = 88},
  [4722] = {.lex_state = 91},
  [4723] = {.lex_state = 91},
  [4724] = {.lex_state = 88},
  [4725] = {.lex_state = 91},
  [4726] = {.lex_state = 88},
  [4727] = {.lex_state = 91},
  [4728] = {.lex_state = 91},
  [4729] = {.lex_state = 91},
  [4730] = {.lex_state = 91},
  [4731] = {.lex_state = 91},
  [4732] = {.lex_state = 88},
  [4733] = {.lex_state = 88},
  [4734] = {.lex_state = 88},
  [4735] = {.lex_state = 91},
  [4736] = {.lex_state = 91},
  [4737] = {.lex_state = 88},
  [4738] = {.lex_state = 91},
  [4739] = {.lex_state = 91},
  [4740] = {.lex_state = 91},
  [4741] = {.lex_state = 91},
  [4742] = {.lex_state = 88},
  [4743] = {.lex_state = 91},
  [4744] = {.lex_state = 91},
  [4745] = {.lex_state = 91},
  [4746] = {.lex_state = 91},
  [4747] = {.lex_state = 91},
  [4748] = {.lex_state = 91},
  [4749] = {.lex_state = 91},
  [4750] = {.lex_state = 91},
  [4751] = {.lex_state = 88},
  [4752] = {.lex_state = 88},
  [4753] = {.lex_state = 91},
  [4754] = {.lex_state = 91},
  [4755] = {.lex_state = 88},
  [4756] = {.lex_state = 83},
  [4757] = {.lex_state = 91},
  [4758] = {.lex_state = 88},
  [4759] = {.lex_state = 88},
  [4760] = {.lex_state = 83},
  [4761] = {.lex_state = 88},
  [4762] = {.lex_state = 88},
  [4763] = {.lex_state = 88},
  [4764] = {.lex_state = 88},
  [4765] = {.lex_state = 91},
  [4766] = {.lex_state = 88},
  [4767] = {.lex_state = 88},
  [4768] = {.lex_state = 91},
  [4769] = {.lex_state = 89},
  [4770] = {.lex_state = 89},
  [4771] = {.lex_state = 89},
  [4772] = {.lex_state = 89},
  [4773] = {.lex_state = 89},
  [4774] = {.lex_state = 89},
  [4775] = {.lex_state = 89},
  [4776] = {.lex_state = 89},
  [4777] = {.lex_state = 89},
  [4778] = {.lex_state = 89},
  [4779] = {.lex_state = 89},
  [4780] = {.lex_state = 89},
  [4781] = {.lex_state = 89},
  [4782] = {.lex_state = 89},
  [4783] = {.lex_state = 89},
  [4784] = {.lex_state = 89},
  [4785] = {.lex_state = 89},
  [4786] = {.lex_state = 89},
  [4787] = {.lex_state = 89},
  [4788] = {.lex_state = 89},
  [4789] = {.lex_state = 89},
  [4790] = {.lex_state = 89},
  [4791] = {.lex_state = 89},
  [4792] = {.lex_state = 89},
  [4793] = {.lex_state = 89},
  [4794] = {.lex_state = 89},
  [4795] = {.lex_state = 89},
  [4796] = {.lex_state = 89},
  [4797] = {.lex_state = 89},
  [4798] = {.lex_state = 89},
  [4799] = {.lex_state = 89},
  [4800] = {.lex_state = 89},
  [4801] = {.lex_state = 89},
  [4802] = {.lex_state = 89},
  [4803] = {.lex_state = 89},
  [4804] = {.lex_state = 89},
  [4805] = {.lex_state = 89},
  [4806] = {.lex_state = 89},
  [4807] = {.lex_state = 89},
  [4808] = {.lex_state = 89},
  [4809] = {.lex_state = 89},
  [4810] = {.lex_state = 89},
  [4811] = {.lex_state = 89},
  [4812] = {.lex_state = 89},
  [4813] = {.lex_state = 89},
  [4814] = {.lex_state = 89},
  [4815] = {.lex_state = 89},
  [4816] = {.lex_state = 89},
  [4817] = {.lex_state = 89},
  [4818] = {.lex_state = 89},
  [4819] = {.lex_state = 89},
  [4820] = {.lex_state = 89},
  [4821] = {.lex_state = 89},
  [4822] = {.lex_state = 89},
  [4823] = {.lex_state = 89},
  [4824] = {.lex_state = 89},
  [4825] = {.lex_state = 89},
  [4826] = {.lex_state = 89},
  [4827] = {.lex_state = 89},
  [4828] = {.lex_state = 89},
  [4829] = {.lex_state = 89},
  [4830] = {.lex_state = 89},
  [4831] = {.lex_state = 89},
  [4832] = {.lex_state = 89},
  [4833] = {.lex_state = 89},
  [4834] = {.lex_state = 89},
  [4835] = {.lex_state = 89},
  [4836] = {.lex_state = 89},
  [4837] = {.lex_state = 89},
  [4838] = {.lex_state = 89},
  [4839] = {.lex_state = 83},
  [4840] = {.lex_state = 89},
  [4841] = {.lex_state = 89},
  [4842] = {.lex_state = 89},
  [4843] = {.lex_state = 89},
  [4844] = {.lex_state = 89},
  [4845] = {.lex_state = 89},
  [4846] = {.lex_state = 89},
  [4847] = {.lex_state = 89},
  [4848] = {.lex_state = 89},
  [4849] = {.lex_state = 89},
  [4850] = {.lex_state = 89},
  [4851] = {.lex_state = 89},
  [4852] = {.lex_state = 89},
  [4853] = {.lex_state = 89},
  [4854] = {.lex_state = 89},
  [4855] = {.lex_state = 89},
  [4856] = {.lex_state = 89},
  [4857] = {.lex_state = 89},
  [4858] = {.lex_state = 83},
  [4859] = {.lex_state = 89},
  [4860] = {.lex_state = 89},
  [4861] = {.lex_state = 89},
  [4862] = {.lex_state = 89},
  [4863] = {.lex_state = 89},
  [4864] = {.lex_state = 89},
  [4865] = {.lex_state = 89},
  [4866] = {.lex_state = 89},
  [4867] = {.lex_state = 89},
  [4868] = {.lex_state = 89},
  [4869] = {.lex_state = 89},
  [4870] = {.lex_state = 89},
  [4871] = {.lex_state = 89},
  [4872] = {.lex_state = 89},
  [4873] = {.lex_state = 89},
  [4874] = {.lex_state = 89},
  [4875] = {.lex_state = 89},
  [4876] = {.lex_state = 89},
  [4877] = {.lex_state = 89},
  [4878] = {.lex_state = 89},
  [4879] = {.lex_state = 89},
  [4880] = {.lex_state = 89},
  [4881] = {.lex_state = 89},
  [4882] = {.lex_state = 89},
  [4883] = {.lex_state = 89},
  [4884] = {.lex_state = 89},
  [4885] = {.lex_state = 89},
  [4886] = {.lex_state = 89},
  [4887] = {.lex_state = 89},
  [4888] = {.lex_state = 89},
  [4889] = {.lex_state = 89},
  [4890] = {.lex_state = 89},
  [4891] = {.lex_state = 89},
  [4892] = {.lex_state = 89},
  [4893] = {.lex_state = 89},
  [4894] = {.lex_state = 89},
  [4895] = {.lex_state = 89},
  [4896] = {.lex_state = 89},
  [4897] = {.lex_state = 89},
  [4898] = {.lex_state = 89},
  [4899] = {.lex_state = 89},
  [4900] = {.lex_state = 89},
  [4901] = {.lex_state = 89},
  [4902] = {.lex_state = 89},
  [4903] = {.lex_state = 89},
  [4904] = {.lex_state = 89},
  [4905] = {.lex_state = 89},
  [4906] = {.lex_state = 89},
  [4907] = {.lex_state = 89},
  [4908] = {.lex_state = 89},
  [4909] = {.lex_state = 89},
  [4910] = {.lex_state = 89},
  [4911] = {.lex_state = 89},
  [4912] = {.lex_state = 89},
  [4913] = {.lex_state = 89},
  [4914] = {.lex_state = 89},
  [4915] = {.lex_state = 89},
  [4916] = {.lex_state = 89},
  [4917] = {.lex_state = 89},
  [4918] = {.lex_state = 89},
  [4919] = {.lex_state = 89},
  [4920] = {.lex_state = 89},
  [4921] = {.lex_state = 89},
  [4922] = {.lex_state = 89},
  [4923] = {.lex_state = 89},
  [4924] = {.lex_state = 89},
  [4925] = {.lex_state = 89},
  [4926] = {.lex_state = 89},
  [4927] = {.lex_state = 89},
  [4928] = {.lex_state = 89},
  [4929] = {.lex_state = 89},
  [4930] = {.lex_state = 89},
  [4931] = {.lex_state = 89},
  [4932] = {.lex_state = 89},
  [4933] = {.lex_state = 89},
  [4934] = {.lex_state = 89},
  [4935] = {.lex_state = 89},
  [4936] = {.lex_state = 89},
  [4937] = {.lex_state = 89},
  [4938] = {.lex_state = 89},
  [4939] = {.lex_state = 89},
  [4940] = {.lex_state = 89},
  [4941] = {.lex_state = 89},
  [4942] = {.lex_state = 89},
  [4943] = {.lex_state = 89},
  [4944] = {.lex_state = 89},
  [4945] = {.lex_state = 89},
  [4946] = {.lex_state = 89},
  [4947] = {.lex_state = 89},
  [4948] = {.lex_state = 89},
  [4949] = {.lex_state = 89},
  [4950] = {.lex_state = 89},
  [4951] = {.lex_state = 89},
  [4952] = {.lex_state = 89},
  [4953] = {.lex_state = 89},
  [4954] = {.lex_state = 89},
  [4955] = {.lex_state = 89},
  [4956] = {.lex_state = 89},
  [4957] = {.lex_state = 89},
  [4958] = {.lex_state = 89},
  [4959] = {.lex_state = 89},
  [4960] = {.lex_state = 89},
  [4961] = {.lex_state = 89},
  [4962] = {.lex_state = 89},
  [4963] = {.lex_state = 89},
  [4964] = {.lex_state = 89},
  [4965] = {.lex_state = 91},
  [4966] = {.lex_state = 91},
  [4967] = {.lex_state = 91},
  [4968] = {.lex_state = 91},
  [4969] = {.lex_state = 91},
  [4970] = {.lex_state = 91},
  [4971] = {.lex_state = 91},
  [4972] = {.lex_state = 91},
  [4973] = {.lex_state = 91},
  [4974] = {.lex_state = 91},
  [4975] = {.lex_state = 91},
  [4976] = {.lex_state = 91},
  [4977] = {.lex_state = 91},
  [4978] = {.lex_state = 91},
  [4979] = {.lex_state = 91},
  [4980] = {.lex_state = 91},
  [4981] = {.lex_state = 91},
  [4982] = {.lex_state = 91},
  [4983] = {.lex_state = 91},
  [4984] = {.lex_state = 91},
  [4985] = {.lex_state = 91},
  [4986] = {.lex_state = 91},
  [4987] = {.lex_state = 91},
  [4988] = {.lex_state = 91},
  [4989] = {.lex_state = 91},
  [4990] = {.lex_state = 91},
  [4991] = {.lex_state = 91},
  [4992] = {.lex_state = 91},
  [4993] = {.lex_state = 91},
  [4994] = {.lex_state = 91},
  [4995] = {.lex_state = 91},
  [4996] = {.lex_state = 91},
  [4997] = {.lex_state = 91},
  [4998] = {.lex_state = 91},
  [4999] = {.lex_state = 91},
  [5000] = {.lex_state = 91},
  [5001] = {.lex_state = 91},
  [5002] = {.lex_state = 91},
  [5003] = {.lex_state = 91},
  [5004] = {.lex_state = 91},
  [5005] = {.lex_state = 91},
  [5006] = {.lex_state = 91},
  [5007] = {.lex_state = 91},
  [5008] = {.lex_state = 91},
  [5009] = {.lex_state = 91},
  [5010] = {.lex_state = 91},
  [5011] = {.lex_state = 91},
  [5012] = {.lex_state = 91},
  [5013] = {.lex_state = 91},
  [5014] = {.lex_state = 91},
  [5015] = {.lex_state = 91},
  [5016] = {.lex_state = 91},
  [5017] = {.lex_state = 91},
  [5018] = {.lex_state = 91},
  [5019] = {.lex_state = 91},
  [5020] = {.lex_state = 91},
  [5021] = {.lex_state = 91},
  [5022] = {.lex_state = 91},
  [5023] = {.lex_state = 91},
  [5024] = {.lex_state = 91},
  [5025] = {.lex_state = 91},
  [5026] = {.lex_state = 91},
  [5027] = {.lex_state = 91},
  [5028] = {.lex_state = 91},
  [5029] = {.lex_state = 91},
  [5030] = {.lex_state = 91},
  [5031] = {.lex_state = 91},
  [5032] = {.lex_state = 91},
  [5033] = {.lex_state = 91},
  [5034] = {.lex_state = 91},
  [5035] = {.lex_state = 91},
  [5036] = {.lex_state = 91},
  [5037] = {.lex_state = 91},
  [5038] = {.lex_state = 91},
  [5039] = {.lex_state = 91},
  [5040] = {.lex_state = 91},
  [5041] = {.lex_state = 91},
  [5042] = {.lex_state = 91},
  [5043] = {.lex_state = 91},
  [5044] = {.lex_state = 91},
  [5045] = {.lex_state = 91},
  [5046] = {.lex_state = 91},
  [5047] = {.lex_state = 91},
  [5048] = {.lex_state = 91},
  [5049] = {.lex_state = 91},
  [5050] = {.lex_state = 91},
  [5051] = {.lex_state = 91},
  [5052] = {.lex_state = 91},
  [5053] = {.lex_state = 91},
  [5054] = {.lex_state = 91},
  [5055] = {.lex_state = 91},
  [5056] = {.lex_state = 91},
  [5057] = {.lex_state = 91},
  [5058] = {.lex_state = 91},
  [5059] = {.lex_state = 91},
  [5060] = {.lex_state = 91},
  [5061] = {.lex_state = 91},
  [5062] = {.lex_state = 91},
  [5063] = {.lex_state = 91},
  [5064] = {.lex_state = 91},
  [5065] = {.lex_state = 91},
  [5066] = {.lex_state = 91},
  [5067] = {.lex_state = 91},
  [5068] = {.lex_state = 91},
  [5069] = {.lex_state = 91},
  [5070] = {.lex_state = 91},
  [5071] = {.lex_state = 91},
  [5072] = {.lex_state = 91},
  [5073] = {.lex_state = 91},
  [5074] = {.lex_state = 91},
  [5075] = {.lex_state = 91},
  [5076] = {.lex_state = 91},
  [5077] = {.lex_state = 91},
  [5078] = {.lex_state = 91},
  [5079] = {.lex_state = 91},
  [5080] = {.lex_state = 91},
  [5081] = {.lex_state = 91},
  [5082] = {.lex_state = 91},
  [5083] = {.lex_state = 91},
  [5084] = {.lex_state = 91},
  [5085] = {.lex_state = 91},
  [5086] = {.lex_state = 91},
  [5087] = {.lex_state = 91},
  [5088] = {.lex_state = 91},
  [5089] = {.lex_state = 91},
  [5090] = {.lex_state = 91},
  [5091] = {.lex_state = 91},
  [5092] = {.lex_state = 91},
  [5093] = {.lex_state = 91},
  [5094] = {.lex_state = 91},
  [5095] = {.lex_state = 91},
  [5096] = {.lex_state = 91},
  [5097] = {.lex_state = 91},
  [5098] = {.lex_state = 91},
  [5099] = {.lex_state = 86},
  [5100] = {.lex_state = 86},
  [5101] = {.lex_state = 91},
  [5102] = {.lex_state = 91},
  [5103] = {.lex_state = 91},
  [5104] = {.lex_state = 91},
  [5105] = {.lex_state = 91},
  [5106] = {.lex_state = 91},
  [5107] = {.lex_state = 91},
  [5108] = {.lex_state = 91},
  [5109] = {.lex_state = 91},
  [5110] = {.lex_state = 91},
  [5111] = {.lex_state = 91},
  [5112] = {.lex_state = 91},
  [5113] = {.lex_state = 91},
  [5114] = {.lex_state = 91},
  [5115] = {.lex_state = 91},
  [5116] = {.lex_state = 91},
  [5117] = {.lex_state = 91},
  [5118] = {.lex_state = 91},
  [5119] = {.lex_state = 91},
  [5120] = {.lex_state = 91},
  [5121] = {.lex_state = 91},
  [5122] = {.lex_state = 91},
  [5123] = {.lex_state = 91},
  [5124] = {.lex_state = 91},
  [5125] = {.lex_state = 91},
  [5126] = {.lex_state = 91},
  [5127] = {.lex_state = 91},
  [5128] = {.lex_state = 91},
  [5129] = {.lex_state = 91},
  [5130] = {.lex_state = 91},
  [5131] = {.lex_state = 91},
  [5132] = {.lex_state = 91},
  [5133] = {.lex_state = 91},
  [5134] = {.lex_state = 91},
  [5135] = {.lex_state = 91},
  [5136] = {.lex_state = 91},
  [5137] = {.lex_state = 91},
  [5138] = {.lex_state = 91},
  [5139] = {.lex_state = 91},
  [5140] = {.lex_state = 91},
  [5141] = {.lex_state = 91},
  [5142] = {.lex_state = 91},
  [5143] = {.lex_state = 91},
  [5144] = {.lex_state = 91},
  [5145] = {.lex_state = 91},
  [5146] = {.lex_state = 91},
  [5147] = {.lex_state = 91},
  [5148] = {.lex_state = 91},
  [5149] = {.lex_state = 91},
  [5150] = {.lex_state = 91},
  [5151] = {.lex_state = 91},
  [5152] = {.lex_state = 91},
  [5153] = {.lex_state = 91},
  [5154] = {.lex_state = 91},
  [5155] = {.lex_state = 91},
  [5156] = {.lex_state = 91},
  [5157] = {.lex_state = 91},
  [5158] = {.lex_state = 91},
  [5159] = {.lex_state = 91},
  [5160] = {.lex_state = 91},
  [5161] = {.lex_state = 91},
  [5162] = {.lex_state = 91},
  [5163] = {.lex_state = 91},
  [5164] = {.lex_state = 91},
  [5165] = {.lex_state = 91},
  [5166] = {.lex_state = 91},
  [5167] = {.lex_state = 91},
  [5168] = {.lex_state = 91},
  [5169] = {.lex_state = 91},
  [5170] = {.lex_state = 91},
  [5171] = {.lex_state = 91},
  [5172] = {.lex_state = 91},
  [5173] = {.lex_state = 91},
  [5174] = {.lex_state = 91},
  [5175] = {.lex_state = 91},
  [5176] = {.lex_state = 91},
  [5177] = {.lex_state = 91},
  [5178] = {.lex_state = 91},
  [5179] = {.lex_state = 91},
  [5180] = {.lex_state = 91},
  [5181] = {.lex_state = 91},
  [5182] = {.lex_state = 91},
  [5183] = {.lex_state = 91},
  [5184] = {.lex_state = 91},
  [5185] = {.lex_state = 91},
  [5186] = {.lex_state = 91},
  [5187] = {.lex_state = 91},
  [5188] = {.lex_state = 91},
  [5189] = {.lex_state = 91},
  [5190] = {.lex_state = 91},
  [5191] = {.lex_state = 91},
  [5192] = {.lex_state = 91},
  [5193] = {.lex_state = 91},
  [5194] = {.lex_state = 91},
  [5195] = {.lex_state = 91},
  [5196] = {.lex_state = 91},
  [5197] = {.lex_state = 91},
  [5198] = {.lex_state = 91},
  [5199] = {.lex_state = 91},
  [5200] = {.lex_state = 91},
  [5201] = {.lex_state = 91},
  [5202] = {.lex_state = 91},
  [5203] = {.lex_state = 91},
  [5204] = {.lex_state = 91},
  [5205] = {.lex_state = 91},
  [5206] = {.lex_state = 91},
  [5207] = {.lex_state = 91},
  [5208] = {.lex_state = 91},
  [5209] = {.lex_state = 91},
  [5210] = {.lex_state = 91},
  [5211] = {.lex_state = 91},
  [5212] = {.lex_state = 91},
  [5213] = {.lex_state = 91},
  [5214] = {.lex_state = 91},
  [5215] = {.lex_state = 91},
  [5216] = {.lex_state = 91},
  [5217] = {.lex_state = 91},
  [5218] = {.lex_state = 91},
  [5219] = {.lex_state = 91},
  [5220] = {.lex_state = 91},
  [5221] = {.lex_state = 91},
  [5222] = {.lex_state = 91},
  [5223] = {.lex_state = 91},
  [5224] = {.lex_state = 91},
  [5225] = {.lex_state = 91},
  [5226] = {.lex_state = 91},
  [5227] = {.lex_state = 91},
  [5228] = {.lex_state = 91},
  [5229] = {.lex_state = 91},
  [5230] = {.lex_state = 91},
  [5231] = {.lex_state = 91},
  [5232] = {.lex_state = 91},
  [5233] = {.lex_state = 91},
  [5234] = {.lex_state = 91},
  [5235] = {.lex_state = 91},
  [5236] = {.lex_state = 91},
  [5237] = {.lex_state = 91},
  [5238] = {.lex_state = 91},
  [5239] = {.lex_state = 91},
  [5240] = {.lex_state = 91},
  [5241] = {.lex_state = 91},
  [5242] = {.lex_state = 91},
  [5243] = {.lex_state = 91},
  [5244] = {.lex_state = 91},
  [5245] = {.lex_state = 91},
  [5246] = {.lex_state = 91},
  [5247] = {.lex_state = 91},
  [5248] = {.lex_state = 91},
  [5249] = {.lex_state = 91},
  [5250] = {.lex_state = 91},
  [5251] = {.lex_state = 91},
  [5252] = {.lex_state = 91},
  [5253] = {.lex_state = 91},
  [5254] = {.lex_state = 91},
  [5255] = {.lex_state = 91},
  [5256] = {.lex_state = 91},
  [5257] = {.lex_state = 99},
  [5258] = {.lex_state = 99},
  [5259] = {.lex_state = 99},
  [5260] = {.lex_state = 99},
  [5261] = {.lex_state = 99},
  [5262] = {.lex_state = 99},
  [5263] = {.lex_state = 99},
  [5264] = {.lex_state = 99},
  [5265] = {.lex_state = 99},
  [5266] = {.lex_state = 99},
  [5267] = {.lex_state = 99},
  [5268] = {.lex_state = 99},
  [5269] = {.lex_state = 99},
  [5270] = {.lex_state = 99},
  [5271] = {.lex_state = 99},
  [5272] = {.lex_state = 99},
  [5273] = {.lex_state = 99},
  [5274] = {.lex_state = 99},
  [5275] = {.lex_state = 99},
  [5276] = {.lex_state = 99},
  [5277] = {.lex_state = 88},
  [5278] = {.lex_state = 99},
  [5279] = {.lex_state = 99},
  [5280] = {.lex_state = 99},
  [5281] = {.lex_state = 91},
  [5282] = {.lex_state = 99},
  [5283] = {.lex_state = 99},
  [5284] = {.lex_state = 92},
  [5285] = {.lex_state = 99},
  [5286] = {.lex_state = 92},
  [5287] = {.lex_state = 92},
  [5288] = {.lex_state = 92},
  [5289] = {.lex_state = 99},
  [5290] = {.lex_state = 92},
  [5291] = {.lex_state = 92},
  [5292] = {.lex_state = 92},
  [5293] = {.lex_state = 92},
  [5294] = {.lex_state = 92},
  [5295] = {.lex_state = 92},
  [5296] = {.lex_state = 99},
  [5297] = {.lex_state = 92},
  [5298] = {.lex_state = 92},
  [5299] = {.lex_state = 92},
  [5300] = {.lex_state = 99},
  [5301] = {.lex_state = 99},
  [5302] = {.lex_state = 99},
  [5303] = {.lex_state = 92},
  [5304] = {.lex_state = 99},
  [5305] = {.lex_state = 92},
  [5306] = {.lex_state = 92},
  [5307] = {.lex_state = 92},
  [5308] = {.lex_state = 91},
  [5309] = {.lex_state = 91},
  [5310] = {.lex_state = 88},
  [5311] = {.lex_state = 99},
  [5312] = {.lex_state = 88},
  [5313] = {.lex_state = 95},
  [5314] = {.lex_state = 95},
  [5315] = {.lex_state = 99},
  [5316] = {.lex_state = 99},
  [5317] = {.lex_state = 95},
  [5318] = {.lex_state = 99},
  [5319] = {.lex_state = 99},
  [5320] = {.lex_state = 88},
  [5321] = {.lex_state = 91},
  [5322] = {.lex_state = 91},
  [5323] = {.lex_state = 88},
  [5324] = {.lex_state = 99},
  [5325] = {.lex_state = 88},
  [5326] = {.lex_state = 88},
  [5327] = {.lex_state = 88},
  [5328] = {.lex_state = 88},
  [5329] = {.lex_state = 88},
  [5330] = {.lex_state = 88},
  [5331] = {.lex_state = 88},
  [5332] = {.lex_state = 88},
  [5333] = {.lex_state = 88},
  [5334] = {.lex_state = 88},
  [5335] = {.lex_state = 88},
  [5336] = {.lex_state = 88},
  [5337] = {.lex_state = 99},
  [5338] = {.lex_state = 88},
  [5339] = {.lex_state = 99},
  [5340] = {.lex_state = 88},
  [5341] = {.lex_state = 91},
  [5342] = {.lex_state = 88},
  [5343] = {.lex_state = 88},
  [5344] = {.lex_state = 88},
  [5345] = {.lex_state = 88},
  [5346] = {.lex_state = 91},
  [5347] = {.lex_state = 91},
  [5348] = {.lex_state = 91},
  [5349] = {.lex_state = 91},
  [5350] = {.lex_state = 91},
  [5351] = {.lex_state = 91},
  [5352] = {.lex_state = 91},
  [5353] = {.lex_state = 91},
  [5354] = {.lex_state = 91},
  [5355] = {.lex_state = 91},
  [5356] = {.lex_state = 88},
  [5357] = {.lex_state = 91},
  [5358] = {.lex_state = 88},
  [5359] = {.lex_state = 88},
  [5360] = {.lex_state = 99},
  [5361] = {.lex_state = 99},
  [5362] = {.lex_state = 91},
  [5363] = {.lex_state = 88},
  [5364] = {.lex_state = 88},
  [5365] = {.lex_state = 91},
  [5366] = {.lex_state = 99},
  [5367] = {.lex_state = 99},
  [5368] = {.lex_state = 88},
  [5369] = {.lex_state = 99},
  [5370] = {.lex_state = 99},
  [5371] = {.lex_state = 99},
  [5372] = {.lex_state = 99},
  [5373] = {.lex_state = 99},
  [5374] = {.lex_state = 99},
  [5375] = {.lex_state = 99},
  [5376] = {.lex_state = 99},
  [5377] = {.lex_state = 88},
  [5378] = {.lex_state = 99},
  [5379] = {.lex_state = 99},
  [5380] = {.lex_state = 99},
  [5381] = {.lex_state = 99},
  [5382] = {.lex_state = 99},
  [5383] = {.lex_state = 99},
  [5384] = {.lex_state = 99},
  [5385] = {.lex_state = 99},
  [5386] = {.lex_state = 99},
  [5387] = {.lex_state = 99},
  [5388] = {.lex_state = 99},
  [5389] = {.lex_state = 99},
  [5390] = {.lex_state = 84},
  [5391] = {.lex_state = 95},
  [5392] = {.lex_state = 95},
  [5393] = {.lex_state = 99},
  [5394] = {.lex_state = 95},
  [5395] = {.lex_state = 95},
  [5396] = {.lex_state = 95},
  [5397] = {.lex_state = 99},
  [5398] = {.lex_state = 99},
  [5399] = {.lex_state = 99},
  [5400] = {.lex_state = 99},
  [5401] = {.lex_state = 99},
  [5402] = {.lex_state = 95},
  [5403] = {.lex_state = 95},
  [5404] = {.lex_state = 92, .external_lex_state = 2},
  [5405] = {.lex_state = 95},
  [5406] = {.lex_state = 99},
  [5407] = {.lex_state = 99},
  [5408] = {.lex_state = 85},
  [5409] = {.lex_state = 84},
  [5410] = {.lex_state = 95},
  [5411] = {.lex_state = 95},
  [5412] = {.lex_state = 95},
  [5413] = {.lex_state = 99},
  [5414] = {.lex_state = 95},
  [5415] = {.lex_state = 99},
  [5416] = {.lex_state = 95},
  [5417] = {.lex_state = 99},
  [5418] = {.lex_state = 99},
  [5419] = {.lex_state = 85},
  [5420] = {.lex_state = 92},
  [5421] = {.lex_state = 92},
  [5422] = {.lex_state = 99},
  [5423] = {.lex_state = 92, .external_lex_state = 2},
  [5424] = {.lex_state = 92},
  [5425] = {.lex_state = 92},
  [5426] = {.lex_state = 92},
  [5427] = {.lex_state = 92},
  [5428] = {.lex_state = 92},
  [5429] = {.lex_state = 92},
  [5430] = {.lex_state = 92},
  [5431] = {.lex_state = 92},
  [5432] = {.lex_state = 99},
  [5433] = {.lex_state = 92},
  [5434] = {.lex_state = 92},
  [5435] = {.lex_state = 92},
  [5436] = {.lex_state = 92},
  [5437] = {.lex_state = 92},
  [5438] = {.lex_state = 92},
  [5439] = {.lex_state = 92},
  [5440] = {.lex_state = 92},
  [5441] = {.lex_state = 92},
  [5442] = {.lex_state = 92},
  [5443] = {.lex_state = 92},
  [5444] = {.lex_state = 92},
  [5445] = {.lex_state = 92},
  [5446] = {.lex_state = 92},
  [5447] = {.lex_state = 92},
  [5448] = {.lex_state = 92},
  [5449] = {.lex_state = 92},
  [5450] = {.lex_state = 92},
  [5451] = {.lex_state = 92},
  [5452] = {.lex_state = 92},
  [5453] = {.lex_state = 92},
  [5454] = {.lex_state = 92},
  [5455] = {.lex_state = 92},
  [5456] = {.lex_state = 92},
  [5457] = {.lex_state = 92},
  [5458] = {.lex_state = 92},
  [5459] = {.lex_state = 92},
  [5460] = {.lex_state = 92},
  [5461] = {.lex_state = 92},
  [5462] = {.lex_state = 92},
  [5463] = {.lex_state = 92},
  [5464] = {.lex_state = 92},
  [5465] = {.lex_state = 92},
  [5466] = {.lex_state = 92},
  [5467] = {.lex_state = 92},
  [5468] = {.lex_state = 92},
  [5469] = {.lex_state = 92},
  [5470] = {.lex_state = 92},
  [5471] = {.lex_state = 92},
  [5472] = {.lex_state = 98},
  [5473] = {.lex_state = 92},
  [5474] = {.lex_state = 92},
  [5475] = {.lex_state = 92},
  [5476] = {.lex_state = 92},
  [5477] = {.lex_state = 92},
  [5478] = {.lex_state = 98},
  [5479] = {.lex_state = 99},
  [5480] = {.lex_state = 92},
  [5481] = {.lex_state = 98},
  [5482] = {.lex_state = 98},
  [5483] = {.lex_state = 92},
  [5484] = {.lex_state = 92},
  [5485] = {.lex_state = 92},
  [5486] = {.lex_state = 98},
  [5487] = {.lex_state = 92},
  [5488] = {.lex_state = 98},
  [5489] = {.lex_state = 92},
  [5490] = {.lex_state = 92},
  [5491] = {.lex_state = 92},
  [5492] = {.lex_state = 92},
  [5493] = {.lex_state = 98},
  [5494] = {.lex_state = 92},
  [5495] = {.lex_state = 92},
  [5496] = {.lex_state = 92},
  [5497] = {.lex_state = 98},
  [5498] = {.lex_state = 92},
  [5499] = {.lex_state = 92},
  [5500] = {.lex_state = 92},
  [5501] = {.lex_state = 92},
  [5502] = {.lex_state = 92},
  [5503] = {.lex_state = 92},
  [5504] = {.lex_state = 92},
  [5505] = {.lex_state = 92},
  [5506] = {.lex_state = 92},
  [5507] = {.lex_state = 92},
  [5508] = {.lex_state = 92},
  [5509] = {.lex_state = 92},
  [5510] = {.lex_state = 92},
  [5511] = {.lex_state = 92},
  [5512] = {.lex_state = 92},
  [5513] = {.lex_state = 92},
  [5514] = {.lex_state = 92},
  [5515] = {.lex_state = 92},
  [5516] = {.lex_state = 92},
  [5517] = {.lex_state = 92},
  [5518] = {.lex_state = 92},
  [5519] = {.lex_state = 92},
  [5520] = {.lex_state = 92},
  [5521] = {.lex_state = 92},
  [5522] = {.lex_state = 92},
  [5523] = {.lex_state = 92},
  [5524] = {.lex_state = 92},
  [5525] = {.lex_state = 92},
  [5526] = {.lex_state = 92},
  [5527] = {.lex_state = 92},
  [5528] = {.lex_state = 92},
  [5529] = {.lex_state = 92},
  [5530] = {.lex_state = 99},
  [5531] = {.lex_state = 92},
  [5532] = {.lex_state = 92},
  [5533] = {.lex_state = 92},
  [5534] = {.lex_state = 92},
  [5535] = {.lex_state = 99},
  [5536] = {.lex_state = 92},
  [5537] = {.lex_state = 92},
  [5538] = {.lex_state = 92},
  [5539] = {.lex_state = 92},
  [5540] = {.lex_state = 92},
  [5541] = {.lex_state = 92},
  [5542] = {.lex_state = 92},
  [5543] = {.lex_state = 92},
  [5544] = {.lex_state = 92},
  [5545] = {.lex_state = 92},
  [5546] = {.lex_state = 92},
  [5547] = {.lex_state = 92},
  [5548] = {.lex_state = 99},
  [5549] = {.lex_state = 92},
  [5550] = {.lex_state = 92},
  [5551] = {.lex_state = 92},
  [5552] = {.lex_state = 92},
  [5553] = {.lex_state = 92},
  [5554] = {.lex_state = 92},
  [5555] = {.lex_state = 92},
  [5556] = {.lex_state = 92},
  [5557] = {.lex_state = 92},
  [5558] = {.lex_state = 92},
  [5559] = {.lex_state = 99},
  [5560] = {.lex_state = 92},
  [5561] = {.lex_state = 99},
  [5562] = {.lex_state = 92},
  [5563] = {.lex_state = 92},
  [5564] = {.lex_state = 92},
  [5565] = {.lex_state = 91},
  [5566] = {.lex_state = 92},
  [5567] = {.lex_state = 92},
  [5568] = {.lex_state = 92},
  [5569] = {.lex_state = 92},
  [5570] = {.lex_state = 92},
  [5571] = {.lex_state = 95},
  [5572] = {.lex_state = 98},
  [5573] = {.lex_state = 98},
  [5574] = {.lex_state = 92},
  [5575] = {.lex_state = 98},
  [5576] = {.lex_state = 98},
  [5577] = {.lex_state = 98},
  [5578] = {.lex_state = 98},
  [5579] = {.lex_state = 98},
  [5580] = {.lex_state = 98},
  [5581] = {.lex_state = 98},
  [5582] = {.lex_state = 98},
  [5583] = {.lex_state = 92},
  [5584] = {.lex_state = 98},
  [5585] = {.lex_state = 98},
  [5586] = {.lex_state = 92},
  [5587] = {.lex_state = 92},
  [5588] = {.lex_state = 92},
  [5589] = {.lex_state = 92},
  [5590] = {.lex_state = 98},
  [5591] = {.lex_state = 88},
  [5592] = {.lex_state = 88},
  [5593] = {.lex_state = 92},
  [5594] = {.lex_state = 92},
  [5595] = {.lex_state = 92},
  [5596] = {.lex_state = 88},
  [5597] = {.lex_state = 92},
  [5598] = {.lex_state = 92},
  [5599] = {.lex_state = 88},
  [5600] = {.lex_state = 92},
  [5601] = {.lex_state = 92},
  [5602] = {.lex_state = 92},
  [5603] = {.lex_state = 92},
  [5604] = {.lex_state = 92},
  [5605] = {.lex_state = 88},
  [5606] = {.lex_state = 92},
  [5607] = {.lex_state = 92},
  [5608] = {.lex_state = 92},
  [5609] = {.lex_state = 92},
  [5610] = {.lex_state = 88},
  [5611] = {.lex_state = 92},
  [5612] = {.lex_state = 92},
  [5613] = {.lex_state = 92},
  [5614] = {.lex_state = 92},
  [5615] = {.lex_state = 92},
  [5616] = {.lex_state = 92},
  [5617] = {.lex_state = 92},
  [5618] = {.lex_state = 92},
  [5619] = {.lex_state = 92},
  [5620] = {.lex_state = 88},
  [5621] = {.lex_state = 92},
  [5622] = {.lex_state = 92},
  [5623] = {.lex_state = 92},
  [5624] = {.lex_state = 92},
  [5625] = {.lex_state = 88},
  [5626] = {.lex_state = 92},
  [5627] = {.lex_state = 92},
  [5628] = {.lex_state = 92},
  [5629] = {.lex_state = 92},
  [5630] = {.lex_state = 92},
  [5631] = {.lex_state = 98},
  [5632] = {.lex_state = 92},
  [5633] = {.lex_state = 92},
  [5634] = {.lex_state = 92},
  [5635] = {.lex_state = 92},
  [5636] = {.lex_state = 92},
  [5637] = {.lex_state = 92},
  [5638] = {.lex_state = 92},
  [5639] = {.lex_state = 92},
  [5640] = {.lex_state = 92},
  [5641] = {.lex_state = 92},
  [5642] = {.lex_state = 92},
  [5643] = {.lex_state = 92},
  [5644] = {.lex_state = 98},
  [5645] = {.lex_state = 88},
  [5646] = {.lex_state = 88},
  [5647] = {.lex_state = 88},
  [5648] = {.lex_state = 88},
  [5649] = {.lex_state = 88},
  [5650] = {.lex_state = 88},
  [5651] = {.lex_state = 88},
  [5652] = {.lex_state = 88},
  [5653] = {.lex_state = 88},
  [5654] = {.lex_state = 88},
  [5655] = {.lex_state = 88},
  [5656] = {.lex_state = 88},
  [5657] = {.lex_state = 88},
  [5658] = {.lex_state = 88},
  [5659] = {.lex_state = 88},
  [5660] = {.lex_state = 88},
  [5661] = {.lex_state = 88},
  [5662] = {.lex_state = 88},
  [5663] = {.lex_state = 88},
  [5664] = {.lex_state = 88},
  [5665] = {.lex_state = 88},
  [5666] = {.lex_state = 88},
  [5667] = {.lex_state = 88},
  [5668] = {.lex_state = 88},
  [5669] = {.lex_state = 88},
  [5670] = {.lex_state = 88},
  [5671] = {.lex_state = 88},
  [5672] = {.lex_state = 88},
  [5673] = {.lex_state = 88},
  [5674] = {.lex_state = 88},
  [5675] = {.lex_state = 88},
  [5676] = {.lex_state = 88},
  [5677] = {.lex_state = 88},
  [5678] = {.lex_state = 92},
  [5679] = {.lex_state = 88},
  [5680] = {.lex_state = 88},
  [5681] = {.lex_state = 92},
  [5682] = {.lex_state = 88},
  [5683] = {.lex_state = 92},
  [5684] = {.lex_state = 92},
  [5685] = {.lex_state = 88},
  [5686] = {.lex_state = 88},
  [5687] = {.lex_state = 88},
  [5688] = {.lex_state = 92},
  [5689] = {.lex_state = 88},
  [5690] = {.lex_state = 88},
  [5691] = {.lex_state = 88},
  [5692] = {.lex_state = 92},
  [5693] = {.lex_state = 88},
  [5694] = {.lex_state = 92},
  [5695] = {.lex_state = 88},
  [5696] = {.lex_state = 99},
  [5697] = {.lex_state = 88},
  [5698] = {.lex_state = 92},
  [5699] = {.lex_state = 92},
  [5700] = {.lex_state = 88},
  [5701] = {.lex_state = 88},
  [5702] = {.lex_state = 92},
  [5703] = {.lex_state = 88},
  [5704] = {.lex_state = 92},
  [5705] = {.lex_state = 88},
  [5706] = {.lex_state = 92},
  [5707] = {.lex_state = 92},
  [5708] = {.lex_state = 88},
  [5709] = {.lex_state = 92},
  [5710] = {.lex_state = 92},
  [5711] = {.lex_state = 88},
  [5712] = {.lex_state = 88},
  [5713] = {.lex_state = 92},
  [5714] = {.lex_state = 88},
  [5715] = {.lex_state = 92},
  [5716] = {.lex_state = 99},
  [5717] = {.lex_state = 88},
  [5718] = {.lex_state = 88},
  [5719] = {.lex_state = 92},
  [5720] = {.lex_state = 88},
  [5721] = {.lex_state = 88},
  [5722] = {.lex_state = 92},
  [5723] = {.lex_state = 92},
  [5724] = {.lex_state = 92},
  [5725] = {.lex_state = 88},
  [5726] = {.lex_state = 88},
  [5727] = {.lex_state = 88},
  [5728] = {.lex_state = 88},
  [5729] = {.lex_state = 99},
  [5730] = {.lex_state = 92},
  [5731] = {.lex_state = 92},
  [5732] = {.lex_state = 92},
  [5733] = {.lex_state = 92},
  [5734] = {.lex_state = 92},
  [5735] = {.lex_state = 92},
  [5736] = {.lex_state = 88},
  [5737] = {.lex_state = 92},
  [5738] = {.lex_state = 88},
  [5739] = {.lex_state = 88},
  [5740] = {.lex_state = 88},
  [5741] = {.lex_state = 92},
  [5742] = {.lex_state = 92},
  [5743] = {.lex_state = 88},
  [5744] = {.lex_state = 92},
  [5745] = {.lex_state = 88},
  [5746] = {.lex_state = 92},
  [5747] = {.lex_state = 92},
  [5748] = {.lex_state = 88},
  [5749] = {.lex_state = 88},
  [5750] = {.lex_state = 92},
  [5751] = {.lex_state = 88},
  [5752] = {.lex_state = 92},
  [5753] = {.lex_state = 92},
  [5754] = {.lex_state = 88},
  [5755] = {.lex_state = 92},
  [5756] = {.lex_state = 92},
  [5757] = {.lex_state = 88},
  [5758] = {.lex_state = 92},
  [5759] = {.lex_state = 88},
  [5760] = {.lex_state = 88},
  [5761] = {.lex_state = 92},
  [5762] = {.lex_state = 88},
  [5763] = {.lex_state = 92},
  [5764] = {.lex_state = 96},
  [5765] = {.lex_state = 88},
  [5766] = {.lex_state = 92},
  [5767] = {.lex_state = 92},
  [5768] = {.lex_state = 88},
  [5769] = {.lex_state = 92},
  [5770] = {.lex_state = 92},
  [5771] = {.lex_state = 88},
  [5772] = {.lex_state = 92},
  [5773] = {.lex_state = 88},
  [5774] = {.lex_state = 88},
  [5775] = {.lex_state = 88},
  [5776] = {.lex_state = 92},
  [5777] = {.lex_state = 88},
  [5778] = {.lex_state = 88},
  [5779] = {.lex_state = 92},
  [5780] = {.lex_state = 92},
  [5781] = {.lex_state = 88},
  [5782] = {.lex_state = 92},
  [5783] = {.lex_state = 88},
  [5784] = {.lex_state = 92},
  [5785] = {.lex_state = 92},
  [5786] = {.lex_state = 88},
  [5787] = {.lex_state = 92},
  [5788] = {.lex_state = 88},
  [5789] = {.lex_state = 88},
  [5790] = {.lex_state = 92},
  [5791] = {.lex_state = 92},
  [5792] = {.lex_state = 92},
  [5793] = {.lex_state = 92},
  [5794] = {.lex_state = 88},
  [5795] = {.lex_state = 88},
  [5796] = {.lex_state = 88},
  [5797] = {.lex_state = 92},
  [5798] = {.lex_state = 88},
  [5799] = {.lex_state = 98},
  [5800] = {.lex_state = 92},
  [5801] = {.lex_state = 88},
  [5802] = {.lex_state = 88},
  [5803] = {.lex_state = 88},
  [5804] = {.lex_state = 88},
  [5805] = {.lex_state = 92},
  [5806] = {.lex_state = 88},
  [5807] = {.lex_state = 92},
  [5808] = {.lex_state = 88},
  [5809] = {.lex_state = 88},
  [5810] = {.lex_state = 88},
  [5811] = {.lex_state = 88},
  [5812] = {.lex_state = 98},
  [5813] = {.lex_state = 92},
  [5814] = {.lex_state = 92},
  [5815] = {.lex_state = 92},
  [5816] = {.lex_state = 92},
  [5817] = {.lex_state = 98},
  [5818] = {.lex_state = 92},
  [5819] = {.lex_state = 92},
  [5820] = {.lex_state = 92},
  [5821] = {.lex_state = 92},
  [5822] = {.lex_state = 88},
  [5823] = {.lex_state = 98},
  [5824] = {.lex_state = 92},
  [5825] = {.lex_state = 92},
  [5826] = {.lex_state = 92},
  [5827] = {.lex_state = 92},
  [5828] = {.lex_state = 95},
  [5829] = {.lex_state = 99},
  [5830] = {.lex_state = 92},
  [5831] = {.lex_state = 98},
  [5832] = {.lex_state = 98},
  [5833] = {.lex_state = 92},
  [5834] = {.lex_state = 98},
  [5835] = {.lex_state = 98},
  [5836] = {.lex_state = 92},
  [5837] = {.lex_state = 92},
  [5838] = {.lex_state = 92},
  [5839] = {.lex_state = 92},
  [5840] = {.lex_state = 92},
  [5841] = {.lex_state = 89},
  [5842] = {.lex_state = 89},
  [5843] = {.lex_state = 88},
  [5844] = {.lex_state = 89},
  [5845] = {.lex_state = 95},
  [5846] = {.lex_state = 92},
  [5847] = {.lex_state = 86},
  [5848] = {.lex_state = 98},
  [5849] = {.lex_state = 86},
  [5850] = {.lex_state = 98},
  [5851] = {.lex_state = 92},
  [5852] = {.lex_state = 99},
  [5853] = {.lex_state = 95},
  [5854] = {.lex_state = 98},
  [5855] = {.lex_state = 89},
  [5856] = {.lex_state = 89},
  [5857] = {.lex_state = 92},
  [5858] = {.lex_state = 89},
  [5859] = {.lex_state = 92},
  [5860] = {.lex_state = 92},
  [5861] = {.lex_state = 92},
  [5862] = {.lex_state = 98},
  [5863] = {.lex_state = 92},
  [5864] = {.lex_state = 92},
  [5865] = {.lex_state = 95},
  [5866] = {.lex_state = 98},
  [5867] = {.lex_state = 92},
  [5868] = {.lex_state = 92},
  [5869] = {.lex_state = 92},
  [5870] = {.lex_state = 92},
  [5871] = {.lex_state = 98, .external_lex_state = 2},
  [5872] = {.lex_state = 92},
  [5873] = {.lex_state = 92},
  [5874] = {.lex_state = 92},
  [5875] = {.lex_state = 92},
  [5876] = {.lex_state = 95},
  [5877] = {.lex_state = 92},
  [5878] = {.lex_state = 92},
  [5879] = {.lex_state = 92},
  [5880] = {.lex_state = 92},
  [5881] = {.lex_state = 92},
  [5882] = {.lex_state = 92},
  [5883] = {.lex_state = 89},
  [5884] = {.lex_state = 92},
  [5885] = {.lex_state = 89},
  [5886] = {.lex_state = 91, .external_lex_state = 2},
  [5887] = {.lex_state = 92},
  [5888] = {.lex_state = 92},
  [5889] = {.lex_state = 92},
  [5890] = {.lex_state = 92},
  [5891] = {.lex_state = 92},
  [5892] = {.lex_state = 92},
  [5893] = {.lex_state = 92},
  [5894] = {.lex_state = 92},
  [5895] = {.lex_state = 92},
  [5896] = {.lex_state = 92},
  [5897] = {.lex_state = 92},
  [5898] = {.lex_state = 92},
  [5899] = {.lex_state = 92},
  [5900] = {.lex_state = 92},
  [5901] = {.lex_state = 92},
  [5902] = {.lex_state = 92},
  [5903] = {.lex_state = 92},
  [5904] = {.lex_state = 92},
  [5905] = {.lex_state = 92},
  [5906] = {.lex_state = 92},
  [5907] = {.lex_state = 89},
  [5908] = {.lex_state = 92},
  [5909] = {.lex_state = 92},
  [5910] = {.lex_state = 92},
  [5911] = {.lex_state = 92},
  [5912] = {.lex_state = 92},
  [5913] = {.lex_state = 92},
  [5914] = {.lex_state = 92},
  [5915] = {.lex_state = 92},
  [5916] = {.lex_state = 92},
  [5917] = {.lex_state = 89},
  [5918] = {.lex_state = 92},
  [5919] = {.lex_state = 89},
  [5920] = {.lex_state = 92},
  [5921] = {.lex_state = 92},
  [5922] = {.lex_state = 92},
  [5923] = {.lex_state = 92},
  [5924] = {.lex_state = 89},
  [5925] = {.lex_state = 89},
  [5926] = {.lex_state = 89},
  [5927] = {.lex_state = 89},
  [5928] = {.lex_state = 89},
  [5929] = {.lex_state = 89},
  [5930] = {.lex_state = 92},
  [5931] = {.lex_state = 88},
  [5932] = {.lex_state = 92},
  [5933] = {.lex_state = 92},
  [5934] = {.lex_state = 88},
  [5935] = {.lex_state = 88},
  [5936] = {.lex_state = 88},
  [5937] = {.lex_state = 88},
  [5938] = {.lex_state = 88},
  [5939] = {.lex_state = 88},
  [5940] = {.lex_state = 92},
  [5941] = {.lex_state = 88},
  [5942] = {.lex_state = 92},
  [5943] = {.lex_state = 88},
  [5944] = {.lex_state = 88},
  [5945] = {.lex_state = 88},
  [5946] = {.lex_state = 88},
  [5947] = {.lex_state = 92},
  [5948] = {.lex_state = 92},
  [5949] = {.lex_state = 95},
  [5950] = {.lex_state = 95},
  [5951] = {.lex_state = 88},
  [5952] = {.lex_state = 99},
  [5953] = {.lex_state = 88},
  [5954] = {.lex_state = 88},
  [5955] = {.lex_state = 92},
  [5956] = {.lex_state = 88},
  [5957] = {.lex_state = 88},
  [5958] = {.lex_state = 98},
  [5959] = {.lex_state = 88},
  [5960] = {.lex_state = 88},
  [5961] = {.lex_state = 88},
  [5962] = {.lex_state = 88},
  [5963] = {.lex_state = 88},
  [5964] = {.lex_state = 95},
  [5965] = {.lex_state = 88},
  [5966] = {.lex_state = 88},
  [5967] = {.lex_state = 95},
  [5968] = {.lex_state = 98},
  [5969] = {.lex_state = 95},
  [5970] = {.lex_state = 95},
  [5971] = {.lex_state = 91},
  [5972] = {.lex_state = 91},
  [5973] = {.lex_state = 98},
  [5974] = {.lex_state = 91},
  [5975] = {.lex_state = 91},
  [5976] = {.lex_state = 91},
  [5977] = {.lex_state = 91},
  [5978] = {.lex_state = 91},
  [5979] = {.lex_state = 91},
  [5980] = {.lex_state = 91},
  [5981] = {.lex_state = 91},
  [5982] = {.lex_state = 91},
  [5983] = {.lex_state = 91},
  [5984] = {.lex_state = 91},
  [5985] = {.lex_state = 91},
  [5986] = {.lex_state = 91},
  [5987] = {.lex_state = 91},
  [5988] = {.lex_state = 91},
  [5989] = {.lex_state = 91},
  [5990] = {.lex_state = 91},
  [5991] = {.lex_state = 91},
  [5992] = {.lex_state = 91},
  [5993] = {.lex_state = 91},
  [5994] = {.lex_state = 91},
  [5995] = {.lex_state = 103},
  [5996] = {.lex_state = 91},
  [5997] = {.lex_state = 91},
  [5998] = {.lex_state = 91},
  [5999] = {.lex_state = 91},
  [6000] = {.lex_state = 91},
  [6001] = {.lex_state = 91},
  [6002] = {.lex_state = 91},
  [6003] = {.lex_state = 91},
  [6004] = {.lex_state = 91},
  [6005] = {.lex_state = 91},
  [6006] = {.lex_state = 91},
  [6007] = {.lex_state = 91},
  [6008] = {.lex_state = 91},
  [6009] = {.lex_state = 91},
  [6010] = {.lex_state = 91},
  [6011] = {.lex_state = 91},
  [6012] = {.lex_state = 91},
  [6013] = {.lex_state = 91},
  [6014] = {.lex_state = 91},
  [6015] = {.lex_state = 91},
  [6016] = {.lex_state = 95},
  [6017] = {.lex_state = 91},
  [6018] = {.lex_state = 91},
  [6019] = {.lex_state = 91},
  [6020] = {.lex_state = 88},
  [6021] = {.lex_state = 91},
  [6022] = {.lex_state = 91},
  [6023] = {.lex_state = 91},
  [6024] = {.lex_state = 103},
  [6025] = {.lex_state = 95},
  [6026] = {.lex_state = 91},
  [6027] = {.lex_state = 91},
  [6028] = {.lex_state = 91},
  [6029] = {.lex_state = 91},
  [6030] = {.lex_state = 91},
  [6031] = {.lex_state = 91},
  [6032] = {.lex_state = 91},
  [6033] = {.lex_state = 91},
  [6034] = {.lex_state = 91},
  [6035] = {.lex_state = 91},
  [6036] = {.lex_state = 91},
  [6037] = {.lex_state = 91},
  [6038] = {.lex_state = 91},
  [6039] = {.lex_state = 91},
  [6040] = {.lex_state = 91},
  [6041] = {.lex_state = 91},
  [6042] = {.lex_state = 91},
  [6043] = {.lex_state = 91},
  [6044] = {.lex_state = 91},
  [6045] = {.lex_state = 91},
  [6046] = {.lex_state = 88},
  [6047] = {.lex_state = 91},
  [6048] = {.lex_state = 91},
  [6049] = {.lex_state = 91},
  [6050] = {.lex_state = 99},
  [6051] = {.lex_state = 99},
  [6052] = {.lex_state = 91},
  [6053] = {.lex_state = 91},
  [6054] = {.lex_state = 91},
  [6055] = {.lex_state = 91},
  [6056] = {.lex_state = 91},
  [6057] = {.lex_state = 91},
  [6058] = {.lex_state = 95},
  [6059] = {.lex_state = 95},
  [6060] = {.lex_state = 91},
  [6061] = {.lex_state = 91},
  [6062] = {.lex_state = 91},
  [6063] = {.lex_state = 91},
  [6064] = {.lex_state = 95},
  [6065] = {.lex_state = 91},
  [6066] = {.lex_state = 91},
  [6067] = {.lex_state = 91},
  [6068] = {.lex_state = 91},
  [6069] = {.lex_state = 91},
  [6070] = {.lex_state = 91},
  [6071] = {.lex_state = 91},
  [6072] = {.lex_state = 91},
  [6073] = {.lex_state = 91},
  [6074] = {.lex_state = 98},
  [6075] = {.lex_state = 91},
  [6076] = {.lex_state = 91},
  [6077] = {.lex_state = 91},
  [6078] = {.lex_state = 91},
  [6079] = {.lex_state = 95},
  [6080] = {.lex_state = 95},
  [6081] = {.lex_state = 91},
  [6082] = {.lex_state = 98},
  [6083] = {.lex_state = 91},
  [6084] = {.lex_state = 91},
  [6085] = {.lex_state = 91},
  [6086] = {.lex_state = 91},
  [6087] = {.lex_state = 91},
  [6088] = {.lex_state = 91},
  [6089] = {.lex_state = 91},
  [6090] = {.lex_state = 91},
  [6091] = {.lex_state = 91},
  [6092] = {.lex_state = 91},
  [6093] = {.lex_state = 98},
  [6094] = {.lex_state = 91},
  [6095] = {.lex_state = 95},
  [6096] = {.lex_state = 99},
  [6097] = {.lex_state = 99},
  [6098] = {.lex_state = 98},
  [6099] = {.lex_state = 91},
  [6100] = {.lex_state = 91},
  [6101] = {.lex_state = 98},
  [6102] = {.lex_state = 95},
  [6103] = {.lex_state = 91},
  [6104] = {.lex_state = 88},
  [6105] = {.lex_state = 88},
  [6106] = {.lex_state = 91},
  [6107] = {.lex_state = 91},
  [6108] = {.lex_state = 91},
  [6109] = {.lex_state = 95},
  [6110] = {.lex_state = 98},
  [6111] = {.lex_state = 91},
  [6112] = {.lex_state = 95},
  [6113] = {.lex_state = 91},
  [6114] = {.lex_state = 91, .external_lex_state = 2},
  [6115] = {.lex_state = 91},
  [6116] = {.lex_state = 95},
  [6117] = {.lex_state = 103},
  [6118] = {.lex_state = 103},
  [6119] = {.lex_state = 98},
  [6120] = {.lex_state = 91},
  [6121] = {.lex_state = 88},
  [6122] = {.lex_state = 91},
  [6123] = {.lex_state = 103},
  [6124] = {.lex_state = 95},
  [6125] = {.lex_state = 91},
  [6126] = {.lex_state = 98},
  [6127] = {.lex_state = 91},
  [6128] = {.lex_state = 91},
  [6129] = {.lex_state = 103},
  [6130] = {.lex_state = 91},
  [6131] = {.lex_state = 91},
  [6132] = {.lex_state = 91},
  [6133] = {.lex_state = 99},
  [6134] = {.lex_state = 95},
  [6135] = {.lex_state = 95},
  [6136] = {.lex_state = 95},
  [6137] = {.lex_state = 98},
  [6138] = {.lex_state = 91},
  [6139] = {.lex_state = 91},
  [6140] = {.lex_state = 95},
  [6141] = {.lex_state = 95},
  [6142] = {.lex_state = 91},
  [6143] = {.lex_state = 91},
  [6144] = {.lex_state = 91},
  [6145] = {.lex_state = 95},
  [6146] = {.lex_state = 103},
  [6147] = {.lex_state = 91},
  [6148] = {.lex_state = 91},
  [6149] = {.lex_state = 91},
  [6150] = {.lex_state = 89},
  [6151] = {.lex_state = 98},
  [6152] = {.lex_state = 91},
  [6153] = {.lex_state = 88},
  [6154] = {.lex_state = 88},
  [6155] = {.lex_state = 88},
  [6156] = {.lex_state = 98},
  [6157] = {.lex_state = 88},
  [6158] = {.lex_state = 91},
  [6159] = {.lex_state = 88},
  [6160] = {.lex_state = 88},
  [6161] = {.lex_state = 88},
  [6162] = {.lex_state = 88},
  [6163] = {.lex_state = 103},
  [6164] = {.lex_state = 88},
  [6165] = {.lex_state = 88},
  [6166] = {.lex_state = 88},
  [6167] = {.lex_state = 95},
  [6168] = {.lex_state = 88},
  [6169] = {.lex_state = 88},
  [6170] = {.lex_state = 95},
  [6171] = {.lex_state = 88},
  [6172] = {.lex_state = 88},
  [6173] = {.lex_state = 98},
  [6174] = {.lex_state = 91},
  [6175] = {.lex_state = 88},
  [6176] = {.lex_state = 95},
  [6177] = {.lex_state = 88},
  [6178] = {.lex_state = 88},
  [6179] = {.lex_state = 95},
  [6180] = {.lex_state = 88},
  [6181] = {.lex_state = 88},
  [6182] = {.lex_state = 88},
  [6183] = {.lex_state = 88},
  [6184] = {.lex_state = 88},
  [6185] = {.lex_state = 88},
  [6186] = {.lex_state = 95},
  [6187] = {.lex_state = 88},
  [6188] = {.lex_state = 88},
  [6189] = {.lex_state = 88},
  [6190] = {.lex_state = 88},
  [6191] = {.lex_state = 88},
  [6192] = {.lex_state = 88},
  [6193] = {.lex_state = 95},
  [6194] = {.lex_state = 95},
  [6195] = {.lex_state = 89},
  [6196] = {.lex_state = 95},
  [6197] = {.lex_state = 88},
  [6198] = {.lex_state = 88},
  [6199] = {.lex_state = 88},
  [6200] = {.lex_state = 88},
  [6201] = {.lex_state = 91},
  [6202] = {.lex_state = 88},
  [6203] = {.lex_state = 88},
  [6204] = {.lex_state = 91},
  [6205] = {.lex_state = 95},
  [6206] = {.lex_state = 95},
  [6207] = {.lex_state = 98},
  [6208] = {.lex_state = 95},
  [6209] = {.lex_state = 98},
  [6210] = {.lex_state = 95},
  [6211] = {.lex_state = 95},
  [6212] = {.lex_state = 95},
  [6213] = {.lex_state = 95},
  [6214] = {.lex_state = 95},
  [6215] = {.lex_state = 95},
  [6216] = {.lex_state = 95},
  [6217] = {.lex_state = 95},
  [6218] = {.lex_state = 95},
  [6219] = {.lex_state = 98},
  [6220] = {.lex_state = 91},
  [6221] = {.lex_state = 95},
  [6222] = {.lex_state = 91},
  [6223] = {.lex_state = 95},
  [6224] = {.lex_state = 95},
  [6225] = {.lex_state = 95},
  [6226] = {.lex_state = 98},
  [6227] = {.lex_state = 88},
  [6228] = {.lex_state = 96},
  [6229] = {.lex_state = 95},
  [6230] = {.lex_state = 95},
  [6231] = {.lex_state = 88},
  [6232] = {.lex_state = 88},
  [6233] = {.lex_state = 88},
  [6234] = {.lex_state = 95},
  [6235] = {.lex_state = 88},
  [6236] = {.lex_state = 88},
  [6237] = {.lex_state = 98},
  [6238] = {.lex_state = 88},
  [6239] = {.lex_state = 88},
  [6240] = {.lex_state = 88},
  [6241] = {.lex_state = 88},
  [6242] = {.lex_state = 88},
  [6243] = {.lex_state = 88},
  [6244] = {.lex_state = 88},
  [6245] = {.lex_state = 88},
  [6246] = {.lex_state = 88},
  [6247] = {.lex_state = 88},
  [6248] = {.lex_state = 91},
  [6249] = {.lex_state = 88},
  [6250] = {.lex_state = 88},
  [6251] = {.lex_state = 88},
  [6252] = {.lex_state = 88},
  [6253] = {.lex_state = 91},
  [6254] = {.lex_state = 88},
  [6255] = {.lex_state = 98},
  [6256] = {.lex_state = 14},
  [6257] = {.lex_state = 88},
  [6258] = {.lex_state = 88},
  [6259] = {.lex_state = 88},
  [6260] = {.lex_state = 88},
  [6261] = {.lex_state = 88},
  [6262] = {.lex_state = 88},
  [6263] = {.lex_state = 98},
  [6264] = {.lex_state = 88},
  [6265] = {.lex_state = 98},
  [6266] = {.lex_state = 98},
  [6267] = {.lex_state = 88},
  [6268] = {.lex_state = 88},
  [6269] = {.lex_state = 88},
  [6270] = {.lex_state = 88},
  [6271] = {.lex_state = 88},
  [6272] = {.lex_state = 89},
  [6273] = {.lex_state = 98},
  [6274] = {.lex_state = 88},
  [6275] = {.lex_state = 88},
  [6276] = {.lex_state = 88},
  [6277] = {.lex_state = 88},
  [6278] = {.lex_state = 88},
  [6279] = {.lex_state = 88},
  [6280] = {.lex_state = 88},
  [6281] = {.lex_state = 88, .external_lex_state = 2},
  [6282] = {.lex_state = 88},
  [6283] = {.lex_state = 14},
  [6284] = {.lex_state = 88},
  [6285] = {.lex_state = 88},
  [6286] = {.lex_state = 88},
  [6287] = {.lex_state = 88},
  [6288] = {.lex_state = 88},
  [6289] = {.lex_state = 88},
  [6290] = {.lex_state = 88},
  [6291] = {.lex_state = 88},
  [6292] = {.lex_state = 88},
  [6293] = {.lex_state = 88},
  [6294] = {.lex_state = 88},
  [6295] = {.lex_state = 88},
  [6296] = {.lex_state = 88},
  [6297] = {.lex_state = 88},
  [6298] = {.lex_state = 88},
  [6299] = {.lex_state = 88},
  [6300] = {.lex_state = 88},
  [6301] = {.lex_state = 88},
  [6302] = {.lex_state = 88},
  [6303] = {.lex_state = 88},
  [6304] = {.lex_state = 88},
  [6305] = {.lex_state = 88},
  [6306] = {.lex_state = 88},
  [6307] = {.lex_state = 88},
  [6308] = {.lex_state = 88},
  [6309] = {.lex_state = 88},
  [6310] = {.lex_state = 88},
  [6311] = {.lex_state = 88},
  [6312] = {.lex_state = 95},
  [6313] = {.lex_state = 88},
  [6314] = {.lex_state = 88},
  [6315] = {.lex_state = 88},
  [6316] = {.lex_state = 88},
  [6317] = {.lex_state = 88},
  [6318] = {.lex_state = 88},
  [6319] = {.lex_state = 88},
  [6320] = {.lex_state = 88},
  [6321] = {.lex_state = 88},
  [6322] = {.lex_state = 88},
  [6323] = {.lex_state = 95},
  [6324] = {.lex_state = 88},
  [6325] = {.lex_state = 88},
  [6326] = {.lex_state = 88},
  [6327] = {.lex_state = 88},
  [6328] = {.lex_state = 88},
  [6329] = {.lex_state = 88},
  [6330] = {.lex_state = 88},
  [6331] = {.lex_state = 88},
  [6332] = {.lex_state = 88},
  [6333] = {.lex_state = 88},
  [6334] = {.lex_state = 88},
  [6335] = {.lex_state = 88},
  [6336] = {.lex_state = 88},
  [6337] = {.lex_state = 88},
  [6338] = {.lex_state = 95},
  [6339] = {.lex_state = 88},
  [6340] = {.lex_state = 88},
  [6341] = {.lex_state = 88},
  [6342] = {.lex_state = 88},
  [6343] = {.lex_state = 88},
  [6344] = {.lex_state = 88},
  [6345] = {.lex_state = 88},
  [6346] = {.lex_state = 88},
  [6347] = {.lex_state = 88},
  [6348] = {.lex_state = 88},
  [6349] = {.lex_state = 88},
  [6350] = {.lex_state = 88},
  [6351] = {.lex_state = 88},
  [6352] = {.lex_state = 88},
  [6353] = {.lex_state = 98},
  [6354] = {.lex_state = 88},
  [6355] = {.lex_state = 88},
  [6356] = {.lex_state = 88},
  [6357] = {.lex_state = 91},
  [6358] = {.lex_state = 91},
  [6359] = {.lex_state = 98},
  [6360] = {.lex_state = 98},
  [6361] = {.lex_state = 98},
  [6362] = {.lex_state = 98},
  [6363] = {.lex_state = 98},
  [6364] = {.lex_state = 98},
  [6365] = {.lex_state = 88},
  [6366] = {.lex_state = 98},
  [6367] = {.lex_state = 98},
  [6368] = {.lex_state = 88, .external_lex_state = 2},
  [6369] = {.lex_state = 98},
  [6370] = {.lex_state = 89},
  [6371] = {.lex_state = 98},
  [6372] = {.lex_state = 89},
  [6373] = {.lex_state = 98},
  [6374] = {.lex_state = 98},
  [6375] = {.lex_state = 98},
  [6376] = {.lex_state = 98},
  [6377] = {.lex_state = 98},
  [6378] = {.lex_state = 98},
  [6379] = {.lex_state = 98},
  [6380] = {.lex_state = 98},
  [6381] = {.lex_state = 98},
  [6382] = {.lex_state = 98},
  [6383] = {.lex_state = 98},
  [6384] = {.lex_state = 98},
  [6385] = {.lex_state = 91},
  [6386] = {.lex_state = 91},
  [6387] = {.lex_state = 91},
  [6388] = {.lex_state = 91},
  [6389] = {.lex_state = 91},
  [6390] = {.lex_state = 91},
  [6391] = {.lex_state = 91},
  [6392] = {.lex_state = 91},
  [6393] = {.lex_state = 91},
  [6394] = {.lex_state = 98},
  [6395] = {.lex_state = 98},
  [6396] = {.lex_state = 98},
  [6397] = {.lex_state = 98},
  [6398] = {.lex_state = 98},
  [6399] = {.lex_state = 91},
  [6400] = {.lex_state = 91},
  [6401] = {.lex_state = 91},
  [6402] = {.lex_state = 98},
  [6403] = {.lex_state = 98},
  [6404] = {.lex_state = 98},
  [6405] = {.lex_state = 91},
  [6406] = {.lex_state = 91},
  [6407] = {.lex_state = 98},
  [6408] = {.lex_state = 91},
  [6409] = {.lex_state = 98},
  [6410] = {.lex_state = 91},
  [6411] = {.lex_state = 91},
  [6412] = {.lex_state = 98},
  [6413] = {.lex_state = 98},
  [6414] = {.lex_state = 98},
  [6415] = {.lex_state = 91},
  [6416] = {.lex_state = 98},
  [6417] = {.lex_state = 91},
  [6418] = {.lex_state = 91},
  [6419] = {.lex_state = 91},
  [6420] = {.lex_state = 91},
  [6421] = {.lex_state = 91},
  [6422] = {.lex_state = 91},
  [6423] = {.lex_state = 91},
  [6424] = {.lex_state = 91},
  [6425] = {.lex_state = 91},
  [6426] = {.lex_state = 91},
  [6427] = {.lex_state = 91},
  [6428] = {.lex_state = 91},
  [6429] = {.lex_state = 91},
  [6430] = {.lex_state = 91},
  [6431] = {.lex_state = 91},
  [6432] = {.lex_state = 91},
  [6433] = {.lex_state = 91},
  [6434] = {.lex_state = 91},
  [6435] = {.lex_state = 91},
  [6436] = {.lex_state = 91},
  [6437] = {.lex_state = 91},
  [6438] = {.lex_state = 91},
  [6439] = {.lex_state = 91},
  [6440] = {.lex_state = 91},
  [6441] = {.lex_state = 91},
  [6442] = {.lex_state = 91},
  [6443] = {.lex_state = 91},
  [6444] = {.lex_state = 91},
  [6445] = {.lex_state = 91},
  [6446] = {.lex_state = 91},
  [6447] = {.lex_state = 91},
  [6448] = {.lex_state = 91},
  [6449] = {.lex_state = 91},
  [6450] = {.lex_state = 91},
  [6451] = {.lex_state = 91},
  [6452] = {.lex_state = 91},
  [6453] = {.lex_state = 91},
  [6454] = {.lex_state = 91},
  [6455] = {.lex_state = 91},
  [6456] = {.lex_state = 91},
  [6457] = {.lex_state = 91},
  [6458] = {.lex_state = 91},
  [6459] = {.lex_state = 91},
  [6460] = {.lex_state = 91},
  [6461] = {.lex_state = 91},
  [6462] = {.lex_state = 91},
  [6463] = {.lex_state = 91},
  [6464] = {.lex_state = 91},
  [6465] = {.lex_state = 91},
  [6466] = {.lex_state = 91},
  [6467] = {.lex_state = 91},
  [6468] = {.lex_state = 91},
  [6469] = {.lex_state = 91},
  [6470] = {.lex_state = 91},
  [6471] = {.lex_state = 91},
  [6472] = {.lex_state = 91},
  [6473] = {.lex_state = 91},
  [6474] = {.lex_state = 91},
  [6475] = {.lex_state = 91},
  [6476] = {.lex_state = 91},
  [6477] = {.lex_state = 91},
  [6478] = {.lex_state = 91},
  [6479] = {.lex_state = 91},
  [6480] = {.lex_state = 91},
  [6481] = {.lex_state = 91},
  [6482] = {.lex_state = 91},
  [6483] = {.lex_state = 91},
  [6484] = {.lex_state = 91},
  [6485] = {.lex_state = 91},
  [6486] = {.lex_state = 91},
  [6487] = {.lex_state = 91},
  [6488] = {.lex_state = 91},
  [6489] = {.lex_state = 91},
  [6490] = {.lex_state = 91},
  [6491] = {.lex_state = 91},
  [6492] = {.lex_state = 91},
  [6493] = {.lex_state = 91},
  [6494] = {.lex_state = 91},
  [6495] = {.lex_state = 91},
  [6496] = {.lex_state = 91},
  [6497] = {.lex_state = 91},
  [6498] = {.lex_state = 91},
  [6499] = {.lex_state = 91},
  [6500] = {.lex_state = 91},
  [6501] = {.lex_state = 91},
  [6502] = {.lex_state = 91},
  [6503] = {.lex_state = 91},
  [6504] = {.lex_state = 91},
  [6505] = {.lex_state = 91},
  [6506] = {.lex_state = 91},
  [6507] = {.lex_state = 91},
  [6508] = {.lex_state = 91},
  [6509] = {.lex_state = 91},
  [6510] = {.lex_state = 91},
  [6511] = {.lex_state = 91},
  [6512] = {.lex_state = 91},
  [6513] = {.lex_state = 91},
  [6514] = {.lex_state = 91},
  [6515] = {.lex_state = 91},
  [6516] = {.lex_state = 91},
  [6517] = {.lex_state = 91},
  [6518] = {.lex_state = 91},
  [6519] = {.lex_state = 91},
  [6520] = {.lex_state = 91},
  [6521] = {.lex_state = 91},
  [6522] = {.lex_state = 91},
  [6523] = {.lex_state = 91},
  [6524] = {.lex_state = 91},
  [6525] = {.lex_state = 91},
  [6526] = {.lex_state = 91},
  [6527] = {.lex_state = 91},
  [6528] = {.lex_state = 88},
  [6529] = {.lex_state = 91},
  [6530] = {.lex_state = 91},
  [6531] = {.lex_state = 91},
  [6532] = {.lex_state = 91},
  [6533] = {.lex_state = 91},
  [6534] = {.lex_state = 91},
  [6535] = {.lex_state = 91},
  [6536] = {.lex_state = 91},
  [6537] = {.lex_state = 91},
  [6538] = {.lex_state = 91},
  [6539] = {.lex_state = 91},
  [6540] = {.lex_state = 91},
  [6541] = {.lex_state = 91},
  [6542] = {.lex_state = 91},
  [6543] = {.lex_state = 91},
  [6544] = {.lex_state = 91},
  [6545] = {.lex_state = 91},
  [6546] = {.lex_state = 91},
  [6547] = {.lex_state = 91},
  [6548] = {.lex_state = 91},
  [6549] = {.lex_state = 91},
  [6550] = {.lex_state = 91},
  [6551] = {.lex_state = 91},
  [6552] = {.lex_state = 91},
  [6553] = {.lex_state = 91},
  [6554] = {.lex_state = 91},
  [6555] = {.lex_state = 91},
  [6556] = {.lex_state = 91},
  [6557] = {.lex_state = 91},
  [6558] = {.lex_state = 91},
  [6559] = {.lex_state = 98},
  [6560] = {.lex_state = 91},
  [6561] = {.lex_state = 91},
  [6562] = {.lex_state = 91},
  [6563] = {.lex_state = 91},
  [6564] = {.lex_state = 91},
  [6565] = {.lex_state = 91},
  [6566] = {.lex_state = 91},
  [6567] = {.lex_state = 91},
  [6568] = {.lex_state = 91},
  [6569] = {.lex_state = 91},
  [6570] = {.lex_state = 91},
  [6571] = {.lex_state = 91},
  [6572] = {.lex_state = 91},
  [6573] = {.lex_state = 91},
  [6574] = {.lex_state = 91},
  [6575] = {.lex_state = 91},
  [6576] = {.lex_state = 91},
  [6577] = {.lex_state = 91},
  [6578] = {.lex_state = 91},
  [6579] = {.lex_state = 91},
  [6580] = {.lex_state = 91},
  [6581] = {.lex_state = 91},
  [6582] = {.lex_state = 91},
  [6583] = {.lex_state = 91},
  [6584] = {.lex_state = 98},
  [6585] = {.lex_state = 98},
  [6586] = {.lex_state = 91},
  [6587] = {.lex_state = 91},
  [6588] = {.lex_state = 91},
  [6589] = {.lex_state = 98},
  [6590] = {.lex_state = 91},
  [6591] = {.lex_state = 98},
  [6592] = {.lex_state = 89},
  [6593] = {.lex_state = 89},
  [6594] = {.lex_state = 103},
  [6595] = {.lex_state = 89},
  [6596] = {.lex_state = 89},
  [6597] = {.lex_state = 89},
  [6598] = {.lex_state = 98},
  [6599] = {.lex_state = 98},
  [6600] = {.lex_state = 89},
  [6601] = {.lex_state = 89},
  [6602] = {.lex_state = 89},
  [6603] = {.lex_state = 89},
  [6604] = {.lex_state = 98},
  [6605] = {.lex_state = 89},
  [6606] = {.lex_state = 95},
  [6607] = {.lex_state = 98},
  [6608] = {.lex_state = 95},
  [6609] = {.lex_state = 95},
  [6610] = {.lex_state = 95},
  [6611] = {.lex_state = 98},
  [6612] = {.lex_state = 98},
  [6613] = {.lex_state = 98},
  [6614] = {.lex_state = 103},
  [6615] = {.lex_state = 95},
  [6616] = {.lex_state = 98},
  [6617] = {.lex_state = 98},
  [6618] = {.lex_state = 98},
  [6619] = {.lex_state = 89},
  [6620] = {.lex_state = 95},
  [6621] = {.lex_state = 89},
  [6622] = {.lex_state = 89},
  [6623] = {.lex_state = 89},
  [6624] = {.lex_state = 89},
  [6625] = {.lex_state = 89},
  [6626] = {.lex_state = 89},
  [6627] = {.lex_state = 98},
  [6628] = {.lex_state = 98},
  [6629] = {.lex_state = 98},
  [6630] = {.lex_state = 98},
  [6631] = {.lex_state = 89},
  [6632] = {.lex_state = 89},
  [6633] = {.lex_state = 92},
  [6634] = {.lex_state = 89},
  [6635] = {.lex_state = 89},
  [6636] = {.lex_state = 89},
  [6637] = {.lex_state = 92},
  [6638] = {.lex_state = 92},
  [6639] = {.lex_state = 89},
  [6640] = {.lex_state = 89},
  [6641] = {.lex_state = 92},
  [6642] = {.lex_state = 92},
  [6643] = {.lex_state = 89},
  [6644] = {.lex_state = 95},
  [6645] = {.lex_state = 92},
  [6646] = {.lex_state = 92},
  [6647] = {.lex_state = 92},
  [6648] = {.lex_state = 92},
  [6649] = {.lex_state = 92},
  [6650] = {.lex_state = 92},
  [6651] = {.lex_state = 92},
  [6652] = {.lex_state = 92},
  [6653] = {.lex_state = 89},
  [6654] = {.lex_state = 92},
  [6655] = {.lex_state = 89},
  [6656] = {.lex_state = 89},
  [6657] = {.lex_state = 103},
  [6658] = {.lex_state = 89},
  [6659] = {.lex_state = 89},
  [6660] = {.lex_state = 89},
  [6661] = {.lex_state = 98},
  [6662] = {.lex_state = 89},
  [6663] = {.lex_state = 89},
  [6664] = {.lex_state = 95},
  [6665] = {.lex_state = 89},
  [6666] = {.lex_state = 89},
  [6667] = {.lex_state = 89},
  [6668] = {.lex_state = 89},
  [6669] = {.lex_state = 89},
  [6670] = {.lex_state = 89},
  [6671] = {.lex_state = 89},
  [6672] = {.lex_state = 89},
  [6673] = {.lex_state = 89},
  [6674] = {.lex_state = 89},
  [6675] = {.lex_state = 98},
  [6676] = {.lex_state = 98},
  [6677] = {.lex_state = 89},
  [6678] = {.lex_state = 98},
  [6679] = {.lex_state = 89},
  [6680] = {.lex_state = 89},
  [6681] = {.lex_state = 92},
  [6682] = {.lex_state = 89},
  [6683] = {.lex_state = 89},
  [6684] = {.lex_state = 89},
  [6685] = {.lex_state = 88},
  [6686] = {.lex_state = 95},
  [6687] = {.lex_state = 98},
  [6688] = {.lex_state = 98},
  [6689] = {.lex_state = 95},
  [6690] = {.lex_state = 92},
  [6691] = {.lex_state = 96},
  [6692] = {.lex_state = 92},
  [6693] = {.lex_state = 98},
  [6694] = {.lex_state = 89},
  [6695] = {.lex_state = 95},
  [6696] = {.lex_state = 88},
  [6697] = {.lex_state = 95},
  [6698] = {.lex_state = 95},
  [6699] = {.lex_state = 95},
  [6700] = {.lex_state = 89},
  [6701] = {.lex_state = 88},
  [6702] = {.lex_state = 89},
  [6703] = {.lex_state = 89},
  [6704] = {.lex_state = 88},
  [6705] = {.lex_state = 89},
  [6706] = {.lex_state = 95},
  [6707] = {.lex_state = 88},
  [6708] = {.lex_state = 88},
  [6709] = {.lex_state = 88},
  [6710] = {.lex_state = 88},
  [6711] = {.lex_state = 88},
  [6712] = {.lex_state = 88},
  [6713] = {.lex_state = 88},
  [6714] = {.lex_state = 88},
  [6715] = {.lex_state = 88},
  [6716] = {.lex_state = 95},
  [6717] = {.lex_state = 95},
  [6718] = {.lex_state = 95},
  [6719] = {.lex_state = 88},
  [6720] = {.lex_state = 95},
  [6721] = {.lex_state = 95},
  [6722] = {.lex_state = 95},
  [6723] = {.lex_state = 88},
  [6724] = {.lex_state = 88},
  [6725] = {.lex_state = 88},
  [6726] = {.lex_state = 89},
  [6727] = {.lex_state = 95},
  [6728] = {.lex_state = 95},
  [6729] = {.lex_state = 89},
  [6730] = {.lex_state = 95},
  [6731] = {.lex_state = 95},
  [6732] = {.lex_state = 95},
  [6733] = {.lex_state = 95},
  [6734] = {.lex_state = 95},
  [6735] = {.lex_state = 95},
  [6736] = {.lex_state = 89},
  [6737] = {.lex_state = 89},
  [6738] = {.lex_state = 95},
  [6739] = {.lex_state = 95},
  [6740] = {.lex_state = 88},
  [6741] = {.lex_state = 95},
  [6742] = {.lex_state = 95},
  [6743] = {.lex_state = 89},
  [6744] = {.lex_state = 89},
  [6745] = {.lex_state = 89},
  [6746] = {.lex_state = 88},
  [6747] = {.lex_state = 95},
  [6748] = {.lex_state = 88},
  [6749] = {.lex_state = 95},
  [6750] = {.lex_state = 98},
  [6751] = {.lex_state = 95},
  [6752] = {.lex_state = 95},
  [6753] = {.lex_state = 89},
  [6754] = {.lex_state = 95},
  [6755] = {.lex_state = 89},
  [6756] = {.lex_state = 89},
  [6757] = {.lex_state = 89},
  [6758] = {.lex_state = 95},
  [6759] = {.lex_state = 95},
  [6760] = {.lex_state = 89},
  [6761] = {.lex_state = 89},
  [6762] = {.lex_state = 95},
  [6763] = {.lex_state = 95},
  [6764] = {.lex_state = 95},
  [6765] = {.lex_state = 89},
  [6766] = {.lex_state = 95},
  [6767] = {.lex_state = 88},
  [6768] = {.lex_state = 89},
  [6769] = {.lex_state = 89},
  [6770] = {.lex_state = 88},
  [6771] = {.lex_state = 88},
  [6772] = {.lex_state = 88},
  [6773] = {.lex_state = 88},
  [6774] = {.lex_state = 95},
  [6775] = {.lex_state = 95},
  [6776] = {.lex_state = 96},
  [6777] = {.lex_state = 95},
  [6778] = {.lex_state = 98},
  [6779] = {.lex_state = 95},
  [6780] = {.lex_state = 95},
  [6781] = {.lex_state = 89},
  [6782] = {.lex_state = 88},
  [6783] = {.lex_state = 95},
  [6784] = {.lex_state = 95},
  [6785] = {.lex_state = 95},
  [6786] = {.lex_state = 95},
  [6787] = {.lex_state = 95},
  [6788] = {.lex_state = 88},
  [6789] = {.lex_state = 89},
  [6790] = {.lex_state = 88},
  [6791] = {.lex_state = 89},
  [6792] = {.lex_state = 88},
  [6793] = {.lex_state = 95},
  [6794] = {.lex_state = 88},
  [6795] = {.lex_state = 95},
  [6796] = {.lex_state = 88},
  [6797] = {.lex_state = 88},
  [6798] = {.lex_state = 88},
  [6799] = {.lex_state = 88},
  [6800] = {.lex_state = 95},
  [6801] = {.lex_state = 95},
  [6802] = {.lex_state = 95},
  [6803] = {.lex_state = 88},
  [6804] = {.lex_state = 95},
  [6805] = {.lex_state = 95},
  [6806] = {.lex_state = 89},
  [6807] = {.lex_state = 88},
  [6808] = {.lex_state = 95},
  [6809] = {.lex_state = 89},
  [6810] = {.lex_state = 95},
  [6811] = {.lex_state = 89},
  [6812] = {.lex_state = 89},
  [6813] = {.lex_state = 89},
  [6814] = {.lex_state = 95},
  [6815] = {.lex_state = 89},
  [6816] = {.lex_state = 95},
  [6817] = {.lex_state = 98},
  [6818] = {.lex_state = 88},
  [6819] = {.lex_state = 89},
  [6820] = {.lex_state = 88},
  [6821] = {.lex_state = 95},
  [6822] = {.lex_state = 89},
  [6823] = {.lex_state = 95},
  [6824] = {.lex_state = 88},
  [6825] = {.lex_state = 88},
  [6826] = {.lex_state = 95},
  [6827] = {.lex_state = 88},
  [6828] = {.lex_state = 88},
  [6829] = {.lex_state = 88},
  [6830] = {.lex_state = 88},
  [6831] = {.lex_state = 95},
  [6832] = {.lex_state = 96},
  [6833] = {.lex_state = 95},
  [6834] = {.lex_state = 95},
  [6835] = {.lex_state = 95},
  [6836] = {.lex_state = 96},
  [6837] = {.lex_state = 96},
  [6838] = {.lex_state = 88},
  [6839] = {.lex_state = 88},
  [6840] = {.lex_state = 88},
  [6841] = {.lex_state = 88},
  [6842] = {.lex_state = 95},
  [6843] = {.lex_state = 95},
  [6844] = {.lex_state = 95},
  [6845] = {.lex_state = 95},
  [6846] = {.lex_state = 88},
  [6847] = {.lex_state = 88},
  [6848] = {.lex_state = 88},
  [6849] = {.lex_state = 88},
  [6850] = {.lex_state = 88},
  [6851] = {.lex_state = 88},
  [6852] = {.lex_state = 95},
  [6853] = {.lex_state = 95},
  [6854] = {.lex_state = 95},
  [6855] = {.lex_state = 88},
  [6856] = {.lex_state = 95},
  [6857] = {.lex_state = 95},
  [6858] = {.lex_state = 88},
  [6859] = {.lex_state = 95},
  [6860] = {.lex_state = 88},
  [6861] = {.lex_state = 95},
  [6862] = {.lex_state = 88},
  [6863] = {.lex_state = 88},
  [6864] = {.lex_state = 89},
  [6865] = {.lex_state = 88},
  [6866] = {.lex_state = 88},
  [6867] = {.lex_state = 88},
  [6868] = {.lex_state = 88},
  [6869] = {.lex_state = 88},
  [6870] = {.lex_state = 88},
  [6871] = {.lex_state = 95},
  [6872] = {.lex_state = 88},
  [6873] = {.lex_state = 95},
  [6874] = {.lex_state = 95},
  [6875] = {.lex_state = 88},
  [6876] = {.lex_state = 95},
  [6877] = {.lex_state = 95},
  [6878] = {.lex_state = 88},
  [6879] = {.lex_state = 95},
  [6880] = {.lex_state = 95},
  [6881] = {.lex_state = 88},
  [6882] = {.lex_state = 95},
  [6883] = {.lex_state = 88},
  [6884] = {.lex_state = 95},
  [6885] = {.lex_state = 95},
  [6886] = {.lex_state = 95},
  [6887] = {.lex_state = 88},
  [6888] = {.lex_state = 95},
  [6889] = {.lex_state = 95},
  [6890] = {.lex_state = 95},
  [6891] = {.lex_state = 88},
  [6892] = {.lex_state = 88},
  [6893] = {.lex_state = 88},
  [6894] = {.lex_state = 88},
  [6895] = {.lex_state = 88},
  [6896] = {.lex_state = 95},
  [6897] = {.lex_state = 95},
  [6898] = {.lex_state = 95},
  [6899] = {.lex_state = 95},
  [6900] = {.lex_state = 95},
  [6901] = {.lex_state = 95},
  [6902] = {.lex_state = 95},
  [6903] = {.lex_state = 95},
  [6904] = {.lex_state = 95},
  [6905] = {.lex_state = 95},
  [6906] = {.lex_state = 95},
  [6907] = {.lex_state = 98},
  [6908] = {.lex_state = 95},
  [6909] = {.lex_state = 98},
  [6910] = {.lex_state = 95},
  [6911] = {.lex_state = 98},
  [6912] = {.lex_state = 98},
  [6913] = {.lex_state = 95},
  [6914] = {.lex_state = 88},
  [6915] = {.lex_state = 95},
  [6916] = {.lex_state = 95},
  [6917] = {.lex_state = 95},
  [6918] = {.lex_state = 88},
  [6919] = {.lex_state = 95},
  [6920] = {.lex_state = 88},
  [6921] = {.lex_state = 88},
  [6922] = {.lex_state = 88},
  [6923] = {.lex_state = 88},
  [6924] = {.lex_state = 88},
  [6925] = {.lex_state = 95},
  [6926] = {.lex_state = 95},
  [6927] = {.lex_state = 95},
  [6928] = {.lex_state = 95},
  [6929] = {.lex_state = 95},
  [6930] = {.lex_state = 95},
  [6931] = {.lex_state = 95},
  [6932] = {.lex_state = 95},
  [6933] = {.lex_state = 95},
  [6934] = {.lex_state = 95},
  [6935] = {.lex_state = 95},
  [6936] = {.lex_state = 88},
  [6937] = {.lex_state = 88},
  [6938] = {.lex_state = 95},
  [6939] = {.lex_state = 95},
  [6940] = {.lex_state = 95},
  [6941] = {.lex_state = 88},
  [6942] = {.lex_state = 88},
  [6943] = {.lex_state = 88},
  [6944] = {.lex_state = 88},
  [6945] = {.lex_state = 95},
  [6946] = {.lex_state = 95},
  [6947] = {.lex_state = 88},
  [6948] = {.lex_state = 88},
  [6949] = {.lex_state = 95},
  [6950] = {.lex_state = 95},
  [6951] = {.lex_state = 95},
  [6952] = {.lex_state = 95},
  [6953] = {.lex_state = 88},
  [6954] = {.lex_state = 95},
  [6955] = {.lex_state = 88},
  [6956] = {.lex_state = 88},
  [6957] = {.lex_state = 95},
  [6958] = {.lex_state = 95},
  [6959] = {.lex_state = 95},
  [6960] = {.lex_state = 95},
  [6961] = {.lex_state = 95},
  [6962] = {.lex_state = 95},
  [6963] = {.lex_state = 95},
  [6964] = {.lex_state = 88},
  [6965] = {.lex_state = 95},
  [6966] = {.lex_state = 88},
  [6967] = {.lex_state = 88},
  [6968] = {.lex_state = 95},
  [6969] = {.lex_state = 95},
  [6970] = {.lex_state = 88},
  [6971] = {.lex_state = 95},
  [6972] = {.lex_state = 88},
  [6973] = {.lex_state = 88},
  [6974] = {.lex_state = 88},
  [6975] = {.lex_state = 95},
  [6976] = {.lex_state = 95},
  [6977] = {.lex_state = 88},
  [6978] = {.lex_state = 95},
  [6979] = {.lex_state = 88},
  [6980] = {.lex_state = 88},
  [6981] = {.lex_state = 88},
  [6982] = {.lex_state = 88},
  [6983] = {.lex_state = 88},
  [6984] = {.lex_state = 95},
  [6985] = {.lex_state = 88},
  [6986] = {.lex_state = 88},
  [6987] = {.lex_state = 95},
  [6988] = {.lex_state = 95},
  [6989] = {.lex_state = 88},
  [6990] = {.lex_state = 95},
  [6991] = {.lex_state = 88},
  [6992] = {.lex_state = 88},
  [6993] = {.lex_state = 88},
  [6994] = {.lex_state = 95},
  [6995] = {.lex_state = 88},
  [6996] = {.lex_state = 95},
  [6997] = {.lex_state = 88},
  [6998] = {.lex_state = 88},
  [6999] = {.lex_state = 88},
  [7000] = {.lex_state = 88},
  [7001] = {.lex_state = 88},
  [7002] = {.lex_state = 95},
  [7003] = {.lex_state = 95},
  [7004] = {.lex_state = 88},
  [7005] = {.lex_state = 95},
  [7006] = {.lex_state = 88},
  [7007] = {.lex_state = 88},
  [7008] = {.lex_state = 88},
  [7009] = {.lex_state = 88},
  [7010] = {.lex_state = 88},
  [7011] = {.lex_state = 88},
  [7012] = {.lex_state = 95},
  [7013] = {.lex_state = 95},
  [7014] = {.lex_state = 88},
  [7015] = {.lex_state = 88},
  [7016] = {.lex_state = 95},
  [7017] = {.lex_state = 88},
  [7018] = {.lex_state = 88},
  [7019] = {.lex_state = 88},
  [7020] = {.lex_state = 95},
  [7021] = {.lex_state = 95},
  [7022] = {.lex_state = 88},
  [7023] = {.lex_state = 88},
  [7024] = {.lex_state = 88},
  [7025] = {.lex_state = 95},
  [7026] = {.lex_state = 88},
  [7027] = {.lex_state = 88},
  [7028] = {.lex_state = 95},
  [7029] = {.lex_state = 88},
  [7030] = {.lex_state = 95},
  [7031] = {.lex_state = 95},
  [7032] = {.lex_state = 95},
  [7033] = {.lex_state = 88},
  [7034] = {.lex_state = 88},
  [7035] = {.lex_state = 95},
  [7036] = {.lex_state = 88},
  [7037] = {.lex_state = 88},
  [7038] = {.lex_state = 95},
  [7039] = {.lex_state = 88},
  [7040] = {.lex_state = 88},
  [7041] = {.lex_state = 95},
  [7042] = {.lex_state = 88},
  [7043] = {.lex_state = 95},
  [7044] = {.lex_state = 88},
  [7045] = {.lex_state = 88},
  [7046] = {.lex_state = 95},
  [7047] = {.lex_state = 95},
  [7048] = {.lex_state = 95},
  [7049] = {.lex_state = 88},
  [7050] = {.lex_state = 88},
  [7051] = {.lex_state = 88},
  [7052] = {.lex_state = 95},
  [7053] = {.lex_state = 95},
  [7054] = {.lex_state = 95},
  [7055] = {.lex_state = 95},
  [7056] = {.lex_state = 95},
  [7057] = {.lex_state = 95},
  [7058] = {.lex_state = 95},
  [7059] = {.lex_state = 95},
  [7060] = {.lex_state = 95},
  [7061] = {.lex_state = 95},
  [7062] = {.lex_state = 95},
  [7063] = {.lex_state = 95},
  [7064] = {.lex_state = 88},
  [7065] = {.lex_state = 88},
  [7066] = {.lex_state = 95},
  [7067] = {.lex_state = 95},
  [7068] = {.lex_state = 88},
  [7069] = {.lex_state = 88},
  [7070] = {.lex_state = 98},
  [7071] = {.lex_state = 88},
  [7072] = {.lex_state = 88},
  [7073] = {.lex_state = 88},
  [7074] = {.lex_state = 95},
  [7075] = {.lex_state = 88},
  [7076] = {.lex_state = 88},
  [7077] = {.lex_state = 95},
  [7078] = {.lex_state = 88},
  [7079] = {.lex_state = 88},
  [7080] = {.lex_state = 88},
  [7081] = {.lex_state = 88},
  [7082] = {.lex_state = 88},
  [7083] = {.lex_state = 88},
  [7084] = {.lex_state = 95},
  [7085] = {.lex_state = 95},
  [7086] = {.lex_state = 88},
  [7087] = {.lex_state = 95},
  [7088] = {.lex_state = 95},
  [7089] = {.lex_state = 95},
  [7090] = {.lex_state = 88},
  [7091] = {.lex_state = 95},
  [7092] = {.lex_state = 95},
  [7093] = {.lex_state = 95},
  [7094] = {.lex_state = 88},
  [7095] = {.lex_state = 95},
  [7096] = {.lex_state = 95},
  [7097] = {.lex_state = 95},
  [7098] = {.lex_state = 88},
  [7099] = {.lex_state = 95},
  [7100] = {.lex_state = 88},
  [7101] = {.lex_state = 95},
  [7102] = {.lex_state = 95},
  [7103] = {.lex_state = 95},
  [7104] = {.lex_state = 98},
  [7105] = {.lex_state = 88},
  [7106] = {.lex_state = 88},
  [7107] = {.lex_state = 88},
  [7108] = {.lex_state = 95},
  [7109] = {.lex_state = 98},
  [7110] = {.lex_state = 89},
  [7111] = {.lex_state = 88},
  [7112] = {.lex_state = 89},
  [7113] = {.lex_state = 98},
  [7114] = {.lex_state = 98},
  [7115] = {.lex_state = 88},
  [7116] = {.lex_state = 88},
  [7117] = {.lex_state = 98},
  [7118] = {.lex_state = 88},
  [7119] = {.lex_state = 98},
  [7120] = {.lex_state = 96},
  [7121] = {.lex_state = 98},
  [7122] = {.lex_state = 96},
  [7123] = {.lex_state = 88},
  [7124] = {.lex_state = 88},
  [7125] = {.lex_state = 91},
  [7126] = {.lex_state = 89},
  [7127] = {.lex_state = 95},
  [7128] = {.lex_state = 89},
  [7129] = {.lex_state = 95},
  [7130] = {.lex_state = 89},
  [7131] = {.lex_state = 88},
  [7132] = {.lex_state = 88},
  [7133] = {.lex_state = 98},
  [7134] = {.lex_state = 95},
  [7135] = {.lex_state = 95},
  [7136] = {.lex_state = 92, .external_lex_state = 2},
  [7137] = {.lex_state = 98},
  [7138] = {.lex_state = 98},
  [7139] = {.lex_state = 95},
  [7140] = {.lex_state = 95},
  [7141] = {.lex_state = 98},
  [7142] = {.lex_state = 89},
  [7143] = {.lex_state = 85},
  [7144] = {.lex_state = 89},
  [7145] = {.lex_state = 89},
  [7146] = {.lex_state = 96},
  [7147] = {.lex_state = 95},
  [7148] = {.lex_state = 89},
  [7149] = {.lex_state = 95},
  [7150] = {.lex_state = 89},
  [7151] = {.lex_state = 88},
  [7152] = {.lex_state = 88},
  [7153] = {.lex_state = 88},
  [7154] = {.lex_state = 98},
  [7155] = {.lex_state = 95},
  [7156] = {.lex_state = 88},
  [7157] = {.lex_state = 89},
  [7158] = {.lex_state = 95},
  [7159] = {.lex_state = 88},
  [7160] = {.lex_state = 95},
  [7161] = {.lex_state = 89},
  [7162] = {.lex_state = 89},
  [7163] = {.lex_state = 95},
  [7164] = {.lex_state = 89},
  [7165] = {.lex_state = 95},
  [7166] = {.lex_state = 89},
  [7167] = {.lex_state = 95},
  [7168] = {.lex_state = 88},
  [7169] = {.lex_state = 85},
  [7170] = {.lex_state = 100, .external_lex_state = 2},
  [7171] = {.lex_state = 88},
  [7172] = {.lex_state = 88},
  [7173] = {.lex_state = 88},
  [7174] = {.lex_state = 88},
  [7175] = {.lex_state = 89},
  [7176] = {.lex_state = 88},
  [7177] = {.lex_state = 88},
  [7178] = {.lex_state = 88},
  [7179] = {.lex_state = 88},
  [7180] = {.lex_state = 88},
  [7181] = {.lex_state = 98},
  [7182] = {.lex_state = 96},
  [7183] = {.lex_state = 96},
  [7184] = {.lex_state = 95},
  [7185] = {.lex_state = 89},
  [7186] = {.lex_state = 98},
  [7187] = {.lex_state = 95},
  [7188] = {.lex_state = 89},
  [7189] = {.lex_state = 95},
  [7190] = {.lex_state = 95},
  [7191] = {.lex_state = 88},
  [7192] = {.lex_state = 95},
  [7193] = {.lex_state = 98},
  [7194] = {.lex_state = 95},
  [7195] = {.lex_state = 95},
  [7196] = {.lex_state = 98},
  [7197] = {.lex_state = 98},
  [7198] = {.lex_state = 95},
  [7199] = {.lex_state = 95},
  [7200] = {.lex_state = 96},
  [7201] = {.lex_state = 98},
  [7202] = {.lex_state = 98},
  [7203] = {.lex_state = 98},
  [7204] = {.lex_state = 89},
  [7205] = {.lex_state = 89},
  [7206] = {.lex_state = 98},
  [7207] = {.lex_state = 98},
  [7208] = {.lex_state = 95},
  [7209] = {.lex_state = 98},
  [7210] = {.lex_state = 98},
  [7211] = {.lex_state = 98},
  [7212] = {.lex_state = 89},
  [7213] = {.lex_state = 98},
  [7214] = {.lex_state = 89},
  [7215] = {.lex_state = 98},
  [7216] = {.lex_state = 89},
  [7217] = {.lex_state = 98},
  [7218] = {.lex_state = 96},
  [7219] = {.lex_state = 89},
  [7220] = {.lex_state = 95},
  [7221] = {.lex_state = 89},
  [7222] = {.lex_state = 89},
  [7223] = {.lex_state = 89},
  [7224] = {.lex_state = 96},
  [7225] = {.lex_state = 89},
  [7226] = {.lex_state = 96},
  [7227] = {.lex_state = 95},
  [7228] = {.lex_state = 96},
  [7229] = {.lex_state = 96},
  [7230] = {.lex_state = 89},
  [7231] = {.lex_state = 95},
  [7232] = {.lex_state = 88},
  [7233] = {.lex_state = 95},
  [7234] = {.lex_state = 95},
  [7235] = {.lex_state = 95},
  [7236] = {.lex_state = 89, .external_lex_state = 2},
  [7237] = {.lex_state = 89},
  [7238] = {.lex_state = 95},
  [7239] = {.lex_state = 89},
  [7240] = {.lex_state = 88},
  [7241] = {.lex_state = 95},
  [7242] = {.lex_state = 89},
  [7243] = {.lex_state = 89},
  [7244] = {.lex_state = 88},
  [7245] = {.lex_state = 88},
  [7246] = {.lex_state = 89},
  [7247] = {.lex_state = 95},
  [7248] = {.lex_state = 88},
  [7249] = {.lex_state = 88},
  [7250] = {.lex_state = 89},
  [7251] = {.lex_state = 88},
  [7252] = {.lex_state = 98},
  [7253] = {.lex_state = 95},
  [7254] = {.lex_state = 88},
  [7255] = {.lex_state = 88},
  [7256] = {.lex_state = 88},
  [7257] = {.lex_state = 88},
  [7258] = {.lex_state = 88},
  [7259] = {.lex_state = 89},
  [7260] = {.lex_state = 95},
  [7261] = {.lex_state = 96},
  [7262] = {.lex_state = 96},
  [7263] = {.lex_state = 88},
  [7264] = {.lex_state = 88},
  [7265] = {.lex_state = 95},
  [7266] = {.lex_state = 88},
  [7267] = {.lex_state = 89},
  [7268] = {.lex_state = 89},
  [7269] = {.lex_state = 95},
  [7270] = {.lex_state = 89},
  [7271] = {.lex_state = 96},
  [7272] = {.lex_state = 98},
  [7273] = {.lex_state = 96},
  [7274] = {.lex_state = 98},
  [7275] = {.lex_state = 96},
  [7276] = {.lex_state = 98},
  [7277] = {.lex_state = 98},
  [7278] = {.lex_state = 95},
  [7279] = {.lex_state = 98},
  [7280] = {.lex_state = 95},
  [7281] = {.lex_state = 98},
  [7282] = {.lex_state = 95},
  [7283] = {.lex_state = 95},
  [7284] = {.lex_state = 95},
  [7285] = {.lex_state = 98},
  [7286] = {.lex_state = 98},
  [7287] = {.lex_state = 96},
  [7288] = {.lex_state = 95},
  [7289] = {.lex_state = 95},
  [7290] = {.lex_state = 98},
  [7291] = {.lex_state = 95},
  [7292] = {.lex_state = 95},
  [7293] = {.lex_state = 95},
  [7294] = {.lex_state = 95},
  [7295] = {.lex_state = 96},
  [7296] = {.lex_state = 88},
  [7297] = {.lex_state = 98},
  [7298] = {.lex_state = 89},
  [7299] = {.lex_state = 89},
  [7300] = {.lex_state = 95},
  [7301] = {.lex_state = 98},
  [7302] = {.lex_state = 95},
  [7303] = {.lex_state = 98},
  [7304] = {.lex_state = 98},
  [7305] = {.lex_state = 98},
  [7306] = {.lex_state = 96},
  [7307] = {.lex_state = 98},
  [7308] = {.lex_state = 95},
  [7309] = {.lex_state = 98},
  [7310] = {.lex_state = 88},
  [7311] = {.lex_state = 98},
  [7312] = {.lex_state = 98},
  [7313] = {.lex_state = 96},
  [7314] = {.lex_state = 95},
  [7315] = {.lex_state = 95},
  [7316] = {.lex_state = 95},
  [7317] = {.lex_state = 98},
  [7318] = {.lex_state = 95},
  [7319] = {.lex_state = 96},
  [7320] = {.lex_state = 96},
  [7321] = {.lex_state = 95},
  [7322] = {.lex_state = 95},
  [7323] = {.lex_state = 95},
  [7324] = {.lex_state = 98},
  [7325] = {.lex_state = 95},
  [7326] = {.lex_state = 95},
  [7327] = {.lex_state = 95},
  [7328] = {.lex_state = 96},
  [7329] = {.lex_state = 98},
  [7330] = {.lex_state = 98},
  [7331] = {.lex_state = 95},
  [7332] = {.lex_state = 95},
  [7333] = {.lex_state = 98},
  [7334] = {.lex_state = 98},
  [7335] = {.lex_state = 95},
  [7336] = {.lex_state = 95},
  [7337] = {.lex_state = 98},
  [7338] = {.lex_state = 98},
  [7339] = {.lex_state = 95},
  [7340] = {.lex_state = 98},
  [7341] = {.lex_state = 95},
  [7342] = {.lex_state = 95},
  [7343] = {.lex_state = 98},
  [7344] = {.lex_state = 89},
  [7345] = {.lex_state = 95},
  [7346] = {.lex_state = 95},
  [7347] = {.lex_state = 95},
  [7348] = {.lex_state = 95},
  [7349] = {.lex_state = 98},
  [7350] = {.lex_state = 95},
  [7351] = {.lex_state = 95},
  [7352] = {.lex_state = 98},
  [7353] = {.lex_state = 98},
  [7354] = {.lex_state = 95},
  [7355] = {.lex_state = 98},
  [7356] = {.lex_state = 95},
  [7357] = {.lex_state = 95},
  [7358] = {.lex_state = 89},
  [7359] = {.lex_state = 96},
  [7360] = {.lex_state = 95},
  [7361] = {.lex_state = 88},
  [7362] = {.lex_state = 95},
  [7363] = {.lex_state = 89},
  [7364] = {.lex_state = 95},
  [7365] = {.lex_state = 95},
  [7366] = {.lex_state = 95},
  [7367] = {.lex_state = 89, .external_lex_state = 2},
  [7368] = {.lex_state = 95},
  [7369] = {.lex_state = 98},
  [7370] = {.lex_state = 96},
  [7371] = {.lex_state = 98},
  [7372] = {.lex_state = 96},
  [7373] = {.lex_state = 96},
  [7374] = {.lex_state = 95},
  [7375] = {.lex_state = 95},
  [7376] = {.lex_state = 95},
  [7377] = {.lex_state = 95},
  [7378] = {.lex_state = 95},
  [7379] = {.lex_state = 95},
  [7380] = {.lex_state = 95},
  [7381] = {.lex_state = 98},
  [7382] = {.lex_state = 98},
  [7383] = {.lex_state = 95},
  [7384] = {.lex_state = 95},
  [7385] = {.lex_state = 95},
  [7386] = {.lex_state = 95},
  [7387] = {.lex_state = 95},
  [7388] = {.lex_state = 98},
  [7389] = {.lex_state = 95},
  [7390] = {.lex_state = 95},
  [7391] = {.lex_state = 95},
  [7392] = {.lex_state = 98},
  [7393] = {.lex_state = 98},
  [7394] = {.lex_state = 95},
  [7395] = {.lex_state = 95},
  [7396] = {.lex_state = 95},
  [7397] = {.lex_state = 98},
  [7398] = {.lex_state = 95},
  [7399] = {.lex_state = 95},
  [7400] = {.lex_state = 95},
  [7401] = {.lex_state = 95},
  [7402] = {.lex_state = 96},
  [7403] = {.lex_state = 96},
  [7404] = {.lex_state = 96},
  [7405] = {.lex_state = 95},
  [7406] = {.lex_state = 96},
  [7407] = {.lex_state = 96},
  [7408] = {.lex_state = 96},
  [7409] = {.lex_state = 95},
  [7410] = {.lex_state = 95},
  [7411] = {.lex_state = 98},
  [7412] = {.lex_state = 95},
  [7413] = {.lex_state = 98},
  [7414] = {.lex_state = 98},
  [7415] = {.lex_state = 98},
  [7416] = {.lex_state = 95},
  [7417] = {.lex_state = 95},
  [7418] = {.lex_state = 98},
  [7419] = {.lex_state = 91},
  [7420] = {.lex_state = 95},
  [7421] = {.lex_state = 92, .external_lex_state = 2},
  [7422] = {.lex_state = 98},
  [7423] = {.lex_state = 95},
  [7424] = {.lex_state = 96},
  [7425] = {.lex_state = 98},
  [7426] = {.lex_state = 96},
  [7427] = {.lex_state = 96},
  [7428] = {.lex_state = 96},
  [7429] = {.lex_state = 91},
  [7430] = {.lex_state = 96},
  [7431] = {.lex_state = 96},
  [7432] = {.lex_state = 96},
  [7433] = {.lex_state = 98},
  [7434] = {.lex_state = 98},
  [7435] = {.lex_state = 96},
  [7436] = {.lex_state = 96},
  [7437] = {.lex_state = 98, .external_lex_state = 2},
  [7438] = {.lex_state = 96},
  [7439] = {.lex_state = 98},
  [7440] = {.lex_state = 96},
  [7441] = {.lex_state = 96},
  [7442] = {.lex_state = 98, .external_lex_state = 2},
  [7443] = {.lex_state = 100},
  [7444] = {.lex_state = 96},
  [7445] = {.lex_state = 92},
  [7446] = {.lex_state = 98},
  [7447] = {.lex_state = 96},
  [7448] = {.lex_state = 100},
  [7449] = {.lex_state = 96},
  [7450] = {.lex_state = 89},
  [7451] = {.lex_state = 98},
  [7452] = {.lex_state = 96},
  [7453] = {.lex_state = 98},
  [7454] = {.lex_state = 98},
  [7455] = {.lex_state = 89},
  [7456] = {.lex_state = 98},
  [7457] = {.lex_state = 100},
  [7458] = {.lex_state = 98},
  [7459] = {.lex_state = 96},
  [7460] = {.lex_state = 98},
  [7461] = {.lex_state = 96},
  [7462] = {.lex_state = 96},
  [7463] = {.lex_state = 89},
  [7464] = {.lex_state = 96},
  [7465] = {.lex_state = 96},
  [7466] = {.lex_state = 98},
  [7467] = {.lex_state = 98},
  [7468] = {.lex_state = 96},
  [7469] = {.lex_state = 98},
  [7470] = {.lex_state = 98},
  [7471] = {.lex_state = 96},
  [7472] = {.lex_state = 95},
  [7473] = {.lex_state = 96},
  [7474] = {.lex_state = 98},
  [7475] = {.lex_state = 98},
  [7476] = {.lex_state = 98},
  [7477] = {.lex_state = 98},
  [7478] = {.lex_state = 96},
  [7479] = {.lex_state = 98},
  [7480] = {.lex_state = 98},
  [7481] = {.lex_state = 98},
  [7482] = {.lex_state = 98},
  [7483] = {.lex_state = 98},
  [7484] = {.lex_state = 98, .external_lex_state = 2},
  [7485] = {.lex_state = 98, .external_lex_state = 2},
  [7486] = {.lex_state = 92},
  [7487] = {.lex_state = 98},
  [7488] = {.lex_state = 98},
  [7489] = {.lex_state = 98},
  [7490] = {.lex_state = 92},
  [7491] = {.lex_state = 96},
  [7492] = {.lex_state = 98},
  [7493] = {.lex_state = 98},
  [7494] = {.lex_state = 98},
  [7495] = {.lex_state = 96},
  [7496] = {.lex_state = 98},
  [7497] = {.lex_state = 98},
  [7498] = {.lex_state = 98},
  [7499] = {.lex_state = 98},
  [7500] = {.lex_state = 98},
  [7501] = {.lex_state = 98},
  [7502] = {.lex_state = 98},
  [7503] = {.lex_state = 89},
  [7504] = {.lex_state = 98},
  [7505] = {.lex_state = 98},
  [7506] = {.lex_state = 98},
  [7507] = {.lex_state = 89},
  [7508] = {.lex_state = 98},
  [7509] = {.lex_state = 98},
  [7510] = {.lex_state = 98},
  [7511] = {.lex_state = 98},
  [7512] = {.lex_state = 98},
  [7513] = {.lex_state = 98},
  [7514] = {.lex_state = 98, .external_lex_state = 2},
  [7515] = {.lex_state = 98},
  [7516] = {.lex_state = 98, .external_lex_state = 2},
  [7517] = {.lex_state = 98},
  [7518] = {.lex_state = 98},
  [7519] = {.lex_state = 98},
  [7520] = {.lex_state = 96},
  [7521] = {.lex_state = 98},
  [7522] = {.lex_state = 96},
  [7523] = {.lex_state = 96},
  [7524] = {.lex_state = 98},
  [7525] = {.lex_state = 98},
  [7526] = {.lex_state = 98},
  [7527] = {.lex_state = 98},
  [7528] = {.lex_state = 98},
  [7529] = {.lex_state = 89},
  [7530] = {.lex_state = 92},
  [7531] = {.lex_state = 92},
  [7532] = {.lex_state = 98},
  [7533] = {.lex_state = 98},
  [7534] = {.lex_state = 92},
  [7535] = {.lex_state = 92},
  [7536] = {.lex_state = 98},
  [7537] = {.lex_state = 98},
  [7538] = {.lex_state = 92},
  [7539] = {.lex_state = 92},
  [7540] = {.lex_state = 98},
  [7541] = {.lex_state = 92},
  [7542] = {.lex_state = 92},
  [7543] = {.lex_state = 92},
  [7544] = {.lex_state = 92},
  [7545] = {.lex_state = 89},
  [7546] = {.lex_state = 92},
  [7547] = {.lex_state = 92},
  [7548] = {.lex_state = 92},
  [7549] = {.lex_state = 92},
  [7550] = {.lex_state = 100},
  [7551] = {.lex_state = 92},
  [7552] = {.lex_state = 92},
  [7553] = {.lex_state = 89},
  [7554] = {.lex_state = 92},
  [7555] = {.lex_state = 92},
  [7556] = {.lex_state = 89},
  [7557] = {.lex_state = 89},
  [7558] = {.lex_state = 92},
  [7559] = {.lex_state = 92},
  [7560] = {.lex_state = 92},
  [7561] = {.lex_state = 92},
  [7562] = {.lex_state = 98},
  [7563] = {.lex_state = 92},
  [7564] = {.lex_state = 92},
  [7565] = {.lex_state = 92},
  [7566] = {.lex_state = 92},
  [7567] = {.lex_state = 98},
  [7568] = {.lex_state = 92},
  [7569] = {.lex_state = 98},
  [7570] = {.lex_state = 92},
  [7571] = {.lex_state = 98},
  [7572] = {.lex_state = 98},
  [7573] = {.lex_state = 98},
  [7574] = {.lex_state = 98},
  [7575] = {.lex_state = 92},
  [7576] = {.lex_state = 98},
  [7577] = {.lex_state = 92},
  [7578] = {.lex_state = 92},
  [7579] = {.lex_state = 100},
  [7580] = {.lex_state = 92},
  [7581] = {.lex_state = 92},
  [7582] = {.lex_state = 92},
  [7583] = {.lex_state = 95},
  [7584] = {.lex_state = 92},
  [7585] = {.lex_state = 92},
  [7586] = {.lex_state = 95},
  [7587] = {.lex_state = 92},
  [7588] = {.lex_state = 92},
  [7589] = {.lex_state = 98},
  [7590] = {.lex_state = 100},
  [7591] = {.lex_state = 100},
  [7592] = {.lex_state = 92},
  [7593] = {.lex_state = 100},
  [7594] = {.lex_state = 92},
  [7595] = {.lex_state = 95},
  [7596] = {.lex_state = 92},
  [7597] = {.lex_state = 95},
  [7598] = {.lex_state = 92},
  [7599] = {.lex_state = 95},
  [7600] = {.lex_state = 95},
  [7601] = {.lex_state = 100},
  [7602] = {.lex_state = 92},
  [7603] = {.lex_state = 100},
  [7604] = {.lex_state = 92},
  [7605] = {.lex_state = 92},
  [7606] = {.lex_state = 92},
  [7607] = {.lex_state = 95},
  [7608] = {.lex_state = 95},
  [7609] = {.lex_state = 92},
  [7610] = {.lex_state = 100},
  [7611] = {.lex_state = 95},
  [7612] = {.lex_state = 95},
  [7613] = {.lex_state = 92},
  [7614] = {.lex_state = 98},
  [7615] = {.lex_state = 92},
  [7616] = {.lex_state = 98},
  [7617] = {.lex_state = 92},
  [7618] = {.lex_state = 98},
  [7619] = {.lex_state = 92},
  [7620] = {.lex_state = 92},
  [7621] = {.lex_state = 89},
  [7622] = {.lex_state = 98, .external_lex_state = 2},
  [7623] = {.lex_state = 100},
  [7624] = {.lex_state = 92},
  [7625] = {.lex_state = 95},
  [7626] = {.lex_state = 95},
  [7627] = {.lex_state = 100},
  [7628] = {.lex_state = 95},
  [7629] = {.lex_state = 92},
  [7630] = {.lex_state = 92},
  [7631] = {.lex_state = 95},
  [7632] = {.lex_state = 92},
  [7633] = {.lex_state = 100},
  [7634] = {.lex_state = 100},
  [7635] = {.lex_state = 95},
  [7636] = {.lex_state = 92},
  [7637] = {.lex_state = 92},
  [7638] = {.lex_state = 100},
  [7639] = {.lex_state = 92},
  [7640] = {.lex_state = 95},
  [7641] = {.lex_state = 92},
  [7642] = {.lex_state = 92},
  [7643] = {.lex_state = 92},
  [7644] = {.lex_state = 92},
  [7645] = {.lex_state = 89},
  [7646] = {.lex_state = 98},
  [7647] = {.lex_state = 89},
  [7648] = {.lex_state = 95},
  [7649] = {.lex_state = 89},
  [7650] = {.lex_state = 92},
  [7651] = {.lex_state = 100},
  [7652] = {.lex_state = 92},
  [7653] = {.lex_state = 100},
  [7654] = {.lex_state = 92},
  [7655] = {.lex_state = 92},
  [7656] = {.lex_state = 92},
  [7657] = {.lex_state = 92},
  [7658] = {.lex_state = 100},
  [7659] = {.lex_state = 100},
  [7660] = {.lex_state = 89},
  [7661] = {.lex_state = 98, .external_lex_state = 2},
  [7662] = {.lex_state = 95},
  [7663] = {.lex_state = 95},
  [7664] = {.lex_state = 92},
  [7665] = {.lex_state = 100},
  [7666] = {.lex_state = 98, .external_lex_state = 2},
  [7667] = {.lex_state = 95},
  [7668] = {.lex_state = 100},
  [7669] = {.lex_state = 95},
  [7670] = {.lex_state = 100},
  [7671] = {.lex_state = 100},
  [7672] = {.lex_state = 92},
  [7673] = {.lex_state = 95},
  [7674] = {.lex_state = 100},
  [7675] = {.lex_state = 100},
  [7676] = {.lex_state = 92},
  [7677] = {.lex_state = 92},
  [7678] = {.lex_state = 95},
  [7679] = {.lex_state = 100},
  [7680] = {.lex_state = 100},
  [7681] = {.lex_state = 92},
  [7682] = {.lex_state = 95},
  [7683] = {.lex_state = 98},
  [7684] = {.lex_state = 92},
  [7685] = {.lex_state = 98, .external_lex_state = 2},
  [7686] = {.lex_state = 92},
  [7687] = {.lex_state = 92},
  [7688] = {.lex_state = 92},
  [7689] = {.lex_state = 100},
  [7690] = {.lex_state = 89},
  [7691] = {.lex_state = 92},
  [7692] = {.lex_state = 92},
  [7693] = {.lex_state = 100},
  [7694] = {.lex_state = 100},
  [7695] = {.lex_state = 92},
  [7696] = {.lex_state = 95},
  [7697] = {.lex_state = 98},
  [7698] = {.lex_state = 100},
  [7699] = {.lex_state = 92},
  [7700] = {.lex_state = 92},
  [7701] = {.lex_state = 92},
  [7702] = {.lex_state = 95},
  [7703] = {.lex_state = 92},
  [7704] = {.lex_state = 98, .external_lex_state = 2},
  [7705] = {.lex_state = 100},
  [7706] = {.lex_state = 92},
  [7707] = {.lex_state = 100},
  [7708] = {.lex_state = 92},
  [7709] = {.lex_state = 95},
  [7710] = {.lex_state = 95},
  [7711] = {.lex_state = 92},
  [7712] = {.lex_state = 92},
  [7713] = {.lex_state = 100},
  [7714] = {.lex_state = 89},
  [7715] = {.lex_state = 95},
  [7716] = {.lex_state = 92},
  [7717] = {.lex_state = 92},
  [7718] = {.lex_state = 92},
  [7719] = {.lex_state = 100},
  [7720] = {.lex_state = 89},
  [7721] = {.lex_state = 92},
  [7722] = {.lex_state = 98},
  [7723] = {.lex_state = 95},
  [7724] = {.lex_state = 98},
  [7725] = {.lex_state = 89},
  [7726] = {.lex_state = 89},
  [7727] = {.lex_state = 100},
  [7728] = {.lex_state = 100},
  [7729] = {.lex_state = 98},
  [7730] = {.lex_state = 92},
  [7731] = {.lex_state = 100},
  [7732] = {.lex_state = 98},
  [7733] = {.lex_state = 92},
  [7734] = {.lex_state = 92},
  [7735] = {.lex_state = 100},
  [7736] = {.lex_state = 89},
  [7737] = {.lex_state = 92},
  [7738] = {.lex_state = 89},
  [7739] = {.lex_state = 100},
  [7740] = {.lex_state = 98},
  [7741] = {.lex_state = 98},
  [7742] = {.lex_state = 92},
  [7743] = {.lex_state = 92},
  [7744] = {.lex_state = 98},
  [7745] = {.lex_state = 100},
  [7746] = {.lex_state = 92},
  [7747] = {.lex_state = 92},
  [7748] = {.lex_state = 89},
  [7749] = {.lex_state = 98},
  [7750] = {.lex_state = 89},
  [7751] = {.lex_state = 100},
  [7752] = {.lex_state = 92},
  [7753] = {.lex_state = 89},
  [7754] = {.lex_state = 89},
  [7755] = {.lex_state = 89},
  [7756] = {.lex_state = 89},
  [7757] = {.lex_state = 98},
  [7758] = {.lex_state = 98},
  [7759] = {.lex_state = 89},
  [7760] = {.lex_state = 92},
  [7761] = {.lex_state = 98},
  [7762] = {.lex_state = 98},
  [7763] = {.lex_state = 96},
  [7764] = {.lex_state = 100},
  [7765] = {.lex_state = 98},
  [7766] = {.lex_state = 100},
  [7767] = {.lex_state = 98},
  [7768] = {.lex_state = 100},
  [7769] = {.lex_state = 98},
  [7770] = {.lex_state = 89},
  [7771] = {.lex_state = 100},
  [7772] = {.lex_state = 98},
  [7773] = {.lex_state = 92},
  [7774] = {.lex_state = 84},
  [7775] = {.lex_state = 84},
  [7776] = {.lex_state = 92},
  [7777] = {.lex_state = 92},
  [7778] = {.lex_state = 100},
  [7779] = {.lex_state = 92},
  [7780] = {.lex_state = 98},
  [7781] = {.lex_state = 92},
  [7782] = {.lex_state = 92},
  [7783] = {.lex_state = 100},
  [7784] = {.lex_state = 92},
  [7785] = {.lex_state = 95},
  [7786] = {.lex_state = 100},
  [7787] = {.lex_state = 89},
  [7788] = {.lex_state = 92},
  [7789] = {.lex_state = 89},
  [7790] = {.lex_state = 98},
  [7791] = {.lex_state = 100},
  [7792] = {.lex_state = 92},
  [7793] = {.lex_state = 100},
  [7794] = {.lex_state = 95},
  [7795] = {.lex_state = 92},
  [7796] = {.lex_state = 92},
  [7797] = {.lex_state = 100},
  [7798] = {.lex_state = 92},
  [7799] = {.lex_state = 98},
  [7800] = {.lex_state = 100},
  [7801] = {.lex_state = 92},
  [7802] = {.lex_state = 98},
  [7803] = {.lex_state = 100},
  [7804] = {.lex_state = 92},
  [7805] = {.lex_state = 95},
  [7806] = {.lex_state = 89},
  [7807] = {.lex_state = 89},
  [7808] = {.lex_state = 89},
  [7809] = {.lex_state = 98},
  [7810] = {.lex_state = 100},
  [7811] = {.lex_state = 89},
  [7812] = {.lex_state = 98},
  [7813] = {.lex_state = 89},
  [7814] = {.lex_state = 95},
  [7815] = {.lex_state = 92},
  [7816] = {.lex_state = 89},
  [7817] = {.lex_state = 98},
  [7818] = {.lex_state = 98},
  [7819] = {.lex_state = 95},
  [7820] = {.lex_state = 89},
  [7821] = {.lex_state = 100},
  [7822] = {.lex_state = 100},
  [7823] = {.lex_state = 89},
  [7824] = {.lex_state = 95},
  [7825] = {.lex_state = 92},
  [7826] = {.lex_state = 100},
  [7827] = {.lex_state = 98},
  [7828] = {.lex_state = 100},
  [7829] = {.lex_state = 100},
  [7830] = {.lex_state = 100},
  [7831] = {.lex_state = 100},
  [7832] = {.lex_state = 100},
  [7833] = {.lex_state = 100},
  [7834] = {.lex_state = 92},
  [7835] = {.lex_state = 92},
  [7836] = {.lex_state = 98},
  [7837] = {.lex_state = 96},
  [7838] = {.lex_state = 98},
  [7839] = {.lex_state = 100},
  [7840] = {.lex_state = 89},
  [7841] = {.lex_state = 89},
  [7842] = {.lex_state = 89},
  [7843] = {.lex_state = 89},
  [7844] = {.lex_state = 92},
  [7845] = {.lex_state = 89},
  [7846] = {.lex_state = 89},
  [7847] = {.lex_state = 89},
  [7848] = {.lex_state = 96},
  [7849] = {.lex_state = 100},
  [7850] = {.lex_state = 89},
  [7851] = {.lex_state = 92},
  [7852] = {.lex_state = 100},
  [7853] = {.lex_state = 92},
  [7854] = {.lex_state = 89},
  [7855] = {.lex_state = 98},
  [7856] = {.lex_state = 92},
  [7857] = {.lex_state = 89},
  [7858] = {.lex_state = 92},
  [7859] = {.lex_state = 92},
  [7860] = {.lex_state = 95},
  [7861] = {.lex_state = 89},
  [7862] = {.lex_state = 98},
  [7863] = {.lex_state = 96},
  [7864] = {.lex_state = 98},
  [7865] = {.lex_state = 89},
  [7866] = {.lex_state = 89},
  [7867] = {.lex_state = 92},
  [7868] = {.lex_state = 95},
  [7869] = {.lex_state = 89},
  [7870] = {.lex_state = 89},
  [7871] = {.lex_state = 92},
  [7872] = {.lex_state = 89},
  [7873] = {.lex_state = 100},
  [7874] = {.lex_state = 89},
  [7875] = {.lex_state = 89},
  [7876] = {.lex_state = 92},
  [7877] = {.lex_state = 89},
  [7878] = {.lex_state = 92},
  [7879] = {.lex_state = 89},
  [7880] = {.lex_state = 89},
  [7881] = {.lex_state = 89},
  [7882] = {.lex_state = 89},
  [7883] = {.lex_state = 89},
  [7884] = {.lex_state = 89},
  [7885] = {.lex_state = 95},
  [7886] = {.lex_state = 100},
  [7887] = {.lex_state = 100},
  [7888] = {.lex_state = 92},
  [7889] = {.lex_state = 89},
  [7890] = {.lex_state = 89},
  [7891] = {.lex_state = 98},
  [7892] = {.lex_state = 100},
  [7893] = {.lex_state = 95},
  [7894] = {.lex_state = 96},
  [7895] = {.lex_state = 96},
  [7896] = {.lex_state = 89},
  [7897] = {.lex_state = 89},
  [7898] = {.lex_state = 100},
  [7899] = {.lex_state = 95},
  [7900] = {.lex_state = 98},
  [7901] = {.lex_state = 89},
  [7902] = {.lex_state = 98},
  [7903] = {.lex_state = 95},
  [7904] = {.lex_state = 100},
  [7905] = {.lex_state = 89},
  [7906] = {.lex_state = 89},
  [7907] = {.lex_state = 89},
  [7908] = {.lex_state = 100},
  [7909] = {.lex_state = 100},
  [7910] = {.lex_state = 100},
  [7911] = {.lex_state = 89},
  [7912] = {.lex_state = 95},
  [7913] = {.lex_state = 96},
  [7914] = {.lex_state = 89},
  [7915] = {.lex_state = 100},
  [7916] = {.lex_state = 95},
  [7917] = {.lex_state = 92},
  [7918] = {.lex_state = 100},
  [7919] = {.lex_state = 100},
  [7920] = {.lex_state = 100},
  [7921] = {.lex_state = 92},
  [7922] = {.lex_state = 95},
  [7923] = {.lex_state = 92},
  [7924] = {.lex_state = 89},
  [7925] = {.lex_state = 100},
  [7926] = {.lex_state = 100},
  [7927] = {.lex_state = 92},
  [7928] = {.lex_state = 92},
  [7929] = {.lex_state = 100},
  [7930] = {.lex_state = 92},
  [7931] = {.lex_state = 92},
  [7932] = {.lex_state = 100},
  [7933] = {.lex_state = 92},
  [7934] = {.lex_state = 92},
  [7935] = {.lex_state = 92},
  [7936] = {.lex_state = 100},
  [7937] = {.lex_state = 92},
  [7938] = {.lex_state = 100},
  [7939] = {.lex_state = 92},
  [7940] = {.lex_state = 92},
  [7941] = {.lex_state = 92},
  [7942] = {.lex_state = 92},
  [7943] = {.lex_state = 92},
  [7944] = {.lex_state = 95},
  [7945] = {.lex_state = 92},
  [7946] = {.lex_state = 100},
  [7947] = {.lex_state = 89},
  [7948] = {.lex_state = 100},
  [7949] = {.lex_state = 92},
  [7950] = {.lex_state = 100},
  [7951] = {.lex_state = 92},
  [7952] = {.lex_state = 92},
  [7953] = {.lex_state = 92},
  [7954] = {.lex_state = 92},
  [7955] = {.lex_state = 89},
  [7956] = {.lex_state = 92},
  [7957] = {.lex_state = 92},
  [7958] = {.lex_state = 100},
  [7959] = {.lex_state = 100},
  [7960] = {.lex_state = 92},
  [7961] = {.lex_state = 100},
  [7962] = {.lex_state = 92},
  [7963] = {.lex_state = 92},
  [7964] = {.lex_state = 100},
  [7965] = {.lex_state = 98},
  [7966] = {.lex_state = 92},
  [7967] = {.lex_state = 100},
  [7968] = {.lex_state = 92},
  [7969] = {.lex_state = 92},
  [7970] = {.lex_state = 92},
  [7971] = {.lex_state = 95},
  [7972] = {.lex_state = 92},
  [7973] = {.lex_state = 92},
  [7974] = {.lex_state = 92},
  [7975] = {.lex_state = 95},
  [7976] = {.lex_state = 92},
  [7977] = {.lex_state = 92},
  [7978] = {.lex_state = 89},
  [7979] = {.lex_state = 92},
  [7980] = {.lex_state = 95},
  [7981] = {.lex_state = 95},
  [7982] = {.lex_state = 92},
  [7983] = {.lex_state = 98},
  [7984] = {.lex_state = 92},
  [7985] = {.lex_state = 96},
  [7986] = {.lex_state = 98},
  [7987] = {.lex_state = 92},
  [7988] = {.lex_state = 92},
  [7989] = {.lex_state = 92},
  [7990] = {.lex_state = 100},
  [7991] = {.lex_state = 95},
  [7992] = {.lex_state = 92},
  [7993] = {.lex_state = 100},
  [7994] = {.lex_state = 100},
  [7995] = {.lex_state = 92},
  [7996] = {.lex_state = 95},
  [7997] = {.lex_state = 92},
  [7998] = {.lex_state = 89},
  [7999] = {.lex_state = 92},
  [8000] = {.lex_state = 92},
  [8001] = {.lex_state = 95},
  [8002] = {.lex_state = 92},
  [8003] = {.lex_state = 92},
  [8004] = {.lex_state = 92},
  [8005] = {.lex_state = 89},
  [8006] = {.lex_state = 89},
  [8007] = {.lex_state = 100},
  [8008] = {.lex_state = 92},
  [8009] = {.lex_state = 89},
  [8010] = {.lex_state = 92},
  [8011] = {.lex_state = 92},
  [8012] = {.lex_state = 92},
  [8013] = {.lex_state = 89},
  [8014] = {.lex_state = 89},
  [8015] = {.lex_state = 92},
  [8016] = {.lex_state = 92},
  [8017] = {.lex_state = 89},
  [8018] = {.lex_state = 89},
  [8019] = {.lex_state = 89},
  [8020] = {.lex_state = 92},
  [8021] = {.lex_state = 89},
  [8022] = {.lex_state = 98},
  [8023] = {.lex_state = 98},
  [8024] = {.lex_state = 98},
  [8025] = {.lex_state = 98},
  [8026] = {.lex_state = 98},
  [8027] = {.lex_state = 98},
  [8028] = {.lex_state = 98},
  [8029] = {.lex_state = 98},
  [8030] = {.lex_state = 98},
  [8031] = {.lex_state = 98},
  [8032] = {.lex_state = 98},
  [8033] = {.lex_state = 89},
  [8034] = {.lex_state = 98},
  [8035] = {.lex_state = 98},
  [8036] = {.lex_state = 98},
  [8037] = {.lex_state = 98},
  [8038] = {.lex_state = 98},
  [8039] = {.lex_state = 98},
  [8040] = {.lex_state = 98},
  [8041] = {.lex_state = 98},
  [8042] = {.lex_state = 98},
  [8043] = {.lex_state = 98},
  [8044] = {.lex_state = 98},
  [8045] = {.lex_state = 98},
  [8046] = {.lex_state = 89},
  [8047] = {.lex_state = 98},
  [8048] = {.lex_state = 98},
  [8049] = {.lex_state = 98},
  [8050] = {.lex_state = 98},
  [8051] = {.lex_state = 98},
  [8052] = {.lex_state = 98},
  [8053] = {.lex_state = 98},
  [8054] = {.lex_state = 98},
  [8055] = {.lex_state = 98},
  [8056] = {.lex_state = 98},
  [8057] = {.lex_state = 98},
  [8058] = {.lex_state = 98},
  [8059] = {.lex_state = 98},
  [8060] = {.lex_state = 98},
  [8061] = {.lex_state = 98},
  [8062] = {.lex_state = 98},
  [8063] = {.lex_state = 98},
  [8064] = {.lex_state = 98},
  [8065] = {.lex_state = 98},
  [8066] = {.lex_state = 98},
  [8067] = {.lex_state = 98},
  [8068] = {.lex_state = 98},
  [8069] = {.lex_state = 98},
  [8070] = {.lex_state = 98},
  [8071] = {.lex_state = 98},
  [8072] = {.lex_state = 98},
  [8073] = {.lex_state = 98},
  [8074] = {.lex_state = 98},
  [8075] = {.lex_state = 98},
  [8076] = {.lex_state = 98},
  [8077] = {.lex_state = 98},
  [8078] = {.lex_state = 98},
  [8079] = {.lex_state = 98},
  [8080] = {.lex_state = 98},
  [8081] = {.lex_state = 98},
  [8082] = {.lex_state = 98},
  [8083] = {.lex_state = 98},
  [8084] = {.lex_state = 98},
  [8085] = {.lex_state = 98},
  [8086] = {.lex_state = 98},
  [8087] = {.lex_state = 98},
  [8088] = {.lex_state = 98},
  [8089] = {.lex_state = 98},
  [8090] = {.lex_state = 98},
  [8091] = {.lex_state = 98},
  [8092] = {.lex_state = 98},
  [8093] = {.lex_state = 98},
  [8094] = {.lex_state = 98},
  [8095] = {.lex_state = 98},
  [8096] = {.lex_state = 98},
  [8097] = {.lex_state = 98},
  [8098] = {.lex_state = 98},
  [8099] = {.lex_state = 98},
  [8100] = {.lex_state = 98},
  [8101] = {.lex_state = 98},
  [8102] = {.lex_state = 98},
  [8103] = {.lex_state = 98},
  [8104] = {.lex_state = 98},
  [8105] = {.lex_state = 98},
  [8106] = {.lex_state = 89},
  [8107] = {.lex_state = 98},
  [8108] = {.lex_state = 98},
  [8109] = {.lex_state = 98},
  [8110] = {.lex_state = 98},
  [8111] = {.lex_state = 98},
  [8112] = {.lex_state = 98},
  [8113] = {.lex_state = 98},
  [8114] = {.lex_state = 98},
  [8115] = {.lex_state = 98},
  [8116] = {.lex_state = 98},
  [8117] = {.lex_state = 98},
  [8118] = {.lex_state = 98},
  [8119] = {.lex_state = 98},
  [8120] = {.lex_state = 89},
  [8121] = {.lex_state = 98},
  [8122] = {.lex_state = 98},
  [8123] = {.lex_state = 98},
  [8124] = {.lex_state = 98},
  [8125] = {.lex_state = 98},
  [8126] = {.lex_state = 98},
  [8127] = {.lex_state = 98},
  [8128] = {.lex_state = 98},
  [8129] = {.lex_state = 98},
  [8130] = {.lex_state = 98},
  [8131] = {.lex_state = 98},
  [8132] = {.lex_state = 98},
  [8133] = {.lex_state = 98},
  [8134] = {.lex_state = 96},
  [8135] = {.lex_state = 98},
  [8136] = {.lex_state = 96},
  [8137] = {.lex_state = 98},
  [8138] = {.lex_state = 96},
  [8139] = {.lex_state = 98},
  [8140] = {.lex_state = 98},
  [8141] = {.lex_state = 98},
  [8142] = {.lex_state = 98},
  [8143] = {.lex_state = 98},
  [8144] = {.lex_state = 98},
  [8145] = {.lex_state = 89},
  [8146] = {.lex_state = 98},
  [8147] = {.lex_state = 98},
  [8148] = {.lex_state = 98},
  [8149] = {.lex_state = 98},
  [8150] = {.lex_state = 98},
  [8151] = {.lex_state = 98},
  [8152] = {.lex_state = 89},
  [8153] = {.lex_state = 98},
  [8154] = {.lex_state = 98},
  [8155] = {.lex_state = 98},
  [8156] = {.lex_state = 98},
  [8157] = {.lex_state = 98},
  [8158] = {.lex_state = 98},
  [8159] = {.lex_state = 98},
  [8160] = {.lex_state = 98},
  [8161] = {.lex_state = 98},
  [8162] = {.lex_state = 98},
  [8163] = {.lex_state = 98},
  [8164] = {.lex_state = 98},
  [8165] = {.lex_state = 89},
  [8166] = {.lex_state = 98},
  [8167] = {.lex_state = 89},
  [8168] = {.lex_state = 98},
  [8169] = {.lex_state = 98},
  [8170] = {.lex_state = 98},
  [8171] = {.lex_state = 98},
  [8172] = {.lex_state = 98},
  [8173] = {.lex_state = 98},
  [8174] = {.lex_state = 98},
  [8175] = {.lex_state = 98},
  [8176] = {.lex_state = 98},
  [8177] = {.lex_state = 98},
  [8178] = {.lex_state = 89},
  [8179] = {.lex_state = 98},
  [8180] = {.lex_state = 98},
  [8181] = {.lex_state = 98},
  [8182] = {.lex_state = 98},
  [8183] = {.lex_state = 98},
  [8184] = {.lex_state = 98},
  [8185] = {.lex_state = 98},
  [8186] = {.lex_state = 98},
  [8187] = {.lex_state = 98},
  [8188] = {.lex_state = 98},
  [8189] = {.lex_state = 98},
  [8190] = {.lex_state = 98},
  [8191] = {.lex_state = 98},
  [8192] = {.lex_state = 98},
  [8193] = {.lex_state = 98},
  [8194] = {.lex_state = 98},
  [8195] = {.lex_state = 98},
  [8196] = {.lex_state = 98},
  [8197] = {.lex_state = 98},
  [8198] = {.lex_state = 98},
  [8199] = {.lex_state = 98},
  [8200] = {.lex_state = 98},
  [8201] = {.lex_state = 98},
  [8202] = {.lex_state = 98},
  [8203] = {.lex_state = 98},
  [8204] = {.lex_state = 98},
  [8205] = {.lex_state = 98},
  [8206] = {.lex_state = 98},
  [8207] = {.lex_state = 98},
  [8208] = {.lex_state = 89},
  [8209] = {.lex_state = 98},
  [8210] = {.lex_state = 98},
  [8211] = {.lex_state = 98},
  [8212] = {.lex_state = 98},
  [8213] = {.lex_state = 98},
  [8214] = {.lex_state = 98},
  [8215] = {.lex_state = 89},
  [8216] = {.lex_state = 98},
  [8217] = {.lex_state = 98},
  [8218] = {.lex_state = 98},
  [8219] = {.lex_state = 98},
  [8220] = {.lex_state = 98},
  [8221] = {.lex_state = 98},
  [8222] = {.lex_state = 98},
  [8223] = {.lex_state = 96},
  [8224] = {.lex_state = 89},
  [8225] = {.lex_state = 96},
  [8226] = {.lex_state = 89},
  [8227] = {.lex_state = 98},
  [8228] = {.lex_state = 89},
  [8229] = {.lex_state = 98},
  [8230] = {.lex_state = 89},
  [8231] = {.lex_state = 96},
  [8232] = {.lex_state = 89},
  [8233] = {.lex_state = 96},
  [8234] = {.lex_state = 98},
  [8235] = {.lex_state = 96},
  [8236] = {.lex_state = 98},
  [8237] = {.lex_state = 96},
  [8238] = {.lex_state = 96},
  [8239] = {.lex_state = 96},
  [8240] = {.lex_state = 96},
  [8241] = {.lex_state = 96},
  [8242] = {.lex_state = 96},
  [8243] = {.lex_state = 96},
  [8244] = {.lex_state = 98},
  [8245] = {.lex_state = 98},
  [8246] = {.lex_state = 96},
  [8247] = {.lex_state = 96},
  [8248] = {.lex_state = 98},
  [8249] = {.lex_state = 98},
  [8250] = {.lex_state = 98},
  [8251] = {.lex_state = 98},
  [8252] = {.lex_state = 98},
  [8253] = {.lex_state = 98},
  [8254] = {.lex_state = 98},
  [8255] = {.lex_state = 98},
  [8256] = {.lex_state = 98},
  [8257] = {.lex_state = 98},
  [8258] = {.lex_state = 98},
  [8259] = {.lex_state = 98},
  [8260] = {.lex_state = 98},
  [8261] = {.lex_state = 98},
  [8262] = {.lex_state = 98},
  [8263] = {.lex_state = 98},
  [8264] = {.lex_state = 98},
  [8265] = {.lex_state = 98},
  [8266] = {.lex_state = 98},
  [8267] = {.lex_state = 98},
  [8268] = {.lex_state = 89},
  [8269] = {.lex_state = 98},
  [8270] = {.lex_state = 98},
  [8271] = {.lex_state = 98},
  [8272] = {.lex_state = 98},
  [8273] = {.lex_state = 98},
  [8274] = {.lex_state = 98},
  [8275] = {.lex_state = 98},
  [8276] = {.lex_state = 98},
  [8277] = {.lex_state = 98},
  [8278] = {.lex_state = 98},
  [8279] = {.lex_state = 98},
  [8280] = {.lex_state = 98},
  [8281] = {.lex_state = 98},
  [8282] = {.lex_state = 98},
  [8283] = {.lex_state = 98},
  [8284] = {.lex_state = 98},
  [8285] = {.lex_state = 98},
  [8286] = {.lex_state = 98},
  [8287] = {.lex_state = 98},
  [8288] = {.lex_state = 98},
  [8289] = {.lex_state = 98},
  [8290] = {.lex_state = 98},
  [8291] = {.lex_state = 98},
  [8292] = {.lex_state = 98},
  [8293] = {.lex_state = 98},
  [8294] = {.lex_state = 98},
  [8295] = {.lex_state = 98},
  [8296] = {.lex_state = 98},
  [8297] = {.lex_state = 98},
  [8298] = {.lex_state = 98},
  [8299] = {.lex_state = 98},
  [8300] = {.lex_state = 98},
  [8301] = {.lex_state = 98},
  [8302] = {.lex_state = 98},
  [8303] = {.lex_state = 98},
  [8304] = {.lex_state = 98},
  [8305] = {.lex_state = 98},
  [8306] = {.lex_state = 98},
  [8307] = {.lex_state = 98},
  [8308] = {.lex_state = 98},
  [8309] = {.lex_state = 98},
  [8310] = {.lex_state = 98},
  [8311] = {.lex_state = 98},
  [8312] = {.lex_state = 98},
  [8313] = {.lex_state = 89},
  [8314] = {.lex_state = 98},
  [8315] = {.lex_state = 98},
  [8316] = {.lex_state = 98},
  [8317] = {.lex_state = 98},
  [8318] = {.lex_state = 98},
  [8319] = {.lex_state = 98},
  [8320] = {.lex_state = 98},
  [8321] = {.lex_state = 89, .external_lex_state = 2},
  [8322] = {.lex_state = 98},
  [8323] = {.lex_state = 98},
  [8324] = {.lex_state = 98},
  [8325] = {.lex_state = 98},
  [8326] = {.lex_state = 98},
  [8327] = {.lex_state = 98},
  [8328] = {.lex_state = 98},
  [8329] = {.lex_state = 98},
  [8330] = {.lex_state = 98},
  [8331] = {.lex_state = 98},
  [8332] = {.lex_state = 98},
  [8333] = {.lex_state = 98},
  [8334] = {.lex_state = 98},
  [8335] = {.lex_state = 98},
  [8336] = {.lex_state = 98},
  [8337] = {.lex_state = 98},
  [8338] = {.lex_state = 98},
  [8339] = {.lex_state = 98},
  [8340] = {.lex_state = 98},
  [8341] = {.lex_state = 98},
  [8342] = {.lex_state = 98},
  [8343] = {.lex_state = 98},
  [8344] = {.lex_state = 98},
  [8345] = {.lex_state = 98},
  [8346] = {.lex_state = 98},
  [8347] = {.lex_state = 98},
  [8348] = {.lex_state = 98},
  [8349] = {.lex_state = 98},
  [8350] = {.lex_state = 98},
  [8351] = {.lex_state = 98},
  [8352] = {.lex_state = 98},
  [8353] = {.lex_state = 98},
  [8354] = {.lex_state = 98},
  [8355] = {.lex_state = 98},
  [8356] = {.lex_state = 98},
  [8357] = {.lex_state = 98},
  [8358] = {.lex_state = 98},
  [8359] = {.lex_state = 98},
  [8360] = {.lex_state = 98},
  [8361] = {.lex_state = 95},
  [8362] = {.lex_state = 89},
  [8363] = {.lex_state = 98},
  [8364] = {.lex_state = 98},
  [8365] = {.lex_state = 95},
  [8366] = {.lex_state = 88},
  [8367] = {.lex_state = 89},
  [8368] = {.lex_state = 89},
  [8369] = {.lex_state = 89},
  [8370] = {.lex_state = 88},
  [8371] = {.lex_state = 89},
  [8372] = {.lex_state = 89},
  [8373] = {.lex_state = 89},
  [8374] = {.lex_state = 89},
  [8375] = {.lex_state = 89},
  [8376] = {.lex_state = 89},
  [8377] = {.lex_state = 89},
  [8378] = {.lex_state = 89},
  [8379] = {.lex_state = 96},
  [8380] = {.lex_state = 89},
  [8381] = {.lex_state = 95},
  [8382] = {.lex_state = 89},
  [8383] = {.lex_state = 89},
  [8384] = {.lex_state = 89},
  [8385] = {.lex_state = 89},
  [8386] = {.lex_state = 89},
  [8387] = {.lex_state = 95},
  [8388] = {.lex_state = 89},
  [8389] = {.lex_state = 89},
  [8390] = {.lex_state = 89},
  [8391] = {.lex_state = 89},
  [8392] = {.lex_state = 89},
  [8393] = {.lex_state = 89},
  [8394] = {.lex_state = 89},
  [8395] = {.lex_state = 89},
  [8396] = {.lex_state = 89},
  [8397] = {.lex_state = 89, .external_lex_state = 2},
  [8398] = {.lex_state = 92},
  [8399] = {.lex_state = 89},
  [8400] = {.lex_state = 89},
  [8401] = {.lex_state = 89},
  [8402] = {.lex_state = 89},
  [8403] = {.lex_state = 89},
  [8404] = {.lex_state = 91},
  [8405] = {.lex_state = 89},
  [8406] = {.lex_state = 89},
  [8407] = {.lex_state = 89},
  [8408] = {.lex_state = 89},
  [8409] = {.lex_state = 89},
  [8410] = {.lex_state = 89},
  [8411] = {.lex_state = 89},
  [8412] = {.lex_state = 89},
  [8413] = {.lex_state = 89},
  [8414] = {.lex_state = 89},
  [8415] = {.lex_state = 89},
  [8416] = {.lex_state = 89},
  [8417] = {.lex_state = 89},
  [8418] = {.lex_state = 89},
  [8419] = {.lex_state = 96},
  [8420] = {.lex_state = 95},
  [8421] = {.lex_state = 89},
  [8422] = {.lex_state = 89},
  [8423] = {.lex_state = 89},
  [8424] = {.lex_state = 89},
  [8425] = {.lex_state = 89},
  [8426] = {.lex_state = 89},
  [8427] = {.lex_state = 95},
  [8428] = {.lex_state = 89},
  [8429] = {.lex_state = 89},
  [8430] = {.lex_state = 89},
  [8431] = {.lex_state = 89, .external_lex_state = 2},
  [8432] = {.lex_state = 95},
  [8433] = {.lex_state = 89},
  [8434] = {.lex_state = 95},
  [8435] = {.lex_state = 89},
  [8436] = {.lex_state = 95},
  [8437] = {.lex_state = 89},
  [8438] = {.lex_state = 95},
  [8439] = {.lex_state = 89},
  [8440] = {.lex_state = 96},
  [8441] = {.lex_state = 89},
  [8442] = {.lex_state = 83},
  [8443] = {.lex_state = 89},
  [8444] = {.lex_state = 89},
  [8445] = {.lex_state = 89},
  [8446] = {.lex_state = 89},
  [8447] = {.lex_state = 89},
  [8448] = {.lex_state = 89},
  [8449] = {.lex_state = 89},
  [8450] = {.lex_state = 89},
  [8451] = {.lex_state = 89},
  [8452] = {.lex_state = 89},
  [8453] = {.lex_state = 89},
  [8454] = {.lex_state = 89},
  [8455] = {.lex_state = 89},
  [8456] = {.lex_state = 89},
  [8457] = {.lex_state = 89},
  [8458] = {.lex_state = 89},
  [8459] = {.lex_state = 95},
  [8460] = {.lex_state = 89},
  [8461] = {.lex_state = 89},
  [8462] = {.lex_state = 89},
  [8463] = {.lex_state = 89},
  [8464] = {.lex_state = 89},
  [8465] = {.lex_state = 89},
  [8466] = {.lex_state = 89},
  [8467] = {.lex_state = 89},
  [8468] = {.lex_state = 89},
  [8469] = {.lex_state = 89},
  [8470] = {.lex_state = 89},
  [8471] = {.lex_state = 89},
  [8472] = {.lex_state = 83},
  [8473] = {.lex_state = 89},
  [8474] = {.lex_state = 89},
  [8475] = {.lex_state = 89},
  [8476] = {.lex_state = 89},
  [8477] = {.lex_state = 89},
  [8478] = {.lex_state = 89},
  [8479] = {.lex_state = 89},
  [8480] = {.lex_state = 89},
  [8481] = {.lex_state = 89},
  [8482] = {.lex_state = 92},
  [8483] = {.lex_state = 89},
  [8484] = {.lex_state = 89},
  [8485] = {.lex_state = 89},
  [8486] = {.lex_state = 89},
  [8487] = {.lex_state = 89},
  [8488] = {.lex_state = 95},
  [8489] = {.lex_state = 89},
  [8490] = {.lex_state = 89},
  [8491] = {.lex_state = 89},
  [8492] = {.lex_state = 95},
  [8493] = {.lex_state = 89},
  [8494] = {.lex_state = 89},
  [8495] = {.lex_state = 89},
  [8496] = {.lex_state = 89},
  [8497] = {.lex_state = 89},
  [8498] = {.lex_state = 89},
  [8499] = {.lex_state = 89},
  [8500] = {.lex_state = 89},
  [8501] = {.lex_state = 89},
  [8502] = {.lex_state = 89},
  [8503] = {.lex_state = 89},
  [8504] = {.lex_state = 89},
  [8505] = {.lex_state = 95},
  [8506] = {.lex_state = 89},
  [8507] = {.lex_state = 89},
  [8508] = {.lex_state = 89},
  [8509] = {.lex_state = 89},
  [8510] = {.lex_state = 89},
  [8511] = {.lex_state = 89},
  [8512] = {.lex_state = 89},
  [8513] = {.lex_state = 89},
  [8514] = {.lex_state = 89},
  [8515] = {.lex_state = 89},
  [8516] = {.lex_state = 89},
  [8517] = {.lex_state = 89},
  [8518] = {.lex_state = 89},
  [8519] = {.lex_state = 89},
  [8520] = {.lex_state = 89},
  [8521] = {.lex_state = 89},
  [8522] = {.lex_state = 89},
  [8523] = {.lex_state = 95},
  [8524] = {.lex_state = 89},
  [8525] = {.lex_state = 89},
  [8526] = {.lex_state = 89},
  [8527] = {.lex_state = 89},
  [8528] = {.lex_state = 89},
  [8529] = {.lex_state = 89},
  [8530] = {.lex_state = 89},
  [8531] = {.lex_state = 89},
  [8532] = {.lex_state = 89},
  [8533] = {.lex_state = 89},
  [8534] = {.lex_state = 89},
  [8535] = {.lex_state = 89},
  [8536] = {.lex_state = 89},
  [8537] = {.lex_state = 89},
  [8538] = {.lex_state = 89},
  [8539] = {.lex_state = 89},
  [8540] = {.lex_state = 89},
  [8541] = {.lex_state = 95},
  [8542] = {.lex_state = 89},
  [8543] = {.lex_state = 95},
  [8544] = {.lex_state = 89},
  [8545] = {.lex_state = 89},
  [8546] = {.lex_state = 89},
  [8547] = {.lex_state = 95},
  [8548] = {.lex_state = 89},
  [8549] = {.lex_state = 89},
  [8550] = {.lex_state = 95},
  [8551] = {.lex_state = 89},
  [8552] = {.lex_state = 89},
  [8553] = {.lex_state = 89},
  [8554] = {.lex_state = 95},
  [8555] = {.lex_state = 96},
  [8556] = {.lex_state = 89},
  [8557] = {.lex_state = 95},
  [8558] = {.lex_state = 89},
  [8559] = {.lex_state = 89},
  [8560] = {.lex_state = 95},
  [8561] = {.lex_state = 89},
  [8562] = {.lex_state = 89},
  [8563] = {.lex_state = 89},
  [8564] = {.lex_state = 89},
  [8565] = {.lex_state = 89},
  [8566] = {.lex_state = 89},
  [8567] = {.lex_state = 89},
  [8568] = {.lex_state = 96},
  [8569] = {.lex_state = 89},
  [8570] = {.lex_state = 89},
  [8571] = {.lex_state = 89},
  [8572] = {.lex_state = 89},
  [8573] = {.lex_state = 89},
  [8574] = {.lex_state = 89},
  [8575] = {.lex_state = 95},
  [8576] = {.lex_state = 89},
  [8577] = {.lex_state = 89},
  [8578] = {.lex_state = 95},
  [8579] = {.lex_state = 89},
  [8580] = {.lex_state = 89},
  [8581] = {.lex_state = 89},
  [8582] = {.lex_state = 89},
  [8583] = {.lex_state = 89},
  [8584] = {.lex_state = 89},
  [8585] = {.lex_state = 89},
  [8586] = {.lex_state = 89},
  [8587] = {.lex_state = 89},
  [8588] = {.lex_state = 89},
  [8589] = {.lex_state = 89},
  [8590] = {.lex_state = 89},
  [8591] = {.lex_state = 98},
  [8592] = {.lex_state = 89},
  [8593] = {.lex_state = 95},
  [8594] = {.lex_state = 89},
  [8595] = {.lex_state = 95},
  [8596] = {.lex_state = 89},
  [8597] = {.lex_state = 89},
  [8598] = {.lex_state = 89},
  [8599] = {.lex_state = 89},
  [8600] = {.lex_state = 89},
  [8601] = {.lex_state = 89},
  [8602] = {.lex_state = 89},
  [8603] = {.lex_state = 89},
  [8604] = {.lex_state = 89},
  [8605] = {.lex_state = 89},
  [8606] = {.lex_state = 89},
  [8607] = {.lex_state = 89},
  [8608] = {.lex_state = 89},
  [8609] = {.lex_state = 89},
  [8610] = {.lex_state = 89},
  [8611] = {.lex_state = 89, .external_lex_state = 2},
  [8612] = {.lex_state = 89},
  [8613] = {.lex_state = 89},
  [8614] = {.lex_state = 89},
  [8615] = {.lex_state = 89},
  [8616] = {.lex_state = 89},
  [8617] = {.lex_state = 89},
  [8618] = {.lex_state = 89},
  [8619] = {.lex_state = 89},
  [8620] = {.lex_state = 89},
  [8621] = {.lex_state = 89},
  [8622] = {.lex_state = 89},
  [8623] = {.lex_state = 89},
  [8624] = {.lex_state = 95},
  [8625] = {.lex_state = 89},
  [8626] = {.lex_state = 89},
  [8627] = {.lex_state = 95},
  [8628] = {.lex_state = 89},
  [8629] = {.lex_state = 89},
  [8630] = {.lex_state = 89},
  [8631] = {.lex_state = 89},
  [8632] = {.lex_state = 89},
  [8633] = {.lex_state = 89},
  [8634] = {.lex_state = 89},
  [8635] = {.lex_state = 89},
  [8636] = {.lex_state = 89},
  [8637] = {.lex_state = 89},
  [8638] = {.lex_state = 89},
  [8639] = {.lex_state = 89},
  [8640] = {.lex_state = 89},
  [8641] = {.lex_state = 89},
  [8642] = {.lex_state = 89},
  [8643] = {.lex_state = 89},
  [8644] = {.lex_state = 89},
  [8645] = {.lex_state = 89},
  [8646] = {.lex_state = 89},
  [8647] = {.lex_state = 89},
  [8648] = {.lex_state = 89},
  [8649] = {.lex_state = 89},
  [8650] = {.lex_state = 89},
  [8651] = {.lex_state = 89},
  [8652] = {.lex_state = 89},
  [8653] = {.lex_state = 89},
  [8654] = {.lex_state = 89},
  [8655] = {.lex_state = 89},
  [8656] = {.lex_state = 89},
  [8657] = {.lex_state = 89},
  [8658] = {.lex_state = 89},
  [8659] = {.lex_state = 89},
  [8660] = {.lex_state = 89},
  [8661] = {.lex_state = 89},
  [8662] = {.lex_state = 89},
  [8663] = {.lex_state = 89},
  [8664] = {.lex_state = 89},
  [8665] = {.lex_state = 89},
  [8666] = {.lex_state = 89},
  [8667] = {.lex_state = 95},
  [8668] = {.lex_state = 95},
  [8669] = {.lex_state = 89},
  [8670] = {.lex_state = 95},
  [8671] = {.lex_state = 95},
  [8672] = {.lex_state = 89},
  [8673] = {.lex_state = 89},
  [8674] = {.lex_state = 95},
  [8675] = {.lex_state = 89},
  [8676] = {.lex_state = 95},
  [8677] = {.lex_state = 89},
  [8678] = {.lex_state = 89},
  [8679] = {.lex_state = 95},
  [8680] = {.lex_state = 89},
  [8681] = {.lex_state = 95},
  [8682] = {.lex_state = 89},
  [8683] = {.lex_state = 89},
  [8684] = {.lex_state = 89},
  [8685] = {.lex_state = 89},
  [8686] = {.lex_state = 89},
  [8687] = {.lex_state = 95},
  [8688] = {.lex_state = 89},
  [8689] = {.lex_state = 89},
  [8690] = {.lex_state = 89},
  [8691] = {.lex_state = 89},
  [8692] = {.lex_state = 89},
  [8693] = {.lex_state = 89},
  [8694] = {.lex_state = 95},
  [8695] = {.lex_state = 95},
  [8696] = {.lex_state = 89},
  [8697] = {.lex_state = 89},
  [8698] = {.lex_state = 89},
  [8699] = {.lex_state = 89},
  [8700] = {.lex_state = 89},
  [8701] = {.lex_state = 95},
  [8702] = {.lex_state = 89},
  [8703] = {.lex_state = 89},
  [8704] = {.lex_state = 89},
  [8705] = {.lex_state = 89},
  [8706] = {.lex_state = 89},
  [8707] = {.lex_state = 89},
  [8708] = {.lex_state = 89},
  [8709] = {.lex_state = 89},
  [8710] = {.lex_state = 89},
  [8711] = {.lex_state = 89},
  [8712] = {.lex_state = 89},
  [8713] = {.lex_state = 89},
  [8714] = {.lex_state = 89},
  [8715] = {.lex_state = 89},
  [8716] = {.lex_state = 89},
  [8717] = {.lex_state = 89},
  [8718] = {.lex_state = 89},
  [8719] = {.lex_state = 89},
  [8720] = {.lex_state = 89},
  [8721] = {.lex_state = 89},
  [8722] = {.lex_state = 89},
  [8723] = {.lex_state = 89},
  [8724] = {.lex_state = 89},
  [8725] = {.lex_state = 95},
  [8726] = {.lex_state = 95},
  [8727] = {.lex_state = 89},
  [8728] = {.lex_state = 89},
  [8729] = {.lex_state = 95},
  [8730] = {.lex_state = 89},
  [8731] = {.lex_state = 89},
  [8732] = {.lex_state = 89},
  [8733] = {.lex_state = 89},
  [8734] = {.lex_state = 89},
  [8735] = {.lex_state = 95},
  [8736] = {.lex_state = 89},
  [8737] = {.lex_state = 89},
  [8738] = {.lex_state = 89},
  [8739] = {.lex_state = 89},
  [8740] = {.lex_state = 89},
  [8741] = {.lex_state = 89},
  [8742] = {.lex_state = 89},
  [8743] = {.lex_state = 95},
  [8744] = {.lex_state = 89},
  [8745] = {.lex_state = 89},
  [8746] = {.lex_state = 95},
  [8747] = {.lex_state = 95},
  [8748] = {.lex_state = 89},
  [8749] = {.lex_state = 95},
  [8750] = {.lex_state = 89},
  [8751] = {.lex_state = 89},
  [8752] = {.lex_state = 88},
  [8753] = {.lex_state = 89},
  [8754] = {.lex_state = 89},
  [8755] = {.lex_state = 92},
  [8756] = {.lex_state = 89},
  [8757] = {.lex_state = 92},
  [8758] = {.lex_state = 92},
  [8759] = {.lex_state = 92},
  [8760] = {.lex_state = 92},
  [8761] = {.lex_state = 92},
  [8762] = {.lex_state = 89},
  [8763] = {.lex_state = 92},
  [8764] = {.lex_state = 92},
  [8765] = {.lex_state = 92},
  [8766] = {.lex_state = 92},
  [8767] = {.lex_state = 92},
  [8768] = {.lex_state = 92},
  [8769] = {.lex_state = 89},
  [8770] = {.lex_state = 89},
  [8771] = {.lex_state = 92},
  [8772] = {.lex_state = 95},
  [8773] = {.lex_state = 92},
  [8774] = {.lex_state = 89},
  [8775] = {.lex_state = 92},
  [8776] = {.lex_state = 89},
  [8777] = {.lex_state = 92},
  [8778] = {.lex_state = 92},
  [8779] = {.lex_state = 95},
  [8780] = {.lex_state = 92},
  [8781] = {.lex_state = 92},
  [8782] = {.lex_state = 84},
  [8783] = {.lex_state = 92},
  [8784] = {.lex_state = 89},
  [8785] = {.lex_state = 89},
  [8786] = {.lex_state = 92},
  [8787] = {.lex_state = 92},
  [8788] = {.lex_state = 92},
  [8789] = {.lex_state = 92},
  [8790] = {.lex_state = 89},
  [8791] = {.lex_state = 89},
  [8792] = {.lex_state = 95},
  [8793] = {.lex_state = 89},
  [8794] = {.lex_state = 89},
  [8795] = {.lex_state = 92},
  [8796] = {.lex_state = 95},
  [8797] = {.lex_state = 84},
  [8798] = {.lex_state = 95},
  [8799] = {.lex_state = 89},
  [8800] = {.lex_state = 92},
  [8801] = {.lex_state = 92},
  [8802] = {.lex_state = 95},
  [8803] = {.lex_state = 95},
  [8804] = {.lex_state = 96},
  [8805] = {.lex_state = 92},
  [8806] = {.lex_state = 92},
  [8807] = {.lex_state = 92},
  [8808] = {.lex_state = 95},
  [8809] = {.lex_state = 95},
  [8810] = {.lex_state = 92},
  [8811] = {.lex_state = 92},
  [8812] = {.lex_state = 95},
  [8813] = {.lex_state = 92},
  [8814] = {.lex_state = 95},
  [8815] = {.lex_state = 89},
  [8816] = {.lex_state = 92},
  [8817] = {.lex_state = 95},
  [8818] = {.lex_state = 92},
  [8819] = {.lex_state = 92},
  [8820] = {.lex_state = 95},
  [8821] = {.lex_state = 89},
  [8822] = {.lex_state = 92},
  [8823] = {.lex_state = 92},
  [8824] = {.lex_state = 92},
  [8825] = {.lex_state = 92},
  [8826] = {.lex_state = 92},
  [8827] = {.lex_state = 95},
  [8828] = {.lex_state = 92},
  [8829] = {.lex_state = 95},
  [8830] = {.lex_state = 89},
  [8831] = {.lex_state = 89},
  [8832] = {.lex_state = 92},
  [8833] = {.lex_state = 92},
  [8834] = {.lex_state = 92},
  [8835] = {.lex_state = 89},
  [8836] = {.lex_state = 89},
  [8837] = {.lex_state = 92},
  [8838] = {.lex_state = 89},
  [8839] = {.lex_state = 95},
  [8840] = {.lex_state = 89},
  [8841] = {.lex_state = 95},
  [8842] = {.lex_state = 92},
  [8843] = {.lex_state = 92},
  [8844] = {.lex_state = 92},
  [8845] = {.lex_state = 92},
  [8846] = {.lex_state = 89},
  [8847] = {.lex_state = 92},
  [8848] = {.lex_state = 92},
  [8849] = {.lex_state = 92},
  [8850] = {.lex_state = 92},
  [8851] = {.lex_state = 95},
  [8852] = {.lex_state = 89},
  [8853] = {.lex_state = 92},
  [8854] = {.lex_state = 92},
  [8855] = {.lex_state = 95},
  [8856] = {.lex_state = 92},
  [8857] = {.lex_state = 89},
  [8858] = {.lex_state = 89},
  [8859] = {.lex_state = 95},
  [8860] = {.lex_state = 92},
  [8861] = {.lex_state = 92},
  [8862] = {.lex_state = 89},
  [8863] = {.lex_state = 95},
  [8864] = {.lex_state = 92},
  [8865] = {.lex_state = 92},
  [8866] = {.lex_state = 92},
  [8867] = {.lex_state = 92},
  [8868] = {.lex_state = 92},
  [8869] = {.lex_state = 92},
  [8870] = {.lex_state = 92},
  [8871] = {.lex_state = 92},
  [8872] = {.lex_state = 92},
  [8873] = {.lex_state = 92},
  [8874] = {.lex_state = 92},
  [8875] = {.lex_state = 89},
  [8876] = {.lex_state = 92},
  [8877] = {.lex_state = 92},
  [8878] = {.lex_state = 92},
  [8879] = {.lex_state = 92},
  [8880] = {.lex_state = 92},
  [8881] = {.lex_state = 92},
  [8882] = {.lex_state = 92},
  [8883] = {.lex_state = 92},
  [8884] = {.lex_state = 92},
  [8885] = {.lex_state = 92},
  [8886] = {.lex_state = 92},
  [8887] = {.lex_state = 92},
  [8888] = {.lex_state = 92},
  [8889] = {.lex_state = 89},
  [8890] = {.lex_state = 92},
  [8891] = {.lex_state = 89},
  [8892] = {.lex_state = 92},
  [8893] = {.lex_state = 92},
  [8894] = {.lex_state = 92},
  [8895] = {.lex_state = 89},
  [8896] = {.lex_state = 89},
  [8897] = {.lex_state = 89},
  [8898] = {.lex_state = 89},
  [8899] = {.lex_state = 89},
  [8900] = {.lex_state = 89},
  [8901] = {.lex_state = 89},
  [8902] = {.lex_state = 89},
  [8903] = {.lex_state = 89},
  [8904] = {.lex_state = 89},
  [8905] = {.lex_state = 92},
  [8906] = {.lex_state = 92},
  [8907] = {.lex_state = 89},
  [8908] = {.lex_state = 89},
  [8909] = {.lex_state = 89},
  [8910] = {.lex_state = 92},
  [8911] = {.lex_state = 92},
  [8912] = {.lex_state = 92},
  [8913] = {.lex_state = 89},
  [8914] = {.lex_state = 89},
  [8915] = {.lex_state = 92},
  [8916] = {.lex_state = 89},
  [8917] = {.lex_state = 92},
  [8918] = {.lex_state = 89},
  [8919] = {.lex_state = 92},
  [8920] = {.lex_state = 89},
  [8921] = {.lex_state = 92},
  [8922] = {.lex_state = 89},
  [8923] = {.lex_state = 92},
  [8924] = {.lex_state = 89},
  [8925] = {.lex_state = 92},
  [8926] = {.lex_state = 92},
  [8927] = {.lex_state = 92},
  [8928] = {.lex_state = 89},
  [8929] = {.lex_state = 92},
  [8930] = {.lex_state = 89},
  [8931] = {.lex_state = 89},
  [8932] = {.lex_state = 89},
  [8933] = {.lex_state = 89},
  [8934] = {.lex_state = 89},
  [8935] = {.lex_state = 89},
  [8936] = {.lex_state = 89},
  [8937] = {.lex_state = 89},
  [8938] = {.lex_state = 89},
  [8939] = {.lex_state = 89},
  [8940] = {.lex_state = 89},
  [8941] = {.lex_state = 89},
  [8942] = {.lex_state = 89},
  [8943] = {.lex_state = 89},
  [8944] = {.lex_state = 89},
  [8945] = {.lex_state = 92},
  [8946] = {.lex_state = 89},
  [8947] = {.lex_state = 89},
  [8948] = {.lex_state = 89},
  [8949] = {.lex_state = 89},
  [8950] = {.lex_state = 89},
  [8951] = {.lex_state = 89},
  [8952] = {.lex_state = 89},
  [8953] = {.lex_state = 89},
  [8954] = {.lex_state = 89},
  [8955] = {.lex_state = 89},
  [8956] = {.lex_state = 89},
  [8957] = {.lex_state = 89},
  [8958] = {.lex_state = 89},
  [8959] = {.lex_state = 89},
  [8960] = {.lex_state = 89},
  [8961] = {.lex_state = 92},
  [8962] = {.lex_state = 89},
  [8963] = {.lex_state = 89},
  [8964] = {.lex_state = 89},
  [8965] = {.lex_state = 89},
  [8966] = {.lex_state = 89},
  [8967] = {.lex_state = 89},
  [8968] = {.lex_state = 89},
  [8969] = {.lex_state = 89},
  [8970] = {.lex_state = 89},
  [8971] = {.lex_state = 89},
  [8972] = {.lex_state = 89},
  [8973] = {.lex_state = 89},
  [8974] = {.lex_state = 89},
  [8975] = {.lex_state = 89},
  [8976] = {.lex_state = 89},
  [8977] = {.lex_state = 89},
  [8978] = {.lex_state = 89},
  [8979] = {.lex_state = 92},
  [8980] = {.lex_state = 89},
  [8981] = {.lex_state = 89},
  [8982] = {.lex_state = 89},
  [8983] = {.lex_state = 89},
  [8984] = {.lex_state = 92},
  [8985] = {.lex_state = 89},
  [8986] = {.lex_state = 89},
  [8987] = {.lex_state = 89},
  [8988] = {.lex_state = 92},
  [8989] = {.lex_state = 89},
  [8990] = {.lex_state = 89},
  [8991] = {.lex_state = 89},
  [8992] = {.lex_state = 89},
  [8993] = {.lex_state = 89},
  [8994] = {.lex_state = 89},
  [8995] = {.lex_state = 92},
  [8996] = {.lex_state = 89},
  [8997] = {.lex_state = 89},
  [8998] = {.lex_state = 92},
  [8999] = {.lex_state = 89},
  [9000] = {.lex_state = 89},
  [9001] = {.lex_state = 89},
  [9002] = {.lex_state = 95},
  [9003] = {.lex_state = 89},
  [9004] = {.lex_state = 92},
  [9005] = {.lex_state = 92},
  [9006] = {.lex_state = 89},
  [9007] = {.lex_state = 92},
  [9008] = {.lex_state = 92},
  [9009] = {.lex_state = 92},
  [9010] = {.lex_state = 89},
  [9011] = {.lex_state = 92},
  [9012] = {.lex_state = 92},
  [9013] = {.lex_state = 89},
  [9014] = {.lex_state = 92},
  [9015] = {.lex_state = 89},
  [9016] = {.lex_state = 92},
  [9017] = {.lex_state = 95},
  [9018] = {.lex_state = 89},
  [9019] = {.lex_state = 89},
  [9020] = {.lex_state = 89},
  [9021] = {.lex_state = 92},
  [9022] = {.lex_state = 92},
  [9023] = {.lex_state = 92},
  [9024] = {.lex_state = 92},
  [9025] = {.lex_state = 92},
  [9026] = {.lex_state = 96},
  [9027] = {.lex_state = 89},
  [9028] = {.lex_state = 89},
  [9029] = {.lex_state = 89},
  [9030] = {.lex_state = 95},
  [9031] = {.lex_state = 92},
  [9032] = {.lex_state = 89},
  [9033] = {.lex_state = 92},
  [9034] = {.lex_state = 89},
  [9035] = {.lex_state = 92},
  [9036] = {.lex_state = 89},
  [9037] = {.lex_state = 95},
  [9038] = {.lex_state = 95},
  [9039] = {.lex_state = 92},
  [9040] = {.lex_state = 89},
  [9041] = {.lex_state = 95},
  [9042] = {.lex_state = 92},
  [9043] = {.lex_state = 95},
  [9044] = {.lex_state = 89},
  [9045] = {.lex_state = 89},
  [9046] = {.lex_state = 92},
  [9047] = {.lex_state = 89},
  [9048] = {.lex_state = 89},
  [9049] = {.lex_state = 89},
  [9050] = {.lex_state = 92},
  [9051] = {.lex_state = 92},
  [9052] = {.lex_state = 92},
  [9053] = {.lex_state = 89},
  [9054] = {.lex_state = 89},
  [9055] = {.lex_state = 89},
  [9056] = {.lex_state = 88},
  [9057] = {.lex_state = 88},
  [9058] = {.lex_state = 89},
  [9059] = {.lex_state = 89},
  [9060] = {.lex_state = 89},
  [9061] = {.lex_state = 89},
  [9062] = {.lex_state = 89},
  [9063] = {.lex_state = 89},
  [9064] = {.lex_state = 89},
  [9065] = {.lex_state = 89},
  [9066] = {.lex_state = 89},
  [9067] = {.lex_state = 89},
  [9068] = {.lex_state = 89},
  [9069] = {.lex_state = 88},
  [9070] = {.lex_state = 89},
  [9071] = {.lex_state = 88},
  [9072] = {.lex_state = 88},
  [9073] = {.lex_state = 88},
  [9074] = {.lex_state = 89},
  [9075] = {.lex_state = 88},
  [9076] = {.lex_state = 88},
  [9077] = {.lex_state = 88},
  [9078] = {.lex_state = 89},
  [9079] = {.lex_state = 89},
  [9080] = {.lex_state = 88},
  [9081] = {.lex_state = 88},
  [9082] = {.lex_state = 89},
  [9083] = {.lex_state = 89},
  [9084] = {.lex_state = 89},
  [9085] = {.lex_state = 88},
  [9086] = {.lex_state = 89},
  [9087] = {.lex_state = 89},
  [9088] = {.lex_state = 89},
  [9089] = {.lex_state = 88},
  [9090] = {.lex_state = 89},
  [9091] = {.lex_state = 88},
  [9092] = {.lex_state = 89},
  [9093] = {.lex_state = 89},
  [9094] = {.lex_state = 89},
  [9095] = {.lex_state = 89},
  [9096] = {.lex_state = 89},
  [9097] = {.lex_state = 88},
  [9098] = {.lex_state = 88},
  [9099] = {.lex_state = 89},
  [9100] = {.lex_state = 88},
  [9101] = {.lex_state = 89},
  [9102] = {.lex_state = 98},
  [9103] = {.lex_state = 98},
  [9104] = {.lex_state = 88},
  [9105] = {.lex_state = 88},
  [9106] = {.lex_state = 89},
  [9107] = {.lex_state = 89},
  [9108] = {.lex_state = 89},
  [9109] = {.lex_state = 89},
  [9110] = {.lex_state = 89},
  [9111] = {.lex_state = 89},
  [9112] = {.lex_state = 89},
  [9113] = {.lex_state = 89},
  [9114] = {.lex_state = 89},
  [9115] = {.lex_state = 89},
  [9116] = {.lex_state = 89},
  [9117] = {.lex_state = 89},
  [9118] = {.lex_state = 89},
  [9119] = {.lex_state = 89},
  [9120] = {.lex_state = 89},
  [9121] = {.lex_state = 89},
  [9122] = {.lex_state = 89},
  [9123] = {.lex_state = 89},
  [9124] = {.lex_state = 88},
  [9125] = {.lex_state = 89},
  [9126] = {.lex_state = 89},
  [9127] = {.lex_state = 89},
  [9128] = {.lex_state = 89},
  [9129] = {.lex_state = 89},
  [9130] = {.lex_state = 89},
  [9131] = {.lex_state = 89},
  [9132] = {.lex_state = 89},
  [9133] = {.lex_state = 89},
  [9134] = {.lex_state = 89},
  [9135] = {.lex_state = 89},
  [9136] = {.lex_state = 89},
  [9137] = {.lex_state = 89},
  [9138] = {.lex_state = 89},
  [9139] = {.lex_state = 89},
  [9140] = {.lex_state = 89},
  [9141] = {.lex_state = 89},
  [9142] = {.lex_state = 89},
  [9143] = {.lex_state = 89},
  [9144] = {.lex_state = 88},
  [9145] = {.lex_state = 89},
  [9146] = {.lex_state = 89},
  [9147] = {.lex_state = 89},
  [9148] = {.lex_state = 89},
  [9149] = {.lex_state = 89},
  [9150] = {.lex_state = 89},
  [9151] = {.lex_state = 89},
  [9152] = {.lex_state = 89},
  [9153] = {.lex_state = 89},
  [9154] = {.lex_state = 89},
  [9155] = {.lex_state = 89},
  [9156] = {.lex_state = 89},
  [9157] = {.lex_state = 89},
  [9158] = {.lex_state = 89},
  [9159] = {.lex_state = 89},
  [9160] = {.lex_state = 89},
  [9161] = {.lex_state = 89},
  [9162] = {.lex_state = 89},
  [9163] = {.lex_state = 89},
  [9164] = {.lex_state = 89},
  [9165] = {.lex_state = 89},
  [9166] = {.lex_state = 89},
  [9167] = {.lex_state = 89},
  [9168] = {.lex_state = 89},
  [9169] = {.lex_state = 89},
  [9170] = {.lex_state = 89},
  [9171] = {.lex_state = 89},
  [9172] = {.lex_state = 89},
  [9173] = {.lex_state = 89},
  [9174] = {.lex_state = 89},
  [9175] = {.lex_state = 89},
  [9176] = {.lex_state = 89},
  [9177] = {.lex_state = 89},
  [9178] = {.lex_state = 89},
  [9179] = {.lex_state = 89},
  [9180] = {.lex_state = 89},
  [9181] = {.lex_state = 89},
  [9182] = {.lex_state = 89},
  [9183] = {.lex_state = 89},
  [9184] = {.lex_state = 89},
  [9185] = {.lex_state = 89},
  [9186] = {.lex_state = 89},
  [9187] = {.lex_state = 89},
  [9188] = {.lex_state = 89},
  [9189] = {.lex_state = 89},
  [9190] = {.lex_state = 89},
  [9191] = {.lex_state = 89},
  [9192] = {.lex_state = 89},
  [9193] = {.lex_state = 89},
  [9194] = {.lex_state = 89},
  [9195] = {.lex_state = 89},
  [9196] = {.lex_state = 89},
  [9197] = {.lex_state = 89},
  [9198] = {.lex_state = 89},
  [9199] = {.lex_state = 89},
  [9200] = {.lex_state = 89},
  [9201] = {.lex_state = 89},
  [9202] = {.lex_state = 89},
  [9203] = {.lex_state = 89},
  [9204] = {.lex_state = 89},
  [9205] = {.lex_state = 89},
  [9206] = {.lex_state = 89},
  [9207] = {.lex_state = 89},
  [9208] = {.lex_state = 89},
  [9209] = {.lex_state = 89},
  [9210] = {.lex_state = 89},
  [9211] = {.lex_state = 89},
  [9212] = {.lex_state = 89},
  [9213] = {.lex_state = 89},
  [9214] = {.lex_state = 89},
  [9215] = {.lex_state = 89},
  [9216] = {.lex_state = 89},
  [9217] = {.lex_state = 89},
  [9218] = {.lex_state = 89},
  [9219] = {.lex_state = 89},
  [9220] = {.lex_state = 89},
  [9221] = {.lex_state = 89},
  [9222] = {.lex_state = 89},
  [9223] = {.lex_state = 89},
  [9224] = {.lex_state = 89},
  [9225] = {.lex_state = 89},
  [9226] = {.lex_state = 89},
  [9227] = {.lex_state = 89},
  [9228] = {.lex_state = 89},
  [9229] = {.lex_state = 89},
  [9230] = {.lex_state = 89},
  [9231] = {.lex_state = 89},
  [9232] = {.lex_state = 89},
  [9233] = {.lex_state = 89},
  [9234] = {.lex_state = 98},
  [9235] = {.lex_state = 89},
  [9236] = {.lex_state = 89},
  [9237] = {.lex_state = 89},
  [9238] = {.lex_state = 89},
  [9239] = {.lex_state = 89},
  [9240] = {.lex_state = 89},
  [9241] = {.lex_state = 89},
  [9242] = {.lex_state = 89},
  [9243] = {.lex_state = 98},
  [9244] = {.lex_state = 89},
  [9245] = {.lex_state = 89},
  [9246] = {.lex_state = 89},
  [9247] = {.lex_state = 89},
  [9248] = {.lex_state = 89},
  [9249] = {.lex_state = 89},
  [9250] = {.lex_state = 89},
  [9251] = {.lex_state = 89},
  [9252] = {.lex_state = 89},
  [9253] = {.lex_state = 89},
  [9254] = {.lex_state = 89},
  [9255] = {.lex_state = 89},
  [9256] = {.lex_state = 89},
  [9257] = {.lex_state = 89},
  [9258] = {.lex_state = 89},
  [9259] = {.lex_state = 89},
  [9260] = {.lex_state = 89},
  [9261] = {.lex_state = 89},
  [9262] = {.lex_state = 89},
  [9263] = {.lex_state = 89},
  [9264] = {.lex_state = 89},
  [9265] = {.lex_state = 89},
  [9266] = {.lex_state = 92},
  [9267] = {.lex_state = 89},
  [9268] = {.lex_state = 89},
  [9269] = {.lex_state = 88},
  [9270] = {.lex_state = 89},
  [9271] = {.lex_state = 89},
  [9272] = {.lex_state = 89},
  [9273] = {.lex_state = 89},
  [9274] = {.lex_state = 89},
  [9275] = {.lex_state = 89},
  [9276] = {.lex_state = 89},
  [9277] = {.lex_state = 89},
  [9278] = {.lex_state = 89},
  [9279] = {.lex_state = 89},
  [9280] = {.lex_state = 89},
  [9281] = {.lex_state = 89},
  [9282] = {.lex_state = 98},
  [9283] = {.lex_state = 89},
  [9284] = {.lex_state = 89},
  [9285] = {.lex_state = 89},
  [9286] = {.lex_state = 89},
  [9287] = {.lex_state = 89},
  [9288] = {.lex_state = 89},
  [9289] = {.lex_state = 89},
  [9290] = {.lex_state = 89},
  [9291] = {.lex_state = 89},
  [9292] = {.lex_state = 89},
  [9293] = {.lex_state = 89},
  [9294] = {.lex_state = 89},
  [9295] = {.lex_state = 89},
  [9296] = {.lex_state = 89},
  [9297] = {.lex_state = 89},
  [9298] = {.lex_state = 89},
  [9299] = {.lex_state = 89},
  [9300] = {.lex_state = 89},
  [9301] = {.lex_state = 89},
  [9302] = {.lex_state = 89},
  [9303] = {.lex_state = 89},
  [9304] = {.lex_state = 89},
  [9305] = {.lex_state = 89},
  [9306] = {.lex_state = 89},
  [9307] = {.lex_state = 89},
  [9308] = {.lex_state = 89},
  [9309] = {.lex_state = 89},
  [9310] = {.lex_state = 89},
  [9311] = {.lex_state = 88},
  [9312] = {.lex_state = 89},
  [9313] = {.lex_state = 89},
  [9314] = {.lex_state = 89},
  [9315] = {.lex_state = 89},
  [9316] = {.lex_state = 89},
  [9317] = {.lex_state = 89},
  [9318] = {.lex_state = 89},
  [9319] = {.lex_state = 89},
  [9320] = {.lex_state = 89},
  [9321] = {.lex_state = 89},
  [9322] = {.lex_state = 89},
  [9323] = {.lex_state = 88},
  [9324] = {.lex_state = 89},
  [9325] = {.lex_state = 89},
  [9326] = {.lex_state = 88},
  [9327] = {.lex_state = 88},
  [9328] = {.lex_state = 96},
  [9329] = {.lex_state = 88},
  [9330] = {.lex_state = 89},
  [9331] = {.lex_state = 89},
  [9332] = {.lex_state = 88},
  [9333] = {.lex_state = 88},
  [9334] = {.lex_state = 88},
  [9335] = {.lex_state = 88},
  [9336] = {.lex_state = 88},
  [9337] = {.lex_state = 88},
  [9338] = {.lex_state = 88},
  [9339] = {.lex_state = 89},
  [9340] = {.lex_state = 88},
  [9341] = {.lex_state = 88},
  [9342] = {.lex_state = 88},
  [9343] = {.lex_state = 88},
  [9344] = {.lex_state = 89},
  [9345] = {.lex_state = 89},
  [9346] = {.lex_state = 88},
  [9347] = {.lex_state = 89},
  [9348] = {.lex_state = 88},
  [9349] = {.lex_state = 88},
  [9350] = {.lex_state = 88},
  [9351] = {.lex_state = 89},
  [9352] = {.lex_state = 98},
  [9353] = {.lex_state = 88},
  [9354] = {.lex_state = 89},
  [9355] = {.lex_state = 88},
  [9356] = {.lex_state = 88},
  [9357] = {.lex_state = 89},
  [9358] = {.lex_state = 88},
  [9359] = {.lex_state = 89},
  [9360] = {.lex_state = 88},
  [9361] = {.lex_state = 88},
  [9362] = {.lex_state = 88},
  [9363] = {.lex_state = 89},
  [9364] = {.lex_state = 88},
  [9365] = {.lex_state = 88},
  [9366] = {.lex_state = 89},
  [9367] = {.lex_state = 88},
  [9368] = {.lex_state = 88},
  [9369] = {.lex_state = 89},
  [9370] = {.lex_state = 89},
  [9371] = {.lex_state = 89},
  [9372] = {.lex_state = 88},
  [9373] = {.lex_state = 89},
  [9374] = {.lex_state = 89},
  [9375] = {.lex_state = 88},
  [9376] = {.lex_state = 89},
  [9377] = {.lex_state = 89},
  [9378] = {.lex_state = 88},
  [9379] = {.lex_state = 89},
  [9380] = {.lex_state = 88},
  [9381] = {.lex_state = 88},
  [9382] = {.lex_state = 89},
  [9383] = {.lex_state = 88},
  [9384] = {.lex_state = 88},
  [9385] = {.lex_state = 88},
  [9386] = {.lex_state = 88},
  [9387] = {.lex_state = 88},
  [9388] = {.lex_state = 89},
  [9389] = {.lex_state = 89},
  [9390] = {.lex_state = 89},
  [9391] = {.lex_state = 89},
  [9392] = {.lex_state = 89},
  [9393] = {.lex_state = 88},
  [9394] = {.lex_state = 89},
  [9395] = {.lex_state = 89},
  [9396] = {.lex_state = 88},
  [9397] = {.lex_state = 89},
  [9398] = {.lex_state = 89},
  [9399] = {.lex_state = 89},
  [9400] = {.lex_state = 89},
  [9401] = {.lex_state = 89},
  [9402] = {.lex_state = 88},
  [9403] = {.lex_state = 89},
  [9404] = {.lex_state = 88},
  [9405] = {.lex_state = 88},
  [9406] = {.lex_state = 89},
  [9407] = {.lex_state = 89},
  [9408] = {.lex_state = 89},
  [9409] = {.lex_state = 89},
  [9410] = {.lex_state = 89},
  [9411] = {.lex_state = 89},
  [9412] = {.lex_state = 88},
  [9413] = {.lex_state = 89},
  [9414] = {.lex_state = 89},
  [9415] = {.lex_state = 88},
  [9416] = {.lex_state = 89},
  [9417] = {.lex_state = 89},
  [9418] = {.lex_state = 89},
  [9419] = {.lex_state = 89},
  [9420] = {.lex_state = 89},
  [9421] = {.lex_state = 88},
  [9422] = {.lex_state = 89},
  [9423] = {.lex_state = 88},
  [9424] = {.lex_state = 89},
  [9425] = {.lex_state = 89},
  [9426] = {.lex_state = 89},
  [9427] = {.lex_state = 89},
  [9428] = {.lex_state = 88},
  [9429] = {.lex_state = 89},
  [9430] = {.lex_state = 89},
  [9431] = {.lex_state = 89},
  [9432] = {.lex_state = 88},
  [9433] = {.lex_state = 88},
  [9434] = {.lex_state = 89},
  [9435] = {.lex_state = 89},
  [9436] = {.lex_state = 88},
  [9437] = {.lex_state = 88},
  [9438] = {.lex_state = 88},
  [9439] = {.lex_state = 89},
  [9440] = {.lex_state = 89},
  [9441] = {.lex_state = 88},
  [9442] = {.lex_state = 89},
  [9443] = {.lex_state = 88},
  [9444] = {.lex_state = 89},
  [9445] = {.lex_state = 98},
  [9446] = {.lex_state = 88},
  [9447] = {.lex_state = 89},
  [9448] = {.lex_state = 89},
  [9449] = {.lex_state = 89},
  [9450] = {.lex_state = 89},
  [9451] = {.lex_state = 88},
  [9452] = {.lex_state = 89},
  [9453] = {.lex_state = 89},
  [9454] = {.lex_state = 89},
  [9455] = {.lex_state = 88},
  [9456] = {.lex_state = 89},
  [9457] = {.lex_state = 88},
  [9458] = {.lex_state = 88},
  [9459] = {.lex_state = 88},
  [9460] = {.lex_state = 89},
  [9461] = {.lex_state = 88},
  [9462] = {.lex_state = 89},
  [9463] = {.lex_state = 88},
  [9464] = {.lex_state = 89},
  [9465] = {.lex_state = 89},
  [9466] = {.lex_state = 88},
  [9467] = {.lex_state = 89},
  [9468] = {.lex_state = 89},
  [9469] = {.lex_state = 88},
  [9470] = {.lex_state = 88},
  [9471] = {.lex_state = 88},
  [9472] = {.lex_state = 88},
  [9473] = {.lex_state = 88},
  [9474] = {.lex_state = 88},
  [9475] = {.lex_state = 89},
  [9476] = {.lex_state = 88},
  [9477] = {.lex_state = 88},
  [9478] = {.lex_state = 88},
  [9479] = {.lex_state = 88},
  [9480] = {.lex_state = 89},
  [9481] = {.lex_state = 89, .external_lex_state = 2},
  [9482] = {.lex_state = 89},
  [9483] = {.lex_state = 89},
  [9484] = {.lex_state = 88},
  [9485] = {.lex_state = 89},
  [9486] = {.lex_state = 89},
  [9487] = {.lex_state = 89},
  [9488] = {.lex_state = 89},
  [9489] = {.lex_state = 88},
  [9490] = {.lex_state = 89},
  [9491] = {.lex_state = 89},
  [9492] = {.lex_state = 88},
  [9493] = {.lex_state = 89},
  [9494] = {.lex_state = 88},
  [9495] = {.lex_state = 89},
  [9496] = {.lex_state = 89},
  [9497] = {.lex_state = 88},
  [9498] = {.lex_state = 89},
  [9499] = {.lex_state = 89},
  [9500] = {.lex_state = 89},
  [9501] = {.lex_state = 88},
  [9502] = {.lex_state = 88},
  [9503] = {.lex_state = 89},
  [9504] = {.lex_state = 89},
  [9505] = {.lex_state = 89},
  [9506] = {.lex_state = 89},
  [9507] = {.lex_state = 89},
  [9508] = {.lex_state = 89},
  [9509] = {.lex_state = 89},
  [9510] = {.lex_state = 89},
  [9511] = {.lex_state = 89},
  [9512] = {.lex_state = 89},
  [9513] = {.lex_state = 88},
  [9514] = {.lex_state = 89},
  [9515] = {.lex_state = 89},
  [9516] = {.lex_state = 88},
  [9517] = {.lex_state = 89},
  [9518] = {.lex_state = 89},
  [9519] = {.lex_state = 88},
  [9520] = {.lex_state = 88},
  [9521] = {.lex_state = 89},
  [9522] = {.lex_state = 88},
  [9523] = {.lex_state = 88},
  [9524] = {.lex_state = 89},
  [9525] = {.lex_state = 89},
  [9526] = {.lex_state = 89},
  [9527] = {.lex_state = 88},
  [9528] = {.lex_state = 89},
  [9529] = {.lex_state = 88},
  [9530] = {.lex_state = 88},
  [9531] = {.lex_state = 88},
  [9532] = {.lex_state = 89},
  [9533] = {.lex_state = 88},
  [9534] = {.lex_state = 88},
  [9535] = {.lex_state = 88},
  [9536] = {.lex_state = 89},
  [9537] = {.lex_state = 88},
  [9538] = {.lex_state = 89},
  [9539] = {.lex_state = 89},
  [9540] = {.lex_state = 88},
  [9541] = {.lex_state = 89},
  [9542] = {.lex_state = 88},
  [9543] = {.lex_state = 88},
  [9544] = {.lex_state = 89},
  [9545] = {.lex_state = 89},
  [9546] = {.lex_state = 88},
  [9547] = {.lex_state = 89},
  [9548] = {.lex_state = 88},
  [9549] = {.lex_state = 89, .external_lex_state = 2},
  [9550] = {.lex_state = 89},
  [9551] = {.lex_state = 88},
  [9552] = {.lex_state = 88},
  [9553] = {.lex_state = 89},
  [9554] = {.lex_state = 89},
  [9555] = {.lex_state = 88},
  [9556] = {.lex_state = 88},
  [9557] = {.lex_state = 88},
  [9558] = {.lex_state = 88},
  [9559] = {.lex_state = 89},
  [9560] = {.lex_state = 89},
  [9561] = {.lex_state = 89},
  [9562] = {.lex_state = 89},
  [9563] = {.lex_state = 89},
  [9564] = {.lex_state = 89},
  [9565] = {.lex_state = 88},
  [9566] = {.lex_state = 89},
  [9567] = {.lex_state = 88},
  [9568] = {.lex_state = 89},
  [9569] = {.lex_state = 88},
  [9570] = {.lex_state = 88},
  [9571] = {.lex_state = 88},
  [9572] = {.lex_state = 89},
  [9573] = {.lex_state = 88},
  [9574] = {.lex_state = 89},
  [9575] = {.lex_state = 89},
  [9576] = {.lex_state = 89},
  [9577] = {.lex_state = 89},
  [9578] = {.lex_state = 89},
  [9579] = {.lex_state = 89},
  [9580] = {.lex_state = 89},
  [9581] = {.lex_state = 89},
  [9582] = {.lex_state = 89},
  [9583] = {.lex_state = 89},
  [9584] = {.lex_state = 89},
  [9585] = {.lex_state = 89},
  [9586] = {.lex_state = 88},
  [9587] = {.lex_state = 89},
  [9588] = {.lex_state = 89},
  [9589] = {.lex_state = 88},
  [9590] = {.lex_state = 88},
  [9591] = {.lex_state = 89},
  [9592] = {.lex_state = 89},
  [9593] = {.lex_state = 89},
  [9594] = {.lex_state = 88},
  [9595] = {.lex_state = 89},
  [9596] = {.lex_state = 88},
  [9597] = {.lex_state = 88},
  [9598] = {.lex_state = 88},
  [9599] = {.lex_state = 88},
  [9600] = {.lex_state = 88},
  [9601] = {.lex_state = 89},
  [9602] = {.lex_state = 88},
  [9603] = {.lex_state = 88},
  [9604] = {.lex_state = 88},
  [9605] = {.lex_state = 88},
  [9606] = {.lex_state = 88},
  [9607] = {.lex_state = 88},
  [9608] = {.lex_state = 88},
  [9609] = {.lex_state = 89},
  [9610] = {.lex_state = 89},
  [9611] = {.lex_state = 89},
  [9612] = {.lex_state = 98},
  [9613] = {.lex_state = 89},
  [9614] = {.lex_state = 89},
  [9615] = {.lex_state = 89},
  [9616] = {.lex_state = 89},
  [9617] = {.lex_state = 89},
  [9618] = {.lex_state = 89},
  [9619] = {.lex_state = 89},
  [9620] = {.lex_state = 89},
  [9621] = {.lex_state = 89},
  [9622] = {.lex_state = 89},
  [9623] = {.lex_state = 89},
  [9624] = {.lex_state = 89},
  [9625] = {.lex_state = 89},
  [9626] = {.lex_state = 89},
  [9627] = {.lex_state = 89},
  [9628] = {.lex_state = 89},
  [9629] = {.lex_state = 89},
  [9630] = {.lex_state = 100},
  [9631] = {.lex_state = 89},
  [9632] = {.lex_state = 89},
  [9633] = {.lex_state = 89},
  [9634] = {.lex_state = 89},
  [9635] = {.lex_state = 89},
  [9636] = {.lex_state = 89},
  [9637] = {.lex_state = 89},
  [9638] = {.lex_state = 89},
  [9639] = {.lex_state = 89},
  [9640] = {.lex_state = 89},
  [9641] = {.lex_state = 89},
  [9642] = {.lex_state = 89},
  [9643] = {.lex_state = 89},
  [9644] = {.lex_state = 88},
  [9645] = {.lex_state = 89},
  [9646] = {.lex_state = 89},
  [9647] = {.lex_state = 88},
  [9648] = {.lex_state = 89},
  [9649] = {.lex_state = 89},
  [9650] = {.lex_state = 89},
  [9651] = {.lex_state = 89},
  [9652] = {.lex_state = 89},
  [9653] = {.lex_state = 88},
  [9654] = {.lex_state = 89},
  [9655] = {.lex_state = 89},
  [9656] = {.lex_state = 89},
  [9657] = {.lex_state = 89},
  [9658] = {.lex_state = 89},
  [9659] = {.lex_state = 89},
  [9660] = {.lex_state = 89},
  [9661] = {.lex_state = 89},
  [9662] = {.lex_state = 89},
  [9663] = {.lex_state = 89},
  [9664] = {.lex_state = 89},
  [9665] = {.lex_state = 89},
  [9666] = {.lex_state = 100},
  [9667] = {.lex_state = 98},
  [9668] = {.lex_state = 89},
  [9669] = {.lex_state = 89},
  [9670] = {.lex_state = 89},
  [9671] = {.lex_state = 89},
  [9672] = {.lex_state = 89},
  [9673] = {.lex_state = 89},
  [9674] = {.lex_state = 89},
  [9675] = {.lex_state = 98},
  [9676] = {.lex_state = 89},
  [9677] = {.lex_state = 89},
  [9678] = {.lex_state = 100},
  [9679] = {.lex_state = 100},
  [9680] = {.lex_state = 89},
  [9681] = {.lex_state = 89},
  [9682] = {.lex_state = 100},
  [9683] = {.lex_state = 89},
  [9684] = {.lex_state = 89},
  [9685] = {.lex_state = 100},
  [9686] = {.lex_state = 98},
  [9687] = {.lex_state = 100},
  [9688] = {.lex_state = 89},
  [9689] = {.lex_state = 89},
  [9690] = {.lex_state = 89},
  [9691] = {.lex_state = 89},
  [9692] = {.lex_state = 89},
  [9693] = {.lex_state = 89},
  [9694] = {.lex_state = 89},
  [9695] = {.lex_state = 89},
  [9696] = {.lex_state = 100},
  [9697] = {.lex_state = 89},
  [9698] = {.lex_state = 100},
  [9699] = {.lex_state = 89},
  [9700] = {.lex_state = 88},
  [9701] = {.lex_state = 88},
  [9702] = {.lex_state = 88},
  [9703] = {.lex_state = 89},
  [9704] = {.lex_state = 88},
  [9705] = {.lex_state = 88},
  [9706] = {.lex_state = 88},
  [9707] = {.lex_state = 88},
  [9708] = {.lex_state = 100},
  [9709] = {.lex_state = 89},
  [9710] = {.lex_state = 89},
  [9711] = {.lex_state = 100},
  [9712] = {.lex_state = 88},
  [9713] = {.lex_state = 89},
  [9714] = {.lex_state = 100},
  [9715] = {.lex_state = 98},
  [9716] = {.lex_state = 100},
  [9717] = {.lex_state = 89},
  [9718] = {.lex_state = 89},
  [9719] = {.lex_state = 98},
  [9720] = {.lex_state = 89},
  [9721] = {.lex_state = 88},
  [9722] = {.lex_state = 88},
  [9723] = {.lex_state = 89},
  [9724] = {.lex_state = 89},
  [9725] = {.lex_state = 89},
  [9726] = {.lex_state = 100},
  [9727] = {.lex_state = 100},
  [9728] = {.lex_state = 100},
  [9729] = {.lex_state = 100},
  [9730] = {.lex_state = 89},
  [9731] = {.lex_state = 98},
  [9732] = {.lex_state = 89},
  [9733] = {.lex_state = 89},
  [9734] = {.lex_state = 100},
  [9735] = {.lex_state = 89},
  [9736] = {.lex_state = 100},
  [9737] = {.lex_state = 100},
  [9738] = {.lex_state = 89},
  [9739] = {.lex_state = 88},
  [9740] = {.lex_state = 88},
  [9741] = {.lex_state = 100},
  [9742] = {.lex_state = 88},
  [9743] = {.lex_state = 89},
  [9744] = {.lex_state = 100},
  [9745] = {.lex_state = 100},
  [9746] = {.lex_state = 89},
  [9747] = {.lex_state = 100},
  [9748] = {.lex_state = 89},
  [9749] = {.lex_state = 89},
  [9750] = {.lex_state = 89},
  [9751] = {.lex_state = 89},
  [9752] = {.lex_state = 89},
  [9753] = {.lex_state = 89},
  [9754] = {.lex_state = 100},
  [9755] = {.lex_state = 89},
  [9756] = {.lex_state = 89},
  [9757] = {.lex_state = 98},
  [9758] = {.lex_state = 100},
  [9759] = {.lex_state = 89},
  [9760] = {.lex_state = 89},
  [9761] = {.lex_state = 89},
  [9762] = {.lex_state = 89},
  [9763] = {.lex_state = 89},
  [9764] = {.lex_state = 89},
  [9765] = {.lex_state = 100},
  [9766] = {.lex_state = 100},
  [9767] = {.lex_state = 89},
  [9768] = {.lex_state = 89},
  [9769] = {.lex_state = 89},
  [9770] = {.lex_state = 89},
  [9771] = {.lex_state = 89},
  [9772] = {.lex_state = 89},
  [9773] = {.lex_state = 89},
  [9774] = {.lex_state = 89},
  [9775] = {.lex_state = 89},
  [9776] = {.lex_state = 89},
  [9777] = {.lex_state = 89},
  [9778] = {.lex_state = 89},
  [9779] = {.lex_state = 100},
  [9780] = {.lex_state = 100},
  [9781] = {.lex_state = 89},
  [9782] = {.lex_state = 89},
  [9783] = {.lex_state = 89},
  [9784] = {.lex_state = 89},
  [9785] = {.lex_state = 89},
  [9786] = {.lex_state = 89},
  [9787] = {.lex_state = 100},
  [9788] = {.lex_state = 89},
  [9789] = {.lex_state = 100},
  [9790] = {.lex_state = 89},
  [9791] = {.lex_state = 100},
  [9792] = {.lex_state = 88},
  [9793] = {.lex_state = 100},
  [9794] = {.lex_state = 89},
  [9795] = {.lex_state = 100},
  [9796] = {.lex_state = 100},
  [9797] = {.lex_state = 89},
  [9798] = {.lex_state = 100},
  [9799] = {.lex_state = 100},
  [9800] = {.lex_state = 89},
  [9801] = {.lex_state = 89},
  [9802] = {.lex_state = 89},
  [9803] = {.lex_state = 98},
  [9804] = {.lex_state = 89},
  [9805] = {.lex_state = 89},
  [9806] = {.lex_state = 89},
  [9807] = {.lex_state = 89},
  [9808] = {.lex_state = 89},
  [9809] = {.lex_state = 89},
  [9810] = {.lex_state = 89},
  [9811] = {.lex_state = 100},
  [9812] = {.lex_state = 89},
  [9813] = {.lex_state = 100},
  [9814] = {.lex_state = 100},
  [9815] = {.lex_state = 100},
  [9816] = {.lex_state = 100},
  [9817] = {.lex_state = 100},
  [9818] = {.lex_state = 89},
  [9819] = {.lex_state = 100},
  [9820] = {.lex_state = 89},
  [9821] = {.lex_state = 98},
  [9822] = {.lex_state = 100},
  [9823] = {.lex_state = 100},
  [9824] = {.lex_state = 100},
  [9825] = {.lex_state = 100},
  [9826] = {.lex_state = 100},
  [9827] = {.lex_state = 100},
  [9828] = {.lex_state = 100},
  [9829] = {.lex_state = 100},
  [9830] = {.lex_state = 89},
  [9831] = {.lex_state = 88},
  [9832] = {.lex_state = 100},
  [9833] = {.lex_state = 100},
  [9834] = {.lex_state = 100},
  [9835] = {.lex_state = 100},
  [9836] = {.lex_state = 100},
  [9837] = {.lex_state = 88},
  [9838] = {.lex_state = 89},
  [9839] = {.lex_state = 89},
  [9840] = {.lex_state = 100},
  [9841] = {.lex_state = 89},
  [9842] = {.lex_state = 100},
  [9843] = {.lex_state = 100},
  [9844] = {.lex_state = 100},
  [9845] = {.lex_state = 100},
  [9846] = {.lex_state = 100},
  [9847] = {.lex_state = 89},
  [9848] = {.lex_state = 100},
  [9849] = {.lex_state = 100},
  [9850] = {.lex_state = 100},
  [9851] = {.lex_state = 89},
  [9852] = {.lex_state = 100},
  [9853] = {.lex_state = 89},
  [9854] = {.lex_state = 100},
  [9855] = {.lex_state = 100},
  [9856] = {.lex_state = 89},
  [9857] = {.lex_state = 100},
  [9858] = {.lex_state = 100},
  [9859] = {.lex_state = 88},
  [9860] = {.lex_state = 100},
  [9861] = {.lex_state = 100},
  [9862] = {.lex_state = 88},
  [9863] = {.lex_state = 100},
  [9864] = {.lex_state = 100},
  [9865] = {.lex_state = 100},
  [9866] = {.lex_state = 100},
  [9867] = {.lex_state = 100},
  [9868] = {.lex_state = 100},
  [9869] = {.lex_state = 88},
  [9870] = {.lex_state = 100},
  [9871] = {.lex_state = 100},
  [9872] = {.lex_state = 100},
  [9873] = {.lex_state = 89},
  [9874] = {.lex_state = 100},
  [9875] = {.lex_state = 89},
  [9876] = {.lex_state = 100},
  [9877] = {.lex_state = 89},
  [9878] = {.lex_state = 100},
  [9879] = {.lex_state = 100},
  [9880] = {.lex_state = 100},
  [9881] = {.lex_state = 100},
  [9882] = {.lex_state = 100},
  [9883] = {.lex_state = 98},
  [9884] = {.lex_state = 100},
  [9885] = {.lex_state = 100},
  [9886] = {.lex_state = 100},
  [9887] = {.lex_state = 100},
  [9888] = {.lex_state = 100},
  [9889] = {.lex_state = 100},
  [9890] = {.lex_state = 89},
  [9891] = {.lex_state = 89},
  [9892] = {.lex_state = 89},
  [9893] = {.lex_state = 89},
  [9894] = {.lex_state = 89},
  [9895] = {.lex_state = 89},
  [9896] = {.lex_state = 89},
  [9897] = {.lex_state = 89},
  [9898] = {.lex_state = 89},
  [9899] = {.lex_state = 89},
  [9900] = {.lex_state = 89},
  [9901] = {.lex_state = 89},
  [9902] = {.lex_state = 89},
  [9903] = {.lex_state = 89},
  [9904] = {.lex_state = 89},
  [9905] = {.lex_state = 89},
  [9906] = {.lex_state = 89},
  [9907] = {.lex_state = 89},
  [9908] = {.lex_state = 89},
  [9909] = {.lex_state = 89},
  [9910] = {.lex_state = 89},
  [9911] = {.lex_state = 89},
  [9912] = {.lex_state = 89},
  [9913] = {.lex_state = 89},
  [9914] = {.lex_state = 89},
  [9915] = {.lex_state = 89},
  [9916] = {.lex_state = 89},
  [9917] = {.lex_state = 89},
  [9918] = {.lex_state = 89},
  [9919] = {.lex_state = 89},
  [9920] = {.lex_state = 89},
  [9921] = {.lex_state = 89},
  [9922] = {.lex_state = 89},
  [9923] = {.lex_state = 89},
  [9924] = {.lex_state = 89},
  [9925] = {.lex_state = 89},
  [9926] = {.lex_state = 89},
  [9927] = {.lex_state = 89},
  [9928] = {.lex_state = 89},
  [9929] = {.lex_state = 89},
  [9930] = {.lex_state = 89},
  [9931] = {.lex_state = 89},
  [9932] = {.lex_state = 89},
  [9933] = {.lex_state = 89},
  [9934] = {.lex_state = 89},
  [9935] = {.lex_state = 89},
  [9936] = {.lex_state = 89},
  [9937] = {.lex_state = 89},
  [9938] = {.lex_state = 89},
  [9939] = {.lex_state = 89},
  [9940] = {.lex_state = 89},
  [9941] = {.lex_state = 89},
  [9942] = {.lex_state = 89},
  [9943] = {.lex_state = 89},
  [9944] = {.lex_state = 89},
  [9945] = {.lex_state = 89},
  [9946] = {.lex_state = 89},
  [9947] = {.lex_state = 89},
  [9948] = {.lex_state = 89},
  [9949] = {.lex_state = 89},
  [9950] = {.lex_state = 89},
  [9951] = {.lex_state = 89},
  [9952] = {.lex_state = 89},
  [9953] = {.lex_state = 89},
  [9954] = {.lex_state = 89},
  [9955] = {.lex_state = 89},
  [9956] = {.lex_state = 89},
  [9957] = {.lex_state = 89},
  [9958] = {.lex_state = 89},
  [9959] = {.lex_state = 89},
  [9960] = {.lex_state = 89},
  [9961] = {.lex_state = 98},
  [9962] = {.lex_state = 89},
  [9963] = {.lex_state = 89},
  [9964] = {.lex_state = 89},
  [9965] = {.lex_state = 98},
  [9966] = {.lex_state = 89},
  [9967] = {.lex_state = 89},
  [9968] = {.lex_state = 89},
  [9969] = {.lex_state = 89},
  [9970] = {.lex_state = 89},
  [9971] = {.lex_state = 89},
  [9972] = {.lex_state = 89},
  [9973] = {.lex_state = 89},
  [9974] = {.lex_state = 89},
  [9975] = {.lex_state = 89},
  [9976] = {.lex_state = 89},
  [9977] = {.lex_state = 89},
  [9978] = {.lex_state = 89},
  [9979] = {.lex_state = 89},
  [9980] = {.lex_state = 89},
  [9981] = {.lex_state = 89},
  [9982] = {.lex_state = 89},
  [9983] = {.lex_state = 89},
  [9984] = {.lex_state = 89},
  [9985] = {.lex_state = 89},
  [9986] = {.lex_state = 89},
  [9987] = {.lex_state = 89},
  [9988] = {.lex_state = 89},
  [9989] = {.lex_state = 89},
  [9990] = {.lex_state = 89},
  [9991] = {.lex_state = 89},
  [9992] = {.lex_state = 89},
  [9993] = {.lex_state = 89},
  [9994] = {.lex_state = 89},
  [9995] = {.lex_state = 89},
  [9996] = {.lex_state = 89},
  [9997] = {.lex_state = 89},
  [9998] = {.lex_state = 89},
  [9999] = {.lex_state = 89},
  [10000] = {.lex_state = 89},
  [10001] = {.lex_state = 89},
  [10002] = {.lex_state = 98},
  [10003] = {.lex_state = 98},
  [10004] = {.lex_state = 89},
  [10005] = {.lex_state = 89},
  [10006] = {.lex_state = 89},
  [10007] = {.lex_state = 98},
  [10008] = {.lex_state = 89},
  [10009] = {.lex_state = 89},
  [10010] = {.lex_state = 89},
  [10011] = {.lex_state = 89},
  [10012] = {.lex_state = 89},
  [10013] = {.lex_state = 89},
  [10014] = {.lex_state = 89},
  [10015] = {.lex_state = 89},
  [10016] = {.lex_state = 89},
  [10017] = {.lex_state = 89},
  [10018] = {.lex_state = 89},
  [10019] = {.lex_state = 89},
  [10020] = {.lex_state = 89},
  [10021] = {.lex_state = 89},
  [10022] = {.lex_state = 89},
  [10023] = {.lex_state = 89},
  [10024] = {.lex_state = 89},
  [10025] = {.lex_state = 89},
  [10026] = {.lex_state = 89},
  [10027] = {.lex_state = 89},
  [10028] = {.lex_state = 89},
  [10029] = {.lex_state = 89},
  [10030] = {.lex_state = 89},
  [10031] = {.lex_state = 89},
  [10032] = {.lex_state = 89},
  [10033] = {.lex_state = 89},
  [10034] = {.lex_state = 89},
  [10035] = {.lex_state = 89},
  [10036] = {.lex_state = 89},
  [10037] = {.lex_state = 89},
  [10038] = {.lex_state = 89},
  [10039] = {.lex_state = 89},
  [10040] = {.lex_state = 89},
  [10041] = {.lex_state = 89},
  [10042] = {.lex_state = 89},
  [10043] = {.lex_state = 89},
  [10044] = {.lex_state = 89},
  [10045] = {.lex_state = 89},
  [10046] = {.lex_state = 89},
  [10047] = {.lex_state = 89},
  [10048] = {.lex_state = 89},
  [10049] = {.lex_state = 89},
  [10050] = {.lex_state = 89},
  [10051] = {.lex_state = 89},
  [10052] = {.lex_state = 89},
  [10053] = {.lex_state = 89},
  [10054] = {.lex_state = 89},
  [10055] = {.lex_state = 89},
  [10056] = {.lex_state = 89},
  [10057] = {.lex_state = 89},
  [10058] = {.lex_state = 89},
  [10059] = {.lex_state = 89},
  [10060] = {.lex_state = 89},
  [10061] = {.lex_state = 89},
  [10062] = {.lex_state = 89},
  [10063] = {.lex_state = 89},
  [10064] = {.lex_state = 89},
  [10065] = {.lex_state = 89},
  [10066] = {.lex_state = 89},
  [10067] = {.lex_state = 89},
  [10068] = {.lex_state = 89},
  [10069] = {.lex_state = 89},
  [10070] = {.lex_state = 89},
  [10071] = {.lex_state = 89},
  [10072] = {.lex_state = 89},
  [10073] = {.lex_state = 89},
  [10074] = {.lex_state = 89},
  [10075] = {.lex_state = 89},
  [10076] = {.lex_state = 89},
  [10077] = {.lex_state = 89},
  [10078] = {.lex_state = 89},
  [10079] = {.lex_state = 89},
  [10080] = {.lex_state = 89},
  [10081] = {.lex_state = 89},
  [10082] = {.lex_state = 89},
  [10083] = {.lex_state = 89},
  [10084] = {.lex_state = 89},
  [10085] = {.lex_state = 89},
  [10086] = {.lex_state = 89},
  [10087] = {.lex_state = 89},
  [10088] = {.lex_state = 89},
  [10089] = {.lex_state = 89},
  [10090] = {.lex_state = 89},
  [10091] = {.lex_state = 89},
  [10092] = {.lex_state = 89},
  [10093] = {.lex_state = 89},
  [10094] = {.lex_state = 89},
  [10095] = {.lex_state = 89},
  [10096] = {.lex_state = 89},
  [10097] = {.lex_state = 89},
  [10098] = {.lex_state = 89},
  [10099] = {.lex_state = 89},
  [10100] = {.lex_state = 89},
  [10101] = {.lex_state = 89},
  [10102] = {.lex_state = 89},
  [10103] = {.lex_state = 89},
  [10104] = {.lex_state = 89},
  [10105] = {.lex_state = 89},
  [10106] = {.lex_state = 89},
  [10107] = {.lex_state = 89},
  [10108] = {.lex_state = 89},
  [10109] = {.lex_state = 89},
  [10110] = {.lex_state = 89},
  [10111] = {.lex_state = 89},
  [10112] = {.lex_state = 89},
  [10113] = {.lex_state = 89},
  [10114] = {.lex_state = 89},
  [10115] = {.lex_state = 89},
  [10116] = {.lex_state = 89},
  [10117] = {.lex_state = 89},
  [10118] = {.lex_state = 89},
  [10119] = {.lex_state = 89},
  [10120] = {.lex_state = 89},
  [10121] = {.lex_state = 89},
  [10122] = {.lex_state = 89},
  [10123] = {.lex_state = 89},
  [10124] = {.lex_state = 89},
  [10125] = {.lex_state = 89},
  [10126] = {.lex_state = 89},
  [10127] = {.lex_state = 89},
  [10128] = {.lex_state = 89},
  [10129] = {.lex_state = 89},
  [10130] = {.lex_state = 89},
  [10131] = {.lex_state = 89},
  [10132] = {.lex_state = 89},
  [10133] = {.lex_state = 89},
  [10134] = {.lex_state = 89},
  [10135] = {.lex_state = 89},
  [10136] = {.lex_state = 89},
  [10137] = {.lex_state = 89},
  [10138] = {.lex_state = 89},
  [10139] = {.lex_state = 89},
  [10140] = {.lex_state = 89},
  [10141] = {.lex_state = 89},
  [10142] = {.lex_state = 89},
  [10143] = {.lex_state = 89},
  [10144] = {.lex_state = 89},
  [10145] = {.lex_state = 89},
  [10146] = {.lex_state = 89},
  [10147] = {.lex_state = 89},
  [10148] = {.lex_state = 89},
  [10149] = {.lex_state = 89},
  [10150] = {.lex_state = 89},
  [10151] = {.lex_state = 89},
  [10152] = {.lex_state = 89},
  [10153] = {.lex_state = 89},
  [10154] = {.lex_state = 89},
  [10155] = {.lex_state = 89},
  [10156] = {.lex_state = 89},
  [10157] = {.lex_state = 89},
  [10158] = {.lex_state = 89},
  [10159] = {.lex_state = 89},
  [10160] = {.lex_state = 89},
  [10161] = {.lex_state = 89},
  [10162] = {.lex_state = 89},
  [10163] = {.lex_state = 89},
  [10164] = {.lex_state = 89},
  [10165] = {.lex_state = 89},
  [10166] = {.lex_state = 89},
  [10167] = {.lex_state = 89},
  [10168] = {.lex_state = 89},
  [10169] = {.lex_state = 89},
  [10170] = {.lex_state = 89},
  [10171] = {.lex_state = 89},
  [10172] = {.lex_state = 89},
  [10173] = {.lex_state = 89},
  [10174] = {.lex_state = 89},
  [10175] = {.lex_state = 89},
  [10176] = {.lex_state = 89},
  [10177] = {.lex_state = 89},
  [10178] = {.lex_state = 89},
  [10179] = {.lex_state = 89},
  [10180] = {.lex_state = 89},
  [10181] = {.lex_state = 89},
  [10182] = {.lex_state = 89},
  [10183] = {.lex_state = 89},
  [10184] = {.lex_state = 89},
  [10185] = {.lex_state = 89},
  [10186] = {.lex_state = 89},
  [10187] = {.lex_state = 89},
  [10188] = {.lex_state = 89},
  [10189] = {.lex_state = 89},
  [10190] = {.lex_state = 88},
  [10191] = {.lex_state = 89},
  [10192] = {.lex_state = 89},
  [10193] = {.lex_state = 89},
  [10194] = {.lex_state = 89},
  [10195] = {.lex_state = 89},
  [10196] = {.lex_state = 89},
  [10197] = {.lex_state = 89},
  [10198] = {.lex_state = 89},
  [10199] = {.lex_state = 89},
  [10200] = {.lex_state = 89},
  [10201] = {.lex_state = 89},
  [10202] = {.lex_state = 89},
  [10203] = {.lex_state = 89},
  [10204] = {.lex_state = 89},
  [10205] = {.lex_state = 89},
  [10206] = {.lex_state = 89},
  [10207] = {.lex_state = 89},
  [10208] = {.lex_state = 89},
  [10209] = {.lex_state = 89},
  [10210] = {.lex_state = 89},
  [10211] = {.lex_state = 89},
  [10212] = {.lex_state = 89},
  [10213] = {.lex_state = 89},
  [10214] = {.lex_state = 89},
  [10215] = {.lex_state = 89},
  [10216] = {.lex_state = 89},
  [10217] = {.lex_state = 89},
  [10218] = {.lex_state = 89},
  [10219] = {.lex_state = 89},
  [10220] = {.lex_state = 89},
  [10221] = {.lex_state = 89},
  [10222] = {.lex_state = 89},
  [10223] = {.lex_state = 89},
  [10224] = {.lex_state = 89},
  [10225] = {.lex_state = 89},
  [10226] = {.lex_state = 89},
  [10227] = {.lex_state = 89},
  [10228] = {.lex_state = 89},
  [10229] = {.lex_state = 89},
  [10230] = {.lex_state = 89},
  [10231] = {.lex_state = 89},
  [10232] = {.lex_state = 89},
  [10233] = {.lex_state = 89},
  [10234] = {.lex_state = 89},
  [10235] = {.lex_state = 89},
  [10236] = {.lex_state = 89},
  [10237] = {.lex_state = 89},
  [10238] = {.lex_state = 89},
  [10239] = {.lex_state = 89},
  [10240] = {.lex_state = 89},
  [10241] = {.lex_state = 89},
  [10242] = {.lex_state = 89},
  [10243] = {.lex_state = 89},
  [10244] = {.lex_state = 89},
  [10245] = {.lex_state = 89},
  [10246] = {.lex_state = 89},
  [10247] = {.lex_state = 89},
  [10248] = {.lex_state = 89},
  [10249] = {.lex_state = 89},
  [10250] = {.lex_state = 89},
  [10251] = {.lex_state = 89},
  [10252] = {.lex_state = 89},
  [10253] = {.lex_state = 89},
  [10254] = {.lex_state = 89},
  [10255] = {.lex_state = 89},
  [10256] = {.lex_state = 89},
  [10257] = {.lex_state = 89},
  [10258] = {.lex_state = 89},
  [10259] = {.lex_state = 89},
  [10260] = {.lex_state = 89},
  [10261] = {.lex_state = 89},
  [10262] = {.lex_state = 89},
  [10263] = {.lex_state = 89},
  [10264] = {.lex_state = 89},
  [10265] = {.lex_state = 89},
  [10266] = {.lex_state = 89},
  [10267] = {.lex_state = 89},
  [10268] = {.lex_state = 89},
  [10269] = {.lex_state = 89},
  [10270] = {.lex_state = 89},
  [10271] = {.lex_state = 89},
  [10272] = {.lex_state = 89},
  [10273] = {.lex_state = 89},
  [10274] = {.lex_state = 89},
  [10275] = {.lex_state = 89},
  [10276] = {.lex_state = 89},
  [10277] = {.lex_state = 89},
  [10278] = {.lex_state = 89},
  [10279] = {.lex_state = 89},
  [10280] = {.lex_state = 89},
  [10281] = {.lex_state = 89},
  [10282] = {.lex_state = 89},
  [10283] = {.lex_state = 89},
  [10284] = {.lex_state = 89},
  [10285] = {.lex_state = 89},
  [10286] = {.lex_state = 89},
  [10287] = {.lex_state = 89},
  [10288] = {.lex_state = 89},
  [10289] = {.lex_state = 89},
  [10290] = {.lex_state = 89},
  [10291] = {.lex_state = 89},
  [10292] = {.lex_state = 89},
  [10293] = {.lex_state = 89},
  [10294] = {.lex_state = 89},
  [10295] = {.lex_state = 89},
  [10296] = {.lex_state = 89},
  [10297] = {.lex_state = 89},
  [10298] = {.lex_state = 89},
  [10299] = {.lex_state = 89},
  [10300] = {.lex_state = 89},
  [10301] = {.lex_state = 89},
  [10302] = {.lex_state = 89},
  [10303] = {.lex_state = 89},
  [10304] = {.lex_state = 89},
  [10305] = {.lex_state = 89},
  [10306] = {.lex_state = 89},
  [10307] = {.lex_state = 89},
  [10308] = {.lex_state = 89},
  [10309] = {.lex_state = 89},
  [10310] = {.lex_state = 89},
  [10311] = {.lex_state = 89},
  [10312] = {.lex_state = 89},
  [10313] = {.lex_state = 89},
  [10314] = {.lex_state = 89},
  [10315] = {.lex_state = 89},
  [10316] = {.lex_state = 89},
  [10317] = {.lex_state = 89},
  [10318] = {.lex_state = 89},
  [10319] = {.lex_state = 89},
  [10320] = {.lex_state = 89},
  [10321] = {.lex_state = 89},
  [10322] = {.lex_state = 89},
  [10323] = {.lex_state = 89},
  [10324] = {.lex_state = 89},
  [10325] = {.lex_state = 89},
  [10326] = {.lex_state = 89},
  [10327] = {.lex_state = 89},
  [10328] = {.lex_state = 89},
  [10329] = {.lex_state = 89},
  [10330] = {.lex_state = 89},
  [10331] = {.lex_state = 89},
  [10332] = {.lex_state = 89},
  [10333] = {.lex_state = 89},
  [10334] = {.lex_state = 89},
  [10335] = {.lex_state = 89},
  [10336] = {.lex_state = 89},
  [10337] = {.lex_state = 89},
  [10338] = {.lex_state = 89},
  [10339] = {.lex_state = 89},
  [10340] = {.lex_state = 89},
  [10341] = {.lex_state = 89},
  [10342] = {.lex_state = 89},
  [10343] = {.lex_state = 89},
  [10344] = {.lex_state = 89},
  [10345] = {.lex_state = 89},
  [10346] = {.lex_state = 89},
  [10347] = {.lex_state = 89},
  [10348] = {.lex_state = 89},
  [10349] = {.lex_state = 89},
  [10350] = {.lex_state = 89},
  [10351] = {.lex_state = 89},
  [10352] = {.lex_state = 89},
  [10353] = {.lex_state = 89},
  [10354] = {.lex_state = 89},
  [10355] = {.lex_state = 89},
  [10356] = {.lex_state = 89},
  [10357] = {.lex_state = 89},
  [10358] = {.lex_state = 89},
  [10359] = {.lex_state = 89},
  [10360] = {.lex_state = 89},
  [10361] = {.lex_state = 89},
  [10362] = {.lex_state = 89},
  [10363] = {.lex_state = 89},
  [10364] = {.lex_state = 89},
  [10365] = {.lex_state = 89},
  [10366] = {.lex_state = 89},
  [10367] = {.lex_state = 89},
  [10368] = {.lex_state = 89},
  [10369] = {.lex_state = 89},
  [10370] = {.lex_state = 89},
  [10371] = {.lex_state = 89},
  [10372] = {.lex_state = 89},
  [10373] = {.lex_state = 89},
  [10374] = {.lex_state = 89},
  [10375] = {.lex_state = 89},
  [10376] = {.lex_state = 89},
  [10377] = {.lex_state = 89},
  [10378] = {.lex_state = 89},
  [10379] = {.lex_state = 89},
  [10380] = {.lex_state = 89},
  [10381] = {.lex_state = 89},
  [10382] = {.lex_state = 89},
  [10383] = {.lex_state = 89},
  [10384] = {.lex_state = 89},
  [10385] = {.lex_state = 89},
  [10386] = {.lex_state = 89},
  [10387] = {.lex_state = 89},
  [10388] = {.lex_state = 89},
  [10389] = {.lex_state = 89},
  [10390] = {.lex_state = 89},
  [10391] = {.lex_state = 89},
  [10392] = {.lex_state = 89},
  [10393] = {.lex_state = 89},
  [10394] = {.lex_state = 89},
  [10395] = {.lex_state = 89},
  [10396] = {.lex_state = 89},
  [10397] = {.lex_state = 89},
  [10398] = {.lex_state = 89},
  [10399] = {.lex_state = 89},
  [10400] = {.lex_state = 89},
  [10401] = {.lex_state = 89},
  [10402] = {.lex_state = 89},
  [10403] = {.lex_state = 89},
  [10404] = {.lex_state = 89},
  [10405] = {.lex_state = 89},
  [10406] = {.lex_state = 89},
  [10407] = {.lex_state = 89},
  [10408] = {.lex_state = 89},
  [10409] = {.lex_state = 89},
  [10410] = {.lex_state = 89},
  [10411] = {.lex_state = 89},
  [10412] = {.lex_state = 89},
  [10413] = {.lex_state = 89},
  [10414] = {.lex_state = 89},
  [10415] = {.lex_state = 89},
  [10416] = {.lex_state = 89},
  [10417] = {.lex_state = 89},
  [10418] = {.lex_state = 89},
  [10419] = {.lex_state = 89},
  [10420] = {.lex_state = 89},
  [10421] = {.lex_state = 89},
  [10422] = {.lex_state = 89},
  [10423] = {.lex_state = 89},
  [10424] = {.lex_state = 89},
  [10425] = {.lex_state = 89},
  [10426] = {.lex_state = 89},
  [10427] = {.lex_state = 89},
  [10428] = {.lex_state = 89},
  [10429] = {.lex_state = 89},
  [10430] = {.lex_state = 89},
  [10431] = {.lex_state = 89},
  [10432] = {.lex_state = 89},
  [10433] = {.lex_state = 98},
  [10434] = {.lex_state = 89},
  [10435] = {.lex_state = 89},
  [10436] = {.lex_state = 89},
  [10437] = {.lex_state = 89},
  [10438] = {.lex_state = 89},
  [10439] = {.lex_state = 89},
  [10440] = {.lex_state = 89},
  [10441] = {.lex_state = 89},
  [10442] = {.lex_state = 89},
  [10443] = {.lex_state = 89},
  [10444] = {.lex_state = 89},
  [10445] = {.lex_state = 89},
  [10446] = {.lex_state = 89},
  [10447] = {.lex_state = 89},
  [10448] = {.lex_state = 89},
  [10449] = {.lex_state = 89},
  [10450] = {.lex_state = 89},
  [10451] = {.lex_state = 89},
  [10452] = {.lex_state = 89},
  [10453] = {.lex_state = 89},
  [10454] = {.lex_state = 89},
  [10455] = {.lex_state = 89},
  [10456] = {.lex_state = 89},
  [10457] = {.lex_state = 89},
  [10458] = {.lex_state = 89},
  [10459] = {.lex_state = 89},
  [10460] = {.lex_state = 89},
  [10461] = {.lex_state = 89},
  [10462] = {.lex_state = 89},
  [10463] = {.lex_state = 89},
  [10464] = {.lex_state = 89},
  [10465] = {.lex_state = 89},
  [10466] = {.lex_state = 89},
  [10467] = {.lex_state = 89},
  [10468] = {.lex_state = 89},
  [10469] = {.lex_state = 89},
  [10470] = {.lex_state = 89},
  [10471] = {.lex_state = 98},
  [10472] = {.lex_state = 89},
  [10473] = {.lex_state = 89},
  [10474] = {.lex_state = 89},
  [10475] = {.lex_state = 89},
  [10476] = {.lex_state = 89},
  [10477] = {.lex_state = 89},
  [10478] = {.lex_state = 89},
  [10479] = {.lex_state = 89},
  [10480] = {.lex_state = 89},
  [10481] = {.lex_state = 89},
  [10482] = {.lex_state = 89},
  [10483] = {.lex_state = 89},
  [10484] = {.lex_state = 89},
  [10485] = {.lex_state = 89},
  [10486] = {.lex_state = 89},
  [10487] = {.lex_state = 89},
  [10488] = {.lex_state = 89},
  [10489] = {.lex_state = 89},
  [10490] = {.lex_state = 89},
  [10491] = {.lex_state = 89},
  [10492] = {.lex_state = 89},
  [10493] = {.lex_state = 89},
  [10494] = {.lex_state = 89},
  [10495] = {.lex_state = 89},
  [10496] = {.lex_state = 89},
  [10497] = {.lex_state = 89},
  [10498] = {.lex_state = 89},
  [10499] = {.lex_state = 89},
  [10500] = {.lex_state = 89},
  [10501] = {.lex_state = 89},
  [10502] = {.lex_state = 89},
  [10503] = {.lex_state = 89},
  [10504] = {.lex_state = 89},
  [10505] = {.lex_state = 89},
  [10506] = {.lex_state = 89},
  [10507] = {.lex_state = 89},
  [10508] = {.lex_state = 89},
  [10509] = {.lex_state = 89},
  [10510] = {.lex_state = 89},
  [10511] = {.lex_state = 89},
  [10512] = {.lex_state = 89},
  [10513] = {.lex_state = 89},
  [10514] = {.lex_state = 89},
  [10515] = {.lex_state = 89},
  [10516] = {.lex_state = 89},
  [10517] = {.lex_state = 89},
  [10518] = {.lex_state = 89},
  [10519] = {.lex_state = 89},
  [10520] = {.lex_state = 89},
  [10521] = {.lex_state = 89},
  [10522] = {.lex_state = 89},
  [10523] = {.lex_state = 89},
  [10524] = {.lex_state = 89},
  [10525] = {.lex_state = 89},
  [10526] = {.lex_state = 89},
  [10527] = {.lex_state = 89},
  [10528] = {.lex_state = 89},
  [10529] = {.lex_state = 89},
  [10530] = {.lex_state = 89},
  [10531] = {.lex_state = 89},
  [10532] = {.lex_state = 89},
  [10533] = {.lex_state = 89},
  [10534] = {.lex_state = 89},
  [10535] = {.lex_state = 89},
  [10536] = {.lex_state = 89},
  [10537] = {.lex_state = 95, .external_lex_state = 2},
  [10538] = {.lex_state = 100},
  [10539] = {.lex_state = 87},
  [10540] = {.lex_state = 87},
  [10541] = {.lex_state = 95},
  [10542] = {.lex_state = 95},
  [10543] = {.lex_state = 95},
  [10544] = {.lex_state = 95},
  [10545] = {.lex_state = 95},
  [10546] = {.lex_state = 95},
  [10547] = {.lex_state = 95},
  [10548] = {.lex_state = 95},
  [10549] = {.lex_state = 95},
  [10550] = {.lex_state = 95},
  [10551] = {.lex_state = 95},
  [10552] = {.lex_state = 95},
  [10553] = {.lex_state = 95},
  [10554] = {.lex_state = 95},
  [10555] = {.lex_state = 95},
  [10556] = {.lex_state = 95},
  [10557] = {.lex_state = 95},
  [10558] = {.lex_state = 95},
  [10559] = {.lex_state = 95},
  [10560] = {.lex_state = 95},
  [10561] = {.lex_state = 95},
  [10562] = {.lex_state = 95},
  [10563] = {.lex_state = 95},
  [10564] = {.lex_state = 95},
  [10565] = {.lex_state = 95},
  [10566] = {.lex_state = 95},
  [10567] = {.lex_state = 95},
  [10568] = {.lex_state = 95},
  [10569] = {.lex_state = 95},
  [10570] = {.lex_state = 95},
  [10571] = {.lex_state = 95},
  [10572] = {.lex_state = 95},
  [10573] = {.lex_state = 95},
  [10574] = {.lex_state = 95},
  [10575] = {.lex_state = 95},
  [10576] = {.lex_state = 95},
  [10577] = {.lex_state = 95},
  [10578] = {.lex_state = 95},
  [10579] = {.lex_state = 95},
  [10580] = {.lex_state = 95},
  [10581] = {.lex_state = 95},
  [10582] = {.lex_state = 95},
  [10583] = {.lex_state = 95},
  [10584] = {.lex_state = 95},
  [10585] = {.lex_state = 95},
  [10586] = {.lex_state = 95},
  [10587] = {.lex_state = 95},
  [10588] = {.lex_state = 95},
  [10589] = {.lex_state = 95},
  [10590] = {.lex_state = 95},
  [10591] = {.lex_state = 95},
  [10592] = {.lex_state = 95},
  [10593] = {.lex_state = 95},
  [10594] = {.lex_state = 95},
  [10595] = {.lex_state = 95},
  [10596] = {.lex_state = 95},
  [10597] = {.lex_state = 95},
  [10598] = {.lex_state = 95},
  [10599] = {.lex_state = 95},
  [10600] = {.lex_state = 95},
  [10601] = {.lex_state = 95},
  [10602] = {.lex_state = 95},
  [10603] = {.lex_state = 95},
  [10604] = {.lex_state = 95},
  [10605] = {.lex_state = 95},
  [10606] = {.lex_state = 95},
  [10607] = {.lex_state = 95},
  [10608] = {.lex_state = 95},
  [10609] = {.lex_state = 100},
  [10610] = {.lex_state = 95},
  [10611] = {.lex_state = 95},
  [10612] = {.lex_state = 95},
  [10613] = {.lex_state = 95},
  [10614] = {.lex_state = 95},
  [10615] = {.lex_state = 95},
  [10616] = {.lex_state = 95},
  [10617] = {.lex_state = 95},
  [10618] = {.lex_state = 95},
  [10619] = {.lex_state = 95},
  [10620] = {.lex_state = 95},
  [10621] = {.lex_state = 95},
  [10622] = {.lex_state = 95},
  [10623] = {.lex_state = 95},
  [10624] = {.lex_state = 95},
  [10625] = {.lex_state = 95},
  [10626] = {.lex_state = 95},
  [10627] = {.lex_state = 95},
  [10628] = {.lex_state = 95},
  [10629] = {.lex_state = 95},
  [10630] = {.lex_state = 95},
  [10631] = {.lex_state = 95},
  [10632] = {.lex_state = 95},
  [10633] = {.lex_state = 95},
  [10634] = {.lex_state = 95},
  [10635] = {.lex_state = 95},
  [10636] = {.lex_state = 95},
  [10637] = {.lex_state = 95},
  [10638] = {.lex_state = 95},
  [10639] = {.lex_state = 95},
  [10640] = {.lex_state = 95},
  [10641] = {.lex_state = 95},
  [10642] = {.lex_state = 95},
  [10643] = {.lex_state = 95},
  [10644] = {.lex_state = 95},
  [10645] = {.lex_state = 95},
  [10646] = {.lex_state = 95},
  [10647] = {.lex_state = 95},
  [10648] = {.lex_state = 95},
  [10649] = {.lex_state = 95},
  [10650] = {.lex_state = 95},
  [10651] = {.lex_state = 95},
  [10652] = {.lex_state = 95},
  [10653] = {.lex_state = 95},
  [10654] = {.lex_state = 95},
  [10655] = {.lex_state = 95},
  [10656] = {.lex_state = 95},
  [10657] = {.lex_state = 95},
  [10658] = {.lex_state = 95},
  [10659] = {.lex_state = 95},
  [10660] = {.lex_state = 95},
  [10661] = {.lex_state = 95},
  [10662] = {.lex_state = 95},
  [10663] = {.lex_state = 95},
  [10664] = {.lex_state = 95},
  [10665] = {.lex_state = 95},
  [10666] = {.lex_state = 95},
  [10667] = {.lex_state = 95},
  [10668] = {.lex_state = 95},
  [10669] = {.lex_state = 95},
  [10670] = {.lex_state = 95},
  [10671] = {.lex_state = 95, .external_lex_state = 2},
  [10672] = {.lex_state = 95},
  [10673] = {.lex_state = 95},
  [10674] = {.lex_state = 95},
  [10675] = {.lex_state = 91},
  [10676] = {.lex_state = 91},
  [10677] = {.lex_state = 95},
  [10678] = {.lex_state = 95},
  [10679] = {.lex_state = 86},
  [10680] = {.lex_state = 86},
  [10681] = {.lex_state = 95},
  [10682] = {.lex_state = 91},
  [10683] = {.lex_state = 91},
  [10684] = {.lex_state = 91},
  [10685] = {.lex_state = 91},
  [10686] = {.lex_state = 91},
  [10687] = {.lex_state = 91},
  [10688] = {.lex_state = 95},
  [10689] = {.lex_state = 91},
  [10690] = {.lex_state = 91},
  [10691] = {.lex_state = 100},
  [10692] = {.lex_state = 95},
  [10693] = {.lex_state = 91},
  [10694] = {.lex_state = 91},
  [10695] = {.lex_state = 91},
  [10696] = {.lex_state = 91},
  [10697] = {.lex_state = 91},
  [10698] = {.lex_state = 91},
  [10699] = {.lex_state = 91},
  [10700] = {.lex_state = 91},
  [10701] = {.lex_state = 91},
  [10702] = {.lex_state = 91},
  [10703] = {.lex_state = 95},
  [10704] = {.lex_state = 91},
  [10705] = {.lex_state = 91},
  [10706] = {.lex_state = 91},
  [10707] = {.lex_state = 91},
  [10708] = {.lex_state = 96},
  [10709] = {.lex_state = 91},
  [10710] = {.lex_state = 91},
  [10711] = {.lex_state = 91},
  [10712] = {.lex_state = 91},
  [10713] = {.lex_state = 91},
  [10714] = {.lex_state = 91},
  [10715] = {.lex_state = 91},
  [10716] = {.lex_state = 91},
  [10717] = {.lex_state = 91},
  [10718] = {.lex_state = 91},
  [10719] = {.lex_state = 91},
  [10720] = {.lex_state = 91},
  [10721] = {.lex_state = 91},
  [10722] = {.lex_state = 91},
  [10723] = {.lex_state = 91},
  [10724] = {.lex_state = 91},
  [10725] = {.lex_state = 91},
  [10726] = {.lex_state = 91},
  [10727] = {.lex_state = 91},
  [10728] = {.lex_state = 91},
  [10729] = {.lex_state = 91},
  [10730] = {.lex_state = 91},
  [10731] = {.lex_state = 91},
  [10732] = {.lex_state = 91},
  [10733] = {.lex_state = 91},
  [10734] = {.lex_state = 91},
  [10735] = {.lex_state = 91},
  [10736] = {.lex_state = 91},
  [10737] = {.lex_state = 91},
  [10738] = {.lex_state = 91},
  [10739] = {.lex_state = 91},
  [10740] = {.lex_state = 91},
  [10741] = {.lex_state = 91},
  [10742] = {.lex_state = 91},
  [10743] = {.lex_state = 91},
  [10744] = {.lex_state = 91},
  [10745] = {.lex_state = 91},
  [10746] = {.lex_state = 91},
  [10747] = {.lex_state = 91},
  [10748] = {.lex_state = 91},
  [10749] = {.lex_state = 91},
  [10750] = {.lex_state = 91},
  [10751] = {.lex_state = 91},
  [10752] = {.lex_state = 91},
  [10753] = {.lex_state = 91},
  [10754] = {.lex_state = 91},
  [10755] = {.lex_state = 91},
  [10756] = {.lex_state = 91},
  [10757] = {.lex_state = 91},
  [10758] = {.lex_state = 91},
  [10759] = {.lex_state = 91},
  [10760] = {.lex_state = 91},
  [10761] = {.lex_state = 91},
  [10762] = {.lex_state = 91},
  [10763] = {.lex_state = 91},
  [10764] = {.lex_state = 91},
  [10765] = {.lex_state = 91},
  [10766] = {.lex_state = 91},
  [10767] = {.lex_state = 91},
  [10768] = {.lex_state = 91},
  [10769] = {.lex_state = 95},
  [10770] = {.lex_state = 91},
  [10771] = {.lex_state = 91},
  [10772] = {.lex_state = 91},
  [10773] = {.lex_state = 91},
  [10774] = {.lex_state = 91},
  [10775] = {.lex_state = 91},
  [10776] = {.lex_state = 91},
  [10777] = {.lex_state = 91},
  [10778] = {.lex_state = 91},
  [10779] = {.lex_state = 91},
  [10780] = {.lex_state = 91},
  [10781] = {.lex_state = 91},
  [10782] = {.lex_state = 91},
  [10783] = {.lex_state = 91},
  [10784] = {.lex_state = 91},
  [10785] = {.lex_state = 91},
  [10786] = {.lex_state = 91},
  [10787] = {.lex_state = 91},
  [10788] = {.lex_state = 91},
  [10789] = {.lex_state = 91},
  [10790] = {.lex_state = 91},
  [10791] = {.lex_state = 91},
  [10792] = {.lex_state = 91},
  [10793] = {.lex_state = 91},
  [10794] = {.lex_state = 91},
  [10795] = {.lex_state = 91},
  [10796] = {.lex_state = 91},
  [10797] = {.lex_state = 91},
  [10798] = {.lex_state = 91},
  [10799] = {.lex_state = 91},
  [10800] = {.lex_state = 91},
  [10801] = {.lex_state = 91},
  [10802] = {.lex_state = 91},
  [10803] = {.lex_state = 91},
  [10804] = {.lex_state = 91},
  [10805] = {.lex_state = 91},
  [10806] = {.lex_state = 91},
  [10807] = {.lex_state = 91},
  [10808] = {.lex_state = 91},
  [10809] = {.lex_state = 91},
  [10810] = {.lex_state = 91},
  [10811] = {.lex_state = 91},
  [10812] = {.lex_state = 91},
  [10813] = {.lex_state = 91},
  [10814] = {.lex_state = 91},
  [10815] = {.lex_state = 91},
  [10816] = {.lex_state = 91},
  [10817] = {.lex_state = 91},
  [10818] = {.lex_state = 95},
  [10819] = {.lex_state = 95},
  [10820] = {.lex_state = 95},
  [10821] = {.lex_state = 95},
  [10822] = {.lex_state = 95},
  [10823] = {.lex_state = 95},
  [10824] = {.lex_state = 95},
  [10825] = {.lex_state = 95},
  [10826] = {.lex_state = 95},
  [10827] = {.lex_state = 95},
  [10828] = {.lex_state = 95},
  [10829] = {.lex_state = 95},
  [10830] = {.lex_state = 95},
  [10831] = {.lex_state = 95},
  [10832] = {.lex_state = 95},
  [10833] = {.lex_state = 95},
  [10834] = {.lex_state = 95},
  [10835] = {.lex_state = 95},
  [10836] = {.lex_state = 95},
  [10837] = {.lex_state = 95},
  [10838] = {.lex_state = 95},
  [10839] = {.lex_state = 95},
  [10840] = {.lex_state = 95},
  [10841] = {.lex_state = 95},
  [10842] = {.lex_state = 95},
  [10843] = {.lex_state = 95},
  [10844] = {.lex_state = 95},
  [10845] = {.lex_state = 95},
  [10846] = {.lex_state = 95},
  [10847] = {.lex_state = 95},
  [10848] = {.lex_state = 95},
  [10849] = {.lex_state = 95},
  [10850] = {.lex_state = 95},
  [10851] = {.lex_state = 95},
  [10852] = {.lex_state = 95},
  [10853] = {.lex_state = 95},
  [10854] = {.lex_state = 95},
  [10855] = {.lex_state = 95},
  [10856] = {.lex_state = 95},
  [10857] = {.lex_state = 95},
  [10858] = {.lex_state = 95},
  [10859] = {.lex_state = 95},
  [10860] = {.lex_state = 95},
  [10861] = {.lex_state = 95},
  [10862] = {.lex_state = 95},
  [10863] = {.lex_state = 95},
  [10864] = {.lex_state = 95},
  [10865] = {.lex_state = 95},
  [10866] = {.lex_state = 95},
  [10867] = {.lex_state = 95},
  [10868] = {.lex_state = 95},
  [10869] = {.lex_state = 95},
  [10870] = {.lex_state = 95},
  [10871] = {.lex_state = 95},
  [10872] = {.lex_state = 95},
  [10873] = {.lex_state = 95},
  [10874] = {.lex_state = 95},
  [10875] = {.lex_state = 95},
  [10876] = {.lex_state = 95},
  [10877] = {.lex_state = 95},
  [10878] = {.lex_state = 95},
  [10879] = {.lex_state = 95},
  [10880] = {.lex_state = 95},
  [10881] = {.lex_state = 95},
  [10882] = {.lex_state = 95},
  [10883] = {.lex_state = 95},
  [10884] = {.lex_state = 95},
  [10885] = {.lex_state = 95},
  [10886] = {.lex_state = 95},
  [10887] = {.lex_state = 95},
  [10888] = {.lex_state = 95},
  [10889] = {.lex_state = 95},
  [10890] = {.lex_state = 95},
  [10891] = {.lex_state = 95},
  [10892] = {.lex_state = 95},
  [10893] = {.lex_state = 95},
  [10894] = {.lex_state = 95},
  [10895] = {.lex_state = 95},
  [10896] = {.lex_state = 95},
  [10897] = {.lex_state = 95},
  [10898] = {.lex_state = 95},
  [10899] = {.lex_state = 95},
  [10900] = {.lex_state = 95},
  [10901] = {.lex_state = 95},
  [10902] = {.lex_state = 95},
  [10903] = {.lex_state = 95},
  [10904] = {.lex_state = 95},
  [10905] = {.lex_state = 95},
  [10906] = {.lex_state = 95},
  [10907] = {.lex_state = 95},
  [10908] = {.lex_state = 95},
  [10909] = {.lex_state = 95},
  [10910] = {.lex_state = 95},
  [10911] = {.lex_state = 95},
  [10912] = {.lex_state = 95},
  [10913] = {.lex_state = 95},
  [10914] = {.lex_state = 95},
  [10915] = {.lex_state = 95},
  [10916] = {.lex_state = 95},
  [10917] = {.lex_state = 95},
  [10918] = {.lex_state = 95},
  [10919] = {.lex_state = 95},
  [10920] = {.lex_state = 95},
  [10921] = {.lex_state = 95},
  [10922] = {.lex_state = 95},
  [10923] = {.lex_state = 95},
  [10924] = {.lex_state = 95},
  [10925] = {.lex_state = 95},
  [10926] = {.lex_state = 95},
  [10927] = {.lex_state = 95},
  [10928] = {.lex_state = 95},
  [10929] = {.lex_state = 95},
  [10930] = {.lex_state = 95},
  [10931] = {.lex_state = 95},
  [10932] = {.lex_state = 95},
  [10933] = {.lex_state = 95},
  [10934] = {.lex_state = 95},
  [10935] = {.lex_state = 95},
  [10936] = {.lex_state = 95},
  [10937] = {.lex_state = 95},
  [10938] = {.lex_state = 95},
  [10939] = {.lex_state = 95},
  [10940] = {.lex_state = 95},
  [10941] = {.lex_state = 95},
  [10942] = {.lex_state = 95},
  [10943] = {.lex_state = 95},
  [10944] = {.lex_state = 95},
  [10945] = {.lex_state = 95},
  [10946] = {.lex_state = 95},
  [10947] = {.lex_state = 95},
  [10948] = {.lex_state = 95},
  [10949] = {.lex_state = 95},
  [10950] = {.lex_state = 95},
  [10951] = {.lex_state = 95},
  [10952] = {.lex_state = 95},
  [10953] = {.lex_state = 95},
  [10954] = {.lex_state = 95},
  [10955] = {.lex_state = 95},
  [10956] = {.lex_state = 95},
  [10957] = {.lex_state = 95},
  [10958] = {.lex_state = 95},
  [10959] = {.lex_state = 95},
  [10960] = {.lex_state = 95},
  [10961] = {.lex_state = 95},
  [10962] = {.lex_state = 95},
  [10963] = {.lex_state = 91},
  [10964] = {.lex_state = 95},
  [10965] = {.lex_state = 95},
  [10966] = {.lex_state = 91},
  [10967] = {.lex_state = 95},
  [10968] = {.lex_state = 95},
  [10969] = {.lex_state = 95},
  [10970] = {.lex_state = 95},
  [10971] = {.lex_state = 95},
  [10972] = {.lex_state = 95},
  [10973] = {.lex_state = 95},
  [10974] = {.lex_state = 95},
  [10975] = {.lex_state = 95},
  [10976] = {.lex_state = 95},
  [10977] = {.lex_state = 95},
  [10978] = {.lex_state = 95},
  [10979] = {.lex_state = 95},
  [10980] = {.lex_state = 95},
  [10981] = {.lex_state = 95},
  [10982] = {.lex_state = 95},
  [10983] = {.lex_state = 95},
  [10984] = {.lex_state = 95},
  [10985] = {.lex_state = 95},
  [10986] = {.lex_state = 95},
  [10987] = {.lex_state = 95},
  [10988] = {.lex_state = 95},
  [10989] = {.lex_state = 95},
  [10990] = {.lex_state = 95},
  [10991] = {.lex_state = 95},
  [10992] = {.lex_state = 95},
  [10993] = {.lex_state = 95},
  [10994] = {.lex_state = 95},
  [10995] = {.lex_state = 95},
  [10996] = {.lex_state = 95},
  [10997] = {.lex_state = 95},
  [10998] = {.lex_state = 95},
  [10999] = {.lex_state = 95},
  [11000] = {.lex_state = 95},
  [11001] = {.lex_state = 95},
  [11002] = {.lex_state = 95},
  [11003] = {.lex_state = 95},
  [11004] = {.lex_state = 95},
  [11005] = {.lex_state = 95},
  [11006] = {.lex_state = 95},
  [11007] = {.lex_state = 95},
  [11008] = {.lex_state = 95},
  [11009] = {.lex_state = 91},
  [11010] = {.lex_state = 91},
  [11011] = {.lex_state = 91},
  [11012] = {.lex_state = 91},
  [11013] = {.lex_state = 91},
  [11014] = {.lex_state = 91},
  [11015] = {.lex_state = 91},
  [11016] = {.lex_state = 91},
  [11017] = {.lex_state = 91},
  [11018] = {.lex_state = 91},
  [11019] = {.lex_state = 91},
  [11020] = {.lex_state = 91},
  [11021] = {.lex_state = 91},
  [11022] = {.lex_state = 91},
  [11023] = {.lex_state = 91},
  [11024] = {.lex_state = 91},
  [11025] = {.lex_state = 91},
  [11026] = {.lex_state = 91},
  [11027] = {.lex_state = 91},
  [11028] = {.lex_state = 91},
  [11029] = {.lex_state = 91},
  [11030] = {.lex_state = 91},
  [11031] = {.lex_state = 91},
  [11032] = {.lex_state = 91},
  [11033] = {.lex_state = 91},
  [11034] = {.lex_state = 91},
  [11035] = {.lex_state = 91},
  [11036] = {.lex_state = 91},
  [11037] = {.lex_state = 91},
  [11038] = {.lex_state = 91},
  [11039] = {.lex_state = 91},
  [11040] = {.lex_state = 91},
  [11041] = {.lex_state = 91},
  [11042] = {.lex_state = 91},
  [11043] = {.lex_state = 91},
  [11044] = {.lex_state = 91},
  [11045] = {.lex_state = 91},
  [11046] = {.lex_state = 91},
  [11047] = {.lex_state = 91},
  [11048] = {.lex_state = 91},
  [11049] = {.lex_state = 91},
  [11050] = {.lex_state = 91},
  [11051] = {.lex_state = 91},
  [11052] = {.lex_state = 91},
  [11053] = {.lex_state = 91},
  [11054] = {.lex_state = 91},
  [11055] = {.lex_state = 91},
  [11056] = {.lex_state = 91},
  [11057] = {.lex_state = 91},
  [11058] = {.lex_state = 91},
  [11059] = {.lex_state = 91},
  [11060] = {.lex_state = 91},
  [11061] = {.lex_state = 91},
  [11062] = {.lex_state = 91},
  [11063] = {.lex_state = 91},
  [11064] = {.lex_state = 91},
  [11065] = {.lex_state = 91},
  [11066] = {.lex_state = 91},
  [11067] = {.lex_state = 91},
  [11068] = {.lex_state = 91},
  [11069] = {.lex_state = 91},
  [11070] = {.lex_state = 91},
  [11071] = {.lex_state = 91},
  [11072] = {.lex_state = 91},
  [11073] = {.lex_state = 91},
  [11074] = {.lex_state = 91},
  [11075] = {.lex_state = 91},
  [11076] = {.lex_state = 91},
  [11077] = {.lex_state = 91},
  [11078] = {.lex_state = 91},
  [11079] = {.lex_state = 91},
  [11080] = {.lex_state = 91},
  [11081] = {.lex_state = 91},
  [11082] = {.lex_state = 91},
  [11083] = {.lex_state = 91},
  [11084] = {.lex_state = 91},
  [11085] = {.lex_state = 91},
  [11086] = {.lex_state = 91},
  [11087] = {.lex_state = 91},
  [11088] = {.lex_state = 91},
  [11089] = {.lex_state = 91},
  [11090] = {.lex_state = 91},
  [11091] = {.lex_state = 91},
  [11092] = {.lex_state = 91},
  [11093] = {.lex_state = 91},
  [11094] = {.lex_state = 91},
  [11095] = {.lex_state = 91},
  [11096] = {.lex_state = 91},
  [11097] = {.lex_state = 91},
  [11098] = {.lex_state = 91},
  [11099] = {.lex_state = 91},
  [11100] = {.lex_state = 91},
  [11101] = {.lex_state = 91},
  [11102] = {.lex_state = 91},
  [11103] = {.lex_state = 91},
  [11104] = {.lex_state = 91},
  [11105] = {.lex_state = 91},
  [11106] = {.lex_state = 91},
  [11107] = {.lex_state = 91},
  [11108] = {.lex_state = 91},
  [11109] = {.lex_state = 91},
  [11110] = {.lex_state = 91},
  [11111] = {.lex_state = 91},
  [11112] = {.lex_state = 91},
  [11113] = {.lex_state = 91},
  [11114] = {.lex_state = 91},
  [11115] = {.lex_state = 91},
  [11116] = {.lex_state = 91},
  [11117] = {.lex_state = 91},
  [11118] = {.lex_state = 91},
  [11119] = {.lex_state = 91},
  [11120] = {.lex_state = 91},
  [11121] = {.lex_state = 91},
  [11122] = {.lex_state = 91},
  [11123] = {.lex_state = 91},
  [11124] = {.lex_state = 91},
  [11125] = {.lex_state = 91},
  [11126] = {.lex_state = 91},
  [11127] = {.lex_state = 91},
  [11128] = {.lex_state = 91},
  [11129] = {.lex_state = 91},
  [11130] = {.lex_state = 91},
  [11131] = {.lex_state = 91},
  [11132] = {.lex_state = 91},
  [11133] = {.lex_state = 91},
  [11134] = {.lex_state = 91},
  [11135] = {.lex_state = 91},
  [11136] = {.lex_state = 91},
  [11137] = {.lex_state = 91},
  [11138] = {.lex_state = 91},
  [11139] = {.lex_state = 91},
  [11140] = {.lex_state = 91},
  [11141] = {.lex_state = 89},
  [11142] = {.lex_state = 91},
  [11143] = {.lex_state = 91},
  [11144] = {.lex_state = 91},
  [11145] = {.lex_state = 91},
  [11146] = {.lex_state = 91},
  [11147] = {.lex_state = 91},
  [11148] = {.lex_state = 91},
  [11149] = {.lex_state = 91},
  [11150] = {.lex_state = 91},
  [11151] = {.lex_state = 91},
  [11152] = {.lex_state = 91},
  [11153] = {.lex_state = 91},
  [11154] = {.lex_state = 91},
  [11155] = {.lex_state = 91},
  [11156] = {.lex_state = 91},
  [11157] = {.lex_state = 91},
  [11158] = {.lex_state = 91},
  [11159] = {.lex_state = 91},
  [11160] = {.lex_state = 91},
  [11161] = {.lex_state = 91},
  [11162] = {.lex_state = 91},
  [11163] = {.lex_state = 91},
  [11164] = {.lex_state = 98},
  [11165] = {.lex_state = 98},
  [11166] = {.lex_state = 98},
  [11167] = {.lex_state = 98},
  [11168] = {.lex_state = 98},
  [11169] = {.lex_state = 98},
  [11170] = {.lex_state = 98},
  [11171] = {.lex_state = 98},
  [11172] = {.lex_state = 98},
  [11173] = {.lex_state = 98},
  [11174] = {.lex_state = 98},
  [11175] = {.lex_state = 98},
  [11176] = {.lex_state = 98},
  [11177] = {.lex_state = 98},
  [11178] = {.lex_state = 98},
  [11179] = {.lex_state = 98},
  [11180] = {.lex_state = 98},
  [11181] = {.lex_state = 98},
  [11182] = {.lex_state = 98},
  [11183] = {.lex_state = 88},
  [11184] = {.lex_state = 98},
  [11185] = {.lex_state = 98},
  [11186] = {.lex_state = 98},
  [11187] = {.lex_state = 98},
  [11188] = {.lex_state = 98},
  [11189] = {.lex_state = 89},
  [11190] = {.lex_state = 98},
  [11191] = {.lex_state = 98},
  [11192] = {.lex_state = 88},
  [11193] = {.lex_state = 98},
  [11194] = {.lex_state = 98},
  [11195] = {.lex_state = 88},
  [11196] = {.lex_state = 98},
  [11197] = {.lex_state = 98},
  [11198] = {.lex_state = 98},
  [11199] = {.lex_state = 98},
  [11200] = {.lex_state = 98},
  [11201] = {.lex_state = 98},
  [11202] = {.lex_state = 98},
  [11203] = {.lex_state = 98},
  [11204] = {.lex_state = 98},
  [11205] = {.lex_state = 98},
  [11206] = {.lex_state = 98},
  [11207] = {.lex_state = 98},
  [11208] = {.lex_state = 98},
  [11209] = {.lex_state = 98},
  [11210] = {.lex_state = 98},
  [11211] = {.lex_state = 98},
  [11212] = {.lex_state = 98},
  [11213] = {.lex_state = 98},
  [11214] = {.lex_state = 98},
  [11215] = {.lex_state = 98},
  [11216] = {.lex_state = 98},
  [11217] = {.lex_state = 98},
  [11218] = {.lex_state = 98},
  [11219] = {.lex_state = 99},
  [11220] = {.lex_state = 99},
  [11221] = {.lex_state = 99},
  [11222] = {.lex_state = 99},
  [11223] = {.lex_state = 91},
  [11224] = {.lex_state = 99},
  [11225] = {.lex_state = 99},
  [11226] = {.lex_state = 98},
  [11227] = {.lex_state = 99},
  [11228] = {.lex_state = 99},
  [11229] = {.lex_state = 98},
  [11230] = {.lex_state = 99},
  [11231] = {.lex_state = 100},
  [11232] = {.lex_state = 98},
  [11233] = {.lex_state = 99},
  [11234] = {.lex_state = 98},
  [11235] = {.lex_state = 100},
  [11236] = {.lex_state = 98},
  [11237] = {.lex_state = 98},
  [11238] = {.lex_state = 98},
  [11239] = {.lex_state = 98},
  [11240] = {.lex_state = 98},
  [11241] = {.lex_state = 98},
  [11242] = {.lex_state = 98},
  [11243] = {.lex_state = 98},
  [11244] = {.lex_state = 98},
  [11245] = {.lex_state = 98},
  [11246] = {.lex_state = 98},
  [11247] = {.lex_state = 98},
  [11248] = {.lex_state = 98},
  [11249] = {.lex_state = 98},
  [11250] = {.lex_state = 98},
  [11251] = {.lex_state = 99},
  [11252] = {.lex_state = 100},
  [11253] = {.lex_state = 99},
  [11254] = {.lex_state = 98},
  [11255] = {.lex_state = 98},
  [11256] = {.lex_state = 99},
  [11257] = {.lex_state = 100},
  [11258] = {.lex_state = 100},
  [11259] = {.lex_state = 100},
  [11260] = {.lex_state = 100},
  [11261] = {.lex_state = 100},
  [11262] = {.lex_state = 100},
  [11263] = {.lex_state = 100},
  [11264] = {.lex_state = 100},
  [11265] = {.lex_state = 98},
  [11266] = {.lex_state = 99},
  [11267] = {.lex_state = 100},
  [11268] = {.lex_state = 98},
  [11269] = {.lex_state = 100},
  [11270] = {.lex_state = 100},
  [11271] = {.lex_state = 100},
  [11272] = {.lex_state = 100},
  [11273] = {.lex_state = 99},
  [11274] = {.lex_state = 100},
  [11275] = {.lex_state = 100},
  [11276] = {.lex_state = 100},
  [11277] = {.lex_state = 100},
  [11278] = {.lex_state = 100},
  [11279] = {.lex_state = 100},
  [11280] = {.lex_state = 100},
  [11281] = {.lex_state = 100},
  [11282] = {.lex_state = 100},
  [11283] = {.lex_state = 100},
  [11284] = {.lex_state = 100},
  [11285] = {.lex_state = 100},
  [11286] = {.lex_state = 100},
  [11287] = {.lex_state = 100},
  [11288] = {.lex_state = 100},
  [11289] = {.lex_state = 100},
  [11290] = {.lex_state = 98},
  [11291] = {.lex_state = 100},
  [11292] = {.lex_state = 100},
  [11293] = {.lex_state = 100},
  [11294] = {.lex_state = 100},
  [11295] = {.lex_state = 100},
  [11296] = {.lex_state = 100},
  [11297] = {.lex_state = 100},
  [11298] = {.lex_state = 100},
  [11299] = {.lex_state = 100},
  [11300] = {.lex_state = 100},
  [11301] = {.lex_state = 100},
  [11302] = {.lex_state = 98},
  [11303] = {.lex_state = 100},
  [11304] = {.lex_state = 100},
  [11305] = {.lex_state = 100},
  [11306] = {.lex_state = 100},
  [11307] = {.lex_state = 100},
  [11308] = {.lex_state = 100},
  [11309] = {.lex_state = 100},
  [11310] = {.lex_state = 100},
  [11311] = {.lex_state = 100},
  [11312] = {.lex_state = 98},
  [11313] = {.lex_state = 98},
  [11314] = {.lex_state = 98},
  [11315] = {.lex_state = 98},
  [11316] = {.lex_state = 98},
  [11317] = {.lex_state = 98},
  [11318] = {.lex_state = 98},
  [11319] = {.lex_state = 98},
  [11320] = {.lex_state = 98},
  [11321] = {.lex_state = 98},
  [11322] = {.lex_state = 98},
  [11323] = {.lex_state = 98},
  [11324] = {.lex_state = 98},
  [11325] = {.lex_state = 98},
  [11326] = {.lex_state = 98},
  [11327] = {.lex_state = 98},
  [11328] = {.lex_state = 98},
  [11329] = {.lex_state = 98},
  [11330] = {.lex_state = 98},
  [11331] = {.lex_state = 98},
  [11332] = {.lex_state = 98},
  [11333] = {.lex_state = 98},
  [11334] = {.lex_state = 98},
  [11335] = {.lex_state = 98},
  [11336] = {.lex_state = 98},
  [11337] = {.lex_state = 98},
  [11338] = {.lex_state = 98},
  [11339] = {.lex_state = 98},
  [11340] = {.lex_state = 98},
  [11341] = {.lex_state = 98},
  [11342] = {.lex_state = 98},
  [11343] = {.lex_state = 98},
  [11344] = {.lex_state = 98},
  [11345] = {.lex_state = 98},
  [11346] = {.lex_state = 98},
  [11347] = {.lex_state = 98},
  [11348] = {.lex_state = 98},
  [11349] = {.lex_state = 98},
  [11350] = {.lex_state = 98},
  [11351] = {.lex_state = 98},
  [11352] = {.lex_state = 98},
  [11353] = {.lex_state = 98},
  [11354] = {.lex_state = 98},
  [11355] = {.lex_state = 98},
  [11356] = {.lex_state = 98},
  [11357] = {.lex_state = 98},
  [11358] = {.lex_state = 98},
  [11359] = {.lex_state = 98},
  [11360] = {.lex_state = 98},
  [11361] = {.lex_state = 98},
  [11362] = {.lex_state = 98},
  [11363] = {.lex_state = 98},
  [11364] = {.lex_state = 98},
  [11365] = {.lex_state = 98},
  [11366] = {.lex_state = 98},
  [11367] = {.lex_state = 98},
  [11368] = {.lex_state = 98},
  [11369] = {.lex_state = 98},
  [11370] = {.lex_state = 98},
  [11371] = {.lex_state = 98},
  [11372] = {.lex_state = 98},
  [11373] = {.lex_state = 98},
  [11374] = {.lex_state = 98},
  [11375] = {.lex_state = 99},
  [11376] = {.lex_state = 98},
  [11377] = {.lex_state = 98},
  [11378] = {.lex_state = 98},
  [11379] = {.lex_state = 98},
  [11380] = {.lex_state = 98},
  [11381] = {.lex_state = 99},
  [11382] = {.lex_state = 98},
  [11383] = {.lex_state = 98},
  [11384] = {.lex_state = 98},
  [11385] = {.lex_state = 98},
  [11386] = {.lex_state = 98},
  [11387] = {.lex_state = 98},
  [11388] = {.lex_state = 98},
  [11389] = {.lex_state = 98},
  [11390] = {.lex_state = 98},
  [11391] = {.lex_state = 98},
  [11392] = {.lex_state = 98},
  [11393] = {.lex_state = 98},
  [11394] = {.lex_state = 98},
  [11395] = {.lex_state = 98},
  [11396] = {.lex_state = 98},
  [11397] = {.lex_state = 98},
  [11398] = {.lex_state = 98},
  [11399] = {.lex_state = 99},
  [11400] = {.lex_state = 98},
  [11401] = {.lex_state = 98},
  [11402] = {.lex_state = 98},
  [11403] = {.lex_state = 98},
  [11404] = {.lex_state = 98},
  [11405] = {.lex_state = 98},
  [11406] = {.lex_state = 98},
  [11407] = {.lex_state = 98},
  [11408] = {.lex_state = 98},
  [11409] = {.lex_state = 98},
  [11410] = {.lex_state = 98},
  [11411] = {.lex_state = 99},
  [11412] = {.lex_state = 98},
  [11413] = {.lex_state = 98},
  [11414] = {.lex_state = 98},
  [11415] = {.lex_state = 98},
  [11416] = {.lex_state = 98},
  [11417] = {.lex_state = 98},
  [11418] = {.lex_state = 98},
  [11419] = {.lex_state = 98},
  [11420] = {.lex_state = 98},
  [11421] = {.lex_state = 98},
  [11422] = {.lex_state = 98},
  [11423] = {.lex_state = 98},
  [11424] = {.lex_state = 98},
  [11425] = {.lex_state = 98},
  [11426] = {.lex_state = 98},
  [11427] = {.lex_state = 98},
  [11428] = {.lex_state = 98},
  [11429] = {.lex_state = 99},
  [11430] = {.lex_state = 98},
  [11431] = {.lex_state = 98},
  [11432] = {.lex_state = 98},
  [11433] = {.lex_state = 98},
  [11434] = {.lex_state = 98},
  [11435] = {.lex_state = 98},
  [11436] = {.lex_state = 98},
  [11437] = {.lex_state = 98},
  [11438] = {.lex_state = 98},
  [11439] = {.lex_state = 98},
  [11440] = {.lex_state = 98},
  [11441] = {.lex_state = 98},
  [11442] = {.lex_state = 98},
  [11443] = {.lex_state = 98},
  [11444] = {.lex_state = 98},
  [11445] = {.lex_state = 98},
  [11446] = {.lex_state = 98},
  [11447] = {.lex_state = 98},
  [11448] = {.lex_state = 98},
  [11449] = {.lex_state = 98},
  [11450] = {.lex_state = 98},
  [11451] = {.lex_state = 98},
  [11452] = {.lex_state = 98},
  [11453] = {.lex_state = 98},
  [11454] = {.lex_state = 98},
  [11455] = {.lex_state = 98},
  [11456] = {.lex_state = 98},
  [11457] = {.lex_state = 98},
  [11458] = {.lex_state = 98},
  [11459] = {.lex_state = 98},
  [11460] = {.lex_state = 98},
  [11461] = {.lex_state = 98},
  [11462] = {.lex_state = 98},
  [11463] = {.lex_state = 98},
  [11464] = {.lex_state = 98},
  [11465] = {.lex_state = 98},
  [11466] = {.lex_state = 98},
  [11467] = {.lex_state = 98},
  [11468] = {.lex_state = 98},
  [11469] = {.lex_state = 98},
  [11470] = {.lex_state = 99},
  [11471] = {.lex_state = 98},
  [11472] = {.lex_state = 98},
  [11473] = {.lex_state = 98},
  [11474] = {.lex_state = 98},
  [11475] = {.lex_state = 98},
  [11476] = {.lex_state = 98},
  [11477] = {.lex_state = 98},
  [11478] = {.lex_state = 98},
  [11479] = {.lex_state = 98},
  [11480] = {.lex_state = 98},
  [11481] = {.lex_state = 98},
  [11482] = {.lex_state = 98},
  [11483] = {.lex_state = 98},
  [11484] = {.lex_state = 98},
  [11485] = {.lex_state = 98},
  [11486] = {.lex_state = 98},
  [11487] = {.lex_state = 99},
  [11488] = {.lex_state = 98},
  [11489] = {.lex_state = 98},
  [11490] = {.lex_state = 98},
  [11491] = {.lex_state = 98},
  [11492] = {.lex_state = 98},
  [11493] = {.lex_state = 98},
  [11494] = {.lex_state = 98},
  [11495] = {.lex_state = 98},
  [11496] = {.lex_state = 98},
  [11497] = {.lex_state = 98},
  [11498] = {.lex_state = 98},
  [11499] = {.lex_state = 98},
  [11500] = {.lex_state = 98},
  [11501] = {.lex_state = 98},
  [11502] = {.lex_state = 98},
  [11503] = {.lex_state = 98},
  [11504] = {.lex_state = 98},
  [11505] = {.lex_state = 98},
  [11506] = {.lex_state = 98},
  [11507] = {.lex_state = 98},
  [11508] = {.lex_state = 98},
  [11509] = {.lex_state = 98},
  [11510] = {.lex_state = 98},
  [11511] = {.lex_state = 98},
  [11512] = {.lex_state = 98},
  [11513] = {.lex_state = 98},
  [11514] = {.lex_state = 98},
  [11515] = {.lex_state = 98},
  [11516] = {.lex_state = 98},
  [11517] = {.lex_state = 98},
  [11518] = {.lex_state = 98},
  [11519] = {.lex_state = 98},
  [11520] = {.lex_state = 98},
  [11521] = {.lex_state = 98},
  [11522] = {.lex_state = 98},
  [11523] = {.lex_state = 98},
  [11524] = {.lex_state = 98},
  [11525] = {.lex_state = 98},
  [11526] = {.lex_state = 98},
  [11527] = {.lex_state = 98},
  [11528] = {.lex_state = 98},
  [11529] = {.lex_state = 98},
  [11530] = {.lex_state = 98},
  [11531] = {.lex_state = 98},
  [11532] = {.lex_state = 98},
  [11533] = {.lex_state = 98},
  [11534] = {.lex_state = 98},
  [11535] = {.lex_state = 98},
  [11536] = {.lex_state = 98},
  [11537] = {.lex_state = 98},
  [11538] = {.lex_state = 99},
  [11539] = {.lex_state = 98},
  [11540] = {.lex_state = 98},
  [11541] = {.lex_state = 98},
  [11542] = {.lex_state = 98},
  [11543] = {.lex_state = 98},
  [11544] = {.lex_state = 98},
  [11545] = {.lex_state = 98},
  [11546] = {.lex_state = 98},
  [11547] = {.lex_state = 98},
  [11548] = {.lex_state = 98},
  [11549] = {.lex_state = 98},
  [11550] = {.lex_state = 98},
  [11551] = {.lex_state = 98},
  [11552] = {.lex_state = 98},
  [11553] = {.lex_state = 98},
  [11554] = {.lex_state = 98},
  [11555] = {.lex_state = 98},
  [11556] = {.lex_state = 98},
  [11557] = {.lex_state = 98},
  [11558] = {.lex_state = 98},
  [11559] = {.lex_state = 98},
  [11560] = {.lex_state = 98},
  [11561] = {.lex_state = 98},
  [11562] = {.lex_state = 98},
  [11563] = {.lex_state = 98},
  [11564] = {.lex_state = 98},
  [11565] = {.lex_state = 98},
  [11566] = {.lex_state = 98},
  [11567] = {.lex_state = 98},
  [11568] = {.lex_state = 98},
  [11569] = {.lex_state = 98},
  [11570] = {.lex_state = 98},
  [11571] = {.lex_state = 98},
  [11572] = {.lex_state = 98},
  [11573] = {.lex_state = 98},
  [11574] = {.lex_state = 98},
  [11575] = {.lex_state = 98},
  [11576] = {.lex_state = 98},
  [11577] = {.lex_state = 98},
  [11578] = {.lex_state = 98},
  [11579] = {.lex_state = 98},
  [11580] = {.lex_state = 98},
  [11581] = {.lex_state = 98},
  [11582] = {.lex_state = 98},
  [11583] = {.lex_state = 98},
  [11584] = {.lex_state = 98},
  [11585] = {.lex_state = 98},
  [11586] = {.lex_state = 98},
  [11587] = {.lex_state = 98},
  [11588] = {.lex_state = 98},
  [11589] = {.lex_state = 98},
  [11590] = {.lex_state = 98},
  [11591] = {.lex_state = 98},
  [11592] = {.lex_state = 98},
  [11593] = {.lex_state = 99},
  [11594] = {.lex_state = 98},
  [11595] = {.lex_state = 98},
  [11596] = {.lex_state = 98},
  [11597] = {.lex_state = 98},
  [11598] = {.lex_state = 98},
  [11599] = {.lex_state = 98},
  [11600] = {.lex_state = 98},
  [11601] = {.lex_state = 98},
  [11602] = {.lex_state = 98},
  [11603] = {.lex_state = 98},
  [11604] = {.lex_state = 98},
  [11605] = {.lex_state = 98},
  [11606] = {.lex_state = 98},
  [11607] = {.lex_state = 98},
  [11608] = {.lex_state = 98},
  [11609] = {.lex_state = 98},
  [11610] = {.lex_state = 98},
  [11611] = {.lex_state = 98},
  [11612] = {.lex_state = 98},
  [11613] = {.lex_state = 98},
  [11614] = {.lex_state = 99},
  [11615] = {.lex_state = 98},
  [11616] = {.lex_state = 99},
  [11617] = {.lex_state = 98},
  [11618] = {.lex_state = 98},
  [11619] = {.lex_state = 98},
  [11620] = {.lex_state = 98},
  [11621] = {.lex_state = 98},
  [11622] = {.lex_state = 98},
  [11623] = {.lex_state = 98},
  [11624] = {.lex_state = 98},
  [11625] = {.lex_state = 98},
  [11626] = {.lex_state = 98},
  [11627] = {.lex_state = 98},
  [11628] = {.lex_state = 98},
  [11629] = {.lex_state = 98},
  [11630] = {.lex_state = 98},
  [11631] = {.lex_state = 98},
  [11632] = {.lex_state = 98},
  [11633] = {.lex_state = 98},
  [11634] = {.lex_state = 98},
  [11635] = {.lex_state = 98},
  [11636] = {.lex_state = 98},
  [11637] = {.lex_state = 98},
  [11638] = {.lex_state = 98},
  [11639] = {.lex_state = 98},
  [11640] = {.lex_state = 98},
  [11641] = {.lex_state = 98},
  [11642] = {.lex_state = 98},
  [11643] = {.lex_state = 98},
  [11644] = {.lex_state = 98},
  [11645] = {.lex_state = 98},
  [11646] = {.lex_state = 98},
  [11647] = {.lex_state = 98},
  [11648] = {.lex_state = 98},
  [11649] = {.lex_state = 98},
  [11650] = {.lex_state = 98},
  [11651] = {.lex_state = 99},
  [11652] = {.lex_state = 99},
  [11653] = {.lex_state = 99},
  [11654] = {.lex_state = 99},
  [11655] = {.lex_state = 99},
  [11656] = {.lex_state = 98},
  [11657] = {.lex_state = 98},
  [11658] = {.lex_state = 98},
  [11659] = {.lex_state = 98},
  [11660] = {.lex_state = 98},
  [11661] = {.lex_state = 98},
  [11662] = {.lex_state = 98},
  [11663] = {.lex_state = 98},
  [11664] = {.lex_state = 98},
  [11665] = {.lex_state = 98},
  [11666] = {.lex_state = 98},
  [11667] = {.lex_state = 98},
  [11668] = {.lex_state = 98},
  [11669] = {.lex_state = 98},
  [11670] = {.lex_state = 98},
  [11671] = {.lex_state = 98},
  [11672] = {.lex_state = 98},
  [11673] = {.lex_state = 98},
  [11674] = {.lex_state = 98},
  [11675] = {.lex_state = 98},
  [11676] = {.lex_state = 98},
  [11677] = {.lex_state = 98},
  [11678] = {.lex_state = 98},
  [11679] = {.lex_state = 98},
  [11680] = {.lex_state = 98},
  [11681] = {.lex_state = 98},
  [11682] = {.lex_state = 98},
  [11683] = {.lex_state = 98},
  [11684] = {.lex_state = 98},
  [11685] = {.lex_state = 98},
  [11686] = {.lex_state = 98},
  [11687] = {.lex_state = 98},
  [11688] = {.lex_state = 98},
  [11689] = {.lex_state = 98},
  [11690] = {.lex_state = 98},
  [11691] = {.lex_state = 98},
  [11692] = {.lex_state = 98},
  [11693] = {.lex_state = 96},
  [11694] = {.lex_state = 98},
  [11695] = {.lex_state = 98},
  [11696] = {.lex_state = 98},
  [11697] = {.lex_state = 98},
  [11698] = {.lex_state = 98},
  [11699] = {.lex_state = 98},
  [11700] = {.lex_state = 98},
  [11701] = {.lex_state = 98},
  [11702] = {.lex_state = 98},
  [11703] = {.lex_state = 98},
  [11704] = {.lex_state = 98},
  [11705] = {.lex_state = 98},
  [11706] = {.lex_state = 98},
  [11707] = {.lex_state = 98},
  [11708] = {.lex_state = 98},
  [11709] = {.lex_state = 98},
  [11710] = {.lex_state = 98},
  [11711] = {.lex_state = 98},
  [11712] = {.lex_state = 98},
  [11713] = {.lex_state = 98},
  [11714] = {.lex_state = 98},
  [11715] = {.lex_state = 98},
  [11716] = {.lex_state = 98},
  [11717] = {.lex_state = 98},
  [11718] = {.lex_state = 98},
  [11719] = {.lex_state = 98},
  [11720] = {.lex_state = 98},
  [11721] = {.lex_state = 98},
  [11722] = {.lex_state = 98},
  [11723] = {.lex_state = 98},
  [11724] = {.lex_state = 98},
  [11725] = {.lex_state = 98},
  [11726] = {.lex_state = 98},
  [11727] = {.lex_state = 98},
  [11728] = {.lex_state = 98},
  [11729] = {.lex_state = 98},
  [11730] = {.lex_state = 98},
  [11731] = {.lex_state = 98},
  [11732] = {.lex_state = 98},
  [11733] = {.lex_state = 98},
  [11734] = {.lex_state = 98},
  [11735] = {.lex_state = 98},
  [11736] = {.lex_state = 98},
  [11737] = {.lex_state = 98},
  [11738] = {.lex_state = 98},
  [11739] = {.lex_state = 98},
  [11740] = {.lex_state = 98},
  [11741] = {.lex_state = 98},
  [11742] = {.lex_state = 98},
  [11743] = {.lex_state = 98},
  [11744] = {.lex_state = 98},
  [11745] = {.lex_state = 98},
  [11746] = {.lex_state = 98},
  [11747] = {.lex_state = 98},
  [11748] = {.lex_state = 98},
  [11749] = {.lex_state = 98},
  [11750] = {.lex_state = 98},
  [11751] = {.lex_state = 98},
  [11752] = {.lex_state = 98},
  [11753] = {.lex_state = 98},
  [11754] = {.lex_state = 98},
  [11755] = {.lex_state = 98},
  [11756] = {.lex_state = 98},
  [11757] = {.lex_state = 98},
  [11758] = {.lex_state = 98},
  [11759] = {.lex_state = 98},
  [11760] = {.lex_state = 98},
  [11761] = {.lex_state = 98},
  [11762] = {.lex_state = 98},
  [11763] = {.lex_state = 98},
  [11764] = {.lex_state = 98},
  [11765] = {.lex_state = 98},
  [11766] = {.lex_state = 98},
  [11767] = {.lex_state = 98},
  [11768] = {.lex_state = 98},
  [11769] = {.lex_state = 98},
  [11770] = {.lex_state = 98},
  [11771] = {.lex_state = 98},
  [11772] = {.lex_state = 98},
  [11773] = {.lex_state = 98},
  [11774] = {.lex_state = 98},
  [11775] = {.lex_state = 98},
  [11776] = {.lex_state = 98},
  [11777] = {.lex_state = 98},
  [11778] = {.lex_state = 98},
  [11779] = {.lex_state = 98},
  [11780] = {.lex_state = 98},
  [11781] = {.lex_state = 98},
  [11782] = {.lex_state = 98},
  [11783] = {.lex_state = 98},
  [11784] = {.lex_state = 98},
  [11785] = {.lex_state = 98},
  [11786] = {.lex_state = 98},
  [11787] = {.lex_state = 98},
  [11788] = {.lex_state = 98},
  [11789] = {.lex_state = 98},
  [11790] = {.lex_state = 96},
  [11791] = {.lex_state = 98},
  [11792] = {.lex_state = 98},
  [11793] = {.lex_state = 98},
  [11794] = {.lex_state = 98},
  [11795] = {.lex_state = 98},
  [11796] = {.lex_state = 98},
  [11797] = {.lex_state = 98},
  [11798] = {.lex_state = 98},
  [11799] = {.lex_state = 98},
  [11800] = {.lex_state = 98},
  [11801] = {.lex_state = 98},
  [11802] = {.lex_state = 98},
  [11803] = {.lex_state = 98},
  [11804] = {.lex_state = 98},
  [11805] = {.lex_state = 98},
  [11806] = {.lex_state = 98},
  [11807] = {.lex_state = 98},
  [11808] = {.lex_state = 98},
  [11809] = {.lex_state = 98},
  [11810] = {.lex_state = 98},
  [11811] = {.lex_state = 98},
  [11812] = {.lex_state = 98},
  [11813] = {.lex_state = 98},
  [11814] = {.lex_state = 98},
  [11815] = {.lex_state = 98},
  [11816] = {.lex_state = 98},
  [11817] = {.lex_state = 98},
  [11818] = {.lex_state = 98},
  [11819] = {.lex_state = 98},
  [11820] = {.lex_state = 98},
  [11821] = {.lex_state = 98},
  [11822] = {.lex_state = 98},
  [11823] = {.lex_state = 98},
  [11824] = {.lex_state = 98},
  [11825] = {.lex_state = 98},
  [11826] = {.lex_state = 98},
  [11827] = {.lex_state = 98},
  [11828] = {.lex_state = 98},
  [11829] = {.lex_state = 98},
  [11830] = {.lex_state = 103},
  [11831] = {.lex_state = 98},
  [11832] = {.lex_state = 98},
  [11833] = {.lex_state = 98},
  [11834] = {.lex_state = 98},
  [11835] = {.lex_state = 98},
  [11836] = {.lex_state = 98},
  [11837] = {.lex_state = 98},
  [11838] = {.lex_state = 100},
  [11839] = {.lex_state = 100},
  [11840] = {.lex_state = 100},
  [11841] = {.lex_state = 100},
  [11842] = {.lex_state = 100},
  [11843] = {.lex_state = 98},
  [11844] = {.lex_state = 98},
  [11845] = {.lex_state = 100},
  [11846] = {.lex_state = 98},
  [11847] = {.lex_state = 98},
  [11848] = {.lex_state = 98},
  [11849] = {.lex_state = 98},
  [11850] = {.lex_state = 100},
  [11851] = {.lex_state = 98},
  [11852] = {.lex_state = 100},
  [11853] = {.lex_state = 98},
  [11854] = {.lex_state = 98},
  [11855] = {.lex_state = 100},
  [11856] = {.lex_state = 98},
  [11857] = {.lex_state = 100},
  [11858] = {.lex_state = 100},
  [11859] = {.lex_state = 98},
  [11860] = {.lex_state = 100},
  [11861] = {.lex_state = 100},
  [11862] = {.lex_state = 98},
  [11863] = {.lex_state = 100},
  [11864] = {.lex_state = 100},
  [11865] = {.lex_state = 98},
  [11866] = {.lex_state = 100},
  [11867] = {.lex_state = 100},
  [11868] = {.lex_state = 98},
  [11869] = {.lex_state = 98},
  [11870] = {.lex_state = 98},
  [11871] = {.lex_state = 100},
  [11872] = {.lex_state = 100},
  [11873] = {.lex_state = 100},
  [11874] = {.lex_state = 100},
  [11875] = {.lex_state = 100},
  [11876] = {.lex_state = 100},
  [11877] = {.lex_state = 98},
  [11878] = {.lex_state = 100},
  [11879] = {.lex_state = 100},
  [11880] = {.lex_state = 100},
  [11881] = {.lex_state = 100},
  [11882] = {.lex_state = 100},
  [11883] = {.lex_state = 100},
  [11884] = {.lex_state = 100},
  [11885] = {.lex_state = 100},
  [11886] = {.lex_state = 100},
  [11887] = {.lex_state = 98},
  [11888] = {.lex_state = 100},
  [11889] = {.lex_state = 100},
  [11890] = {.lex_state = 100},
  [11891] = {.lex_state = 100},
  [11892] = {.lex_state = 100},
  [11893] = {.lex_state = 98},
  [11894] = {.lex_state = 98},
  [11895] = {.lex_state = 98},
  [11896] = {.lex_state = 98},
  [11897] = {.lex_state = 98},
  [11898] = {.lex_state = 100},
  [11899] = {.lex_state = 100},
  [11900] = {.lex_state = 98},
  [11901] = {.lex_state = 100},
  [11902] = {.lex_state = 100},
  [11903] = {.lex_state = 98},
  [11904] = {.lex_state = 98},
  [11905] = {.lex_state = 98},
  [11906] = {.lex_state = 98},
  [11907] = {.lex_state = 98},
  [11908] = {.lex_state = 100},
  [11909] = {.lex_state = 98},
  [11910] = {.lex_state = 98},
  [11911] = {.lex_state = 98},
  [11912] = {.lex_state = 98},
  [11913] = {.lex_state = 100},
  [11914] = {.lex_state = 98},
  [11915] = {.lex_state = 100},
  [11916] = {.lex_state = 98},
  [11917] = {.lex_state = 100},
  [11918] = {.lex_state = 98},
  [11919] = {.lex_state = 100},
  [11920] = {.lex_state = 100},
  [11921] = {.lex_state = 100},
  [11922] = {.lex_state = 98},
  [11923] = {.lex_state = 100},
  [11924] = {.lex_state = 100},
  [11925] = {.lex_state = 100},
  [11926] = {.lex_state = 100},
  [11927] = {.lex_state = 100},
  [11928] = {.lex_state = 100},
  [11929] = {.lex_state = 100},
  [11930] = {.lex_state = 98},
  [11931] = {.lex_state = 100},
  [11932] = {.lex_state = 100},
  [11933] = {.lex_state = 100},
  [11934] = {.lex_state = 100},
  [11935] = {.lex_state = 100},
  [11936] = {.lex_state = 100},
  [11937] = {.lex_state = 98},
  [11938] = {.lex_state = 100},
  [11939] = {.lex_state = 100},
  [11940] = {.lex_state = 100},
  [11941] = {.lex_state = 100},
  [11942] = {.lex_state = 100},
  [11943] = {.lex_state = 100},
  [11944] = {.lex_state = 98},
  [11945] = {.lex_state = 98},
  [11946] = {.lex_state = 98},
  [11947] = {.lex_state = 100},
  [11948] = {.lex_state = 98},
  [11949] = {.lex_state = 100},
  [11950] = {.lex_state = 100},
  [11951] = {.lex_state = 100},
  [11952] = {.lex_state = 100},
  [11953] = {.lex_state = 100},
  [11954] = {.lex_state = 100},
  [11955] = {.lex_state = 100},
  [11956] = {.lex_state = 100},
  [11957] = {.lex_state = 100},
  [11958] = {.lex_state = 100},
  [11959] = {.lex_state = 100},
  [11960] = {.lex_state = 100},
  [11961] = {.lex_state = 100},
  [11962] = {.lex_state = 100},
  [11963] = {.lex_state = 100},
  [11964] = {.lex_state = 100},
  [11965] = {.lex_state = 100},
  [11966] = {.lex_state = 100},
  [11967] = {.lex_state = 100},
  [11968] = {.lex_state = 100},
  [11969] = {.lex_state = 100},
  [11970] = {.lex_state = 100},
  [11971] = {.lex_state = 100},
  [11972] = {.lex_state = 98},
  [11973] = {.lex_state = 100},
  [11974] = {.lex_state = 100},
  [11975] = {.lex_state = 100},
  [11976] = {.lex_state = 100},
  [11977] = {.lex_state = 100},
  [11978] = {.lex_state = 100},
  [11979] = {.lex_state = 100},
  [11980] = {.lex_state = 100},
  [11981] = {.lex_state = 100},
  [11982] = {.lex_state = 100},
  [11983] = {.lex_state = 100},
  [11984] = {.lex_state = 100},
  [11985] = {.lex_state = 100},
  [11986] = {.lex_state = 100},
  [11987] = {.lex_state = 100},
  [11988] = {.lex_state = 100},
  [11989] = {.lex_state = 100},
  [11990] = {.lex_state = 100},
  [11991] = {.lex_state = 100},
  [11992] = {.lex_state = 100},
  [11993] = {.lex_state = 100},
  [11994] = {.lex_state = 100},
  [11995] = {.lex_state = 100},
  [11996] = {.lex_state = 100},
  [11997] = {.lex_state = 100},
  [11998] = {.lex_state = 98},
  [11999] = {.lex_state = 100},
  [12000] = {.lex_state = 100},
  [12001] = {.lex_state = 100},
  [12002] = {.lex_state = 98},
  [12003] = {.lex_state = 100},
  [12004] = {.lex_state = 100},
  [12005] = {.lex_state = 100},
  [12006] = {.lex_state = 100},
  [12007] = {.lex_state = 100},
  [12008] = {.lex_state = 100},
  [12009] = {.lex_state = 100},
  [12010] = {.lex_state = 100},
  [12011] = {.lex_state = 100},
  [12012] = {.lex_state = 100},
  [12013] = {.lex_state = 100},
  [12014] = {.lex_state = 100},
  [12015] = {.lex_state = 100},
  [12016] = {.lex_state = 98},
  [12017] = {.lex_state = 98},
  [12018] = {.lex_state = 103},
  [12019] = {.lex_state = 96},
  [12020] = {.lex_state = 98},
  [12021] = {.lex_state = 98},
  [12022] = {.lex_state = 98},
  [12023] = {.lex_state = 98},
  [12024] = {.lex_state = 96},
  [12025] = {.lex_state = 98},
  [12026] = {.lex_state = 98},
  [12027] = {.lex_state = 98},
  [12028] = {.lex_state = 98},
  [12029] = {.lex_state = 98},
  [12030] = {.lex_state = 98},
  [12031] = {.lex_state = 98},
  [12032] = {.lex_state = 98},
  [12033] = {.lex_state = 98},
  [12034] = {.lex_state = 98},
  [12035] = {.lex_state = 98},
  [12036] = {.lex_state = 98},
  [12037] = {.lex_state = 98},
  [12038] = {.lex_state = 98},
  [12039] = {.lex_state = 98},
  [12040] = {.lex_state = 98},
  [12041] = {.lex_state = 98},
  [12042] = {.lex_state = 98},
  [12043] = {.lex_state = 98},
  [12044] = {.lex_state = 98},
  [12045] = {.lex_state = 98},
  [12046] = {.lex_state = 98},
  [12047] = {.lex_state = 98},
  [12048] = {.lex_state = 98},
  [12049] = {.lex_state = 98},
  [12050] = {.lex_state = 98},
  [12051] = {.lex_state = 98},
  [12052] = {.lex_state = 98},
  [12053] = {.lex_state = 98},
  [12054] = {.lex_state = 98},
  [12055] = {.lex_state = 98},
  [12056] = {.lex_state = 98},
  [12057] = {.lex_state = 98},
  [12058] = {.lex_state = 98},
  [12059] = {.lex_state = 98},
  [12060] = {.lex_state = 98},
  [12061] = {.lex_state = 98},
  [12062] = {.lex_state = 98},
  [12063] = {.lex_state = 98},
  [12064] = {.lex_state = 98},
  [12065] = {.lex_state = 98},
  [12066] = {.lex_state = 98},
  [12067] = {.lex_state = 98},
  [12068] = {.lex_state = 98},
  [12069] = {.lex_state = 98},
  [12070] = {.lex_state = 98},
  [12071] = {.lex_state = 98},
  [12072] = {.lex_state = 98},
  [12073] = {.lex_state = 98},
  [12074] = {.lex_state = 98},
  [12075] = {.lex_state = 98},
  [12076] = {.lex_state = 98},
  [12077] = {.lex_state = 98},
  [12078] = {.lex_state = 95},
  [12079] = {.lex_state = 98},
  [12080] = {.lex_state = 98},
  [12081] = {.lex_state = 98},
  [12082] = {.lex_state = 98},
  [12083] = {.lex_state = 98},
  [12084] = {.lex_state = 98},
  [12085] = {.lex_state = 98},
  [12086] = {.lex_state = 98},
  [12087] = {.lex_state = 98},
  [12088] = {.lex_state = 98},
  [12089] = {.lex_state = 98},
  [12090] = {.lex_state = 98},
  [12091] = {.lex_state = 98},
  [12092] = {.lex_state = 98},
  [12093] = {.lex_state = 98},
  [12094] = {.lex_state = 98},
  [12095] = {.lex_state = 98},
  [12096] = {.lex_state = 98},
  [12097] = {.lex_state = 98},
  [12098] = {.lex_state = 98},
  [12099] = {.lex_state = 98},
  [12100] = {.lex_state = 98},
  [12101] = {.lex_state = 98},
  [12102] = {.lex_state = 98},
  [12103] = {.lex_state = 98},
  [12104] = {.lex_state = 98},
  [12105] = {.lex_state = 98},
  [12106] = {.lex_state = 98},
  [12107] = {.lex_state = 98},
  [12108] = {.lex_state = 98},
  [12109] = {.lex_state = 98},
  [12110] = {.lex_state = 98},
  [12111] = {.lex_state = 95},
  [12112] = {.lex_state = 98},
  [12113] = {.lex_state = 98},
  [12114] = {.lex_state = 98},
  [12115] = {.lex_state = 98},
  [12116] = {.lex_state = 98},
  [12117] = {.lex_state = 98},
  [12118] = {.lex_state = 98},
  [12119] = {.lex_state = 98},
  [12120] = {.lex_state = 95},
  [12121] = {.lex_state = 98},
  [12122] = {.lex_state = 98},
  [12123] = {.lex_state = 98},
  [12124] = {.lex_state = 98},
  [12125] = {.lex_state = 98},
  [12126] = {.lex_state = 98},
  [12127] = {.lex_state = 98},
  [12128] = {.lex_state = 98},
  [12129] = {.lex_state = 98},
  [12130] = {.lex_state = 98},
  [12131] = {.lex_state = 98},
  [12132] = {.lex_state = 98},
  [12133] = {.lex_state = 98},
  [12134] = {.lex_state = 98},
  [12135] = {.lex_state = 98},
  [12136] = {.lex_state = 98},
  [12137] = {.lex_state = 98},
  [12138] = {.lex_state = 98},
  [12139] = {.lex_state = 98},
  [12140] = {.lex_state = 98},
  [12141] = {.lex_state = 98},
  [12142] = {.lex_state = 98},
  [12143] = {.lex_state = 98},
  [12144] = {.lex_state = 98},
  [12145] = {.lex_state = 98},
  [12146] = {.lex_state = 98},
  [12147] = {.lex_state = 98},
  [12148] = {.lex_state = 98},
  [12149] = {.lex_state = 98},
  [12150] = {.lex_state = 98},
  [12151] = {.lex_state = 98},
  [12152] = {.lex_state = 95},
  [12153] = {.lex_state = 98},
  [12154] = {.lex_state = 98},
  [12155] = {.lex_state = 98},
  [12156] = {.lex_state = 98},
  [12157] = {.lex_state = 98},
  [12158] = {.lex_state = 98},
  [12159] = {.lex_state = 98},
  [12160] = {.lex_state = 98},
  [12161] = {.lex_state = 98},
  [12162] = {.lex_state = 98},
  [12163] = {.lex_state = 98},
  [12164] = {.lex_state = 98},
  [12165] = {.lex_state = 98},
  [12166] = {.lex_state = 98},
  [12167] = {.lex_state = 98},
  [12168] = {.lex_state = 98},
  [12169] = {.lex_state = 98},
  [12170] = {.lex_state = 98},
  [12171] = {.lex_state = 98},
  [12172] = {.lex_state = 98},
  [12173] = {.lex_state = 98},
  [12174] = {.lex_state = 98},
  [12175] = {.lex_state = 98},
  [12176] = {.lex_state = 98},
  [12177] = {.lex_state = 98},
  [12178] = {.lex_state = 98},
  [12179] = {.lex_state = 98},
  [12180] = {.lex_state = 98},
  [12181] = {.lex_state = 98},
  [12182] = {.lex_state = 98},
  [12183] = {.lex_state = 98},
  [12184] = {.lex_state = 98},
  [12185] = {.lex_state = 98},
  [12186] = {.lex_state = 98},
  [12187] = {.lex_state = 98},
  [12188] = {.lex_state = 98},
  [12189] = {.lex_state = 98},
  [12190] = {.lex_state = 98},
  [12191] = {.lex_state = 98},
  [12192] = {.lex_state = 98},
  [12193] = {.lex_state = 98},
  [12194] = {.lex_state = 98},
  [12195] = {.lex_state = 98},
  [12196] = {.lex_state = 98},
  [12197] = {.lex_state = 98},
  [12198] = {.lex_state = 98},
  [12199] = {.lex_state = 98},
  [12200] = {.lex_state = 98},
  [12201] = {.lex_state = 98},
  [12202] = {.lex_state = 98},
  [12203] = {.lex_state = 98},
  [12204] = {.lex_state = 98},
  [12205] = {.lex_state = 98},
  [12206] = {.lex_state = 98},
  [12207] = {.lex_state = 98},
  [12208] = {.lex_state = 98},
  [12209] = {.lex_state = 98},
  [12210] = {.lex_state = 98},
  [12211] = {.lex_state = 98},
  [12212] = {.lex_state = 98},
  [12213] = {.lex_state = 98},
  [12214] = {.lex_state = 98},
  [12215] = {.lex_state = 98},
  [12216] = {.lex_state = 98},
  [12217] = {.lex_state = 98},
  [12218] = {.lex_state = 98},
  [12219] = {.lex_state = 98},
  [12220] = {.lex_state = 98},
  [12221] = {.lex_state = 98},
  [12222] = {.lex_state = 98},
  [12223] = {.lex_state = 98},
  [12224] = {.lex_state = 98},
  [12225] = {.lex_state = 98},
  [12226] = {.lex_state = 98},
  [12227] = {.lex_state = 98},
  [12228] = {.lex_state = 98},
  [12229] = {.lex_state = 98},
  [12230] = {.lex_state = 98},
  [12231] = {.lex_state = 98},
  [12232] = {.lex_state = 98},
  [12233] = {.lex_state = 98},
  [12234] = {.lex_state = 98},
  [12235] = {.lex_state = 98},
  [12236] = {.lex_state = 98},
  [12237] = {.lex_state = 98},
  [12238] = {.lex_state = 98},
  [12239] = {.lex_state = 98},
  [12240] = {.lex_state = 98},
  [12241] = {.lex_state = 98},
  [12242] = {.lex_state = 98},
  [12243] = {.lex_state = 98},
  [12244] = {.lex_state = 98},
  [12245] = {.lex_state = 98},
  [12246] = {.lex_state = 98},
  [12247] = {.lex_state = 98},
  [12248] = {.lex_state = 98},
  [12249] = {.lex_state = 98},
  [12250] = {.lex_state = 98},
  [12251] = {.lex_state = 98},
  [12252] = {.lex_state = 98},
  [12253] = {.lex_state = 98},
  [12254] = {.lex_state = 98},
  [12255] = {.lex_state = 98},
  [12256] = {.lex_state = 98},
  [12257] = {.lex_state = 98},
  [12258] = {.lex_state = 98},
  [12259] = {.lex_state = 98},
  [12260] = {.lex_state = 98},
  [12261] = {.lex_state = 98},
  [12262] = {.lex_state = 98},
  [12263] = {.lex_state = 98},
  [12264] = {.lex_state = 98},
  [12265] = {.lex_state = 98},
  [12266] = {.lex_state = 98},
  [12267] = {.lex_state = 98},
  [12268] = {.lex_state = 98},
  [12269] = {.lex_state = 98},
  [12270] = {.lex_state = 98},
  [12271] = {.lex_state = 98},
  [12272] = {.lex_state = 98},
  [12273] = {.lex_state = 98},
  [12274] = {.lex_state = 98},
  [12275] = {.lex_state = 98},
  [12276] = {.lex_state = 98},
  [12277] = {.lex_state = 98},
  [12278] = {.lex_state = 98},
  [12279] = {.lex_state = 98},
  [12280] = {.lex_state = 98},
  [12281] = {.lex_state = 98},
  [12282] = {.lex_state = 98},
  [12283] = {.lex_state = 98},
  [12284] = {.lex_state = 98},
  [12285] = {.lex_state = 98},
  [12286] = {.lex_state = 98},
  [12287] = {.lex_state = 98},
  [12288] = {.lex_state = 98},
  [12289] = {.lex_state = 98},
  [12290] = {.lex_state = 98},
  [12291] = {.lex_state = 98},
  [12292] = {.lex_state = 98},
  [12293] = {.lex_state = 98},
  [12294] = {.lex_state = 98},
  [12295] = {.lex_state = 98},
  [12296] = {.lex_state = 98},
  [12297] = {.lex_state = 98},
  [12298] = {.lex_state = 98},
  [12299] = {.lex_state = 98},
  [12300] = {.lex_state = 98},
  [12301] = {.lex_state = 98},
  [12302] = {.lex_state = 98},
  [12303] = {.lex_state = 98},
  [12304] = {.lex_state = 98},
  [12305] = {.lex_state = 98},
  [12306] = {.lex_state = 98},
  [12307] = {.lex_state = 98},
  [12308] = {.lex_state = 98},
  [12309] = {.lex_state = 98},
  [12310] = {.lex_state = 98},
  [12311] = {.lex_state = 98},
  [12312] = {.lex_state = 98},
  [12313] = {.lex_state = 98},
  [12314] = {.lex_state = 98},
  [12315] = {.lex_state = 98},
  [12316] = {.lex_state = 98},
  [12317] = {.lex_state = 98},
  [12318] = {.lex_state = 98},
  [12319] = {.lex_state = 98},
  [12320] = {.lex_state = 98},
  [12321] = {.lex_state = 98},
  [12322] = {.lex_state = 98},
  [12323] = {.lex_state = 98},
  [12324] = {.lex_state = 98},
  [12325] = {.lex_state = 98},
  [12326] = {.lex_state = 98},
  [12327] = {.lex_state = 98},
  [12328] = {.lex_state = 98},
  [12329] = {.lex_state = 98},
  [12330] = {.lex_state = 98},
  [12331] = {.lex_state = 98},
  [12332] = {.lex_state = 98},
  [12333] = {.lex_state = 98},
  [12334] = {.lex_state = 98},
  [12335] = {.lex_state = 98},
  [12336] = {.lex_state = 98},
  [12337] = {.lex_state = 98},
  [12338] = {.lex_state = 98},
  [12339] = {.lex_state = 98},
  [12340] = {.lex_state = 98},
  [12341] = {.lex_state = 98},
  [12342] = {.lex_state = 98},
  [12343] = {.lex_state = 98},
  [12344] = {.lex_state = 98},
  [12345] = {.lex_state = 98},
  [12346] = {.lex_state = 98},
  [12347] = {.lex_state = 98},
  [12348] = {.lex_state = 98},
  [12349] = {.lex_state = 98},
  [12350] = {.lex_state = 98},
  [12351] = {.lex_state = 98},
  [12352] = {.lex_state = 98},
  [12353] = {.lex_state = 98},
  [12354] = {.lex_state = 98},
  [12355] = {.lex_state = 98},
  [12356] = {.lex_state = 98},
  [12357] = {.lex_state = 98},
  [12358] = {.lex_state = 98},
  [12359] = {.lex_state = 98},
  [12360] = {.lex_state = 98},
  [12361] = {.lex_state = 98},
  [12362] = {.lex_state = 98},
  [12363] = {.lex_state = 98},
  [12364] = {.lex_state = 98},
  [12365] = {.lex_state = 98},
  [12366] = {.lex_state = 98},
  [12367] = {.lex_state = 98},
  [12368] = {.lex_state = 98},
  [12369] = {.lex_state = 98},
  [12370] = {.lex_state = 98},
  [12371] = {.lex_state = 98},
  [12372] = {.lex_state = 98},
  [12373] = {.lex_state = 98},
  [12374] = {.lex_state = 98},
  [12375] = {.lex_state = 98},
  [12376] = {.lex_state = 98},
  [12377] = {.lex_state = 98},
  [12378] = {.lex_state = 98},
  [12379] = {.lex_state = 98},
  [12380] = {.lex_state = 98},
  [12381] = {.lex_state = 98},
  [12382] = {.lex_state = 98},
  [12383] = {.lex_state = 98},
  [12384] = {.lex_state = 98},
  [12385] = {.lex_state = 98},
  [12386] = {.lex_state = 98},
  [12387] = {.lex_state = 98},
  [12388] = {.lex_state = 98},
  [12389] = {.lex_state = 98},
  [12390] = {.lex_state = 98},
  [12391] = {.lex_state = 98},
  [12392] = {.lex_state = 98},
  [12393] = {.lex_state = 98},
  [12394] = {.lex_state = 98},
  [12395] = {.lex_state = 98},
  [12396] = {.lex_state = 98},
  [12397] = {.lex_state = 98},
  [12398] = {.lex_state = 98},
  [12399] = {.lex_state = 98},
  [12400] = {.lex_state = 98},
  [12401] = {.lex_state = 98},
  [12402] = {.lex_state = 98},
  [12403] = {.lex_state = 98},
  [12404] = {.lex_state = 98},
  [12405] = {.lex_state = 98},
  [12406] = {.lex_state = 98},
  [12407] = {.lex_state = 98},
  [12408] = {.lex_state = 98},
  [12409] = {.lex_state = 98},
  [12410] = {.lex_state = 98},
  [12411] = {.lex_state = 98},
  [12412] = {.lex_state = 98},
  [12413] = {.lex_state = 98},
  [12414] = {.lex_state = 98},
  [12415] = {.lex_state = 98},
  [12416] = {.lex_state = 98},
  [12417] = {.lex_state = 98},
  [12418] = {.lex_state = 98},
  [12419] = {.lex_state = 98},
  [12420] = {.lex_state = 98},
  [12421] = {.lex_state = 98},
  [12422] = {.lex_state = 98},
  [12423] = {.lex_state = 98},
  [12424] = {.lex_state = 98},
  [12425] = {.lex_state = 98},
  [12426] = {.lex_state = 98},
  [12427] = {.lex_state = 98},
  [12428] = {.lex_state = 98},
  [12429] = {.lex_state = 98},
  [12430] = {.lex_state = 98},
  [12431] = {.lex_state = 98},
  [12432] = {.lex_state = 98},
  [12433] = {.lex_state = 98},
  [12434] = {.lex_state = 98},
  [12435] = {.lex_state = 98},
  [12436] = {.lex_state = 98},
  [12437] = {.lex_state = 98},
  [12438] = {.lex_state = 98},
  [12439] = {.lex_state = 98},
  [12440] = {.lex_state = 98},
  [12441] = {.lex_state = 17},
  [12442] = {.lex_state = 98},
  [12443] = {.lex_state = 98},
  [12444] = {.lex_state = 98},
  [12445] = {.lex_state = 98},
  [12446] = {.lex_state = 98},
  [12447] = {.lex_state = 98},
  [12448] = {.lex_state = 98},
  [12449] = {.lex_state = 98},
  [12450] = {.lex_state = 98},
  [12451] = {.lex_state = 98},
  [12452] = {.lex_state = 98},
  [12453] = {.lex_state = 98},
  [12454] = {.lex_state = 98},
  [12455] = {.lex_state = 98},
  [12456] = {.lex_state = 98},
  [12457] = {.lex_state = 98},
  [12458] = {.lex_state = 98},
  [12459] = {.lex_state = 98},
  [12460] = {.lex_state = 98},
  [12461] = {.lex_state = 98},
  [12462] = {.lex_state = 98},
  [12463] = {.lex_state = 98},
  [12464] = {.lex_state = 98},
  [12465] = {.lex_state = 98},
  [12466] = {.lex_state = 98},
  [12467] = {.lex_state = 98},
  [12468] = {.lex_state = 98},
  [12469] = {.lex_state = 98},
  [12470] = {.lex_state = 98},
  [12471] = {.lex_state = 98},
  [12472] = {.lex_state = 98},
  [12473] = {.lex_state = 98},
  [12474] = {.lex_state = 98},
  [12475] = {.lex_state = 98},
  [12476] = {.lex_state = 98},
  [12477] = {.lex_state = 98},
  [12478] = {.lex_state = 98},
  [12479] = {.lex_state = 98},
  [12480] = {.lex_state = 98},
  [12481] = {.lex_state = 98},
  [12482] = {.lex_state = 98},
  [12483] = {.lex_state = 98},
  [12484] = {.lex_state = 98},
  [12485] = {.lex_state = 98},
  [12486] = {.lex_state = 98},
  [12487] = {.lex_state = 98},
  [12488] = {.lex_state = 98},
  [12489] = {.lex_state = 98},
  [12490] = {.lex_state = 98},
  [12491] = {.lex_state = 98},
  [12492] = {.lex_state = 98},
  [12493] = {.lex_state = 98},
  [12494] = {.lex_state = 98},
  [12495] = {.lex_state = 98},
  [12496] = {.lex_state = 98},
  [12497] = {.lex_state = 98},
  [12498] = {.lex_state = 98},
  [12499] = {.lex_state = 98},
  [12500] = {.lex_state = 98},
  [12501] = {.lex_state = 98},
  [12502] = {.lex_state = 98},
  [12503] = {.lex_state = 98},
  [12504] = {.lex_state = 98},
  [12505] = {.lex_state = 98},
  [12506] = {.lex_state = 98},
  [12507] = {.lex_state = 98},
  [12508] = {.lex_state = 98},
  [12509] = {.lex_state = 98},
  [12510] = {.lex_state = 98},
  [12511] = {.lex_state = 98},
  [12512] = {.lex_state = 98},
  [12513] = {.lex_state = 98},
  [12514] = {.lex_state = 98},
  [12515] = {.lex_state = 98},
  [12516] = {.lex_state = 98},
  [12517] = {.lex_state = 98},
  [12518] = {.lex_state = 98},
  [12519] = {.lex_state = 98},
  [12520] = {.lex_state = 98},
  [12521] = {.lex_state = 98},
  [12522] = {.lex_state = 98},
  [12523] = {.lex_state = 98},
  [12524] = {.lex_state = 98},
  [12525] = {.lex_state = 98},
  [12526] = {.lex_state = 98},
  [12527] = {.lex_state = 98},
  [12528] = {.lex_state = 98},
  [12529] = {.lex_state = 98},
  [12530] = {.lex_state = 98},
  [12531] = {.lex_state = 98},
  [12532] = {.lex_state = 98},
  [12533] = {.lex_state = 98},
  [12534] = {.lex_state = 98},
  [12535] = {.lex_state = 98},
  [12536] = {.lex_state = 98},
  [12537] = {.lex_state = 98},
  [12538] = {.lex_state = 98},
  [12539] = {.lex_state = 98},
  [12540] = {.lex_state = 98},
  [12541] = {.lex_state = 98},
  [12542] = {.lex_state = 98},
  [12543] = {.lex_state = 98},
  [12544] = {.lex_state = 98},
  [12545] = {.lex_state = 98},
  [12546] = {.lex_state = 98},
  [12547] = {.lex_state = 98},
  [12548] = {.lex_state = 98},
  [12549] = {.lex_state = 98},
  [12550] = {.lex_state = 98},
  [12551] = {.lex_state = 98},
  [12552] = {.lex_state = 98},
  [12553] = {.lex_state = 98},
  [12554] = {.lex_state = 98},
  [12555] = {.lex_state = 98},
  [12556] = {.lex_state = 98},
  [12557] = {.lex_state = 98},
  [12558] = {.lex_state = 98},
  [12559] = {.lex_state = 98},
  [12560] = {.lex_state = 98},
  [12561] = {.lex_state = 98},
  [12562] = {.lex_state = 98},
  [12563] = {.lex_state = 98},
  [12564] = {.lex_state = 98},
  [12565] = {.lex_state = 98},
  [12566] = {.lex_state = 98},
  [12567] = {.lex_state = 98},
  [12568] = {.lex_state = 98},
  [12569] = {.lex_state = 98},
  [12570] = {.lex_state = 98},
  [12571] = {.lex_state = 98},
  [12572] = {.lex_state = 98},
  [12573] = {.lex_state = 98},
  [12574] = {.lex_state = 98},
  [12575] = {.lex_state = 98},
  [12576] = {.lex_state = 98},
  [12577] = {.lex_state = 98},
  [12578] = {.lex_state = 98},
  [12579] = {.lex_state = 98},
  [12580] = {.lex_state = 98},
  [12581] = {.lex_state = 98},
  [12582] = {.lex_state = 98},
  [12583] = {.lex_state = 98},
  [12584] = {.lex_state = 98},
  [12585] = {.lex_state = 98},
  [12586] = {.lex_state = 98},
  [12587] = {.lex_state = 98},
  [12588] = {.lex_state = 98},
  [12589] = {.lex_state = 98},
  [12590] = {.lex_state = 98},
  [12591] = {.lex_state = 98},
  [12592] = {.lex_state = 98},
  [12593] = {.lex_state = 98},
  [12594] = {.lex_state = 98},
  [12595] = {.lex_state = 98},
  [12596] = {.lex_state = 98},
  [12597] = {.lex_state = 98},
  [12598] = {.lex_state = 98},
  [12599] = {.lex_state = 98},
  [12600] = {.lex_state = 98},
  [12601] = {.lex_state = 98},
  [12602] = {.lex_state = 98},
  [12603] = {.lex_state = 98},
  [12604] = {.lex_state = 98},
  [12605] = {.lex_state = 98},
  [12606] = {.lex_state = 98},
  [12607] = {.lex_state = 98},
  [12608] = {.lex_state = 98},
  [12609] = {.lex_state = 98},
  [12610] = {.lex_state = 98},
  [12611] = {.lex_state = 98},
  [12612] = {.lex_state = 98},
  [12613] = {.lex_state = 98},
  [12614] = {.lex_state = 98},
  [12615] = {.lex_state = 98},
  [12616] = {.lex_state = 98},
  [12617] = {.lex_state = 98},
  [12618] = {.lex_state = 98},
  [12619] = {.lex_state = 98},
  [12620] = {.lex_state = 98},
  [12621] = {.lex_state = 98},
  [12622] = {.lex_state = 98},
  [12623] = {.lex_state = 98},
  [12624] = {.lex_state = 98},
  [12625] = {.lex_state = 98},
  [12626] = {.lex_state = 98},
  [12627] = {.lex_state = 98},
  [12628] = {.lex_state = 98},
  [12629] = {.lex_state = 98},
  [12630] = {.lex_state = 98},
  [12631] = {.lex_state = 98},
  [12632] = {.lex_state = 98},
  [12633] = {.lex_state = 98},
  [12634] = {.lex_state = 98},
  [12635] = {.lex_state = 98},
  [12636] = {.lex_state = 98},
  [12637] = {.lex_state = 98},
  [12638] = {.lex_state = 98},
  [12639] = {.lex_state = 98},
  [12640] = {.lex_state = 98},
  [12641] = {.lex_state = 98},
  [12642] = {.lex_state = 98},
  [12643] = {.lex_state = 98},
  [12644] = {.lex_state = 98},
  [12645] = {.lex_state = 98},
  [12646] = {.lex_state = 98},
  [12647] = {.lex_state = 98},
  [12648] = {.lex_state = 98},
  [12649] = {.lex_state = 98},
  [12650] = {.lex_state = 98},
  [12651] = {.lex_state = 98},
  [12652] = {.lex_state = 98},
  [12653] = {.lex_state = 98},
  [12654] = {.lex_state = 98},
  [12655] = {.lex_state = 98},
  [12656] = {.lex_state = 98},
  [12657] = {.lex_state = 98},
  [12658] = {.lex_state = 98},
  [12659] = {.lex_state = 98},
  [12660] = {.lex_state = 98},
  [12661] = {.lex_state = 98},
  [12662] = {.lex_state = 98},
  [12663] = {.lex_state = 98},
  [12664] = {.lex_state = 98},
  [12665] = {.lex_state = 98},
  [12666] = {.lex_state = 98},
  [12667] = {.lex_state = 98},
  [12668] = {.lex_state = 98},
  [12669] = {.lex_state = 98},
  [12670] = {.lex_state = 98},
  [12671] = {.lex_state = 98},
  [12672] = {.lex_state = 98},
  [12673] = {.lex_state = 98},
  [12674] = {.lex_state = 98},
  [12675] = {.lex_state = 98},
  [12676] = {.lex_state = 98},
  [12677] = {.lex_state = 98},
  [12678] = {.lex_state = 98},
  [12679] = {.lex_state = 98},
  [12680] = {.lex_state = 98},
  [12681] = {.lex_state = 98},
  [12682] = {.lex_state = 98},
  [12683] = {.lex_state = 98},
  [12684] = {.lex_state = 98},
  [12685] = {.lex_state = 98},
  [12686] = {.lex_state = 98},
  [12687] = {.lex_state = 98},
  [12688] = {.lex_state = 98},
  [12689] = {.lex_state = 98},
  [12690] = {.lex_state = 98},
  [12691] = {.lex_state = 98},
  [12692] = {.lex_state = 98},
  [12693] = {.lex_state = 98},
  [12694] = {.lex_state = 98},
  [12695] = {.lex_state = 98},
  [12696] = {.lex_state = 98},
  [12697] = {.lex_state = 98},
  [12698] = {.lex_state = 98},
  [12699] = {.lex_state = 98},
  [12700] = {.lex_state = 98},
  [12701] = {.lex_state = 98},
  [12702] = {.lex_state = 98},
  [12703] = {.lex_state = 98},
  [12704] = {.lex_state = 98},
  [12705] = {.lex_state = 98},
  [12706] = {.lex_state = 98},
  [12707] = {.lex_state = 98},
  [12708] = {.lex_state = 98},
  [12709] = {.lex_state = 98},
  [12710] = {.lex_state = 98},
  [12711] = {.lex_state = 98},
  [12712] = {.lex_state = 98},
  [12713] = {.lex_state = 98},
  [12714] = {.lex_state = 98},
  [12715] = {.lex_state = 98},
  [12716] = {.lex_state = 98},
  [12717] = {.lex_state = 98},
  [12718] = {.lex_state = 98},
  [12719] = {.lex_state = 98},
  [12720] = {.lex_state = 98},
  [12721] = {.lex_state = 98},
  [12722] = {.lex_state = 98},
  [12723] = {.lex_state = 98},
  [12724] = {.lex_state = 98},
  [12725] = {.lex_state = 98},
  [12726] = {.lex_state = 98},
  [12727] = {.lex_state = 98},
  [12728] = {.lex_state = 98},
  [12729] = {.lex_state = 98},
  [12730] = {.lex_state = 98},
  [12731] = {.lex_state = 98},
  [12732] = {.lex_state = 98},
  [12733] = {.lex_state = 98},
  [12734] = {.lex_state = 98},
  [12735] = {.lex_state = 98},
  [12736] = {.lex_state = 98},
  [12737] = {.lex_state = 98},
  [12738] = {.lex_state = 98},
  [12739] = {.lex_state = 98},
  [12740] = {.lex_state = 98},
  [12741] = {.lex_state = 98},
  [12742] = {.lex_state = 98},
  [12743] = {.lex_state = 98},
  [12744] = {.lex_state = 98},
  [12745] = {.lex_state = 98},
  [12746] = {.lex_state = 98},
  [12747] = {.lex_state = 98},
  [12748] = {.lex_state = 98},
  [12749] = {.lex_state = 98},
  [12750] = {.lex_state = 98},
  [12751] = {.lex_state = 98},
  [12752] = {.lex_state = 98},
  [12753] = {.lex_state = 98},
  [12754] = {.lex_state = 98},
  [12755] = {.lex_state = 98},
  [12756] = {.lex_state = 98},
  [12757] = {.lex_state = 98},
  [12758] = {.lex_state = 98},
  [12759] = {.lex_state = 98},
  [12760] = {.lex_state = 98},
  [12761] = {.lex_state = 98},
  [12762] = {.lex_state = 98},
  [12763] = {.lex_state = 98},
  [12764] = {.lex_state = 98},
  [12765] = {.lex_state = 98},
  [12766] = {.lex_state = 98},
  [12767] = {.lex_state = 98},
  [12768] = {.lex_state = 98},
  [12769] = {.lex_state = 98},
  [12770] = {.lex_state = 98},
  [12771] = {.lex_state = 98},
  [12772] = {.lex_state = 98},
  [12773] = {.lex_state = 98},
  [12774] = {.lex_state = 98},
  [12775] = {.lex_state = 98},
  [12776] = {.lex_state = 98},
  [12777] = {.lex_state = 98},
  [12778] = {.lex_state = 98},
  [12779] = {.lex_state = 98},
  [12780] = {.lex_state = 98},
  [12781] = {.lex_state = 98},
  [12782] = {.lex_state = 98},
  [12783] = {.lex_state = 98},
  [12784] = {.lex_state = 98},
  [12785] = {.lex_state = 98},
  [12786] = {.lex_state = 98},
  [12787] = {.lex_state = 98},
  [12788] = {.lex_state = 98},
  [12789] = {.lex_state = 98},
  [12790] = {.lex_state = 98},
  [12791] = {.lex_state = 98},
  [12792] = {.lex_state = 98},
  [12793] = {.lex_state = 98},
  [12794] = {.lex_state = 98},
  [12795] = {.lex_state = 98},
  [12796] = {.lex_state = 98},
  [12797] = {.lex_state = 98},
  [12798] = {.lex_state = 98},
  [12799] = {.lex_state = 98},
  [12800] = {.lex_state = 98},
  [12801] = {.lex_state = 98},
  [12802] = {.lex_state = 98},
  [12803] = {.lex_state = 98},
  [12804] = {.lex_state = 98},
  [12805] = {.lex_state = 98},
  [12806] = {.lex_state = 98},
  [12807] = {.lex_state = 98},
  [12808] = {.lex_state = 98},
  [12809] = {.lex_state = 98},
  [12810] = {.lex_state = 98},
  [12811] = {.lex_state = 98},
  [12812] = {.lex_state = 98},
  [12813] = {.lex_state = 98},
  [12814] = {.lex_state = 98},
  [12815] = {.lex_state = 98},
  [12816] = {.lex_state = 98},
  [12817] = {.lex_state = 98},
  [12818] = {.lex_state = 98},
  [12819] = {.lex_state = 98},
  [12820] = {.lex_state = 98},
  [12821] = {.lex_state = 98},
  [12822] = {.lex_state = 98},
  [12823] = {.lex_state = 98},
  [12824] = {.lex_state = 98},
  [12825] = {.lex_state = 98},
  [12826] = {.lex_state = 98},
  [12827] = {.lex_state = 98},
  [12828] = {.lex_state = 98},
  [12829] = {.lex_state = 98},
  [12830] = {.lex_state = 98},
  [12831] = {.lex_state = 98},
  [12832] = {.lex_state = 98},
  [12833] = {.lex_state = 98},
  [12834] = {.lex_state = 98},
  [12835] = {.lex_state = 98},
  [12836] = {.lex_state = 98},
  [12837] = {.lex_state = 98},
  [12838] = {.lex_state = 98},
  [12839] = {.lex_state = 98},
  [12840] = {.lex_state = 98},
  [12841] = {.lex_state = 98},
  [12842] = {.lex_state = 98},
  [12843] = {.lex_state = 98},
  [12844] = {.lex_state = 98},
  [12845] = {.lex_state = 98},
  [12846] = {.lex_state = 98},
  [12847] = {.lex_state = 98},
  [12848] = {.lex_state = 98},
  [12849] = {.lex_state = 98},
  [12850] = {.lex_state = 98},
  [12851] = {.lex_state = 98},
  [12852] = {.lex_state = 98},
  [12853] = {.lex_state = 98},
  [12854] = {.lex_state = 98},
  [12855] = {.lex_state = 98},
  [12856] = {.lex_state = 98},
  [12857] = {.lex_state = 98},
  [12858] = {.lex_state = 98},
  [12859] = {.lex_state = 98},
  [12860] = {.lex_state = 98},
  [12861] = {.lex_state = 98},
  [12862] = {.lex_state = 98},
  [12863] = {.lex_state = 98},
  [12864] = {.lex_state = 98},
  [12865] = {.lex_state = 98},
  [12866] = {.lex_state = 98},
  [12867] = {.lex_state = 98},
  [12868] = {.lex_state = 98},
  [12869] = {.lex_state = 98},
  [12870] = {.lex_state = 98},
  [12871] = {.lex_state = 98},
  [12872] = {.lex_state = 98},
  [12873] = {.lex_state = 98},
  [12874] = {.lex_state = 98},
  [12875] = {.lex_state = 98},
  [12876] = {.lex_state = 98},
  [12877] = {.lex_state = 98},
  [12878] = {.lex_state = 95},
  [12879] = {.lex_state = 103},
  [12880] = {.lex_state = 98},
  [12881] = {.lex_state = 95},
  [12882] = {.lex_state = 98},
  [12883] = {.lex_state = 103},
  [12884] = {.lex_state = 103},
  [12885] = {.lex_state = 103},
  [12886] = {.lex_state = 98},
  [12887] = {.lex_state = 98},
  [12888] = {.lex_state = 98},
  [12889] = {.lex_state = 0, .external_lex_state = 3},
  [12890] = {.lex_state = 0, .external_lex_state = 3},
  [12891] = {.lex_state = 98},
  [12892] = {.lex_state = 98},
  [12893] = {.lex_state = 98},
  [12894] = {.lex_state = 98},
  [12895] = {.lex_state = 0, .external_lex_state = 3},
  [12896] = {.lex_state = 98},
  [12897] = {.lex_state = 98},
  [12898] = {.lex_state = 95},
  [12899] = {.lex_state = 98},
  [12900] = {.lex_state = 98},
  [12901] = {.lex_state = 98},
  [12902] = {.lex_state = 98},
  [12903] = {.lex_state = 0, .external_lex_state = 3},
  [12904] = {.lex_state = 98},
  [12905] = {.lex_state = 98},
  [12906] = {.lex_state = 98},
  [12907] = {.lex_state = 98},
  [12908] = {.lex_state = 98},
  [12909] = {.lex_state = 96},
  [12910] = {.lex_state = 98},
  [12911] = {.lex_state = 98},
  [12912] = {.lex_state = 95},
  [12913] = {.lex_state = 95},
  [12914] = {.lex_state = 98},
  [12915] = {.lex_state = 98},
  [12916] = {.lex_state = 98},
  [12917] = {.lex_state = 98},
  [12918] = {.lex_state = 98},
  [12919] = {.lex_state = 98},
  [12920] = {.lex_state = 98},
  [12921] = {.lex_state = 98},
  [12922] = {.lex_state = 96},
  [12923] = {.lex_state = 98},
  [12924] = {.lex_state = 98},
  [12925] = {.lex_state = 98},
  [12926] = {.lex_state = 98},
  [12927] = {.lex_state = 0, .external_lex_state = 3},
  [12928] = {.lex_state = 98},
  [12929] = {.lex_state = 98},
  [12930] = {.lex_state = 98},
  [12931] = {.lex_state = 98},
  [12932] = {.lex_state = 98},
  [12933] = {.lex_state = 98},
  [12934] = {.lex_state = 0, .external_lex_state = 3},
  [12935] = {.lex_state = 98},
  [12936] = {.lex_state = 0, .external_lex_state = 3},
  [12937] = {.lex_state = 98},
  [12938] = {.lex_state = 98},
  [12939] = {.lex_state = 98},
  [12940] = {.lex_state = 98},
  [12941] = {.lex_state = 98},
  [12942] = {.lex_state = 98},
  [12943] = {.lex_state = 98},
  [12944] = {.lex_state = 98},
  [12945] = {.lex_state = 98},
  [12946] = {.lex_state = 0, .external_lex_state = 3},
  [12947] = {.lex_state = 98},
  [12948] = {.lex_state = 98},
  [12949] = {.lex_state = 98},
  [12950] = {.lex_state = 95},
  [12951] = {.lex_state = 95},
  [12952] = {.lex_state = 98},
  [12953] = {.lex_state = 98},
  [12954] = {.lex_state = 98},
  [12955] = {.lex_state = 98},
  [12956] = {.lex_state = 98},
  [12957] = {.lex_state = 98},
  [12958] = {.lex_state = 95},
  [12959] = {.lex_state = 98},
  [12960] = {.lex_state = 98},
  [12961] = {.lex_state = 98},
  [12962] = {.lex_state = 98},
  [12963] = {.lex_state = 98},
  [12964] = {.lex_state = 98},
  [12965] = {.lex_state = 98},
  [12966] = {.lex_state = 95},
  [12967] = {.lex_state = 98},
  [12968] = {.lex_state = 0, .external_lex_state = 3},
  [12969] = {.lex_state = 95},
  [12970] = {.lex_state = 98},
  [12971] = {.lex_state = 0, .external_lex_state = 3},
  [12972] = {.lex_state = 95},
  [12973] = {.lex_state = 96},
  [12974] = {.lex_state = 0, .external_lex_state = 3},
  [12975] = {.lex_state = 98},
  [12976] = {.lex_state = 0, .external_lex_state = 3},
  [12977] = {.lex_state = 98},
  [12978] = {.lex_state = 98},
  [12979] = {.lex_state = 98},
  [12980] = {.lex_state = 98},
  [12981] = {.lex_state = 98},
  [12982] = {.lex_state = 98},
  [12983] = {.lex_state = 98},
  [12984] = {.lex_state = 98},
  [12985] = {.lex_state = 98},
  [12986] = {.lex_state = 98},
  [12987] = {.lex_state = 0, .external_lex_state = 3},
  [12988] = {.lex_state = 98},
  [12989] = {.lex_state = 96},
  [12990] = {.lex_state = 98},
  [12991] = {.lex_state = 95},
  [12992] = {.lex_state = 98},
  [12993] = {.lex_state = 98},
  [12994] = {.lex_state = 98},
  [12995] = {.lex_state = 98},
  [12996] = {.lex_state = 98},
  [12997] = {.lex_state = 98},
  [12998] = {.lex_state = 103},
  [12999] = {.lex_state = 98},
  [13000] = {.lex_state = 98},
  [13001] = {.lex_state = 95},
  [13002] = {.lex_state = 98},
  [13003] = {.lex_state = 98},
  [13004] = {.lex_state = 103},
  [13005] = {.lex_state = 0, .external_lex_state = 3},
  [13006] = {.lex_state = 98},
  [13007] = {.lex_state = 95},
  [13008] = {.lex_state = 96},
  [13009] = {.lex_state = 98},
  [13010] = {.lex_state = 98},
  [13011] = {.lex_state = 98},
  [13012] = {.lex_state = 98},
  [13013] = {.lex_state = 98},
  [13014] = {.lex_state = 98},
  [13015] = {.lex_state = 98},
  [13016] = {.lex_state = 98},
  [13017] = {.lex_state = 0, .external_lex_state = 3},
  [13018] = {.lex_state = 0, .external_lex_state = 3},
  [13019] = {.lex_state = 96},
  [13020] = {.lex_state = 98},
  [13021] = {.lex_state = 98},
  [13022] = {.lex_state = 98},
  [13023] = {.lex_state = 98},
  [13024] = {.lex_state = 95},
  [13025] = {.lex_state = 0, .external_lex_state = 3},
  [13026] = {.lex_state = 0, .external_lex_state = 3},
  [13027] = {.lex_state = 98},
  [13028] = {.lex_state = 98},
  [13029] = {.lex_state = 98},
  [13030] = {.lex_state = 98},
  [13031] = {.lex_state = 98},
  [13032] = {.lex_state = 98},
  [13033] = {.lex_state = 98},
  [13034] = {.lex_state = 98},
  [13035] = {.lex_state = 98},
  [13036] = {.lex_state = 98},
  [13037] = {.lex_state = 103},
  [13038] = {.lex_state = 98},
  [13039] = {.lex_state = 98},
  [13040] = {.lex_state = 98},
  [13041] = {.lex_state = 98},
  [13042] = {.lex_state = 98},
  [13043] = {.lex_state = 98},
  [13044] = {.lex_state = 98},
  [13045] = {.lex_state = 98},
  [13046] = {.lex_state = 98},
  [13047] = {.lex_state = 98},
  [13048] = {.lex_state = 98},
  [13049] = {.lex_state = 103},
  [13050] = {.lex_state = 98},
  [13051] = {.lex_state = 98},
  [13052] = {.lex_state = 98},
  [13053] = {.lex_state = 98},
  [13054] = {.lex_state = 98},
  [13055] = {.lex_state = 95},
  [13056] = {.lex_state = 98},
  [13057] = {.lex_state = 98},
  [13058] = {.lex_state = 103},
  [13059] = {.lex_state = 98},
  [13060] = {.lex_state = 98},
  [13061] = {.lex_state = 98},
  [13062] = {.lex_state = 98},
  [13063] = {.lex_state = 98},
  [13064] = {.lex_state = 98},
  [13065] = {.lex_state = 98},
  [13066] = {.lex_state = 98},
  [13067] = {.lex_state = 98},
  [13068] = {.lex_state = 98},
  [13069] = {.lex_state = 98},
  [13070] = {.lex_state = 98},
  [13071] = {.lex_state = 98},
  [13072] = {.lex_state = 98},
  [13073] = {.lex_state = 98},
  [13074] = {.lex_state = 98},
  [13075] = {.lex_state = 95},
  [13076] = {.lex_state = 98},
  [13077] = {.lex_state = 98},
  [13078] = {.lex_state = 98},
  [13079] = {.lex_state = 98},
  [13080] = {.lex_state = 98},
  [13081] = {.lex_state = 103},
  [13082] = {.lex_state = 98},
  [13083] = {.lex_state = 95},
  [13084] = {.lex_state = 98},
  [13085] = {.lex_state = 98},
  [13086] = {.lex_state = 95},
  [13087] = {.lex_state = 98},
  [13088] = {.lex_state = 98},
  [13089] = {.lex_state = 98},
  [13090] = {.lex_state = 98},
  [13091] = {.lex_state = 98},
  [13092] = {.lex_state = 98},
  [13093] = {.lex_state = 98},
  [13094] = {.lex_state = 98},
  [13095] = {.lex_state = 98},
  [13096] = {.lex_state = 98},
  [13097] = {.lex_state = 98},
  [13098] = {.lex_state = 98},
  [13099] = {.lex_state = 98},
  [13100] = {.lex_state = 98},
  [13101] = {.lex_state = 98},
  [13102] = {.lex_state = 98},
  [13103] = {.lex_state = 98},
  [13104] = {.lex_state = 98},
  [13105] = {.lex_state = 98},
  [13106] = {.lex_state = 98},
  [13107] = {.lex_state = 98},
  [13108] = {.lex_state = 98},
  [13109] = {.lex_state = 98},
  [13110] = {.lex_state = 98},
  [13111] = {.lex_state = 98},
  [13112] = {.lex_state = 98},
  [13113] = {.lex_state = 98},
  [13114] = {.lex_state = 98},
  [13115] = {.lex_state = 98},
  [13116] = {.lex_state = 98},
  [13117] = {.lex_state = 98},
  [13118] = {.lex_state = 98},
  [13119] = {.lex_state = 98},
  [13120] = {.lex_state = 98},
  [13121] = {.lex_state = 98},
  [13122] = {.lex_state = 98},
  [13123] = {.lex_state = 98},
  [13124] = {.lex_state = 98},
  [13125] = {.lex_state = 98},
  [13126] = {.lex_state = 98},
  [13127] = {.lex_state = 98},
  [13128] = {.lex_state = 98},
  [13129] = {.lex_state = 98},
  [13130] = {.lex_state = 98},
  [13131] = {.lex_state = 98},
  [13132] = {.lex_state = 98},
  [13133] = {.lex_state = 98},
  [13134] = {.lex_state = 95},
  [13135] = {.lex_state = 98},
  [13136] = {.lex_state = 98},
  [13137] = {.lex_state = 98},
  [13138] = {.lex_state = 98},
  [13139] = {.lex_state = 98},
  [13140] = {.lex_state = 98},
  [13141] = {.lex_state = 98},
  [13142] = {.lex_state = 98},
  [13143] = {.lex_state = 98},
  [13144] = {.lex_state = 98},
  [13145] = {.lex_state = 98},
  [13146] = {.lex_state = 98},
  [13147] = {.lex_state = 103},
  [13148] = {.lex_state = 98},
  [13149] = {.lex_state = 98},
  [13150] = {.lex_state = 98},
  [13151] = {.lex_state = 98},
  [13152] = {.lex_state = 98},
  [13153] = {.lex_state = 98},
  [13154] = {.lex_state = 98},
  [13155] = {.lex_state = 98},
  [13156] = {.lex_state = 98},
  [13157] = {.lex_state = 103},
  [13158] = {.lex_state = 98},
  [13159] = {.lex_state = 98},
  [13160] = {.lex_state = 98},
  [13161] = {.lex_state = 98},
  [13162] = {.lex_state = 98},
  [13163] = {.lex_state = 98},
  [13164] = {.lex_state = 98},
  [13165] = {.lex_state = 98},
  [13166] = {.lex_state = 98},
  [13167] = {.lex_state = 98},
  [13168] = {.lex_state = 98},
  [13169] = {.lex_state = 98},
  [13170] = {.lex_state = 98},
  [13171] = {.lex_state = 95},
  [13172] = {.lex_state = 98},
  [13173] = {.lex_state = 98},
  [13174] = {.lex_state = 98},
  [13175] = {.lex_state = 98},
  [13176] = {.lex_state = 98},
  [13177] = {.lex_state = 98},
  [13178] = {.lex_state = 98},
  [13179] = {.lex_state = 98},
  [13180] = {.lex_state = 98},
  [13181] = {.lex_state = 98},
  [13182] = {.lex_state = 98},
  [13183] = {.lex_state = 98},
  [13184] = {.lex_state = 98},
  [13185] = {.lex_state = 98},
  [13186] = {.lex_state = 98},
  [13187] = {.lex_state = 98},
  [13188] = {.lex_state = 98},
  [13189] = {.lex_state = 98},
  [13190] = {.lex_state = 98},
  [13191] = {.lex_state = 98},
  [13192] = {.lex_state = 98},
  [13193] = {.lex_state = 98},
  [13194] = {.lex_state = 98},
  [13195] = {.lex_state = 98},
  [13196] = {.lex_state = 98},
  [13197] = {.lex_state = 98},
  [13198] = {.lex_state = 98},
  [13199] = {.lex_state = 98},
  [13200] = {.lex_state = 98},
  [13201] = {.lex_state = 98},
  [13202] = {.lex_state = 101},
  [13203] = {.lex_state = 98},
  [13204] = {.lex_state = 98},
  [13205] = {.lex_state = 98},
  [13206] = {.lex_state = 98},
  [13207] = {.lex_state = 98},
  [13208] = {.lex_state = 98},
  [13209] = {.lex_state = 98},
  [13210] = {.lex_state = 98},
  [13211] = {.lex_state = 98},
  [13212] = {.lex_state = 98},
  [13213] = {.lex_state = 98},
  [13214] = {.lex_state = 98},
  [13215] = {.lex_state = 98},
  [13216] = {.lex_state = 98},
  [13217] = {.lex_state = 98},
  [13218] = {.lex_state = 98},
  [13219] = {.lex_state = 98},
  [13220] = {.lex_state = 98},
  [13221] = {.lex_state = 98},
  [13222] = {.lex_state = 98},
  [13223] = {.lex_state = 98},
  [13224] = {.lex_state = 98},
  [13225] = {.lex_state = 98},
  [13226] = {.lex_state = 98},
  [13227] = {.lex_state = 98},
  [13228] = {.lex_state = 98},
  [13229] = {.lex_state = 98},
  [13230] = {.lex_state = 98},
  [13231] = {.lex_state = 98},
  [13232] = {.lex_state = 98},
  [13233] = {.lex_state = 98},
  [13234] = {.lex_state = 98},
  [13235] = {.lex_state = 98},
  [13236] = {.lex_state = 98},
  [13237] = {.lex_state = 98},
  [13238] = {.lex_state = 98},
  [13239] = {.lex_state = 98},
  [13240] = {.lex_state = 98},
  [13241] = {.lex_state = 98},
  [13242] = {.lex_state = 98},
  [13243] = {.lex_state = 98},
  [13244] = {.lex_state = 98},
  [13245] = {.lex_state = 98},
  [13246] = {.lex_state = 98},
  [13247] = {.lex_state = 98},
  [13248] = {.lex_state = 98},
  [13249] = {.lex_state = 98},
  [13250] = {.lex_state = 98},
  [13251] = {.lex_state = 98},
  [13252] = {.lex_state = 98},
  [13253] = {.lex_state = 98},
  [13254] = {.lex_state = 98},
  [13255] = {.lex_state = 98},
  [13256] = {.lex_state = 98},
  [13257] = {.lex_state = 98},
  [13258] = {.lex_state = 98},
  [13259] = {.lex_state = 98},
  [13260] = {.lex_state = 98},
  [13261] = {.lex_state = 98},
  [13262] = {.lex_state = 98},
  [13263] = {.lex_state = 98},
  [13264] = {.lex_state = 98},
  [13265] = {.lex_state = 98},
  [13266] = {.lex_state = 98},
  [13267] = {.lex_state = 98},
  [13268] = {.lex_state = 98},
  [13269] = {.lex_state = 98},
  [13270] = {.lex_state = 98},
  [13271] = {.lex_state = 98},
  [13272] = {.lex_state = 98},
  [13273] = {.lex_state = 98},
  [13274] = {.lex_state = 98},
  [13275] = {.lex_state = 98},
  [13276] = {.lex_state = 98},
  [13277] = {.lex_state = 98},
  [13278] = {.lex_state = 98},
  [13279] = {.lex_state = 98},
  [13280] = {.lex_state = 98},
  [13281] = {.lex_state = 98},
  [13282] = {.lex_state = 98},
  [13283] = {.lex_state = 98},
  [13284] = {.lex_state = 98},
  [13285] = {.lex_state = 98},
  [13286] = {.lex_state = 98},
  [13287] = {.lex_state = 98},
  [13288] = {.lex_state = 98},
  [13289] = {.lex_state = 98},
  [13290] = {.lex_state = 98},
  [13291] = {.lex_state = 98},
  [13292] = {.lex_state = 98},
  [13293] = {.lex_state = 98},
  [13294] = {.lex_state = 98},
  [13295] = {.lex_state = 98},
  [13296] = {.lex_state = 98},
  [13297] = {.lex_state = 98},
  [13298] = {.lex_state = 98},
  [13299] = {.lex_state = 98},
  [13300] = {.lex_state = 98},
  [13301] = {.lex_state = 98},
  [13302] = {.lex_state = 98},
  [13303] = {.lex_state = 98},
  [13304] = {.lex_state = 98},
  [13305] = {.lex_state = 98},
  [13306] = {.lex_state = 98},
  [13307] = {.lex_state = 98},
  [13308] = {.lex_state = 98},
  [13309] = {.lex_state = 98},
  [13310] = {.lex_state = 98},
  [13311] = {.lex_state = 98},
  [13312] = {.lex_state = 98},
  [13313] = {.lex_state = 101},
  [13314] = {.lex_state = 101},
  [13315] = {.lex_state = 98},
  [13316] = {.lex_state = 101},
  [13317] = {.lex_state = 98},
  [13318] = {.lex_state = 98},
  [13319] = {.lex_state = 98},
  [13320] = {.lex_state = 98},
  [13321] = {.lex_state = 98},
  [13322] = {.lex_state = 98},
  [13323] = {.lex_state = 98},
  [13324] = {.lex_state = 98},
  [13325] = {.lex_state = 98},
  [13326] = {.lex_state = 98},
  [13327] = {.lex_state = 98},
  [13328] = {.lex_state = 98},
  [13329] = {.lex_state = 98},
  [13330] = {.lex_state = 98},
  [13331] = {.lex_state = 98},
  [13332] = {.lex_state = 98},
  [13333] = {.lex_state = 98},
  [13334] = {.lex_state = 98},
  [13335] = {.lex_state = 98},
  [13336] = {.lex_state = 98},
  [13337] = {.lex_state = 98},
  [13338] = {.lex_state = 98},
  [13339] = {.lex_state = 98},
  [13340] = {.lex_state = 98},
  [13341] = {.lex_state = 98},
  [13342] = {.lex_state = 98},
  [13343] = {.lex_state = 98},
  [13344] = {.lex_state = 98},
  [13345] = {.lex_state = 98},
  [13346] = {.lex_state = 98},
  [13347] = {.lex_state = 98},
  [13348] = {.lex_state = 98},
  [13349] = {.lex_state = 98},
  [13350] = {.lex_state = 98},
  [13351] = {.lex_state = 98},
  [13352] = {.lex_state = 98},
  [13353] = {.lex_state = 98},
  [13354] = {.lex_state = 98},
  [13355] = {.lex_state = 98},
  [13356] = {.lex_state = 98},
  [13357] = {.lex_state = 98},
  [13358] = {.lex_state = 98},
  [13359] = {.lex_state = 98},
  [13360] = {.lex_state = 98},
  [13361] = {.lex_state = 98},
  [13362] = {.lex_state = 98},
  [13363] = {.lex_state = 98},
  [13364] = {.lex_state = 98},
  [13365] = {.lex_state = 98},
  [13366] = {.lex_state = 98},
  [13367] = {.lex_state = 98},
  [13368] = {.lex_state = 98},
  [13369] = {.lex_state = 98},
  [13370] = {.lex_state = 98},
  [13371] = {.lex_state = 98},
  [13372] = {.lex_state = 98},
  [13373] = {.lex_state = 98},
  [13374] = {.lex_state = 98},
  [13375] = {.lex_state = 98},
  [13376] = {.lex_state = 98},
  [13377] = {.lex_state = 98},
  [13378] = {.lex_state = 98},
  [13379] = {.lex_state = 98},
  [13380] = {.lex_state = 98},
  [13381] = {.lex_state = 98},
  [13382] = {.lex_state = 98},
  [13383] = {.lex_state = 98},
  [13384] = {.lex_state = 98},
  [13385] = {.lex_state = 98},
  [13386] = {.lex_state = 98},
  [13387] = {.lex_state = 98},
  [13388] = {.lex_state = 98},
  [13389] = {.lex_state = 98},
  [13390] = {.lex_state = 98},
  [13391] = {.lex_state = 98},
  [13392] = {.lex_state = 98},
  [13393] = {.lex_state = 98},
  [13394] = {.lex_state = 98},
  [13395] = {.lex_state = 98},
  [13396] = {.lex_state = 98},
  [13397] = {.lex_state = 98},
  [13398] = {.lex_state = 98},
  [13399] = {.lex_state = 98},
  [13400] = {.lex_state = 98},
  [13401] = {.lex_state = 98},
  [13402] = {.lex_state = 98},
  [13403] = {.lex_state = 98},
  [13404] = {.lex_state = 98},
  [13405] = {.lex_state = 98},
  [13406] = {.lex_state = 98},
  [13407] = {.lex_state = 98},
  [13408] = {.lex_state = 98},
  [13409] = {.lex_state = 98},
  [13410] = {.lex_state = 96},
  [13411] = {.lex_state = 98},
  [13412] = {.lex_state = 101},
  [13413] = {.lex_state = 98},
  [13414] = {.lex_state = 96},
  [13415] = {.lex_state = 96},
  [13416] = {.lex_state = 96},
  [13417] = {.lex_state = 98},
  [13418] = {.lex_state = 96},
  [13419] = {.lex_state = 98},
  [13420] = {.lex_state = 96},
  [13421] = {.lex_state = 96},
  [13422] = {.lex_state = 98},
  [13423] = {.lex_state = 98},
  [13424] = {.lex_state = 96},
  [13425] = {.lex_state = 96},
  [13426] = {.lex_state = 100},
  [13427] = {.lex_state = 98},
  [13428] = {.lex_state = 96},
  [13429] = {.lex_state = 96},
  [13430] = {.lex_state = 96},
  [13431] = {.lex_state = 96},
  [13432] = {.lex_state = 96},
  [13433] = {.lex_state = 96},
  [13434] = {.lex_state = 96},
  [13435] = {.lex_state = 96},
  [13436] = {.lex_state = 96},
  [13437] = {.lex_state = 96},
  [13438] = {.lex_state = 96},
  [13439] = {.lex_state = 98},
  [13440] = {.lex_state = 98},
  [13441] = {.lex_state = 98},
  [13442] = {.lex_state = 98},
  [13443] = {.lex_state = 96},
  [13444] = {.lex_state = 96},
  [13445] = {.lex_state = 98},
  [13446] = {.lex_state = 98},
  [13447] = {.lex_state = 96},
  [13448] = {.lex_state = 96},
  [13449] = {.lex_state = 96},
  [13450] = {.lex_state = 98},
  [13451] = {.lex_state = 98},
  [13452] = {.lex_state = 98},
  [13453] = {.lex_state = 98},
  [13454] = {.lex_state = 96},
  [13455] = {.lex_state = 96},
  [13456] = {.lex_state = 96},
  [13457] = {.lex_state = 96},
  [13458] = {.lex_state = 98},
  [13459] = {.lex_state = 96},
  [13460] = {.lex_state = 98},
  [13461] = {.lex_state = 96},
  [13462] = {.lex_state = 98},
  [13463] = {.lex_state = 98},
  [13464] = {.lex_state = 101},
  [13465] = {.lex_state = 101},
  [13466] = {.lex_state = 101},
  [13467] = {.lex_state = 98},
  [13468] = {.lex_state = 98},
  [13469] = {.lex_state = 96},
  [13470] = {.lex_state = 96},
  [13471] = {.lex_state = 96},
  [13472] = {.lex_state = 98},
  [13473] = {.lex_state = 98},
  [13474] = {.lex_state = 98},
  [13475] = {.lex_state = 98},
  [13476] = {.lex_state = 96},
  [13477] = {.lex_state = 98},
  [13478] = {.lex_state = 96},
  [13479] = {.lex_state = 98},
  [13480] = {.lex_state = 96},
  [13481] = {.lex_state = 98},
  [13482] = {.lex_state = 98},
  [13483] = {.lex_state = 98},
  [13484] = {.lex_state = 98},
  [13485] = {.lex_state = 98},
  [13486] = {.lex_state = 98},
  [13487] = {.lex_state = 98},
  [13488] = {.lex_state = 96},
  [13489] = {.lex_state = 96},
  [13490] = {.lex_state = 96},
  [13491] = {.lex_state = 96},
  [13492] = {.lex_state = 98},
  [13493] = {.lex_state = 98},
  [13494] = {.lex_state = 98},
  [13495] = {.lex_state = 98},
  [13496] = {.lex_state = 98},
  [13497] = {.lex_state = 98},
  [13498] = {.lex_state = 96},
  [13499] = {.lex_state = 98},
  [13500] = {.lex_state = 98},
  [13501] = {.lex_state = 98},
  [13502] = {.lex_state = 98},
  [13503] = {.lex_state = 98},
  [13504] = {.lex_state = 98},
  [13505] = {.lex_state = 98},
  [13506] = {.lex_state = 96},
  [13507] = {.lex_state = 96},
  [13508] = {.lex_state = 98},
  [13509] = {.lex_state = 98},
  [13510] = {.lex_state = 98},
  [13511] = {.lex_state = 98},
  [13512] = {.lex_state = 98},
  [13513] = {.lex_state = 98},
  [13514] = {.lex_state = 98},
  [13515] = {.lex_state = 96},
  [13516] = {.lex_state = 96},
  [13517] = {.lex_state = 98},
  [13518] = {.lex_state = 98},
  [13519] = {.lex_state = 98},
  [13520] = {.lex_state = 98},
  [13521] = {.lex_state = 98},
  [13522] = {.lex_state = 98},
  [13523] = {.lex_state = 96},
  [13524] = {.lex_state = 96},
  [13525] = {.lex_state = 96},
  [13526] = {.lex_state = 96},
  [13527] = {.lex_state = 98},
  [13528] = {.lex_state = 98},
  [13529] = {.lex_state = 98},
  [13530] = {.lex_state = 96},
  [13531] = {.lex_state = 98},
  [13532] = {.lex_state = 98},
  [13533] = {.lex_state = 98},
  [13534] = {.lex_state = 96},
  [13535] = {.lex_state = 96},
  [13536] = {.lex_state = 96},
  [13537] = {.lex_state = 98},
  [13538] = {.lex_state = 96},
  [13539] = {.lex_state = 98},
  [13540] = {.lex_state = 98},
  [13541] = {.lex_state = 98},
  [13542] = {.lex_state = 98},
  [13543] = {.lex_state = 96},
  [13544] = {.lex_state = 96},
  [13545] = {.lex_state = 96},
  [13546] = {.lex_state = 98},
  [13547] = {.lex_state = 98},
  [13548] = {.lex_state = 98},
  [13549] = {.lex_state = 98},
  [13550] = {.lex_state = 96},
  [13551] = {.lex_state = 96},
  [13552] = {.lex_state = 96},
  [13553] = {.lex_state = 96},
  [13554] = {.lex_state = 96},
  [13555] = {.lex_state = 96},
  [13556] = {.lex_state = 96},
  [13557] = {.lex_state = 98},
  [13558] = {.lex_state = 98},
  [13559] = {.lex_state = 96},
  [13560] = {.lex_state = 98},
  [13561] = {.lex_state = 98},
  [13562] = {.lex_state = 96},
  [13563] = {.lex_state = 98},
  [13564] = {.lex_state = 96},
  [13565] = {.lex_state = 98},
  [13566] = {.lex_state = 96},
  [13567] = {.lex_state = 98},
  [13568] = {.lex_state = 100},
  [13569] = {.lex_state = 96},
  [13570] = {.lex_state = 96},
  [13571] = {.lex_state = 98},
  [13572] = {.lex_state = 96},
  [13573] = {.lex_state = 96},
  [13574] = {.lex_state = 98},
  [13575] = {.lex_state = 98},
  [13576] = {.lex_state = 98},
  [13577] = {.lex_state = 98},
  [13578] = {.lex_state = 96},
  [13579] = {.lex_state = 96},
  [13580] = {.lex_state = 98},
  [13581] = {.lex_state = 96},
  [13582] = {.lex_state = 98},
  [13583] = {.lex_state = 96},
  [13584] = {.lex_state = 98},
  [13585] = {.lex_state = 96},
  [13586] = {.lex_state = 96},
  [13587] = {.lex_state = 98},
  [13588] = {.lex_state = 96},
  [13589] = {.lex_state = 98},
  [13590] = {.lex_state = 96},
  [13591] = {.lex_state = 98},
  [13592] = {.lex_state = 98},
  [13593] = {.lex_state = 98},
  [13594] = {.lex_state = 98},
  [13595] = {.lex_state = 96},
  [13596] = {.lex_state = 98},
  [13597] = {.lex_state = 98},
  [13598] = {.lex_state = 96},
  [13599] = {.lex_state = 98},
  [13600] = {.lex_state = 98},
  [13601] = {.lex_state = 98},
  [13602] = {.lex_state = 98},
  [13603] = {.lex_state = 96},
  [13604] = {.lex_state = 98},
  [13605] = {.lex_state = 98},
  [13606] = {.lex_state = 98},
  [13607] = {.lex_state = 96},
  [13608] = {.lex_state = 98},
  [13609] = {.lex_state = 100},
  [13610] = {.lex_state = 96},
  [13611] = {.lex_state = 96},
  [13612] = {.lex_state = 98},
  [13613] = {.lex_state = 98},
  [13614] = {.lex_state = 98},
  [13615] = {.lex_state = 98},
  [13616] = {.lex_state = 98},
  [13617] = {.lex_state = 98},
  [13618] = {.lex_state = 98},
  [13619] = {.lex_state = 98},
  [13620] = {.lex_state = 96},
  [13621] = {.lex_state = 98},
  [13622] = {.lex_state = 96},
  [13623] = {.lex_state = 98},
  [13624] = {.lex_state = 98},
  [13625] = {.lex_state = 98},
  [13626] = {.lex_state = 98},
  [13627] = {.lex_state = 98},
  [13628] = {.lex_state = 98},
  [13629] = {.lex_state = 98},
  [13630] = {.lex_state = 98},
  [13631] = {.lex_state = 98},
  [13632] = {.lex_state = 96},
  [13633] = {.lex_state = 98},
  [13634] = {.lex_state = 98},
  [13635] = {.lex_state = 96},
  [13636] = {.lex_state = 98},
  [13637] = {.lex_state = 98},
  [13638] = {.lex_state = 98},
  [13639] = {.lex_state = 98},
  [13640] = {.lex_state = 98},
  [13641] = {.lex_state = 96},
  [13642] = {.lex_state = 98},
  [13643] = {.lex_state = 98},
  [13644] = {.lex_state = 96},
  [13645] = {.lex_state = 98},
  [13646] = {.lex_state = 98},
  [13647] = {.lex_state = 98},
  [13648] = {.lex_state = 98},
  [13649] = {.lex_state = 98},
  [13650] = {.lex_state = 98},
  [13651] = {.lex_state = 96},
  [13652] = {.lex_state = 98},
  [13653] = {.lex_state = 98},
  [13654] = {.lex_state = 98},
  [13655] = {.lex_state = 98},
  [13656] = {.lex_state = 98},
  [13657] = {.lex_state = 98},
  [13658] = {.lex_state = 98},
  [13659] = {.lex_state = 96},
  [13660] = {.lex_state = 98},
  [13661] = {.lex_state = 98},
  [13662] = {.lex_state = 98},
  [13663] = {.lex_state = 96},
  [13664] = {.lex_state = 98},
  [13665] = {.lex_state = 98},
  [13666] = {.lex_state = 98},
  [13667] = {.lex_state = 98},
  [13668] = {.lex_state = 96},
  [13669] = {.lex_state = 98},
  [13670] = {.lex_state = 98},
  [13671] = {.lex_state = 98},
  [13672] = {.lex_state = 98},
  [13673] = {.lex_state = 96},
  [13674] = {.lex_state = 98},
  [13675] = {.lex_state = 98},
  [13676] = {.lex_state = 98},
  [13677] = {.lex_state = 98},
  [13678] = {.lex_state = 98},
  [13679] = {.lex_state = 96},
  [13680] = {.lex_state = 98},
  [13681] = {.lex_state = 98},
  [13682] = {.lex_state = 98},
  [13683] = {.lex_state = 96},
  [13684] = {.lex_state = 98},
  [13685] = {.lex_state = 96},
  [13686] = {.lex_state = 96},
  [13687] = {.lex_state = 98},
  [13688] = {.lex_state = 96},
  [13689] = {.lex_state = 98},
  [13690] = {.lex_state = 96},
  [13691] = {.lex_state = 98},
  [13692] = {.lex_state = 98},
  [13693] = {.lex_state = 96},
  [13694] = {.lex_state = 98},
  [13695] = {.lex_state = 98},
  [13696] = {.lex_state = 98},
  [13697] = {.lex_state = 96},
  [13698] = {.lex_state = 96},
  [13699] = {.lex_state = 98},
  [13700] = {.lex_state = 98},
  [13701] = {.lex_state = 96},
  [13702] = {.lex_state = 98},
  [13703] = {.lex_state = 98},
  [13704] = {.lex_state = 96},
  [13705] = {.lex_state = 98},
  [13706] = {.lex_state = 98},
  [13707] = {.lex_state = 96},
  [13708] = {.lex_state = 98},
  [13709] = {.lex_state = 98},
  [13710] = {.lex_state = 96},
  [13711] = {.lex_state = 96},
  [13712] = {.lex_state = 98},
  [13713] = {.lex_state = 96},
  [13714] = {.lex_state = 96},
  [13715] = {.lex_state = 98},
  [13716] = {.lex_state = 96},
  [13717] = {.lex_state = 98},
  [13718] = {.lex_state = 96},
  [13719] = {.lex_state = 98},
  [13720] = {.lex_state = 98},
  [13721] = {.lex_state = 96},
  [13722] = {.lex_state = 98},
  [13723] = {.lex_state = 96},
  [13724] = {.lex_state = 100},
  [13725] = {.lex_state = 96},
  [13726] = {.lex_state = 98},
  [13727] = {.lex_state = 96},
  [13728] = {.lex_state = 98},
  [13729] = {.lex_state = 96},
  [13730] = {.lex_state = 96},
  [13731] = {.lex_state = 98},
  [13732] = {.lex_state = 98},
  [13733] = {.lex_state = 98},
  [13734] = {.lex_state = 96},
  [13735] = {.lex_state = 96},
  [13736] = {.lex_state = 98},
  [13737] = {.lex_state = 96},
  [13738] = {.lex_state = 98},
  [13739] = {.lex_state = 98},
  [13740] = {.lex_state = 98},
  [13741] = {.lex_state = 96},
  [13742] = {.lex_state = 96},
  [13743] = {.lex_state = 98},
  [13744] = {.lex_state = 96},
  [13745] = {.lex_state = 96},
  [13746] = {.lex_state = 96},
  [13747] = {.lex_state = 98},
  [13748] = {.lex_state = 98},
  [13749] = {.lex_state = 98},
  [13750] = {.lex_state = 98},
  [13751] = {.lex_state = 98},
  [13752] = {.lex_state = 96},
  [13753] = {.lex_state = 98},
  [13754] = {.lex_state = 98},
  [13755] = {.lex_state = 98},
  [13756] = {.lex_state = 98},
  [13757] = {.lex_state = 101},
  [13758] = {.lex_state = 98},
  [13759] = {.lex_state = 98},
  [13760] = {.lex_state = 98},
  [13761] = {.lex_state = 100},
  [13762] = {.lex_state = 98},
  [13763] = {.lex_state = 98},
  [13764] = {.lex_state = 98},
  [13765] = {.lex_state = 98},
  [13766] = {.lex_state = 98},
  [13767] = {.lex_state = 98},
  [13768] = {.lex_state = 98},
  [13769] = {.lex_state = 98},
  [13770] = {.lex_state = 98},
  [13771] = {.lex_state = 98},
  [13772] = {.lex_state = 98},
  [13773] = {.lex_state = 98},
  [13774] = {.lex_state = 98},
  [13775] = {.lex_state = 98},
  [13776] = {.lex_state = 98},
  [13777] = {.lex_state = 98},
  [13778] = {.lex_state = 98},
  [13779] = {.lex_state = 98},
  [13780] = {.lex_state = 98},
  [13781] = {.lex_state = 98},
  [13782] = {.lex_state = 98},
  [13783] = {.lex_state = 98},
  [13784] = {.lex_state = 98},
  [13785] = {.lex_state = 98},
  [13786] = {.lex_state = 98},
  [13787] = {.lex_state = 98},
  [13788] = {.lex_state = 98},
  [13789] = {.lex_state = 98},
  [13790] = {.lex_state = 98},
  [13791] = {.lex_state = 98},
  [13792] = {.lex_state = 98},
  [13793] = {.lex_state = 98},
  [13794] = {.lex_state = 98},
  [13795] = {.lex_state = 98},
  [13796] = {.lex_state = 98},
  [13797] = {.lex_state = 98},
  [13798] = {.lex_state = 98},
  [13799] = {.lex_state = 98},
  [13800] = {.lex_state = 98},
  [13801] = {.lex_state = 98},
  [13802] = {.lex_state = 98},
  [13803] = {.lex_state = 98},
  [13804] = {.lex_state = 98},
  [13805] = {.lex_state = 98},
  [13806] = {.lex_state = 98},
  [13807] = {.lex_state = 98},
  [13808] = {.lex_state = 98},
  [13809] = {.lex_state = 98},
  [13810] = {.lex_state = 98},
  [13811] = {.lex_state = 98},
  [13812] = {.lex_state = 98},
  [13813] = {.lex_state = 98},
  [13814] = {.lex_state = 98},
  [13815] = {.lex_state = 98},
  [13816] = {.lex_state = 98},
  [13817] = {.lex_state = 98},
  [13818] = {.lex_state = 98},
  [13819] = {.lex_state = 98},
  [13820] = {.lex_state = 98},
  [13821] = {.lex_state = 98},
  [13822] = {.lex_state = 98},
  [13823] = {.lex_state = 98},
  [13824] = {.lex_state = 98},
  [13825] = {.lex_state = 98},
  [13826] = {.lex_state = 98},
  [13827] = {.lex_state = 98},
  [13828] = {.lex_state = 98},
  [13829] = {.lex_state = 98},
  [13830] = {.lex_state = 98},
  [13831] = {.lex_state = 98},
  [13832] = {.lex_state = 98},
  [13833] = {.lex_state = 98},
  [13834] = {.lex_state = 98},
  [13835] = {.lex_state = 98},
  [13836] = {.lex_state = 98},
  [13837] = {.lex_state = 98},
  [13838] = {.lex_state = 98},
  [13839] = {.lex_state = 98},
  [13840] = {.lex_state = 100},
  [13841] = {.lex_state = 98},
  [13842] = {.lex_state = 98},
  [13843] = {.lex_state = 98},
  [13844] = {.lex_state = 98},
  [13845] = {.lex_state = 98},
  [13846] = {.lex_state = 98},
  [13847] = {.lex_state = 98},
  [13848] = {.lex_state = 98},
  [13849] = {.lex_state = 98},
  [13850] = {.lex_state = 98},
  [13851] = {.lex_state = 98},
  [13852] = {.lex_state = 98},
  [13853] = {.lex_state = 98},
  [13854] = {.lex_state = 98},
  [13855] = {.lex_state = 98},
  [13856] = {.lex_state = 98},
  [13857] = {.lex_state = 98},
  [13858] = {.lex_state = 98},
  [13859] = {.lex_state = 98},
  [13860] = {.lex_state = 98},
  [13861] = {.lex_state = 98},
  [13862] = {.lex_state = 98},
  [13863] = {.lex_state = 98},
  [13864] = {.lex_state = 98},
  [13865] = {.lex_state = 98},
  [13866] = {.lex_state = 98},
  [13867] = {.lex_state = 98},
  [13868] = {.lex_state = 98},
  [13869] = {.lex_state = 98},
  [13870] = {.lex_state = 98},
  [13871] = {.lex_state = 98},
  [13872] = {.lex_state = 98},
  [13873] = {.lex_state = 98},
  [13874] = {.lex_state = 98},
  [13875] = {.lex_state = 98},
  [13876] = {.lex_state = 98},
  [13877] = {.lex_state = 98},
  [13878] = {.lex_state = 98},
  [13879] = {.lex_state = 98},
  [13880] = {.lex_state = 98},
  [13881] = {.lex_state = 98},
  [13882] = {.lex_state = 98},
  [13883] = {.lex_state = 98},
  [13884] = {.lex_state = 98},
  [13885] = {.lex_state = 98},
  [13886] = {.lex_state = 98},
  [13887] = {.lex_state = 98},
  [13888] = {.lex_state = 98},
  [13889] = {.lex_state = 98},
  [13890] = {.lex_state = 98},
  [13891] = {.lex_state = 98},
  [13892] = {.lex_state = 98},
  [13893] = {.lex_state = 98},
  [13894] = {.lex_state = 98},
  [13895] = {.lex_state = 98},
  [13896] = {.lex_state = 98},
  [13897] = {.lex_state = 98},
  [13898] = {.lex_state = 98},
  [13899] = {.lex_state = 98},
  [13900] = {.lex_state = 98},
  [13901] = {.lex_state = 98},
  [13902] = {.lex_state = 98},
  [13903] = {.lex_state = 98},
  [13904] = {.lex_state = 98},
  [13905] = {.lex_state = 98},
  [13906] = {.lex_state = 98},
  [13907] = {.lex_state = 98},
  [13908] = {.lex_state = 98},
  [13909] = {.lex_state = 98},
  [13910] = {.lex_state = 98},
  [13911] = {.lex_state = 98},
  [13912] = {.lex_state = 98},
  [13913] = {.lex_state = 98},
  [13914] = {.lex_state = 100},
  [13915] = {.lex_state = 98},
  [13916] = {.lex_state = 98},
  [13917] = {.lex_state = 98},
  [13918] = {.lex_state = 98},
  [13919] = {.lex_state = 98},
  [13920] = {.lex_state = 98},
  [13921] = {.lex_state = 98},
  [13922] = {.lex_state = 98},
  [13923] = {.lex_state = 98},
  [13924] = {.lex_state = 98},
  [13925] = {.lex_state = 98},
  [13926] = {.lex_state = 98},
  [13927] = {.lex_state = 98},
  [13928] = {.lex_state = 98},
  [13929] = {.lex_state = 98},
  [13930] = {.lex_state = 98},
  [13931] = {.lex_state = 98},
  [13932] = {.lex_state = 98},
  [13933] = {.lex_state = 98},
  [13934] = {.lex_state = 98},
  [13935] = {.lex_state = 96},
  [13936] = {.lex_state = 98},
  [13937] = {.lex_state = 98},
  [13938] = {.lex_state = 98},
  [13939] = {.lex_state = 98},
  [13940] = {.lex_state = 98},
  [13941] = {.lex_state = 101},
  [13942] = {.lex_state = 101},
  [13943] = {.lex_state = 98},
  [13944] = {.lex_state = 98},
  [13945] = {.lex_state = 98},
  [13946] = {.lex_state = 98},
  [13947] = {.lex_state = 98},
  [13948] = {.lex_state = 98},
  [13949] = {.lex_state = 98},
  [13950] = {.lex_state = 98},
  [13951] = {.lex_state = 96},
  [13952] = {.lex_state = 98},
  [13953] = {.lex_state = 96},
  [13954] = {.lex_state = 98},
  [13955] = {.lex_state = 98},
  [13956] = {.lex_state = 98},
  [13957] = {.lex_state = 96},
  [13958] = {.lex_state = 98},
  [13959] = {.lex_state = 98},
  [13960] = {.lex_state = 98},
  [13961] = {.lex_state = 98},
  [13962] = {.lex_state = 98},
  [13963] = {.lex_state = 98},
  [13964] = {.lex_state = 98},
  [13965] = {.lex_state = 98},
  [13966] = {.lex_state = 98},
  [13967] = {.lex_state = 98},
  [13968] = {.lex_state = 98},
  [13969] = {.lex_state = 98},
  [13970] = {.lex_state = 98},
  [13971] = {.lex_state = 98},
  [13972] = {.lex_state = 98},
  [13973] = {.lex_state = 98},
  [13974] = {.lex_state = 98},
  [13975] = {.lex_state = 98},
  [13976] = {.lex_state = 98},
  [13977] = {.lex_state = 98},
  [13978] = {.lex_state = 98},
  [13979] = {.lex_state = 98},
  [13980] = {.lex_state = 98},
  [13981] = {.lex_state = 98},
  [13982] = {.lex_state = 98},
  [13983] = {.lex_state = 98},
  [13984] = {.lex_state = 98},
  [13985] = {.lex_state = 98},
  [13986] = {.lex_state = 98},
  [13987] = {.lex_state = 98},
  [13988] = {.lex_state = 98},
  [13989] = {.lex_state = 98},
  [13990] = {.lex_state = 98},
  [13991] = {.lex_state = 98},
  [13992] = {.lex_state = 98},
  [13993] = {.lex_state = 98},
  [13994] = {.lex_state = 98},
  [13995] = {.lex_state = 98},
  [13996] = {.lex_state = 98},
  [13997] = {.lex_state = 98},
  [13998] = {.lex_state = 98},
  [13999] = {.lex_state = 98},
  [14000] = {.lex_state = 98},
  [14001] = {.lex_state = 98},
  [14002] = {.lex_state = 98},
  [14003] = {.lex_state = 98},
  [14004] = {.lex_state = 98},
  [14005] = {.lex_state = 98},
  [14006] = {.lex_state = 98},
  [14007] = {.lex_state = 98},
  [14008] = {.lex_state = 98},
  [14009] = {.lex_state = 98},
  [14010] = {.lex_state = 98},
  [14011] = {.lex_state = 98},
  [14012] = {.lex_state = 98},
  [14013] = {.lex_state = 98},
  [14014] = {.lex_state = 98},
  [14015] = {.lex_state = 98},
  [14016] = {.lex_state = 98},
  [14017] = {.lex_state = 98},
  [14018] = {.lex_state = 98},
  [14019] = {.lex_state = 98},
  [14020] = {.lex_state = 98},
  [14021] = {.lex_state = 98},
  [14022] = {.lex_state = 98},
  [14023] = {.lex_state = 98},
  [14024] = {.lex_state = 98},
  [14025] = {.lex_state = 98},
  [14026] = {.lex_state = 98},
  [14027] = {.lex_state = 98},
  [14028] = {.lex_state = 98},
  [14029] = {.lex_state = 98},
  [14030] = {.lex_state = 98},
  [14031] = {.lex_state = 98},
  [14032] = {.lex_state = 98},
  [14033] = {.lex_state = 98},
  [14034] = {.lex_state = 98},
  [14035] = {.lex_state = 98},
  [14036] = {.lex_state = 98},
  [14037] = {.lex_state = 98},
  [14038] = {.lex_state = 98},
  [14039] = {.lex_state = 98},
  [14040] = {.lex_state = 98},
  [14041] = {.lex_state = 98},
  [14042] = {.lex_state = 98},
  [14043] = {.lex_state = 98},
  [14044] = {.lex_state = 98},
  [14045] = {.lex_state = 98},
  [14046] = {.lex_state = 98},
  [14047] = {.lex_state = 98},
  [14048] = {.lex_state = 98},
  [14049] = {.lex_state = 98},
  [14050] = {.lex_state = 98},
  [14051] = {.lex_state = 98},
  [14052] = {.lex_state = 98},
  [14053] = {.lex_state = 98},
  [14054] = {.lex_state = 98},
  [14055] = {.lex_state = 98},
  [14056] = {.lex_state = 98},
  [14057] = {.lex_state = 98},
  [14058] = {.lex_state = 98},
  [14059] = {.lex_state = 98},
  [14060] = {.lex_state = 98},
  [14061] = {.lex_state = 98},
  [14062] = {.lex_state = 98},
  [14063] = {.lex_state = 98},
  [14064] = {.lex_state = 100},
  [14065] = {.lex_state = 98},
  [14066] = {.lex_state = 98},
  [14067] = {.lex_state = 98},
  [14068] = {.lex_state = 98},
  [14069] = {.lex_state = 98},
  [14070] = {.lex_state = 98},
  [14071] = {.lex_state = 98},
  [14072] = {.lex_state = 98},
  [14073] = {.lex_state = 98},
  [14074] = {.lex_state = 98},
  [14075] = {.lex_state = 98},
  [14076] = {.lex_state = 98},
  [14077] = {.lex_state = 98},
  [14078] = {.lex_state = 98},
  [14079] = {.lex_state = 98},
  [14080] = {.lex_state = 98},
  [14081] = {.lex_state = 98},
  [14082] = {.lex_state = 98},
  [14083] = {.lex_state = 98},
  [14084] = {.lex_state = 98},
  [14085] = {.lex_state = 98},
  [14086] = {.lex_state = 98},
  [14087] = {.lex_state = 98},
  [14088] = {.lex_state = 98},
  [14089] = {.lex_state = 98},
  [14090] = {.lex_state = 98},
  [14091] = {.lex_state = 98},
  [14092] = {.lex_state = 98},
  [14093] = {.lex_state = 98},
  [14094] = {.lex_state = 98},
  [14095] = {.lex_state = 98},
  [14096] = {.lex_state = 98},
  [14097] = {.lex_state = 98},
  [14098] = {.lex_state = 98},
  [14099] = {.lex_state = 98},
  [14100] = {.lex_state = 98},
  [14101] = {.lex_state = 98},
  [14102] = {.lex_state = 98},
  [14103] = {.lex_state = 98},
  [14104] = {.lex_state = 98},
  [14105] = {.lex_state = 98},
  [14106] = {.lex_state = 98},
  [14107] = {.lex_state = 98},
  [14108] = {.lex_state = 98},
  [14109] = {.lex_state = 98},
  [14110] = {.lex_state = 98},
  [14111] = {.lex_state = 98},
  [14112] = {.lex_state = 98},
  [14113] = {.lex_state = 98},
  [14114] = {.lex_state = 98},
  [14115] = {.lex_state = 98},
  [14116] = {.lex_state = 98},
  [14117] = {.lex_state = 98},
  [14118] = {.lex_state = 98},
  [14119] = {.lex_state = 98},
  [14120] = {.lex_state = 98},
  [14121] = {.lex_state = 98},
  [14122] = {.lex_state = 98},
  [14123] = {.lex_state = 98},
  [14124] = {.lex_state = 98},
  [14125] = {.lex_state = 98},
  [14126] = {.lex_state = 98},
  [14127] = {.lex_state = 98},
  [14128] = {.lex_state = 98},
  [14129] = {.lex_state = 98},
  [14130] = {.lex_state = 98},
  [14131] = {.lex_state = 98},
  [14132] = {.lex_state = 98},
  [14133] = {.lex_state = 98},
  [14134] = {.lex_state = 98},
  [14135] = {.lex_state = 98},
  [14136] = {.lex_state = 98},
  [14137] = {.lex_state = 98},
  [14138] = {.lex_state = 98},
  [14139] = {.lex_state = 98},
  [14140] = {.lex_state = 98},
  [14141] = {.lex_state = 98},
  [14142] = {.lex_state = 98},
  [14143] = {.lex_state = 98},
  [14144] = {.lex_state = 98},
  [14145] = {.lex_state = 98},
  [14146] = {.lex_state = 98},
  [14147] = {.lex_state = 98},
  [14148] = {.lex_state = 98},
  [14149] = {.lex_state = 98},
  [14150] = {.lex_state = 98},
  [14151] = {.lex_state = 98},
  [14152] = {.lex_state = 98},
  [14153] = {.lex_state = 98},
  [14154] = {.lex_state = 98},
  [14155] = {.lex_state = 98},
  [14156] = {.lex_state = 98},
  [14157] = {.lex_state = 98},
  [14158] = {.lex_state = 98},
  [14159] = {.lex_state = 98},
  [14160] = {.lex_state = 98},
  [14161] = {.lex_state = 98},
  [14162] = {.lex_state = 98},
  [14163] = {.lex_state = 98},
  [14164] = {.lex_state = 98},
  [14165] = {.lex_state = 98},
  [14166] = {.lex_state = 98},
  [14167] = {.lex_state = 98},
  [14168] = {.lex_state = 98},
  [14169] = {.lex_state = 98},
  [14170] = {.lex_state = 101},
  [14171] = {.lex_state = 98},
  [14172] = {.lex_state = 98},
  [14173] = {.lex_state = 98},
  [14174] = {.lex_state = 98},
  [14175] = {.lex_state = 98},
  [14176] = {.lex_state = 98},
  [14177] = {.lex_state = 98},
  [14178] = {.lex_state = 98},
  [14179] = {.lex_state = 98},
  [14180] = {.lex_state = 98},
  [14181] = {.lex_state = 98},
  [14182] = {.lex_state = 98},
  [14183] = {.lex_state = 98},
  [14184] = {.lex_state = 98},
  [14185] = {.lex_state = 98},
  [14186] = {.lex_state = 98},
  [14187] = {.lex_state = 98},
  [14188] = {.lex_state = 98},
  [14189] = {.lex_state = 98},
  [14190] = {.lex_state = 98},
  [14191] = {.lex_state = 98},
  [14192] = {.lex_state = 98},
  [14193] = {.lex_state = 98},
  [14194] = {.lex_state = 98},
  [14195] = {.lex_state = 98},
  [14196] = {.lex_state = 98},
  [14197] = {.lex_state = 98},
  [14198] = {.lex_state = 98},
  [14199] = {.lex_state = 98},
  [14200] = {.lex_state = 98},
  [14201] = {.lex_state = 96},
  [14202] = {.lex_state = 98},
  [14203] = {.lex_state = 98},
  [14204] = {.lex_state = 98},
  [14205] = {.lex_state = 98},
  [14206] = {.lex_state = 98},
  [14207] = {.lex_state = 98},
  [14208] = {.lex_state = 98},
  [14209] = {.lex_state = 98},
  [14210] = {.lex_state = 96},
  [14211] = {.lex_state = 13},
  [14212] = {.lex_state = 0},
  [14213] = {.lex_state = 98},
  [14214] = {.lex_state = 13},
  [14215] = {.lex_state = 100},
  [14216] = {.lex_state = 98},
  [14217] = {.lex_state = 98},
  [14218] = {.lex_state = 95},
  [14219] = {.lex_state = 0},
  [14220] = {.lex_state = 95},
  [14221] = {.lex_state = 13},
  [14222] = {.lex_state = 98},
  [14223] = {.lex_state = 19, .external_lex_state = 2},
  [14224] = {.lex_state = 100},
  [14225] = {.lex_state = 98},
  [14226] = {.lex_state = 101},
  [14227] = {.lex_state = 13},
  [14228] = {.lex_state = 98},
  [14229] = {.lex_state = 13},
  [14230] = {.lex_state = 98},
  [14231] = {.lex_state = 19, .external_lex_state = 2},
  [14232] = {.lex_state = 98},
  [14233] = {.lex_state = 98},
  [14234] = {.lex_state = 98},
  [14235] = {.lex_state = 98},
  [14236] = {.lex_state = 98},
  [14237] = {.lex_state = 0},
  [14238] = {.lex_state = 98},
  [14239] = {.lex_state = 98},
  [14240] = {.lex_state = 13},
  [14241] = {.lex_state = 0},
  [14242] = {.lex_state = 13},
  [14243] = {.lex_state = 0},
  [14244] = {.lex_state = 98},
  [14245] = {.lex_state = 98},
  [14246] = {.lex_state = 96},
  [14247] = {.lex_state = 98},
  [14248] = {.lex_state = 0},
  [14249] = {.lex_state = 13},
  [14250] = {.lex_state = 98},
  [14251] = {.lex_state = 98},
  [14252] = {.lex_state = 0},
  [14253] = {.lex_state = 98},
  [14254] = {.lex_state = 98},
  [14255] = {.lex_state = 98},
  [14256] = {.lex_state = 0},
  [14257] = {.lex_state = 98},
  [14258] = {.lex_state = 13},
  [14259] = {.lex_state = 98},
  [14260] = {.lex_state = 98},
  [14261] = {.lex_state = 98},
  [14262] = {.lex_state = 98},
  [14263] = {.lex_state = 98},
  [14264] = {.lex_state = 13},
  [14265] = {.lex_state = 95},
  [14266] = {.lex_state = 98},
  [14267] = {.lex_state = 98},
  [14268] = {.lex_state = 0},
  [14269] = {.lex_state = 96},
  [14270] = {.lex_state = 0},
  [14271] = {.lex_state = 98},
  [14272] = {.lex_state = 98},
  [14273] = {.lex_state = 100},
  [14274] = {.lex_state = 98},
  [14275] = {.lex_state = 98},
  [14276] = {.lex_state = 19},
  [14277] = {.lex_state = 98},
  [14278] = {.lex_state = 98},
  [14279] = {.lex_state = 96},
  [14280] = {.lex_state = 98},
  [14281] = {.lex_state = 0},
  [14282] = {.lex_state = 98},
  [14283] = {.lex_state = 98},
  [14284] = {.lex_state = 13},
  [14285] = {.lex_state = 98},
  [14286] = {.lex_state = 13},
  [14287] = {.lex_state = 98},
  [14288] = {.lex_state = 98},
  [14289] = {.lex_state = 98},
  [14290] = {.lex_state = 96},
  [14291] = {.lex_state = 100},
  [14292] = {.lex_state = 95},
  [14293] = {.lex_state = 100},
  [14294] = {.lex_state = 98},
  [14295] = {.lex_state = 98},
  [14296] = {.lex_state = 98},
  [14297] = {.lex_state = 0},
  [14298] = {.lex_state = 13},
  [14299] = {.lex_state = 98},
  [14300] = {.lex_state = 98},
  [14301] = {.lex_state = 98},
  [14302] = {.lex_state = 98},
  [14303] = {.lex_state = 98},
  [14304] = {.lex_state = 98},
  [14305] = {.lex_state = 0},
  [14306] = {.lex_state = 96},
  [14307] = {.lex_state = 98},
  [14308] = {.lex_state = 98},
  [14309] = {.lex_state = 13},
  [14310] = {.lex_state = 98},
  [14311] = {.lex_state = 0},
  [14312] = {.lex_state = 100},
  [14313] = {.lex_state = 0},
  [14314] = {.lex_state = 13},
  [14315] = {.lex_state = 100},
  [14316] = {.lex_state = 98},
  [14317] = {.lex_state = 98},
  [14318] = {.lex_state = 13},
  [14319] = {.lex_state = 98},
  [14320] = {.lex_state = 98},
  [14321] = {.lex_state = 98},
  [14322] = {.lex_state = 96},
  [14323] = {.lex_state = 96},
  [14324] = {.lex_state = 98},
  [14325] = {.lex_state = 13},
  [14326] = {.lex_state = 98},
  [14327] = {.lex_state = 0},
  [14328] = {.lex_state = 0},
  [14329] = {.lex_state = 98},
  [14330] = {.lex_state = 100},
  [14331] = {.lex_state = 98},
  [14332] = {.lex_state = 0},
  [14333] = {.lex_state = 98},
  [14334] = {.lex_state = 98},
  [14335] = {.lex_state = 98},
  [14336] = {.lex_state = 98},
  [14337] = {.lex_state = 98},
  [14338] = {.lex_state = 96},
  [14339] = {.lex_state = 96},
  [14340] = {.lex_state = 98},
  [14341] = {.lex_state = 0},
  [14342] = {.lex_state = 98},
  [14343] = {.lex_state = 98},
  [14344] = {.lex_state = 98},
  [14345] = {.lex_state = 98},
  [14346] = {.lex_state = 98},
  [14347] = {.lex_state = 98},
  [14348] = {.lex_state = 98},
  [14349] = {.lex_state = 98},
  [14350] = {.lex_state = 98},
  [14351] = {.lex_state = 98},
  [14352] = {.lex_state = 98},
  [14353] = {.lex_state = 0},
  [14354] = {.lex_state = 13},
  [14355] = {.lex_state = 98},
  [14356] = {.lex_state = 98},
  [14357] = {.lex_state = 98},
  [14358] = {.lex_state = 98},
  [14359] = {.lex_state = 98},
  [14360] = {.lex_state = 98},
  [14361] = {.lex_state = 98},
  [14362] = {.lex_state = 98},
  [14363] = {.lex_state = 98},
  [14364] = {.lex_state = 98},
  [14365] = {.lex_state = 98},
  [14366] = {.lex_state = 98},
  [14367] = {.lex_state = 0, .external_lex_state = 3},
  [14368] = {.lex_state = 98},
  [14369] = {.lex_state = 98},
  [14370] = {.lex_state = 98},
  [14371] = {.lex_state = 0},
  [14372] = {.lex_state = 98},
  [14373] = {.lex_state = 98},
  [14374] = {.lex_state = 98},
  [14375] = {.lex_state = 98},
  [14376] = {.lex_state = 98},
  [14377] = {.lex_state = 98},
  [14378] = {.lex_state = 98},
  [14379] = {.lex_state = 98},
  [14380] = {.lex_state = 0},
  [14381] = {.lex_state = 98},
  [14382] = {.lex_state = 0},
  [14383] = {.lex_state = 98},
  [14384] = {.lex_state = 98},
  [14385] = {.lex_state = 98},
  [14386] = {.lex_state = 98},
  [14387] = {.lex_state = 98},
  [14388] = {.lex_state = 98},
  [14389] = {.lex_state = 98},
  [14390] = {.lex_state = 98},
  [14391] = {.lex_state = 98},
  [14392] = {.lex_state = 98},
  [14393] = {.lex_state = 98},
  [14394] = {.lex_state = 98},
  [14395] = {.lex_state = 0},
  [14396] = {.lex_state = 98},
  [14397] = {.lex_state = 98},
  [14398] = {.lex_state = 98},
  [14399] = {.lex_state = 0, .external_lex_state = 3},
  [14400] = {.lex_state = 98},
  [14401] = {.lex_state = 98},
  [14402] = {.lex_state = 98},
  [14403] = {.lex_state = 98},
  [14404] = {.lex_state = 98},
  [14405] = {.lex_state = 98},
  [14406] = {.lex_state = 98},
  [14407] = {.lex_state = 98},
  [14408] = {.lex_state = 98},
  [14409] = {.lex_state = 98},
  [14410] = {.lex_state = 98},
  [14411] = {.lex_state = 98},
  [14412] = {.lex_state = 98},
  [14413] = {.lex_state = 98},
  [14414] = {.lex_state = 98},
  [14415] = {.lex_state = 98},
  [14416] = {.lex_state = 98},
  [14417] = {.lex_state = 98},
  [14418] = {.lex_state = 98},
  [14419] = {.lex_state = 98},
  [14420] = {.lex_state = 0},
  [14421] = {.lex_state = 98},
  [14422] = {.lex_state = 0},
  [14423] = {.lex_state = 98},
  [14424] = {.lex_state = 98},
  [14425] = {.lex_state = 98},
  [14426] = {.lex_state = 0},
  [14427] = {.lex_state = 0},
  [14428] = {.lex_state = 98},
  [14429] = {.lex_state = 98},
  [14430] = {.lex_state = 98},
  [14431] = {.lex_state = 0},
  [14432] = {.lex_state = 98},
  [14433] = {.lex_state = 98},
  [14434] = {.lex_state = 98},
  [14435] = {.lex_state = 98},
  [14436] = {.lex_state = 0},
  [14437] = {.lex_state = 98},
  [14438] = {.lex_state = 98},
  [14439] = {.lex_state = 0},
  [14440] = {.lex_state = 98},
  [14441] = {.lex_state = 0},
  [14442] = {.lex_state = 98},
  [14443] = {.lex_state = 98},
  [14444] = {.lex_state = 98},
  [14445] = {.lex_state = 0},
  [14446] = {.lex_state = 98},
  [14447] = {.lex_state = 98},
  [14448] = {.lex_state = 0},
  [14449] = {.lex_state = 0},
  [14450] = {.lex_state = 0},
  [14451] = {.lex_state = 98},
  [14452] = {.lex_state = 98},
  [14453] = {.lex_state = 98},
  [14454] = {.lex_state = 98},
  [14455] = {.lex_state = 0},
  [14456] = {.lex_state = 98},
  [14457] = {.lex_state = 0},
  [14458] = {.lex_state = 0},
  [14459] = {.lex_state = 98},
  [14460] = {.lex_state = 0},
  [14461] = {.lex_state = 98},
  [14462] = {.lex_state = 0},
  [14463] = {.lex_state = 98},
  [14464] = {.lex_state = 0, .external_lex_state = 2},
  [14465] = {.lex_state = 98},
  [14466] = {.lex_state = 0},
  [14467] = {.lex_state = 98},
  [14468] = {.lex_state = 98},
  [14469] = {.lex_state = 98},
  [14470] = {.lex_state = 98},
  [14471] = {.lex_state = 98},
  [14472] = {.lex_state = 98},
  [14473] = {.lex_state = 98},
  [14474] = {.lex_state = 98},
  [14475] = {.lex_state = 98},
  [14476] = {.lex_state = 98},
  [14477] = {.lex_state = 98},
  [14478] = {.lex_state = 0},
  [14479] = {.lex_state = 98},
  [14480] = {.lex_state = 98},
  [14481] = {.lex_state = 98},
  [14482] = {.lex_state = 98},
  [14483] = {.lex_state = 98},
  [14484] = {.lex_state = 98},
  [14485] = {.lex_state = 98},
  [14486] = {.lex_state = 0, .external_lex_state = 3},
  [14487] = {.lex_state = 98},
  [14488] = {.lex_state = 98},
  [14489] = {.lex_state = 0},
  [14490] = {.lex_state = 98},
  [14491] = {.lex_state = 98},
  [14492] = {.lex_state = 0, .external_lex_state = 3},
  [14493] = {.lex_state = 98},
  [14494] = {.lex_state = 0},
  [14495] = {.lex_state = 98},
  [14496] = {.lex_state = 98},
  [14497] = {.lex_state = 0},
  [14498] = {.lex_state = 98},
  [14499] = {.lex_state = 98},
  [14500] = {.lex_state = 98},
  [14501] = {.lex_state = 98},
  [14502] = {.lex_state = 0},
  [14503] = {.lex_state = 98},
  [14504] = {.lex_state = 98},
  [14505] = {.lex_state = 98},
  [14506] = {.lex_state = 0},
  [14507] = {.lex_state = 0},
  [14508] = {.lex_state = 0},
  [14509] = {.lex_state = 0},
  [14510] = {.lex_state = 0},
  [14511] = {.lex_state = 0},
  [14512] = {.lex_state = 0},
  [14513] = {.lex_state = 0},
  [14514] = {.lex_state = 0},
  [14515] = {.lex_state = 0},
  [14516] = {.lex_state = 98},
  [14517] = {.lex_state = 98},
  [14518] = {.lex_state = 0},
  [14519] = {.lex_state = 98},
  [14520] = {.lex_state = 0},
  [14521] = {.lex_state = 98},
  [14522] = {.lex_state = 98},
  [14523] = {.lex_state = 0},
  [14524] = {.lex_state = 0},
  [14525] = {.lex_state = 98},
  [14526] = {.lex_state = 0, .external_lex_state = 2},
  [14527] = {.lex_state = 0},
  [14528] = {.lex_state = 0, .external_lex_state = 2},
  [14529] = {.lex_state = 98},
  [14530] = {.lex_state = 0},
  [14531] = {.lex_state = 0},
  [14532] = {.lex_state = 98},
  [14533] = {.lex_state = 98},
  [14534] = {.lex_state = 98},
  [14535] = {.lex_state = 0},
  [14536] = {.lex_state = 0},
  [14537] = {.lex_state = 98},
  [14538] = {.lex_state = 98},
  [14539] = {.lex_state = 0, .external_lex_state = 2},
  [14540] = {.lex_state = 0},
  [14541] = {.lex_state = 0},
  [14542] = {.lex_state = 0},
  [14543] = {.lex_state = 98},
  [14544] = {.lex_state = 0},
  [14545] = {.lex_state = 98},
  [14546] = {.lex_state = 0},
  [14547] = {.lex_state = 98},
  [14548] = {.lex_state = 98},
  [14549] = {.lex_state = 98},
  [14550] = {.lex_state = 0},
  [14551] = {.lex_state = 98},
  [14552] = {.lex_state = 98},
  [14553] = {.lex_state = 0},
  [14554] = {.lex_state = 0},
  [14555] = {.lex_state = 98},
  [14556] = {.lex_state = 98},
  [14557] = {.lex_state = 0},
  [14558] = {.lex_state = 98},
  [14559] = {.lex_state = 0},
  [14560] = {.lex_state = 0},
  [14561] = {.lex_state = 0, .external_lex_state = 2},
  [14562] = {.lex_state = 98},
  [14563] = {.lex_state = 98},
  [14564] = {.lex_state = 0, .external_lex_state = 3},
  [14565] = {.lex_state = 0},
  [14566] = {.lex_state = 98},
  [14567] = {.lex_state = 98},
  [14568] = {.lex_state = 98},
  [14569] = {.lex_state = 98},
  [14570] = {.lex_state = 0, .external_lex_state = 3},
  [14571] = {.lex_state = 98},
  [14572] = {.lex_state = 98},
  [14573] = {.lex_state = 98},
  [14574] = {.lex_state = 98},
  [14575] = {.lex_state = 0, .external_lex_state = 3},
  [14576] = {.lex_state = 98},
  [14577] = {.lex_state = 98},
  [14578] = {.lex_state = 98},
  [14579] = {.lex_state = 98},
  [14580] = {.lex_state = 0},
  [14581] = {.lex_state = 98},
  [14582] = {.lex_state = 0, .external_lex_state = 3},
  [14583] = {.lex_state = 98},
  [14584] = {.lex_state = 98},
  [14585] = {.lex_state = 98},
  [14586] = {.lex_state = 98},
  [14587] = {.lex_state = 98},
  [14588] = {.lex_state = 98},
  [14589] = {.lex_state = 98},
  [14590] = {.lex_state = 98},
  [14591] = {.lex_state = 98},
  [14592] = {.lex_state = 98},
  [14593] = {.lex_state = 0, .external_lex_state = 3},
  [14594] = {.lex_state = 98},
  [14595] = {.lex_state = 98},
  [14596] = {.lex_state = 98},
  [14597] = {.lex_state = 98},
  [14598] = {.lex_state = 0},
  [14599] = {.lex_state = 0},
  [14600] = {.lex_state = 98},
  [14601] = {.lex_state = 98},
  [14602] = {.lex_state = 98},
  [14603] = {.lex_state = 98},
  [14604] = {.lex_state = 98},
  [14605] = {.lex_state = 98},
  [14606] = {.lex_state = 98},
  [14607] = {.lex_state = 98},
  [14608] = {.lex_state = 0},
  [14609] = {.lex_state = 98},
  [14610] = {.lex_state = 98},
  [14611] = {.lex_state = 98},
  [14612] = {.lex_state = 98},
  [14613] = {.lex_state = 0},
  [14614] = {.lex_state = 98},
  [14615] = {.lex_state = 98},
  [14616] = {.lex_state = 0},
  [14617] = {.lex_state = 98},
  [14618] = {.lex_state = 98},
  [14619] = {.lex_state = 98},
  [14620] = {.lex_state = 98},
  [14621] = {.lex_state = 0},
  [14622] = {.lex_state = 98},
  [14623] = {.lex_state = 98},
  [14624] = {.lex_state = 0},
  [14625] = {.lex_state = 98},
  [14626] = {.lex_state = 98},
  [14627] = {.lex_state = 0},
  [14628] = {.lex_state = 98},
  [14629] = {.lex_state = 98},
  [14630] = {.lex_state = 98},
  [14631] = {.lex_state = 0},
  [14632] = {.lex_state = 98},
  [14633] = {.lex_state = 98},
  [14634] = {.lex_state = 98},
  [14635] = {.lex_state = 98},
  [14636] = {.lex_state = 98},
  [14637] = {.lex_state = 98},
  [14638] = {.lex_state = 98},
  [14639] = {.lex_state = 98},
  [14640] = {.lex_state = 0, .external_lex_state = 3},
  [14641] = {.lex_state = 98},
  [14642] = {.lex_state = 0},
  [14643] = {.lex_state = 98},
  [14644] = {.lex_state = 98},
  [14645] = {.lex_state = 98},
  [14646] = {.lex_state = 98},
  [14647] = {.lex_state = 98},
  [14648] = {.lex_state = 98},
  [14649] = {.lex_state = 98},
  [14650] = {.lex_state = 98},
  [14651] = {.lex_state = 98},
  [14652] = {.lex_state = 98},
  [14653] = {.lex_state = 98},
  [14654] = {.lex_state = 0, .external_lex_state = 2},
  [14655] = {.lex_state = 98},
  [14656] = {.lex_state = 98},
  [14657] = {.lex_state = 98},
  [14658] = {.lex_state = 98},
  [14659] = {.lex_state = 98},
  [14660] = {.lex_state = 98},
  [14661] = {.lex_state = 98},
  [14662] = {.lex_state = 0, .external_lex_state = 3},
  [14663] = {.lex_state = 0},
  [14664] = {.lex_state = 0},
  [14665] = {.lex_state = 98},
  [14666] = {.lex_state = 98},
  [14667] = {.lex_state = 98},
  [14668] = {.lex_state = 98},
  [14669] = {.lex_state = 98},
  [14670] = {.lex_state = 98},
  [14671] = {.lex_state = 98},
  [14672] = {.lex_state = 98},
  [14673] = {.lex_state = 98},
  [14674] = {.lex_state = 98},
  [14675] = {.lex_state = 98},
  [14676] = {.lex_state = 98},
  [14677] = {.lex_state = 0},
  [14678] = {.lex_state = 98},
  [14679] = {.lex_state = 98},
  [14680] = {.lex_state = 98},
  [14681] = {.lex_state = 98},
  [14682] = {.lex_state = 98},
  [14683] = {.lex_state = 98},
  [14684] = {.lex_state = 98},
  [14685] = {.lex_state = 98},
  [14686] = {.lex_state = 13},
  [14687] = {.lex_state = 98},
  [14688] = {.lex_state = 98},
  [14689] = {.lex_state = 0},
  [14690] = {.lex_state = 98},
  [14691] = {.lex_state = 98},
  [14692] = {.lex_state = 98},
  [14693] = {.lex_state = 98},
  [14694] = {.lex_state = 98},
  [14695] = {.lex_state = 98},
  [14696] = {.lex_state = 98},
  [14697] = {.lex_state = 98},
  [14698] = {.lex_state = 98},
  [14699] = {.lex_state = 98},
  [14700] = {.lex_state = 98},
  [14701] = {.lex_state = 98},
  [14702] = {.lex_state = 98},
  [14703] = {.lex_state = 98},
  [14704] = {.lex_state = 98},
  [14705] = {.lex_state = 98},
  [14706] = {.lex_state = 98},
  [14707] = {.lex_state = 98},
  [14708] = {.lex_state = 98},
  [14709] = {.lex_state = 98},
  [14710] = {.lex_state = 0},
  [14711] = {.lex_state = 98},
  [14712] = {.lex_state = 98},
  [14713] = {.lex_state = 98},
  [14714] = {.lex_state = 98},
  [14715] = {.lex_state = 98},
  [14716] = {.lex_state = 0},
  [14717] = {.lex_state = 0, .external_lex_state = 3},
  [14718] = {.lex_state = 98},
  [14719] = {.lex_state = 98},
  [14720] = {.lex_state = 98},
  [14721] = {.lex_state = 98},
  [14722] = {.lex_state = 98},
  [14723] = {.lex_state = 0, .external_lex_state = 3},
  [14724] = {.lex_state = 98},
  [14725] = {.lex_state = 0},
  [14726] = {.lex_state = 98},
  [14727] = {.lex_state = 98},
  [14728] = {.lex_state = 98},
  [14729] = {.lex_state = 0},
  [14730] = {.lex_state = 98},
  [14731] = {.lex_state = 98},
  [14732] = {.lex_state = 0},
  [14733] = {.lex_state = 98},
  [14734] = {.lex_state = 98},
  [14735] = {.lex_state = 98},
  [14736] = {.lex_state = 98},
  [14737] = {.lex_state = 0},
  [14738] = {.lex_state = 0},
  [14739] = {.lex_state = 98},
  [14740] = {.lex_state = 98},
  [14741] = {.lex_state = 0},
  [14742] = {.lex_state = 98},
  [14743] = {.lex_state = 0},
  [14744] = {.lex_state = 98},
  [14745] = {.lex_state = 0},
  [14746] = {.lex_state = 98},
  [14747] = {.lex_state = 98},
  [14748] = {.lex_state = 98},
  [14749] = {.lex_state = 0},
  [14750] = {.lex_state = 98},
  [14751] = {.lex_state = 98},
  [14752] = {.lex_state = 0, .external_lex_state = 2},
  [14753] = {.lex_state = 98},
  [14754] = {.lex_state = 98},
  [14755] = {.lex_state = 98},
  [14756] = {.lex_state = 98},
  [14757] = {.lex_state = 98},
  [14758] = {.lex_state = 0},
  [14759] = {.lex_state = 0, .external_lex_state = 2},
  [14760] = {.lex_state = 98},
  [14761] = {.lex_state = 0},
  [14762] = {.lex_state = 0},
  [14763] = {.lex_state = 98},
  [14764] = {.lex_state = 98},
  [14765] = {.lex_state = 98},
  [14766] = {.lex_state = 98},
  [14767] = {.lex_state = 98},
  [14768] = {.lex_state = 98},
  [14769] = {.lex_state = 98},
  [14770] = {.lex_state = 98},
  [14771] = {.lex_state = 0},
  [14772] = {.lex_state = 98},
  [14773] = {.lex_state = 0},
  [14774] = {.lex_state = 98},
  [14775] = {.lex_state = 98},
  [14776] = {.lex_state = 98},
  [14777] = {.lex_state = 0},
  [14778] = {.lex_state = 0},
  [14779] = {.lex_state = 0},
  [14780] = {.lex_state = 98},
  [14781] = {.lex_state = 0},
  [14782] = {.lex_state = 98},
  [14783] = {.lex_state = 98},
  [14784] = {.lex_state = 98},
  [14785] = {.lex_state = 0},
  [14786] = {.lex_state = 98},
  [14787] = {.lex_state = 98},
  [14788] = {.lex_state = 0},
  [14789] = {.lex_state = 98},
  [14790] = {.lex_state = 98},
  [14791] = {.lex_state = 98},
  [14792] = {.lex_state = 98},
  [14793] = {.lex_state = 0},
  [14794] = {.lex_state = 98},
  [14795] = {.lex_state = 98},
  [14796] = {.lex_state = 98},
  [14797] = {.lex_state = 98},
  [14798] = {.lex_state = 98},
  [14799] = {.lex_state = 98},
  [14800] = {.lex_state = 98},
  [14801] = {.lex_state = 98},
  [14802] = {.lex_state = 98},
  [14803] = {.lex_state = 98},
  [14804] = {.lex_state = 98},
  [14805] = {.lex_state = 0},
  [14806] = {.lex_state = 98},
  [14807] = {.lex_state = 0},
  [14808] = {.lex_state = 98},
  [14809] = {.lex_state = 98},
  [14810] = {.lex_state = 98},
  [14811] = {.lex_state = 0},
  [14812] = {.lex_state = 98},
  [14813] = {.lex_state = 98},
  [14814] = {.lex_state = 98},
  [14815] = {.lex_state = 0},
  [14816] = {.lex_state = 98},
  [14817] = {.lex_state = 98},
  [14818] = {.lex_state = 98},
  [14819] = {.lex_state = 0},
  [14820] = {.lex_state = 98},
  [14821] = {.lex_state = 98},
  [14822] = {.lex_state = 98},
  [14823] = {.lex_state = 98},
  [14824] = {.lex_state = 98},
  [14825] = {.lex_state = 98},
  [14826] = {.lex_state = 98},
  [14827] = {.lex_state = 0},
  [14828] = {.lex_state = 98},
  [14829] = {.lex_state = 0},
  [14830] = {.lex_state = 98},
  [14831] = {.lex_state = 0, .external_lex_state = 3},
  [14832] = {.lex_state = 98},
  [14833] = {.lex_state = 98},
  [14834] = {.lex_state = 0},
  [14835] = {.lex_state = 98},
  [14836] = {.lex_state = 98},
  [14837] = {.lex_state = 98},
  [14838] = {.lex_state = 98},
  [14839] = {.lex_state = 98},
  [14840] = {.lex_state = 0},
  [14841] = {.lex_state = 98},
  [14842] = {.lex_state = 0},
  [14843] = {.lex_state = 98},
  [14844] = {.lex_state = 98},
  [14845] = {.lex_state = 98},
  [14846] = {.lex_state = 98},
  [14847] = {.lex_state = 0},
  [14848] = {.lex_state = 98},
  [14849] = {.lex_state = 0},
  [14850] = {.lex_state = 98},
  [14851] = {.lex_state = 98},
  [14852] = {.lex_state = 98},
  [14853] = {.lex_state = 98},
  [14854] = {.lex_state = 98},
  [14855] = {.lex_state = 98},
  [14856] = {.lex_state = 98},
  [14857] = {.lex_state = 98},
  [14858] = {.lex_state = 98},
  [14859] = {.lex_state = 98},
  [14860] = {.lex_state = 98},
  [14861] = {.lex_state = 98},
  [14862] = {.lex_state = 98},
  [14863] = {.lex_state = 98},
  [14864] = {.lex_state = 98},
  [14865] = {.lex_state = 98},
  [14866] = {.lex_state = 0},
  [14867] = {.lex_state = 0},
  [14868] = {.lex_state = 98},
  [14869] = {.lex_state = 98},
  [14870] = {.lex_state = 98},
  [14871] = {.lex_state = 98},
  [14872] = {.lex_state = 98},
  [14873] = {.lex_state = 0},
  [14874] = {.lex_state = 98},
  [14875] = {.lex_state = 0},
  [14876] = {.lex_state = 98},
  [14877] = {.lex_state = 98},
  [14878] = {.lex_state = 98},
  [14879] = {.lex_state = 98},
  [14880] = {.lex_state = 0},
  [14881] = {.lex_state = 98},
  [14882] = {.lex_state = 98},
  [14883] = {.lex_state = 98},
  [14884] = {.lex_state = 98},
  [14885] = {.lex_state = 98},
  [14886] = {.lex_state = 0},
  [14887] = {.lex_state = 98},
  [14888] = {.lex_state = 98},
  [14889] = {.lex_state = 98},
  [14890] = {.lex_state = 98},
  [14891] = {.lex_state = 0, .external_lex_state = 3},
  [14892] = {.lex_state = 98},
  [14893] = {.lex_state = 98},
  [14894] = {.lex_state = 98},
  [14895] = {.lex_state = 0},
  [14896] = {.lex_state = 0},
  [14897] = {.lex_state = 98},
  [14898] = {.lex_state = 0, .external_lex_state = 2},
  [14899] = {.lex_state = 0},
  [14900] = {.lex_state = 98},
  [14901] = {.lex_state = 98},
  [14902] = {.lex_state = 98},
  [14903] = {.lex_state = 98},
  [14904] = {.lex_state = 98},
  [14905] = {.lex_state = 98},
  [14906] = {.lex_state = 0},
  [14907] = {.lex_state = 98},
  [14908] = {.lex_state = 0},
  [14909] = {.lex_state = 98},
  [14910] = {.lex_state = 98},
  [14911] = {.lex_state = 0},
  [14912] = {.lex_state = 0},
  [14913] = {.lex_state = 98},
  [14914] = {.lex_state = 0},
  [14915] = {.lex_state = 0},
  [14916] = {.lex_state = 98},
  [14917] = {.lex_state = 0},
  [14918] = {.lex_state = 98},
  [14919] = {.lex_state = 98},
  [14920] = {.lex_state = 0, .external_lex_state = 3},
  [14921] = {.lex_state = 98},
  [14922] = {.lex_state = 0, .external_lex_state = 3},
  [14923] = {.lex_state = 0},
  [14924] = {.lex_state = 98},
  [14925] = {.lex_state = 98},
  [14926] = {.lex_state = 98},
  [14927] = {.lex_state = 0},
  [14928] = {.lex_state = 98},
  [14929] = {.lex_state = 98},
  [14930] = {.lex_state = 98},
  [14931] = {.lex_state = 0},
  [14932] = {.lex_state = 98},
  [14933] = {.lex_state = 0, .external_lex_state = 3},
  [14934] = {.lex_state = 98},
  [14935] = {.lex_state = 98},
  [14936] = {.lex_state = 98},
  [14937] = {.lex_state = 98},
  [14938] = {.lex_state = 98},
  [14939] = {.lex_state = 98},
  [14940] = {.lex_state = 98},
  [14941] = {.lex_state = 98},
  [14942] = {.lex_state = 0},
  [14943] = {.lex_state = 98},
  [14944] = {.lex_state = 98},
  [14945] = {.lex_state = 98},
  [14946] = {.lex_state = 98},
  [14947] = {.lex_state = 98},
  [14948] = {.lex_state = 0, .external_lex_state = 3},
  [14949] = {.lex_state = 98},
  [14950] = {.lex_state = 98},
  [14951] = {.lex_state = 0},
  [14952] = {.lex_state = 98},
  [14953] = {.lex_state = 98},
  [14954] = {.lex_state = 0, .external_lex_state = 3},
  [14955] = {.lex_state = 0},
  [14956] = {.lex_state = 0},
  [14957] = {.lex_state = 0},
  [14958] = {.lex_state = 98},
  [14959] = {.lex_state = 98},
  [14960] = {.lex_state = 98},
  [14961] = {.lex_state = 0, .external_lex_state = 2},
  [14962] = {.lex_state = 0},
  [14963] = {.lex_state = 98},
  [14964] = {.lex_state = 0},
  [14965] = {.lex_state = 98},
  [14966] = {.lex_state = 98},
  [14967] = {.lex_state = 98},
  [14968] = {.lex_state = 0},
  [14969] = {.lex_state = 0},
  [14970] = {.lex_state = 98},
  [14971] = {.lex_state = 98},
  [14972] = {.lex_state = 0},
  [14973] = {.lex_state = 98},
  [14974] = {.lex_state = 0},
  [14975] = {.lex_state = 98},
  [14976] = {.lex_state = 0},
  [14977] = {.lex_state = 0},
  [14978] = {.lex_state = 98},
  [14979] = {.lex_state = 98},
  [14980] = {.lex_state = 98},
  [14981] = {.lex_state = 98},
  [14982] = {.lex_state = 98},
  [14983] = {.lex_state = 98},
  [14984] = {.lex_state = 98},
  [14985] = {.lex_state = 98},
  [14986] = {.lex_state = 98},
  [14987] = {.lex_state = 98},
  [14988] = {.lex_state = 98},
  [14989] = {.lex_state = 0},
  [14990] = {.lex_state = 0, .external_lex_state = 2},
  [14991] = {.lex_state = 98},
  [14992] = {.lex_state = 0},
  [14993] = {.lex_state = 0},
  [14994] = {.lex_state = 98},
  [14995] = {.lex_state = 98},
  [14996] = {.lex_state = 98},
  [14997] = {.lex_state = 98},
  [14998] = {.lex_state = 98},
  [14999] = {.lex_state = 0},
  [15000] = {.lex_state = 98},
  [15001] = {.lex_state = 98},
  [15002] = {.lex_state = 0},
  [15003] = {.lex_state = 98},
  [15004] = {.lex_state = 98},
  [15005] = {.lex_state = 98},
  [15006] = {.lex_state = 0},
  [15007] = {.lex_state = 98},
  [15008] = {.lex_state = 0},
  [15009] = {.lex_state = 98},
  [15010] = {.lex_state = 0},
  [15011] = {.lex_state = 98},
  [15012] = {.lex_state = 0},
  [15013] = {.lex_state = 98},
  [15014] = {.lex_state = 98},
  [15015] = {.lex_state = 98},
  [15016] = {.lex_state = 98},
  [15017] = {.lex_state = 98},
  [15018] = {.lex_state = 0},
  [15019] = {.lex_state = 98},
  [15020] = {.lex_state = 98},
  [15021] = {.lex_state = 0},
  [15022] = {.lex_state = 98},
  [15023] = {.lex_state = 0},
  [15024] = {.lex_state = 98},
  [15025] = {.lex_state = 98},
  [15026] = {.lex_state = 98},
  [15027] = {.lex_state = 98},
  [15028] = {.lex_state = 98},
  [15029] = {.lex_state = 98},
  [15030] = {.lex_state = 98},
  [15031] = {.lex_state = 98},
  [15032] = {.lex_state = 98},
  [15033] = {.lex_state = 0},
  [15034] = {.lex_state = 98},
  [15035] = {.lex_state = 0},
  [15036] = {.lex_state = 98},
  [15037] = {.lex_state = 0},
  [15038] = {.lex_state = 98},
  [15039] = {.lex_state = 98},
  [15040] = {.lex_state = 0},
  [15041] = {.lex_state = 0, .external_lex_state = 3},
  [15042] = {.lex_state = 0},
  [15043] = {.lex_state = 98},
  [15044] = {.lex_state = 98},
  [15045] = {.lex_state = 98},
  [15046] = {.lex_state = 0},
  [15047] = {.lex_state = 98},
  [15048] = {.lex_state = 0},
  [15049] = {.lex_state = 98},
  [15050] = {.lex_state = 98},
  [15051] = {.lex_state = 98},
  [15052] = {.lex_state = 0, .external_lex_state = 3},
  [15053] = {.lex_state = 98},
  [15054] = {.lex_state = 98},
  [15055] = {.lex_state = 98},
  [15056] = {.lex_state = 98},
  [15057] = {.lex_state = 98},
  [15058] = {.lex_state = 98},
  [15059] = {.lex_state = 98},
  [15060] = {.lex_state = 98},
  [15061] = {.lex_state = 98},
  [15062] = {.lex_state = 0},
  [15063] = {.lex_state = 98},
  [15064] = {.lex_state = 98},
  [15065] = {.lex_state = 98},
  [15066] = {.lex_state = 98},
  [15067] = {.lex_state = 98},
  [15068] = {.lex_state = 98},
  [15069] = {.lex_state = 98},
  [15070] = {.lex_state = 98},
  [15071] = {.lex_state = 98},
  [15072] = {.lex_state = 98},
  [15073] = {.lex_state = 98},
  [15074] = {.lex_state = 98},
  [15075] = {.lex_state = 98},
  [15076] = {.lex_state = 98},
  [15077] = {.lex_state = 98},
  [15078] = {.lex_state = 98},
  [15079] = {.lex_state = 98},
  [15080] = {.lex_state = 98},
  [15081] = {.lex_state = 98},
  [15082] = {.lex_state = 98},
  [15083] = {.lex_state = 98},
  [15084] = {.lex_state = 98},
  [15085] = {.lex_state = 0},
  [15086] = {.lex_state = 98},
  [15087] = {.lex_state = 98},
  [15088] = {.lex_state = 98},
  [15089] = {.lex_state = 98},
  [15090] = {.lex_state = 98},
  [15091] = {.lex_state = 0},
  [15092] = {.lex_state = 98},
  [15093] = {.lex_state = 98},
  [15094] = {.lex_state = 98},
  [15095] = {.lex_state = 98},
  [15096] = {.lex_state = 98},
  [15097] = {.lex_state = 98},
  [15098] = {.lex_state = 98},
  [15099] = {.lex_state = 98},
  [15100] = {.lex_state = 98},
  [15101] = {.lex_state = 98},
  [15102] = {.lex_state = 98},
  [15103] = {.lex_state = 98},
  [15104] = {.lex_state = 98},
  [15105] = {.lex_state = 98},
  [15106] = {.lex_state = 98},
  [15107] = {.lex_state = 98},
  [15108] = {.lex_state = 98},
  [15109] = {.lex_state = 0},
  [15110] = {.lex_state = 98},
  [15111] = {.lex_state = 0},
  [15112] = {.lex_state = 98},
  [15113] = {.lex_state = 98},
  [15114] = {.lex_state = 98},
  [15115] = {.lex_state = 98},
  [15116] = {.lex_state = 0, .external_lex_state = 2},
  [15117] = {.lex_state = 0},
  [15118] = {.lex_state = 98},
  [15119] = {.lex_state = 98},
  [15120] = {.lex_state = 98},
  [15121] = {.lex_state = 98},
  [15122] = {.lex_state = 98},
  [15123] = {.lex_state = 98},
  [15124] = {.lex_state = 98},
  [15125] = {.lex_state = 98},
  [15126] = {.lex_state = 98},
  [15127] = {.lex_state = 0},
  [15128] = {.lex_state = 0},
  [15129] = {.lex_state = 0},
  [15130] = {.lex_state = 98},
  [15131] = {.lex_state = 0},
  [15132] = {.lex_state = 0},
  [15133] = {.lex_state = 98},
  [15134] = {.lex_state = 0},
  [15135] = {.lex_state = 98},
  [15136] = {.lex_state = 98},
  [15137] = {.lex_state = 98},
  [15138] = {.lex_state = 98},
  [15139] = {.lex_state = 98},
  [15140] = {.lex_state = 98},
  [15141] = {.lex_state = 98},
  [15142] = {.lex_state = 98},
  [15143] = {.lex_state = 0},
  [15144] = {.lex_state = 98},
  [15145] = {.lex_state = 0, .external_lex_state = 3},
  [15146] = {.lex_state = 0},
  [15147] = {.lex_state = 0},
  [15148] = {.lex_state = 98},
  [15149] = {.lex_state = 98},
  [15150] = {.lex_state = 98},
  [15151] = {.lex_state = 98},
  [15152] = {.lex_state = 98},
  [15153] = {.lex_state = 0, .external_lex_state = 2},
  [15154] = {.lex_state = 0, .external_lex_state = 3},
  [15155] = {.lex_state = 98},
  [15156] = {.lex_state = 98},
  [15157] = {.lex_state = 98},
  [15158] = {.lex_state = 98},
  [15159] = {.lex_state = 98},
  [15160] = {.lex_state = 98},
  [15161] = {.lex_state = 98},
  [15162] = {.lex_state = 98},
  [15163] = {.lex_state = 98},
  [15164] = {.lex_state = 98},
  [15165] = {.lex_state = 98},
  [15166] = {.lex_state = 98},
  [15167] = {.lex_state = 98},
  [15168] = {.lex_state = 98},
  [15169] = {.lex_state = 98},
  [15170] = {.lex_state = 98},
  [15171] = {.lex_state = 0},
  [15172] = {.lex_state = 98},
  [15173] = {.lex_state = 98},
  [15174] = {.lex_state = 98},
  [15175] = {.lex_state = 98},
  [15176] = {.lex_state = 98},
  [15177] = {.lex_state = 98},
  [15178] = {.lex_state = 98},
  [15179] = {.lex_state = 0, .external_lex_state = 3},
  [15180] = {.lex_state = 98},
  [15181] = {.lex_state = 98},
  [15182] = {.lex_state = 0},
  [15183] = {.lex_state = 98},
  [15184] = {.lex_state = 98},
  [15185] = {.lex_state = 0, .external_lex_state = 3},
  [15186] = {.lex_state = 98},
  [15187] = {.lex_state = 0},
  [15188] = {.lex_state = 98},
  [15189] = {.lex_state = 98},
  [15190] = {.lex_state = 98},
  [15191] = {.lex_state = 98},
  [15192] = {.lex_state = 98},
  [15193] = {.lex_state = 98},
  [15194] = {.lex_state = 98},
  [15195] = {.lex_state = 98},
  [15196] = {.lex_state = 98},
  [15197] = {.lex_state = 98},
  [15198] = {.lex_state = 0},
  [15199] = {.lex_state = 0},
  [15200] = {.lex_state = 98},
  [15201] = {.lex_state = 98},
  [15202] = {.lex_state = 0},
  [15203] = {.lex_state = 0},
  [15204] = {.lex_state = 98},
  [15205] = {.lex_state = 0},
  [15206] = {.lex_state = 98},
  [15207] = {.lex_state = 0},
  [15208] = {.lex_state = 98},
  [15209] = {.lex_state = 98},
  [15210] = {.lex_state = 98},
  [15211] = {.lex_state = 98},
  [15212] = {.lex_state = 98},
  [15213] = {.lex_state = 98},
  [15214] = {.lex_state = 98},
  [15215] = {.lex_state = 98},
  [15216] = {.lex_state = 98},
  [15217] = {.lex_state = 98},
  [15218] = {.lex_state = 0},
  [15219] = {.lex_state = 98},
  [15220] = {.lex_state = 0},
  [15221] = {.lex_state = 0, .external_lex_state = 2},
  [15222] = {.lex_state = 98},
  [15223] = {.lex_state = 0},
  [15224] = {.lex_state = 0},
  [15225] = {.lex_state = 0, .external_lex_state = 2},
  [15226] = {.lex_state = 98},
  [15227] = {.lex_state = 98},
  [15228] = {.lex_state = 98},
  [15229] = {.lex_state = 98},
  [15230] = {.lex_state = 98},
  [15231] = {.lex_state = 98},
  [15232] = {.lex_state = 98},
  [15233] = {.lex_state = 98},
  [15234] = {.lex_state = 98},
  [15235] = {.lex_state = 98},
  [15236] = {.lex_state = 98},
  [15237] = {.lex_state = 98},
  [15238] = {.lex_state = 98},
  [15239] = {.lex_state = 0},
  [15240] = {.lex_state = 98},
  [15241] = {.lex_state = 98},
  [15242] = {.lex_state = 98},
  [15243] = {.lex_state = 0},
  [15244] = {.lex_state = 98},
  [15245] = {.lex_state = 98},
  [15246] = {.lex_state = 98},
  [15247] = {.lex_state = 98},
  [15248] = {.lex_state = 98},
  [15249] = {.lex_state = 98},
  [15250] = {.lex_state = 98},
  [15251] = {.lex_state = 98},
  [15252] = {.lex_state = 98},
  [15253] = {.lex_state = 98},
  [15254] = {.lex_state = 98},
  [15255] = {.lex_state = 0},
  [15256] = {.lex_state = 98},
  [15257] = {.lex_state = 98},
  [15258] = {.lex_state = 98},
  [15259] = {.lex_state = 98},
  [15260] = {.lex_state = 98},
  [15261] = {.lex_state = 98},
  [15262] = {.lex_state = 98},
  [15263] = {.lex_state = 98},
  [15264] = {.lex_state = 98},
  [15265] = {.lex_state = 98},
  [15266] = {.lex_state = 98},
  [15267] = {.lex_state = 98},
  [15268] = {.lex_state = 98},
  [15269] = {.lex_state = 98},
  [15270] = {.lex_state = 98},
  [15271] = {.lex_state = 0},
  [15272] = {.lex_state = 98},
  [15273] = {.lex_state = 0},
  [15274] = {.lex_state = 98},
  [15275] = {.lex_state = 98},
  [15276] = {.lex_state = 0},
  [15277] = {.lex_state = 98},
  [15278] = {.lex_state = 98},
  [15279] = {.lex_state = 98},
  [15280] = {.lex_state = 98},
  [15281] = {.lex_state = 98},
  [15282] = {.lex_state = 98},
  [15283] = {.lex_state = 98},
  [15284] = {.lex_state = 0},
  [15285] = {.lex_state = 98},
  [15286] = {.lex_state = 98},
  [15287] = {.lex_state = 98},
  [15288] = {.lex_state = 98},
  [15289] = {.lex_state = 98},
  [15290] = {.lex_state = 98},
  [15291] = {.lex_state = 98},
  [15292] = {.lex_state = 98},
  [15293] = {.lex_state = 0},
  [15294] = {.lex_state = 98},
  [15295] = {.lex_state = 98},
  [15296] = {.lex_state = 0},
  [15297] = {.lex_state = 98},
  [15298] = {.lex_state = 98},
  [15299] = {.lex_state = 98},
  [15300] = {.lex_state = 98},
  [15301] = {.lex_state = 98},
  [15302] = {.lex_state = 98},
  [15303] = {.lex_state = 98},
  [15304] = {.lex_state = 98},
  [15305] = {.lex_state = 98},
  [15306] = {.lex_state = 98},
  [15307] = {.lex_state = 98},
  [15308] = {.lex_state = 98},
  [15309] = {.lex_state = 98},
  [15310] = {.lex_state = 98},
  [15311] = {.lex_state = 98},
  [15312] = {.lex_state = 0},
  [15313] = {.lex_state = 98},
  [15314] = {.lex_state = 98},
  [15315] = {.lex_state = 98},
  [15316] = {.lex_state = 98},
  [15317] = {.lex_state = 98},
  [15318] = {.lex_state = 98},
  [15319] = {.lex_state = 98},
  [15320] = {.lex_state = 98},
  [15321] = {.lex_state = 98},
  [15322] = {.lex_state = 98},
  [15323] = {.lex_state = 98},
  [15324] = {.lex_state = 0},
  [15325] = {.lex_state = 98},
  [15326] = {.lex_state = 98},
  [15327] = {.lex_state = 98},
  [15328] = {.lex_state = 98},
  [15329] = {.lex_state = 98},
  [15330] = {.lex_state = 98},
  [15331] = {.lex_state = 98},
  [15332] = {.lex_state = 98},
  [15333] = {.lex_state = 98},
  [15334] = {.lex_state = 98},
  [15335] = {.lex_state = 0, .external_lex_state = 2},
  [15336] = {.lex_state = 98},
  [15337] = {.lex_state = 98},
  [15338] = {.lex_state = 98},
  [15339] = {.lex_state = 98},
  [15340] = {.lex_state = 98},
  [15341] = {.lex_state = 98},
  [15342] = {.lex_state = 98},
  [15343] = {.lex_state = 98},
  [15344] = {.lex_state = 98},
  [15345] = {.lex_state = 98},
  [15346] = {.lex_state = 0},
  [15347] = {.lex_state = 0, .external_lex_state = 2},
  [15348] = {.lex_state = 98},
  [15349] = {.lex_state = 98},
  [15350] = {.lex_state = 98},
  [15351] = {.lex_state = 98},
  [15352] = {.lex_state = 98},
  [15353] = {.lex_state = 98},
  [15354] = {.lex_state = 98},
  [15355] = {.lex_state = 98},
  [15356] = {.lex_state = 98},
  [15357] = {.lex_state = 0},
  [15358] = {.lex_state = 0},
  [15359] = {.lex_state = 98},
  [15360] = {.lex_state = 98},
  [15361] = {.lex_state = 98},
  [15362] = {.lex_state = 0},
  [15363] = {.lex_state = 98},
  [15364] = {.lex_state = 98},
  [15365] = {.lex_state = 0, .external_lex_state = 3},
  [15366] = {.lex_state = 98},
  [15367] = {.lex_state = 98},
  [15368] = {.lex_state = 98},
  [15369] = {.lex_state = 98},
  [15370] = {.lex_state = 98},
  [15371] = {.lex_state = 98},
  [15372] = {.lex_state = 98},
  [15373] = {.lex_state = 98},
  [15374] = {.lex_state = 98},
  [15375] = {.lex_state = 98},
  [15376] = {.lex_state = 98},
  [15377] = {.lex_state = 98},
  [15378] = {.lex_state = 98},
  [15379] = {.lex_state = 98},
  [15380] = {.lex_state = 98},
  [15381] = {.lex_state = 98},
  [15382] = {.lex_state = 0},
  [15383] = {.lex_state = 98},
  [15384] = {.lex_state = 0},
  [15385] = {.lex_state = 98},
  [15386] = {.lex_state = 98},
  [15387] = {.lex_state = 0},
  [15388] = {.lex_state = 98},
  [15389] = {.lex_state = 0},
  [15390] = {.lex_state = 98},
  [15391] = {.lex_state = 0},
  [15392] = {.lex_state = 98},
  [15393] = {.lex_state = 98},
  [15394] = {.lex_state = 98},
  [15395] = {.lex_state = 98},
  [15396] = {.lex_state = 98},
  [15397] = {.lex_state = 98},
  [15398] = {.lex_state = 98},
  [15399] = {.lex_state = 98},
  [15400] = {.lex_state = 0},
  [15401] = {.lex_state = 98},
  [15402] = {.lex_state = 98},
  [15403] = {.lex_state = 0},
  [15404] = {.lex_state = 98},
  [15405] = {.lex_state = 0, .external_lex_state = 3},
  [15406] = {.lex_state = 98},
  [15407] = {.lex_state = 98},
  [15408] = {.lex_state = 98},
  [15409] = {.lex_state = 0},
  [15410] = {.lex_state = 0, .external_lex_state = 3},
  [15411] = {.lex_state = 0, .external_lex_state = 3},
  [15412] = {.lex_state = 98},
  [15413] = {.lex_state = 98},
  [15414] = {.lex_state = 98},
  [15415] = {.lex_state = 98},
  [15416] = {.lex_state = 98},
  [15417] = {.lex_state = 0},
  [15418] = {.lex_state = 98},
  [15419] = {.lex_state = 0},
  [15420] = {.lex_state = 98},
  [15421] = {.lex_state = 0, .external_lex_state = 2},
  [15422] = {.lex_state = 98},
  [15423] = {.lex_state = 98},
  [15424] = {.lex_state = 98},
  [15425] = {.lex_state = 0},
  [15426] = {.lex_state = 98},
  [15427] = {.lex_state = 98},
  [15428] = {.lex_state = 98},
  [15429] = {.lex_state = 0},
  [15430] = {.lex_state = 98},
  [15431] = {.lex_state = 98},
  [15432] = {.lex_state = 98},
  [15433] = {.lex_state = 0},
  [15434] = {.lex_state = 98},
  [15435] = {.lex_state = 98},
  [15436] = {.lex_state = 98},
  [15437] = {.lex_state = 98},
  [15438] = {.lex_state = 0},
  [15439] = {.lex_state = 98},
  [15440] = {.lex_state = 0},
  [15441] = {.lex_state = 98},
  [15442] = {.lex_state = 98},
  [15443] = {.lex_state = 0, .external_lex_state = 2},
  [15444] = {.lex_state = 0},
  [15445] = {.lex_state = 0},
  [15446] = {.lex_state = 98},
  [15447] = {.lex_state = 98},
  [15448] = {.lex_state = 98},
  [15449] = {.lex_state = 98},
  [15450] = {.lex_state = 0},
  [15451] = {.lex_state = 0},
  [15452] = {.lex_state = 98},
  [15453] = {.lex_state = 0},
  [15454] = {.lex_state = 0},
  [15455] = {.lex_state = 98},
  [15456] = {.lex_state = 98},
  [15457] = {.lex_state = 98},
  [15458] = {.lex_state = 98},
  [15459] = {.lex_state = 98},
  [15460] = {.lex_state = 98},
  [15461] = {.lex_state = 98},
  [15462] = {.lex_state = 98},
  [15463] = {.lex_state = 98},
  [15464] = {.lex_state = 98},
  [15465] = {.lex_state = 98},
  [15466] = {.lex_state = 98},
  [15467] = {.lex_state = 98},
  [15468] = {.lex_state = 98},
  [15469] = {.lex_state = 98},
  [15470] = {.lex_state = 98},
  [15471] = {.lex_state = 98},
  [15472] = {.lex_state = 98},
  [15473] = {.lex_state = 0},
  [15474] = {.lex_state = 98},
  [15475] = {.lex_state = 0, .external_lex_state = 2},
  [15476] = {.lex_state = 0},
  [15477] = {.lex_state = 98},
  [15478] = {.lex_state = 0},
  [15479] = {.lex_state = 98},
  [15480] = {.lex_state = 0},
  [15481] = {.lex_state = 0},
  [15482] = {.lex_state = 98},
  [15483] = {.lex_state = 98},
  [15484] = {.lex_state = 98},
  [15485] = {.lex_state = 98},
  [15486] = {.lex_state = 0},
  [15487] = {.lex_state = 98},
  [15488] = {.lex_state = 98},
  [15489] = {.lex_state = 98},
  [15490] = {.lex_state = 98},
  [15491] = {.lex_state = 0},
  [15492] = {.lex_state = 98},
  [15493] = {.lex_state = 0},
  [15494] = {.lex_state = 0},
  [15495] = {.lex_state = 0},
  [15496] = {.lex_state = 98},
  [15497] = {.lex_state = 98},
  [15498] = {.lex_state = 0},
  [15499] = {.lex_state = 98},
  [15500] = {.lex_state = 0},
  [15501] = {.lex_state = 0},
  [15502] = {.lex_state = 0},
  [15503] = {.lex_state = 0, .external_lex_state = 3},
  [15504] = {.lex_state = 0},
  [15505] = {.lex_state = 98},
  [15506] = {.lex_state = 98},
  [15507] = {.lex_state = 98},
  [15508] = {.lex_state = 98},
  [15509] = {.lex_state = 98},
  [15510] = {.lex_state = 98},
  [15511] = {.lex_state = 98},
  [15512] = {.lex_state = 0},
  [15513] = {.lex_state = 0},
  [15514] = {.lex_state = 98},
  [15515] = {.lex_state = 98},
  [15516] = {.lex_state = 0},
  [15517] = {.lex_state = 98},
  [15518] = {.lex_state = 98},
  [15519] = {.lex_state = 98},
  [15520] = {.lex_state = 0, .external_lex_state = 3},
  [15521] = {.lex_state = 98},
  [15522] = {.lex_state = 98},
  [15523] = {.lex_state = 98},
  [15524] = {.lex_state = 98},
  [15525] = {.lex_state = 98},
  [15526] = {.lex_state = 98},
  [15527] = {.lex_state = 98},
  [15528] = {.lex_state = 98},
  [15529] = {.lex_state = 0},
  [15530] = {.lex_state = 98},
  [15531] = {.lex_state = 98},
  [15532] = {.lex_state = 98},
  [15533] = {.lex_state = 100},
  [15534] = {.lex_state = 98},
  [15535] = {.lex_state = 98},
  [15536] = {.lex_state = 98},
  [15537] = {.lex_state = 98},
  [15538] = {.lex_state = 98},
  [15539] = {.lex_state = 98},
  [15540] = {.lex_state = 98},
  [15541] = {.lex_state = 98},
  [15542] = {.lex_state = 0},
  [15543] = {.lex_state = 98},
  [15544] = {.lex_state = 98},
  [15545] = {.lex_state = 98},
  [15546] = {.lex_state = 100},
  [15547] = {.lex_state = 100},
  [15548] = {.lex_state = 98},
  [15549] = {.lex_state = 98},
  [15550] = {.lex_state = 0},
  [15551] = {.lex_state = 98},
  [15552] = {.lex_state = 98},
  [15553] = {.lex_state = 0},
  [15554] = {.lex_state = 98},
  [15555] = {.lex_state = 98},
  [15556] = {.lex_state = 98},
  [15557] = {.lex_state = 0},
  [15558] = {.lex_state = 98},
  [15559] = {.lex_state = 0},
  [15560] = {.lex_state = 0},
  [15561] = {.lex_state = 98},
  [15562] = {.lex_state = 98},
  [15563] = {.lex_state = 98},
  [15564] = {.lex_state = 0},
  [15565] = {.lex_state = 98},
  [15566] = {.lex_state = 98},
  [15567] = {.lex_state = 98},
  [15568] = {.lex_state = 98},
  [15569] = {.lex_state = 0},
  [15570] = {.lex_state = 98},
  [15571] = {.lex_state = 0},
  [15572] = {.lex_state = 98},
  [15573] = {.lex_state = 0},
  [15574] = {.lex_state = 98},
  [15575] = {.lex_state = 98},
  [15576] = {.lex_state = 0, .external_lex_state = 2},
  [15577] = {.lex_state = 0},
  [15578] = {.lex_state = 98},
  [15579] = {.lex_state = 98},
  [15580] = {.lex_state = 98},
  [15581] = {.lex_state = 0},
  [15582] = {.lex_state = 98},
  [15583] = {.lex_state = 98},
  [15584] = {.lex_state = 98},
  [15585] = {.lex_state = 98},
  [15586] = {.lex_state = 98},
  [15587] = {.lex_state = 98},
  [15588] = {.lex_state = 98},
  [15589] = {.lex_state = 98},
  [15590] = {.lex_state = 0},
  [15591] = {.lex_state = 98},
  [15592] = {.lex_state = 98},
  [15593] = {.lex_state = 0},
  [15594] = {.lex_state = 0, .external_lex_state = 2},
  [15595] = {.lex_state = 98},
  [15596] = {.lex_state = 98},
  [15597] = {.lex_state = 98},
  [15598] = {.lex_state = 98},
  [15599] = {.lex_state = 0, .external_lex_state = 2},
  [15600] = {.lex_state = 98},
  [15601] = {.lex_state = 0},
  [15602] = {.lex_state = 98},
  [15603] = {.lex_state = 0},
  [15604] = {.lex_state = 98},
  [15605] = {.lex_state = 98},
  [15606] = {.lex_state = 0, .external_lex_state = 3},
  [15607] = {.lex_state = 0},
  [15608] = {.lex_state = 98},
  [15609] = {.lex_state = 0, .external_lex_state = 3},
  [15610] = {.lex_state = 98},
  [15611] = {.lex_state = 98},
  [15612] = {.lex_state = 98},
  [15613] = {.lex_state = 98},
  [15614] = {.lex_state = 98},
  [15615] = {.lex_state = 98},
  [15616] = {.lex_state = 0, .external_lex_state = 3},
  [15617] = {.lex_state = 0},
  [15618] = {.lex_state = 98},
  [15619] = {.lex_state = 98},
  [15620] = {.lex_state = 98},
  [15621] = {.lex_state = 98},
  [15622] = {.lex_state = 98},
  [15623] = {.lex_state = 98},
  [15624] = {.lex_state = 98},
  [15625] = {.lex_state = 98},
  [15626] = {.lex_state = 98},
  [15627] = {.lex_state = 0},
  [15628] = {.lex_state = 0, .external_lex_state = 2},
  [15629] = {.lex_state = 98},
  [15630] = {.lex_state = 98},
  [15631] = {.lex_state = 98},
  [15632] = {.lex_state = 98},
  [15633] = {.lex_state = 98},
  [15634] = {.lex_state = 98},
  [15635] = {.lex_state = 98},
  [15636] = {.lex_state = 98},
  [15637] = {.lex_state = 98},
  [15638] = {.lex_state = 98},
  [15639] = {.lex_state = 98},
  [15640] = {.lex_state = 98},
  [15641] = {.lex_state = 98},
  [15642] = {.lex_state = 0},
  [15643] = {.lex_state = 98},
  [15644] = {.lex_state = 0},
  [15645] = {.lex_state = 0},
  [15646] = {.lex_state = 98},
  [15647] = {.lex_state = 98},
  [15648] = {.lex_state = 98},
  [15649] = {.lex_state = 98},
  [15650] = {.lex_state = 98},
  [15651] = {.lex_state = 0, .external_lex_state = 2},
  [15652] = {.lex_state = 98},
  [15653] = {.lex_state = 98},
  [15654] = {.lex_state = 0},
  [15655] = {.lex_state = 98},
  [15656] = {.lex_state = 98},
  [15657] = {.lex_state = 98},
  [15658] = {.lex_state = 98},
  [15659] = {.lex_state = 98},
  [15660] = {.lex_state = 98},
  [15661] = {.lex_state = 98},
  [15662] = {.lex_state = 0},
  [15663] = {.lex_state = 98},
  [15664] = {.lex_state = 0},
  [15665] = {.lex_state = 0},
  [15666] = {.lex_state = 98},
  [15667] = {.lex_state = 98},
  [15668] = {.lex_state = 98},
  [15669] = {.lex_state = 98},
  [15670] = {.lex_state = 98},
  [15671] = {.lex_state = 98},
  [15672] = {.lex_state = 98},
  [15673] = {.lex_state = 98},
  [15674] = {.lex_state = 98},
  [15675] = {.lex_state = 98},
  [15676] = {.lex_state = 98},
  [15677] = {.lex_state = 98},
  [15678] = {.lex_state = 98},
  [15679] = {.lex_state = 98},
  [15680] = {.lex_state = 98},
  [15681] = {.lex_state = 98},
  [15682] = {.lex_state = 98},
  [15683] = {.lex_state = 98},
  [15684] = {.lex_state = 98},
  [15685] = {.lex_state = 98},
  [15686] = {.lex_state = 98},
  [15687] = {.lex_state = 98},
  [15688] = {.lex_state = 98},
  [15689] = {.lex_state = 98},
  [15690] = {.lex_state = 98},
  [15691] = {.lex_state = 98},
  [15692] = {.lex_state = 98},
  [15693] = {.lex_state = 98},
  [15694] = {.lex_state = 98},
  [15695] = {.lex_state = 98},
  [15696] = {.lex_state = 98},
  [15697] = {.lex_state = 98},
  [15698] = {.lex_state = 98},
  [15699] = {.lex_state = 98},
  [15700] = {.lex_state = 98},
  [15701] = {.lex_state = 98},
  [15702] = {.lex_state = 98},
  [15703] = {.lex_state = 98},
  [15704] = {.lex_state = 98},
  [15705] = {.lex_state = 98},
  [15706] = {.lex_state = 98},
  [15707] = {.lex_state = 98},
  [15708] = {.lex_state = 98},
  [15709] = {.lex_state = 98},
  [15710] = {.lex_state = 98},
  [15711] = {.lex_state = 98},
  [15712] = {.lex_state = 98},
  [15713] = {.lex_state = 98},
  [15714] = {.lex_state = 98},
  [15715] = {.lex_state = 98},
  [15716] = {.lex_state = 98},
  [15717] = {.lex_state = 98},
  [15718] = {.lex_state = 98},
  [15719] = {.lex_state = 98},
  [15720] = {.lex_state = 98},
  [15721] = {.lex_state = 98},
  [15722] = {.lex_state = 98},
  [15723] = {.lex_state = 98},
  [15724] = {.lex_state = 98},
  [15725] = {.lex_state = 98},
  [15726] = {.lex_state = 98},
  [15727] = {.lex_state = 98},
  [15728] = {.lex_state = 98},
  [15729] = {.lex_state = 98},
  [15730] = {.lex_state = 98},
  [15731] = {.lex_state = 98},
  [15732] = {.lex_state = 98},
  [15733] = {.lex_state = 98},
  [15734] = {.lex_state = 98},
  [15735] = {.lex_state = 98},
  [15736] = {.lex_state = 98},
  [15737] = {.lex_state = 98},
  [15738] = {.lex_state = 98},
  [15739] = {.lex_state = 98},
  [15740] = {.lex_state = 98},
  [15741] = {.lex_state = 98},
  [15742] = {.lex_state = 98},
  [15743] = {.lex_state = 98},
  [15744] = {.lex_state = 98},
  [15745] = {.lex_state = 98},
  [15746] = {.lex_state = 98},
  [15747] = {.lex_state = 98},
  [15748] = {.lex_state = 0},
  [15749] = {.lex_state = 98},
  [15750] = {.lex_state = 98},
  [15751] = {.lex_state = 98},
  [15752] = {.lex_state = 98},
  [15753] = {.lex_state = 98},
  [15754] = {.lex_state = 0},
  [15755] = {.lex_state = 98},
  [15756] = {.lex_state = 98},
  [15757] = {.lex_state = 98},
  [15758] = {.lex_state = 98},
  [15759] = {.lex_state = 98},
  [15760] = {.lex_state = 98},
  [15761] = {.lex_state = 98},
  [15762] = {.lex_state = 98},
  [15763] = {.lex_state = 98},
  [15764] = {.lex_state = 98},
  [15765] = {.lex_state = 98},
  [15766] = {.lex_state = 98},
  [15767] = {.lex_state = 98},
  [15768] = {.lex_state = 98},
  [15769] = {.lex_state = 98},
  [15770] = {.lex_state = 98},
  [15771] = {.lex_state = 98},
  [15772] = {.lex_state = 98},
  [15773] = {.lex_state = 98},
  [15774] = {.lex_state = 98},
  [15775] = {.lex_state = 98},
  [15776] = {.lex_state = 98},
  [15777] = {.lex_state = 98},
  [15778] = {.lex_state = 98},
  [15779] = {.lex_state = 98},
  [15780] = {.lex_state = 98},
  [15781] = {.lex_state = 98},
  [15782] = {.lex_state = 98},
  [15783] = {.lex_state = 98},
  [15784] = {.lex_state = 98},
  [15785] = {.lex_state = 98},
  [15786] = {.lex_state = 98},
  [15787] = {.lex_state = 0},
  [15788] = {.lex_state = 98},
  [15789] = {.lex_state = 0},
  [15790] = {.lex_state = 98},
  [15791] = {.lex_state = 98},
  [15792] = {.lex_state = 98},
  [15793] = {.lex_state = 98},
  [15794] = {.lex_state = 98},
  [15795] = {.lex_state = 98},
  [15796] = {.lex_state = 0},
  [15797] = {.lex_state = 98},
  [15798] = {.lex_state = 0},
  [15799] = {.lex_state = 98},
  [15800] = {.lex_state = 98},
  [15801] = {.lex_state = 98},
  [15802] = {.lex_state = 0},
  [15803] = {.lex_state = 98},
  [15804] = {.lex_state = 98},
  [15805] = {.lex_state = 0},
  [15806] = {.lex_state = 98},
  [15807] = {.lex_state = 98},
  [15808] = {.lex_state = 0},
  [15809] = {.lex_state = 0},
  [15810] = {.lex_state = 98},
  [15811] = {.lex_state = 98},
  [15812] = {.lex_state = 98},
  [15813] = {.lex_state = 0},
  [15814] = {.lex_state = 98},
  [15815] = {.lex_state = 98},
  [15816] = {.lex_state = 98},
  [15817] = {.lex_state = 98},
  [15818] = {.lex_state = 98},
  [15819] = {.lex_state = 98},
  [15820] = {.lex_state = 0},
  [15821] = {.lex_state = 0},
  [15822] = {.lex_state = 98},
  [15823] = {.lex_state = 0},
  [15824] = {.lex_state = 98},
  [15825] = {.lex_state = 98},
  [15826] = {.lex_state = 0, .external_lex_state = 2},
  [15827] = {.lex_state = 0},
  [15828] = {.lex_state = 98},
  [15829] = {.lex_state = 0},
  [15830] = {.lex_state = 98},
  [15831] = {.lex_state = 0},
  [15832] = {.lex_state = 0},
  [15833] = {.lex_state = 0},
  [15834] = {.lex_state = 98},
  [15835] = {.lex_state = 98},
  [15836] = {.lex_state = 98},
  [15837] = {.lex_state = 98},
  [15838] = {.lex_state = 0},
  [15839] = {.lex_state = 98},
  [15840] = {.lex_state = 0},
  [15841] = {.lex_state = 0},
  [15842] = {.lex_state = 98},
  [15843] = {.lex_state = 0},
  [15844] = {.lex_state = 98},
  [15845] = {.lex_state = 98},
  [15846] = {.lex_state = 0},
  [15847] = {.lex_state = 98},
  [15848] = {.lex_state = 98},
  [15849] = {.lex_state = 98},
  [15850] = {.lex_state = 0},
  [15851] = {.lex_state = 98},
  [15852] = {.lex_state = 0, .external_lex_state = 2},
  [15853] = {.lex_state = 98},
  [15854] = {.lex_state = 98},
  [15855] = {.lex_state = 98},
  [15856] = {.lex_state = 98},
  [15857] = {.lex_state = 98},
  [15858] = {.lex_state = 98},
  [15859] = {.lex_state = 0},
  [15860] = {.lex_state = 98},
  [15861] = {.lex_state = 98},
  [15862] = {.lex_state = 98},
  [15863] = {.lex_state = 0},
  [15864] = {.lex_state = 0, .external_lex_state = 3},
  [15865] = {.lex_state = 98},
  [15866] = {.lex_state = 98},
  [15867] = {.lex_state = 98},
  [15868] = {.lex_state = 98},
  [15869] = {.lex_state = 98},
  [15870] = {.lex_state = 98},
  [15871] = {.lex_state = 98},
  [15872] = {.lex_state = 0, .external_lex_state = 3},
  [15873] = {.lex_state = 98},
  [15874] = {.lex_state = 98},
  [15875] = {.lex_state = 98},
  [15876] = {.lex_state = 98},
  [15877] = {.lex_state = 98},
  [15878] = {.lex_state = 98},
  [15879] = {.lex_state = 98},
  [15880] = {.lex_state = 98},
  [15881] = {.lex_state = 98},
  [15882] = {.lex_state = 0, .external_lex_state = 3},
  [15883] = {.lex_state = 98},
  [15884] = {.lex_state = 98},
  [15885] = {.lex_state = 98},
  [15886] = {.lex_state = 98},
  [15887] = {.lex_state = 98},
  [15888] = {.lex_state = 98},
  [15889] = {.lex_state = 98},
  [15890] = {.lex_state = 0, .external_lex_state = 3},
  [15891] = {.lex_state = 98},
  [15892] = {.lex_state = 98},
  [15893] = {.lex_state = 0},
  [15894] = {.lex_state = 98},
  [15895] = {.lex_state = 0},
  [15896] = {.lex_state = 98},
  [15897] = {.lex_state = 98},
  [15898] = {.lex_state = 98},
  [15899] = {.lex_state = 0},
  [15900] = {.lex_state = 98},
  [15901] = {.lex_state = 98},
  [15902] = {.lex_state = 98},
  [15903] = {.lex_state = 0},
  [15904] = {.lex_state = 0},
  [15905] = {.lex_state = 0},
  [15906] = {.lex_state = 98},
  [15907] = {.lex_state = 98},
  [15908] = {.lex_state = 98},
  [15909] = {.lex_state = 98},
  [15910] = {.lex_state = 98},
  [15911] = {.lex_state = 98},
  [15912] = {.lex_state = 98},
  [15913] = {.lex_state = 98},
  [15914] = {.lex_state = 98},
  [15915] = {.lex_state = 98},
  [15916] = {.lex_state = 98},
  [15917] = {.lex_state = 98},
  [15918] = {.lex_state = 98},
  [15919] = {.lex_state = 98},
  [15920] = {.lex_state = 98},
  [15921] = {.lex_state = 98},
  [15922] = {.lex_state = 98},
  [15923] = {.lex_state = 98},
  [15924] = {.lex_state = 98},
  [15925] = {.lex_state = 98},
  [15926] = {.lex_state = 98},
  [15927] = {.lex_state = 98},
  [15928] = {.lex_state = 98},
  [15929] = {.lex_state = 98},
  [15930] = {.lex_state = 98},
  [15931] = {.lex_state = 98},
  [15932] = {.lex_state = 98},
  [15933] = {.lex_state = 0},
  [15934] = {.lex_state = 98},
  [15935] = {.lex_state = 98},
  [15936] = {.lex_state = 98},
  [15937] = {.lex_state = 98},
  [15938] = {.lex_state = 98},
  [15939] = {.lex_state = 98},
  [15940] = {.lex_state = 98},
  [15941] = {.lex_state = 0},
  [15942] = {.lex_state = 98},
  [15943] = {.lex_state = 98},
  [15944] = {.lex_state = 98},
  [15945] = {.lex_state = 98},
  [15946] = {.lex_state = 98},
  [15947] = {.lex_state = 98},
  [15948] = {.lex_state = 98},
  [15949] = {.lex_state = 98},
  [15950] = {.lex_state = 98},
  [15951] = {.lex_state = 98},
  [15952] = {.lex_state = 98},
  [15953] = {.lex_state = 98},
  [15954] = {.lex_state = 98},
  [15955] = {.lex_state = 98},
  [15956] = {.lex_state = 98},
  [15957] = {.lex_state = 98},
  [15958] = {.lex_state = 98},
  [15959] = {.lex_state = 98},
  [15960] = {.lex_state = 98},
  [15961] = {.lex_state = 98},
  [15962] = {.lex_state = 98},
  [15963] = {.lex_state = 98},
  [15964] = {.lex_state = 98},
  [15965] = {.lex_state = 98},
  [15966] = {.lex_state = 98},
  [15967] = {.lex_state = 98},
  [15968] = {.lex_state = 0, .external_lex_state = 2},
  [15969] = {.lex_state = 98},
  [15970] = {.lex_state = 98},
  [15971] = {.lex_state = 98},
  [15972] = {.lex_state = 98},
  [15973] = {.lex_state = 98},
  [15974] = {.lex_state = 0, .external_lex_state = 2},
  [15975] = {.lex_state = 98},
  [15976] = {.lex_state = 0, .external_lex_state = 2},
  [15977] = {.lex_state = 98},
  [15978] = {.lex_state = 98},
  [15979] = {.lex_state = 98},
  [15980] = {.lex_state = 98},
  [15981] = {.lex_state = 98},
  [15982] = {.lex_state = 98},
  [15983] = {.lex_state = 98},
  [15984] = {.lex_state = 98},
  [15985] = {.lex_state = 98},
  [15986] = {.lex_state = 98},
  [15987] = {.lex_state = 98},
  [15988] = {.lex_state = 98},
  [15989] = {.lex_state = 98},
  [15990] = {.lex_state = 98},
  [15991] = {.lex_state = 0},
  [15992] = {.lex_state = 0, .external_lex_state = 2},
  [15993] = {.lex_state = 19},
  [15994] = {.lex_state = 19},
  [15995] = {.lex_state = 0},
  [15996] = {.lex_state = 19},
  [15997] = {.lex_state = 98},
  [15998] = {.lex_state = 0},
  [15999] = {.lex_state = 98},
  [16000] = {.lex_state = 0, .external_lex_state = 2},
  [16001] = {.lex_state = 0, .external_lex_state = 2},
  [16002] = {.lex_state = 98},
  [16003] = {.lex_state = 0},
  [16004] = {.lex_state = 98},
  [16005] = {.lex_state = 98},
  [16006] = {.lex_state = 98},
  [16007] = {.lex_state = 98},
  [16008] = {.lex_state = 0},
  [16009] = {.lex_state = 0, .external_lex_state = 2},
  [16010] = {.lex_state = 98},
  [16011] = {.lex_state = 98},
  [16012] = {.lex_state = 98},
  [16013] = {.lex_state = 98},
  [16014] = {.lex_state = 98},
  [16015] = {.lex_state = 98},
  [16016] = {.lex_state = 0},
  [16017] = {.lex_state = 98},
  [16018] = {.lex_state = 0},
  [16019] = {.lex_state = 16},
  [16020] = {.lex_state = 98},
  [16021] = {.lex_state = 98},
  [16022] = {.lex_state = 0},
  [16023] = {.lex_state = 98},
  [16024] = {.lex_state = 98},
  [16025] = {.lex_state = 19},
  [16026] = {.lex_state = 19},
  [16027] = {.lex_state = 0, .external_lex_state = 2},
  [16028] = {.lex_state = 98},
  [16029] = {.lex_state = 0},
  [16030] = {.lex_state = 98},
  [16031] = {.lex_state = 0},
  [16032] = {.lex_state = 0, .external_lex_state = 2},
  [16033] = {.lex_state = 98},
  [16034] = {.lex_state = 98},
  [16035] = {.lex_state = 98},
  [16036] = {.lex_state = 19},
  [16037] = {.lex_state = 98},
  [16038] = {.lex_state = 0},
  [16039] = {.lex_state = 98},
  [16040] = {.lex_state = 98},
  [16041] = {.lex_state = 98},
  [16042] = {.lex_state = 0},
  [16043] = {.lex_state = 98},
  [16044] = {.lex_state = 98},
  [16045] = {.lex_state = 98},
  [16046] = {.lex_state = 19},
  [16047] = {.lex_state = 0},
  [16048] = {.lex_state = 0},
  [16049] = {.lex_state = 0, .external_lex_state = 2},
  [16050] = {.lex_state = 0},
  [16051] = {.lex_state = 98},
  [16052] = {.lex_state = 98},
  [16053] = {.lex_state = 98},
  [16054] = {.lex_state = 0},
  [16055] = {.lex_state = 19},
  [16056] = {.lex_state = 19},
  [16057] = {.lex_state = 98},
  [16058] = {.lex_state = 19},
  [16059] = {.lex_state = 0},
  [16060] = {.lex_state = 19},
  [16061] = {.lex_state = 0},
  [16062] = {.lex_state = 0},
  [16063] = {.lex_state = 0, .external_lex_state = 2},
  [16064] = {.lex_state = 0},
  [16065] = {.lex_state = 0},
  [16066] = {.lex_state = 98},
  [16067] = {.lex_state = 0, .external_lex_state = 2},
  [16068] = {.lex_state = 0},
  [16069] = {.lex_state = 0},
  [16070] = {.lex_state = 19},
  [16071] = {.lex_state = 0},
  [16072] = {.lex_state = 0},
  [16073] = {.lex_state = 0},
  [16074] = {.lex_state = 98},
  [16075] = {.lex_state = 0},
  [16076] = {.lex_state = 0},
  [16077] = {.lex_state = 98},
  [16078] = {.lex_state = 98},
  [16079] = {.lex_state = 19},
  [16080] = {.lex_state = 19},
  [16081] = {.lex_state = 19},
  [16082] = {.lex_state = 0, .external_lex_state = 2},
  [16083] = {.lex_state = 0},
  [16084] = {.lex_state = 0},
  [16085] = {.lex_state = 0},
  [16086] = {.lex_state = 0},
  [16087] = {.lex_state = 98},
  [16088] = {.lex_state = 98},
  [16089] = {.lex_state = 98},
  [16090] = {.lex_state = 98},
  [16091] = {.lex_state = 0},
  [16092] = {.lex_state = 98},
  [16093] = {.lex_state = 0},
  [16094] = {.lex_state = 0, .external_lex_state = 2},
  [16095] = {.lex_state = 98},
  [16096] = {.lex_state = 0, .external_lex_state = 2},
  [16097] = {.lex_state = 0},
  [16098] = {.lex_state = 0},
  [16099] = {.lex_state = 0},
  [16100] = {.lex_state = 98},
  [16101] = {.lex_state = 98},
  [16102] = {.lex_state = 0},
  [16103] = {.lex_state = 98},
  [16104] = {.lex_state = 0},
  [16105] = {.lex_state = 98},
  [16106] = {.lex_state = 98},
  [16107] = {.lex_state = 0},
  [16108] = {.lex_state = 19},
  [16109] = {.lex_state = 98},
  [16110] = {.lex_state = 0},
  [16111] = {.lex_state = 0, .external_lex_state = 2},
  [16112] = {.lex_state = 0},
  [16113] = {.lex_state = 98},
  [16114] = {.lex_state = 98},
  [16115] = {.lex_state = 98},
  [16116] = {.lex_state = 98},
  [16117] = {.lex_state = 98},
  [16118] = {.lex_state = 0, .external_lex_state = 2},
  [16119] = {.lex_state = 0},
  [16120] = {.lex_state = 98},
  [16121] = {.lex_state = 19},
  [16122] = {.lex_state = 98},
  [16123] = {.lex_state = 98},
  [16124] = {.lex_state = 19},
  [16125] = {.lex_state = 0},
  [16126] = {.lex_state = 0},
  [16127] = {.lex_state = 0},
  [16128] = {.lex_state = 98},
  [16129] = {.lex_state = 98},
  [16130] = {.lex_state = 96},
  [16131] = {.lex_state = 98},
  [16132] = {.lex_state = 98},
  [16133] = {.lex_state = 0},
  [16134] = {.lex_state = 0},
  [16135] = {.lex_state = 19},
  [16136] = {.lex_state = 0},
  [16137] = {.lex_state = 98},
  [16138] = {.lex_state = 0},
  [16139] = {.lex_state = 0},
  [16140] = {.lex_state = 19},
  [16141] = {.lex_state = 0},
  [16142] = {.lex_state = 98},
  [16143] = {.lex_state = 98},
  [16144] = {.lex_state = 0},
  [16145] = {.lex_state = 98},
  [16146] = {.lex_state = 98},
  [16147] = {.lex_state = 0, .external_lex_state = 2},
  [16148] = {.lex_state = 98},
  [16149] = {.lex_state = 0},
  [16150] = {.lex_state = 0},
  [16151] = {.lex_state = 0, .external_lex_state = 2},
  [16152] = {.lex_state = 0},
  [16153] = {.lex_state = 0},
  [16154] = {.lex_state = 19},
  [16155] = {.lex_state = 19},
  [16156] = {.lex_state = 98},
  [16157] = {.lex_state = 0},
  [16158] = {.lex_state = 98},
  [16159] = {.lex_state = 0},
  [16160] = {.lex_state = 98},
  [16161] = {.lex_state = 98},
  [16162] = {.lex_state = 98},
  [16163] = {.lex_state = 0},
  [16164] = {.lex_state = 98},
  [16165] = {.lex_state = 0, .external_lex_state = 2},
  [16166] = {.lex_state = 19},
  [16167] = {.lex_state = 98},
  [16168] = {.lex_state = 0, .external_lex_state = 2},
  [16169] = {.lex_state = 98},
  [16170] = {.lex_state = 0},
  [16171] = {.lex_state = 98},
  [16172] = {.lex_state = 0},
  [16173] = {.lex_state = 0},
  [16174] = {.lex_state = 0},
  [16175] = {.lex_state = 19},
  [16176] = {.lex_state = 0},
  [16177] = {.lex_state = 98},
  [16178] = {.lex_state = 19},
  [16179] = {.lex_state = 0},
  [16180] = {.lex_state = 98},
  [16181] = {.lex_state = 0},
  [16182] = {.lex_state = 0},
  [16183] = {.lex_state = 0, .external_lex_state = 2},
  [16184] = {.lex_state = 0, .external_lex_state = 2},
  [16185] = {.lex_state = 0},
  [16186] = {.lex_state = 0},
  [16187] = {.lex_state = 98},
  [16188] = {.lex_state = 0, .external_lex_state = 2},
  [16189] = {.lex_state = 98},
  [16190] = {.lex_state = 98},
  [16191] = {.lex_state = 98},
  [16192] = {.lex_state = 0},
  [16193] = {.lex_state = 98},
  [16194] = {.lex_state = 0},
  [16195] = {.lex_state = 0},
  [16196] = {.lex_state = 0, .external_lex_state = 2},
  [16197] = {.lex_state = 0},
  [16198] = {.lex_state = 0, .external_lex_state = 2},
  [16199] = {.lex_state = 0},
  [16200] = {.lex_state = 0},
  [16201] = {.lex_state = 19},
  [16202] = {.lex_state = 98},
  [16203] = {.lex_state = 19},
  [16204] = {.lex_state = 98},
  [16205] = {.lex_state = 98},
  [16206] = {.lex_state = 0},
  [16207] = {.lex_state = 0},
  [16208] = {.lex_state = 98},
  [16209] = {.lex_state = 0, .external_lex_state = 2},
  [16210] = {.lex_state = 0, .external_lex_state = 2},
  [16211] = {.lex_state = 0},
  [16212] = {.lex_state = 0},
  [16213] = {.lex_state = 98},
  [16214] = {.lex_state = 0},
  [16215] = {.lex_state = 0, .external_lex_state = 2},
  [16216] = {.lex_state = 0, .external_lex_state = 2},
  [16217] = {.lex_state = 0},
  [16218] = {.lex_state = 0},
  [16219] = {.lex_state = 98},
  [16220] = {.lex_state = 98},
  [16221] = {.lex_state = 98},
  [16222] = {.lex_state = 16},
  [16223] = {.lex_state = 98},
  [16224] = {.lex_state = 98},
  [16225] = {.lex_state = 0},
  [16226] = {.lex_state = 0},
  [16227] = {.lex_state = 0, .external_lex_state = 2},
  [16228] = {.lex_state = 0, .external_lex_state = 2},
  [16229] = {.lex_state = 0, .external_lex_state = 2},
  [16230] = {.lex_state = 0},
  [16231] = {.lex_state = 19},
  [16232] = {.lex_state = 0},
  [16233] = {.lex_state = 0, .external_lex_state = 2},
  [16234] = {.lex_state = 0, .external_lex_state = 2},
  [16235] = {.lex_state = 0},
  [16236] = {.lex_state = 0},
  [16237] = {.lex_state = 98},
  [16238] = {.lex_state = 0, .external_lex_state = 2},
  [16239] = {.lex_state = 98},
  [16240] = {.lex_state = 0},
  [16241] = {.lex_state = 0},
  [16242] = {.lex_state = 0},
  [16243] = {.lex_state = 98},
  [16244] = {.lex_state = 0, .external_lex_state = 2},
  [16245] = {.lex_state = 0},
  [16246] = {.lex_state = 0, .external_lex_state = 2},
  [16247] = {.lex_state = 0},
  [16248] = {.lex_state = 0},
  [16249] = {.lex_state = 98},
  [16250] = {.lex_state = 0},
  [16251] = {.lex_state = 0},
  [16252] = {.lex_state = 0, .external_lex_state = 2},
  [16253] = {.lex_state = 0},
  [16254] = {.lex_state = 0},
  [16255] = {.lex_state = 0, .external_lex_state = 2},
  [16256] = {.lex_state = 0},
  [16257] = {.lex_state = 0, .external_lex_state = 2},
  [16258] = {.lex_state = 0},
  [16259] = {.lex_state = 0},
  [16260] = {.lex_state = 0},
  [16261] = {.lex_state = 0},
  [16262] = {.lex_state = 98},
  [16263] = {.lex_state = 98},
  [16264] = {.lex_state = 98},
  [16265] = {.lex_state = 0, .external_lex_state = 2},
  [16266] = {.lex_state = 98},
  [16267] = {.lex_state = 13},
  [16268] = {.lex_state = 98},
  [16269] = {.lex_state = 19},
  [16270] = {.lex_state = 0},
  [16271] = {.lex_state = 0, .external_lex_state = 2},
  [16272] = {.lex_state = 0},
  [16273] = {.lex_state = 0},
  [16274] = {.lex_state = 0},
  [16275] = {.lex_state = 0, .external_lex_state = 2},
  [16276] = {.lex_state = 0},
  [16277] = {.lex_state = 0},
  [16278] = {.lex_state = 96},
  [16279] = {.lex_state = 0, .external_lex_state = 2},
  [16280] = {.lex_state = 0, .external_lex_state = 2},
  [16281] = {.lex_state = 98},
  [16282] = {.lex_state = 0},
  [16283] = {.lex_state = 19},
  [16284] = {.lex_state = 0},
  [16285] = {.lex_state = 0},
  [16286] = {.lex_state = 0},
  [16287] = {.lex_state = 19},
  [16288] = {.lex_state = 0, .external_lex_state = 2},
  [16289] = {.lex_state = 0},
  [16290] = {.lex_state = 0},
  [16291] = {.lex_state = 0},
  [16292] = {.lex_state = 0},
  [16293] = {.lex_state = 98},
  [16294] = {.lex_state = 0, .external_lex_state = 2},
  [16295] = {.lex_state = 0},
  [16296] = {.lex_state = 98},
  [16297] = {.lex_state = 98},
  [16298] = {.lex_state = 98},
  [16299] = {.lex_state = 0, .external_lex_state = 2},
  [16300] = {.lex_state = 0},
  [16301] = {.lex_state = 16},
  [16302] = {.lex_state = 0},
  [16303] = {.lex_state = 0},
  [16304] = {.lex_state = 0, .external_lex_state = 2},
  [16305] = {.lex_state = 19},
  [16306] = {.lex_state = 98},
  [16307] = {.lex_state = 98},
  [16308] = {.lex_state = 98},
  [16309] = {.lex_state = 0},
  [16310] = {.lex_state = 98},
  [16311] = {.lex_state = 0},
  [16312] = {.lex_state = 98},
  [16313] = {.lex_state = 0, .external_lex_state = 2},
  [16314] = {.lex_state = 0},
  [16315] = {.lex_state = 0, .external_lex_state = 2},
  [16316] = {.lex_state = 0, .external_lex_state = 2},
  [16317] = {.lex_state = 0},
  [16318] = {.lex_state = 98},
  [16319] = {.lex_state = 0},
  [16320] = {.lex_state = 98},
  [16321] = {.lex_state = 98},
  [16322] = {.lex_state = 0, .external_lex_state = 2},
  [16323] = {.lex_state = 0},
  [16324] = {.lex_state = 98},
  [16325] = {.lex_state = 0, .external_lex_state = 2},
  [16326] = {.lex_state = 0},
  [16327] = {.lex_state = 98},
  [16328] = {.lex_state = 0},
  [16329] = {.lex_state = 0},
  [16330] = {.lex_state = 0, .external_lex_state = 2},
  [16331] = {.lex_state = 0},
  [16332] = {.lex_state = 0},
  [16333] = {.lex_state = 0},
  [16334] = {.lex_state = 0, .external_lex_state = 2},
  [16335] = {.lex_state = 0},
  [16336] = {.lex_state = 0},
  [16337] = {.lex_state = 98},
  [16338] = {.lex_state = 0},
  [16339] = {.lex_state = 98},
  [16340] = {.lex_state = 98},
  [16341] = {.lex_state = 19},
  [16342] = {.lex_state = 0},
  [16343] = {.lex_state = 0},
  [16344] = {.lex_state = 0, .external_lex_state = 2},
  [16345] = {.lex_state = 0},
  [16346] = {.lex_state = 0, .external_lex_state = 2},
  [16347] = {.lex_state = 96},
  [16348] = {.lex_state = 0, .external_lex_state = 2},
  [16349] = {.lex_state = 0},
  [16350] = {.lex_state = 98},
  [16351] = {.lex_state = 0},
  [16352] = {.lex_state = 98},
  [16353] = {.lex_state = 0},
  [16354] = {.lex_state = 0},
  [16355] = {.lex_state = 0, .external_lex_state = 2},
  [16356] = {.lex_state = 0},
  [16357] = {.lex_state = 0},
  [16358] = {.lex_state = 0},
  [16359] = {.lex_state = 98},
  [16360] = {.lex_state = 98},
  [16361] = {.lex_state = 0, .external_lex_state = 2},
  [16362] = {.lex_state = 0, .external_lex_state = 2},
  [16363] = {.lex_state = 0, .external_lex_state = 2},
  [16364] = {.lex_state = 0},
  [16365] = {.lex_state = 0},
  [16366] = {.lex_state = 0},
  [16367] = {.lex_state = 0},
  [16368] = {.lex_state = 0},
  [16369] = {.lex_state = 0},
  [16370] = {.lex_state = 0},
  [16371] = {.lex_state = 0},
  [16372] = {.lex_state = 0},
  [16373] = {.lex_state = 0},
  [16374] = {.lex_state = 0},
  [16375] = {.lex_state = 0},
  [16376] = {.lex_state = 0},
  [16377] = {.lex_state = 0},
  [16378] = {.lex_state = 0},
  [16379] = {.lex_state = 0},
  [16380] = {.lex_state = 0},
  [16381] = {.lex_state = 0},
  [16382] = {.lex_state = 0},
  [16383] = {.lex_state = 98},
  [16384] = {.lex_state = 98},
  [16385] = {.lex_state = 98},
  [16386] = {.lex_state = 98},
  [16387] = {.lex_state = 19},
  [16388] = {.lex_state = 98},
  [16389] = {.lex_state = 98},
  [16390] = {.lex_state = 98},
  [16391] = {.lex_state = 98},
  [16392] = {.lex_state = 98},
  [16393] = {.lex_state = 98},
  [16394] = {.lex_state = 98},
  [16395] = {.lex_state = 98},
  [16396] = {.lex_state = 98},
  [16397] = {.lex_state = 98},
  [16398] = {.lex_state = 98},
  [16399] = {.lex_state = 98},
  [16400] = {.lex_state = 98},
  [16401] = {.lex_state = 98},
  [16402] = {.lex_state = 0},
  [16403] = {.lex_state = 0},
  [16404] = {.lex_state = 0},
  [16405] = {.lex_state = 98},
  [16406] = {.lex_state = 98},
  [16407] = {.lex_state = 0},
  [16408] = {.lex_state = 0},
  [16409] = {.lex_state = 0},
  [16410] = {.lex_state = 98},
  [16411] = {.lex_state = 98},
  [16412] = {.lex_state = 0},
  [16413] = {.lex_state = 0},
  [16414] = {.lex_state = 98},
  [16415] = {.lex_state = 0},
  [16416] = {.lex_state = 0},
  [16417] = {.lex_state = 0},
  [16418] = {.lex_state = 0},
  [16419] = {.lex_state = 0},
  [16420] = {.lex_state = 0},
  [16421] = {.lex_state = 98},
  [16422] = {.lex_state = 0},
  [16423] = {.lex_state = 0},
  [16424] = {.lex_state = 0},
  [16425] = {.lex_state = 0},
  [16426] = {.lex_state = 0},
  [16427] = {.lex_state = 98},
  [16428] = {.lex_state = 0},
  [16429] = {.lex_state = 98},
  [16430] = {.lex_state = 98},
  [16431] = {.lex_state = 0},
  [16432] = {.lex_state = 0},
  [16433] = {.lex_state = 0},
  [16434] = {.lex_state = 0},
  [16435] = {.lex_state = 0},
  [16436] = {.lex_state = 0},
  [16437] = {.lex_state = 0},
  [16438] = {.lex_state = 0},
  [16439] = {.lex_state = 0},
  [16440] = {.lex_state = 0},
  [16441] = {.lex_state = 0},
  [16442] = {.lex_state = 98},
  [16443] = {.lex_state = 0},
  [16444] = {.lex_state = 0},
  [16445] = {.lex_state = 0},
  [16446] = {.lex_state = 0},
  [16447] = {.lex_state = 0},
  [16448] = {.lex_state = 98},
  [16449] = {.lex_state = 0},
  [16450] = {.lex_state = 99},
  [16451] = {.lex_state = 0},
  [16452] = {.lex_state = 98},
  [16453] = {.lex_state = 98},
  [16454] = {.lex_state = 0},
  [16455] = {.lex_state = 98},
  [16456] = {.lex_state = 0},
  [16457] = {.lex_state = 98},
  [16458] = {.lex_state = 0},
  [16459] = {.lex_state = 0},
  [16460] = {.lex_state = 0},
  [16461] = {.lex_state = 0},
  [16462] = {.lex_state = 0},
  [16463] = {.lex_state = 0},
  [16464] = {.lex_state = 98},
  [16465] = {.lex_state = 0},
  [16466] = {.lex_state = 0},
  [16467] = {.lex_state = 98},
  [16468] = {.lex_state = 0},
  [16469] = {.lex_state = 0},
  [16470] = {.lex_state = 0},
  [16471] = {.lex_state = 0},
  [16472] = {.lex_state = 0},
  [16473] = {.lex_state = 98},
  [16474] = {.lex_state = 0},
  [16475] = {.lex_state = 0},
  [16476] = {.lex_state = 98},
  [16477] = {.lex_state = 0},
  [16478] = {.lex_state = 0},
  [16479] = {.lex_state = 0},
  [16480] = {.lex_state = 0},
  [16481] = {.lex_state = 0},
  [16482] = {.lex_state = 0},
  [16483] = {.lex_state = 0},
  [16484] = {.lex_state = 0},
  [16485] = {.lex_state = 0},
  [16486] = {.lex_state = 98},
  [16487] = {.lex_state = 0},
  [16488] = {.lex_state = 0},
  [16489] = {.lex_state = 0},
  [16490] = {.lex_state = 98},
  [16491] = {.lex_state = 98},
  [16492] = {.lex_state = 98},
  [16493] = {.lex_state = 0},
  [16494] = {.lex_state = 98},
  [16495] = {.lex_state = 98},
  [16496] = {.lex_state = 98},
  [16497] = {.lex_state = 0},
  [16498] = {.lex_state = 0},
  [16499] = {.lex_state = 0},
  [16500] = {.lex_state = 0},
  [16501] = {.lex_state = 0},
  [16502] = {.lex_state = 0},
  [16503] = {.lex_state = 0},
  [16504] = {.lex_state = 0},
  [16505] = {.lex_state = 0},
  [16506] = {.lex_state = 0},
  [16507] = {.lex_state = 0},
  [16508] = {.lex_state = 0},
  [16509] = {.lex_state = 0},
  [16510] = {.lex_state = 0},
  [16511] = {.lex_state = 0},
  [16512] = {.lex_state = 0},
  [16513] = {.lex_state = 0},
  [16514] = {.lex_state = 0},
  [16515] = {.lex_state = 0},
  [16516] = {.lex_state = 0},
  [16517] = {.lex_state = 0},
  [16518] = {.lex_state = 0},
  [16519] = {.lex_state = 0},
  [16520] = {.lex_state = 98},
  [16521] = {.lex_state = 0},
  [16522] = {.lex_state = 0},
  [16523] = {.lex_state = 0},
  [16524] = {.lex_state = 0},
  [16525] = {.lex_state = 0},
  [16526] = {.lex_state = 98},
  [16527] = {.lex_state = 0},
  [16528] = {.lex_state = 0},
  [16529] = {.lex_state = 0},
  [16530] = {.lex_state = 0},
  [16531] = {.lex_state = 0},
  [16532] = {.lex_state = 0},
  [16533] = {.lex_state = 98},
  [16534] = {.lex_state = 0},
  [16535] = {.lex_state = 0},
  [16536] = {.lex_state = 0},
  [16537] = {.lex_state = 0},
  [16538] = {.lex_state = 0},
  [16539] = {.lex_state = 98},
  [16540] = {.lex_state = 98},
  [16541] = {.lex_state = 0},
  [16542] = {.lex_state = 0},
  [16543] = {.lex_state = 0},
  [16544] = {.lex_state = 0},
  [16545] = {.lex_state = 19},
  [16546] = {.lex_state = 98},
  [16547] = {.lex_state = 0},
  [16548] = {.lex_state = 0},
  [16549] = {.lex_state = 0},
  [16550] = {.lex_state = 0},
  [16551] = {.lex_state = 0},
  [16552] = {.lex_state = 0},
  [16553] = {.lex_state = 0},
  [16554] = {.lex_state = 0},
  [16555] = {.lex_state = 0},
  [16556] = {.lex_state = 0},
  [16557] = {.lex_state = 98},
  [16558] = {.lex_state = 0},
  [16559] = {.lex_state = 0},
  [16560] = {.lex_state = 0},
  [16561] = {.lex_state = 0},
  [16562] = {.lex_state = 0},
  [16563] = {.lex_state = 0},
  [16564] = {.lex_state = 0},
  [16565] = {.lex_state = 0},
  [16566] = {.lex_state = 0},
  [16567] = {.lex_state = 0},
  [16568] = {.lex_state = 0},
  [16569] = {.lex_state = 0},
  [16570] = {.lex_state = 0},
  [16571] = {.lex_state = 0},
  [16572] = {.lex_state = 0},
  [16573] = {.lex_state = 0},
  [16574] = {.lex_state = 0},
  [16575] = {.lex_state = 0},
  [16576] = {.lex_state = 0},
  [16577] = {.lex_state = 0},
  [16578] = {.lex_state = 0},
  [16579] = {.lex_state = 0},
  [16580] = {.lex_state = 0},
  [16581] = {.lex_state = 0},
  [16582] = {.lex_state = 98},
  [16583] = {.lex_state = 0},
  [16584] = {.lex_state = 0},
  [16585] = {.lex_state = 0},
  [16586] = {.lex_state = 0},
  [16587] = {.lex_state = 0},
  [16588] = {.lex_state = 0},
  [16589] = {.lex_state = 0},
  [16590] = {.lex_state = 0},
  [16591] = {.lex_state = 0},
  [16592] = {.lex_state = 98},
  [16593] = {.lex_state = 0},
  [16594] = {.lex_state = 0},
  [16595] = {.lex_state = 0},
  [16596] = {.lex_state = 0},
  [16597] = {.lex_state = 0},
  [16598] = {.lex_state = 98},
  [16599] = {.lex_state = 0},
  [16600] = {.lex_state = 0},
  [16601] = {.lex_state = 98},
  [16602] = {.lex_state = 0},
  [16603] = {.lex_state = 0},
  [16604] = {.lex_state = 0},
  [16605] = {.lex_state = 98},
  [16606] = {.lex_state = 0},
  [16607] = {.lex_state = 98},
  [16608] = {.lex_state = 0},
  [16609] = {.lex_state = 0},
  [16610] = {.lex_state = 0},
  [16611] = {.lex_state = 0, .external_lex_state = 4},
  [16612] = {.lex_state = 0, .external_lex_state = 4},
  [16613] = {.lex_state = 98},
  [16614] = {.lex_state = 0},
  [16615] = {.lex_state = 0},
  [16616] = {.lex_state = 98},
  [16617] = {.lex_state = 0},
  [16618] = {.lex_state = 0},
  [16619] = {.lex_state = 0},
  [16620] = {.lex_state = 0},
  [16621] = {.lex_state = 0},
  [16622] = {.lex_state = 0},
  [16623] = {.lex_state = 0},
  [16624] = {.lex_state = 0},
  [16625] = {.lex_state = 0},
  [16626] = {.lex_state = 0},
  [16627] = {.lex_state = 0},
  [16628] = {.lex_state = 0},
  [16629] = {.lex_state = 0},
  [16630] = {.lex_state = 98},
  [16631] = {.lex_state = 0},
  [16632] = {.lex_state = 0},
  [16633] = {.lex_state = 0},
  [16634] = {.lex_state = 0},
  [16635] = {.lex_state = 0},
  [16636] = {.lex_state = 0},
  [16637] = {.lex_state = 0},
  [16638] = {.lex_state = 0},
  [16639] = {.lex_state = 0},
  [16640] = {.lex_state = 0},
  [16641] = {.lex_state = 0},
  [16642] = {.lex_state = 0},
  [16643] = {.lex_state = 0},
  [16644] = {.lex_state = 0},
  [16645] = {.lex_state = 0},
  [16646] = {.lex_state = 0},
  [16647] = {.lex_state = 98},
  [16648] = {.lex_state = 98},
  [16649] = {.lex_state = 0},
  [16650] = {.lex_state = 0},
  [16651] = {.lex_state = 98},
  [16652] = {.lex_state = 0},
  [16653] = {.lex_state = 0},
  [16654] = {.lex_state = 0},
  [16655] = {.lex_state = 0},
  [16656] = {.lex_state = 0},
  [16657] = {.lex_state = 98},
  [16658] = {.lex_state = 0},
  [16659] = {.lex_state = 0},
  [16660] = {.lex_state = 98},
  [16661] = {.lex_state = 0},
  [16662] = {.lex_state = 0},
  [16663] = {.lex_state = 0},
  [16664] = {.lex_state = 0},
  [16665] = {.lex_state = 0},
  [16666] = {.lex_state = 0},
  [16667] = {.lex_state = 0},
  [16668] = {.lex_state = 0},
  [16669] = {.lex_state = 0},
  [16670] = {.lex_state = 0},
  [16671] = {.lex_state = 0},
  [16672] = {.lex_state = 98},
  [16673] = {.lex_state = 0},
  [16674] = {.lex_state = 0},
  [16675] = {.lex_state = 0},
  [16676] = {.lex_state = 0},
  [16677] = {.lex_state = 0},
  [16678] = {.lex_state = 0},
  [16679] = {.lex_state = 0},
  [16680] = {.lex_state = 0},
  [16681] = {.lex_state = 0},
  [16682] = {.lex_state = 0},
  [16683] = {.lex_state = 0},
  [16684] = {.lex_state = 0},
  [16685] = {.lex_state = 0},
  [16686] = {.lex_state = 0},
  [16687] = {.lex_state = 0},
  [16688] = {.lex_state = 0},
  [16689] = {.lex_state = 0},
  [16690] = {.lex_state = 0},
  [16691] = {.lex_state = 0},
  [16692] = {.lex_state = 0},
  [16693] = {.lex_state = 0},
  [16694] = {.lex_state = 0},
  [16695] = {.lex_state = 0},
  [16696] = {.lex_state = 0},
  [16697] = {.lex_state = 0},
  [16698] = {.lex_state = 0},
  [16699] = {.lex_state = 0},
  [16700] = {.lex_state = 0},
  [16701] = {.lex_state = 0},
  [16702] = {.lex_state = 0},
  [16703] = {.lex_state = 0},
  [16704] = {.lex_state = 0},
  [16705] = {.lex_state = 0},
  [16706] = {.lex_state = 98},
  [16707] = {.lex_state = 0},
  [16708] = {.lex_state = 0},
  [16709] = {.lex_state = 0},
  [16710] = {.lex_state = 98},
  [16711] = {.lex_state = 0},
  [16712] = {.lex_state = 0},
  [16713] = {.lex_state = 0},
  [16714] = {.lex_state = 0},
  [16715] = {.lex_state = 0},
  [16716] = {.lex_state = 0},
  [16717] = {.lex_state = 0},
  [16718] = {.lex_state = 0},
  [16719] = {.lex_state = 0},
  [16720] = {.lex_state = 0},
  [16721] = {.lex_state = 0},
  [16722] = {.lex_state = 98},
  [16723] = {.lex_state = 0},
  [16724] = {.lex_state = 0},
  [16725] = {.lex_state = 0},
  [16726] = {.lex_state = 0},
  [16727] = {.lex_state = 0},
  [16728] = {.lex_state = 98},
  [16729] = {.lex_state = 0},
  [16730] = {.lex_state = 0},
  [16731] = {.lex_state = 0},
  [16732] = {.lex_state = 0},
  [16733] = {.lex_state = 0},
  [16734] = {.lex_state = 0},
  [16735] = {.lex_state = 0},
  [16736] = {.lex_state = 0},
  [16737] = {.lex_state = 0},
  [16738] = {.lex_state = 0},
  [16739] = {.lex_state = 0},
  [16740] = {.lex_state = 0},
  [16741] = {.lex_state = 0},
  [16742] = {.lex_state = 0},
  [16743] = {.lex_state = 0},
  [16744] = {.lex_state = 0},
  [16745] = {.lex_state = 0},
  [16746] = {.lex_state = 0},
  [16747] = {.lex_state = 0},
  [16748] = {.lex_state = 0},
  [16749] = {.lex_state = 0},
  [16750] = {.lex_state = 0},
  [16751] = {.lex_state = 0},
  [16752] = {.lex_state = 0},
  [16753] = {.lex_state = 0},
  [16754] = {.lex_state = 0},
  [16755] = {.lex_state = 0},
  [16756] = {.lex_state = 0},
  [16757] = {.lex_state = 0},
  [16758] = {.lex_state = 0},
  [16759] = {.lex_state = 0},
  [16760] = {.lex_state = 0},
  [16761] = {.lex_state = 0},
  [16762] = {.lex_state = 0},
  [16763] = {.lex_state = 0},
  [16764] = {.lex_state = 0},
  [16765] = {.lex_state = 0},
  [16766] = {.lex_state = 0},
  [16767] = {.lex_state = 0},
  [16768] = {.lex_state = 0},
  [16769] = {.lex_state = 0},
  [16770] = {.lex_state = 0},
  [16771] = {.lex_state = 0},
  [16772] = {.lex_state = 0},
  [16773] = {.lex_state = 0},
  [16774] = {.lex_state = 0, .external_lex_state = 4},
  [16775] = {.lex_state = 0},
  [16776] = {.lex_state = 98},
  [16777] = {.lex_state = 0},
  [16778] = {.lex_state = 0},
  [16779] = {.lex_state = 0},
  [16780] = {.lex_state = 0},
  [16781] = {.lex_state = 0},
  [16782] = {.lex_state = 0},
  [16783] = {.lex_state = 0},
  [16784] = {.lex_state = 0},
  [16785] = {.lex_state = 0},
  [16786] = {.lex_state = 0},
  [16787] = {.lex_state = 0},
  [16788] = {.lex_state = 0},
  [16789] = {.lex_state = 0},
  [16790] = {.lex_state = 0},
  [16791] = {.lex_state = 0},
  [16792] = {.lex_state = 0},
  [16793] = {.lex_state = 0},
  [16794] = {.lex_state = 0},
  [16795] = {.lex_state = 0},
  [16796] = {.lex_state = 0},
  [16797] = {.lex_state = 0},
  [16798] = {.lex_state = 0},
  [16799] = {.lex_state = 0},
  [16800] = {.lex_state = 0},
  [16801] = {.lex_state = 0},
  [16802] = {.lex_state = 0},
  [16803] = {.lex_state = 0},
  [16804] = {.lex_state = 0},
  [16805] = {.lex_state = 0},
  [16806] = {.lex_state = 0},
  [16807] = {.lex_state = 0},
  [16808] = {.lex_state = 0},
  [16809] = {.lex_state = 0},
  [16810] = {.lex_state = 0},
  [16811] = {.lex_state = 0},
  [16812] = {.lex_state = 0},
  [16813] = {.lex_state = 0},
  [16814] = {.lex_state = 0},
  [16815] = {.lex_state = 0},
  [16816] = {.lex_state = 0},
  [16817] = {.lex_state = 0},
  [16818] = {.lex_state = 0},
  [16819] = {.lex_state = 0},
  [16820] = {.lex_state = 0},
  [16821] = {.lex_state = 0},
  [16822] = {.lex_state = 0},
  [16823] = {.lex_state = 0},
  [16824] = {.lex_state = 0},
  [16825] = {.lex_state = 0},
  [16826] = {.lex_state = 0},
  [16827] = {.lex_state = 0},
  [16828] = {.lex_state = 0},
  [16829] = {.lex_state = 0},
  [16830] = {.lex_state = 0},
  [16831] = {.lex_state = 0},
  [16832] = {.lex_state = 0},
  [16833] = {.lex_state = 0},
  [16834] = {.lex_state = 98},
  [16835] = {.lex_state = 0},
  [16836] = {.lex_state = 0},
  [16837] = {.lex_state = 0},
  [16838] = {.lex_state = 98},
  [16839] = {.lex_state = 98},
  [16840] = {.lex_state = 0},
  [16841] = {.lex_state = 98},
  [16842] = {.lex_state = 0},
  [16843] = {.lex_state = 0},
  [16844] = {.lex_state = 0},
  [16845] = {.lex_state = 0},
  [16846] = {.lex_state = 0},
  [16847] = {.lex_state = 0},
  [16848] = {.lex_state = 0},
  [16849] = {.lex_state = 0},
  [16850] = {.lex_state = 0},
  [16851] = {.lex_state = 98},
  [16852] = {.lex_state = 0},
  [16853] = {.lex_state = 0},
  [16854] = {.lex_state = 0},
  [16855] = {.lex_state = 0},
  [16856] = {.lex_state = 0},
  [16857] = {.lex_state = 0},
  [16858] = {.lex_state = 0},
  [16859] = {.lex_state = 0},
  [16860] = {.lex_state = 0},
  [16861] = {.lex_state = 0},
  [16862] = {.lex_state = 98},
  [16863] = {.lex_state = 98},
  [16864] = {.lex_state = 0},
  [16865] = {.lex_state = 98},
  [16866] = {.lex_state = 98},
  [16867] = {.lex_state = 0},
  [16868] = {.lex_state = 0},
  [16869] = {.lex_state = 0},
  [16870] = {.lex_state = 98},
  [16871] = {.lex_state = 0},
  [16872] = {.lex_state = 0},
  [16873] = {.lex_state = 0},
  [16874] = {.lex_state = 0},
  [16875] = {.lex_state = 0},
  [16876] = {.lex_state = 0},
  [16877] = {.lex_state = 0},
  [16878] = {.lex_state = 0},
  [16879] = {.lex_state = 0},
  [16880] = {.lex_state = 0},
  [16881] = {.lex_state = 0},
  [16882] = {.lex_state = 0},
  [16883] = {.lex_state = 98},
  [16884] = {.lex_state = 98},
  [16885] = {.lex_state = 0},
  [16886] = {.lex_state = 0},
  [16887] = {.lex_state = 0},
  [16888] = {.lex_state = 0},
  [16889] = {.lex_state = 0},
  [16890] = {.lex_state = 0},
  [16891] = {.lex_state = 0},
  [16892] = {.lex_state = 0},
  [16893] = {.lex_state = 20},
  [16894] = {.lex_state = 0},
  [16895] = {.lex_state = 0},
  [16896] = {.lex_state = 98},
  [16897] = {.lex_state = 98},
  [16898] = {.lex_state = 98},
  [16899] = {.lex_state = 0},
  [16900] = {.lex_state = 98},
  [16901] = {.lex_state = 0},
  [16902] = {.lex_state = 0},
  [16903] = {.lex_state = 0},
  [16904] = {.lex_state = 0},
  [16905] = {.lex_state = 0},
  [16906] = {.lex_state = 0},
  [16907] = {.lex_state = 0},
  [16908] = {.lex_state = 0},
  [16909] = {.lex_state = 0},
  [16910] = {.lex_state = 0},
  [16911] = {.lex_state = 0},
  [16912] = {.lex_state = 0},
  [16913] = {.lex_state = 0},
  [16914] = {.lex_state = 0},
  [16915] = {.lex_state = 0},
  [16916] = {.lex_state = 0},
  [16917] = {.lex_state = 0},
  [16918] = {.lex_state = 0},
  [16919] = {.lex_state = 0},
  [16920] = {.lex_state = 98},
  [16921] = {.lex_state = 0},
  [16922] = {.lex_state = 0},
  [16923] = {.lex_state = 0},
  [16924] = {.lex_state = 0},
  [16925] = {.lex_state = 0},
  [16926] = {.lex_state = 0},
  [16927] = {.lex_state = 0},
  [16928] = {.lex_state = 0},
  [16929] = {.lex_state = 0},
  [16930] = {.lex_state = 0},
  [16931] = {.lex_state = 0},
  [16932] = {.lex_state = 0},
  [16933] = {.lex_state = 0},
  [16934] = {.lex_state = 0},
  [16935] = {.lex_state = 0},
  [16936] = {.lex_state = 0},
  [16937] = {.lex_state = 0},
  [16938] = {.lex_state = 0},
  [16939] = {.lex_state = 0},
  [16940] = {.lex_state = 0},
  [16941] = {.lex_state = 0},
  [16942] = {.lex_state = 0},
  [16943] = {.lex_state = 0},
  [16944] = {.lex_state = 98},
  [16945] = {.lex_state = 0},
  [16946] = {.lex_state = 0},
  [16947] = {.lex_state = 0},
  [16948] = {.lex_state = 0},
  [16949] = {.lex_state = 0},
  [16950] = {.lex_state = 0},
  [16951] = {.lex_state = 0},
  [16952] = {.lex_state = 0},
  [16953] = {.lex_state = 0},
  [16954] = {.lex_state = 0},
  [16955] = {.lex_state = 0},
  [16956] = {.lex_state = 0},
  [16957] = {.lex_state = 0},
  [16958] = {.lex_state = 0},
  [16959] = {.lex_state = 0},
  [16960] = {.lex_state = 0},
  [16961] = {.lex_state = 0},
  [16962] = {.lex_state = 98},
  [16963] = {.lex_state = 0},
  [16964] = {.lex_state = 0},
  [16965] = {.lex_state = 0},
  [16966] = {.lex_state = 0},
  [16967] = {.lex_state = 0},
  [16968] = {.lex_state = 0},
  [16969] = {.lex_state = 0},
  [16970] = {.lex_state = 0},
  [16971] = {.lex_state = 0},
  [16972] = {.lex_state = 0},
  [16973] = {.lex_state = 0},
  [16974] = {.lex_state = 0},
  [16975] = {.lex_state = 0},
  [16976] = {.lex_state = 0},
  [16977] = {.lex_state = 98},
  [16978] = {.lex_state = 0},
  [16979] = {.lex_state = 0},
  [16980] = {.lex_state = 0},
  [16981] = {.lex_state = 0},
  [16982] = {.lex_state = 0},
  [16983] = {.lex_state = 0},
  [16984] = {.lex_state = 0},
  [16985] = {.lex_state = 0},
  [16986] = {.lex_state = 0},
  [16987] = {.lex_state = 98},
  [16988] = {.lex_state = 0},
  [16989] = {.lex_state = 0},
  [16990] = {.lex_state = 0},
  [16991] = {.lex_state = 0},
  [16992] = {.lex_state = 0},
  [16993] = {.lex_state = 0},
  [16994] = {.lex_state = 0},
  [16995] = {.lex_state = 0},
  [16996] = {.lex_state = 0},
  [16997] = {.lex_state = 0},
  [16998] = {.lex_state = 0},
  [16999] = {.lex_state = 0},
  [17000] = {.lex_state = 0},
  [17001] = {.lex_state = 0},
  [17002] = {.lex_state = 0},
  [17003] = {.lex_state = 98},
  [17004] = {.lex_state = 98},
  [17005] = {.lex_state = 0},
  [17006] = {.lex_state = 0},
  [17007] = {.lex_state = 0},
  [17008] = {.lex_state = 0},
  [17009] = {.lex_state = 0},
  [17010] = {.lex_state = 0},
  [17011] = {.lex_state = 0},
  [17012] = {.lex_state = 0},
  [17013] = {.lex_state = 0},
  [17014] = {.lex_state = 0},
  [17015] = {.lex_state = 0},
  [17016] = {.lex_state = 0},
  [17017] = {.lex_state = 0},
  [17018] = {.lex_state = 0},
  [17019] = {.lex_state = 0},
  [17020] = {.lex_state = 0},
  [17021] = {.lex_state = 0},
  [17022] = {.lex_state = 0},
  [17023] = {.lex_state = 0},
  [17024] = {.lex_state = 0},
  [17025] = {.lex_state = 0},
  [17026] = {.lex_state = 0},
  [17027] = {.lex_state = 0},
  [17028] = {.lex_state = 0},
  [17029] = {.lex_state = 0},
  [17030] = {.lex_state = 0},
  [17031] = {.lex_state = 0},
  [17032] = {.lex_state = 0},
  [17033] = {.lex_state = 0, .external_lex_state = 4},
  [17034] = {.lex_state = 0},
  [17035] = {.lex_state = 0},
  [17036] = {.lex_state = 0},
  [17037] = {.lex_state = 0},
  [17038] = {.lex_state = 0},
  [17039] = {.lex_state = 98},
  [17040] = {.lex_state = 0},
  [17041] = {.lex_state = 0},
  [17042] = {.lex_state = 0},
  [17043] = {.lex_state = 0},
  [17044] = {.lex_state = 0},
  [17045] = {.lex_state = 0},
  [17046] = {.lex_state = 0},
  [17047] = {.lex_state = 0},
  [17048] = {.lex_state = 0},
  [17049] = {.lex_state = 0},
  [17050] = {.lex_state = 98},
  [17051] = {.lex_state = 0},
  [17052] = {.lex_state = 0},
  [17053] = {.lex_state = 0},
  [17054] = {.lex_state = 0},
  [17055] = {.lex_state = 0},
  [17056] = {.lex_state = 0},
  [17057] = {.lex_state = 0},
  [17058] = {.lex_state = 98},
  [17059] = {.lex_state = 0},
  [17060] = {.lex_state = 0},
  [17061] = {.lex_state = 0},
  [17062] = {.lex_state = 0},
  [17063] = {.lex_state = 0},
  [17064] = {.lex_state = 0},
  [17065] = {.lex_state = 0},
  [17066] = {.lex_state = 0},
  [17067] = {.lex_state = 98},
  [17068] = {.lex_state = 0},
  [17069] = {.lex_state = 0},
  [17070] = {.lex_state = 0},
  [17071] = {.lex_state = 98},
  [17072] = {.lex_state = 98},
  [17073] = {.lex_state = 0},
  [17074] = {.lex_state = 0},
  [17075] = {.lex_state = 0},
  [17076] = {.lex_state = 0},
  [17077] = {.lex_state = 0},
  [17078] = {.lex_state = 0},
  [17079] = {.lex_state = 0},
  [17080] = {.lex_state = 0},
  [17081] = {.lex_state = 0},
  [17082] = {.lex_state = 0},
  [17083] = {.lex_state = 0},
  [17084] = {.lex_state = 0},
  [17085] = {.lex_state = 0},
  [17086] = {.lex_state = 98},
  [17087] = {.lex_state = 98},
  [17088] = {.lex_state = 0},
  [17089] = {.lex_state = 0},
  [17090] = {.lex_state = 98},
  [17091] = {.lex_state = 0},
  [17092] = {.lex_state = 98},
  [17093] = {.lex_state = 98},
  [17094] = {.lex_state = 0},
  [17095] = {.lex_state = 0},
  [17096] = {.lex_state = 0},
  [17097] = {.lex_state = 98},
  [17098] = {.lex_state = 98},
  [17099] = {.lex_state = 91},
  [17100] = {.lex_state = 0},
  [17101] = {.lex_state = 0},
  [17102] = {.lex_state = 0},
  [17103] = {.lex_state = 0},
  [17104] = {.lex_state = 0},
  [17105] = {.lex_state = 0},
  [17106] = {.lex_state = 0},
  [17107] = {.lex_state = 0},
  [17108] = {.lex_state = 0},
  [17109] = {.lex_state = 0},
  [17110] = {.lex_state = 0},
  [17111] = {.lex_state = 0},
  [17112] = {.lex_state = 0},
  [17113] = {.lex_state = 0},
  [17114] = {.lex_state = 0},
  [17115] = {.lex_state = 0},
  [17116] = {.lex_state = 0},
  [17117] = {.lex_state = 0},
  [17118] = {.lex_state = 0},
  [17119] = {.lex_state = 0},
  [17120] = {.lex_state = 0},
  [17121] = {.lex_state = 0},
  [17122] = {.lex_state = 0},
  [17123] = {.lex_state = 0},
  [17124] = {.lex_state = 0},
  [17125] = {.lex_state = 0},
  [17126] = {.lex_state = 0},
  [17127] = {.lex_state = 0},
  [17128] = {.lex_state = 98},
  [17129] = {.lex_state = 0},
  [17130] = {.lex_state = 0},
  [17131] = {.lex_state = 0},
  [17132] = {.lex_state = 0},
  [17133] = {.lex_state = 0},
  [17134] = {.lex_state = 0},
  [17135] = {.lex_state = 0, .external_lex_state = 4},
  [17136] = {.lex_state = 0},
  [17137] = {.lex_state = 0},
  [17138] = {.lex_state = 0},
  [17139] = {.lex_state = 0},
  [17140] = {.lex_state = 0},
  [17141] = {.lex_state = 0},
  [17142] = {.lex_state = 0},
  [17143] = {.lex_state = 0},
  [17144] = {.lex_state = 0},
  [17145] = {.lex_state = 0},
  [17146] = {.lex_state = 0},
  [17147] = {.lex_state = 0},
  [17148] = {.lex_state = 0},
  [17149] = {.lex_state = 0},
  [17150] = {.lex_state = 0},
  [17151] = {.lex_state = 0},
  [17152] = {.lex_state = 0},
  [17153] = {.lex_state = 0},
  [17154] = {.lex_state = 0},
  [17155] = {.lex_state = 0},
  [17156] = {.lex_state = 0},
  [17157] = {.lex_state = 0},
  [17158] = {.lex_state = 0},
  [17159] = {.lex_state = 0},
  [17160] = {.lex_state = 0},
  [17161] = {.lex_state = 0},
  [17162] = {.lex_state = 0},
  [17163] = {.lex_state = 0},
  [17164] = {.lex_state = 0},
  [17165] = {.lex_state = 0},
  [17166] = {.lex_state = 0},
  [17167] = {.lex_state = 0},
  [17168] = {.lex_state = 0},
  [17169] = {.lex_state = 0},
  [17170] = {.lex_state = 0},
  [17171] = {.lex_state = 0},
  [17172] = {.lex_state = 0},
  [17173] = {.lex_state = 0},
  [17174] = {.lex_state = 0},
  [17175] = {.lex_state = 0},
  [17176] = {.lex_state = 0},
  [17177] = {.lex_state = 0},
  [17178] = {.lex_state = 98},
  [17179] = {.lex_state = 0},
  [17180] = {.lex_state = 0},
  [17181] = {.lex_state = 0},
  [17182] = {.lex_state = 98},
  [17183] = {.lex_state = 98},
  [17184] = {.lex_state = 0},
  [17185] = {.lex_state = 0},
  [17186] = {.lex_state = 0},
  [17187] = {.lex_state = 98},
  [17188] = {.lex_state = 0},
  [17189] = {.lex_state = 0},
  [17190] = {.lex_state = 91},
  [17191] = {.lex_state = 0},
  [17192] = {.lex_state = 0},
  [17193] = {.lex_state = 0},
  [17194] = {.lex_state = 0},
  [17195] = {.lex_state = 0},
  [17196] = {.lex_state = 0},
  [17197] = {.lex_state = 0},
  [17198] = {.lex_state = 0},
  [17199] = {.lex_state = 0},
  [17200] = {.lex_state = 0},
  [17201] = {.lex_state = 0},
  [17202] = {.lex_state = 0},
  [17203] = {.lex_state = 0},
  [17204] = {.lex_state = 0},
  [17205] = {.lex_state = 0},
  [17206] = {.lex_state = 0},
  [17207] = {.lex_state = 0},
  [17208] = {.lex_state = 0},
  [17209] = {.lex_state = 0},
  [17210] = {.lex_state = 0},
  [17211] = {.lex_state = 0},
  [17212] = {.lex_state = 0},
  [17213] = {.lex_state = 0},
  [17214] = {.lex_state = 0},
  [17215] = {.lex_state = 0},
  [17216] = {.lex_state = 0},
  [17217] = {.lex_state = 0},
  [17218] = {.lex_state = 0},
  [17219] = {.lex_state = 0},
  [17220] = {.lex_state = 0},
  [17221] = {.lex_state = 0},
  [17222] = {.lex_state = 0},
  [17223] = {.lex_state = 0},
  [17224] = {.lex_state = 0},
  [17225] = {.lex_state = 0, .external_lex_state = 4},
  [17226] = {.lex_state = 0},
  [17227] = {.lex_state = 0},
  [17228] = {.lex_state = 0},
  [17229] = {.lex_state = 0},
  [17230] = {.lex_state = 0},
  [17231] = {.lex_state = 0},
  [17232] = {.lex_state = 0},
  [17233] = {.lex_state = 0},
  [17234] = {.lex_state = 0},
  [17235] = {.lex_state = 0},
  [17236] = {.lex_state = 0},
  [17237] = {.lex_state = 0},
  [17238] = {.lex_state = 0},
  [17239] = {.lex_state = 0},
  [17240] = {.lex_state = 0},
  [17241] = {.lex_state = 0},
  [17242] = {.lex_state = 0},
  [17243] = {.lex_state = 0},
  [17244] = {.lex_state = 0},
  [17245] = {.lex_state = 0},
  [17246] = {.lex_state = 0},
  [17247] = {.lex_state = 0},
  [17248] = {.lex_state = 0},
  [17249] = {.lex_state = 0},
  [17250] = {.lex_state = 0},
  [17251] = {.lex_state = 0},
  [17252] = {.lex_state = 0},
  [17253] = {.lex_state = 0},
  [17254] = {.lex_state = 0},
  [17255] = {.lex_state = 98},
  [17256] = {.lex_state = 98},
  [17257] = {.lex_state = 0},
  [17258] = {.lex_state = 0},
  [17259] = {.lex_state = 0},
  [17260] = {.lex_state = 0},
  [17261] = {.lex_state = 0},
  [17262] = {.lex_state = 0},
  [17263] = {.lex_state = 0},
  [17264] = {.lex_state = 0},
  [17265] = {.lex_state = 0},
  [17266] = {.lex_state = 0},
  [17267] = {.lex_state = 0},
  [17268] = {.lex_state = 0},
  [17269] = {.lex_state = 0},
  [17270] = {.lex_state = 0},
  [17271] = {.lex_state = 0},
  [17272] = {.lex_state = 0},
  [17273] = {.lex_state = 0},
  [17274] = {.lex_state = 0},
  [17275] = {.lex_state = 98},
  [17276] = {.lex_state = 0},
  [17277] = {.lex_state = 0},
  [17278] = {.lex_state = 98},
  [17279] = {.lex_state = 0},
  [17280] = {.lex_state = 0},
  [17281] = {.lex_state = 98},
  [17282] = {.lex_state = 0},
  [17283] = {.lex_state = 0},
  [17284] = {.lex_state = 98},
  [17285] = {.lex_state = 0},
  [17286] = {.lex_state = 0},
  [17287] = {.lex_state = 0},
  [17288] = {.lex_state = 0},
  [17289] = {.lex_state = 0},
  [17290] = {.lex_state = 0},
  [17291] = {.lex_state = 0},
  [17292] = {.lex_state = 0},
  [17293] = {.lex_state = 0},
  [17294] = {.lex_state = 98},
  [17295] = {.lex_state = 0},
  [17296] = {.lex_state = 91},
  [17297] = {.lex_state = 0},
  [17298] = {.lex_state = 0},
  [17299] = {.lex_state = 0},
  [17300] = {.lex_state = 0},
  [17301] = {.lex_state = 0},
  [17302] = {.lex_state = 0},
  [17303] = {.lex_state = 0},
  [17304] = {.lex_state = 0},
  [17305] = {.lex_state = 0},
  [17306] = {.lex_state = 98},
  [17307] = {.lex_state = 0},
  [17308] = {.lex_state = 0},
  [17309] = {.lex_state = 0},
  [17310] = {.lex_state = 0},
  [17311] = {.lex_state = 0},
  [17312] = {.lex_state = 0},
  [17313] = {.lex_state = 0},
  [17314] = {.lex_state = 0},
  [17315] = {.lex_state = 0},
  [17316] = {.lex_state = 0},
  [17317] = {.lex_state = 0},
  [17318] = {.lex_state = 0},
  [17319] = {.lex_state = 0},
  [17320] = {.lex_state = 0},
  [17321] = {.lex_state = 0},
  [17322] = {.lex_state = 0},
  [17323] = {.lex_state = 0},
  [17324] = {.lex_state = 0},
  [17325] = {.lex_state = 0},
  [17326] = {.lex_state = 0},
  [17327] = {.lex_state = 0},
  [17328] = {.lex_state = 0},
  [17329] = {.lex_state = 98},
  [17330] = {.lex_state = 0},
  [17331] = {.lex_state = 0},
  [17332] = {.lex_state = 0},
  [17333] = {.lex_state = 0},
  [17334] = {.lex_state = 0},
  [17335] = {.lex_state = 0},
  [17336] = {.lex_state = 0},
  [17337] = {.lex_state = 0},
  [17338] = {.lex_state = 0},
  [17339] = {.lex_state = 0},
  [17340] = {.lex_state = 0},
  [17341] = {.lex_state = 0},
  [17342] = {.lex_state = 0, .external_lex_state = 4},
  [17343] = {.lex_state = 0},
  [17344] = {.lex_state = 0},
  [17345] = {.lex_state = 0},
  [17346] = {.lex_state = 0},
  [17347] = {.lex_state = 0},
  [17348] = {.lex_state = 0},
  [17349] = {.lex_state = 0},
  [17350] = {.lex_state = 98},
  [17351] = {.lex_state = 0},
  [17352] = {.lex_state = 0},
  [17353] = {.lex_state = 0},
  [17354] = {.lex_state = 19},
  [17355] = {.lex_state = 0},
  [17356] = {.lex_state = 0},
  [17357] = {.lex_state = 0},
  [17358] = {.lex_state = 0},
  [17359] = {.lex_state = 0},
  [17360] = {.lex_state = 0},
  [17361] = {.lex_state = 0},
  [17362] = {.lex_state = 0},
  [17363] = {.lex_state = 98},
  [17364] = {.lex_state = 98},
  [17365] = {.lex_state = 0},
  [17366] = {.lex_state = 0},
  [17367] = {.lex_state = 0},
  [17368] = {.lex_state = 0},
  [17369] = {.lex_state = 19},
  [17370] = {.lex_state = 0},
  [17371] = {.lex_state = 98},
  [17372] = {.lex_state = 0},
  [17373] = {.lex_state = 0},
  [17374] = {.lex_state = 0},
  [17375] = {.lex_state = 0},
  [17376] = {.lex_state = 0},
  [17377] = {.lex_state = 0},
  [17378] = {.lex_state = 0},
  [17379] = {.lex_state = 0},
  [17380] = {.lex_state = 0},
  [17381] = {.lex_state = 0},
  [17382] = {.lex_state = 0},
  [17383] = {.lex_state = 0},
  [17384] = {.lex_state = 98},
  [17385] = {.lex_state = 0},
  [17386] = {.lex_state = 98},
  [17387] = {.lex_state = 0},
  [17388] = {.lex_state = 0},
  [17389] = {.lex_state = 98},
  [17390] = {.lex_state = 0},
  [17391] = {.lex_state = 0},
  [17392] = {.lex_state = 0},
  [17393] = {.lex_state = 0},
  [17394] = {.lex_state = 0},
  [17395] = {.lex_state = 98},
  [17396] = {.lex_state = 0},
  [17397] = {.lex_state = 0},
  [17398] = {.lex_state = 0},
  [17399] = {.lex_state = 0},
  [17400] = {.lex_state = 0},
  [17401] = {.lex_state = 98},
  [17402] = {.lex_state = 98},
  [17403] = {.lex_state = 0},
  [17404] = {.lex_state = 98},
  [17405] = {.lex_state = 0},
  [17406] = {.lex_state = 0},
  [17407] = {.lex_state = 0},
  [17408] = {.lex_state = 0},
  [17409] = {.lex_state = 0},
  [17410] = {.lex_state = 98},
  [17411] = {.lex_state = 0},
  [17412] = {.lex_state = 0},
  [17413] = {.lex_state = 91},
  [17414] = {.lex_state = 0},
  [17415] = {.lex_state = 0},
  [17416] = {.lex_state = 0},
  [17417] = {.lex_state = 0},
  [17418] = {.lex_state = 0},
  [17419] = {.lex_state = 0},
  [17420] = {.lex_state = 0},
  [17421] = {.lex_state = 0},
  [17422] = {.lex_state = 0},
  [17423] = {.lex_state = 0},
  [17424] = {.lex_state = 98},
  [17425] = {.lex_state = 98},
  [17426] = {.lex_state = 0},
  [17427] = {.lex_state = 0},
  [17428] = {.lex_state = 0},
  [17429] = {.lex_state = 0},
  [17430] = {.lex_state = 0},
  [17431] = {.lex_state = 0},
  [17432] = {.lex_state = 0},
  [17433] = {.lex_state = 0},
  [17434] = {.lex_state = 0},
  [17435] = {.lex_state = 0},
  [17436] = {.lex_state = 0},
  [17437] = {.lex_state = 0},
  [17438] = {.lex_state = 0},
  [17439] = {.lex_state = 98},
  [17440] = {.lex_state = 0},
  [17441] = {.lex_state = 98},
  [17442] = {.lex_state = 98},
  [17443] = {.lex_state = 0},
  [17444] = {.lex_state = 0},
  [17445] = {.lex_state = 0},
  [17446] = {.lex_state = 0},
  [17447] = {.lex_state = 0},
  [17448] = {.lex_state = 0},
  [17449] = {.lex_state = 0},
  [17450] = {.lex_state = 0},
  [17451] = {.lex_state = 0},
  [17452] = {.lex_state = 0},
  [17453] = {.lex_state = 98},
  [17454] = {.lex_state = 98},
  [17455] = {.lex_state = 0},
  [17456] = {.lex_state = 0},
  [17457] = {.lex_state = 0},
  [17458] = {.lex_state = 0},
  [17459] = {.lex_state = 98},
  [17460] = {.lex_state = 0, .external_lex_state = 4},
  [17461] = {.lex_state = 0},
  [17462] = {.lex_state = 0},
  [17463] = {.lex_state = 0},
  [17464] = {.lex_state = 0},
  [17465] = {.lex_state = 0},
  [17466] = {.lex_state = 0},
  [17467] = {.lex_state = 98},
  [17468] = {.lex_state = 0},
  [17469] = {.lex_state = 0},
  [17470] = {.lex_state = 0},
  [17471] = {.lex_state = 0},
  [17472] = {.lex_state = 0},
  [17473] = {.lex_state = 0},
  [17474] = {.lex_state = 0},
  [17475] = {.lex_state = 0},
  [17476] = {.lex_state = 0},
  [17477] = {.lex_state = 0},
  [17478] = {.lex_state = 98},
  [17479] = {.lex_state = 0},
  [17480] = {.lex_state = 0},
  [17481] = {.lex_state = 0},
  [17482] = {.lex_state = 0},
  [17483] = {.lex_state = 0},
  [17484] = {.lex_state = 0},
  [17485] = {.lex_state = 0},
  [17486] = {.lex_state = 0},
  [17487] = {.lex_state = 0},
  [17488] = {.lex_state = 0},
  [17489] = {.lex_state = 0},
  [17490] = {.lex_state = 0},
  [17491] = {.lex_state = 0},
  [17492] = {.lex_state = 0},
  [17493] = {.lex_state = 0},
  [17494] = {.lex_state = 0},
  [17495] = {.lex_state = 0},
  [17496] = {.lex_state = 0},
  [17497] = {.lex_state = 0},
  [17498] = {.lex_state = 98},
  [17499] = {.lex_state = 0},
  [17500] = {.lex_state = 0},
  [17501] = {.lex_state = 0},
  [17502] = {.lex_state = 0},
  [17503] = {.lex_state = 0},
  [17504] = {.lex_state = 0},
  [17505] = {.lex_state = 0},
  [17506] = {.lex_state = 0},
  [17507] = {.lex_state = 0},
  [17508] = {.lex_state = 0},
  [17509] = {.lex_state = 0},
  [17510] = {.lex_state = 0},
  [17511] = {.lex_state = 0},
  [17512] = {.lex_state = 98},
  [17513] = {.lex_state = 0},
  [17514] = {.lex_state = 0},
  [17515] = {.lex_state = 0},
  [17516] = {.lex_state = 98},
  [17517] = {.lex_state = 98},
  [17518] = {.lex_state = 0},
  [17519] = {.lex_state = 0},
  [17520] = {.lex_state = 0},
  [17521] = {.lex_state = 98},
  [17522] = {.lex_state = 91},
  [17523] = {.lex_state = 0},
  [17524] = {.lex_state = 0},
  [17525] = {.lex_state = 0},
  [17526] = {.lex_state = 0},
  [17527] = {.lex_state = 0},
  [17528] = {.lex_state = 0},
  [17529] = {.lex_state = 0},
  [17530] = {.lex_state = 98},
  [17531] = {.lex_state = 0},
  [17532] = {.lex_state = 0},
  [17533] = {.lex_state = 0},
  [17534] = {.lex_state = 0},
  [17535] = {.lex_state = 0},
  [17536] = {.lex_state = 0},
  [17537] = {.lex_state = 0},
  [17538] = {.lex_state = 0},
  [17539] = {.lex_state = 0},
  [17540] = {.lex_state = 0},
  [17541] = {.lex_state = 0},
  [17542] = {.lex_state = 0},
  [17543] = {.lex_state = 0},
  [17544] = {.lex_state = 98},
  [17545] = {.lex_state = 0},
  [17546] = {.lex_state = 0},
  [17547] = {.lex_state = 0},
  [17548] = {.lex_state = 0},
  [17549] = {.lex_state = 0},
  [17550] = {.lex_state = 0},
  [17551] = {.lex_state = 98},
  [17552] = {.lex_state = 0},
  [17553] = {.lex_state = 98},
  [17554] = {.lex_state = 98},
  [17555] = {.lex_state = 0},
  [17556] = {.lex_state = 98},
  [17557] = {.lex_state = 0},
  [17558] = {.lex_state = 0},
  [17559] = {.lex_state = 0},
  [17560] = {.lex_state = 0},
  [17561] = {.lex_state = 98},
  [17562] = {.lex_state = 0},
  [17563] = {.lex_state = 99},
  [17564] = {.lex_state = 0},
  [17565] = {.lex_state = 0, .external_lex_state = 4},
  [17566] = {.lex_state = 0},
  [17567] = {.lex_state = 0},
  [17568] = {.lex_state = 0},
  [17569] = {.lex_state = 0},
  [17570] = {.lex_state = 0},
  [17571] = {.lex_state = 0},
  [17572] = {.lex_state = 0},
  [17573] = {.lex_state = 0},
  [17574] = {.lex_state = 98},
  [17575] = {.lex_state = 98},
  [17576] = {.lex_state = 0},
  [17577] = {.lex_state = 0},
  [17578] = {.lex_state = 0},
  [17579] = {.lex_state = 0},
  [17580] = {.lex_state = 0},
  [17581] = {.lex_state = 0},
  [17582] = {.lex_state = 0},
  [17583] = {.lex_state = 0},
  [17584] = {.lex_state = 0},
  [17585] = {.lex_state = 0},
  [17586] = {.lex_state = 0},
  [17587] = {.lex_state = 0},
  [17588] = {.lex_state = 0},
  [17589] = {.lex_state = 0},
  [17590] = {.lex_state = 0},
  [17591] = {.lex_state = 91},
  [17592] = {.lex_state = 0},
  [17593] = {.lex_state = 0},
  [17594] = {.lex_state = 0},
  [17595] = {.lex_state = 0},
  [17596] = {.lex_state = 0},
  [17597] = {.lex_state = 0},
  [17598] = {.lex_state = 98},
  [17599] = {.lex_state = 0},
  [17600] = {.lex_state = 0},
  [17601] = {.lex_state = 98},
  [17602] = {.lex_state = 0},
  [17603] = {.lex_state = 98},
  [17604] = {.lex_state = 0},
  [17605] = {.lex_state = 98},
  [17606] = {.lex_state = 98},
  [17607] = {.lex_state = 0},
  [17608] = {.lex_state = 0},
  [17609] = {.lex_state = 0},
  [17610] = {.lex_state = 0},
  [17611] = {.lex_state = 0},
  [17612] = {.lex_state = 0},
  [17613] = {.lex_state = 0},
  [17614] = {.lex_state = 0},
  [17615] = {.lex_state = 0},
  [17616] = {.lex_state = 0},
  [17617] = {.lex_state = 98},
  [17618] = {.lex_state = 0},
  [17619] = {.lex_state = 98},
  [17620] = {.lex_state = 0},
  [17621] = {.lex_state = 98},
  [17622] = {.lex_state = 0},
  [17623] = {.lex_state = 98},
  [17624] = {.lex_state = 0},
  [17625] = {.lex_state = 0},
  [17626] = {.lex_state = 98},
  [17627] = {.lex_state = 0},
  [17628] = {.lex_state = 0},
  [17629] = {.lex_state = 98},
  [17630] = {.lex_state = 98},
  [17631] = {.lex_state = 98},
  [17632] = {.lex_state = 0},
  [17633] = {.lex_state = 98},
  [17634] = {.lex_state = 0},
  [17635] = {.lex_state = 0},
  [17636] = {.lex_state = 98},
  [17637] = {.lex_state = 0, .external_lex_state = 4},
  [17638] = {.lex_state = 0},
  [17639] = {.lex_state = 0},
  [17640] = {.lex_state = 0},
  [17641] = {.lex_state = 0},
  [17642] = {.lex_state = 0},
  [17643] = {.lex_state = 0},
  [17644] = {.lex_state = 0},
  [17645] = {.lex_state = 0},
  [17646] = {.lex_state = 0},
  [17647] = {.lex_state = 0},
  [17648] = {.lex_state = 0},
  [17649] = {.lex_state = 0},
  [17650] = {.lex_state = 0},
  [17651] = {.lex_state = 0},
  [17652] = {.lex_state = 0},
  [17653] = {.lex_state = 0},
  [17654] = {.lex_state = 0},
  [17655] = {.lex_state = 0},
  [17656] = {.lex_state = 0},
  [17657] = {.lex_state = 0},
  [17658] = {.lex_state = 0},
  [17659] = {.lex_state = 0},
  [17660] = {.lex_state = 0},
  [17661] = {.lex_state = 0},
  [17662] = {.lex_state = 0},
  [17663] = {.lex_state = 0},
  [17664] = {.lex_state = 0},
  [17665] = {.lex_state = 0},
  [17666] = {.lex_state = 0},
  [17667] = {.lex_state = 0},
  [17668] = {.lex_state = 0},
  [17669] = {.lex_state = 0},
  [17670] = {.lex_state = 0},
  [17671] = {.lex_state = 0},
  [17672] = {.lex_state = 0},
  [17673] = {.lex_state = 0},
  [17674] = {.lex_state = 0},
  [17675] = {.lex_state = 0},
  [17676] = {.lex_state = 0},
  [17677] = {.lex_state = 0},
  [17678] = {.lex_state = 0},
  [17679] = {.lex_state = 0},
  [17680] = {.lex_state = 0},
  [17681] = {.lex_state = 0},
  [17682] = {.lex_state = 0},
  [17683] = {.lex_state = 0},
  [17684] = {.lex_state = 0},
  [17685] = {.lex_state = 0},
  [17686] = {.lex_state = 0},
  [17687] = {.lex_state = 0},
  [17688] = {.lex_state = 0},
  [17689] = {.lex_state = 0},
  [17690] = {.lex_state = 0},
  [17691] = {.lex_state = 0},
  [17692] = {.lex_state = 0},
  [17693] = {.lex_state = 0},
  [17694] = {.lex_state = 0},
  [17695] = {.lex_state = 0},
  [17696] = {.lex_state = 0},
  [17697] = {.lex_state = 0},
  [17698] = {.lex_state = 0},
  [17699] = {.lex_state = 0},
  [17700] = {.lex_state = 0},
  [17701] = {.lex_state = 0},
  [17702] = {.lex_state = 0},
  [17703] = {.lex_state = 0},
  [17704] = {.lex_state = 0},
  [17705] = {.lex_state = 0},
  [17706] = {.lex_state = 0},
  [17707] = {.lex_state = 0},
  [17708] = {.lex_state = 0},
  [17709] = {.lex_state = 0},
  [17710] = {.lex_state = 0},
  [17711] = {.lex_state = 0},
  [17712] = {.lex_state = 0},
  [17713] = {.lex_state = 0},
  [17714] = {.lex_state = 0},
  [17715] = {.lex_state = 0},
  [17716] = {.lex_state = 0},
  [17717] = {.lex_state = 0},
  [17718] = {.lex_state = 0},
  [17719] = {.lex_state = 0},
  [17720] = {.lex_state = 0},
  [17721] = {.lex_state = 0},
  [17722] = {.lex_state = 0},
  [17723] = {.lex_state = 0},
  [17724] = {.lex_state = 0},
  [17725] = {.lex_state = 0},
  [17726] = {.lex_state = 0},
  [17727] = {.lex_state = 0},
  [17728] = {.lex_state = 91},
  [17729] = {.lex_state = 0},
  [17730] = {.lex_state = 0},
  [17731] = {.lex_state = 0},
  [17732] = {.lex_state = 0},
  [17733] = {.lex_state = 0},
  [17734] = {.lex_state = 0},
  [17735] = {.lex_state = 0},
  [17736] = {.lex_state = 0},
  [17737] = {.lex_state = 0},
  [17738] = {.lex_state = 0},
  [17739] = {.lex_state = 0},
  [17740] = {.lex_state = 0},
  [17741] = {.lex_state = 0},
  [17742] = {.lex_state = 0},
  [17743] = {.lex_state = 0},
  [17744] = {.lex_state = 0},
  [17745] = {.lex_state = 0},
  [17746] = {.lex_state = 0},
  [17747] = {.lex_state = 0},
  [17748] = {.lex_state = 0},
  [17749] = {.lex_state = 0},
  [17750] = {.lex_state = 98},
  [17751] = {.lex_state = 0},
  [17752] = {.lex_state = 0},
  [17753] = {.lex_state = 0},
  [17754] = {.lex_state = 0},
  [17755] = {.lex_state = 0},
  [17756] = {.lex_state = 0},
  [17757] = {.lex_state = 0},
  [17758] = {.lex_state = 0},
  [17759] = {.lex_state = 98},
  [17760] = {.lex_state = 0},
  [17761] = {.lex_state = 98},
  [17762] = {.lex_state = 0},
  [17763] = {.lex_state = 0},
  [17764] = {.lex_state = 0},
  [17765] = {.lex_state = 0},
  [17766] = {.lex_state = 0},
  [17767] = {.lex_state = 0},
  [17768] = {.lex_state = 0},
  [17769] = {.lex_state = 0},
  [17770] = {.lex_state = 0},
  [17771] = {.lex_state = 98},
  [17772] = {.lex_state = 0},
  [17773] = {.lex_state = 0},
  [17774] = {.lex_state = 0},
  [17775] = {.lex_state = 0},
  [17776] = {.lex_state = 0},
  [17777] = {.lex_state = 0},
  [17778] = {.lex_state = 0},
  [17779] = {.lex_state = 0},
  [17780] = {.lex_state = 0},
  [17781] = {.lex_state = 0},
  [17782] = {.lex_state = 0},
  [17783] = {.lex_state = 0},
  [17784] = {.lex_state = 0},
  [17785] = {.lex_state = 0},
  [17786] = {.lex_state = 0},
  [17787] = {.lex_state = 0},
  [17788] = {.lex_state = 0},
  [17789] = {.lex_state = 0},
  [17790] = {.lex_state = 0},
  [17791] = {.lex_state = 0},
  [17792] = {.lex_state = 0},
  [17793] = {.lex_state = 0},
  [17794] = {.lex_state = 0},
  [17795] = {.lex_state = 0},
  [17796] = {.lex_state = 0},
  [17797] = {.lex_state = 0},
  [17798] = {.lex_state = 0},
  [17799] = {.lex_state = 0},
  [17800] = {.lex_state = 0},
  [17801] = {.lex_state = 0},
  [17802] = {.lex_state = 0},
  [17803] = {.lex_state = 0},
  [17804] = {.lex_state = 0},
  [17805] = {.lex_state = 0},
  [17806] = {.lex_state = 0},
  [17807] = {.lex_state = 0},
  [17808] = {.lex_state = 0},
  [17809] = {.lex_state = 0},
  [17810] = {.lex_state = 0},
  [17811] = {.lex_state = 0},
  [17812] = {.lex_state = 0},
  [17813] = {.lex_state = 0},
  [17814] = {.lex_state = 0},
  [17815] = {.lex_state = 98},
  [17816] = {.lex_state = 0},
  [17817] = {.lex_state = 0},
  [17818] = {.lex_state = 0},
  [17819] = {.lex_state = 0},
  [17820] = {.lex_state = 0},
  [17821] = {.lex_state = 0},
  [17822] = {.lex_state = 0},
  [17823] = {.lex_state = 0},
  [17824] = {.lex_state = 0},
  [17825] = {.lex_state = 0},
  [17826] = {.lex_state = 0},
  [17827] = {.lex_state = 0},
  [17828] = {.lex_state = 0},
  [17829] = {.lex_state = 0},
  [17830] = {.lex_state = 0},
  [17831] = {.lex_state = 0},
  [17832] = {.lex_state = 0},
  [17833] = {.lex_state = 0},
  [17834] = {.lex_state = 98},
  [17835] = {.lex_state = 0},
  [17836] = {.lex_state = 0},
  [17837] = {.lex_state = 101},
  [17838] = {.lex_state = 0, .external_lex_state = 4},
  [17839] = {.lex_state = 0},
  [17840] = {.lex_state = 0},
  [17841] = {.lex_state = 0},
  [17842] = {.lex_state = 0},
  [17843] = {.lex_state = 0},
  [17844] = {.lex_state = 0},
  [17845] = {.lex_state = 0},
  [17846] = {.lex_state = 0},
  [17847] = {.lex_state = 0},
  [17848] = {.lex_state = 0},
  [17849] = {.lex_state = 0},
  [17850] = {.lex_state = 0},
  [17851] = {.lex_state = 98},
  [17852] = {.lex_state = 0},
  [17853] = {.lex_state = 0},
  [17854] = {.lex_state = 0},
  [17855] = {.lex_state = 0},
  [17856] = {.lex_state = 0},
  [17857] = {.lex_state = 0},
  [17858] = {.lex_state = 0},
  [17859] = {.lex_state = 0},
  [17860] = {.lex_state = 0},
  [17861] = {.lex_state = 0},
  [17862] = {.lex_state = 0},
  [17863] = {.lex_state = 0},
  [17864] = {.lex_state = 0},
  [17865] = {.lex_state = 0},
  [17866] = {.lex_state = 0},
  [17867] = {.lex_state = 98},
  [17868] = {.lex_state = 0},
  [17869] = {.lex_state = 0},
  [17870] = {.lex_state = 0},
  [17871] = {.lex_state = 0},
  [17872] = {.lex_state = 0},
  [17873] = {.lex_state = 0},
  [17874] = {.lex_state = 0},
  [17875] = {.lex_state = 0},
  [17876] = {.lex_state = 0},
  [17877] = {.lex_state = 0},
  [17878] = {.lex_state = 0},
  [17879] = {.lex_state = 91},
  [17880] = {.lex_state = 0},
  [17881] = {.lex_state = 0},
  [17882] = {.lex_state = 0},
  [17883] = {.lex_state = 0},
  [17884] = {.lex_state = 0},
  [17885] = {.lex_state = 0},
  [17886] = {.lex_state = 0},
  [17887] = {.lex_state = 0},
  [17888] = {.lex_state = 0},
  [17889] = {.lex_state = 0},
  [17890] = {.lex_state = 0},
  [17891] = {.lex_state = 0},
  [17892] = {.lex_state = 0},
  [17893] = {.lex_state = 98},
  [17894] = {.lex_state = 0},
  [17895] = {.lex_state = 0},
  [17896] = {.lex_state = 0},
  [17897] = {.lex_state = 0},
  [17898] = {.lex_state = 0},
  [17899] = {.lex_state = 98},
  [17900] = {.lex_state = 0},
  [17901] = {.lex_state = 98},
  [17902] = {.lex_state = 0},
  [17903] = {.lex_state = 0},
  [17904] = {.lex_state = 0},
  [17905] = {.lex_state = 0},
  [17906] = {.lex_state = 98},
  [17907] = {.lex_state = 0},
  [17908] = {.lex_state = 0},
  [17909] = {.lex_state = 0},
  [17910] = {.lex_state = 0},
  [17911] = {.lex_state = 0},
  [17912] = {.lex_state = 0},
  [17913] = {.lex_state = 0},
  [17914] = {.lex_state = 0},
  [17915] = {.lex_state = 0},
  [17916] = {.lex_state = 0},
  [17917] = {.lex_state = 0},
  [17918] = {.lex_state = 0},
  [17919] = {.lex_state = 0},
  [17920] = {.lex_state = 0},
  [17921] = {.lex_state = 0},
  [17922] = {.lex_state = 0},
  [17923] = {.lex_state = 0},
  [17924] = {.lex_state = 0},
  [17925] = {.lex_state = 0},
  [17926] = {.lex_state = 0},
  [17927] = {.lex_state = 0},
  [17928] = {.lex_state = 0},
  [17929] = {.lex_state = 0},
  [17930] = {.lex_state = 0},
  [17931] = {.lex_state = 0},
  [17932] = {.lex_state = 0},
  [17933] = {.lex_state = 0},
  [17934] = {.lex_state = 0},
  [17935] = {.lex_state = 0},
  [17936] = {.lex_state = 0},
  [17937] = {.lex_state = 0},
  [17938] = {.lex_state = 0},
  [17939] = {.lex_state = 0},
  [17940] = {.lex_state = 0},
  [17941] = {.lex_state = 0},
  [17942] = {.lex_state = 0},
  [17943] = {.lex_state = 0},
  [17944] = {.lex_state = 0},
  [17945] = {.lex_state = 0},
  [17946] = {.lex_state = 0},
  [17947] = {.lex_state = 0},
  [17948] = {.lex_state = 0},
  [17949] = {.lex_state = 0},
  [17950] = {.lex_state = 0},
  [17951] = {.lex_state = 0},
  [17952] = {.lex_state = 0},
  [17953] = {.lex_state = 0},
  [17954] = {.lex_state = 0},
  [17955] = {.lex_state = 0},
  [17956] = {.lex_state = 0},
  [17957] = {.lex_state = 0},
  [17958] = {.lex_state = 0},
  [17959] = {.lex_state = 0},
  [17960] = {.lex_state = 0},
  [17961] = {.lex_state = 0},
  [17962] = {.lex_state = 0},
  [17963] = {.lex_state = 0},
  [17964] = {.lex_state = 0},
  [17965] = {.lex_state = 0},
  [17966] = {.lex_state = 0},
  [17967] = {.lex_state = 0},
  [17968] = {.lex_state = 0, .external_lex_state = 4},
  [17969] = {.lex_state = 0},
  [17970] = {.lex_state = 0},
  [17971] = {.lex_state = 0},
  [17972] = {.lex_state = 0},
  [17973] = {.lex_state = 0},
  [17974] = {.lex_state = 0},
  [17975] = {.lex_state = 0},
  [17976] = {.lex_state = 0},
  [17977] = {.lex_state = 0},
  [17978] = {.lex_state = 0},
  [17979] = {.lex_state = 0},
  [17980] = {.lex_state = 0},
  [17981] = {.lex_state = 0},
  [17982] = {.lex_state = 0},
  [17983] = {.lex_state = 0},
  [17984] = {.lex_state = 0},
  [17985] = {.lex_state = 0},
  [17986] = {.lex_state = 0},
  [17987] = {.lex_state = 0},
  [17988] = {.lex_state = 0},
  [17989] = {.lex_state = 0},
  [17990] = {.lex_state = 0},
  [17991] = {.lex_state = 0},
  [17992] = {.lex_state = 0},
  [17993] = {.lex_state = 0},
  [17994] = {.lex_state = 0},
  [17995] = {.lex_state = 0},
  [17996] = {.lex_state = 0},
  [17997] = {.lex_state = 0},
  [17998] = {.lex_state = 0},
  [17999] = {.lex_state = 0},
  [18000] = {.lex_state = 0},
  [18001] = {.lex_state = 0},
  [18002] = {.lex_state = 0},
  [18003] = {.lex_state = 0},
  [18004] = {.lex_state = 0},
  [18005] = {.lex_state = 0},
  [18006] = {.lex_state = 0},
  [18007] = {.lex_state = 0},
  [18008] = {.lex_state = 0},
  [18009] = {.lex_state = 0},
  [18010] = {.lex_state = 0},
  [18011] = {.lex_state = 0},
  [18012] = {.lex_state = 0},
  [18013] = {.lex_state = 0},
  [18014] = {.lex_state = 0},
  [18015] = {.lex_state = 0},
  [18016] = {.lex_state = 0},
  [18017] = {.lex_state = 0},
  [18018] = {.lex_state = 0},
  [18019] = {.lex_state = 0},
  [18020] = {.lex_state = 0},
  [18021] = {.lex_state = 98},
  [18022] = {.lex_state = 0},
  [18023] = {.lex_state = 0},
  [18024] = {.lex_state = 98},
  [18025] = {.lex_state = 0},
  [18026] = {.lex_state = 0},
  [18027] = {.lex_state = 0},
  [18028] = {.lex_state = 0},
  [18029] = {.lex_state = 0},
  [18030] = {.lex_state = 0},
  [18031] = {.lex_state = 0},
  [18032] = {.lex_state = 0},
  [18033] = {.lex_state = 0},
  [18034] = {.lex_state = 0},
  [18035] = {.lex_state = 0},
  [18036] = {.lex_state = 0},
  [18037] = {.lex_state = 0},
  [18038] = {.lex_state = 0},
  [18039] = {.lex_state = 0},
  [18040] = {.lex_state = 0},
  [18041] = {.lex_state = 0},
  [18042] = {.lex_state = 0},
  [18043] = {.lex_state = 0},
  [18044] = {.lex_state = 0},
  [18045] = {.lex_state = 0},
  [18046] = {.lex_state = 0},
  [18047] = {.lex_state = 0},
  [18048] = {.lex_state = 0},
  [18049] = {.lex_state = 0},
  [18050] = {.lex_state = 0},
  [18051] = {.lex_state = 0},
  [18052] = {.lex_state = 98},
  [18053] = {.lex_state = 0},
  [18054] = {.lex_state = 0},
  [18055] = {.lex_state = 0},
  [18056] = {.lex_state = 0},
  [18057] = {.lex_state = 98},
  [18058] = {.lex_state = 98},
  [18059] = {.lex_state = 0},
  [18060] = {.lex_state = 0},
  [18061] = {.lex_state = 0},
  [18062] = {.lex_state = 0},
  [18063] = {.lex_state = 98},
  [18064] = {.lex_state = 91},
  [18065] = {.lex_state = 0},
  [18066] = {.lex_state = 0},
  [18067] = {.lex_state = 0},
  [18068] = {.lex_state = 0},
  [18069] = {.lex_state = 0},
  [18070] = {.lex_state = 0},
  [18071] = {.lex_state = 0},
  [18072] = {.lex_state = 0},
  [18073] = {.lex_state = 0},
  [18074] = {.lex_state = 0},
  [18075] = {.lex_state = 0},
  [18076] = {.lex_state = 0},
  [18077] = {.lex_state = 0},
  [18078] = {.lex_state = 0},
  [18079] = {.lex_state = 0},
  [18080] = {.lex_state = 0},
  [18081] = {.lex_state = 0},
  [18082] = {.lex_state = 0},
  [18083] = {.lex_state = 0},
  [18084] = {.lex_state = 0},
  [18085] = {.lex_state = 0},
  [18086] = {.lex_state = 0},
  [18087] = {.lex_state = 0},
  [18088] = {.lex_state = 0},
  [18089] = {.lex_state = 0},
  [18090] = {.lex_state = 0},
  [18091] = {.lex_state = 0},
  [18092] = {.lex_state = 0},
  [18093] = {.lex_state = 0},
  [18094] = {.lex_state = 0},
  [18095] = {.lex_state = 0},
  [18096] = {.lex_state = 0},
  [18097] = {.lex_state = 0},
  [18098] = {.lex_state = 0},
  [18099] = {.lex_state = 0},
  [18100] = {.lex_state = 0},
  [18101] = {.lex_state = 0},
  [18102] = {.lex_state = 0},
  [18103] = {.lex_state = 0},
  [18104] = {.lex_state = 0},
  [18105] = {.lex_state = 0},
  [18106] = {.lex_state = 0},
  [18107] = {.lex_state = 0},
  [18108] = {.lex_state = 0},
  [18109] = {.lex_state = 0},
  [18110] = {.lex_state = 0},
  [18111] = {.lex_state = 0},
  [18112] = {.lex_state = 0},
  [18113] = {.lex_state = 0},
  [18114] = {.lex_state = 0},
  [18115] = {.lex_state = 0},
  [18116] = {.lex_state = 0, .external_lex_state = 4},
  [18117] = {.lex_state = 0},
  [18118] = {.lex_state = 0},
  [18119] = {.lex_state = 0},
  [18120] = {.lex_state = 0},
  [18121] = {.lex_state = 0},
  [18122] = {.lex_state = 0},
  [18123] = {.lex_state = 0},
  [18124] = {.lex_state = 0},
  [18125] = {.lex_state = 0},
  [18126] = {.lex_state = 0},
  [18127] = {.lex_state = 0},
  [18128] = {.lex_state = 0},
  [18129] = {.lex_state = 0},
  [18130] = {.lex_state = 0},
  [18131] = {.lex_state = 0},
  [18132] = {.lex_state = 0},
  [18133] = {.lex_state = 0},
  [18134] = {.lex_state = 0},
  [18135] = {.lex_state = 0},
  [18136] = {.lex_state = 0},
  [18137] = {.lex_state = 0},
  [18138] = {.lex_state = 0},
  [18139] = {.lex_state = 0},
  [18140] = {.lex_state = 0},
  [18141] = {.lex_state = 0},
  [18142] = {.lex_state = 0},
  [18143] = {.lex_state = 0},
  [18144] = {.lex_state = 0},
  [18145] = {.lex_state = 0},
  [18146] = {.lex_state = 0},
  [18147] = {.lex_state = 0},
  [18148] = {.lex_state = 0},
  [18149] = {.lex_state = 0},
  [18150] = {.lex_state = 0},
  [18151] = {.lex_state = 0},
  [18152] = {.lex_state = 0},
  [18153] = {.lex_state = 0},
  [18154] = {.lex_state = 0},
  [18155] = {.lex_state = 0},
  [18156] = {.lex_state = 0},
  [18157] = {.lex_state = 0},
  [18158] = {.lex_state = 0},
  [18159] = {.lex_state = 0},
  [18160] = {.lex_state = 0},
  [18161] = {.lex_state = 0},
  [18162] = {.lex_state = 0},
  [18163] = {.lex_state = 0},
  [18164] = {.lex_state = 0},
  [18165] = {.lex_state = 0},
  [18166] = {.lex_state = 0},
  [18167] = {.lex_state = 0},
  [18168] = {.lex_state = 0},
  [18169] = {.lex_state = 0},
  [18170] = {.lex_state = 0},
  [18171] = {.lex_state = 0},
  [18172] = {.lex_state = 0},
  [18173] = {.lex_state = 0},
  [18174] = {.lex_state = 0},
  [18175] = {.lex_state = 0},
  [18176] = {.lex_state = 0},
  [18177] = {.lex_state = 0},
  [18178] = {.lex_state = 0},
  [18179] = {.lex_state = 0},
  [18180] = {.lex_state = 0},
  [18181] = {.lex_state = 0},
  [18182] = {.lex_state = 0},
  [18183] = {.lex_state = 0},
  [18184] = {.lex_state = 0},
  [18185] = {.lex_state = 0},
  [18186] = {.lex_state = 0},
  [18187] = {.lex_state = 0},
  [18188] = {.lex_state = 0},
  [18189] = {.lex_state = 0},
  [18190] = {.lex_state = 0},
  [18191] = {.lex_state = 0},
  [18192] = {.lex_state = 0},
  [18193] = {.lex_state = 0},
  [18194] = {.lex_state = 98},
  [18195] = {.lex_state = 98},
  [18196] = {.lex_state = 0},
  [18197] = {.lex_state = 0},
  [18198] = {.lex_state = 98},
  [18199] = {.lex_state = 98},
  [18200] = {.lex_state = 0},
  [18201] = {.lex_state = 0},
  [18202] = {.lex_state = 0},
  [18203] = {.lex_state = 98},
  [18204] = {.lex_state = 98},
  [18205] = {.lex_state = 0},
  [18206] = {.lex_state = 0},
  [18207] = {.lex_state = 0},
  [18208] = {.lex_state = 0},
  [18209] = {.lex_state = 0},
  [18210] = {.lex_state = 0},
  [18211] = {.lex_state = 0},
  [18212] = {.lex_state = 0},
  [18213] = {.lex_state = 98},
  [18214] = {.lex_state = 0},
  [18215] = {.lex_state = 98},
  [18216] = {.lex_state = 98},
  [18217] = {.lex_state = 98},
  [18218] = {.lex_state = 0},
  [18219] = {.lex_state = 0},
  [18220] = {.lex_state = 98},
  [18221] = {.lex_state = 0},
  [18222] = {.lex_state = 98},
  [18223] = {.lex_state = 98},
  [18224] = {.lex_state = 0},
  [18225] = {.lex_state = 0},
  [18226] = {.lex_state = 0},
  [18227] = {.lex_state = 98},
  [18228] = {.lex_state = 91},
  [18229] = {.lex_state = 0},
  [18230] = {.lex_state = 0},
  [18231] = {.lex_state = 98},
  [18232] = {.lex_state = 0},
  [18233] = {.lex_state = 98},
  [18234] = {.lex_state = 98},
  [18235] = {.lex_state = 0},
  [18236] = {.lex_state = 0},
  [18237] = {.lex_state = 0},
  [18238] = {.lex_state = 0},
  [18239] = {.lex_state = 0},
  [18240] = {.lex_state = 0},
  [18241] = {.lex_state = 0},
  [18242] = {.lex_state = 98},
  [18243] = {.lex_state = 0},
  [18244] = {.lex_state = 0},
  [18245] = {.lex_state = 0},
  [18246] = {.lex_state = 0},
  [18247] = {.lex_state = 0},
  [18248] = {.lex_state = 0},
  [18249] = {.lex_state = 0},
  [18250] = {.lex_state = 98},
  [18251] = {.lex_state = 98},
  [18252] = {.lex_state = 0},
  [18253] = {.lex_state = 98},
  [18254] = {.lex_state = 98},
  [18255] = {.lex_state = 98},
  [18256] = {.lex_state = 98},
  [18257] = {.lex_state = 98},
  [18258] = {.lex_state = 0},
  [18259] = {.lex_state = 0},
  [18260] = {.lex_state = 0},
  [18261] = {.lex_state = 0},
  [18262] = {.lex_state = 0},
  [18263] = {.lex_state = 98},
  [18264] = {.lex_state = 0},
  [18265] = {.lex_state = 0},
  [18266] = {.lex_state = 0},
  [18267] = {.lex_state = 0},
  [18268] = {.lex_state = 0},
  [18269] = {.lex_state = 0},
  [18270] = {.lex_state = 0},
  [18271] = {.lex_state = 0},
  [18272] = {.lex_state = 0},
  [18273] = {.lex_state = 0},
  [18274] = {.lex_state = 0},
  [18275] = {.lex_state = 0},
  [18276] = {.lex_state = 0},
  [18277] = {.lex_state = 0, .external_lex_state = 4},
  [18278] = {.lex_state = 0},
  [18279] = {.lex_state = 0},
  [18280] = {.lex_state = 0},
  [18281] = {.lex_state = 0},
  [18282] = {.lex_state = 0},
  [18283] = {.lex_state = 0},
  [18284] = {.lex_state = 0},
  [18285] = {.lex_state = 0},
  [18286] = {.lex_state = 0},
  [18287] = {.lex_state = 0},
  [18288] = {.lex_state = 0},
  [18289] = {.lex_state = 0},
  [18290] = {.lex_state = 0},
  [18291] = {.lex_state = 0},
  [18292] = {.lex_state = 0},
  [18293] = {.lex_state = 98},
  [18294] = {.lex_state = 0},
  [18295] = {.lex_state = 98},
  [18296] = {.lex_state = 0},
  [18297] = {.lex_state = 0},
  [18298] = {.lex_state = 0},
  [18299] = {.lex_state = 0},
  [18300] = {.lex_state = 0},
  [18301] = {.lex_state = 0},
  [18302] = {.lex_state = 98},
  [18303] = {.lex_state = 98},
  [18304] = {.lex_state = 98},
  [18305] = {.lex_state = 98},
  [18306] = {.lex_state = 0},
  [18307] = {.lex_state = 0},
  [18308] = {.lex_state = 0},
  [18309] = {.lex_state = 0},
  [18310] = {.lex_state = 0},
  [18311] = {.lex_state = 0},
  [18312] = {.lex_state = 0},
  [18313] = {.lex_state = 0},
  [18314] = {.lex_state = 98},
  [18315] = {.lex_state = 98},
  [18316] = {.lex_state = 98},
  [18317] = {.lex_state = 98},
  [18318] = {.lex_state = 98},
  [18319] = {.lex_state = 98},
  [18320] = {.lex_state = 98},
  [18321] = {.lex_state = 0},
  [18322] = {.lex_state = 0},
  [18323] = {.lex_state = 0},
  [18324] = {.lex_state = 0},
  [18325] = {.lex_state = 98},
  [18326] = {.lex_state = 0},
  [18327] = {.lex_state = 0},
  [18328] = {.lex_state = 0},
  [18329] = {.lex_state = 0},
  [18330] = {.lex_state = 0},
  [18331] = {.lex_state = 0},
  [18332] = {.lex_state = 0},
  [18333] = {.lex_state = 0},
  [18334] = {.lex_state = 0},
  [18335] = {.lex_state = 0},
  [18336] = {.lex_state = 98},
  [18337] = {.lex_state = 0},
  [18338] = {.lex_state = 0},
  [18339] = {.lex_state = 98},
  [18340] = {.lex_state = 0},
  [18341] = {.lex_state = 98},
  [18342] = {.lex_state = 98},
  [18343] = {.lex_state = 98},
  [18344] = {.lex_state = 0},
  [18345] = {.lex_state = 98},
  [18346] = {.lex_state = 0},
  [18347] = {.lex_state = 0},
  [18348] = {.lex_state = 98},
  [18349] = {.lex_state = 91},
  [18350] = {.lex_state = 0},
  [18351] = {.lex_state = 0},
  [18352] = {.lex_state = 0},
  [18353] = {.lex_state = 98},
  [18354] = {.lex_state = 0},
  [18355] = {.lex_state = 0},
  [18356] = {.lex_state = 0},
  [18357] = {.lex_state = 0},
  [18358] = {.lex_state = 0},
  [18359] = {.lex_state = 0},
  [18360] = {.lex_state = 0},
  [18361] = {.lex_state = 0},
  [18362] = {.lex_state = 98},
  [18363] = {.lex_state = 98},
  [18364] = {.lex_state = 0},
  [18365] = {.lex_state = 98},
  [18366] = {.lex_state = 0},
  [18367] = {.lex_state = 0},
  [18368] = {.lex_state = 0},
  [18369] = {.lex_state = 0},
  [18370] = {.lex_state = 98},
  [18371] = {.lex_state = 98},
  [18372] = {.lex_state = 98},
  [18373] = {.lex_state = 98},
  [18374] = {.lex_state = 98},
  [18375] = {.lex_state = 98},
  [18376] = {.lex_state = 0},
  [18377] = {.lex_state = 98},
  [18378] = {.lex_state = 0},
  [18379] = {.lex_state = 0},
  [18380] = {.lex_state = 0},
  [18381] = {.lex_state = 0},
  [18382] = {.lex_state = 0},
  [18383] = {.lex_state = 0},
  [18384] = {.lex_state = 0},
  [18385] = {.lex_state = 0},
  [18386] = {.lex_state = 0},
  [18387] = {.lex_state = 0},
  [18388] = {.lex_state = 0},
  [18389] = {.lex_state = 98},
  [18390] = {.lex_state = 0},
  [18391] = {.lex_state = 0},
  [18392] = {.lex_state = 0},
  [18393] = {.lex_state = 0},
  [18394] = {.lex_state = 0},
  [18395] = {.lex_state = 0},
  [18396] = {.lex_state = 98},
  [18397] = {.lex_state = 0},
  [18398] = {.lex_state = 98},
  [18399] = {.lex_state = 98},
  [18400] = {.lex_state = 0},
  [18401] = {.lex_state = 0, .external_lex_state = 4},
  [18402] = {.lex_state = 0},
  [18403] = {.lex_state = 0},
  [18404] = {.lex_state = 0},
  [18405] = {.lex_state = 98},
  [18406] = {.lex_state = 98},
  [18407] = {.lex_state = 98},
  [18408] = {.lex_state = 98},
  [18409] = {.lex_state = 98},
  [18410] = {.lex_state = 98},
  [18411] = {.lex_state = 0},
  [18412] = {.lex_state = 98},
  [18413] = {.lex_state = 0},
  [18414] = {.lex_state = 0},
  [18415] = {.lex_state = 98},
  [18416] = {.lex_state = 0},
  [18417] = {.lex_state = 0},
  [18418] = {.lex_state = 0},
  [18419] = {.lex_state = 0},
  [18420] = {.lex_state = 0},
  [18421] = {.lex_state = 0},
  [18422] = {.lex_state = 99},
  [18423] = {.lex_state = 0},
  [18424] = {.lex_state = 0},
  [18425] = {.lex_state = 0},
  [18426] = {.lex_state = 0},
  [18427] = {.lex_state = 0},
  [18428] = {.lex_state = 0},
  [18429] = {.lex_state = 0},
  [18430] = {.lex_state = 0},
  [18431] = {.lex_state = 0},
  [18432] = {.lex_state = 98},
  [18433] = {.lex_state = 98},
  [18434] = {.lex_state = 0},
  [18435] = {.lex_state = 0},
  [18436] = {.lex_state = 0},
  [18437] = {.lex_state = 0},
  [18438] = {.lex_state = 0},
  [18439] = {.lex_state = 98},
  [18440] = {.lex_state = 98},
  [18441] = {.lex_state = 98},
  [18442] = {.lex_state = 98},
  [18443] = {.lex_state = 98},
  [18444] = {.lex_state = 98},
  [18445] = {.lex_state = 0},
  [18446] = {.lex_state = 98},
  [18447] = {.lex_state = 0},
  [18448] = {.lex_state = 0},
  [18449] = {.lex_state = 0},
  [18450] = {.lex_state = 0},
  [18451] = {.lex_state = 0},
  [18452] = {.lex_state = 0},
  [18453] = {.lex_state = 0},
  [18454] = {.lex_state = 0},
  [18455] = {.lex_state = 0},
  [18456] = {.lex_state = 0},
  [18457] = {.lex_state = 0},
  [18458] = {.lex_state = 0},
  [18459] = {.lex_state = 0},
  [18460] = {.lex_state = 0},
  [18461] = {.lex_state = 0},
  [18462] = {.lex_state = 98},
  [18463] = {.lex_state = 0},
  [18464] = {.lex_state = 0},
  [18465] = {.lex_state = 0},
  [18466] = {.lex_state = 98},
  [18467] = {.lex_state = 98},
  [18468] = {.lex_state = 98},
  [18469] = {.lex_state = 0},
  [18470] = {.lex_state = 0},
  [18471] = {.lex_state = 98},
  [18472] = {.lex_state = 0},
  [18473] = {.lex_state = 98},
  [18474] = {.lex_state = 98},
  [18475] = {.lex_state = 98},
  [18476] = {.lex_state = 98},
  [18477] = {.lex_state = 98},
  [18478] = {.lex_state = 98},
  [18479] = {.lex_state = 0},
  [18480] = {.lex_state = 98},
  [18481] = {.lex_state = 0},
  [18482] = {.lex_state = 98},
  [18483] = {.lex_state = 98},
  [18484] = {.lex_state = 0},
  [18485] = {.lex_state = 98},
  [18486] = {.lex_state = 0},
  [18487] = {.lex_state = 0},
  [18488] = {.lex_state = 0},
  [18489] = {.lex_state = 0},
  [18490] = {.lex_state = 0},
  [18491] = {.lex_state = 98},
  [18492] = {.lex_state = 91},
  [18493] = {.lex_state = 0},
  [18494] = {.lex_state = 98},
  [18495] = {.lex_state = 0},
  [18496] = {.lex_state = 98},
  [18497] = {.lex_state = 98},
  [18498] = {.lex_state = 0},
  [18499] = {.lex_state = 98},
  [18500] = {.lex_state = 0},
  [18501] = {.lex_state = 0},
  [18502] = {.lex_state = 0},
  [18503] = {.lex_state = 98},
  [18504] = {.lex_state = 98},
  [18505] = {.lex_state = 98},
  [18506] = {.lex_state = 98},
  [18507] = {.lex_state = 98},
  [18508] = {.lex_state = 98},
  [18509] = {.lex_state = 0},
  [18510] = {.lex_state = 0},
  [18511] = {.lex_state = 0},
  [18512] = {.lex_state = 0},
  [18513] = {.lex_state = 0},
  [18514] = {.lex_state = 0},
  [18515] = {.lex_state = 0},
  [18516] = {.lex_state = 0},
  [18517] = {.lex_state = 0},
  [18518] = {.lex_state = 0},
  [18519] = {.lex_state = 0},
  [18520] = {.lex_state = 0},
  [18521] = {.lex_state = 98},
  [18522] = {.lex_state = 0},
  [18523] = {.lex_state = 98},
  [18524] = {.lex_state = 98},
  [18525] = {.lex_state = 0},
  [18526] = {.lex_state = 0},
  [18527] = {.lex_state = 0},
  [18528] = {.lex_state = 0},
  [18529] = {.lex_state = 0},
  [18530] = {.lex_state = 98},
  [18531] = {.lex_state = 98},
  [18532] = {.lex_state = 98},
  [18533] = {.lex_state = 98},
  [18534] = {.lex_state = 98},
  [18535] = {.lex_state = 98},
  [18536] = {.lex_state = 0},
  [18537] = {.lex_state = 0},
  [18538] = {.lex_state = 0},
  [18539] = {.lex_state = 0},
  [18540] = {.lex_state = 0},
  [18541] = {.lex_state = 0},
  [18542] = {.lex_state = 0},
  [18543] = {.lex_state = 98},
  [18544] = {.lex_state = 0},
  [18545] = {.lex_state = 0},
  [18546] = {.lex_state = 0},
  [18547] = {.lex_state = 0},
  [18548] = {.lex_state = 0},
  [18549] = {.lex_state = 0, .external_lex_state = 4},
  [18550] = {.lex_state = 98},
  [18551] = {.lex_state = 98},
  [18552] = {.lex_state = 0},
  [18553] = {.lex_state = 0},
  [18554] = {.lex_state = 0},
  [18555] = {.lex_state = 0},
  [18556] = {.lex_state = 0},
  [18557] = {.lex_state = 98},
  [18558] = {.lex_state = 98},
  [18559] = {.lex_state = 98},
  [18560] = {.lex_state = 98},
  [18561] = {.lex_state = 98},
  [18562] = {.lex_state = 98},
  [18563] = {.lex_state = 0},
  [18564] = {.lex_state = 0},
  [18565] = {.lex_state = 0},
  [18566] = {.lex_state = 0},
  [18567] = {.lex_state = 0},
  [18568] = {.lex_state = 0},
  [18569] = {.lex_state = 0},
  [18570] = {.lex_state = 98},
  [18571] = {.lex_state = 0},
  [18572] = {.lex_state = 0},
  [18573] = {.lex_state = 0},
  [18574] = {.lex_state = 0},
  [18575] = {.lex_state = 0},
  [18576] = {.lex_state = 0},
  [18577] = {.lex_state = 98},
  [18578] = {.lex_state = 98},
  [18579] = {.lex_state = 0},
  [18580] = {.lex_state = 0},
  [18581] = {.lex_state = 0},
  [18582] = {.lex_state = 0},
  [18583] = {.lex_state = 0},
  [18584] = {.lex_state = 98},
  [18585] = {.lex_state = 98},
  [18586] = {.lex_state = 98},
  [18587] = {.lex_state = 98},
  [18588] = {.lex_state = 98},
  [18589] = {.lex_state = 98},
  [18590] = {.lex_state = 0},
  [18591] = {.lex_state = 0},
  [18592] = {.lex_state = 0},
  [18593] = {.lex_state = 0},
  [18594] = {.lex_state = 0},
  [18595] = {.lex_state = 0},
  [18596] = {.lex_state = 0},
  [18597] = {.lex_state = 0},
  [18598] = {.lex_state = 0},
  [18599] = {.lex_state = 0},
  [18600] = {.lex_state = 0},
  [18601] = {.lex_state = 0},
  [18602] = {.lex_state = 0},
  [18603] = {.lex_state = 0},
  [18604] = {.lex_state = 98},
  [18605] = {.lex_state = 98},
  [18606] = {.lex_state = 0},
  [18607] = {.lex_state = 0},
  [18608] = {.lex_state = 0},
  [18609] = {.lex_state = 91},
  [18610] = {.lex_state = 0},
  [18611] = {.lex_state = 98},
  [18612] = {.lex_state = 98},
  [18613] = {.lex_state = 98},
  [18614] = {.lex_state = 98},
  [18615] = {.lex_state = 98},
  [18616] = {.lex_state = 98},
  [18617] = {.lex_state = 0},
  [18618] = {.lex_state = 0},
  [18619] = {.lex_state = 0},
  [18620] = {.lex_state = 0},
  [18621] = {.lex_state = 0},
  [18622] = {.lex_state = 0},
  [18623] = {.lex_state = 98},
  [18624] = {.lex_state = 0},
  [18625] = {.lex_state = 0},
  [18626] = {.lex_state = 0},
  [18627] = {.lex_state = 98},
  [18628] = {.lex_state = 98},
  [18629] = {.lex_state = 0},
  [18630] = {.lex_state = 98},
  [18631] = {.lex_state = 98},
  [18632] = {.lex_state = 98},
  [18633] = {.lex_state = 0},
  [18634] = {.lex_state = 0},
  [18635] = {.lex_state = 98},
  [18636] = {.lex_state = 98},
  [18637] = {.lex_state = 0},
  [18638] = {.lex_state = 98},
  [18639] = {.lex_state = 98},
  [18640] = {.lex_state = 98},
  [18641] = {.lex_state = 98},
  [18642] = {.lex_state = 98},
  [18643] = {.lex_state = 98},
  [18644] = {.lex_state = 0},
  [18645] = {.lex_state = 0},
  [18646] = {.lex_state = 0},
  [18647] = {.lex_state = 0},
  [18648] = {.lex_state = 0},
  [18649] = {.lex_state = 0},
  [18650] = {.lex_state = 0},
  [18651] = {.lex_state = 0},
  [18652] = {.lex_state = 0},
  [18653] = {.lex_state = 0},
  [18654] = {.lex_state = 0},
  [18655] = {.lex_state = 0},
  [18656] = {.lex_state = 0},
  [18657] = {.lex_state = 0},
  [18658] = {.lex_state = 98},
  [18659] = {.lex_state = 98},
  [18660] = {.lex_state = 0},
  [18661] = {.lex_state = 0},
  [18662] = {.lex_state = 0},
  [18663] = {.lex_state = 0},
  [18664] = {.lex_state = 0},
  [18665] = {.lex_state = 98},
  [18666] = {.lex_state = 98},
  [18667] = {.lex_state = 98},
  [18668] = {.lex_state = 98},
  [18669] = {.lex_state = 98},
  [18670] = {.lex_state = 98},
  [18671] = {.lex_state = 0},
  [18672] = {.lex_state = 0},
  [18673] = {.lex_state = 98},
  [18674] = {.lex_state = 0},
  [18675] = {.lex_state = 0},
  [18676] = {.lex_state = 0},
  [18677] = {.lex_state = 0},
  [18678] = {.lex_state = 0},
  [18679] = {.lex_state = 0},
  [18680] = {.lex_state = 0},
  [18681] = {.lex_state = 0},
  [18682] = {.lex_state = 0},
  [18683] = {.lex_state = 98},
  [18684] = {.lex_state = 0},
  [18685] = {.lex_state = 98},
  [18686] = {.lex_state = 98},
  [18687] = {.lex_state = 0},
  [18688] = {.lex_state = 0},
  [18689] = {.lex_state = 0},
  [18690] = {.lex_state = 98},
  [18691] = {.lex_state = 0},
  [18692] = {.lex_state = 98},
  [18693] = {.lex_state = 98},
  [18694] = {.lex_state = 98},
  [18695] = {.lex_state = 98},
  [18696] = {.lex_state = 98},
  [18697] = {.lex_state = 98},
  [18698] = {.lex_state = 0},
  [18699] = {.lex_state = 0, .external_lex_state = 4},
  [18700] = {.lex_state = 0},
  [18701] = {.lex_state = 0},
  [18702] = {.lex_state = 98},
  [18703] = {.lex_state = 0},
  [18704] = {.lex_state = 0},
  [18705] = {.lex_state = 0},
  [18706] = {.lex_state = 0},
  [18707] = {.lex_state = 0},
  [18708] = {.lex_state = 98},
  [18709] = {.lex_state = 0},
  [18710] = {.lex_state = 0},
  [18711] = {.lex_state = 98},
  [18712] = {.lex_state = 98},
  [18713] = {.lex_state = 98},
  [18714] = {.lex_state = 0},
  [18715] = {.lex_state = 0},
  [18716] = {.lex_state = 0},
  [18717] = {.lex_state = 92},
  [18718] = {.lex_state = 0},
  [18719] = {.lex_state = 98},
  [18720] = {.lex_state = 98},
  [18721] = {.lex_state = 98},
  [18722] = {.lex_state = 98},
  [18723] = {.lex_state = 98},
  [18724] = {.lex_state = 98},
  [18725] = {.lex_state = 0},
  [18726] = {.lex_state = 98},
  [18727] = {.lex_state = 98},
  [18728] = {.lex_state = 0},
  [18729] = {.lex_state = 0},
  [18730] = {.lex_state = 0},
  [18731] = {.lex_state = 0},
  [18732] = {.lex_state = 0},
  [18733] = {.lex_state = 0},
  [18734] = {.lex_state = 0},
  [18735] = {.lex_state = 0},
  [18736] = {.lex_state = 0},
  [18737] = {.lex_state = 0},
  [18738] = {.lex_state = 0},
  [18739] = {.lex_state = 98},
  [18740] = {.lex_state = 98},
  [18741] = {.lex_state = 0},
  [18742] = {.lex_state = 0},
  [18743] = {.lex_state = 0},
  [18744] = {.lex_state = 0},
  [18745] = {.lex_state = 0},
  [18746] = {.lex_state = 98},
  [18747] = {.lex_state = 98},
  [18748] = {.lex_state = 98},
  [18749] = {.lex_state = 98},
  [18750] = {.lex_state = 98},
  [18751] = {.lex_state = 98},
  [18752] = {.lex_state = 0},
  [18753] = {.lex_state = 0},
  [18754] = {.lex_state = 0},
  [18755] = {.lex_state = 0},
  [18756] = {.lex_state = 0},
  [18757] = {.lex_state = 98},
  [18758] = {.lex_state = 0},
  [18759] = {.lex_state = 98},
  [18760] = {.lex_state = 98},
  [18761] = {.lex_state = 98},
  [18762] = {.lex_state = 98},
  [18763] = {.lex_state = 98},
  [18764] = {.lex_state = 98},
  [18765] = {.lex_state = 98},
  [18766] = {.lex_state = 98},
  [18767] = {.lex_state = 0},
  [18768] = {.lex_state = 98},
  [18769] = {.lex_state = 98},
  [18770] = {.lex_state = 98},
  [18771] = {.lex_state = 0},
  [18772] = {.lex_state = 0},
  [18773] = {.lex_state = 0},
  [18774] = {.lex_state = 98},
  [18775] = {.lex_state = 98},
  [18776] = {.lex_state = 98},
  [18777] = {.lex_state = 98},
  [18778] = {.lex_state = 98},
  [18779] = {.lex_state = 98},
  [18780] = {.lex_state = 0},
  [18781] = {.lex_state = 0},
  [18782] = {.lex_state = 0},
  [18783] = {.lex_state = 98},
  [18784] = {.lex_state = 99},
  [18785] = {.lex_state = 98},
  [18786] = {.lex_state = 0},
  [18787] = {.lex_state = 98},
  [18788] = {.lex_state = 98},
  [18789] = {.lex_state = 98},
  [18790] = {.lex_state = 98},
  [18791] = {.lex_state = 98},
  [18792] = {.lex_state = 98},
  [18793] = {.lex_state = 0},
  [18794] = {.lex_state = 0},
  [18795] = {.lex_state = 98},
  [18796] = {.lex_state = 98},
  [18797] = {.lex_state = 98},
  [18798] = {.lex_state = 98},
  [18799] = {.lex_state = 98},
  [18800] = {.lex_state = 98},
  [18801] = {.lex_state = 98},
  [18802] = {.lex_state = 98},
  [18803] = {.lex_state = 98},
  [18804] = {.lex_state = 0},
  [18805] = {.lex_state = 98},
  [18806] = {.lex_state = 0},
  [18807] = {.lex_state = 98},
  [18808] = {.lex_state = 98},
  [18809] = {.lex_state = 98},
  [18810] = {.lex_state = 98},
  [18811] = {.lex_state = 98},
  [18812] = {.lex_state = 98},
  [18813] = {.lex_state = 0},
  [18814] = {.lex_state = 98},
  [18815] = {.lex_state = 98},
  [18816] = {.lex_state = 98},
  [18817] = {.lex_state = 98},
  [18818] = {.lex_state = 98},
  [18819] = {.lex_state = 98},
  [18820] = {.lex_state = 98},
  [18821] = {.lex_state = 98},
  [18822] = {.lex_state = 98},
  [18823] = {.lex_state = 0},
  [18824] = {.lex_state = 0},
  [18825] = {.lex_state = 98},
  [18826] = {.lex_state = 0},
  [18827] = {.lex_state = 98},
  [18828] = {.lex_state = 98},
  [18829] = {.lex_state = 98},
  [18830] = {.lex_state = 98},
  [18831] = {.lex_state = 98},
  [18832] = {.lex_state = 98},
  [18833] = {.lex_state = 98},
  [18834] = {.lex_state = 91},
  [18835] = {.lex_state = 98},
  [18836] = {.lex_state = 0},
  [18837] = {.lex_state = 98},
  [18838] = {.lex_state = 98},
  [18839] = {.lex_state = 98},
  [18840] = {.lex_state = 98},
  [18841] = {.lex_state = 98},
  [18842] = {.lex_state = 98},
  [18843] = {.lex_state = 0},
  [18844] = {.lex_state = 0},
  [18845] = {.lex_state = 0},
  [18846] = {.lex_state = 98},
  [18847] = {.lex_state = 0},
  [18848] = {.lex_state = 0},
  [18849] = {.lex_state = 0},
  [18850] = {.lex_state = 0},
  [18851] = {.lex_state = 0},
  [18852] = {.lex_state = 0},
  [18853] = {.lex_state = 0},
  [18854] = {.lex_state = 98},
  [18855] = {.lex_state = 98},
  [18856] = {.lex_state = 0},
  [18857] = {.lex_state = 98},
  [18858] = {.lex_state = 101},
  [18859] = {.lex_state = 0},
  [18860] = {.lex_state = 0},
  [18861] = {.lex_state = 0},
  [18862] = {.lex_state = 0},
  [18863] = {.lex_state = 0},
  [18864] = {.lex_state = 0},
  [18865] = {.lex_state = 0},
  [18866] = {.lex_state = 0},
  [18867] = {.lex_state = 0},
  [18868] = {.lex_state = 0},
  [18869] = {.lex_state = 0},
  [18870] = {.lex_state = 98},
  [18871] = {.lex_state = 0},
  [18872] = {.lex_state = 0},
  [18873] = {.lex_state = 0},
  [18874] = {.lex_state = 0},
  [18875] = {.lex_state = 0},
  [18876] = {.lex_state = 98},
  [18877] = {.lex_state = 0},
  [18878] = {.lex_state = 0},
  [18879] = {.lex_state = 98},
  [18880] = {.lex_state = 0},
  [18881] = {.lex_state = 0},
  [18882] = {.lex_state = 0},
  [18883] = {.lex_state = 0},
  [18884] = {.lex_state = 0},
  [18885] = {.lex_state = 0},
  [18886] = {.lex_state = 0},
  [18887] = {.lex_state = 98},
  [18888] = {.lex_state = 0},
  [18889] = {.lex_state = 0},
  [18890] = {.lex_state = 0},
  [18891] = {.lex_state = 0},
  [18892] = {.lex_state = 0},
  [18893] = {.lex_state = 0, .external_lex_state = 4},
  [18894] = {.lex_state = 0},
  [18895] = {.lex_state = 0},
  [18896] = {.lex_state = 0},
  [18897] = {.lex_state = 0},
  [18898] = {.lex_state = 0},
  [18899] = {.lex_state = 0},
  [18900] = {.lex_state = 0},
  [18901] = {.lex_state = 0},
  [18902] = {.lex_state = 0},
  [18903] = {.lex_state = 98},
  [18904] = {.lex_state = 98},
  [18905] = {.lex_state = 0},
  [18906] = {.lex_state = 0},
  [18907] = {.lex_state = 0},
  [18908] = {.lex_state = 0},
  [18909] = {.lex_state = 0},
  [18910] = {.lex_state = 0},
  [18911] = {.lex_state = 0},
  [18912] = {.lex_state = 0},
  [18913] = {.lex_state = 0},
  [18914] = {.lex_state = 0},
  [18915] = {.lex_state = 98},
  [18916] = {.lex_state = 98},
  [18917] = {.lex_state = 0},
  [18918] = {.lex_state = 0},
  [18919] = {.lex_state = 0},
  [18920] = {.lex_state = 0},
  [18921] = {.lex_state = 0},
  [18922] = {.lex_state = 0},
  [18923] = {.lex_state = 0},
  [18924] = {.lex_state = 0},
  [18925] = {.lex_state = 98},
  [18926] = {.lex_state = 98},
  [18927] = {.lex_state = 98},
  [18928] = {.lex_state = 0},
  [18929] = {.lex_state = 0},
  [18930] = {.lex_state = 98},
  [18931] = {.lex_state = 0},
  [18932] = {.lex_state = 0},
  [18933] = {.lex_state = 0},
  [18934] = {.lex_state = 0},
  [18935] = {.lex_state = 0},
  [18936] = {.lex_state = 0},
  [18937] = {.lex_state = 0},
  [18938] = {.lex_state = 0},
  [18939] = {.lex_state = 98},
  [18940] = {.lex_state = 0},
  [18941] = {.lex_state = 0},
  [18942] = {.lex_state = 0},
  [18943] = {.lex_state = 0},
  [18944] = {.lex_state = 0},
  [18945] = {.lex_state = 0},
  [18946] = {.lex_state = 0},
  [18947] = {.lex_state = 98},
  [18948] = {.lex_state = 98},
  [18949] = {.lex_state = 98},
  [18950] = {.lex_state = 0},
  [18951] = {.lex_state = 0},
  [18952] = {.lex_state = 98},
  [18953] = {.lex_state = 98},
  [18954] = {.lex_state = 98},
  [18955] = {.lex_state = 98},
  [18956] = {.lex_state = 0},
  [18957] = {.lex_state = 0},
  [18958] = {.lex_state = 98},
  [18959] = {.lex_state = 0},
  [18960] = {.lex_state = 98},
  [18961] = {.lex_state = 98},
  [18962] = {.lex_state = 98},
  [18963] = {.lex_state = 91},
  [18964] = {.lex_state = 98},
  [18965] = {.lex_state = 0},
  [18966] = {.lex_state = 0},
  [18967] = {.lex_state = 98},
  [18968] = {.lex_state = 0},
  [18969] = {.lex_state = 98},
  [18970] = {.lex_state = 98},
  [18971] = {.lex_state = 98},
  [18972] = {.lex_state = 0},
  [18973] = {.lex_state = 98},
  [18974] = {.lex_state = 98},
  [18975] = {.lex_state = 98},
  [18976] = {.lex_state = 0},
  [18977] = {.lex_state = 0},
  [18978] = {.lex_state = 98},
  [18979] = {.lex_state = 98},
  [18980] = {.lex_state = 0},
  [18981] = {.lex_state = 98},
  [18982] = {.lex_state = 98},
  [18983] = {.lex_state = 0},
  [18984] = {.lex_state = 98},
  [18985] = {.lex_state = 0},
  [18986] = {.lex_state = 0},
  [18987] = {.lex_state = 0},
  [18988] = {.lex_state = 0},
  [18989] = {.lex_state = 0},
  [18990] = {.lex_state = 0},
  [18991] = {.lex_state = 0},
  [18992] = {.lex_state = 0},
  [18993] = {.lex_state = 0},
  [18994] = {.lex_state = 0},
  [18995] = {.lex_state = 0},
  [18996] = {.lex_state = 0},
  [18997] = {.lex_state = 0},
  [18998] = {.lex_state = 0},
  [18999] = {.lex_state = 0},
  [19000] = {.lex_state = 0},
  [19001] = {.lex_state = 0},
  [19002] = {.lex_state = 0},
  [19003] = {.lex_state = 0},
  [19004] = {.lex_state = 0},
  [19005] = {.lex_state = 0},
  [19006] = {.lex_state = 0},
  [19007] = {.lex_state = 0},
  [19008] = {.lex_state = 0},
  [19009] = {.lex_state = 0},
  [19010] = {.lex_state = 0},
  [19011] = {.lex_state = 0},
  [19012] = {.lex_state = 0},
  [19013] = {.lex_state = 0},
  [19014] = {.lex_state = 0},
  [19015] = {.lex_state = 0},
  [19016] = {.lex_state = 0},
  [19017] = {.lex_state = 0},
  [19018] = {.lex_state = 0},
  [19019] = {.lex_state = 0},
  [19020] = {.lex_state = 0},
  [19021] = {.lex_state = 0},
  [19022] = {.lex_state = 98},
  [19023] = {.lex_state = 0},
  [19024] = {.lex_state = 0},
  [19025] = {.lex_state = 0},
  [19026] = {.lex_state = 0},
  [19027] = {.lex_state = 0, .external_lex_state = 4},
  [19028] = {.lex_state = 0},
  [19029] = {.lex_state = 0},
  [19030] = {.lex_state = 0},
  [19031] = {.lex_state = 0},
  [19032] = {.lex_state = 0},
  [19033] = {.lex_state = 0},
  [19034] = {.lex_state = 0},
  [19035] = {.lex_state = 0},
  [19036] = {.lex_state = 0},
  [19037] = {.lex_state = 0},
  [19038] = {.lex_state = 0},
  [19039] = {.lex_state = 0},
  [19040] = {.lex_state = 0},
  [19041] = {.lex_state = 0},
  [19042] = {.lex_state = 0},
  [19043] = {.lex_state = 0},
  [19044] = {.lex_state = 0},
  [19045] = {.lex_state = 0},
  [19046] = {.lex_state = 0},
  [19047] = {.lex_state = 98},
  [19048] = {.lex_state = 0},
  [19049] = {.lex_state = 0},
  [19050] = {.lex_state = 0},
  [19051] = {.lex_state = 0},
  [19052] = {.lex_state = 0},
  [19053] = {.lex_state = 0},
  [19054] = {.lex_state = 0},
  [19055] = {.lex_state = 0},
  [19056] = {.lex_state = 0},
  [19057] = {.lex_state = 0},
  [19058] = {.lex_state = 0},
  [19059] = {.lex_state = 0},
  [19060] = {.lex_state = 0},
  [19061] = {.lex_state = 0},
  [19062] = {.lex_state = 0},
  [19063] = {.lex_state = 0},
  [19064] = {.lex_state = 0},
  [19065] = {.lex_state = 0},
  [19066] = {.lex_state = 0},
  [19067] = {.lex_state = 0},
  [19068] = {.lex_state = 0},
  [19069] = {.lex_state = 0},
  [19070] = {.lex_state = 0},
  [19071] = {.lex_state = 0},
  [19072] = {.lex_state = 0},
  [19073] = {.lex_state = 0},
  [19074] = {.lex_state = 0},
  [19075] = {.lex_state = 0},
  [19076] = {.lex_state = 0},
  [19077] = {.lex_state = 0},
  [19078] = {.lex_state = 0},
  [19079] = {.lex_state = 0},
  [19080] = {.lex_state = 0},
  [19081] = {.lex_state = 0},
  [19082] = {.lex_state = 0},
  [19083] = {.lex_state = 0},
  [19084] = {.lex_state = 0},
  [19085] = {.lex_state = 0},
  [19086] = {.lex_state = 0},
  [19087] = {.lex_state = 0},
  [19088] = {.lex_state = 0},
  [19089] = {.lex_state = 0},
  [19090] = {.lex_state = 0},
  [19091] = {.lex_state = 0},
  [19092] = {.lex_state = 0},
  [19093] = {.lex_state = 0},
  [19094] = {.lex_state = 0},
  [19095] = {.lex_state = 0},
  [19096] = {.lex_state = 91},
  [19097] = {.lex_state = 0},
  [19098] = {.lex_state = 91},
  [19099] = {.lex_state = 0},
  [19100] = {.lex_state = 0},
  [19101] = {.lex_state = 0},
  [19102] = {.lex_state = 0},
  [19103] = {.lex_state = 98},
  [19104] = {.lex_state = 0},
  [19105] = {.lex_state = 0},
  [19106] = {.lex_state = 0},
  [19107] = {.lex_state = 0},
  [19108] = {.lex_state = 0},
  [19109] = {.lex_state = 0},
  [19110] = {.lex_state = 98},
  [19111] = {.lex_state = 99},
  [19112] = {.lex_state = 98},
  [19113] = {.lex_state = 0},
  [19114] = {.lex_state = 0},
  [19115] = {.lex_state = 0},
  [19116] = {.lex_state = 0},
  [19117] = {.lex_state = 0},
  [19118] = {.lex_state = 0},
  [19119] = {.lex_state = 0},
  [19120] = {.lex_state = 0},
  [19121] = {.lex_state = 0},
  [19122] = {.lex_state = 98},
  [19123] = {.lex_state = 0},
  [19124] = {.lex_state = 0},
  [19125] = {.lex_state = 0},
  [19126] = {.lex_state = 0},
  [19127] = {.lex_state = 0},
  [19128] = {.lex_state = 0},
  [19129] = {.lex_state = 0},
  [19130] = {.lex_state = 0},
  [19131] = {.lex_state = 0},
  [19132] = {.lex_state = 0},
  [19133] = {.lex_state = 0},
  [19134] = {.lex_state = 0},
  [19135] = {.lex_state = 0},
  [19136] = {.lex_state = 0},
  [19137] = {.lex_state = 0},
  [19138] = {.lex_state = 0},
  [19139] = {.lex_state = 0},
  [19140] = {.lex_state = 0},
  [19141] = {.lex_state = 0},
  [19142] = {.lex_state = 0},
  [19143] = {.lex_state = 0},
  [19144] = {.lex_state = 0},
  [19145] = {.lex_state = 0},
  [19146] = {.lex_state = 0},
  [19147] = {.lex_state = 0},
  [19148] = {.lex_state = 0},
  [19149] = {.lex_state = 0},
  [19150] = {.lex_state = 0},
  [19151] = {.lex_state = 0},
  [19152] = {.lex_state = 0},
  [19153] = {.lex_state = 0},
  [19154] = {.lex_state = 0},
  [19155] = {.lex_state = 0},
  [19156] = {.lex_state = 0},
  [19157] = {.lex_state = 0},
  [19158] = {.lex_state = 0},
  [19159] = {.lex_state = 0},
  [19160] = {.lex_state = 0},
  [19161] = {.lex_state = 0},
  [19162] = {.lex_state = 0},
  [19163] = {.lex_state = 0},
  [19164] = {.lex_state = 98},
  [19165] = {.lex_state = 0},
  [19166] = {.lex_state = 98},
  [19167] = {.lex_state = 98},
  [19168] = {.lex_state = 0},
  [19169] = {.lex_state = 0},
  [19170] = {.lex_state = 0},
  [19171] = {.lex_state = 98},
  [19172] = {.lex_state = 0},
  [19173] = {.lex_state = 0},
  [19174] = {.lex_state = 98},
  [19175] = {.lex_state = 0},
  [19176] = {.lex_state = 0},
  [19177] = {.lex_state = 0},
  [19178] = {.lex_state = 98},
  [19179] = {.lex_state = 0},
  [19180] = {.lex_state = 0},
  [19181] = {.lex_state = 0},
  [19182] = {.lex_state = 0},
  [19183] = {.lex_state = 0},
  [19184] = {.lex_state = 0},
  [19185] = {.lex_state = 0},
  [19186] = {.lex_state = 0},
  [19187] = {.lex_state = 0},
  [19188] = {.lex_state = 98},
  [19189] = {.lex_state = 98},
  [19190] = {.lex_state = 0},
  [19191] = {.lex_state = 0, .external_lex_state = 4},
  [19192] = {.lex_state = 0},
  [19193] = {.lex_state = 0},
  [19194] = {.lex_state = 0},
  [19195] = {.lex_state = 0},
  [19196] = {.lex_state = 98},
  [19197] = {.lex_state = 98},
  [19198] = {.lex_state = 0},
  [19199] = {.lex_state = 0},
  [19200] = {.lex_state = 0},
  [19201] = {.lex_state = 0},
  [19202] = {.lex_state = 98},
  [19203] = {.lex_state = 98},
  [19204] = {.lex_state = 0},
  [19205] = {.lex_state = 0},
  [19206] = {.lex_state = 98},
  [19207] = {.lex_state = 98},
  [19208] = {.lex_state = 98},
  [19209] = {.lex_state = 98},
  [19210] = {.lex_state = 98},
  [19211] = {.lex_state = 98},
  [19212] = {.lex_state = 98},
  [19213] = {.lex_state = 0},
  [19214] = {.lex_state = 0},
  [19215] = {.lex_state = 0},
  [19216] = {.lex_state = 0},
  [19217] = {.lex_state = 98},
  [19218] = {.lex_state = 0},
  [19219] = {.lex_state = 98},
  [19220] = {.lex_state = 98},
  [19221] = {.lex_state = 98},
  [19222] = {.lex_state = 98},
  [19223] = {.lex_state = 0},
  [19224] = {.lex_state = 0},
  [19225] = {.lex_state = 98},
  [19226] = {.lex_state = 0},
  [19227] = {.lex_state = 98},
  [19228] = {.lex_state = 98},
  [19229] = {.lex_state = 98},
  [19230] = {.lex_state = 98},
  [19231] = {.lex_state = 0},
  [19232] = {.lex_state = 0},
  [19233] = {.lex_state = 98},
  [19234] = {.lex_state = 0},
  [19235] = {.lex_state = 98},
  [19236] = {.lex_state = 98},
  [19237] = {.lex_state = 98},
  [19238] = {.lex_state = 98},
  [19239] = {.lex_state = 98},
  [19240] = {.lex_state = 0},
  [19241] = {.lex_state = 98},
  [19242] = {.lex_state = 0},
  [19243] = {.lex_state = 98},
  [19244] = {.lex_state = 0},
  [19245] = {.lex_state = 98},
  [19246] = {.lex_state = 0},
  [19247] = {.lex_state = 98},
  [19248] = {.lex_state = 98},
  [19249] = {.lex_state = 98},
  [19250] = {.lex_state = 0},
  [19251] = {.lex_state = 98},
  [19252] = {.lex_state = 0},
  [19253] = {.lex_state = 98},
  [19254] = {.lex_state = 0},
  [19255] = {.lex_state = 98},
  [19256] = {.lex_state = 0},
  [19257] = {.lex_state = 98},
  [19258] = {.lex_state = 98},
  [19259] = {.lex_state = 98},
  [19260] = {.lex_state = 0},
  [19261] = {.lex_state = 98},
  [19262] = {.lex_state = 98},
  [19263] = {.lex_state = 98},
  [19264] = {.lex_state = 0},
  [19265] = {.lex_state = 0},
  [19266] = {.lex_state = 0},
  [19267] = {.lex_state = 0},
  [19268] = {.lex_state = 0},
  [19269] = {.lex_state = 0},
  [19270] = {.lex_state = 0},
  [19271] = {.lex_state = 0},
  [19272] = {.lex_state = 0},
  [19273] = {.lex_state = 98},
  [19274] = {.lex_state = 0},
  [19275] = {.lex_state = 0},
  [19276] = {.lex_state = 0},
  [19277] = {.lex_state = 98},
  [19278] = {.lex_state = 98},
  [19279] = {.lex_state = 0},
  [19280] = {.lex_state = 0},
  [19281] = {.lex_state = 98},
  [19282] = {.lex_state = 98},
  [19283] = {.lex_state = 0},
  [19284] = {.lex_state = 0},
  [19285] = {.lex_state = 98},
  [19286] = {.lex_state = 98},
  [19287] = {.lex_state = 0},
  [19288] = {.lex_state = 0},
  [19289] = {.lex_state = 0},
  [19290] = {.lex_state = 0},
  [19291] = {.lex_state = 0},
  [19292] = {.lex_state = 0},
  [19293] = {.lex_state = 0},
  [19294] = {.lex_state = 0},
  [19295] = {.lex_state = 0},
  [19296] = {.lex_state = 0},
  [19297] = {.lex_state = 0},
  [19298] = {.lex_state = 0},
  [19299] = {.lex_state = 0},
  [19300] = {.lex_state = 0},
  [19301] = {.lex_state = 0},
  [19302] = {.lex_state = 0},
  [19303] = {.lex_state = 0},
  [19304] = {.lex_state = 0},
  [19305] = {.lex_state = 0},
  [19306] = {.lex_state = 0},
  [19307] = {.lex_state = 0},
  [19308] = {.lex_state = 0},
  [19309] = {.lex_state = 0},
  [19310] = {.lex_state = 0},
  [19311] = {.lex_state = 0},
  [19312] = {.lex_state = 0},
  [19313] = {.lex_state = 0},
  [19314] = {.lex_state = 0},
  [19315] = {.lex_state = 0},
  [19316] = {.lex_state = 0},
  [19317] = {.lex_state = 0},
  [19318] = {.lex_state = 0},
  [19319] = {.lex_state = 98},
  [19320] = {.lex_state = 0},
  [19321] = {.lex_state = 0},
  [19322] = {.lex_state = 98},
  [19323] = {.lex_state = 0},
  [19324] = {.lex_state = 0},
  [19325] = {.lex_state = 0},
  [19326] = {.lex_state = 0},
  [19327] = {.lex_state = 0},
  [19328] = {.lex_state = 0},
  [19329] = {.lex_state = 0},
  [19330] = {.lex_state = 91},
  [19331] = {.lex_state = 0},
  [19332] = {.lex_state = 0},
  [19333] = {.lex_state = 0},
  [19334] = {.lex_state = 98},
  [19335] = {.lex_state = 98},
  [19336] = {.lex_state = 99},
  [19337] = {.lex_state = 0},
  [19338] = {.lex_state = 98},
  [19339] = {.lex_state = 0},
  [19340] = {.lex_state = 0},
  [19341] = {.lex_state = 0},
  [19342] = {.lex_state = 98},
  [19343] = {.lex_state = 98},
  [19344] = {.lex_state = 98},
  [19345] = {.lex_state = 0},
  [19346] = {.lex_state = 0},
  [19347] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__unquoted_identifier] = ACTIONS(1),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1),
    [aux_sym_keyword_temporary_token1] = ACTIONS(1),
    [aux_sym_keyword_temporary_token2] = ACTIONS(1),
    [aux_sym_keyword_replace_token1] = ACTIONS(1),
    [aux_sym_keyword_replace_token2] = ACTIONS(1),
    [aux_sym__keyword_schema_token1] = ACTIONS(1),
    [aux_sym__keyword_column_token1] = ACTIONS(1),
    [aux_sym__keyword_alter_token1] = ACTIONS(1),
    [aux_sym__keyword_rename_token1] = ACTIONS(1),
    [aux_sym__keyword_create_token1] = ACTIONS(1),
    [aux_sym__keyword_add_token1] = ACTIONS(1),
    [aux_sym__keyword_drop_token1] = ACTIONS(1),
    [aux_sym__keyword_from_token1] = ACTIONS(1),
    [aux_sym__keyword_replica_token1] = ACTIONS(1),
    [aux_sym__keyword_distinct_token1] = ACTIONS(1),
    [aux_sym__keyword_format_token1] = ACTIONS(1),
    [aux_sym__keyword_delete_token1] = ACTIONS(1),
    [aux_sym__keyword_tablesuffix_token1] = ACTIONS(1),
    [aux_sym__keyword_begin_token1] = ACTIONS(1),
    [aux_sym__keyword_end_token1] = ACTIONS(1),
    [aux_sym__keyword_struct_token1] = ACTIONS(1),
    [aux_sym__keyword_range_token1] = ACTIONS(1),
    [aux_sym__keyword_array_token1] = ACTIONS(1),
    [aux_sym__keyword_returns_token1] = ACTIONS(1),
    [aux_sym__keyword_between_token1] = ACTIONS(1),
    [aux_sym__keyword_case_token1] = ACTIONS(1),
    [aux_sym__keyword_when_token1] = ACTIONS(1),
    [aux_sym__keyword_then_token1] = ACTIONS(1),
    [aux_sym__keyword_else_token1] = ACTIONS(1),
    [aux_sym__keyword_is_token1] = ACTIONS(1),
    [aux_sym__keyword_in_token1] = ACTIONS(1),
    [aux_sym__keyword_and_token1] = ACTIONS(1),
    [aux_sym__keyword_like_token1] = ACTIONS(1),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1),
    [aux_sym__keyword_as_token1] = ACTIONS(1),
    [aux_sym__keyword_cast_token1] = ACTIONS(1),
    [aux_sym__keyword_cast_token2] = ACTIONS(1),
    [aux_sym__keyword_window_token1] = ACTIONS(1),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1),
    [aux_sym__keyword_partition_by_token2] = ACTIONS(1),
    [aux_sym__keyword_date_token1] = ACTIONS(1),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1),
    [aux_sym__keyword_time_token1] = ACTIONS(1),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1),
    [aux_sym__keyword_for_token1] = ACTIONS(1),
    [aux_sym__keyword_partitiontime_token1] = ACTIONS(1),
    [aux_sym__keyword_system_as_of_token1] = ACTIONS(1),
    [aux_sym__keyword_system_as_of_token2] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_default_clause_token1] = ACTIONS(1),
    [aux_sym_set_statement_token1] = ACTIONS(1),
    [aux_sym_set_statement_token2] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1),
    [aux_sym_execute_immediate_statement_token2] = ACTIONS(1),
    [aux_sym_into_clause_token1] = ACTIONS(1),
    [aux_sym_using_clause_token1] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_call_statement_token1] = ACTIONS(1),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1),
    [aux_sym_begin_exception_end_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_loop_statement_token1] = ACTIONS(1),
    [aux_sym_repeat_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [aux_sym_leave_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_iterate_statement_token1] = ACTIONS(1),
    [aux_sym_raise_statement_token1] = ACTIONS(1),
    [aux_sym_raise_statement_token2] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_assert_statement_token1] = ACTIONS(1),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1),
    [aux_sym_create_table_statement_token1] = ACTIONS(1),
    [aux_sym_create_table_statement_token2] = ACTIONS(1),
    [aux_sym_create_table_statement_token3] = ACTIONS(1),
    [aux_sym_clone_clause_token1] = ACTIONS(1),
    [aux_sym_default_collate_clause_token1] = ACTIONS(1),
    [aux_sym_copy_clause_token1] = ACTIONS(1),
    [aux_sym_create_snapshot_table_statement_token1] = ACTIONS(1),
    [aux_sym_create_external_table_statement_token1] = ACTIONS(1),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1),
    [aux_sym_partition_columns_clause_token2] = ACTIONS(1),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(1),
    [aux_sym_set_data_type_token1] = ACTIONS(1),
    [aux_sym_set_data_type_token2] = ACTIONS(1),
    [aux_sym_drop_notnull_token1] = ACTIONS(1),
    [aux_sym_constraint_enfoce_option_token1] = ACTIONS(1),
    [aux_sym_primary_key_token1] = ACTIONS(1),
    [aux_sym_primary_key_token2] = ACTIONS(1),
    [aux_sym_foreign_key_token1] = ACTIONS(1),
    [aux_sym_foreign_key_references_token1] = ACTIONS(1),
    [aux_sym_add_foreign_key_action_token1] = ACTIONS(1),
    [aux_sym_drop_table_statement_token1] = ACTIONS(1),
    [aux_sym_option_clause_token1] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [aux_sym_partition_expression_token1] = ACTIONS(1),
    [aux_sym_partition_expression_token2] = ACTIONS(1),
    [aux_sym_partition_expression_token3] = ACTIONS(1),
    [aux_sym_partition_expression_token4] = ACTIONS(1),
    [aux_sym_partition_expression_token5] = ACTIONS(1),
    [aux_sym_partition_expression_token6] = ACTIONS(1),
    [aux_sym_partition_expression_token7] = ACTIONS(1),
    [aux_sym_partition_expression_token8] = ACTIONS(1),
    [aux_sym_partition_expression_token9] = ACTIONS(1),
    [aux_sym_partition_expression_token10] = ACTIONS(1),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1),
    [aux_sym_create_function_statement_token1] = ACTIONS(1),
    [aux_sym_create_remote_function_statement_token1] = ACTIONS(1),
    [aux_sym_create_remote_function_statement_token2] = ACTIONS(1),
    [aux_sym__function_language_token1] = ACTIONS(1),
    [aux_sym_create_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_procedure_argument_token1] = ACTIONS(1),
    [aux_sym_procedure_argument_token2] = ACTIONS(1),
    [aux_sym_create_model_statement_token1] = ACTIONS(1),
    [aux_sym_transoform_clause_token1] = ACTIONS(1),
    [aux_sym_set_operation_token1] = ACTIONS(1),
    [aux_sym_set_operation_token2] = ACTIONS(1),
    [aux_sym_set_operation_token3] = ACTIONS(1),
    [aux_sym_set_operation_token4] = ACTIONS(1),
    [aux_sym_select_token1] = ACTIONS(1),
    [aux_sym_select_token2] = ACTIONS(1),
    [aux_sym_having_clause_token1] = ACTIONS(1),
    [aux_sym_qualify_clause_token1] = ACTIONS(1),
    [aux_sym_limit_clause_token1] = ACTIONS(1),
    [aux_sym_limit_clause_token2] = ACTIONS(1),
    [aux_sym_group_by_clause_token1] = ACTIONS(1),
    [aux_sym_grouping_sets_token1] = ACTIONS(1),
    [aux_sym_grouping_sets_token2] = ACTIONS(1),
    [aux_sym_rollup_token1] = ACTIONS(1),
    [aux_sym_cube_token1] = ACTIONS(1),
    [aux_sym_rows_range_token1] = ACTIONS(1),
    [aux_sym_window_numeric_preceding_token1] = ACTIONS(1),
    [aux_sym_window_numeric_following_token1] = ACTIONS(1),
    [aux_sym_keyword_unbounded_preceding_token1] = ACTIONS(1),
    [aux_sym_keyword_current_row_token1] = ACTIONS(1),
    [aux_sym_keyword_current_row_token2] = ACTIONS(1),
    [aux_sym_aggregation_threshold_clause_token1] = ACTIONS(1),
    [anon_sym_OPTIONS] = ACTIONS(1),
    [aux_sym_differential_privacy_clause_token1] = ACTIONS(1),
    [aux_sym__direction_keywords_token1] = ACTIONS(1),
    [aux_sym__direction_keywords_token2] = ACTIONS(1),
    [aux_sym__nulls_preference_token1] = ACTIONS(1),
    [aux_sym__nulls_preference_token2] = ACTIONS(1),
    [aux_sym__nulls_preference_token3] = ACTIONS(1),
    [aux_sym_order_by_clause_token1] = ACTIONS(1),
    [aux_sym_where_clause_token1] = ACTIONS(1),
    [aux_sym_cte_clause_token1] = ACTIONS(1),
    [aux_sym_pivot_operator_token1] = ACTIONS(1),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1),
    [aux_sym_unpivot_operator_token2] = ACTIONS(1),
    [aux_sym_unpivot_operator_token3] = ACTIONS(1),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1),
    [aux_sym_tablesample_operator_token2] = ACTIONS(1),
    [aux_sym_tablesample_operator_token3] = ACTIONS(1),
    [aux_sym_join_type_token1] = ACTIONS(1),
    [aux_sym_join_type_token2] = ACTIONS(1),
    [aux_sym_join_type_token3] = ACTIONS(1),
    [aux_sym_join_type_token4] = ACTIONS(1),
    [aux_sym_join_type_token5] = ACTIONS(1),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1),
    [aux_sym_join_condition_token1] = ACTIONS(1),
    [aux_sym_analytics_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [aux_sym_function_call_token1] = ACTIONS(1),
    [aux_sym_function_call_token2] = ACTIONS(1),
    [aux_sym_having_max_clause_token1] = ACTIONS(1),
    [aux_sym_having_min_clause_token1] = ACTIONS(1),
    [aux_sym_unnest_operator_token1] = ACTIONS(1),
    [aux_sym_insert_statement_token1] = ACTIONS(1),
    [aux_sym_values_clause_token1] = ACTIONS(1),
    [aux_sym_truncate_statement_token1] = ACTIONS(1),
    [aux_sym_update_statement_token1] = ACTIONS(1),
    [aux_sym_merge_statement_token1] = ACTIONS(1),
    [aux_sym_merge_matched_clause_token1] = ACTIONS(1),
    [aux_sym_merge_not_matched_by_target_clause_token1] = ACTIONS(1),
    [aux_sym_merge_not_matched_by_source_clause_token1] = ACTIONS(1),
    [aux_sym_grant_statement_token1] = ACTIONS(1),
    [aux_sym_grant_statement_token2] = ACTIONS(1),
    [aux_sym_revoke_statement_token1] = ACTIONS(1),
    [sym_privilege_role] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_user] = ACTIONS(1),
    [anon_sym_group] = ACTIONS(1),
    [anon_sym_serviceAccount] = ACTIONS(1),
    [anon_sym_domain] = ACTIONS(1),
    [anon_sym_specialGroup] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [aux_sym_export_data_statement_token1] = ACTIONS(1),
    [anon_sym_AS] = ACTIONS(1),
    [aux_sym_load_data_statement_token1] = ACTIONS(1),
    [aux_sym_load_data_statement_token2] = ACTIONS(1),
    [aux_sym_from_files_clause_token1] = ACTIONS(1),
    [aux_sym_TRUE_token1] = ACTIONS(1),
    [aux_sym_FALSE_token1] = ACTIONS(1),
    [sym__integer] = ACTIONS(1),
    [aux_sym_numeric_token1] = ACTIONS(1),
    [aux_sym_numeric_token2] = ACTIONS(1),
    [aux_sym_numeric_token3] = ACTIONS(1),
    [aux_sym_numeric_token4] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_interval_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_json_token1] = ACTIONS(1),
    [sym_system_variable] = ACTIONS(1),
    [sym__named_query_parameter] = ACTIONS(1),
    [sym__positional_query_parameter] = ACTIONS(1),
    [sym__quoted_identifier] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_operator_compare] = ACTIONS(1),
    [aux_sym_quantitve_like_operator_token1] = ACTIONS(1),
    [aux_sym_quantitve_like_operator_token2] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_argument_reference_token1] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(19234),
    [sym__keyword_alter] = STATE(13312),
    [sym__keyword_create] = STATE(11559),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11425),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(107),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(7334),
    [sym_query_expr] = STATE(8363),
    [sym_select] = STATE(7334),
    [sym_cte_clause] = STATE(12999),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_source_file_repeat1] = STATE(107),
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_create_token1] = ACTIONS(11),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(15),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(23),
    [aux_sym_set_statement_token1] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(29),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(47),
    [aux_sym_assert_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(53),
    [aux_sym_insert_statement_token1] = ACTIONS(55),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(59),
    [aux_sym_merge_statement_token1] = ACTIONS(61),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(67),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(73),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_alter_token1] = ACTIONS(73),
    [aux_sym__keyword_create_token1] = ACTIONS(73),
    [aux_sym__keyword_drop_token1] = ACTIONS(73),
    [aux_sym__keyword_from_token1] = ACTIONS(73),
    [aux_sym__keyword_delete_token1] = ACTIONS(73),
    [aux_sym__keyword_begin_token1] = ACTIONS(73),
    [aux_sym__keyword_end_token1] = ACTIONS(73),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_when_token1] = ACTIONS(73),
    [aux_sym__keyword_else_token1] = ACTIONS(73),
    [aux_sym__keyword_repeat_token1] = ACTIONS(73),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_window_token1] = ACTIONS(73),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [aux_sym__keyword_for_token1] = ACTIONS(73),
    [anon_sym_SEMI] = ACTIONS(91),
    [aux_sym_declare_statement_token1] = ACTIONS(73),
    [aux_sym_set_statement_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(73),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_call_statement_token1] = ACTIONS(73),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(73),
    [aux_sym_if_statement_token1] = ACTIONS(73),
    [aux_sym_loop_statement_token1] = ACTIONS(73),
    [aux_sym_repeat_statement_token1] = ACTIONS(73),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_break_statement_token1] = ACTIONS(73),
    [aux_sym_leave_statement_token1] = ACTIONS(73),
    [aux_sym_continue_statement_token1] = ACTIONS(73),
    [aux_sym_iterate_statement_token1] = ACTIONS(73),
    [aux_sym_raise_statement_token1] = ACTIONS(73),
    [aux_sym_assert_statement_token1] = ACTIONS(73),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(73),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token1] = ACTIONS(73),
    [aux_sym_set_operation_token3] = ACTIONS(73),
    [aux_sym_set_operation_token4] = ACTIONS(73),
    [aux_sym_select_token1] = ACTIONS(73),
    [aux_sym_having_clause_token1] = ACTIONS(73),
    [aux_sym_qualify_clause_token1] = ACTIONS(73),
    [aux_sym_limit_clause_token1] = ACTIONS(73),
    [aux_sym_group_by_clause_token1] = ACTIONS(73),
    [aux_sym_order_by_clause_token1] = ACTIONS(73),
    [aux_sym_where_clause_token1] = ACTIONS(73),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_insert_statement_token1] = ACTIONS(73),
    [aux_sym_truncate_statement_token1] = ACTIONS(73),
    [aux_sym_update_statement_token1] = ACTIONS(73),
    [aux_sym_merge_statement_token1] = ACTIONS(73),
    [aux_sym_grant_statement_token1] = ACTIONS(73),
    [aux_sym_revoke_statement_token1] = ACTIONS(73),
    [aux_sym_export_data_statement_token1] = ACTIONS(73),
    [aux_sym_load_data_statement_token1] = ACTIONS(73),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [3] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(137),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_alter_token1] = ACTIONS(137),
    [aux_sym__keyword_create_token1] = ACTIONS(137),
    [aux_sym__keyword_drop_token1] = ACTIONS(137),
    [aux_sym__keyword_from_token1] = ACTIONS(137),
    [aux_sym__keyword_delete_token1] = ACTIONS(137),
    [aux_sym__keyword_begin_token1] = ACTIONS(137),
    [aux_sym__keyword_end_token1] = ACTIONS(137),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_when_token1] = ACTIONS(137),
    [aux_sym__keyword_else_token1] = ACTIONS(137),
    [aux_sym__keyword_repeat_token1] = ACTIONS(137),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_window_token1] = ACTIONS(137),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [aux_sym__keyword_for_token1] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [aux_sym_declare_statement_token1] = ACTIONS(137),
    [aux_sym_set_statement_token1] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(137),
    [aux_sym_return_statement_token1] = ACTIONS(137),
    [aux_sym_call_statement_token1] = ACTIONS(137),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(137),
    [aux_sym_if_statement_token1] = ACTIONS(137),
    [aux_sym_loop_statement_token1] = ACTIONS(137),
    [aux_sym_repeat_statement_token1] = ACTIONS(137),
    [aux_sym_while_statement_token1] = ACTIONS(137),
    [aux_sym_break_statement_token1] = ACTIONS(137),
    [aux_sym_leave_statement_token1] = ACTIONS(137),
    [aux_sym_continue_statement_token1] = ACTIONS(137),
    [aux_sym_iterate_statement_token1] = ACTIONS(137),
    [aux_sym_raise_statement_token1] = ACTIONS(137),
    [aux_sym_assert_statement_token1] = ACTIONS(137),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(137),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token1] = ACTIONS(137),
    [aux_sym_set_operation_token3] = ACTIONS(137),
    [aux_sym_set_operation_token4] = ACTIONS(137),
    [aux_sym_select_token1] = ACTIONS(137),
    [aux_sym_having_clause_token1] = ACTIONS(137),
    [aux_sym_qualify_clause_token1] = ACTIONS(137),
    [aux_sym_limit_clause_token1] = ACTIONS(137),
    [aux_sym_group_by_clause_token1] = ACTIONS(137),
    [aux_sym_order_by_clause_token1] = ACTIONS(137),
    [aux_sym_where_clause_token1] = ACTIONS(137),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_insert_statement_token1] = ACTIONS(137),
    [aux_sym_truncate_statement_token1] = ACTIONS(137),
    [aux_sym_update_statement_token1] = ACTIONS(137),
    [aux_sym_merge_statement_token1] = ACTIONS(137),
    [aux_sym_grant_statement_token1] = ACTIONS(137),
    [aux_sym_revoke_statement_token1] = ACTIONS(137),
    [aux_sym_export_data_statement_token1] = ACTIONS(137),
    [aux_sym_load_data_statement_token1] = ACTIONS(137),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [4] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(141),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_alter_token1] = ACTIONS(141),
    [aux_sym__keyword_create_token1] = ACTIONS(141),
    [aux_sym__keyword_drop_token1] = ACTIONS(141),
    [aux_sym__keyword_from_token1] = ACTIONS(141),
    [aux_sym__keyword_delete_token1] = ACTIONS(141),
    [aux_sym__keyword_begin_token1] = ACTIONS(141),
    [aux_sym__keyword_end_token1] = ACTIONS(141),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_when_token1] = ACTIONS(141),
    [aux_sym__keyword_else_token1] = ACTIONS(141),
    [aux_sym__keyword_repeat_token1] = ACTIONS(141),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_window_token1] = ACTIONS(141),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [aux_sym__keyword_for_token1] = ACTIONS(141),
    [anon_sym_SEMI] = ACTIONS(143),
    [aux_sym_declare_statement_token1] = ACTIONS(141),
    [aux_sym_set_statement_token1] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(141),
    [aux_sym_return_statement_token1] = ACTIONS(141),
    [aux_sym_call_statement_token1] = ACTIONS(141),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(141),
    [aux_sym_if_statement_token1] = ACTIONS(141),
    [aux_sym_loop_statement_token1] = ACTIONS(141),
    [aux_sym_repeat_statement_token1] = ACTIONS(141),
    [aux_sym_while_statement_token1] = ACTIONS(141),
    [aux_sym_break_statement_token1] = ACTIONS(141),
    [aux_sym_leave_statement_token1] = ACTIONS(141),
    [aux_sym_continue_statement_token1] = ACTIONS(141),
    [aux_sym_iterate_statement_token1] = ACTIONS(141),
    [aux_sym_raise_statement_token1] = ACTIONS(141),
    [aux_sym_assert_statement_token1] = ACTIONS(141),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(141),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token1] = ACTIONS(141),
    [aux_sym_set_operation_token3] = ACTIONS(141),
    [aux_sym_set_operation_token4] = ACTIONS(141),
    [aux_sym_select_token1] = ACTIONS(141),
    [aux_sym_having_clause_token1] = ACTIONS(141),
    [aux_sym_qualify_clause_token1] = ACTIONS(141),
    [aux_sym_limit_clause_token1] = ACTIONS(141),
    [aux_sym_group_by_clause_token1] = ACTIONS(141),
    [aux_sym_order_by_clause_token1] = ACTIONS(141),
    [aux_sym_where_clause_token1] = ACTIONS(141),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_insert_statement_token1] = ACTIONS(141),
    [aux_sym_truncate_statement_token1] = ACTIONS(141),
    [aux_sym_update_statement_token1] = ACTIONS(141),
    [aux_sym_merge_statement_token1] = ACTIONS(141),
    [aux_sym_grant_statement_token1] = ACTIONS(141),
    [aux_sym_revoke_statement_token1] = ACTIONS(141),
    [aux_sym_export_data_statement_token1] = ACTIONS(141),
    [aux_sym_load_data_statement_token1] = ACTIONS(141),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [5] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(145),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_alter_token1] = ACTIONS(145),
    [aux_sym__keyword_create_token1] = ACTIONS(145),
    [aux_sym__keyword_drop_token1] = ACTIONS(145),
    [aux_sym__keyword_from_token1] = ACTIONS(145),
    [aux_sym__keyword_delete_token1] = ACTIONS(145),
    [aux_sym__keyword_begin_token1] = ACTIONS(145),
    [aux_sym__keyword_end_token1] = ACTIONS(145),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_when_token1] = ACTIONS(145),
    [aux_sym__keyword_else_token1] = ACTIONS(145),
    [aux_sym__keyword_repeat_token1] = ACTIONS(145),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_window_token1] = ACTIONS(145),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [aux_sym__keyword_for_token1] = ACTIONS(145),
    [anon_sym_SEMI] = ACTIONS(147),
    [aux_sym_declare_statement_token1] = ACTIONS(145),
    [aux_sym_set_statement_token1] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(145),
    [aux_sym_return_statement_token1] = ACTIONS(145),
    [aux_sym_call_statement_token1] = ACTIONS(145),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(145),
    [aux_sym_if_statement_token1] = ACTIONS(145),
    [aux_sym_loop_statement_token1] = ACTIONS(145),
    [aux_sym_repeat_statement_token1] = ACTIONS(145),
    [aux_sym_while_statement_token1] = ACTIONS(145),
    [aux_sym_break_statement_token1] = ACTIONS(145),
    [aux_sym_leave_statement_token1] = ACTIONS(145),
    [aux_sym_continue_statement_token1] = ACTIONS(145),
    [aux_sym_iterate_statement_token1] = ACTIONS(145),
    [aux_sym_raise_statement_token1] = ACTIONS(145),
    [aux_sym_assert_statement_token1] = ACTIONS(145),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(145),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token1] = ACTIONS(145),
    [aux_sym_set_operation_token3] = ACTIONS(145),
    [aux_sym_set_operation_token4] = ACTIONS(145),
    [aux_sym_select_token1] = ACTIONS(145),
    [aux_sym_having_clause_token1] = ACTIONS(145),
    [aux_sym_qualify_clause_token1] = ACTIONS(145),
    [aux_sym_limit_clause_token1] = ACTIONS(145),
    [aux_sym_group_by_clause_token1] = ACTIONS(145),
    [aux_sym_order_by_clause_token1] = ACTIONS(145),
    [aux_sym_where_clause_token1] = ACTIONS(145),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_insert_statement_token1] = ACTIONS(145),
    [aux_sym_truncate_statement_token1] = ACTIONS(145),
    [aux_sym_update_statement_token1] = ACTIONS(145),
    [aux_sym_merge_statement_token1] = ACTIONS(145),
    [aux_sym_grant_statement_token1] = ACTIONS(145),
    [aux_sym_revoke_statement_token1] = ACTIONS(145),
    [aux_sym_export_data_statement_token1] = ACTIONS(145),
    [aux_sym_load_data_statement_token1] = ACTIONS(145),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [6] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [ts_builtin_sym_end] = ACTIONS(139),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(137),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_alter_token1] = ACTIONS(137),
    [aux_sym__keyword_create_token1] = ACTIONS(137),
    [aux_sym__keyword_drop_token1] = ACTIONS(137),
    [aux_sym__keyword_from_token1] = ACTIONS(137),
    [aux_sym__keyword_delete_token1] = ACTIONS(137),
    [aux_sym__keyword_begin_token1] = ACTIONS(137),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_when_token1] = ACTIONS(137),
    [aux_sym__keyword_repeat_token1] = ACTIONS(137),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_window_token1] = ACTIONS(137),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [aux_sym__keyword_for_token1] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(139),
    [aux_sym_declare_statement_token1] = ACTIONS(137),
    [aux_sym_set_statement_token1] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(137),
    [aux_sym_return_statement_token1] = ACTIONS(137),
    [aux_sym_call_statement_token1] = ACTIONS(137),
    [aux_sym_loop_statement_token1] = ACTIONS(137),
    [aux_sym_while_statement_token1] = ACTIONS(137),
    [aux_sym_break_statement_token1] = ACTIONS(137),
    [aux_sym_leave_statement_token1] = ACTIONS(137),
    [aux_sym_continue_statement_token1] = ACTIONS(137),
    [aux_sym_iterate_statement_token1] = ACTIONS(137),
    [aux_sym_raise_statement_token1] = ACTIONS(137),
    [aux_sym_assert_statement_token1] = ACTIONS(137),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(137),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token1] = ACTIONS(137),
    [aux_sym_set_operation_token3] = ACTIONS(137),
    [aux_sym_set_operation_token4] = ACTIONS(137),
    [aux_sym_select_token1] = ACTIONS(137),
    [aux_sym_having_clause_token1] = ACTIONS(137),
    [aux_sym_qualify_clause_token1] = ACTIONS(137),
    [aux_sym_limit_clause_token1] = ACTIONS(137),
    [aux_sym_group_by_clause_token1] = ACTIONS(137),
    [aux_sym_order_by_clause_token1] = ACTIONS(137),
    [aux_sym_where_clause_token1] = ACTIONS(137),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_insert_statement_token1] = ACTIONS(137),
    [aux_sym_truncate_statement_token1] = ACTIONS(137),
    [aux_sym_update_statement_token1] = ACTIONS(137),
    [aux_sym_merge_statement_token1] = ACTIONS(137),
    [aux_sym_grant_statement_token1] = ACTIONS(137),
    [aux_sym_revoke_statement_token1] = ACTIONS(137),
    [aux_sym_export_data_statement_token1] = ACTIONS(137),
    [aux_sym_load_data_statement_token1] = ACTIONS(137),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [7] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(141),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_alter_token1] = ACTIONS(141),
    [aux_sym__keyword_create_token1] = ACTIONS(141),
    [aux_sym__keyword_drop_token1] = ACTIONS(141),
    [aux_sym__keyword_from_token1] = ACTIONS(141),
    [aux_sym__keyword_delete_token1] = ACTIONS(141),
    [aux_sym__keyword_begin_token1] = ACTIONS(141),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_when_token1] = ACTIONS(141),
    [aux_sym__keyword_repeat_token1] = ACTIONS(141),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_window_token1] = ACTIONS(141),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [aux_sym__keyword_for_token1] = ACTIONS(141),
    [anon_sym_SEMI] = ACTIONS(143),
    [aux_sym_declare_statement_token1] = ACTIONS(141),
    [aux_sym_set_statement_token1] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(141),
    [aux_sym_return_statement_token1] = ACTIONS(141),
    [aux_sym_call_statement_token1] = ACTIONS(141),
    [aux_sym_loop_statement_token1] = ACTIONS(141),
    [aux_sym_while_statement_token1] = ACTIONS(141),
    [aux_sym_break_statement_token1] = ACTIONS(141),
    [aux_sym_leave_statement_token1] = ACTIONS(141),
    [aux_sym_continue_statement_token1] = ACTIONS(141),
    [aux_sym_iterate_statement_token1] = ACTIONS(141),
    [aux_sym_raise_statement_token1] = ACTIONS(141),
    [aux_sym_assert_statement_token1] = ACTIONS(141),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(141),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token1] = ACTIONS(141),
    [aux_sym_set_operation_token3] = ACTIONS(141),
    [aux_sym_set_operation_token4] = ACTIONS(141),
    [aux_sym_select_token1] = ACTIONS(141),
    [aux_sym_having_clause_token1] = ACTIONS(141),
    [aux_sym_qualify_clause_token1] = ACTIONS(141),
    [aux_sym_limit_clause_token1] = ACTIONS(141),
    [aux_sym_group_by_clause_token1] = ACTIONS(141),
    [aux_sym_order_by_clause_token1] = ACTIONS(141),
    [aux_sym_where_clause_token1] = ACTIONS(141),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_insert_statement_token1] = ACTIONS(141),
    [aux_sym_truncate_statement_token1] = ACTIONS(141),
    [aux_sym_update_statement_token1] = ACTIONS(141),
    [aux_sym_merge_statement_token1] = ACTIONS(141),
    [aux_sym_grant_statement_token1] = ACTIONS(141),
    [aux_sym_revoke_statement_token1] = ACTIONS(141),
    [aux_sym_export_data_statement_token1] = ACTIONS(141),
    [aux_sym_load_data_statement_token1] = ACTIONS(141),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [8] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(145),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_alter_token1] = ACTIONS(145),
    [aux_sym__keyword_create_token1] = ACTIONS(145),
    [aux_sym__keyword_drop_token1] = ACTIONS(145),
    [aux_sym__keyword_from_token1] = ACTIONS(145),
    [aux_sym__keyword_delete_token1] = ACTIONS(145),
    [aux_sym__keyword_begin_token1] = ACTIONS(145),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_when_token1] = ACTIONS(145),
    [aux_sym__keyword_repeat_token1] = ACTIONS(145),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_window_token1] = ACTIONS(145),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [aux_sym__keyword_for_token1] = ACTIONS(145),
    [anon_sym_SEMI] = ACTIONS(147),
    [aux_sym_declare_statement_token1] = ACTIONS(145),
    [aux_sym_set_statement_token1] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(145),
    [aux_sym_return_statement_token1] = ACTIONS(145),
    [aux_sym_call_statement_token1] = ACTIONS(145),
    [aux_sym_loop_statement_token1] = ACTIONS(145),
    [aux_sym_while_statement_token1] = ACTIONS(145),
    [aux_sym_break_statement_token1] = ACTIONS(145),
    [aux_sym_leave_statement_token1] = ACTIONS(145),
    [aux_sym_continue_statement_token1] = ACTIONS(145),
    [aux_sym_iterate_statement_token1] = ACTIONS(145),
    [aux_sym_raise_statement_token1] = ACTIONS(145),
    [aux_sym_assert_statement_token1] = ACTIONS(145),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(145),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token1] = ACTIONS(145),
    [aux_sym_set_operation_token3] = ACTIONS(145),
    [aux_sym_set_operation_token4] = ACTIONS(145),
    [aux_sym_select_token1] = ACTIONS(145),
    [aux_sym_having_clause_token1] = ACTIONS(145),
    [aux_sym_qualify_clause_token1] = ACTIONS(145),
    [aux_sym_limit_clause_token1] = ACTIONS(145),
    [aux_sym_group_by_clause_token1] = ACTIONS(145),
    [aux_sym_order_by_clause_token1] = ACTIONS(145),
    [aux_sym_where_clause_token1] = ACTIONS(145),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_insert_statement_token1] = ACTIONS(145),
    [aux_sym_truncate_statement_token1] = ACTIONS(145),
    [aux_sym_update_statement_token1] = ACTIONS(145),
    [aux_sym_merge_statement_token1] = ACTIONS(145),
    [aux_sym_grant_statement_token1] = ACTIONS(145),
    [aux_sym_revoke_statement_token1] = ACTIONS(145),
    [aux_sym_export_data_statement_token1] = ACTIONS(145),
    [aux_sym_load_data_statement_token1] = ACTIONS(145),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [9] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [ts_builtin_sym_end] = ACTIONS(91),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(73),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_alter_token1] = ACTIONS(73),
    [aux_sym__keyword_create_token1] = ACTIONS(73),
    [aux_sym__keyword_drop_token1] = ACTIONS(73),
    [aux_sym__keyword_from_token1] = ACTIONS(73),
    [aux_sym__keyword_delete_token1] = ACTIONS(73),
    [aux_sym__keyword_begin_token1] = ACTIONS(73),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_when_token1] = ACTIONS(73),
    [aux_sym__keyword_repeat_token1] = ACTIONS(73),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_window_token1] = ACTIONS(73),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [aux_sym__keyword_for_token1] = ACTIONS(73),
    [anon_sym_SEMI] = ACTIONS(91),
    [aux_sym_declare_statement_token1] = ACTIONS(73),
    [aux_sym_set_statement_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(73),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_call_statement_token1] = ACTIONS(73),
    [aux_sym_loop_statement_token1] = ACTIONS(73),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_break_statement_token1] = ACTIONS(73),
    [aux_sym_leave_statement_token1] = ACTIONS(73),
    [aux_sym_continue_statement_token1] = ACTIONS(73),
    [aux_sym_iterate_statement_token1] = ACTIONS(73),
    [aux_sym_raise_statement_token1] = ACTIONS(73),
    [aux_sym_assert_statement_token1] = ACTIONS(73),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(73),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token1] = ACTIONS(73),
    [aux_sym_set_operation_token3] = ACTIONS(73),
    [aux_sym_set_operation_token4] = ACTIONS(73),
    [aux_sym_select_token1] = ACTIONS(73),
    [aux_sym_having_clause_token1] = ACTIONS(73),
    [aux_sym_qualify_clause_token1] = ACTIONS(73),
    [aux_sym_limit_clause_token1] = ACTIONS(73),
    [aux_sym_group_by_clause_token1] = ACTIONS(73),
    [aux_sym_order_by_clause_token1] = ACTIONS(73),
    [aux_sym_where_clause_token1] = ACTIONS(73),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_insert_statement_token1] = ACTIONS(73),
    [aux_sym_truncate_statement_token1] = ACTIONS(73),
    [aux_sym_update_statement_token1] = ACTIONS(73),
    [aux_sym_merge_statement_token1] = ACTIONS(73),
    [aux_sym_grant_statement_token1] = ACTIONS(73),
    [aux_sym_revoke_statement_token1] = ACTIONS(73),
    [aux_sym_export_data_statement_token1] = ACTIONS(73),
    [aux_sym_load_data_statement_token1] = ACTIONS(73),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [10] = {
    [sym__keyword_as] = STATE(11564),
    [sym__keyword_date] = STATE(593),
    [sym__keyword_datetime] = STATE(593),
    [sym__keyword_time] = STATE(593),
    [sym__keyword_timestamp] = STATE(593),
    [sym_as_alias] = STATE(386),
    [sym_unnest_withoffset] = STATE(408),
    [sym__type_chrono] = STATE(549),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(555),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(207),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [11] = {
    [sym__keyword_distinct] = STATE(62),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16711),
    [sym_order_by_clause] = STATE(15817),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11762),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13571),
    [sym_having_min_clause] = STATE(13571),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7204),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11658),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(233),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(243),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(247),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [12] = {
    [sym__keyword_distinct] = STATE(63),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17518),
    [sym_order_by_clause] = STATE(14483),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11729),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13912),
    [sym_having_min_clause] = STATE(13912),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7225),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11682),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(287),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(289),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(291),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [13] = {
    [sym__keyword_distinct] = STATE(47),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16840),
    [sym_order_by_clause] = STATE(15621),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11798),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13743),
    [sym_having_min_clause] = STATE(13743),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7270),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11667),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(293),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(295),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(297),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [14] = {
    [sym__keyword_distinct] = STATE(54),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17845),
    [sym_order_by_clause] = STATE(15675),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11829),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13687),
    [sym_having_min_clause] = STATE(13687),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7126),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11685),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(299),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(301),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(303),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [15] = {
    [sym__keyword_distinct] = STATE(55),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17902),
    [sym_order_by_clause] = STATE(15836),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11731),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13561),
    [sym_having_min_clause] = STATE(13561),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7250),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11679),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(305),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(307),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(309),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [16] = {
    [sym__keyword_distinct] = STATE(61),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18486),
    [sym_order_by_clause] = STATE(14713),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11741),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14193),
    [sym_having_min_clause] = STATE(14193),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7175),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11670),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(311),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(313),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(315),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [17] = {
    [sym__keyword_distinct] = STATE(56),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18028),
    [sym_order_by_clause] = STATE(15794),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11730),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13396),
    [sym_having_min_clause] = STATE(13396),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7225),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11683),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(317),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(319),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(321),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [18] = {
    [sym__keyword_distinct] = STATE(45),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(19339),
    [sym_order_by_clause] = STATE(14472),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11723),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13215),
    [sym_having_min_clause] = STATE(13215),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7204),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11690),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(323),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(325),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(327),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [19] = {
    [sym__keyword_distinct] = STATE(70),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16606),
    [sym_order_by_clause] = STATE(15870),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11818),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13408),
    [sym_having_min_clause] = STATE(13408),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7188),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11661),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(329),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(331),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(333),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [20] = {
    [sym__keyword_distinct] = STATE(41),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(19115),
    [sym_order_by_clause] = STATE(15588),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11697),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13754),
    [sym_having_min_clause] = STATE(13754),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7166),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11676),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(335),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(337),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(339),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [21] = {
    [sym__keyword_distinct] = STATE(68),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18344),
    [sym_order_by_clause] = STATE(15462),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11705),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13808),
    [sym_having_min_clause] = STATE(13808),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7243),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11689),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(341),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(343),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(345),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [22] = {
    [sym__keyword_distinct] = STATE(65),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16972),
    [sym_order_by_clause] = STATE(15423),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11737),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13822),
    [sym_having_min_clause] = STATE(13822),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7204),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11687),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(347),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(349),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(351),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [23] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5386),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(355),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(355),
    [aux_sym__keyword_create_token1] = ACTIONS(355),
    [aux_sym__keyword_drop_token1] = ACTIONS(355),
    [aux_sym__keyword_from_token1] = ACTIONS(355),
    [aux_sym__keyword_delete_token1] = ACTIONS(355),
    [aux_sym__keyword_begin_token1] = ACTIONS(355),
    [aux_sym__keyword_end_token1] = ACTIONS(355),
    [aux_sym__keyword_between_token1] = ACTIONS(361),
    [aux_sym__keyword_when_token1] = ACTIONS(355),
    [aux_sym__keyword_else_token1] = ACTIONS(355),
    [aux_sym__keyword_is_token1] = ACTIONS(363),
    [aux_sym__keyword_in_token1] = ACTIONS(365),
    [aux_sym__keyword_and_token1] = ACTIONS(367),
    [aux_sym__keyword_like_token1] = ACTIONS(369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(355),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(355),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(375),
    [aux_sym_declare_statement_token1] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(375),
    [aux_sym_set_statement_token1] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(355),
    [aux_sym_return_statement_token1] = ACTIONS(355),
    [aux_sym_call_statement_token1] = ACTIONS(355),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(355),
    [aux_sym_if_statement_token1] = ACTIONS(355),
    [aux_sym_loop_statement_token1] = ACTIONS(355),
    [aux_sym_repeat_statement_token1] = ACTIONS(355),
    [aux_sym_while_statement_token1] = ACTIONS(355),
    [aux_sym_break_statement_token1] = ACTIONS(355),
    [aux_sym_leave_statement_token1] = ACTIONS(355),
    [aux_sym_continue_statement_token1] = ACTIONS(355),
    [aux_sym_iterate_statement_token1] = ACTIONS(355),
    [aux_sym_raise_statement_token1] = ACTIONS(355),
    [anon_sym_EQ] = ACTIONS(377),
    [aux_sym_assert_statement_token1] = ACTIONS(355),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(365),
    [anon_sym_GT] = ACTIONS(365),
    [aux_sym_set_operation_token1] = ACTIONS(355),
    [aux_sym_set_operation_token3] = ACTIONS(355),
    [aux_sym_set_operation_token4] = ACTIONS(355),
    [aux_sym_select_token1] = ACTIONS(355),
    [aux_sym_having_clause_token1] = ACTIONS(355),
    [aux_sym_qualify_clause_token1] = ACTIONS(355),
    [aux_sym_limit_clause_token1] = ACTIONS(355),
    [aux_sym_group_by_clause_token1] = ACTIONS(355),
    [aux_sym_order_by_clause_token1] = ACTIONS(355),
    [aux_sym_where_clause_token1] = ACTIONS(355),
    [aux_sym_insert_statement_token1] = ACTIONS(355),
    [aux_sym_truncate_statement_token1] = ACTIONS(355),
    [aux_sym_update_statement_token1] = ACTIONS(355),
    [aux_sym_merge_statement_token1] = ACTIONS(355),
    [aux_sym_grant_statement_token1] = ACTIONS(355),
    [aux_sym_revoke_statement_token1] = ACTIONS(355),
    [aux_sym_export_data_statement_token1] = ACTIONS(355),
    [aux_sym_load_data_statement_token1] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(379),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(383),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(377),
    [anon_sym_LT_GT] = ACTIONS(377),
    [anon_sym_GT_EQ] = ACTIONS(377),
    [anon_sym_BANG_EQ] = ACTIONS(377),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [24] = {
    [sym__keyword_distinct] = STATE(40),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17762),
    [sym_order_by_clause] = STATE(15456),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11744),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13813),
    [sym_having_min_clause] = STATE(13813),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7239),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11663),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(401),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(403),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(405),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [25] = {
    [sym__keyword_distinct] = STATE(71),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16493),
    [sym_order_by_clause] = STATE(15135),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11717),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13305),
    [sym_having_min_clause] = STATE(13305),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7185),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11691),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(407),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(409),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(411),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [26] = {
    [sym__keyword_distinct] = STATE(74),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18059),
    [sym_order_by_clause] = STATE(15098),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11799),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13309),
    [sym_having_min_clause] = STATE(13309),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7259),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11669),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(413),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(415),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(417),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [27] = {
    [sym__keyword_distinct] = STATE(59),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17184),
    [sym_order_by_clause] = STATE(14981),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11828),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14047),
    [sym_having_min_clause] = STATE(14047),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7212),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11692),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(419),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(421),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(423),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [28] = {
    [sym__keyword_distinct] = STATE(49),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16469),
    [sym_order_by_clause] = STATE(14736),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11825),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13266),
    [sym_having_min_clause] = STATE(13266),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7246),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11675),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(425),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(427),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(429),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [29] = {
    [sym__keyword_distinct] = STATE(58),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17643),
    [sym_order_by_clause] = STATE(15069),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11694),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13995),
    [sym_having_min_clause] = STATE(13995),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7268),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11672),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(431),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(433),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(435),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [30] = {
    [sym__keyword_distinct] = STATE(64),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18965),
    [sym_order_by_clause] = STATE(15126),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11748),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13968),
    [sym_having_min_clause] = STATE(13968),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7268),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11680),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(437),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(439),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(441),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [31] = {
    [sym__keyword_distinct] = STATE(75),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17094),
    [sym_order_by_clause] = STATE(15212),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11817),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13933),
    [sym_having_min_clause] = STATE(13933),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7205),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11660),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(443),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(445),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(447),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [32] = {
    [sym__keyword_distinct] = STATE(44),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17632),
    [sym_order_by_clause] = STATE(14984),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11794),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14049),
    [sym_having_min_clause] = STATE(14049),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7230),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11668),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(449),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(451),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(453),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [33] = {
    [sym__keyword_distinct] = STATE(39),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17285),
    [sym_order_by_clause] = STATE(14750),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11780),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14178),
    [sym_having_min_clause] = STATE(14178),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7214),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11657),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(455),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(457),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(459),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [34] = {
    [sym__keyword_distinct] = STATE(57),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18224),
    [sym_order_by_clause] = STATE(15913),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11824),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13484),
    [sym_having_min_clause] = STATE(13484),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7216),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11665),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(461),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(463),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(465),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [35] = {
    [sym__keyword_distinct] = STATE(72),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18520),
    [sym_order_by_clause] = STATE(14444),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11757),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14059),
    [sym_having_min_clause] = STATE(14059),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7268),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11664),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(467),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(469),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(471),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [36] = {
    [sym__keyword_distinct] = STATE(42),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18823),
    [sym_order_by_clause] = STATE(14904),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11822),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14079),
    [sym_having_min_clause] = STATE(14079),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7267),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11686),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(473),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(475),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(477),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [37] = {
    [sym__keyword_distinct] = STATE(50),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18629),
    [sym_order_by_clause] = STATE(14549),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11764),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13984),
    [sym_having_min_clause] = STATE(13984),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7126),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11681),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(479),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(481),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(483),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [38] = {
    [sym__keyword_distinct] = STATE(51),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17403),
    [sym_order_by_clause] = STATE(14519),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11724),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13948),
    [sym_having_min_clause] = STATE(13948),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7219),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11688),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_distinct_token1] = ACTIONS(221),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(485),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(487),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(489),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [39] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17277),
    [sym_order_by_clause] = STATE(14769),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11771),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14174),
    [sym_having_min_clause] = STATE(14174),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11771),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(491),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(493),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(495),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [40] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17752),
    [sym_order_by_clause] = STATE(15412),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11702),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13832),
    [sym_having_min_clause] = STATE(13832),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11702),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(497),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(499),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(501),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [41] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(19105),
    [sym_order_by_clause] = STATE(15531),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11801),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13776),
    [sym_having_min_clause] = STATE(13776),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11801),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(503),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(505),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(507),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [42] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18806),
    [sym_order_by_clause] = STATE(14885),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11747),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14090),
    [sym_having_min_clause] = STATE(14090),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11747),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(509),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(511),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(513),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [43] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14324),
    [sym_select] = STATE(12594),
    [sym__grouping_list] = STATE(14445),
    [sym_grouping_item_sets] = STATE(14445),
    [sym_rollup] = STATE(14445),
    [sym_cube] = STATE(14445),
    [sym_grouping_empty] = STATE(14445),
    [sym_grouping_item] = STATE(14445),
    [sym__aliasable_expression] = STATE(14931),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5331),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_RPAREN] = ACTIONS(529),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [44] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17622),
    [sym_order_by_clause] = STATE(14947),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11806),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14068),
    [sym_having_min_clause] = STATE(14068),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11806),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(579),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(581),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(583),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [45] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(19332),
    [sym_order_by_clause] = STATE(14581),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11703),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13233),
    [sym_having_min_clause] = STATE(13233),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11703),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(585),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(587),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(589),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [46] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_from_token1] = ACTIONS(141),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_window_token1] = ACTIONS(141),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(143),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_set_operation_token1] = ACTIONS(141),
    [aux_sym_set_operation_token3] = ACTIONS(141),
    [aux_sym_set_operation_token4] = ACTIONS(141),
    [aux_sym_having_clause_token1] = ACTIONS(141),
    [aux_sym_qualify_clause_token1] = ACTIONS(141),
    [aux_sym_limit_clause_token1] = ACTIONS(141),
    [aux_sym_group_by_clause_token1] = ACTIONS(141),
    [aux_sym_order_by_clause_token1] = ACTIONS(141),
    [aux_sym_where_clause_token1] = ACTIONS(141),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [47] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16836),
    [sym_order_by_clause] = STATE(15634),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11808),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13733),
    [sym_having_min_clause] = STATE(13733),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11808),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(645),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(647),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(649),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [48] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_from_token1] = ACTIONS(145),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_window_token1] = ACTIONS(145),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(147),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_set_operation_token1] = ACTIONS(145),
    [aux_sym_set_operation_token3] = ACTIONS(145),
    [aux_sym_set_operation_token4] = ACTIONS(145),
    [aux_sym_having_clause_token1] = ACTIONS(145),
    [aux_sym_qualify_clause_token1] = ACTIONS(145),
    [aux_sym_limit_clause_token1] = ACTIONS(145),
    [aux_sym_group_by_clause_token1] = ACTIONS(145),
    [aux_sym_order_by_clause_token1] = ACTIONS(145),
    [aux_sym_where_clause_token1] = ACTIONS(145),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [49] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16521),
    [sym_order_by_clause] = STATE(15281),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11701),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13319),
    [sym_having_min_clause] = STATE(13319),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11701),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(651),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(653),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(655),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [50] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18625),
    [sym_order_by_clause] = STATE(14522),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11725),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13937),
    [sym_having_min_clause] = STATE(13937),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11725),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(657),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(659),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(661),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [51] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17399),
    [sym_order_by_clause] = STATE(14538),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11710),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13964),
    [sym_having_min_clause] = STATE(13964),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11710),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(663),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(665),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(667),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [52] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(669),
    [aux_sym__keyword_alter_token1] = ACTIONS(672),
    [aux_sym__keyword_create_token1] = ACTIONS(675),
    [aux_sym__keyword_drop_token1] = ACTIONS(678),
    [aux_sym__keyword_delete_token1] = ACTIONS(681),
    [aux_sym__keyword_begin_token1] = ACTIONS(684),
    [aux_sym__keyword_end_token1] = ACTIONS(687),
    [aux_sym__keyword_else_token1] = ACTIONS(689),
    [aux_sym__keyword_repeat_token1] = ACTIONS(691),
    [aux_sym__keyword_for_token1] = ACTIONS(694),
    [aux_sym_declare_statement_token1] = ACTIONS(697),
    [aux_sym_set_statement_token1] = ACTIONS(700),
    [anon_sym_LPAREN] = ACTIONS(703),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(706),
    [aux_sym_return_statement_token1] = ACTIONS(709),
    [aux_sym_call_statement_token1] = ACTIONS(712),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(687),
    [aux_sym_if_statement_token1] = ACTIONS(687),
    [aux_sym_loop_statement_token1] = ACTIONS(715),
    [aux_sym_repeat_statement_token1] = ACTIONS(687),
    [aux_sym_while_statement_token1] = ACTIONS(718),
    [aux_sym_break_statement_token1] = ACTIONS(721),
    [aux_sym_leave_statement_token1] = ACTIONS(724),
    [aux_sym_continue_statement_token1] = ACTIONS(727),
    [aux_sym_iterate_statement_token1] = ACTIONS(730),
    [aux_sym_raise_statement_token1] = ACTIONS(733),
    [aux_sym_assert_statement_token1] = ACTIONS(736),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(739),
    [aux_sym_select_token1] = ACTIONS(742),
    [aux_sym_insert_statement_token1] = ACTIONS(745),
    [aux_sym_truncate_statement_token1] = ACTIONS(748),
    [aux_sym_update_statement_token1] = ACTIONS(751),
    [aux_sym_merge_statement_token1] = ACTIONS(754),
    [aux_sym_grant_statement_token1] = ACTIONS(757),
    [aux_sym_revoke_statement_token1] = ACTIONS(760),
    [aux_sym_export_data_statement_token1] = ACTIONS(763),
    [aux_sym_load_data_statement_token1] = ACTIONS(766),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14238),
    [sym_select] = STATE(12594),
    [sym__grouping_list] = STATE(14445),
    [sym_grouping_item_sets] = STATE(14445),
    [sym_rollup] = STATE(14445),
    [sym_cube] = STATE(14445),
    [sym_grouping_empty] = STATE(14445),
    [sym_grouping_item] = STATE(14445),
    [sym__aliasable_expression] = STATE(14931),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5331),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_RPAREN] = ACTIONS(529),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [54] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17857),
    [sym_order_by_clause] = STATE(15690),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11820),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13667),
    [sym_having_min_clause] = STATE(13667),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11820),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(769),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(771),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(773),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [55] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17896),
    [sym_order_by_clause] = STATE(15815),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11736),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13580),
    [sym_having_min_clause] = STATE(13580),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11736),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(775),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(777),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(779),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [56] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18038),
    [sym_order_by_clause] = STATE(15605),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11742),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13369),
    [sym_having_min_clause] = STATE(13369),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11742),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(781),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(783),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(785),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [57] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18219),
    [sym_order_by_clause] = STATE(15878),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11778),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13413),
    [sym_having_min_clause] = STATE(13413),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11778),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(787),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(789),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(791),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [58] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17653),
    [sym_order_by_clause] = STATE(14959),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11763),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13985),
    [sym_having_min_clause] = STATE(13985),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11763),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(793),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(795),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(797),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [59] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17180),
    [sym_order_by_clause] = STATE(15000),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11815),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14041),
    [sym_having_min_clause] = STATE(14041),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11815),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(799),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(801),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(803),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [60] = {
    [sym__keyword_as] = STATE(11564),
    [sym__keyword_date] = STATE(593),
    [sym__keyword_datetime] = STATE(593),
    [sym__keyword_time] = STATE(593),
    [sym__keyword_timestamp] = STATE(593),
    [sym_as_alias] = STATE(386),
    [sym_unnest_withoffset] = STATE(408),
    [sym__type_chrono] = STATE(549),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(555),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(207),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [61] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18479),
    [sym_order_by_clause] = STATE(14795),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11767),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(14157),
    [sym_having_min_clause] = STATE(14157),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11767),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(805),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(807),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(809),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [62] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16708),
    [sym_order_by_clause] = STATE(15830),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11754),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13560),
    [sym_having_min_clause] = STATE(13560),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11754),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(811),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(813),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(815),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [63] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17514),
    [sym_order_by_clause] = STATE(14437),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11738),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13782),
    [sym_having_min_clause] = STATE(13782),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11738),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(817),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(819),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(821),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [64] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18957),
    [sym_order_by_clause] = STATE(15102),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11712),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13977),
    [sym_having_min_clause] = STATE(13977),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11712),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(823),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(825),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(827),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [65] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16967),
    [sym_order_by_clause] = STATE(15437),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11719),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13820),
    [sym_having_min_clause] = STATE(13820),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11719),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(829),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(831),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(833),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [66] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_from_token1] = ACTIONS(73),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_window_token1] = ACTIONS(73),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(91),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_set_operation_token1] = ACTIONS(73),
    [aux_sym_set_operation_token3] = ACTIONS(73),
    [aux_sym_set_operation_token4] = ACTIONS(73),
    [aux_sym_having_clause_token1] = ACTIONS(73),
    [aux_sym_qualify_clause_token1] = ACTIONS(73),
    [aux_sym_limit_clause_token1] = ACTIONS(73),
    [aux_sym_group_by_clause_token1] = ACTIONS(73),
    [aux_sym_order_by_clause_token1] = ACTIONS(73),
    [aux_sym_where_clause_token1] = ACTIONS(73),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [67] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14236),
    [sym_select] = STATE(12594),
    [sym__grouping_list] = STATE(14445),
    [sym_grouping_item_sets] = STATE(14445),
    [sym_rollup] = STATE(14445),
    [sym_cube] = STATE(14445),
    [sym_grouping_empty] = STATE(14445),
    [sym_grouping_item] = STATE(14445),
    [sym__aliasable_expression] = STATE(14565),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5325),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_RPAREN] = ACTIONS(529),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [68] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18338),
    [sym_order_by_clause] = STATE(15532),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11735),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13769),
    [sym_having_min_clause] = STATE(13769),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11735),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(835),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(837),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(839),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [69] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_from_token1] = ACTIONS(137),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_window_token1] = ACTIONS(137),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(139),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_set_operation_token1] = ACTIONS(137),
    [aux_sym_set_operation_token3] = ACTIONS(137),
    [aux_sym_set_operation_token4] = ACTIONS(137),
    [aux_sym_having_clause_token1] = ACTIONS(137),
    [aux_sym_qualify_clause_token1] = ACTIONS(137),
    [aux_sym_limit_clause_token1] = ACTIONS(137),
    [aux_sym_group_by_clause_token1] = ACTIONS(137),
    [aux_sym_order_by_clause_token1] = ACTIONS(137),
    [aux_sym_where_clause_token1] = ACTIONS(137),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [70] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16603),
    [sym_order_by_clause] = STATE(15844),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11740),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13402),
    [sym_having_min_clause] = STATE(13402),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11740),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(841),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(843),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(845),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [71] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(16488),
    [sym_order_by_clause] = STATE(15028),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11698),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13296),
    [sym_having_min_clause] = STATE(13296),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11698),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(847),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(849),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(851),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [72] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17814),
    [sym_order_by_clause] = STATE(15636),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11804),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13738),
    [sym_having_min_clause] = STATE(13738),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11804),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(853),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(855),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(857),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [73] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14308),
    [sym_select] = STATE(12594),
    [sym__grouping_list] = STATE(14445),
    [sym_grouping_item_sets] = STATE(14445),
    [sym_rollup] = STATE(14445),
    [sym_cube] = STATE(14445),
    [sym_grouping_empty] = STATE(14445),
    [sym_grouping_item] = STATE(14445),
    [sym__aliasable_expression] = STATE(15607),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5326),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_RPAREN] = ACTIONS(529),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [74] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(18054),
    [sym_order_by_clause] = STATE(15322),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11789),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13328),
    [sym_having_min_clause] = STATE(13328),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11789),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(859),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(861),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(863),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [75] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_limit_clause] = STATE(17089),
    [sym_order_by_clause] = STATE(15231),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(11832),
    [sym_function_call] = STATE(9907),
    [sym_having_max_clause] = STATE(13920),
    [sym_having_min_clause] = STATE(13920),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(11832),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(865),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_having_clause_token1] = ACTIONS(239),
    [aux_sym_limit_clause_token1] = ACTIONS(241),
    [aux_sym__nulls_preference_token1] = ACTIONS(867),
    [aux_sym_order_by_clause_token1] = ACTIONS(245),
    [aux_sym_function_call_token1] = ACTIONS(869),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [76] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_if_statement_repeat1] = STATE(14251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(877),
    [aux_sym__keyword_else_token1] = ACTIONS(879),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_if_statement_token1] = ACTIONS(889),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(76),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_if_statement_repeat1] = STATE(14233),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(905),
    [aux_sym__keyword_else_token1] = ACTIONS(907),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_if_statement_token1] = ACTIONS(889),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(909),
    [aux_sym__keyword_else_token1] = ACTIONS(911),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_if_statement_token1] = ACTIONS(909),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(78),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(913),
    [aux_sym__keyword_else_token1] = ACTIONS(915),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_if_statement_token1] = ACTIONS(913),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5386),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(375),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(355),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(355),
    [aux_sym__keyword_create_token1] = ACTIONS(355),
    [aux_sym__keyword_drop_token1] = ACTIONS(355),
    [aux_sym__keyword_from_token1] = ACTIONS(355),
    [aux_sym__keyword_delete_token1] = ACTIONS(355),
    [aux_sym__keyword_begin_token1] = ACTIONS(355),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(355),
    [aux_sym__keyword_is_token1] = ACTIONS(919),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(923),
    [aux_sym__keyword_like_token1] = ACTIONS(369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(355),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(355),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(375),
    [aux_sym_declare_statement_token1] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(375),
    [aux_sym_set_statement_token1] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(355),
    [aux_sym_return_statement_token1] = ACTIONS(355),
    [aux_sym_call_statement_token1] = ACTIONS(355),
    [aux_sym_loop_statement_token1] = ACTIONS(355),
    [aux_sym_while_statement_token1] = ACTIONS(355),
    [aux_sym_break_statement_token1] = ACTIONS(355),
    [aux_sym_leave_statement_token1] = ACTIONS(355),
    [aux_sym_continue_statement_token1] = ACTIONS(355),
    [aux_sym_iterate_statement_token1] = ACTIONS(355),
    [aux_sym_raise_statement_token1] = ACTIONS(355),
    [anon_sym_EQ] = ACTIONS(925),
    [aux_sym_assert_statement_token1] = ACTIONS(355),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(355),
    [aux_sym_set_operation_token3] = ACTIONS(355),
    [aux_sym_set_operation_token4] = ACTIONS(355),
    [aux_sym_select_token1] = ACTIONS(355),
    [aux_sym_having_clause_token1] = ACTIONS(355),
    [aux_sym_qualify_clause_token1] = ACTIONS(355),
    [aux_sym_limit_clause_token1] = ACTIONS(355),
    [aux_sym_group_by_clause_token1] = ACTIONS(355),
    [aux_sym_order_by_clause_token1] = ACTIONS(355),
    [aux_sym_where_clause_token1] = ACTIONS(355),
    [aux_sym_insert_statement_token1] = ACTIONS(355),
    [aux_sym_truncate_statement_token1] = ACTIONS(355),
    [aux_sym_update_statement_token1] = ACTIONS(355),
    [aux_sym_merge_statement_token1] = ACTIONS(355),
    [aux_sym_grant_statement_token1] = ACTIONS(355),
    [aux_sym_revoke_statement_token1] = ACTIONS(355),
    [aux_sym_export_data_statement_token1] = ACTIONS(355),
    [aux_sym_load_data_statement_token1] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_LT_GT] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [81] = {
    [sym__keyword_distinct] = STATE(115),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_as] = STATE(14578),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_list] = STATE(5300),
    [sym_select_all] = STATE(5406),
    [sym_aggregation_threshold_clause] = STATE(218),
    [sym_differential_privacy_clause] = STATE(218),
    [sym__aliasable_expression] = STATE(5398),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_distinct_token1] = ACTIONS(947),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_as_token1] = ACTIONS(949),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_set_operation_token2] = ACTIONS(953),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [82] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(955),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(957),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__keyword_distinct] = STATE(131),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_as] = STATE(15192),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_list] = STATE(5367),
    [sym_select_all] = STATE(6050),
    [sym_aggregation_threshold_clause] = STATE(214),
    [sym_differential_privacy_clause] = STATE(214),
    [sym__aliasable_expression] = STATE(6051),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_distinct_token1] = ACTIONS(947),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_as_token1] = ACTIONS(959),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token2] = ACTIONS(961),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [84] = {
    [sym__keyword_distinct] = STATE(113),
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_as] = STATE(15764),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_list] = STATE(11256),
    [sym_select_all] = STATE(11654),
    [sym_aggregation_threshold_clause] = STATE(224),
    [sym_differential_privacy_clause] = STATE(224),
    [sym__aliasable_expression] = STATE(11655),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_distinct_token1] = ACTIONS(947),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_as_token1] = ACTIONS(963),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_set_operation_token2] = ACTIONS(965),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [85] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(100),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(967),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(969),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(971),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(973),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(89),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_source_file_repeat1] = STATE(89),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(975),
    [aux_sym__keyword_alter_token1] = ACTIONS(978),
    [aux_sym__keyword_create_token1] = ACTIONS(981),
    [aux_sym__keyword_drop_token1] = ACTIONS(984),
    [aux_sym__keyword_delete_token1] = ACTIONS(987),
    [aux_sym__keyword_begin_token1] = ACTIONS(990),
    [aux_sym__keyword_end_token1] = ACTIONS(993),
    [aux_sym__keyword_repeat_token1] = ACTIONS(995),
    [aux_sym__keyword_for_token1] = ACTIONS(998),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [aux_sym_set_statement_token1] = ACTIONS(1004),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1010),
    [aux_sym_return_statement_token1] = ACTIONS(1013),
    [aux_sym_call_statement_token1] = ACTIONS(1016),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1022),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [aux_sym_leave_statement_token1] = ACTIONS(1028),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1034),
    [aux_sym_raise_statement_token1] = ACTIONS(1037),
    [aux_sym_assert_statement_token1] = ACTIONS(1040),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1043),
    [aux_sym_select_token1] = ACTIONS(1046),
    [aux_sym_insert_statement_token1] = ACTIONS(1049),
    [aux_sym_truncate_statement_token1] = ACTIONS(1052),
    [aux_sym_update_statement_token1] = ACTIONS(1055),
    [aux_sym_merge_statement_token1] = ACTIONS(1058),
    [aux_sym_grant_statement_token1] = ACTIONS(1061),
    [aux_sym_revoke_statement_token1] = ACTIONS(1064),
    [aux_sym_export_data_statement_token1] = ACTIONS(1067),
    [aux_sym_load_data_statement_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(89),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_source_file_repeat1] = STATE(89),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1073),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym__grouping_list] = STATE(6629),
    [sym_grouping_all] = STATE(6629),
    [sym_grouping_sets] = STATE(6629),
    [sym_grouping_item_sets] = STATE(6629),
    [sym_rollup] = STATE(6629),
    [sym_cube] = STATE(6629),
    [sym_grouping_empty] = STATE(6629),
    [sym_grouping_item] = STATE(6629),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2536),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token2] = ACTIONS(1077),
    [aux_sym_grouping_sets_token1] = ACTIONS(1079),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [92] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(104),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1087),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(94),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1089),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1091),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym__grouping_list] = STATE(11946),
    [sym_grouping_all] = STATE(11946),
    [sym_grouping_sets] = STATE(11946),
    [sym_grouping_item_sets] = STATE(11946),
    [sym_rollup] = STATE(11946),
    [sym_cube] = STATE(11946),
    [sym_grouping_empty] = STATE(11946),
    [sym_grouping_item] = STATE(11946),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6677),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_set_operation_token2] = ACTIONS(1077),
    [aux_sym_grouping_sets_token1] = ACTIONS(1079),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [96] = {
    [sym__keyword_alter] = STATE(13312),
    [sym__keyword_create] = STATE(11559),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11425),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(96),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(7334),
    [sym_query_expr] = STATE(8363),
    [sym_select] = STATE(7334),
    [sym_cte_clause] = STATE(12999),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_source_file_repeat1] = STATE(96),
    [ts_builtin_sym_end] = ACTIONS(993),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(975),
    [aux_sym__keyword_alter_token1] = ACTIONS(1101),
    [aux_sym__keyword_create_token1] = ACTIONS(1104),
    [aux_sym__keyword_drop_token1] = ACTIONS(984),
    [aux_sym__keyword_delete_token1] = ACTIONS(1107),
    [aux_sym__keyword_begin_token1] = ACTIONS(990),
    [aux_sym__keyword_repeat_token1] = ACTIONS(995),
    [aux_sym__keyword_for_token1] = ACTIONS(998),
    [aux_sym_declare_statement_token1] = ACTIONS(1110),
    [aux_sym_set_statement_token1] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1119),
    [aux_sym_return_statement_token1] = ACTIONS(1013),
    [aux_sym_call_statement_token1] = ACTIONS(1016),
    [aux_sym_loop_statement_token1] = ACTIONS(1019),
    [aux_sym_while_statement_token1] = ACTIONS(1022),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [aux_sym_leave_statement_token1] = ACTIONS(1028),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_iterate_statement_token1] = ACTIONS(1034),
    [aux_sym_raise_statement_token1] = ACTIONS(1122),
    [aux_sym_assert_statement_token1] = ACTIONS(1125),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1043),
    [aux_sym_select_token1] = ACTIONS(1128),
    [aux_sym_insert_statement_token1] = ACTIONS(1131),
    [aux_sym_truncate_statement_token1] = ACTIONS(1052),
    [aux_sym_update_statement_token1] = ACTIONS(1134),
    [aux_sym_merge_statement_token1] = ACTIONS(1137),
    [aux_sym_grant_statement_token1] = ACTIONS(1061),
    [aux_sym_revoke_statement_token1] = ACTIONS(1064),
    [aux_sym_export_data_statement_token1] = ACTIONS(1140),
    [aux_sym_load_data_statement_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_repeat_statement_token1] = ACTIONS(1143),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1145),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym__grouping_list] = STATE(5576),
    [sym_grouping_all] = STATE(5576),
    [sym_grouping_sets] = STATE(5576),
    [sym_grouping_item_sets] = STATE(5576),
    [sym_rollup] = STATE(5576),
    [sym_cube] = STATE(5576),
    [sym_grouping_empty] = STATE(5576),
    [sym_grouping_item] = STATE(5576),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6677),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_set_operation_token2] = ACTIONS(1077),
    [aux_sym_grouping_sets_token1] = ACTIONS(1079),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [100] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1147),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym__grouping_list] = STATE(5576),
    [sym_grouping_all] = STATE(5576),
    [sym_grouping_sets] = STATE(5576),
    [sym_grouping_item_sets] = STATE(5576),
    [sym_rollup] = STATE(5576),
    [sym_cube] = STATE(5576),
    [sym_grouping_empty] = STATE(5576),
    [sym_grouping_item] = STATE(5576),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2536),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token2] = ACTIONS(1077),
    [aux_sym_grouping_sets_token1] = ACTIONS(1079),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [102] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(90),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_source_file_repeat1] = STATE(90),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1149),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym__grouping_list] = STATE(5968),
    [sym_grouping_all] = STATE(5968),
    [sym_grouping_sets] = STATE(5968),
    [sym_grouping_item_sets] = STATE(5968),
    [sym_rollup] = STATE(5968),
    [sym_cube] = STATE(5968),
    [sym_grouping_empty] = STATE(5968),
    [sym_grouping_item] = STATE(5968),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2305),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token2] = ACTIONS(1077),
    [aux_sym_grouping_sets_token1] = ACTIONS(1079),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [104] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(52),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1157),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(82),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_end_token1] = ACTIONS(1159),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym__grouping_list] = STATE(5576),
    [sym_grouping_all] = STATE(5576),
    [sym_grouping_sets] = STATE(5576),
    [sym_grouping_item_sets] = STATE(5576),
    [sym_rollup] = STATE(5576),
    [sym_cube] = STATE(5576),
    [sym_grouping_empty] = STATE(5576),
    [sym_grouping_item] = STATE(5576),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2305),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_set_operation_token2] = ACTIONS(1077),
    [aux_sym_grouping_sets_token1] = ACTIONS(1079),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [107] = {
    [sym__keyword_alter] = STATE(13312),
    [sym__keyword_create] = STATE(11559),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11425),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(96),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(7334),
    [sym_query_expr] = STATE(8363),
    [sym_select] = STATE(7334),
    [sym_cte_clause] = STATE(12999),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_source_file_repeat1] = STATE(96),
    [ts_builtin_sym_end] = ACTIONS(1161),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(9),
    [aux_sym__keyword_create_token1] = ACTIONS(11),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(15),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(23),
    [aux_sym_set_statement_token1] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(29),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(47),
    [aux_sym_assert_statement_token1] = ACTIONS(49),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(53),
    [aux_sym_insert_statement_token1] = ACTIONS(55),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(59),
    [aux_sym_merge_statement_token1] = ACTIONS(61),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(67),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(88),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(97),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(87),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(98),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym__keyword_alter] = STATE(13211),
    [sym__keyword_create] = STATE(11638),
    [sym__keyword_drop] = STATE(11972),
    [sym__keyword_delete] = STATE(11387),
    [sym__keyword_repeat] = STATE(109),
    [sym__keyword_for] = STATE(11626),
    [sym__statement] = STATE(9102),
    [aux_sym__statement_list] = STATE(86),
    [sym_declare_statement] = STATE(8302),
    [sym_set_statement] = STATE(8302),
    [sym_execute_immediate_statement] = STATE(8302),
    [sym_return_statement] = STATE(8302),
    [sym_call_statement] = STATE(8302),
    [sym_begin_end_statement] = STATE(8302),
    [sym_begin_exception_end_statement] = STATE(8302),
    [sym_if_statement] = STATE(8302),
    [sym_loop_statement] = STATE(8302),
    [sym_repeat_statement] = STATE(8302),
    [sym_while_statement] = STATE(8302),
    [sym_for_in_statement] = STATE(8302),
    [sym_break_statement] = STATE(8302),
    [sym_leave_statement] = STATE(8302),
    [sym_continue_statement] = STATE(8302),
    [sym_iterate_statement] = STATE(8302),
    [sym_raise_statement] = STATE(8302),
    [sym_assert_statement] = STATE(8302),
    [sym_create_schema_statement] = STATE(8302),
    [sym__alter_schema_clause] = STATE(13343),
    [sym_alter_schema_statement] = STATE(8302),
    [sym_alter_schema_add_replica_statement] = STATE(8302),
    [sym_alter_schema_drop_replica_statement] = STATE(8302),
    [sym_drop_schema_statement] = STATE(8302),
    [sym_create_table_statement] = STATE(8302),
    [sym_create_table_like_statement] = STATE(8302),
    [sym_create_table_clone_statement] = STATE(8302),
    [sym_create_table_copy_statement] = STATE(8302),
    [sym_create_snapshot_table_statement] = STATE(8302),
    [sym_create_external_table_statement] = STATE(8302),
    [sym_alter_table_statement] = STATE(8302),
    [sym_alter_table_rename_statement] = STATE(8302),
    [sym_alter_table_column_statement] = STATE(8302),
    [sym_drop_table_statement] = STATE(8302),
    [sym_create_function_statement] = STATE(8302),
    [sym_create_remote_function_statement] = STATE(8302),
    [sym_drop_function_statement] = STATE(8302),
    [sym_create_table_function_statement] = STATE(8302),
    [sym_drop_table_function_statement] = STATE(8302),
    [sym_create_procedure_statement] = STATE(8302),
    [sym_drop_procedure_statement] = STATE(8302),
    [sym_create_model_statement] = STATE(8302),
    [sym_drop_model_statement] = STATE(8302),
    [sym_query_statement] = STATE(8302),
    [sym_set_operation] = STATE(6376),
    [sym_query_expr] = STATE(7397),
    [sym_select] = STATE(6376),
    [sym_cte_clause] = STATE(12990),
    [sym_insert_statement] = STATE(8302),
    [sym_delete_statement] = STATE(8302),
    [sym_truncate_statement] = STATE(8302),
    [sym_update_statement] = STATE(8302),
    [sym_merge_statement] = STATE(8302),
    [sym_grant_statement] = STATE(8302),
    [sym_revoke_statement] = STATE(8302),
    [sym_export_data_statement] = STATE(8302),
    [sym_load_data_statement] = STATE(8302),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(7),
    [aux_sym__keyword_alter_token1] = ACTIONS(871),
    [aux_sym__keyword_create_token1] = ACTIONS(873),
    [aux_sym__keyword_drop_token1] = ACTIONS(13),
    [aux_sym__keyword_delete_token1] = ACTIONS(875),
    [aux_sym__keyword_begin_token1] = ACTIONS(17),
    [aux_sym__keyword_repeat_token1] = ACTIONS(19),
    [aux_sym__keyword_for_token1] = ACTIONS(21),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [aux_sym_set_statement_token1] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(887),
    [aux_sym_return_statement_token1] = ACTIONS(31),
    [aux_sym_call_statement_token1] = ACTIONS(33),
    [aux_sym_loop_statement_token1] = ACTIONS(35),
    [aux_sym_while_statement_token1] = ACTIONS(37),
    [aux_sym_break_statement_token1] = ACTIONS(39),
    [aux_sym_leave_statement_token1] = ACTIONS(41),
    [aux_sym_continue_statement_token1] = ACTIONS(43),
    [aux_sym_iterate_statement_token1] = ACTIONS(45),
    [aux_sym_raise_statement_token1] = ACTIONS(891),
    [aux_sym_assert_statement_token1] = ACTIONS(893),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(51),
    [aux_sym_select_token1] = ACTIONS(895),
    [aux_sym_insert_statement_token1] = ACTIONS(897),
    [aux_sym_truncate_statement_token1] = ACTIONS(57),
    [aux_sym_update_statement_token1] = ACTIONS(899),
    [aux_sym_merge_statement_token1] = ACTIONS(901),
    [aux_sym_grant_statement_token1] = ACTIONS(63),
    [aux_sym_revoke_statement_token1] = ACTIONS(65),
    [aux_sym_export_data_statement_token1] = ACTIONS(903),
    [aux_sym_load_data_statement_token1] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_as] = STATE(15876),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_list] = STATE(11266),
    [sym_select_all] = STATE(11654),
    [sym_aggregation_threshold_clause] = STATE(222),
    [sym_differential_privacy_clause] = STATE(222),
    [sym__aliasable_expression] = STATE(11655),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_as_token1] = ACTIONS(1163),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [114] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_window_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_using_clause_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_having_clause_token1] = ACTIONS(1165),
    [aux_sym_qualify_clause_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym_group_by_clause_token1] = ACTIONS(1165),
    [aux_sym_order_by_clause_token1] = ACTIONS(1165),
    [aux_sym_where_clause_token1] = ACTIONS(1165),
    [aux_sym_pivot_operator_token1] = ACTIONS(1165),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1165),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1165),
    [aux_sym_join_type_token1] = ACTIONS(1165),
    [aux_sym_join_type_token2] = ACTIONS(1165),
    [aux_sym_join_type_token3] = ACTIONS(1165),
    [aux_sym_join_type_token4] = ACTIONS(1165),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1165),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1165),
    [aux_sym_join_condition_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [115] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_as] = STATE(14673),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_list] = STATE(5296),
    [sym_select_all] = STATE(5406),
    [sym_aggregation_threshold_clause] = STATE(213),
    [sym_differential_privacy_clause] = STATE(213),
    [sym__aliasable_expression] = STATE(5398),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_as_token1] = ACTIONS(1185),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [116] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_window_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_using_clause_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_having_clause_token1] = ACTIONS(1187),
    [aux_sym_qualify_clause_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym_group_by_clause_token1] = ACTIONS(1187),
    [aux_sym_order_by_clause_token1] = ACTIONS(1187),
    [aux_sym_where_clause_token1] = ACTIONS(1187),
    [aux_sym_pivot_operator_token1] = ACTIONS(1187),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1187),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1187),
    [aux_sym_join_type_token1] = ACTIONS(1187),
    [aux_sym_join_type_token2] = ACTIONS(1187),
    [aux_sym_join_type_token3] = ACTIONS(1187),
    [aux_sym_join_type_token4] = ACTIONS(1187),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1187),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1187),
    [aux_sym_join_condition_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [117] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(1195),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(1199),
    [aux_sym__keyword_in_token1] = ACTIONS(1201),
    [aux_sym__keyword_and_token1] = ACTIONS(1203),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_window_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_using_clause_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(1205),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1201),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1197),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_having_clause_token1] = ACTIONS(1191),
    [aux_sym_qualify_clause_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym_group_by_clause_token1] = ACTIONS(1191),
    [aux_sym_order_by_clause_token1] = ACTIONS(1191),
    [aux_sym_where_clause_token1] = ACTIONS(1191),
    [aux_sym_pivot_operator_token1] = ACTIONS(1191),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1191),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1191),
    [aux_sym_join_type_token1] = ACTIONS(1191),
    [aux_sym_join_type_token2] = ACTIONS(1191),
    [aux_sym_join_type_token3] = ACTIONS(1191),
    [aux_sym_join_type_token4] = ACTIONS(1191),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1191),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1191),
    [aux_sym_join_condition_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_LT_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [118] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_window_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_using_clause_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_having_clause_token1] = ACTIONS(1207),
    [aux_sym_qualify_clause_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym_group_by_clause_token1] = ACTIONS(1207),
    [aux_sym_order_by_clause_token1] = ACTIONS(1207),
    [aux_sym_where_clause_token1] = ACTIONS(1207),
    [aux_sym_pivot_operator_token1] = ACTIONS(1207),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1207),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1207),
    [aux_sym_join_type_token1] = ACTIONS(1207),
    [aux_sym_join_type_token2] = ACTIONS(1207),
    [aux_sym_join_type_token3] = ACTIONS(1207),
    [aux_sym_join_type_token4] = ACTIONS(1207),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1207),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1207),
    [aux_sym_join_condition_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [119] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [120] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1195),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1199),
    [aux_sym__keyword_in_token1] = ACTIONS(1201),
    [aux_sym__keyword_and_token1] = ACTIONS(1203),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1205),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1201),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_LT_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [121] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [122] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [123] = {
    [sym__keyword_as] = STATE(11545),
    [sym__keyword_date] = STATE(2172),
    [sym__keyword_datetime] = STATE(2172),
    [sym__keyword_time] = STATE(2172),
    [sym__keyword_timestamp] = STATE(2172),
    [sym_as_alias] = STATE(1927),
    [sym_unnest_withoffset] = STATE(2258),
    [sym__type_chrono] = STATE(2092),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2210),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_from_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1215),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(1217),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1217),
    [aux_sym__keyword_time_token1] = ACTIONS(1217),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1217),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [124] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_window_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_using_clause_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_having_clause_token1] = ACTIONS(1221),
    [aux_sym_qualify_clause_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym_group_by_clause_token1] = ACTIONS(1221),
    [aux_sym_order_by_clause_token1] = ACTIONS(1221),
    [aux_sym_where_clause_token1] = ACTIONS(1221),
    [aux_sym_pivot_operator_token1] = ACTIONS(1221),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1221),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1221),
    [aux_sym_join_type_token1] = ACTIONS(1221),
    [aux_sym_join_type_token2] = ACTIONS(1221),
    [aux_sym_join_type_token3] = ACTIONS(1221),
    [aux_sym_join_type_token4] = ACTIONS(1221),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1221),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1221),
    [aux_sym_join_condition_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [125] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_window_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_using_clause_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_having_clause_token1] = ACTIONS(1225),
    [aux_sym_qualify_clause_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym_group_by_clause_token1] = ACTIONS(1225),
    [aux_sym_order_by_clause_token1] = ACTIONS(1225),
    [aux_sym_where_clause_token1] = ACTIONS(1225),
    [aux_sym_pivot_operator_token1] = ACTIONS(1225),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1225),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1225),
    [aux_sym_join_type_token1] = ACTIONS(1225),
    [aux_sym_join_type_token2] = ACTIONS(1225),
    [aux_sym_join_type_token3] = ACTIONS(1225),
    [aux_sym_join_type_token4] = ACTIONS(1225),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1225),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1225),
    [aux_sym_join_condition_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [126] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [127] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1229),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1229),
    [aux_sym__keyword_create_token1] = ACTIONS(1229),
    [aux_sym__keyword_drop_token1] = ACTIONS(1229),
    [aux_sym__keyword_delete_token1] = ACTIONS(1229),
    [aux_sym__keyword_begin_token1] = ACTIONS(1229),
    [aux_sym__keyword_end_token1] = ACTIONS(1229),
    [aux_sym__keyword_between_token1] = ACTIONS(1195),
    [aux_sym__keyword_when_token1] = ACTIONS(1229),
    [aux_sym__keyword_else_token1] = ACTIONS(1231),
    [aux_sym__keyword_is_token1] = ACTIONS(1199),
    [aux_sym__keyword_in_token1] = ACTIONS(1201),
    [aux_sym__keyword_and_token1] = ACTIONS(1203),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1229),
    [aux_sym__keyword_window_token1] = ACTIONS(1229),
    [aux_sym__keyword_for_token1] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [aux_sym_declare_statement_token1] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(1229),
    [aux_sym_set_statement_token1] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1229),
    [aux_sym_using_clause_token1] = ACTIONS(1229),
    [aux_sym_return_statement_token1] = ACTIONS(1229),
    [aux_sym_call_statement_token1] = ACTIONS(1229),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1229),
    [aux_sym_if_statement_token1] = ACTIONS(1229),
    [aux_sym_loop_statement_token1] = ACTIONS(1229),
    [aux_sym_repeat_statement_token1] = ACTIONS(1229),
    [aux_sym_while_statement_token1] = ACTIONS(1229),
    [aux_sym_break_statement_token1] = ACTIONS(1229),
    [aux_sym_leave_statement_token1] = ACTIONS(1229),
    [aux_sym_continue_statement_token1] = ACTIONS(1229),
    [aux_sym_iterate_statement_token1] = ACTIONS(1229),
    [aux_sym_raise_statement_token1] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1205),
    [aux_sym_assert_statement_token1] = ACTIONS(1229),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1201),
    [aux_sym_set_operation_token1] = ACTIONS(1229),
    [aux_sym_set_operation_token3] = ACTIONS(1229),
    [aux_sym_set_operation_token4] = ACTIONS(1231),
    [aux_sym_select_token1] = ACTIONS(1229),
    [aux_sym_having_clause_token1] = ACTIONS(1229),
    [aux_sym_qualify_clause_token1] = ACTIONS(1229),
    [aux_sym_limit_clause_token1] = ACTIONS(1229),
    [aux_sym_group_by_clause_token1] = ACTIONS(1229),
    [aux_sym_order_by_clause_token1] = ACTIONS(1229),
    [aux_sym_where_clause_token1] = ACTIONS(1229),
    [aux_sym_pivot_operator_token1] = ACTIONS(1229),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1229),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1229),
    [aux_sym_join_type_token1] = ACTIONS(1229),
    [aux_sym_join_type_token2] = ACTIONS(1229),
    [aux_sym_join_type_token3] = ACTIONS(1229),
    [aux_sym_join_type_token4] = ACTIONS(1229),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1229),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1229),
    [aux_sym_join_condition_token1] = ACTIONS(1229),
    [aux_sym_insert_statement_token1] = ACTIONS(1229),
    [aux_sym_truncate_statement_token1] = ACTIONS(1229),
    [aux_sym_update_statement_token1] = ACTIONS(1229),
    [aux_sym_merge_statement_token1] = ACTIONS(1229),
    [aux_sym_grant_statement_token1] = ACTIONS(1229),
    [aux_sym_revoke_statement_token1] = ACTIONS(1229),
    [aux_sym_export_data_statement_token1] = ACTIONS(1229),
    [aux_sym_load_data_statement_token1] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_LT_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [128] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_window_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_using_clause_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_having_clause_token1] = ACTIONS(1239),
    [aux_sym_qualify_clause_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym_group_by_clause_token1] = ACTIONS(1239),
    [aux_sym_order_by_clause_token1] = ACTIONS(1239),
    [aux_sym_where_clause_token1] = ACTIONS(1239),
    [aux_sym_pivot_operator_token1] = ACTIONS(1239),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1239),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1239),
    [aux_sym_join_type_token1] = ACTIONS(1239),
    [aux_sym_join_type_token2] = ACTIONS(1239),
    [aux_sym_join_type_token3] = ACTIONS(1239),
    [aux_sym_join_type_token4] = ACTIONS(1239),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1239),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1239),
    [aux_sym_join_condition_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [129] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1195),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1199),
    [aux_sym__keyword_in_token1] = ACTIONS(1201),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1205),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1201),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_LT_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
  },
  [130] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [131] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_as] = STATE(14702),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_list] = STATE(5369),
    [sym_select_all] = STATE(6050),
    [sym_aggregation_threshold_clause] = STATE(223),
    [sym_differential_privacy_clause] = STATE(223),
    [sym__aliasable_expression] = STATE(6051),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_as_token1] = ACTIONS(1243),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [132] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [133] = {
    [sym__keyword_between] = STATE(1078),
    [sym__keyword_is] = STATE(12075),
    [sym__keyword_in] = STATE(1394),
    [sym__keyword_not] = STATE(13126),
    [sym__keyword_and] = STATE(1375),
    [sym__keyword_or] = STATE(1374),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [134] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_list] = STATE(5370),
    [sym_select_all] = STATE(6050),
    [sym_aggregation_threshold_clause] = STATE(210),
    [sym_differential_privacy_clause] = STATE(210),
    [sym__aliasable_expression] = STATE(6051),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [135] = {
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_end_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_else_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_window_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_using_clause_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1245),
    [aux_sym_if_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_repeat_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_having_clause_token1] = ACTIONS(1245),
    [aux_sym_qualify_clause_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym_group_by_clause_token1] = ACTIONS(1245),
    [aux_sym_order_by_clause_token1] = ACTIONS(1245),
    [aux_sym_where_clause_token1] = ACTIONS(1245),
    [aux_sym_pivot_operator_token1] = ACTIONS(1245),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1245),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1245),
    [aux_sym_join_type_token1] = ACTIONS(1245),
    [aux_sym_join_type_token2] = ACTIONS(1245),
    [aux_sym_join_type_token3] = ACTIONS(1245),
    [aux_sym_join_type_token4] = ACTIONS(1245),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1245),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1245),
    [aux_sym_join_condition_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [136] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_list] = STATE(11253),
    [sym_select_all] = STATE(11654),
    [sym_aggregation_threshold_clause] = STATE(208),
    [sym_differential_privacy_clause] = STATE(208),
    [sym__aliasable_expression] = STATE(11655),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [137] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_list] = STATE(5374),
    [sym_select_all] = STATE(6050),
    [sym_aggregation_threshold_clause] = STATE(212),
    [sym_differential_privacy_clause] = STATE(212),
    [sym__aliasable_expression] = STATE(6051),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [138] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__grouping_list] = STATE(15491),
    [sym_grouping_item_sets] = STATE(15491),
    [sym_rollup] = STATE(15491),
    [sym_cube] = STATE(15491),
    [sym_grouping_empty] = STATE(15491),
    [sym_grouping_item] = STATE(15491),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9310),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [139] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_list] = STATE(5301),
    [sym_select_all] = STATE(5406),
    [sym_aggregation_threshold_clause] = STATE(217),
    [sym_differential_privacy_clause] = STATE(217),
    [sym__aliasable_expression] = STATE(5398),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [140] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__grouping_list] = STATE(16085),
    [sym_grouping_item_sets] = STATE(16085),
    [sym_rollup] = STATE(16085),
    [sym_cube] = STATE(16085),
    [sym_grouping_empty] = STATE(16085),
    [sym_grouping_item] = STATE(16085),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9310),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [141] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__grouping_list] = STATE(14788),
    [sym_grouping_item_sets] = STATE(14788),
    [sym_rollup] = STATE(14788),
    [sym_cube] = STATE(14788),
    [sym_grouping_empty] = STATE(14788),
    [sym_grouping_item] = STATE(14788),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9310),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [142] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__grouping_list] = STATE(14793),
    [sym_grouping_item_sets] = STATE(14793),
    [sym_rollup] = STATE(14793),
    [sym_cube] = STATE(14793),
    [sym_grouping_empty] = STATE(14793),
    [sym_grouping_item] = STATE(14793),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9310),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_rollup_token1] = ACTIONS(537),
    [aux_sym_cube_token1] = ACTIONS(539),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [143] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_list] = STATE(11273),
    [sym_select_all] = STATE(11654),
    [sym_aggregation_threshold_clause] = STATE(209),
    [sym_differential_privacy_clause] = STATE(209),
    [sym__aliasable_expression] = STATE(11655),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [144] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_list] = STATE(5304),
    [sym_select_all] = STATE(5406),
    [sym_aggregation_threshold_clause] = STATE(216),
    [sym_differential_privacy_clause] = STATE(216),
    [sym__aliasable_expression] = STATE(5398),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(951),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [145] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1227),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1227),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1227),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1227),
    [aux_sym__keyword_create_token1] = ACTIONS(1227),
    [aux_sym__keyword_drop_token1] = ACTIONS(1227),
    [aux_sym__keyword_from_token1] = ACTIONS(1227),
    [aux_sym__keyword_delete_token1] = ACTIONS(1227),
    [aux_sym__keyword_begin_token1] = ACTIONS(1227),
    [aux_sym__keyword_end_token1] = ACTIONS(1227),
    [aux_sym__keyword_between_token1] = ACTIONS(1227),
    [aux_sym__keyword_when_token1] = ACTIONS(1227),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1227),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1227),
    [aux_sym__keyword_like_token1] = ACTIONS(1227),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1227),
    [aux_sym__keyword_as_token1] = ACTIONS(1227),
    [aux_sym__keyword_window_token1] = ACTIONS(1227),
    [aux_sym__keyword_date_token1] = ACTIONS(1227),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1227),
    [aux_sym__keyword_time_token1] = ACTIONS(1227),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1227),
    [aux_sym__keyword_for_token1] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1227),
    [aux_sym_return_statement_token1] = ACTIONS(1227),
    [aux_sym_call_statement_token1] = ACTIONS(1227),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1227),
    [aux_sym_if_statement_token1] = ACTIONS(1227),
    [aux_sym_loop_statement_token1] = ACTIONS(1227),
    [aux_sym_repeat_statement_token1] = ACTIONS(1227),
    [aux_sym_while_statement_token1] = ACTIONS(1227),
    [aux_sym_break_statement_token1] = ACTIONS(1227),
    [aux_sym_leave_statement_token1] = ACTIONS(1227),
    [aux_sym_continue_statement_token1] = ACTIONS(1227),
    [aux_sym_iterate_statement_token1] = ACTIONS(1227),
    [aux_sym_raise_statement_token1] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1227),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1227),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1227),
    [aux_sym_set_operation_token3] = ACTIONS(1227),
    [aux_sym_set_operation_token4] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1227),
    [aux_sym_having_clause_token1] = ACTIONS(1227),
    [aux_sym_qualify_clause_token1] = ACTIONS(1227),
    [aux_sym_limit_clause_token1] = ACTIONS(1227),
    [aux_sym_group_by_clause_token1] = ACTIONS(1227),
    [aux_sym_order_by_clause_token1] = ACTIONS(1227),
    [aux_sym_where_clause_token1] = ACTIONS(1227),
    [aux_sym_insert_statement_token1] = ACTIONS(1227),
    [aux_sym_truncate_statement_token1] = ACTIONS(1227),
    [aux_sym_update_statement_token1] = ACTIONS(1227),
    [aux_sym_merge_statement_token1] = ACTIONS(1227),
    [aux_sym_grant_statement_token1] = ACTIONS(1227),
    [aux_sym_revoke_statement_token1] = ACTIONS(1227),
    [aux_sym_export_data_statement_token1] = ACTIONS(1227),
    [aux_sym_load_data_statement_token1] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym__quoted_identifier] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [146] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [147] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14308),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(15607),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5358),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [148] = {
    [sym__keyword_as] = STATE(11644),
    [sym__keyword_date] = STATE(2007),
    [sym__keyword_datetime] = STATE(2007),
    [sym__keyword_time] = STATE(2007),
    [sym__keyword_timestamp] = STATE(2007),
    [sym_as_alias] = STATE(2842),
    [sym_unnest_withoffset] = STATE(1899),
    [sym__type_chrono] = STATE(1938),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1900),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1265),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(1267),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1267),
    [aux_sym__keyword_time_token1] = ACTIONS(1267),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1267),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [149] = {
    [sym__keyword_as] = STATE(11597),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(2906),
    [sym_unnest_withoffset] = STATE(2576),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1273),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token2] = ACTIONS(205),
    [aux_sym__nulls_preference_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [150] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1167),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1167),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1167),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1167),
    [aux_sym__keyword_create_token1] = ACTIONS(1167),
    [aux_sym__keyword_drop_token1] = ACTIONS(1167),
    [aux_sym__keyword_from_token1] = ACTIONS(1167),
    [aux_sym__keyword_delete_token1] = ACTIONS(1167),
    [aux_sym__keyword_begin_token1] = ACTIONS(1167),
    [aux_sym__keyword_end_token1] = ACTIONS(1167),
    [aux_sym__keyword_between_token1] = ACTIONS(1167),
    [aux_sym__keyword_when_token1] = ACTIONS(1167),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1167),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1167),
    [aux_sym__keyword_like_token1] = ACTIONS(1167),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1167),
    [aux_sym__keyword_as_token1] = ACTIONS(1167),
    [aux_sym__keyword_window_token1] = ACTIONS(1167),
    [aux_sym__keyword_date_token1] = ACTIONS(1167),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1167),
    [aux_sym__keyword_time_token1] = ACTIONS(1167),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1167),
    [aux_sym__keyword_for_token1] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1167),
    [aux_sym_return_statement_token1] = ACTIONS(1167),
    [aux_sym_call_statement_token1] = ACTIONS(1167),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1167),
    [aux_sym_if_statement_token1] = ACTIONS(1167),
    [aux_sym_loop_statement_token1] = ACTIONS(1167),
    [aux_sym_repeat_statement_token1] = ACTIONS(1167),
    [aux_sym_while_statement_token1] = ACTIONS(1167),
    [aux_sym_break_statement_token1] = ACTIONS(1167),
    [aux_sym_leave_statement_token1] = ACTIONS(1167),
    [aux_sym_continue_statement_token1] = ACTIONS(1167),
    [aux_sym_iterate_statement_token1] = ACTIONS(1167),
    [aux_sym_raise_statement_token1] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1167),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1167),
    [aux_sym_set_operation_token3] = ACTIONS(1167),
    [aux_sym_set_operation_token4] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1167),
    [aux_sym_having_clause_token1] = ACTIONS(1167),
    [aux_sym_qualify_clause_token1] = ACTIONS(1167),
    [aux_sym_limit_clause_token1] = ACTIONS(1167),
    [aux_sym_group_by_clause_token1] = ACTIONS(1167),
    [aux_sym_order_by_clause_token1] = ACTIONS(1167),
    [aux_sym_where_clause_token1] = ACTIONS(1167),
    [aux_sym_insert_statement_token1] = ACTIONS(1167),
    [aux_sym_truncate_statement_token1] = ACTIONS(1167),
    [aux_sym_update_statement_token1] = ACTIONS(1167),
    [aux_sym_merge_statement_token1] = ACTIONS(1167),
    [aux_sym_grant_statement_token1] = ACTIONS(1167),
    [aux_sym_revoke_statement_token1] = ACTIONS(1167),
    [aux_sym_export_data_statement_token1] = ACTIONS(1167),
    [aux_sym_load_data_statement_token1] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym__quoted_identifier] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [151] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14310),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14725),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5364),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [152] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1223),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1223),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1223),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1223),
    [aux_sym__keyword_create_token1] = ACTIONS(1223),
    [aux_sym__keyword_drop_token1] = ACTIONS(1223),
    [aux_sym__keyword_from_token1] = ACTIONS(1223),
    [aux_sym__keyword_delete_token1] = ACTIONS(1223),
    [aux_sym__keyword_begin_token1] = ACTIONS(1223),
    [aux_sym__keyword_end_token1] = ACTIONS(1223),
    [aux_sym__keyword_between_token1] = ACTIONS(1223),
    [aux_sym__keyword_when_token1] = ACTIONS(1223),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1223),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1223),
    [aux_sym__keyword_like_token1] = ACTIONS(1223),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1223),
    [aux_sym__keyword_as_token1] = ACTIONS(1223),
    [aux_sym__keyword_window_token1] = ACTIONS(1223),
    [aux_sym__keyword_date_token1] = ACTIONS(1223),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1223),
    [aux_sym__keyword_time_token1] = ACTIONS(1223),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1223),
    [aux_sym__keyword_for_token1] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1223),
    [aux_sym_return_statement_token1] = ACTIONS(1223),
    [aux_sym_call_statement_token1] = ACTIONS(1223),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1223),
    [aux_sym_if_statement_token1] = ACTIONS(1223),
    [aux_sym_loop_statement_token1] = ACTIONS(1223),
    [aux_sym_repeat_statement_token1] = ACTIONS(1223),
    [aux_sym_while_statement_token1] = ACTIONS(1223),
    [aux_sym_break_statement_token1] = ACTIONS(1223),
    [aux_sym_leave_statement_token1] = ACTIONS(1223),
    [aux_sym_continue_statement_token1] = ACTIONS(1223),
    [aux_sym_iterate_statement_token1] = ACTIONS(1223),
    [aux_sym_raise_statement_token1] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1223),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1223),
    [aux_sym_set_operation_token3] = ACTIONS(1223),
    [aux_sym_set_operation_token4] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1223),
    [aux_sym_having_clause_token1] = ACTIONS(1223),
    [aux_sym_qualify_clause_token1] = ACTIONS(1223),
    [aux_sym_limit_clause_token1] = ACTIONS(1223),
    [aux_sym_group_by_clause_token1] = ACTIONS(1223),
    [aux_sym_order_by_clause_token1] = ACTIONS(1223),
    [aux_sym_where_clause_token1] = ACTIONS(1223),
    [aux_sym_insert_statement_token1] = ACTIONS(1223),
    [aux_sym_truncate_statement_token1] = ACTIONS(1223),
    [aux_sym_update_statement_token1] = ACTIONS(1223),
    [aux_sym_merge_statement_token1] = ACTIONS(1223),
    [aux_sym_grant_statement_token1] = ACTIONS(1223),
    [aux_sym_revoke_statement_token1] = ACTIONS(1223),
    [aux_sym_export_data_statement_token1] = ACTIONS(1223),
    [aux_sym_load_data_statement_token1] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [153] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14238),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(15143),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5323),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [154] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(361),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(363),
    [aux_sym__keyword_in_token1] = ACTIONS(365),
    [aux_sym__keyword_and_token1] = ACTIONS(367),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(377),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(365),
    [anon_sym_GT] = ACTIONS(365),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(377),
    [anon_sym_LT_GT] = ACTIONS(377),
    [anon_sym_GT_EQ] = ACTIONS(377),
    [anon_sym_BANG_EQ] = ACTIONS(377),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [155] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(361),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(363),
    [aux_sym__keyword_in_token1] = ACTIONS(365),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(377),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(365),
    [anon_sym_GT] = ACTIONS(365),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(377),
    [anon_sym_LT_GT] = ACTIONS(377),
    [anon_sym_GT_EQ] = ACTIONS(377),
    [anon_sym_BANG_EQ] = ACTIONS(377),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [156] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14244),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14559),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5342),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [157] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14351),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14371),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5336),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [158] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14267),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14917),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5356),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [159] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14236),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14565),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5343),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [160] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14216),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(15040),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5338),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [161] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14321),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14956),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5328),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [162] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14238),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14931),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5329),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [163] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14253),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14663),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5332),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [164] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14302),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(15863),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5359),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [165] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14300),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14494),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5340),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [166] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(14847),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(11141),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9507),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14847),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1281),
    [aux_sym_create_table_statement_token1] = ACTIONS(1283),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_create_model_statement_token1] = ACTIONS(1283),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [167] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [168] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [169] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14213),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14931),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5329),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [170] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1209),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1209),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1209),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1209),
    [aux_sym__keyword_create_token1] = ACTIONS(1209),
    [aux_sym__keyword_drop_token1] = ACTIONS(1209),
    [aux_sym__keyword_from_token1] = ACTIONS(1209),
    [aux_sym__keyword_delete_token1] = ACTIONS(1209),
    [aux_sym__keyword_begin_token1] = ACTIONS(1209),
    [aux_sym__keyword_end_token1] = ACTIONS(1209),
    [aux_sym__keyword_between_token1] = ACTIONS(1209),
    [aux_sym__keyword_when_token1] = ACTIONS(1209),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1209),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1209),
    [aux_sym__keyword_like_token1] = ACTIONS(1209),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1209),
    [aux_sym__keyword_as_token1] = ACTIONS(1209),
    [aux_sym__keyword_window_token1] = ACTIONS(1209),
    [aux_sym__keyword_date_token1] = ACTIONS(1209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1209),
    [aux_sym__keyword_time_token1] = ACTIONS(1209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1209),
    [aux_sym__keyword_for_token1] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1209),
    [aux_sym_return_statement_token1] = ACTIONS(1209),
    [aux_sym_call_statement_token1] = ACTIONS(1209),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1209),
    [aux_sym_if_statement_token1] = ACTIONS(1209),
    [aux_sym_loop_statement_token1] = ACTIONS(1209),
    [aux_sym_repeat_statement_token1] = ACTIONS(1209),
    [aux_sym_while_statement_token1] = ACTIONS(1209),
    [aux_sym_break_statement_token1] = ACTIONS(1209),
    [aux_sym_leave_statement_token1] = ACTIONS(1209),
    [aux_sym_continue_statement_token1] = ACTIONS(1209),
    [aux_sym_iterate_statement_token1] = ACTIONS(1209),
    [aux_sym_raise_statement_token1] = ACTIONS(1209),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1209),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1209),
    [aux_sym_set_operation_token3] = ACTIONS(1209),
    [aux_sym_set_operation_token4] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1209),
    [aux_sym_having_clause_token1] = ACTIONS(1209),
    [aux_sym_qualify_clause_token1] = ACTIONS(1209),
    [aux_sym_limit_clause_token1] = ACTIONS(1209),
    [aux_sym_group_by_clause_token1] = ACTIONS(1209),
    [aux_sym_order_by_clause_token1] = ACTIONS(1209),
    [aux_sym_where_clause_token1] = ACTIONS(1209),
    [aux_sym_insert_statement_token1] = ACTIONS(1209),
    [aux_sym_truncate_statement_token1] = ACTIONS(1209),
    [aux_sym_update_statement_token1] = ACTIONS(1209),
    [aux_sym_merge_statement_token1] = ACTIONS(1209),
    [aux_sym_grant_statement_token1] = ACTIONS(1209),
    [aux_sym_revoke_statement_token1] = ACTIONS(1209),
    [aux_sym_export_data_statement_token1] = ACTIONS(1209),
    [aux_sym_load_data_statement_token1] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym__quoted_identifier] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [171] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14324),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14931),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5329),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [172] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14299),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(15409),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5344),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [173] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14271),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(15187),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5333),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [174] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [175] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1189),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1189),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1189),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1189),
    [aux_sym__keyword_create_token1] = ACTIONS(1189),
    [aux_sym__keyword_drop_token1] = ACTIONS(1189),
    [aux_sym__keyword_from_token1] = ACTIONS(1189),
    [aux_sym__keyword_delete_token1] = ACTIONS(1189),
    [aux_sym__keyword_begin_token1] = ACTIONS(1189),
    [aux_sym__keyword_end_token1] = ACTIONS(1189),
    [aux_sym__keyword_between_token1] = ACTIONS(1189),
    [aux_sym__keyword_when_token1] = ACTIONS(1189),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1189),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1189),
    [aux_sym__keyword_like_token1] = ACTIONS(1189),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1189),
    [aux_sym__keyword_as_token1] = ACTIONS(1189),
    [aux_sym__keyword_window_token1] = ACTIONS(1189),
    [aux_sym__keyword_date_token1] = ACTIONS(1189),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1189),
    [aux_sym__keyword_time_token1] = ACTIONS(1189),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1189),
    [aux_sym__keyword_for_token1] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1189),
    [aux_sym_return_statement_token1] = ACTIONS(1189),
    [aux_sym_call_statement_token1] = ACTIONS(1189),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1189),
    [aux_sym_if_statement_token1] = ACTIONS(1189),
    [aux_sym_loop_statement_token1] = ACTIONS(1189),
    [aux_sym_repeat_statement_token1] = ACTIONS(1189),
    [aux_sym_while_statement_token1] = ACTIONS(1189),
    [aux_sym_break_statement_token1] = ACTIONS(1189),
    [aux_sym_leave_statement_token1] = ACTIONS(1189),
    [aux_sym_continue_statement_token1] = ACTIONS(1189),
    [aux_sym_iterate_statement_token1] = ACTIONS(1189),
    [aux_sym_raise_statement_token1] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1189),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1189),
    [aux_sym_set_operation_token3] = ACTIONS(1189),
    [aux_sym_set_operation_token4] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1189),
    [aux_sym_having_clause_token1] = ACTIONS(1189),
    [aux_sym_qualify_clause_token1] = ACTIONS(1189),
    [aux_sym_limit_clause_token1] = ACTIONS(1189),
    [aux_sym_group_by_clause_token1] = ACTIONS(1189),
    [aux_sym_order_by_clause_token1] = ACTIONS(1189),
    [aux_sym_where_clause_token1] = ACTIONS(1189),
    [aux_sym_insert_statement_token1] = ACTIONS(1189),
    [aux_sym_truncate_statement_token1] = ACTIONS(1189),
    [aux_sym_update_statement_token1] = ACTIONS(1189),
    [aux_sym_merge_statement_token1] = ACTIONS(1189),
    [aux_sym_grant_statement_token1] = ACTIONS(1189),
    [aux_sym_revoke_statement_token1] = ACTIONS(1189),
    [aux_sym_export_data_statement_token1] = ACTIONS(1189),
    [aux_sym_load_data_statement_token1] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym__quoted_identifier] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [176] = {
    [sym__keyword_as] = STATE(11597),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(2965),
    [sym_unnest_withoffset] = STATE(2576),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1273),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [177] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1241),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1241),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1241),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1241),
    [aux_sym__keyword_create_token1] = ACTIONS(1241),
    [aux_sym__keyword_drop_token1] = ACTIONS(1241),
    [aux_sym__keyword_from_token1] = ACTIONS(1241),
    [aux_sym__keyword_delete_token1] = ACTIONS(1241),
    [aux_sym__keyword_begin_token1] = ACTIONS(1241),
    [aux_sym__keyword_end_token1] = ACTIONS(1241),
    [aux_sym__keyword_between_token1] = ACTIONS(1241),
    [aux_sym__keyword_when_token1] = ACTIONS(1241),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1241),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1241),
    [aux_sym__keyword_like_token1] = ACTIONS(1241),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1241),
    [aux_sym__keyword_as_token1] = ACTIONS(1241),
    [aux_sym__keyword_window_token1] = ACTIONS(1241),
    [aux_sym__keyword_date_token1] = ACTIONS(1241),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1241),
    [aux_sym__keyword_time_token1] = ACTIONS(1241),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1241),
    [aux_sym__keyword_for_token1] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1241),
    [aux_sym_return_statement_token1] = ACTIONS(1241),
    [aux_sym_call_statement_token1] = ACTIONS(1241),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1241),
    [aux_sym_if_statement_token1] = ACTIONS(1241),
    [aux_sym_loop_statement_token1] = ACTIONS(1241),
    [aux_sym_repeat_statement_token1] = ACTIONS(1241),
    [aux_sym_while_statement_token1] = ACTIONS(1241),
    [aux_sym_break_statement_token1] = ACTIONS(1241),
    [aux_sym_leave_statement_token1] = ACTIONS(1241),
    [aux_sym_continue_statement_token1] = ACTIONS(1241),
    [aux_sym_iterate_statement_token1] = ACTIONS(1241),
    [aux_sym_raise_statement_token1] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1241),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1241),
    [aux_sym_set_operation_token3] = ACTIONS(1241),
    [aux_sym_set_operation_token4] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1241),
    [aux_sym_having_clause_token1] = ACTIONS(1241),
    [aux_sym_qualify_clause_token1] = ACTIONS(1241),
    [aux_sym_limit_clause_token1] = ACTIONS(1241),
    [aux_sym_group_by_clause_token1] = ACTIONS(1241),
    [aux_sym_order_by_clause_token1] = ACTIONS(1241),
    [aux_sym_where_clause_token1] = ACTIONS(1241),
    [aux_sym_insert_statement_token1] = ACTIONS(1241),
    [aux_sym_truncate_statement_token1] = ACTIONS(1241),
    [aux_sym_update_statement_token1] = ACTIONS(1241),
    [aux_sym_merge_statement_token1] = ACTIONS(1241),
    [aux_sym_grant_statement_token1] = ACTIONS(1241),
    [aux_sym_revoke_statement_token1] = ACTIONS(1241),
    [aux_sym_export_data_statement_token1] = ACTIONS(1241),
    [aux_sym_load_data_statement_token1] = ACTIONS(1241),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym__quoted_identifier] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [178] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14257),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(15501),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5335),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [179] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14329),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(15893),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5363),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [180] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [181] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [182] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1197),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1197),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1197),
    [aux_sym__keyword_create_token1] = ACTIONS(1197),
    [aux_sym__keyword_drop_token1] = ACTIONS(1197),
    [aux_sym__keyword_from_token1] = ACTIONS(1197),
    [aux_sym__keyword_delete_token1] = ACTIONS(1197),
    [aux_sym__keyword_begin_token1] = ACTIONS(1197),
    [aux_sym__keyword_end_token1] = ACTIONS(1197),
    [aux_sym__keyword_between_token1] = ACTIONS(361),
    [aux_sym__keyword_when_token1] = ACTIONS(1197),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(363),
    [aux_sym__keyword_in_token1] = ACTIONS(365),
    [aux_sym__keyword_and_token1] = ACTIONS(367),
    [aux_sym__keyword_like_token1] = ACTIONS(1197),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1197),
    [aux_sym__keyword_as_token1] = ACTIONS(1197),
    [aux_sym__keyword_window_token1] = ACTIONS(1197),
    [aux_sym__keyword_date_token1] = ACTIONS(1197),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1197),
    [aux_sym__keyword_time_token1] = ACTIONS(1197),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1197),
    [aux_sym__keyword_for_token1] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1197),
    [aux_sym_return_statement_token1] = ACTIONS(1197),
    [aux_sym_call_statement_token1] = ACTIONS(1197),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1197),
    [aux_sym_if_statement_token1] = ACTIONS(1197),
    [aux_sym_loop_statement_token1] = ACTIONS(1197),
    [aux_sym_repeat_statement_token1] = ACTIONS(1197),
    [aux_sym_while_statement_token1] = ACTIONS(1197),
    [aux_sym_break_statement_token1] = ACTIONS(1197),
    [aux_sym_leave_statement_token1] = ACTIONS(1197),
    [aux_sym_continue_statement_token1] = ACTIONS(1197),
    [aux_sym_iterate_statement_token1] = ACTIONS(1197),
    [aux_sym_raise_statement_token1] = ACTIONS(1197),
    [anon_sym_EQ] = ACTIONS(377),
    [aux_sym_assert_statement_token1] = ACTIONS(1197),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(365),
    [anon_sym_GT] = ACTIONS(365),
    [aux_sym_set_operation_token1] = ACTIONS(1197),
    [aux_sym_set_operation_token3] = ACTIONS(1197),
    [aux_sym_set_operation_token4] = ACTIONS(1197),
    [aux_sym_select_token1] = ACTIONS(1197),
    [aux_sym_having_clause_token1] = ACTIONS(1197),
    [aux_sym_qualify_clause_token1] = ACTIONS(1197),
    [aux_sym_limit_clause_token1] = ACTIONS(1197),
    [aux_sym_group_by_clause_token1] = ACTIONS(1197),
    [aux_sym_order_by_clause_token1] = ACTIONS(1197),
    [aux_sym_where_clause_token1] = ACTIONS(1197),
    [aux_sym_insert_statement_token1] = ACTIONS(1197),
    [aux_sym_truncate_statement_token1] = ACTIONS(1197),
    [aux_sym_update_statement_token1] = ACTIONS(1197),
    [aux_sym_merge_statement_token1] = ACTIONS(1197),
    [aux_sym_grant_statement_token1] = ACTIONS(1197),
    [aux_sym_revoke_statement_token1] = ACTIONS(1197),
    [aux_sym_export_data_statement_token1] = ACTIONS(1197),
    [aux_sym_load_data_statement_token1] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym__quoted_identifier] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(377),
    [anon_sym_LT_GT] = ACTIONS(377),
    [anon_sym_GT_EQ] = ACTIONS(377),
    [anon_sym_BANG_EQ] = ACTIONS(377),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_PIPE] = ACTIONS(399),
  },
  [183] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_set_operation] = STATE(12594),
    [sym_query_expr] = STATE(14340),
    [sym_select] = STATE(12594),
    [sym__aliasable_expression] = STATE(14927),
    [sym_cte_clause] = STATE(12886),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5327),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(531),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_select_token1] = ACTIONS(535),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [184] = {
    [sym__keyword_between] = STATE(1678),
    [sym__keyword_is] = STATE(12041),
    [sym__keyword_in] = STATE(944),
    [sym__keyword_not] = STATE(13038),
    [sym__keyword_and] = STATE(984),
    [sym__keyword_or] = STATE(989),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16229),
    [sym_quantitve_like_operator] = STATE(16230),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_PIPE_PIPE] = ACTIONS(389),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(393),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(395),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [185] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [186] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_window_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_using_clause_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1187),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_having_clause_token1] = ACTIONS(1187),
    [aux_sym_qualify_clause_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym_group_by_clause_token1] = ACTIONS(1187),
    [aux_sym_order_by_clause_token1] = ACTIONS(1187),
    [aux_sym_where_clause_token1] = ACTIONS(1187),
    [aux_sym_pivot_operator_token1] = ACTIONS(1187),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1187),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1187),
    [aux_sym_join_type_token1] = ACTIONS(1187),
    [aux_sym_join_type_token2] = ACTIONS(1187),
    [aux_sym_join_type_token3] = ACTIONS(1187),
    [aux_sym_join_type_token4] = ACTIONS(1187),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1187),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1187),
    [aux_sym_join_condition_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [187] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_window_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_using_clause_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1239),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_having_clause_token1] = ACTIONS(1239),
    [aux_sym_qualify_clause_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym_group_by_clause_token1] = ACTIONS(1239),
    [aux_sym_order_by_clause_token1] = ACTIONS(1239),
    [aux_sym_where_clause_token1] = ACTIONS(1239),
    [aux_sym_pivot_operator_token1] = ACTIONS(1239),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1239),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1239),
    [aux_sym_join_type_token1] = ACTIONS(1239),
    [aux_sym_join_type_token2] = ACTIONS(1239),
    [aux_sym_join_type_token3] = ACTIONS(1239),
    [aux_sym_join_type_token4] = ACTIONS(1239),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1239),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1239),
    [aux_sym_join_condition_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [188] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [189] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [190] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_window_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_using_clause_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1225),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_having_clause_token1] = ACTIONS(1225),
    [aux_sym_qualify_clause_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym_group_by_clause_token1] = ACTIONS(1225),
    [aux_sym_order_by_clause_token1] = ACTIONS(1225),
    [aux_sym_where_clause_token1] = ACTIONS(1225),
    [aux_sym_pivot_operator_token1] = ACTIONS(1225),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1225),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1225),
    [aux_sym_join_type_token1] = ACTIONS(1225),
    [aux_sym_join_type_token2] = ACTIONS(1225),
    [aux_sym_join_type_token3] = ACTIONS(1225),
    [aux_sym_join_type_token4] = ACTIONS(1225),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1225),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1225),
    [aux_sym_join_condition_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [191] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1229),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1229),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1229),
    [aux_sym__keyword_create_token1] = ACTIONS(1229),
    [aux_sym__keyword_drop_token1] = ACTIONS(1229),
    [aux_sym__keyword_delete_token1] = ACTIONS(1229),
    [aux_sym__keyword_begin_token1] = ACTIONS(1229),
    [aux_sym__keyword_between_token1] = ACTIONS(1303),
    [aux_sym__keyword_when_token1] = ACTIONS(1229),
    [aux_sym__keyword_is_token1] = ACTIONS(1305),
    [aux_sym__keyword_in_token1] = ACTIONS(1307),
    [aux_sym__keyword_and_token1] = ACTIONS(1309),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1229),
    [aux_sym__keyword_window_token1] = ACTIONS(1229),
    [aux_sym__keyword_for_token1] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [aux_sym_declare_statement_token1] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(1229),
    [aux_sym_set_statement_token1] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1229),
    [aux_sym_using_clause_token1] = ACTIONS(1229),
    [aux_sym_return_statement_token1] = ACTIONS(1229),
    [aux_sym_call_statement_token1] = ACTIONS(1229),
    [aux_sym_loop_statement_token1] = ACTIONS(1229),
    [aux_sym_while_statement_token1] = ACTIONS(1229),
    [aux_sym_break_statement_token1] = ACTIONS(1229),
    [aux_sym_leave_statement_token1] = ACTIONS(1229),
    [aux_sym_continue_statement_token1] = ACTIONS(1229),
    [aux_sym_iterate_statement_token1] = ACTIONS(1229),
    [aux_sym_raise_statement_token1] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1311),
    [aux_sym_assert_statement_token1] = ACTIONS(1229),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1307),
    [anon_sym_GT] = ACTIONS(1307),
    [aux_sym_set_operation_token1] = ACTIONS(1229),
    [aux_sym_set_operation_token3] = ACTIONS(1229),
    [aux_sym_set_operation_token4] = ACTIONS(1229),
    [aux_sym_select_token1] = ACTIONS(1229),
    [aux_sym_having_clause_token1] = ACTIONS(1229),
    [aux_sym_qualify_clause_token1] = ACTIONS(1229),
    [aux_sym_limit_clause_token1] = ACTIONS(1229),
    [aux_sym_group_by_clause_token1] = ACTIONS(1229),
    [aux_sym_order_by_clause_token1] = ACTIONS(1229),
    [aux_sym_where_clause_token1] = ACTIONS(1229),
    [aux_sym_pivot_operator_token1] = ACTIONS(1229),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1229),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1229),
    [aux_sym_join_type_token1] = ACTIONS(1229),
    [aux_sym_join_type_token2] = ACTIONS(1229),
    [aux_sym_join_type_token3] = ACTIONS(1229),
    [aux_sym_join_type_token4] = ACTIONS(1229),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1229),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1229),
    [aux_sym_join_condition_token1] = ACTIONS(1229),
    [aux_sym_insert_statement_token1] = ACTIONS(1229),
    [aux_sym_truncate_statement_token1] = ACTIONS(1229),
    [aux_sym_update_statement_token1] = ACTIONS(1229),
    [aux_sym_merge_statement_token1] = ACTIONS(1229),
    [aux_sym_grant_statement_token1] = ACTIONS(1229),
    [aux_sym_revoke_statement_token1] = ACTIONS(1229),
    [aux_sym_export_data_statement_token1] = ACTIONS(1229),
    [aux_sym_load_data_statement_token1] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1311),
    [anon_sym_LT_GT] = ACTIONS(1311),
    [anon_sym_GT_EQ] = ACTIONS(1311),
    [anon_sym_BANG_EQ] = ACTIONS(1311),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [192] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1303),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1305),
    [aux_sym__keyword_in_token1] = ACTIONS(1307),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1311),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1307),
    [anon_sym_GT] = ACTIONS(1307),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1311),
    [anon_sym_LT_GT] = ACTIONS(1311),
    [anon_sym_GT_EQ] = ACTIONS(1311),
    [anon_sym_BANG_EQ] = ACTIONS(1311),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [193] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [194] = {
    [sym__keyword_as] = STATE(11497),
    [sym__keyword_date] = STATE(3144),
    [sym__keyword_datetime] = STATE(3144),
    [sym__keyword_time] = STATE(3144),
    [sym__keyword_timestamp] = STATE(3144),
    [sym_as_alias] = STATE(2974),
    [sym_unnest_withoffset] = STATE(3280),
    [sym__type_chrono] = STATE(3288),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3243),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1315),
    [aux_sym__keyword_date_token1] = ACTIONS(1317),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1317),
    [aux_sym__keyword_time_token1] = ACTIONS(1317),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1317),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token2] = ACTIONS(205),
    [aux_sym__nulls_preference_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [195] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym__keyword_as] = STATE(11561),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(5386),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(4378),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(355),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(355),
    [aux_sym__keyword_create_token1] = ACTIONS(355),
    [aux_sym__keyword_drop_token1] = ACTIONS(355),
    [aux_sym__keyword_delete_token1] = ACTIONS(355),
    [aux_sym__keyword_begin_token1] = ACTIONS(355),
    [aux_sym__keyword_end_token1] = ACTIONS(355),
    [aux_sym__keyword_between_token1] = ACTIONS(1323),
    [aux_sym__keyword_else_token1] = ACTIONS(355),
    [aux_sym__keyword_is_token1] = ACTIONS(1325),
    [aux_sym__keyword_in_token1] = ACTIONS(1327),
    [aux_sym__keyword_and_token1] = ACTIONS(1329),
    [aux_sym__keyword_like_token1] = ACTIONS(369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(355),
    [aux_sym__keyword_as_token1] = ACTIONS(1331),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(375),
    [aux_sym_declare_statement_token1] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(375),
    [aux_sym_set_statement_token1] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(355),
    [aux_sym_return_statement_token1] = ACTIONS(355),
    [aux_sym_call_statement_token1] = ACTIONS(355),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(355),
    [aux_sym_if_statement_token1] = ACTIONS(355),
    [aux_sym_loop_statement_token1] = ACTIONS(355),
    [aux_sym_repeat_statement_token1] = ACTIONS(355),
    [aux_sym_while_statement_token1] = ACTIONS(355),
    [aux_sym_break_statement_token1] = ACTIONS(355),
    [aux_sym_leave_statement_token1] = ACTIONS(355),
    [aux_sym_continue_statement_token1] = ACTIONS(355),
    [aux_sym_iterate_statement_token1] = ACTIONS(355),
    [aux_sym_raise_statement_token1] = ACTIONS(355),
    [anon_sym_EQ] = ACTIONS(1335),
    [aux_sym_assert_statement_token1] = ACTIONS(355),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1327),
    [aux_sym_select_token1] = ACTIONS(355),
    [aux_sym_insert_statement_token1] = ACTIONS(355),
    [aux_sym_truncate_statement_token1] = ACTIONS(355),
    [aux_sym_update_statement_token1] = ACTIONS(355),
    [aux_sym_merge_statement_token1] = ACTIONS(355),
    [aux_sym_grant_statement_token1] = ACTIONS(355),
    [aux_sym_revoke_statement_token1] = ACTIONS(355),
    [aux_sym_export_data_statement_token1] = ACTIONS(355),
    [aux_sym_load_data_statement_token1] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_LT_GT] = ACTIONS(1335),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [196] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [197] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_window_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_using_clause_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1207),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_having_clause_token1] = ACTIONS(1207),
    [aux_sym_qualify_clause_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym_group_by_clause_token1] = ACTIONS(1207),
    [aux_sym_order_by_clause_token1] = ACTIONS(1207),
    [aux_sym_where_clause_token1] = ACTIONS(1207),
    [aux_sym_pivot_operator_token1] = ACTIONS(1207),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1207),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1207),
    [aux_sym_join_type_token1] = ACTIONS(1207),
    [aux_sym_join_type_token2] = ACTIONS(1207),
    [aux_sym_join_type_token3] = ACTIONS(1207),
    [aux_sym_join_type_token4] = ACTIONS(1207),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1207),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1207),
    [aux_sym_join_condition_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [198] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_window_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_using_clause_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1165),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_having_clause_token1] = ACTIONS(1165),
    [aux_sym_qualify_clause_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym_group_by_clause_token1] = ACTIONS(1165),
    [aux_sym_order_by_clause_token1] = ACTIONS(1165),
    [aux_sym_where_clause_token1] = ACTIONS(1165),
    [aux_sym_pivot_operator_token1] = ACTIONS(1165),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1165),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1165),
    [aux_sym_join_type_token1] = ACTIONS(1165),
    [aux_sym_join_type_token2] = ACTIONS(1165),
    [aux_sym_join_type_token3] = ACTIONS(1165),
    [aux_sym_join_type_token4] = ACTIONS(1165),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1165),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1165),
    [aux_sym_join_condition_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [199] = {
    [sym__keyword_as] = STATE(11644),
    [sym__keyword_date] = STATE(2007),
    [sym__keyword_datetime] = STATE(2007),
    [sym__keyword_time] = STATE(2007),
    [sym__keyword_timestamp] = STATE(2007),
    [sym_as_alias] = STATE(2396),
    [sym_unnest_withoffset] = STATE(1899),
    [sym__type_chrono] = STATE(1938),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1900),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_from_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1265),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(1267),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1267),
    [aux_sym__keyword_time_token1] = ACTIONS(1267),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1267),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1357),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [200] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_window_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_using_clause_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1221),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_having_clause_token1] = ACTIONS(1221),
    [aux_sym_qualify_clause_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym_group_by_clause_token1] = ACTIONS(1221),
    [aux_sym_order_by_clause_token1] = ACTIONS(1221),
    [aux_sym_where_clause_token1] = ACTIONS(1221),
    [aux_sym_pivot_operator_token1] = ACTIONS(1221),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1221),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1221),
    [aux_sym_join_type_token1] = ACTIONS(1221),
    [aux_sym_join_type_token2] = ACTIONS(1221),
    [aux_sym_join_type_token3] = ACTIONS(1221),
    [aux_sym_join_type_token4] = ACTIONS(1221),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1221),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1221),
    [aux_sym_join_condition_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [201] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [202] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(1303),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_is_token1] = ACTIONS(1305),
    [aux_sym__keyword_in_token1] = ACTIONS(1307),
    [aux_sym__keyword_and_token1] = ACTIONS(1309),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_window_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_using_clause_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(1311),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(1307),
    [anon_sym_GT] = ACTIONS(1307),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1191),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_having_clause_token1] = ACTIONS(1191),
    [aux_sym_qualify_clause_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym_group_by_clause_token1] = ACTIONS(1191),
    [aux_sym_order_by_clause_token1] = ACTIONS(1191),
    [aux_sym_where_clause_token1] = ACTIONS(1191),
    [aux_sym_pivot_operator_token1] = ACTIONS(1191),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1191),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1191),
    [aux_sym_join_type_token1] = ACTIONS(1191),
    [aux_sym_join_type_token2] = ACTIONS(1191),
    [aux_sym_join_type_token3] = ACTIONS(1191),
    [aux_sym_join_type_token4] = ACTIONS(1191),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1191),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1191),
    [aux_sym_join_condition_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1311),
    [anon_sym_LT_GT] = ACTIONS(1311),
    [anon_sym_GT_EQ] = ACTIONS(1311),
    [anon_sym_BANG_EQ] = ACTIONS(1311),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [203] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [204] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(12944),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7358),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(12944),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [205] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(12944),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(11141),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9507),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(12944),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_create_table_statement_token1] = ACTIONS(1283),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_create_model_statement_token1] = ACTIONS(1283),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [206] = {
    [sym__keyword_between] = STATE(1086),
    [sym__keyword_is] = STATE(12128),
    [sym__keyword_in] = STATE(1502),
    [sym__keyword_not] = STATE(13169),
    [sym__keyword_and] = STATE(1483),
    [sym__keyword_or] = STATE(1481),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16252),
    [sym_quantitve_like_operator] = STATE(16251),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1303),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1305),
    [aux_sym__keyword_in_token1] = ACTIONS(1307),
    [aux_sym__keyword_and_token1] = ACTIONS(1309),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1311),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1307),
    [anon_sym_GT] = ACTIONS(1307),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1291),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1311),
    [anon_sym_LT_GT] = ACTIONS(1311),
    [anon_sym_GT_EQ] = ACTIONS(1311),
    [anon_sym_BANG_EQ] = ACTIONS(1311),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1301),
  },
  [207] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_bigquery_resource] = STATE(12978),
    [sym_argument] = STATE(12944),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(10186),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7299),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_asterisk_expression] = STATE(12943),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_create_table_statement_token1] = ACTIONS(235),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_create_model_statement_token1] = ACTIONS(235),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [208] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_list] = STATE(11251),
    [sym_select_all] = STATE(11654),
    [sym__aliasable_expression] = STATE(11655),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [209] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_list] = STATE(11253),
    [sym_select_all] = STATE(11654),
    [sym__aliasable_expression] = STATE(11655),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [210] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_list] = STATE(5374),
    [sym_select_all] = STATE(6050),
    [sym__aliasable_expression] = STATE(6051),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [211] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(139),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [212] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_list] = STATE(5373),
    [sym_select_all] = STATE(6050),
    [sym__aliasable_expression] = STATE(6051),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [213] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_list] = STATE(5301),
    [sym_select_all] = STATE(5406),
    [sym__aliasable_expression] = STATE(5398),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [214] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_list] = STATE(5369),
    [sym_select_all] = STATE(6050),
    [sym__aliasable_expression] = STATE(6051),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [215] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(147),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [216] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_list] = STATE(5289),
    [sym_select_all] = STATE(5406),
    [sym__aliasable_expression] = STATE(5398),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [217] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_list] = STATE(5304),
    [sym_select_all] = STATE(5406),
    [sym__aliasable_expression] = STATE(5398),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [218] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_list] = STATE(5296),
    [sym_select_all] = STATE(5406),
    [sym__aliasable_expression] = STATE(5398),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [219] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(143),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [220] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_list] = STATE(17340),
    [sym_select_all] = STATE(15147),
    [sym__aliasable_expression] = STATE(15146),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [221] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(91),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [222] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_list] = STATE(11273),
    [sym_select_all] = STATE(11654),
    [sym__aliasable_expression] = STATE(11655),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [223] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_list] = STATE(5370),
    [sym_select_all] = STATE(6050),
    [sym__aliasable_expression] = STATE(6051),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [224] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_list] = STATE(11266),
    [sym_select_all] = STATE(11654),
    [sym__aliasable_expression] = STATE(11655),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [225] = {
    [sym_analytics_clause] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [226] = {
    [sym_analytics_clause] = STATE(590),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_when_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_window_token1] = ACTIONS(1367),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_using_clause_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1367),
    [aux_sym_set_operation_token3] = ACTIONS(1367),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_having_clause_token1] = ACTIONS(1367),
    [aux_sym_qualify_clause_token1] = ACTIONS(1367),
    [aux_sym_limit_clause_token1] = ACTIONS(1367),
    [aux_sym_group_by_clause_token1] = ACTIONS(1367),
    [aux_sym_order_by_clause_token1] = ACTIONS(1367),
    [aux_sym_where_clause_token1] = ACTIONS(1367),
    [aux_sym_pivot_operator_token1] = ACTIONS(1367),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1367),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1367),
    [aux_sym_join_type_token1] = ACTIONS(1367),
    [aux_sym_join_type_token2] = ACTIONS(1367),
    [aux_sym_join_type_token3] = ACTIONS(1367),
    [aux_sym_join_type_token4] = ACTIONS(1367),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1367),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1367),
    [aux_sym_join_condition_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [227] = {
    [sym_analytics_clause] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [228] = {
    [sym_analytics_clause] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [229] = {
    [sym_analytics_clause] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [230] = {
    [sym_analytics_clause] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [231] = {
    [sym_analytics_clause] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [232] = {
    [sym_analytics_clause] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [233] = {
    [sym_analytics_clause] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [234] = {
    [sym_analytics_clause] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [235] = {
    [sym_analytics_clause] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [236] = {
    [sym_analytics_clause] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [237] = {
    [sym_analytics_clause] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [238] = {
    [sym_analytics_clause] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [239] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8313),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12116),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12116),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [240] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8120),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12044),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12044),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [241] = {
    [sym_analytics_clause] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_when_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_window_token1] = ACTIONS(1381),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_using_clause_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1381),
    [aux_sym_set_operation_token3] = ACTIONS(1381),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_having_clause_token1] = ACTIONS(1381),
    [aux_sym_qualify_clause_token1] = ACTIONS(1381),
    [aux_sym_limit_clause_token1] = ACTIONS(1381),
    [aux_sym_group_by_clause_token1] = ACTIONS(1381),
    [aux_sym_order_by_clause_token1] = ACTIONS(1381),
    [aux_sym_where_clause_token1] = ACTIONS(1381),
    [aux_sym_pivot_operator_token1] = ACTIONS(1381),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1381),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1381),
    [aux_sym_join_type_token1] = ACTIONS(1381),
    [aux_sym_join_type_token2] = ACTIONS(1381),
    [aux_sym_join_type_token3] = ACTIONS(1381),
    [aux_sym_join_type_token4] = ACTIONS(1381),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1381),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1381),
    [aux_sym_join_condition_token1] = ACTIONS(1381),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [242] = {
    [sym_analytics_clause] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [243] = {
    [sym_analytics_clause] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_when_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_window_token1] = ACTIONS(1385),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_using_clause_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1385),
    [aux_sym_set_operation_token3] = ACTIONS(1385),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_having_clause_token1] = ACTIONS(1385),
    [aux_sym_qualify_clause_token1] = ACTIONS(1385),
    [aux_sym_limit_clause_token1] = ACTIONS(1385),
    [aux_sym_group_by_clause_token1] = ACTIONS(1385),
    [aux_sym_order_by_clause_token1] = ACTIONS(1385),
    [aux_sym_where_clause_token1] = ACTIONS(1385),
    [aux_sym_pivot_operator_token1] = ACTIONS(1385),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1385),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1385),
    [aux_sym_join_type_token1] = ACTIONS(1385),
    [aux_sym_join_type_token2] = ACTIONS(1385),
    [aux_sym_join_type_token3] = ACTIONS(1385),
    [aux_sym_join_type_token4] = ACTIONS(1385),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1385),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1385),
    [aux_sym_join_condition_token1] = ACTIONS(1385),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [244] = {
    [sym_analytics_clause] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [245] = {
    [sym_analytics_clause] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [246] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8230),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12131),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12131),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [247] = {
    [sym_analytics_clause] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1389),
    [aux_sym_keyword_replace_token1] = ACTIONS(1391),
    [aux_sym__keyword_alter_token1] = ACTIONS(1389),
    [aux_sym__keyword_create_token1] = ACTIONS(1389),
    [aux_sym__keyword_drop_token1] = ACTIONS(1389),
    [aux_sym__keyword_delete_token1] = ACTIONS(1389),
    [aux_sym__keyword_begin_token1] = ACTIONS(1389),
    [aux_sym__keyword_end_token1] = ACTIONS(1389),
    [aux_sym__keyword_between_token1] = ACTIONS(1389),
    [aux_sym__keyword_when_token1] = ACTIONS(1389),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1389),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1389),
    [aux_sym__keyword_like_token1] = ACTIONS(1389),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1389),
    [aux_sym__keyword_window_token1] = ACTIONS(1389),
    [aux_sym__keyword_for_token1] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1389),
    [aux_sym_using_clause_token1] = ACTIONS(1389),
    [aux_sym_return_statement_token1] = ACTIONS(1389),
    [aux_sym_call_statement_token1] = ACTIONS(1389),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1389),
    [aux_sym_if_statement_token1] = ACTIONS(1389),
    [aux_sym_loop_statement_token1] = ACTIONS(1389),
    [aux_sym_repeat_statement_token1] = ACTIONS(1389),
    [aux_sym_while_statement_token1] = ACTIONS(1389),
    [aux_sym_break_statement_token1] = ACTIONS(1389),
    [aux_sym_leave_statement_token1] = ACTIONS(1389),
    [aux_sym_continue_statement_token1] = ACTIONS(1389),
    [aux_sym_iterate_statement_token1] = ACTIONS(1389),
    [aux_sym_raise_statement_token1] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1389),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_set_operation_token1] = ACTIONS(1389),
    [aux_sym_set_operation_token3] = ACTIONS(1389),
    [aux_sym_set_operation_token4] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1389),
    [aux_sym_having_clause_token1] = ACTIONS(1389),
    [aux_sym_qualify_clause_token1] = ACTIONS(1389),
    [aux_sym_limit_clause_token1] = ACTIONS(1389),
    [aux_sym_group_by_clause_token1] = ACTIONS(1389),
    [aux_sym_order_by_clause_token1] = ACTIONS(1389),
    [aux_sym_where_clause_token1] = ACTIONS(1389),
    [aux_sym_pivot_operator_token1] = ACTIONS(1389),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1389),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1389),
    [aux_sym_join_type_token1] = ACTIONS(1389),
    [aux_sym_join_type_token2] = ACTIONS(1389),
    [aux_sym_join_type_token3] = ACTIONS(1389),
    [aux_sym_join_type_token4] = ACTIONS(1389),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1389),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1389),
    [aux_sym_join_condition_token1] = ACTIONS(1389),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1389),
    [aux_sym_truncate_statement_token1] = ACTIONS(1389),
    [aux_sym_update_statement_token1] = ACTIONS(1389),
    [aux_sym_merge_statement_token1] = ACTIONS(1389),
    [aux_sym_grant_statement_token1] = ACTIONS(1389),
    [aux_sym_revoke_statement_token1] = ACTIONS(1389),
    [aux_sym_export_data_statement_token1] = ACTIONS(1389),
    [aux_sym_load_data_statement_token1] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [248] = {
    [sym_analytics_clause] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_when_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_window_token1] = ACTIONS(1393),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_using_clause_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1393),
    [aux_sym_set_operation_token3] = ACTIONS(1393),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_having_clause_token1] = ACTIONS(1393),
    [aux_sym_qualify_clause_token1] = ACTIONS(1393),
    [aux_sym_limit_clause_token1] = ACTIONS(1393),
    [aux_sym_group_by_clause_token1] = ACTIONS(1393),
    [aux_sym_order_by_clause_token1] = ACTIONS(1393),
    [aux_sym_where_clause_token1] = ACTIONS(1393),
    [aux_sym_pivot_operator_token1] = ACTIONS(1393),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1393),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1393),
    [aux_sym_join_type_token1] = ACTIONS(1393),
    [aux_sym_join_type_token2] = ACTIONS(1393),
    [aux_sym_join_type_token3] = ACTIONS(1393),
    [aux_sym_join_type_token4] = ACTIONS(1393),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1393),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1393),
    [aux_sym_join_condition_token1] = ACTIONS(1393),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [249] = {
    [sym_analytics_clause] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [250] = {
    [sym_analytics_clause] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_when_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_window_token1] = ACTIONS(1401),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_using_clause_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1401),
    [aux_sym_set_operation_token3] = ACTIONS(1401),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_having_clause_token1] = ACTIONS(1401),
    [aux_sym_qualify_clause_token1] = ACTIONS(1401),
    [aux_sym_limit_clause_token1] = ACTIONS(1401),
    [aux_sym_group_by_clause_token1] = ACTIONS(1401),
    [aux_sym_order_by_clause_token1] = ACTIONS(1401),
    [aux_sym_where_clause_token1] = ACTIONS(1401),
    [aux_sym_pivot_operator_token1] = ACTIONS(1401),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1401),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1401),
    [aux_sym_join_type_token1] = ACTIONS(1401),
    [aux_sym_join_type_token2] = ACTIONS(1401),
    [aux_sym_join_type_token3] = ACTIONS(1401),
    [aux_sym_join_type_token4] = ACTIONS(1401),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1401),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1401),
    [aux_sym_join_condition_token1] = ACTIONS(1401),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [251] = {
    [sym_analytics_clause] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [252] = {
    [sym_analytics_clause] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [253] = {
    [sym_analytics_clause] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [254] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8178),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12096),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12096),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [255] = {
    [sym_analytics_clause] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [256] = {
    [sym_analytics_clause] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [257] = {
    [sym_analytics_clause] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [258] = {
    [sym_analytics_clause] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [259] = {
    [sym_analytics_clause] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [260] = {
    [sym_analytics_clause] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [261] = {
    [sym_analytics_clause] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [262] = {
    [sym_analytics_clause] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [263] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(23),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [264] = {
    [sym_analytics_clause] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [265] = {
    [sym_analytics_clause] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [266] = {
    [sym_analytics_clause] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [267] = {
    [sym_analytics_clause] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [268] = {
    [sym_analytics_clause] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [269] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8106),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12068),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12068),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [270] = {
    [sym_analytics_clause] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [271] = {
    [sym_analytics_clause] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [272] = {
    [sym_analytics_clause] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [273] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8046),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12089),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12089),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [274] = {
    [sym_analytics_clause] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [275] = {
    [sym_analytics_clause] = STATE(607),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [276] = {
    [sym_analytics_clause] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [277] = {
    [sym_analytics_clause] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [278] = {
    [sym_analytics_clause] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [279] = {
    [sym_analytics_clause] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [280] = {
    [sym_analytics_clause] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_when_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_window_token1] = ACTIONS(1409),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_using_clause_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1409),
    [aux_sym_set_operation_token3] = ACTIONS(1409),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_having_clause_token1] = ACTIONS(1409),
    [aux_sym_qualify_clause_token1] = ACTIONS(1409),
    [aux_sym_limit_clause_token1] = ACTIONS(1409),
    [aux_sym_group_by_clause_token1] = ACTIONS(1409),
    [aux_sym_order_by_clause_token1] = ACTIONS(1409),
    [aux_sym_where_clause_token1] = ACTIONS(1409),
    [aux_sym_pivot_operator_token1] = ACTIONS(1409),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1409),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1409),
    [aux_sym_join_type_token1] = ACTIONS(1409),
    [aux_sym_join_type_token2] = ACTIONS(1409),
    [aux_sym_join_type_token3] = ACTIONS(1409),
    [aux_sym_join_type_token4] = ACTIONS(1409),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1409),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1409),
    [aux_sym_join_condition_token1] = ACTIONS(1409),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [281] = {
    [sym_analytics_clause] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_when_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_window_token1] = ACTIONS(1413),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_using_clause_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1413),
    [aux_sym_set_operation_token3] = ACTIONS(1413),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_having_clause_token1] = ACTIONS(1413),
    [aux_sym_qualify_clause_token1] = ACTIONS(1413),
    [aux_sym_limit_clause_token1] = ACTIONS(1413),
    [aux_sym_group_by_clause_token1] = ACTIONS(1413),
    [aux_sym_order_by_clause_token1] = ACTIONS(1413),
    [aux_sym_where_clause_token1] = ACTIONS(1413),
    [aux_sym_pivot_operator_token1] = ACTIONS(1413),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1413),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1413),
    [aux_sym_join_type_token1] = ACTIONS(1413),
    [aux_sym_join_type_token2] = ACTIONS(1413),
    [aux_sym_join_type_token3] = ACTIONS(1413),
    [aux_sym_join_type_token4] = ACTIONS(1413),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1413),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1413),
    [aux_sym_join_condition_token1] = ACTIONS(1413),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [282] = {
    [sym_analytics_clause] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [283] = {
    [sym_analytics_clause] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [284] = {
    [sym_analytics_clause] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [285] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8232),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12138),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12138),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [286] = {
    [sym_analytics_clause] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [287] = {
    [sym_analytics_clause] = STATE(616),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [288] = {
    [sym_analytics_clause] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [289] = {
    [sym_analytics_clause] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [290] = {
    [sym_analytics_clause] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [291] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8268),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12034),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12034),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [292] = {
    [sym_analytics_clause] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [293] = {
    [sym_analytics_clause] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [294] = {
    [sym_analytics_clause] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [295] = {
    [sym_analytics_clause] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [296] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8228),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12137),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12137),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [297] = {
    [sym_analytics_clause] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [298] = {
    [sym_analytics_clause] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [299] = {
    [sym_analytics_clause] = STATE(620),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [300] = {
    [sym_analytics_clause] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_when_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_window_token1] = ACTIONS(1425),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_using_clause_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1425),
    [aux_sym_set_operation_token3] = ACTIONS(1425),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_having_clause_token1] = ACTIONS(1425),
    [aux_sym_qualify_clause_token1] = ACTIONS(1425),
    [aux_sym_limit_clause_token1] = ACTIONS(1425),
    [aux_sym_group_by_clause_token1] = ACTIONS(1425),
    [aux_sym_order_by_clause_token1] = ACTIONS(1425),
    [aux_sym_where_clause_token1] = ACTIONS(1425),
    [aux_sym_pivot_operator_token1] = ACTIONS(1425),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1425),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1425),
    [aux_sym_join_type_token1] = ACTIONS(1425),
    [aux_sym_join_type_token2] = ACTIONS(1425),
    [aux_sym_join_type_token3] = ACTIONS(1425),
    [aux_sym_join_type_token4] = ACTIONS(1425),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1425),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1425),
    [aux_sym_join_condition_token1] = ACTIONS(1425),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [301] = {
    [sym_analytics_clause] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [302] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8033),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12069),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12069),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [303] = {
    [sym_analytics_clause] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [304] = {
    [sym_analytics_clause] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [305] = {
    [sym_analytics_clause] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [306] = {
    [sym_analytics_clause] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_when_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_window_token1] = ACTIONS(1429),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_using_clause_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1429),
    [aux_sym_set_operation_token3] = ACTIONS(1429),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_having_clause_token1] = ACTIONS(1429),
    [aux_sym_qualify_clause_token1] = ACTIONS(1429),
    [aux_sym_limit_clause_token1] = ACTIONS(1429),
    [aux_sym_group_by_clause_token1] = ACTIONS(1429),
    [aux_sym_order_by_clause_token1] = ACTIONS(1429),
    [aux_sym_where_clause_token1] = ACTIONS(1429),
    [aux_sym_pivot_operator_token1] = ACTIONS(1429),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1429),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1429),
    [aux_sym_join_type_token1] = ACTIONS(1429),
    [aux_sym_join_type_token2] = ACTIONS(1429),
    [aux_sym_join_type_token3] = ACTIONS(1429),
    [aux_sym_join_type_token4] = ACTIONS(1429),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1429),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1429),
    [aux_sym_join_condition_token1] = ACTIONS(1429),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [307] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8226),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12142),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12142),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [308] = {
    [sym_analytics_clause] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [309] = {
    [sym_analytics_clause] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [310] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [311] = {
    [sym_analytics_clause] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [312] = {
    [sym_analytics_clause] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1433),
    [aux_sym_keyword_replace_token1] = ACTIONS(1435),
    [aux_sym__keyword_alter_token1] = ACTIONS(1433),
    [aux_sym__keyword_create_token1] = ACTIONS(1433),
    [aux_sym__keyword_drop_token1] = ACTIONS(1433),
    [aux_sym__keyword_delete_token1] = ACTIONS(1433),
    [aux_sym__keyword_begin_token1] = ACTIONS(1433),
    [aux_sym__keyword_end_token1] = ACTIONS(1433),
    [aux_sym__keyword_between_token1] = ACTIONS(1433),
    [aux_sym__keyword_when_token1] = ACTIONS(1433),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1433),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1433),
    [aux_sym__keyword_like_token1] = ACTIONS(1433),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1433),
    [aux_sym__keyword_window_token1] = ACTIONS(1433),
    [aux_sym__keyword_for_token1] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1433),
    [aux_sym_using_clause_token1] = ACTIONS(1433),
    [aux_sym_return_statement_token1] = ACTIONS(1433),
    [aux_sym_call_statement_token1] = ACTIONS(1433),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1433),
    [aux_sym_if_statement_token1] = ACTIONS(1433),
    [aux_sym_loop_statement_token1] = ACTIONS(1433),
    [aux_sym_repeat_statement_token1] = ACTIONS(1433),
    [aux_sym_while_statement_token1] = ACTIONS(1433),
    [aux_sym_break_statement_token1] = ACTIONS(1433),
    [aux_sym_leave_statement_token1] = ACTIONS(1433),
    [aux_sym_continue_statement_token1] = ACTIONS(1433),
    [aux_sym_iterate_statement_token1] = ACTIONS(1433),
    [aux_sym_raise_statement_token1] = ACTIONS(1433),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1433),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_set_operation_token1] = ACTIONS(1433),
    [aux_sym_set_operation_token3] = ACTIONS(1433),
    [aux_sym_set_operation_token4] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1433),
    [aux_sym_having_clause_token1] = ACTIONS(1433),
    [aux_sym_qualify_clause_token1] = ACTIONS(1433),
    [aux_sym_limit_clause_token1] = ACTIONS(1433),
    [aux_sym_group_by_clause_token1] = ACTIONS(1433),
    [aux_sym_order_by_clause_token1] = ACTIONS(1433),
    [aux_sym_where_clause_token1] = ACTIONS(1433),
    [aux_sym_pivot_operator_token1] = ACTIONS(1433),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1433),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1433),
    [aux_sym_join_type_token1] = ACTIONS(1433),
    [aux_sym_join_type_token2] = ACTIONS(1433),
    [aux_sym_join_type_token3] = ACTIONS(1433),
    [aux_sym_join_type_token4] = ACTIONS(1433),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1433),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1433),
    [aux_sym_join_condition_token1] = ACTIONS(1433),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1433),
    [aux_sym_truncate_statement_token1] = ACTIONS(1433),
    [aux_sym_update_statement_token1] = ACTIONS(1433),
    [aux_sym_merge_statement_token1] = ACTIONS(1433),
    [aux_sym_grant_statement_token1] = ACTIONS(1433),
    [aux_sym_revoke_statement_token1] = ACTIONS(1433),
    [aux_sym_export_data_statement_token1] = ACTIONS(1433),
    [aux_sym_load_data_statement_token1] = ACTIONS(1433),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [313] = {
    [sym_analytics_clause] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [314] = {
    [sym_analytics_clause] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_window_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_using_clause_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_having_clause_token1] = ACTIONS(1245),
    [aux_sym_qualify_clause_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym_group_by_clause_token1] = ACTIONS(1245),
    [aux_sym_order_by_clause_token1] = ACTIONS(1245),
    [aux_sym_where_clause_token1] = ACTIONS(1245),
    [aux_sym_pivot_operator_token1] = ACTIONS(1245),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1245),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1245),
    [aux_sym_join_type_token1] = ACTIONS(1245),
    [aux_sym_join_type_token2] = ACTIONS(1245),
    [aux_sym_join_type_token3] = ACTIONS(1245),
    [aux_sym_join_type_token4] = ACTIONS(1245),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1245),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1245),
    [aux_sym_join_condition_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [316] = {
    [sym_analytics_clause] = STATE(592),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [317] = {
    [sym_analytics_clause] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [318] = {
    [sym_analytics_clause] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [319] = {
    [sym_analytics_clause] = STATE(583),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1437),
    [aux_sym_keyword_replace_token1] = ACTIONS(1439),
    [aux_sym__keyword_alter_token1] = ACTIONS(1437),
    [aux_sym__keyword_create_token1] = ACTIONS(1437),
    [aux_sym__keyword_drop_token1] = ACTIONS(1437),
    [aux_sym__keyword_delete_token1] = ACTIONS(1437),
    [aux_sym__keyword_begin_token1] = ACTIONS(1437),
    [aux_sym__keyword_end_token1] = ACTIONS(1437),
    [aux_sym__keyword_between_token1] = ACTIONS(1437),
    [aux_sym__keyword_when_token1] = ACTIONS(1437),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1437),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1437),
    [aux_sym__keyword_like_token1] = ACTIONS(1437),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1437),
    [aux_sym__keyword_window_token1] = ACTIONS(1437),
    [aux_sym__keyword_for_token1] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1437),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1437),
    [aux_sym_using_clause_token1] = ACTIONS(1437),
    [aux_sym_return_statement_token1] = ACTIONS(1437),
    [aux_sym_call_statement_token1] = ACTIONS(1437),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1437),
    [aux_sym_if_statement_token1] = ACTIONS(1437),
    [aux_sym_loop_statement_token1] = ACTIONS(1437),
    [aux_sym_repeat_statement_token1] = ACTIONS(1437),
    [aux_sym_while_statement_token1] = ACTIONS(1437),
    [aux_sym_break_statement_token1] = ACTIONS(1437),
    [aux_sym_leave_statement_token1] = ACTIONS(1437),
    [aux_sym_continue_statement_token1] = ACTIONS(1437),
    [aux_sym_iterate_statement_token1] = ACTIONS(1437),
    [aux_sym_raise_statement_token1] = ACTIONS(1437),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1437),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1437),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_set_operation_token1] = ACTIONS(1437),
    [aux_sym_set_operation_token3] = ACTIONS(1437),
    [aux_sym_set_operation_token4] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1437),
    [aux_sym_having_clause_token1] = ACTIONS(1437),
    [aux_sym_qualify_clause_token1] = ACTIONS(1437),
    [aux_sym_limit_clause_token1] = ACTIONS(1437),
    [aux_sym_group_by_clause_token1] = ACTIONS(1437),
    [aux_sym_order_by_clause_token1] = ACTIONS(1437),
    [aux_sym_where_clause_token1] = ACTIONS(1437),
    [aux_sym_pivot_operator_token1] = ACTIONS(1437),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1437),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1437),
    [aux_sym_join_type_token1] = ACTIONS(1437),
    [aux_sym_join_type_token2] = ACTIONS(1437),
    [aux_sym_join_type_token3] = ACTIONS(1437),
    [aux_sym_join_type_token4] = ACTIONS(1437),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1437),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1437),
    [aux_sym_join_condition_token1] = ACTIONS(1437),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1437),
    [aux_sym_truncate_statement_token1] = ACTIONS(1437),
    [aux_sym_update_statement_token1] = ACTIONS(1437),
    [aux_sym_merge_statement_token1] = ACTIONS(1437),
    [aux_sym_grant_statement_token1] = ACTIONS(1437),
    [aux_sym_revoke_statement_token1] = ACTIONS(1437),
    [aux_sym_export_data_statement_token1] = ACTIONS(1437),
    [aux_sym_load_data_statement_token1] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [320] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8224),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12105),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12105),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [321] = {
    [sym_analytics_clause] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [322] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8145),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12032),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12032),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [323] = {
    [sym_analytics_clause] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [324] = {
    [sym_analytics_clause] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [325] = {
    [sym_analytics_clause] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [326] = {
    [sym_analytics_clause] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [327] = {
    [sym_analytics_clause] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [328] = {
    [sym_analytics_clause] = STATE(586),
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_when_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_window_token1] = ACTIONS(1445),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_using_clause_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1445),
    [aux_sym_set_operation_token3] = ACTIONS(1445),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_having_clause_token1] = ACTIONS(1445),
    [aux_sym_qualify_clause_token1] = ACTIONS(1445),
    [aux_sym_limit_clause_token1] = ACTIONS(1445),
    [aux_sym_group_by_clause_token1] = ACTIONS(1445),
    [aux_sym_order_by_clause_token1] = ACTIONS(1445),
    [aux_sym_where_clause_token1] = ACTIONS(1445),
    [aux_sym_pivot_operator_token1] = ACTIONS(1445),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1445),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1445),
    [aux_sym_join_type_token1] = ACTIONS(1445),
    [aux_sym_join_type_token2] = ACTIONS(1445),
    [aux_sym_join_type_token3] = ACTIONS(1445),
    [aux_sym_join_type_token4] = ACTIONS(1445),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1445),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1445),
    [aux_sym_join_condition_token1] = ACTIONS(1445),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [329] = {
    [sym_analytics_clause] = STATE(587),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_when_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_window_token1] = ACTIONS(1449),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_using_clause_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1449),
    [aux_sym_set_operation_token3] = ACTIONS(1449),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_having_clause_token1] = ACTIONS(1449),
    [aux_sym_qualify_clause_token1] = ACTIONS(1449),
    [aux_sym_limit_clause_token1] = ACTIONS(1449),
    [aux_sym_group_by_clause_token1] = ACTIONS(1449),
    [aux_sym_order_by_clause_token1] = ACTIONS(1449),
    [aux_sym_where_clause_token1] = ACTIONS(1449),
    [aux_sym_pivot_operator_token1] = ACTIONS(1449),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1449),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1449),
    [aux_sym_join_type_token1] = ACTIONS(1449),
    [aux_sym_join_type_token2] = ACTIONS(1449),
    [aux_sym_join_type_token3] = ACTIONS(1449),
    [aux_sym_join_type_token4] = ACTIONS(1449),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1449),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1449),
    [aux_sym_join_condition_token1] = ACTIONS(1449),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [330] = {
    [sym_analytics_clause] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [331] = {
    [sym_analytics_clause] = STATE(588),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1453),
    [aux_sym_keyword_replace_token1] = ACTIONS(1455),
    [aux_sym__keyword_alter_token1] = ACTIONS(1453),
    [aux_sym__keyword_create_token1] = ACTIONS(1453),
    [aux_sym__keyword_drop_token1] = ACTIONS(1453),
    [aux_sym__keyword_delete_token1] = ACTIONS(1453),
    [aux_sym__keyword_begin_token1] = ACTIONS(1453),
    [aux_sym__keyword_end_token1] = ACTIONS(1453),
    [aux_sym__keyword_between_token1] = ACTIONS(1453),
    [aux_sym__keyword_when_token1] = ACTIONS(1453),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1453),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1453),
    [aux_sym__keyword_like_token1] = ACTIONS(1453),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1453),
    [aux_sym__keyword_window_token1] = ACTIONS(1453),
    [aux_sym__keyword_for_token1] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1453),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1453),
    [aux_sym_using_clause_token1] = ACTIONS(1453),
    [aux_sym_return_statement_token1] = ACTIONS(1453),
    [aux_sym_call_statement_token1] = ACTIONS(1453),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1453),
    [aux_sym_if_statement_token1] = ACTIONS(1453),
    [aux_sym_loop_statement_token1] = ACTIONS(1453),
    [aux_sym_repeat_statement_token1] = ACTIONS(1453),
    [aux_sym_while_statement_token1] = ACTIONS(1453),
    [aux_sym_break_statement_token1] = ACTIONS(1453),
    [aux_sym_leave_statement_token1] = ACTIONS(1453),
    [aux_sym_continue_statement_token1] = ACTIONS(1453),
    [aux_sym_iterate_statement_token1] = ACTIONS(1453),
    [aux_sym_raise_statement_token1] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1453),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1453),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_set_operation_token1] = ACTIONS(1453),
    [aux_sym_set_operation_token3] = ACTIONS(1453),
    [aux_sym_set_operation_token4] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1453),
    [aux_sym_having_clause_token1] = ACTIONS(1453),
    [aux_sym_qualify_clause_token1] = ACTIONS(1453),
    [aux_sym_limit_clause_token1] = ACTIONS(1453),
    [aux_sym_group_by_clause_token1] = ACTIONS(1453),
    [aux_sym_order_by_clause_token1] = ACTIONS(1453),
    [aux_sym_where_clause_token1] = ACTIONS(1453),
    [aux_sym_pivot_operator_token1] = ACTIONS(1453),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1453),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1453),
    [aux_sym_join_type_token1] = ACTIONS(1453),
    [aux_sym_join_type_token2] = ACTIONS(1453),
    [aux_sym_join_type_token3] = ACTIONS(1453),
    [aux_sym_join_type_token4] = ACTIONS(1453),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1453),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1453),
    [aux_sym_join_condition_token1] = ACTIONS(1453),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1453),
    [aux_sym_truncate_statement_token1] = ACTIONS(1453),
    [aux_sym_update_statement_token1] = ACTIONS(1453),
    [aux_sym_merge_statement_token1] = ACTIONS(1453),
    [aux_sym_grant_statement_token1] = ACTIONS(1453),
    [aux_sym_revoke_statement_token1] = ACTIONS(1453),
    [aux_sym_export_data_statement_token1] = ACTIONS(1453),
    [aux_sym_load_data_statement_token1] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [332] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8215),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12046),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12046),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [333] = {
    [sym_analytics_clause] = STATE(589),
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_when_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_window_token1] = ACTIONS(1457),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_using_clause_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1457),
    [aux_sym_set_operation_token3] = ACTIONS(1457),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_having_clause_token1] = ACTIONS(1457),
    [aux_sym_qualify_clause_token1] = ACTIONS(1457),
    [aux_sym_limit_clause_token1] = ACTIONS(1457),
    [aux_sym_group_by_clause_token1] = ACTIONS(1457),
    [aux_sym_order_by_clause_token1] = ACTIONS(1457),
    [aux_sym_where_clause_token1] = ACTIONS(1457),
    [aux_sym_pivot_operator_token1] = ACTIONS(1457),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1457),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1457),
    [aux_sym_join_type_token1] = ACTIONS(1457),
    [aux_sym_join_type_token2] = ACTIONS(1457),
    [aux_sym_join_type_token3] = ACTIONS(1457),
    [aux_sym_join_type_token4] = ACTIONS(1457),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1457),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1457),
    [aux_sym_join_condition_token1] = ACTIONS(1457),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [334] = {
    [sym_analytics_clause] = STATE(591),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_when_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_window_token1] = ACTIONS(1367),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_using_clause_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1367),
    [aux_sym_set_operation_token3] = ACTIONS(1367),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_having_clause_token1] = ACTIONS(1367),
    [aux_sym_qualify_clause_token1] = ACTIONS(1367),
    [aux_sym_limit_clause_token1] = ACTIONS(1367),
    [aux_sym_group_by_clause_token1] = ACTIONS(1367),
    [aux_sym_order_by_clause_token1] = ACTIONS(1367),
    [aux_sym_where_clause_token1] = ACTIONS(1367),
    [aux_sym_pivot_operator_token1] = ACTIONS(1367),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1367),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1367),
    [aux_sym_join_type_token1] = ACTIONS(1367),
    [aux_sym_join_type_token2] = ACTIONS(1367),
    [aux_sym_join_type_token3] = ACTIONS(1367),
    [aux_sym_join_type_token4] = ACTIONS(1367),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1367),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1367),
    [aux_sym_join_condition_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [335] = {
    [sym_analytics_clause] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [336] = {
    [sym_analytics_clause] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_when_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_window_token1] = ACTIONS(1461),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_using_clause_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1461),
    [aux_sym_set_operation_token3] = ACTIONS(1461),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_having_clause_token1] = ACTIONS(1461),
    [aux_sym_qualify_clause_token1] = ACTIONS(1461),
    [aux_sym_limit_clause_token1] = ACTIONS(1461),
    [aux_sym_group_by_clause_token1] = ACTIONS(1461),
    [aux_sym_order_by_clause_token1] = ACTIONS(1461),
    [aux_sym_where_clause_token1] = ACTIONS(1461),
    [aux_sym_pivot_operator_token1] = ACTIONS(1461),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1461),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1461),
    [aux_sym_join_type_token1] = ACTIONS(1461),
    [aux_sym_join_type_token2] = ACTIONS(1461),
    [aux_sym_join_type_token3] = ACTIONS(1461),
    [aux_sym_join_type_token4] = ACTIONS(1461),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1461),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1461),
    [aux_sym_join_condition_token1] = ACTIONS(1461),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [337] = {
    [sym_analytics_clause] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_when_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_window_token1] = ACTIONS(1465),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_using_clause_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1465),
    [aux_sym_set_operation_token3] = ACTIONS(1465),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_having_clause_token1] = ACTIONS(1465),
    [aux_sym_qualify_clause_token1] = ACTIONS(1465),
    [aux_sym_limit_clause_token1] = ACTIONS(1465),
    [aux_sym_group_by_clause_token1] = ACTIONS(1465),
    [aux_sym_order_by_clause_token1] = ACTIONS(1465),
    [aux_sym_where_clause_token1] = ACTIONS(1465),
    [aux_sym_pivot_operator_token1] = ACTIONS(1465),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1465),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1465),
    [aux_sym_join_type_token1] = ACTIONS(1465),
    [aux_sym_join_type_token2] = ACTIONS(1465),
    [aux_sym_join_type_token3] = ACTIONS(1465),
    [aux_sym_join_type_token4] = ACTIONS(1465),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1465),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1465),
    [aux_sym_join_condition_token1] = ACTIONS(1465),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [338] = {
    [sym_string] = STATE(604),
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_window_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_having_clause_token1] = ACTIONS(1469),
    [aux_sym_qualify_clause_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym_group_by_clause_token1] = ACTIONS(1469),
    [aux_sym_order_by_clause_token1] = ACTIONS(1469),
    [aux_sym_where_clause_token1] = ACTIONS(1469),
    [aux_sym_pivot_operator_token1] = ACTIONS(1469),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1469),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1469),
    [aux_sym_join_type_token1] = ACTIONS(1469),
    [aux_sym_join_type_token2] = ACTIONS(1469),
    [aux_sym_join_type_token3] = ACTIONS(1469),
    [aux_sym_join_type_token4] = ACTIONS(1469),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1469),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1469),
    [aux_sym_join_condition_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(1473),
  },
  [339] = {
    [sym_analytics_clause] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [340] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8152),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12147),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12147),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [341] = {
    [sym__keyword_as] = STATE(14991),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1475),
    [aux_sym_keyword_replace_token1] = ACTIONS(1477),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_between_token1] = ACTIONS(1475),
    [aux_sym__keyword_when_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1475),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1475),
    [aux_sym__keyword_like_token1] = ACTIONS(1475),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(1479),
    [aux_sym__keyword_window_token1] = ACTIONS(1475),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_using_clause_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_set_operation_token1] = ACTIONS(1475),
    [aux_sym_set_operation_token3] = ACTIONS(1475),
    [aux_sym_set_operation_token4] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_having_clause_token1] = ACTIONS(1475),
    [aux_sym_qualify_clause_token1] = ACTIONS(1475),
    [aux_sym_limit_clause_token1] = ACTIONS(1475),
    [aux_sym_group_by_clause_token1] = ACTIONS(1475),
    [aux_sym_order_by_clause_token1] = ACTIONS(1475),
    [aux_sym_where_clause_token1] = ACTIONS(1475),
    [aux_sym_pivot_operator_token1] = ACTIONS(1475),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1475),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1475),
    [aux_sym_join_type_token1] = ACTIONS(1475),
    [aux_sym_join_type_token2] = ACTIONS(1475),
    [aux_sym_join_type_token3] = ACTIONS(1475),
    [aux_sym_join_type_token4] = ACTIONS(1475),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1475),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1475),
    [aux_sym_join_condition_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [342] = {
    [sym_analytics_clause] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_where_clause_token1] = ACTIONS(1481),
    [aux_sym_pivot_operator_token1] = ACTIONS(1481),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1481),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1481),
    [aux_sym_join_type_token1] = ACTIONS(1481),
    [aux_sym_join_type_token2] = ACTIONS(1481),
    [aux_sym_join_type_token3] = ACTIONS(1481),
    [aux_sym_join_type_token4] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1481),
    [aux_sym_join_condition_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [343] = {
    [sym_analytics_clause] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [344] = {
    [sym_analytics_clause] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_where_clause_token1] = ACTIONS(1481),
    [aux_sym_pivot_operator_token1] = ACTIONS(1481),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1481),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1481),
    [aux_sym_join_type_token1] = ACTIONS(1481),
    [aux_sym_join_type_token2] = ACTIONS(1481),
    [aux_sym_join_type_token3] = ACTIONS(1481),
    [aux_sym_join_type_token4] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1481),
    [aux_sym_join_condition_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [345] = {
    [sym_analytics_clause] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_where_clause_token1] = ACTIONS(1481),
    [aux_sym_pivot_operator_token1] = ACTIONS(1481),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1481),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1481),
    [aux_sym_join_type_token1] = ACTIONS(1481),
    [aux_sym_join_type_token2] = ACTIONS(1481),
    [aux_sym_join_type_token3] = ACTIONS(1481),
    [aux_sym_join_type_token4] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1481),
    [aux_sym_join_condition_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [346] = {
    [sym_analytics_clause] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_where_clause_token1] = ACTIONS(1481),
    [aux_sym_pivot_operator_token1] = ACTIONS(1481),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1481),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1481),
    [aux_sym_join_type_token1] = ACTIONS(1481),
    [aux_sym_join_type_token2] = ACTIONS(1481),
    [aux_sym_join_type_token3] = ACTIONS(1481),
    [aux_sym_join_type_token4] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1481),
    [aux_sym_join_condition_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [347] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(80),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [348] = {
    [sym_analytics_clause] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_where_clause_token1] = ACTIONS(1481),
    [aux_sym_pivot_operator_token1] = ACTIONS(1481),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1481),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1481),
    [aux_sym_join_type_token1] = ACTIONS(1481),
    [aux_sym_join_type_token2] = ACTIONS(1481),
    [aux_sym_join_type_token3] = ACTIONS(1481),
    [aux_sym_join_type_token4] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1481),
    [aux_sym_join_condition_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [349] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8208),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12130),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12130),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [350] = {
    [sym_analytics_clause] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [351] = {
    [sym_analytics_clause] = STATE(594),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_when_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_window_token1] = ACTIONS(1485),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_using_clause_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1485),
    [aux_sym_set_operation_token3] = ACTIONS(1485),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_having_clause_token1] = ACTIONS(1485),
    [aux_sym_qualify_clause_token1] = ACTIONS(1485),
    [aux_sym_limit_clause_token1] = ACTIONS(1485),
    [aux_sym_group_by_clause_token1] = ACTIONS(1485),
    [aux_sym_order_by_clause_token1] = ACTIONS(1485),
    [aux_sym_where_clause_token1] = ACTIONS(1485),
    [aux_sym_pivot_operator_token1] = ACTIONS(1485),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1485),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1485),
    [aux_sym_join_type_token1] = ACTIONS(1485),
    [aux_sym_join_type_token2] = ACTIONS(1485),
    [aux_sym_join_type_token3] = ACTIONS(1485),
    [aux_sym_join_type_token4] = ACTIONS(1485),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1485),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1485),
    [aux_sym_join_condition_token1] = ACTIONS(1485),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [352] = {
    [sym_analytics_clause] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [353] = {
    [sym_analytics_clause] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [354] = {
    [sym_analytics_clause] = STATE(623),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_when_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_window_token1] = ACTIONS(1489),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_using_clause_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1489),
    [aux_sym_set_operation_token3] = ACTIONS(1489),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_having_clause_token1] = ACTIONS(1489),
    [aux_sym_qualify_clause_token1] = ACTIONS(1489),
    [aux_sym_limit_clause_token1] = ACTIONS(1489),
    [aux_sym_group_by_clause_token1] = ACTIONS(1489),
    [aux_sym_order_by_clause_token1] = ACTIONS(1489),
    [aux_sym_where_clause_token1] = ACTIONS(1489),
    [aux_sym_pivot_operator_token1] = ACTIONS(1489),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1489),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1489),
    [aux_sym_join_type_token1] = ACTIONS(1489),
    [aux_sym_join_type_token2] = ACTIONS(1489),
    [aux_sym_join_type_token3] = ACTIONS(1489),
    [aux_sym_join_type_token4] = ACTIONS(1489),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1489),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1489),
    [aux_sym_join_condition_token1] = ACTIONS(1489),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [355] = {
    [sym_analytics_clause] = STATE(596),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_when_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_window_token1] = ACTIONS(1493),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_using_clause_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1493),
    [aux_sym_set_operation_token3] = ACTIONS(1493),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_having_clause_token1] = ACTIONS(1493),
    [aux_sym_qualify_clause_token1] = ACTIONS(1493),
    [aux_sym_limit_clause_token1] = ACTIONS(1493),
    [aux_sym_group_by_clause_token1] = ACTIONS(1493),
    [aux_sym_order_by_clause_token1] = ACTIONS(1493),
    [aux_sym_where_clause_token1] = ACTIONS(1493),
    [aux_sym_pivot_operator_token1] = ACTIONS(1493),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1493),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1493),
    [aux_sym_join_type_token1] = ACTIONS(1493),
    [aux_sym_join_type_token2] = ACTIONS(1493),
    [aux_sym_join_type_token3] = ACTIONS(1493),
    [aux_sym_join_type_token4] = ACTIONS(1493),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1493),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1493),
    [aux_sym_join_condition_token1] = ACTIONS(1493),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [356] = {
    [sym_analytics_clause] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [357] = {
    [sym_analytics_clause] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [358] = {
    [sym_analytics_clause] = STATE(597),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_when_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_window_token1] = ACTIONS(1497),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_using_clause_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1497),
    [aux_sym_set_operation_token3] = ACTIONS(1497),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_having_clause_token1] = ACTIONS(1497),
    [aux_sym_qualify_clause_token1] = ACTIONS(1497),
    [aux_sym_limit_clause_token1] = ACTIONS(1497),
    [aux_sym_group_by_clause_token1] = ACTIONS(1497),
    [aux_sym_order_by_clause_token1] = ACTIONS(1497),
    [aux_sym_where_clause_token1] = ACTIONS(1497),
    [aux_sym_pivot_operator_token1] = ACTIONS(1497),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1497),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1497),
    [aux_sym_join_type_token1] = ACTIONS(1497),
    [aux_sym_join_type_token2] = ACTIONS(1497),
    [aux_sym_join_type_token3] = ACTIONS(1497),
    [aux_sym_join_type_token4] = ACTIONS(1497),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1497),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1497),
    [aux_sym_join_condition_token1] = ACTIONS(1497),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [359] = {
    [sym_analytics_clause] = STATE(622),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_when_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_window_token1] = ACTIONS(1501),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_using_clause_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1501),
    [aux_sym_set_operation_token3] = ACTIONS(1501),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_having_clause_token1] = ACTIONS(1501),
    [aux_sym_qualify_clause_token1] = ACTIONS(1501),
    [aux_sym_limit_clause_token1] = ACTIONS(1501),
    [aux_sym_group_by_clause_token1] = ACTIONS(1501),
    [aux_sym_order_by_clause_token1] = ACTIONS(1501),
    [aux_sym_where_clause_token1] = ACTIONS(1501),
    [aux_sym_pivot_operator_token1] = ACTIONS(1501),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1501),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1501),
    [aux_sym_join_type_token1] = ACTIONS(1501),
    [aux_sym_join_type_token2] = ACTIONS(1501),
    [aux_sym_join_type_token3] = ACTIONS(1501),
    [aux_sym_join_type_token4] = ACTIONS(1501),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1501),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1501),
    [aux_sym_join_condition_token1] = ACTIONS(1501),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [360] = {
    [sym_analytics_clause] = STATE(599),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1505),
    [aux_sym_keyword_replace_token1] = ACTIONS(1507),
    [aux_sym__keyword_alter_token1] = ACTIONS(1505),
    [aux_sym__keyword_create_token1] = ACTIONS(1505),
    [aux_sym__keyword_drop_token1] = ACTIONS(1505),
    [aux_sym__keyword_delete_token1] = ACTIONS(1505),
    [aux_sym__keyword_begin_token1] = ACTIONS(1505),
    [aux_sym__keyword_end_token1] = ACTIONS(1505),
    [aux_sym__keyword_between_token1] = ACTIONS(1505),
    [aux_sym__keyword_when_token1] = ACTIONS(1505),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1505),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1505),
    [aux_sym__keyword_like_token1] = ACTIONS(1505),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1505),
    [aux_sym__keyword_window_token1] = ACTIONS(1505),
    [aux_sym__keyword_for_token1] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1505),
    [aux_sym_using_clause_token1] = ACTIONS(1505),
    [aux_sym_return_statement_token1] = ACTIONS(1505),
    [aux_sym_call_statement_token1] = ACTIONS(1505),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1505),
    [aux_sym_if_statement_token1] = ACTIONS(1505),
    [aux_sym_loop_statement_token1] = ACTIONS(1505),
    [aux_sym_repeat_statement_token1] = ACTIONS(1505),
    [aux_sym_while_statement_token1] = ACTIONS(1505),
    [aux_sym_break_statement_token1] = ACTIONS(1505),
    [aux_sym_leave_statement_token1] = ACTIONS(1505),
    [aux_sym_continue_statement_token1] = ACTIONS(1505),
    [aux_sym_iterate_statement_token1] = ACTIONS(1505),
    [aux_sym_raise_statement_token1] = ACTIONS(1505),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1505),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_set_operation_token1] = ACTIONS(1505),
    [aux_sym_set_operation_token3] = ACTIONS(1505),
    [aux_sym_set_operation_token4] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1505),
    [aux_sym_having_clause_token1] = ACTIONS(1505),
    [aux_sym_qualify_clause_token1] = ACTIONS(1505),
    [aux_sym_limit_clause_token1] = ACTIONS(1505),
    [aux_sym_group_by_clause_token1] = ACTIONS(1505),
    [aux_sym_order_by_clause_token1] = ACTIONS(1505),
    [aux_sym_where_clause_token1] = ACTIONS(1505),
    [aux_sym_pivot_operator_token1] = ACTIONS(1505),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1505),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1505),
    [aux_sym_join_type_token1] = ACTIONS(1505),
    [aux_sym_join_type_token2] = ACTIONS(1505),
    [aux_sym_join_type_token3] = ACTIONS(1505),
    [aux_sym_join_type_token4] = ACTIONS(1505),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1505),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1505),
    [aux_sym_join_condition_token1] = ACTIONS(1505),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1505),
    [aux_sym_truncate_statement_token1] = ACTIONS(1505),
    [aux_sym_update_statement_token1] = ACTIONS(1505),
    [aux_sym_merge_statement_token1] = ACTIONS(1505),
    [aux_sym_grant_statement_token1] = ACTIONS(1505),
    [aux_sym_revoke_statement_token1] = ACTIONS(1505),
    [aux_sym_export_data_statement_token1] = ACTIONS(1505),
    [aux_sym_load_data_statement_token1] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [361] = {
    [sym_analytics_clause] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [362] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_all] = STATE(5389),
    [sym__aliasable_expression] = STATE(5381),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5003),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_asterisk_expression] = STATE(5315),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [363] = {
    [sym_analytics_clause] = STATE(600),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_when_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_window_token1] = ACTIONS(1509),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_using_clause_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1509),
    [aux_sym_set_operation_token3] = ACTIONS(1509),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_having_clause_token1] = ACTIONS(1509),
    [aux_sym_qualify_clause_token1] = ACTIONS(1509),
    [aux_sym_limit_clause_token1] = ACTIONS(1509),
    [aux_sym_group_by_clause_token1] = ACTIONS(1509),
    [aux_sym_order_by_clause_token1] = ACTIONS(1509),
    [aux_sym_where_clause_token1] = ACTIONS(1509),
    [aux_sym_pivot_operator_token1] = ACTIONS(1509),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1509),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1509),
    [aux_sym_join_type_token1] = ACTIONS(1509),
    [aux_sym_join_type_token2] = ACTIONS(1509),
    [aux_sym_join_type_token3] = ACTIONS(1509),
    [aux_sym_join_type_token4] = ACTIONS(1509),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1509),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1509),
    [aux_sym_join_condition_token1] = ACTIONS(1509),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [364] = {
    [sym_analytics_clause] = STATE(621),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_when_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_window_token1] = ACTIONS(1513),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_using_clause_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1513),
    [aux_sym_set_operation_token3] = ACTIONS(1513),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_having_clause_token1] = ACTIONS(1513),
    [aux_sym_qualify_clause_token1] = ACTIONS(1513),
    [aux_sym_limit_clause_token1] = ACTIONS(1513),
    [aux_sym_group_by_clause_token1] = ACTIONS(1513),
    [aux_sym_order_by_clause_token1] = ACTIONS(1513),
    [aux_sym_where_clause_token1] = ACTIONS(1513),
    [aux_sym_pivot_operator_token1] = ACTIONS(1513),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1513),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1513),
    [aux_sym_join_type_token1] = ACTIONS(1513),
    [aux_sym_join_type_token2] = ACTIONS(1513),
    [aux_sym_join_type_token3] = ACTIONS(1513),
    [aux_sym_join_type_token4] = ACTIONS(1513),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1513),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1513),
    [aux_sym_join_condition_token1] = ACTIONS(1513),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [365] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8167),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12061),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12061),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [366] = {
    [sym_analytics_clause] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [367] = {
    [sym_analytics_clause] = STATE(619),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [368] = {
    [sym_analytics_clause] = STATE(602),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [369] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_when] = STATE(1146),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8165),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_casewhen_clause] = STATE(12076),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [aux_sym_casewhen_expression_repeat1] = STATE(12076),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_when_token1] = ACTIONS(1379),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [370] = {
    [sym_analytics_clause] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [371] = {
    [sym_analytics_clause] = STATE(617),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [372] = {
    [sym_analytics_clause] = STATE(608),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [373] = {
    [sym_analytics_clause] = STATE(615),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [374] = {
    [sym_analytics_clause] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [375] = {
    [sym_analytics_clause] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [376] = {
    [sym_analytics_clause] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [377] = {
    [sym_analytics_clause] = STATE(612),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [378] = {
    [sym_analytics_clause] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [379] = {
    [sym_analytics_clause] = STATE(609),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [380] = {
    [sym_analytics_clause] = STATE(611),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [381] = {
    [sym_analytics_clause] = STATE(610),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(1365),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [382] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [sym__unquoted_identifier] = ACTIONS(1227),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1227),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1227),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1227),
    [aux_sym__keyword_create_token1] = ACTIONS(1227),
    [aux_sym__keyword_drop_token1] = ACTIONS(1227),
    [aux_sym__keyword_from_token1] = ACTIONS(1227),
    [aux_sym__keyword_delete_token1] = ACTIONS(1227),
    [aux_sym__keyword_begin_token1] = ACTIONS(1227),
    [aux_sym__keyword_between_token1] = ACTIONS(1227),
    [aux_sym__keyword_when_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1227),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1227),
    [aux_sym__keyword_like_token1] = ACTIONS(1227),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1227),
    [aux_sym__keyword_as_token1] = ACTIONS(1227),
    [aux_sym__keyword_window_token1] = ACTIONS(1227),
    [aux_sym__keyword_date_token1] = ACTIONS(1227),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1227),
    [aux_sym__keyword_time_token1] = ACTIONS(1227),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1227),
    [aux_sym__keyword_for_token1] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1227),
    [aux_sym_return_statement_token1] = ACTIONS(1227),
    [aux_sym_call_statement_token1] = ACTIONS(1227),
    [aux_sym_loop_statement_token1] = ACTIONS(1227),
    [aux_sym_while_statement_token1] = ACTIONS(1227),
    [aux_sym_break_statement_token1] = ACTIONS(1227),
    [aux_sym_leave_statement_token1] = ACTIONS(1227),
    [aux_sym_continue_statement_token1] = ACTIONS(1227),
    [aux_sym_iterate_statement_token1] = ACTIONS(1227),
    [aux_sym_raise_statement_token1] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1227),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1227),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1227),
    [aux_sym_set_operation_token3] = ACTIONS(1227),
    [aux_sym_set_operation_token4] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1227),
    [aux_sym_having_clause_token1] = ACTIONS(1227),
    [aux_sym_qualify_clause_token1] = ACTIONS(1227),
    [aux_sym_limit_clause_token1] = ACTIONS(1227),
    [aux_sym_group_by_clause_token1] = ACTIONS(1227),
    [aux_sym_order_by_clause_token1] = ACTIONS(1227),
    [aux_sym_where_clause_token1] = ACTIONS(1227),
    [aux_sym_insert_statement_token1] = ACTIONS(1227),
    [aux_sym_truncate_statement_token1] = ACTIONS(1227),
    [aux_sym_update_statement_token1] = ACTIONS(1227),
    [aux_sym_merge_statement_token1] = ACTIONS(1227),
    [aux_sym_grant_statement_token1] = ACTIONS(1227),
    [aux_sym_revoke_statement_token1] = ACTIONS(1227),
    [aux_sym_export_data_statement_token1] = ACTIONS(1227),
    [aux_sym_load_data_statement_token1] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym__quoted_identifier] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [383] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [384] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [385] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8634),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14974),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1521),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [386] = {
    [sym_unnest_withoffset] = STATE(415),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_window_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_using_clause_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1527),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1523),
    [aux_sym_set_operation_token3] = ACTIONS(1523),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_having_clause_token1] = ACTIONS(1523),
    [aux_sym_qualify_clause_token1] = ACTIONS(1523),
    [aux_sym_limit_clause_token1] = ACTIONS(1523),
    [aux_sym_group_by_clause_token1] = ACTIONS(1523),
    [aux_sym_order_by_clause_token1] = ACTIONS(1523),
    [aux_sym_where_clause_token1] = ACTIONS(1523),
    [aux_sym_pivot_operator_token1] = ACTIONS(1523),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1523),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1523),
    [aux_sym_join_type_token1] = ACTIONS(1523),
    [aux_sym_join_type_token2] = ACTIONS(1523),
    [aux_sym_join_type_token3] = ACTIONS(1523),
    [aux_sym_join_type_token4] = ACTIONS(1523),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1523),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1523),
    [aux_sym_join_condition_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [387] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8602),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14743),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [388] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [sym__unquoted_identifier] = ACTIONS(1197),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1197),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1197),
    [aux_sym__keyword_create_token1] = ACTIONS(1197),
    [aux_sym__keyword_drop_token1] = ACTIONS(1197),
    [aux_sym__keyword_from_token1] = ACTIONS(1197),
    [aux_sym__keyword_delete_token1] = ACTIONS(1197),
    [aux_sym__keyword_begin_token1] = ACTIONS(1197),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(919),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(923),
    [aux_sym__keyword_like_token1] = ACTIONS(1197),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1197),
    [aux_sym__keyword_as_token1] = ACTIONS(1197),
    [aux_sym__keyword_window_token1] = ACTIONS(1197),
    [aux_sym__keyword_date_token1] = ACTIONS(1197),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1197),
    [aux_sym__keyword_time_token1] = ACTIONS(1197),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1197),
    [aux_sym__keyword_for_token1] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1197),
    [aux_sym_return_statement_token1] = ACTIONS(1197),
    [aux_sym_call_statement_token1] = ACTIONS(1197),
    [aux_sym_loop_statement_token1] = ACTIONS(1197),
    [aux_sym_while_statement_token1] = ACTIONS(1197),
    [aux_sym_break_statement_token1] = ACTIONS(1197),
    [aux_sym_leave_statement_token1] = ACTIONS(1197),
    [aux_sym_continue_statement_token1] = ACTIONS(1197),
    [aux_sym_iterate_statement_token1] = ACTIONS(1197),
    [aux_sym_raise_statement_token1] = ACTIONS(1197),
    [anon_sym_EQ] = ACTIONS(925),
    [aux_sym_assert_statement_token1] = ACTIONS(1197),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(1197),
    [aux_sym_set_operation_token3] = ACTIONS(1197),
    [aux_sym_set_operation_token4] = ACTIONS(1197),
    [aux_sym_select_token1] = ACTIONS(1197),
    [aux_sym_having_clause_token1] = ACTIONS(1197),
    [aux_sym_qualify_clause_token1] = ACTIONS(1197),
    [aux_sym_limit_clause_token1] = ACTIONS(1197),
    [aux_sym_group_by_clause_token1] = ACTIONS(1197),
    [aux_sym_order_by_clause_token1] = ACTIONS(1197),
    [aux_sym_where_clause_token1] = ACTIONS(1197),
    [aux_sym_insert_statement_token1] = ACTIONS(1197),
    [aux_sym_truncate_statement_token1] = ACTIONS(1197),
    [aux_sym_update_statement_token1] = ACTIONS(1197),
    [aux_sym_merge_statement_token1] = ACTIONS(1197),
    [aux_sym_grant_statement_token1] = ACTIONS(1197),
    [aux_sym_revoke_statement_token1] = ACTIONS(1197),
    [aux_sym_export_data_statement_token1] = ACTIONS(1197),
    [aux_sym_load_data_statement_token1] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym__quoted_identifier] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_LT_GT] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1531),
    [aux_sym_keyword_replace_token1] = ACTIONS(1533),
    [aux_sym__keyword_alter_token1] = ACTIONS(1531),
    [aux_sym__keyword_create_token1] = ACTIONS(1531),
    [aux_sym__keyword_drop_token1] = ACTIONS(1531),
    [aux_sym__keyword_delete_token1] = ACTIONS(1531),
    [aux_sym__keyword_begin_token1] = ACTIONS(1531),
    [aux_sym__keyword_end_token1] = ACTIONS(1531),
    [aux_sym__keyword_between_token1] = ACTIONS(1531),
    [aux_sym__keyword_when_token1] = ACTIONS(1531),
    [aux_sym__keyword_else_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1531),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1531),
    [aux_sym__keyword_like_token1] = ACTIONS(1531),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1531),
    [aux_sym__keyword_window_token1] = ACTIONS(1531),
    [aux_sym__keyword_for_token1] = ACTIONS(1531),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1531),
    [anon_sym_COMMA] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1531),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [anon_sym_RPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1531),
    [aux_sym_using_clause_token1] = ACTIONS(1531),
    [aux_sym_return_statement_token1] = ACTIONS(1531),
    [aux_sym_call_statement_token1] = ACTIONS(1531),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1531),
    [aux_sym_if_statement_token1] = ACTIONS(1531),
    [aux_sym_loop_statement_token1] = ACTIONS(1531),
    [aux_sym_repeat_statement_token1] = ACTIONS(1531),
    [aux_sym_while_statement_token1] = ACTIONS(1531),
    [aux_sym_break_statement_token1] = ACTIONS(1531),
    [aux_sym_leave_statement_token1] = ACTIONS(1531),
    [aux_sym_continue_statement_token1] = ACTIONS(1531),
    [aux_sym_iterate_statement_token1] = ACTIONS(1531),
    [aux_sym_raise_statement_token1] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1531),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1531),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_set_operation_token1] = ACTIONS(1531),
    [aux_sym_set_operation_token3] = ACTIONS(1531),
    [aux_sym_set_operation_token4] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1531),
    [aux_sym_having_clause_token1] = ACTIONS(1531),
    [aux_sym_qualify_clause_token1] = ACTIONS(1531),
    [aux_sym_limit_clause_token1] = ACTIONS(1531),
    [aux_sym_group_by_clause_token1] = ACTIONS(1531),
    [aux_sym_order_by_clause_token1] = ACTIONS(1531),
    [aux_sym_where_clause_token1] = ACTIONS(1531),
    [aux_sym_pivot_operator_token1] = ACTIONS(1531),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1531),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1531),
    [aux_sym_join_type_token1] = ACTIONS(1531),
    [aux_sym_join_type_token2] = ACTIONS(1531),
    [aux_sym_join_type_token3] = ACTIONS(1531),
    [aux_sym_join_type_token4] = ACTIONS(1531),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1531),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1531),
    [aux_sym_join_condition_token1] = ACTIONS(1531),
    [aux_sym_insert_statement_token1] = ACTIONS(1531),
    [aux_sym_truncate_statement_token1] = ACTIONS(1531),
    [aux_sym_update_statement_token1] = ACTIONS(1531),
    [aux_sym_merge_statement_token1] = ACTIONS(1531),
    [aux_sym_grant_statement_token1] = ACTIONS(1531),
    [aux_sym_revoke_statement_token1] = ACTIONS(1531),
    [aux_sym_export_data_statement_token1] = ACTIONS(1531),
    [aux_sym_load_data_statement_token1] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [390] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [sym__unquoted_identifier] = ACTIONS(1189),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1189),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1189),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1189),
    [aux_sym__keyword_create_token1] = ACTIONS(1189),
    [aux_sym__keyword_drop_token1] = ACTIONS(1189),
    [aux_sym__keyword_from_token1] = ACTIONS(1189),
    [aux_sym__keyword_delete_token1] = ACTIONS(1189),
    [aux_sym__keyword_begin_token1] = ACTIONS(1189),
    [aux_sym__keyword_between_token1] = ACTIONS(1189),
    [aux_sym__keyword_when_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1189),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1189),
    [aux_sym__keyword_like_token1] = ACTIONS(1189),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1189),
    [aux_sym__keyword_as_token1] = ACTIONS(1189),
    [aux_sym__keyword_window_token1] = ACTIONS(1189),
    [aux_sym__keyword_date_token1] = ACTIONS(1189),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1189),
    [aux_sym__keyword_time_token1] = ACTIONS(1189),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1189),
    [aux_sym__keyword_for_token1] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1189),
    [aux_sym_return_statement_token1] = ACTIONS(1189),
    [aux_sym_call_statement_token1] = ACTIONS(1189),
    [aux_sym_loop_statement_token1] = ACTIONS(1189),
    [aux_sym_while_statement_token1] = ACTIONS(1189),
    [aux_sym_break_statement_token1] = ACTIONS(1189),
    [aux_sym_leave_statement_token1] = ACTIONS(1189),
    [aux_sym_continue_statement_token1] = ACTIONS(1189),
    [aux_sym_iterate_statement_token1] = ACTIONS(1189),
    [aux_sym_raise_statement_token1] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1189),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1189),
    [aux_sym_set_operation_token3] = ACTIONS(1189),
    [aux_sym_set_operation_token4] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1189),
    [aux_sym_having_clause_token1] = ACTIONS(1189),
    [aux_sym_qualify_clause_token1] = ACTIONS(1189),
    [aux_sym_limit_clause_token1] = ACTIONS(1189),
    [aux_sym_group_by_clause_token1] = ACTIONS(1189),
    [aux_sym_order_by_clause_token1] = ACTIONS(1189),
    [aux_sym_where_clause_token1] = ACTIONS(1189),
    [aux_sym_insert_statement_token1] = ACTIONS(1189),
    [aux_sym_truncate_statement_token1] = ACTIONS(1189),
    [aux_sym_update_statement_token1] = ACTIONS(1189),
    [aux_sym_merge_statement_token1] = ACTIONS(1189),
    [aux_sym_grant_statement_token1] = ACTIONS(1189),
    [aux_sym_revoke_statement_token1] = ACTIONS(1189),
    [aux_sym_export_data_statement_token1] = ACTIONS(1189),
    [aux_sym_load_data_statement_token1] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym__quoted_identifier] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [391] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [392] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [393] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8572),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14512),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1535),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [394] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [395] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_window_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_having_clause_token1] = ACTIONS(1469),
    [aux_sym_qualify_clause_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym_group_by_clause_token1] = ACTIONS(1469),
    [aux_sym_order_by_clause_token1] = ACTIONS(1469),
    [aux_sym_where_clause_token1] = ACTIONS(1469),
    [aux_sym_pivot_operator_token1] = ACTIONS(1469),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1469),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1469),
    [aux_sym_join_type_token1] = ACTIONS(1469),
    [aux_sym_join_type_token2] = ACTIONS(1469),
    [aux_sym_join_type_token3] = ACTIONS(1469),
    [aux_sym_join_type_token4] = ACTIONS(1469),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1469),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1469),
    [aux_sym_join_condition_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [397] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1539),
    [aux_sym_keyword_replace_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1539),
    [aux_sym__keyword_create_token1] = ACTIONS(1539),
    [aux_sym__keyword_drop_token1] = ACTIONS(1539),
    [aux_sym__keyword_delete_token1] = ACTIONS(1539),
    [aux_sym__keyword_begin_token1] = ACTIONS(1539),
    [aux_sym__keyword_end_token1] = ACTIONS(1539),
    [aux_sym__keyword_between_token1] = ACTIONS(1539),
    [aux_sym__keyword_when_token1] = ACTIONS(1539),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1539),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1539),
    [aux_sym__keyword_like_token1] = ACTIONS(1539),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1539),
    [aux_sym__keyword_window_token1] = ACTIONS(1539),
    [aux_sym__keyword_for_token1] = ACTIONS(1539),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1539),
    [aux_sym_using_clause_token1] = ACTIONS(1539),
    [aux_sym_return_statement_token1] = ACTIONS(1539),
    [aux_sym_call_statement_token1] = ACTIONS(1539),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1539),
    [aux_sym_if_statement_token1] = ACTIONS(1539),
    [aux_sym_loop_statement_token1] = ACTIONS(1539),
    [aux_sym_repeat_statement_token1] = ACTIONS(1539),
    [aux_sym_while_statement_token1] = ACTIONS(1539),
    [aux_sym_break_statement_token1] = ACTIONS(1539),
    [aux_sym_leave_statement_token1] = ACTIONS(1539),
    [aux_sym_continue_statement_token1] = ACTIONS(1539),
    [aux_sym_iterate_statement_token1] = ACTIONS(1539),
    [aux_sym_raise_statement_token1] = ACTIONS(1539),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1539),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_set_operation_token1] = ACTIONS(1539),
    [aux_sym_set_operation_token3] = ACTIONS(1539),
    [aux_sym_set_operation_token4] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1539),
    [aux_sym_having_clause_token1] = ACTIONS(1539),
    [aux_sym_qualify_clause_token1] = ACTIONS(1539),
    [aux_sym_limit_clause_token1] = ACTIONS(1539),
    [aux_sym_group_by_clause_token1] = ACTIONS(1539),
    [aux_sym_order_by_clause_token1] = ACTIONS(1539),
    [aux_sym_where_clause_token1] = ACTIONS(1539),
    [aux_sym_pivot_operator_token1] = ACTIONS(1539),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1539),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1539),
    [aux_sym_join_type_token1] = ACTIONS(1539),
    [aux_sym_join_type_token2] = ACTIONS(1539),
    [aux_sym_join_type_token3] = ACTIONS(1539),
    [aux_sym_join_type_token4] = ACTIONS(1539),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1539),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1539),
    [aux_sym_join_condition_token1] = ACTIONS(1539),
    [aux_sym_insert_statement_token1] = ACTIONS(1539),
    [aux_sym_truncate_statement_token1] = ACTIONS(1539),
    [aux_sym_update_statement_token1] = ACTIONS(1539),
    [aux_sym_merge_statement_token1] = ACTIONS(1539),
    [aux_sym_grant_statement_token1] = ACTIONS(1539),
    [aux_sym_revoke_statement_token1] = ACTIONS(1539),
    [aux_sym_export_data_statement_token1] = ACTIONS(1539),
    [aux_sym_load_data_statement_token1] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [399] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8836),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14448),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1543),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [400] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(919),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(925),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_LT_GT] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [401] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(917),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(919),
    [aux_sym__keyword_in_token1] = ACTIONS(921),
    [aux_sym__keyword_and_token1] = ACTIONS(923),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(925),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_LT_GT] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [402] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8642),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15502),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [403] = {
    [sym__keyword_as] = STATE(11597),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(2906),
    [sym_unnest_withoffset] = STATE(2576),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1273),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token2] = ACTIONS(205),
    [aux_sym__nulls_preference_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [404] = {
    [sym__keyword_as] = STATE(11597),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(2965),
    [sym_unnest_withoffset] = STATE(2576),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1273),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [405] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8617),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15205),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1547),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_when_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_window_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_using_clause_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1549),
    [aux_sym_set_operation_token3] = ACTIONS(1549),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_having_clause_token1] = ACTIONS(1549),
    [aux_sym_qualify_clause_token1] = ACTIONS(1549),
    [aux_sym_limit_clause_token1] = ACTIONS(1549),
    [aux_sym_group_by_clause_token1] = ACTIONS(1549),
    [aux_sym_order_by_clause_token1] = ACTIONS(1549),
    [aux_sym_where_clause_token1] = ACTIONS(1549),
    [aux_sym_pivot_operator_token1] = ACTIONS(1549),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1549),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1549),
    [aux_sym_join_type_token1] = ACTIONS(1549),
    [aux_sym_join_type_token2] = ACTIONS(1549),
    [aux_sym_join_type_token3] = ACTIONS(1549),
    [aux_sym_join_type_token4] = ACTIONS(1549),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1549),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1549),
    [aux_sym_join_condition_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [407] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8395),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15046),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1553),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_window_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [anon_sym_RPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_using_clause_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1523),
    [aux_sym_set_operation_token3] = ACTIONS(1523),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_having_clause_token1] = ACTIONS(1523),
    [aux_sym_qualify_clause_token1] = ACTIONS(1523),
    [aux_sym_limit_clause_token1] = ACTIONS(1523),
    [aux_sym_group_by_clause_token1] = ACTIONS(1523),
    [aux_sym_order_by_clause_token1] = ACTIONS(1523),
    [aux_sym_where_clause_token1] = ACTIONS(1523),
    [aux_sym_pivot_operator_token1] = ACTIONS(1523),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1523),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1523),
    [aux_sym_join_type_token1] = ACTIONS(1523),
    [aux_sym_join_type_token2] = ACTIONS(1523),
    [aux_sym_join_type_token3] = ACTIONS(1523),
    [aux_sym_join_type_token4] = ACTIONS(1523),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1523),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1523),
    [aux_sym_join_condition_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [409] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8532),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15843),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1555),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [410] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8392),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15904),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [411] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [sym__unquoted_identifier] = ACTIONS(1223),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1223),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1223),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1223),
    [aux_sym__keyword_create_token1] = ACTIONS(1223),
    [aux_sym__keyword_drop_token1] = ACTIONS(1223),
    [aux_sym__keyword_from_token1] = ACTIONS(1223),
    [aux_sym__keyword_delete_token1] = ACTIONS(1223),
    [aux_sym__keyword_begin_token1] = ACTIONS(1223),
    [aux_sym__keyword_between_token1] = ACTIONS(1223),
    [aux_sym__keyword_when_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1223),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1223),
    [aux_sym__keyword_like_token1] = ACTIONS(1223),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1223),
    [aux_sym__keyword_as_token1] = ACTIONS(1223),
    [aux_sym__keyword_window_token1] = ACTIONS(1223),
    [aux_sym__keyword_date_token1] = ACTIONS(1223),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1223),
    [aux_sym__keyword_time_token1] = ACTIONS(1223),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1223),
    [aux_sym__keyword_for_token1] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1223),
    [aux_sym_return_statement_token1] = ACTIONS(1223),
    [aux_sym_call_statement_token1] = ACTIONS(1223),
    [aux_sym_loop_statement_token1] = ACTIONS(1223),
    [aux_sym_while_statement_token1] = ACTIONS(1223),
    [aux_sym_break_statement_token1] = ACTIONS(1223),
    [aux_sym_leave_statement_token1] = ACTIONS(1223),
    [aux_sym_continue_statement_token1] = ACTIONS(1223),
    [aux_sym_iterate_statement_token1] = ACTIONS(1223),
    [aux_sym_raise_statement_token1] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1223),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1223),
    [aux_sym_set_operation_token3] = ACTIONS(1223),
    [aux_sym_set_operation_token4] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1223),
    [aux_sym_having_clause_token1] = ACTIONS(1223),
    [aux_sym_qualify_clause_token1] = ACTIONS(1223),
    [aux_sym_limit_clause_token1] = ACTIONS(1223),
    [aux_sym_group_by_clause_token1] = ACTIONS(1223),
    [aux_sym_order_by_clause_token1] = ACTIONS(1223),
    [aux_sym_where_clause_token1] = ACTIONS(1223),
    [aux_sym_insert_statement_token1] = ACTIONS(1223),
    [aux_sym_truncate_statement_token1] = ACTIONS(1223),
    [aux_sym_update_statement_token1] = ACTIONS(1223),
    [aux_sym_merge_statement_token1] = ACTIONS(1223),
    [aux_sym_grant_statement_token1] = ACTIONS(1223),
    [aux_sym_revoke_statement_token1] = ACTIONS(1223),
    [aux_sym_export_data_statement_token1] = ACTIONS(1223),
    [aux_sym_load_data_statement_token1] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [412] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8564),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15473),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1559),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [413] = {
    [sym__keyword_as] = STATE(11644),
    [sym__keyword_date] = STATE(2007),
    [sym__keyword_datetime] = STATE(2007),
    [sym__keyword_time] = STATE(2007),
    [sym__keyword_timestamp] = STATE(2007),
    [sym_as_alias] = STATE(2842),
    [sym_unnest_withoffset] = STATE(1899),
    [sym__type_chrono] = STATE(1938),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1900),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1265),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(1267),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1267),
    [aux_sym__keyword_time_token1] = ACTIONS(1267),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1267),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [414] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8621),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15419),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1563),
    [aux_sym_keyword_replace_token1] = ACTIONS(1565),
    [aux_sym__keyword_alter_token1] = ACTIONS(1563),
    [aux_sym__keyword_create_token1] = ACTIONS(1563),
    [aux_sym__keyword_drop_token1] = ACTIONS(1563),
    [aux_sym__keyword_delete_token1] = ACTIONS(1563),
    [aux_sym__keyword_begin_token1] = ACTIONS(1563),
    [aux_sym__keyword_end_token1] = ACTIONS(1563),
    [aux_sym__keyword_between_token1] = ACTIONS(1563),
    [aux_sym__keyword_when_token1] = ACTIONS(1563),
    [aux_sym__keyword_else_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1563),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1563),
    [aux_sym__keyword_like_token1] = ACTIONS(1563),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1563),
    [aux_sym__keyword_window_token1] = ACTIONS(1563),
    [aux_sym__keyword_for_token1] = ACTIONS(1563),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_RPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1563),
    [aux_sym_using_clause_token1] = ACTIONS(1563),
    [aux_sym_return_statement_token1] = ACTIONS(1563),
    [aux_sym_call_statement_token1] = ACTIONS(1563),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1563),
    [aux_sym_if_statement_token1] = ACTIONS(1563),
    [aux_sym_loop_statement_token1] = ACTIONS(1563),
    [aux_sym_repeat_statement_token1] = ACTIONS(1563),
    [aux_sym_while_statement_token1] = ACTIONS(1563),
    [aux_sym_break_statement_token1] = ACTIONS(1563),
    [aux_sym_leave_statement_token1] = ACTIONS(1563),
    [aux_sym_continue_statement_token1] = ACTIONS(1563),
    [aux_sym_iterate_statement_token1] = ACTIONS(1563),
    [aux_sym_raise_statement_token1] = ACTIONS(1563),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1563),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_set_operation_token1] = ACTIONS(1563),
    [aux_sym_set_operation_token3] = ACTIONS(1563),
    [aux_sym_set_operation_token4] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1563),
    [aux_sym_having_clause_token1] = ACTIONS(1563),
    [aux_sym_qualify_clause_token1] = ACTIONS(1563),
    [aux_sym_limit_clause_token1] = ACTIONS(1563),
    [aux_sym_group_by_clause_token1] = ACTIONS(1563),
    [aux_sym_order_by_clause_token1] = ACTIONS(1563),
    [aux_sym_where_clause_token1] = ACTIONS(1563),
    [aux_sym_pivot_operator_token1] = ACTIONS(1563),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1563),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1563),
    [aux_sym_join_type_token1] = ACTIONS(1563),
    [aux_sym_join_type_token2] = ACTIONS(1563),
    [aux_sym_join_type_token3] = ACTIONS(1563),
    [aux_sym_join_type_token4] = ACTIONS(1563),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1563),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1563),
    [aux_sym_join_condition_token1] = ACTIONS(1563),
    [aux_sym_insert_statement_token1] = ACTIONS(1563),
    [aux_sym_truncate_statement_token1] = ACTIONS(1563),
    [aux_sym_update_statement_token1] = ACTIONS(1563),
    [aux_sym_merge_statement_token1] = ACTIONS(1563),
    [aux_sym_grant_statement_token1] = ACTIONS(1563),
    [aux_sym_revoke_statement_token1] = ACTIONS(1563),
    [aux_sym_export_data_statement_token1] = ACTIONS(1563),
    [aux_sym_load_data_statement_token1] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [416] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8389),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15453),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [417] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8369),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15018),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1569),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [418] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8385),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14631),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [419] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8628),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15617),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1573),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [420] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8382),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14554),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1575),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [421] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8586),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14518),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1577),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [422] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8633),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15813),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1579),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [423] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8570),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15006),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1581),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [424] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym__unquoted_identifier] = ACTIONS(1167),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1167),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1167),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1167),
    [aux_sym__keyword_create_token1] = ACTIONS(1167),
    [aux_sym__keyword_drop_token1] = ACTIONS(1167),
    [aux_sym__keyword_from_token1] = ACTIONS(1167),
    [aux_sym__keyword_delete_token1] = ACTIONS(1167),
    [aux_sym__keyword_begin_token1] = ACTIONS(1167),
    [aux_sym__keyword_between_token1] = ACTIONS(1167),
    [aux_sym__keyword_when_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1167),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1167),
    [aux_sym__keyword_like_token1] = ACTIONS(1167),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1167),
    [aux_sym__keyword_as_token1] = ACTIONS(1167),
    [aux_sym__keyword_window_token1] = ACTIONS(1167),
    [aux_sym__keyword_date_token1] = ACTIONS(1167),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1167),
    [aux_sym__keyword_time_token1] = ACTIONS(1167),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1167),
    [aux_sym__keyword_for_token1] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1167),
    [aux_sym_return_statement_token1] = ACTIONS(1167),
    [aux_sym_call_statement_token1] = ACTIONS(1167),
    [aux_sym_loop_statement_token1] = ACTIONS(1167),
    [aux_sym_while_statement_token1] = ACTIONS(1167),
    [aux_sym_break_statement_token1] = ACTIONS(1167),
    [aux_sym_leave_statement_token1] = ACTIONS(1167),
    [aux_sym_continue_statement_token1] = ACTIONS(1167),
    [aux_sym_iterate_statement_token1] = ACTIONS(1167),
    [aux_sym_raise_statement_token1] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1167),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1167),
    [aux_sym_set_operation_token3] = ACTIONS(1167),
    [aux_sym_set_operation_token4] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1167),
    [aux_sym_having_clause_token1] = ACTIONS(1167),
    [aux_sym_qualify_clause_token1] = ACTIONS(1167),
    [aux_sym_limit_clause_token1] = ACTIONS(1167),
    [aux_sym_group_by_clause_token1] = ACTIONS(1167),
    [aux_sym_order_by_clause_token1] = ACTIONS(1167),
    [aux_sym_where_clause_token1] = ACTIONS(1167),
    [aux_sym_insert_statement_token1] = ACTIONS(1167),
    [aux_sym_truncate_statement_token1] = ACTIONS(1167),
    [aux_sym_update_statement_token1] = ACTIONS(1167),
    [aux_sym_merge_statement_token1] = ACTIONS(1167),
    [aux_sym_grant_statement_token1] = ACTIONS(1167),
    [aux_sym_revoke_statement_token1] = ACTIONS(1167),
    [aux_sym_export_data_statement_token1] = ACTIONS(1167),
    [aux_sym_load_data_statement_token1] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym__quoted_identifier] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [425] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8374),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(15128),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1583),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [426] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8377),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(14908),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_RPAREN] = ACTIONS(1585),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [427] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [sym__unquoted_identifier] = ACTIONS(1209),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1209),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1209),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1209),
    [aux_sym__keyword_create_token1] = ACTIONS(1209),
    [aux_sym__keyword_drop_token1] = ACTIONS(1209),
    [aux_sym__keyword_from_token1] = ACTIONS(1209),
    [aux_sym__keyword_delete_token1] = ACTIONS(1209),
    [aux_sym__keyword_begin_token1] = ACTIONS(1209),
    [aux_sym__keyword_between_token1] = ACTIONS(1209),
    [aux_sym__keyword_when_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1209),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1209),
    [aux_sym__keyword_like_token1] = ACTIONS(1209),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1209),
    [aux_sym__keyword_as_token1] = ACTIONS(1209),
    [aux_sym__keyword_window_token1] = ACTIONS(1209),
    [aux_sym__keyword_date_token1] = ACTIONS(1209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1209),
    [aux_sym__keyword_time_token1] = ACTIONS(1209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1209),
    [aux_sym__keyword_for_token1] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1209),
    [aux_sym_return_statement_token1] = ACTIONS(1209),
    [aux_sym_call_statement_token1] = ACTIONS(1209),
    [aux_sym_loop_statement_token1] = ACTIONS(1209),
    [aux_sym_while_statement_token1] = ACTIONS(1209),
    [aux_sym_break_statement_token1] = ACTIONS(1209),
    [aux_sym_leave_statement_token1] = ACTIONS(1209),
    [aux_sym_continue_statement_token1] = ACTIONS(1209),
    [aux_sym_iterate_statement_token1] = ACTIONS(1209),
    [aux_sym_raise_statement_token1] = ACTIONS(1209),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1209),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1209),
    [aux_sym_set_operation_token3] = ACTIONS(1209),
    [aux_sym_set_operation_token4] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1209),
    [aux_sym_having_clause_token1] = ACTIONS(1209),
    [aux_sym_qualify_clause_token1] = ACTIONS(1209),
    [aux_sym_limit_clause_token1] = ACTIONS(1209),
    [aux_sym_group_by_clause_token1] = ACTIONS(1209),
    [aux_sym_order_by_clause_token1] = ACTIONS(1209),
    [aux_sym_where_clause_token1] = ACTIONS(1209),
    [aux_sym_insert_statement_token1] = ACTIONS(1209),
    [aux_sym_truncate_statement_token1] = ACTIONS(1209),
    [aux_sym_update_statement_token1] = ACTIONS(1209),
    [aux_sym_merge_statement_token1] = ACTIONS(1209),
    [aux_sym_grant_statement_token1] = ACTIONS(1209),
    [aux_sym_revoke_statement_token1] = ACTIONS(1209),
    [aux_sym_export_data_statement_token1] = ACTIONS(1209),
    [aux_sym_load_data_statement_token1] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym__quoted_identifier] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1587),
    [aux_sym_keyword_replace_token1] = ACTIONS(1589),
    [aux_sym__keyword_alter_token1] = ACTIONS(1587),
    [aux_sym__keyword_create_token1] = ACTIONS(1587),
    [aux_sym__keyword_drop_token1] = ACTIONS(1587),
    [aux_sym__keyword_delete_token1] = ACTIONS(1587),
    [aux_sym__keyword_begin_token1] = ACTIONS(1587),
    [aux_sym__keyword_end_token1] = ACTIONS(1587),
    [aux_sym__keyword_between_token1] = ACTIONS(1587),
    [aux_sym__keyword_when_token1] = ACTIONS(1587),
    [aux_sym__keyword_else_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1587),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1587),
    [aux_sym__keyword_like_token1] = ACTIONS(1587),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1587),
    [aux_sym__keyword_window_token1] = ACTIONS(1587),
    [aux_sym__keyword_for_token1] = ACTIONS(1587),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1587),
    [aux_sym_using_clause_token1] = ACTIONS(1587),
    [aux_sym_return_statement_token1] = ACTIONS(1587),
    [aux_sym_call_statement_token1] = ACTIONS(1587),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1587),
    [aux_sym_if_statement_token1] = ACTIONS(1587),
    [aux_sym_loop_statement_token1] = ACTIONS(1587),
    [aux_sym_repeat_statement_token1] = ACTIONS(1587),
    [aux_sym_while_statement_token1] = ACTIONS(1587),
    [aux_sym_break_statement_token1] = ACTIONS(1587),
    [aux_sym_leave_statement_token1] = ACTIONS(1587),
    [aux_sym_continue_statement_token1] = ACTIONS(1587),
    [aux_sym_iterate_statement_token1] = ACTIONS(1587),
    [aux_sym_raise_statement_token1] = ACTIONS(1587),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1587),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1587),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_set_operation_token1] = ACTIONS(1587),
    [aux_sym_set_operation_token3] = ACTIONS(1587),
    [aux_sym_set_operation_token4] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1587),
    [aux_sym_having_clause_token1] = ACTIONS(1587),
    [aux_sym_qualify_clause_token1] = ACTIONS(1587),
    [aux_sym_limit_clause_token1] = ACTIONS(1587),
    [aux_sym_group_by_clause_token1] = ACTIONS(1587),
    [aux_sym_order_by_clause_token1] = ACTIONS(1587),
    [aux_sym_where_clause_token1] = ACTIONS(1587),
    [aux_sym_pivot_operator_token1] = ACTIONS(1587),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1587),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1587),
    [aux_sym_join_type_token1] = ACTIONS(1587),
    [aux_sym_join_type_token2] = ACTIONS(1587),
    [aux_sym_join_type_token3] = ACTIONS(1587),
    [aux_sym_join_type_token4] = ACTIONS(1587),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1587),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1587),
    [aux_sym_join_condition_token1] = ACTIONS(1587),
    [aux_sym_insert_statement_token1] = ACTIONS(1587),
    [aux_sym_truncate_statement_token1] = ACTIONS(1587),
    [aux_sym_update_statement_token1] = ACTIONS(1587),
    [aux_sym_merge_statement_token1] = ACTIONS(1587),
    [aux_sym_grant_statement_token1] = ACTIONS(1587),
    [aux_sym_revoke_statement_token1] = ACTIONS(1587),
    [aux_sym_export_data_statement_token1] = ACTIONS(1587),
    [aux_sym_load_data_statement_token1] = ACTIONS(1587),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [429] = {
    [sym__keyword_between] = STATE(1474),
    [sym__keyword_is] = STATE(12102),
    [sym__keyword_in] = STATE(1854),
    [sym__keyword_not] = STATE(13185),
    [sym__keyword_and] = STATE(1846),
    [sym__keyword_or] = STATE(1845),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym__unquoted_identifier] = ACTIONS(1241),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1241),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1241),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1241),
    [aux_sym__keyword_create_token1] = ACTIONS(1241),
    [aux_sym__keyword_drop_token1] = ACTIONS(1241),
    [aux_sym__keyword_from_token1] = ACTIONS(1241),
    [aux_sym__keyword_delete_token1] = ACTIONS(1241),
    [aux_sym__keyword_begin_token1] = ACTIONS(1241),
    [aux_sym__keyword_between_token1] = ACTIONS(1241),
    [aux_sym__keyword_when_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1241),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1241),
    [aux_sym__keyword_like_token1] = ACTIONS(1241),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1241),
    [aux_sym__keyword_as_token1] = ACTIONS(1241),
    [aux_sym__keyword_window_token1] = ACTIONS(1241),
    [aux_sym__keyword_date_token1] = ACTIONS(1241),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1241),
    [aux_sym__keyword_time_token1] = ACTIONS(1241),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1241),
    [aux_sym__keyword_for_token1] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1241),
    [aux_sym_return_statement_token1] = ACTIONS(1241),
    [aux_sym_call_statement_token1] = ACTIONS(1241),
    [aux_sym_loop_statement_token1] = ACTIONS(1241),
    [aux_sym_while_statement_token1] = ACTIONS(1241),
    [aux_sym_break_statement_token1] = ACTIONS(1241),
    [aux_sym_leave_statement_token1] = ACTIONS(1241),
    [aux_sym_continue_statement_token1] = ACTIONS(1241),
    [aux_sym_iterate_statement_token1] = ACTIONS(1241),
    [aux_sym_raise_statement_token1] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1241),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1241),
    [aux_sym_set_operation_token3] = ACTIONS(1241),
    [aux_sym_set_operation_token4] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1241),
    [aux_sym_having_clause_token1] = ACTIONS(1241),
    [aux_sym_qualify_clause_token1] = ACTIONS(1241),
    [aux_sym_limit_clause_token1] = ACTIONS(1241),
    [aux_sym_group_by_clause_token1] = ACTIONS(1241),
    [aux_sym_order_by_clause_token1] = ACTIONS(1241),
    [aux_sym_where_clause_token1] = ACTIONS(1241),
    [aux_sym_insert_statement_token1] = ACTIONS(1241),
    [aux_sym_truncate_statement_token1] = ACTIONS(1241),
    [aux_sym_update_statement_token1] = ACTIONS(1241),
    [aux_sym_merge_statement_token1] = ACTIONS(1241),
    [aux_sym_grant_statement_token1] = ACTIONS(1241),
    [aux_sym_revoke_statement_token1] = ACTIONS(1241),
    [aux_sym_export_data_statement_token1] = ACTIONS(1241),
    [aux_sym_load_data_statement_token1] = ACTIONS(1241),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym__quoted_identifier] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(945),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1593),
    [aux_sym_keyword_replace_token1] = ACTIONS(1595),
    [aux_sym__keyword_alter_token1] = ACTIONS(1593),
    [aux_sym__keyword_create_token1] = ACTIONS(1593),
    [aux_sym__keyword_drop_token1] = ACTIONS(1593),
    [aux_sym__keyword_delete_token1] = ACTIONS(1593),
    [aux_sym__keyword_begin_token1] = ACTIONS(1593),
    [aux_sym__keyword_end_token1] = ACTIONS(1593),
    [aux_sym__keyword_between_token1] = ACTIONS(1593),
    [aux_sym__keyword_when_token1] = ACTIONS(1593),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1593),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1593),
    [aux_sym__keyword_like_token1] = ACTIONS(1593),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1593),
    [aux_sym__keyword_window_token1] = ACTIONS(1593),
    [aux_sym__keyword_for_token1] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1593),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1593),
    [aux_sym_using_clause_token1] = ACTIONS(1593),
    [aux_sym_return_statement_token1] = ACTIONS(1593),
    [aux_sym_call_statement_token1] = ACTIONS(1593),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1593),
    [aux_sym_if_statement_token1] = ACTIONS(1593),
    [aux_sym_loop_statement_token1] = ACTIONS(1593),
    [aux_sym_repeat_statement_token1] = ACTIONS(1593),
    [aux_sym_while_statement_token1] = ACTIONS(1593),
    [aux_sym_break_statement_token1] = ACTIONS(1593),
    [aux_sym_leave_statement_token1] = ACTIONS(1593),
    [aux_sym_continue_statement_token1] = ACTIONS(1593),
    [aux_sym_iterate_statement_token1] = ACTIONS(1593),
    [aux_sym_raise_statement_token1] = ACTIONS(1593),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1593),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1593),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_set_operation_token1] = ACTIONS(1593),
    [aux_sym_set_operation_token3] = ACTIONS(1593),
    [aux_sym_set_operation_token4] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1593),
    [aux_sym_having_clause_token1] = ACTIONS(1593),
    [aux_sym_qualify_clause_token1] = ACTIONS(1593),
    [aux_sym_limit_clause_token1] = ACTIONS(1593),
    [aux_sym_group_by_clause_token1] = ACTIONS(1593),
    [aux_sym_order_by_clause_token1] = ACTIONS(1593),
    [aux_sym_where_clause_token1] = ACTIONS(1593),
    [aux_sym_pivot_operator_token1] = ACTIONS(1593),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1593),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1593),
    [aux_sym_join_type_token1] = ACTIONS(1593),
    [aux_sym_join_type_token2] = ACTIONS(1593),
    [aux_sym_join_type_token3] = ACTIONS(1593),
    [aux_sym_join_type_token4] = ACTIONS(1593),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1593),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1593),
    [aux_sym_join_condition_token1] = ACTIONS(1593),
    [aux_sym_insert_statement_token1] = ACTIONS(1593),
    [aux_sym_truncate_statement_token1] = ACTIONS(1593),
    [aux_sym_update_statement_token1] = ACTIONS(1593),
    [aux_sym_merge_statement_token1] = ACTIONS(1593),
    [aux_sym_grant_statement_token1] = ACTIONS(1593),
    [aux_sym_revoke_statement_token1] = ACTIONS(1593),
    [aux_sym_export_data_statement_token1] = ACTIONS(1593),
    [aux_sym_load_data_statement_token1] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1597),
    [aux_sym_keyword_replace_token1] = ACTIONS(1599),
    [aux_sym__keyword_alter_token1] = ACTIONS(1597),
    [aux_sym__keyword_create_token1] = ACTIONS(1597),
    [aux_sym__keyword_drop_token1] = ACTIONS(1597),
    [aux_sym__keyword_delete_token1] = ACTIONS(1597),
    [aux_sym__keyword_begin_token1] = ACTIONS(1597),
    [aux_sym__keyword_end_token1] = ACTIONS(1597),
    [aux_sym__keyword_between_token1] = ACTIONS(1597),
    [aux_sym__keyword_when_token1] = ACTIONS(1597),
    [aux_sym__keyword_else_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1597),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1597),
    [aux_sym__keyword_like_token1] = ACTIONS(1597),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1597),
    [aux_sym__keyword_window_token1] = ACTIONS(1597),
    [aux_sym__keyword_for_token1] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1597),
    [anon_sym_COMMA] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1597),
    [aux_sym_using_clause_token1] = ACTIONS(1597),
    [aux_sym_return_statement_token1] = ACTIONS(1597),
    [aux_sym_call_statement_token1] = ACTIONS(1597),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1597),
    [aux_sym_if_statement_token1] = ACTIONS(1597),
    [aux_sym_loop_statement_token1] = ACTIONS(1597),
    [aux_sym_repeat_statement_token1] = ACTIONS(1597),
    [aux_sym_while_statement_token1] = ACTIONS(1597),
    [aux_sym_break_statement_token1] = ACTIONS(1597),
    [aux_sym_leave_statement_token1] = ACTIONS(1597),
    [aux_sym_continue_statement_token1] = ACTIONS(1597),
    [aux_sym_iterate_statement_token1] = ACTIONS(1597),
    [aux_sym_raise_statement_token1] = ACTIONS(1597),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1597),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_set_operation_token1] = ACTIONS(1597),
    [aux_sym_set_operation_token3] = ACTIONS(1597),
    [aux_sym_set_operation_token4] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1597),
    [aux_sym_having_clause_token1] = ACTIONS(1597),
    [aux_sym_qualify_clause_token1] = ACTIONS(1597),
    [aux_sym_limit_clause_token1] = ACTIONS(1597),
    [aux_sym_group_by_clause_token1] = ACTIONS(1597),
    [aux_sym_order_by_clause_token1] = ACTIONS(1597),
    [aux_sym_where_clause_token1] = ACTIONS(1597),
    [aux_sym_pivot_operator_token1] = ACTIONS(1597),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1597),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1597),
    [aux_sym_join_type_token1] = ACTIONS(1597),
    [aux_sym_join_type_token2] = ACTIONS(1597),
    [aux_sym_join_type_token3] = ACTIONS(1597),
    [aux_sym_join_type_token4] = ACTIONS(1597),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1597),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1597),
    [aux_sym_join_condition_token1] = ACTIONS(1597),
    [aux_sym_insert_statement_token1] = ACTIONS(1597),
    [aux_sym_truncate_statement_token1] = ACTIONS(1597),
    [aux_sym_update_statement_token1] = ACTIONS(1597),
    [aux_sym_merge_statement_token1] = ACTIONS(1597),
    [aux_sym_grant_statement_token1] = ACTIONS(1597),
    [aux_sym_revoke_statement_token1] = ACTIONS(1597),
    [aux_sym_export_data_statement_token1] = ACTIONS(1597),
    [aux_sym_load_data_statement_token1] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [433] = {
    [sym__keyword_as] = STATE(11497),
    [sym__keyword_date] = STATE(3144),
    [sym__keyword_datetime] = STATE(3144),
    [sym__keyword_time] = STATE(3144),
    [sym__keyword_timestamp] = STATE(3144),
    [sym_as_alias] = STATE(2974),
    [sym_unnest_withoffset] = STATE(3280),
    [sym__type_chrono] = STATE(3288),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3243),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(1315),
    [aux_sym__keyword_date_token1] = ACTIONS(1317),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1317),
    [aux_sym__keyword_time_token1] = ACTIONS(1317),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1317),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token1] = ACTIONS(205),
    [aux_sym__direction_keywords_token2] = ACTIONS(205),
    [aux_sym__nulls_preference_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1601),
    [aux_sym_keyword_replace_token1] = ACTIONS(1603),
    [aux_sym__keyword_alter_token1] = ACTIONS(1601),
    [aux_sym__keyword_create_token1] = ACTIONS(1601),
    [aux_sym__keyword_drop_token1] = ACTIONS(1601),
    [aux_sym__keyword_delete_token1] = ACTIONS(1601),
    [aux_sym__keyword_begin_token1] = ACTIONS(1601),
    [aux_sym__keyword_end_token1] = ACTIONS(1601),
    [aux_sym__keyword_between_token1] = ACTIONS(1601),
    [aux_sym__keyword_when_token1] = ACTIONS(1601),
    [aux_sym__keyword_else_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1601),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1601),
    [aux_sym__keyword_like_token1] = ACTIONS(1601),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1601),
    [aux_sym__keyword_window_token1] = ACTIONS(1601),
    [aux_sym__keyword_for_token1] = ACTIONS(1601),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1601),
    [aux_sym_using_clause_token1] = ACTIONS(1601),
    [aux_sym_return_statement_token1] = ACTIONS(1601),
    [aux_sym_call_statement_token1] = ACTIONS(1601),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1601),
    [aux_sym_if_statement_token1] = ACTIONS(1601),
    [aux_sym_loop_statement_token1] = ACTIONS(1601),
    [aux_sym_repeat_statement_token1] = ACTIONS(1601),
    [aux_sym_while_statement_token1] = ACTIONS(1601),
    [aux_sym_break_statement_token1] = ACTIONS(1601),
    [aux_sym_leave_statement_token1] = ACTIONS(1601),
    [aux_sym_continue_statement_token1] = ACTIONS(1601),
    [aux_sym_iterate_statement_token1] = ACTIONS(1601),
    [aux_sym_raise_statement_token1] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1601),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1601),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_set_operation_token1] = ACTIONS(1601),
    [aux_sym_set_operation_token3] = ACTIONS(1601),
    [aux_sym_set_operation_token4] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1601),
    [aux_sym_having_clause_token1] = ACTIONS(1601),
    [aux_sym_qualify_clause_token1] = ACTIONS(1601),
    [aux_sym_limit_clause_token1] = ACTIONS(1601),
    [aux_sym_group_by_clause_token1] = ACTIONS(1601),
    [aux_sym_order_by_clause_token1] = ACTIONS(1601),
    [aux_sym_where_clause_token1] = ACTIONS(1601),
    [aux_sym_pivot_operator_token1] = ACTIONS(1601),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1601),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1601),
    [aux_sym_join_type_token1] = ACTIONS(1601),
    [aux_sym_join_type_token2] = ACTIONS(1601),
    [aux_sym_join_type_token3] = ACTIONS(1601),
    [aux_sym_join_type_token4] = ACTIONS(1601),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1601),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1601),
    [aux_sym_join_condition_token1] = ACTIONS(1601),
    [aux_sym_insert_statement_token1] = ACTIONS(1601),
    [aux_sym_truncate_statement_token1] = ACTIONS(1601),
    [aux_sym_update_statement_token1] = ACTIONS(1601),
    [aux_sym_merge_statement_token1] = ACTIONS(1601),
    [aux_sym_grant_statement_token1] = ACTIONS(1601),
    [aux_sym_revoke_statement_token1] = ACTIONS(1601),
    [aux_sym_export_data_statement_token1] = ACTIONS(1601),
    [aux_sym_load_data_statement_token1] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1605),
    [aux_sym_keyword_replace_token1] = ACTIONS(1607),
    [aux_sym__keyword_alter_token1] = ACTIONS(1605),
    [aux_sym__keyword_create_token1] = ACTIONS(1605),
    [aux_sym__keyword_drop_token1] = ACTIONS(1605),
    [aux_sym__keyword_delete_token1] = ACTIONS(1605),
    [aux_sym__keyword_begin_token1] = ACTIONS(1605),
    [aux_sym__keyword_end_token1] = ACTIONS(1605),
    [aux_sym__keyword_between_token1] = ACTIONS(1605),
    [aux_sym__keyword_when_token1] = ACTIONS(1605),
    [aux_sym__keyword_else_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1605),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1605),
    [aux_sym__keyword_like_token1] = ACTIONS(1605),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1605),
    [aux_sym__keyword_window_token1] = ACTIONS(1605),
    [aux_sym__keyword_for_token1] = ACTIONS(1605),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1605),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1605),
    [aux_sym_using_clause_token1] = ACTIONS(1605),
    [aux_sym_return_statement_token1] = ACTIONS(1605),
    [aux_sym_call_statement_token1] = ACTIONS(1605),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1605),
    [aux_sym_if_statement_token1] = ACTIONS(1605),
    [aux_sym_loop_statement_token1] = ACTIONS(1605),
    [aux_sym_repeat_statement_token1] = ACTIONS(1605),
    [aux_sym_while_statement_token1] = ACTIONS(1605),
    [aux_sym_break_statement_token1] = ACTIONS(1605),
    [aux_sym_leave_statement_token1] = ACTIONS(1605),
    [aux_sym_continue_statement_token1] = ACTIONS(1605),
    [aux_sym_iterate_statement_token1] = ACTIONS(1605),
    [aux_sym_raise_statement_token1] = ACTIONS(1605),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1605),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1605),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_set_operation_token1] = ACTIONS(1605),
    [aux_sym_set_operation_token3] = ACTIONS(1605),
    [aux_sym_set_operation_token4] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1605),
    [aux_sym_having_clause_token1] = ACTIONS(1605),
    [aux_sym_qualify_clause_token1] = ACTIONS(1605),
    [aux_sym_limit_clause_token1] = ACTIONS(1605),
    [aux_sym_group_by_clause_token1] = ACTIONS(1605),
    [aux_sym_order_by_clause_token1] = ACTIONS(1605),
    [aux_sym_where_clause_token1] = ACTIONS(1605),
    [aux_sym_pivot_operator_token1] = ACTIONS(1605),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1605),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1605),
    [aux_sym_join_type_token1] = ACTIONS(1605),
    [aux_sym_join_type_token2] = ACTIONS(1605),
    [aux_sym_join_type_token3] = ACTIONS(1605),
    [aux_sym_join_type_token4] = ACTIONS(1605),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1605),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1605),
    [aux_sym_join_condition_token1] = ACTIONS(1605),
    [aux_sym_insert_statement_token1] = ACTIONS(1605),
    [aux_sym_truncate_statement_token1] = ACTIONS(1605),
    [aux_sym_update_statement_token1] = ACTIONS(1605),
    [aux_sym_merge_statement_token1] = ACTIONS(1605),
    [aux_sym_grant_statement_token1] = ACTIONS(1605),
    [aux_sym_revoke_statement_token1] = ACTIONS(1605),
    [aux_sym_export_data_statement_token1] = ACTIONS(1605),
    [aux_sym_load_data_statement_token1] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1609),
    [aux_sym_keyword_replace_token1] = ACTIONS(1611),
    [aux_sym__keyword_alter_token1] = ACTIONS(1609),
    [aux_sym__keyword_create_token1] = ACTIONS(1609),
    [aux_sym__keyword_drop_token1] = ACTIONS(1609),
    [aux_sym__keyword_delete_token1] = ACTIONS(1609),
    [aux_sym__keyword_begin_token1] = ACTIONS(1609),
    [aux_sym__keyword_end_token1] = ACTIONS(1609),
    [aux_sym__keyword_between_token1] = ACTIONS(1609),
    [aux_sym__keyword_when_token1] = ACTIONS(1609),
    [aux_sym__keyword_else_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1609),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1609),
    [aux_sym__keyword_like_token1] = ACTIONS(1609),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1609),
    [aux_sym__keyword_window_token1] = ACTIONS(1609),
    [aux_sym__keyword_for_token1] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1609),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1609),
    [aux_sym_using_clause_token1] = ACTIONS(1609),
    [aux_sym_return_statement_token1] = ACTIONS(1609),
    [aux_sym_call_statement_token1] = ACTIONS(1609),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1609),
    [aux_sym_if_statement_token1] = ACTIONS(1609),
    [aux_sym_loop_statement_token1] = ACTIONS(1609),
    [aux_sym_repeat_statement_token1] = ACTIONS(1609),
    [aux_sym_while_statement_token1] = ACTIONS(1609),
    [aux_sym_break_statement_token1] = ACTIONS(1609),
    [aux_sym_leave_statement_token1] = ACTIONS(1609),
    [aux_sym_continue_statement_token1] = ACTIONS(1609),
    [aux_sym_iterate_statement_token1] = ACTIONS(1609),
    [aux_sym_raise_statement_token1] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1609),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1609),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_set_operation_token1] = ACTIONS(1609),
    [aux_sym_set_operation_token3] = ACTIONS(1609),
    [aux_sym_set_operation_token4] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1609),
    [aux_sym_having_clause_token1] = ACTIONS(1609),
    [aux_sym_qualify_clause_token1] = ACTIONS(1609),
    [aux_sym_limit_clause_token1] = ACTIONS(1609),
    [aux_sym_group_by_clause_token1] = ACTIONS(1609),
    [aux_sym_order_by_clause_token1] = ACTIONS(1609),
    [aux_sym_where_clause_token1] = ACTIONS(1609),
    [aux_sym_pivot_operator_token1] = ACTIONS(1609),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1609),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1609),
    [aux_sym_join_type_token1] = ACTIONS(1609),
    [aux_sym_join_type_token2] = ACTIONS(1609),
    [aux_sym_join_type_token3] = ACTIONS(1609),
    [aux_sym_join_type_token4] = ACTIONS(1609),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1609),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1609),
    [aux_sym_join_condition_token1] = ACTIONS(1609),
    [aux_sym_insert_statement_token1] = ACTIONS(1609),
    [aux_sym_truncate_statement_token1] = ACTIONS(1609),
    [aux_sym_update_statement_token1] = ACTIONS(1609),
    [aux_sym_merge_statement_token1] = ACTIONS(1609),
    [aux_sym_grant_statement_token1] = ACTIONS(1609),
    [aux_sym_revoke_statement_token1] = ACTIONS(1609),
    [aux_sym_export_data_statement_token1] = ACTIONS(1609),
    [aux_sym_load_data_statement_token1] = ACTIONS(1609),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1613),
    [aux_sym_keyword_replace_token1] = ACTIONS(1615),
    [aux_sym__keyword_alter_token1] = ACTIONS(1613),
    [aux_sym__keyword_create_token1] = ACTIONS(1613),
    [aux_sym__keyword_drop_token1] = ACTIONS(1613),
    [aux_sym__keyword_delete_token1] = ACTIONS(1613),
    [aux_sym__keyword_begin_token1] = ACTIONS(1613),
    [aux_sym__keyword_end_token1] = ACTIONS(1613),
    [aux_sym__keyword_between_token1] = ACTIONS(1613),
    [aux_sym__keyword_when_token1] = ACTIONS(1613),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1613),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1613),
    [aux_sym__keyword_like_token1] = ACTIONS(1613),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1613),
    [aux_sym__keyword_window_token1] = ACTIONS(1613),
    [aux_sym__keyword_for_token1] = ACTIONS(1613),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1613),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1613),
    [aux_sym_using_clause_token1] = ACTIONS(1613),
    [aux_sym_return_statement_token1] = ACTIONS(1613),
    [aux_sym_call_statement_token1] = ACTIONS(1613),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1613),
    [aux_sym_if_statement_token1] = ACTIONS(1613),
    [aux_sym_loop_statement_token1] = ACTIONS(1613),
    [aux_sym_repeat_statement_token1] = ACTIONS(1613),
    [aux_sym_while_statement_token1] = ACTIONS(1613),
    [aux_sym_break_statement_token1] = ACTIONS(1613),
    [aux_sym_leave_statement_token1] = ACTIONS(1613),
    [aux_sym_continue_statement_token1] = ACTIONS(1613),
    [aux_sym_iterate_statement_token1] = ACTIONS(1613),
    [aux_sym_raise_statement_token1] = ACTIONS(1613),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1613),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1613),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_set_operation_token1] = ACTIONS(1613),
    [aux_sym_set_operation_token3] = ACTIONS(1613),
    [aux_sym_set_operation_token4] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1613),
    [aux_sym_having_clause_token1] = ACTIONS(1613),
    [aux_sym_qualify_clause_token1] = ACTIONS(1613),
    [aux_sym_limit_clause_token1] = ACTIONS(1613),
    [aux_sym_group_by_clause_token1] = ACTIONS(1613),
    [aux_sym_order_by_clause_token1] = ACTIONS(1613),
    [aux_sym_where_clause_token1] = ACTIONS(1613),
    [aux_sym_pivot_operator_token1] = ACTIONS(1613),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1613),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1613),
    [aux_sym_join_type_token1] = ACTIONS(1613),
    [aux_sym_join_type_token2] = ACTIONS(1613),
    [aux_sym_join_type_token3] = ACTIONS(1613),
    [aux_sym_join_type_token4] = ACTIONS(1613),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1613),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1613),
    [aux_sym_join_condition_token1] = ACTIONS(1613),
    [aux_sym_insert_statement_token1] = ACTIONS(1613),
    [aux_sym_truncate_statement_token1] = ACTIONS(1613),
    [aux_sym_update_statement_token1] = ACTIONS(1613),
    [aux_sym_merge_statement_token1] = ACTIONS(1613),
    [aux_sym_grant_statement_token1] = ACTIONS(1613),
    [aux_sym_revoke_statement_token1] = ACTIONS(1613),
    [aux_sym_export_data_statement_token1] = ACTIONS(1613),
    [aux_sym_load_data_statement_token1] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1617),
    [aux_sym_keyword_replace_token1] = ACTIONS(1619),
    [aux_sym__keyword_alter_token1] = ACTIONS(1617),
    [aux_sym__keyword_create_token1] = ACTIONS(1617),
    [aux_sym__keyword_drop_token1] = ACTIONS(1617),
    [aux_sym__keyword_delete_token1] = ACTIONS(1617),
    [aux_sym__keyword_begin_token1] = ACTIONS(1617),
    [aux_sym__keyword_end_token1] = ACTIONS(1617),
    [aux_sym__keyword_between_token1] = ACTIONS(1617),
    [aux_sym__keyword_when_token1] = ACTIONS(1617),
    [aux_sym__keyword_else_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1617),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1617),
    [aux_sym__keyword_like_token1] = ACTIONS(1617),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1617),
    [aux_sym__keyword_window_token1] = ACTIONS(1617),
    [aux_sym__keyword_for_token1] = ACTIONS(1617),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1617),
    [aux_sym_using_clause_token1] = ACTIONS(1617),
    [aux_sym_return_statement_token1] = ACTIONS(1617),
    [aux_sym_call_statement_token1] = ACTIONS(1617),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1617),
    [aux_sym_if_statement_token1] = ACTIONS(1617),
    [aux_sym_loop_statement_token1] = ACTIONS(1617),
    [aux_sym_repeat_statement_token1] = ACTIONS(1617),
    [aux_sym_while_statement_token1] = ACTIONS(1617),
    [aux_sym_break_statement_token1] = ACTIONS(1617),
    [aux_sym_leave_statement_token1] = ACTIONS(1617),
    [aux_sym_continue_statement_token1] = ACTIONS(1617),
    [aux_sym_iterate_statement_token1] = ACTIONS(1617),
    [aux_sym_raise_statement_token1] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1617),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_set_operation_token1] = ACTIONS(1617),
    [aux_sym_set_operation_token3] = ACTIONS(1617),
    [aux_sym_set_operation_token4] = ACTIONS(1619),
    [aux_sym_select_token1] = ACTIONS(1617),
    [aux_sym_having_clause_token1] = ACTIONS(1617),
    [aux_sym_qualify_clause_token1] = ACTIONS(1617),
    [aux_sym_limit_clause_token1] = ACTIONS(1617),
    [aux_sym_group_by_clause_token1] = ACTIONS(1617),
    [aux_sym_order_by_clause_token1] = ACTIONS(1617),
    [aux_sym_where_clause_token1] = ACTIONS(1617),
    [aux_sym_pivot_operator_token1] = ACTIONS(1617),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1617),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1617),
    [aux_sym_join_type_token1] = ACTIONS(1617),
    [aux_sym_join_type_token2] = ACTIONS(1617),
    [aux_sym_join_type_token3] = ACTIONS(1617),
    [aux_sym_join_type_token4] = ACTIONS(1617),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1617),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1617),
    [aux_sym_join_condition_token1] = ACTIONS(1617),
    [aux_sym_insert_statement_token1] = ACTIONS(1617),
    [aux_sym_truncate_statement_token1] = ACTIONS(1617),
    [aux_sym_update_statement_token1] = ACTIONS(1617),
    [aux_sym_merge_statement_token1] = ACTIONS(1617),
    [aux_sym_grant_statement_token1] = ACTIONS(1617),
    [aux_sym_revoke_statement_token1] = ACTIONS(1617),
    [aux_sym_export_data_statement_token1] = ACTIONS(1617),
    [aux_sym_load_data_statement_token1] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1621),
    [aux_sym_keyword_replace_token1] = ACTIONS(1623),
    [aux_sym__keyword_alter_token1] = ACTIONS(1621),
    [aux_sym__keyword_create_token1] = ACTIONS(1621),
    [aux_sym__keyword_drop_token1] = ACTIONS(1621),
    [aux_sym__keyword_delete_token1] = ACTIONS(1621),
    [aux_sym__keyword_begin_token1] = ACTIONS(1621),
    [aux_sym__keyword_end_token1] = ACTIONS(1621),
    [aux_sym__keyword_between_token1] = ACTIONS(1621),
    [aux_sym__keyword_when_token1] = ACTIONS(1621),
    [aux_sym__keyword_else_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1621),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1621),
    [aux_sym__keyword_like_token1] = ACTIONS(1621),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1621),
    [aux_sym__keyword_window_token1] = ACTIONS(1621),
    [aux_sym__keyword_for_token1] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1621),
    [anon_sym_COMMA] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1621),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1621),
    [aux_sym_using_clause_token1] = ACTIONS(1621),
    [aux_sym_return_statement_token1] = ACTIONS(1621),
    [aux_sym_call_statement_token1] = ACTIONS(1621),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1621),
    [aux_sym_if_statement_token1] = ACTIONS(1621),
    [aux_sym_loop_statement_token1] = ACTIONS(1621),
    [aux_sym_repeat_statement_token1] = ACTIONS(1621),
    [aux_sym_while_statement_token1] = ACTIONS(1621),
    [aux_sym_break_statement_token1] = ACTIONS(1621),
    [aux_sym_leave_statement_token1] = ACTIONS(1621),
    [aux_sym_continue_statement_token1] = ACTIONS(1621),
    [aux_sym_iterate_statement_token1] = ACTIONS(1621),
    [aux_sym_raise_statement_token1] = ACTIONS(1621),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1621),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1621),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_set_operation_token1] = ACTIONS(1621),
    [aux_sym_set_operation_token3] = ACTIONS(1621),
    [aux_sym_set_operation_token4] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1621),
    [aux_sym_having_clause_token1] = ACTIONS(1621),
    [aux_sym_qualify_clause_token1] = ACTIONS(1621),
    [aux_sym_limit_clause_token1] = ACTIONS(1621),
    [aux_sym_group_by_clause_token1] = ACTIONS(1621),
    [aux_sym_order_by_clause_token1] = ACTIONS(1621),
    [aux_sym_where_clause_token1] = ACTIONS(1621),
    [aux_sym_pivot_operator_token1] = ACTIONS(1621),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1621),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1621),
    [aux_sym_join_type_token1] = ACTIONS(1621),
    [aux_sym_join_type_token2] = ACTIONS(1621),
    [aux_sym_join_type_token3] = ACTIONS(1621),
    [aux_sym_join_type_token4] = ACTIONS(1621),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1621),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1621),
    [aux_sym_join_condition_token1] = ACTIONS(1621),
    [aux_sym_insert_statement_token1] = ACTIONS(1621),
    [aux_sym_truncate_statement_token1] = ACTIONS(1621),
    [aux_sym_update_statement_token1] = ACTIONS(1621),
    [aux_sym_merge_statement_token1] = ACTIONS(1621),
    [aux_sym_grant_statement_token1] = ACTIONS(1621),
    [aux_sym_revoke_statement_token1] = ACTIONS(1621),
    [aux_sym_export_data_statement_token1] = ACTIONS(1621),
    [aux_sym_load_data_statement_token1] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1625),
    [aux_sym_keyword_replace_token1] = ACTIONS(1627),
    [aux_sym__keyword_alter_token1] = ACTIONS(1625),
    [aux_sym__keyword_create_token1] = ACTIONS(1625),
    [aux_sym__keyword_drop_token1] = ACTIONS(1625),
    [aux_sym__keyword_delete_token1] = ACTIONS(1625),
    [aux_sym__keyword_begin_token1] = ACTIONS(1625),
    [aux_sym__keyword_end_token1] = ACTIONS(1625),
    [aux_sym__keyword_between_token1] = ACTIONS(1625),
    [aux_sym__keyword_when_token1] = ACTIONS(1625),
    [aux_sym__keyword_else_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1625),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1625),
    [aux_sym__keyword_like_token1] = ACTIONS(1625),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1625),
    [aux_sym__keyword_window_token1] = ACTIONS(1625),
    [aux_sym__keyword_for_token1] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1625),
    [aux_sym_using_clause_token1] = ACTIONS(1625),
    [aux_sym_return_statement_token1] = ACTIONS(1625),
    [aux_sym_call_statement_token1] = ACTIONS(1625),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1625),
    [aux_sym_if_statement_token1] = ACTIONS(1625),
    [aux_sym_loop_statement_token1] = ACTIONS(1625),
    [aux_sym_repeat_statement_token1] = ACTIONS(1625),
    [aux_sym_while_statement_token1] = ACTIONS(1625),
    [aux_sym_break_statement_token1] = ACTIONS(1625),
    [aux_sym_leave_statement_token1] = ACTIONS(1625),
    [aux_sym_continue_statement_token1] = ACTIONS(1625),
    [aux_sym_iterate_statement_token1] = ACTIONS(1625),
    [aux_sym_raise_statement_token1] = ACTIONS(1625),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1625),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_set_operation_token1] = ACTIONS(1625),
    [aux_sym_set_operation_token3] = ACTIONS(1625),
    [aux_sym_set_operation_token4] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1625),
    [aux_sym_having_clause_token1] = ACTIONS(1625),
    [aux_sym_qualify_clause_token1] = ACTIONS(1625),
    [aux_sym_limit_clause_token1] = ACTIONS(1625),
    [aux_sym_group_by_clause_token1] = ACTIONS(1625),
    [aux_sym_order_by_clause_token1] = ACTIONS(1625),
    [aux_sym_where_clause_token1] = ACTIONS(1625),
    [aux_sym_pivot_operator_token1] = ACTIONS(1625),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1625),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1625),
    [aux_sym_join_type_token1] = ACTIONS(1625),
    [aux_sym_join_type_token2] = ACTIONS(1625),
    [aux_sym_join_type_token3] = ACTIONS(1625),
    [aux_sym_join_type_token4] = ACTIONS(1625),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1625),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1625),
    [aux_sym_join_condition_token1] = ACTIONS(1625),
    [aux_sym_insert_statement_token1] = ACTIONS(1625),
    [aux_sym_truncate_statement_token1] = ACTIONS(1625),
    [aux_sym_update_statement_token1] = ACTIONS(1625),
    [aux_sym_merge_statement_token1] = ACTIONS(1625),
    [aux_sym_grant_statement_token1] = ACTIONS(1625),
    [aux_sym_revoke_statement_token1] = ACTIONS(1625),
    [aux_sym_export_data_statement_token1] = ACTIONS(1625),
    [aux_sym_load_data_statement_token1] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1629),
    [aux_sym_keyword_replace_token1] = ACTIONS(1631),
    [aux_sym__keyword_alter_token1] = ACTIONS(1629),
    [aux_sym__keyword_create_token1] = ACTIONS(1629),
    [aux_sym__keyword_drop_token1] = ACTIONS(1629),
    [aux_sym__keyword_delete_token1] = ACTIONS(1629),
    [aux_sym__keyword_begin_token1] = ACTIONS(1629),
    [aux_sym__keyword_end_token1] = ACTIONS(1629),
    [aux_sym__keyword_between_token1] = ACTIONS(1629),
    [aux_sym__keyword_when_token1] = ACTIONS(1629),
    [aux_sym__keyword_else_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1629),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1629),
    [aux_sym__keyword_like_token1] = ACTIONS(1629),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1629),
    [aux_sym__keyword_window_token1] = ACTIONS(1629),
    [aux_sym__keyword_for_token1] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1629),
    [aux_sym_using_clause_token1] = ACTIONS(1629),
    [aux_sym_return_statement_token1] = ACTIONS(1629),
    [aux_sym_call_statement_token1] = ACTIONS(1629),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1629),
    [aux_sym_if_statement_token1] = ACTIONS(1629),
    [aux_sym_loop_statement_token1] = ACTIONS(1629),
    [aux_sym_repeat_statement_token1] = ACTIONS(1629),
    [aux_sym_while_statement_token1] = ACTIONS(1629),
    [aux_sym_break_statement_token1] = ACTIONS(1629),
    [aux_sym_leave_statement_token1] = ACTIONS(1629),
    [aux_sym_continue_statement_token1] = ACTIONS(1629),
    [aux_sym_iterate_statement_token1] = ACTIONS(1629),
    [aux_sym_raise_statement_token1] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1629),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_set_operation_token1] = ACTIONS(1629),
    [aux_sym_set_operation_token3] = ACTIONS(1629),
    [aux_sym_set_operation_token4] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1629),
    [aux_sym_having_clause_token1] = ACTIONS(1629),
    [aux_sym_qualify_clause_token1] = ACTIONS(1629),
    [aux_sym_limit_clause_token1] = ACTIONS(1629),
    [aux_sym_group_by_clause_token1] = ACTIONS(1629),
    [aux_sym_order_by_clause_token1] = ACTIONS(1629),
    [aux_sym_where_clause_token1] = ACTIONS(1629),
    [aux_sym_pivot_operator_token1] = ACTIONS(1629),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1629),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1629),
    [aux_sym_join_type_token1] = ACTIONS(1629),
    [aux_sym_join_type_token2] = ACTIONS(1629),
    [aux_sym_join_type_token3] = ACTIONS(1629),
    [aux_sym_join_type_token4] = ACTIONS(1629),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1629),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1629),
    [aux_sym_join_condition_token1] = ACTIONS(1629),
    [aux_sym_insert_statement_token1] = ACTIONS(1629),
    [aux_sym_truncate_statement_token1] = ACTIONS(1629),
    [aux_sym_update_statement_token1] = ACTIONS(1629),
    [aux_sym_merge_statement_token1] = ACTIONS(1629),
    [aux_sym_grant_statement_token1] = ACTIONS(1629),
    [aux_sym_revoke_statement_token1] = ACTIONS(1629),
    [aux_sym_export_data_statement_token1] = ACTIONS(1629),
    [aux_sym_load_data_statement_token1] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_where_clause_token1] = ACTIONS(1421),
    [aux_sym_pivot_operator_token1] = ACTIONS(1421),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1421),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1421),
    [aux_sym_join_type_token1] = ACTIONS(1421),
    [aux_sym_join_type_token2] = ACTIONS(1421),
    [aux_sym_join_type_token3] = ACTIONS(1421),
    [aux_sym_join_type_token4] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1421),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1421),
    [aux_sym_join_condition_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1633),
    [aux_sym_keyword_replace_token1] = ACTIONS(1635),
    [aux_sym__keyword_alter_token1] = ACTIONS(1633),
    [aux_sym__keyword_create_token1] = ACTIONS(1633),
    [aux_sym__keyword_drop_token1] = ACTIONS(1633),
    [aux_sym__keyword_delete_token1] = ACTIONS(1633),
    [aux_sym__keyword_begin_token1] = ACTIONS(1633),
    [aux_sym__keyword_end_token1] = ACTIONS(1633),
    [aux_sym__keyword_between_token1] = ACTIONS(1633),
    [aux_sym__keyword_when_token1] = ACTIONS(1633),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1633),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1633),
    [aux_sym__keyword_like_token1] = ACTIONS(1633),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1633),
    [aux_sym__keyword_window_token1] = ACTIONS(1633),
    [aux_sym__keyword_for_token1] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1633),
    [aux_sym_using_clause_token1] = ACTIONS(1633),
    [aux_sym_return_statement_token1] = ACTIONS(1633),
    [aux_sym_call_statement_token1] = ACTIONS(1633),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1633),
    [aux_sym_if_statement_token1] = ACTIONS(1633),
    [aux_sym_loop_statement_token1] = ACTIONS(1633),
    [aux_sym_repeat_statement_token1] = ACTIONS(1633),
    [aux_sym_while_statement_token1] = ACTIONS(1633),
    [aux_sym_break_statement_token1] = ACTIONS(1633),
    [aux_sym_leave_statement_token1] = ACTIONS(1633),
    [aux_sym_continue_statement_token1] = ACTIONS(1633),
    [aux_sym_iterate_statement_token1] = ACTIONS(1633),
    [aux_sym_raise_statement_token1] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1633),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_set_operation_token1] = ACTIONS(1633),
    [aux_sym_set_operation_token3] = ACTIONS(1633),
    [aux_sym_set_operation_token4] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1633),
    [aux_sym_having_clause_token1] = ACTIONS(1633),
    [aux_sym_qualify_clause_token1] = ACTIONS(1633),
    [aux_sym_limit_clause_token1] = ACTIONS(1633),
    [aux_sym_group_by_clause_token1] = ACTIONS(1633),
    [aux_sym_order_by_clause_token1] = ACTIONS(1633),
    [aux_sym_where_clause_token1] = ACTIONS(1633),
    [aux_sym_pivot_operator_token1] = ACTIONS(1633),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1633),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1633),
    [aux_sym_join_type_token1] = ACTIONS(1633),
    [aux_sym_join_type_token2] = ACTIONS(1633),
    [aux_sym_join_type_token3] = ACTIONS(1633),
    [aux_sym_join_type_token4] = ACTIONS(1633),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1633),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1633),
    [aux_sym_join_condition_token1] = ACTIONS(1633),
    [aux_sym_insert_statement_token1] = ACTIONS(1633),
    [aux_sym_truncate_statement_token1] = ACTIONS(1633),
    [aux_sym_update_statement_token1] = ACTIONS(1633),
    [aux_sym_merge_statement_token1] = ACTIONS(1633),
    [aux_sym_grant_statement_token1] = ACTIONS(1633),
    [aux_sym_revoke_statement_token1] = ACTIONS(1633),
    [aux_sym_export_data_statement_token1] = ACTIONS(1633),
    [aux_sym_load_data_statement_token1] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1637),
    [aux_sym_keyword_replace_token1] = ACTIONS(1639),
    [aux_sym__keyword_alter_token1] = ACTIONS(1637),
    [aux_sym__keyword_create_token1] = ACTIONS(1637),
    [aux_sym__keyword_drop_token1] = ACTIONS(1637),
    [aux_sym__keyword_delete_token1] = ACTIONS(1637),
    [aux_sym__keyword_begin_token1] = ACTIONS(1637),
    [aux_sym__keyword_end_token1] = ACTIONS(1637),
    [aux_sym__keyword_between_token1] = ACTIONS(1637),
    [aux_sym__keyword_when_token1] = ACTIONS(1637),
    [aux_sym__keyword_else_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1637),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1637),
    [aux_sym__keyword_like_token1] = ACTIONS(1637),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1637),
    [aux_sym__keyword_window_token1] = ACTIONS(1637),
    [aux_sym__keyword_for_token1] = ACTIONS(1637),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1637),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1637),
    [aux_sym_using_clause_token1] = ACTIONS(1637),
    [aux_sym_return_statement_token1] = ACTIONS(1637),
    [aux_sym_call_statement_token1] = ACTIONS(1637),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1637),
    [aux_sym_if_statement_token1] = ACTIONS(1637),
    [aux_sym_loop_statement_token1] = ACTIONS(1637),
    [aux_sym_repeat_statement_token1] = ACTIONS(1637),
    [aux_sym_while_statement_token1] = ACTIONS(1637),
    [aux_sym_break_statement_token1] = ACTIONS(1637),
    [aux_sym_leave_statement_token1] = ACTIONS(1637),
    [aux_sym_continue_statement_token1] = ACTIONS(1637),
    [aux_sym_iterate_statement_token1] = ACTIONS(1637),
    [aux_sym_raise_statement_token1] = ACTIONS(1637),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1637),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_set_operation_token1] = ACTIONS(1637),
    [aux_sym_set_operation_token3] = ACTIONS(1637),
    [aux_sym_set_operation_token4] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1637),
    [aux_sym_having_clause_token1] = ACTIONS(1637),
    [aux_sym_qualify_clause_token1] = ACTIONS(1637),
    [aux_sym_limit_clause_token1] = ACTIONS(1637),
    [aux_sym_group_by_clause_token1] = ACTIONS(1637),
    [aux_sym_order_by_clause_token1] = ACTIONS(1637),
    [aux_sym_where_clause_token1] = ACTIONS(1637),
    [aux_sym_pivot_operator_token1] = ACTIONS(1637),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1637),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1637),
    [aux_sym_join_type_token1] = ACTIONS(1637),
    [aux_sym_join_type_token2] = ACTIONS(1637),
    [aux_sym_join_type_token3] = ACTIONS(1637),
    [aux_sym_join_type_token4] = ACTIONS(1637),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1637),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1637),
    [aux_sym_join_condition_token1] = ACTIONS(1637),
    [aux_sym_insert_statement_token1] = ACTIONS(1637),
    [aux_sym_truncate_statement_token1] = ACTIONS(1637),
    [aux_sym_update_statement_token1] = ACTIONS(1637),
    [aux_sym_merge_statement_token1] = ACTIONS(1637),
    [aux_sym_grant_statement_token1] = ACTIONS(1637),
    [aux_sym_revoke_statement_token1] = ACTIONS(1637),
    [aux_sym_export_data_statement_token1] = ACTIONS(1637),
    [aux_sym_load_data_statement_token1] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1641),
    [aux_sym_keyword_replace_token1] = ACTIONS(1643),
    [aux_sym__keyword_alter_token1] = ACTIONS(1641),
    [aux_sym__keyword_create_token1] = ACTIONS(1641),
    [aux_sym__keyword_drop_token1] = ACTIONS(1641),
    [aux_sym__keyword_delete_token1] = ACTIONS(1641),
    [aux_sym__keyword_begin_token1] = ACTIONS(1641),
    [aux_sym__keyword_end_token1] = ACTIONS(1641),
    [aux_sym__keyword_between_token1] = ACTIONS(1641),
    [aux_sym__keyword_when_token1] = ACTIONS(1641),
    [aux_sym__keyword_else_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1641),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1641),
    [aux_sym__keyword_like_token1] = ACTIONS(1641),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1641),
    [aux_sym__keyword_window_token1] = ACTIONS(1641),
    [aux_sym__keyword_for_token1] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1641),
    [aux_sym_using_clause_token1] = ACTIONS(1641),
    [aux_sym_return_statement_token1] = ACTIONS(1641),
    [aux_sym_call_statement_token1] = ACTIONS(1641),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1641),
    [aux_sym_if_statement_token1] = ACTIONS(1641),
    [aux_sym_loop_statement_token1] = ACTIONS(1641),
    [aux_sym_repeat_statement_token1] = ACTIONS(1641),
    [aux_sym_while_statement_token1] = ACTIONS(1641),
    [aux_sym_break_statement_token1] = ACTIONS(1641),
    [aux_sym_leave_statement_token1] = ACTIONS(1641),
    [aux_sym_continue_statement_token1] = ACTIONS(1641),
    [aux_sym_iterate_statement_token1] = ACTIONS(1641),
    [aux_sym_raise_statement_token1] = ACTIONS(1641),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1641),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1641),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_set_operation_token1] = ACTIONS(1641),
    [aux_sym_set_operation_token3] = ACTIONS(1641),
    [aux_sym_set_operation_token4] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1641),
    [aux_sym_having_clause_token1] = ACTIONS(1641),
    [aux_sym_qualify_clause_token1] = ACTIONS(1641),
    [aux_sym_limit_clause_token1] = ACTIONS(1641),
    [aux_sym_group_by_clause_token1] = ACTIONS(1641),
    [aux_sym_order_by_clause_token1] = ACTIONS(1641),
    [aux_sym_where_clause_token1] = ACTIONS(1641),
    [aux_sym_pivot_operator_token1] = ACTIONS(1641),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1641),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1641),
    [aux_sym_join_type_token1] = ACTIONS(1641),
    [aux_sym_join_type_token2] = ACTIONS(1641),
    [aux_sym_join_type_token3] = ACTIONS(1641),
    [aux_sym_join_type_token4] = ACTIONS(1641),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1641),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1641),
    [aux_sym_join_condition_token1] = ACTIONS(1641),
    [aux_sym_insert_statement_token1] = ACTIONS(1641),
    [aux_sym_truncate_statement_token1] = ACTIONS(1641),
    [aux_sym_update_statement_token1] = ACTIONS(1641),
    [aux_sym_merge_statement_token1] = ACTIONS(1641),
    [aux_sym_grant_statement_token1] = ACTIONS(1641),
    [aux_sym_revoke_statement_token1] = ACTIONS(1641),
    [aux_sym_export_data_statement_token1] = ACTIONS(1641),
    [aux_sym_load_data_statement_token1] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1645),
    [aux_sym_keyword_replace_token1] = ACTIONS(1647),
    [aux_sym__keyword_alter_token1] = ACTIONS(1645),
    [aux_sym__keyword_create_token1] = ACTIONS(1645),
    [aux_sym__keyword_drop_token1] = ACTIONS(1645),
    [aux_sym__keyword_delete_token1] = ACTIONS(1645),
    [aux_sym__keyword_begin_token1] = ACTIONS(1645),
    [aux_sym__keyword_end_token1] = ACTIONS(1645),
    [aux_sym__keyword_between_token1] = ACTIONS(1645),
    [aux_sym__keyword_when_token1] = ACTIONS(1645),
    [aux_sym__keyword_else_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1645),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1645),
    [aux_sym__keyword_like_token1] = ACTIONS(1645),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1645),
    [aux_sym__keyword_window_token1] = ACTIONS(1645),
    [aux_sym__keyword_for_token1] = ACTIONS(1645),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1645),
    [anon_sym_COMMA] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1645),
    [aux_sym_using_clause_token1] = ACTIONS(1645),
    [aux_sym_return_statement_token1] = ACTIONS(1645),
    [aux_sym_call_statement_token1] = ACTIONS(1645),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1645),
    [aux_sym_if_statement_token1] = ACTIONS(1645),
    [aux_sym_loop_statement_token1] = ACTIONS(1645),
    [aux_sym_repeat_statement_token1] = ACTIONS(1645),
    [aux_sym_while_statement_token1] = ACTIONS(1645),
    [aux_sym_break_statement_token1] = ACTIONS(1645),
    [aux_sym_leave_statement_token1] = ACTIONS(1645),
    [aux_sym_continue_statement_token1] = ACTIONS(1645),
    [aux_sym_iterate_statement_token1] = ACTIONS(1645),
    [aux_sym_raise_statement_token1] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1645),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_set_operation_token1] = ACTIONS(1645),
    [aux_sym_set_operation_token3] = ACTIONS(1645),
    [aux_sym_set_operation_token4] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1645),
    [aux_sym_having_clause_token1] = ACTIONS(1645),
    [aux_sym_qualify_clause_token1] = ACTIONS(1645),
    [aux_sym_limit_clause_token1] = ACTIONS(1645),
    [aux_sym_group_by_clause_token1] = ACTIONS(1645),
    [aux_sym_order_by_clause_token1] = ACTIONS(1645),
    [aux_sym_where_clause_token1] = ACTIONS(1645),
    [aux_sym_pivot_operator_token1] = ACTIONS(1645),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1645),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1645),
    [aux_sym_join_type_token1] = ACTIONS(1645),
    [aux_sym_join_type_token2] = ACTIONS(1645),
    [aux_sym_join_type_token3] = ACTIONS(1645),
    [aux_sym_join_type_token4] = ACTIONS(1645),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1645),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1645),
    [aux_sym_join_condition_token1] = ACTIONS(1645),
    [aux_sym_insert_statement_token1] = ACTIONS(1645),
    [aux_sym_truncate_statement_token1] = ACTIONS(1645),
    [aux_sym_update_statement_token1] = ACTIONS(1645),
    [aux_sym_merge_statement_token1] = ACTIONS(1645),
    [aux_sym_grant_statement_token1] = ACTIONS(1645),
    [aux_sym_revoke_statement_token1] = ACTIONS(1645),
    [aux_sym_export_data_statement_token1] = ACTIONS(1645),
    [aux_sym_load_data_statement_token1] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_where_clause_token1] = ACTIONS(1441),
    [aux_sym_pivot_operator_token1] = ACTIONS(1441),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1441),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1441),
    [aux_sym_join_type_token1] = ACTIONS(1441),
    [aux_sym_join_type_token2] = ACTIONS(1441),
    [aux_sym_join_type_token3] = ACTIONS(1441),
    [aux_sym_join_type_token4] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1441),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1441),
    [aux_sym_join_condition_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1649),
    [aux_sym_keyword_replace_token1] = ACTIONS(1651),
    [aux_sym__keyword_alter_token1] = ACTIONS(1649),
    [aux_sym__keyword_create_token1] = ACTIONS(1649),
    [aux_sym__keyword_drop_token1] = ACTIONS(1649),
    [aux_sym__keyword_delete_token1] = ACTIONS(1649),
    [aux_sym__keyword_begin_token1] = ACTIONS(1649),
    [aux_sym__keyword_end_token1] = ACTIONS(1649),
    [aux_sym__keyword_between_token1] = ACTIONS(1649),
    [aux_sym__keyword_when_token1] = ACTIONS(1649),
    [aux_sym__keyword_else_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1649),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1649),
    [aux_sym__keyword_like_token1] = ACTIONS(1649),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1649),
    [aux_sym__keyword_window_token1] = ACTIONS(1649),
    [aux_sym__keyword_for_token1] = ACTIONS(1649),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1649),
    [aux_sym_using_clause_token1] = ACTIONS(1649),
    [aux_sym_return_statement_token1] = ACTIONS(1649),
    [aux_sym_call_statement_token1] = ACTIONS(1649),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1649),
    [aux_sym_if_statement_token1] = ACTIONS(1649),
    [aux_sym_loop_statement_token1] = ACTIONS(1649),
    [aux_sym_repeat_statement_token1] = ACTIONS(1649),
    [aux_sym_while_statement_token1] = ACTIONS(1649),
    [aux_sym_break_statement_token1] = ACTIONS(1649),
    [aux_sym_leave_statement_token1] = ACTIONS(1649),
    [aux_sym_continue_statement_token1] = ACTIONS(1649),
    [aux_sym_iterate_statement_token1] = ACTIONS(1649),
    [aux_sym_raise_statement_token1] = ACTIONS(1649),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1649),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_set_operation_token1] = ACTIONS(1649),
    [aux_sym_set_operation_token3] = ACTIONS(1649),
    [aux_sym_set_operation_token4] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1649),
    [aux_sym_having_clause_token1] = ACTIONS(1649),
    [aux_sym_qualify_clause_token1] = ACTIONS(1649),
    [aux_sym_limit_clause_token1] = ACTIONS(1649),
    [aux_sym_group_by_clause_token1] = ACTIONS(1649),
    [aux_sym_order_by_clause_token1] = ACTIONS(1649),
    [aux_sym_where_clause_token1] = ACTIONS(1649),
    [aux_sym_pivot_operator_token1] = ACTIONS(1649),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1649),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1649),
    [aux_sym_join_type_token1] = ACTIONS(1649),
    [aux_sym_join_type_token2] = ACTIONS(1649),
    [aux_sym_join_type_token3] = ACTIONS(1649),
    [aux_sym_join_type_token4] = ACTIONS(1649),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1649),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1649),
    [aux_sym_join_condition_token1] = ACTIONS(1649),
    [aux_sym_insert_statement_token1] = ACTIONS(1649),
    [aux_sym_truncate_statement_token1] = ACTIONS(1649),
    [aux_sym_update_statement_token1] = ACTIONS(1649),
    [aux_sym_merge_statement_token1] = ACTIONS(1649),
    [aux_sym_grant_statement_token1] = ACTIONS(1649),
    [aux_sym_revoke_statement_token1] = ACTIONS(1649),
    [aux_sym_export_data_statement_token1] = ACTIONS(1649),
    [aux_sym_load_data_statement_token1] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_when_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_window_token1] = ACTIONS(1465),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_using_clause_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1465),
    [aux_sym_set_operation_token3] = ACTIONS(1465),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_having_clause_token1] = ACTIONS(1465),
    [aux_sym_qualify_clause_token1] = ACTIONS(1465),
    [aux_sym_limit_clause_token1] = ACTIONS(1465),
    [aux_sym_group_by_clause_token1] = ACTIONS(1465),
    [aux_sym_order_by_clause_token1] = ACTIONS(1465),
    [aux_sym_where_clause_token1] = ACTIONS(1465),
    [aux_sym_pivot_operator_token1] = ACTIONS(1465),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1465),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1465),
    [aux_sym_join_type_token1] = ACTIONS(1465),
    [aux_sym_join_type_token2] = ACTIONS(1465),
    [aux_sym_join_type_token3] = ACTIONS(1465),
    [aux_sym_join_type_token4] = ACTIONS(1465),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1465),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1465),
    [aux_sym_join_condition_token1] = ACTIONS(1465),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1653),
    [aux_sym_keyword_replace_token1] = ACTIONS(1655),
    [aux_sym__keyword_alter_token1] = ACTIONS(1653),
    [aux_sym__keyword_create_token1] = ACTIONS(1653),
    [aux_sym__keyword_drop_token1] = ACTIONS(1653),
    [aux_sym__keyword_delete_token1] = ACTIONS(1653),
    [aux_sym__keyword_begin_token1] = ACTIONS(1653),
    [aux_sym__keyword_end_token1] = ACTIONS(1653),
    [aux_sym__keyword_between_token1] = ACTIONS(1653),
    [aux_sym__keyword_when_token1] = ACTIONS(1653),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1653),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1653),
    [aux_sym__keyword_like_token1] = ACTIONS(1653),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1653),
    [aux_sym__keyword_window_token1] = ACTIONS(1653),
    [aux_sym__keyword_for_token1] = ACTIONS(1653),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1653),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1653),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1653),
    [aux_sym_using_clause_token1] = ACTIONS(1653),
    [aux_sym_return_statement_token1] = ACTIONS(1653),
    [aux_sym_call_statement_token1] = ACTIONS(1653),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1653),
    [aux_sym_if_statement_token1] = ACTIONS(1653),
    [aux_sym_loop_statement_token1] = ACTIONS(1653),
    [aux_sym_repeat_statement_token1] = ACTIONS(1653),
    [aux_sym_while_statement_token1] = ACTIONS(1653),
    [aux_sym_break_statement_token1] = ACTIONS(1653),
    [aux_sym_leave_statement_token1] = ACTIONS(1653),
    [aux_sym_continue_statement_token1] = ACTIONS(1653),
    [aux_sym_iterate_statement_token1] = ACTIONS(1653),
    [aux_sym_raise_statement_token1] = ACTIONS(1653),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1653),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1653),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_set_operation_token1] = ACTIONS(1653),
    [aux_sym_set_operation_token3] = ACTIONS(1653),
    [aux_sym_set_operation_token4] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1653),
    [aux_sym_having_clause_token1] = ACTIONS(1653),
    [aux_sym_qualify_clause_token1] = ACTIONS(1653),
    [aux_sym_limit_clause_token1] = ACTIONS(1653),
    [aux_sym_group_by_clause_token1] = ACTIONS(1653),
    [aux_sym_order_by_clause_token1] = ACTIONS(1653),
    [aux_sym_where_clause_token1] = ACTIONS(1653),
    [aux_sym_pivot_operator_token1] = ACTIONS(1653),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1653),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1653),
    [aux_sym_join_type_token1] = ACTIONS(1653),
    [aux_sym_join_type_token2] = ACTIONS(1653),
    [aux_sym_join_type_token3] = ACTIONS(1653),
    [aux_sym_join_type_token4] = ACTIONS(1653),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1653),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1653),
    [aux_sym_join_condition_token1] = ACTIONS(1653),
    [aux_sym_insert_statement_token1] = ACTIONS(1653),
    [aux_sym_truncate_statement_token1] = ACTIONS(1653),
    [aux_sym_update_statement_token1] = ACTIONS(1653),
    [aux_sym_merge_statement_token1] = ACTIONS(1653),
    [aux_sym_grant_statement_token1] = ACTIONS(1653),
    [aux_sym_revoke_statement_token1] = ACTIONS(1653),
    [aux_sym_export_data_statement_token1] = ACTIONS(1653),
    [aux_sym_load_data_statement_token1] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1657),
    [aux_sym_keyword_replace_token1] = ACTIONS(1659),
    [aux_sym__keyword_alter_token1] = ACTIONS(1657),
    [aux_sym__keyword_create_token1] = ACTIONS(1657),
    [aux_sym__keyword_drop_token1] = ACTIONS(1657),
    [aux_sym__keyword_delete_token1] = ACTIONS(1657),
    [aux_sym__keyword_begin_token1] = ACTIONS(1657),
    [aux_sym__keyword_end_token1] = ACTIONS(1657),
    [aux_sym__keyword_between_token1] = ACTIONS(1657),
    [aux_sym__keyword_when_token1] = ACTIONS(1657),
    [aux_sym__keyword_else_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1657),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1657),
    [aux_sym__keyword_like_token1] = ACTIONS(1657),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1657),
    [aux_sym__keyword_window_token1] = ACTIONS(1657),
    [aux_sym__keyword_for_token1] = ACTIONS(1657),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1657),
    [aux_sym_using_clause_token1] = ACTIONS(1657),
    [aux_sym_return_statement_token1] = ACTIONS(1657),
    [aux_sym_call_statement_token1] = ACTIONS(1657),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1657),
    [aux_sym_if_statement_token1] = ACTIONS(1657),
    [aux_sym_loop_statement_token1] = ACTIONS(1657),
    [aux_sym_repeat_statement_token1] = ACTIONS(1657),
    [aux_sym_while_statement_token1] = ACTIONS(1657),
    [aux_sym_break_statement_token1] = ACTIONS(1657),
    [aux_sym_leave_statement_token1] = ACTIONS(1657),
    [aux_sym_continue_statement_token1] = ACTIONS(1657),
    [aux_sym_iterate_statement_token1] = ACTIONS(1657),
    [aux_sym_raise_statement_token1] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1657),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1657),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_set_operation_token1] = ACTIONS(1657),
    [aux_sym_set_operation_token3] = ACTIONS(1657),
    [aux_sym_set_operation_token4] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1657),
    [aux_sym_having_clause_token1] = ACTIONS(1657),
    [aux_sym_qualify_clause_token1] = ACTIONS(1657),
    [aux_sym_limit_clause_token1] = ACTIONS(1657),
    [aux_sym_group_by_clause_token1] = ACTIONS(1657),
    [aux_sym_order_by_clause_token1] = ACTIONS(1657),
    [aux_sym_where_clause_token1] = ACTIONS(1657),
    [aux_sym_pivot_operator_token1] = ACTIONS(1657),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1657),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1657),
    [aux_sym_join_type_token1] = ACTIONS(1657),
    [aux_sym_join_type_token2] = ACTIONS(1657),
    [aux_sym_join_type_token3] = ACTIONS(1657),
    [aux_sym_join_type_token4] = ACTIONS(1657),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1657),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1657),
    [aux_sym_join_condition_token1] = ACTIONS(1657),
    [aux_sym_insert_statement_token1] = ACTIONS(1657),
    [aux_sym_truncate_statement_token1] = ACTIONS(1657),
    [aux_sym_update_statement_token1] = ACTIONS(1657),
    [aux_sym_merge_statement_token1] = ACTIONS(1657),
    [aux_sym_grant_statement_token1] = ACTIONS(1657),
    [aux_sym_revoke_statement_token1] = ACTIONS(1657),
    [aux_sym_export_data_statement_token1] = ACTIONS(1657),
    [aux_sym_load_data_statement_token1] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_where_clause_token1] = ACTIONS(1211),
    [aux_sym_pivot_operator_token1] = ACTIONS(1211),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1211),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1211),
    [aux_sym_join_type_token1] = ACTIONS(1211),
    [aux_sym_join_type_token2] = ACTIONS(1211),
    [aux_sym_join_type_token3] = ACTIONS(1211),
    [aux_sym_join_type_token4] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1211),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1211),
    [aux_sym_join_condition_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1661),
    [aux_sym_keyword_replace_token1] = ACTIONS(1663),
    [aux_sym__keyword_alter_token1] = ACTIONS(1661),
    [aux_sym__keyword_create_token1] = ACTIONS(1661),
    [aux_sym__keyword_drop_token1] = ACTIONS(1661),
    [aux_sym__keyword_delete_token1] = ACTIONS(1661),
    [aux_sym__keyword_begin_token1] = ACTIONS(1661),
    [aux_sym__keyword_end_token1] = ACTIONS(1661),
    [aux_sym__keyword_between_token1] = ACTIONS(1661),
    [aux_sym__keyword_when_token1] = ACTIONS(1661),
    [aux_sym__keyword_else_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1661),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1661),
    [aux_sym__keyword_like_token1] = ACTIONS(1661),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1661),
    [aux_sym__keyword_window_token1] = ACTIONS(1661),
    [aux_sym__keyword_for_token1] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1661),
    [aux_sym_using_clause_token1] = ACTIONS(1661),
    [aux_sym_return_statement_token1] = ACTIONS(1661),
    [aux_sym_call_statement_token1] = ACTIONS(1661),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1661),
    [aux_sym_if_statement_token1] = ACTIONS(1661),
    [aux_sym_loop_statement_token1] = ACTIONS(1661),
    [aux_sym_repeat_statement_token1] = ACTIONS(1661),
    [aux_sym_while_statement_token1] = ACTIONS(1661),
    [aux_sym_break_statement_token1] = ACTIONS(1661),
    [aux_sym_leave_statement_token1] = ACTIONS(1661),
    [aux_sym_continue_statement_token1] = ACTIONS(1661),
    [aux_sym_iterate_statement_token1] = ACTIONS(1661),
    [aux_sym_raise_statement_token1] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1661),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_set_operation_token1] = ACTIONS(1661),
    [aux_sym_set_operation_token3] = ACTIONS(1661),
    [aux_sym_set_operation_token4] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1661),
    [aux_sym_having_clause_token1] = ACTIONS(1661),
    [aux_sym_qualify_clause_token1] = ACTIONS(1661),
    [aux_sym_limit_clause_token1] = ACTIONS(1661),
    [aux_sym_group_by_clause_token1] = ACTIONS(1661),
    [aux_sym_order_by_clause_token1] = ACTIONS(1661),
    [aux_sym_where_clause_token1] = ACTIONS(1661),
    [aux_sym_pivot_operator_token1] = ACTIONS(1661),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1661),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1661),
    [aux_sym_join_type_token1] = ACTIONS(1661),
    [aux_sym_join_type_token2] = ACTIONS(1661),
    [aux_sym_join_type_token3] = ACTIONS(1661),
    [aux_sym_join_type_token4] = ACTIONS(1661),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1661),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1661),
    [aux_sym_join_condition_token1] = ACTIONS(1661),
    [aux_sym_insert_statement_token1] = ACTIONS(1661),
    [aux_sym_truncate_statement_token1] = ACTIONS(1661),
    [aux_sym_update_statement_token1] = ACTIONS(1661),
    [aux_sym_merge_statement_token1] = ACTIONS(1661),
    [aux_sym_grant_statement_token1] = ACTIONS(1661),
    [aux_sym_revoke_statement_token1] = ACTIONS(1661),
    [aux_sym_export_data_statement_token1] = ACTIONS(1661),
    [aux_sym_load_data_statement_token1] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1665),
    [aux_sym_keyword_replace_token1] = ACTIONS(1667),
    [aux_sym__keyword_alter_token1] = ACTIONS(1665),
    [aux_sym__keyword_create_token1] = ACTIONS(1665),
    [aux_sym__keyword_drop_token1] = ACTIONS(1665),
    [aux_sym__keyword_delete_token1] = ACTIONS(1665),
    [aux_sym__keyword_begin_token1] = ACTIONS(1665),
    [aux_sym__keyword_end_token1] = ACTIONS(1665),
    [aux_sym__keyword_between_token1] = ACTIONS(1665),
    [aux_sym__keyword_when_token1] = ACTIONS(1665),
    [aux_sym__keyword_else_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1665),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1665),
    [aux_sym__keyword_like_token1] = ACTIONS(1665),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1665),
    [aux_sym__keyword_window_token1] = ACTIONS(1665),
    [aux_sym__keyword_for_token1] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1665),
    [aux_sym_using_clause_token1] = ACTIONS(1665),
    [aux_sym_return_statement_token1] = ACTIONS(1665),
    [aux_sym_call_statement_token1] = ACTIONS(1665),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1665),
    [aux_sym_if_statement_token1] = ACTIONS(1665),
    [aux_sym_loop_statement_token1] = ACTIONS(1665),
    [aux_sym_repeat_statement_token1] = ACTIONS(1665),
    [aux_sym_while_statement_token1] = ACTIONS(1665),
    [aux_sym_break_statement_token1] = ACTIONS(1665),
    [aux_sym_leave_statement_token1] = ACTIONS(1665),
    [aux_sym_continue_statement_token1] = ACTIONS(1665),
    [aux_sym_iterate_statement_token1] = ACTIONS(1665),
    [aux_sym_raise_statement_token1] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1665),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_set_operation_token1] = ACTIONS(1665),
    [aux_sym_set_operation_token3] = ACTIONS(1665),
    [aux_sym_set_operation_token4] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1665),
    [aux_sym_having_clause_token1] = ACTIONS(1665),
    [aux_sym_qualify_clause_token1] = ACTIONS(1665),
    [aux_sym_limit_clause_token1] = ACTIONS(1665),
    [aux_sym_group_by_clause_token1] = ACTIONS(1665),
    [aux_sym_order_by_clause_token1] = ACTIONS(1665),
    [aux_sym_where_clause_token1] = ACTIONS(1665),
    [aux_sym_pivot_operator_token1] = ACTIONS(1665),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1665),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1665),
    [aux_sym_join_type_token1] = ACTIONS(1665),
    [aux_sym_join_type_token2] = ACTIONS(1665),
    [aux_sym_join_type_token3] = ACTIONS(1665),
    [aux_sym_join_type_token4] = ACTIONS(1665),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1665),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1665),
    [aux_sym_join_condition_token1] = ACTIONS(1665),
    [aux_sym_insert_statement_token1] = ACTIONS(1665),
    [aux_sym_truncate_statement_token1] = ACTIONS(1665),
    [aux_sym_update_statement_token1] = ACTIONS(1665),
    [aux_sym_merge_statement_token1] = ACTIONS(1665),
    [aux_sym_grant_statement_token1] = ACTIONS(1665),
    [aux_sym_revoke_statement_token1] = ACTIONS(1665),
    [aux_sym_export_data_statement_token1] = ACTIONS(1665),
    [aux_sym_load_data_statement_token1] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1669),
    [aux_sym_keyword_replace_token1] = ACTIONS(1671),
    [aux_sym__keyword_alter_token1] = ACTIONS(1669),
    [aux_sym__keyword_create_token1] = ACTIONS(1669),
    [aux_sym__keyword_drop_token1] = ACTIONS(1669),
    [aux_sym__keyword_delete_token1] = ACTIONS(1669),
    [aux_sym__keyword_begin_token1] = ACTIONS(1669),
    [aux_sym__keyword_end_token1] = ACTIONS(1669),
    [aux_sym__keyword_between_token1] = ACTIONS(1669),
    [aux_sym__keyword_when_token1] = ACTIONS(1669),
    [aux_sym__keyword_else_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1669),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1669),
    [aux_sym__keyword_like_token1] = ACTIONS(1669),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1669),
    [aux_sym__keyword_window_token1] = ACTIONS(1669),
    [aux_sym__keyword_for_token1] = ACTIONS(1669),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1669),
    [aux_sym_using_clause_token1] = ACTIONS(1669),
    [aux_sym_return_statement_token1] = ACTIONS(1669),
    [aux_sym_call_statement_token1] = ACTIONS(1669),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1669),
    [aux_sym_if_statement_token1] = ACTIONS(1669),
    [aux_sym_loop_statement_token1] = ACTIONS(1669),
    [aux_sym_repeat_statement_token1] = ACTIONS(1669),
    [aux_sym_while_statement_token1] = ACTIONS(1669),
    [aux_sym_break_statement_token1] = ACTIONS(1669),
    [aux_sym_leave_statement_token1] = ACTIONS(1669),
    [aux_sym_continue_statement_token1] = ACTIONS(1669),
    [aux_sym_iterate_statement_token1] = ACTIONS(1669),
    [aux_sym_raise_statement_token1] = ACTIONS(1669),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1669),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1669),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_set_operation_token1] = ACTIONS(1669),
    [aux_sym_set_operation_token3] = ACTIONS(1669),
    [aux_sym_set_operation_token4] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1669),
    [aux_sym_having_clause_token1] = ACTIONS(1669),
    [aux_sym_qualify_clause_token1] = ACTIONS(1669),
    [aux_sym_limit_clause_token1] = ACTIONS(1669),
    [aux_sym_group_by_clause_token1] = ACTIONS(1669),
    [aux_sym_order_by_clause_token1] = ACTIONS(1669),
    [aux_sym_where_clause_token1] = ACTIONS(1669),
    [aux_sym_pivot_operator_token1] = ACTIONS(1669),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1669),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1669),
    [aux_sym_join_type_token1] = ACTIONS(1669),
    [aux_sym_join_type_token2] = ACTIONS(1669),
    [aux_sym_join_type_token3] = ACTIONS(1669),
    [aux_sym_join_type_token4] = ACTIONS(1669),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1669),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1669),
    [aux_sym_join_condition_token1] = ACTIONS(1669),
    [aux_sym_insert_statement_token1] = ACTIONS(1669),
    [aux_sym_truncate_statement_token1] = ACTIONS(1669),
    [aux_sym_update_statement_token1] = ACTIONS(1669),
    [aux_sym_merge_statement_token1] = ACTIONS(1669),
    [aux_sym_grant_statement_token1] = ACTIONS(1669),
    [aux_sym_revoke_statement_token1] = ACTIONS(1669),
    [aux_sym_export_data_statement_token1] = ACTIONS(1669),
    [aux_sym_load_data_statement_token1] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1673),
    [aux_sym_keyword_replace_token1] = ACTIONS(1675),
    [aux_sym__keyword_alter_token1] = ACTIONS(1673),
    [aux_sym__keyword_create_token1] = ACTIONS(1673),
    [aux_sym__keyword_drop_token1] = ACTIONS(1673),
    [aux_sym__keyword_delete_token1] = ACTIONS(1673),
    [aux_sym__keyword_begin_token1] = ACTIONS(1673),
    [aux_sym__keyword_end_token1] = ACTIONS(1673),
    [aux_sym__keyword_between_token1] = ACTIONS(1673),
    [aux_sym__keyword_when_token1] = ACTIONS(1673),
    [aux_sym__keyword_else_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1673),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1673),
    [aux_sym__keyword_like_token1] = ACTIONS(1673),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1673),
    [aux_sym__keyword_window_token1] = ACTIONS(1673),
    [aux_sym__keyword_for_token1] = ACTIONS(1673),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1673),
    [anon_sym_COMMA] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1673),
    [aux_sym_using_clause_token1] = ACTIONS(1673),
    [aux_sym_return_statement_token1] = ACTIONS(1673),
    [aux_sym_call_statement_token1] = ACTIONS(1673),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1673),
    [aux_sym_if_statement_token1] = ACTIONS(1673),
    [aux_sym_loop_statement_token1] = ACTIONS(1673),
    [aux_sym_repeat_statement_token1] = ACTIONS(1673),
    [aux_sym_while_statement_token1] = ACTIONS(1673),
    [aux_sym_break_statement_token1] = ACTIONS(1673),
    [aux_sym_leave_statement_token1] = ACTIONS(1673),
    [aux_sym_continue_statement_token1] = ACTIONS(1673),
    [aux_sym_iterate_statement_token1] = ACTIONS(1673),
    [aux_sym_raise_statement_token1] = ACTIONS(1673),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1673),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_set_operation_token1] = ACTIONS(1673),
    [aux_sym_set_operation_token3] = ACTIONS(1673),
    [aux_sym_set_operation_token4] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1673),
    [aux_sym_having_clause_token1] = ACTIONS(1673),
    [aux_sym_qualify_clause_token1] = ACTIONS(1673),
    [aux_sym_limit_clause_token1] = ACTIONS(1673),
    [aux_sym_group_by_clause_token1] = ACTIONS(1673),
    [aux_sym_order_by_clause_token1] = ACTIONS(1673),
    [aux_sym_where_clause_token1] = ACTIONS(1673),
    [aux_sym_pivot_operator_token1] = ACTIONS(1673),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1673),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1673),
    [aux_sym_join_type_token1] = ACTIONS(1673),
    [aux_sym_join_type_token2] = ACTIONS(1673),
    [aux_sym_join_type_token3] = ACTIONS(1673),
    [aux_sym_join_type_token4] = ACTIONS(1673),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1673),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1673),
    [aux_sym_join_condition_token1] = ACTIONS(1673),
    [aux_sym_insert_statement_token1] = ACTIONS(1673),
    [aux_sym_truncate_statement_token1] = ACTIONS(1673),
    [aux_sym_update_statement_token1] = ACTIONS(1673),
    [aux_sym_merge_statement_token1] = ACTIONS(1673),
    [aux_sym_grant_statement_token1] = ACTIONS(1673),
    [aux_sym_revoke_statement_token1] = ACTIONS(1673),
    [aux_sym_export_data_statement_token1] = ACTIONS(1673),
    [aux_sym_load_data_statement_token1] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1677),
    [aux_sym_keyword_replace_token1] = ACTIONS(1679),
    [aux_sym__keyword_alter_token1] = ACTIONS(1677),
    [aux_sym__keyword_create_token1] = ACTIONS(1677),
    [aux_sym__keyword_drop_token1] = ACTIONS(1677),
    [aux_sym__keyword_delete_token1] = ACTIONS(1677),
    [aux_sym__keyword_begin_token1] = ACTIONS(1677),
    [aux_sym__keyword_end_token1] = ACTIONS(1677),
    [aux_sym__keyword_between_token1] = ACTIONS(1677),
    [aux_sym__keyword_when_token1] = ACTIONS(1677),
    [aux_sym__keyword_else_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1677),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1677),
    [aux_sym__keyword_like_token1] = ACTIONS(1677),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1677),
    [aux_sym__keyword_window_token1] = ACTIONS(1677),
    [aux_sym__keyword_for_token1] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1677),
    [anon_sym_COMMA] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1677),
    [aux_sym_using_clause_token1] = ACTIONS(1677),
    [aux_sym_return_statement_token1] = ACTIONS(1677),
    [aux_sym_call_statement_token1] = ACTIONS(1677),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1677),
    [aux_sym_if_statement_token1] = ACTIONS(1677),
    [aux_sym_loop_statement_token1] = ACTIONS(1677),
    [aux_sym_repeat_statement_token1] = ACTIONS(1677),
    [aux_sym_while_statement_token1] = ACTIONS(1677),
    [aux_sym_break_statement_token1] = ACTIONS(1677),
    [aux_sym_leave_statement_token1] = ACTIONS(1677),
    [aux_sym_continue_statement_token1] = ACTIONS(1677),
    [aux_sym_iterate_statement_token1] = ACTIONS(1677),
    [aux_sym_raise_statement_token1] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1677),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_set_operation_token1] = ACTIONS(1677),
    [aux_sym_set_operation_token3] = ACTIONS(1677),
    [aux_sym_set_operation_token4] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1677),
    [aux_sym_having_clause_token1] = ACTIONS(1677),
    [aux_sym_qualify_clause_token1] = ACTIONS(1677),
    [aux_sym_limit_clause_token1] = ACTIONS(1677),
    [aux_sym_group_by_clause_token1] = ACTIONS(1677),
    [aux_sym_order_by_clause_token1] = ACTIONS(1677),
    [aux_sym_where_clause_token1] = ACTIONS(1677),
    [aux_sym_pivot_operator_token1] = ACTIONS(1677),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1677),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1677),
    [aux_sym_join_type_token1] = ACTIONS(1677),
    [aux_sym_join_type_token2] = ACTIONS(1677),
    [aux_sym_join_type_token3] = ACTIONS(1677),
    [aux_sym_join_type_token4] = ACTIONS(1677),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1677),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1677),
    [aux_sym_join_condition_token1] = ACTIONS(1677),
    [aux_sym_insert_statement_token1] = ACTIONS(1677),
    [aux_sym_truncate_statement_token1] = ACTIONS(1677),
    [aux_sym_update_statement_token1] = ACTIONS(1677),
    [aux_sym_merge_statement_token1] = ACTIONS(1677),
    [aux_sym_grant_statement_token1] = ACTIONS(1677),
    [aux_sym_revoke_statement_token1] = ACTIONS(1677),
    [aux_sym_export_data_statement_token1] = ACTIONS(1677),
    [aux_sym_load_data_statement_token1] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1681),
    [aux_sym_keyword_replace_token1] = ACTIONS(1683),
    [aux_sym__keyword_alter_token1] = ACTIONS(1681),
    [aux_sym__keyword_create_token1] = ACTIONS(1681),
    [aux_sym__keyword_drop_token1] = ACTIONS(1681),
    [aux_sym__keyword_delete_token1] = ACTIONS(1681),
    [aux_sym__keyword_begin_token1] = ACTIONS(1681),
    [aux_sym__keyword_end_token1] = ACTIONS(1681),
    [aux_sym__keyword_between_token1] = ACTIONS(1681),
    [aux_sym__keyword_when_token1] = ACTIONS(1681),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1681),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1681),
    [aux_sym__keyword_like_token1] = ACTIONS(1681),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1681),
    [aux_sym__keyword_window_token1] = ACTIONS(1681),
    [aux_sym__keyword_for_token1] = ACTIONS(1681),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1681),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1681),
    [aux_sym_using_clause_token1] = ACTIONS(1681),
    [aux_sym_return_statement_token1] = ACTIONS(1681),
    [aux_sym_call_statement_token1] = ACTIONS(1681),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1681),
    [aux_sym_if_statement_token1] = ACTIONS(1681),
    [aux_sym_loop_statement_token1] = ACTIONS(1681),
    [aux_sym_repeat_statement_token1] = ACTIONS(1681),
    [aux_sym_while_statement_token1] = ACTIONS(1681),
    [aux_sym_break_statement_token1] = ACTIONS(1681),
    [aux_sym_leave_statement_token1] = ACTIONS(1681),
    [aux_sym_continue_statement_token1] = ACTIONS(1681),
    [aux_sym_iterate_statement_token1] = ACTIONS(1681),
    [aux_sym_raise_statement_token1] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1681),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_set_operation_token1] = ACTIONS(1681),
    [aux_sym_set_operation_token3] = ACTIONS(1681),
    [aux_sym_set_operation_token4] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1681),
    [aux_sym_having_clause_token1] = ACTIONS(1681),
    [aux_sym_qualify_clause_token1] = ACTIONS(1681),
    [aux_sym_limit_clause_token1] = ACTIONS(1681),
    [aux_sym_group_by_clause_token1] = ACTIONS(1681),
    [aux_sym_order_by_clause_token1] = ACTIONS(1681),
    [aux_sym_where_clause_token1] = ACTIONS(1681),
    [aux_sym_pivot_operator_token1] = ACTIONS(1681),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1681),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1681),
    [aux_sym_join_type_token1] = ACTIONS(1681),
    [aux_sym_join_type_token2] = ACTIONS(1681),
    [aux_sym_join_type_token3] = ACTIONS(1681),
    [aux_sym_join_type_token4] = ACTIONS(1681),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1681),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1681),
    [aux_sym_join_condition_token1] = ACTIONS(1681),
    [aux_sym_insert_statement_token1] = ACTIONS(1681),
    [aux_sym_truncate_statement_token1] = ACTIONS(1681),
    [aux_sym_update_statement_token1] = ACTIONS(1681),
    [aux_sym_merge_statement_token1] = ACTIONS(1681),
    [aux_sym_grant_statement_token1] = ACTIONS(1681),
    [aux_sym_revoke_statement_token1] = ACTIONS(1681),
    [aux_sym_export_data_statement_token1] = ACTIONS(1681),
    [aux_sym_load_data_statement_token1] = ACTIONS(1681),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_window_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_using_clause_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_having_clause_token1] = ACTIONS(1685),
    [aux_sym_qualify_clause_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym_group_by_clause_token1] = ACTIONS(1685),
    [aux_sym_order_by_clause_token1] = ACTIONS(1685),
    [aux_sym_where_clause_token1] = ACTIONS(1685),
    [aux_sym_pivot_operator_token1] = ACTIONS(1685),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1685),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1685),
    [aux_sym_join_type_token1] = ACTIONS(1685),
    [aux_sym_join_type_token2] = ACTIONS(1685),
    [aux_sym_join_type_token3] = ACTIONS(1685),
    [aux_sym_join_type_token4] = ACTIONS(1685),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1685),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1685),
    [aux_sym_join_condition_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1689),
    [aux_sym_keyword_replace_token1] = ACTIONS(1691),
    [aux_sym__keyword_alter_token1] = ACTIONS(1689),
    [aux_sym__keyword_create_token1] = ACTIONS(1689),
    [aux_sym__keyword_drop_token1] = ACTIONS(1689),
    [aux_sym__keyword_delete_token1] = ACTIONS(1689),
    [aux_sym__keyword_begin_token1] = ACTIONS(1689),
    [aux_sym__keyword_end_token1] = ACTIONS(1689),
    [aux_sym__keyword_between_token1] = ACTIONS(1689),
    [aux_sym__keyword_when_token1] = ACTIONS(1689),
    [aux_sym__keyword_else_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1689),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1689),
    [aux_sym__keyword_like_token1] = ACTIONS(1689),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1689),
    [aux_sym__keyword_window_token1] = ACTIONS(1689),
    [aux_sym__keyword_for_token1] = ACTIONS(1689),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1689),
    [anon_sym_COMMA] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1689),
    [aux_sym_using_clause_token1] = ACTIONS(1689),
    [aux_sym_return_statement_token1] = ACTIONS(1689),
    [aux_sym_call_statement_token1] = ACTIONS(1689),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1689),
    [aux_sym_if_statement_token1] = ACTIONS(1689),
    [aux_sym_loop_statement_token1] = ACTIONS(1689),
    [aux_sym_repeat_statement_token1] = ACTIONS(1689),
    [aux_sym_while_statement_token1] = ACTIONS(1689),
    [aux_sym_break_statement_token1] = ACTIONS(1689),
    [aux_sym_leave_statement_token1] = ACTIONS(1689),
    [aux_sym_continue_statement_token1] = ACTIONS(1689),
    [aux_sym_iterate_statement_token1] = ACTIONS(1689),
    [aux_sym_raise_statement_token1] = ACTIONS(1689),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1689),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1689),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_set_operation_token1] = ACTIONS(1689),
    [aux_sym_set_operation_token3] = ACTIONS(1689),
    [aux_sym_set_operation_token4] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1689),
    [aux_sym_having_clause_token1] = ACTIONS(1689),
    [aux_sym_qualify_clause_token1] = ACTIONS(1689),
    [aux_sym_limit_clause_token1] = ACTIONS(1689),
    [aux_sym_group_by_clause_token1] = ACTIONS(1689),
    [aux_sym_order_by_clause_token1] = ACTIONS(1689),
    [aux_sym_where_clause_token1] = ACTIONS(1689),
    [aux_sym_pivot_operator_token1] = ACTIONS(1689),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1689),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1689),
    [aux_sym_join_type_token1] = ACTIONS(1689),
    [aux_sym_join_type_token2] = ACTIONS(1689),
    [aux_sym_join_type_token3] = ACTIONS(1689),
    [aux_sym_join_type_token4] = ACTIONS(1689),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1689),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1689),
    [aux_sym_join_condition_token1] = ACTIONS(1689),
    [aux_sym_insert_statement_token1] = ACTIONS(1689),
    [aux_sym_truncate_statement_token1] = ACTIONS(1689),
    [aux_sym_update_statement_token1] = ACTIONS(1689),
    [aux_sym_merge_statement_token1] = ACTIONS(1689),
    [aux_sym_grant_statement_token1] = ACTIONS(1689),
    [aux_sym_revoke_statement_token1] = ACTIONS(1689),
    [aux_sym_export_data_statement_token1] = ACTIONS(1689),
    [aux_sym_load_data_statement_token1] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_window_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_using_clause_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_having_clause_token1] = ACTIONS(1685),
    [aux_sym_qualify_clause_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym_group_by_clause_token1] = ACTIONS(1685),
    [aux_sym_order_by_clause_token1] = ACTIONS(1685),
    [aux_sym_where_clause_token1] = ACTIONS(1685),
    [aux_sym_pivot_operator_token1] = ACTIONS(1685),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1685),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1685),
    [aux_sym_join_type_token1] = ACTIONS(1685),
    [aux_sym_join_type_token2] = ACTIONS(1685),
    [aux_sym_join_type_token3] = ACTIONS(1685),
    [aux_sym_join_type_token4] = ACTIONS(1685),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1685),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1685),
    [aux_sym_join_condition_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_where_clause_token1] = ACTIONS(1371),
    [aux_sym_pivot_operator_token1] = ACTIONS(1371),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1371),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1371),
    [aux_sym_join_type_token1] = ACTIONS(1371),
    [aux_sym_join_type_token2] = ACTIONS(1371),
    [aux_sym_join_type_token3] = ACTIONS(1371),
    [aux_sym_join_type_token4] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1371),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1371),
    [aux_sym_join_condition_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_when_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_window_token1] = ACTIONS(1393),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_using_clause_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1393),
    [aux_sym_set_operation_token3] = ACTIONS(1393),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_having_clause_token1] = ACTIONS(1393),
    [aux_sym_qualify_clause_token1] = ACTIONS(1393),
    [aux_sym_limit_clause_token1] = ACTIONS(1393),
    [aux_sym_group_by_clause_token1] = ACTIONS(1393),
    [aux_sym_order_by_clause_token1] = ACTIONS(1393),
    [aux_sym_where_clause_token1] = ACTIONS(1393),
    [aux_sym_pivot_operator_token1] = ACTIONS(1393),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1393),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1393),
    [aux_sym_join_type_token1] = ACTIONS(1393),
    [aux_sym_join_type_token2] = ACTIONS(1393),
    [aux_sym_join_type_token3] = ACTIONS(1393),
    [aux_sym_join_type_token4] = ACTIONS(1393),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1393),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1393),
    [aux_sym_join_condition_token1] = ACTIONS(1393),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1693),
    [aux_sym_keyword_replace_token1] = ACTIONS(1695),
    [aux_sym__keyword_alter_token1] = ACTIONS(1693),
    [aux_sym__keyword_create_token1] = ACTIONS(1693),
    [aux_sym__keyword_drop_token1] = ACTIONS(1693),
    [aux_sym__keyword_delete_token1] = ACTIONS(1693),
    [aux_sym__keyword_begin_token1] = ACTIONS(1693),
    [aux_sym__keyword_end_token1] = ACTIONS(1693),
    [aux_sym__keyword_between_token1] = ACTIONS(1693),
    [aux_sym__keyword_when_token1] = ACTIONS(1693),
    [aux_sym__keyword_else_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1693),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1693),
    [aux_sym__keyword_like_token1] = ACTIONS(1693),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1693),
    [aux_sym__keyword_window_token1] = ACTIONS(1693),
    [aux_sym__keyword_for_token1] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1693),
    [aux_sym_using_clause_token1] = ACTIONS(1693),
    [aux_sym_return_statement_token1] = ACTIONS(1693),
    [aux_sym_call_statement_token1] = ACTIONS(1693),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1693),
    [aux_sym_if_statement_token1] = ACTIONS(1693),
    [aux_sym_loop_statement_token1] = ACTIONS(1693),
    [aux_sym_repeat_statement_token1] = ACTIONS(1693),
    [aux_sym_while_statement_token1] = ACTIONS(1693),
    [aux_sym_break_statement_token1] = ACTIONS(1693),
    [aux_sym_leave_statement_token1] = ACTIONS(1693),
    [aux_sym_continue_statement_token1] = ACTIONS(1693),
    [aux_sym_iterate_statement_token1] = ACTIONS(1693),
    [aux_sym_raise_statement_token1] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1693),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_set_operation_token1] = ACTIONS(1693),
    [aux_sym_set_operation_token3] = ACTIONS(1693),
    [aux_sym_set_operation_token4] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1693),
    [aux_sym_having_clause_token1] = ACTIONS(1693),
    [aux_sym_qualify_clause_token1] = ACTIONS(1693),
    [aux_sym_limit_clause_token1] = ACTIONS(1693),
    [aux_sym_group_by_clause_token1] = ACTIONS(1693),
    [aux_sym_order_by_clause_token1] = ACTIONS(1693),
    [aux_sym_where_clause_token1] = ACTIONS(1693),
    [aux_sym_pivot_operator_token1] = ACTIONS(1693),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1693),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1693),
    [aux_sym_join_type_token1] = ACTIONS(1693),
    [aux_sym_join_type_token2] = ACTIONS(1693),
    [aux_sym_join_type_token3] = ACTIONS(1693),
    [aux_sym_join_type_token4] = ACTIONS(1693),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1693),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1693),
    [aux_sym_join_condition_token1] = ACTIONS(1693),
    [aux_sym_insert_statement_token1] = ACTIONS(1693),
    [aux_sym_truncate_statement_token1] = ACTIONS(1693),
    [aux_sym_update_statement_token1] = ACTIONS(1693),
    [aux_sym_merge_statement_token1] = ACTIONS(1693),
    [aux_sym_grant_statement_token1] = ACTIONS(1693),
    [aux_sym_revoke_statement_token1] = ACTIONS(1693),
    [aux_sym_export_data_statement_token1] = ACTIONS(1693),
    [aux_sym_load_data_statement_token1] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1697),
    [aux_sym_keyword_replace_token1] = ACTIONS(1699),
    [aux_sym__keyword_alter_token1] = ACTIONS(1697),
    [aux_sym__keyword_create_token1] = ACTIONS(1697),
    [aux_sym__keyword_drop_token1] = ACTIONS(1697),
    [aux_sym__keyword_delete_token1] = ACTIONS(1697),
    [aux_sym__keyword_begin_token1] = ACTIONS(1697),
    [aux_sym__keyword_end_token1] = ACTIONS(1697),
    [aux_sym__keyword_between_token1] = ACTIONS(1697),
    [aux_sym__keyword_when_token1] = ACTIONS(1697),
    [aux_sym__keyword_else_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1697),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1697),
    [aux_sym__keyword_like_token1] = ACTIONS(1697),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1697),
    [aux_sym__keyword_window_token1] = ACTIONS(1697),
    [aux_sym__keyword_for_token1] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1697),
    [aux_sym_using_clause_token1] = ACTIONS(1697),
    [aux_sym_return_statement_token1] = ACTIONS(1697),
    [aux_sym_call_statement_token1] = ACTIONS(1697),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1697),
    [aux_sym_if_statement_token1] = ACTIONS(1697),
    [aux_sym_loop_statement_token1] = ACTIONS(1697),
    [aux_sym_repeat_statement_token1] = ACTIONS(1697),
    [aux_sym_while_statement_token1] = ACTIONS(1697),
    [aux_sym_break_statement_token1] = ACTIONS(1697),
    [aux_sym_leave_statement_token1] = ACTIONS(1697),
    [aux_sym_continue_statement_token1] = ACTIONS(1697),
    [aux_sym_iterate_statement_token1] = ACTIONS(1697),
    [aux_sym_raise_statement_token1] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1697),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_set_operation_token1] = ACTIONS(1697),
    [aux_sym_set_operation_token3] = ACTIONS(1697),
    [aux_sym_set_operation_token4] = ACTIONS(1699),
    [aux_sym_select_token1] = ACTIONS(1697),
    [aux_sym_having_clause_token1] = ACTIONS(1697),
    [aux_sym_qualify_clause_token1] = ACTIONS(1697),
    [aux_sym_limit_clause_token1] = ACTIONS(1697),
    [aux_sym_group_by_clause_token1] = ACTIONS(1697),
    [aux_sym_order_by_clause_token1] = ACTIONS(1697),
    [aux_sym_where_clause_token1] = ACTIONS(1697),
    [aux_sym_pivot_operator_token1] = ACTIONS(1697),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1697),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1697),
    [aux_sym_join_type_token1] = ACTIONS(1697),
    [aux_sym_join_type_token2] = ACTIONS(1697),
    [aux_sym_join_type_token3] = ACTIONS(1697),
    [aux_sym_join_type_token4] = ACTIONS(1697),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1697),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1697),
    [aux_sym_join_condition_token1] = ACTIONS(1697),
    [aux_sym_insert_statement_token1] = ACTIONS(1697),
    [aux_sym_truncate_statement_token1] = ACTIONS(1697),
    [aux_sym_update_statement_token1] = ACTIONS(1697),
    [aux_sym_merge_statement_token1] = ACTIONS(1697),
    [aux_sym_grant_statement_token1] = ACTIONS(1697),
    [aux_sym_revoke_statement_token1] = ACTIONS(1697),
    [aux_sym_export_data_statement_token1] = ACTIONS(1697),
    [aux_sym_load_data_statement_token1] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1701),
    [aux_sym_keyword_replace_token1] = ACTIONS(1703),
    [aux_sym__keyword_alter_token1] = ACTIONS(1701),
    [aux_sym__keyword_create_token1] = ACTIONS(1701),
    [aux_sym__keyword_drop_token1] = ACTIONS(1701),
    [aux_sym__keyword_delete_token1] = ACTIONS(1701),
    [aux_sym__keyword_begin_token1] = ACTIONS(1701),
    [aux_sym__keyword_end_token1] = ACTIONS(1701),
    [aux_sym__keyword_between_token1] = ACTIONS(1701),
    [aux_sym__keyword_when_token1] = ACTIONS(1701),
    [aux_sym__keyword_else_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1701),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1701),
    [aux_sym__keyword_like_token1] = ACTIONS(1701),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1701),
    [aux_sym__keyword_window_token1] = ACTIONS(1701),
    [aux_sym__keyword_for_token1] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1701),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1701),
    [aux_sym_using_clause_token1] = ACTIONS(1701),
    [aux_sym_return_statement_token1] = ACTIONS(1701),
    [aux_sym_call_statement_token1] = ACTIONS(1701),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1701),
    [aux_sym_if_statement_token1] = ACTIONS(1701),
    [aux_sym_loop_statement_token1] = ACTIONS(1701),
    [aux_sym_repeat_statement_token1] = ACTIONS(1701),
    [aux_sym_while_statement_token1] = ACTIONS(1701),
    [aux_sym_break_statement_token1] = ACTIONS(1701),
    [aux_sym_leave_statement_token1] = ACTIONS(1701),
    [aux_sym_continue_statement_token1] = ACTIONS(1701),
    [aux_sym_iterate_statement_token1] = ACTIONS(1701),
    [aux_sym_raise_statement_token1] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1701),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_set_operation_token1] = ACTIONS(1701),
    [aux_sym_set_operation_token3] = ACTIONS(1701),
    [aux_sym_set_operation_token4] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1701),
    [aux_sym_having_clause_token1] = ACTIONS(1701),
    [aux_sym_qualify_clause_token1] = ACTIONS(1701),
    [aux_sym_limit_clause_token1] = ACTIONS(1701),
    [aux_sym_group_by_clause_token1] = ACTIONS(1701),
    [aux_sym_order_by_clause_token1] = ACTIONS(1701),
    [aux_sym_where_clause_token1] = ACTIONS(1701),
    [aux_sym_pivot_operator_token1] = ACTIONS(1701),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1701),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1701),
    [aux_sym_join_type_token1] = ACTIONS(1701),
    [aux_sym_join_type_token2] = ACTIONS(1701),
    [aux_sym_join_type_token3] = ACTIONS(1701),
    [aux_sym_join_type_token4] = ACTIONS(1701),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1701),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1701),
    [aux_sym_join_condition_token1] = ACTIONS(1701),
    [aux_sym_insert_statement_token1] = ACTIONS(1701),
    [aux_sym_truncate_statement_token1] = ACTIONS(1701),
    [aux_sym_update_statement_token1] = ACTIONS(1701),
    [aux_sym_merge_statement_token1] = ACTIONS(1701),
    [aux_sym_grant_statement_token1] = ACTIONS(1701),
    [aux_sym_revoke_statement_token1] = ACTIONS(1701),
    [aux_sym_export_data_statement_token1] = ACTIONS(1701),
    [aux_sym_load_data_statement_token1] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1705),
    [aux_sym_keyword_replace_token1] = ACTIONS(1707),
    [aux_sym__keyword_alter_token1] = ACTIONS(1705),
    [aux_sym__keyword_create_token1] = ACTIONS(1705),
    [aux_sym__keyword_drop_token1] = ACTIONS(1705),
    [aux_sym__keyword_delete_token1] = ACTIONS(1705),
    [aux_sym__keyword_begin_token1] = ACTIONS(1705),
    [aux_sym__keyword_end_token1] = ACTIONS(1705),
    [aux_sym__keyword_between_token1] = ACTIONS(1705),
    [aux_sym__keyword_when_token1] = ACTIONS(1705),
    [aux_sym__keyword_else_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1705),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1705),
    [aux_sym__keyword_like_token1] = ACTIONS(1705),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1705),
    [aux_sym__keyword_window_token1] = ACTIONS(1705),
    [aux_sym__keyword_for_token1] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1705),
    [aux_sym_using_clause_token1] = ACTIONS(1705),
    [aux_sym_return_statement_token1] = ACTIONS(1705),
    [aux_sym_call_statement_token1] = ACTIONS(1705),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1705),
    [aux_sym_if_statement_token1] = ACTIONS(1705),
    [aux_sym_loop_statement_token1] = ACTIONS(1705),
    [aux_sym_repeat_statement_token1] = ACTIONS(1705),
    [aux_sym_while_statement_token1] = ACTIONS(1705),
    [aux_sym_break_statement_token1] = ACTIONS(1705),
    [aux_sym_leave_statement_token1] = ACTIONS(1705),
    [aux_sym_continue_statement_token1] = ACTIONS(1705),
    [aux_sym_iterate_statement_token1] = ACTIONS(1705),
    [aux_sym_raise_statement_token1] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1705),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_set_operation_token1] = ACTIONS(1705),
    [aux_sym_set_operation_token3] = ACTIONS(1705),
    [aux_sym_set_operation_token4] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1705),
    [aux_sym_having_clause_token1] = ACTIONS(1705),
    [aux_sym_qualify_clause_token1] = ACTIONS(1705),
    [aux_sym_limit_clause_token1] = ACTIONS(1705),
    [aux_sym_group_by_clause_token1] = ACTIONS(1705),
    [aux_sym_order_by_clause_token1] = ACTIONS(1705),
    [aux_sym_where_clause_token1] = ACTIONS(1705),
    [aux_sym_pivot_operator_token1] = ACTIONS(1705),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1705),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1705),
    [aux_sym_join_type_token1] = ACTIONS(1705),
    [aux_sym_join_type_token2] = ACTIONS(1705),
    [aux_sym_join_type_token3] = ACTIONS(1705),
    [aux_sym_join_type_token4] = ACTIONS(1705),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1705),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1705),
    [aux_sym_join_condition_token1] = ACTIONS(1705),
    [aux_sym_insert_statement_token1] = ACTIONS(1705),
    [aux_sym_truncate_statement_token1] = ACTIONS(1705),
    [aux_sym_update_statement_token1] = ACTIONS(1705),
    [aux_sym_merge_statement_token1] = ACTIONS(1705),
    [aux_sym_grant_statement_token1] = ACTIONS(1705),
    [aux_sym_revoke_statement_token1] = ACTIONS(1705),
    [aux_sym_export_data_statement_token1] = ACTIONS(1705),
    [aux_sym_load_data_statement_token1] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1709),
    [aux_sym_keyword_replace_token1] = ACTIONS(1711),
    [aux_sym__keyword_alter_token1] = ACTIONS(1709),
    [aux_sym__keyword_create_token1] = ACTIONS(1709),
    [aux_sym__keyword_drop_token1] = ACTIONS(1709),
    [aux_sym__keyword_delete_token1] = ACTIONS(1709),
    [aux_sym__keyword_begin_token1] = ACTIONS(1709),
    [aux_sym__keyword_end_token1] = ACTIONS(1709),
    [aux_sym__keyword_between_token1] = ACTIONS(1709),
    [aux_sym__keyword_when_token1] = ACTIONS(1709),
    [aux_sym__keyword_else_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1709),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1709),
    [aux_sym__keyword_like_token1] = ACTIONS(1709),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1709),
    [aux_sym__keyword_window_token1] = ACTIONS(1709),
    [aux_sym__keyword_for_token1] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1709),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1709),
    [aux_sym_using_clause_token1] = ACTIONS(1709),
    [aux_sym_return_statement_token1] = ACTIONS(1709),
    [aux_sym_call_statement_token1] = ACTIONS(1709),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1709),
    [aux_sym_if_statement_token1] = ACTIONS(1709),
    [aux_sym_loop_statement_token1] = ACTIONS(1709),
    [aux_sym_repeat_statement_token1] = ACTIONS(1709),
    [aux_sym_while_statement_token1] = ACTIONS(1709),
    [aux_sym_break_statement_token1] = ACTIONS(1709),
    [aux_sym_leave_statement_token1] = ACTIONS(1709),
    [aux_sym_continue_statement_token1] = ACTIONS(1709),
    [aux_sym_iterate_statement_token1] = ACTIONS(1709),
    [aux_sym_raise_statement_token1] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1709),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_set_operation_token1] = ACTIONS(1709),
    [aux_sym_set_operation_token3] = ACTIONS(1709),
    [aux_sym_set_operation_token4] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1709),
    [aux_sym_having_clause_token1] = ACTIONS(1709),
    [aux_sym_qualify_clause_token1] = ACTIONS(1709),
    [aux_sym_limit_clause_token1] = ACTIONS(1709),
    [aux_sym_group_by_clause_token1] = ACTIONS(1709),
    [aux_sym_order_by_clause_token1] = ACTIONS(1709),
    [aux_sym_where_clause_token1] = ACTIONS(1709),
    [aux_sym_pivot_operator_token1] = ACTIONS(1709),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1709),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1709),
    [aux_sym_join_type_token1] = ACTIONS(1709),
    [aux_sym_join_type_token2] = ACTIONS(1709),
    [aux_sym_join_type_token3] = ACTIONS(1709),
    [aux_sym_join_type_token4] = ACTIONS(1709),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1709),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1709),
    [aux_sym_join_condition_token1] = ACTIONS(1709),
    [aux_sym_insert_statement_token1] = ACTIONS(1709),
    [aux_sym_truncate_statement_token1] = ACTIONS(1709),
    [aux_sym_update_statement_token1] = ACTIONS(1709),
    [aux_sym_merge_statement_token1] = ACTIONS(1709),
    [aux_sym_grant_statement_token1] = ACTIONS(1709),
    [aux_sym_revoke_statement_token1] = ACTIONS(1709),
    [aux_sym_export_data_statement_token1] = ACTIONS(1709),
    [aux_sym_load_data_statement_token1] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_where_clause_token1] = ACTIONS(1397),
    [aux_sym_pivot_operator_token1] = ACTIONS(1397),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1397),
    [aux_sym_join_type_token1] = ACTIONS(1397),
    [aux_sym_join_type_token2] = ACTIONS(1397),
    [aux_sym_join_type_token3] = ACTIONS(1397),
    [aux_sym_join_type_token4] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1397),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1397),
    [aux_sym_join_condition_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_when_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_window_token1] = ACTIONS(1409),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_using_clause_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1409),
    [aux_sym_set_operation_token3] = ACTIONS(1409),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_having_clause_token1] = ACTIONS(1409),
    [aux_sym_qualify_clause_token1] = ACTIONS(1409),
    [aux_sym_limit_clause_token1] = ACTIONS(1409),
    [aux_sym_group_by_clause_token1] = ACTIONS(1409),
    [aux_sym_order_by_clause_token1] = ACTIONS(1409),
    [aux_sym_where_clause_token1] = ACTIONS(1409),
    [aux_sym_pivot_operator_token1] = ACTIONS(1409),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1409),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1409),
    [aux_sym_join_type_token1] = ACTIONS(1409),
    [aux_sym_join_type_token2] = ACTIONS(1409),
    [aux_sym_join_type_token3] = ACTIONS(1409),
    [aux_sym_join_type_token4] = ACTIONS(1409),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1409),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1409),
    [aux_sym_join_condition_token1] = ACTIONS(1409),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_when_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_window_token1] = ACTIONS(1413),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_using_clause_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1413),
    [aux_sym_set_operation_token3] = ACTIONS(1413),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_having_clause_token1] = ACTIONS(1413),
    [aux_sym_qualify_clause_token1] = ACTIONS(1413),
    [aux_sym_limit_clause_token1] = ACTIONS(1413),
    [aux_sym_group_by_clause_token1] = ACTIONS(1413),
    [aux_sym_order_by_clause_token1] = ACTIONS(1413),
    [aux_sym_where_clause_token1] = ACTIONS(1413),
    [aux_sym_pivot_operator_token1] = ACTIONS(1413),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1413),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1413),
    [aux_sym_join_type_token1] = ACTIONS(1413),
    [aux_sym_join_type_token2] = ACTIONS(1413),
    [aux_sym_join_type_token3] = ACTIONS(1413),
    [aux_sym_join_type_token4] = ACTIONS(1413),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1413),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1413),
    [aux_sym_join_condition_token1] = ACTIONS(1413),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1713),
    [aux_sym_keyword_replace_token1] = ACTIONS(1715),
    [aux_sym__keyword_alter_token1] = ACTIONS(1713),
    [aux_sym__keyword_create_token1] = ACTIONS(1713),
    [aux_sym__keyword_drop_token1] = ACTIONS(1713),
    [aux_sym__keyword_delete_token1] = ACTIONS(1713),
    [aux_sym__keyword_begin_token1] = ACTIONS(1713),
    [aux_sym__keyword_end_token1] = ACTIONS(1713),
    [aux_sym__keyword_between_token1] = ACTIONS(1713),
    [aux_sym__keyword_when_token1] = ACTIONS(1713),
    [aux_sym__keyword_else_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1713),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1713),
    [aux_sym__keyword_like_token1] = ACTIONS(1713),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1713),
    [aux_sym__keyword_window_token1] = ACTIONS(1713),
    [aux_sym__keyword_for_token1] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1713),
    [anon_sym_COMMA] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1713),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1713),
    [aux_sym_using_clause_token1] = ACTIONS(1713),
    [aux_sym_return_statement_token1] = ACTIONS(1713),
    [aux_sym_call_statement_token1] = ACTIONS(1713),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1713),
    [aux_sym_if_statement_token1] = ACTIONS(1713),
    [aux_sym_loop_statement_token1] = ACTIONS(1713),
    [aux_sym_repeat_statement_token1] = ACTIONS(1713),
    [aux_sym_while_statement_token1] = ACTIONS(1713),
    [aux_sym_break_statement_token1] = ACTIONS(1713),
    [aux_sym_leave_statement_token1] = ACTIONS(1713),
    [aux_sym_continue_statement_token1] = ACTIONS(1713),
    [aux_sym_iterate_statement_token1] = ACTIONS(1713),
    [aux_sym_raise_statement_token1] = ACTIONS(1713),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1713),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1713),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_set_operation_token1] = ACTIONS(1713),
    [aux_sym_set_operation_token3] = ACTIONS(1713),
    [aux_sym_set_operation_token4] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1713),
    [aux_sym_having_clause_token1] = ACTIONS(1713),
    [aux_sym_qualify_clause_token1] = ACTIONS(1713),
    [aux_sym_limit_clause_token1] = ACTIONS(1713),
    [aux_sym_group_by_clause_token1] = ACTIONS(1713),
    [aux_sym_order_by_clause_token1] = ACTIONS(1713),
    [aux_sym_where_clause_token1] = ACTIONS(1713),
    [aux_sym_pivot_operator_token1] = ACTIONS(1713),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1713),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1713),
    [aux_sym_join_type_token1] = ACTIONS(1713),
    [aux_sym_join_type_token2] = ACTIONS(1713),
    [aux_sym_join_type_token3] = ACTIONS(1713),
    [aux_sym_join_type_token4] = ACTIONS(1713),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1713),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1713),
    [aux_sym_join_condition_token1] = ACTIONS(1713),
    [aux_sym_insert_statement_token1] = ACTIONS(1713),
    [aux_sym_truncate_statement_token1] = ACTIONS(1713),
    [aux_sym_update_statement_token1] = ACTIONS(1713),
    [aux_sym_merge_statement_token1] = ACTIONS(1713),
    [aux_sym_grant_statement_token1] = ACTIONS(1713),
    [aux_sym_revoke_statement_token1] = ACTIONS(1713),
    [aux_sym_export_data_statement_token1] = ACTIONS(1713),
    [aux_sym_load_data_statement_token1] = ACTIONS(1713),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [531] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym__keyword_as] = STATE(11561),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(5386),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(4378),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(375),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(355),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(355),
    [aux_sym__keyword_create_token1] = ACTIONS(355),
    [aux_sym__keyword_drop_token1] = ACTIONS(355),
    [aux_sym__keyword_delete_token1] = ACTIONS(355),
    [aux_sym__keyword_begin_token1] = ACTIONS(355),
    [aux_sym__keyword_between_token1] = ACTIONS(1717),
    [aux_sym__keyword_is_token1] = ACTIONS(1719),
    [aux_sym__keyword_in_token1] = ACTIONS(1721),
    [aux_sym__keyword_and_token1] = ACTIONS(1723),
    [aux_sym__keyword_like_token1] = ACTIONS(369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(355),
    [aux_sym__keyword_as_token1] = ACTIONS(1331),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(375),
    [aux_sym_declare_statement_token1] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(375),
    [aux_sym_set_statement_token1] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(355),
    [aux_sym_return_statement_token1] = ACTIONS(355),
    [aux_sym_call_statement_token1] = ACTIONS(355),
    [aux_sym_loop_statement_token1] = ACTIONS(355),
    [aux_sym_while_statement_token1] = ACTIONS(355),
    [aux_sym_break_statement_token1] = ACTIONS(355),
    [aux_sym_leave_statement_token1] = ACTIONS(355),
    [aux_sym_continue_statement_token1] = ACTIONS(355),
    [aux_sym_iterate_statement_token1] = ACTIONS(355),
    [aux_sym_raise_statement_token1] = ACTIONS(355),
    [anon_sym_EQ] = ACTIONS(1725),
    [aux_sym_assert_statement_token1] = ACTIONS(355),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_GT] = ACTIONS(1721),
    [aux_sym_select_token1] = ACTIONS(355),
    [aux_sym_insert_statement_token1] = ACTIONS(355),
    [aux_sym_truncate_statement_token1] = ACTIONS(355),
    [aux_sym_update_statement_token1] = ACTIONS(355),
    [aux_sym_merge_statement_token1] = ACTIONS(355),
    [aux_sym_grant_statement_token1] = ACTIONS(355),
    [aux_sym_revoke_statement_token1] = ACTIONS(355),
    [aux_sym_export_data_statement_token1] = ACTIONS(355),
    [aux_sym_load_data_statement_token1] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1729),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1725),
    [anon_sym_LT_GT] = ACTIONS(1725),
    [anon_sym_GT_EQ] = ACTIONS(1725),
    [anon_sym_BANG_EQ] = ACTIONS(1725),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1747),
    [aux_sym_keyword_replace_token1] = ACTIONS(1749),
    [aux_sym__keyword_alter_token1] = ACTIONS(1747),
    [aux_sym__keyword_create_token1] = ACTIONS(1747),
    [aux_sym__keyword_drop_token1] = ACTIONS(1747),
    [aux_sym__keyword_delete_token1] = ACTIONS(1747),
    [aux_sym__keyword_begin_token1] = ACTIONS(1747),
    [aux_sym__keyword_end_token1] = ACTIONS(1747),
    [aux_sym__keyword_between_token1] = ACTIONS(1747),
    [aux_sym__keyword_when_token1] = ACTIONS(1747),
    [aux_sym__keyword_else_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1747),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1747),
    [aux_sym__keyword_like_token1] = ACTIONS(1747),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1747),
    [aux_sym__keyword_window_token1] = ACTIONS(1747),
    [aux_sym__keyword_for_token1] = ACTIONS(1747),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1747),
    [aux_sym_using_clause_token1] = ACTIONS(1747),
    [aux_sym_return_statement_token1] = ACTIONS(1747),
    [aux_sym_call_statement_token1] = ACTIONS(1747),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1747),
    [aux_sym_if_statement_token1] = ACTIONS(1747),
    [aux_sym_loop_statement_token1] = ACTIONS(1747),
    [aux_sym_repeat_statement_token1] = ACTIONS(1747),
    [aux_sym_while_statement_token1] = ACTIONS(1747),
    [aux_sym_break_statement_token1] = ACTIONS(1747),
    [aux_sym_leave_statement_token1] = ACTIONS(1747),
    [aux_sym_continue_statement_token1] = ACTIONS(1747),
    [aux_sym_iterate_statement_token1] = ACTIONS(1747),
    [aux_sym_raise_statement_token1] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1747),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_set_operation_token1] = ACTIONS(1747),
    [aux_sym_set_operation_token3] = ACTIONS(1747),
    [aux_sym_set_operation_token4] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1747),
    [aux_sym_having_clause_token1] = ACTIONS(1747),
    [aux_sym_qualify_clause_token1] = ACTIONS(1747),
    [aux_sym_limit_clause_token1] = ACTIONS(1747),
    [aux_sym_group_by_clause_token1] = ACTIONS(1747),
    [aux_sym_order_by_clause_token1] = ACTIONS(1747),
    [aux_sym_where_clause_token1] = ACTIONS(1747),
    [aux_sym_pivot_operator_token1] = ACTIONS(1747),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1747),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1747),
    [aux_sym_join_type_token1] = ACTIONS(1747),
    [aux_sym_join_type_token2] = ACTIONS(1747),
    [aux_sym_join_type_token3] = ACTIONS(1747),
    [aux_sym_join_type_token4] = ACTIONS(1747),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1747),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1747),
    [aux_sym_join_condition_token1] = ACTIONS(1747),
    [aux_sym_insert_statement_token1] = ACTIONS(1747),
    [aux_sym_truncate_statement_token1] = ACTIONS(1747),
    [aux_sym_update_statement_token1] = ACTIONS(1747),
    [aux_sym_merge_statement_token1] = ACTIONS(1747),
    [aux_sym_grant_statement_token1] = ACTIONS(1747),
    [aux_sym_revoke_statement_token1] = ACTIONS(1747),
    [aux_sym_export_data_statement_token1] = ACTIONS(1747),
    [aux_sym_load_data_statement_token1] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1751),
    [aux_sym_keyword_replace_token1] = ACTIONS(1753),
    [aux_sym__keyword_alter_token1] = ACTIONS(1751),
    [aux_sym__keyword_create_token1] = ACTIONS(1751),
    [aux_sym__keyword_drop_token1] = ACTIONS(1751),
    [aux_sym__keyword_delete_token1] = ACTIONS(1751),
    [aux_sym__keyword_begin_token1] = ACTIONS(1751),
    [aux_sym__keyword_end_token1] = ACTIONS(1751),
    [aux_sym__keyword_between_token1] = ACTIONS(1751),
    [aux_sym__keyword_when_token1] = ACTIONS(1751),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1751),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1751),
    [aux_sym__keyword_like_token1] = ACTIONS(1751),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1751),
    [aux_sym__keyword_window_token1] = ACTIONS(1751),
    [aux_sym__keyword_for_token1] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1751),
    [aux_sym_using_clause_token1] = ACTIONS(1751),
    [aux_sym_return_statement_token1] = ACTIONS(1751),
    [aux_sym_call_statement_token1] = ACTIONS(1751),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1751),
    [aux_sym_if_statement_token1] = ACTIONS(1751),
    [aux_sym_loop_statement_token1] = ACTIONS(1751),
    [aux_sym_repeat_statement_token1] = ACTIONS(1751),
    [aux_sym_while_statement_token1] = ACTIONS(1751),
    [aux_sym_break_statement_token1] = ACTIONS(1751),
    [aux_sym_leave_statement_token1] = ACTIONS(1751),
    [aux_sym_continue_statement_token1] = ACTIONS(1751),
    [aux_sym_iterate_statement_token1] = ACTIONS(1751),
    [aux_sym_raise_statement_token1] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1751),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_set_operation_token1] = ACTIONS(1751),
    [aux_sym_set_operation_token3] = ACTIONS(1751),
    [aux_sym_set_operation_token4] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1751),
    [aux_sym_having_clause_token1] = ACTIONS(1751),
    [aux_sym_qualify_clause_token1] = ACTIONS(1751),
    [aux_sym_limit_clause_token1] = ACTIONS(1751),
    [aux_sym_group_by_clause_token1] = ACTIONS(1751),
    [aux_sym_order_by_clause_token1] = ACTIONS(1751),
    [aux_sym_where_clause_token1] = ACTIONS(1751),
    [aux_sym_pivot_operator_token1] = ACTIONS(1751),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1751),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1751),
    [aux_sym_join_type_token1] = ACTIONS(1751),
    [aux_sym_join_type_token2] = ACTIONS(1751),
    [aux_sym_join_type_token3] = ACTIONS(1751),
    [aux_sym_join_type_token4] = ACTIONS(1751),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1751),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1751),
    [aux_sym_join_condition_token1] = ACTIONS(1751),
    [aux_sym_insert_statement_token1] = ACTIONS(1751),
    [aux_sym_truncate_statement_token1] = ACTIONS(1751),
    [aux_sym_update_statement_token1] = ACTIONS(1751),
    [aux_sym_merge_statement_token1] = ACTIONS(1751),
    [aux_sym_grant_statement_token1] = ACTIONS(1751),
    [aux_sym_revoke_statement_token1] = ACTIONS(1751),
    [aux_sym_export_data_statement_token1] = ACTIONS(1751),
    [aux_sym_load_data_statement_token1] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [547] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(15191),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9448),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_asterisk_expression] = STATE(16356),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_window_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_having_clause_token1] = ACTIONS(1469),
    [aux_sym_qualify_clause_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym_group_by_clause_token1] = ACTIONS(1469),
    [aux_sym_order_by_clause_token1] = ACTIONS(1469),
    [aux_sym_where_clause_token1] = ACTIONS(1469),
    [aux_sym_pivot_operator_token1] = ACTIONS(1469),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1469),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1469),
    [aux_sym_join_type_token1] = ACTIONS(1469),
    [aux_sym_join_type_token2] = ACTIONS(1469),
    [aux_sym_join_type_token3] = ACTIONS(1469),
    [aux_sym_join_type_token4] = ACTIONS(1469),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1469),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1469),
    [aux_sym_join_condition_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1755),
    [aux_sym_keyword_replace_token1] = ACTIONS(1757),
    [aux_sym__keyword_alter_token1] = ACTIONS(1755),
    [aux_sym__keyword_create_token1] = ACTIONS(1755),
    [aux_sym__keyword_drop_token1] = ACTIONS(1755),
    [aux_sym__keyword_delete_token1] = ACTIONS(1755),
    [aux_sym__keyword_begin_token1] = ACTIONS(1755),
    [aux_sym__keyword_end_token1] = ACTIONS(1755),
    [aux_sym__keyword_between_token1] = ACTIONS(1755),
    [aux_sym__keyword_when_token1] = ACTIONS(1755),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1755),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1755),
    [aux_sym__keyword_like_token1] = ACTIONS(1755),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1755),
    [aux_sym__keyword_window_token1] = ACTIONS(1755),
    [aux_sym__keyword_for_token1] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1755),
    [aux_sym_using_clause_token1] = ACTIONS(1755),
    [aux_sym_return_statement_token1] = ACTIONS(1755),
    [aux_sym_call_statement_token1] = ACTIONS(1755),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1755),
    [aux_sym_if_statement_token1] = ACTIONS(1755),
    [aux_sym_loop_statement_token1] = ACTIONS(1755),
    [aux_sym_repeat_statement_token1] = ACTIONS(1755),
    [aux_sym_while_statement_token1] = ACTIONS(1755),
    [aux_sym_break_statement_token1] = ACTIONS(1755),
    [aux_sym_leave_statement_token1] = ACTIONS(1755),
    [aux_sym_continue_statement_token1] = ACTIONS(1755),
    [aux_sym_iterate_statement_token1] = ACTIONS(1755),
    [aux_sym_raise_statement_token1] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1755),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_set_operation_token1] = ACTIONS(1755),
    [aux_sym_set_operation_token3] = ACTIONS(1755),
    [aux_sym_set_operation_token4] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1755),
    [aux_sym_having_clause_token1] = ACTIONS(1755),
    [aux_sym_qualify_clause_token1] = ACTIONS(1755),
    [aux_sym_limit_clause_token1] = ACTIONS(1755),
    [aux_sym_group_by_clause_token1] = ACTIONS(1755),
    [aux_sym_order_by_clause_token1] = ACTIONS(1755),
    [aux_sym_where_clause_token1] = ACTIONS(1755),
    [aux_sym_pivot_operator_token1] = ACTIONS(1755),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1755),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1755),
    [aux_sym_join_type_token1] = ACTIONS(1755),
    [aux_sym_join_type_token2] = ACTIONS(1755),
    [aux_sym_join_type_token3] = ACTIONS(1755),
    [aux_sym_join_type_token4] = ACTIONS(1755),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1755),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1755),
    [aux_sym_join_condition_token1] = ACTIONS(1755),
    [aux_sym_insert_statement_token1] = ACTIONS(1755),
    [aux_sym_truncate_statement_token1] = ACTIONS(1755),
    [aux_sym_update_statement_token1] = ACTIONS(1755),
    [aux_sym_merge_statement_token1] = ACTIONS(1755),
    [aux_sym_grant_statement_token1] = ACTIONS(1755),
    [aux_sym_revoke_statement_token1] = ACTIONS(1755),
    [aux_sym_export_data_statement_token1] = ACTIONS(1755),
    [aux_sym_load_data_statement_token1] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1759),
    [aux_sym_keyword_replace_token1] = ACTIONS(1761),
    [aux_sym__keyword_alter_token1] = ACTIONS(1759),
    [aux_sym__keyword_create_token1] = ACTIONS(1759),
    [aux_sym__keyword_drop_token1] = ACTIONS(1759),
    [aux_sym__keyword_delete_token1] = ACTIONS(1759),
    [aux_sym__keyword_begin_token1] = ACTIONS(1759),
    [aux_sym__keyword_end_token1] = ACTIONS(1759),
    [aux_sym__keyword_between_token1] = ACTIONS(1759),
    [aux_sym__keyword_when_token1] = ACTIONS(1759),
    [aux_sym__keyword_else_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1759),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1759),
    [aux_sym__keyword_like_token1] = ACTIONS(1759),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1759),
    [aux_sym__keyword_window_token1] = ACTIONS(1759),
    [aux_sym__keyword_for_token1] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1759),
    [aux_sym_using_clause_token1] = ACTIONS(1759),
    [aux_sym_return_statement_token1] = ACTIONS(1759),
    [aux_sym_call_statement_token1] = ACTIONS(1759),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1759),
    [aux_sym_if_statement_token1] = ACTIONS(1759),
    [aux_sym_loop_statement_token1] = ACTIONS(1759),
    [aux_sym_repeat_statement_token1] = ACTIONS(1759),
    [aux_sym_while_statement_token1] = ACTIONS(1759),
    [aux_sym_break_statement_token1] = ACTIONS(1759),
    [aux_sym_leave_statement_token1] = ACTIONS(1759),
    [aux_sym_continue_statement_token1] = ACTIONS(1759),
    [aux_sym_iterate_statement_token1] = ACTIONS(1759),
    [aux_sym_raise_statement_token1] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1759),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_set_operation_token1] = ACTIONS(1759),
    [aux_sym_set_operation_token3] = ACTIONS(1759),
    [aux_sym_set_operation_token4] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1759),
    [aux_sym_having_clause_token1] = ACTIONS(1759),
    [aux_sym_qualify_clause_token1] = ACTIONS(1759),
    [aux_sym_limit_clause_token1] = ACTIONS(1759),
    [aux_sym_group_by_clause_token1] = ACTIONS(1759),
    [aux_sym_order_by_clause_token1] = ACTIONS(1759),
    [aux_sym_where_clause_token1] = ACTIONS(1759),
    [aux_sym_pivot_operator_token1] = ACTIONS(1759),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1759),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1759),
    [aux_sym_join_type_token1] = ACTIONS(1759),
    [aux_sym_join_type_token2] = ACTIONS(1759),
    [aux_sym_join_type_token3] = ACTIONS(1759),
    [aux_sym_join_type_token4] = ACTIONS(1759),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1759),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1759),
    [aux_sym_join_condition_token1] = ACTIONS(1759),
    [aux_sym_insert_statement_token1] = ACTIONS(1759),
    [aux_sym_truncate_statement_token1] = ACTIONS(1759),
    [aux_sym_update_statement_token1] = ACTIONS(1759),
    [aux_sym_merge_statement_token1] = ACTIONS(1759),
    [aux_sym_grant_statement_token1] = ACTIONS(1759),
    [aux_sym_revoke_statement_token1] = ACTIONS(1759),
    [aux_sym_export_data_statement_token1] = ACTIONS(1759),
    [aux_sym_load_data_statement_token1] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1763),
    [aux_sym_keyword_replace_token1] = ACTIONS(1765),
    [aux_sym__keyword_alter_token1] = ACTIONS(1763),
    [aux_sym__keyword_create_token1] = ACTIONS(1763),
    [aux_sym__keyword_drop_token1] = ACTIONS(1763),
    [aux_sym__keyword_delete_token1] = ACTIONS(1763),
    [aux_sym__keyword_begin_token1] = ACTIONS(1763),
    [aux_sym__keyword_end_token1] = ACTIONS(1763),
    [aux_sym__keyword_between_token1] = ACTIONS(1763),
    [aux_sym__keyword_when_token1] = ACTIONS(1763),
    [aux_sym__keyword_else_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1763),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1763),
    [aux_sym__keyword_like_token1] = ACTIONS(1763),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1763),
    [aux_sym__keyword_window_token1] = ACTIONS(1763),
    [aux_sym__keyword_for_token1] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1763),
    [aux_sym_using_clause_token1] = ACTIONS(1763),
    [aux_sym_return_statement_token1] = ACTIONS(1763),
    [aux_sym_call_statement_token1] = ACTIONS(1763),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1763),
    [aux_sym_if_statement_token1] = ACTIONS(1763),
    [aux_sym_loop_statement_token1] = ACTIONS(1763),
    [aux_sym_repeat_statement_token1] = ACTIONS(1763),
    [aux_sym_while_statement_token1] = ACTIONS(1763),
    [aux_sym_break_statement_token1] = ACTIONS(1763),
    [aux_sym_leave_statement_token1] = ACTIONS(1763),
    [aux_sym_continue_statement_token1] = ACTIONS(1763),
    [aux_sym_iterate_statement_token1] = ACTIONS(1763),
    [aux_sym_raise_statement_token1] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1763),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_set_operation_token1] = ACTIONS(1763),
    [aux_sym_set_operation_token3] = ACTIONS(1763),
    [aux_sym_set_operation_token4] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1763),
    [aux_sym_having_clause_token1] = ACTIONS(1763),
    [aux_sym_qualify_clause_token1] = ACTIONS(1763),
    [aux_sym_limit_clause_token1] = ACTIONS(1763),
    [aux_sym_group_by_clause_token1] = ACTIONS(1763),
    [aux_sym_order_by_clause_token1] = ACTIONS(1763),
    [aux_sym_where_clause_token1] = ACTIONS(1763),
    [aux_sym_pivot_operator_token1] = ACTIONS(1763),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1763),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1763),
    [aux_sym_join_type_token1] = ACTIONS(1763),
    [aux_sym_join_type_token2] = ACTIONS(1763),
    [aux_sym_join_type_token3] = ACTIONS(1763),
    [aux_sym_join_type_token4] = ACTIONS(1763),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1763),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1763),
    [aux_sym_join_condition_token1] = ACTIONS(1763),
    [aux_sym_insert_statement_token1] = ACTIONS(1763),
    [aux_sym_truncate_statement_token1] = ACTIONS(1763),
    [aux_sym_update_statement_token1] = ACTIONS(1763),
    [aux_sym_merge_statement_token1] = ACTIONS(1763),
    [aux_sym_grant_statement_token1] = ACTIONS(1763),
    [aux_sym_revoke_statement_token1] = ACTIONS(1763),
    [aux_sym_export_data_statement_token1] = ACTIONS(1763),
    [aux_sym_load_data_statement_token1] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1767),
    [aux_sym_keyword_replace_token1] = ACTIONS(1769),
    [aux_sym__keyword_alter_token1] = ACTIONS(1767),
    [aux_sym__keyword_create_token1] = ACTIONS(1767),
    [aux_sym__keyword_drop_token1] = ACTIONS(1767),
    [aux_sym__keyword_delete_token1] = ACTIONS(1767),
    [aux_sym__keyword_begin_token1] = ACTIONS(1767),
    [aux_sym__keyword_end_token1] = ACTIONS(1767),
    [aux_sym__keyword_between_token1] = ACTIONS(1767),
    [aux_sym__keyword_when_token1] = ACTIONS(1767),
    [aux_sym__keyword_else_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1767),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1767),
    [aux_sym__keyword_like_token1] = ACTIONS(1767),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1767),
    [aux_sym__keyword_window_token1] = ACTIONS(1767),
    [aux_sym__keyword_for_token1] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1767),
    [aux_sym_using_clause_token1] = ACTIONS(1767),
    [aux_sym_return_statement_token1] = ACTIONS(1767),
    [aux_sym_call_statement_token1] = ACTIONS(1767),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1767),
    [aux_sym_if_statement_token1] = ACTIONS(1767),
    [aux_sym_loop_statement_token1] = ACTIONS(1767),
    [aux_sym_repeat_statement_token1] = ACTIONS(1767),
    [aux_sym_while_statement_token1] = ACTIONS(1767),
    [aux_sym_break_statement_token1] = ACTIONS(1767),
    [aux_sym_leave_statement_token1] = ACTIONS(1767),
    [aux_sym_continue_statement_token1] = ACTIONS(1767),
    [aux_sym_iterate_statement_token1] = ACTIONS(1767),
    [aux_sym_raise_statement_token1] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1767),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_set_operation_token1] = ACTIONS(1767),
    [aux_sym_set_operation_token3] = ACTIONS(1767),
    [aux_sym_set_operation_token4] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1767),
    [aux_sym_having_clause_token1] = ACTIONS(1767),
    [aux_sym_qualify_clause_token1] = ACTIONS(1767),
    [aux_sym_limit_clause_token1] = ACTIONS(1767),
    [aux_sym_group_by_clause_token1] = ACTIONS(1767),
    [aux_sym_order_by_clause_token1] = ACTIONS(1767),
    [aux_sym_where_clause_token1] = ACTIONS(1767),
    [aux_sym_pivot_operator_token1] = ACTIONS(1767),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1767),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1767),
    [aux_sym_join_type_token1] = ACTIONS(1767),
    [aux_sym_join_type_token2] = ACTIONS(1767),
    [aux_sym_join_type_token3] = ACTIONS(1767),
    [aux_sym_join_type_token4] = ACTIONS(1767),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1767),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1767),
    [aux_sym_join_condition_token1] = ACTIONS(1767),
    [aux_sym_insert_statement_token1] = ACTIONS(1767),
    [aux_sym_truncate_statement_token1] = ACTIONS(1767),
    [aux_sym_update_statement_token1] = ACTIONS(1767),
    [aux_sym_merge_statement_token1] = ACTIONS(1767),
    [aux_sym_grant_statement_token1] = ACTIONS(1767),
    [aux_sym_revoke_statement_token1] = ACTIONS(1767),
    [aux_sym_export_data_statement_token1] = ACTIONS(1767),
    [aux_sym_load_data_statement_token1] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1771),
    [aux_sym_keyword_replace_token1] = ACTIONS(1773),
    [aux_sym__keyword_alter_token1] = ACTIONS(1771),
    [aux_sym__keyword_create_token1] = ACTIONS(1771),
    [aux_sym__keyword_drop_token1] = ACTIONS(1771),
    [aux_sym__keyword_delete_token1] = ACTIONS(1771),
    [aux_sym__keyword_begin_token1] = ACTIONS(1771),
    [aux_sym__keyword_end_token1] = ACTIONS(1771),
    [aux_sym__keyword_between_token1] = ACTIONS(1771),
    [aux_sym__keyword_when_token1] = ACTIONS(1771),
    [aux_sym__keyword_else_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1771),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1771),
    [aux_sym__keyword_like_token1] = ACTIONS(1771),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1771),
    [aux_sym__keyword_window_token1] = ACTIONS(1771),
    [aux_sym__keyword_for_token1] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1771),
    [aux_sym_using_clause_token1] = ACTIONS(1771),
    [aux_sym_return_statement_token1] = ACTIONS(1771),
    [aux_sym_call_statement_token1] = ACTIONS(1771),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1771),
    [aux_sym_if_statement_token1] = ACTIONS(1771),
    [aux_sym_loop_statement_token1] = ACTIONS(1771),
    [aux_sym_repeat_statement_token1] = ACTIONS(1771),
    [aux_sym_while_statement_token1] = ACTIONS(1771),
    [aux_sym_break_statement_token1] = ACTIONS(1771),
    [aux_sym_leave_statement_token1] = ACTIONS(1771),
    [aux_sym_continue_statement_token1] = ACTIONS(1771),
    [aux_sym_iterate_statement_token1] = ACTIONS(1771),
    [aux_sym_raise_statement_token1] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1771),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1771),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_set_operation_token1] = ACTIONS(1771),
    [aux_sym_set_operation_token3] = ACTIONS(1771),
    [aux_sym_set_operation_token4] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1771),
    [aux_sym_having_clause_token1] = ACTIONS(1771),
    [aux_sym_qualify_clause_token1] = ACTIONS(1771),
    [aux_sym_limit_clause_token1] = ACTIONS(1771),
    [aux_sym_group_by_clause_token1] = ACTIONS(1771),
    [aux_sym_order_by_clause_token1] = ACTIONS(1771),
    [aux_sym_where_clause_token1] = ACTIONS(1771),
    [aux_sym_pivot_operator_token1] = ACTIONS(1771),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1771),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1771),
    [aux_sym_join_type_token1] = ACTIONS(1771),
    [aux_sym_join_type_token2] = ACTIONS(1771),
    [aux_sym_join_type_token3] = ACTIONS(1771),
    [aux_sym_join_type_token4] = ACTIONS(1771),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1771),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1771),
    [aux_sym_join_condition_token1] = ACTIONS(1771),
    [aux_sym_insert_statement_token1] = ACTIONS(1771),
    [aux_sym_truncate_statement_token1] = ACTIONS(1771),
    [aux_sym_update_statement_token1] = ACTIONS(1771),
    [aux_sym_merge_statement_token1] = ACTIONS(1771),
    [aux_sym_grant_statement_token1] = ACTIONS(1771),
    [aux_sym_revoke_statement_token1] = ACTIONS(1771),
    [aux_sym_export_data_statement_token1] = ACTIONS(1771),
    [aux_sym_load_data_statement_token1] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1775),
    [aux_sym_keyword_replace_token1] = ACTIONS(1777),
    [aux_sym__keyword_alter_token1] = ACTIONS(1775),
    [aux_sym__keyword_create_token1] = ACTIONS(1775),
    [aux_sym__keyword_drop_token1] = ACTIONS(1775),
    [aux_sym__keyword_delete_token1] = ACTIONS(1775),
    [aux_sym__keyword_begin_token1] = ACTIONS(1775),
    [aux_sym__keyword_end_token1] = ACTIONS(1775),
    [aux_sym__keyword_between_token1] = ACTIONS(1775),
    [aux_sym__keyword_when_token1] = ACTIONS(1775),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1775),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1775),
    [aux_sym__keyword_like_token1] = ACTIONS(1775),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1775),
    [aux_sym__keyword_window_token1] = ACTIONS(1775),
    [aux_sym__keyword_for_token1] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1775),
    [aux_sym_using_clause_token1] = ACTIONS(1775),
    [aux_sym_return_statement_token1] = ACTIONS(1775),
    [aux_sym_call_statement_token1] = ACTIONS(1775),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1775),
    [aux_sym_if_statement_token1] = ACTIONS(1775),
    [aux_sym_loop_statement_token1] = ACTIONS(1775),
    [aux_sym_repeat_statement_token1] = ACTIONS(1775),
    [aux_sym_while_statement_token1] = ACTIONS(1775),
    [aux_sym_break_statement_token1] = ACTIONS(1775),
    [aux_sym_leave_statement_token1] = ACTIONS(1775),
    [aux_sym_continue_statement_token1] = ACTIONS(1775),
    [aux_sym_iterate_statement_token1] = ACTIONS(1775),
    [aux_sym_raise_statement_token1] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1775),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_set_operation_token1] = ACTIONS(1775),
    [aux_sym_set_operation_token3] = ACTIONS(1775),
    [aux_sym_set_operation_token4] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1775),
    [aux_sym_having_clause_token1] = ACTIONS(1775),
    [aux_sym_qualify_clause_token1] = ACTIONS(1775),
    [aux_sym_limit_clause_token1] = ACTIONS(1775),
    [aux_sym_group_by_clause_token1] = ACTIONS(1775),
    [aux_sym_order_by_clause_token1] = ACTIONS(1775),
    [aux_sym_where_clause_token1] = ACTIONS(1775),
    [aux_sym_pivot_operator_token1] = ACTIONS(1775),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1775),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1775),
    [aux_sym_join_type_token1] = ACTIONS(1775),
    [aux_sym_join_type_token2] = ACTIONS(1775),
    [aux_sym_join_type_token3] = ACTIONS(1775),
    [aux_sym_join_type_token4] = ACTIONS(1775),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1775),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1775),
    [aux_sym_join_condition_token1] = ACTIONS(1775),
    [aux_sym_insert_statement_token1] = ACTIONS(1775),
    [aux_sym_truncate_statement_token1] = ACTIONS(1775),
    [aux_sym_update_statement_token1] = ACTIONS(1775),
    [aux_sym_merge_statement_token1] = ACTIONS(1775),
    [aux_sym_grant_statement_token1] = ACTIONS(1775),
    [aux_sym_revoke_statement_token1] = ACTIONS(1775),
    [aux_sym_export_data_statement_token1] = ACTIONS(1775),
    [aux_sym_load_data_statement_token1] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1779),
    [aux_sym_keyword_replace_token1] = ACTIONS(1781),
    [aux_sym__keyword_alter_token1] = ACTIONS(1779),
    [aux_sym__keyword_create_token1] = ACTIONS(1779),
    [aux_sym__keyword_drop_token1] = ACTIONS(1779),
    [aux_sym__keyword_delete_token1] = ACTIONS(1779),
    [aux_sym__keyword_begin_token1] = ACTIONS(1779),
    [aux_sym__keyword_end_token1] = ACTIONS(1779),
    [aux_sym__keyword_between_token1] = ACTIONS(1779),
    [aux_sym__keyword_when_token1] = ACTIONS(1779),
    [aux_sym__keyword_else_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1779),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1779),
    [aux_sym__keyword_like_token1] = ACTIONS(1779),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1779),
    [aux_sym__keyword_window_token1] = ACTIONS(1779),
    [aux_sym__keyword_for_token1] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1779),
    [aux_sym_using_clause_token1] = ACTIONS(1779),
    [aux_sym_return_statement_token1] = ACTIONS(1779),
    [aux_sym_call_statement_token1] = ACTIONS(1779),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1779),
    [aux_sym_if_statement_token1] = ACTIONS(1779),
    [aux_sym_loop_statement_token1] = ACTIONS(1779),
    [aux_sym_repeat_statement_token1] = ACTIONS(1779),
    [aux_sym_while_statement_token1] = ACTIONS(1779),
    [aux_sym_break_statement_token1] = ACTIONS(1779),
    [aux_sym_leave_statement_token1] = ACTIONS(1779),
    [aux_sym_continue_statement_token1] = ACTIONS(1779),
    [aux_sym_iterate_statement_token1] = ACTIONS(1779),
    [aux_sym_raise_statement_token1] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1779),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_set_operation_token1] = ACTIONS(1779),
    [aux_sym_set_operation_token3] = ACTIONS(1779),
    [aux_sym_set_operation_token4] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1779),
    [aux_sym_having_clause_token1] = ACTIONS(1779),
    [aux_sym_qualify_clause_token1] = ACTIONS(1779),
    [aux_sym_limit_clause_token1] = ACTIONS(1779),
    [aux_sym_group_by_clause_token1] = ACTIONS(1779),
    [aux_sym_order_by_clause_token1] = ACTIONS(1779),
    [aux_sym_where_clause_token1] = ACTIONS(1779),
    [aux_sym_pivot_operator_token1] = ACTIONS(1779),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1779),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1779),
    [aux_sym_join_type_token1] = ACTIONS(1779),
    [aux_sym_join_type_token2] = ACTIONS(1779),
    [aux_sym_join_type_token3] = ACTIONS(1779),
    [aux_sym_join_type_token4] = ACTIONS(1779),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1779),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1779),
    [aux_sym_join_condition_token1] = ACTIONS(1779),
    [aux_sym_insert_statement_token1] = ACTIONS(1779),
    [aux_sym_truncate_statement_token1] = ACTIONS(1779),
    [aux_sym_update_statement_token1] = ACTIONS(1779),
    [aux_sym_merge_statement_token1] = ACTIONS(1779),
    [aux_sym_grant_statement_token1] = ACTIONS(1779),
    [aux_sym_revoke_statement_token1] = ACTIONS(1779),
    [aux_sym_export_data_statement_token1] = ACTIONS(1779),
    [aux_sym_load_data_statement_token1] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1783),
    [aux_sym_keyword_replace_token1] = ACTIONS(1785),
    [aux_sym__keyword_alter_token1] = ACTIONS(1783),
    [aux_sym__keyword_create_token1] = ACTIONS(1783),
    [aux_sym__keyword_drop_token1] = ACTIONS(1783),
    [aux_sym__keyword_delete_token1] = ACTIONS(1783),
    [aux_sym__keyword_begin_token1] = ACTIONS(1783),
    [aux_sym__keyword_end_token1] = ACTIONS(1783),
    [aux_sym__keyword_between_token1] = ACTIONS(1783),
    [aux_sym__keyword_when_token1] = ACTIONS(1783),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1783),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1783),
    [aux_sym__keyword_like_token1] = ACTIONS(1783),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1783),
    [aux_sym__keyword_window_token1] = ACTIONS(1783),
    [aux_sym__keyword_for_token1] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1783),
    [aux_sym_using_clause_token1] = ACTIONS(1783),
    [aux_sym_return_statement_token1] = ACTIONS(1783),
    [aux_sym_call_statement_token1] = ACTIONS(1783),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1783),
    [aux_sym_if_statement_token1] = ACTIONS(1783),
    [aux_sym_loop_statement_token1] = ACTIONS(1783),
    [aux_sym_repeat_statement_token1] = ACTIONS(1783),
    [aux_sym_while_statement_token1] = ACTIONS(1783),
    [aux_sym_break_statement_token1] = ACTIONS(1783),
    [aux_sym_leave_statement_token1] = ACTIONS(1783),
    [aux_sym_continue_statement_token1] = ACTIONS(1783),
    [aux_sym_iterate_statement_token1] = ACTIONS(1783),
    [aux_sym_raise_statement_token1] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1783),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_set_operation_token1] = ACTIONS(1783),
    [aux_sym_set_operation_token3] = ACTIONS(1783),
    [aux_sym_set_operation_token4] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1783),
    [aux_sym_having_clause_token1] = ACTIONS(1783),
    [aux_sym_qualify_clause_token1] = ACTIONS(1783),
    [aux_sym_limit_clause_token1] = ACTIONS(1783),
    [aux_sym_group_by_clause_token1] = ACTIONS(1783),
    [aux_sym_order_by_clause_token1] = ACTIONS(1783),
    [aux_sym_where_clause_token1] = ACTIONS(1783),
    [aux_sym_pivot_operator_token1] = ACTIONS(1783),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1783),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1783),
    [aux_sym_join_type_token1] = ACTIONS(1783),
    [aux_sym_join_type_token2] = ACTIONS(1783),
    [aux_sym_join_type_token3] = ACTIONS(1783),
    [aux_sym_join_type_token4] = ACTIONS(1783),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1783),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1783),
    [aux_sym_join_condition_token1] = ACTIONS(1783),
    [aux_sym_insert_statement_token1] = ACTIONS(1783),
    [aux_sym_truncate_statement_token1] = ACTIONS(1783),
    [aux_sym_update_statement_token1] = ACTIONS(1783),
    [aux_sym_merge_statement_token1] = ACTIONS(1783),
    [aux_sym_grant_statement_token1] = ACTIONS(1783),
    [aux_sym_revoke_statement_token1] = ACTIONS(1783),
    [aux_sym_export_data_statement_token1] = ACTIONS(1783),
    [aux_sym_load_data_statement_token1] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1787),
    [aux_sym_keyword_replace_token1] = ACTIONS(1789),
    [aux_sym__keyword_alter_token1] = ACTIONS(1787),
    [aux_sym__keyword_create_token1] = ACTIONS(1787),
    [aux_sym__keyword_drop_token1] = ACTIONS(1787),
    [aux_sym__keyword_delete_token1] = ACTIONS(1787),
    [aux_sym__keyword_begin_token1] = ACTIONS(1787),
    [aux_sym__keyword_end_token1] = ACTIONS(1787),
    [aux_sym__keyword_between_token1] = ACTIONS(1787),
    [aux_sym__keyword_when_token1] = ACTIONS(1787),
    [aux_sym__keyword_else_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1787),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1787),
    [aux_sym__keyword_like_token1] = ACTIONS(1787),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1787),
    [aux_sym__keyword_window_token1] = ACTIONS(1787),
    [aux_sym__keyword_for_token1] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1787),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1787),
    [aux_sym_using_clause_token1] = ACTIONS(1787),
    [aux_sym_return_statement_token1] = ACTIONS(1787),
    [aux_sym_call_statement_token1] = ACTIONS(1787),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1787),
    [aux_sym_if_statement_token1] = ACTIONS(1787),
    [aux_sym_loop_statement_token1] = ACTIONS(1787),
    [aux_sym_repeat_statement_token1] = ACTIONS(1787),
    [aux_sym_while_statement_token1] = ACTIONS(1787),
    [aux_sym_break_statement_token1] = ACTIONS(1787),
    [aux_sym_leave_statement_token1] = ACTIONS(1787),
    [aux_sym_continue_statement_token1] = ACTIONS(1787),
    [aux_sym_iterate_statement_token1] = ACTIONS(1787),
    [aux_sym_raise_statement_token1] = ACTIONS(1787),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1787),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_set_operation_token1] = ACTIONS(1787),
    [aux_sym_set_operation_token3] = ACTIONS(1787),
    [aux_sym_set_operation_token4] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1787),
    [aux_sym_having_clause_token1] = ACTIONS(1787),
    [aux_sym_qualify_clause_token1] = ACTIONS(1787),
    [aux_sym_limit_clause_token1] = ACTIONS(1787),
    [aux_sym_group_by_clause_token1] = ACTIONS(1787),
    [aux_sym_order_by_clause_token1] = ACTIONS(1787),
    [aux_sym_where_clause_token1] = ACTIONS(1787),
    [aux_sym_pivot_operator_token1] = ACTIONS(1787),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1787),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1787),
    [aux_sym_join_type_token1] = ACTIONS(1787),
    [aux_sym_join_type_token2] = ACTIONS(1787),
    [aux_sym_join_type_token3] = ACTIONS(1787),
    [aux_sym_join_type_token4] = ACTIONS(1787),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1787),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1787),
    [aux_sym_join_condition_token1] = ACTIONS(1787),
    [aux_sym_insert_statement_token1] = ACTIONS(1787),
    [aux_sym_truncate_statement_token1] = ACTIONS(1787),
    [aux_sym_update_statement_token1] = ACTIONS(1787),
    [aux_sym_merge_statement_token1] = ACTIONS(1787),
    [aux_sym_grant_statement_token1] = ACTIONS(1787),
    [aux_sym_revoke_statement_token1] = ACTIONS(1787),
    [aux_sym_export_data_statement_token1] = ACTIONS(1787),
    [aux_sym_load_data_statement_token1] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1791),
    [aux_sym_keyword_replace_token1] = ACTIONS(1793),
    [aux_sym__keyword_alter_token1] = ACTIONS(1791),
    [aux_sym__keyword_create_token1] = ACTIONS(1791),
    [aux_sym__keyword_drop_token1] = ACTIONS(1791),
    [aux_sym__keyword_delete_token1] = ACTIONS(1791),
    [aux_sym__keyword_begin_token1] = ACTIONS(1791),
    [aux_sym__keyword_end_token1] = ACTIONS(1791),
    [aux_sym__keyword_between_token1] = ACTIONS(1791),
    [aux_sym__keyword_when_token1] = ACTIONS(1791),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1791),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1791),
    [aux_sym__keyword_like_token1] = ACTIONS(1791),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1791),
    [aux_sym__keyword_window_token1] = ACTIONS(1791),
    [aux_sym__keyword_for_token1] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1791),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1791),
    [aux_sym_using_clause_token1] = ACTIONS(1791),
    [aux_sym_return_statement_token1] = ACTIONS(1791),
    [aux_sym_call_statement_token1] = ACTIONS(1791),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1791),
    [aux_sym_if_statement_token1] = ACTIONS(1791),
    [aux_sym_loop_statement_token1] = ACTIONS(1791),
    [aux_sym_repeat_statement_token1] = ACTIONS(1791),
    [aux_sym_while_statement_token1] = ACTIONS(1791),
    [aux_sym_break_statement_token1] = ACTIONS(1791),
    [aux_sym_leave_statement_token1] = ACTIONS(1791),
    [aux_sym_continue_statement_token1] = ACTIONS(1791),
    [aux_sym_iterate_statement_token1] = ACTIONS(1791),
    [aux_sym_raise_statement_token1] = ACTIONS(1791),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1791),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_set_operation_token1] = ACTIONS(1791),
    [aux_sym_set_operation_token3] = ACTIONS(1791),
    [aux_sym_set_operation_token4] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1791),
    [aux_sym_having_clause_token1] = ACTIONS(1791),
    [aux_sym_qualify_clause_token1] = ACTIONS(1791),
    [aux_sym_limit_clause_token1] = ACTIONS(1791),
    [aux_sym_group_by_clause_token1] = ACTIONS(1791),
    [aux_sym_order_by_clause_token1] = ACTIONS(1791),
    [aux_sym_where_clause_token1] = ACTIONS(1791),
    [aux_sym_pivot_operator_token1] = ACTIONS(1791),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1791),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1791),
    [aux_sym_join_type_token1] = ACTIONS(1791),
    [aux_sym_join_type_token2] = ACTIONS(1791),
    [aux_sym_join_type_token3] = ACTIONS(1791),
    [aux_sym_join_type_token4] = ACTIONS(1791),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1791),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1791),
    [aux_sym_join_condition_token1] = ACTIONS(1791),
    [aux_sym_insert_statement_token1] = ACTIONS(1791),
    [aux_sym_truncate_statement_token1] = ACTIONS(1791),
    [aux_sym_update_statement_token1] = ACTIONS(1791),
    [aux_sym_merge_statement_token1] = ACTIONS(1791),
    [aux_sym_grant_statement_token1] = ACTIONS(1791),
    [aux_sym_revoke_statement_token1] = ACTIONS(1791),
    [aux_sym_export_data_statement_token1] = ACTIONS(1791),
    [aux_sym_load_data_statement_token1] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1795),
    [aux_sym_keyword_replace_token1] = ACTIONS(1797),
    [aux_sym__keyword_alter_token1] = ACTIONS(1795),
    [aux_sym__keyword_create_token1] = ACTIONS(1795),
    [aux_sym__keyword_drop_token1] = ACTIONS(1795),
    [aux_sym__keyword_delete_token1] = ACTIONS(1795),
    [aux_sym__keyword_begin_token1] = ACTIONS(1795),
    [aux_sym__keyword_end_token1] = ACTIONS(1795),
    [aux_sym__keyword_between_token1] = ACTIONS(1795),
    [aux_sym__keyword_when_token1] = ACTIONS(1795),
    [aux_sym__keyword_else_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1795),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1795),
    [aux_sym__keyword_like_token1] = ACTIONS(1795),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1795),
    [aux_sym__keyword_window_token1] = ACTIONS(1795),
    [aux_sym__keyword_for_token1] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1795),
    [aux_sym_using_clause_token1] = ACTIONS(1795),
    [aux_sym_return_statement_token1] = ACTIONS(1795),
    [aux_sym_call_statement_token1] = ACTIONS(1795),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1795),
    [aux_sym_if_statement_token1] = ACTIONS(1795),
    [aux_sym_loop_statement_token1] = ACTIONS(1795),
    [aux_sym_repeat_statement_token1] = ACTIONS(1795),
    [aux_sym_while_statement_token1] = ACTIONS(1795),
    [aux_sym_break_statement_token1] = ACTIONS(1795),
    [aux_sym_leave_statement_token1] = ACTIONS(1795),
    [aux_sym_continue_statement_token1] = ACTIONS(1795),
    [aux_sym_iterate_statement_token1] = ACTIONS(1795),
    [aux_sym_raise_statement_token1] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_set_operation_token1] = ACTIONS(1795),
    [aux_sym_set_operation_token3] = ACTIONS(1795),
    [aux_sym_set_operation_token4] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1795),
    [aux_sym_having_clause_token1] = ACTIONS(1795),
    [aux_sym_qualify_clause_token1] = ACTIONS(1795),
    [aux_sym_limit_clause_token1] = ACTIONS(1795),
    [aux_sym_group_by_clause_token1] = ACTIONS(1795),
    [aux_sym_order_by_clause_token1] = ACTIONS(1795),
    [aux_sym_where_clause_token1] = ACTIONS(1795),
    [aux_sym_pivot_operator_token1] = ACTIONS(1795),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1795),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1795),
    [aux_sym_join_type_token1] = ACTIONS(1795),
    [aux_sym_join_type_token2] = ACTIONS(1795),
    [aux_sym_join_type_token3] = ACTIONS(1795),
    [aux_sym_join_type_token4] = ACTIONS(1795),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1795),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1795),
    [aux_sym_join_condition_token1] = ACTIONS(1795),
    [aux_sym_insert_statement_token1] = ACTIONS(1795),
    [aux_sym_truncate_statement_token1] = ACTIONS(1795),
    [aux_sym_update_statement_token1] = ACTIONS(1795),
    [aux_sym_merge_statement_token1] = ACTIONS(1795),
    [aux_sym_grant_statement_token1] = ACTIONS(1795),
    [aux_sym_revoke_statement_token1] = ACTIONS(1795),
    [aux_sym_export_data_statement_token1] = ACTIONS(1795),
    [aux_sym_load_data_statement_token1] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_where_clause_token1] = ACTIONS(1417),
    [aux_sym_pivot_operator_token1] = ACTIONS(1417),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1417),
    [aux_sym_join_type_token1] = ACTIONS(1417),
    [aux_sym_join_type_token2] = ACTIONS(1417),
    [aux_sym_join_type_token3] = ACTIONS(1417),
    [aux_sym_join_type_token4] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1417),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1417),
    [aux_sym_join_condition_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_when_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_window_token1] = ACTIONS(1425),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_using_clause_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1425),
    [aux_sym_set_operation_token3] = ACTIONS(1425),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_having_clause_token1] = ACTIONS(1425),
    [aux_sym_qualify_clause_token1] = ACTIONS(1425),
    [aux_sym_limit_clause_token1] = ACTIONS(1425),
    [aux_sym_group_by_clause_token1] = ACTIONS(1425),
    [aux_sym_order_by_clause_token1] = ACTIONS(1425),
    [aux_sym_where_clause_token1] = ACTIONS(1425),
    [aux_sym_pivot_operator_token1] = ACTIONS(1425),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1425),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1425),
    [aux_sym_join_type_token1] = ACTIONS(1425),
    [aux_sym_join_type_token2] = ACTIONS(1425),
    [aux_sym_join_type_token3] = ACTIONS(1425),
    [aux_sym_join_type_token4] = ACTIONS(1425),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1425),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1425),
    [aux_sym_join_condition_token1] = ACTIONS(1425),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_when_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_window_token1] = ACTIONS(1799),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1803),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_using_clause_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1799),
    [aux_sym_set_operation_token3] = ACTIONS(1799),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_having_clause_token1] = ACTIONS(1799),
    [aux_sym_qualify_clause_token1] = ACTIONS(1799),
    [aux_sym_limit_clause_token1] = ACTIONS(1799),
    [aux_sym_group_by_clause_token1] = ACTIONS(1799),
    [aux_sym_order_by_clause_token1] = ACTIONS(1799),
    [aux_sym_where_clause_token1] = ACTIONS(1799),
    [aux_sym_pivot_operator_token1] = ACTIONS(1799),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1799),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1799),
    [aux_sym_join_type_token1] = ACTIONS(1799),
    [aux_sym_join_type_token2] = ACTIONS(1799),
    [aux_sym_join_type_token3] = ACTIONS(1799),
    [aux_sym_join_type_token4] = ACTIONS(1799),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1799),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1799),
    [aux_sym_join_condition_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1805),
    [aux_sym_keyword_replace_token1] = ACTIONS(1807),
    [aux_sym__keyword_alter_token1] = ACTIONS(1805),
    [aux_sym__keyword_create_token1] = ACTIONS(1805),
    [aux_sym__keyword_drop_token1] = ACTIONS(1805),
    [aux_sym__keyword_delete_token1] = ACTIONS(1805),
    [aux_sym__keyword_begin_token1] = ACTIONS(1805),
    [aux_sym__keyword_end_token1] = ACTIONS(1805),
    [aux_sym__keyword_between_token1] = ACTIONS(1805),
    [aux_sym__keyword_when_token1] = ACTIONS(1805),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1805),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1805),
    [aux_sym__keyword_like_token1] = ACTIONS(1805),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1805),
    [aux_sym__keyword_window_token1] = ACTIONS(1805),
    [aux_sym__keyword_for_token1] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1805),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1805),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1805),
    [aux_sym_using_clause_token1] = ACTIONS(1805),
    [aux_sym_return_statement_token1] = ACTIONS(1805),
    [aux_sym_call_statement_token1] = ACTIONS(1805),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1805),
    [aux_sym_if_statement_token1] = ACTIONS(1805),
    [aux_sym_loop_statement_token1] = ACTIONS(1805),
    [aux_sym_repeat_statement_token1] = ACTIONS(1805),
    [aux_sym_while_statement_token1] = ACTIONS(1805),
    [aux_sym_break_statement_token1] = ACTIONS(1805),
    [aux_sym_leave_statement_token1] = ACTIONS(1805),
    [aux_sym_continue_statement_token1] = ACTIONS(1805),
    [aux_sym_iterate_statement_token1] = ACTIONS(1805),
    [aux_sym_raise_statement_token1] = ACTIONS(1805),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1805),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1805),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_set_operation_token1] = ACTIONS(1805),
    [aux_sym_set_operation_token3] = ACTIONS(1805),
    [aux_sym_set_operation_token4] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1805),
    [aux_sym_having_clause_token1] = ACTIONS(1805),
    [aux_sym_qualify_clause_token1] = ACTIONS(1805),
    [aux_sym_limit_clause_token1] = ACTIONS(1805),
    [aux_sym_group_by_clause_token1] = ACTIONS(1805),
    [aux_sym_order_by_clause_token1] = ACTIONS(1805),
    [aux_sym_where_clause_token1] = ACTIONS(1805),
    [aux_sym_pivot_operator_token1] = ACTIONS(1805),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1805),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1805),
    [aux_sym_join_type_token1] = ACTIONS(1805),
    [aux_sym_join_type_token2] = ACTIONS(1805),
    [aux_sym_join_type_token3] = ACTIONS(1805),
    [aux_sym_join_type_token4] = ACTIONS(1805),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1805),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1805),
    [aux_sym_join_condition_token1] = ACTIONS(1805),
    [aux_sym_insert_statement_token1] = ACTIONS(1805),
    [aux_sym_truncate_statement_token1] = ACTIONS(1805),
    [aux_sym_update_statement_token1] = ACTIONS(1805),
    [aux_sym_merge_statement_token1] = ACTIONS(1805),
    [aux_sym_grant_statement_token1] = ACTIONS(1805),
    [aux_sym_revoke_statement_token1] = ACTIONS(1805),
    [aux_sym_export_data_statement_token1] = ACTIONS(1805),
    [aux_sym_load_data_statement_token1] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1809),
    [aux_sym_keyword_replace_token1] = ACTIONS(1811),
    [aux_sym__keyword_alter_token1] = ACTIONS(1809),
    [aux_sym__keyword_create_token1] = ACTIONS(1809),
    [aux_sym__keyword_drop_token1] = ACTIONS(1809),
    [aux_sym__keyword_delete_token1] = ACTIONS(1809),
    [aux_sym__keyword_begin_token1] = ACTIONS(1809),
    [aux_sym__keyword_end_token1] = ACTIONS(1809),
    [aux_sym__keyword_between_token1] = ACTIONS(1809),
    [aux_sym__keyword_when_token1] = ACTIONS(1809),
    [aux_sym__keyword_else_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1809),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1809),
    [aux_sym__keyword_like_token1] = ACTIONS(1809),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1809),
    [aux_sym__keyword_window_token1] = ACTIONS(1809),
    [aux_sym__keyword_for_token1] = ACTIONS(1809),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1809),
    [anon_sym_COMMA] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1809),
    [aux_sym_using_clause_token1] = ACTIONS(1809),
    [aux_sym_return_statement_token1] = ACTIONS(1809),
    [aux_sym_call_statement_token1] = ACTIONS(1809),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1809),
    [aux_sym_if_statement_token1] = ACTIONS(1809),
    [aux_sym_loop_statement_token1] = ACTIONS(1809),
    [aux_sym_repeat_statement_token1] = ACTIONS(1809),
    [aux_sym_while_statement_token1] = ACTIONS(1809),
    [aux_sym_break_statement_token1] = ACTIONS(1809),
    [aux_sym_leave_statement_token1] = ACTIONS(1809),
    [aux_sym_continue_statement_token1] = ACTIONS(1809),
    [aux_sym_iterate_statement_token1] = ACTIONS(1809),
    [aux_sym_raise_statement_token1] = ACTIONS(1809),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1809),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_set_operation_token1] = ACTIONS(1809),
    [aux_sym_set_operation_token3] = ACTIONS(1809),
    [aux_sym_set_operation_token4] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1809),
    [aux_sym_having_clause_token1] = ACTIONS(1809),
    [aux_sym_qualify_clause_token1] = ACTIONS(1809),
    [aux_sym_limit_clause_token1] = ACTIONS(1809),
    [aux_sym_group_by_clause_token1] = ACTIONS(1809),
    [aux_sym_order_by_clause_token1] = ACTIONS(1809),
    [aux_sym_where_clause_token1] = ACTIONS(1809),
    [aux_sym_pivot_operator_token1] = ACTIONS(1809),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1809),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1809),
    [aux_sym_join_type_token1] = ACTIONS(1809),
    [aux_sym_join_type_token2] = ACTIONS(1809),
    [aux_sym_join_type_token3] = ACTIONS(1809),
    [aux_sym_join_type_token4] = ACTIONS(1809),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1809),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1809),
    [aux_sym_join_condition_token1] = ACTIONS(1809),
    [aux_sym_insert_statement_token1] = ACTIONS(1809),
    [aux_sym_truncate_statement_token1] = ACTIONS(1809),
    [aux_sym_update_statement_token1] = ACTIONS(1809),
    [aux_sym_merge_statement_token1] = ACTIONS(1809),
    [aux_sym_grant_statement_token1] = ACTIONS(1809),
    [aux_sym_revoke_statement_token1] = ACTIONS(1809),
    [aux_sym_export_data_statement_token1] = ACTIONS(1809),
    [aux_sym_load_data_statement_token1] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_when_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_window_token1] = ACTIONS(1429),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_using_clause_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1429),
    [aux_sym_set_operation_token3] = ACTIONS(1429),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_having_clause_token1] = ACTIONS(1429),
    [aux_sym_qualify_clause_token1] = ACTIONS(1429),
    [aux_sym_limit_clause_token1] = ACTIONS(1429),
    [aux_sym_group_by_clause_token1] = ACTIONS(1429),
    [aux_sym_order_by_clause_token1] = ACTIONS(1429),
    [aux_sym_where_clause_token1] = ACTIONS(1429),
    [aux_sym_pivot_operator_token1] = ACTIONS(1429),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1429),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1429),
    [aux_sym_join_type_token1] = ACTIONS(1429),
    [aux_sym_join_type_token2] = ACTIONS(1429),
    [aux_sym_join_type_token3] = ACTIONS(1429),
    [aux_sym_join_type_token4] = ACTIONS(1429),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1429),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1429),
    [aux_sym_join_condition_token1] = ACTIONS(1429),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1813),
    [aux_sym_keyword_replace_token1] = ACTIONS(1815),
    [aux_sym__keyword_alter_token1] = ACTIONS(1813),
    [aux_sym__keyword_create_token1] = ACTIONS(1813),
    [aux_sym__keyword_drop_token1] = ACTIONS(1813),
    [aux_sym__keyword_delete_token1] = ACTIONS(1813),
    [aux_sym__keyword_begin_token1] = ACTIONS(1813),
    [aux_sym__keyword_end_token1] = ACTIONS(1813),
    [aux_sym__keyword_between_token1] = ACTIONS(1813),
    [aux_sym__keyword_when_token1] = ACTIONS(1813),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1813),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1813),
    [aux_sym__keyword_like_token1] = ACTIONS(1813),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1813),
    [aux_sym__keyword_window_token1] = ACTIONS(1813),
    [aux_sym__keyword_for_token1] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1813),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1813),
    [aux_sym_using_clause_token1] = ACTIONS(1813),
    [aux_sym_return_statement_token1] = ACTIONS(1813),
    [aux_sym_call_statement_token1] = ACTIONS(1813),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1813),
    [aux_sym_if_statement_token1] = ACTIONS(1813),
    [aux_sym_loop_statement_token1] = ACTIONS(1813),
    [aux_sym_repeat_statement_token1] = ACTIONS(1813),
    [aux_sym_while_statement_token1] = ACTIONS(1813),
    [aux_sym_break_statement_token1] = ACTIONS(1813),
    [aux_sym_leave_statement_token1] = ACTIONS(1813),
    [aux_sym_continue_statement_token1] = ACTIONS(1813),
    [aux_sym_iterate_statement_token1] = ACTIONS(1813),
    [aux_sym_raise_statement_token1] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1813),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_set_operation_token1] = ACTIONS(1813),
    [aux_sym_set_operation_token3] = ACTIONS(1813),
    [aux_sym_set_operation_token4] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1813),
    [aux_sym_having_clause_token1] = ACTIONS(1813),
    [aux_sym_qualify_clause_token1] = ACTIONS(1813),
    [aux_sym_limit_clause_token1] = ACTIONS(1813),
    [aux_sym_group_by_clause_token1] = ACTIONS(1813),
    [aux_sym_order_by_clause_token1] = ACTIONS(1813),
    [aux_sym_where_clause_token1] = ACTIONS(1813),
    [aux_sym_pivot_operator_token1] = ACTIONS(1813),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1813),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1813),
    [aux_sym_join_type_token1] = ACTIONS(1813),
    [aux_sym_join_type_token2] = ACTIONS(1813),
    [aux_sym_join_type_token3] = ACTIONS(1813),
    [aux_sym_join_type_token4] = ACTIONS(1813),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1813),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1813),
    [aux_sym_join_condition_token1] = ACTIONS(1813),
    [aux_sym_insert_statement_token1] = ACTIONS(1813),
    [aux_sym_truncate_statement_token1] = ACTIONS(1813),
    [aux_sym_update_statement_token1] = ACTIONS(1813),
    [aux_sym_merge_statement_token1] = ACTIONS(1813),
    [aux_sym_grant_statement_token1] = ACTIONS(1813),
    [aux_sym_revoke_statement_token1] = ACTIONS(1813),
    [aux_sym_export_data_statement_token1] = ACTIONS(1813),
    [aux_sym_load_data_statement_token1] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1817),
    [aux_sym_keyword_replace_token1] = ACTIONS(1819),
    [aux_sym__keyword_alter_token1] = ACTIONS(1817),
    [aux_sym__keyword_create_token1] = ACTIONS(1817),
    [aux_sym__keyword_drop_token1] = ACTIONS(1817),
    [aux_sym__keyword_delete_token1] = ACTIONS(1817),
    [aux_sym__keyword_begin_token1] = ACTIONS(1817),
    [aux_sym__keyword_end_token1] = ACTIONS(1817),
    [aux_sym__keyword_between_token1] = ACTIONS(1817),
    [aux_sym__keyword_when_token1] = ACTIONS(1817),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1817),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1817),
    [aux_sym__keyword_like_token1] = ACTIONS(1817),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1817),
    [aux_sym__keyword_window_token1] = ACTIONS(1817),
    [aux_sym__keyword_for_token1] = ACTIONS(1817),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1817),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1817),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1817),
    [aux_sym_using_clause_token1] = ACTIONS(1817),
    [aux_sym_return_statement_token1] = ACTIONS(1817),
    [aux_sym_call_statement_token1] = ACTIONS(1817),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1817),
    [aux_sym_if_statement_token1] = ACTIONS(1817),
    [aux_sym_loop_statement_token1] = ACTIONS(1817),
    [aux_sym_repeat_statement_token1] = ACTIONS(1817),
    [aux_sym_while_statement_token1] = ACTIONS(1817),
    [aux_sym_break_statement_token1] = ACTIONS(1817),
    [aux_sym_leave_statement_token1] = ACTIONS(1817),
    [aux_sym_continue_statement_token1] = ACTIONS(1817),
    [aux_sym_iterate_statement_token1] = ACTIONS(1817),
    [aux_sym_raise_statement_token1] = ACTIONS(1817),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1817),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1817),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_set_operation_token1] = ACTIONS(1817),
    [aux_sym_set_operation_token3] = ACTIONS(1817),
    [aux_sym_set_operation_token4] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1817),
    [aux_sym_having_clause_token1] = ACTIONS(1817),
    [aux_sym_qualify_clause_token1] = ACTIONS(1817),
    [aux_sym_limit_clause_token1] = ACTIONS(1817),
    [aux_sym_group_by_clause_token1] = ACTIONS(1817),
    [aux_sym_order_by_clause_token1] = ACTIONS(1817),
    [aux_sym_where_clause_token1] = ACTIONS(1817),
    [aux_sym_pivot_operator_token1] = ACTIONS(1817),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1817),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1817),
    [aux_sym_join_type_token1] = ACTIONS(1817),
    [aux_sym_join_type_token2] = ACTIONS(1817),
    [aux_sym_join_type_token3] = ACTIONS(1817),
    [aux_sym_join_type_token4] = ACTIONS(1817),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1817),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1817),
    [aux_sym_join_condition_token1] = ACTIONS(1817),
    [aux_sym_insert_statement_token1] = ACTIONS(1817),
    [aux_sym_truncate_statement_token1] = ACTIONS(1817),
    [aux_sym_update_statement_token1] = ACTIONS(1817),
    [aux_sym_merge_statement_token1] = ACTIONS(1817),
    [aux_sym_grant_statement_token1] = ACTIONS(1817),
    [aux_sym_revoke_statement_token1] = ACTIONS(1817),
    [aux_sym_export_data_statement_token1] = ACTIONS(1817),
    [aux_sym_load_data_statement_token1] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1821),
    [aux_sym_keyword_replace_token1] = ACTIONS(1823),
    [aux_sym__keyword_alter_token1] = ACTIONS(1821),
    [aux_sym__keyword_create_token1] = ACTIONS(1821),
    [aux_sym__keyword_drop_token1] = ACTIONS(1821),
    [aux_sym__keyword_delete_token1] = ACTIONS(1821),
    [aux_sym__keyword_begin_token1] = ACTIONS(1821),
    [aux_sym__keyword_end_token1] = ACTIONS(1821),
    [aux_sym__keyword_between_token1] = ACTIONS(1821),
    [aux_sym__keyword_when_token1] = ACTIONS(1821),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1821),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1821),
    [aux_sym__keyword_like_token1] = ACTIONS(1821),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1821),
    [aux_sym__keyword_window_token1] = ACTIONS(1821),
    [aux_sym__keyword_for_token1] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1821),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1821),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1821),
    [aux_sym_using_clause_token1] = ACTIONS(1821),
    [aux_sym_return_statement_token1] = ACTIONS(1821),
    [aux_sym_call_statement_token1] = ACTIONS(1821),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1821),
    [aux_sym_if_statement_token1] = ACTIONS(1821),
    [aux_sym_loop_statement_token1] = ACTIONS(1821),
    [aux_sym_repeat_statement_token1] = ACTIONS(1821),
    [aux_sym_while_statement_token1] = ACTIONS(1821),
    [aux_sym_break_statement_token1] = ACTIONS(1821),
    [aux_sym_leave_statement_token1] = ACTIONS(1821),
    [aux_sym_continue_statement_token1] = ACTIONS(1821),
    [aux_sym_iterate_statement_token1] = ACTIONS(1821),
    [aux_sym_raise_statement_token1] = ACTIONS(1821),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1821),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_set_operation_token1] = ACTIONS(1821),
    [aux_sym_set_operation_token3] = ACTIONS(1821),
    [aux_sym_set_operation_token4] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1821),
    [aux_sym_having_clause_token1] = ACTIONS(1821),
    [aux_sym_qualify_clause_token1] = ACTIONS(1821),
    [aux_sym_limit_clause_token1] = ACTIONS(1821),
    [aux_sym_group_by_clause_token1] = ACTIONS(1821),
    [aux_sym_order_by_clause_token1] = ACTIONS(1821),
    [aux_sym_where_clause_token1] = ACTIONS(1821),
    [aux_sym_pivot_operator_token1] = ACTIONS(1821),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1821),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1821),
    [aux_sym_join_type_token1] = ACTIONS(1821),
    [aux_sym_join_type_token2] = ACTIONS(1821),
    [aux_sym_join_type_token3] = ACTIONS(1821),
    [aux_sym_join_type_token4] = ACTIONS(1821),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1821),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1821),
    [aux_sym_join_condition_token1] = ACTIONS(1821),
    [aux_sym_insert_statement_token1] = ACTIONS(1821),
    [aux_sym_truncate_statement_token1] = ACTIONS(1821),
    [aux_sym_update_statement_token1] = ACTIONS(1821),
    [aux_sym_merge_statement_token1] = ACTIONS(1821),
    [aux_sym_grant_statement_token1] = ACTIONS(1821),
    [aux_sym_revoke_statement_token1] = ACTIONS(1821),
    [aux_sym_export_data_statement_token1] = ACTIONS(1821),
    [aux_sym_load_data_statement_token1] = ACTIONS(1821),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_when_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_window_token1] = ACTIONS(1445),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_using_clause_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1445),
    [aux_sym_set_operation_token3] = ACTIONS(1445),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_having_clause_token1] = ACTIONS(1445),
    [aux_sym_qualify_clause_token1] = ACTIONS(1445),
    [aux_sym_limit_clause_token1] = ACTIONS(1445),
    [aux_sym_group_by_clause_token1] = ACTIONS(1445),
    [aux_sym_order_by_clause_token1] = ACTIONS(1445),
    [aux_sym_where_clause_token1] = ACTIONS(1445),
    [aux_sym_pivot_operator_token1] = ACTIONS(1445),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1445),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1445),
    [aux_sym_join_type_token1] = ACTIONS(1445),
    [aux_sym_join_type_token2] = ACTIONS(1445),
    [aux_sym_join_type_token3] = ACTIONS(1445),
    [aux_sym_join_type_token4] = ACTIONS(1445),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1445),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1445),
    [aux_sym_join_condition_token1] = ACTIONS(1445),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_where_clause_token1] = ACTIONS(1405),
    [aux_sym_pivot_operator_token1] = ACTIONS(1405),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1405),
    [aux_sym_join_type_token1] = ACTIONS(1405),
    [aux_sym_join_type_token2] = ACTIONS(1405),
    [aux_sym_join_type_token3] = ACTIONS(1405),
    [aux_sym_join_type_token4] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1405),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1405),
    [aux_sym_join_condition_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_when_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_window_token1] = ACTIONS(1449),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_using_clause_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1449),
    [aux_sym_set_operation_token3] = ACTIONS(1449),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_having_clause_token1] = ACTIONS(1449),
    [aux_sym_qualify_clause_token1] = ACTIONS(1449),
    [aux_sym_limit_clause_token1] = ACTIONS(1449),
    [aux_sym_group_by_clause_token1] = ACTIONS(1449),
    [aux_sym_order_by_clause_token1] = ACTIONS(1449),
    [aux_sym_where_clause_token1] = ACTIONS(1449),
    [aux_sym_pivot_operator_token1] = ACTIONS(1449),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1449),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1449),
    [aux_sym_join_type_token1] = ACTIONS(1449),
    [aux_sym_join_type_token2] = ACTIONS(1449),
    [aux_sym_join_type_token3] = ACTIONS(1449),
    [aux_sym_join_type_token4] = ACTIONS(1449),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1449),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1449),
    [aux_sym_join_condition_token1] = ACTIONS(1449),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_where_clause_token1] = ACTIONS(1361),
    [aux_sym_pivot_operator_token1] = ACTIONS(1361),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1361),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1361),
    [aux_sym_join_type_token1] = ACTIONS(1361),
    [aux_sym_join_type_token2] = ACTIONS(1361),
    [aux_sym_join_type_token3] = ACTIONS(1361),
    [aux_sym_join_type_token4] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1361),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1361),
    [aux_sym_join_condition_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_when_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_window_token1] = ACTIONS(1457),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_using_clause_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1457),
    [aux_sym_set_operation_token3] = ACTIONS(1457),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_having_clause_token1] = ACTIONS(1457),
    [aux_sym_qualify_clause_token1] = ACTIONS(1457),
    [aux_sym_limit_clause_token1] = ACTIONS(1457),
    [aux_sym_group_by_clause_token1] = ACTIONS(1457),
    [aux_sym_order_by_clause_token1] = ACTIONS(1457),
    [aux_sym_where_clause_token1] = ACTIONS(1457),
    [aux_sym_pivot_operator_token1] = ACTIONS(1457),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1457),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1457),
    [aux_sym_join_type_token1] = ACTIONS(1457),
    [aux_sym_join_type_token2] = ACTIONS(1457),
    [aux_sym_join_type_token3] = ACTIONS(1457),
    [aux_sym_join_type_token4] = ACTIONS(1457),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1457),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1457),
    [aux_sym_join_condition_token1] = ACTIONS(1457),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1825),
    [aux_sym_keyword_replace_token1] = ACTIONS(1827),
    [aux_sym__keyword_alter_token1] = ACTIONS(1825),
    [aux_sym__keyword_create_token1] = ACTIONS(1825),
    [aux_sym__keyword_drop_token1] = ACTIONS(1825),
    [aux_sym__keyword_delete_token1] = ACTIONS(1825),
    [aux_sym__keyword_begin_token1] = ACTIONS(1825),
    [aux_sym__keyword_end_token1] = ACTIONS(1825),
    [aux_sym__keyword_between_token1] = ACTIONS(1825),
    [aux_sym__keyword_when_token1] = ACTIONS(1825),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1825),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1825),
    [aux_sym__keyword_like_token1] = ACTIONS(1825),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1825),
    [aux_sym__keyword_window_token1] = ACTIONS(1825),
    [aux_sym__keyword_for_token1] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1825),
    [aux_sym_using_clause_token1] = ACTIONS(1825),
    [aux_sym_return_statement_token1] = ACTIONS(1825),
    [aux_sym_call_statement_token1] = ACTIONS(1825),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1825),
    [aux_sym_if_statement_token1] = ACTIONS(1825),
    [aux_sym_loop_statement_token1] = ACTIONS(1825),
    [aux_sym_repeat_statement_token1] = ACTIONS(1825),
    [aux_sym_while_statement_token1] = ACTIONS(1825),
    [aux_sym_break_statement_token1] = ACTIONS(1825),
    [aux_sym_leave_statement_token1] = ACTIONS(1825),
    [aux_sym_continue_statement_token1] = ACTIONS(1825),
    [aux_sym_iterate_statement_token1] = ACTIONS(1825),
    [aux_sym_raise_statement_token1] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1825),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_set_operation_token1] = ACTIONS(1825),
    [aux_sym_set_operation_token3] = ACTIONS(1825),
    [aux_sym_set_operation_token4] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1825),
    [aux_sym_having_clause_token1] = ACTIONS(1825),
    [aux_sym_qualify_clause_token1] = ACTIONS(1825),
    [aux_sym_limit_clause_token1] = ACTIONS(1825),
    [aux_sym_group_by_clause_token1] = ACTIONS(1825),
    [aux_sym_order_by_clause_token1] = ACTIONS(1825),
    [aux_sym_where_clause_token1] = ACTIONS(1825),
    [aux_sym_pivot_operator_token1] = ACTIONS(1825),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1825),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1825),
    [aux_sym_join_type_token1] = ACTIONS(1825),
    [aux_sym_join_type_token2] = ACTIONS(1825),
    [aux_sym_join_type_token3] = ACTIONS(1825),
    [aux_sym_join_type_token4] = ACTIONS(1825),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1825),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1825),
    [aux_sym_join_condition_token1] = ACTIONS(1825),
    [aux_sym_insert_statement_token1] = ACTIONS(1825),
    [aux_sym_truncate_statement_token1] = ACTIONS(1825),
    [aux_sym_update_statement_token1] = ACTIONS(1825),
    [aux_sym_merge_statement_token1] = ACTIONS(1825),
    [aux_sym_grant_statement_token1] = ACTIONS(1825),
    [aux_sym_revoke_statement_token1] = ACTIONS(1825),
    [aux_sym_export_data_statement_token1] = ACTIONS(1825),
    [aux_sym_load_data_statement_token1] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1829),
    [aux_sym_keyword_replace_token1] = ACTIONS(1831),
    [aux_sym__keyword_alter_token1] = ACTIONS(1829),
    [aux_sym__keyword_create_token1] = ACTIONS(1829),
    [aux_sym__keyword_drop_token1] = ACTIONS(1829),
    [aux_sym__keyword_delete_token1] = ACTIONS(1829),
    [aux_sym__keyword_begin_token1] = ACTIONS(1829),
    [aux_sym__keyword_end_token1] = ACTIONS(1829),
    [aux_sym__keyword_between_token1] = ACTIONS(1829),
    [aux_sym__keyword_when_token1] = ACTIONS(1829),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1829),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1829),
    [aux_sym__keyword_like_token1] = ACTIONS(1829),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1829),
    [aux_sym__keyword_window_token1] = ACTIONS(1829),
    [aux_sym__keyword_for_token1] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1829),
    [aux_sym_using_clause_token1] = ACTIONS(1829),
    [aux_sym_return_statement_token1] = ACTIONS(1829),
    [aux_sym_call_statement_token1] = ACTIONS(1829),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1829),
    [aux_sym_if_statement_token1] = ACTIONS(1829),
    [aux_sym_loop_statement_token1] = ACTIONS(1829),
    [aux_sym_repeat_statement_token1] = ACTIONS(1829),
    [aux_sym_while_statement_token1] = ACTIONS(1829),
    [aux_sym_break_statement_token1] = ACTIONS(1829),
    [aux_sym_leave_statement_token1] = ACTIONS(1829),
    [aux_sym_continue_statement_token1] = ACTIONS(1829),
    [aux_sym_iterate_statement_token1] = ACTIONS(1829),
    [aux_sym_raise_statement_token1] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1829),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_set_operation_token1] = ACTIONS(1829),
    [aux_sym_set_operation_token3] = ACTIONS(1829),
    [aux_sym_set_operation_token4] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1829),
    [aux_sym_having_clause_token1] = ACTIONS(1829),
    [aux_sym_qualify_clause_token1] = ACTIONS(1829),
    [aux_sym_limit_clause_token1] = ACTIONS(1829),
    [aux_sym_group_by_clause_token1] = ACTIONS(1829),
    [aux_sym_order_by_clause_token1] = ACTIONS(1829),
    [aux_sym_where_clause_token1] = ACTIONS(1829),
    [aux_sym_pivot_operator_token1] = ACTIONS(1829),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1829),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1829),
    [aux_sym_join_type_token1] = ACTIONS(1829),
    [aux_sym_join_type_token2] = ACTIONS(1829),
    [aux_sym_join_type_token3] = ACTIONS(1829),
    [aux_sym_join_type_token4] = ACTIONS(1829),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1829),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1829),
    [aux_sym_join_condition_token1] = ACTIONS(1829),
    [aux_sym_insert_statement_token1] = ACTIONS(1829),
    [aux_sym_truncate_statement_token1] = ACTIONS(1829),
    [aux_sym_update_statement_token1] = ACTIONS(1829),
    [aux_sym_merge_statement_token1] = ACTIONS(1829),
    [aux_sym_grant_statement_token1] = ACTIONS(1829),
    [aux_sym_revoke_statement_token1] = ACTIONS(1829),
    [aux_sym_export_data_statement_token1] = ACTIONS(1829),
    [aux_sym_load_data_statement_token1] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_when_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_window_token1] = ACTIONS(1485),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_using_clause_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1485),
    [aux_sym_set_operation_token3] = ACTIONS(1485),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_having_clause_token1] = ACTIONS(1485),
    [aux_sym_qualify_clause_token1] = ACTIONS(1485),
    [aux_sym_limit_clause_token1] = ACTIONS(1485),
    [aux_sym_group_by_clause_token1] = ACTIONS(1485),
    [aux_sym_order_by_clause_token1] = ACTIONS(1485),
    [aux_sym_where_clause_token1] = ACTIONS(1485),
    [aux_sym_pivot_operator_token1] = ACTIONS(1485),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1485),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1485),
    [aux_sym_join_type_token1] = ACTIONS(1485),
    [aux_sym_join_type_token2] = ACTIONS(1485),
    [aux_sym_join_type_token3] = ACTIONS(1485),
    [aux_sym_join_type_token4] = ACTIONS(1485),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1485),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1485),
    [aux_sym_join_condition_token1] = ACTIONS(1485),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_when_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_window_token1] = ACTIONS(1493),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_using_clause_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1493),
    [aux_sym_set_operation_token3] = ACTIONS(1493),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_having_clause_token1] = ACTIONS(1493),
    [aux_sym_qualify_clause_token1] = ACTIONS(1493),
    [aux_sym_limit_clause_token1] = ACTIONS(1493),
    [aux_sym_group_by_clause_token1] = ACTIONS(1493),
    [aux_sym_order_by_clause_token1] = ACTIONS(1493),
    [aux_sym_where_clause_token1] = ACTIONS(1493),
    [aux_sym_pivot_operator_token1] = ACTIONS(1493),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1493),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1493),
    [aux_sym_join_type_token1] = ACTIONS(1493),
    [aux_sym_join_type_token2] = ACTIONS(1493),
    [aux_sym_join_type_token3] = ACTIONS(1493),
    [aux_sym_join_type_token4] = ACTIONS(1493),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1493),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1493),
    [aux_sym_join_condition_token1] = ACTIONS(1493),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_when_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_window_token1] = ACTIONS(1497),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_using_clause_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1497),
    [aux_sym_set_operation_token3] = ACTIONS(1497),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_having_clause_token1] = ACTIONS(1497),
    [aux_sym_qualify_clause_token1] = ACTIONS(1497),
    [aux_sym_limit_clause_token1] = ACTIONS(1497),
    [aux_sym_group_by_clause_token1] = ACTIONS(1497),
    [aux_sym_order_by_clause_token1] = ACTIONS(1497),
    [aux_sym_where_clause_token1] = ACTIONS(1497),
    [aux_sym_pivot_operator_token1] = ACTIONS(1497),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1497),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1497),
    [aux_sym_join_type_token1] = ACTIONS(1497),
    [aux_sym_join_type_token2] = ACTIONS(1497),
    [aux_sym_join_type_token3] = ACTIONS(1497),
    [aux_sym_join_type_token4] = ACTIONS(1497),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1497),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1497),
    [aux_sym_join_condition_token1] = ACTIONS(1497),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_when_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_window_token1] = ACTIONS(1509),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_using_clause_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1509),
    [aux_sym_set_operation_token3] = ACTIONS(1509),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_having_clause_token1] = ACTIONS(1509),
    [aux_sym_qualify_clause_token1] = ACTIONS(1509),
    [aux_sym_limit_clause_token1] = ACTIONS(1509),
    [aux_sym_group_by_clause_token1] = ACTIONS(1509),
    [aux_sym_order_by_clause_token1] = ACTIONS(1509),
    [aux_sym_where_clause_token1] = ACTIONS(1509),
    [aux_sym_pivot_operator_token1] = ACTIONS(1509),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1509),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1509),
    [aux_sym_join_type_token1] = ACTIONS(1509),
    [aux_sym_join_type_token2] = ACTIONS(1509),
    [aux_sym_join_type_token3] = ACTIONS(1509),
    [aux_sym_join_type_token4] = ACTIONS(1509),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1509),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1509),
    [aux_sym_join_condition_token1] = ACTIONS(1509),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_where_clause_token1] = ACTIONS(1517),
    [aux_sym_pivot_operator_token1] = ACTIONS(1517),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1517),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1517),
    [aux_sym_join_type_token1] = ACTIONS(1517),
    [aux_sym_join_type_token2] = ACTIONS(1517),
    [aux_sym_join_type_token3] = ACTIONS(1517),
    [aux_sym_join_type_token4] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1517),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1517),
    [aux_sym_join_condition_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_window_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_using_clause_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_having_clause_token1] = ACTIONS(1685),
    [aux_sym_qualify_clause_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym_group_by_clause_token1] = ACTIONS(1685),
    [aux_sym_order_by_clause_token1] = ACTIONS(1685),
    [aux_sym_where_clause_token1] = ACTIONS(1685),
    [aux_sym_pivot_operator_token1] = ACTIONS(1685),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1685),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1685),
    [aux_sym_join_type_token1] = ACTIONS(1685),
    [aux_sym_join_type_token2] = ACTIONS(1685),
    [aux_sym_join_type_token3] = ACTIONS(1685),
    [aux_sym_join_type_token4] = ACTIONS(1685),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1685),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1685),
    [aux_sym_join_condition_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_when_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_window_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_using_clause_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1549),
    [aux_sym_set_operation_token3] = ACTIONS(1549),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_having_clause_token1] = ACTIONS(1549),
    [aux_sym_qualify_clause_token1] = ACTIONS(1549),
    [aux_sym_limit_clause_token1] = ACTIONS(1549),
    [aux_sym_group_by_clause_token1] = ACTIONS(1549),
    [aux_sym_order_by_clause_token1] = ACTIONS(1549),
    [aux_sym_where_clause_token1] = ACTIONS(1549),
    [aux_sym_pivot_operator_token1] = ACTIONS(1549),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1549),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1549),
    [aux_sym_join_type_token1] = ACTIONS(1549),
    [aux_sym_join_type_token2] = ACTIONS(1549),
    [aux_sym_join_type_token3] = ACTIONS(1549),
    [aux_sym_join_type_token4] = ACTIONS(1549),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1549),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1549),
    [aux_sym_join_condition_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_when_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_window_token1] = ACTIONS(1513),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_using_clause_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1513),
    [aux_sym_set_operation_token3] = ACTIONS(1513),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_having_clause_token1] = ACTIONS(1513),
    [aux_sym_qualify_clause_token1] = ACTIONS(1513),
    [aux_sym_limit_clause_token1] = ACTIONS(1513),
    [aux_sym_group_by_clause_token1] = ACTIONS(1513),
    [aux_sym_order_by_clause_token1] = ACTIONS(1513),
    [aux_sym_where_clause_token1] = ACTIONS(1513),
    [aux_sym_pivot_operator_token1] = ACTIONS(1513),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1513),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1513),
    [aux_sym_join_type_token1] = ACTIONS(1513),
    [aux_sym_join_type_token2] = ACTIONS(1513),
    [aux_sym_join_type_token3] = ACTIONS(1513),
    [aux_sym_join_type_token4] = ACTIONS(1513),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1513),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1513),
    [aux_sym_join_condition_token1] = ACTIONS(1513),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_when_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_window_token1] = ACTIONS(1799),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_using_clause_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1799),
    [aux_sym_set_operation_token3] = ACTIONS(1799),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_having_clause_token1] = ACTIONS(1799),
    [aux_sym_qualify_clause_token1] = ACTIONS(1799),
    [aux_sym_limit_clause_token1] = ACTIONS(1799),
    [aux_sym_group_by_clause_token1] = ACTIONS(1799),
    [aux_sym_order_by_clause_token1] = ACTIONS(1799),
    [aux_sym_where_clause_token1] = ACTIONS(1799),
    [aux_sym_pivot_operator_token1] = ACTIONS(1799),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1799),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1799),
    [aux_sym_join_type_token1] = ACTIONS(1799),
    [aux_sym_join_type_token2] = ACTIONS(1799),
    [aux_sym_join_type_token3] = ACTIONS(1799),
    [aux_sym_join_type_token4] = ACTIONS(1799),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1799),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1799),
    [aux_sym_join_condition_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_when_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_window_token1] = ACTIONS(1501),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_using_clause_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1501),
    [aux_sym_set_operation_token3] = ACTIONS(1501),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_having_clause_token1] = ACTIONS(1501),
    [aux_sym_qualify_clause_token1] = ACTIONS(1501),
    [aux_sym_limit_clause_token1] = ACTIONS(1501),
    [aux_sym_group_by_clause_token1] = ACTIONS(1501),
    [aux_sym_order_by_clause_token1] = ACTIONS(1501),
    [aux_sym_where_clause_token1] = ACTIONS(1501),
    [aux_sym_pivot_operator_token1] = ACTIONS(1501),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1501),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1501),
    [aux_sym_join_type_token1] = ACTIONS(1501),
    [aux_sym_join_type_token2] = ACTIONS(1501),
    [aux_sym_join_type_token3] = ACTIONS(1501),
    [aux_sym_join_type_token4] = ACTIONS(1501),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1501),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1501),
    [aux_sym_join_condition_token1] = ACTIONS(1501),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_when_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_window_token1] = ACTIONS(1489),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_using_clause_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1489),
    [aux_sym_set_operation_token3] = ACTIONS(1489),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_having_clause_token1] = ACTIONS(1489),
    [aux_sym_qualify_clause_token1] = ACTIONS(1489),
    [aux_sym_limit_clause_token1] = ACTIONS(1489),
    [aux_sym_group_by_clause_token1] = ACTIONS(1489),
    [aux_sym_order_by_clause_token1] = ACTIONS(1489),
    [aux_sym_where_clause_token1] = ACTIONS(1489),
    [aux_sym_pivot_operator_token1] = ACTIONS(1489),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1489),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1489),
    [aux_sym_join_type_token1] = ACTIONS(1489),
    [aux_sym_join_type_token2] = ACTIONS(1489),
    [aux_sym_join_type_token3] = ACTIONS(1489),
    [aux_sym_join_type_token4] = ACTIONS(1489),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1489),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1489),
    [aux_sym_join_condition_token1] = ACTIONS(1489),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1833),
    [aux_sym_keyword_replace_token1] = ACTIONS(1835),
    [aux_sym__keyword_alter_token1] = ACTIONS(1833),
    [aux_sym__keyword_create_token1] = ACTIONS(1833),
    [aux_sym__keyword_drop_token1] = ACTIONS(1833),
    [aux_sym__keyword_delete_token1] = ACTIONS(1833),
    [aux_sym__keyword_begin_token1] = ACTIONS(1833),
    [aux_sym__keyword_end_token1] = ACTIONS(1833),
    [aux_sym__keyword_between_token1] = ACTIONS(1833),
    [aux_sym__keyword_when_token1] = ACTIONS(1833),
    [aux_sym__keyword_else_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1833),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1833),
    [aux_sym__keyword_like_token1] = ACTIONS(1833),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1833),
    [aux_sym__keyword_window_token1] = ACTIONS(1833),
    [aux_sym__keyword_for_token1] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1833),
    [anon_sym_COMMA] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1833),
    [aux_sym_using_clause_token1] = ACTIONS(1833),
    [aux_sym_return_statement_token1] = ACTIONS(1833),
    [aux_sym_call_statement_token1] = ACTIONS(1833),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1833),
    [aux_sym_if_statement_token1] = ACTIONS(1833),
    [aux_sym_loop_statement_token1] = ACTIONS(1833),
    [aux_sym_repeat_statement_token1] = ACTIONS(1833),
    [aux_sym_while_statement_token1] = ACTIONS(1833),
    [aux_sym_break_statement_token1] = ACTIONS(1833),
    [aux_sym_leave_statement_token1] = ACTIONS(1833),
    [aux_sym_continue_statement_token1] = ACTIONS(1833),
    [aux_sym_iterate_statement_token1] = ACTIONS(1833),
    [aux_sym_raise_statement_token1] = ACTIONS(1833),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1833),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1833),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_set_operation_token1] = ACTIONS(1833),
    [aux_sym_set_operation_token3] = ACTIONS(1833),
    [aux_sym_set_operation_token4] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1833),
    [aux_sym_having_clause_token1] = ACTIONS(1833),
    [aux_sym_qualify_clause_token1] = ACTIONS(1833),
    [aux_sym_limit_clause_token1] = ACTIONS(1833),
    [aux_sym_group_by_clause_token1] = ACTIONS(1833),
    [aux_sym_order_by_clause_token1] = ACTIONS(1833),
    [aux_sym_where_clause_token1] = ACTIONS(1833),
    [aux_sym_pivot_operator_token1] = ACTIONS(1833),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1833),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1833),
    [aux_sym_join_type_token1] = ACTIONS(1833),
    [aux_sym_join_type_token2] = ACTIONS(1833),
    [aux_sym_join_type_token3] = ACTIONS(1833),
    [aux_sym_join_type_token4] = ACTIONS(1833),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1833),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1833),
    [aux_sym_join_condition_token1] = ACTIONS(1833),
    [aux_sym_insert_statement_token1] = ACTIONS(1833),
    [aux_sym_truncate_statement_token1] = ACTIONS(1833),
    [aux_sym_update_statement_token1] = ACTIONS(1833),
    [aux_sym_merge_statement_token1] = ACTIONS(1833),
    [aux_sym_grant_statement_token1] = ACTIONS(1833),
    [aux_sym_revoke_statement_token1] = ACTIONS(1833),
    [aux_sym_export_data_statement_token1] = ACTIONS(1833),
    [aux_sym_load_data_statement_token1] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_where_clause_token1] = ACTIONS(1481),
    [aux_sym_pivot_operator_token1] = ACTIONS(1481),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1481),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1481),
    [aux_sym_join_type_token1] = ACTIONS(1481),
    [aux_sym_join_type_token2] = ACTIONS(1481),
    [aux_sym_join_type_token3] = ACTIONS(1481),
    [aux_sym_join_type_token4] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1481),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1481),
    [aux_sym_join_condition_token1] = ACTIONS(1481),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_when_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_window_token1] = ACTIONS(1461),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_using_clause_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1461),
    [aux_sym_set_operation_token3] = ACTIONS(1461),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_having_clause_token1] = ACTIONS(1461),
    [aux_sym_qualify_clause_token1] = ACTIONS(1461),
    [aux_sym_limit_clause_token1] = ACTIONS(1461),
    [aux_sym_group_by_clause_token1] = ACTIONS(1461),
    [aux_sym_order_by_clause_token1] = ACTIONS(1461),
    [aux_sym_where_clause_token1] = ACTIONS(1461),
    [aux_sym_pivot_operator_token1] = ACTIONS(1461),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1461),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1461),
    [aux_sym_join_type_token1] = ACTIONS(1461),
    [aux_sym_join_type_token2] = ACTIONS(1461),
    [aux_sym_join_type_token3] = ACTIONS(1461),
    [aux_sym_join_type_token4] = ACTIONS(1461),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1461),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1461),
    [aux_sym_join_condition_token1] = ACTIONS(1461),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1837),
    [aux_sym_keyword_replace_token1] = ACTIONS(1839),
    [aux_sym__keyword_alter_token1] = ACTIONS(1837),
    [aux_sym__keyword_create_token1] = ACTIONS(1837),
    [aux_sym__keyword_drop_token1] = ACTIONS(1837),
    [aux_sym__keyword_delete_token1] = ACTIONS(1837),
    [aux_sym__keyword_begin_token1] = ACTIONS(1837),
    [aux_sym__keyword_end_token1] = ACTIONS(1837),
    [aux_sym__keyword_between_token1] = ACTIONS(1837),
    [aux_sym__keyword_when_token1] = ACTIONS(1837),
    [aux_sym__keyword_else_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1837),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1837),
    [aux_sym__keyword_like_token1] = ACTIONS(1837),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1837),
    [aux_sym__keyword_window_token1] = ACTIONS(1837),
    [aux_sym__keyword_for_token1] = ACTIONS(1837),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1837),
    [anon_sym_COMMA] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1837),
    [aux_sym_using_clause_token1] = ACTIONS(1837),
    [aux_sym_return_statement_token1] = ACTIONS(1837),
    [aux_sym_call_statement_token1] = ACTIONS(1837),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1837),
    [aux_sym_if_statement_token1] = ACTIONS(1837),
    [aux_sym_loop_statement_token1] = ACTIONS(1837),
    [aux_sym_repeat_statement_token1] = ACTIONS(1837),
    [aux_sym_while_statement_token1] = ACTIONS(1837),
    [aux_sym_break_statement_token1] = ACTIONS(1837),
    [aux_sym_leave_statement_token1] = ACTIONS(1837),
    [aux_sym_continue_statement_token1] = ACTIONS(1837),
    [aux_sym_iterate_statement_token1] = ACTIONS(1837),
    [aux_sym_raise_statement_token1] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1837),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1837),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_set_operation_token1] = ACTIONS(1837),
    [aux_sym_set_operation_token3] = ACTIONS(1837),
    [aux_sym_set_operation_token4] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1837),
    [aux_sym_having_clause_token1] = ACTIONS(1837),
    [aux_sym_qualify_clause_token1] = ACTIONS(1837),
    [aux_sym_limit_clause_token1] = ACTIONS(1837),
    [aux_sym_group_by_clause_token1] = ACTIONS(1837),
    [aux_sym_order_by_clause_token1] = ACTIONS(1837),
    [aux_sym_where_clause_token1] = ACTIONS(1837),
    [aux_sym_pivot_operator_token1] = ACTIONS(1837),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1837),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1837),
    [aux_sym_join_type_token1] = ACTIONS(1837),
    [aux_sym_join_type_token2] = ACTIONS(1837),
    [aux_sym_join_type_token3] = ACTIONS(1837),
    [aux_sym_join_type_token4] = ACTIONS(1837),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1837),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1837),
    [aux_sym_join_condition_token1] = ACTIONS(1837),
    [aux_sym_insert_statement_token1] = ACTIONS(1837),
    [aux_sym_truncate_statement_token1] = ACTIONS(1837),
    [aux_sym_update_statement_token1] = ACTIONS(1837),
    [aux_sym_merge_statement_token1] = ACTIONS(1837),
    [aux_sym_grant_statement_token1] = ACTIONS(1837),
    [aux_sym_revoke_statement_token1] = ACTIONS(1837),
    [aux_sym_export_data_statement_token1] = ACTIONS(1837),
    [aux_sym_load_data_statement_token1] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1841),
    [aux_sym_keyword_replace_token1] = ACTIONS(1843),
    [aux_sym__keyword_alter_token1] = ACTIONS(1841),
    [aux_sym__keyword_create_token1] = ACTIONS(1841),
    [aux_sym__keyword_drop_token1] = ACTIONS(1841),
    [aux_sym__keyword_delete_token1] = ACTIONS(1841),
    [aux_sym__keyword_begin_token1] = ACTIONS(1841),
    [aux_sym__keyword_end_token1] = ACTIONS(1841),
    [aux_sym__keyword_between_token1] = ACTIONS(1841),
    [aux_sym__keyword_when_token1] = ACTIONS(1841),
    [aux_sym__keyword_else_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1841),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1841),
    [aux_sym__keyword_like_token1] = ACTIONS(1841),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1841),
    [aux_sym__keyword_window_token1] = ACTIONS(1841),
    [aux_sym__keyword_for_token1] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1841),
    [aux_sym_using_clause_token1] = ACTIONS(1841),
    [aux_sym_return_statement_token1] = ACTIONS(1841),
    [aux_sym_call_statement_token1] = ACTIONS(1841),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1841),
    [aux_sym_if_statement_token1] = ACTIONS(1841),
    [aux_sym_loop_statement_token1] = ACTIONS(1841),
    [aux_sym_repeat_statement_token1] = ACTIONS(1841),
    [aux_sym_while_statement_token1] = ACTIONS(1841),
    [aux_sym_break_statement_token1] = ACTIONS(1841),
    [aux_sym_leave_statement_token1] = ACTIONS(1841),
    [aux_sym_continue_statement_token1] = ACTIONS(1841),
    [aux_sym_iterate_statement_token1] = ACTIONS(1841),
    [aux_sym_raise_statement_token1] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1841),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_set_operation_token1] = ACTIONS(1841),
    [aux_sym_set_operation_token3] = ACTIONS(1841),
    [aux_sym_set_operation_token4] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1841),
    [aux_sym_having_clause_token1] = ACTIONS(1841),
    [aux_sym_qualify_clause_token1] = ACTIONS(1841),
    [aux_sym_limit_clause_token1] = ACTIONS(1841),
    [aux_sym_group_by_clause_token1] = ACTIONS(1841),
    [aux_sym_order_by_clause_token1] = ACTIONS(1841),
    [aux_sym_where_clause_token1] = ACTIONS(1841),
    [aux_sym_pivot_operator_token1] = ACTIONS(1841),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1841),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1841),
    [aux_sym_join_type_token1] = ACTIONS(1841),
    [aux_sym_join_type_token2] = ACTIONS(1841),
    [aux_sym_join_type_token3] = ACTIONS(1841),
    [aux_sym_join_type_token4] = ACTIONS(1841),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1841),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1841),
    [aux_sym_join_condition_token1] = ACTIONS(1841),
    [aux_sym_insert_statement_token1] = ACTIONS(1841),
    [aux_sym_truncate_statement_token1] = ACTIONS(1841),
    [aux_sym_update_statement_token1] = ACTIONS(1841),
    [aux_sym_merge_statement_token1] = ACTIONS(1841),
    [aux_sym_grant_statement_token1] = ACTIONS(1841),
    [aux_sym_revoke_statement_token1] = ACTIONS(1841),
    [aux_sym_export_data_statement_token1] = ACTIONS(1841),
    [aux_sym_load_data_statement_token1] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1845),
    [aux_sym_keyword_replace_token1] = ACTIONS(1847),
    [aux_sym__keyword_alter_token1] = ACTIONS(1845),
    [aux_sym__keyword_create_token1] = ACTIONS(1845),
    [aux_sym__keyword_drop_token1] = ACTIONS(1845),
    [aux_sym__keyword_delete_token1] = ACTIONS(1845),
    [aux_sym__keyword_begin_token1] = ACTIONS(1845),
    [aux_sym__keyword_end_token1] = ACTIONS(1845),
    [aux_sym__keyword_between_token1] = ACTIONS(1845),
    [aux_sym__keyword_when_token1] = ACTIONS(1845),
    [aux_sym__keyword_else_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1845),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1845),
    [aux_sym__keyword_like_token1] = ACTIONS(1845),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1845),
    [aux_sym__keyword_window_token1] = ACTIONS(1845),
    [aux_sym__keyword_for_token1] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1845),
    [aux_sym_using_clause_token1] = ACTIONS(1845),
    [aux_sym_return_statement_token1] = ACTIONS(1845),
    [aux_sym_call_statement_token1] = ACTIONS(1845),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1845),
    [aux_sym_if_statement_token1] = ACTIONS(1845),
    [aux_sym_loop_statement_token1] = ACTIONS(1845),
    [aux_sym_repeat_statement_token1] = ACTIONS(1845),
    [aux_sym_while_statement_token1] = ACTIONS(1845),
    [aux_sym_break_statement_token1] = ACTIONS(1845),
    [aux_sym_leave_statement_token1] = ACTIONS(1845),
    [aux_sym_continue_statement_token1] = ACTIONS(1845),
    [aux_sym_iterate_statement_token1] = ACTIONS(1845),
    [aux_sym_raise_statement_token1] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1845),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_set_operation_token1] = ACTIONS(1845),
    [aux_sym_set_operation_token3] = ACTIONS(1845),
    [aux_sym_set_operation_token4] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1845),
    [aux_sym_having_clause_token1] = ACTIONS(1845),
    [aux_sym_qualify_clause_token1] = ACTIONS(1845),
    [aux_sym_limit_clause_token1] = ACTIONS(1845),
    [aux_sym_group_by_clause_token1] = ACTIONS(1845),
    [aux_sym_order_by_clause_token1] = ACTIONS(1845),
    [aux_sym_where_clause_token1] = ACTIONS(1845),
    [aux_sym_pivot_operator_token1] = ACTIONS(1845),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1845),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1845),
    [aux_sym_join_type_token1] = ACTIONS(1845),
    [aux_sym_join_type_token2] = ACTIONS(1845),
    [aux_sym_join_type_token3] = ACTIONS(1845),
    [aux_sym_join_type_token4] = ACTIONS(1845),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1845),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1845),
    [aux_sym_join_condition_token1] = ACTIONS(1845),
    [aux_sym_insert_statement_token1] = ACTIONS(1845),
    [aux_sym_truncate_statement_token1] = ACTIONS(1845),
    [aux_sym_update_statement_token1] = ACTIONS(1845),
    [aux_sym_merge_statement_token1] = ACTIONS(1845),
    [aux_sym_grant_statement_token1] = ACTIONS(1845),
    [aux_sym_revoke_statement_token1] = ACTIONS(1845),
    [aux_sym_export_data_statement_token1] = ACTIONS(1845),
    [aux_sym_load_data_statement_token1] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1849),
    [aux_sym_keyword_replace_token1] = ACTIONS(1851),
    [aux_sym__keyword_alter_token1] = ACTIONS(1849),
    [aux_sym__keyword_create_token1] = ACTIONS(1849),
    [aux_sym__keyword_drop_token1] = ACTIONS(1849),
    [aux_sym__keyword_delete_token1] = ACTIONS(1849),
    [aux_sym__keyword_begin_token1] = ACTIONS(1849),
    [aux_sym__keyword_end_token1] = ACTIONS(1849),
    [aux_sym__keyword_between_token1] = ACTIONS(1849),
    [aux_sym__keyword_when_token1] = ACTIONS(1849),
    [aux_sym__keyword_else_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1849),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1849),
    [aux_sym__keyword_like_token1] = ACTIONS(1849),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1849),
    [aux_sym__keyword_window_token1] = ACTIONS(1849),
    [aux_sym__keyword_for_token1] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1849),
    [aux_sym_using_clause_token1] = ACTIONS(1849),
    [aux_sym_return_statement_token1] = ACTIONS(1849),
    [aux_sym_call_statement_token1] = ACTIONS(1849),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1849),
    [aux_sym_if_statement_token1] = ACTIONS(1849),
    [aux_sym_loop_statement_token1] = ACTIONS(1849),
    [aux_sym_repeat_statement_token1] = ACTIONS(1849),
    [aux_sym_while_statement_token1] = ACTIONS(1849),
    [aux_sym_break_statement_token1] = ACTIONS(1849),
    [aux_sym_leave_statement_token1] = ACTIONS(1849),
    [aux_sym_continue_statement_token1] = ACTIONS(1849),
    [aux_sym_iterate_statement_token1] = ACTIONS(1849),
    [aux_sym_raise_statement_token1] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1849),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_set_operation_token1] = ACTIONS(1849),
    [aux_sym_set_operation_token3] = ACTIONS(1849),
    [aux_sym_set_operation_token4] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1849),
    [aux_sym_having_clause_token1] = ACTIONS(1849),
    [aux_sym_qualify_clause_token1] = ACTIONS(1849),
    [aux_sym_limit_clause_token1] = ACTIONS(1849),
    [aux_sym_group_by_clause_token1] = ACTIONS(1849),
    [aux_sym_order_by_clause_token1] = ACTIONS(1849),
    [aux_sym_where_clause_token1] = ACTIONS(1849),
    [aux_sym_pivot_operator_token1] = ACTIONS(1849),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1849),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1849),
    [aux_sym_join_type_token1] = ACTIONS(1849),
    [aux_sym_join_type_token2] = ACTIONS(1849),
    [aux_sym_join_type_token3] = ACTIONS(1849),
    [aux_sym_join_type_token4] = ACTIONS(1849),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1849),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1849),
    [aux_sym_join_condition_token1] = ACTIONS(1849),
    [aux_sym_insert_statement_token1] = ACTIONS(1849),
    [aux_sym_truncate_statement_token1] = ACTIONS(1849),
    [aux_sym_update_statement_token1] = ACTIONS(1849),
    [aux_sym_merge_statement_token1] = ACTIONS(1849),
    [aux_sym_grant_statement_token1] = ACTIONS(1849),
    [aux_sym_revoke_statement_token1] = ACTIONS(1849),
    [aux_sym_export_data_statement_token1] = ACTIONS(1849),
    [aux_sym_load_data_statement_token1] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1853),
    [aux_sym_keyword_replace_token1] = ACTIONS(1855),
    [aux_sym__keyword_alter_token1] = ACTIONS(1853),
    [aux_sym__keyword_create_token1] = ACTIONS(1853),
    [aux_sym__keyword_drop_token1] = ACTIONS(1853),
    [aux_sym__keyword_delete_token1] = ACTIONS(1853),
    [aux_sym__keyword_begin_token1] = ACTIONS(1853),
    [aux_sym__keyword_end_token1] = ACTIONS(1853),
    [aux_sym__keyword_between_token1] = ACTIONS(1853),
    [aux_sym__keyword_when_token1] = ACTIONS(1853),
    [aux_sym__keyword_else_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1853),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1853),
    [aux_sym__keyword_like_token1] = ACTIONS(1853),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1853),
    [aux_sym__keyword_window_token1] = ACTIONS(1853),
    [aux_sym__keyword_for_token1] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1853),
    [aux_sym_using_clause_token1] = ACTIONS(1853),
    [aux_sym_return_statement_token1] = ACTIONS(1853),
    [aux_sym_call_statement_token1] = ACTIONS(1853),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1853),
    [aux_sym_if_statement_token1] = ACTIONS(1853),
    [aux_sym_loop_statement_token1] = ACTIONS(1853),
    [aux_sym_repeat_statement_token1] = ACTIONS(1853),
    [aux_sym_while_statement_token1] = ACTIONS(1853),
    [aux_sym_break_statement_token1] = ACTIONS(1853),
    [aux_sym_leave_statement_token1] = ACTIONS(1853),
    [aux_sym_continue_statement_token1] = ACTIONS(1853),
    [aux_sym_iterate_statement_token1] = ACTIONS(1853),
    [aux_sym_raise_statement_token1] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1853),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_set_operation_token1] = ACTIONS(1853),
    [aux_sym_set_operation_token3] = ACTIONS(1853),
    [aux_sym_set_operation_token4] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1853),
    [aux_sym_having_clause_token1] = ACTIONS(1853),
    [aux_sym_qualify_clause_token1] = ACTIONS(1853),
    [aux_sym_limit_clause_token1] = ACTIONS(1853),
    [aux_sym_group_by_clause_token1] = ACTIONS(1853),
    [aux_sym_order_by_clause_token1] = ACTIONS(1853),
    [aux_sym_where_clause_token1] = ACTIONS(1853),
    [aux_sym_pivot_operator_token1] = ACTIONS(1853),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1853),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1853),
    [aux_sym_join_type_token1] = ACTIONS(1853),
    [aux_sym_join_type_token2] = ACTIONS(1853),
    [aux_sym_join_type_token3] = ACTIONS(1853),
    [aux_sym_join_type_token4] = ACTIONS(1853),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1853),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1853),
    [aux_sym_join_condition_token1] = ACTIONS(1853),
    [aux_sym_insert_statement_token1] = ACTIONS(1853),
    [aux_sym_truncate_statement_token1] = ACTIONS(1853),
    [aux_sym_update_statement_token1] = ACTIONS(1853),
    [aux_sym_merge_statement_token1] = ACTIONS(1853),
    [aux_sym_grant_statement_token1] = ACTIONS(1853),
    [aux_sym_revoke_statement_token1] = ACTIONS(1853),
    [aux_sym_export_data_statement_token1] = ACTIONS(1853),
    [aux_sym_load_data_statement_token1] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_when_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_window_token1] = ACTIONS(1857),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_using_clause_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1857),
    [aux_sym_set_operation_token3] = ACTIONS(1857),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_having_clause_token1] = ACTIONS(1857),
    [aux_sym_qualify_clause_token1] = ACTIONS(1857),
    [aux_sym_limit_clause_token1] = ACTIONS(1857),
    [aux_sym_group_by_clause_token1] = ACTIONS(1857),
    [aux_sym_order_by_clause_token1] = ACTIONS(1857),
    [aux_sym_where_clause_token1] = ACTIONS(1857),
    [aux_sym_pivot_operator_token1] = ACTIONS(1857),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1857),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1857),
    [aux_sym_join_type_token1] = ACTIONS(1857),
    [aux_sym_join_type_token2] = ACTIONS(1857),
    [aux_sym_join_type_token3] = ACTIONS(1857),
    [aux_sym_join_type_token4] = ACTIONS(1857),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1857),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1857),
    [aux_sym_join_condition_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1861),
    [aux_sym_keyword_replace_token1] = ACTIONS(1863),
    [aux_sym__keyword_alter_token1] = ACTIONS(1861),
    [aux_sym__keyword_create_token1] = ACTIONS(1861),
    [aux_sym__keyword_drop_token1] = ACTIONS(1861),
    [aux_sym__keyword_delete_token1] = ACTIONS(1861),
    [aux_sym__keyword_begin_token1] = ACTIONS(1861),
    [aux_sym__keyword_end_token1] = ACTIONS(1861),
    [aux_sym__keyword_between_token1] = ACTIONS(1861),
    [aux_sym__keyword_when_token1] = ACTIONS(1861),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1861),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1861),
    [aux_sym__keyword_like_token1] = ACTIONS(1861),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1861),
    [aux_sym__keyword_window_token1] = ACTIONS(1861),
    [aux_sym__keyword_for_token1] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1861),
    [aux_sym_using_clause_token1] = ACTIONS(1861),
    [aux_sym_return_statement_token1] = ACTIONS(1861),
    [aux_sym_call_statement_token1] = ACTIONS(1861),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1861),
    [aux_sym_if_statement_token1] = ACTIONS(1861),
    [aux_sym_loop_statement_token1] = ACTIONS(1861),
    [aux_sym_repeat_statement_token1] = ACTIONS(1861),
    [aux_sym_while_statement_token1] = ACTIONS(1861),
    [aux_sym_break_statement_token1] = ACTIONS(1861),
    [aux_sym_leave_statement_token1] = ACTIONS(1861),
    [aux_sym_continue_statement_token1] = ACTIONS(1861),
    [aux_sym_iterate_statement_token1] = ACTIONS(1861),
    [aux_sym_raise_statement_token1] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1861),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_set_operation_token1] = ACTIONS(1861),
    [aux_sym_set_operation_token3] = ACTIONS(1861),
    [aux_sym_set_operation_token4] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1861),
    [aux_sym_having_clause_token1] = ACTIONS(1861),
    [aux_sym_qualify_clause_token1] = ACTIONS(1861),
    [aux_sym_limit_clause_token1] = ACTIONS(1861),
    [aux_sym_group_by_clause_token1] = ACTIONS(1861),
    [aux_sym_order_by_clause_token1] = ACTIONS(1861),
    [aux_sym_where_clause_token1] = ACTIONS(1861),
    [aux_sym_pivot_operator_token1] = ACTIONS(1861),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1861),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1861),
    [aux_sym_join_type_token1] = ACTIONS(1861),
    [aux_sym_join_type_token2] = ACTIONS(1861),
    [aux_sym_join_type_token3] = ACTIONS(1861),
    [aux_sym_join_type_token4] = ACTIONS(1861),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1861),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1861),
    [aux_sym_join_condition_token1] = ACTIONS(1861),
    [aux_sym_insert_statement_token1] = ACTIONS(1861),
    [aux_sym_truncate_statement_token1] = ACTIONS(1861),
    [aux_sym_update_statement_token1] = ACTIONS(1861),
    [aux_sym_merge_statement_token1] = ACTIONS(1861),
    [aux_sym_grant_statement_token1] = ACTIONS(1861),
    [aux_sym_revoke_statement_token1] = ACTIONS(1861),
    [aux_sym_export_data_statement_token1] = ACTIONS(1861),
    [aux_sym_load_data_statement_token1] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_when_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_window_token1] = ACTIONS(1857),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_using_clause_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1857),
    [aux_sym_set_operation_token3] = ACTIONS(1857),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_having_clause_token1] = ACTIONS(1857),
    [aux_sym_qualify_clause_token1] = ACTIONS(1857),
    [aux_sym_limit_clause_token1] = ACTIONS(1857),
    [aux_sym_group_by_clause_token1] = ACTIONS(1857),
    [aux_sym_order_by_clause_token1] = ACTIONS(1857),
    [aux_sym_where_clause_token1] = ACTIONS(1857),
    [aux_sym_pivot_operator_token1] = ACTIONS(1857),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1857),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1857),
    [aux_sym_join_type_token1] = ACTIONS(1857),
    [aux_sym_join_type_token2] = ACTIONS(1857),
    [aux_sym_join_type_token3] = ACTIONS(1857),
    [aux_sym_join_type_token4] = ACTIONS(1857),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1857),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1857),
    [aux_sym_join_condition_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1865),
    [aux_sym_keyword_replace_token1] = ACTIONS(1867),
    [aux_sym__keyword_alter_token1] = ACTIONS(1865),
    [aux_sym__keyword_create_token1] = ACTIONS(1865),
    [aux_sym__keyword_drop_token1] = ACTIONS(1865),
    [aux_sym__keyword_delete_token1] = ACTIONS(1865),
    [aux_sym__keyword_begin_token1] = ACTIONS(1865),
    [aux_sym__keyword_end_token1] = ACTIONS(1865),
    [aux_sym__keyword_between_token1] = ACTIONS(1865),
    [aux_sym__keyword_when_token1] = ACTIONS(1865),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1865),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1865),
    [aux_sym__keyword_like_token1] = ACTIONS(1865),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1865),
    [aux_sym__keyword_window_token1] = ACTIONS(1865),
    [aux_sym__keyword_for_token1] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1865),
    [aux_sym_using_clause_token1] = ACTIONS(1865),
    [aux_sym_return_statement_token1] = ACTIONS(1865),
    [aux_sym_call_statement_token1] = ACTIONS(1865),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1865),
    [aux_sym_if_statement_token1] = ACTIONS(1865),
    [aux_sym_loop_statement_token1] = ACTIONS(1865),
    [aux_sym_repeat_statement_token1] = ACTIONS(1865),
    [aux_sym_while_statement_token1] = ACTIONS(1865),
    [aux_sym_break_statement_token1] = ACTIONS(1865),
    [aux_sym_leave_statement_token1] = ACTIONS(1865),
    [aux_sym_continue_statement_token1] = ACTIONS(1865),
    [aux_sym_iterate_statement_token1] = ACTIONS(1865),
    [aux_sym_raise_statement_token1] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1865),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_set_operation_token1] = ACTIONS(1865),
    [aux_sym_set_operation_token3] = ACTIONS(1865),
    [aux_sym_set_operation_token4] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1865),
    [aux_sym_having_clause_token1] = ACTIONS(1865),
    [aux_sym_qualify_clause_token1] = ACTIONS(1865),
    [aux_sym_limit_clause_token1] = ACTIONS(1865),
    [aux_sym_group_by_clause_token1] = ACTIONS(1865),
    [aux_sym_order_by_clause_token1] = ACTIONS(1865),
    [aux_sym_where_clause_token1] = ACTIONS(1865),
    [aux_sym_pivot_operator_token1] = ACTIONS(1865),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1865),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1865),
    [aux_sym_join_type_token1] = ACTIONS(1865),
    [aux_sym_join_type_token2] = ACTIONS(1865),
    [aux_sym_join_type_token3] = ACTIONS(1865),
    [aux_sym_join_type_token4] = ACTIONS(1865),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1865),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1865),
    [aux_sym_join_condition_token1] = ACTIONS(1865),
    [aux_sym_insert_statement_token1] = ACTIONS(1865),
    [aux_sym_truncate_statement_token1] = ACTIONS(1865),
    [aux_sym_update_statement_token1] = ACTIONS(1865),
    [aux_sym_merge_statement_token1] = ACTIONS(1865),
    [aux_sym_grant_statement_token1] = ACTIONS(1865),
    [aux_sym_revoke_statement_token1] = ACTIONS(1865),
    [aux_sym_export_data_statement_token1] = ACTIONS(1865),
    [aux_sym_load_data_statement_token1] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_where_clause_token1] = ACTIONS(1375),
    [aux_sym_pivot_operator_token1] = ACTIONS(1375),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1375),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1375),
    [aux_sym_join_type_token1] = ACTIONS(1375),
    [aux_sym_join_type_token2] = ACTIONS(1375),
    [aux_sym_join_type_token3] = ACTIONS(1375),
    [aux_sym_join_type_token4] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1375),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1375),
    [aux_sym_join_condition_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_window_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_using_clause_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_having_clause_token1] = ACTIONS(1685),
    [aux_sym_qualify_clause_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym_group_by_clause_token1] = ACTIONS(1685),
    [aux_sym_order_by_clause_token1] = ACTIONS(1685),
    [aux_sym_where_clause_token1] = ACTIONS(1685),
    [aux_sym_pivot_operator_token1] = ACTIONS(1685),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1685),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1685),
    [aux_sym_join_type_token1] = ACTIONS(1685),
    [aux_sym_join_type_token2] = ACTIONS(1685),
    [aux_sym_join_type_token3] = ACTIONS(1685),
    [aux_sym_join_type_token4] = ACTIONS(1685),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1685),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1685),
    [aux_sym_join_condition_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_when_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_window_token1] = ACTIONS(1381),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_using_clause_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1381),
    [aux_sym_set_operation_token3] = ACTIONS(1381),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_having_clause_token1] = ACTIONS(1381),
    [aux_sym_qualify_clause_token1] = ACTIONS(1381),
    [aux_sym_limit_clause_token1] = ACTIONS(1381),
    [aux_sym_group_by_clause_token1] = ACTIONS(1381),
    [aux_sym_order_by_clause_token1] = ACTIONS(1381),
    [aux_sym_where_clause_token1] = ACTIONS(1381),
    [aux_sym_pivot_operator_token1] = ACTIONS(1381),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1381),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1381),
    [aux_sym_join_type_token1] = ACTIONS(1381),
    [aux_sym_join_type_token2] = ACTIONS(1381),
    [aux_sym_join_type_token3] = ACTIONS(1381),
    [aux_sym_join_type_token4] = ACTIONS(1381),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1381),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1381),
    [aux_sym_join_condition_token1] = ACTIONS(1381),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_when_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_window_token1] = ACTIONS(1385),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_using_clause_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1385),
    [aux_sym_set_operation_token3] = ACTIONS(1385),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_having_clause_token1] = ACTIONS(1385),
    [aux_sym_qualify_clause_token1] = ACTIONS(1385),
    [aux_sym_limit_clause_token1] = ACTIONS(1385),
    [aux_sym_group_by_clause_token1] = ACTIONS(1385),
    [aux_sym_order_by_clause_token1] = ACTIONS(1385),
    [aux_sym_where_clause_token1] = ACTIONS(1385),
    [aux_sym_pivot_operator_token1] = ACTIONS(1385),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1385),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1385),
    [aux_sym_join_type_token1] = ACTIONS(1385),
    [aux_sym_join_type_token2] = ACTIONS(1385),
    [aux_sym_join_type_token3] = ACTIONS(1385),
    [aux_sym_join_type_token4] = ACTIONS(1385),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1385),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1385),
    [aux_sym_join_condition_token1] = ACTIONS(1385),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_when_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_window_token1] = ACTIONS(1401),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_using_clause_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1401),
    [aux_sym_set_operation_token3] = ACTIONS(1401),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_having_clause_token1] = ACTIONS(1401),
    [aux_sym_qualify_clause_token1] = ACTIONS(1401),
    [aux_sym_limit_clause_token1] = ACTIONS(1401),
    [aux_sym_group_by_clause_token1] = ACTIONS(1401),
    [aux_sym_order_by_clause_token1] = ACTIONS(1401),
    [aux_sym_where_clause_token1] = ACTIONS(1401),
    [aux_sym_pivot_operator_token1] = ACTIONS(1401),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1401),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1401),
    [aux_sym_join_type_token1] = ACTIONS(1401),
    [aux_sym_join_type_token2] = ACTIONS(1401),
    [aux_sym_join_type_token3] = ACTIONS(1401),
    [aux_sym_join_type_token4] = ACTIONS(1401),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1401),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1401),
    [aux_sym_join_condition_token1] = ACTIONS(1401),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [624] = {
    [sym_analytics_clause] = STATE(1970),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [sym__unquoted_identifier] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1455),
    [aux_sym_keyword_replace_token1] = ACTIONS(1455),
    [aux_sym__keyword_alter_token1] = ACTIONS(1455),
    [aux_sym__keyword_create_token1] = ACTIONS(1455),
    [aux_sym__keyword_drop_token1] = ACTIONS(1455),
    [aux_sym__keyword_from_token1] = ACTIONS(1455),
    [aux_sym__keyword_delete_token1] = ACTIONS(1455),
    [aux_sym__keyword_begin_token1] = ACTIONS(1455),
    [aux_sym__keyword_end_token1] = ACTIONS(1455),
    [aux_sym__keyword_between_token1] = ACTIONS(1455),
    [aux_sym__keyword_when_token1] = ACTIONS(1455),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1455),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1455),
    [aux_sym__keyword_like_token1] = ACTIONS(1455),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1455),
    [aux_sym__keyword_as_token1] = ACTIONS(1455),
    [aux_sym__keyword_window_token1] = ACTIONS(1455),
    [aux_sym__keyword_date_token1] = ACTIONS(1455),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1455),
    [aux_sym__keyword_time_token1] = ACTIONS(1455),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1455),
    [aux_sym__keyword_for_token1] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1455),
    [aux_sym_return_statement_token1] = ACTIONS(1455),
    [aux_sym_call_statement_token1] = ACTIONS(1455),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1455),
    [aux_sym_if_statement_token1] = ACTIONS(1455),
    [aux_sym_loop_statement_token1] = ACTIONS(1455),
    [aux_sym_repeat_statement_token1] = ACTIONS(1455),
    [aux_sym_while_statement_token1] = ACTIONS(1455),
    [aux_sym_break_statement_token1] = ACTIONS(1455),
    [aux_sym_leave_statement_token1] = ACTIONS(1455),
    [aux_sym_continue_statement_token1] = ACTIONS(1455),
    [aux_sym_iterate_statement_token1] = ACTIONS(1455),
    [aux_sym_raise_statement_token1] = ACTIONS(1455),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1455),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_set_operation_token1] = ACTIONS(1455),
    [aux_sym_set_operation_token3] = ACTIONS(1455),
    [aux_sym_set_operation_token4] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1455),
    [aux_sym_having_clause_token1] = ACTIONS(1455),
    [aux_sym_qualify_clause_token1] = ACTIONS(1455),
    [aux_sym_limit_clause_token1] = ACTIONS(1455),
    [aux_sym_group_by_clause_token1] = ACTIONS(1455),
    [aux_sym_order_by_clause_token1] = ACTIONS(1455),
    [aux_sym_where_clause_token1] = ACTIONS(1455),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1455),
    [aux_sym_truncate_statement_token1] = ACTIONS(1455),
    [aux_sym_update_statement_token1] = ACTIONS(1455),
    [aux_sym_merge_statement_token1] = ACTIONS(1455),
    [aux_sym_grant_statement_token1] = ACTIONS(1455),
    [aux_sym_revoke_statement_token1] = ACTIONS(1455),
    [aux_sym_export_data_statement_token1] = ACTIONS(1455),
    [aux_sym_load_data_statement_token1] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym__quoted_identifier] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [625] = {
    [sym_analytics_clause] = STATE(1972),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [626] = {
    [sym_analytics_clause] = STATE(1940),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [627] = {
    [sym_analytics_clause] = STATE(1947),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1467),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_from_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_end_token1] = ACTIONS(1467),
    [aux_sym__keyword_between_token1] = ACTIONS(1467),
    [aux_sym__keyword_when_token1] = ACTIONS(1467),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1467),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1467),
    [aux_sym__keyword_like_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_window_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1467),
    [aux_sym_if_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_repeat_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token3] = ACTIONS(1467),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_having_clause_token1] = ACTIONS(1467),
    [aux_sym_qualify_clause_token1] = ACTIONS(1467),
    [aux_sym_limit_clause_token1] = ACTIONS(1467),
    [aux_sym_group_by_clause_token1] = ACTIONS(1467),
    [aux_sym_order_by_clause_token1] = ACTIONS(1467),
    [aux_sym_where_clause_token1] = ACTIONS(1467),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [628] = {
    [sym_analytics_clause] = STATE(1939),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [629] = {
    [sym_analytics_clause] = STATE(1943),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [630] = {
    [sym_analytics_clause] = STATE(1937),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [631] = {
    [sym_analytics_clause] = STATE(1971),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [632] = {
    [sym_analytics_clause] = STATE(1936),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [633] = {
    [sym_analytics_clause] = STATE(1981),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [634] = {
    [sym_analytics_clause] = STATE(1967),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [635] = {
    [sym_analytics_clause] = STATE(1961),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [636] = {
    [sym_analytics_clause] = STATE(1959),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [637] = {
    [sym_analytics_clause] = STATE(1975),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [638] = {
    [sym_analytics_clause] = STATE(1942),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [639] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15593),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [640] = {
    [sym_analytics_clause] = STATE(1978),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [641] = {
    [sym_analytics_clause] = STATE(1979),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [642] = {
    [sym_analytics_clause] = STATE(1941),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [643] = {
    [sym_analytics_clause] = STATE(1977),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [644] = {
    [sym_analytics_clause] = STATE(1935),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [645] = {
    [sym_analytics_clause] = STATE(1973),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [646] = {
    [sym_analytics_clause] = STATE(1934),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [647] = {
    [sym_analytics_clause] = STATE(2041),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [648] = {
    [sym_analytics_clause] = STATE(1982),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [649] = {
    [sym_analytics_clause] = STATE(1983),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [650] = {
    [sym_analytics_clause] = STATE(1987),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [651] = {
    [sym_analytics_clause] = STATE(1933),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [652] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_order_by_clause_body] = STATE(6074),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(1910),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [653] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym__aliasable_expression] = STATE(7769),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(195),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [654] = {
    [sym_analytics_clause] = STATE(1988),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1395),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_from_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_end_token1] = ACTIONS(1395),
    [aux_sym__keyword_between_token1] = ACTIONS(1395),
    [aux_sym__keyword_when_token1] = ACTIONS(1395),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1395),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1395),
    [aux_sym__keyword_like_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_window_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1395),
    [aux_sym_if_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_repeat_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token3] = ACTIONS(1395),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_having_clause_token1] = ACTIONS(1395),
    [aux_sym_qualify_clause_token1] = ACTIONS(1395),
    [aux_sym_limit_clause_token1] = ACTIONS(1395),
    [aux_sym_group_by_clause_token1] = ACTIONS(1395),
    [aux_sym_order_by_clause_token1] = ACTIONS(1395),
    [aux_sym_where_clause_token1] = ACTIONS(1395),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [655] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15127),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [656] = {
    [sym_analytics_clause] = STATE(1990),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [657] = {
    [sym_analytics_clause] = STATE(1993),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [658] = {
    [sym_analytics_clause] = STATE(1932),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [659] = {
    [sym_analytics_clause] = STATE(1994),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [660] = {
    [sym_analytics_clause] = STATE(1996),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [661] = {
    [sym_analytics_clause] = STATE(1997),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [662] = {
    [sym_analytics_clause] = STATE(1998),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [663] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14906),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [664] = {
    [sym_analytics_clause] = STATE(1999),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [665] = {
    [sym_analytics_clause] = STATE(2001),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [666] = {
    [sym_analytics_clause] = STATE(2003),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [667] = {
    [sym_analytics_clause] = STATE(2004),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [668] = {
    [sym_analytics_clause] = STATE(2005),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [669] = {
    [sym_analytics_clause] = STATE(2011),
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1411),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_from_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_end_token1] = ACTIONS(1411),
    [aux_sym__keyword_between_token1] = ACTIONS(1411),
    [aux_sym__keyword_when_token1] = ACTIONS(1411),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1411),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1411),
    [aux_sym__keyword_like_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_window_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1411),
    [aux_sym_if_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_repeat_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token3] = ACTIONS(1411),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_having_clause_token1] = ACTIONS(1411),
    [aux_sym_qualify_clause_token1] = ACTIONS(1411),
    [aux_sym_limit_clause_token1] = ACTIONS(1411),
    [aux_sym_group_by_clause_token1] = ACTIONS(1411),
    [aux_sym_order_by_clause_token1] = ACTIONS(1411),
    [aux_sym_where_clause_token1] = ACTIONS(1411),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [670] = {
    [sym_analytics_clause] = STATE(2012),
    [ts_builtin_sym_end] = ACTIONS(1413),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1415),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_from_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_end_token1] = ACTIONS(1415),
    [aux_sym__keyword_between_token1] = ACTIONS(1415),
    [aux_sym__keyword_when_token1] = ACTIONS(1415),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1415),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1415),
    [aux_sym__keyword_like_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_window_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1415),
    [aux_sym_if_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_repeat_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token3] = ACTIONS(1415),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_having_clause_token1] = ACTIONS(1415),
    [aux_sym_qualify_clause_token1] = ACTIONS(1415),
    [aux_sym_limit_clause_token1] = ACTIONS(1415),
    [aux_sym_group_by_clause_token1] = ACTIONS(1415),
    [aux_sym_order_by_clause_token1] = ACTIONS(1415),
    [aux_sym_where_clause_token1] = ACTIONS(1415),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [671] = {
    [sym_analytics_clause] = STATE(2014),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [672] = {
    [sym_analytics_clause] = STATE(2017),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [673] = {
    [sym_analytics_clause] = STATE(1931),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [674] = {
    [sym_analytics_clause] = STATE(2018),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [675] = {
    [sym_analytics_clause] = STATE(2019),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [676] = {
    [sym_analytics_clause] = STATE(2023),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [677] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14553),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [678] = {
    [sym_analytics_clause] = STATE(2024),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [679] = {
    [sym_analytics_clause] = STATE(2025),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [680] = {
    [sym_analytics_clause] = STATE(2028),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [681] = {
    [sym_analytics_clause] = STATE(2074),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [682] = {
    [sym_analytics_clause] = STATE(2070),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [683] = {
    [sym_analytics_clause] = STATE(1930),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [684] = {
    [sym_analytics_clause] = STATE(2038),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [685] = {
    [sym_analytics_clause] = STATE(2077),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [686] = {
    [sym_analytics_clause] = STATE(2076),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [687] = {
    [sym_analytics_clause] = STATE(2073),
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1383),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_from_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_end_token1] = ACTIONS(1383),
    [aux_sym__keyword_between_token1] = ACTIONS(1383),
    [aux_sym__keyword_when_token1] = ACTIONS(1383),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1383),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1383),
    [aux_sym__keyword_like_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_window_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1383),
    [aux_sym_if_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_repeat_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token3] = ACTIONS(1383),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_having_clause_token1] = ACTIONS(1383),
    [aux_sym_qualify_clause_token1] = ACTIONS(1383),
    [aux_sym_limit_clause_token1] = ACTIONS(1383),
    [aux_sym_group_by_clause_token1] = ACTIONS(1383),
    [aux_sym_order_by_clause_token1] = ACTIONS(1383),
    [aux_sym_where_clause_token1] = ACTIONS(1383),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [688] = {
    [sym_analytics_clause] = STATE(2062),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [689] = {
    [sym_analytics_clause] = STATE(2035),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [690] = {
    [sym_analytics_clause] = STATE(2031),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [691] = {
    [sym_analytics_clause] = STATE(2080),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [692] = {
    [sym_analytics_clause] = STATE(2051),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [693] = {
    [sym_analytics_clause] = STATE(2040),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [694] = {
    [sym_analytics_clause] = STATE(2037),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [695] = {
    [sym_analytics_clause] = STATE(2079),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [696] = {
    [sym_analytics_clause] = STATE(2072),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1427),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_from_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_end_token1] = ACTIONS(1427),
    [aux_sym__keyword_between_token1] = ACTIONS(1427),
    [aux_sym__keyword_when_token1] = ACTIONS(1427),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1427),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1427),
    [aux_sym__keyword_like_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_window_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1427),
    [aux_sym_if_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_repeat_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token3] = ACTIONS(1427),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_having_clause_token1] = ACTIONS(1427),
    [aux_sym_qualify_clause_token1] = ACTIONS(1427),
    [aux_sym_limit_clause_token1] = ACTIONS(1427),
    [aux_sym_group_by_clause_token1] = ACTIONS(1427),
    [aux_sym_order_by_clause_token1] = ACTIONS(1427),
    [aux_sym_where_clause_token1] = ACTIONS(1427),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [697] = {
    [sym_analytics_clause] = STATE(2058),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [698] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14710),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [699] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_replace_expression] = STATE(14849),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5377),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [700] = {
    [sym_analytics_clause] = STATE(2055),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [701] = {
    [sym_analytics_clause] = STATE(2050),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [702] = {
    [sym_analytics_clause] = STATE(2048),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [703] = {
    [sym_analytics_clause] = STATE(2047),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [704] = {
    [sym_analytics_clause] = STATE(1884),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [705] = {
    [sym_analytics_clause] = STATE(2084),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [706] = {
    [sym_analytics_clause] = STATE(2083),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [707] = {
    [sym_analytics_clause] = STATE(2082),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [708] = {
    [sym_analytics_clause] = STATE(2081),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [709] = {
    [sym_analytics_clause] = STATE(2078),
    [ts_builtin_sym_end] = ACTIONS(1401),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1403),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_from_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_end_token1] = ACTIONS(1403),
    [aux_sym__keyword_between_token1] = ACTIONS(1403),
    [aux_sym__keyword_when_token1] = ACTIONS(1403),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1403),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1403),
    [aux_sym__keyword_like_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_window_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1403),
    [aux_sym_if_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_repeat_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token3] = ACTIONS(1403),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_having_clause_token1] = ACTIONS(1403),
    [aux_sym_qualify_clause_token1] = ACTIONS(1403),
    [aux_sym_limit_clause_token1] = ACTIONS(1403),
    [aux_sym_group_by_clause_token1] = ACTIONS(1403),
    [aux_sym_order_by_clause_token1] = ACTIONS(1403),
    [aux_sym_where_clause_token1] = ACTIONS(1403),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [710] = {
    [sym_analytics_clause] = STATE(2075),
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1387),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_from_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_end_token1] = ACTIONS(1387),
    [aux_sym__keyword_between_token1] = ACTIONS(1387),
    [aux_sym__keyword_when_token1] = ACTIONS(1387),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1387),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1387),
    [aux_sym__keyword_like_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_window_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1387),
    [aux_sym_if_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_repeat_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token3] = ACTIONS(1387),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_having_clause_token1] = ACTIONS(1387),
    [aux_sym_qualify_clause_token1] = ACTIONS(1387),
    [aux_sym_limit_clause_token1] = ACTIONS(1387),
    [aux_sym_group_by_clause_token1] = ACTIONS(1387),
    [aux_sym_order_by_clause_token1] = ACTIONS(1387),
    [aux_sym_where_clause_token1] = ACTIONS(1387),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [711] = {
    [sym_analytics_clause] = STATE(1958),
    [ts_builtin_sym_end] = ACTIONS(1429),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1431),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_from_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_end_token1] = ACTIONS(1431),
    [aux_sym__keyword_between_token1] = ACTIONS(1431),
    [aux_sym__keyword_when_token1] = ACTIONS(1431),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1431),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1431),
    [aux_sym__keyword_like_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_window_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1431),
    [aux_sym_if_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_repeat_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token3] = ACTIONS(1431),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_having_clause_token1] = ACTIONS(1431),
    [aux_sym_qualify_clause_token1] = ACTIONS(1431),
    [aux_sym_limit_clause_token1] = ACTIONS(1431),
    [aux_sym_group_by_clause_token1] = ACTIONS(1431),
    [aux_sym_order_by_clause_token1] = ACTIONS(1431),
    [aux_sym_where_clause_token1] = ACTIONS(1431),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [712] = {
    [sym_analytics_clause] = STATE(2069),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [713] = {
    [sym_analytics_clause] = STATE(2068),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [714] = {
    [sym_analytics_clause] = STATE(2067),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [715] = {
    [sym_analytics_clause] = STATE(2066),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [716] = {
    [sym_analytics_clause] = STATE(2065),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [717] = {
    [sym_analytics_clause] = STATE(2064),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [718] = {
    [sym_analytics_clause] = STATE(2063),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [719] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_order_by_clause_body] = STATE(6074),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2336),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [720] = {
    [sym_analytics_clause] = STATE(2061),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [721] = {
    [sym_analytics_clause] = STATE(2060),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [722] = {
    [sym_analytics_clause] = STATE(2059),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [723] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8375),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2025),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [724] = {
    [sym_analytics_clause] = STATE(2057),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [725] = {
    [sym_analytics_clause] = STATE(2056),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [726] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8835),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2027),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [727] = {
    [sym_analytics_clause] = STATE(2054),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [728] = {
    [sym_analytics_clause] = STATE(2053),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [729] = {
    [sym_analytics_clause] = STATE(2052),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [730] = {
    [sym_analytics_clause] = STATE(2049),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [731] = {
    [sym_analytics_clause] = STATE(2046),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [732] = {
    [sym_analytics_clause] = STATE(2045),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [733] = {
    [sym_analytics_clause] = STATE(2044),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [734] = {
    [sym_analytics_clause] = STATE(2043),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [735] = {
    [sym_analytics_clause] = STATE(2042),
    [ts_builtin_sym_end] = ACTIONS(1461),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1463),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_from_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_end_token1] = ACTIONS(1463),
    [aux_sym__keyword_between_token1] = ACTIONS(1463),
    [aux_sym__keyword_when_token1] = ACTIONS(1463),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1463),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1463),
    [aux_sym__keyword_like_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_window_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_repeat_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token3] = ACTIONS(1463),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_having_clause_token1] = ACTIONS(1463),
    [aux_sym_qualify_clause_token1] = ACTIONS(1463),
    [aux_sym_limit_clause_token1] = ACTIONS(1463),
    [aux_sym_group_by_clause_token1] = ACTIONS(1463),
    [aux_sym_order_by_clause_token1] = ACTIONS(1463),
    [aux_sym_where_clause_token1] = ACTIONS(1463),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [736] = {
    [sym_analytics_clause] = STATE(2039),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [737] = {
    [sym_analytics_clause] = STATE(2036),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [738] = {
    [sym_analytics_clause] = STATE(2034),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [739] = {
    [sym_analytics_clause] = STATE(2033),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [740] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym__aliasable_expression] = STATE(9667),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(531),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [741] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15454),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [742] = {
    [sym_analytics_clause] = STATE(2032),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [743] = {
    [sym_analytics_clause] = STATE(2030),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1491),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_from_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_end_token1] = ACTIONS(1491),
    [aux_sym__keyword_between_token1] = ACTIONS(1491),
    [aux_sym__keyword_when_token1] = ACTIONS(1491),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1491),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1491),
    [aux_sym__keyword_like_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_window_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1491),
    [aux_sym_if_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_repeat_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token3] = ACTIONS(1491),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_having_clause_token1] = ACTIONS(1491),
    [aux_sym_qualify_clause_token1] = ACTIONS(1491),
    [aux_sym_limit_clause_token1] = ACTIONS(1491),
    [aux_sym_group_by_clause_token1] = ACTIONS(1491),
    [aux_sym_order_by_clause_token1] = ACTIONS(1491),
    [aux_sym_where_clause_token1] = ACTIONS(1491),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [744] = {
    [sym_analytics_clause] = STATE(2029),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1503),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_from_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_end_token1] = ACTIONS(1503),
    [aux_sym__keyword_between_token1] = ACTIONS(1503),
    [aux_sym__keyword_when_token1] = ACTIONS(1503),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1503),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1503),
    [aux_sym__keyword_like_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_window_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1503),
    [aux_sym_if_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_repeat_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token3] = ACTIONS(1503),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_having_clause_token1] = ACTIONS(1503),
    [aux_sym_qualify_clause_token1] = ACTIONS(1503),
    [aux_sym_limit_clause_token1] = ACTIONS(1503),
    [aux_sym_group_by_clause_token1] = ACTIONS(1503),
    [aux_sym_order_by_clause_token1] = ACTIONS(1503),
    [aux_sym_where_clause_token1] = ACTIONS(1503),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [745] = {
    [sym_analytics_clause] = STATE(2027),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1515),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_from_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_end_token1] = ACTIONS(1515),
    [aux_sym__keyword_between_token1] = ACTIONS(1515),
    [aux_sym__keyword_when_token1] = ACTIONS(1515),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1515),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1515),
    [aux_sym__keyword_like_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_window_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1515),
    [aux_sym_if_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_repeat_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token3] = ACTIONS(1515),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_having_clause_token1] = ACTIONS(1515),
    [aux_sym_qualify_clause_token1] = ACTIONS(1515),
    [aux_sym_limit_clause_token1] = ACTIONS(1515),
    [aux_sym_group_by_clause_token1] = ACTIONS(1515),
    [aux_sym_order_by_clause_token1] = ACTIONS(1515),
    [aux_sym_where_clause_token1] = ACTIONS(1515),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [746] = {
    [sym_analytics_clause] = STATE(2026),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [747] = {
    [sym_analytics_clause] = STATE(2022),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [748] = {
    [sym_analytics_clause] = STATE(2021),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [749] = {
    [sym_analytics_clause] = STATE(2020),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [750] = {
    [sym_analytics_clause] = STATE(2015),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [751] = {
    [sym_analytics_clause] = STATE(2010),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [752] = {
    [sym_analytics_clause] = STATE(2009),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [753] = {
    [sym_analytics_clause] = STATE(2008),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [754] = {
    [sym_analytics_clause] = STATE(2006),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [755] = {
    [sym_analytics_clause] = STATE(2002),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [756] = {
    [sym_analytics_clause] = STATE(2000),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1511),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_from_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_end_token1] = ACTIONS(1511),
    [aux_sym__keyword_between_token1] = ACTIONS(1511),
    [aux_sym__keyword_when_token1] = ACTIONS(1511),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1511),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1511),
    [aux_sym__keyword_like_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_window_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1511),
    [aux_sym_if_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_repeat_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token3] = ACTIONS(1511),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_having_clause_token1] = ACTIONS(1511),
    [aux_sym_qualify_clause_token1] = ACTIONS(1511),
    [aux_sym_limit_clause_token1] = ACTIONS(1511),
    [aux_sym_group_by_clause_token1] = ACTIONS(1511),
    [aux_sym_order_by_clause_token1] = ACTIONS(1511),
    [aux_sym_where_clause_token1] = ACTIONS(1511),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [757] = {
    [sym_analytics_clause] = STATE(1995),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym__unquoted_identifier] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1507),
    [aux_sym_keyword_replace_token1] = ACTIONS(1507),
    [aux_sym__keyword_alter_token1] = ACTIONS(1507),
    [aux_sym__keyword_create_token1] = ACTIONS(1507),
    [aux_sym__keyword_drop_token1] = ACTIONS(1507),
    [aux_sym__keyword_from_token1] = ACTIONS(1507),
    [aux_sym__keyword_delete_token1] = ACTIONS(1507),
    [aux_sym__keyword_begin_token1] = ACTIONS(1507),
    [aux_sym__keyword_end_token1] = ACTIONS(1507),
    [aux_sym__keyword_between_token1] = ACTIONS(1507),
    [aux_sym__keyword_when_token1] = ACTIONS(1507),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1507),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1507),
    [aux_sym__keyword_like_token1] = ACTIONS(1507),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1507),
    [aux_sym__keyword_as_token1] = ACTIONS(1507),
    [aux_sym__keyword_window_token1] = ACTIONS(1507),
    [aux_sym__keyword_date_token1] = ACTIONS(1507),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1507),
    [aux_sym__keyword_time_token1] = ACTIONS(1507),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1507),
    [aux_sym__keyword_for_token1] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1507),
    [aux_sym_return_statement_token1] = ACTIONS(1507),
    [aux_sym_call_statement_token1] = ACTIONS(1507),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1507),
    [aux_sym_if_statement_token1] = ACTIONS(1507),
    [aux_sym_loop_statement_token1] = ACTIONS(1507),
    [aux_sym_repeat_statement_token1] = ACTIONS(1507),
    [aux_sym_while_statement_token1] = ACTIONS(1507),
    [aux_sym_break_statement_token1] = ACTIONS(1507),
    [aux_sym_leave_statement_token1] = ACTIONS(1507),
    [aux_sym_continue_statement_token1] = ACTIONS(1507),
    [aux_sym_iterate_statement_token1] = ACTIONS(1507),
    [aux_sym_raise_statement_token1] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1507),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_set_operation_token1] = ACTIONS(1507),
    [aux_sym_set_operation_token3] = ACTIONS(1507),
    [aux_sym_set_operation_token4] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1507),
    [aux_sym_having_clause_token1] = ACTIONS(1507),
    [aux_sym_qualify_clause_token1] = ACTIONS(1507),
    [aux_sym_limit_clause_token1] = ACTIONS(1507),
    [aux_sym_group_by_clause_token1] = ACTIONS(1507),
    [aux_sym_order_by_clause_token1] = ACTIONS(1507),
    [aux_sym_where_clause_token1] = ACTIONS(1507),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1507),
    [aux_sym_truncate_statement_token1] = ACTIONS(1507),
    [aux_sym_update_statement_token1] = ACTIONS(1507),
    [aux_sym_merge_statement_token1] = ACTIONS(1507),
    [aux_sym_grant_statement_token1] = ACTIONS(1507),
    [aux_sym_revoke_statement_token1] = ACTIONS(1507),
    [aux_sym_export_data_statement_token1] = ACTIONS(1507),
    [aux_sym_load_data_statement_token1] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym__quoted_identifier] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [758] = {
    [sym_analytics_clause] = STATE(1992),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1499),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_from_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_end_token1] = ACTIONS(1499),
    [aux_sym__keyword_between_token1] = ACTIONS(1499),
    [aux_sym__keyword_when_token1] = ACTIONS(1499),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1499),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1499),
    [aux_sym__keyword_like_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_window_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1499),
    [aux_sym_if_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_repeat_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token3] = ACTIONS(1499),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_having_clause_token1] = ACTIONS(1499),
    [aux_sym_qualify_clause_token1] = ACTIONS(1499),
    [aux_sym_limit_clause_token1] = ACTIONS(1499),
    [aux_sym_group_by_clause_token1] = ACTIONS(1499),
    [aux_sym_order_by_clause_token1] = ACTIONS(1499),
    [aux_sym_where_clause_token1] = ACTIONS(1499),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [759] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15905),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [760] = {
    [sym_analytics_clause] = STATE(1991),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1495),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_from_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_end_token1] = ACTIONS(1495),
    [aux_sym__keyword_between_token1] = ACTIONS(1495),
    [aux_sym__keyword_when_token1] = ACTIONS(1495),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1495),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1495),
    [aux_sym__keyword_like_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_window_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1495),
    [aux_sym_if_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_repeat_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token3] = ACTIONS(1495),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_having_clause_token1] = ACTIONS(1495),
    [aux_sym_qualify_clause_token1] = ACTIONS(1495),
    [aux_sym_limit_clause_token1] = ACTIONS(1495),
    [aux_sym_group_by_clause_token1] = ACTIONS(1495),
    [aux_sym_order_by_clause_token1] = ACTIONS(1495),
    [aux_sym_where_clause_token1] = ACTIONS(1495),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [761] = {
    [sym_analytics_clause] = STATE(1986),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1487),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_from_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_end_token1] = ACTIONS(1487),
    [aux_sym__keyword_between_token1] = ACTIONS(1487),
    [aux_sym__keyword_when_token1] = ACTIONS(1487),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1487),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1487),
    [aux_sym__keyword_like_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_window_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1487),
    [aux_sym_if_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_repeat_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token3] = ACTIONS(1487),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_having_clause_token1] = ACTIONS(1487),
    [aux_sym_qualify_clause_token1] = ACTIONS(1487),
    [aux_sym_limit_clause_token1] = ACTIONS(1487),
    [aux_sym_group_by_clause_token1] = ACTIONS(1487),
    [aux_sym_order_by_clause_token1] = ACTIONS(1487),
    [aux_sym_where_clause_token1] = ACTIONS(1487),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [762] = {
    [sym_analytics_clause] = STATE(1980),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1369),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_from_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_end_token1] = ACTIONS(1369),
    [aux_sym__keyword_between_token1] = ACTIONS(1369),
    [aux_sym__keyword_when_token1] = ACTIONS(1369),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1369),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1369),
    [aux_sym__keyword_like_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_window_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1369),
    [aux_sym_if_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_repeat_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token3] = ACTIONS(1369),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_having_clause_token1] = ACTIONS(1369),
    [aux_sym_qualify_clause_token1] = ACTIONS(1369),
    [aux_sym_limit_clause_token1] = ACTIONS(1369),
    [aux_sym_group_by_clause_token1] = ACTIONS(1369),
    [aux_sym_order_by_clause_token1] = ACTIONS(1369),
    [aux_sym_where_clause_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [763] = {
    [sym_analytics_clause] = STATE(1976),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1369),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_from_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_end_token1] = ACTIONS(1369),
    [aux_sym__keyword_between_token1] = ACTIONS(1369),
    [aux_sym__keyword_when_token1] = ACTIONS(1369),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1369),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1369),
    [aux_sym__keyword_like_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_window_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1369),
    [aux_sym_if_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_repeat_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token3] = ACTIONS(1369),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_having_clause_token1] = ACTIONS(1369),
    [aux_sym_qualify_clause_token1] = ACTIONS(1369),
    [aux_sym_limit_clause_token1] = ACTIONS(1369),
    [aux_sym_group_by_clause_token1] = ACTIONS(1369),
    [aux_sym_order_by_clause_token1] = ACTIONS(1369),
    [aux_sym_where_clause_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [764] = {
    [sym_analytics_clause] = STATE(1974),
    [ts_builtin_sym_end] = ACTIONS(1457),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1459),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_from_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_end_token1] = ACTIONS(1459),
    [aux_sym__keyword_between_token1] = ACTIONS(1459),
    [aux_sym__keyword_when_token1] = ACTIONS(1459),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1459),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1459),
    [aux_sym__keyword_like_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_window_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1459),
    [aux_sym_if_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_repeat_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token3] = ACTIONS(1459),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_having_clause_token1] = ACTIONS(1459),
    [aux_sym_qualify_clause_token1] = ACTIONS(1459),
    [aux_sym_limit_clause_token1] = ACTIONS(1459),
    [aux_sym_group_by_clause_token1] = ACTIONS(1459),
    [aux_sym_order_by_clause_token1] = ACTIONS(1459),
    [aux_sym_where_clause_token1] = ACTIONS(1459),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [765] = {
    [sym_analytics_clause] = STATE(1969),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1451),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_from_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_end_token1] = ACTIONS(1451),
    [aux_sym__keyword_between_token1] = ACTIONS(1451),
    [aux_sym__keyword_when_token1] = ACTIONS(1451),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1451),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1451),
    [aux_sym__keyword_like_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_window_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1451),
    [aux_sym_if_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_repeat_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token3] = ACTIONS(1451),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_having_clause_token1] = ACTIONS(1451),
    [aux_sym_qualify_clause_token1] = ACTIONS(1451),
    [aux_sym_limit_clause_token1] = ACTIONS(1451),
    [aux_sym_group_by_clause_token1] = ACTIONS(1451),
    [aux_sym_order_by_clause_token1] = ACTIONS(1451),
    [aux_sym_where_clause_token1] = ACTIONS(1451),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [766] = {
    [sym_analytics_clause] = STATE(1968),
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1447),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_from_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_end_token1] = ACTIONS(1447),
    [aux_sym__keyword_between_token1] = ACTIONS(1447),
    [aux_sym__keyword_when_token1] = ACTIONS(1447),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1447),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1447),
    [aux_sym__keyword_like_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_window_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1447),
    [aux_sym_if_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_repeat_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token3] = ACTIONS(1447),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_having_clause_token1] = ACTIONS(1447),
    [aux_sym_qualify_clause_token1] = ACTIONS(1447),
    [aux_sym_limit_clause_token1] = ACTIONS(1447),
    [aux_sym_group_by_clause_token1] = ACTIONS(1447),
    [aux_sym_order_by_clause_token1] = ACTIONS(1447),
    [aux_sym_where_clause_token1] = ACTIONS(1447),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [767] = {
    [sym_analytics_clause] = STATE(1962),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [sym__unquoted_identifier] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1439),
    [aux_sym_keyword_replace_token1] = ACTIONS(1439),
    [aux_sym__keyword_alter_token1] = ACTIONS(1439),
    [aux_sym__keyword_create_token1] = ACTIONS(1439),
    [aux_sym__keyword_drop_token1] = ACTIONS(1439),
    [aux_sym__keyword_from_token1] = ACTIONS(1439),
    [aux_sym__keyword_delete_token1] = ACTIONS(1439),
    [aux_sym__keyword_begin_token1] = ACTIONS(1439),
    [aux_sym__keyword_end_token1] = ACTIONS(1439),
    [aux_sym__keyword_between_token1] = ACTIONS(1439),
    [aux_sym__keyword_when_token1] = ACTIONS(1439),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1439),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1439),
    [aux_sym__keyword_like_token1] = ACTIONS(1439),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1439),
    [aux_sym__keyword_as_token1] = ACTIONS(1439),
    [aux_sym__keyword_window_token1] = ACTIONS(1439),
    [aux_sym__keyword_date_token1] = ACTIONS(1439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1439),
    [aux_sym__keyword_time_token1] = ACTIONS(1439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1439),
    [aux_sym__keyword_for_token1] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1439),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1439),
    [aux_sym_return_statement_token1] = ACTIONS(1439),
    [aux_sym_call_statement_token1] = ACTIONS(1439),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1439),
    [aux_sym_if_statement_token1] = ACTIONS(1439),
    [aux_sym_loop_statement_token1] = ACTIONS(1439),
    [aux_sym_repeat_statement_token1] = ACTIONS(1439),
    [aux_sym_while_statement_token1] = ACTIONS(1439),
    [aux_sym_break_statement_token1] = ACTIONS(1439),
    [aux_sym_leave_statement_token1] = ACTIONS(1439),
    [aux_sym_continue_statement_token1] = ACTIONS(1439),
    [aux_sym_iterate_statement_token1] = ACTIONS(1439),
    [aux_sym_raise_statement_token1] = ACTIONS(1439),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1439),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1439),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_set_operation_token1] = ACTIONS(1439),
    [aux_sym_set_operation_token3] = ACTIONS(1439),
    [aux_sym_set_operation_token4] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1439),
    [aux_sym_having_clause_token1] = ACTIONS(1439),
    [aux_sym_qualify_clause_token1] = ACTIONS(1439),
    [aux_sym_limit_clause_token1] = ACTIONS(1439),
    [aux_sym_group_by_clause_token1] = ACTIONS(1439),
    [aux_sym_order_by_clause_token1] = ACTIONS(1439),
    [aux_sym_where_clause_token1] = ACTIONS(1439),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1439),
    [aux_sym_truncate_statement_token1] = ACTIONS(1439),
    [aux_sym_update_statement_token1] = ACTIONS(1439),
    [aux_sym_merge_statement_token1] = ACTIONS(1439),
    [aux_sym_grant_statement_token1] = ACTIONS(1439),
    [aux_sym_revoke_statement_token1] = ACTIONS(1439),
    [aux_sym_export_data_statement_token1] = ACTIONS(1439),
    [aux_sym_load_data_statement_token1] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym__quoted_identifier] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [768] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15048),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [769] = {
    [sym_analytics_clause] = STATE(1960),
    [ts_builtin_sym_end] = ACTIONS(1433),
    [sym__unquoted_identifier] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1435),
    [aux_sym_keyword_replace_token1] = ACTIONS(1435),
    [aux_sym__keyword_alter_token1] = ACTIONS(1435),
    [aux_sym__keyword_create_token1] = ACTIONS(1435),
    [aux_sym__keyword_drop_token1] = ACTIONS(1435),
    [aux_sym__keyword_from_token1] = ACTIONS(1435),
    [aux_sym__keyword_delete_token1] = ACTIONS(1435),
    [aux_sym__keyword_begin_token1] = ACTIONS(1435),
    [aux_sym__keyword_end_token1] = ACTIONS(1435),
    [aux_sym__keyword_between_token1] = ACTIONS(1435),
    [aux_sym__keyword_when_token1] = ACTIONS(1435),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1435),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1435),
    [aux_sym__keyword_like_token1] = ACTIONS(1435),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1435),
    [aux_sym__keyword_as_token1] = ACTIONS(1435),
    [aux_sym__keyword_window_token1] = ACTIONS(1435),
    [aux_sym__keyword_date_token1] = ACTIONS(1435),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1435),
    [aux_sym__keyword_time_token1] = ACTIONS(1435),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1435),
    [aux_sym__keyword_for_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1435),
    [aux_sym_return_statement_token1] = ACTIONS(1435),
    [aux_sym_call_statement_token1] = ACTIONS(1435),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1435),
    [aux_sym_if_statement_token1] = ACTIONS(1435),
    [aux_sym_loop_statement_token1] = ACTIONS(1435),
    [aux_sym_repeat_statement_token1] = ACTIONS(1435),
    [aux_sym_while_statement_token1] = ACTIONS(1435),
    [aux_sym_break_statement_token1] = ACTIONS(1435),
    [aux_sym_leave_statement_token1] = ACTIONS(1435),
    [aux_sym_continue_statement_token1] = ACTIONS(1435),
    [aux_sym_iterate_statement_token1] = ACTIONS(1435),
    [aux_sym_raise_statement_token1] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1435),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_set_operation_token1] = ACTIONS(1435),
    [aux_sym_set_operation_token3] = ACTIONS(1435),
    [aux_sym_set_operation_token4] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1435),
    [aux_sym_having_clause_token1] = ACTIONS(1435),
    [aux_sym_qualify_clause_token1] = ACTIONS(1435),
    [aux_sym_limit_clause_token1] = ACTIONS(1435),
    [aux_sym_group_by_clause_token1] = ACTIONS(1435),
    [aux_sym_order_by_clause_token1] = ACTIONS(1435),
    [aux_sym_where_clause_token1] = ACTIONS(1435),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1435),
    [aux_sym_truncate_statement_token1] = ACTIONS(1435),
    [aux_sym_update_statement_token1] = ACTIONS(1435),
    [aux_sym_merge_statement_token1] = ACTIONS(1435),
    [aux_sym_grant_statement_token1] = ACTIONS(1435),
    [aux_sym_revoke_statement_token1] = ACTIONS(1435),
    [aux_sym_export_data_statement_token1] = ACTIONS(1435),
    [aux_sym_load_data_statement_token1] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym__quoted_identifier] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [770] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8384),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2083),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [771] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15841),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [772] = {
    [sym_analytics_clause] = STATE(1944),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [sym__unquoted_identifier] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1391),
    [aux_sym_keyword_replace_token1] = ACTIONS(1391),
    [aux_sym__keyword_alter_token1] = ACTIONS(1391),
    [aux_sym__keyword_create_token1] = ACTIONS(1391),
    [aux_sym__keyword_drop_token1] = ACTIONS(1391),
    [aux_sym__keyword_from_token1] = ACTIONS(1391),
    [aux_sym__keyword_delete_token1] = ACTIONS(1391),
    [aux_sym__keyword_begin_token1] = ACTIONS(1391),
    [aux_sym__keyword_end_token1] = ACTIONS(1391),
    [aux_sym__keyword_between_token1] = ACTIONS(1391),
    [aux_sym__keyword_when_token1] = ACTIONS(1391),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1391),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1391),
    [aux_sym__keyword_like_token1] = ACTIONS(1391),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1391),
    [aux_sym__keyword_as_token1] = ACTIONS(1391),
    [aux_sym__keyword_window_token1] = ACTIONS(1391),
    [aux_sym__keyword_date_token1] = ACTIONS(1391),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1391),
    [aux_sym__keyword_time_token1] = ACTIONS(1391),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1391),
    [aux_sym__keyword_for_token1] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1391),
    [aux_sym_return_statement_token1] = ACTIONS(1391),
    [aux_sym_call_statement_token1] = ACTIONS(1391),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1391),
    [aux_sym_if_statement_token1] = ACTIONS(1391),
    [aux_sym_loop_statement_token1] = ACTIONS(1391),
    [aux_sym_repeat_statement_token1] = ACTIONS(1391),
    [aux_sym_while_statement_token1] = ACTIONS(1391),
    [aux_sym_break_statement_token1] = ACTIONS(1391),
    [aux_sym_leave_statement_token1] = ACTIONS(1391),
    [aux_sym_continue_statement_token1] = ACTIONS(1391),
    [aux_sym_iterate_statement_token1] = ACTIONS(1391),
    [aux_sym_raise_statement_token1] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1391),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1391),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_set_operation_token1] = ACTIONS(1391),
    [aux_sym_set_operation_token3] = ACTIONS(1391),
    [aux_sym_set_operation_token4] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1391),
    [aux_sym_having_clause_token1] = ACTIONS(1391),
    [aux_sym_qualify_clause_token1] = ACTIONS(1391),
    [aux_sym_limit_clause_token1] = ACTIONS(1391),
    [aux_sym_group_by_clause_token1] = ACTIONS(1391),
    [aux_sym_order_by_clause_token1] = ACTIONS(1391),
    [aux_sym_where_clause_token1] = ACTIONS(1391),
    [aux_sym_analytics_clause_token1] = ACTIONS(1869),
    [aux_sym_insert_statement_token1] = ACTIONS(1391),
    [aux_sym_truncate_statement_token1] = ACTIONS(1391),
    [aux_sym_update_statement_token1] = ACTIONS(1391),
    [aux_sym_merge_statement_token1] = ACTIONS(1391),
    [aux_sym_grant_statement_token1] = ACTIONS(1391),
    [aux_sym_revoke_statement_token1] = ACTIONS(1391),
    [aux_sym_export_data_statement_token1] = ACTIONS(1391),
    [aux_sym_load_data_statement_token1] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym__quoted_identifier] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [773] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(16059),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [774] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15391),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [775] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8373),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2085),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [776] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym__aliasable_expression] = STATE(7537),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(195),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [777] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_order_by_clause_body] = STATE(6074),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2370),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [778] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8556),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2093),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [779] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8551),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2095),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [780] = {
    [sym_string] = STATE(1901),
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_from_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(201),
  },
  [781] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15002),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [782] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_grouping_item] = STATE(5577),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2305),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [783] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14513),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [784] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8566),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2097),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [785] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_replace_expression] = STATE(16242),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5377),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [786] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_grouping_item] = STATE(5577),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2536),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [787] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14514),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [788] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_grouping_item] = STATE(5577),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9310),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [789] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8567),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [790] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8574),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [791] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14745),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [792] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8583),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2103),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [793] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8376),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2105),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [794] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8378),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2107),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [795] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym__aliasable_expression] = STATE(7537),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(531),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [796] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14976),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [797] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_order_by_clause_body] = STATE(6074),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(1467),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [798] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_order_by_clause_body] = STATE(6074),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(6370),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [799] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15207),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [800] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8380),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2165),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [801] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8589),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2167),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [802] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8383),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2169),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [803] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_order_by_clause_body] = STATE(6074),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6150),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [804] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8394),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2225),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [805] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8386),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2227),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [806] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8388),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2229),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [807] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8390),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2231),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [808] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8391),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2233),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [809] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8393),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2235),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [810] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8596),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2237),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [811] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8599),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2239),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [812] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8601),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2241),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [813] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8598),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2243),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [814] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8608),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2245),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [815] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8612),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2247),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [816] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(16250),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [817] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8615),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2249),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [818] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8618),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2251),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [819] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8371),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2253),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [820] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8548),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2255),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [821] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14544),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [822] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15893),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [823] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14964),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [824] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8662),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2257),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [825] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_grouping_item] = STATE(5577),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6677),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [826] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8707),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2259),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [827] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15312),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [828] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15293),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [829] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15833),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [830] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15831),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [831] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15569),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [832] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15529),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [833] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8367),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2261),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [834] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(14462),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [835] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8396),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2263),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [836] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym__aliasable_expression] = STATE(15417),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(5345),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [837] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_order_by_clause_body] = STATE(6074),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6272),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [838] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8641),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_RBRACK] = ACTIONS(2319),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [839] = {
    [sym_analytics_clause] = STATE(2104),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [840] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10009),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [841] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2341),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [842] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9740),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [843] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2348),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [844] = {
    [sym_analytics_clause] = STATE(2086),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [845] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9739),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [846] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9069),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [847] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2353),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [848] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2352),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [849] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2351),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [850] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5307),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [851] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5306),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [852] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2350),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [853] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9071),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [854] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2349),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [855] = {
    [sym_analytics_clause] = STATE(2281),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [856] = {
    [sym_analytics_clause] = STATE(2278),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [857] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9072),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [858] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10305),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [859] = {
    [sym_analytics_clause] = STATE(2277),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [860] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3376),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [861] = {
    [sym_analytics_clause] = STATE(2276),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [862] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9073),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [863] = {
    [sym_analytics_clause] = STATE(2274),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1467),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_from_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_end_token1] = ACTIONS(1467),
    [aux_sym__keyword_between_token1] = ACTIONS(1467),
    [aux_sym__keyword_when_token1] = ACTIONS(1467),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1467),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1467),
    [aux_sym__keyword_like_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_window_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1467),
    [aux_sym_if_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_repeat_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token3] = ACTIONS(1467),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_having_clause_token1] = ACTIONS(1467),
    [aux_sym_qualify_clause_token1] = ACTIONS(1467),
    [aux_sym_limit_clause_token1] = ACTIONS(1467),
    [aux_sym_group_by_clause_token1] = ACTIONS(1467),
    [aux_sym_order_by_clause_token1] = ACTIONS(1467),
    [aux_sym_where_clause_token1] = ACTIONS(1467),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [864] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9847),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [865] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2347),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [866] = {
    [sym_analytics_clause] = STATE(2272),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [867] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2346),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [868] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2345),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [869] = {
    [sym_analytics_clause] = STATE(2271),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [870] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9076),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [871] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2344),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [872] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4068),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [873] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2337),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [874] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5354),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [875] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2343),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [876] = {
    [sym_analytics_clause] = STATE(2269),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [877] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5355),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [878] = {
    [sym_analytics_clause] = STATE(2268),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [879] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9762),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [880] = {
    [sym_analytics_clause] = STATE(2266),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [881] = {
    [sym_analytics_clause] = STATE(2265),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [882] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3603),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [883] = {
    [sym_analytics_clause] = STATE(2264),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [884] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2342),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [885] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2339),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [886] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2340),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [887] = {
    [sym_analytics_clause] = STATE(2262),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [888] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9077),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [889] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9080),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [890] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9081),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [891] = {
    [sym_analytics_clause] = STATE(2280),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [892] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9085),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [893] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9089),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [894] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2303),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [895] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2304),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [896] = {
    [sym_analytics_clause] = STATE(2254),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [897] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5295),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [898] = {
    [sym_analytics_clause] = STATE(2252),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [899] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9091),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [900] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10249),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [901] = {
    [sym_analytics_clause] = STATE(2251),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [902] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(7237),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [903] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9873),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [904] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2314),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [905] = {
    [sym_analytics_clause] = STATE(2249),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [906] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3450),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [907] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2319),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [908] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(7363),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [909] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2780),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [910] = {
    [sym_analytics_clause] = STATE(2260),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [911] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2321),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [912] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2284),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [913] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2781),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [914] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9809),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [915] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9097),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [916] = {
    [sym_analytics_clause] = STATE(2259),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [917] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9098),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [918] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9100),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [919] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8568),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [920] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9104),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [921] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(175),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [922] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9105),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [923] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7645),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [924] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7690),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [925] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7647),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [926] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9722),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [927] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9875),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [928] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2322),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [929] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5294),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [930] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(182),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [931] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2323),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [932] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2325),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [933] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5297),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [934] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2326),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [935] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9721),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [936] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2327),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [937] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7649),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [938] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2329),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [939] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9144),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [940] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2310),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [941] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2332),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [942] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9725),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [943] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2318),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [944] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(181),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [945] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2309),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [946] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9820),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [947] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(174),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [948] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2520),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [949] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(945),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(176),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2282),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [950] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6671),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [951] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6670),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [952] = {
    [sym_analytics_clause] = STATE(2152),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [953] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2776),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [954] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2769),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [955] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2786),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [956] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2785),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [957] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3374),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [958] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2784),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [959] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6637),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [960] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2783),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [961] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2977),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [962] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6638),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [963] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2782),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [964] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6641),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [965] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2779),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [966] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6642),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [967] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3433),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [968] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2778),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [969] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2798),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [970] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6645),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [971] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8243),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [972] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6646),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [973] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(180),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [974] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6647),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [975] = {
    [sym_analytics_clause] = STATE(2238),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [976] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(168),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [977] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(146),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [978] = {
    [sym_analytics_clause] = STATE(2237),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [979] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6648),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [980] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(184),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [981] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(167),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [982] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6649),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [983] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6650),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [984] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(155),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [985] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9792),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [986] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6651),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [987] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9853),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [988] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6692),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [989] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(154),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [990] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6652),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [991] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6372),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [992] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6654),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [993] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3430),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [994] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6633),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [995] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6690),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [996] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2979),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [997] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6815),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [998] = {
    [sym_analytics_clause] = STATE(2155),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [999] = {
    [sym_analytics_clause] = STATE(2157),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1000] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3604),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1001] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3606),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1002] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9877),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1003] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9856),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1004] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7874),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1005] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7881),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1006] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9707),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1007] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9706),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1008] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9705),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1009] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9704),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1010] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9712),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1011] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9702),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1012] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9869),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1013] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9701),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1014] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9700),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1015] = {
    [sym_analytics_clause] = STATE(2224),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [1016] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8006),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1017] = {
    [sym_analytics_clause] = STATE(2215),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [1018] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8009),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1019] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2777),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [1020] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8018),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1021] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5346),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1022] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8019),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1023] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5347),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1024] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8013),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1025] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2980),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1026] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8014),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1027] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8017),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1028] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8021),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1029] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3002),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1030] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8005),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1031] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7998),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1032] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6683),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1033] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6682),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1034] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(152),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1035] = {
    [sym_analytics_clause] = STATE(2153),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1036] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9862),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1037] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3001),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1038] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5341),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1039] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8920),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1040] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9859),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1041] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2990),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1042] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2991),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1043] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2992),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1044] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7726),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1045] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2775),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [1046] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5298),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1047] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2774),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [1048] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(150),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1049] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(170),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1050] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2993),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1051] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7725),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1052] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6813),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1053] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3434),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1054] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2994),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1055] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6812),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1056] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7720),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1057] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10281),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1058] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2995),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1059] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2996),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1060] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10280),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1061] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10278),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1062] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10277),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1063] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2998),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1064] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7770),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1065] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2999),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1066] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6811),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1067] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7750),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1068] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3410),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1069] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(177),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1070] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6809),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1071] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10272),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1072] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2773),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [1073] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(913),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(433),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2771),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(2087),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2091),
    [anon_sym_DASH] = ACTIONS(2091),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [1074] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16159),
    [sym__keyword_case] = STATE(254),
    [sym__keyword_not] = STATE(930),
    [sym__keyword_cast] = STATE(19288),
    [sym__keyword_date] = STATE(1898),
    [sym__keyword_datetime] = STATE(1898),
    [sym__keyword_time] = STATE(1898),
    [sym__keyword_timestamp] = STATE(1898),
    [sym_select_subexpression] = STATE(2253),
    [sym_function_call] = STATE(2253),
    [sym_unnest_operator] = STATE(123),
    [sym_unnest_clause] = STATE(2253),
    [sym__literal] = STATE(2253),
    [sym_NULL] = STATE(2253),
    [sym_TRUE] = STATE(2253),
    [sym_FALSE] = STATE(2253),
    [sym__float] = STATE(2256),
    [sym_numeric] = STATE(2256),
    [sym__number] = STATE(2256),
    [sym_interval] = STATE(2253),
    [sym_range] = STATE(2253),
    [sym_time] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_json] = STATE(2253),
    [sym_query_parameter] = STATE(2253),
    [sym__type_chrono] = STATE(1235),
    [sym__type_struct] = STATE(19053),
    [sym__type_array] = STATE(18352),
    [sym_array] = STATE(2253),
    [sym_struct] = STATE(2253),
    [sym__identifier] = STATE(1928),
    [sym__dotted_identifier] = STATE(14070),
    [sym_identifier] = STATE(2261),
    [sym_string] = STATE(2253),
    [sym__expression] = STATE(145),
    [sym__parenthesized_expression] = STATE(2253),
    [sym_element_access] = STATE(2253),
    [sym_field_access] = STATE(2253),
    [sym_unary_expression] = STATE(2253),
    [sym_binary_expression] = STATE(2253),
    [sym_between_operator] = STATE(2253),
    [sym_casewhen_expression] = STATE(2253),
    [sym_cast_expression] = STATE(2253),
    [sym_argument_reference] = STATE(2253),
    [aux_sym_identifier_repeat1] = STATE(14070),
    [sym__unquoted_identifier] = ACTIONS(71),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(77),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(83),
    [aux_sym__keyword_case_token1] = ACTIONS(85),
    [aux_sym__keyword_cast_token1] = ACTIONS(87),
    [aux_sym__keyword_cast_token2] = ACTIONS(87),
    [aux_sym__keyword_date_token1] = ACTIONS(89),
    [aux_sym__keyword_datetime_token1] = ACTIONS(89),
    [aux_sym__keyword_time_token1] = ACTIONS(89),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(93),
    [aux_sym_drop_notnull_token1] = ACTIONS(95),
    [aux_sym_function_call_token2] = ACTIONS(97),
    [aux_sym_unnest_operator_token1] = ACTIONS(99),
    [aux_sym_TRUE_token1] = ACTIONS(101),
    [aux_sym_FALSE_token1] = ACTIONS(103),
    [sym__integer] = ACTIONS(105),
    [aux_sym__float_token1] = ACTIONS(107),
    [aux_sym__float_token2] = ACTIONS(105),
    [aux_sym__float_token3] = ACTIONS(107),
    [aux_sym_numeric_token1] = ACTIONS(109),
    [aux_sym_numeric_token2] = ACTIONS(109),
    [aux_sym_numeric_token3] = ACTIONS(109),
    [aux_sym_numeric_token4] = ACTIONS(109),
    [aux_sym_interval_token1] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(113),
    [aux_sym_json_token1] = ACTIONS(115),
    [sym_system_variable] = ACTIONS(117),
    [sym__named_query_parameter] = ACTIONS(119),
    [sym__positional_query_parameter] = ACTIONS(121),
    [sym__quoted_identifier] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_operator_compare] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(133),
    [sym__string_start] = ACTIONS(135),
  },
  [1075] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5348),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1076] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6806),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1077] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3451),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1078] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10235),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1079] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6781),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1080] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3409),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1081] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5349),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1082] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3486),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1083] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10233),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1084] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5350),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1085] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5351),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1086] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10170),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1087] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10227),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1088] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5352),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1089] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6746),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1090] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6769),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1091] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6768),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1092] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6748),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1093] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6757),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1094] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6755),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1095] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10245),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1096] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2530),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1097] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5353),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1098] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7545),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1099] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10265),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1100] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7529),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1101] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2529),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1102] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10177),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1103] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10204),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1104] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2619),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1105] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7553),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1106] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10228),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1107] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10232),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1108] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7556),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1109] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10237),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1110] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2620),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1111] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7557),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1112] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3404),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1113] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3003),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1114] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9926),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1115] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9925),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1116] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2981),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1117] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10243),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1118] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10264),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1119] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9924),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1120] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2528),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1121] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2623),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1122] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2982),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1123] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2624),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1124] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2626),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1125] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6771),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1126] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6773),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1127] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2629),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1128] = {
    [sym_analytics_clause] = STATE(2158),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1129] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9923),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1130] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3391),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1131] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9066),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1132] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2636),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1133] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9755),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1134] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10268),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1135] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10171),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1136] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2638),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1137] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10174),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1138] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2983),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1139] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3418),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1140] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10187),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1141] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8573),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1142] = {
    [sym_analytics_clause] = STATE(2167),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [1143] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3453),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1144] = {
    [sym_analytics_clause] = STATE(2159),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1145] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3448),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1146] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9299),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1147] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3447),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1148] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2986),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1149] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2538),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1150] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6782),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1151] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2987),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1152] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2988),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1153] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3010),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1154] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9808),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1155] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3013),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1156] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3015),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1157] = {
    [sym_analytics_clause] = STATE(2223),
    [sym__unquoted_identifier] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1391),
    [aux_sym_keyword_replace_token1] = ACTIONS(1391),
    [aux_sym__keyword_alter_token1] = ACTIONS(1391),
    [aux_sym__keyword_create_token1] = ACTIONS(1391),
    [aux_sym__keyword_drop_token1] = ACTIONS(1391),
    [aux_sym__keyword_from_token1] = ACTIONS(1391),
    [aux_sym__keyword_delete_token1] = ACTIONS(1391),
    [aux_sym__keyword_begin_token1] = ACTIONS(1391),
    [aux_sym__keyword_end_token1] = ACTIONS(1391),
    [aux_sym__keyword_between_token1] = ACTIONS(1391),
    [aux_sym__keyword_when_token1] = ACTIONS(1391),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1391),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1391),
    [aux_sym__keyword_like_token1] = ACTIONS(1391),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1391),
    [aux_sym__keyword_as_token1] = ACTIONS(1391),
    [aux_sym__keyword_window_token1] = ACTIONS(1391),
    [aux_sym__keyword_date_token1] = ACTIONS(1391),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1391),
    [aux_sym__keyword_time_token1] = ACTIONS(1391),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1391),
    [aux_sym__keyword_for_token1] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1391),
    [aux_sym_return_statement_token1] = ACTIONS(1391),
    [aux_sym_call_statement_token1] = ACTIONS(1391),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1391),
    [aux_sym_if_statement_token1] = ACTIONS(1391),
    [aux_sym_loop_statement_token1] = ACTIONS(1391),
    [aux_sym_repeat_statement_token1] = ACTIONS(1391),
    [aux_sym_while_statement_token1] = ACTIONS(1391),
    [aux_sym_break_statement_token1] = ACTIONS(1391),
    [aux_sym_leave_statement_token1] = ACTIONS(1391),
    [aux_sym_continue_statement_token1] = ACTIONS(1391),
    [aux_sym_iterate_statement_token1] = ACTIONS(1391),
    [aux_sym_raise_statement_token1] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1391),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1391),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_set_operation_token1] = ACTIONS(1391),
    [aux_sym_set_operation_token3] = ACTIONS(1391),
    [aux_sym_set_operation_token4] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1391),
    [aux_sym_having_clause_token1] = ACTIONS(1391),
    [aux_sym_qualify_clause_token1] = ACTIONS(1391),
    [aux_sym_limit_clause_token1] = ACTIONS(1391),
    [aux_sym_group_by_clause_token1] = ACTIONS(1391),
    [aux_sym_order_by_clause_token1] = ACTIONS(1391),
    [aux_sym_where_clause_token1] = ACTIONS(1391),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1391),
    [aux_sym_truncate_statement_token1] = ACTIONS(1391),
    [aux_sym_update_statement_token1] = ACTIONS(1391),
    [aux_sym_merge_statement_token1] = ACTIONS(1391),
    [aux_sym_grant_statement_token1] = ACTIONS(1391),
    [aux_sym_revoke_statement_token1] = ACTIONS(1391),
    [aux_sym_export_data_statement_token1] = ACTIONS(1391),
    [aux_sym_load_data_statement_token1] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym__quoted_identifier] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [1158] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2989),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1159] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3016),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1160] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3018),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1161] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(2997),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1162] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1161),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(1945),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3005),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2567),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2571),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1163] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2644),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1164] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6680),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1165] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1036),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(6528),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9311),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1166] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6679),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1167] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6673),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1168] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6672),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1169] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6653),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1170] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [sym__unquoted_identifier] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1541),
    [aux_sym_keyword_replace_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1541),
    [aux_sym__keyword_create_token1] = ACTIONS(1541),
    [aux_sym__keyword_drop_token1] = ACTIONS(1541),
    [aux_sym__keyword_from_token1] = ACTIONS(1541),
    [aux_sym__keyword_delete_token1] = ACTIONS(1541),
    [aux_sym__keyword_begin_token1] = ACTIONS(1541),
    [aux_sym__keyword_end_token1] = ACTIONS(1541),
    [aux_sym__keyword_between_token1] = ACTIONS(1541),
    [aux_sym__keyword_when_token1] = ACTIONS(1541),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1541),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1541),
    [aux_sym__keyword_like_token1] = ACTIONS(1541),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1541),
    [aux_sym__keyword_as_token1] = ACTIONS(1541),
    [aux_sym__keyword_window_token1] = ACTIONS(1541),
    [aux_sym__keyword_date_token1] = ACTIONS(1541),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1541),
    [aux_sym__keyword_time_token1] = ACTIONS(1541),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1541),
    [aux_sym__keyword_for_token1] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1541),
    [aux_sym_return_statement_token1] = ACTIONS(1541),
    [aux_sym_call_statement_token1] = ACTIONS(1541),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1541),
    [aux_sym_if_statement_token1] = ACTIONS(1541),
    [aux_sym_loop_statement_token1] = ACTIONS(1541),
    [aux_sym_repeat_statement_token1] = ACTIONS(1541),
    [aux_sym_while_statement_token1] = ACTIONS(1541),
    [aux_sym_break_statement_token1] = ACTIONS(1541),
    [aux_sym_leave_statement_token1] = ACTIONS(1541),
    [aux_sym_continue_statement_token1] = ACTIONS(1541),
    [aux_sym_iterate_statement_token1] = ACTIONS(1541),
    [aux_sym_raise_statement_token1] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1541),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_set_operation_token1] = ACTIONS(1541),
    [aux_sym_set_operation_token3] = ACTIONS(1541),
    [aux_sym_set_operation_token4] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1541),
    [aux_sym_having_clause_token1] = ACTIONS(1541),
    [aux_sym_qualify_clause_token1] = ACTIONS(1541),
    [aux_sym_limit_clause_token1] = ACTIONS(1541),
    [aux_sym_group_by_clause_token1] = ACTIONS(1541),
    [aux_sym_order_by_clause_token1] = ACTIONS(1541),
    [aux_sym_where_clause_token1] = ACTIONS(1541),
    [aux_sym_insert_statement_token1] = ACTIONS(1541),
    [aux_sym_truncate_statement_token1] = ACTIONS(1541),
    [aux_sym_update_statement_token1] = ACTIONS(1541),
    [aux_sym_merge_statement_token1] = ACTIONS(1541),
    [aux_sym_grant_statement_token1] = ACTIONS(1541),
    [aux_sym_revoke_statement_token1] = ACTIONS(1541),
    [aux_sym_export_data_statement_token1] = ACTIONS(1541),
    [aux_sym_load_data_statement_token1] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [sym__quoted_identifier] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [1171] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6788),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1172] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2645),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1173] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6790),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1174] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6792),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1175] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6794),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1176] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2646),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1177] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6796),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1178] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6797),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1179] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6767),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1180] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6798),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1181] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2649),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1182] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2650),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1183] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6799),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1184] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6634),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1185] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6631),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1186] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6626),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1187] = {
    [sym_analytics_clause] = STATE(2214),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [1188] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10436),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1189] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6625),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1190] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3000),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1191] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6624),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1192] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6623),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1193] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6674),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1194] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6622),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1195] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6621),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1196] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3004),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1197] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6636),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1198] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(1197),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5312),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(9107),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(6635),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(1095),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1199] = {
    [sym_analytics_clause] = STATE(2198),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [1200] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7110),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1201] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7112),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1202] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7128),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1203] = {
    [sym_analytics_clause] = STATE(2181),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1395),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_from_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_end_token1] = ACTIONS(1395),
    [aux_sym__keyword_between_token1] = ACTIONS(1395),
    [aux_sym__keyword_when_token1] = ACTIONS(1395),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1395),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1395),
    [aux_sym__keyword_like_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_window_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1395),
    [aux_sym_if_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_repeat_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token3] = ACTIONS(1395),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_having_clause_token1] = ACTIONS(1395),
    [aux_sym_qualify_clause_token1] = ACTIONS(1395),
    [aux_sym_limit_clause_token1] = ACTIONS(1395),
    [aux_sym_group_by_clause_token1] = ACTIONS(1395),
    [aux_sym_order_by_clause_token1] = ACTIONS(1395),
    [aux_sym_where_clause_token1] = ACTIONS(1395),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [1204] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7978),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1205] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7130),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1206] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3006),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1207] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3007),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1208] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7142),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1209] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7144),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1210] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7145),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1211] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7148),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1212] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3640),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1213] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3639),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1214] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3712),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1215] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3711),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1216] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3707),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1217] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7150),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1218] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7157),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1219] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7161),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1220] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7221),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1221] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3706),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1222] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3702),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1223] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3701),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1224] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7162),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1225] = {
    [sym_analytics_clause] = STATE(2180),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1226] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7164),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1227] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7222),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1228] = {
    [sym_analytics_clause] = STATE(2178),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1229] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(7223),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1230] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2539),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1231] = {
    [sym_analytics_clause] = STATE(2160),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1463),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_from_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_end_token1] = ACTIONS(1463),
    [aux_sym__keyword_between_token1] = ACTIONS(1463),
    [aux_sym__keyword_when_token1] = ACTIONS(1463),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1463),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1463),
    [aux_sym__keyword_like_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_window_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_repeat_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token3] = ACTIONS(1463),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_having_clause_token1] = ACTIONS(1463),
    [aux_sym_qualify_clause_token1] = ACTIONS(1463),
    [aux_sym_limit_clause_token1] = ACTIONS(1463),
    [aux_sym_group_by_clause_token1] = ACTIONS(1463),
    [aux_sym_order_by_clause_token1] = ACTIONS(1463),
    [aux_sym_where_clause_token1] = ACTIONS(1463),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [1232] = {
    [sym_analytics_clause] = STATE(2161),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [1233] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_from_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [1234] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2723),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1235] = {
    [sym_string] = STATE(2257),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_from_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(135),
  },
  [1236] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2725),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1237] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3700),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1238] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3757),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1239] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3698),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1240] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9807),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1241] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9775),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1242] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9723),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1243] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2726),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1244] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2729),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1245] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3439),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1246] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9774),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1247] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2730),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1248] = {
    [sym_analytics_clause] = STATE(2162),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [1249] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9851),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1250] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6592),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1251] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9735),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1252] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6862),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1253] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5305),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1254] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5284),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1255] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5292),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1256] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3386),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1257] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5288),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1258] = {
    [sym_analytics_clause] = STATE(2123),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1259] = {
    [sym_analytics_clause] = STATE(2156),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1260] = {
    [sym_analytics_clause] = STATE(2154),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1261] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3421),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1262] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3697),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1263] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10283),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1264] = {
    [sym_analytics_clause] = STATE(2140),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1265] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2731),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1266] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2732),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1267] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9709),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1268] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6605),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1269] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6694),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1270] = {
    [sym_analytics_clause] = STATE(2127),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1271] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2681),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1272] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(1252),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(6020),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(8782),
    [sym__dotted_identifier] = STATE(13982),
    [sym_identifier] = STATE(9831),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6865),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13982),
    [sym__unquoted_identifier] = ACTIONS(515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(517),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(519),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(571),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1273] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3695),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1274] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2738),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1275] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3694),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1276] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9710),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1277] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2739),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1278] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1551),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_from_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_end_token1] = ACTIONS(1551),
    [aux_sym__keyword_between_token1] = ACTIONS(1551),
    [aux_sym__keyword_when_token1] = ACTIONS(1551),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1551),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1551),
    [aux_sym__keyword_like_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_window_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1551),
    [aux_sym_if_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_repeat_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1551),
    [aux_sym_set_operation_token3] = ACTIONS(1551),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_having_clause_token1] = ACTIONS(1551),
    [aux_sym_qualify_clause_token1] = ACTIONS(1551),
    [aux_sym_limit_clause_token1] = ACTIONS(1551),
    [aux_sym_group_by_clause_token1] = ACTIONS(1551),
    [aux_sym_order_by_clause_token1] = ACTIONS(1551),
    [aux_sym_where_clause_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [1279] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2746),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1280] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2748),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1281] = {
    [sym_analytics_clause] = STATE(2125),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1282] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2754),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1283] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2761),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1284] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7298),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1285] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3693),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1286] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3692),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1287] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6595),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1288] = {
    [sym_analytics_clause] = STATE(2145),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1289] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1213),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2374),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3609),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1290] = {
    [sym_analytics_clause] = STATE(2087),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1291] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2970),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1292] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6596),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1293] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2706),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1294] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2971),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1295] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3025),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1296] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3023),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1297] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1101),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(403),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2356),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(1991),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1298] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5842),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1299] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2707),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1300] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3021),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1301] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6597),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1302] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(125),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1303] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3017),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1304] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6603),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1305] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6600),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1306] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3019),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1307] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3258),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1308] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6601),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1309] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3163),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1310] = {
    [sym_analytics_clause] = STATE(2088),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1311] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3027),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1312] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3022),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1313] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10184),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1314] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3020),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1315] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2972),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1316] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3014),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1317] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5287),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1318] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(8486),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1319] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3380),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1320] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10344),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1321] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(8485),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1322] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3268),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1323] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3269),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1324] = {
    [sym_analytics_clause] = STATE(2089),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1411),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_from_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_end_token1] = ACTIONS(1411),
    [aux_sym__keyword_between_token1] = ACTIONS(1411),
    [aux_sym__keyword_when_token1] = ACTIONS(1411),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1411),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1411),
    [aux_sym__keyword_like_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_window_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1411),
    [aux_sym_if_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_repeat_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token3] = ACTIONS(1411),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_having_clause_token1] = ACTIONS(1411),
    [aux_sym_qualify_clause_token1] = ACTIONS(1411),
    [aux_sym_limit_clause_token1] = ACTIONS(1411),
    [aux_sym_group_by_clause_token1] = ACTIONS(1411),
    [aux_sym_order_by_clause_token1] = ACTIONS(1411),
    [aux_sym_where_clause_token1] = ACTIONS(1411),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [1325] = {
    [sym_analytics_clause] = STATE(2090),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1415),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_from_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_end_token1] = ACTIONS(1415),
    [aux_sym__keyword_between_token1] = ACTIONS(1415),
    [aux_sym__keyword_when_token1] = ACTIONS(1415),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1415),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1415),
    [aux_sym__keyword_like_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_window_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1415),
    [aux_sym_if_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_repeat_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token3] = ACTIONS(1415),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_having_clause_token1] = ACTIONS(1415),
    [aux_sym_qualify_clause_token1] = ACTIONS(1415),
    [aux_sym_limit_clause_token1] = ACTIONS(1415),
    [aux_sym_group_by_clause_token1] = ACTIONS(1415),
    [aux_sym_order_by_clause_token1] = ACTIONS(1415),
    [aux_sym_where_clause_token1] = ACTIONS(1415),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [1326] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7450),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1327] = {
    [sym_analytics_clause] = STATE(2093),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1328] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9806),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1329] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5856),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1330] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6602),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1331] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(128),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1332] = {
    [sym_analytics_clause] = STATE(2094),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1333] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6619),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1334] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(118),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1335] = {
    [sym_analytics_clause] = STATE(2095),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1336] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2856),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1337] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2858),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1338] = {
    [sym_analytics_clause] = STATE(2096),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1339] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10532),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1340] = {
    [sym_analytics_clause] = STATE(2097),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1341] = {
    [sym_analytics_clause] = STATE(2098),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1342] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2875),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1343] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8481),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1344] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3009),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1345] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2874),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1346] = {
    [sym_analytics_clause] = STATE(2099),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1347] = {
    [sym_analytics_clause] = STATE(2100),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1348] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10531),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1349] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3278),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1350] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2872),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1351] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3026),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1352] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(114),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1353] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9805),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1354] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2871),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1355] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2870),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1356] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3024),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1357] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2869),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1358] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2863),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1359] = {
    [sym_analytics_clause] = STATE(2101),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1360] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2862),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1361] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9670),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1362] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9668),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1363] = {
    [sym_analytics_clause] = STATE(2164),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [1364] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9717),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1365] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2861),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1366] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10530),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1367] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9665),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1368] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10529),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1369] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9804),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1370] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5286),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1371] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(124),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1372] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9661),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1373] = {
    [sym_analytics_clause] = STATE(2165),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [1374] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(120),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1375] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(129),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1376] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3012),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1377] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6864),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1378] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9802),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1379] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(130),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1380] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9659),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1381] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9658),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1382] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5362),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1383] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10526),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1384] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(132),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1385] = {
    [sym_analytics_clause] = STATE(2117),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1427),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_from_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_end_token1] = ACTIONS(1427),
    [aux_sym__keyword_between_token1] = ACTIONS(1427),
    [aux_sym__keyword_when_token1] = ACTIONS(1427),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1427),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1427),
    [aux_sym__keyword_like_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_window_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1427),
    [aux_sym_if_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_repeat_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token3] = ACTIONS(1427),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_having_clause_token1] = ACTIONS(1427),
    [aux_sym_qualify_clause_token1] = ACTIONS(1427),
    [aux_sym_limit_clause_token1] = ACTIONS(1427),
    [aux_sym_group_by_clause_token1] = ACTIONS(1427),
    [aux_sym_order_by_clause_token1] = ACTIONS(1427),
    [aux_sym_where_clause_token1] = ACTIONS(1427),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [1386] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9654),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1387] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4222),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1388] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(126),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1389] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9650),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1390] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(133),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1391] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2860),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1392] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(121),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1393] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(119),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1394] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(122),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1395] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(117),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1396] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3008),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1397] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(116),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1398] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5365),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1399] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2859),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1400] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2857),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1401] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5322),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1402] = {
    [sym_analytics_clause] = STATE(2102),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1403] = {
    [sym_analytics_clause] = STATE(2103),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1404] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8576),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1405] = {
    [sym_analytics_clause] = STATE(2166),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [1406] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6819),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1407] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6760),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1408] = {
    [sym_analytics_clause] = STATE(2105),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1409] = {
    [sym_analytics_clause] = STATE(2107),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1410] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2855),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1411] = {
    [sym_analytics_clause] = STATE(2108),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1412] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9839),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1413] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6822),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1414] = {
    [sym_analytics_clause] = STATE(2109),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1415] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2854),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1416] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7738),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1417] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6765),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1418] = {
    [sym_analytics_clause] = STATE(2110),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1419] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10525),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1420] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5303),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1421] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7736),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1422] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2792),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1423] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2791),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1424] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2806),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1425] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9801),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1426] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2796),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1427] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5290),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1428] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9797),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1429] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2561),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1430] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2789),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1431] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2788),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1432] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2800),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1433] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2801),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1434] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2804),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1435] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4209),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1436] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16357),
    [sym__keyword_case] = STATE(349),
    [sym__keyword_not] = STATE(1417),
    [sym__keyword_cast] = STATE(19304),
    [sym__keyword_date] = STATE(9549),
    [sym__keyword_datetime] = STATE(9549),
    [sym__keyword_time] = STATE(9549),
    [sym__keyword_timestamp] = STATE(9549),
    [sym_select_subexpression] = STATE(10478),
    [sym_function_call] = STATE(10478),
    [sym_unnest_operator] = STATE(5334),
    [sym_unnest_clause] = STATE(10478),
    [sym__literal] = STATE(10478),
    [sym_NULL] = STATE(10478),
    [sym_TRUE] = STATE(10478),
    [sym_FALSE] = STATE(10478),
    [sym__float] = STATE(10479),
    [sym_numeric] = STATE(10479),
    [sym__number] = STATE(10479),
    [sym_interval] = STATE(10478),
    [sym_range] = STATE(10478),
    [sym_time] = STATE(10478),
    [sym_number] = STATE(10478),
    [sym_json] = STATE(10478),
    [sym_query_parameter] = STATE(10478),
    [sym__type_chrono] = STATE(8397),
    [sym__type_struct] = STATE(19109),
    [sym__type_array] = STATE(18595),
    [sym_array] = STATE(10478),
    [sym_struct] = STATE(10478),
    [sym__identifier] = STATE(8442),
    [sym__dotted_identifier] = STATE(13922),
    [sym_identifier] = STATE(9638),
    [sym_string] = STATE(10478),
    [sym__expression] = STATE(6761),
    [sym__parenthesized_expression] = STATE(10478),
    [sym_element_access] = STATE(10478),
    [sym_field_access] = STATE(10478),
    [sym_unary_expression] = STATE(10478),
    [sym_binary_expression] = STATE(10478),
    [sym_between_operator] = STATE(10478),
    [sym_casewhen_expression] = STATE(10478),
    [sym_cast_expression] = STATE(10478),
    [sym_argument_reference] = STATE(10478),
    [aux_sym_identifier_repeat1] = STATE(13922),
    [sym__unquoted_identifier] = ACTIONS(2265),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2267),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2269),
    [aux_sym__keyword_case_token1] = ACTIONS(2271),
    [aux_sym__keyword_cast_token1] = ACTIONS(2273),
    [aux_sym__keyword_cast_token2] = ACTIONS(2273),
    [aux_sym__keyword_date_token1] = ACTIONS(2275),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2275),
    [aux_sym__keyword_time_token1] = ACTIONS(2275),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2275),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [aux_sym_drop_notnull_token1] = ACTIONS(2279),
    [aux_sym_function_call_token2] = ACTIONS(2281),
    [aux_sym_unnest_operator_token1] = ACTIONS(2283),
    [aux_sym_TRUE_token1] = ACTIONS(2285),
    [aux_sym_FALSE_token1] = ACTIONS(2287),
    [sym__integer] = ACTIONS(2289),
    [aux_sym__float_token1] = ACTIONS(2291),
    [aux_sym__float_token2] = ACTIONS(2289),
    [aux_sym__float_token3] = ACTIONS(2291),
    [aux_sym_numeric_token1] = ACTIONS(2293),
    [aux_sym_numeric_token2] = ACTIONS(2293),
    [aux_sym_numeric_token3] = ACTIONS(2293),
    [aux_sym_numeric_token4] = ACTIONS(2293),
    [aux_sym_interval_token1] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [aux_sym_json_token1] = ACTIONS(2299),
    [sym_system_variable] = ACTIONS(2301),
    [sym__named_query_parameter] = ACTIONS(2303),
    [sym__positional_query_parameter] = ACTIONS(2305),
    [sym__quoted_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_operator_compare] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2315),
    [sym__string_start] = ACTIONS(2317),
  },
  [1437] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2805),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1438] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(191),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1439] = {
    [sym_analytics_clause] = STATE(2112),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1440] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2809),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1441] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4208),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1442] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2575),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1443] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10524),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1444] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(190),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1445] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2795),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1446] = {
    [sym_analytics_clause] = STATE(2113),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1447] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10523),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1448] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5321),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1449] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7955),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1450] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10453),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1451] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9812),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1452] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7947),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1453] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9810),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1454] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2501),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1455] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7924),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1456] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2516),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1457] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16149),
    [sym__keyword_case] = STATE(269),
    [sym__keyword_not] = STATE(874),
    [sym__keyword_cast] = STATE(19290),
    [sym__keyword_date] = STATE(6114),
    [sym__keyword_datetime] = STATE(6114),
    [sym__keyword_time] = STATE(6114),
    [sym__keyword_timestamp] = STATE(6114),
    [sym_select_subexpression] = STATE(6390),
    [sym_function_call] = STATE(6390),
    [sym_unnest_operator] = STATE(5281),
    [sym_unnest_clause] = STATE(6390),
    [sym__literal] = STATE(6390),
    [sym_NULL] = STATE(6390),
    [sym_TRUE] = STATE(6390),
    [sym_FALSE] = STATE(6390),
    [sym__float] = STATE(6391),
    [sym_numeric] = STATE(6391),
    [sym__number] = STATE(6391),
    [sym_interval] = STATE(6390),
    [sym_range] = STATE(6390),
    [sym_time] = STATE(6390),
    [sym_number] = STATE(6390),
    [sym_json] = STATE(6390),
    [sym_query_parameter] = STATE(6390),
    [sym__type_chrono] = STATE(5886),
    [sym__type_struct] = STATE(19060),
    [sym__type_array] = STATE(18388),
    [sym_array] = STATE(6390),
    [sym_struct] = STATE(6390),
    [sym__identifier] = STATE(5847),
    [sym__dotted_identifier] = STATE(14060),
    [sym_identifier] = STATE(6158),
    [sym_string] = STATE(6390),
    [sym__expression] = STATE(5357),
    [sym__parenthesized_expression] = STATE(6390),
    [sym_element_access] = STATE(6390),
    [sym_field_access] = STATE(6390),
    [sym_unary_expression] = STATE(6390),
    [sym_binary_expression] = STATE(6390),
    [sym_between_operator] = STATE(6390),
    [sym_casewhen_expression] = STATE(6390),
    [sym_cast_expression] = STATE(6390),
    [sym_argument_reference] = STATE(6390),
    [aux_sym_identifier_repeat1] = STATE(14060),
    [sym__unquoted_identifier] = ACTIONS(591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(595),
    [aux_sym__keyword_case_token1] = ACTIONS(597),
    [aux_sym__keyword_cast_token1] = ACTIONS(599),
    [aux_sym__keyword_cast_token2] = ACTIONS(599),
    [aux_sym__keyword_date_token1] = ACTIONS(601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(601),
    [aux_sym__keyword_time_token1] = ACTIONS(601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(603),
    [aux_sym_drop_notnull_token1] = ACTIONS(605),
    [aux_sym_function_call_token2] = ACTIONS(607),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(611),
    [aux_sym_FALSE_token1] = ACTIONS(613),
    [sym__integer] = ACTIONS(615),
    [aux_sym__float_token1] = ACTIONS(617),
    [aux_sym__float_token2] = ACTIONS(615),
    [aux_sym__float_token3] = ACTIONS(617),
    [aux_sym_numeric_token1] = ACTIONS(619),
    [aux_sym_numeric_token2] = ACTIONS(619),
    [aux_sym_numeric_token3] = ACTIONS(619),
    [aux_sym_numeric_token4] = ACTIONS(619),
    [aux_sym_interval_token1] = ACTIONS(621),
    [anon_sym_LBRACK] = ACTIONS(623),
    [aux_sym_json_token1] = ACTIONS(625),
    [sym_system_variable] = ACTIONS(627),
    [sym__named_query_parameter] = ACTIONS(629),
    [sym__positional_query_parameter] = ACTIONS(631),
    [sym__quoted_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_operator_compare] = ACTIONS(639),
    [anon_sym_DOLLAR] = ACTIONS(641),
    [sym__string_start] = ACTIONS(643),
  },
  [1458] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [sym__unquoted_identifier] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1753),
    [aux_sym_keyword_replace_token1] = ACTIONS(1753),
    [aux_sym__keyword_alter_token1] = ACTIONS(1753),
    [aux_sym__keyword_create_token1] = ACTIONS(1753),
    [aux_sym__keyword_drop_token1] = ACTIONS(1753),
    [aux_sym__keyword_from_token1] = ACTIONS(1753),
    [aux_sym__keyword_delete_token1] = ACTIONS(1753),
    [aux_sym__keyword_begin_token1] = ACTIONS(1753),
    [aux_sym__keyword_end_token1] = ACTIONS(1753),
    [aux_sym__keyword_between_token1] = ACTIONS(1753),
    [aux_sym__keyword_when_token1] = ACTIONS(1753),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1753),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1753),
    [aux_sym__keyword_like_token1] = ACTIONS(1753),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1753),
    [aux_sym__keyword_as_token1] = ACTIONS(1753),
    [aux_sym__keyword_window_token1] = ACTIONS(1753),
    [aux_sym__keyword_date_token1] = ACTIONS(1753),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1753),
    [aux_sym__keyword_time_token1] = ACTIONS(1753),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1753),
    [aux_sym__keyword_for_token1] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1753),
    [aux_sym_return_statement_token1] = ACTIONS(1753),
    [aux_sym_call_statement_token1] = ACTIONS(1753),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1753),
    [aux_sym_if_statement_token1] = ACTIONS(1753),
    [aux_sym_loop_statement_token1] = ACTIONS(1753),
    [aux_sym_repeat_statement_token1] = ACTIONS(1753),
    [aux_sym_while_statement_token1] = ACTIONS(1753),
    [aux_sym_break_statement_token1] = ACTIONS(1753),
    [aux_sym_leave_statement_token1] = ACTIONS(1753),
    [aux_sym_continue_statement_token1] = ACTIONS(1753),
    [aux_sym_iterate_statement_token1] = ACTIONS(1753),
    [aux_sym_raise_statement_token1] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1753),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_set_operation_token1] = ACTIONS(1753),
    [aux_sym_set_operation_token3] = ACTIONS(1753),
    [aux_sym_set_operation_token4] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1753),
    [aux_sym_having_clause_token1] = ACTIONS(1753),
    [aux_sym_qualify_clause_token1] = ACTIONS(1753),
    [aux_sym_limit_clause_token1] = ACTIONS(1753),
    [aux_sym_group_by_clause_token1] = ACTIONS(1753),
    [aux_sym_order_by_clause_token1] = ACTIONS(1753),
    [aux_sym_where_clause_token1] = ACTIONS(1753),
    [aux_sym_insert_statement_token1] = ACTIONS(1753),
    [aux_sym_truncate_statement_token1] = ACTIONS(1753),
    [aux_sym_update_statement_token1] = ACTIONS(1753),
    [aux_sym_merge_statement_token1] = ACTIONS(1753),
    [aux_sym_grant_statement_token1] = ACTIONS(1753),
    [aux_sym_revoke_statement_token1] = ACTIONS(1753),
    [aux_sym_export_data_statement_token1] = ACTIONS(1753),
    [aux_sym_load_data_statement_token1] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym__quoted_identifier] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [1459] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5844),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1460] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7914),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1461] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5929),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1462] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(187),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1463] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7911),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1464] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(197),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1465] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2799),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1466] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7907),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1467] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym__direction_keywords] = STATE(6137),
    [sym__nulls_preference] = STATE(6398),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_order_by_clause_body_repeat1] = STATE(6397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2703),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2703),
    [aux_sym__keyword_create_token1] = ACTIONS(2703),
    [aux_sym__keyword_drop_token1] = ACTIONS(2703),
    [aux_sym__keyword_delete_token1] = ACTIONS(2703),
    [aux_sym__keyword_begin_token1] = ACTIONS(2703),
    [aux_sym__keyword_end_token1] = ACTIONS(2703),
    [aux_sym__keyword_between_token1] = ACTIONS(2705),
    [aux_sym__keyword_when_token1] = ACTIONS(2703),
    [aux_sym__keyword_else_token1] = ACTIONS(2707),
    [aux_sym__keyword_is_token1] = ACTIONS(2709),
    [aux_sym__keyword_in_token1] = ACTIONS(2711),
    [aux_sym__keyword_and_token1] = ACTIONS(2713),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2703),
    [aux_sym__keyword_for_token1] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [aux_sym_declare_statement_token1] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(2715),
    [aux_sym_set_statement_token1] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2703),
    [aux_sym_return_statement_token1] = ACTIONS(2703),
    [aux_sym_call_statement_token1] = ACTIONS(2703),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2703),
    [aux_sym_if_statement_token1] = ACTIONS(2703),
    [aux_sym_loop_statement_token1] = ACTIONS(2703),
    [aux_sym_repeat_statement_token1] = ACTIONS(2703),
    [aux_sym_while_statement_token1] = ACTIONS(2703),
    [aux_sym_break_statement_token1] = ACTIONS(2703),
    [aux_sym_leave_statement_token1] = ACTIONS(2703),
    [aux_sym_continue_statement_token1] = ACTIONS(2703),
    [aux_sym_iterate_statement_token1] = ACTIONS(2703),
    [aux_sym_raise_statement_token1] = ACTIONS(2703),
    [anon_sym_EQ] = ACTIONS(2717),
    [aux_sym_assert_statement_token1] = ACTIONS(2703),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [aux_sym_set_operation_token1] = ACTIONS(2703),
    [aux_sym_set_operation_token3] = ACTIONS(2703),
    [aux_sym_set_operation_token4] = ACTIONS(2707),
    [aux_sym_select_token1] = ACTIONS(2703),
    [aux_sym_limit_clause_token1] = ACTIONS(2703),
    [aux_sym__direction_keywords_token1] = ACTIONS(2719),
    [aux_sym__direction_keywords_token2] = ACTIONS(2719),
    [aux_sym__nulls_preference_token1] = ACTIONS(2721),
    [aux_sym_order_by_clause_token1] = ACTIONS(2703),
    [aux_sym_insert_statement_token1] = ACTIONS(2703),
    [aux_sym_truncate_statement_token1] = ACTIONS(2703),
    [aux_sym_update_statement_token1] = ACTIONS(2703),
    [aux_sym_merge_statement_token1] = ACTIONS(2703),
    [aux_sym_grant_statement_token1] = ACTIONS(2703),
    [aux_sym_revoke_statement_token1] = ACTIONS(2703),
    [aux_sym_export_data_statement_token1] = ACTIONS(2703),
    [aux_sym_load_data_statement_token1] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(2717),
    [anon_sym_LT_GT] = ACTIONS(2717),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [1468] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(198),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1469] = {
    [sym_analytics_clause] = STATE(2114),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1470] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2802),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1471] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2807),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1472] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9830),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1473] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(200),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1474] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10528),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1475] = {
    [sym_analytics_clause] = STATE(2115),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1476] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10527),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1477] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3629),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1478] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3628),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1479] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16332),
    [sym__keyword_case] = STATE(332),
    [sym__keyword_not] = STATE(1423),
    [sym__keyword_cast] = STATE(19306),
    [sym__keyword_date] = STATE(4225),
    [sym__keyword_datetime] = STATE(4225),
    [sym__keyword_time] = STATE(4225),
    [sym__keyword_timestamp] = STATE(4225),
    [sym_select_subexpression] = STATE(4464),
    [sym_function_call] = STATE(4464),
    [sym_unnest_operator] = STATE(2518),
    [sym_unnest_clause] = STATE(4464),
    [sym__literal] = STATE(4464),
    [sym_NULL] = STATE(4464),
    [sym_TRUE] = STATE(4464),
    [sym_FALSE] = STATE(4464),
    [sym__float] = STATE(4466),
    [sym_numeric] = STATE(4466),
    [sym__number] = STATE(4466),
    [sym_interval] = STATE(4464),
    [sym_range] = STATE(4464),
    [sym_time] = STATE(4464),
    [sym_number] = STATE(4464),
    [sym_json] = STATE(4464),
    [sym_query_parameter] = STATE(4464),
    [sym__type_chrono] = STATE(3953),
    [sym__type_struct] = STATE(19116),
    [sym__type_array] = STATE(18622),
    [sym_array] = STATE(4464),
    [sym_struct] = STATE(4464),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4469),
    [sym_string] = STATE(4464),
    [sym__expression] = STATE(2808),
    [sym__parenthesized_expression] = STATE(4464),
    [sym_element_access] = STATE(4464),
    [sym_field_access] = STATE(4464),
    [sym_unary_expression] = STATE(4464),
    [sym_binary_expression] = STATE(4464),
    [sym_between_operator] = STATE(4464),
    [sym_casewhen_expression] = STATE(4464),
    [sym_cast_expression] = STATE(4464),
    [sym_argument_reference] = STATE(4464),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2031),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2033),
    [aux_sym__keyword_case_token1] = ACTIONS(2035),
    [aux_sym__keyword_cast_token1] = ACTIONS(2037),
    [aux_sym__keyword_cast_token2] = ACTIONS(2037),
    [aux_sym__keyword_date_token1] = ACTIONS(2039),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2039),
    [aux_sym__keyword_time_token1] = ACTIONS(2039),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [aux_sym_drop_notnull_token1] = ACTIONS(2043),
    [aux_sym_function_call_token2] = ACTIONS(2045),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2049),
    [aux_sym_FALSE_token1] = ACTIONS(2051),
    [sym__integer] = ACTIONS(2053),
    [aux_sym__float_token1] = ACTIONS(2055),
    [aux_sym__float_token2] = ACTIONS(2053),
    [aux_sym__float_token3] = ACTIONS(2055),
    [aux_sym_numeric_token1] = ACTIONS(2057),
    [aux_sym_numeric_token2] = ACTIONS(2057),
    [aux_sym_numeric_token3] = ACTIONS(2057),
    [aux_sym_numeric_token4] = ACTIONS(2057),
    [aux_sym_interval_token1] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [aux_sym_json_token1] = ACTIONS(2063),
    [sym_system_variable] = ACTIONS(2065),
    [sym__named_query_parameter] = ACTIONS(2067),
    [sym__positional_query_parameter] = ACTIONS(2069),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_operator_compare] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2079),
    [sym__string_start] = ACTIONS(2081),
  },
  [1480] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2302),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1481] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(206),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1482] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9800),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1483] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(192),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1484] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(193),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1485] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3627),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1486] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3625),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1487] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2300),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1488] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(196),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1489] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2320),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1490] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(201),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1491] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(185),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1492] = {
    [sym_analytics_clause] = STATE(2116),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [1493] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2316),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1494] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(188),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1495] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2299),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1496] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2312),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1497] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3624),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1498] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2838),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1499] = {
    [sym_analytics_clause] = STATE(2118),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1500] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9790),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1501] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(203),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1502] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(189),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1503] = {
    [sym_analytics_clause] = STATE(2119),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1504] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2308),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1505] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2296),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1506] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(202),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1507] = {
    [sym_analytics_clause] = STATE(2120),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1508] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1506),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(60),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(186),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2697),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1509] = {
    [sym_analytics_clause] = STATE(2121),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1510] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3622),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1511] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4392),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1512] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2298),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1513] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5291),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1514] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3621),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1515] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3620),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1516] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3619),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1517] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3618),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1518] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2307),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1519] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2306),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1520] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3616),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1521] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3615),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1522] = {
    [sym_analytics_clause] = STATE(2122),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1523] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3614),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1524] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2313),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1525] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9646),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1526] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10364),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1527] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2287),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1528] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6756),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1529] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3613),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1530] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2794),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1531] = {
    [sym_analytics_clause] = STATE(2124),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1532] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1293),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(413),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2950),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1081),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1533] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3274),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1534] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3317),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1535] = {
    [sym_analytics_clause] = STATE(2126),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1536] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2669),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1537] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3224),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1538] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3372),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1539] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3370),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1540] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2283),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1541] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2546),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1542] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3635),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1543] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3634),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1544] = {
    [sym_analytics_clause] = STATE(2128),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1545] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10363),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1546] = {
    [sym_analytics_clause] = STATE(2129),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1547] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9841),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1548] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6669),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1549] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6668),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1550] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2548),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1551] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6667),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1552] = {
    [sym_analytics_clause] = STATE(2130),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [1553] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3365),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1554] = {
    [sym_analytics_clause] = STATE(2131),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1403),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_from_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_end_token1] = ACTIONS(1403),
    [aux_sym__keyword_between_token1] = ACTIONS(1403),
    [aux_sym__keyword_when_token1] = ACTIONS(1403),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1403),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1403),
    [aux_sym__keyword_like_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_window_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1403),
    [aux_sym_if_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_repeat_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token3] = ACTIONS(1403),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_having_clause_token1] = ACTIONS(1403),
    [aux_sym_qualify_clause_token1] = ACTIONS(1403),
    [aux_sym_limit_clause_token1] = ACTIONS(1403),
    [aux_sym_group_by_clause_token1] = ACTIONS(1403),
    [aux_sym_order_by_clause_token1] = ACTIONS(1403),
    [aux_sym_where_clause_token1] = ACTIONS(1403),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [1555] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3379),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1556] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9699),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1557] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6666),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1558] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3364),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1559] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6632),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1560] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3359),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1561] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9697),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1562] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3355),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1563] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6665),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1564] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3378),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1565] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6663),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1566] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9694),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1567] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10391),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1568] = {
    [sym_analytics_clause] = STATE(2132),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1387),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_from_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_end_token1] = ACTIONS(1387),
    [aux_sym__keyword_between_token1] = ACTIONS(1387),
    [aux_sym__keyword_when_token1] = ACTIONS(1387),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1387),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1387),
    [aux_sym__keyword_like_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_window_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1387),
    [aux_sym_if_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_repeat_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token3] = ACTIONS(1387),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_having_clause_token1] = ACTIONS(1387),
    [aux_sym_qualify_clause_token1] = ACTIONS(1387),
    [aux_sym_limit_clause_token1] = ACTIONS(1387),
    [aux_sym_group_by_clause_token1] = ACTIONS(1387),
    [aux_sym_order_by_clause_token1] = ACTIONS(1387),
    [aux_sym_where_clause_token1] = ACTIONS(1387),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [1569] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3368),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1570] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1569),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2315),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3349),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1571] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6662),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1572] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10389),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1573] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4197),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1574] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4196),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1575] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6660),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1576] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9693),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1577] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6659),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1578] = {
    [sym_analytics_clause] = STATE(2133),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1383),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_from_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_end_token1] = ACTIONS(1383),
    [aux_sym__keyword_between_token1] = ACTIONS(1383),
    [aux_sym__keyword_when_token1] = ACTIONS(1383),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1383),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1383),
    [aux_sym__keyword_like_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_window_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1383),
    [aux_sym_if_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_repeat_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token3] = ACTIONS(1383),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_having_clause_token1] = ACTIONS(1383),
    [aux_sym_qualify_clause_token1] = ACTIONS(1383),
    [aux_sym_limit_clause_token1] = ACTIONS(1383),
    [aux_sym_group_by_clause_token1] = ACTIONS(1383),
    [aux_sym_order_by_clause_token1] = ACTIONS(1383),
    [aux_sym_where_clause_token1] = ACTIONS(1383),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [1579] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4195),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1580] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6658),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1581] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6643),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1582] = {
    [sym_analytics_clause] = STATE(2136),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1583] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6656),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1584] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9690),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1585] = {
    [sym_analytics_clause] = STATE(2137),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1586] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3602),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1587] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9688),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1588] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6655),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1589] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3601),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1590] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1337),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1918),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(2790),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1591] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6640),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1592] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3292),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1593] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16331),
    [sym__keyword_case] = STATE(365),
    [sym__keyword_not] = STATE(885),
    [sym__keyword_cast] = STATE(19300),
    [sym__keyword_date] = STATE(2978),
    [sym__keyword_datetime] = STATE(2978),
    [sym__keyword_time] = STATE(2978),
    [sym__keyword_timestamp] = STATE(2978),
    [sym_select_subexpression] = STATE(3253),
    [sym_function_call] = STATE(3253),
    [sym_unnest_operator] = STATE(194),
    [sym_unnest_clause] = STATE(3253),
    [sym__literal] = STATE(3253),
    [sym_NULL] = STATE(3253),
    [sym_TRUE] = STATE(3253),
    [sym_FALSE] = STATE(3253),
    [sym__float] = STATE(3252),
    [sym_numeric] = STATE(3252),
    [sym__number] = STATE(3252),
    [sym_interval] = STATE(3253),
    [sym_range] = STATE(3253),
    [sym_time] = STATE(3253),
    [sym_number] = STATE(3253),
    [sym_json] = STATE(3253),
    [sym_query_parameter] = STATE(3253),
    [sym__type_chrono] = STATE(2873),
    [sym__type_struct] = STATE(19095),
    [sym__type_array] = STATE(18541),
    [sym_array] = STATE(3253),
    [sym_struct] = STATE(3253),
    [sym__identifier] = STATE(2973),
    [sym__dotted_identifier] = STATE(13504),
    [sym_identifier] = STATE(3279),
    [sym_string] = STATE(3253),
    [sym__expression] = STATE(2211),
    [sym__parenthesized_expression] = STATE(3253),
    [sym_element_access] = STATE(3253),
    [sym_field_access] = STATE(3253),
    [sym_unary_expression] = STATE(3253),
    [sym_binary_expression] = STATE(3253),
    [sym_between_operator] = STATE(3253),
    [sym_casewhen_expression] = STATE(3253),
    [sym_cast_expression] = STATE(3253),
    [sym_argument_reference] = STATE(3253),
    [aux_sym_identifier_repeat1] = STATE(13504),
    [sym__unquoted_identifier] = ACTIONS(1313),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1871),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1873),
    [aux_sym__keyword_case_token1] = ACTIONS(1875),
    [aux_sym__keyword_cast_token1] = ACTIONS(1877),
    [aux_sym__keyword_cast_token2] = ACTIONS(1877),
    [aux_sym__keyword_date_token1] = ACTIONS(1879),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1879),
    [aux_sym__keyword_time_token1] = ACTIONS(1879),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [aux_sym_drop_notnull_token1] = ACTIONS(1883),
    [aux_sym_function_call_token2] = ACTIONS(1885),
    [aux_sym_unnest_operator_token1] = ACTIONS(1887),
    [aux_sym_TRUE_token1] = ACTIONS(1889),
    [aux_sym_FALSE_token1] = ACTIONS(1891),
    [sym__integer] = ACTIONS(1893),
    [aux_sym__float_token1] = ACTIONS(1895),
    [aux_sym__float_token2] = ACTIONS(1893),
    [aux_sym__float_token3] = ACTIONS(1895),
    [aux_sym_numeric_token1] = ACTIONS(1897),
    [aux_sym_numeric_token2] = ACTIONS(1897),
    [aux_sym_numeric_token3] = ACTIONS(1897),
    [aux_sym_numeric_token4] = ACTIONS(1897),
    [aux_sym_interval_token1] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [aux_sym_json_token1] = ACTIONS(1903),
    [sym_system_variable] = ACTIONS(1905),
    [sym__named_query_parameter] = ACTIONS(1907),
    [sym__positional_query_parameter] = ACTIONS(1909),
    [sym__quoted_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_operator_compare] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1917),
    [sym__string_start] = ACTIONS(1919),
  },
  [1594] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9684),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1595] = {
    [sym_analytics_clause] = STATE(2138),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1596] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6639),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1597] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10255),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1598] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5299),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1599] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4194),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1600] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10253),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1601] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4193),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1602] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9794),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1603] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9683),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1604] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4192),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1605] = {
    [sym_analytics_clause] = STATE(2139),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1606] = {
    [sym_analytics_clause] = STATE(2168),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1491),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_from_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_end_token1] = ACTIONS(1491),
    [aux_sym__keyword_between_token1] = ACTIONS(1491),
    [aux_sym__keyword_when_token1] = ACTIONS(1491),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1491),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1491),
    [aux_sym__keyword_like_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_window_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1491),
    [aux_sym_if_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_repeat_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token3] = ACTIONS(1491),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_having_clause_token1] = ACTIONS(1491),
    [aux_sym_qualify_clause_token1] = ACTIONS(1491),
    [aux_sym_limit_clause_token1] = ACTIONS(1491),
    [aux_sym_group_by_clause_token1] = ACTIONS(1491),
    [aux_sym_order_by_clause_token1] = ACTIONS(1491),
    [aux_sym_where_clause_token1] = ACTIONS(1491),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [1607] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4190),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1608] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [sym__unquoted_identifier] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1683),
    [aux_sym_keyword_replace_token1] = ACTIONS(1683),
    [aux_sym__keyword_alter_token1] = ACTIONS(1683),
    [aux_sym__keyword_create_token1] = ACTIONS(1683),
    [aux_sym__keyword_drop_token1] = ACTIONS(1683),
    [aux_sym__keyword_from_token1] = ACTIONS(1683),
    [aux_sym__keyword_delete_token1] = ACTIONS(1683),
    [aux_sym__keyword_begin_token1] = ACTIONS(1683),
    [aux_sym__keyword_end_token1] = ACTIONS(1683),
    [aux_sym__keyword_between_token1] = ACTIONS(1683),
    [aux_sym__keyword_when_token1] = ACTIONS(1683),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1683),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1683),
    [aux_sym__keyword_like_token1] = ACTIONS(1683),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1683),
    [aux_sym__keyword_as_token1] = ACTIONS(1683),
    [aux_sym__keyword_window_token1] = ACTIONS(1683),
    [aux_sym__keyword_date_token1] = ACTIONS(1683),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1683),
    [aux_sym__keyword_time_token1] = ACTIONS(1683),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1683),
    [aux_sym__keyword_for_token1] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [anon_sym_RPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1683),
    [aux_sym_return_statement_token1] = ACTIONS(1683),
    [aux_sym_call_statement_token1] = ACTIONS(1683),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1683),
    [aux_sym_if_statement_token1] = ACTIONS(1683),
    [aux_sym_loop_statement_token1] = ACTIONS(1683),
    [aux_sym_repeat_statement_token1] = ACTIONS(1683),
    [aux_sym_while_statement_token1] = ACTIONS(1683),
    [aux_sym_break_statement_token1] = ACTIONS(1683),
    [aux_sym_leave_statement_token1] = ACTIONS(1683),
    [aux_sym_continue_statement_token1] = ACTIONS(1683),
    [aux_sym_iterate_statement_token1] = ACTIONS(1683),
    [aux_sym_raise_statement_token1] = ACTIONS(1683),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1683),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1683),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_set_operation_token1] = ACTIONS(1683),
    [aux_sym_set_operation_token3] = ACTIONS(1683),
    [aux_sym_set_operation_token4] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1683),
    [aux_sym_having_clause_token1] = ACTIONS(1683),
    [aux_sym_qualify_clause_token1] = ACTIONS(1683),
    [aux_sym_limit_clause_token1] = ACTIONS(1683),
    [aux_sym_group_by_clause_token1] = ACTIONS(1683),
    [aux_sym_order_by_clause_token1] = ACTIONS(1683),
    [aux_sym_where_clause_token1] = ACTIONS(1683),
    [aux_sym_insert_statement_token1] = ACTIONS(1683),
    [aux_sym_truncate_statement_token1] = ACTIONS(1683),
    [aux_sym_update_statement_token1] = ACTIONS(1683),
    [aux_sym_merge_statement_token1] = ACTIONS(1683),
    [aux_sym_grant_statement_token1] = ACTIONS(1683),
    [aux_sym_revoke_statement_token1] = ACTIONS(1683),
    [aux_sym_export_data_statement_token1] = ACTIONS(1683),
    [aux_sym_load_data_statement_token1] = ACTIONS(1683),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym__quoted_identifier] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [1609] = {
    [sym_analytics_clause] = STATE(2169),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1503),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_from_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_end_token1] = ACTIONS(1503),
    [aux_sym__keyword_between_token1] = ACTIONS(1503),
    [aux_sym__keyword_when_token1] = ACTIONS(1503),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1503),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1503),
    [aux_sym__keyword_like_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_window_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1503),
    [aux_sym_if_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_repeat_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token3] = ACTIONS(1503),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_having_clause_token1] = ACTIONS(1503),
    [aux_sym_qualify_clause_token1] = ACTIONS(1503),
    [aux_sym_limit_clause_token1] = ACTIONS(1503),
    [aux_sym_group_by_clause_token1] = ACTIONS(1503),
    [aux_sym_order_by_clause_token1] = ACTIONS(1503),
    [aux_sym_where_clause_token1] = ACTIONS(1503),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [1610] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8223),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1611] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8225),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1612] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8231),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1613] = {
    [sym_analytics_clause] = STATE(2141),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1614] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8233),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1615] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8235),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1616] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8237),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1617] = {
    [sym_analytics_clause] = STATE(2207),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1431),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_from_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_end_token1] = ACTIONS(1431),
    [aux_sym__keyword_between_token1] = ACTIONS(1431),
    [aux_sym__keyword_when_token1] = ACTIONS(1431),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1431),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1431),
    [aux_sym__keyword_like_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_window_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1431),
    [aux_sym_if_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_repeat_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token3] = ACTIONS(1431),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_having_clause_token1] = ACTIONS(1431),
    [aux_sym_qualify_clause_token1] = ACTIONS(1431),
    [aux_sym_limit_clause_token1] = ACTIONS(1431),
    [aux_sym_group_by_clause_token1] = ACTIONS(1431),
    [aux_sym_order_by_clause_token1] = ACTIONS(1431),
    [aux_sym_where_clause_token1] = ACTIONS(1431),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [1618] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9680),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1619] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9677),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1620] = {
    [sym_analytics_clause] = STATE(2206),
    [sym__unquoted_identifier] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1435),
    [aux_sym_keyword_replace_token1] = ACTIONS(1435),
    [aux_sym__keyword_alter_token1] = ACTIONS(1435),
    [aux_sym__keyword_create_token1] = ACTIONS(1435),
    [aux_sym__keyword_drop_token1] = ACTIONS(1435),
    [aux_sym__keyword_from_token1] = ACTIONS(1435),
    [aux_sym__keyword_delete_token1] = ACTIONS(1435),
    [aux_sym__keyword_begin_token1] = ACTIONS(1435),
    [aux_sym__keyword_end_token1] = ACTIONS(1435),
    [aux_sym__keyword_between_token1] = ACTIONS(1435),
    [aux_sym__keyword_when_token1] = ACTIONS(1435),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1435),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1435),
    [aux_sym__keyword_like_token1] = ACTIONS(1435),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1435),
    [aux_sym__keyword_as_token1] = ACTIONS(1435),
    [aux_sym__keyword_window_token1] = ACTIONS(1435),
    [aux_sym__keyword_date_token1] = ACTIONS(1435),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1435),
    [aux_sym__keyword_time_token1] = ACTIONS(1435),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1435),
    [aux_sym__keyword_for_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1435),
    [aux_sym_return_statement_token1] = ACTIONS(1435),
    [aux_sym_call_statement_token1] = ACTIONS(1435),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1435),
    [aux_sym_if_statement_token1] = ACTIONS(1435),
    [aux_sym_loop_statement_token1] = ACTIONS(1435),
    [aux_sym_repeat_statement_token1] = ACTIONS(1435),
    [aux_sym_while_statement_token1] = ACTIONS(1435),
    [aux_sym_break_statement_token1] = ACTIONS(1435),
    [aux_sym_leave_statement_token1] = ACTIONS(1435),
    [aux_sym_continue_statement_token1] = ACTIONS(1435),
    [aux_sym_iterate_statement_token1] = ACTIONS(1435),
    [aux_sym_raise_statement_token1] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1435),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_set_operation_token1] = ACTIONS(1435),
    [aux_sym_set_operation_token3] = ACTIONS(1435),
    [aux_sym_set_operation_token4] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1435),
    [aux_sym_having_clause_token1] = ACTIONS(1435),
    [aux_sym_qualify_clause_token1] = ACTIONS(1435),
    [aux_sym_limit_clause_token1] = ACTIONS(1435),
    [aux_sym_group_by_clause_token1] = ACTIONS(1435),
    [aux_sym_order_by_clause_token1] = ACTIONS(1435),
    [aux_sym_where_clause_token1] = ACTIONS(1435),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1435),
    [aux_sym_truncate_statement_token1] = ACTIONS(1435),
    [aux_sym_update_statement_token1] = ACTIONS(1435),
    [aux_sym_merge_statement_token1] = ACTIONS(1435),
    [aux_sym_grant_statement_token1] = ACTIONS(1435),
    [aux_sym_revoke_statement_token1] = ACTIONS(1435),
    [aux_sym_export_data_statement_token1] = ACTIONS(1435),
    [aux_sym_load_data_statement_token1] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym__quoted_identifier] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [1621] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8238),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1622] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9673),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1623] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10199),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1624] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8239),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1625] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8240),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1626] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10196),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1627] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8241),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1628] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9672),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1629] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8242),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1630] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8134),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1631] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8246),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1632] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8247),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1633] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8136),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1634] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8138),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1635] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4189),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1636] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(1591),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5310),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9106),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6195),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(2189),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1637] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(9328),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1638] = {
    [sym_analytics_clause] = STATE(2205),
    [sym__unquoted_identifier] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1439),
    [aux_sym_keyword_replace_token1] = ACTIONS(1439),
    [aux_sym__keyword_alter_token1] = ACTIONS(1439),
    [aux_sym__keyword_create_token1] = ACTIONS(1439),
    [aux_sym__keyword_drop_token1] = ACTIONS(1439),
    [aux_sym__keyword_from_token1] = ACTIONS(1439),
    [aux_sym__keyword_delete_token1] = ACTIONS(1439),
    [aux_sym__keyword_begin_token1] = ACTIONS(1439),
    [aux_sym__keyword_end_token1] = ACTIONS(1439),
    [aux_sym__keyword_between_token1] = ACTIONS(1439),
    [aux_sym__keyword_when_token1] = ACTIONS(1439),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1439),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1439),
    [aux_sym__keyword_like_token1] = ACTIONS(1439),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1439),
    [aux_sym__keyword_as_token1] = ACTIONS(1439),
    [aux_sym__keyword_window_token1] = ACTIONS(1439),
    [aux_sym__keyword_date_token1] = ACTIONS(1439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1439),
    [aux_sym__keyword_time_token1] = ACTIONS(1439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1439),
    [aux_sym__keyword_for_token1] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1439),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1439),
    [aux_sym_return_statement_token1] = ACTIONS(1439),
    [aux_sym_call_statement_token1] = ACTIONS(1439),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1439),
    [aux_sym_if_statement_token1] = ACTIONS(1439),
    [aux_sym_loop_statement_token1] = ACTIONS(1439),
    [aux_sym_repeat_statement_token1] = ACTIONS(1439),
    [aux_sym_while_statement_token1] = ACTIONS(1439),
    [aux_sym_break_statement_token1] = ACTIONS(1439),
    [aux_sym_leave_statement_token1] = ACTIONS(1439),
    [aux_sym_continue_statement_token1] = ACTIONS(1439),
    [aux_sym_iterate_statement_token1] = ACTIONS(1439),
    [aux_sym_raise_statement_token1] = ACTIONS(1439),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1439),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1439),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_set_operation_token1] = ACTIONS(1439),
    [aux_sym_set_operation_token3] = ACTIONS(1439),
    [aux_sym_set_operation_token4] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1439),
    [aux_sym_having_clause_token1] = ACTIONS(1439),
    [aux_sym_qualify_clause_token1] = ACTIONS(1439),
    [aux_sym_limit_clause_token1] = ACTIONS(1439),
    [aux_sym_group_by_clause_token1] = ACTIONS(1439),
    [aux_sym_order_by_clause_token1] = ACTIONS(1439),
    [aux_sym_where_clause_token1] = ACTIONS(1439),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1439),
    [aux_sym_truncate_statement_token1] = ACTIONS(1439),
    [aux_sym_update_statement_token1] = ACTIONS(1439),
    [aux_sym_merge_statement_token1] = ACTIONS(1439),
    [aux_sym_grant_statement_token1] = ACTIONS(1439),
    [aux_sym_revoke_statement_token1] = ACTIONS(1439),
    [aux_sym_export_data_statement_token1] = ACTIONS(1439),
    [aux_sym_load_data_statement_token1] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym__quoted_identifier] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [1639] = {
    [sym_analytics_clause] = STATE(2142),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1640] = {
    [sym_analytics_clause] = STATE(2170),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1515),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_from_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_end_token1] = ACTIONS(1515),
    [aux_sym__keyword_between_token1] = ACTIONS(1515),
    [aux_sym__keyword_when_token1] = ACTIONS(1515),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1515),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1515),
    [aux_sym__keyword_like_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_window_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1515),
    [aux_sym_if_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_repeat_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token3] = ACTIONS(1515),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_having_clause_token1] = ACTIONS(1515),
    [aux_sym_qualify_clause_token1] = ACTIONS(1515),
    [aux_sym_limit_clause_token1] = ACTIONS(1515),
    [aux_sym_group_by_clause_token1] = ACTIONS(1515),
    [aux_sym_order_by_clause_token1] = ACTIONS(1515),
    [aux_sym_where_clause_token1] = ACTIONS(1515),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [1641] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9671),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1642] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4188),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1643] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9643),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1644] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6791),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1645] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9786),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1646] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9641),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1647] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8403),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1648] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6753),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1649] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9669),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1650] = {
    [sym_analytics_clause] = STATE(2173),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1651] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10240),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1652] = {
    [sym_analytics_clause] = STATE(2143),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1653] = {
    [sym_analytics_clause] = STATE(2174),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1654] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10238),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1655] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9785),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1656] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2508),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1657] = {
    [sym_analytics_clause] = STATE(2175),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1658] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2433),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1659] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2467),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1660] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2465),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1661] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(7660),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1662] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2464),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1663] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9664),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1664] = {
    [sym_analytics_clause] = STATE(2144),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1665] = {
    [sym_analytics_clause] = STATE(2146),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1666] = {
    [sym_analytics_clause] = STATE(2147),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1667] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16273),
    [sym__keyword_case] = STATE(296),
    [sym__keyword_not] = STATE(929),
    [sym__keyword_cast] = STATE(19312),
    [sym__keyword_date] = STATE(5423),
    [sym__keyword_datetime] = STATE(5423),
    [sym__keyword_time] = STATE(5423),
    [sym__keyword_timestamp] = STATE(5423),
    [sym_select_subexpression] = STATE(5921),
    [sym_function_call] = STATE(5921),
    [sym_unnest_operator] = STATE(4226),
    [sym_unnest_clause] = STATE(5921),
    [sym__literal] = STATE(5921),
    [sym_NULL] = STATE(5921),
    [sym_TRUE] = STATE(5921),
    [sym_FALSE] = STATE(5921),
    [sym__float] = STATE(5920),
    [sym_numeric] = STATE(5920),
    [sym__number] = STATE(5920),
    [sym_interval] = STATE(5921),
    [sym_range] = STATE(5921),
    [sym_time] = STATE(5921),
    [sym_number] = STATE(5921),
    [sym_json] = STATE(5921),
    [sym_query_parameter] = STATE(5921),
    [sym__type_chrono] = STATE(5404),
    [sym__type_struct] = STATE(19137),
    [sym__type_array] = STATE(18703),
    [sym_array] = STATE(5921),
    [sym_struct] = STATE(5921),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5587),
    [sym_string] = STATE(5921),
    [sym__expression] = STATE(5293),
    [sym__parenthesized_expression] = STATE(5921),
    [sym_element_access] = STATE(5921),
    [sym_field_access] = STATE(5921),
    [sym_unary_expression] = STATE(5921),
    [sym_binary_expression] = STATE(5921),
    [sym_between_operator] = STATE(5921),
    [sym_casewhen_expression] = STATE(5921),
    [sym_cast_expression] = STATE(5921),
    [sym_argument_reference] = STATE(5921),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2377),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2379),
    [aux_sym__keyword_case_token1] = ACTIONS(2381),
    [aux_sym__keyword_cast_token1] = ACTIONS(2383),
    [aux_sym__keyword_cast_token2] = ACTIONS(2383),
    [aux_sym__keyword_date_token1] = ACTIONS(2385),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2385),
    [aux_sym__keyword_time_token1] = ACTIONS(2385),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [aux_sym_drop_notnull_token1] = ACTIONS(2389),
    [aux_sym_function_call_token2] = ACTIONS(2391),
    [aux_sym_unnest_operator_token1] = ACTIONS(2393),
    [aux_sym_TRUE_token1] = ACTIONS(2395),
    [aux_sym_FALSE_token1] = ACTIONS(2397),
    [sym__integer] = ACTIONS(2399),
    [aux_sym__float_token1] = ACTIONS(2401),
    [aux_sym__float_token2] = ACTIONS(2399),
    [aux_sym__float_token3] = ACTIONS(2401),
    [aux_sym_numeric_token1] = ACTIONS(2403),
    [aux_sym_numeric_token2] = ACTIONS(2403),
    [aux_sym_numeric_token3] = ACTIONS(2403),
    [aux_sym_numeric_token4] = ACTIONS(2403),
    [aux_sym_interval_token1] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [aux_sym_json_token1] = ACTIONS(2409),
    [sym_system_variable] = ACTIONS(2411),
    [sym__named_query_parameter] = ACTIONS(2413),
    [sym__positional_query_parameter] = ACTIONS(2415),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_operator_compare] = ACTIONS(2423),
    [anon_sym_DOLLAR] = ACTIONS(2425),
    [sym__string_start] = ACTIONS(2427),
  },
  [1668] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2463),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1669] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2461),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1670] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9784),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1671] = {
    [sym_analytics_clause] = STATE(2148),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1672] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2458),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1673] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2454),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1674] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2452),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1675] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [sym__unquoted_identifier] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1863),
    [aux_sym_keyword_replace_token1] = ACTIONS(1863),
    [aux_sym__keyword_alter_token1] = ACTIONS(1863),
    [aux_sym__keyword_create_token1] = ACTIONS(1863),
    [aux_sym__keyword_drop_token1] = ACTIONS(1863),
    [aux_sym__keyword_from_token1] = ACTIONS(1863),
    [aux_sym__keyword_delete_token1] = ACTIONS(1863),
    [aux_sym__keyword_begin_token1] = ACTIONS(1863),
    [aux_sym__keyword_end_token1] = ACTIONS(1863),
    [aux_sym__keyword_between_token1] = ACTIONS(1863),
    [aux_sym__keyword_when_token1] = ACTIONS(1863),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1863),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1863),
    [aux_sym__keyword_like_token1] = ACTIONS(1863),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1863),
    [aux_sym__keyword_as_token1] = ACTIONS(1863),
    [aux_sym__keyword_window_token1] = ACTIONS(1863),
    [aux_sym__keyword_date_token1] = ACTIONS(1863),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1863),
    [aux_sym__keyword_time_token1] = ACTIONS(1863),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1863),
    [aux_sym__keyword_for_token1] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1863),
    [aux_sym_return_statement_token1] = ACTIONS(1863),
    [aux_sym_call_statement_token1] = ACTIONS(1863),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1863),
    [aux_sym_if_statement_token1] = ACTIONS(1863),
    [aux_sym_loop_statement_token1] = ACTIONS(1863),
    [aux_sym_repeat_statement_token1] = ACTIONS(1863),
    [aux_sym_while_statement_token1] = ACTIONS(1863),
    [aux_sym_break_statement_token1] = ACTIONS(1863),
    [aux_sym_leave_statement_token1] = ACTIONS(1863),
    [aux_sym_continue_statement_token1] = ACTIONS(1863),
    [aux_sym_iterate_statement_token1] = ACTIONS(1863),
    [aux_sym_raise_statement_token1] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1863),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_set_operation_token1] = ACTIONS(1863),
    [aux_sym_set_operation_token3] = ACTIONS(1863),
    [aux_sym_set_operation_token4] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1863),
    [aux_sym_having_clause_token1] = ACTIONS(1863),
    [aux_sym_qualify_clause_token1] = ACTIONS(1863),
    [aux_sym_limit_clause_token1] = ACTIONS(1863),
    [aux_sym_group_by_clause_token1] = ACTIONS(1863),
    [aux_sym_order_by_clause_token1] = ACTIONS(1863),
    [aux_sym_where_clause_token1] = ACTIONS(1863),
    [aux_sym_insert_statement_token1] = ACTIONS(1863),
    [aux_sym_truncate_statement_token1] = ACTIONS(1863),
    [aux_sym_update_statement_token1] = ACTIONS(1863),
    [aux_sym_merge_statement_token1] = ACTIONS(1863),
    [aux_sym_grant_statement_token1] = ACTIONS(1863),
    [aux_sym_revoke_statement_token1] = ACTIONS(1863),
    [aux_sym_export_data_statement_token1] = ACTIONS(1863),
    [aux_sym_load_data_statement_token1] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym__quoted_identifier] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [1676] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5928),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1677] = {
    [sym_analytics_clause] = STATE(2149),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1678] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10012),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1679] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2449),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1680] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9783),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1681] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2286),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1682] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2469),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1683] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1037),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2013),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3100),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1684] = {
    [sym_analytics_clause] = STATE(2150),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1685] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2444),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1686] = {
    [sym_analytics_clause] = STATE(2151),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [1687] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2443),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1688] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2506),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1689] = {
    [sym_analytics_clause] = STATE(2199),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1447),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_from_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_end_token1] = ACTIONS(1447),
    [aux_sym__keyword_between_token1] = ACTIONS(1447),
    [aux_sym__keyword_when_token1] = ACTIONS(1447),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1447),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1447),
    [aux_sym__keyword_like_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_window_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1447),
    [aux_sym_if_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_repeat_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token3] = ACTIONS(1447),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_having_clause_token1] = ACTIONS(1447),
    [aux_sym_qualify_clause_token1] = ACTIONS(1447),
    [aux_sym_limit_clause_token1] = ACTIONS(1447),
    [aux_sym_group_by_clause_token1] = ACTIONS(1447),
    [aux_sym_order_by_clause_token1] = ACTIONS(1447),
    [aux_sym_where_clause_token1] = ACTIONS(1447),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [1690] = {
    [sym_analytics_clause] = STATE(2197),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1451),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_from_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_end_token1] = ACTIONS(1451),
    [aux_sym__keyword_between_token1] = ACTIONS(1451),
    [aux_sym__keyword_when_token1] = ACTIONS(1451),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1451),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1451),
    [aux_sym__keyword_like_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_window_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1451),
    [aux_sym_if_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_repeat_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token3] = ACTIONS(1451),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_having_clause_token1] = ACTIONS(1451),
    [aux_sym_qualify_clause_token1] = ACTIONS(1451),
    [aux_sym_limit_clause_token1] = ACTIONS(1451),
    [aux_sym_group_by_clause_token1] = ACTIONS(1451),
    [aux_sym_order_by_clause_token1] = ACTIONS(1451),
    [aux_sym_where_clause_token1] = ACTIONS(1451),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [1691] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16302),
    [sym__keyword_case] = STATE(320),
    [sym__keyword_not] = STATE(1688),
    [sym__keyword_cast] = STATE(19308),
    [sym__keyword_date] = STATE(3387),
    [sym__keyword_datetime] = STATE(3387),
    [sym__keyword_time] = STATE(3387),
    [sym__keyword_timestamp] = STATE(3387),
    [sym_select_subexpression] = STATE(3416),
    [sym_function_call] = STATE(3416),
    [sym_unnest_operator] = STATE(2106),
    [sym_unnest_clause] = STATE(3416),
    [sym__literal] = STATE(3416),
    [sym_NULL] = STATE(3416),
    [sym_TRUE] = STATE(3416),
    [sym_FALSE] = STATE(3416),
    [sym__float] = STATE(3419),
    [sym_numeric] = STATE(3419),
    [sym__number] = STATE(3419),
    [sym_interval] = STATE(3416),
    [sym_range] = STATE(3416),
    [sym_time] = STATE(3416),
    [sym_number] = STATE(3416),
    [sym_json] = STATE(3416),
    [sym_query_parameter] = STATE(3416),
    [sym__type_chrono] = STATE(3275),
    [sym__type_struct] = STATE(19123),
    [sym__type_array] = STATE(18649),
    [sym_array] = STATE(3416),
    [sym_struct] = STATE(3416),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3388),
    [sym_string] = STATE(3416),
    [sym__expression] = STATE(2505),
    [sym__parenthesized_expression] = STATE(3416),
    [sym_element_access] = STATE(3416),
    [sym_field_access] = STATE(3416),
    [sym_unary_expression] = STATE(3416),
    [sym_binary_expression] = STATE(3416),
    [sym_between_operator] = STATE(3416),
    [sym_casewhen_expression] = STATE(3416),
    [sym_cast_expression] = STATE(3416),
    [sym_argument_reference] = STATE(3416),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1923),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1925),
    [aux_sym__keyword_case_token1] = ACTIONS(1927),
    [aux_sym__keyword_cast_token1] = ACTIONS(1929),
    [aux_sym__keyword_cast_token2] = ACTIONS(1929),
    [aux_sym__keyword_date_token1] = ACTIONS(1931),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1931),
    [aux_sym__keyword_time_token1] = ACTIONS(1931),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [aux_sym_drop_notnull_token1] = ACTIONS(1935),
    [aux_sym_function_call_token2] = ACTIONS(1937),
    [aux_sym_unnest_operator_token1] = ACTIONS(1939),
    [aux_sym_TRUE_token1] = ACTIONS(1941),
    [aux_sym_FALSE_token1] = ACTIONS(1943),
    [sym__integer] = ACTIONS(1945),
    [aux_sym__float_token1] = ACTIONS(1947),
    [aux_sym__float_token2] = ACTIONS(1945),
    [aux_sym__float_token3] = ACTIONS(1947),
    [aux_sym_numeric_token1] = ACTIONS(1949),
    [aux_sym_numeric_token2] = ACTIONS(1949),
    [aux_sym_numeric_token3] = ACTIONS(1949),
    [aux_sym_numeric_token4] = ACTIONS(1949),
    [aux_sym_interval_token1] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [aux_sym_json_token1] = ACTIONS(1955),
    [sym_system_variable] = ACTIONS(1957),
    [sym__named_query_parameter] = ACTIONS(1959),
    [sym__positional_query_parameter] = ACTIONS(1961),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_operator_compare] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1971),
    [sym__string_start] = ACTIONS(1973),
  },
  [1692] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9782),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1693] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9964),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1694] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9788),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1695] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2759),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1696] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2549),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1697] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1080),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2480),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3406),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2447),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1698] = {
    [sym_analytics_clause] = STATE(2196),
    [sym__unquoted_identifier] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1455),
    [aux_sym_keyword_replace_token1] = ACTIONS(1455),
    [aux_sym__keyword_alter_token1] = ACTIONS(1455),
    [aux_sym__keyword_create_token1] = ACTIONS(1455),
    [aux_sym__keyword_drop_token1] = ACTIONS(1455),
    [aux_sym__keyword_from_token1] = ACTIONS(1455),
    [aux_sym__keyword_delete_token1] = ACTIONS(1455),
    [aux_sym__keyword_begin_token1] = ACTIONS(1455),
    [aux_sym__keyword_end_token1] = ACTIONS(1455),
    [aux_sym__keyword_between_token1] = ACTIONS(1455),
    [aux_sym__keyword_when_token1] = ACTIONS(1455),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1455),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1455),
    [aux_sym__keyword_like_token1] = ACTIONS(1455),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1455),
    [aux_sym__keyword_as_token1] = ACTIONS(1455),
    [aux_sym__keyword_window_token1] = ACTIONS(1455),
    [aux_sym__keyword_date_token1] = ACTIONS(1455),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1455),
    [aux_sym__keyword_time_token1] = ACTIONS(1455),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1455),
    [aux_sym__keyword_for_token1] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1455),
    [aux_sym_return_statement_token1] = ACTIONS(1455),
    [aux_sym_call_statement_token1] = ACTIONS(1455),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1455),
    [aux_sym_if_statement_token1] = ACTIONS(1455),
    [aux_sym_loop_statement_token1] = ACTIONS(1455),
    [aux_sym_repeat_statement_token1] = ACTIONS(1455),
    [aux_sym_while_statement_token1] = ACTIONS(1455),
    [aux_sym_break_statement_token1] = ACTIONS(1455),
    [aux_sym_leave_statement_token1] = ACTIONS(1455),
    [aux_sym_continue_statement_token1] = ACTIONS(1455),
    [aux_sym_iterate_statement_token1] = ACTIONS(1455),
    [aux_sym_raise_statement_token1] = ACTIONS(1455),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1455),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_set_operation_token1] = ACTIONS(1455),
    [aux_sym_set_operation_token3] = ACTIONS(1455),
    [aux_sym_set_operation_token4] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1455),
    [aux_sym_having_clause_token1] = ACTIONS(1455),
    [aux_sym_qualify_clause_token1] = ACTIONS(1455),
    [aux_sym_limit_clause_token1] = ACTIONS(1455),
    [aux_sym_group_by_clause_token1] = ACTIONS(1455),
    [aux_sym_order_by_clause_token1] = ACTIONS(1455),
    [aux_sym_where_clause_token1] = ACTIONS(1455),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1455),
    [aux_sym_truncate_statement_token1] = ACTIONS(1455),
    [aux_sym_update_statement_token1] = ACTIONS(1455),
    [aux_sym_merge_statement_token1] = ACTIONS(1455),
    [aux_sym_grant_statement_token1] = ACTIONS(1455),
    [aux_sym_revoke_statement_token1] = ACTIONS(1455),
    [aux_sym_export_data_statement_token1] = ACTIONS(1455),
    [aux_sym_load_data_statement_token1] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym__quoted_identifier] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [1699] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9663),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1700] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2016),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1701] = {
    [sym_analytics_clause] = STATE(2195),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1459),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_from_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_end_token1] = ACTIONS(1459),
    [aux_sym__keyword_between_token1] = ACTIONS(1459),
    [aux_sym__keyword_when_token1] = ACTIONS(1459),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1459),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1459),
    [aux_sym__keyword_like_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_window_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1459),
    [aux_sym_if_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_repeat_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token3] = ACTIONS(1459),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_having_clause_token1] = ACTIONS(1459),
    [aux_sym_qualify_clause_token1] = ACTIONS(1459),
    [aux_sym_limit_clause_token1] = ACTIONS(1459),
    [aux_sym_group_by_clause_token1] = ACTIONS(1459),
    [aux_sym_order_by_clause_token1] = ACTIONS(1459),
    [aux_sym_where_clause_token1] = ACTIONS(1459),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [1702] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1294),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(1921),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3011),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2585),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1703] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9781),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1704] = {
    [sym_analytics_clause] = STATE(2194),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1369),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_from_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_end_token1] = ACTIONS(1369),
    [aux_sym__keyword_between_token1] = ACTIONS(1369),
    [aux_sym__keyword_when_token1] = ACTIONS(1369),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1369),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1369),
    [aux_sym__keyword_like_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_window_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1369),
    [aux_sym_if_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_repeat_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token3] = ACTIONS(1369),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_having_clause_token1] = ACTIONS(1369),
    [aux_sym_qualify_clause_token1] = ACTIONS(1369),
    [aux_sym_limit_clause_token1] = ACTIONS(1369),
    [aux_sym_group_by_clause_token1] = ACTIONS(1369),
    [aux_sym_order_by_clause_token1] = ACTIONS(1369),
    [aux_sym_where_clause_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [1705] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9681),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1706] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2550),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1707] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4224),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1708] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9660),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1709] = {
    [sym_analytics_clause] = STATE(2176),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1710] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16349),
    [sym__keyword_case] = STATE(369),
    [sym__keyword_not] = STATE(994),
    [sym__keyword_cast] = STATE(19302),
    [sym__keyword_date] = STATE(7421),
    [sym__keyword_datetime] = STATE(7421),
    [sym__keyword_time] = STATE(7421),
    [sym__keyword_timestamp] = STATE(7421),
    [sym_select_subexpression] = STATE(7552),
    [sym_function_call] = STATE(7552),
    [sym_unnest_operator] = STATE(5309),
    [sym_unnest_clause] = STATE(7552),
    [sym__literal] = STATE(7552),
    [sym_NULL] = STATE(7552),
    [sym_TRUE] = STATE(7552),
    [sym_FALSE] = STATE(7552),
    [sym__float] = STATE(7564),
    [sym_numeric] = STATE(7564),
    [sym__number] = STATE(7564),
    [sym_interval] = STATE(7552),
    [sym_range] = STATE(7552),
    [sym_time] = STATE(7552),
    [sym_number] = STATE(7552),
    [sym_json] = STATE(7552),
    [sym_query_parameter] = STATE(7552),
    [sym__type_chrono] = STATE(7136),
    [sym__type_struct] = STATE(19102),
    [sym__type_array] = STATE(18568),
    [sym_array] = STATE(7552),
    [sym_struct] = STATE(7552),
    [sym__identifier] = STATE(7143),
    [sym__dotted_identifier] = STATE(14008),
    [sym_identifier] = STATE(9266),
    [sym_string] = STATE(7552),
    [sym__expression] = STATE(6681),
    [sym__parenthesized_expression] = STATE(7552),
    [sym_element_access] = STATE(7552),
    [sym_field_access] = STATE(7552),
    [sym_unary_expression] = STATE(7552),
    [sym_binary_expression] = STATE(7552),
    [sym_between_operator] = STATE(7552),
    [sym_casewhen_expression] = STATE(7552),
    [sym_cast_expression] = STATE(7552),
    [sym_argument_reference] = STATE(7552),
    [aux_sym_identifier_repeat1] = STATE(14008),
    [sym__unquoted_identifier] = ACTIONS(2171),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2173),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2175),
    [aux_sym__keyword_case_token1] = ACTIONS(2177),
    [aux_sym__keyword_cast_token1] = ACTIONS(2179),
    [aux_sym__keyword_cast_token2] = ACTIONS(2179),
    [aux_sym__keyword_date_token1] = ACTIONS(2181),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2181),
    [aux_sym__keyword_time_token1] = ACTIONS(2181),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [aux_sym_drop_notnull_token1] = ACTIONS(2185),
    [aux_sym_function_call_token2] = ACTIONS(2187),
    [aux_sym_unnest_operator_token1] = ACTIONS(609),
    [aux_sym_TRUE_token1] = ACTIONS(2191),
    [aux_sym_FALSE_token1] = ACTIONS(2193),
    [sym__integer] = ACTIONS(2195),
    [aux_sym__float_token1] = ACTIONS(2197),
    [aux_sym__float_token2] = ACTIONS(2195),
    [aux_sym__float_token3] = ACTIONS(2197),
    [aux_sym_numeric_token1] = ACTIONS(2199),
    [aux_sym_numeric_token2] = ACTIONS(2199),
    [aux_sym_numeric_token3] = ACTIONS(2199),
    [aux_sym_numeric_token4] = ACTIONS(2199),
    [aux_sym_interval_token1] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [aux_sym_json_token1] = ACTIONS(2205),
    [sym_system_variable] = ACTIONS(2207),
    [sym__named_query_parameter] = ACTIONS(2209),
    [sym__positional_query_parameter] = ACTIONS(2211),
    [sym__quoted_identifier] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_operator_compare] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [sym__string_start] = ACTIONS(2223),
  },
  [1711] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9778),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1712] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9777),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1713] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9776),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1714] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2551),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1715] = {
    [sym_analytics_clause] = STATE(2193),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1369),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_from_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_end_token1] = ACTIONS(1369),
    [aux_sym__keyword_between_token1] = ACTIONS(1369),
    [aux_sym__keyword_when_token1] = ACTIONS(1369),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1369),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1369),
    [aux_sym__keyword_like_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_window_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1369),
    [aux_sym_if_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_repeat_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token3] = ACTIONS(1369),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_having_clause_token1] = ACTIONS(1369),
    [aux_sym_qualify_clause_token1] = ACTIONS(1369),
    [aux_sym_limit_clause_token1] = ACTIONS(1369),
    [aux_sym_group_by_clause_token1] = ACTIONS(1369),
    [aux_sym_order_by_clause_token1] = ACTIONS(1369),
    [aux_sym_where_clause_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [1716] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2555),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1717] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10203),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1718] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9639),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1719] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2288),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1720] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9635),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1721] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2659),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1722] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2291),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1723] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2285),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1724] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [sym__unquoted_identifier] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1867),
    [aux_sym_keyword_replace_token1] = ACTIONS(1867),
    [aux_sym__keyword_alter_token1] = ACTIONS(1867),
    [aux_sym__keyword_create_token1] = ACTIONS(1867),
    [aux_sym__keyword_drop_token1] = ACTIONS(1867),
    [aux_sym__keyword_from_token1] = ACTIONS(1867),
    [aux_sym__keyword_delete_token1] = ACTIONS(1867),
    [aux_sym__keyword_begin_token1] = ACTIONS(1867),
    [aux_sym__keyword_end_token1] = ACTIONS(1867),
    [aux_sym__keyword_between_token1] = ACTIONS(1867),
    [aux_sym__keyword_when_token1] = ACTIONS(1867),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1867),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1867),
    [aux_sym__keyword_like_token1] = ACTIONS(1867),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1867),
    [aux_sym__keyword_as_token1] = ACTIONS(1867),
    [aux_sym__keyword_window_token1] = ACTIONS(1867),
    [aux_sym__keyword_date_token1] = ACTIONS(1867),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1867),
    [aux_sym__keyword_time_token1] = ACTIONS(1867),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1867),
    [aux_sym__keyword_for_token1] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1867),
    [aux_sym_return_statement_token1] = ACTIONS(1867),
    [aux_sym_call_statement_token1] = ACTIONS(1867),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1867),
    [aux_sym_if_statement_token1] = ACTIONS(1867),
    [aux_sym_loop_statement_token1] = ACTIONS(1867),
    [aux_sym_repeat_statement_token1] = ACTIONS(1867),
    [aux_sym_while_statement_token1] = ACTIONS(1867),
    [aux_sym_break_statement_token1] = ACTIONS(1867),
    [aux_sym_leave_statement_token1] = ACTIONS(1867),
    [aux_sym_continue_statement_token1] = ACTIONS(1867),
    [aux_sym_iterate_statement_token1] = ACTIONS(1867),
    [aux_sym_raise_statement_token1] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1867),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_set_operation_token1] = ACTIONS(1867),
    [aux_sym_set_operation_token3] = ACTIONS(1867),
    [aux_sym_set_operation_token4] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1867),
    [aux_sym_having_clause_token1] = ACTIONS(1867),
    [aux_sym_qualify_clause_token1] = ACTIONS(1867),
    [aux_sym_limit_clause_token1] = ACTIONS(1867),
    [aux_sym_group_by_clause_token1] = ACTIONS(1867),
    [aux_sym_order_by_clause_token1] = ACTIONS(1867),
    [aux_sym_where_clause_token1] = ACTIONS(1867),
    [aux_sym_insert_statement_token1] = ACTIONS(1867),
    [aux_sym_truncate_statement_token1] = ACTIONS(1867),
    [aux_sym_update_statement_token1] = ACTIONS(1867),
    [aux_sym_merge_statement_token1] = ACTIONS(1867),
    [aux_sym_grant_statement_token1] = ACTIONS(1867),
    [aux_sym_revoke_statement_token1] = ACTIONS(1867),
    [aux_sym_export_data_statement_token1] = ACTIONS(1867),
    [aux_sym_load_data_statement_token1] = ACTIONS(1867),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym__quoted_identifier] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [1725] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1487),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(149),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2334),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(2109),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1726] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5841),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1727] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2711),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1728] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9657),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1729] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9970),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1730] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2333),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1731] = {
    [sym_analytics_clause] = STATE(2189),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1487),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_from_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_end_token1] = ACTIONS(1487),
    [aux_sym__keyword_between_token1] = ACTIONS(1487),
    [aux_sym__keyword_when_token1] = ACTIONS(1487),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1487),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1487),
    [aux_sym__keyword_like_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_window_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1487),
    [aux_sym_if_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_repeat_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token3] = ACTIONS(1487),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_having_clause_token1] = ACTIONS(1487),
    [aux_sym_qualify_clause_token1] = ACTIONS(1487),
    [aux_sym_limit_clause_token1] = ACTIONS(1487),
    [aux_sym_group_by_clause_token1] = ACTIONS(1487),
    [aux_sym_order_by_clause_token1] = ACTIONS(1487),
    [aux_sym_where_clause_token1] = ACTIONS(1487),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [1732] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10197),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1733] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4223),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1734] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9969),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1735] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3882),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1736] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9656),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1737] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9655),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1738] = {
    [sym_analytics_clause] = STATE(2188),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1495),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_from_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_end_token1] = ACTIONS(1495),
    [aux_sym__keyword_between_token1] = ACTIONS(1495),
    [aux_sym__keyword_when_token1] = ACTIONS(1495),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1495),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1495),
    [aux_sym__keyword_like_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_window_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1495),
    [aux_sym_if_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_repeat_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token3] = ACTIONS(1495),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_having_clause_token1] = ACTIONS(1495),
    [aux_sym_qualify_clause_token1] = ACTIONS(1495),
    [aux_sym_limit_clause_token1] = ACTIONS(1495),
    [aux_sym_group_by_clause_token1] = ACTIONS(1495),
    [aux_sym_order_by_clause_token1] = ACTIONS(1495),
    [aux_sym_where_clause_token1] = ACTIONS(1495),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [1739] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3885),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1740] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9652),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1741] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2324),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1742] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(6593),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1743] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4173),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1744] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10005),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1745] = {
    [sym_analytics_clause] = STATE(2187),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1499),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_from_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_end_token1] = ACTIONS(1499),
    [aux_sym__keyword_between_token1] = ACTIONS(1499),
    [aux_sym__keyword_when_token1] = ACTIONS(1499),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1499),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1499),
    [aux_sym__keyword_like_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_window_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1499),
    [aux_sym_if_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_repeat_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token3] = ACTIONS(1499),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_having_clause_token1] = ACTIONS(1499),
    [aux_sym_qualify_clause_token1] = ACTIONS(1499),
    [aux_sym_limit_clause_token1] = ACTIONS(1499),
    [aux_sym_group_by_clause_token1] = ACTIONS(1499),
    [aux_sym_order_by_clause_token1] = ACTIONS(1499),
    [aux_sym_where_clause_token1] = ACTIONS(1499),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [1746] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9772),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1747] = {
    [sym_analytics_clause] = STATE(2186),
    [sym__unquoted_identifier] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1507),
    [aux_sym_keyword_replace_token1] = ACTIONS(1507),
    [aux_sym__keyword_alter_token1] = ACTIONS(1507),
    [aux_sym__keyword_create_token1] = ACTIONS(1507),
    [aux_sym__keyword_drop_token1] = ACTIONS(1507),
    [aux_sym__keyword_from_token1] = ACTIONS(1507),
    [aux_sym__keyword_delete_token1] = ACTIONS(1507),
    [aux_sym__keyword_begin_token1] = ACTIONS(1507),
    [aux_sym__keyword_end_token1] = ACTIONS(1507),
    [aux_sym__keyword_between_token1] = ACTIONS(1507),
    [aux_sym__keyword_when_token1] = ACTIONS(1507),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1507),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1507),
    [aux_sym__keyword_like_token1] = ACTIONS(1507),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1507),
    [aux_sym__keyword_as_token1] = ACTIONS(1507),
    [aux_sym__keyword_window_token1] = ACTIONS(1507),
    [aux_sym__keyword_date_token1] = ACTIONS(1507),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1507),
    [aux_sym__keyword_time_token1] = ACTIONS(1507),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1507),
    [aux_sym__keyword_for_token1] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1507),
    [aux_sym_return_statement_token1] = ACTIONS(1507),
    [aux_sym_call_statement_token1] = ACTIONS(1507),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1507),
    [aux_sym_if_statement_token1] = ACTIONS(1507),
    [aux_sym_loop_statement_token1] = ACTIONS(1507),
    [aux_sym_repeat_statement_token1] = ACTIONS(1507),
    [aux_sym_while_statement_token1] = ACTIONS(1507),
    [aux_sym_break_statement_token1] = ACTIONS(1507),
    [aux_sym_leave_statement_token1] = ACTIONS(1507),
    [aux_sym_continue_statement_token1] = ACTIONS(1507),
    [aux_sym_iterate_statement_token1] = ACTIONS(1507),
    [aux_sym_raise_statement_token1] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1507),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_set_operation_token1] = ACTIONS(1507),
    [aux_sym_set_operation_token3] = ACTIONS(1507),
    [aux_sym_set_operation_token4] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1507),
    [aux_sym_having_clause_token1] = ACTIONS(1507),
    [aux_sym_qualify_clause_token1] = ACTIONS(1507),
    [aux_sym_limit_clause_token1] = ACTIONS(1507),
    [aux_sym_group_by_clause_token1] = ACTIONS(1507),
    [aux_sym_order_by_clause_token1] = ACTIONS(1507),
    [aux_sym_where_clause_token1] = ACTIONS(1507),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1507),
    [aux_sym_truncate_statement_token1] = ACTIONS(1507),
    [aux_sym_update_statement_token1] = ACTIONS(1507),
    [aux_sym_merge_statement_token1] = ACTIONS(1507),
    [aux_sym_grant_statement_token1] = ACTIONS(1507),
    [aux_sym_revoke_statement_token1] = ACTIONS(1507),
    [aux_sym_export_data_statement_token1] = ACTIONS(1507),
    [aux_sym_load_data_statement_token1] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym__quoted_identifier] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [1748] = {
    [sym_analytics_clause] = STATE(2177),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1749] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9649),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1750] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9771),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1751] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [sym__unquoted_identifier] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1793),
    [aux_sym_keyword_replace_token1] = ACTIONS(1793),
    [aux_sym__keyword_alter_token1] = ACTIONS(1793),
    [aux_sym__keyword_create_token1] = ACTIONS(1793),
    [aux_sym__keyword_drop_token1] = ACTIONS(1793),
    [aux_sym__keyword_from_token1] = ACTIONS(1793),
    [aux_sym__keyword_delete_token1] = ACTIONS(1793),
    [aux_sym__keyword_begin_token1] = ACTIONS(1793),
    [aux_sym__keyword_end_token1] = ACTIONS(1793),
    [aux_sym__keyword_between_token1] = ACTIONS(1793),
    [aux_sym__keyword_when_token1] = ACTIONS(1793),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1793),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1793),
    [aux_sym__keyword_like_token1] = ACTIONS(1793),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1793),
    [aux_sym__keyword_as_token1] = ACTIONS(1793),
    [aux_sym__keyword_window_token1] = ACTIONS(1793),
    [aux_sym__keyword_date_token1] = ACTIONS(1793),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1793),
    [aux_sym__keyword_time_token1] = ACTIONS(1793),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1793),
    [aux_sym__keyword_for_token1] = ACTIONS(1793),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1793),
    [aux_sym_return_statement_token1] = ACTIONS(1793),
    [aux_sym_call_statement_token1] = ACTIONS(1793),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1793),
    [aux_sym_if_statement_token1] = ACTIONS(1793),
    [aux_sym_loop_statement_token1] = ACTIONS(1793),
    [aux_sym_repeat_statement_token1] = ACTIONS(1793),
    [aux_sym_while_statement_token1] = ACTIONS(1793),
    [aux_sym_break_statement_token1] = ACTIONS(1793),
    [aux_sym_leave_statement_token1] = ACTIONS(1793),
    [aux_sym_continue_statement_token1] = ACTIONS(1793),
    [aux_sym_iterate_statement_token1] = ACTIONS(1793),
    [aux_sym_raise_statement_token1] = ACTIONS(1793),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1793),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_set_operation_token1] = ACTIONS(1793),
    [aux_sym_set_operation_token3] = ACTIONS(1793),
    [aux_sym_set_operation_token4] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1793),
    [aux_sym_having_clause_token1] = ACTIONS(1793),
    [aux_sym_qualify_clause_token1] = ACTIONS(1793),
    [aux_sym_limit_clause_token1] = ACTIONS(1793),
    [aux_sym_group_by_clause_token1] = ACTIONS(1793),
    [aux_sym_order_by_clause_token1] = ACTIONS(1793),
    [aux_sym_where_clause_token1] = ACTIONS(1793),
    [aux_sym_insert_statement_token1] = ACTIONS(1793),
    [aux_sym_truncate_statement_token1] = ACTIONS(1793),
    [aux_sym_update_statement_token1] = ACTIONS(1793),
    [aux_sym_merge_statement_token1] = ACTIONS(1793),
    [aux_sym_grant_statement_token1] = ACTIONS(1793),
    [aux_sym_revoke_statement_token1] = ACTIONS(1793),
    [aux_sym_export_data_statement_token1] = ACTIONS(1793),
    [aux_sym_load_data_statement_token1] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym__quoted_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [1752] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9770),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1753] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9769),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1754] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5927),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1755] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9293),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1756] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(382),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1757] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(429),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1758] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9743),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1759] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6705),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1760] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6703),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1761] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4150),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1762] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9929),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1763] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9651),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1764] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4148),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1765] = {
    [sym_analytics_clause] = STATE(2185),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1511),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_from_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_end_token1] = ACTIONS(1511),
    [aux_sym__keyword_between_token1] = ACTIONS(1511),
    [aux_sym__keyword_when_token1] = ACTIONS(1511),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1511),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1511),
    [aux_sym__keyword_like_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_window_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1511),
    [aux_sym_if_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_repeat_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token3] = ACTIONS(1511),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_having_clause_token1] = ACTIONS(1511),
    [aux_sym_qualify_clause_token1] = ACTIONS(1511),
    [aux_sym_limit_clause_token1] = ACTIONS(1511),
    [aux_sym_group_by_clause_token1] = ACTIONS(1511),
    [aux_sym_order_by_clause_token1] = ACTIONS(1511),
    [aux_sym_where_clause_token1] = ACTIONS(1511),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [1766] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9928),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1767] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10192),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1768] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9648),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1769] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(3651),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1770] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3649),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1771] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3650),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1772] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3874),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1773] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3653),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1774] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3676),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1775] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3677),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1776] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3678),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1777] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5926),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1778] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3764),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1779] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3759),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1780] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5925),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1781] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9634),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1782] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1227),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(5368),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(6684),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(2131),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1783] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(427),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1784] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(424),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1785] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6745),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1786] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9640),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1787] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6744),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1788] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9637),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1789] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2757),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1790] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5924),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1791] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6789),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1792] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5919),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1793] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10188),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1794] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4115),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1795] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5917),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1796] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1441),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2534),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4114),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1797] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16292),
    [sym__keyword_case] = STATE(307),
    [sym__keyword_not] = STATE(1395),
    [sym__keyword_cast] = STATE(19310),
    [sym__keyword_date] = STATE(406),
    [sym__keyword_datetime] = STATE(406),
    [sym__keyword_time] = STATE(406),
    [sym__keyword_timestamp] = STATE(406),
    [sym_select_subexpression] = STATE(595),
    [sym_function_call] = STATE(595),
    [sym_unnest_operator] = STATE(10),
    [sym_unnest_clause] = STATE(595),
    [sym__literal] = STATE(595),
    [sym_NULL] = STATE(595),
    [sym_TRUE] = STATE(595),
    [sym_FALSE] = STATE(595),
    [sym__float] = STATE(570),
    [sym_numeric] = STATE(570),
    [sym__number] = STATE(570),
    [sym_interval] = STATE(595),
    [sym_range] = STATE(595),
    [sym_time] = STATE(595),
    [sym_number] = STATE(595),
    [sym_json] = STATE(595),
    [sym_query_parameter] = STATE(595),
    [sym__type_chrono] = STATE(338),
    [sym__type_struct] = STATE(19130),
    [sym__type_array] = STATE(18676),
    [sym_array] = STATE(595),
    [sym_struct] = STATE(595),
    [sym__identifier] = STATE(396),
    [sym__dotted_identifier] = STATE(13949),
    [sym_identifier] = STATE(568),
    [sym_string] = STATE(595),
    [sym__expression] = STATE(127),
    [sym__parenthesized_expression] = STATE(595),
    [sym_element_access] = STATE(595),
    [sym_field_access] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_between_operator] = STATE(595),
    [sym_casewhen_expression] = STATE(595),
    [sym_cast_expression] = STATE(595),
    [sym_argument_reference] = STATE(595),
    [aux_sym_identifier_repeat1] = STATE(13949),
    [sym__unquoted_identifier] = ACTIONS(203),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2645),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2647),
    [aux_sym__keyword_case_token1] = ACTIONS(2649),
    [aux_sym__keyword_cast_token1] = ACTIONS(2651),
    [aux_sym__keyword_cast_token2] = ACTIONS(2651),
    [aux_sym__keyword_date_token1] = ACTIONS(2653),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2653),
    [aux_sym__keyword_time_token1] = ACTIONS(2653),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [aux_sym_drop_notnull_token1] = ACTIONS(2657),
    [aux_sym_function_call_token2] = ACTIONS(2659),
    [aux_sym_unnest_operator_token1] = ACTIONS(2661),
    [aux_sym_TRUE_token1] = ACTIONS(2663),
    [aux_sym_FALSE_token1] = ACTIONS(2665),
    [sym__integer] = ACTIONS(2667),
    [aux_sym__float_token1] = ACTIONS(2669),
    [aux_sym__float_token2] = ACTIONS(2667),
    [aux_sym__float_token3] = ACTIONS(2669),
    [aux_sym_numeric_token1] = ACTIONS(2671),
    [aux_sym_numeric_token2] = ACTIONS(2671),
    [aux_sym_numeric_token3] = ACTIONS(2671),
    [aux_sym_numeric_token4] = ACTIONS(2671),
    [aux_sym_interval_token1] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [aux_sym_json_token1] = ACTIONS(2677),
    [sym_system_variable] = ACTIONS(2679),
    [sym__named_query_parameter] = ACTIONS(2681),
    [sym__positional_query_parameter] = ACTIONS(2683),
    [sym__quoted_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_operator_compare] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2691),
    [sym__string_start] = ACTIONS(1473),
  },
  [1798] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9768),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1799] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2289),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1800] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9767),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1801] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9920),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1802] = {
    [sym_analytics_clause] = STATE(2085),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1803] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5907),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1804] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9764),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1805] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2295),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1806] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9838),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1807] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9921),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1808] = {
    [sym_analytics_clause] = STATE(2184),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1809] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(411),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1810] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9763),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1811] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5885),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1812] = {
    [sym_analytics_clause] = STATE(2183),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1813] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9636),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1814] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9642),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1815] = {
    [sym_analytics_clause] = STATE(2182),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1816] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9738),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1817] = {
    [sym_analytics_clause] = STATE(2179),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(2321),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1818] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9751),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1819] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2292),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1820] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9746),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1821] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7759),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1822] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9962),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1823] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2293),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1824] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7755),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1825] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10006),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1826] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2297),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1827] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7753),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1828] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5883),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1829] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10004),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1830] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2752),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1831] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8762),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1832] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16258),
    [sym__keyword_case] = STATE(340),
    [sym__keyword_not] = STATE(1442),
    [sym__keyword_cast] = STATE(19298),
    [sym__keyword_date] = STATE(2517),
    [sym__keyword_datetime] = STATE(2517),
    [sym__keyword_time] = STATE(2517),
    [sym__keyword_timestamp] = STATE(2517),
    [sym_select_subexpression] = STATE(2540),
    [sym_function_call] = STATE(2540),
    [sym_unnest_operator] = STATE(404),
    [sym_unnest_clause] = STATE(2540),
    [sym__literal] = STATE(2540),
    [sym_NULL] = STATE(2540),
    [sym_TRUE] = STATE(2540),
    [sym_FALSE] = STATE(2540),
    [sym__float] = STATE(2541),
    [sym_numeric] = STATE(2541),
    [sym__number] = STATE(2541),
    [sym_interval] = STATE(2540),
    [sym_range] = STATE(2540),
    [sym_time] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_json] = STATE(2540),
    [sym_query_parameter] = STATE(2540),
    [sym__type_chrono] = STATE(2357),
    [sym__type_struct] = STATE(19088),
    [sym__type_array] = STATE(18514),
    [sym_array] = STATE(2540),
    [sym_struct] = STATE(2540),
    [sym__identifier] = STATE(2525),
    [sym__dotted_identifier] = STATE(13522),
    [sym_identifier] = STATE(2544),
    [sym_string] = STATE(2540),
    [sym__expression] = STATE(2743),
    [sym__parenthesized_expression] = STATE(2540),
    [sym_element_access] = STATE(2540),
    [sym_field_access] = STATE(2540),
    [sym_unary_expression] = STATE(2540),
    [sym_binary_expression] = STATE(2540),
    [sym_between_operator] = STATE(2540),
    [sym_casewhen_expression] = STATE(2540),
    [sym_cast_expression] = STATE(2540),
    [sym_argument_reference] = STATE(2540),
    [aux_sym_identifier_repeat1] = STATE(13522),
    [sym__unquoted_identifier] = ACTIONS(1271),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1975),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1977),
    [aux_sym__keyword_case_token1] = ACTIONS(1979),
    [aux_sym__keyword_cast_token1] = ACTIONS(1981),
    [aux_sym__keyword_cast_token2] = ACTIONS(1981),
    [aux_sym__keyword_date_token1] = ACTIONS(1983),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1983),
    [aux_sym__keyword_time_token1] = ACTIONS(1983),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1983),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [aux_sym_drop_notnull_token1] = ACTIONS(1987),
    [aux_sym_function_call_token2] = ACTIONS(1989),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(1993),
    [aux_sym_FALSE_token1] = ACTIONS(1995),
    [sym__integer] = ACTIONS(1997),
    [aux_sym__float_token1] = ACTIONS(1999),
    [aux_sym__float_token2] = ACTIONS(1997),
    [aux_sym__float_token3] = ACTIONS(1999),
    [aux_sym_numeric_token1] = ACTIONS(2001),
    [aux_sym_numeric_token2] = ACTIONS(2001),
    [aux_sym_numeric_token3] = ACTIONS(2001),
    [aux_sym_numeric_token4] = ACTIONS(2001),
    [aux_sym_interval_token1] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [aux_sym_json_token1] = ACTIONS(2007),
    [sym_system_variable] = ACTIONS(2009),
    [sym__named_query_parameter] = ACTIONS(2011),
    [sym__positional_query_parameter] = ACTIONS(2013),
    [sym__quoted_identifier] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_operator_compare] = ACTIONS(2019),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [sym__string_start] = ACTIONS(2023),
  },
  [1833] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16235),
    [sym__keyword_case] = STATE(302),
    [sym__keyword_not] = STATE(1633),
    [sym__keyword_cast] = STATE(19294),
    [sym__keyword_date] = STATE(10671),
    [sym__keyword_datetime] = STATE(10671),
    [sym__keyword_time] = STATE(10671),
    [sym__keyword_timestamp] = STATE(10671),
    [sym_select_subexpression] = STATE(10986),
    [sym_function_call] = STATE(10986),
    [sym_unnest_operator] = STATE(5571),
    [sym_unnest_clause] = STATE(10986),
    [sym__literal] = STATE(10986),
    [sym_NULL] = STATE(10986),
    [sym_TRUE] = STATE(10986),
    [sym_FALSE] = STATE(10986),
    [sym__float] = STATE(10988),
    [sym_numeric] = STATE(10988),
    [sym__number] = STATE(10988),
    [sym_interval] = STATE(10986),
    [sym_range] = STATE(10986),
    [sym_time] = STATE(10986),
    [sym_number] = STATE(10986),
    [sym_json] = STATE(10986),
    [sym_query_parameter] = STATE(10986),
    [sym__type_chrono] = STATE(10537),
    [sym__type_struct] = STATE(19074),
    [sym__type_array] = STATE(18457),
    [sym_array] = STATE(10986),
    [sym_struct] = STATE(10986),
    [sym__identifier] = STATE(10539),
    [sym__dotted_identifier] = STATE(13861),
    [sym_identifier] = STATE(10703),
    [sym_string] = STATE(10986),
    [sym__expression] = STATE(8555),
    [sym__parenthesized_expression] = STATE(10986),
    [sym_element_access] = STATE(10986),
    [sym_field_access] = STATE(10986),
    [sym_unary_expression] = STATE(10986),
    [sym_binary_expression] = STATE(10986),
    [sym_between_operator] = STATE(10986),
    [sym_casewhen_expression] = STATE(10986),
    [sym_cast_expression] = STATE(10986),
    [sym_argument_reference] = STATE(10986),
    [aux_sym_identifier_repeat1] = STATE(13861),
    [sym__unquoted_identifier] = ACTIONS(2323),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2325),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2327),
    [aux_sym__keyword_case_token1] = ACTIONS(2329),
    [aux_sym__keyword_cast_token1] = ACTIONS(2331),
    [aux_sym__keyword_cast_token2] = ACTIONS(2331),
    [aux_sym__keyword_date_token1] = ACTIONS(2333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2333),
    [aux_sym__keyword_time_token1] = ACTIONS(2333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [aux_sym_drop_notnull_token1] = ACTIONS(2337),
    [aux_sym_function_call_token2] = ACTIONS(2339),
    [aux_sym_unnest_operator_token1] = ACTIONS(2495),
    [aux_sym_TRUE_token1] = ACTIONS(2341),
    [aux_sym_FALSE_token1] = ACTIONS(2343),
    [sym__integer] = ACTIONS(2345),
    [aux_sym__float_token1] = ACTIONS(2347),
    [aux_sym__float_token2] = ACTIONS(2345),
    [aux_sym__float_token3] = ACTIONS(2347),
    [aux_sym_numeric_token1] = ACTIONS(2349),
    [aux_sym_numeric_token2] = ACTIONS(2349),
    [aux_sym_numeric_token3] = ACTIONS(2349),
    [aux_sym_numeric_token4] = ACTIONS(2349),
    [aux_sym_interval_token1] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [aux_sym_json_token1] = ACTIONS(2355),
    [sym_system_variable] = ACTIONS(2357),
    [sym__named_query_parameter] = ACTIONS(2359),
    [sym__positional_query_parameter] = ACTIONS(2361),
    [sym__quoted_identifier] = ACTIONS(2363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_operator_compare] = ACTIONS(2369),
    [anon_sym_DOLLAR] = ACTIONS(2371),
    [sym__string_start] = ACTIONS(2373),
  },
  [1834] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [sym__unquoted_identifier] = ACTIONS(1589),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1589),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1589),
    [aux_sym_keyword_replace_token1] = ACTIONS(1589),
    [aux_sym__keyword_alter_token1] = ACTIONS(1589),
    [aux_sym__keyword_create_token1] = ACTIONS(1589),
    [aux_sym__keyword_drop_token1] = ACTIONS(1589),
    [aux_sym__keyword_from_token1] = ACTIONS(1589),
    [aux_sym__keyword_delete_token1] = ACTIONS(1589),
    [aux_sym__keyword_begin_token1] = ACTIONS(1589),
    [aux_sym__keyword_end_token1] = ACTIONS(1589),
    [aux_sym__keyword_between_token1] = ACTIONS(1589),
    [aux_sym__keyword_when_token1] = ACTIONS(1589),
    [aux_sym__keyword_else_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1589),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1589),
    [aux_sym__keyword_like_token1] = ACTIONS(1589),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1589),
    [aux_sym__keyword_as_token1] = ACTIONS(1589),
    [aux_sym__keyword_window_token1] = ACTIONS(1589),
    [aux_sym__keyword_date_token1] = ACTIONS(1589),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1589),
    [aux_sym__keyword_time_token1] = ACTIONS(1589),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1589),
    [aux_sym__keyword_for_token1] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1589),
    [anon_sym_COMMA] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1589),
    [aux_sym_return_statement_token1] = ACTIONS(1589),
    [aux_sym_call_statement_token1] = ACTIONS(1589),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1589),
    [aux_sym_if_statement_token1] = ACTIONS(1589),
    [aux_sym_loop_statement_token1] = ACTIONS(1589),
    [aux_sym_repeat_statement_token1] = ACTIONS(1589),
    [aux_sym_while_statement_token1] = ACTIONS(1589),
    [aux_sym_break_statement_token1] = ACTIONS(1589),
    [aux_sym_leave_statement_token1] = ACTIONS(1589),
    [aux_sym_continue_statement_token1] = ACTIONS(1589),
    [aux_sym_iterate_statement_token1] = ACTIONS(1589),
    [aux_sym_raise_statement_token1] = ACTIONS(1589),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1589),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1589),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(2743),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_set_operation_token1] = ACTIONS(1589),
    [aux_sym_set_operation_token3] = ACTIONS(1589),
    [aux_sym_set_operation_token4] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1589),
    [aux_sym_having_clause_token1] = ACTIONS(1589),
    [aux_sym_qualify_clause_token1] = ACTIONS(1589),
    [aux_sym_limit_clause_token1] = ACTIONS(1589),
    [aux_sym_group_by_clause_token1] = ACTIONS(1589),
    [aux_sym_order_by_clause_token1] = ACTIONS(1589),
    [aux_sym_where_clause_token1] = ACTIONS(1589),
    [aux_sym_insert_statement_token1] = ACTIONS(1589),
    [aux_sym_truncate_statement_token1] = ACTIONS(1589),
    [aux_sym_update_statement_token1] = ACTIONS(1589),
    [aux_sym_merge_statement_token1] = ACTIONS(1589),
    [aux_sym_grant_statement_token1] = ACTIONS(1589),
    [aux_sym_revoke_statement_token1] = ACTIONS(1589),
    [aux_sym_export_data_statement_token1] = ACTIONS(1589),
    [aux_sym_load_data_statement_token1] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym__quoted_identifier] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [1835] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9773),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1836] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7748),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1837] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9761),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1838] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6743),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1839] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(7714),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1840] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(8399),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1841] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6702),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1842] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9760),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1843] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9963),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1844] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9724),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1845] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(401),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1846] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(400),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1847] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5858),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1848] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(397),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1849] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(395),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1850] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(394),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1851] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(392),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1852] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(391),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1853] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(384),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1854] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(383),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1855] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9759),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1856] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10010),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1857] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6737),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1858] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(10011),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1859] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16260),
    [sym__keyword_case] = STATE(285),
    [sym__keyword_not] = STATE(1459),
    [sym__keyword_cast] = STATE(19314),
    [sym__keyword_date] = STATE(7367),
    [sym__keyword_datetime] = STATE(7367),
    [sym__keyword_time] = STATE(7367),
    [sym__keyword_timestamp] = STATE(7367),
    [sym_select_subexpression] = STATE(7890),
    [sym_function_call] = STATE(7890),
    [sym_unnest_operator] = STATE(5277),
    [sym_unnest_clause] = STATE(7890),
    [sym__literal] = STATE(7890),
    [sym_NULL] = STATE(7890),
    [sym_TRUE] = STATE(7890),
    [sym_FALSE] = STATE(7890),
    [sym__float] = STATE(7889),
    [sym_numeric] = STATE(7889),
    [sym__number] = STATE(7889),
    [sym_interval] = STATE(7890),
    [sym_range] = STATE(7890),
    [sym_time] = STATE(7890),
    [sym_number] = STATE(7890),
    [sym_json] = STATE(7890),
    [sym_query_parameter] = STATE(7890),
    [sym__type_chrono] = STATE(7236),
    [sym__type_struct] = STATE(19144),
    [sym__type_array] = STATE(18730),
    [sym_array] = STATE(7890),
    [sym_struct] = STATE(7890),
    [sym__identifier] = STATE(5390),
    [sym__dotted_identifier] = STATE(13409),
    [sym_identifier] = STATE(7455),
    [sym_string] = STATE(7890),
    [sym__expression] = STATE(5855),
    [sym__parenthesized_expression] = STATE(7890),
    [sym_element_access] = STATE(7890),
    [sym_field_access] = STATE(7890),
    [sym_unary_expression] = STATE(7890),
    [sym_binary_expression] = STATE(7890),
    [sym_between_operator] = STATE(7890),
    [sym_casewhen_expression] = STATE(7890),
    [sym_cast_expression] = STATE(7890),
    [sym_argument_reference] = STATE(7890),
    [aux_sym_identifier_repeat1] = STATE(13409),
    [sym__unquoted_identifier] = ACTIONS(2591),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2593),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2595),
    [aux_sym__keyword_case_token1] = ACTIONS(2597),
    [aux_sym__keyword_cast_token1] = ACTIONS(2599),
    [aux_sym__keyword_cast_token2] = ACTIONS(2599),
    [aux_sym__keyword_date_token1] = ACTIONS(2601),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2601),
    [aux_sym__keyword_time_token1] = ACTIONS(2601),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [aux_sym_drop_notnull_token1] = ACTIONS(2605),
    [aux_sym_function_call_token2] = ACTIONS(2607),
    [aux_sym_unnest_operator_token1] = ACTIONS(2609),
    [aux_sym_TRUE_token1] = ACTIONS(2611),
    [aux_sym_FALSE_token1] = ACTIONS(2613),
    [sym__integer] = ACTIONS(2615),
    [aux_sym__float_token1] = ACTIONS(2617),
    [aux_sym__float_token2] = ACTIONS(2615),
    [aux_sym__float_token3] = ACTIONS(2617),
    [aux_sym_numeric_token1] = ACTIONS(2619),
    [aux_sym_numeric_token2] = ACTIONS(2619),
    [aux_sym_numeric_token3] = ACTIONS(2619),
    [aux_sym_numeric_token4] = ACTIONS(2619),
    [aux_sym_interval_token1] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [aux_sym_json_token1] = ACTIONS(2625),
    [sym_system_variable] = ACTIONS(2627),
    [sym__named_query_parameter] = ACTIONS(2629),
    [sym__positional_query_parameter] = ACTIONS(2631),
    [sym__quoted_identifier] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_operator_compare] = ACTIONS(2639),
    [anon_sym_DOLLAR] = ACTIONS(2641),
    [sym__string_start] = ACTIONS(2643),
  },
  [1860] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9748),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1861] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2311),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1862] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9749),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1863] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9756),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1864] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6726),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1865] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9753),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1866] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9750),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1867] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9976),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1868] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2317),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1869] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2331),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1870] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16314),
    [sym__keyword_case] = STATE(240),
    [sym__keyword_not] = STATE(1000),
    [sym__keyword_cast] = STATE(19265),
    [sym__keyword_date] = STATE(4029),
    [sym__keyword_datetime] = STATE(4029),
    [sym__keyword_time] = STATE(4029),
    [sym__keyword_timestamp] = STATE(4029),
    [sym_select_subexpression] = STATE(4369),
    [sym_function_call] = STATE(4369),
    [sym_unnest_operator] = STATE(2453),
    [sym_unnest_clause] = STATE(4369),
    [sym__literal] = STATE(4369),
    [sym_NULL] = STATE(4369),
    [sym_TRUE] = STATE(4369),
    [sym_FALSE] = STATE(4369),
    [sym__float] = STATE(4370),
    [sym_numeric] = STATE(4370),
    [sym__number] = STATE(4370),
    [sym_interval] = STATE(4369),
    [sym_range] = STATE(4369),
    [sym_time] = STATE(4369),
    [sym_number] = STATE(4369),
    [sym_json] = STATE(4369),
    [sym_query_parameter] = STATE(4369),
    [sym__type_chrono] = STATE(3607),
    [sym__type_struct] = STATE(18875),
    [sym__type_array] = STATE(16420),
    [sym_array] = STATE(4369),
    [sym_struct] = STATE(4369),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4371),
    [sym_string] = STATE(4369),
    [sym__expression] = STATE(4171),
    [sym__parenthesized_expression] = STATE(4369),
    [sym_element_access] = STATE(4369),
    [sym_field_access] = STATE(4369),
    [sym_unary_expression] = STATE(4369),
    [sym_binary_expression] = STATE(4369),
    [sym_between_operator] = STATE(4369),
    [sym_casewhen_expression] = STATE(4369),
    [sym_cast_expression] = STATE(4369),
    [sym_argument_reference] = STATE(4369),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2431),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2433),
    [aux_sym__keyword_case_token1] = ACTIONS(2435),
    [aux_sym__keyword_cast_token1] = ACTIONS(2437),
    [aux_sym__keyword_cast_token2] = ACTIONS(2437),
    [aux_sym__keyword_date_token1] = ACTIONS(2439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2439),
    [aux_sym__keyword_time_token1] = ACTIONS(2439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [aux_sym_drop_notnull_token1] = ACTIONS(2443),
    [aux_sym_function_call_token2] = ACTIONS(2445),
    [aux_sym_unnest_operator_token1] = ACTIONS(2047),
    [aux_sym_TRUE_token1] = ACTIONS(2449),
    [aux_sym_FALSE_token1] = ACTIONS(2451),
    [sym__integer] = ACTIONS(2453),
    [aux_sym__float_token1] = ACTIONS(2455),
    [aux_sym__float_token2] = ACTIONS(2453),
    [aux_sym__float_token3] = ACTIONS(2455),
    [aux_sym_numeric_token1] = ACTIONS(2457),
    [aux_sym_numeric_token2] = ACTIONS(2457),
    [aux_sym_numeric_token3] = ACTIONS(2457),
    [aux_sym_numeric_token4] = ACTIONS(2457),
    [aux_sym_interval_token1] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [aux_sym_json_token1] = ACTIONS(2463),
    [sym_system_variable] = ACTIONS(2465),
    [sym__named_query_parameter] = ACTIONS(2467),
    [sym__positional_query_parameter] = ACTIONS(2469),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_operator_compare] = ACTIONS(2477),
    [anon_sym_DOLLAR] = ACTIONS(2479),
    [sym__string_start] = ACTIONS(2481),
  },
  [1871] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2294),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1872] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6700),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1873] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2330),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1874] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6729),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1875] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16195),
    [sym__keyword_case] = STATE(273),
    [sym__keyword_not] = STATE(1739),
    [sym__keyword_cast] = STATE(19292),
    [sym__keyword_date] = STATE(4435),
    [sym__keyword_datetime] = STATE(4435),
    [sym__keyword_time] = STATE(4435),
    [sym__keyword_timestamp] = STATE(4435),
    [sym_select_subexpression] = STATE(4857),
    [sym_function_call] = STATE(4857),
    [sym_unnest_operator] = STATE(2360),
    [sym_unnest_clause] = STATE(4857),
    [sym__literal] = STATE(4857),
    [sym_NULL] = STATE(4857),
    [sym_TRUE] = STATE(4857),
    [sym_FALSE] = STATE(4857),
    [sym__float] = STATE(4859),
    [sym_numeric] = STATE(4859),
    [sym__number] = STATE(4859),
    [sym_interval] = STATE(4857),
    [sym_range] = STATE(4857),
    [sym_time] = STATE(4857),
    [sym_number] = STATE(4857),
    [sym_json] = STATE(4857),
    [sym_query_parameter] = STATE(4857),
    [sym__type_chrono] = STATE(4218),
    [sym__type_struct] = STATE(19067),
    [sym__type_array] = STATE(18423),
    [sym_array] = STATE(4857),
    [sym_struct] = STATE(4857),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4860),
    [sym_string] = STATE(4857),
    [sym__expression] = STATE(3605),
    [sym__parenthesized_expression] = STATE(4857),
    [sym_element_access] = STATE(4857),
    [sym_field_access] = STATE(4857),
    [sym_unary_expression] = STATE(4857),
    [sym_binary_expression] = STATE(4857),
    [sym_between_operator] = STATE(4857),
    [sym_casewhen_expression] = STATE(4857),
    [sym_cast_expression] = STATE(4857),
    [sym_argument_reference] = STATE(4857),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2507),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2509),
    [aux_sym__keyword_case_token1] = ACTIONS(2511),
    [aux_sym__keyword_cast_token1] = ACTIONS(2513),
    [aux_sym__keyword_cast_token2] = ACTIONS(2513),
    [aux_sym__keyword_date_token1] = ACTIONS(2515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2515),
    [aux_sym__keyword_time_token1] = ACTIONS(2515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2517),
    [aux_sym_drop_notnull_token1] = ACTIONS(2519),
    [aux_sym_function_call_token2] = ACTIONS(2521),
    [aux_sym_unnest_operator_token1] = ACTIONS(2523),
    [aux_sym_TRUE_token1] = ACTIONS(2525),
    [aux_sym_FALSE_token1] = ACTIONS(2527),
    [sym__integer] = ACTIONS(2529),
    [aux_sym__float_token1] = ACTIONS(2531),
    [aux_sym__float_token2] = ACTIONS(2529),
    [aux_sym__float_token3] = ACTIONS(2531),
    [aux_sym_numeric_token1] = ACTIONS(2533),
    [aux_sym_numeric_token2] = ACTIONS(2533),
    [aux_sym_numeric_token3] = ACTIONS(2533),
    [aux_sym_numeric_token4] = ACTIONS(2533),
    [aux_sym_interval_token1] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [aux_sym_json_token1] = ACTIONS(2539),
    [sym_system_variable] = ACTIONS(2541),
    [sym__named_query_parameter] = ACTIONS(2543),
    [sym__positional_query_parameter] = ACTIONS(2545),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_operator_compare] = ACTIONS(2553),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [sym__string_start] = ACTIONS(2557),
  },
  [1876] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9984),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1877] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16261),
    [sym__keyword_case] = STATE(322),
    [sym__keyword_not] = STATE(1760),
    [sym__keyword_cast] = STATE(19296),
    [sym__keyword_date] = STATE(8611),
    [sym__keyword_datetime] = STATE(8611),
    [sym__keyword_time] = STATE(8611),
    [sym__keyword_timestamp] = STATE(8611),
    [sym_select_subexpression] = STATE(9907),
    [sym_function_call] = STATE(9907),
    [sym_unnest_operator] = STATE(5330),
    [sym_unnest_clause] = STATE(9907),
    [sym__literal] = STATE(9907),
    [sym_NULL] = STATE(9907),
    [sym_TRUE] = STATE(9907),
    [sym_FALSE] = STATE(9907),
    [sym__float] = STATE(9918),
    [sym_numeric] = STATE(9918),
    [sym__number] = STATE(9918),
    [sym_interval] = STATE(9907),
    [sym_range] = STATE(9907),
    [sym_time] = STATE(9907),
    [sym_number] = STATE(9907),
    [sym_json] = STATE(9907),
    [sym_query_parameter] = STATE(9907),
    [sym__type_chrono] = STATE(8321),
    [sym__type_struct] = STATE(19081),
    [sym__type_array] = STATE(18487),
    [sym_array] = STATE(9907),
    [sym_struct] = STATE(9907),
    [sym__identifier] = STATE(7774),
    [sym__dotted_identifier] = STATE(13557),
    [sym_identifier] = STATE(9703),
    [sym_string] = STATE(9907),
    [sym__expression] = STATE(6736),
    [sym__parenthesized_expression] = STATE(9907),
    [sym_element_access] = STATE(9907),
    [sym_field_access] = STATE(9907),
    [sym_unary_expression] = STATE(9907),
    [sym_binary_expression] = STATE(9907),
    [sym_between_operator] = STATE(9907),
    [sym_casewhen_expression] = STATE(9907),
    [sym_cast_expression] = STATE(9907),
    [sym_argument_reference] = STATE(9907),
    [aux_sym_identifier_repeat1] = STATE(13557),
    [sym__unquoted_identifier] = ACTIONS(217),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(219),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(223),
    [aux_sym__keyword_case_token1] = ACTIONS(225),
    [aux_sym__keyword_cast_token1] = ACTIONS(227),
    [aux_sym__keyword_cast_token2] = ACTIONS(227),
    [aux_sym__keyword_date_token1] = ACTIONS(229),
    [aux_sym__keyword_datetime_token1] = ACTIONS(229),
    [aux_sym__keyword_time_token1] = ACTIONS(229),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(231),
    [aux_sym_drop_notnull_token1] = ACTIONS(237),
    [aux_sym_function_call_token2] = ACTIONS(249),
    [aux_sym_unnest_operator_token1] = ACTIONS(251),
    [aux_sym_TRUE_token1] = ACTIONS(253),
    [aux_sym_FALSE_token1] = ACTIONS(255),
    [sym__integer] = ACTIONS(257),
    [aux_sym__float_token1] = ACTIONS(259),
    [aux_sym__float_token2] = ACTIONS(257),
    [aux_sym__float_token3] = ACTIONS(259),
    [aux_sym_numeric_token1] = ACTIONS(261),
    [aux_sym_numeric_token2] = ACTIONS(261),
    [aux_sym_numeric_token3] = ACTIONS(261),
    [aux_sym_numeric_token4] = ACTIONS(261),
    [aux_sym_interval_token1] = ACTIONS(263),
    [anon_sym_LBRACK] = ACTIONS(265),
    [aux_sym_json_token1] = ACTIONS(267),
    [sym_system_variable] = ACTIONS(269),
    [sym__named_query_parameter] = ACTIONS(271),
    [sym__positional_query_parameter] = ACTIONS(273),
    [sym__quoted_identifier] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_operator_compare] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [sym__string_start] = ACTIONS(285),
  },
  [1878] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(388),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1879] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16038),
    [sym__keyword_case] = STATE(246),
    [sym__keyword_not] = STATE(1276),
    [sym__keyword_cast] = STATE(19284),
    [sym__keyword_date] = STATE(9481),
    [sym__keyword_datetime] = STATE(9481),
    [sym__keyword_time] = STATE(9481),
    [sym__keyword_timestamp] = STATE(9481),
    [sym_select_subexpression] = STATE(10469),
    [sym_function_call] = STATE(10469),
    [sym_unnest_operator] = STATE(6365),
    [sym_unnest_clause] = STATE(10469),
    [sym__literal] = STATE(10469),
    [sym_NULL] = STATE(10469),
    [sym_TRUE] = STATE(10469),
    [sym_FALSE] = STATE(10469),
    [sym__float] = STATE(10468),
    [sym_numeric] = STATE(10468),
    [sym__number] = STATE(10468),
    [sym_interval] = STATE(10469),
    [sym_range] = STATE(10469),
    [sym_time] = STATE(10469),
    [sym_number] = STATE(10469),
    [sym_json] = STATE(10469),
    [sym_query_parameter] = STATE(10469),
    [sym__type_chrono] = STATE(8431),
    [sym__type_struct] = STATE(19036),
    [sym__type_array] = STATE(18294),
    [sym_array] = STATE(10469),
    [sym_struct] = STATE(10469),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9689),
    [sym_string] = STATE(10469),
    [sym__expression] = STATE(9752),
    [sym__parenthesized_expression] = STATE(10469),
    [sym_element_access] = STATE(10469),
    [sym_field_access] = STATE(10469),
    [sym_unary_expression] = STATE(10469),
    [sym_binary_expression] = STATE(10469),
    [sym_between_operator] = STATE(10469),
    [sym_casewhen_expression] = STATE(10469),
    [sym_cast_expression] = STATE(10469),
    [sym_argument_reference] = STATE(10469),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(2115),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(2117),
    [aux_sym__keyword_case_token1] = ACTIONS(2119),
    [aux_sym__keyword_cast_token1] = ACTIONS(2121),
    [aux_sym__keyword_cast_token2] = ACTIONS(2121),
    [aux_sym__keyword_date_token1] = ACTIONS(2123),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2123),
    [aux_sym__keyword_time_token1] = ACTIONS(2123),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2123),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [aux_sym_drop_notnull_token1] = ACTIONS(2127),
    [aux_sym_function_call_token2] = ACTIONS(2129),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(2133),
    [aux_sym_FALSE_token1] = ACTIONS(2135),
    [sym__integer] = ACTIONS(2137),
    [aux_sym__float_token1] = ACTIONS(2139),
    [aux_sym__float_token2] = ACTIONS(2137),
    [aux_sym__float_token3] = ACTIONS(2139),
    [aux_sym_numeric_token1] = ACTIONS(2141),
    [aux_sym_numeric_token2] = ACTIONS(2141),
    [aux_sym_numeric_token3] = ACTIONS(2141),
    [aux_sym_numeric_token4] = ACTIONS(2141),
    [aux_sym_interval_token1] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [aux_sym_json_token1] = ACTIONS(2147),
    [sym_system_variable] = ACTIONS(2149),
    [sym__named_query_parameter] = ACTIONS(2151),
    [sym__positional_query_parameter] = ACTIONS(2153),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2503),
    [anon_sym_DASH] = ACTIONS(2503),
    [anon_sym_operator_compare] = ACTIONS(2159),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [sym__string_start] = ACTIONS(2163),
  },
  [1880] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1878),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(199),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(390),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(167),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1881] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16061),
    [sym__keyword_case] = STATE(239),
    [sym__keyword_not] = STATE(1873),
    [sym__keyword_cast] = STATE(19280),
    [sym__keyword_date] = STATE(1278),
    [sym__keyword_datetime] = STATE(1278),
    [sym__keyword_time] = STATE(1278),
    [sym__keyword_timestamp] = STATE(1278),
    [sym_select_subexpression] = STATE(1889),
    [sym_function_call] = STATE(1889),
    [sym_unnest_operator] = STATE(148),
    [sym_unnest_clause] = STATE(1889),
    [sym__literal] = STATE(1889),
    [sym_NULL] = STATE(1889),
    [sym_TRUE] = STATE(1889),
    [sym_FALSE] = STATE(1889),
    [sym__float] = STATE(1890),
    [sym_numeric] = STATE(1890),
    [sym__number] = STATE(1890),
    [sym_interval] = STATE(1889),
    [sym_range] = STATE(1889),
    [sym_time] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_json] = STATE(1889),
    [sym_query_parameter] = STATE(1889),
    [sym__type_chrono] = STATE(780),
    [sym__type_struct] = STATE(19009),
    [sym__type_array] = STATE(18210),
    [sym_array] = STATE(1889),
    [sym_struct] = STATE(1889),
    [sym__identifier] = STATE(1233),
    [sym__dotted_identifier] = STATE(13520),
    [sym_identifier] = STATE(1891),
    [sym_string] = STATE(1889),
    [sym__expression] = STATE(2328),
    [sym__parenthesized_expression] = STATE(1889),
    [sym_element_access] = STATE(1889),
    [sym_field_access] = STATE(1889),
    [sym_unary_expression] = STATE(1889),
    [sym_binary_expression] = STATE(1889),
    [sym_between_operator] = STATE(1889),
    [sym_casewhen_expression] = STATE(1889),
    [sym_cast_expression] = STATE(1889),
    [sym_argument_reference] = STATE(1889),
    [aux_sym_identifier_repeat1] = STATE(13520),
    [sym__unquoted_identifier] = ACTIONS(149),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(151),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(153),
    [aux_sym__keyword_case_token1] = ACTIONS(155),
    [aux_sym__keyword_cast_token1] = ACTIONS(157),
    [aux_sym__keyword_cast_token2] = ACTIONS(157),
    [aux_sym__keyword_date_token1] = ACTIONS(159),
    [aux_sym__keyword_datetime_token1] = ACTIONS(159),
    [aux_sym__keyword_time_token1] = ACTIONS(159),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(161),
    [aux_sym_drop_notnull_token1] = ACTIONS(163),
    [aux_sym_function_call_token2] = ACTIONS(165),
    [aux_sym_unnest_operator_token1] = ACTIONS(1151),
    [aux_sym_TRUE_token1] = ACTIONS(169),
    [aux_sym_FALSE_token1] = ACTIONS(171),
    [sym__integer] = ACTIONS(173),
    [aux_sym__float_token1] = ACTIONS(175),
    [aux_sym__float_token2] = ACTIONS(173),
    [aux_sym__float_token3] = ACTIONS(175),
    [aux_sym_numeric_token1] = ACTIONS(177),
    [aux_sym_numeric_token2] = ACTIONS(177),
    [aux_sym_numeric_token3] = ACTIONS(177),
    [aux_sym_numeric_token4] = ACTIONS(177),
    [aux_sym_interval_token1] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [aux_sym_json_token1] = ACTIONS(183),
    [sym_system_variable] = ACTIONS(185),
    [sym__named_query_parameter] = ACTIONS(187),
    [sym__positional_query_parameter] = ACTIONS(189),
    [sym__quoted_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_operator_compare] = ACTIONS(197),
    [anon_sym_DOLLAR] = ACTIONS(199),
    [sym__string_start] = ACTIONS(201),
  },
  [1882] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9645),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1883] = {
    [sym__keyword_struct] = STATE(6778),
    [sym__keyword_range] = STATE(16102),
    [sym__keyword_case] = STATE(291),
    [sym__keyword_not] = STATE(951),
    [sym__keyword_cast] = STATE(19084),
    [sym__keyword_date] = STATE(6368),
    [sym__keyword_datetime] = STATE(6368),
    [sym__keyword_time] = STATE(6368),
    [sym__keyword_timestamp] = STATE(6368),
    [sym_select_subexpression] = STATE(7168),
    [sym_function_call] = STATE(7168),
    [sym_unnest_operator] = STATE(5320),
    [sym_unnest_clause] = STATE(7168),
    [sym__literal] = STATE(7168),
    [sym_NULL] = STATE(7168),
    [sym_TRUE] = STATE(7168),
    [sym_FALSE] = STATE(7168),
    [sym__float] = STATE(6685),
    [sym_numeric] = STATE(6685),
    [sym__number] = STATE(6685),
    [sym_interval] = STATE(7168),
    [sym_range] = STATE(7168),
    [sym_time] = STATE(7168),
    [sym_number] = STATE(7168),
    [sym_json] = STATE(7168),
    [sym_query_parameter] = STATE(7168),
    [sym__type_chrono] = STATE(6281),
    [sym__type_struct] = STATE(19077),
    [sym__type_array] = STATE(18945),
    [sym_array] = STATE(7168),
    [sym_struct] = STATE(7168),
    [sym__identifier] = STATE(4839),
    [sym__dotted_identifier] = STATE(13850),
    [sym_identifier] = STATE(9099),
    [sym_string] = STATE(7168),
    [sym__expression] = STATE(9966),
    [sym__parenthesized_expression] = STATE(7168),
    [sym_element_access] = STATE(7168),
    [sym_field_access] = STATE(7168),
    [sym_unary_expression] = STATE(7168),
    [sym_binary_expression] = STATE(7168),
    [sym_between_operator] = STATE(7168),
    [sym_casewhen_expression] = STATE(7168),
    [sym_cast_expression] = STATE(7168),
    [sym_argument_reference] = STATE(7168),
    [aux_sym_identifier_repeat1] = STATE(13850),
    [sym__unquoted_identifier] = ACTIONS(1249),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(75),
    [aux_sym_keyword_if_not_exists_token3] = ACTIONS(1251),
    [aux_sym__keyword_struct_token1] = ACTIONS(79),
    [aux_sym__keyword_range_token1] = ACTIONS(81),
    [aux_sym__keyword_array_token1] = ACTIONS(1253),
    [aux_sym__keyword_case_token1] = ACTIONS(521),
    [aux_sym__keyword_cast_token1] = ACTIONS(523),
    [aux_sym__keyword_cast_token2] = ACTIONS(523),
    [aux_sym__keyword_date_token1] = ACTIONS(525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(525),
    [aux_sym__keyword_time_token1] = ACTIONS(525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [aux_sym_drop_notnull_token1] = ACTIONS(533),
    [aux_sym_function_call_token2] = ACTIONS(541),
    [aux_sym_unnest_operator_token1] = ACTIONS(543),
    [aux_sym_TRUE_token1] = ACTIONS(545),
    [aux_sym_FALSE_token1] = ACTIONS(547),
    [sym__integer] = ACTIONS(549),
    [aux_sym__float_token1] = ACTIONS(551),
    [aux_sym__float_token2] = ACTIONS(549),
    [aux_sym__float_token3] = ACTIONS(551),
    [aux_sym_numeric_token1] = ACTIONS(553),
    [aux_sym_numeric_token2] = ACTIONS(553),
    [aux_sym_numeric_token3] = ACTIONS(553),
    [aux_sym_numeric_token4] = ACTIONS(553),
    [aux_sym_interval_token1] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(557),
    [aux_sym_json_token1] = ACTIONS(559),
    [sym_system_variable] = ACTIONS(561),
    [sym__named_query_parameter] = ACTIONS(563),
    [sym__positional_query_parameter] = ACTIONS(565),
    [sym__quoted_identifier] = ACTIONS(1257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_operator_compare] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(575),
    [sym__string_start] = ACTIONS(577),
  },
  [1884] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [1885] = {
    [ts_builtin_sym_end] = ACTIONS(1849),
    [sym__unquoted_identifier] = ACTIONS(1851),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1851),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1851),
    [aux_sym_keyword_replace_token1] = ACTIONS(1851),
    [aux_sym__keyword_alter_token1] = ACTIONS(1851),
    [aux_sym__keyword_create_token1] = ACTIONS(1851),
    [aux_sym__keyword_drop_token1] = ACTIONS(1851),
    [aux_sym__keyword_from_token1] = ACTIONS(1851),
    [aux_sym__keyword_delete_token1] = ACTIONS(1851),
    [aux_sym__keyword_begin_token1] = ACTIONS(1851),
    [aux_sym__keyword_end_token1] = ACTIONS(1851),
    [aux_sym__keyword_between_token1] = ACTIONS(1851),
    [aux_sym__keyword_when_token1] = ACTIONS(1851),
    [aux_sym__keyword_else_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1851),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1851),
    [aux_sym__keyword_like_token1] = ACTIONS(1851),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1851),
    [aux_sym__keyword_as_token1] = ACTIONS(1851),
    [aux_sym__keyword_window_token1] = ACTIONS(1851),
    [aux_sym__keyword_date_token1] = ACTIONS(1851),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1851),
    [aux_sym__keyword_time_token1] = ACTIONS(1851),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1851),
    [aux_sym__keyword_for_token1] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1851),
    [aux_sym_return_statement_token1] = ACTIONS(1851),
    [aux_sym_call_statement_token1] = ACTIONS(1851),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1851),
    [aux_sym_if_statement_token1] = ACTIONS(1851),
    [aux_sym_loop_statement_token1] = ACTIONS(1851),
    [aux_sym_repeat_statement_token1] = ACTIONS(1851),
    [aux_sym_while_statement_token1] = ACTIONS(1851),
    [aux_sym_break_statement_token1] = ACTIONS(1851),
    [aux_sym_leave_statement_token1] = ACTIONS(1851),
    [aux_sym_continue_statement_token1] = ACTIONS(1851),
    [aux_sym_iterate_statement_token1] = ACTIONS(1851),
    [aux_sym_raise_statement_token1] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1851),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_set_operation_token1] = ACTIONS(1851),
    [aux_sym_set_operation_token3] = ACTIONS(1851),
    [aux_sym_set_operation_token4] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1851),
    [aux_sym_having_clause_token1] = ACTIONS(1851),
    [aux_sym_qualify_clause_token1] = ACTIONS(1851),
    [aux_sym_limit_clause_token1] = ACTIONS(1851),
    [aux_sym_group_by_clause_token1] = ACTIONS(1851),
    [aux_sym_order_by_clause_token1] = ACTIONS(1851),
    [aux_sym_where_clause_token1] = ACTIONS(1851),
    [aux_sym_insert_statement_token1] = ACTIONS(1851),
    [aux_sym_truncate_statement_token1] = ACTIONS(1851),
    [aux_sym_update_statement_token1] = ACTIONS(1851),
    [aux_sym_merge_statement_token1] = ACTIONS(1851),
    [aux_sym_grant_statement_token1] = ACTIONS(1851),
    [aux_sym_revoke_statement_token1] = ACTIONS(1851),
    [aux_sym_export_data_statement_token1] = ACTIONS(1851),
    [aux_sym_load_data_statement_token1] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym__quoted_identifier] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [1886] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [sym__unquoted_identifier] = ACTIONS(1843),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1843),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1843),
    [aux_sym_keyword_replace_token1] = ACTIONS(1843),
    [aux_sym__keyword_alter_token1] = ACTIONS(1843),
    [aux_sym__keyword_create_token1] = ACTIONS(1843),
    [aux_sym__keyword_drop_token1] = ACTIONS(1843),
    [aux_sym__keyword_from_token1] = ACTIONS(1843),
    [aux_sym__keyword_delete_token1] = ACTIONS(1843),
    [aux_sym__keyword_begin_token1] = ACTIONS(1843),
    [aux_sym__keyword_end_token1] = ACTIONS(1843),
    [aux_sym__keyword_between_token1] = ACTIONS(1843),
    [aux_sym__keyword_when_token1] = ACTIONS(1843),
    [aux_sym__keyword_else_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1843),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1843),
    [aux_sym__keyword_like_token1] = ACTIONS(1843),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1843),
    [aux_sym__keyword_as_token1] = ACTIONS(1843),
    [aux_sym__keyword_window_token1] = ACTIONS(1843),
    [aux_sym__keyword_date_token1] = ACTIONS(1843),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1843),
    [aux_sym__keyword_time_token1] = ACTIONS(1843),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1843),
    [aux_sym__keyword_for_token1] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1843),
    [aux_sym_return_statement_token1] = ACTIONS(1843),
    [aux_sym_call_statement_token1] = ACTIONS(1843),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1843),
    [aux_sym_if_statement_token1] = ACTIONS(1843),
    [aux_sym_loop_statement_token1] = ACTIONS(1843),
    [aux_sym_repeat_statement_token1] = ACTIONS(1843),
    [aux_sym_while_statement_token1] = ACTIONS(1843),
    [aux_sym_break_statement_token1] = ACTIONS(1843),
    [aux_sym_leave_statement_token1] = ACTIONS(1843),
    [aux_sym_continue_statement_token1] = ACTIONS(1843),
    [aux_sym_iterate_statement_token1] = ACTIONS(1843),
    [aux_sym_raise_statement_token1] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1843),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_set_operation_token1] = ACTIONS(1843),
    [aux_sym_set_operation_token3] = ACTIONS(1843),
    [aux_sym_set_operation_token4] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1843),
    [aux_sym_having_clause_token1] = ACTIONS(1843),
    [aux_sym_qualify_clause_token1] = ACTIONS(1843),
    [aux_sym_limit_clause_token1] = ACTIONS(1843),
    [aux_sym_group_by_clause_token1] = ACTIONS(1843),
    [aux_sym_order_by_clause_token1] = ACTIONS(1843),
    [aux_sym_where_clause_token1] = ACTIONS(1843),
    [aux_sym_insert_statement_token1] = ACTIONS(1843),
    [aux_sym_truncate_statement_token1] = ACTIONS(1843),
    [aux_sym_update_statement_token1] = ACTIONS(1843),
    [aux_sym_merge_statement_token1] = ACTIONS(1843),
    [aux_sym_grant_statement_token1] = ACTIONS(1843),
    [aux_sym_revoke_statement_token1] = ACTIONS(1843),
    [aux_sym_export_data_statement_token1] = ACTIONS(1843),
    [aux_sym_load_data_statement_token1] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym__quoted_identifier] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [1887] = {
    [ts_builtin_sym_end] = ACTIONS(1837),
    [sym__unquoted_identifier] = ACTIONS(1839),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1839),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1839),
    [aux_sym_keyword_replace_token1] = ACTIONS(1839),
    [aux_sym__keyword_alter_token1] = ACTIONS(1839),
    [aux_sym__keyword_create_token1] = ACTIONS(1839),
    [aux_sym__keyword_drop_token1] = ACTIONS(1839),
    [aux_sym__keyword_from_token1] = ACTIONS(1839),
    [aux_sym__keyword_delete_token1] = ACTIONS(1839),
    [aux_sym__keyword_begin_token1] = ACTIONS(1839),
    [aux_sym__keyword_end_token1] = ACTIONS(1839),
    [aux_sym__keyword_between_token1] = ACTIONS(1839),
    [aux_sym__keyword_when_token1] = ACTIONS(1839),
    [aux_sym__keyword_else_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1839),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1839),
    [aux_sym__keyword_like_token1] = ACTIONS(1839),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1839),
    [aux_sym__keyword_as_token1] = ACTIONS(1839),
    [aux_sym__keyword_window_token1] = ACTIONS(1839),
    [aux_sym__keyword_date_token1] = ACTIONS(1839),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1839),
    [aux_sym__keyword_time_token1] = ACTIONS(1839),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1839),
    [aux_sym__keyword_for_token1] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1839),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1839),
    [aux_sym_return_statement_token1] = ACTIONS(1839),
    [aux_sym_call_statement_token1] = ACTIONS(1839),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1839),
    [aux_sym_if_statement_token1] = ACTIONS(1839),
    [aux_sym_loop_statement_token1] = ACTIONS(1839),
    [aux_sym_repeat_statement_token1] = ACTIONS(1839),
    [aux_sym_while_statement_token1] = ACTIONS(1839),
    [aux_sym_break_statement_token1] = ACTIONS(1839),
    [aux_sym_leave_statement_token1] = ACTIONS(1839),
    [aux_sym_continue_statement_token1] = ACTIONS(1839),
    [aux_sym_iterate_statement_token1] = ACTIONS(1839),
    [aux_sym_raise_statement_token1] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1839),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_set_operation_token1] = ACTIONS(1839),
    [aux_sym_set_operation_token3] = ACTIONS(1839),
    [aux_sym_set_operation_token4] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1839),
    [aux_sym_having_clause_token1] = ACTIONS(1839),
    [aux_sym_qualify_clause_token1] = ACTIONS(1839),
    [aux_sym_limit_clause_token1] = ACTIONS(1839),
    [aux_sym_group_by_clause_token1] = ACTIONS(1839),
    [aux_sym_order_by_clause_token1] = ACTIONS(1839),
    [aux_sym_where_clause_token1] = ACTIONS(1839),
    [aux_sym_insert_statement_token1] = ACTIONS(1839),
    [aux_sym_truncate_statement_token1] = ACTIONS(1839),
    [aux_sym_update_statement_token1] = ACTIONS(1839),
    [aux_sym_merge_statement_token1] = ACTIONS(1839),
    [aux_sym_grant_statement_token1] = ACTIONS(1839),
    [aux_sym_revoke_statement_token1] = ACTIONS(1839),
    [aux_sym_export_data_statement_token1] = ACTIONS(1839),
    [aux_sym_load_data_statement_token1] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym__quoted_identifier] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [1888] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [sym__unquoted_identifier] = ACTIONS(1835),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1835),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1835),
    [aux_sym_keyword_replace_token1] = ACTIONS(1835),
    [aux_sym__keyword_alter_token1] = ACTIONS(1835),
    [aux_sym__keyword_create_token1] = ACTIONS(1835),
    [aux_sym__keyword_drop_token1] = ACTIONS(1835),
    [aux_sym__keyword_from_token1] = ACTIONS(1835),
    [aux_sym__keyword_delete_token1] = ACTIONS(1835),
    [aux_sym__keyword_begin_token1] = ACTIONS(1835),
    [aux_sym__keyword_end_token1] = ACTIONS(1835),
    [aux_sym__keyword_between_token1] = ACTIONS(1835),
    [aux_sym__keyword_when_token1] = ACTIONS(1835),
    [aux_sym__keyword_else_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1835),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1835),
    [aux_sym__keyword_like_token1] = ACTIONS(1835),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1835),
    [aux_sym__keyword_as_token1] = ACTIONS(1835),
    [aux_sym__keyword_window_token1] = ACTIONS(1835),
    [aux_sym__keyword_date_token1] = ACTIONS(1835),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1835),
    [aux_sym__keyword_time_token1] = ACTIONS(1835),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1835),
    [aux_sym__keyword_for_token1] = ACTIONS(1835),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1835),
    [aux_sym_return_statement_token1] = ACTIONS(1835),
    [aux_sym_call_statement_token1] = ACTIONS(1835),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1835),
    [aux_sym_if_statement_token1] = ACTIONS(1835),
    [aux_sym_loop_statement_token1] = ACTIONS(1835),
    [aux_sym_repeat_statement_token1] = ACTIONS(1835),
    [aux_sym_while_statement_token1] = ACTIONS(1835),
    [aux_sym_break_statement_token1] = ACTIONS(1835),
    [aux_sym_leave_statement_token1] = ACTIONS(1835),
    [aux_sym_continue_statement_token1] = ACTIONS(1835),
    [aux_sym_iterate_statement_token1] = ACTIONS(1835),
    [aux_sym_raise_statement_token1] = ACTIONS(1835),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1835),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_set_operation_token1] = ACTIONS(1835),
    [aux_sym_set_operation_token3] = ACTIONS(1835),
    [aux_sym_set_operation_token4] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1835),
    [aux_sym_having_clause_token1] = ACTIONS(1835),
    [aux_sym_qualify_clause_token1] = ACTIONS(1835),
    [aux_sym_limit_clause_token1] = ACTIONS(1835),
    [aux_sym_group_by_clause_token1] = ACTIONS(1835),
    [aux_sym_order_by_clause_token1] = ACTIONS(1835),
    [aux_sym_where_clause_token1] = ACTIONS(1835),
    [aux_sym_insert_statement_token1] = ACTIONS(1835),
    [aux_sym_truncate_statement_token1] = ACTIONS(1835),
    [aux_sym_update_statement_token1] = ACTIONS(1835),
    [aux_sym_merge_statement_token1] = ACTIONS(1835),
    [aux_sym_grant_statement_token1] = ACTIONS(1835),
    [aux_sym_revoke_statement_token1] = ACTIONS(1835),
    [aux_sym_export_data_statement_token1] = ACTIONS(1835),
    [aux_sym_load_data_statement_token1] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym__quoted_identifier] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [1889] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [sym__unquoted_identifier] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1801),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1801),
    [aux_sym__keyword_create_token1] = ACTIONS(1801),
    [aux_sym__keyword_drop_token1] = ACTIONS(1801),
    [aux_sym__keyword_from_token1] = ACTIONS(1801),
    [aux_sym__keyword_delete_token1] = ACTIONS(1801),
    [aux_sym__keyword_begin_token1] = ACTIONS(1801),
    [aux_sym__keyword_end_token1] = ACTIONS(1801),
    [aux_sym__keyword_between_token1] = ACTIONS(1801),
    [aux_sym__keyword_when_token1] = ACTIONS(1801),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1801),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1801),
    [aux_sym__keyword_like_token1] = ACTIONS(1801),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1801),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_window_token1] = ACTIONS(1801),
    [aux_sym__keyword_date_token1] = ACTIONS(1801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1801),
    [aux_sym__keyword_time_token1] = ACTIONS(1801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1801),
    [aux_sym_return_statement_token1] = ACTIONS(1801),
    [aux_sym_call_statement_token1] = ACTIONS(1801),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1801),
    [aux_sym_if_statement_token1] = ACTIONS(1801),
    [aux_sym_loop_statement_token1] = ACTIONS(1801),
    [aux_sym_repeat_statement_token1] = ACTIONS(1801),
    [aux_sym_while_statement_token1] = ACTIONS(1801),
    [aux_sym_break_statement_token1] = ACTIONS(1801),
    [aux_sym_leave_statement_token1] = ACTIONS(1801),
    [aux_sym_continue_statement_token1] = ACTIONS(1801),
    [aux_sym_iterate_statement_token1] = ACTIONS(1801),
    [aux_sym_raise_statement_token1] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1801),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1801),
    [aux_sym_set_operation_token3] = ACTIONS(1801),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1801),
    [aux_sym_having_clause_token1] = ACTIONS(1801),
    [aux_sym_qualify_clause_token1] = ACTIONS(1801),
    [aux_sym_limit_clause_token1] = ACTIONS(1801),
    [aux_sym_group_by_clause_token1] = ACTIONS(1801),
    [aux_sym_order_by_clause_token1] = ACTIONS(1801),
    [aux_sym_where_clause_token1] = ACTIONS(1801),
    [aux_sym_insert_statement_token1] = ACTIONS(1801),
    [aux_sym_truncate_statement_token1] = ACTIONS(1801),
    [aux_sym_update_statement_token1] = ACTIONS(1801),
    [aux_sym_merge_statement_token1] = ACTIONS(1801),
    [aux_sym_grant_statement_token1] = ACTIONS(1801),
    [aux_sym_revoke_statement_token1] = ACTIONS(1801),
    [aux_sym_export_data_statement_token1] = ACTIONS(1801),
    [aux_sym_load_data_statement_token1] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym__quoted_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [1890] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [sym__unquoted_identifier] = ACTIONS(1811),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1811),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1811),
    [aux_sym_keyword_replace_token1] = ACTIONS(1811),
    [aux_sym__keyword_alter_token1] = ACTIONS(1811),
    [aux_sym__keyword_create_token1] = ACTIONS(1811),
    [aux_sym__keyword_drop_token1] = ACTIONS(1811),
    [aux_sym__keyword_from_token1] = ACTIONS(1811),
    [aux_sym__keyword_delete_token1] = ACTIONS(1811),
    [aux_sym__keyword_begin_token1] = ACTIONS(1811),
    [aux_sym__keyword_end_token1] = ACTIONS(1811),
    [aux_sym__keyword_between_token1] = ACTIONS(1811),
    [aux_sym__keyword_when_token1] = ACTIONS(1811),
    [aux_sym__keyword_else_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1811),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1811),
    [aux_sym__keyword_like_token1] = ACTIONS(1811),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1811),
    [aux_sym__keyword_as_token1] = ACTIONS(1811),
    [aux_sym__keyword_window_token1] = ACTIONS(1811),
    [aux_sym__keyword_date_token1] = ACTIONS(1811),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1811),
    [aux_sym__keyword_time_token1] = ACTIONS(1811),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1811),
    [aux_sym__keyword_for_token1] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1811),
    [aux_sym_return_statement_token1] = ACTIONS(1811),
    [aux_sym_call_statement_token1] = ACTIONS(1811),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1811),
    [aux_sym_if_statement_token1] = ACTIONS(1811),
    [aux_sym_loop_statement_token1] = ACTIONS(1811),
    [aux_sym_repeat_statement_token1] = ACTIONS(1811),
    [aux_sym_while_statement_token1] = ACTIONS(1811),
    [aux_sym_break_statement_token1] = ACTIONS(1811),
    [aux_sym_leave_statement_token1] = ACTIONS(1811),
    [aux_sym_continue_statement_token1] = ACTIONS(1811),
    [aux_sym_iterate_statement_token1] = ACTIONS(1811),
    [aux_sym_raise_statement_token1] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1811),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1811),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_set_operation_token1] = ACTIONS(1811),
    [aux_sym_set_operation_token3] = ACTIONS(1811),
    [aux_sym_set_operation_token4] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1811),
    [aux_sym_having_clause_token1] = ACTIONS(1811),
    [aux_sym_qualify_clause_token1] = ACTIONS(1811),
    [aux_sym_limit_clause_token1] = ACTIONS(1811),
    [aux_sym_group_by_clause_token1] = ACTIONS(1811),
    [aux_sym_order_by_clause_token1] = ACTIONS(1811),
    [aux_sym_where_clause_token1] = ACTIONS(1811),
    [aux_sym_insert_statement_token1] = ACTIONS(1811),
    [aux_sym_truncate_statement_token1] = ACTIONS(1811),
    [aux_sym_update_statement_token1] = ACTIONS(1811),
    [aux_sym_merge_statement_token1] = ACTIONS(1811),
    [aux_sym_grant_statement_token1] = ACTIONS(1811),
    [aux_sym_revoke_statement_token1] = ACTIONS(1811),
    [aux_sym_export_data_statement_token1] = ACTIONS(1811),
    [aux_sym_load_data_statement_token1] = ACTIONS(1811),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym__quoted_identifier] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [1891] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [sym__unquoted_identifier] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1801),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1801),
    [aux_sym__keyword_create_token1] = ACTIONS(1801),
    [aux_sym__keyword_drop_token1] = ACTIONS(1801),
    [aux_sym__keyword_from_token1] = ACTIONS(1801),
    [aux_sym__keyword_delete_token1] = ACTIONS(1801),
    [aux_sym__keyword_begin_token1] = ACTIONS(1801),
    [aux_sym__keyword_end_token1] = ACTIONS(1801),
    [aux_sym__keyword_between_token1] = ACTIONS(1801),
    [aux_sym__keyword_when_token1] = ACTIONS(1801),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1801),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1801),
    [aux_sym__keyword_like_token1] = ACTIONS(1801),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1801),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_window_token1] = ACTIONS(1801),
    [aux_sym__keyword_date_token1] = ACTIONS(1801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1801),
    [aux_sym__keyword_time_token1] = ACTIONS(1801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1801),
    [aux_sym_return_statement_token1] = ACTIONS(1801),
    [aux_sym_call_statement_token1] = ACTIONS(1801),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1801),
    [aux_sym_if_statement_token1] = ACTIONS(1801),
    [aux_sym_loop_statement_token1] = ACTIONS(1801),
    [aux_sym_repeat_statement_token1] = ACTIONS(1801),
    [aux_sym_while_statement_token1] = ACTIONS(1801),
    [aux_sym_break_statement_token1] = ACTIONS(1801),
    [aux_sym_leave_statement_token1] = ACTIONS(1801),
    [aux_sym_continue_statement_token1] = ACTIONS(1801),
    [aux_sym_iterate_statement_token1] = ACTIONS(1801),
    [aux_sym_raise_statement_token1] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1801),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1801),
    [aux_sym_set_operation_token3] = ACTIONS(1801),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1801),
    [aux_sym_having_clause_token1] = ACTIONS(1801),
    [aux_sym_qualify_clause_token1] = ACTIONS(1801),
    [aux_sym_limit_clause_token1] = ACTIONS(1801),
    [aux_sym_group_by_clause_token1] = ACTIONS(1801),
    [aux_sym_order_by_clause_token1] = ACTIONS(1801),
    [aux_sym_where_clause_token1] = ACTIONS(1801),
    [aux_sym_insert_statement_token1] = ACTIONS(1801),
    [aux_sym_truncate_statement_token1] = ACTIONS(1801),
    [aux_sym_update_statement_token1] = ACTIONS(1801),
    [aux_sym_merge_statement_token1] = ACTIONS(1801),
    [aux_sym_grant_statement_token1] = ACTIONS(1801),
    [aux_sym_revoke_statement_token1] = ACTIONS(1801),
    [aux_sym_export_data_statement_token1] = ACTIONS(1801),
    [aux_sym_load_data_statement_token1] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym__quoted_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [1892] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [sym__unquoted_identifier] = ACTIONS(1699),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1699),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1699),
    [aux_sym_keyword_replace_token1] = ACTIONS(1699),
    [aux_sym__keyword_alter_token1] = ACTIONS(1699),
    [aux_sym__keyword_create_token1] = ACTIONS(1699),
    [aux_sym__keyword_drop_token1] = ACTIONS(1699),
    [aux_sym__keyword_from_token1] = ACTIONS(1699),
    [aux_sym__keyword_delete_token1] = ACTIONS(1699),
    [aux_sym__keyword_begin_token1] = ACTIONS(1699),
    [aux_sym__keyword_end_token1] = ACTIONS(1699),
    [aux_sym__keyword_between_token1] = ACTIONS(1699),
    [aux_sym__keyword_when_token1] = ACTIONS(1699),
    [aux_sym__keyword_else_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1699),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1699),
    [aux_sym__keyword_like_token1] = ACTIONS(1699),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1699),
    [aux_sym__keyword_as_token1] = ACTIONS(1699),
    [aux_sym__keyword_window_token1] = ACTIONS(1699),
    [aux_sym__keyword_date_token1] = ACTIONS(1699),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1699),
    [aux_sym__keyword_time_token1] = ACTIONS(1699),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1699),
    [aux_sym__keyword_for_token1] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1699),
    [aux_sym_return_statement_token1] = ACTIONS(1699),
    [aux_sym_call_statement_token1] = ACTIONS(1699),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1699),
    [aux_sym_if_statement_token1] = ACTIONS(1699),
    [aux_sym_loop_statement_token1] = ACTIONS(1699),
    [aux_sym_repeat_statement_token1] = ACTIONS(1699),
    [aux_sym_while_statement_token1] = ACTIONS(1699),
    [aux_sym_break_statement_token1] = ACTIONS(1699),
    [aux_sym_leave_statement_token1] = ACTIONS(1699),
    [aux_sym_continue_statement_token1] = ACTIONS(1699),
    [aux_sym_iterate_statement_token1] = ACTIONS(1699),
    [aux_sym_raise_statement_token1] = ACTIONS(1699),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1699),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_set_operation_token1] = ACTIONS(1699),
    [aux_sym_set_operation_token3] = ACTIONS(1699),
    [aux_sym_set_operation_token4] = ACTIONS(1699),
    [aux_sym_select_token1] = ACTIONS(1699),
    [aux_sym_having_clause_token1] = ACTIONS(1699),
    [aux_sym_qualify_clause_token1] = ACTIONS(1699),
    [aux_sym_limit_clause_token1] = ACTIONS(1699),
    [aux_sym_group_by_clause_token1] = ACTIONS(1699),
    [aux_sym_order_by_clause_token1] = ACTIONS(1699),
    [aux_sym_where_clause_token1] = ACTIONS(1699),
    [aux_sym_insert_statement_token1] = ACTIONS(1699),
    [aux_sym_truncate_statement_token1] = ACTIONS(1699),
    [aux_sym_update_statement_token1] = ACTIONS(1699),
    [aux_sym_merge_statement_token1] = ACTIONS(1699),
    [aux_sym_grant_statement_token1] = ACTIONS(1699),
    [aux_sym_revoke_statement_token1] = ACTIONS(1699),
    [aux_sym_export_data_statement_token1] = ACTIONS(1699),
    [aux_sym_load_data_statement_token1] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym__quoted_identifier] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [1893] = {
    [ts_builtin_sym_end] = ACTIONS(1597),
    [sym__unquoted_identifier] = ACTIONS(1599),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1599),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1599),
    [aux_sym_keyword_replace_token1] = ACTIONS(1599),
    [aux_sym__keyword_alter_token1] = ACTIONS(1599),
    [aux_sym__keyword_create_token1] = ACTIONS(1599),
    [aux_sym__keyword_drop_token1] = ACTIONS(1599),
    [aux_sym__keyword_from_token1] = ACTIONS(1599),
    [aux_sym__keyword_delete_token1] = ACTIONS(1599),
    [aux_sym__keyword_begin_token1] = ACTIONS(1599),
    [aux_sym__keyword_end_token1] = ACTIONS(1599),
    [aux_sym__keyword_between_token1] = ACTIONS(1599),
    [aux_sym__keyword_when_token1] = ACTIONS(1599),
    [aux_sym__keyword_else_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1599),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1599),
    [aux_sym__keyword_like_token1] = ACTIONS(1599),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1599),
    [aux_sym__keyword_as_token1] = ACTIONS(1599),
    [aux_sym__keyword_window_token1] = ACTIONS(1599),
    [aux_sym__keyword_date_token1] = ACTIONS(1599),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1599),
    [aux_sym__keyword_time_token1] = ACTIONS(1599),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1599),
    [aux_sym__keyword_for_token1] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1599),
    [anon_sym_COMMA] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1599),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1599),
    [aux_sym_return_statement_token1] = ACTIONS(1599),
    [aux_sym_call_statement_token1] = ACTIONS(1599),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1599),
    [aux_sym_if_statement_token1] = ACTIONS(1599),
    [aux_sym_loop_statement_token1] = ACTIONS(1599),
    [aux_sym_repeat_statement_token1] = ACTIONS(1599),
    [aux_sym_while_statement_token1] = ACTIONS(1599),
    [aux_sym_break_statement_token1] = ACTIONS(1599),
    [aux_sym_leave_statement_token1] = ACTIONS(1599),
    [aux_sym_continue_statement_token1] = ACTIONS(1599),
    [aux_sym_iterate_statement_token1] = ACTIONS(1599),
    [aux_sym_raise_statement_token1] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1599),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1599),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_set_operation_token1] = ACTIONS(1599),
    [aux_sym_set_operation_token3] = ACTIONS(1599),
    [aux_sym_set_operation_token4] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1599),
    [aux_sym_having_clause_token1] = ACTIONS(1599),
    [aux_sym_qualify_clause_token1] = ACTIONS(1599),
    [aux_sym_limit_clause_token1] = ACTIONS(1599),
    [aux_sym_group_by_clause_token1] = ACTIONS(1599),
    [aux_sym_order_by_clause_token1] = ACTIONS(1599),
    [aux_sym_where_clause_token1] = ACTIONS(1599),
    [aux_sym_insert_statement_token1] = ACTIONS(1599),
    [aux_sym_truncate_statement_token1] = ACTIONS(1599),
    [aux_sym_update_statement_token1] = ACTIONS(1599),
    [aux_sym_merge_statement_token1] = ACTIONS(1599),
    [aux_sym_grant_statement_token1] = ACTIONS(1599),
    [aux_sym_revoke_statement_token1] = ACTIONS(1599),
    [aux_sym_export_data_statement_token1] = ACTIONS(1599),
    [aux_sym_load_data_statement_token1] = ACTIONS(1599),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym__quoted_identifier] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [1894] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [sym__unquoted_identifier] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1757),
    [aux_sym_keyword_replace_token1] = ACTIONS(1757),
    [aux_sym__keyword_alter_token1] = ACTIONS(1757),
    [aux_sym__keyword_create_token1] = ACTIONS(1757),
    [aux_sym__keyword_drop_token1] = ACTIONS(1757),
    [aux_sym__keyword_from_token1] = ACTIONS(1757),
    [aux_sym__keyword_delete_token1] = ACTIONS(1757),
    [aux_sym__keyword_begin_token1] = ACTIONS(1757),
    [aux_sym__keyword_end_token1] = ACTIONS(1757),
    [aux_sym__keyword_between_token1] = ACTIONS(1757),
    [aux_sym__keyword_when_token1] = ACTIONS(1757),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1757),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1757),
    [aux_sym__keyword_like_token1] = ACTIONS(1757),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1757),
    [aux_sym__keyword_as_token1] = ACTIONS(1757),
    [aux_sym__keyword_window_token1] = ACTIONS(1757),
    [aux_sym__keyword_date_token1] = ACTIONS(1757),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1757),
    [aux_sym__keyword_time_token1] = ACTIONS(1757),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1757),
    [aux_sym__keyword_for_token1] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1757),
    [aux_sym_return_statement_token1] = ACTIONS(1757),
    [aux_sym_call_statement_token1] = ACTIONS(1757),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1757),
    [aux_sym_if_statement_token1] = ACTIONS(1757),
    [aux_sym_loop_statement_token1] = ACTIONS(1757),
    [aux_sym_repeat_statement_token1] = ACTIONS(1757),
    [aux_sym_while_statement_token1] = ACTIONS(1757),
    [aux_sym_break_statement_token1] = ACTIONS(1757),
    [aux_sym_leave_statement_token1] = ACTIONS(1757),
    [aux_sym_continue_statement_token1] = ACTIONS(1757),
    [aux_sym_iterate_statement_token1] = ACTIONS(1757),
    [aux_sym_raise_statement_token1] = ACTIONS(1757),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1757),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1757),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_set_operation_token1] = ACTIONS(1757),
    [aux_sym_set_operation_token3] = ACTIONS(1757),
    [aux_sym_set_operation_token4] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1757),
    [aux_sym_having_clause_token1] = ACTIONS(1757),
    [aux_sym_qualify_clause_token1] = ACTIONS(1757),
    [aux_sym_limit_clause_token1] = ACTIONS(1757),
    [aux_sym_group_by_clause_token1] = ACTIONS(1757),
    [aux_sym_order_by_clause_token1] = ACTIONS(1757),
    [aux_sym_where_clause_token1] = ACTIONS(1757),
    [aux_sym_insert_statement_token1] = ACTIONS(1757),
    [aux_sym_truncate_statement_token1] = ACTIONS(1757),
    [aux_sym_update_statement_token1] = ACTIONS(1757),
    [aux_sym_merge_statement_token1] = ACTIONS(1757),
    [aux_sym_grant_statement_token1] = ACTIONS(1757),
    [aux_sym_revoke_statement_token1] = ACTIONS(1757),
    [aux_sym_export_data_statement_token1] = ACTIONS(1757),
    [aux_sym_load_data_statement_token1] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym__quoted_identifier] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [1895] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [sym__unquoted_identifier] = ACTIONS(1603),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1603),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1603),
    [aux_sym_keyword_replace_token1] = ACTIONS(1603),
    [aux_sym__keyword_alter_token1] = ACTIONS(1603),
    [aux_sym__keyword_create_token1] = ACTIONS(1603),
    [aux_sym__keyword_drop_token1] = ACTIONS(1603),
    [aux_sym__keyword_from_token1] = ACTIONS(1603),
    [aux_sym__keyword_delete_token1] = ACTIONS(1603),
    [aux_sym__keyword_begin_token1] = ACTIONS(1603),
    [aux_sym__keyword_end_token1] = ACTIONS(1603),
    [aux_sym__keyword_between_token1] = ACTIONS(1603),
    [aux_sym__keyword_when_token1] = ACTIONS(1603),
    [aux_sym__keyword_else_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1603),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1603),
    [aux_sym__keyword_like_token1] = ACTIONS(1603),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1603),
    [aux_sym__keyword_as_token1] = ACTIONS(1603),
    [aux_sym__keyword_window_token1] = ACTIONS(1603),
    [aux_sym__keyword_date_token1] = ACTIONS(1603),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1603),
    [aux_sym__keyword_time_token1] = ACTIONS(1603),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1603),
    [aux_sym__keyword_for_token1] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1603),
    [aux_sym_return_statement_token1] = ACTIONS(1603),
    [aux_sym_call_statement_token1] = ACTIONS(1603),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1603),
    [aux_sym_if_statement_token1] = ACTIONS(1603),
    [aux_sym_loop_statement_token1] = ACTIONS(1603),
    [aux_sym_repeat_statement_token1] = ACTIONS(1603),
    [aux_sym_while_statement_token1] = ACTIONS(1603),
    [aux_sym_break_statement_token1] = ACTIONS(1603),
    [aux_sym_leave_statement_token1] = ACTIONS(1603),
    [aux_sym_continue_statement_token1] = ACTIONS(1603),
    [aux_sym_iterate_statement_token1] = ACTIONS(1603),
    [aux_sym_raise_statement_token1] = ACTIONS(1603),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1603),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_set_operation_token1] = ACTIONS(1603),
    [aux_sym_set_operation_token3] = ACTIONS(1603),
    [aux_sym_set_operation_token4] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1603),
    [aux_sym_having_clause_token1] = ACTIONS(1603),
    [aux_sym_qualify_clause_token1] = ACTIONS(1603),
    [aux_sym_limit_clause_token1] = ACTIONS(1603),
    [aux_sym_group_by_clause_token1] = ACTIONS(1603),
    [aux_sym_order_by_clause_token1] = ACTIONS(1603),
    [aux_sym_where_clause_token1] = ACTIONS(1603),
    [aux_sym_insert_statement_token1] = ACTIONS(1603),
    [aux_sym_truncate_statement_token1] = ACTIONS(1603),
    [aux_sym_update_statement_token1] = ACTIONS(1603),
    [aux_sym_merge_statement_token1] = ACTIONS(1603),
    [aux_sym_grant_statement_token1] = ACTIONS(1603),
    [aux_sym_revoke_statement_token1] = ACTIONS(1603),
    [aux_sym_export_data_statement_token1] = ACTIONS(1603),
    [aux_sym_load_data_statement_token1] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym__quoted_identifier] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [1896] = {
    [ts_builtin_sym_end] = ACTIONS(1605),
    [sym__unquoted_identifier] = ACTIONS(1607),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1607),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1607),
    [aux_sym_keyword_replace_token1] = ACTIONS(1607),
    [aux_sym__keyword_alter_token1] = ACTIONS(1607),
    [aux_sym__keyword_create_token1] = ACTIONS(1607),
    [aux_sym__keyword_drop_token1] = ACTIONS(1607),
    [aux_sym__keyword_from_token1] = ACTIONS(1607),
    [aux_sym__keyword_delete_token1] = ACTIONS(1607),
    [aux_sym__keyword_begin_token1] = ACTIONS(1607),
    [aux_sym__keyword_end_token1] = ACTIONS(1607),
    [aux_sym__keyword_between_token1] = ACTIONS(1607),
    [aux_sym__keyword_when_token1] = ACTIONS(1607),
    [aux_sym__keyword_else_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1607),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1607),
    [aux_sym__keyword_like_token1] = ACTIONS(1607),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1607),
    [aux_sym__keyword_as_token1] = ACTIONS(1607),
    [aux_sym__keyword_window_token1] = ACTIONS(1607),
    [aux_sym__keyword_date_token1] = ACTIONS(1607),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1607),
    [aux_sym__keyword_time_token1] = ACTIONS(1607),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1607),
    [aux_sym__keyword_for_token1] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1607),
    [aux_sym_return_statement_token1] = ACTIONS(1607),
    [aux_sym_call_statement_token1] = ACTIONS(1607),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1607),
    [aux_sym_if_statement_token1] = ACTIONS(1607),
    [aux_sym_loop_statement_token1] = ACTIONS(1607),
    [aux_sym_repeat_statement_token1] = ACTIONS(1607),
    [aux_sym_while_statement_token1] = ACTIONS(1607),
    [aux_sym_break_statement_token1] = ACTIONS(1607),
    [aux_sym_leave_statement_token1] = ACTIONS(1607),
    [aux_sym_continue_statement_token1] = ACTIONS(1607),
    [aux_sym_iterate_statement_token1] = ACTIONS(1607),
    [aux_sym_raise_statement_token1] = ACTIONS(1607),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1607),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_set_operation_token1] = ACTIONS(1607),
    [aux_sym_set_operation_token3] = ACTIONS(1607),
    [aux_sym_set_operation_token4] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1607),
    [aux_sym_having_clause_token1] = ACTIONS(1607),
    [aux_sym_qualify_clause_token1] = ACTIONS(1607),
    [aux_sym_limit_clause_token1] = ACTIONS(1607),
    [aux_sym_group_by_clause_token1] = ACTIONS(1607),
    [aux_sym_order_by_clause_token1] = ACTIONS(1607),
    [aux_sym_where_clause_token1] = ACTIONS(1607),
    [aux_sym_insert_statement_token1] = ACTIONS(1607),
    [aux_sym_truncate_statement_token1] = ACTIONS(1607),
    [aux_sym_update_statement_token1] = ACTIONS(1607),
    [aux_sym_merge_statement_token1] = ACTIONS(1607),
    [aux_sym_grant_statement_token1] = ACTIONS(1607),
    [aux_sym_revoke_statement_token1] = ACTIONS(1607),
    [aux_sym_export_data_statement_token1] = ACTIONS(1607),
    [aux_sym_load_data_statement_token1] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym__quoted_identifier] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [1897] = {
    [ts_builtin_sym_end] = ACTIONS(1609),
    [sym__unquoted_identifier] = ACTIONS(1611),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1611),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1611),
    [aux_sym_keyword_replace_token1] = ACTIONS(1611),
    [aux_sym__keyword_alter_token1] = ACTIONS(1611),
    [aux_sym__keyword_create_token1] = ACTIONS(1611),
    [aux_sym__keyword_drop_token1] = ACTIONS(1611),
    [aux_sym__keyword_from_token1] = ACTIONS(1611),
    [aux_sym__keyword_delete_token1] = ACTIONS(1611),
    [aux_sym__keyword_begin_token1] = ACTIONS(1611),
    [aux_sym__keyword_end_token1] = ACTIONS(1611),
    [aux_sym__keyword_between_token1] = ACTIONS(1611),
    [aux_sym__keyword_when_token1] = ACTIONS(1611),
    [aux_sym__keyword_else_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1611),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1611),
    [aux_sym__keyword_like_token1] = ACTIONS(1611),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1611),
    [aux_sym__keyword_as_token1] = ACTIONS(1611),
    [aux_sym__keyword_window_token1] = ACTIONS(1611),
    [aux_sym__keyword_date_token1] = ACTIONS(1611),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1611),
    [aux_sym__keyword_time_token1] = ACTIONS(1611),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1611),
    [aux_sym__keyword_for_token1] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1611),
    [anon_sym_COMMA] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1611),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1611),
    [aux_sym_return_statement_token1] = ACTIONS(1611),
    [aux_sym_call_statement_token1] = ACTIONS(1611),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1611),
    [aux_sym_if_statement_token1] = ACTIONS(1611),
    [aux_sym_loop_statement_token1] = ACTIONS(1611),
    [aux_sym_repeat_statement_token1] = ACTIONS(1611),
    [aux_sym_while_statement_token1] = ACTIONS(1611),
    [aux_sym_break_statement_token1] = ACTIONS(1611),
    [aux_sym_leave_statement_token1] = ACTIONS(1611),
    [aux_sym_continue_statement_token1] = ACTIONS(1611),
    [aux_sym_iterate_statement_token1] = ACTIONS(1611),
    [aux_sym_raise_statement_token1] = ACTIONS(1611),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1611),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_set_operation_token1] = ACTIONS(1611),
    [aux_sym_set_operation_token3] = ACTIONS(1611),
    [aux_sym_set_operation_token4] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1611),
    [aux_sym_having_clause_token1] = ACTIONS(1611),
    [aux_sym_qualify_clause_token1] = ACTIONS(1611),
    [aux_sym_limit_clause_token1] = ACTIONS(1611),
    [aux_sym_group_by_clause_token1] = ACTIONS(1611),
    [aux_sym_order_by_clause_token1] = ACTIONS(1611),
    [aux_sym_where_clause_token1] = ACTIONS(1611),
    [aux_sym_insert_statement_token1] = ACTIONS(1611),
    [aux_sym_truncate_statement_token1] = ACTIONS(1611),
    [aux_sym_update_statement_token1] = ACTIONS(1611),
    [aux_sym_merge_statement_token1] = ACTIONS(1611),
    [aux_sym_grant_statement_token1] = ACTIONS(1611),
    [aux_sym_revoke_statement_token1] = ACTIONS(1611),
    [aux_sym_export_data_statement_token1] = ACTIONS(1611),
    [aux_sym_load_data_statement_token1] = ACTIONS(1611),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym__quoted_identifier] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [1898] = {
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1551),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_from_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_end_token1] = ACTIONS(1551),
    [aux_sym__keyword_between_token1] = ACTIONS(1551),
    [aux_sym__keyword_when_token1] = ACTIONS(1551),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1551),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1551),
    [aux_sym__keyword_like_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_window_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1551),
    [aux_sym_if_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_repeat_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1551),
    [aux_sym_set_operation_token3] = ACTIONS(1551),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_having_clause_token1] = ACTIONS(1551),
    [aux_sym_qualify_clause_token1] = ACTIONS(1551),
    [aux_sym_limit_clause_token1] = ACTIONS(1551),
    [aux_sym_group_by_clause_token1] = ACTIONS(1551),
    [aux_sym_order_by_clause_token1] = ACTIONS(1551),
    [aux_sym_where_clause_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [1899] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [sym__unquoted_identifier] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1525),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1525),
    [aux_sym__keyword_create_token1] = ACTIONS(1525),
    [aux_sym__keyword_drop_token1] = ACTIONS(1525),
    [aux_sym__keyword_from_token1] = ACTIONS(1525),
    [aux_sym__keyword_delete_token1] = ACTIONS(1525),
    [aux_sym__keyword_begin_token1] = ACTIONS(1525),
    [aux_sym__keyword_end_token1] = ACTIONS(1525),
    [aux_sym__keyword_between_token1] = ACTIONS(1525),
    [aux_sym__keyword_when_token1] = ACTIONS(1525),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1525),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1525),
    [aux_sym__keyword_like_token1] = ACTIONS(1525),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1525),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_window_token1] = ACTIONS(1525),
    [aux_sym__keyword_date_token1] = ACTIONS(1525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1525),
    [aux_sym__keyword_time_token1] = ACTIONS(1525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1525),
    [aux_sym_return_statement_token1] = ACTIONS(1525),
    [aux_sym_call_statement_token1] = ACTIONS(1525),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1525),
    [aux_sym_if_statement_token1] = ACTIONS(1525),
    [aux_sym_loop_statement_token1] = ACTIONS(1525),
    [aux_sym_repeat_statement_token1] = ACTIONS(1525),
    [aux_sym_while_statement_token1] = ACTIONS(1525),
    [aux_sym_break_statement_token1] = ACTIONS(1525),
    [aux_sym_leave_statement_token1] = ACTIONS(1525),
    [aux_sym_continue_statement_token1] = ACTIONS(1525),
    [aux_sym_iterate_statement_token1] = ACTIONS(1525),
    [aux_sym_raise_statement_token1] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1525),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1525),
    [aux_sym_set_operation_token3] = ACTIONS(1525),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1525),
    [aux_sym_having_clause_token1] = ACTIONS(1525),
    [aux_sym_qualify_clause_token1] = ACTIONS(1525),
    [aux_sym_limit_clause_token1] = ACTIONS(1525),
    [aux_sym_group_by_clause_token1] = ACTIONS(1525),
    [aux_sym_order_by_clause_token1] = ACTIONS(1525),
    [aux_sym_where_clause_token1] = ACTIONS(1525),
    [aux_sym_insert_statement_token1] = ACTIONS(1525),
    [aux_sym_truncate_statement_token1] = ACTIONS(1525),
    [aux_sym_update_statement_token1] = ACTIONS(1525),
    [aux_sym_merge_statement_token1] = ACTIONS(1525),
    [aux_sym_grant_statement_token1] = ACTIONS(1525),
    [aux_sym_revoke_statement_token1] = ACTIONS(1525),
    [aux_sym_export_data_statement_token1] = ACTIONS(1525),
    [aux_sym_load_data_statement_token1] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym__quoted_identifier] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [1900] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym__unquoted_identifier] = ACTIONS(1769),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1769),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1769),
    [aux_sym_keyword_replace_token1] = ACTIONS(1769),
    [aux_sym__keyword_alter_token1] = ACTIONS(1769),
    [aux_sym__keyword_create_token1] = ACTIONS(1769),
    [aux_sym__keyword_drop_token1] = ACTIONS(1769),
    [aux_sym__keyword_from_token1] = ACTIONS(1769),
    [aux_sym__keyword_delete_token1] = ACTIONS(1769),
    [aux_sym__keyword_begin_token1] = ACTIONS(1769),
    [aux_sym__keyword_end_token1] = ACTIONS(1769),
    [aux_sym__keyword_between_token1] = ACTIONS(1769),
    [aux_sym__keyword_when_token1] = ACTIONS(1769),
    [aux_sym__keyword_else_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1769),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1769),
    [aux_sym__keyword_like_token1] = ACTIONS(1769),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1769),
    [aux_sym__keyword_as_token1] = ACTIONS(1769),
    [aux_sym__keyword_window_token1] = ACTIONS(1769),
    [aux_sym__keyword_date_token1] = ACTIONS(1769),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1769),
    [aux_sym__keyword_time_token1] = ACTIONS(1769),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1769),
    [aux_sym__keyword_for_token1] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1769),
    [aux_sym_return_statement_token1] = ACTIONS(1769),
    [aux_sym_call_statement_token1] = ACTIONS(1769),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1769),
    [aux_sym_if_statement_token1] = ACTIONS(1769),
    [aux_sym_loop_statement_token1] = ACTIONS(1769),
    [aux_sym_repeat_statement_token1] = ACTIONS(1769),
    [aux_sym_while_statement_token1] = ACTIONS(1769),
    [aux_sym_break_statement_token1] = ACTIONS(1769),
    [aux_sym_leave_statement_token1] = ACTIONS(1769),
    [aux_sym_continue_statement_token1] = ACTIONS(1769),
    [aux_sym_iterate_statement_token1] = ACTIONS(1769),
    [aux_sym_raise_statement_token1] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1769),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_set_operation_token1] = ACTIONS(1769),
    [aux_sym_set_operation_token3] = ACTIONS(1769),
    [aux_sym_set_operation_token4] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1769),
    [aux_sym_having_clause_token1] = ACTIONS(1769),
    [aux_sym_qualify_clause_token1] = ACTIONS(1769),
    [aux_sym_limit_clause_token1] = ACTIONS(1769),
    [aux_sym_group_by_clause_token1] = ACTIONS(1769),
    [aux_sym_order_by_clause_token1] = ACTIONS(1769),
    [aux_sym_where_clause_token1] = ACTIONS(1769),
    [aux_sym_insert_statement_token1] = ACTIONS(1769),
    [aux_sym_truncate_statement_token1] = ACTIONS(1769),
    [aux_sym_update_statement_token1] = ACTIONS(1769),
    [aux_sym_merge_statement_token1] = ACTIONS(1769),
    [aux_sym_grant_statement_token1] = ACTIONS(1769),
    [aux_sym_revoke_statement_token1] = ACTIONS(1769),
    [aux_sym_export_data_statement_token1] = ACTIONS(1769),
    [aux_sym_load_data_statement_token1] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym__quoted_identifier] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [1901] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [sym__unquoted_identifier] = ACTIONS(1847),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1847),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1847),
    [aux_sym_keyword_replace_token1] = ACTIONS(1847),
    [aux_sym__keyword_alter_token1] = ACTIONS(1847),
    [aux_sym__keyword_create_token1] = ACTIONS(1847),
    [aux_sym__keyword_drop_token1] = ACTIONS(1847),
    [aux_sym__keyword_from_token1] = ACTIONS(1847),
    [aux_sym__keyword_delete_token1] = ACTIONS(1847),
    [aux_sym__keyword_begin_token1] = ACTIONS(1847),
    [aux_sym__keyword_end_token1] = ACTIONS(1847),
    [aux_sym__keyword_between_token1] = ACTIONS(1847),
    [aux_sym__keyword_when_token1] = ACTIONS(1847),
    [aux_sym__keyword_else_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1847),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1847),
    [aux_sym__keyword_like_token1] = ACTIONS(1847),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1847),
    [aux_sym__keyword_as_token1] = ACTIONS(1847),
    [aux_sym__keyword_window_token1] = ACTIONS(1847),
    [aux_sym__keyword_date_token1] = ACTIONS(1847),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1847),
    [aux_sym__keyword_time_token1] = ACTIONS(1847),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1847),
    [aux_sym__keyword_for_token1] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1847),
    [aux_sym_return_statement_token1] = ACTIONS(1847),
    [aux_sym_call_statement_token1] = ACTIONS(1847),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1847),
    [aux_sym_if_statement_token1] = ACTIONS(1847),
    [aux_sym_loop_statement_token1] = ACTIONS(1847),
    [aux_sym_repeat_statement_token1] = ACTIONS(1847),
    [aux_sym_while_statement_token1] = ACTIONS(1847),
    [aux_sym_break_statement_token1] = ACTIONS(1847),
    [aux_sym_leave_statement_token1] = ACTIONS(1847),
    [aux_sym_continue_statement_token1] = ACTIONS(1847),
    [aux_sym_iterate_statement_token1] = ACTIONS(1847),
    [aux_sym_raise_statement_token1] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1847),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_set_operation_token1] = ACTIONS(1847),
    [aux_sym_set_operation_token3] = ACTIONS(1847),
    [aux_sym_set_operation_token4] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1847),
    [aux_sym_having_clause_token1] = ACTIONS(1847),
    [aux_sym_qualify_clause_token1] = ACTIONS(1847),
    [aux_sym_limit_clause_token1] = ACTIONS(1847),
    [aux_sym_group_by_clause_token1] = ACTIONS(1847),
    [aux_sym_order_by_clause_token1] = ACTIONS(1847),
    [aux_sym_where_clause_token1] = ACTIONS(1847),
    [aux_sym_insert_statement_token1] = ACTIONS(1847),
    [aux_sym_truncate_statement_token1] = ACTIONS(1847),
    [aux_sym_update_statement_token1] = ACTIONS(1847),
    [aux_sym_merge_statement_token1] = ACTIONS(1847),
    [aux_sym_grant_statement_token1] = ACTIONS(1847),
    [aux_sym_revoke_statement_token1] = ACTIONS(1847),
    [aux_sym_export_data_statement_token1] = ACTIONS(1847),
    [aux_sym_load_data_statement_token1] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym__quoted_identifier] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [1902] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [sym__unquoted_identifier] = ACTIONS(1619),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1619),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1619),
    [aux_sym_keyword_replace_token1] = ACTIONS(1619),
    [aux_sym__keyword_alter_token1] = ACTIONS(1619),
    [aux_sym__keyword_create_token1] = ACTIONS(1619),
    [aux_sym__keyword_drop_token1] = ACTIONS(1619),
    [aux_sym__keyword_from_token1] = ACTIONS(1619),
    [aux_sym__keyword_delete_token1] = ACTIONS(1619),
    [aux_sym__keyword_begin_token1] = ACTIONS(1619),
    [aux_sym__keyword_end_token1] = ACTIONS(1619),
    [aux_sym__keyword_between_token1] = ACTIONS(1619),
    [aux_sym__keyword_when_token1] = ACTIONS(1619),
    [aux_sym__keyword_else_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1619),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1619),
    [aux_sym__keyword_like_token1] = ACTIONS(1619),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1619),
    [aux_sym__keyword_as_token1] = ACTIONS(1619),
    [aux_sym__keyword_window_token1] = ACTIONS(1619),
    [aux_sym__keyword_date_token1] = ACTIONS(1619),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1619),
    [aux_sym__keyword_time_token1] = ACTIONS(1619),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1619),
    [aux_sym__keyword_for_token1] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1619),
    [anon_sym_COMMA] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1619),
    [aux_sym_return_statement_token1] = ACTIONS(1619),
    [aux_sym_call_statement_token1] = ACTIONS(1619),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1619),
    [aux_sym_if_statement_token1] = ACTIONS(1619),
    [aux_sym_loop_statement_token1] = ACTIONS(1619),
    [aux_sym_repeat_statement_token1] = ACTIONS(1619),
    [aux_sym_while_statement_token1] = ACTIONS(1619),
    [aux_sym_break_statement_token1] = ACTIONS(1619),
    [aux_sym_leave_statement_token1] = ACTIONS(1619),
    [aux_sym_continue_statement_token1] = ACTIONS(1619),
    [aux_sym_iterate_statement_token1] = ACTIONS(1619),
    [aux_sym_raise_statement_token1] = ACTIONS(1619),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1619),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1619),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_set_operation_token1] = ACTIONS(1619),
    [aux_sym_set_operation_token3] = ACTIONS(1619),
    [aux_sym_set_operation_token4] = ACTIONS(1619),
    [aux_sym_select_token1] = ACTIONS(1619),
    [aux_sym_having_clause_token1] = ACTIONS(1619),
    [aux_sym_qualify_clause_token1] = ACTIONS(1619),
    [aux_sym_limit_clause_token1] = ACTIONS(1619),
    [aux_sym_group_by_clause_token1] = ACTIONS(1619),
    [aux_sym_order_by_clause_token1] = ACTIONS(1619),
    [aux_sym_where_clause_token1] = ACTIONS(1619),
    [aux_sym_insert_statement_token1] = ACTIONS(1619),
    [aux_sym_truncate_statement_token1] = ACTIONS(1619),
    [aux_sym_update_statement_token1] = ACTIONS(1619),
    [aux_sym_merge_statement_token1] = ACTIONS(1619),
    [aux_sym_grant_statement_token1] = ACTIONS(1619),
    [aux_sym_revoke_statement_token1] = ACTIONS(1619),
    [aux_sym_export_data_statement_token1] = ACTIONS(1619),
    [aux_sym_load_data_statement_token1] = ACTIONS(1619),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym__quoted_identifier] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [1903] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [sym__unquoted_identifier] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1777),
    [aux_sym_keyword_replace_token1] = ACTIONS(1777),
    [aux_sym__keyword_alter_token1] = ACTIONS(1777),
    [aux_sym__keyword_create_token1] = ACTIONS(1777),
    [aux_sym__keyword_drop_token1] = ACTIONS(1777),
    [aux_sym__keyword_from_token1] = ACTIONS(1777),
    [aux_sym__keyword_delete_token1] = ACTIONS(1777),
    [aux_sym__keyword_begin_token1] = ACTIONS(1777),
    [aux_sym__keyword_end_token1] = ACTIONS(1777),
    [aux_sym__keyword_between_token1] = ACTIONS(1777),
    [aux_sym__keyword_when_token1] = ACTIONS(1777),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1777),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1777),
    [aux_sym__keyword_like_token1] = ACTIONS(1777),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1777),
    [aux_sym__keyword_as_token1] = ACTIONS(1777),
    [aux_sym__keyword_window_token1] = ACTIONS(1777),
    [aux_sym__keyword_date_token1] = ACTIONS(1777),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1777),
    [aux_sym__keyword_time_token1] = ACTIONS(1777),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1777),
    [aux_sym__keyword_for_token1] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1777),
    [aux_sym_return_statement_token1] = ACTIONS(1777),
    [aux_sym_call_statement_token1] = ACTIONS(1777),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1777),
    [aux_sym_if_statement_token1] = ACTIONS(1777),
    [aux_sym_loop_statement_token1] = ACTIONS(1777),
    [aux_sym_repeat_statement_token1] = ACTIONS(1777),
    [aux_sym_while_statement_token1] = ACTIONS(1777),
    [aux_sym_break_statement_token1] = ACTIONS(1777),
    [aux_sym_leave_statement_token1] = ACTIONS(1777),
    [aux_sym_continue_statement_token1] = ACTIONS(1777),
    [aux_sym_iterate_statement_token1] = ACTIONS(1777),
    [aux_sym_raise_statement_token1] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1777),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_set_operation_token1] = ACTIONS(1777),
    [aux_sym_set_operation_token3] = ACTIONS(1777),
    [aux_sym_set_operation_token4] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1777),
    [aux_sym_having_clause_token1] = ACTIONS(1777),
    [aux_sym_qualify_clause_token1] = ACTIONS(1777),
    [aux_sym_limit_clause_token1] = ACTIONS(1777),
    [aux_sym_group_by_clause_token1] = ACTIONS(1777),
    [aux_sym_order_by_clause_token1] = ACTIONS(1777),
    [aux_sym_where_clause_token1] = ACTIONS(1777),
    [aux_sym_insert_statement_token1] = ACTIONS(1777),
    [aux_sym_truncate_statement_token1] = ACTIONS(1777),
    [aux_sym_update_statement_token1] = ACTIONS(1777),
    [aux_sym_merge_statement_token1] = ACTIONS(1777),
    [aux_sym_grant_statement_token1] = ACTIONS(1777),
    [aux_sym_revoke_statement_token1] = ACTIONS(1777),
    [aux_sym_export_data_statement_token1] = ACTIONS(1777),
    [aux_sym_load_data_statement_token1] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym__quoted_identifier] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [1904] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [sym__unquoted_identifier] = ACTIONS(1623),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1623),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1623),
    [aux_sym_keyword_replace_token1] = ACTIONS(1623),
    [aux_sym__keyword_alter_token1] = ACTIONS(1623),
    [aux_sym__keyword_create_token1] = ACTIONS(1623),
    [aux_sym__keyword_drop_token1] = ACTIONS(1623),
    [aux_sym__keyword_from_token1] = ACTIONS(1623),
    [aux_sym__keyword_delete_token1] = ACTIONS(1623),
    [aux_sym__keyword_begin_token1] = ACTIONS(1623),
    [aux_sym__keyword_end_token1] = ACTIONS(1623),
    [aux_sym__keyword_between_token1] = ACTIONS(1623),
    [aux_sym__keyword_when_token1] = ACTIONS(1623),
    [aux_sym__keyword_else_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1623),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1623),
    [aux_sym__keyword_like_token1] = ACTIONS(1623),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1623),
    [aux_sym__keyword_as_token1] = ACTIONS(1623),
    [aux_sym__keyword_window_token1] = ACTIONS(1623),
    [aux_sym__keyword_date_token1] = ACTIONS(1623),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1623),
    [aux_sym__keyword_time_token1] = ACTIONS(1623),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1623),
    [aux_sym__keyword_for_token1] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1623),
    [anon_sym_COMMA] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1623),
    [aux_sym_return_statement_token1] = ACTIONS(1623),
    [aux_sym_call_statement_token1] = ACTIONS(1623),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1623),
    [aux_sym_if_statement_token1] = ACTIONS(1623),
    [aux_sym_loop_statement_token1] = ACTIONS(1623),
    [aux_sym_repeat_statement_token1] = ACTIONS(1623),
    [aux_sym_while_statement_token1] = ACTIONS(1623),
    [aux_sym_break_statement_token1] = ACTIONS(1623),
    [aux_sym_leave_statement_token1] = ACTIONS(1623),
    [aux_sym_continue_statement_token1] = ACTIONS(1623),
    [aux_sym_iterate_statement_token1] = ACTIONS(1623),
    [aux_sym_raise_statement_token1] = ACTIONS(1623),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1623),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1623),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_set_operation_token1] = ACTIONS(1623),
    [aux_sym_set_operation_token3] = ACTIONS(1623),
    [aux_sym_set_operation_token4] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1623),
    [aux_sym_having_clause_token1] = ACTIONS(1623),
    [aux_sym_qualify_clause_token1] = ACTIONS(1623),
    [aux_sym_limit_clause_token1] = ACTIONS(1623),
    [aux_sym_group_by_clause_token1] = ACTIONS(1623),
    [aux_sym_order_by_clause_token1] = ACTIONS(1623),
    [aux_sym_where_clause_token1] = ACTIONS(1623),
    [aux_sym_insert_statement_token1] = ACTIONS(1623),
    [aux_sym_truncate_statement_token1] = ACTIONS(1623),
    [aux_sym_update_statement_token1] = ACTIONS(1623),
    [aux_sym_merge_statement_token1] = ACTIONS(1623),
    [aux_sym_grant_statement_token1] = ACTIONS(1623),
    [aux_sym_revoke_statement_token1] = ACTIONS(1623),
    [aux_sym_export_data_statement_token1] = ACTIONS(1623),
    [aux_sym_load_data_statement_token1] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym__quoted_identifier] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [1905] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [sym__unquoted_identifier] = ACTIONS(1627),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1627),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1627),
    [aux_sym_keyword_replace_token1] = ACTIONS(1627),
    [aux_sym__keyword_alter_token1] = ACTIONS(1627),
    [aux_sym__keyword_create_token1] = ACTIONS(1627),
    [aux_sym__keyword_drop_token1] = ACTIONS(1627),
    [aux_sym__keyword_from_token1] = ACTIONS(1627),
    [aux_sym__keyword_delete_token1] = ACTIONS(1627),
    [aux_sym__keyword_begin_token1] = ACTIONS(1627),
    [aux_sym__keyword_end_token1] = ACTIONS(1627),
    [aux_sym__keyword_between_token1] = ACTIONS(1627),
    [aux_sym__keyword_when_token1] = ACTIONS(1627),
    [aux_sym__keyword_else_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1627),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1627),
    [aux_sym__keyword_like_token1] = ACTIONS(1627),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1627),
    [aux_sym__keyword_as_token1] = ACTIONS(1627),
    [aux_sym__keyword_window_token1] = ACTIONS(1627),
    [aux_sym__keyword_date_token1] = ACTIONS(1627),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1627),
    [aux_sym__keyword_time_token1] = ACTIONS(1627),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1627),
    [aux_sym__keyword_for_token1] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1627),
    [aux_sym_return_statement_token1] = ACTIONS(1627),
    [aux_sym_call_statement_token1] = ACTIONS(1627),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1627),
    [aux_sym_if_statement_token1] = ACTIONS(1627),
    [aux_sym_loop_statement_token1] = ACTIONS(1627),
    [aux_sym_repeat_statement_token1] = ACTIONS(1627),
    [aux_sym_while_statement_token1] = ACTIONS(1627),
    [aux_sym_break_statement_token1] = ACTIONS(1627),
    [aux_sym_leave_statement_token1] = ACTIONS(1627),
    [aux_sym_continue_statement_token1] = ACTIONS(1627),
    [aux_sym_iterate_statement_token1] = ACTIONS(1627),
    [aux_sym_raise_statement_token1] = ACTIONS(1627),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1627),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1627),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_set_operation_token1] = ACTIONS(1627),
    [aux_sym_set_operation_token3] = ACTIONS(1627),
    [aux_sym_set_operation_token4] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1627),
    [aux_sym_having_clause_token1] = ACTIONS(1627),
    [aux_sym_qualify_clause_token1] = ACTIONS(1627),
    [aux_sym_limit_clause_token1] = ACTIONS(1627),
    [aux_sym_group_by_clause_token1] = ACTIONS(1627),
    [aux_sym_order_by_clause_token1] = ACTIONS(1627),
    [aux_sym_where_clause_token1] = ACTIONS(1627),
    [aux_sym_insert_statement_token1] = ACTIONS(1627),
    [aux_sym_truncate_statement_token1] = ACTIONS(1627),
    [aux_sym_update_statement_token1] = ACTIONS(1627),
    [aux_sym_merge_statement_token1] = ACTIONS(1627),
    [aux_sym_grant_statement_token1] = ACTIONS(1627),
    [aux_sym_revoke_statement_token1] = ACTIONS(1627),
    [aux_sym_export_data_statement_token1] = ACTIONS(1627),
    [aux_sym_load_data_statement_token1] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym__quoted_identifier] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [1906] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [sym__unquoted_identifier] = ACTIONS(1631),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1631),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1631),
    [aux_sym_keyword_replace_token1] = ACTIONS(1631),
    [aux_sym__keyword_alter_token1] = ACTIONS(1631),
    [aux_sym__keyword_create_token1] = ACTIONS(1631),
    [aux_sym__keyword_drop_token1] = ACTIONS(1631),
    [aux_sym__keyword_from_token1] = ACTIONS(1631),
    [aux_sym__keyword_delete_token1] = ACTIONS(1631),
    [aux_sym__keyword_begin_token1] = ACTIONS(1631),
    [aux_sym__keyword_end_token1] = ACTIONS(1631),
    [aux_sym__keyword_between_token1] = ACTIONS(1631),
    [aux_sym__keyword_when_token1] = ACTIONS(1631),
    [aux_sym__keyword_else_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1631),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1631),
    [aux_sym__keyword_like_token1] = ACTIONS(1631),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1631),
    [aux_sym__keyword_as_token1] = ACTIONS(1631),
    [aux_sym__keyword_window_token1] = ACTIONS(1631),
    [aux_sym__keyword_date_token1] = ACTIONS(1631),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1631),
    [aux_sym__keyword_time_token1] = ACTIONS(1631),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1631),
    [aux_sym__keyword_for_token1] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1631),
    [anon_sym_COMMA] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1631),
    [aux_sym_return_statement_token1] = ACTIONS(1631),
    [aux_sym_call_statement_token1] = ACTIONS(1631),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1631),
    [aux_sym_if_statement_token1] = ACTIONS(1631),
    [aux_sym_loop_statement_token1] = ACTIONS(1631),
    [aux_sym_repeat_statement_token1] = ACTIONS(1631),
    [aux_sym_while_statement_token1] = ACTIONS(1631),
    [aux_sym_break_statement_token1] = ACTIONS(1631),
    [aux_sym_leave_statement_token1] = ACTIONS(1631),
    [aux_sym_continue_statement_token1] = ACTIONS(1631),
    [aux_sym_iterate_statement_token1] = ACTIONS(1631),
    [aux_sym_raise_statement_token1] = ACTIONS(1631),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1631),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1631),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_set_operation_token1] = ACTIONS(1631),
    [aux_sym_set_operation_token3] = ACTIONS(1631),
    [aux_sym_set_operation_token4] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1631),
    [aux_sym_having_clause_token1] = ACTIONS(1631),
    [aux_sym_qualify_clause_token1] = ACTIONS(1631),
    [aux_sym_limit_clause_token1] = ACTIONS(1631),
    [aux_sym_group_by_clause_token1] = ACTIONS(1631),
    [aux_sym_order_by_clause_token1] = ACTIONS(1631),
    [aux_sym_where_clause_token1] = ACTIONS(1631),
    [aux_sym_insert_statement_token1] = ACTIONS(1631),
    [aux_sym_truncate_statement_token1] = ACTIONS(1631),
    [aux_sym_update_statement_token1] = ACTIONS(1631),
    [aux_sym_merge_statement_token1] = ACTIONS(1631),
    [aux_sym_grant_statement_token1] = ACTIONS(1631),
    [aux_sym_revoke_statement_token1] = ACTIONS(1631),
    [aux_sym_export_data_statement_token1] = ACTIONS(1631),
    [aux_sym_load_data_statement_token1] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym__quoted_identifier] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [1907] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [sym__unquoted_identifier] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1785),
    [aux_sym_keyword_replace_token1] = ACTIONS(1785),
    [aux_sym__keyword_alter_token1] = ACTIONS(1785),
    [aux_sym__keyword_create_token1] = ACTIONS(1785),
    [aux_sym__keyword_drop_token1] = ACTIONS(1785),
    [aux_sym__keyword_from_token1] = ACTIONS(1785),
    [aux_sym__keyword_delete_token1] = ACTIONS(1785),
    [aux_sym__keyword_begin_token1] = ACTIONS(1785),
    [aux_sym__keyword_end_token1] = ACTIONS(1785),
    [aux_sym__keyword_between_token1] = ACTIONS(1785),
    [aux_sym__keyword_when_token1] = ACTIONS(1785),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1785),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1785),
    [aux_sym__keyword_like_token1] = ACTIONS(1785),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1785),
    [aux_sym__keyword_as_token1] = ACTIONS(1785),
    [aux_sym__keyword_window_token1] = ACTIONS(1785),
    [aux_sym__keyword_date_token1] = ACTIONS(1785),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1785),
    [aux_sym__keyword_time_token1] = ACTIONS(1785),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1785),
    [aux_sym__keyword_for_token1] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1785),
    [aux_sym_return_statement_token1] = ACTIONS(1785),
    [aux_sym_call_statement_token1] = ACTIONS(1785),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1785),
    [aux_sym_if_statement_token1] = ACTIONS(1785),
    [aux_sym_loop_statement_token1] = ACTIONS(1785),
    [aux_sym_repeat_statement_token1] = ACTIONS(1785),
    [aux_sym_while_statement_token1] = ACTIONS(1785),
    [aux_sym_break_statement_token1] = ACTIONS(1785),
    [aux_sym_leave_statement_token1] = ACTIONS(1785),
    [aux_sym_continue_statement_token1] = ACTIONS(1785),
    [aux_sym_iterate_statement_token1] = ACTIONS(1785),
    [aux_sym_raise_statement_token1] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1785),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_set_operation_token1] = ACTIONS(1785),
    [aux_sym_set_operation_token3] = ACTIONS(1785),
    [aux_sym_set_operation_token4] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1785),
    [aux_sym_having_clause_token1] = ACTIONS(1785),
    [aux_sym_qualify_clause_token1] = ACTIONS(1785),
    [aux_sym_limit_clause_token1] = ACTIONS(1785),
    [aux_sym_group_by_clause_token1] = ACTIONS(1785),
    [aux_sym_order_by_clause_token1] = ACTIONS(1785),
    [aux_sym_where_clause_token1] = ACTIONS(1785),
    [aux_sym_insert_statement_token1] = ACTIONS(1785),
    [aux_sym_truncate_statement_token1] = ACTIONS(1785),
    [aux_sym_update_statement_token1] = ACTIONS(1785),
    [aux_sym_merge_statement_token1] = ACTIONS(1785),
    [aux_sym_grant_statement_token1] = ACTIONS(1785),
    [aux_sym_revoke_statement_token1] = ACTIONS(1785),
    [aux_sym_export_data_statement_token1] = ACTIONS(1785),
    [aux_sym_load_data_statement_token1] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym__quoted_identifier] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [1908] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [sym__unquoted_identifier] = ACTIONS(1639),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1639),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1639),
    [aux_sym_keyword_replace_token1] = ACTIONS(1639),
    [aux_sym__keyword_alter_token1] = ACTIONS(1639),
    [aux_sym__keyword_create_token1] = ACTIONS(1639),
    [aux_sym__keyword_drop_token1] = ACTIONS(1639),
    [aux_sym__keyword_from_token1] = ACTIONS(1639),
    [aux_sym__keyword_delete_token1] = ACTIONS(1639),
    [aux_sym__keyword_begin_token1] = ACTIONS(1639),
    [aux_sym__keyword_end_token1] = ACTIONS(1639),
    [aux_sym__keyword_between_token1] = ACTIONS(1639),
    [aux_sym__keyword_when_token1] = ACTIONS(1639),
    [aux_sym__keyword_else_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1639),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1639),
    [aux_sym__keyword_like_token1] = ACTIONS(1639),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1639),
    [aux_sym__keyword_as_token1] = ACTIONS(1639),
    [aux_sym__keyword_window_token1] = ACTIONS(1639),
    [aux_sym__keyword_date_token1] = ACTIONS(1639),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1639),
    [aux_sym__keyword_time_token1] = ACTIONS(1639),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1639),
    [aux_sym__keyword_for_token1] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1639),
    [anon_sym_COMMA] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1639),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1639),
    [aux_sym_return_statement_token1] = ACTIONS(1639),
    [aux_sym_call_statement_token1] = ACTIONS(1639),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1639),
    [aux_sym_if_statement_token1] = ACTIONS(1639),
    [aux_sym_loop_statement_token1] = ACTIONS(1639),
    [aux_sym_repeat_statement_token1] = ACTIONS(1639),
    [aux_sym_while_statement_token1] = ACTIONS(1639),
    [aux_sym_break_statement_token1] = ACTIONS(1639),
    [aux_sym_leave_statement_token1] = ACTIONS(1639),
    [aux_sym_continue_statement_token1] = ACTIONS(1639),
    [aux_sym_iterate_statement_token1] = ACTIONS(1639),
    [aux_sym_raise_statement_token1] = ACTIONS(1639),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1639),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1639),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_set_operation_token1] = ACTIONS(1639),
    [aux_sym_set_operation_token3] = ACTIONS(1639),
    [aux_sym_set_operation_token4] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1639),
    [aux_sym_having_clause_token1] = ACTIONS(1639),
    [aux_sym_qualify_clause_token1] = ACTIONS(1639),
    [aux_sym_limit_clause_token1] = ACTIONS(1639),
    [aux_sym_group_by_clause_token1] = ACTIONS(1639),
    [aux_sym_order_by_clause_token1] = ACTIONS(1639),
    [aux_sym_where_clause_token1] = ACTIONS(1639),
    [aux_sym_insert_statement_token1] = ACTIONS(1639),
    [aux_sym_truncate_statement_token1] = ACTIONS(1639),
    [aux_sym_update_statement_token1] = ACTIONS(1639),
    [aux_sym_merge_statement_token1] = ACTIONS(1639),
    [aux_sym_grant_statement_token1] = ACTIONS(1639),
    [aux_sym_revoke_statement_token1] = ACTIONS(1639),
    [aux_sym_export_data_statement_token1] = ACTIONS(1639),
    [aux_sym_load_data_statement_token1] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym__quoted_identifier] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [1909] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [sym__unquoted_identifier] = ACTIONS(1643),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1643),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1643),
    [aux_sym_keyword_replace_token1] = ACTIONS(1643),
    [aux_sym__keyword_alter_token1] = ACTIONS(1643),
    [aux_sym__keyword_create_token1] = ACTIONS(1643),
    [aux_sym__keyword_drop_token1] = ACTIONS(1643),
    [aux_sym__keyword_from_token1] = ACTIONS(1643),
    [aux_sym__keyword_delete_token1] = ACTIONS(1643),
    [aux_sym__keyword_begin_token1] = ACTIONS(1643),
    [aux_sym__keyword_end_token1] = ACTIONS(1643),
    [aux_sym__keyword_between_token1] = ACTIONS(1643),
    [aux_sym__keyword_when_token1] = ACTIONS(1643),
    [aux_sym__keyword_else_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1643),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1643),
    [aux_sym__keyword_like_token1] = ACTIONS(1643),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1643),
    [aux_sym__keyword_as_token1] = ACTIONS(1643),
    [aux_sym__keyword_window_token1] = ACTIONS(1643),
    [aux_sym__keyword_date_token1] = ACTIONS(1643),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1643),
    [aux_sym__keyword_time_token1] = ACTIONS(1643),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1643),
    [aux_sym__keyword_for_token1] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1643),
    [aux_sym_return_statement_token1] = ACTIONS(1643),
    [aux_sym_call_statement_token1] = ACTIONS(1643),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1643),
    [aux_sym_if_statement_token1] = ACTIONS(1643),
    [aux_sym_loop_statement_token1] = ACTIONS(1643),
    [aux_sym_repeat_statement_token1] = ACTIONS(1643),
    [aux_sym_while_statement_token1] = ACTIONS(1643),
    [aux_sym_break_statement_token1] = ACTIONS(1643),
    [aux_sym_leave_statement_token1] = ACTIONS(1643),
    [aux_sym_continue_statement_token1] = ACTIONS(1643),
    [aux_sym_iterate_statement_token1] = ACTIONS(1643),
    [aux_sym_raise_statement_token1] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1643),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_set_operation_token1] = ACTIONS(1643),
    [aux_sym_set_operation_token3] = ACTIONS(1643),
    [aux_sym_set_operation_token4] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1643),
    [aux_sym_having_clause_token1] = ACTIONS(1643),
    [aux_sym_qualify_clause_token1] = ACTIONS(1643),
    [aux_sym_limit_clause_token1] = ACTIONS(1643),
    [aux_sym_group_by_clause_token1] = ACTIONS(1643),
    [aux_sym_order_by_clause_token1] = ACTIONS(1643),
    [aux_sym_where_clause_token1] = ACTIONS(1643),
    [aux_sym_insert_statement_token1] = ACTIONS(1643),
    [aux_sym_truncate_statement_token1] = ACTIONS(1643),
    [aux_sym_update_statement_token1] = ACTIONS(1643),
    [aux_sym_merge_statement_token1] = ACTIONS(1643),
    [aux_sym_grant_statement_token1] = ACTIONS(1643),
    [aux_sym_revoke_statement_token1] = ACTIONS(1643),
    [aux_sym_export_data_statement_token1] = ACTIONS(1643),
    [aux_sym_load_data_statement_token1] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym__quoted_identifier] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [1910] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym__direction_keywords] = STATE(6226),
    [sym__nulls_preference] = STATE(6616),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_order_by_clause_body_repeat1] = STATE(6611),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2703),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(2703),
    [aux_sym__keyword_create_token1] = ACTIONS(2703),
    [aux_sym__keyword_drop_token1] = ACTIONS(2703),
    [aux_sym__keyword_delete_token1] = ACTIONS(2703),
    [aux_sym__keyword_begin_token1] = ACTIONS(2703),
    [aux_sym__keyword_end_token1] = ACTIONS(2703),
    [aux_sym__keyword_between_token1] = ACTIONS(2749),
    [aux_sym__keyword_when_token1] = ACTIONS(2703),
    [aux_sym__keyword_else_token1] = ACTIONS(2707),
    [aux_sym__keyword_is_token1] = ACTIONS(2751),
    [aux_sym__keyword_in_token1] = ACTIONS(2753),
    [aux_sym__keyword_and_token1] = ACTIONS(2755),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2703),
    [aux_sym__keyword_for_token1] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [aux_sym_declare_statement_token1] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(2757),
    [aux_sym_set_statement_token1] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2703),
    [aux_sym_return_statement_token1] = ACTIONS(2703),
    [aux_sym_call_statement_token1] = ACTIONS(2703),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2703),
    [aux_sym_if_statement_token1] = ACTIONS(2703),
    [aux_sym_loop_statement_token1] = ACTIONS(2703),
    [aux_sym_repeat_statement_token1] = ACTIONS(2703),
    [aux_sym_while_statement_token1] = ACTIONS(2703),
    [aux_sym_break_statement_token1] = ACTIONS(2703),
    [aux_sym_leave_statement_token1] = ACTIONS(2703),
    [aux_sym_continue_statement_token1] = ACTIONS(2703),
    [aux_sym_iterate_statement_token1] = ACTIONS(2703),
    [aux_sym_raise_statement_token1] = ACTIONS(2703),
    [anon_sym_EQ] = ACTIONS(2759),
    [aux_sym_assert_statement_token1] = ACTIONS(2703),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [aux_sym_set_operation_token1] = ACTIONS(2703),
    [aux_sym_set_operation_token3] = ACTIONS(2703),
    [aux_sym_set_operation_token4] = ACTIONS(2707),
    [aux_sym_select_token1] = ACTIONS(2703),
    [aux_sym_limit_clause_token1] = ACTIONS(2703),
    [aux_sym__direction_keywords_token1] = ACTIONS(2719),
    [aux_sym__direction_keywords_token2] = ACTIONS(2719),
    [aux_sym__nulls_preference_token1] = ACTIONS(2721),
    [aux_sym_insert_statement_token1] = ACTIONS(2703),
    [aux_sym_truncate_statement_token1] = ACTIONS(2703),
    [aux_sym_update_statement_token1] = ACTIONS(2703),
    [aux_sym_merge_statement_token1] = ACTIONS(2703),
    [aux_sym_grant_statement_token1] = ACTIONS(2703),
    [aux_sym_revoke_statement_token1] = ACTIONS(2703),
    [aux_sym_export_data_statement_token1] = ACTIONS(2703),
    [aux_sym_load_data_statement_token1] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [1911] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [sym__unquoted_identifier] = ACTIONS(1789),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1789),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1789),
    [aux_sym_keyword_replace_token1] = ACTIONS(1789),
    [aux_sym__keyword_alter_token1] = ACTIONS(1789),
    [aux_sym__keyword_create_token1] = ACTIONS(1789),
    [aux_sym__keyword_drop_token1] = ACTIONS(1789),
    [aux_sym__keyword_from_token1] = ACTIONS(1789),
    [aux_sym__keyword_delete_token1] = ACTIONS(1789),
    [aux_sym__keyword_begin_token1] = ACTIONS(1789),
    [aux_sym__keyword_end_token1] = ACTIONS(1789),
    [aux_sym__keyword_between_token1] = ACTIONS(1789),
    [aux_sym__keyword_when_token1] = ACTIONS(1789),
    [aux_sym__keyword_else_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1789),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1789),
    [aux_sym__keyword_like_token1] = ACTIONS(1789),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1789),
    [aux_sym__keyword_as_token1] = ACTIONS(1789),
    [aux_sym__keyword_window_token1] = ACTIONS(1789),
    [aux_sym__keyword_date_token1] = ACTIONS(1789),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1789),
    [aux_sym__keyword_time_token1] = ACTIONS(1789),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1789),
    [aux_sym__keyword_for_token1] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1789),
    [anon_sym_COMMA] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1789),
    [aux_sym_return_statement_token1] = ACTIONS(1789),
    [aux_sym_call_statement_token1] = ACTIONS(1789),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1789),
    [aux_sym_if_statement_token1] = ACTIONS(1789),
    [aux_sym_loop_statement_token1] = ACTIONS(1789),
    [aux_sym_repeat_statement_token1] = ACTIONS(1789),
    [aux_sym_while_statement_token1] = ACTIONS(1789),
    [aux_sym_break_statement_token1] = ACTIONS(1789),
    [aux_sym_leave_statement_token1] = ACTIONS(1789),
    [aux_sym_continue_statement_token1] = ACTIONS(1789),
    [aux_sym_iterate_statement_token1] = ACTIONS(1789),
    [aux_sym_raise_statement_token1] = ACTIONS(1789),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1789),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1789),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_set_operation_token1] = ACTIONS(1789),
    [aux_sym_set_operation_token3] = ACTIONS(1789),
    [aux_sym_set_operation_token4] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1789),
    [aux_sym_having_clause_token1] = ACTIONS(1789),
    [aux_sym_qualify_clause_token1] = ACTIONS(1789),
    [aux_sym_limit_clause_token1] = ACTIONS(1789),
    [aux_sym_group_by_clause_token1] = ACTIONS(1789),
    [aux_sym_order_by_clause_token1] = ACTIONS(1789),
    [aux_sym_where_clause_token1] = ACTIONS(1789),
    [aux_sym_insert_statement_token1] = ACTIONS(1789),
    [aux_sym_truncate_statement_token1] = ACTIONS(1789),
    [aux_sym_update_statement_token1] = ACTIONS(1789),
    [aux_sym_merge_statement_token1] = ACTIONS(1789),
    [aux_sym_grant_statement_token1] = ACTIONS(1789),
    [aux_sym_revoke_statement_token1] = ACTIONS(1789),
    [aux_sym_export_data_statement_token1] = ACTIONS(1789),
    [aux_sym_load_data_statement_token1] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym__quoted_identifier] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [1912] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym__unquoted_identifier] = ACTIONS(1565),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1565),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1565),
    [aux_sym_keyword_replace_token1] = ACTIONS(1565),
    [aux_sym__keyword_alter_token1] = ACTIONS(1565),
    [aux_sym__keyword_create_token1] = ACTIONS(1565),
    [aux_sym__keyword_drop_token1] = ACTIONS(1565),
    [aux_sym__keyword_from_token1] = ACTIONS(1565),
    [aux_sym__keyword_delete_token1] = ACTIONS(1565),
    [aux_sym__keyword_begin_token1] = ACTIONS(1565),
    [aux_sym__keyword_end_token1] = ACTIONS(1565),
    [aux_sym__keyword_between_token1] = ACTIONS(1565),
    [aux_sym__keyword_when_token1] = ACTIONS(1565),
    [aux_sym__keyword_else_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1565),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1565),
    [aux_sym__keyword_like_token1] = ACTIONS(1565),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1565),
    [aux_sym__keyword_as_token1] = ACTIONS(1565),
    [aux_sym__keyword_window_token1] = ACTIONS(1565),
    [aux_sym__keyword_date_token1] = ACTIONS(1565),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1565),
    [aux_sym__keyword_time_token1] = ACTIONS(1565),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1565),
    [aux_sym__keyword_for_token1] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1565),
    [aux_sym_return_statement_token1] = ACTIONS(1565),
    [aux_sym_call_statement_token1] = ACTIONS(1565),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1565),
    [aux_sym_if_statement_token1] = ACTIONS(1565),
    [aux_sym_loop_statement_token1] = ACTIONS(1565),
    [aux_sym_repeat_statement_token1] = ACTIONS(1565),
    [aux_sym_while_statement_token1] = ACTIONS(1565),
    [aux_sym_break_statement_token1] = ACTIONS(1565),
    [aux_sym_leave_statement_token1] = ACTIONS(1565),
    [aux_sym_continue_statement_token1] = ACTIONS(1565),
    [aux_sym_iterate_statement_token1] = ACTIONS(1565),
    [aux_sym_raise_statement_token1] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1565),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_set_operation_token1] = ACTIONS(1565),
    [aux_sym_set_operation_token3] = ACTIONS(1565),
    [aux_sym_set_operation_token4] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1565),
    [aux_sym_having_clause_token1] = ACTIONS(1565),
    [aux_sym_qualify_clause_token1] = ACTIONS(1565),
    [aux_sym_limit_clause_token1] = ACTIONS(1565),
    [aux_sym_group_by_clause_token1] = ACTIONS(1565),
    [aux_sym_order_by_clause_token1] = ACTIONS(1565),
    [aux_sym_where_clause_token1] = ACTIONS(1565),
    [aux_sym_insert_statement_token1] = ACTIONS(1565),
    [aux_sym_truncate_statement_token1] = ACTIONS(1565),
    [aux_sym_update_statement_token1] = ACTIONS(1565),
    [aux_sym_merge_statement_token1] = ACTIONS(1565),
    [aux_sym_grant_statement_token1] = ACTIONS(1565),
    [aux_sym_revoke_statement_token1] = ACTIONS(1565),
    [aux_sym_export_data_statement_token1] = ACTIONS(1565),
    [aux_sym_load_data_statement_token1] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym__quoted_identifier] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [1913] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [sym__unquoted_identifier] = ACTIONS(1647),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1647),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1647),
    [aux_sym_keyword_replace_token1] = ACTIONS(1647),
    [aux_sym__keyword_alter_token1] = ACTIONS(1647),
    [aux_sym__keyword_create_token1] = ACTIONS(1647),
    [aux_sym__keyword_drop_token1] = ACTIONS(1647),
    [aux_sym__keyword_from_token1] = ACTIONS(1647),
    [aux_sym__keyword_delete_token1] = ACTIONS(1647),
    [aux_sym__keyword_begin_token1] = ACTIONS(1647),
    [aux_sym__keyword_end_token1] = ACTIONS(1647),
    [aux_sym__keyword_between_token1] = ACTIONS(1647),
    [aux_sym__keyword_when_token1] = ACTIONS(1647),
    [aux_sym__keyword_else_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1647),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1647),
    [aux_sym__keyword_like_token1] = ACTIONS(1647),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1647),
    [aux_sym__keyword_as_token1] = ACTIONS(1647),
    [aux_sym__keyword_window_token1] = ACTIONS(1647),
    [aux_sym__keyword_date_token1] = ACTIONS(1647),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1647),
    [aux_sym__keyword_time_token1] = ACTIONS(1647),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1647),
    [aux_sym__keyword_for_token1] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1647),
    [aux_sym_return_statement_token1] = ACTIONS(1647),
    [aux_sym_call_statement_token1] = ACTIONS(1647),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1647),
    [aux_sym_if_statement_token1] = ACTIONS(1647),
    [aux_sym_loop_statement_token1] = ACTIONS(1647),
    [aux_sym_repeat_statement_token1] = ACTIONS(1647),
    [aux_sym_while_statement_token1] = ACTIONS(1647),
    [aux_sym_break_statement_token1] = ACTIONS(1647),
    [aux_sym_leave_statement_token1] = ACTIONS(1647),
    [aux_sym_continue_statement_token1] = ACTIONS(1647),
    [aux_sym_iterate_statement_token1] = ACTIONS(1647),
    [aux_sym_raise_statement_token1] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1647),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_set_operation_token1] = ACTIONS(1647),
    [aux_sym_set_operation_token3] = ACTIONS(1647),
    [aux_sym_set_operation_token4] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1647),
    [aux_sym_having_clause_token1] = ACTIONS(1647),
    [aux_sym_qualify_clause_token1] = ACTIONS(1647),
    [aux_sym_limit_clause_token1] = ACTIONS(1647),
    [aux_sym_group_by_clause_token1] = ACTIONS(1647),
    [aux_sym_order_by_clause_token1] = ACTIONS(1647),
    [aux_sym_where_clause_token1] = ACTIONS(1647),
    [aux_sym_insert_statement_token1] = ACTIONS(1647),
    [aux_sym_truncate_statement_token1] = ACTIONS(1647),
    [aux_sym_update_statement_token1] = ACTIONS(1647),
    [aux_sym_merge_statement_token1] = ACTIONS(1647),
    [aux_sym_grant_statement_token1] = ACTIONS(1647),
    [aux_sym_revoke_statement_token1] = ACTIONS(1647),
    [aux_sym_export_data_statement_token1] = ACTIONS(1647),
    [aux_sym_load_data_statement_token1] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym__quoted_identifier] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [1914] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [sym__unquoted_identifier] = ACTIONS(1651),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1651),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1651),
    [aux_sym_keyword_replace_token1] = ACTIONS(1651),
    [aux_sym__keyword_alter_token1] = ACTIONS(1651),
    [aux_sym__keyword_create_token1] = ACTIONS(1651),
    [aux_sym__keyword_drop_token1] = ACTIONS(1651),
    [aux_sym__keyword_from_token1] = ACTIONS(1651),
    [aux_sym__keyword_delete_token1] = ACTIONS(1651),
    [aux_sym__keyword_begin_token1] = ACTIONS(1651),
    [aux_sym__keyword_end_token1] = ACTIONS(1651),
    [aux_sym__keyword_between_token1] = ACTIONS(1651),
    [aux_sym__keyword_when_token1] = ACTIONS(1651),
    [aux_sym__keyword_else_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1651),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1651),
    [aux_sym__keyword_like_token1] = ACTIONS(1651),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1651),
    [aux_sym__keyword_as_token1] = ACTIONS(1651),
    [aux_sym__keyword_window_token1] = ACTIONS(1651),
    [aux_sym__keyword_date_token1] = ACTIONS(1651),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1651),
    [aux_sym__keyword_time_token1] = ACTIONS(1651),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1651),
    [aux_sym__keyword_for_token1] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1651),
    [anon_sym_COMMA] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1651),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1651),
    [aux_sym_return_statement_token1] = ACTIONS(1651),
    [aux_sym_call_statement_token1] = ACTIONS(1651),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1651),
    [aux_sym_if_statement_token1] = ACTIONS(1651),
    [aux_sym_loop_statement_token1] = ACTIONS(1651),
    [aux_sym_repeat_statement_token1] = ACTIONS(1651),
    [aux_sym_while_statement_token1] = ACTIONS(1651),
    [aux_sym_break_statement_token1] = ACTIONS(1651),
    [aux_sym_leave_statement_token1] = ACTIONS(1651),
    [aux_sym_continue_statement_token1] = ACTIONS(1651),
    [aux_sym_iterate_statement_token1] = ACTIONS(1651),
    [aux_sym_raise_statement_token1] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1651),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1651),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_set_operation_token1] = ACTIONS(1651),
    [aux_sym_set_operation_token3] = ACTIONS(1651),
    [aux_sym_set_operation_token4] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1651),
    [aux_sym_having_clause_token1] = ACTIONS(1651),
    [aux_sym_qualify_clause_token1] = ACTIONS(1651),
    [aux_sym_limit_clause_token1] = ACTIONS(1651),
    [aux_sym_group_by_clause_token1] = ACTIONS(1651),
    [aux_sym_order_by_clause_token1] = ACTIONS(1651),
    [aux_sym_where_clause_token1] = ACTIONS(1651),
    [aux_sym_insert_statement_token1] = ACTIONS(1651),
    [aux_sym_truncate_statement_token1] = ACTIONS(1651),
    [aux_sym_update_statement_token1] = ACTIONS(1651),
    [aux_sym_merge_statement_token1] = ACTIONS(1651),
    [aux_sym_grant_statement_token1] = ACTIONS(1651),
    [aux_sym_revoke_statement_token1] = ACTIONS(1651),
    [aux_sym_export_data_statement_token1] = ACTIONS(1651),
    [aux_sym_load_data_statement_token1] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym__quoted_identifier] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [1915] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [sym__unquoted_identifier] = ACTIONS(1659),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1659),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1659),
    [aux_sym_keyword_replace_token1] = ACTIONS(1659),
    [aux_sym__keyword_alter_token1] = ACTIONS(1659),
    [aux_sym__keyword_create_token1] = ACTIONS(1659),
    [aux_sym__keyword_drop_token1] = ACTIONS(1659),
    [aux_sym__keyword_from_token1] = ACTIONS(1659),
    [aux_sym__keyword_delete_token1] = ACTIONS(1659),
    [aux_sym__keyword_begin_token1] = ACTIONS(1659),
    [aux_sym__keyword_end_token1] = ACTIONS(1659),
    [aux_sym__keyword_between_token1] = ACTIONS(1659),
    [aux_sym__keyword_when_token1] = ACTIONS(1659),
    [aux_sym__keyword_else_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1659),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1659),
    [aux_sym__keyword_like_token1] = ACTIONS(1659),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1659),
    [aux_sym__keyword_as_token1] = ACTIONS(1659),
    [aux_sym__keyword_window_token1] = ACTIONS(1659),
    [aux_sym__keyword_date_token1] = ACTIONS(1659),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1659),
    [aux_sym__keyword_time_token1] = ACTIONS(1659),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1659),
    [aux_sym__keyword_for_token1] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1659),
    [aux_sym_return_statement_token1] = ACTIONS(1659),
    [aux_sym_call_statement_token1] = ACTIONS(1659),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1659),
    [aux_sym_if_statement_token1] = ACTIONS(1659),
    [aux_sym_loop_statement_token1] = ACTIONS(1659),
    [aux_sym_repeat_statement_token1] = ACTIONS(1659),
    [aux_sym_while_statement_token1] = ACTIONS(1659),
    [aux_sym_break_statement_token1] = ACTIONS(1659),
    [aux_sym_leave_statement_token1] = ACTIONS(1659),
    [aux_sym_continue_statement_token1] = ACTIONS(1659),
    [aux_sym_iterate_statement_token1] = ACTIONS(1659),
    [aux_sym_raise_statement_token1] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1659),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_set_operation_token1] = ACTIONS(1659),
    [aux_sym_set_operation_token3] = ACTIONS(1659),
    [aux_sym_set_operation_token4] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1659),
    [aux_sym_having_clause_token1] = ACTIONS(1659),
    [aux_sym_qualify_clause_token1] = ACTIONS(1659),
    [aux_sym_limit_clause_token1] = ACTIONS(1659),
    [aux_sym_group_by_clause_token1] = ACTIONS(1659),
    [aux_sym_order_by_clause_token1] = ACTIONS(1659),
    [aux_sym_where_clause_token1] = ACTIONS(1659),
    [aux_sym_insert_statement_token1] = ACTIONS(1659),
    [aux_sym_truncate_statement_token1] = ACTIONS(1659),
    [aux_sym_update_statement_token1] = ACTIONS(1659),
    [aux_sym_merge_statement_token1] = ACTIONS(1659),
    [aux_sym_grant_statement_token1] = ACTIONS(1659),
    [aux_sym_revoke_statement_token1] = ACTIONS(1659),
    [aux_sym_export_data_statement_token1] = ACTIONS(1659),
    [aux_sym_load_data_statement_token1] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym__quoted_identifier] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [1916] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [1917] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [sym__unquoted_identifier] = ACTIONS(1663),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1663),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1663),
    [aux_sym_keyword_replace_token1] = ACTIONS(1663),
    [aux_sym__keyword_alter_token1] = ACTIONS(1663),
    [aux_sym__keyword_create_token1] = ACTIONS(1663),
    [aux_sym__keyword_drop_token1] = ACTIONS(1663),
    [aux_sym__keyword_from_token1] = ACTIONS(1663),
    [aux_sym__keyword_delete_token1] = ACTIONS(1663),
    [aux_sym__keyword_begin_token1] = ACTIONS(1663),
    [aux_sym__keyword_end_token1] = ACTIONS(1663),
    [aux_sym__keyword_between_token1] = ACTIONS(1663),
    [aux_sym__keyword_when_token1] = ACTIONS(1663),
    [aux_sym__keyword_else_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1663),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1663),
    [aux_sym__keyword_like_token1] = ACTIONS(1663),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1663),
    [aux_sym__keyword_as_token1] = ACTIONS(1663),
    [aux_sym__keyword_window_token1] = ACTIONS(1663),
    [aux_sym__keyword_date_token1] = ACTIONS(1663),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1663),
    [aux_sym__keyword_time_token1] = ACTIONS(1663),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1663),
    [aux_sym__keyword_for_token1] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1663),
    [aux_sym_return_statement_token1] = ACTIONS(1663),
    [aux_sym_call_statement_token1] = ACTIONS(1663),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1663),
    [aux_sym_if_statement_token1] = ACTIONS(1663),
    [aux_sym_loop_statement_token1] = ACTIONS(1663),
    [aux_sym_repeat_statement_token1] = ACTIONS(1663),
    [aux_sym_while_statement_token1] = ACTIONS(1663),
    [aux_sym_break_statement_token1] = ACTIONS(1663),
    [aux_sym_leave_statement_token1] = ACTIONS(1663),
    [aux_sym_continue_statement_token1] = ACTIONS(1663),
    [aux_sym_iterate_statement_token1] = ACTIONS(1663),
    [aux_sym_raise_statement_token1] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1663),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_set_operation_token1] = ACTIONS(1663),
    [aux_sym_set_operation_token3] = ACTIONS(1663),
    [aux_sym_set_operation_token4] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1663),
    [aux_sym_having_clause_token1] = ACTIONS(1663),
    [aux_sym_qualify_clause_token1] = ACTIONS(1663),
    [aux_sym_limit_clause_token1] = ACTIONS(1663),
    [aux_sym_group_by_clause_token1] = ACTIONS(1663),
    [aux_sym_order_by_clause_token1] = ACTIONS(1663),
    [aux_sym_where_clause_token1] = ACTIONS(1663),
    [aux_sym_insert_statement_token1] = ACTIONS(1663),
    [aux_sym_truncate_statement_token1] = ACTIONS(1663),
    [aux_sym_update_statement_token1] = ACTIONS(1663),
    [aux_sym_merge_statement_token1] = ACTIONS(1663),
    [aux_sym_grant_statement_token1] = ACTIONS(1663),
    [aux_sym_revoke_statement_token1] = ACTIONS(1663),
    [aux_sym_export_data_statement_token1] = ACTIONS(1663),
    [aux_sym_load_data_statement_token1] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym__quoted_identifier] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [1918] = {
    [sym__keyword_as] = STATE(11585),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(4376),
    [sym_unnest_withoffset] = STATE(4377),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4378),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2781),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2783),
    [aux_sym_option_clause_token1] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [1919] = {
    [sym__keyword_as] = STATE(14897),
    [sym__unquoted_identifier] = ACTIONS(1477),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1477),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1477),
    [aux_sym_keyword_replace_token1] = ACTIONS(1477),
    [aux_sym__keyword_alter_token1] = ACTIONS(1477),
    [aux_sym__keyword_create_token1] = ACTIONS(1477),
    [aux_sym__keyword_drop_token1] = ACTIONS(1477),
    [aux_sym__keyword_from_token1] = ACTIONS(1477),
    [aux_sym__keyword_delete_token1] = ACTIONS(1477),
    [aux_sym__keyword_begin_token1] = ACTIONS(1477),
    [aux_sym__keyword_end_token1] = ACTIONS(1477),
    [aux_sym__keyword_between_token1] = ACTIONS(1477),
    [aux_sym__keyword_when_token1] = ACTIONS(1477),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1477),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1477),
    [aux_sym__keyword_like_token1] = ACTIONS(1477),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1477),
    [aux_sym__keyword_as_token1] = ACTIONS(1477),
    [aux_sym__keyword_window_token1] = ACTIONS(1477),
    [aux_sym__keyword_date_token1] = ACTIONS(1477),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1477),
    [aux_sym__keyword_time_token1] = ACTIONS(1477),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1477),
    [aux_sym__keyword_for_token1] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1477),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1477),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1477),
    [aux_sym_return_statement_token1] = ACTIONS(1477),
    [aux_sym_call_statement_token1] = ACTIONS(1477),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1477),
    [aux_sym_if_statement_token1] = ACTIONS(1477),
    [aux_sym_loop_statement_token1] = ACTIONS(1477),
    [aux_sym_repeat_statement_token1] = ACTIONS(1477),
    [aux_sym_while_statement_token1] = ACTIONS(1477),
    [aux_sym_break_statement_token1] = ACTIONS(1477),
    [aux_sym_leave_statement_token1] = ACTIONS(1477),
    [aux_sym_continue_statement_token1] = ACTIONS(1477),
    [aux_sym_iterate_statement_token1] = ACTIONS(1477),
    [aux_sym_raise_statement_token1] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1477),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1477),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_set_operation_token1] = ACTIONS(1477),
    [aux_sym_set_operation_token3] = ACTIONS(1477),
    [aux_sym_set_operation_token4] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1477),
    [aux_sym_having_clause_token1] = ACTIONS(1477),
    [aux_sym_qualify_clause_token1] = ACTIONS(1477),
    [aux_sym_limit_clause_token1] = ACTIONS(1477),
    [aux_sym_group_by_clause_token1] = ACTIONS(1477),
    [aux_sym_order_by_clause_token1] = ACTIONS(1477),
    [aux_sym_where_clause_token1] = ACTIONS(1477),
    [aux_sym_insert_statement_token1] = ACTIONS(1477),
    [aux_sym_truncate_statement_token1] = ACTIONS(1477),
    [aux_sym_update_statement_token1] = ACTIONS(1477),
    [aux_sym_merge_statement_token1] = ACTIONS(1477),
    [aux_sym_grant_statement_token1] = ACTIONS(1477),
    [aux_sym_revoke_statement_token1] = ACTIONS(1477),
    [aux_sym_export_data_statement_token1] = ACTIONS(1477),
    [aux_sym_load_data_statement_token1] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym__quoted_identifier] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [1920] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [sym__unquoted_identifier] = ACTIONS(1667),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1667),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1667),
    [aux_sym_keyword_replace_token1] = ACTIONS(1667),
    [aux_sym__keyword_alter_token1] = ACTIONS(1667),
    [aux_sym__keyword_create_token1] = ACTIONS(1667),
    [aux_sym__keyword_drop_token1] = ACTIONS(1667),
    [aux_sym__keyword_from_token1] = ACTIONS(1667),
    [aux_sym__keyword_delete_token1] = ACTIONS(1667),
    [aux_sym__keyword_begin_token1] = ACTIONS(1667),
    [aux_sym__keyword_end_token1] = ACTIONS(1667),
    [aux_sym__keyword_between_token1] = ACTIONS(1667),
    [aux_sym__keyword_when_token1] = ACTIONS(1667),
    [aux_sym__keyword_else_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1667),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1667),
    [aux_sym__keyword_like_token1] = ACTIONS(1667),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1667),
    [aux_sym__keyword_as_token1] = ACTIONS(1667),
    [aux_sym__keyword_window_token1] = ACTIONS(1667),
    [aux_sym__keyword_date_token1] = ACTIONS(1667),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1667),
    [aux_sym__keyword_time_token1] = ACTIONS(1667),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1667),
    [aux_sym__keyword_for_token1] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1667),
    [anon_sym_COMMA] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1667),
    [aux_sym_return_statement_token1] = ACTIONS(1667),
    [aux_sym_call_statement_token1] = ACTIONS(1667),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1667),
    [aux_sym_if_statement_token1] = ACTIONS(1667),
    [aux_sym_loop_statement_token1] = ACTIONS(1667),
    [aux_sym_repeat_statement_token1] = ACTIONS(1667),
    [aux_sym_while_statement_token1] = ACTIONS(1667),
    [aux_sym_break_statement_token1] = ACTIONS(1667),
    [aux_sym_leave_statement_token1] = ACTIONS(1667),
    [aux_sym_continue_statement_token1] = ACTIONS(1667),
    [aux_sym_iterate_statement_token1] = ACTIONS(1667),
    [aux_sym_raise_statement_token1] = ACTIONS(1667),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1667),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_set_operation_token1] = ACTIONS(1667),
    [aux_sym_set_operation_token3] = ACTIONS(1667),
    [aux_sym_set_operation_token4] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1667),
    [aux_sym_having_clause_token1] = ACTIONS(1667),
    [aux_sym_qualify_clause_token1] = ACTIONS(1667),
    [aux_sym_limit_clause_token1] = ACTIONS(1667),
    [aux_sym_group_by_clause_token1] = ACTIONS(1667),
    [aux_sym_order_by_clause_token1] = ACTIONS(1667),
    [aux_sym_where_clause_token1] = ACTIONS(1667),
    [aux_sym_insert_statement_token1] = ACTIONS(1667),
    [aux_sym_truncate_statement_token1] = ACTIONS(1667),
    [aux_sym_update_statement_token1] = ACTIONS(1667),
    [aux_sym_merge_statement_token1] = ACTIONS(1667),
    [aux_sym_grant_statement_token1] = ACTIONS(1667),
    [aux_sym_revoke_statement_token1] = ACTIONS(1667),
    [aux_sym_export_data_statement_token1] = ACTIONS(1667),
    [aux_sym_load_data_statement_token1] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym__quoted_identifier] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [1921] = {
    [sym__keyword_as] = STATE(11585),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(4227),
    [sym_unnest_withoffset] = STATE(4377),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4378),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2781),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2785),
    [aux_sym_option_clause_token1] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [1922] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [sym__unquoted_identifier] = ACTIONS(1855),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1855),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1855),
    [aux_sym_keyword_replace_token1] = ACTIONS(1855),
    [aux_sym__keyword_alter_token1] = ACTIONS(1855),
    [aux_sym__keyword_create_token1] = ACTIONS(1855),
    [aux_sym__keyword_drop_token1] = ACTIONS(1855),
    [aux_sym__keyword_from_token1] = ACTIONS(1855),
    [aux_sym__keyword_delete_token1] = ACTIONS(1855),
    [aux_sym__keyword_begin_token1] = ACTIONS(1855),
    [aux_sym__keyword_end_token1] = ACTIONS(1855),
    [aux_sym__keyword_between_token1] = ACTIONS(1855),
    [aux_sym__keyword_when_token1] = ACTIONS(1855),
    [aux_sym__keyword_else_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1855),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1855),
    [aux_sym__keyword_like_token1] = ACTIONS(1855),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1855),
    [aux_sym__keyword_as_token1] = ACTIONS(1855),
    [aux_sym__keyword_window_token1] = ACTIONS(1855),
    [aux_sym__keyword_date_token1] = ACTIONS(1855),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1855),
    [aux_sym__keyword_time_token1] = ACTIONS(1855),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1855),
    [aux_sym__keyword_for_token1] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1855),
    [aux_sym_return_statement_token1] = ACTIONS(1855),
    [aux_sym_call_statement_token1] = ACTIONS(1855),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1855),
    [aux_sym_if_statement_token1] = ACTIONS(1855),
    [aux_sym_loop_statement_token1] = ACTIONS(1855),
    [aux_sym_repeat_statement_token1] = ACTIONS(1855),
    [aux_sym_while_statement_token1] = ACTIONS(1855),
    [aux_sym_break_statement_token1] = ACTIONS(1855),
    [aux_sym_leave_statement_token1] = ACTIONS(1855),
    [aux_sym_continue_statement_token1] = ACTIONS(1855),
    [aux_sym_iterate_statement_token1] = ACTIONS(1855),
    [aux_sym_raise_statement_token1] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1855),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_set_operation_token1] = ACTIONS(1855),
    [aux_sym_set_operation_token3] = ACTIONS(1855),
    [aux_sym_set_operation_token4] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1855),
    [aux_sym_having_clause_token1] = ACTIONS(1855),
    [aux_sym_qualify_clause_token1] = ACTIONS(1855),
    [aux_sym_limit_clause_token1] = ACTIONS(1855),
    [aux_sym_group_by_clause_token1] = ACTIONS(1855),
    [aux_sym_order_by_clause_token1] = ACTIONS(1855),
    [aux_sym_where_clause_token1] = ACTIONS(1855),
    [aux_sym_insert_statement_token1] = ACTIONS(1855),
    [aux_sym_truncate_statement_token1] = ACTIONS(1855),
    [aux_sym_update_statement_token1] = ACTIONS(1855),
    [aux_sym_merge_statement_token1] = ACTIONS(1855),
    [aux_sym_grant_statement_token1] = ACTIONS(1855),
    [aux_sym_revoke_statement_token1] = ACTIONS(1855),
    [aux_sym_export_data_statement_token1] = ACTIONS(1855),
    [aux_sym_load_data_statement_token1] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym__quoted_identifier] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [1923] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [sym__unquoted_identifier] = ACTIONS(1671),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1671),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1671),
    [aux_sym_keyword_replace_token1] = ACTIONS(1671),
    [aux_sym__keyword_alter_token1] = ACTIONS(1671),
    [aux_sym__keyword_create_token1] = ACTIONS(1671),
    [aux_sym__keyword_drop_token1] = ACTIONS(1671),
    [aux_sym__keyword_from_token1] = ACTIONS(1671),
    [aux_sym__keyword_delete_token1] = ACTIONS(1671),
    [aux_sym__keyword_begin_token1] = ACTIONS(1671),
    [aux_sym__keyword_end_token1] = ACTIONS(1671),
    [aux_sym__keyword_between_token1] = ACTIONS(1671),
    [aux_sym__keyword_when_token1] = ACTIONS(1671),
    [aux_sym__keyword_else_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1671),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1671),
    [aux_sym__keyword_like_token1] = ACTIONS(1671),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1671),
    [aux_sym__keyword_as_token1] = ACTIONS(1671),
    [aux_sym__keyword_window_token1] = ACTIONS(1671),
    [aux_sym__keyword_date_token1] = ACTIONS(1671),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1671),
    [aux_sym__keyword_time_token1] = ACTIONS(1671),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1671),
    [aux_sym__keyword_for_token1] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1671),
    [anon_sym_COMMA] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1671),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1671),
    [aux_sym_return_statement_token1] = ACTIONS(1671),
    [aux_sym_call_statement_token1] = ACTIONS(1671),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1671),
    [aux_sym_if_statement_token1] = ACTIONS(1671),
    [aux_sym_loop_statement_token1] = ACTIONS(1671),
    [aux_sym_repeat_statement_token1] = ACTIONS(1671),
    [aux_sym_while_statement_token1] = ACTIONS(1671),
    [aux_sym_break_statement_token1] = ACTIONS(1671),
    [aux_sym_leave_statement_token1] = ACTIONS(1671),
    [aux_sym_continue_statement_token1] = ACTIONS(1671),
    [aux_sym_iterate_statement_token1] = ACTIONS(1671),
    [aux_sym_raise_statement_token1] = ACTIONS(1671),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1671),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_set_operation_token1] = ACTIONS(1671),
    [aux_sym_set_operation_token3] = ACTIONS(1671),
    [aux_sym_set_operation_token4] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1671),
    [aux_sym_having_clause_token1] = ACTIONS(1671),
    [aux_sym_qualify_clause_token1] = ACTIONS(1671),
    [aux_sym_limit_clause_token1] = ACTIONS(1671),
    [aux_sym_group_by_clause_token1] = ACTIONS(1671),
    [aux_sym_order_by_clause_token1] = ACTIONS(1671),
    [aux_sym_where_clause_token1] = ACTIONS(1671),
    [aux_sym_insert_statement_token1] = ACTIONS(1671),
    [aux_sym_truncate_statement_token1] = ACTIONS(1671),
    [aux_sym_update_statement_token1] = ACTIONS(1671),
    [aux_sym_merge_statement_token1] = ACTIONS(1671),
    [aux_sym_grant_statement_token1] = ACTIONS(1671),
    [aux_sym_revoke_statement_token1] = ACTIONS(1671),
    [aux_sym_export_data_statement_token1] = ACTIONS(1671),
    [aux_sym_load_data_statement_token1] = ACTIONS(1671),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym__quoted_identifier] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [1924] = {
    [ts_builtin_sym_end] = ACTIONS(1805),
    [sym__unquoted_identifier] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1807),
    [aux_sym_keyword_replace_token1] = ACTIONS(1807),
    [aux_sym__keyword_alter_token1] = ACTIONS(1807),
    [aux_sym__keyword_create_token1] = ACTIONS(1807),
    [aux_sym__keyword_drop_token1] = ACTIONS(1807),
    [aux_sym__keyword_from_token1] = ACTIONS(1807),
    [aux_sym__keyword_delete_token1] = ACTIONS(1807),
    [aux_sym__keyword_begin_token1] = ACTIONS(1807),
    [aux_sym__keyword_end_token1] = ACTIONS(1807),
    [aux_sym__keyword_between_token1] = ACTIONS(1807),
    [aux_sym__keyword_when_token1] = ACTIONS(1807),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1807),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1807),
    [aux_sym__keyword_like_token1] = ACTIONS(1807),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1807),
    [aux_sym__keyword_as_token1] = ACTIONS(1807),
    [aux_sym__keyword_window_token1] = ACTIONS(1807),
    [aux_sym__keyword_date_token1] = ACTIONS(1807),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1807),
    [aux_sym__keyword_time_token1] = ACTIONS(1807),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1807),
    [aux_sym__keyword_for_token1] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1807),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1807),
    [aux_sym_return_statement_token1] = ACTIONS(1807),
    [aux_sym_call_statement_token1] = ACTIONS(1807),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1807),
    [aux_sym_if_statement_token1] = ACTIONS(1807),
    [aux_sym_loop_statement_token1] = ACTIONS(1807),
    [aux_sym_repeat_statement_token1] = ACTIONS(1807),
    [aux_sym_while_statement_token1] = ACTIONS(1807),
    [aux_sym_break_statement_token1] = ACTIONS(1807),
    [aux_sym_leave_statement_token1] = ACTIONS(1807),
    [aux_sym_continue_statement_token1] = ACTIONS(1807),
    [aux_sym_iterate_statement_token1] = ACTIONS(1807),
    [aux_sym_raise_statement_token1] = ACTIONS(1807),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1807),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1807),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_set_operation_token1] = ACTIONS(1807),
    [aux_sym_set_operation_token3] = ACTIONS(1807),
    [aux_sym_set_operation_token4] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1807),
    [aux_sym_having_clause_token1] = ACTIONS(1807),
    [aux_sym_qualify_clause_token1] = ACTIONS(1807),
    [aux_sym_limit_clause_token1] = ACTIONS(1807),
    [aux_sym_group_by_clause_token1] = ACTIONS(1807),
    [aux_sym_order_by_clause_token1] = ACTIONS(1807),
    [aux_sym_where_clause_token1] = ACTIONS(1807),
    [aux_sym_insert_statement_token1] = ACTIONS(1807),
    [aux_sym_truncate_statement_token1] = ACTIONS(1807),
    [aux_sym_update_statement_token1] = ACTIONS(1807),
    [aux_sym_merge_statement_token1] = ACTIONS(1807),
    [aux_sym_grant_statement_token1] = ACTIONS(1807),
    [aux_sym_revoke_statement_token1] = ACTIONS(1807),
    [aux_sym_export_data_statement_token1] = ACTIONS(1807),
    [aux_sym_load_data_statement_token1] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym__quoted_identifier] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [1925] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [sym__unquoted_identifier] = ACTIONS(1675),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1675),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1675),
    [aux_sym_keyword_replace_token1] = ACTIONS(1675),
    [aux_sym__keyword_alter_token1] = ACTIONS(1675),
    [aux_sym__keyword_create_token1] = ACTIONS(1675),
    [aux_sym__keyword_drop_token1] = ACTIONS(1675),
    [aux_sym__keyword_from_token1] = ACTIONS(1675),
    [aux_sym__keyword_delete_token1] = ACTIONS(1675),
    [aux_sym__keyword_begin_token1] = ACTIONS(1675),
    [aux_sym__keyword_end_token1] = ACTIONS(1675),
    [aux_sym__keyword_between_token1] = ACTIONS(1675),
    [aux_sym__keyword_when_token1] = ACTIONS(1675),
    [aux_sym__keyword_else_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1675),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1675),
    [aux_sym__keyword_like_token1] = ACTIONS(1675),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1675),
    [aux_sym__keyword_as_token1] = ACTIONS(1675),
    [aux_sym__keyword_window_token1] = ACTIONS(1675),
    [aux_sym__keyword_date_token1] = ACTIONS(1675),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1675),
    [aux_sym__keyword_time_token1] = ACTIONS(1675),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1675),
    [aux_sym__keyword_for_token1] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1675),
    [anon_sym_COMMA] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1675),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1675),
    [aux_sym_return_statement_token1] = ACTIONS(1675),
    [aux_sym_call_statement_token1] = ACTIONS(1675),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1675),
    [aux_sym_if_statement_token1] = ACTIONS(1675),
    [aux_sym_loop_statement_token1] = ACTIONS(1675),
    [aux_sym_repeat_statement_token1] = ACTIONS(1675),
    [aux_sym_while_statement_token1] = ACTIONS(1675),
    [aux_sym_break_statement_token1] = ACTIONS(1675),
    [aux_sym_leave_statement_token1] = ACTIONS(1675),
    [aux_sym_continue_statement_token1] = ACTIONS(1675),
    [aux_sym_iterate_statement_token1] = ACTIONS(1675),
    [aux_sym_raise_statement_token1] = ACTIONS(1675),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1675),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1675),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_set_operation_token1] = ACTIONS(1675),
    [aux_sym_set_operation_token3] = ACTIONS(1675),
    [aux_sym_set_operation_token4] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1675),
    [aux_sym_having_clause_token1] = ACTIONS(1675),
    [aux_sym_qualify_clause_token1] = ACTIONS(1675),
    [aux_sym_limit_clause_token1] = ACTIONS(1675),
    [aux_sym_group_by_clause_token1] = ACTIONS(1675),
    [aux_sym_order_by_clause_token1] = ACTIONS(1675),
    [aux_sym_where_clause_token1] = ACTIONS(1675),
    [aux_sym_insert_statement_token1] = ACTIONS(1675),
    [aux_sym_truncate_statement_token1] = ACTIONS(1675),
    [aux_sym_update_statement_token1] = ACTIONS(1675),
    [aux_sym_merge_statement_token1] = ACTIONS(1675),
    [aux_sym_grant_statement_token1] = ACTIONS(1675),
    [aux_sym_revoke_statement_token1] = ACTIONS(1675),
    [aux_sym_export_data_statement_token1] = ACTIONS(1675),
    [aux_sym_load_data_statement_token1] = ACTIONS(1675),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym__quoted_identifier] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [1926] = {
    [sym__unquoted_identifier] = ACTIONS(1589),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1589),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1589),
    [aux_sym_keyword_replace_token1] = ACTIONS(1589),
    [aux_sym__keyword_alter_token1] = ACTIONS(1589),
    [aux_sym__keyword_create_token1] = ACTIONS(1589),
    [aux_sym__keyword_drop_token1] = ACTIONS(1589),
    [aux_sym__keyword_from_token1] = ACTIONS(1589),
    [aux_sym__keyword_delete_token1] = ACTIONS(1589),
    [aux_sym__keyword_begin_token1] = ACTIONS(1589),
    [aux_sym__keyword_end_token1] = ACTIONS(1589),
    [aux_sym__keyword_between_token1] = ACTIONS(1589),
    [aux_sym__keyword_when_token1] = ACTIONS(1589),
    [aux_sym__keyword_else_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1589),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1589),
    [aux_sym__keyword_like_token1] = ACTIONS(1589),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1589),
    [aux_sym__keyword_as_token1] = ACTIONS(1589),
    [aux_sym__keyword_window_token1] = ACTIONS(1589),
    [aux_sym__keyword_date_token1] = ACTIONS(1589),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1589),
    [aux_sym__keyword_time_token1] = ACTIONS(1589),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1589),
    [aux_sym__keyword_for_token1] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1589),
    [anon_sym_COMMA] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1589),
    [aux_sym_return_statement_token1] = ACTIONS(1589),
    [aux_sym_call_statement_token1] = ACTIONS(1589),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1589),
    [aux_sym_if_statement_token1] = ACTIONS(1589),
    [aux_sym_loop_statement_token1] = ACTIONS(1589),
    [aux_sym_repeat_statement_token1] = ACTIONS(1589),
    [aux_sym_while_statement_token1] = ACTIONS(1589),
    [aux_sym_break_statement_token1] = ACTIONS(1589),
    [aux_sym_leave_statement_token1] = ACTIONS(1589),
    [aux_sym_continue_statement_token1] = ACTIONS(1589),
    [aux_sym_iterate_statement_token1] = ACTIONS(1589),
    [aux_sym_raise_statement_token1] = ACTIONS(1589),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1589),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1589),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_set_operation_token1] = ACTIONS(1589),
    [aux_sym_set_operation_token3] = ACTIONS(1589),
    [aux_sym_set_operation_token4] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1589),
    [aux_sym_having_clause_token1] = ACTIONS(1589),
    [aux_sym_qualify_clause_token1] = ACTIONS(1589),
    [aux_sym_limit_clause_token1] = ACTIONS(1589),
    [aux_sym_group_by_clause_token1] = ACTIONS(1589),
    [aux_sym_order_by_clause_token1] = ACTIONS(1589),
    [aux_sym_where_clause_token1] = ACTIONS(1589),
    [aux_sym_insert_statement_token1] = ACTIONS(1589),
    [aux_sym_truncate_statement_token1] = ACTIONS(1589),
    [aux_sym_update_statement_token1] = ACTIONS(1589),
    [aux_sym_merge_statement_token1] = ACTIONS(1589),
    [aux_sym_grant_statement_token1] = ACTIONS(1589),
    [aux_sym_revoke_statement_token1] = ACTIONS(1589),
    [aux_sym_export_data_statement_token1] = ACTIONS(1589),
    [aux_sym_load_data_statement_token1] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym__quoted_identifier] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [1927] = {
    [sym_unnest_withoffset] = STATE(2241),
    [sym__unquoted_identifier] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1525),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1525),
    [aux_sym__keyword_create_token1] = ACTIONS(1525),
    [aux_sym__keyword_drop_token1] = ACTIONS(1525),
    [aux_sym__keyword_from_token1] = ACTIONS(1525),
    [aux_sym__keyword_delete_token1] = ACTIONS(1525),
    [aux_sym__keyword_begin_token1] = ACTIONS(1525),
    [aux_sym__keyword_end_token1] = ACTIONS(1525),
    [aux_sym__keyword_between_token1] = ACTIONS(1525),
    [aux_sym__keyword_when_token1] = ACTIONS(1525),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1525),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1525),
    [aux_sym__keyword_like_token1] = ACTIONS(1525),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1525),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_window_token1] = ACTIONS(1525),
    [aux_sym__keyword_date_token1] = ACTIONS(1525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1525),
    [aux_sym__keyword_time_token1] = ACTIONS(1525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1525),
    [aux_sym_return_statement_token1] = ACTIONS(1525),
    [aux_sym_call_statement_token1] = ACTIONS(1525),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1525),
    [aux_sym_if_statement_token1] = ACTIONS(1525),
    [aux_sym_loop_statement_token1] = ACTIONS(1525),
    [aux_sym_repeat_statement_token1] = ACTIONS(1525),
    [aux_sym_while_statement_token1] = ACTIONS(1525),
    [aux_sym_break_statement_token1] = ACTIONS(1525),
    [aux_sym_leave_statement_token1] = ACTIONS(1525),
    [aux_sym_continue_statement_token1] = ACTIONS(1525),
    [aux_sym_iterate_statement_token1] = ACTIONS(1525),
    [aux_sym_raise_statement_token1] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1525),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1525),
    [aux_sym_set_operation_token3] = ACTIONS(1525),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1525),
    [aux_sym_having_clause_token1] = ACTIONS(1525),
    [aux_sym_qualify_clause_token1] = ACTIONS(1525),
    [aux_sym_limit_clause_token1] = ACTIONS(1525),
    [aux_sym_group_by_clause_token1] = ACTIONS(1525),
    [aux_sym_order_by_clause_token1] = ACTIONS(1525),
    [aux_sym_where_clause_token1] = ACTIONS(1525),
    [aux_sym_insert_statement_token1] = ACTIONS(1525),
    [aux_sym_truncate_statement_token1] = ACTIONS(1525),
    [aux_sym_update_statement_token1] = ACTIONS(1525),
    [aux_sym_merge_statement_token1] = ACTIONS(1525),
    [aux_sym_grant_statement_token1] = ACTIONS(1525),
    [aux_sym_revoke_statement_token1] = ACTIONS(1525),
    [aux_sym_export_data_statement_token1] = ACTIONS(1525),
    [aux_sym_load_data_statement_token1] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym__quoted_identifier] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [1928] = {
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_from_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [1929] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [sym__unquoted_identifier] = ACTIONS(1679),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1679),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1679),
    [aux_sym_keyword_replace_token1] = ACTIONS(1679),
    [aux_sym__keyword_alter_token1] = ACTIONS(1679),
    [aux_sym__keyword_create_token1] = ACTIONS(1679),
    [aux_sym__keyword_drop_token1] = ACTIONS(1679),
    [aux_sym__keyword_from_token1] = ACTIONS(1679),
    [aux_sym__keyword_delete_token1] = ACTIONS(1679),
    [aux_sym__keyword_begin_token1] = ACTIONS(1679),
    [aux_sym__keyword_end_token1] = ACTIONS(1679),
    [aux_sym__keyword_between_token1] = ACTIONS(1679),
    [aux_sym__keyword_when_token1] = ACTIONS(1679),
    [aux_sym__keyword_else_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1679),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1679),
    [aux_sym__keyword_like_token1] = ACTIONS(1679),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1679),
    [aux_sym__keyword_as_token1] = ACTIONS(1679),
    [aux_sym__keyword_window_token1] = ACTIONS(1679),
    [aux_sym__keyword_date_token1] = ACTIONS(1679),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1679),
    [aux_sym__keyword_time_token1] = ACTIONS(1679),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1679),
    [aux_sym__keyword_for_token1] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1679),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1679),
    [aux_sym_return_statement_token1] = ACTIONS(1679),
    [aux_sym_call_statement_token1] = ACTIONS(1679),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1679),
    [aux_sym_if_statement_token1] = ACTIONS(1679),
    [aux_sym_loop_statement_token1] = ACTIONS(1679),
    [aux_sym_repeat_statement_token1] = ACTIONS(1679),
    [aux_sym_while_statement_token1] = ACTIONS(1679),
    [aux_sym_break_statement_token1] = ACTIONS(1679),
    [aux_sym_leave_statement_token1] = ACTIONS(1679),
    [aux_sym_continue_statement_token1] = ACTIONS(1679),
    [aux_sym_iterate_statement_token1] = ACTIONS(1679),
    [aux_sym_raise_statement_token1] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1679),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_set_operation_token1] = ACTIONS(1679),
    [aux_sym_set_operation_token3] = ACTIONS(1679),
    [aux_sym_set_operation_token4] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1679),
    [aux_sym_having_clause_token1] = ACTIONS(1679),
    [aux_sym_qualify_clause_token1] = ACTIONS(1679),
    [aux_sym_limit_clause_token1] = ACTIONS(1679),
    [aux_sym_group_by_clause_token1] = ACTIONS(1679),
    [aux_sym_order_by_clause_token1] = ACTIONS(1679),
    [aux_sym_where_clause_token1] = ACTIONS(1679),
    [aux_sym_insert_statement_token1] = ACTIONS(1679),
    [aux_sym_truncate_statement_token1] = ACTIONS(1679),
    [aux_sym_update_statement_token1] = ACTIONS(1679),
    [aux_sym_merge_statement_token1] = ACTIONS(1679),
    [aux_sym_grant_statement_token1] = ACTIONS(1679),
    [aux_sym_revoke_statement_token1] = ACTIONS(1679),
    [aux_sym_export_data_statement_token1] = ACTIONS(1679),
    [aux_sym_load_data_statement_token1] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym__quoted_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [1930] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1859),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_from_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_end_token1] = ACTIONS(1859),
    [aux_sym__keyword_between_token1] = ACTIONS(1859),
    [aux_sym__keyword_when_token1] = ACTIONS(1859),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1859),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1859),
    [aux_sym__keyword_like_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_window_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1859),
    [aux_sym_if_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_repeat_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token3] = ACTIONS(1859),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_having_clause_token1] = ACTIONS(1859),
    [aux_sym_qualify_clause_token1] = ACTIONS(1859),
    [aux_sym_limit_clause_token1] = ACTIONS(1859),
    [aux_sym_group_by_clause_token1] = ACTIONS(1859),
    [aux_sym_order_by_clause_token1] = ACTIONS(1859),
    [aux_sym_where_clause_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [1931] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1859),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_from_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_end_token1] = ACTIONS(1859),
    [aux_sym__keyword_between_token1] = ACTIONS(1859),
    [aux_sym__keyword_when_token1] = ACTIONS(1859),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1859),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1859),
    [aux_sym__keyword_like_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_window_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1859),
    [aux_sym_if_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_repeat_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token3] = ACTIONS(1859),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_having_clause_token1] = ACTIONS(1859),
    [aux_sym_qualify_clause_token1] = ACTIONS(1859),
    [aux_sym_limit_clause_token1] = ACTIONS(1859),
    [aux_sym_group_by_clause_token1] = ACTIONS(1859),
    [aux_sym_order_by_clause_token1] = ACTIONS(1859),
    [aux_sym_where_clause_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [1932] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_from_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [1933] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_from_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [1934] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_from_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [1935] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_from_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [1936] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [1937] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [1938] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_from_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [1939] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [1940] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [1941] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [1942] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [1943] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [1944] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1431),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_from_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_end_token1] = ACTIONS(1431),
    [aux_sym__keyword_between_token1] = ACTIONS(1431),
    [aux_sym__keyword_when_token1] = ACTIONS(1431),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1431),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1431),
    [aux_sym__keyword_like_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_window_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1431),
    [aux_sym_if_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_repeat_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token3] = ACTIONS(1431),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_having_clause_token1] = ACTIONS(1431),
    [aux_sym_qualify_clause_token1] = ACTIONS(1431),
    [aux_sym_limit_clause_token1] = ACTIONS(1431),
    [aux_sym_group_by_clause_token1] = ACTIONS(1431),
    [aux_sym_order_by_clause_token1] = ACTIONS(1431),
    [aux_sym_where_clause_token1] = ACTIONS(1431),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [1945] = {
    [sym__keyword_as] = STATE(11636),
    [sym__keyword_date] = STATE(4840),
    [sym__keyword_datetime] = STATE(4840),
    [sym__keyword_time] = STATE(4840),
    [sym__keyword_timestamp] = STATE(4840),
    [sym_as_alias] = STATE(4483),
    [sym_unnest_withoffset] = STATE(4867),
    [sym__type_chrono] = STATE(4780),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4851),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2789),
    [aux_sym__keyword_date_token1] = ACTIONS(2791),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2791),
    [aux_sym__keyword_time_token1] = ACTIONS(2791),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2791),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_into_clause_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [1946] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [sym__unquoted_identifier] = ACTIONS(1691),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1691),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1691),
    [aux_sym_keyword_replace_token1] = ACTIONS(1691),
    [aux_sym__keyword_alter_token1] = ACTIONS(1691),
    [aux_sym__keyword_create_token1] = ACTIONS(1691),
    [aux_sym__keyword_drop_token1] = ACTIONS(1691),
    [aux_sym__keyword_from_token1] = ACTIONS(1691),
    [aux_sym__keyword_delete_token1] = ACTIONS(1691),
    [aux_sym__keyword_begin_token1] = ACTIONS(1691),
    [aux_sym__keyword_end_token1] = ACTIONS(1691),
    [aux_sym__keyword_between_token1] = ACTIONS(1691),
    [aux_sym__keyword_when_token1] = ACTIONS(1691),
    [aux_sym__keyword_else_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1691),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1691),
    [aux_sym__keyword_like_token1] = ACTIONS(1691),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1691),
    [aux_sym__keyword_as_token1] = ACTIONS(1691),
    [aux_sym__keyword_window_token1] = ACTIONS(1691),
    [aux_sym__keyword_date_token1] = ACTIONS(1691),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1691),
    [aux_sym__keyword_time_token1] = ACTIONS(1691),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1691),
    [aux_sym__keyword_for_token1] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1691),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1691),
    [aux_sym_return_statement_token1] = ACTIONS(1691),
    [aux_sym_call_statement_token1] = ACTIONS(1691),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1691),
    [aux_sym_if_statement_token1] = ACTIONS(1691),
    [aux_sym_loop_statement_token1] = ACTIONS(1691),
    [aux_sym_repeat_statement_token1] = ACTIONS(1691),
    [aux_sym_while_statement_token1] = ACTIONS(1691),
    [aux_sym_break_statement_token1] = ACTIONS(1691),
    [aux_sym_leave_statement_token1] = ACTIONS(1691),
    [aux_sym_continue_statement_token1] = ACTIONS(1691),
    [aux_sym_iterate_statement_token1] = ACTIONS(1691),
    [aux_sym_raise_statement_token1] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1691),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_set_operation_token1] = ACTIONS(1691),
    [aux_sym_set_operation_token3] = ACTIONS(1691),
    [aux_sym_set_operation_token4] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1691),
    [aux_sym_having_clause_token1] = ACTIONS(1691),
    [aux_sym_qualify_clause_token1] = ACTIONS(1691),
    [aux_sym_limit_clause_token1] = ACTIONS(1691),
    [aux_sym_group_by_clause_token1] = ACTIONS(1691),
    [aux_sym_order_by_clause_token1] = ACTIONS(1691),
    [aux_sym_where_clause_token1] = ACTIONS(1691),
    [aux_sym_insert_statement_token1] = ACTIONS(1691),
    [aux_sym_truncate_statement_token1] = ACTIONS(1691),
    [aux_sym_update_statement_token1] = ACTIONS(1691),
    [aux_sym_merge_statement_token1] = ACTIONS(1691),
    [aux_sym_grant_statement_token1] = ACTIONS(1691),
    [aux_sym_revoke_statement_token1] = ACTIONS(1691),
    [aux_sym_export_data_statement_token1] = ACTIONS(1691),
    [aux_sym_load_data_statement_token1] = ACTIONS(1691),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym__quoted_identifier] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [1947] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [sym__unquoted_identifier] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1615),
    [aux_sym_keyword_replace_token1] = ACTIONS(1615),
    [aux_sym__keyword_alter_token1] = ACTIONS(1615),
    [aux_sym__keyword_create_token1] = ACTIONS(1615),
    [aux_sym__keyword_drop_token1] = ACTIONS(1615),
    [aux_sym__keyword_from_token1] = ACTIONS(1615),
    [aux_sym__keyword_delete_token1] = ACTIONS(1615),
    [aux_sym__keyword_begin_token1] = ACTIONS(1615),
    [aux_sym__keyword_end_token1] = ACTIONS(1615),
    [aux_sym__keyword_between_token1] = ACTIONS(1615),
    [aux_sym__keyword_when_token1] = ACTIONS(1615),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1615),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1615),
    [aux_sym__keyword_like_token1] = ACTIONS(1615),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1615),
    [aux_sym__keyword_as_token1] = ACTIONS(1615),
    [aux_sym__keyword_window_token1] = ACTIONS(1615),
    [aux_sym__keyword_date_token1] = ACTIONS(1615),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1615),
    [aux_sym__keyword_time_token1] = ACTIONS(1615),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1615),
    [aux_sym__keyword_for_token1] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1615),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1615),
    [aux_sym_return_statement_token1] = ACTIONS(1615),
    [aux_sym_call_statement_token1] = ACTIONS(1615),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1615),
    [aux_sym_if_statement_token1] = ACTIONS(1615),
    [aux_sym_loop_statement_token1] = ACTIONS(1615),
    [aux_sym_repeat_statement_token1] = ACTIONS(1615),
    [aux_sym_while_statement_token1] = ACTIONS(1615),
    [aux_sym_break_statement_token1] = ACTIONS(1615),
    [aux_sym_leave_statement_token1] = ACTIONS(1615),
    [aux_sym_continue_statement_token1] = ACTIONS(1615),
    [aux_sym_iterate_statement_token1] = ACTIONS(1615),
    [aux_sym_raise_statement_token1] = ACTIONS(1615),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1615),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1615),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_set_operation_token1] = ACTIONS(1615),
    [aux_sym_set_operation_token3] = ACTIONS(1615),
    [aux_sym_set_operation_token4] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1615),
    [aux_sym_having_clause_token1] = ACTIONS(1615),
    [aux_sym_qualify_clause_token1] = ACTIONS(1615),
    [aux_sym_limit_clause_token1] = ACTIONS(1615),
    [aux_sym_group_by_clause_token1] = ACTIONS(1615),
    [aux_sym_order_by_clause_token1] = ACTIONS(1615),
    [aux_sym_where_clause_token1] = ACTIONS(1615),
    [aux_sym_insert_statement_token1] = ACTIONS(1615),
    [aux_sym_truncate_statement_token1] = ACTIONS(1615),
    [aux_sym_update_statement_token1] = ACTIONS(1615),
    [aux_sym_merge_statement_token1] = ACTIONS(1615),
    [aux_sym_grant_statement_token1] = ACTIONS(1615),
    [aux_sym_revoke_statement_token1] = ACTIONS(1615),
    [aux_sym_export_data_statement_token1] = ACTIONS(1615),
    [aux_sym_load_data_statement_token1] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym__quoted_identifier] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [1948] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [sym__unquoted_identifier] = ACTIONS(1695),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1695),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1695),
    [aux_sym_keyword_replace_token1] = ACTIONS(1695),
    [aux_sym__keyword_alter_token1] = ACTIONS(1695),
    [aux_sym__keyword_create_token1] = ACTIONS(1695),
    [aux_sym__keyword_drop_token1] = ACTIONS(1695),
    [aux_sym__keyword_from_token1] = ACTIONS(1695),
    [aux_sym__keyword_delete_token1] = ACTIONS(1695),
    [aux_sym__keyword_begin_token1] = ACTIONS(1695),
    [aux_sym__keyword_end_token1] = ACTIONS(1695),
    [aux_sym__keyword_between_token1] = ACTIONS(1695),
    [aux_sym__keyword_when_token1] = ACTIONS(1695),
    [aux_sym__keyword_else_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1695),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1695),
    [aux_sym__keyword_like_token1] = ACTIONS(1695),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1695),
    [aux_sym__keyword_as_token1] = ACTIONS(1695),
    [aux_sym__keyword_window_token1] = ACTIONS(1695),
    [aux_sym__keyword_date_token1] = ACTIONS(1695),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1695),
    [aux_sym__keyword_time_token1] = ACTIONS(1695),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1695),
    [aux_sym__keyword_for_token1] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1695),
    [anon_sym_COMMA] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1695),
    [aux_sym_return_statement_token1] = ACTIONS(1695),
    [aux_sym_call_statement_token1] = ACTIONS(1695),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1695),
    [aux_sym_if_statement_token1] = ACTIONS(1695),
    [aux_sym_loop_statement_token1] = ACTIONS(1695),
    [aux_sym_repeat_statement_token1] = ACTIONS(1695),
    [aux_sym_while_statement_token1] = ACTIONS(1695),
    [aux_sym_break_statement_token1] = ACTIONS(1695),
    [aux_sym_leave_statement_token1] = ACTIONS(1695),
    [aux_sym_continue_statement_token1] = ACTIONS(1695),
    [aux_sym_iterate_statement_token1] = ACTIONS(1695),
    [aux_sym_raise_statement_token1] = ACTIONS(1695),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1695),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_set_operation_token1] = ACTIONS(1695),
    [aux_sym_set_operation_token3] = ACTIONS(1695),
    [aux_sym_set_operation_token4] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1695),
    [aux_sym_having_clause_token1] = ACTIONS(1695),
    [aux_sym_qualify_clause_token1] = ACTIONS(1695),
    [aux_sym_limit_clause_token1] = ACTIONS(1695),
    [aux_sym_group_by_clause_token1] = ACTIONS(1695),
    [aux_sym_order_by_clause_token1] = ACTIONS(1695),
    [aux_sym_where_clause_token1] = ACTIONS(1695),
    [aux_sym_insert_statement_token1] = ACTIONS(1695),
    [aux_sym_truncate_statement_token1] = ACTIONS(1695),
    [aux_sym_update_statement_token1] = ACTIONS(1695),
    [aux_sym_merge_statement_token1] = ACTIONS(1695),
    [aux_sym_grant_statement_token1] = ACTIONS(1695),
    [aux_sym_revoke_statement_token1] = ACTIONS(1695),
    [aux_sym_export_data_statement_token1] = ACTIONS(1695),
    [aux_sym_load_data_statement_token1] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym__quoted_identifier] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [1949] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [sym__unquoted_identifier] = ACTIONS(1703),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1703),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1703),
    [aux_sym_keyword_replace_token1] = ACTIONS(1703),
    [aux_sym__keyword_alter_token1] = ACTIONS(1703),
    [aux_sym__keyword_create_token1] = ACTIONS(1703),
    [aux_sym__keyword_drop_token1] = ACTIONS(1703),
    [aux_sym__keyword_from_token1] = ACTIONS(1703),
    [aux_sym__keyword_delete_token1] = ACTIONS(1703),
    [aux_sym__keyword_begin_token1] = ACTIONS(1703),
    [aux_sym__keyword_end_token1] = ACTIONS(1703),
    [aux_sym__keyword_between_token1] = ACTIONS(1703),
    [aux_sym__keyword_when_token1] = ACTIONS(1703),
    [aux_sym__keyword_else_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1703),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1703),
    [aux_sym__keyword_like_token1] = ACTIONS(1703),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1703),
    [aux_sym__keyword_as_token1] = ACTIONS(1703),
    [aux_sym__keyword_window_token1] = ACTIONS(1703),
    [aux_sym__keyword_date_token1] = ACTIONS(1703),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1703),
    [aux_sym__keyword_time_token1] = ACTIONS(1703),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1703),
    [aux_sym__keyword_for_token1] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1703),
    [aux_sym_return_statement_token1] = ACTIONS(1703),
    [aux_sym_call_statement_token1] = ACTIONS(1703),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1703),
    [aux_sym_if_statement_token1] = ACTIONS(1703),
    [aux_sym_loop_statement_token1] = ACTIONS(1703),
    [aux_sym_repeat_statement_token1] = ACTIONS(1703),
    [aux_sym_while_statement_token1] = ACTIONS(1703),
    [aux_sym_break_statement_token1] = ACTIONS(1703),
    [aux_sym_leave_statement_token1] = ACTIONS(1703),
    [aux_sym_continue_statement_token1] = ACTIONS(1703),
    [aux_sym_iterate_statement_token1] = ACTIONS(1703),
    [aux_sym_raise_statement_token1] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1703),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_set_operation_token1] = ACTIONS(1703),
    [aux_sym_set_operation_token3] = ACTIONS(1703),
    [aux_sym_set_operation_token4] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1703),
    [aux_sym_having_clause_token1] = ACTIONS(1703),
    [aux_sym_qualify_clause_token1] = ACTIONS(1703),
    [aux_sym_limit_clause_token1] = ACTIONS(1703),
    [aux_sym_group_by_clause_token1] = ACTIONS(1703),
    [aux_sym_order_by_clause_token1] = ACTIONS(1703),
    [aux_sym_where_clause_token1] = ACTIONS(1703),
    [aux_sym_insert_statement_token1] = ACTIONS(1703),
    [aux_sym_truncate_statement_token1] = ACTIONS(1703),
    [aux_sym_update_statement_token1] = ACTIONS(1703),
    [aux_sym_merge_statement_token1] = ACTIONS(1703),
    [aux_sym_grant_statement_token1] = ACTIONS(1703),
    [aux_sym_revoke_statement_token1] = ACTIONS(1703),
    [aux_sym_export_data_statement_token1] = ACTIONS(1703),
    [aux_sym_load_data_statement_token1] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym__quoted_identifier] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [1950] = {
    [ts_builtin_sym_end] = ACTIONS(1813),
    [sym__unquoted_identifier] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1815),
    [aux_sym_keyword_replace_token1] = ACTIONS(1815),
    [aux_sym__keyword_alter_token1] = ACTIONS(1815),
    [aux_sym__keyword_create_token1] = ACTIONS(1815),
    [aux_sym__keyword_drop_token1] = ACTIONS(1815),
    [aux_sym__keyword_from_token1] = ACTIONS(1815),
    [aux_sym__keyword_delete_token1] = ACTIONS(1815),
    [aux_sym__keyword_begin_token1] = ACTIONS(1815),
    [aux_sym__keyword_end_token1] = ACTIONS(1815),
    [aux_sym__keyword_between_token1] = ACTIONS(1815),
    [aux_sym__keyword_when_token1] = ACTIONS(1815),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1815),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1815),
    [aux_sym__keyword_like_token1] = ACTIONS(1815),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1815),
    [aux_sym__keyword_as_token1] = ACTIONS(1815),
    [aux_sym__keyword_window_token1] = ACTIONS(1815),
    [aux_sym__keyword_date_token1] = ACTIONS(1815),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1815),
    [aux_sym__keyword_time_token1] = ACTIONS(1815),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1815),
    [aux_sym__keyword_for_token1] = ACTIONS(1815),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1815),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1815),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1815),
    [aux_sym_return_statement_token1] = ACTIONS(1815),
    [aux_sym_call_statement_token1] = ACTIONS(1815),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1815),
    [aux_sym_if_statement_token1] = ACTIONS(1815),
    [aux_sym_loop_statement_token1] = ACTIONS(1815),
    [aux_sym_repeat_statement_token1] = ACTIONS(1815),
    [aux_sym_while_statement_token1] = ACTIONS(1815),
    [aux_sym_break_statement_token1] = ACTIONS(1815),
    [aux_sym_leave_statement_token1] = ACTIONS(1815),
    [aux_sym_continue_statement_token1] = ACTIONS(1815),
    [aux_sym_iterate_statement_token1] = ACTIONS(1815),
    [aux_sym_raise_statement_token1] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1815),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_set_operation_token1] = ACTIONS(1815),
    [aux_sym_set_operation_token3] = ACTIONS(1815),
    [aux_sym_set_operation_token4] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1815),
    [aux_sym_having_clause_token1] = ACTIONS(1815),
    [aux_sym_qualify_clause_token1] = ACTIONS(1815),
    [aux_sym_limit_clause_token1] = ACTIONS(1815),
    [aux_sym_group_by_clause_token1] = ACTIONS(1815),
    [aux_sym_order_by_clause_token1] = ACTIONS(1815),
    [aux_sym_where_clause_token1] = ACTIONS(1815),
    [aux_sym_insert_statement_token1] = ACTIONS(1815),
    [aux_sym_truncate_statement_token1] = ACTIONS(1815),
    [aux_sym_update_statement_token1] = ACTIONS(1815),
    [aux_sym_merge_statement_token1] = ACTIONS(1815),
    [aux_sym_grant_statement_token1] = ACTIONS(1815),
    [aux_sym_revoke_statement_token1] = ACTIONS(1815),
    [aux_sym_export_data_statement_token1] = ACTIONS(1815),
    [aux_sym_load_data_statement_token1] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym__quoted_identifier] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [1951] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym__unquoted_identifier] = ACTIONS(1707),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1707),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1707),
    [aux_sym_keyword_replace_token1] = ACTIONS(1707),
    [aux_sym__keyword_alter_token1] = ACTIONS(1707),
    [aux_sym__keyword_create_token1] = ACTIONS(1707),
    [aux_sym__keyword_drop_token1] = ACTIONS(1707),
    [aux_sym__keyword_from_token1] = ACTIONS(1707),
    [aux_sym__keyword_delete_token1] = ACTIONS(1707),
    [aux_sym__keyword_begin_token1] = ACTIONS(1707),
    [aux_sym__keyword_end_token1] = ACTIONS(1707),
    [aux_sym__keyword_between_token1] = ACTIONS(1707),
    [aux_sym__keyword_when_token1] = ACTIONS(1707),
    [aux_sym__keyword_else_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1707),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1707),
    [aux_sym__keyword_like_token1] = ACTIONS(1707),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1707),
    [aux_sym__keyword_as_token1] = ACTIONS(1707),
    [aux_sym__keyword_window_token1] = ACTIONS(1707),
    [aux_sym__keyword_date_token1] = ACTIONS(1707),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1707),
    [aux_sym__keyword_time_token1] = ACTIONS(1707),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1707),
    [aux_sym__keyword_for_token1] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1707),
    [aux_sym_return_statement_token1] = ACTIONS(1707),
    [aux_sym_call_statement_token1] = ACTIONS(1707),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1707),
    [aux_sym_if_statement_token1] = ACTIONS(1707),
    [aux_sym_loop_statement_token1] = ACTIONS(1707),
    [aux_sym_repeat_statement_token1] = ACTIONS(1707),
    [aux_sym_while_statement_token1] = ACTIONS(1707),
    [aux_sym_break_statement_token1] = ACTIONS(1707),
    [aux_sym_leave_statement_token1] = ACTIONS(1707),
    [aux_sym_continue_statement_token1] = ACTIONS(1707),
    [aux_sym_iterate_statement_token1] = ACTIONS(1707),
    [aux_sym_raise_statement_token1] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1707),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_set_operation_token1] = ACTIONS(1707),
    [aux_sym_set_operation_token3] = ACTIONS(1707),
    [aux_sym_set_operation_token4] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1707),
    [aux_sym_having_clause_token1] = ACTIONS(1707),
    [aux_sym_qualify_clause_token1] = ACTIONS(1707),
    [aux_sym_limit_clause_token1] = ACTIONS(1707),
    [aux_sym_group_by_clause_token1] = ACTIONS(1707),
    [aux_sym_order_by_clause_token1] = ACTIONS(1707),
    [aux_sym_where_clause_token1] = ACTIONS(1707),
    [aux_sym_insert_statement_token1] = ACTIONS(1707),
    [aux_sym_truncate_statement_token1] = ACTIONS(1707),
    [aux_sym_update_statement_token1] = ACTIONS(1707),
    [aux_sym_merge_statement_token1] = ACTIONS(1707),
    [aux_sym_grant_statement_token1] = ACTIONS(1707),
    [aux_sym_revoke_statement_token1] = ACTIONS(1707),
    [aux_sym_export_data_statement_token1] = ACTIONS(1707),
    [aux_sym_load_data_statement_token1] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym__quoted_identifier] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [1952] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [sym__unquoted_identifier] = ACTIONS(1711),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1711),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1711),
    [aux_sym_keyword_replace_token1] = ACTIONS(1711),
    [aux_sym__keyword_alter_token1] = ACTIONS(1711),
    [aux_sym__keyword_create_token1] = ACTIONS(1711),
    [aux_sym__keyword_drop_token1] = ACTIONS(1711),
    [aux_sym__keyword_from_token1] = ACTIONS(1711),
    [aux_sym__keyword_delete_token1] = ACTIONS(1711),
    [aux_sym__keyword_begin_token1] = ACTIONS(1711),
    [aux_sym__keyword_end_token1] = ACTIONS(1711),
    [aux_sym__keyword_between_token1] = ACTIONS(1711),
    [aux_sym__keyword_when_token1] = ACTIONS(1711),
    [aux_sym__keyword_else_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1711),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1711),
    [aux_sym__keyword_like_token1] = ACTIONS(1711),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1711),
    [aux_sym__keyword_as_token1] = ACTIONS(1711),
    [aux_sym__keyword_window_token1] = ACTIONS(1711),
    [aux_sym__keyword_date_token1] = ACTIONS(1711),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1711),
    [aux_sym__keyword_time_token1] = ACTIONS(1711),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1711),
    [aux_sym__keyword_for_token1] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1711),
    [aux_sym_return_statement_token1] = ACTIONS(1711),
    [aux_sym_call_statement_token1] = ACTIONS(1711),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1711),
    [aux_sym_if_statement_token1] = ACTIONS(1711),
    [aux_sym_loop_statement_token1] = ACTIONS(1711),
    [aux_sym_repeat_statement_token1] = ACTIONS(1711),
    [aux_sym_while_statement_token1] = ACTIONS(1711),
    [aux_sym_break_statement_token1] = ACTIONS(1711),
    [aux_sym_leave_statement_token1] = ACTIONS(1711),
    [aux_sym_continue_statement_token1] = ACTIONS(1711),
    [aux_sym_iterate_statement_token1] = ACTIONS(1711),
    [aux_sym_raise_statement_token1] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1711),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_set_operation_token1] = ACTIONS(1711),
    [aux_sym_set_operation_token3] = ACTIONS(1711),
    [aux_sym_set_operation_token4] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1711),
    [aux_sym_having_clause_token1] = ACTIONS(1711),
    [aux_sym_qualify_clause_token1] = ACTIONS(1711),
    [aux_sym_limit_clause_token1] = ACTIONS(1711),
    [aux_sym_group_by_clause_token1] = ACTIONS(1711),
    [aux_sym_order_by_clause_token1] = ACTIONS(1711),
    [aux_sym_where_clause_token1] = ACTIONS(1711),
    [aux_sym_insert_statement_token1] = ACTIONS(1711),
    [aux_sym_truncate_statement_token1] = ACTIONS(1711),
    [aux_sym_update_statement_token1] = ACTIONS(1711),
    [aux_sym_merge_statement_token1] = ACTIONS(1711),
    [aux_sym_grant_statement_token1] = ACTIONS(1711),
    [aux_sym_revoke_statement_token1] = ACTIONS(1711),
    [aux_sym_export_data_statement_token1] = ACTIONS(1711),
    [aux_sym_load_data_statement_token1] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym__quoted_identifier] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [1953] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [sym__unquoted_identifier] = ACTIONS(1533),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1533),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1533),
    [aux_sym_keyword_replace_token1] = ACTIONS(1533),
    [aux_sym__keyword_alter_token1] = ACTIONS(1533),
    [aux_sym__keyword_create_token1] = ACTIONS(1533),
    [aux_sym__keyword_drop_token1] = ACTIONS(1533),
    [aux_sym__keyword_from_token1] = ACTIONS(1533),
    [aux_sym__keyword_delete_token1] = ACTIONS(1533),
    [aux_sym__keyword_begin_token1] = ACTIONS(1533),
    [aux_sym__keyword_end_token1] = ACTIONS(1533),
    [aux_sym__keyword_between_token1] = ACTIONS(1533),
    [aux_sym__keyword_when_token1] = ACTIONS(1533),
    [aux_sym__keyword_else_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1533),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1533),
    [aux_sym__keyword_like_token1] = ACTIONS(1533),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1533),
    [aux_sym__keyword_as_token1] = ACTIONS(1533),
    [aux_sym__keyword_window_token1] = ACTIONS(1533),
    [aux_sym__keyword_date_token1] = ACTIONS(1533),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1533),
    [aux_sym__keyword_time_token1] = ACTIONS(1533),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1533),
    [aux_sym__keyword_for_token1] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1533),
    [aux_sym_return_statement_token1] = ACTIONS(1533),
    [aux_sym_call_statement_token1] = ACTIONS(1533),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1533),
    [aux_sym_if_statement_token1] = ACTIONS(1533),
    [aux_sym_loop_statement_token1] = ACTIONS(1533),
    [aux_sym_repeat_statement_token1] = ACTIONS(1533),
    [aux_sym_while_statement_token1] = ACTIONS(1533),
    [aux_sym_break_statement_token1] = ACTIONS(1533),
    [aux_sym_leave_statement_token1] = ACTIONS(1533),
    [aux_sym_continue_statement_token1] = ACTIONS(1533),
    [aux_sym_iterate_statement_token1] = ACTIONS(1533),
    [aux_sym_raise_statement_token1] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1533),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_set_operation_token1] = ACTIONS(1533),
    [aux_sym_set_operation_token3] = ACTIONS(1533),
    [aux_sym_set_operation_token4] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1533),
    [aux_sym_having_clause_token1] = ACTIONS(1533),
    [aux_sym_qualify_clause_token1] = ACTIONS(1533),
    [aux_sym_limit_clause_token1] = ACTIONS(1533),
    [aux_sym_group_by_clause_token1] = ACTIONS(1533),
    [aux_sym_order_by_clause_token1] = ACTIONS(1533),
    [aux_sym_where_clause_token1] = ACTIONS(1533),
    [aux_sym_insert_statement_token1] = ACTIONS(1533),
    [aux_sym_truncate_statement_token1] = ACTIONS(1533),
    [aux_sym_update_statement_token1] = ACTIONS(1533),
    [aux_sym_merge_statement_token1] = ACTIONS(1533),
    [aux_sym_grant_statement_token1] = ACTIONS(1533),
    [aux_sym_revoke_statement_token1] = ACTIONS(1533),
    [aux_sym_export_data_statement_token1] = ACTIONS(1533),
    [aux_sym_load_data_statement_token1] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym__quoted_identifier] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [1954] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [sym__unquoted_identifier] = ACTIONS(1715),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1715),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1715),
    [aux_sym_keyword_replace_token1] = ACTIONS(1715),
    [aux_sym__keyword_alter_token1] = ACTIONS(1715),
    [aux_sym__keyword_create_token1] = ACTIONS(1715),
    [aux_sym__keyword_drop_token1] = ACTIONS(1715),
    [aux_sym__keyword_from_token1] = ACTIONS(1715),
    [aux_sym__keyword_delete_token1] = ACTIONS(1715),
    [aux_sym__keyword_begin_token1] = ACTIONS(1715),
    [aux_sym__keyword_end_token1] = ACTIONS(1715),
    [aux_sym__keyword_between_token1] = ACTIONS(1715),
    [aux_sym__keyword_when_token1] = ACTIONS(1715),
    [aux_sym__keyword_else_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1715),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1715),
    [aux_sym__keyword_like_token1] = ACTIONS(1715),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1715),
    [aux_sym__keyword_as_token1] = ACTIONS(1715),
    [aux_sym__keyword_window_token1] = ACTIONS(1715),
    [aux_sym__keyword_date_token1] = ACTIONS(1715),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1715),
    [aux_sym__keyword_time_token1] = ACTIONS(1715),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1715),
    [aux_sym__keyword_for_token1] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1715),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1715),
    [aux_sym_return_statement_token1] = ACTIONS(1715),
    [aux_sym_call_statement_token1] = ACTIONS(1715),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1715),
    [aux_sym_if_statement_token1] = ACTIONS(1715),
    [aux_sym_loop_statement_token1] = ACTIONS(1715),
    [aux_sym_repeat_statement_token1] = ACTIONS(1715),
    [aux_sym_while_statement_token1] = ACTIONS(1715),
    [aux_sym_break_statement_token1] = ACTIONS(1715),
    [aux_sym_leave_statement_token1] = ACTIONS(1715),
    [aux_sym_continue_statement_token1] = ACTIONS(1715),
    [aux_sym_iterate_statement_token1] = ACTIONS(1715),
    [aux_sym_raise_statement_token1] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1715),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_set_operation_token1] = ACTIONS(1715),
    [aux_sym_set_operation_token3] = ACTIONS(1715),
    [aux_sym_set_operation_token4] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1715),
    [aux_sym_having_clause_token1] = ACTIONS(1715),
    [aux_sym_qualify_clause_token1] = ACTIONS(1715),
    [aux_sym_limit_clause_token1] = ACTIONS(1715),
    [aux_sym_group_by_clause_token1] = ACTIONS(1715),
    [aux_sym_order_by_clause_token1] = ACTIONS(1715),
    [aux_sym_where_clause_token1] = ACTIONS(1715),
    [aux_sym_insert_statement_token1] = ACTIONS(1715),
    [aux_sym_truncate_statement_token1] = ACTIONS(1715),
    [aux_sym_update_statement_token1] = ACTIONS(1715),
    [aux_sym_merge_statement_token1] = ACTIONS(1715),
    [aux_sym_grant_statement_token1] = ACTIONS(1715),
    [aux_sym_revoke_statement_token1] = ACTIONS(1715),
    [aux_sym_export_data_statement_token1] = ACTIONS(1715),
    [aux_sym_load_data_statement_token1] = ACTIONS(1715),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym__quoted_identifier] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [1955] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [sym__unquoted_identifier] = ACTIONS(1749),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1749),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1749),
    [aux_sym_keyword_replace_token1] = ACTIONS(1749),
    [aux_sym__keyword_alter_token1] = ACTIONS(1749),
    [aux_sym__keyword_create_token1] = ACTIONS(1749),
    [aux_sym__keyword_drop_token1] = ACTIONS(1749),
    [aux_sym__keyword_from_token1] = ACTIONS(1749),
    [aux_sym__keyword_delete_token1] = ACTIONS(1749),
    [aux_sym__keyword_begin_token1] = ACTIONS(1749),
    [aux_sym__keyword_end_token1] = ACTIONS(1749),
    [aux_sym__keyword_between_token1] = ACTIONS(1749),
    [aux_sym__keyword_when_token1] = ACTIONS(1749),
    [aux_sym__keyword_else_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1749),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1749),
    [aux_sym__keyword_like_token1] = ACTIONS(1749),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1749),
    [aux_sym__keyword_as_token1] = ACTIONS(1749),
    [aux_sym__keyword_window_token1] = ACTIONS(1749),
    [aux_sym__keyword_date_token1] = ACTIONS(1749),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1749),
    [aux_sym__keyword_time_token1] = ACTIONS(1749),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1749),
    [aux_sym__keyword_for_token1] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1749),
    [anon_sym_COMMA] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1749),
    [aux_sym_return_statement_token1] = ACTIONS(1749),
    [aux_sym_call_statement_token1] = ACTIONS(1749),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1749),
    [aux_sym_if_statement_token1] = ACTIONS(1749),
    [aux_sym_loop_statement_token1] = ACTIONS(1749),
    [aux_sym_repeat_statement_token1] = ACTIONS(1749),
    [aux_sym_while_statement_token1] = ACTIONS(1749),
    [aux_sym_break_statement_token1] = ACTIONS(1749),
    [aux_sym_leave_statement_token1] = ACTIONS(1749),
    [aux_sym_continue_statement_token1] = ACTIONS(1749),
    [aux_sym_iterate_statement_token1] = ACTIONS(1749),
    [aux_sym_raise_statement_token1] = ACTIONS(1749),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1749),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_set_operation_token1] = ACTIONS(1749),
    [aux_sym_set_operation_token3] = ACTIONS(1749),
    [aux_sym_set_operation_token4] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1749),
    [aux_sym_having_clause_token1] = ACTIONS(1749),
    [aux_sym_qualify_clause_token1] = ACTIONS(1749),
    [aux_sym_limit_clause_token1] = ACTIONS(1749),
    [aux_sym_group_by_clause_token1] = ACTIONS(1749),
    [aux_sym_order_by_clause_token1] = ACTIONS(1749),
    [aux_sym_where_clause_token1] = ACTIONS(1749),
    [aux_sym_insert_statement_token1] = ACTIONS(1749),
    [aux_sym_truncate_statement_token1] = ACTIONS(1749),
    [aux_sym_update_statement_token1] = ACTIONS(1749),
    [aux_sym_merge_statement_token1] = ACTIONS(1749),
    [aux_sym_grant_statement_token1] = ACTIONS(1749),
    [aux_sym_revoke_statement_token1] = ACTIONS(1749),
    [aux_sym_export_data_statement_token1] = ACTIONS(1749),
    [aux_sym_load_data_statement_token1] = ACTIONS(1749),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym__quoted_identifier] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [1956] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [sym__unquoted_identifier] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1819),
    [aux_sym_keyword_replace_token1] = ACTIONS(1819),
    [aux_sym__keyword_alter_token1] = ACTIONS(1819),
    [aux_sym__keyword_create_token1] = ACTIONS(1819),
    [aux_sym__keyword_drop_token1] = ACTIONS(1819),
    [aux_sym__keyword_from_token1] = ACTIONS(1819),
    [aux_sym__keyword_delete_token1] = ACTIONS(1819),
    [aux_sym__keyword_begin_token1] = ACTIONS(1819),
    [aux_sym__keyword_end_token1] = ACTIONS(1819),
    [aux_sym__keyword_between_token1] = ACTIONS(1819),
    [aux_sym__keyword_when_token1] = ACTIONS(1819),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1819),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1819),
    [aux_sym__keyword_like_token1] = ACTIONS(1819),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1819),
    [aux_sym__keyword_as_token1] = ACTIONS(1819),
    [aux_sym__keyword_window_token1] = ACTIONS(1819),
    [aux_sym__keyword_date_token1] = ACTIONS(1819),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1819),
    [aux_sym__keyword_time_token1] = ACTIONS(1819),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1819),
    [aux_sym__keyword_for_token1] = ACTIONS(1819),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1819),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1819),
    [aux_sym_return_statement_token1] = ACTIONS(1819),
    [aux_sym_call_statement_token1] = ACTIONS(1819),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1819),
    [aux_sym_if_statement_token1] = ACTIONS(1819),
    [aux_sym_loop_statement_token1] = ACTIONS(1819),
    [aux_sym_repeat_statement_token1] = ACTIONS(1819),
    [aux_sym_while_statement_token1] = ACTIONS(1819),
    [aux_sym_break_statement_token1] = ACTIONS(1819),
    [aux_sym_leave_statement_token1] = ACTIONS(1819),
    [aux_sym_continue_statement_token1] = ACTIONS(1819),
    [aux_sym_iterate_statement_token1] = ACTIONS(1819),
    [aux_sym_raise_statement_token1] = ACTIONS(1819),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1819),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_set_operation_token1] = ACTIONS(1819),
    [aux_sym_set_operation_token3] = ACTIONS(1819),
    [aux_sym_set_operation_token4] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1819),
    [aux_sym_having_clause_token1] = ACTIONS(1819),
    [aux_sym_qualify_clause_token1] = ACTIONS(1819),
    [aux_sym_limit_clause_token1] = ACTIONS(1819),
    [aux_sym_group_by_clause_token1] = ACTIONS(1819),
    [aux_sym_order_by_clause_token1] = ACTIONS(1819),
    [aux_sym_where_clause_token1] = ACTIONS(1819),
    [aux_sym_insert_statement_token1] = ACTIONS(1819),
    [aux_sym_truncate_statement_token1] = ACTIONS(1819),
    [aux_sym_update_statement_token1] = ACTIONS(1819),
    [aux_sym_merge_statement_token1] = ACTIONS(1819),
    [aux_sym_grant_statement_token1] = ACTIONS(1819),
    [aux_sym_revoke_statement_token1] = ACTIONS(1819),
    [aux_sym_export_data_statement_token1] = ACTIONS(1819),
    [aux_sym_load_data_statement_token1] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym__quoted_identifier] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [1957] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [sym__unquoted_identifier] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1823),
    [aux_sym_keyword_replace_token1] = ACTIONS(1823),
    [aux_sym__keyword_alter_token1] = ACTIONS(1823),
    [aux_sym__keyword_create_token1] = ACTIONS(1823),
    [aux_sym__keyword_drop_token1] = ACTIONS(1823),
    [aux_sym__keyword_from_token1] = ACTIONS(1823),
    [aux_sym__keyword_delete_token1] = ACTIONS(1823),
    [aux_sym__keyword_begin_token1] = ACTIONS(1823),
    [aux_sym__keyword_end_token1] = ACTIONS(1823),
    [aux_sym__keyword_between_token1] = ACTIONS(1823),
    [aux_sym__keyword_when_token1] = ACTIONS(1823),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1823),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1823),
    [aux_sym__keyword_like_token1] = ACTIONS(1823),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1823),
    [aux_sym__keyword_as_token1] = ACTIONS(1823),
    [aux_sym__keyword_window_token1] = ACTIONS(1823),
    [aux_sym__keyword_date_token1] = ACTIONS(1823),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1823),
    [aux_sym__keyword_time_token1] = ACTIONS(1823),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1823),
    [aux_sym__keyword_for_token1] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1823),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1823),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1823),
    [aux_sym_return_statement_token1] = ACTIONS(1823),
    [aux_sym_call_statement_token1] = ACTIONS(1823),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1823),
    [aux_sym_if_statement_token1] = ACTIONS(1823),
    [aux_sym_loop_statement_token1] = ACTIONS(1823),
    [aux_sym_repeat_statement_token1] = ACTIONS(1823),
    [aux_sym_while_statement_token1] = ACTIONS(1823),
    [aux_sym_break_statement_token1] = ACTIONS(1823),
    [aux_sym_leave_statement_token1] = ACTIONS(1823),
    [aux_sym_continue_statement_token1] = ACTIONS(1823),
    [aux_sym_iterate_statement_token1] = ACTIONS(1823),
    [aux_sym_raise_statement_token1] = ACTIONS(1823),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1823),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_set_operation_token1] = ACTIONS(1823),
    [aux_sym_set_operation_token3] = ACTIONS(1823),
    [aux_sym_set_operation_token4] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1823),
    [aux_sym_having_clause_token1] = ACTIONS(1823),
    [aux_sym_qualify_clause_token1] = ACTIONS(1823),
    [aux_sym_limit_clause_token1] = ACTIONS(1823),
    [aux_sym_group_by_clause_token1] = ACTIONS(1823),
    [aux_sym_order_by_clause_token1] = ACTIONS(1823),
    [aux_sym_where_clause_token1] = ACTIONS(1823),
    [aux_sym_insert_statement_token1] = ACTIONS(1823),
    [aux_sym_truncate_statement_token1] = ACTIONS(1823),
    [aux_sym_update_statement_token1] = ACTIONS(1823),
    [aux_sym_merge_statement_token1] = ACTIONS(1823),
    [aux_sym_grant_statement_token1] = ACTIONS(1823),
    [aux_sym_revoke_statement_token1] = ACTIONS(1823),
    [aux_sym_export_data_statement_token1] = ACTIONS(1823),
    [aux_sym_load_data_statement_token1] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym__quoted_identifier] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [1958] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1447),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_from_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_end_token1] = ACTIONS(1447),
    [aux_sym__keyword_between_token1] = ACTIONS(1447),
    [aux_sym__keyword_when_token1] = ACTIONS(1447),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1447),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1447),
    [aux_sym__keyword_like_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_window_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1447),
    [aux_sym_if_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_repeat_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token3] = ACTIONS(1447),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_having_clause_token1] = ACTIONS(1447),
    [aux_sym_qualify_clause_token1] = ACTIONS(1447),
    [aux_sym_limit_clause_token1] = ACTIONS(1447),
    [aux_sym_group_by_clause_token1] = ACTIONS(1447),
    [aux_sym_order_by_clause_token1] = ACTIONS(1447),
    [aux_sym_where_clause_token1] = ACTIONS(1447),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [1959] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1960] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1451),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_from_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_end_token1] = ACTIONS(1451),
    [aux_sym__keyword_between_token1] = ACTIONS(1451),
    [aux_sym__keyword_when_token1] = ACTIONS(1451),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1451),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1451),
    [aux_sym__keyword_like_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_window_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1451),
    [aux_sym_if_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_repeat_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token3] = ACTIONS(1451),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_having_clause_token1] = ACTIONS(1451),
    [aux_sym_qualify_clause_token1] = ACTIONS(1451),
    [aux_sym_limit_clause_token1] = ACTIONS(1451),
    [aux_sym_group_by_clause_token1] = ACTIONS(1451),
    [aux_sym_order_by_clause_token1] = ACTIONS(1451),
    [aux_sym_where_clause_token1] = ACTIONS(1451),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [1961] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1962] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1459),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_from_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_end_token1] = ACTIONS(1459),
    [aux_sym__keyword_between_token1] = ACTIONS(1459),
    [aux_sym__keyword_when_token1] = ACTIONS(1459),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1459),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1459),
    [aux_sym__keyword_like_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_window_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1459),
    [aux_sym_if_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_repeat_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token3] = ACTIONS(1459),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_having_clause_token1] = ACTIONS(1459),
    [aux_sym_qualify_clause_token1] = ACTIONS(1459),
    [aux_sym_limit_clause_token1] = ACTIONS(1459),
    [aux_sym_group_by_clause_token1] = ACTIONS(1459),
    [aux_sym_order_by_clause_token1] = ACTIONS(1459),
    [aux_sym_where_clause_token1] = ACTIONS(1459),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [1963] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [sym__unquoted_identifier] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1827),
    [aux_sym_keyword_replace_token1] = ACTIONS(1827),
    [aux_sym__keyword_alter_token1] = ACTIONS(1827),
    [aux_sym__keyword_create_token1] = ACTIONS(1827),
    [aux_sym__keyword_drop_token1] = ACTIONS(1827),
    [aux_sym__keyword_from_token1] = ACTIONS(1827),
    [aux_sym__keyword_delete_token1] = ACTIONS(1827),
    [aux_sym__keyword_begin_token1] = ACTIONS(1827),
    [aux_sym__keyword_end_token1] = ACTIONS(1827),
    [aux_sym__keyword_between_token1] = ACTIONS(1827),
    [aux_sym__keyword_when_token1] = ACTIONS(1827),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1827),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1827),
    [aux_sym__keyword_like_token1] = ACTIONS(1827),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1827),
    [aux_sym__keyword_as_token1] = ACTIONS(1827),
    [aux_sym__keyword_window_token1] = ACTIONS(1827),
    [aux_sym__keyword_date_token1] = ACTIONS(1827),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1827),
    [aux_sym__keyword_time_token1] = ACTIONS(1827),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1827),
    [aux_sym__keyword_for_token1] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1827),
    [aux_sym_return_statement_token1] = ACTIONS(1827),
    [aux_sym_call_statement_token1] = ACTIONS(1827),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1827),
    [aux_sym_if_statement_token1] = ACTIONS(1827),
    [aux_sym_loop_statement_token1] = ACTIONS(1827),
    [aux_sym_repeat_statement_token1] = ACTIONS(1827),
    [aux_sym_while_statement_token1] = ACTIONS(1827),
    [aux_sym_break_statement_token1] = ACTIONS(1827),
    [aux_sym_leave_statement_token1] = ACTIONS(1827),
    [aux_sym_continue_statement_token1] = ACTIONS(1827),
    [aux_sym_iterate_statement_token1] = ACTIONS(1827),
    [aux_sym_raise_statement_token1] = ACTIONS(1827),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1827),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_set_operation_token1] = ACTIONS(1827),
    [aux_sym_set_operation_token3] = ACTIONS(1827),
    [aux_sym_set_operation_token4] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1827),
    [aux_sym_having_clause_token1] = ACTIONS(1827),
    [aux_sym_qualify_clause_token1] = ACTIONS(1827),
    [aux_sym_limit_clause_token1] = ACTIONS(1827),
    [aux_sym_group_by_clause_token1] = ACTIONS(1827),
    [aux_sym_order_by_clause_token1] = ACTIONS(1827),
    [aux_sym_where_clause_token1] = ACTIONS(1827),
    [aux_sym_insert_statement_token1] = ACTIONS(1827),
    [aux_sym_truncate_statement_token1] = ACTIONS(1827),
    [aux_sym_update_statement_token1] = ACTIONS(1827),
    [aux_sym_merge_statement_token1] = ACTIONS(1827),
    [aux_sym_grant_statement_token1] = ACTIONS(1827),
    [aux_sym_revoke_statement_token1] = ACTIONS(1827),
    [aux_sym_export_data_statement_token1] = ACTIONS(1827),
    [aux_sym_load_data_statement_token1] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym__quoted_identifier] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [1964] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [sym__unquoted_identifier] = ACTIONS(1761),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1761),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1761),
    [aux_sym_keyword_replace_token1] = ACTIONS(1761),
    [aux_sym__keyword_alter_token1] = ACTIONS(1761),
    [aux_sym__keyword_create_token1] = ACTIONS(1761),
    [aux_sym__keyword_drop_token1] = ACTIONS(1761),
    [aux_sym__keyword_from_token1] = ACTIONS(1761),
    [aux_sym__keyword_delete_token1] = ACTIONS(1761),
    [aux_sym__keyword_begin_token1] = ACTIONS(1761),
    [aux_sym__keyword_end_token1] = ACTIONS(1761),
    [aux_sym__keyword_between_token1] = ACTIONS(1761),
    [aux_sym__keyword_when_token1] = ACTIONS(1761),
    [aux_sym__keyword_else_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1761),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1761),
    [aux_sym__keyword_like_token1] = ACTIONS(1761),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1761),
    [aux_sym__keyword_as_token1] = ACTIONS(1761),
    [aux_sym__keyword_window_token1] = ACTIONS(1761),
    [aux_sym__keyword_date_token1] = ACTIONS(1761),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1761),
    [aux_sym__keyword_time_token1] = ACTIONS(1761),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1761),
    [aux_sym__keyword_for_token1] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1761),
    [aux_sym_return_statement_token1] = ACTIONS(1761),
    [aux_sym_call_statement_token1] = ACTIONS(1761),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1761),
    [aux_sym_if_statement_token1] = ACTIONS(1761),
    [aux_sym_loop_statement_token1] = ACTIONS(1761),
    [aux_sym_repeat_statement_token1] = ACTIONS(1761),
    [aux_sym_while_statement_token1] = ACTIONS(1761),
    [aux_sym_break_statement_token1] = ACTIONS(1761),
    [aux_sym_leave_statement_token1] = ACTIONS(1761),
    [aux_sym_continue_statement_token1] = ACTIONS(1761),
    [aux_sym_iterate_statement_token1] = ACTIONS(1761),
    [aux_sym_raise_statement_token1] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1761),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_set_operation_token1] = ACTIONS(1761),
    [aux_sym_set_operation_token3] = ACTIONS(1761),
    [aux_sym_set_operation_token4] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1761),
    [aux_sym_having_clause_token1] = ACTIONS(1761),
    [aux_sym_qualify_clause_token1] = ACTIONS(1761),
    [aux_sym_limit_clause_token1] = ACTIONS(1761),
    [aux_sym_group_by_clause_token1] = ACTIONS(1761),
    [aux_sym_order_by_clause_token1] = ACTIONS(1761),
    [aux_sym_where_clause_token1] = ACTIONS(1761),
    [aux_sym_insert_statement_token1] = ACTIONS(1761),
    [aux_sym_truncate_statement_token1] = ACTIONS(1761),
    [aux_sym_update_statement_token1] = ACTIONS(1761),
    [aux_sym_merge_statement_token1] = ACTIONS(1761),
    [aux_sym_grant_statement_token1] = ACTIONS(1761),
    [aux_sym_revoke_statement_token1] = ACTIONS(1761),
    [aux_sym_export_data_statement_token1] = ACTIONS(1761),
    [aux_sym_load_data_statement_token1] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym__quoted_identifier] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [1965] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym__unquoted_identifier] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1831),
    [aux_sym_keyword_replace_token1] = ACTIONS(1831),
    [aux_sym__keyword_alter_token1] = ACTIONS(1831),
    [aux_sym__keyword_create_token1] = ACTIONS(1831),
    [aux_sym__keyword_drop_token1] = ACTIONS(1831),
    [aux_sym__keyword_from_token1] = ACTIONS(1831),
    [aux_sym__keyword_delete_token1] = ACTIONS(1831),
    [aux_sym__keyword_begin_token1] = ACTIONS(1831),
    [aux_sym__keyword_end_token1] = ACTIONS(1831),
    [aux_sym__keyword_between_token1] = ACTIONS(1831),
    [aux_sym__keyword_when_token1] = ACTIONS(1831),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1831),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1831),
    [aux_sym__keyword_like_token1] = ACTIONS(1831),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1831),
    [aux_sym__keyword_as_token1] = ACTIONS(1831),
    [aux_sym__keyword_window_token1] = ACTIONS(1831),
    [aux_sym__keyword_date_token1] = ACTIONS(1831),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1831),
    [aux_sym__keyword_time_token1] = ACTIONS(1831),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1831),
    [aux_sym__keyword_for_token1] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1831),
    [aux_sym_return_statement_token1] = ACTIONS(1831),
    [aux_sym_call_statement_token1] = ACTIONS(1831),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1831),
    [aux_sym_if_statement_token1] = ACTIONS(1831),
    [aux_sym_loop_statement_token1] = ACTIONS(1831),
    [aux_sym_repeat_statement_token1] = ACTIONS(1831),
    [aux_sym_while_statement_token1] = ACTIONS(1831),
    [aux_sym_break_statement_token1] = ACTIONS(1831),
    [aux_sym_leave_statement_token1] = ACTIONS(1831),
    [aux_sym_continue_statement_token1] = ACTIONS(1831),
    [aux_sym_iterate_statement_token1] = ACTIONS(1831),
    [aux_sym_raise_statement_token1] = ACTIONS(1831),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1831),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_set_operation_token1] = ACTIONS(1831),
    [aux_sym_set_operation_token3] = ACTIONS(1831),
    [aux_sym_set_operation_token4] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1831),
    [aux_sym_having_clause_token1] = ACTIONS(1831),
    [aux_sym_qualify_clause_token1] = ACTIONS(1831),
    [aux_sym_limit_clause_token1] = ACTIONS(1831),
    [aux_sym_group_by_clause_token1] = ACTIONS(1831),
    [aux_sym_order_by_clause_token1] = ACTIONS(1831),
    [aux_sym_where_clause_token1] = ACTIONS(1831),
    [aux_sym_insert_statement_token1] = ACTIONS(1831),
    [aux_sym_truncate_statement_token1] = ACTIONS(1831),
    [aux_sym_update_statement_token1] = ACTIONS(1831),
    [aux_sym_merge_statement_token1] = ACTIONS(1831),
    [aux_sym_grant_statement_token1] = ACTIONS(1831),
    [aux_sym_revoke_statement_token1] = ACTIONS(1831),
    [aux_sym_export_data_statement_token1] = ACTIONS(1831),
    [aux_sym_load_data_statement_token1] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym__quoted_identifier] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [1966] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [sym__unquoted_identifier] = ACTIONS(1765),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1765),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1765),
    [aux_sym_keyword_replace_token1] = ACTIONS(1765),
    [aux_sym__keyword_alter_token1] = ACTIONS(1765),
    [aux_sym__keyword_create_token1] = ACTIONS(1765),
    [aux_sym__keyword_drop_token1] = ACTIONS(1765),
    [aux_sym__keyword_from_token1] = ACTIONS(1765),
    [aux_sym__keyword_delete_token1] = ACTIONS(1765),
    [aux_sym__keyword_begin_token1] = ACTIONS(1765),
    [aux_sym__keyword_end_token1] = ACTIONS(1765),
    [aux_sym__keyword_between_token1] = ACTIONS(1765),
    [aux_sym__keyword_when_token1] = ACTIONS(1765),
    [aux_sym__keyword_else_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1765),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1765),
    [aux_sym__keyword_like_token1] = ACTIONS(1765),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1765),
    [aux_sym__keyword_as_token1] = ACTIONS(1765),
    [aux_sym__keyword_window_token1] = ACTIONS(1765),
    [aux_sym__keyword_date_token1] = ACTIONS(1765),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1765),
    [aux_sym__keyword_time_token1] = ACTIONS(1765),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1765),
    [aux_sym__keyword_for_token1] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1765),
    [aux_sym_return_statement_token1] = ACTIONS(1765),
    [aux_sym_call_statement_token1] = ACTIONS(1765),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1765),
    [aux_sym_if_statement_token1] = ACTIONS(1765),
    [aux_sym_loop_statement_token1] = ACTIONS(1765),
    [aux_sym_repeat_statement_token1] = ACTIONS(1765),
    [aux_sym_while_statement_token1] = ACTIONS(1765),
    [aux_sym_break_statement_token1] = ACTIONS(1765),
    [aux_sym_leave_statement_token1] = ACTIONS(1765),
    [aux_sym_continue_statement_token1] = ACTIONS(1765),
    [aux_sym_iterate_statement_token1] = ACTIONS(1765),
    [aux_sym_raise_statement_token1] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1765),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_set_operation_token1] = ACTIONS(1765),
    [aux_sym_set_operation_token3] = ACTIONS(1765),
    [aux_sym_set_operation_token4] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1765),
    [aux_sym_having_clause_token1] = ACTIONS(1765),
    [aux_sym_qualify_clause_token1] = ACTIONS(1765),
    [aux_sym_limit_clause_token1] = ACTIONS(1765),
    [aux_sym_group_by_clause_token1] = ACTIONS(1765),
    [aux_sym_order_by_clause_token1] = ACTIONS(1765),
    [aux_sym_where_clause_token1] = ACTIONS(1765),
    [aux_sym_insert_statement_token1] = ACTIONS(1765),
    [aux_sym_truncate_statement_token1] = ACTIONS(1765),
    [aux_sym_update_statement_token1] = ACTIONS(1765),
    [aux_sym_merge_statement_token1] = ACTIONS(1765),
    [aux_sym_grant_statement_token1] = ACTIONS(1765),
    [aux_sym_revoke_statement_token1] = ACTIONS(1765),
    [aux_sym_export_data_statement_token1] = ACTIONS(1765),
    [aux_sym_load_data_statement_token1] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym__quoted_identifier] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [1967] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1968] = {
    [ts_builtin_sym_end] = ACTIONS(1485),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1487),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_from_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_end_token1] = ACTIONS(1487),
    [aux_sym__keyword_between_token1] = ACTIONS(1487),
    [aux_sym__keyword_when_token1] = ACTIONS(1487),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1487),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1487),
    [aux_sym__keyword_like_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_window_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1487),
    [aux_sym_if_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_repeat_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token3] = ACTIONS(1487),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_having_clause_token1] = ACTIONS(1487),
    [aux_sym_qualify_clause_token1] = ACTIONS(1487),
    [aux_sym_limit_clause_token1] = ACTIONS(1487),
    [aux_sym_group_by_clause_token1] = ACTIONS(1487),
    [aux_sym_order_by_clause_token1] = ACTIONS(1487),
    [aux_sym_where_clause_token1] = ACTIONS(1487),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [1969] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1495),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_from_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_end_token1] = ACTIONS(1495),
    [aux_sym__keyword_between_token1] = ACTIONS(1495),
    [aux_sym__keyword_when_token1] = ACTIONS(1495),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1495),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1495),
    [aux_sym__keyword_like_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_window_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1495),
    [aux_sym_if_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_repeat_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token3] = ACTIONS(1495),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_having_clause_token1] = ACTIONS(1495),
    [aux_sym_qualify_clause_token1] = ACTIONS(1495),
    [aux_sym_limit_clause_token1] = ACTIONS(1495),
    [aux_sym_group_by_clause_token1] = ACTIONS(1495),
    [aux_sym_order_by_clause_token1] = ACTIONS(1495),
    [aux_sym_where_clause_token1] = ACTIONS(1495),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [1970] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1499),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_from_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_end_token1] = ACTIONS(1499),
    [aux_sym__keyword_between_token1] = ACTIONS(1499),
    [aux_sym__keyword_when_token1] = ACTIONS(1499),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1499),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1499),
    [aux_sym__keyword_like_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_window_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1499),
    [aux_sym_if_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_repeat_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token3] = ACTIONS(1499),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_having_clause_token1] = ACTIONS(1499),
    [aux_sym_qualify_clause_token1] = ACTIONS(1499),
    [aux_sym_limit_clause_token1] = ACTIONS(1499),
    [aux_sym_group_by_clause_token1] = ACTIONS(1499),
    [aux_sym_order_by_clause_token1] = ACTIONS(1499),
    [aux_sym_where_clause_token1] = ACTIONS(1499),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [1971] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1972] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1973] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1974] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1511),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_from_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_end_token1] = ACTIONS(1511),
    [aux_sym__keyword_between_token1] = ACTIONS(1511),
    [aux_sym__keyword_when_token1] = ACTIONS(1511),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1511),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1511),
    [aux_sym__keyword_like_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_window_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1511),
    [aux_sym_if_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_repeat_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token3] = ACTIONS(1511),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_having_clause_token1] = ACTIONS(1511),
    [aux_sym_qualify_clause_token1] = ACTIONS(1511),
    [aux_sym_limit_clause_token1] = ACTIONS(1511),
    [aux_sym_group_by_clause_token1] = ACTIONS(1511),
    [aux_sym_order_by_clause_token1] = ACTIONS(1511),
    [aux_sym_where_clause_token1] = ACTIONS(1511),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [1975] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1976] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1977] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1978] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1979] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1980] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [1981] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1982] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1983] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1984] = {
    [ts_builtin_sym_end] = ACTIONS(1771),
    [sym__unquoted_identifier] = ACTIONS(1773),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1773),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1773),
    [aux_sym_keyword_replace_token1] = ACTIONS(1773),
    [aux_sym__keyword_alter_token1] = ACTIONS(1773),
    [aux_sym__keyword_create_token1] = ACTIONS(1773),
    [aux_sym__keyword_drop_token1] = ACTIONS(1773),
    [aux_sym__keyword_from_token1] = ACTIONS(1773),
    [aux_sym__keyword_delete_token1] = ACTIONS(1773),
    [aux_sym__keyword_begin_token1] = ACTIONS(1773),
    [aux_sym__keyword_end_token1] = ACTIONS(1773),
    [aux_sym__keyword_between_token1] = ACTIONS(1773),
    [aux_sym__keyword_when_token1] = ACTIONS(1773),
    [aux_sym__keyword_else_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1773),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1773),
    [aux_sym__keyword_like_token1] = ACTIONS(1773),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1773),
    [aux_sym__keyword_as_token1] = ACTIONS(1773),
    [aux_sym__keyword_window_token1] = ACTIONS(1773),
    [aux_sym__keyword_date_token1] = ACTIONS(1773),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1773),
    [aux_sym__keyword_time_token1] = ACTIONS(1773),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1773),
    [aux_sym__keyword_for_token1] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1773),
    [aux_sym_return_statement_token1] = ACTIONS(1773),
    [aux_sym_call_statement_token1] = ACTIONS(1773),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1773),
    [aux_sym_if_statement_token1] = ACTIONS(1773),
    [aux_sym_loop_statement_token1] = ACTIONS(1773),
    [aux_sym_repeat_statement_token1] = ACTIONS(1773),
    [aux_sym_while_statement_token1] = ACTIONS(1773),
    [aux_sym_break_statement_token1] = ACTIONS(1773),
    [aux_sym_leave_statement_token1] = ACTIONS(1773),
    [aux_sym_continue_statement_token1] = ACTIONS(1773),
    [aux_sym_iterate_statement_token1] = ACTIONS(1773),
    [aux_sym_raise_statement_token1] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1773),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_set_operation_token1] = ACTIONS(1773),
    [aux_sym_set_operation_token3] = ACTIONS(1773),
    [aux_sym_set_operation_token4] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1773),
    [aux_sym_having_clause_token1] = ACTIONS(1773),
    [aux_sym_qualify_clause_token1] = ACTIONS(1773),
    [aux_sym_limit_clause_token1] = ACTIONS(1773),
    [aux_sym_group_by_clause_token1] = ACTIONS(1773),
    [aux_sym_order_by_clause_token1] = ACTIONS(1773),
    [aux_sym_where_clause_token1] = ACTIONS(1773),
    [aux_sym_insert_statement_token1] = ACTIONS(1773),
    [aux_sym_truncate_statement_token1] = ACTIONS(1773),
    [aux_sym_update_statement_token1] = ACTIONS(1773),
    [aux_sym_merge_statement_token1] = ACTIONS(1773),
    [aux_sym_grant_statement_token1] = ACTIONS(1773),
    [aux_sym_revoke_statement_token1] = ACTIONS(1773),
    [aux_sym_export_data_statement_token1] = ACTIONS(1773),
    [aux_sym_load_data_statement_token1] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym__quoted_identifier] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [1985] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [sym__unquoted_identifier] = ACTIONS(1781),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1781),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1781),
    [aux_sym_keyword_replace_token1] = ACTIONS(1781),
    [aux_sym__keyword_alter_token1] = ACTIONS(1781),
    [aux_sym__keyword_create_token1] = ACTIONS(1781),
    [aux_sym__keyword_drop_token1] = ACTIONS(1781),
    [aux_sym__keyword_from_token1] = ACTIONS(1781),
    [aux_sym__keyword_delete_token1] = ACTIONS(1781),
    [aux_sym__keyword_begin_token1] = ACTIONS(1781),
    [aux_sym__keyword_end_token1] = ACTIONS(1781),
    [aux_sym__keyword_between_token1] = ACTIONS(1781),
    [aux_sym__keyword_when_token1] = ACTIONS(1781),
    [aux_sym__keyword_else_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1781),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1781),
    [aux_sym__keyword_like_token1] = ACTIONS(1781),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1781),
    [aux_sym__keyword_as_token1] = ACTIONS(1781),
    [aux_sym__keyword_window_token1] = ACTIONS(1781),
    [aux_sym__keyword_date_token1] = ACTIONS(1781),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1781),
    [aux_sym__keyword_time_token1] = ACTIONS(1781),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1781),
    [aux_sym__keyword_for_token1] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1781),
    [aux_sym_return_statement_token1] = ACTIONS(1781),
    [aux_sym_call_statement_token1] = ACTIONS(1781),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1781),
    [aux_sym_if_statement_token1] = ACTIONS(1781),
    [aux_sym_loop_statement_token1] = ACTIONS(1781),
    [aux_sym_repeat_statement_token1] = ACTIONS(1781),
    [aux_sym_while_statement_token1] = ACTIONS(1781),
    [aux_sym_break_statement_token1] = ACTIONS(1781),
    [aux_sym_leave_statement_token1] = ACTIONS(1781),
    [aux_sym_continue_statement_token1] = ACTIONS(1781),
    [aux_sym_iterate_statement_token1] = ACTIONS(1781),
    [aux_sym_raise_statement_token1] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1781),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_set_operation_token1] = ACTIONS(1781),
    [aux_sym_set_operation_token3] = ACTIONS(1781),
    [aux_sym_set_operation_token4] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1781),
    [aux_sym_having_clause_token1] = ACTIONS(1781),
    [aux_sym_qualify_clause_token1] = ACTIONS(1781),
    [aux_sym_limit_clause_token1] = ACTIONS(1781),
    [aux_sym_group_by_clause_token1] = ACTIONS(1781),
    [aux_sym_order_by_clause_token1] = ACTIONS(1781),
    [aux_sym_where_clause_token1] = ACTIONS(1781),
    [aux_sym_insert_statement_token1] = ACTIONS(1781),
    [aux_sym_truncate_statement_token1] = ACTIONS(1781),
    [aux_sym_update_statement_token1] = ACTIONS(1781),
    [aux_sym_merge_statement_token1] = ACTIONS(1781),
    [aux_sym_grant_statement_token1] = ACTIONS(1781),
    [aux_sym_revoke_statement_token1] = ACTIONS(1781),
    [aux_sym_export_data_statement_token1] = ACTIONS(1781),
    [aux_sym_load_data_statement_token1] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym__quoted_identifier] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [1986] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1515),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_from_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_end_token1] = ACTIONS(1515),
    [aux_sym__keyword_between_token1] = ACTIONS(1515),
    [aux_sym__keyword_when_token1] = ACTIONS(1515),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1515),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1515),
    [aux_sym__keyword_like_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_window_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1515),
    [aux_sym_if_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_repeat_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token3] = ACTIONS(1515),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_having_clause_token1] = ACTIONS(1515),
    [aux_sym_qualify_clause_token1] = ACTIONS(1515),
    [aux_sym_limit_clause_token1] = ACTIONS(1515),
    [aux_sym_group_by_clause_token1] = ACTIONS(1515),
    [aux_sym_order_by_clause_token1] = ACTIONS(1515),
    [aux_sym_where_clause_token1] = ACTIONS(1515),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [1987] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [1988] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [sym__unquoted_identifier] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1635),
    [aux_sym_keyword_replace_token1] = ACTIONS(1635),
    [aux_sym__keyword_alter_token1] = ACTIONS(1635),
    [aux_sym__keyword_create_token1] = ACTIONS(1635),
    [aux_sym__keyword_drop_token1] = ACTIONS(1635),
    [aux_sym__keyword_from_token1] = ACTIONS(1635),
    [aux_sym__keyword_delete_token1] = ACTIONS(1635),
    [aux_sym__keyword_begin_token1] = ACTIONS(1635),
    [aux_sym__keyword_end_token1] = ACTIONS(1635),
    [aux_sym__keyword_between_token1] = ACTIONS(1635),
    [aux_sym__keyword_when_token1] = ACTIONS(1635),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1635),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1635),
    [aux_sym__keyword_like_token1] = ACTIONS(1635),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1635),
    [aux_sym__keyword_as_token1] = ACTIONS(1635),
    [aux_sym__keyword_window_token1] = ACTIONS(1635),
    [aux_sym__keyword_date_token1] = ACTIONS(1635),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1635),
    [aux_sym__keyword_time_token1] = ACTIONS(1635),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1635),
    [aux_sym__keyword_for_token1] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1635),
    [aux_sym_return_statement_token1] = ACTIONS(1635),
    [aux_sym_call_statement_token1] = ACTIONS(1635),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1635),
    [aux_sym_if_statement_token1] = ACTIONS(1635),
    [aux_sym_loop_statement_token1] = ACTIONS(1635),
    [aux_sym_repeat_statement_token1] = ACTIONS(1635),
    [aux_sym_while_statement_token1] = ACTIONS(1635),
    [aux_sym_break_statement_token1] = ACTIONS(1635),
    [aux_sym_leave_statement_token1] = ACTIONS(1635),
    [aux_sym_continue_statement_token1] = ACTIONS(1635),
    [aux_sym_iterate_statement_token1] = ACTIONS(1635),
    [aux_sym_raise_statement_token1] = ACTIONS(1635),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1635),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_set_operation_token1] = ACTIONS(1635),
    [aux_sym_set_operation_token3] = ACTIONS(1635),
    [aux_sym_set_operation_token4] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1635),
    [aux_sym_having_clause_token1] = ACTIONS(1635),
    [aux_sym_qualify_clause_token1] = ACTIONS(1635),
    [aux_sym_limit_clause_token1] = ACTIONS(1635),
    [aux_sym_group_by_clause_token1] = ACTIONS(1635),
    [aux_sym_order_by_clause_token1] = ACTIONS(1635),
    [aux_sym_where_clause_token1] = ACTIONS(1635),
    [aux_sym_insert_statement_token1] = ACTIONS(1635),
    [aux_sym_truncate_statement_token1] = ACTIONS(1635),
    [aux_sym_update_statement_token1] = ACTIONS(1635),
    [aux_sym_merge_statement_token1] = ACTIONS(1635),
    [aux_sym_grant_statement_token1] = ACTIONS(1635),
    [aux_sym_revoke_statement_token1] = ACTIONS(1635),
    [aux_sym_export_data_statement_token1] = ACTIONS(1635),
    [aux_sym_load_data_statement_token1] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym__quoted_identifier] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [1989] = {
    [sym__unquoted_identifier] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1541),
    [aux_sym_keyword_replace_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1541),
    [aux_sym__keyword_create_token1] = ACTIONS(1541),
    [aux_sym__keyword_drop_token1] = ACTIONS(1541),
    [aux_sym__keyword_from_token1] = ACTIONS(1541),
    [aux_sym__keyword_delete_token1] = ACTIONS(1541),
    [aux_sym__keyword_begin_token1] = ACTIONS(1541),
    [aux_sym__keyword_end_token1] = ACTIONS(1541),
    [aux_sym__keyword_between_token1] = ACTIONS(1541),
    [aux_sym__keyword_when_token1] = ACTIONS(1541),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1541),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1541),
    [aux_sym__keyword_like_token1] = ACTIONS(1541),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1541),
    [aux_sym__keyword_as_token1] = ACTIONS(1541),
    [aux_sym__keyword_window_token1] = ACTIONS(1541),
    [aux_sym__keyword_date_token1] = ACTIONS(1541),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1541),
    [aux_sym__keyword_time_token1] = ACTIONS(1541),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1541),
    [aux_sym__keyword_for_token1] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1541),
    [aux_sym_return_statement_token1] = ACTIONS(1541),
    [aux_sym_call_statement_token1] = ACTIONS(1541),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1541),
    [aux_sym_if_statement_token1] = ACTIONS(1541),
    [aux_sym_loop_statement_token1] = ACTIONS(1541),
    [aux_sym_repeat_statement_token1] = ACTIONS(1541),
    [aux_sym_while_statement_token1] = ACTIONS(1541),
    [aux_sym_break_statement_token1] = ACTIONS(1541),
    [aux_sym_leave_statement_token1] = ACTIONS(1541),
    [aux_sym_continue_statement_token1] = ACTIONS(1541),
    [aux_sym_iterate_statement_token1] = ACTIONS(1541),
    [aux_sym_raise_statement_token1] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1541),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_set_operation_token1] = ACTIONS(1541),
    [aux_sym_set_operation_token3] = ACTIONS(1541),
    [aux_sym_set_operation_token4] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1541),
    [aux_sym_having_clause_token1] = ACTIONS(1541),
    [aux_sym_qualify_clause_token1] = ACTIONS(1541),
    [aux_sym_limit_clause_token1] = ACTIONS(1541),
    [aux_sym_group_by_clause_token1] = ACTIONS(1541),
    [aux_sym_order_by_clause_token1] = ACTIONS(1541),
    [aux_sym_where_clause_token1] = ACTIONS(1541),
    [aux_sym_insert_statement_token1] = ACTIONS(1541),
    [aux_sym_truncate_statement_token1] = ACTIONS(1541),
    [aux_sym_update_statement_token1] = ACTIONS(1541),
    [aux_sym_merge_statement_token1] = ACTIONS(1541),
    [aux_sym_grant_statement_token1] = ACTIONS(1541),
    [aux_sym_revoke_statement_token1] = ACTIONS(1541),
    [aux_sym_export_data_statement_token1] = ACTIONS(1541),
    [aux_sym_load_data_statement_token1] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [sym__quoted_identifier] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [1990] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [1991] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1503),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_from_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_end_token1] = ACTIONS(1503),
    [aux_sym__keyword_between_token1] = ACTIONS(1503),
    [aux_sym__keyword_when_token1] = ACTIONS(1503),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1503),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1503),
    [aux_sym__keyword_like_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_window_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1503),
    [aux_sym_if_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_repeat_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token3] = ACTIONS(1503),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_having_clause_token1] = ACTIONS(1503),
    [aux_sym_qualify_clause_token1] = ACTIONS(1503),
    [aux_sym_limit_clause_token1] = ACTIONS(1503),
    [aux_sym_group_by_clause_token1] = ACTIONS(1503),
    [aux_sym_order_by_clause_token1] = ACTIONS(1503),
    [aux_sym_where_clause_token1] = ACTIONS(1503),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [1992] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1491),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_from_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_end_token1] = ACTIONS(1491),
    [aux_sym__keyword_between_token1] = ACTIONS(1491),
    [aux_sym__keyword_when_token1] = ACTIONS(1491),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1491),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1491),
    [aux_sym__keyword_like_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_window_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1491),
    [aux_sym_if_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_repeat_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token3] = ACTIONS(1491),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_having_clause_token1] = ACTIONS(1491),
    [aux_sym_qualify_clause_token1] = ACTIONS(1491),
    [aux_sym_limit_clause_token1] = ACTIONS(1491),
    [aux_sym_group_by_clause_token1] = ACTIONS(1491),
    [aux_sym_order_by_clause_token1] = ACTIONS(1491),
    [aux_sym_where_clause_token1] = ACTIONS(1491),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [1993] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [1994] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [1995] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [1996] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [1997] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [1998] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [1999] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2000] = {
    [ts_builtin_sym_end] = ACTIONS(1461),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1463),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_from_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_end_token1] = ACTIONS(1463),
    [aux_sym__keyword_between_token1] = ACTIONS(1463),
    [aux_sym__keyword_when_token1] = ACTIONS(1463),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1463),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1463),
    [aux_sym__keyword_like_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_window_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_repeat_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token3] = ACTIONS(1463),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_having_clause_token1] = ACTIONS(1463),
    [aux_sym_qualify_clause_token1] = ACTIONS(1463),
    [aux_sym_limit_clause_token1] = ACTIONS(1463),
    [aux_sym_group_by_clause_token1] = ACTIONS(1463),
    [aux_sym_order_by_clause_token1] = ACTIONS(1463),
    [aux_sym_where_clause_token1] = ACTIONS(1463),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [2001] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2002] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2003] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2004] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2005] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2006] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2007] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1551),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_from_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_end_token1] = ACTIONS(1551),
    [aux_sym__keyword_between_token1] = ACTIONS(1551),
    [aux_sym__keyword_when_token1] = ACTIONS(1551),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1551),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1551),
    [aux_sym__keyword_like_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_window_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1551),
    [aux_sym_if_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_repeat_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1551),
    [aux_sym_set_operation_token3] = ACTIONS(1551),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_having_clause_token1] = ACTIONS(1551),
    [aux_sym_qualify_clause_token1] = ACTIONS(1551),
    [aux_sym_limit_clause_token1] = ACTIONS(1551),
    [aux_sym_group_by_clause_token1] = ACTIONS(1551),
    [aux_sym_order_by_clause_token1] = ACTIONS(1551),
    [aux_sym_where_clause_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [2008] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2009] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2010] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2011] = {
    [ts_builtin_sym_end] = ACTIONS(1465),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1467),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_from_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_end_token1] = ACTIONS(1467),
    [aux_sym__keyword_between_token1] = ACTIONS(1467),
    [aux_sym__keyword_when_token1] = ACTIONS(1467),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1467),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1467),
    [aux_sym__keyword_like_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_window_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1467),
    [aux_sym_if_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_repeat_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token3] = ACTIONS(1467),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_having_clause_token1] = ACTIONS(1467),
    [aux_sym_qualify_clause_token1] = ACTIONS(1467),
    [aux_sym_limit_clause_token1] = ACTIONS(1467),
    [aux_sym_group_by_clause_token1] = ACTIONS(1467),
    [aux_sym_order_by_clause_token1] = ACTIONS(1467),
    [aux_sym_where_clause_token1] = ACTIONS(1467),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [2012] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [sym__unquoted_identifier] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1655),
    [aux_sym_keyword_replace_token1] = ACTIONS(1655),
    [aux_sym__keyword_alter_token1] = ACTIONS(1655),
    [aux_sym__keyword_create_token1] = ACTIONS(1655),
    [aux_sym__keyword_drop_token1] = ACTIONS(1655),
    [aux_sym__keyword_from_token1] = ACTIONS(1655),
    [aux_sym__keyword_delete_token1] = ACTIONS(1655),
    [aux_sym__keyword_begin_token1] = ACTIONS(1655),
    [aux_sym__keyword_end_token1] = ACTIONS(1655),
    [aux_sym__keyword_between_token1] = ACTIONS(1655),
    [aux_sym__keyword_when_token1] = ACTIONS(1655),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1655),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1655),
    [aux_sym__keyword_like_token1] = ACTIONS(1655),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1655),
    [aux_sym__keyword_as_token1] = ACTIONS(1655),
    [aux_sym__keyword_window_token1] = ACTIONS(1655),
    [aux_sym__keyword_date_token1] = ACTIONS(1655),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1655),
    [aux_sym__keyword_time_token1] = ACTIONS(1655),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1655),
    [aux_sym__keyword_for_token1] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1655),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1655),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1655),
    [aux_sym_return_statement_token1] = ACTIONS(1655),
    [aux_sym_call_statement_token1] = ACTIONS(1655),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1655),
    [aux_sym_if_statement_token1] = ACTIONS(1655),
    [aux_sym_loop_statement_token1] = ACTIONS(1655),
    [aux_sym_repeat_statement_token1] = ACTIONS(1655),
    [aux_sym_while_statement_token1] = ACTIONS(1655),
    [aux_sym_break_statement_token1] = ACTIONS(1655),
    [aux_sym_leave_statement_token1] = ACTIONS(1655),
    [aux_sym_continue_statement_token1] = ACTIONS(1655),
    [aux_sym_iterate_statement_token1] = ACTIONS(1655),
    [aux_sym_raise_statement_token1] = ACTIONS(1655),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1655),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1655),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_set_operation_token1] = ACTIONS(1655),
    [aux_sym_set_operation_token3] = ACTIONS(1655),
    [aux_sym_set_operation_token4] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1655),
    [aux_sym_having_clause_token1] = ACTIONS(1655),
    [aux_sym_qualify_clause_token1] = ACTIONS(1655),
    [aux_sym_limit_clause_token1] = ACTIONS(1655),
    [aux_sym_group_by_clause_token1] = ACTIONS(1655),
    [aux_sym_order_by_clause_token1] = ACTIONS(1655),
    [aux_sym_where_clause_token1] = ACTIONS(1655),
    [aux_sym_insert_statement_token1] = ACTIONS(1655),
    [aux_sym_truncate_statement_token1] = ACTIONS(1655),
    [aux_sym_update_statement_token1] = ACTIONS(1655),
    [aux_sym_merge_statement_token1] = ACTIONS(1655),
    [aux_sym_grant_statement_token1] = ACTIONS(1655),
    [aux_sym_revoke_statement_token1] = ACTIONS(1655),
    [aux_sym_export_data_statement_token1] = ACTIONS(1655),
    [aux_sym_load_data_statement_token1] = ACTIONS(1655),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym__quoted_identifier] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [2013] = {
    [sym__keyword_as] = STATE(11585),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(4227),
    [sym_unnest_withoffset] = STATE(4377),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4378),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2781),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2014] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2015] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2016] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym__direction_keywords] = STATE(5486),
    [sym__nulls_preference] = STATE(5823),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2795),
    [aux_sym__keyword_create_token1] = ACTIONS(2795),
    [aux_sym__keyword_drop_token1] = ACTIONS(2795),
    [aux_sym__keyword_delete_token1] = ACTIONS(2795),
    [aux_sym__keyword_begin_token1] = ACTIONS(2795),
    [aux_sym__keyword_end_token1] = ACTIONS(2795),
    [aux_sym__keyword_between_token1] = ACTIONS(2705),
    [aux_sym__keyword_when_token1] = ACTIONS(2795),
    [aux_sym__keyword_else_token1] = ACTIONS(2797),
    [aux_sym__keyword_is_token1] = ACTIONS(2709),
    [aux_sym__keyword_in_token1] = ACTIONS(2711),
    [aux_sym__keyword_and_token1] = ACTIONS(2713),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2795),
    [aux_sym__keyword_for_token1] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(2795),
    [aux_sym_declare_statement_token1] = ACTIONS(2795),
    [anon_sym_COMMA] = ACTIONS(2795),
    [aux_sym_set_statement_token1] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2795),
    [aux_sym_return_statement_token1] = ACTIONS(2795),
    [aux_sym_call_statement_token1] = ACTIONS(2795),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2795),
    [aux_sym_if_statement_token1] = ACTIONS(2795),
    [aux_sym_loop_statement_token1] = ACTIONS(2795),
    [aux_sym_repeat_statement_token1] = ACTIONS(2795),
    [aux_sym_while_statement_token1] = ACTIONS(2795),
    [aux_sym_break_statement_token1] = ACTIONS(2795),
    [aux_sym_leave_statement_token1] = ACTIONS(2795),
    [aux_sym_continue_statement_token1] = ACTIONS(2795),
    [aux_sym_iterate_statement_token1] = ACTIONS(2795),
    [aux_sym_raise_statement_token1] = ACTIONS(2795),
    [anon_sym_EQ] = ACTIONS(2717),
    [aux_sym_assert_statement_token1] = ACTIONS(2795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [aux_sym_set_operation_token1] = ACTIONS(2795),
    [aux_sym_set_operation_token3] = ACTIONS(2795),
    [aux_sym_set_operation_token4] = ACTIONS(2797),
    [aux_sym_select_token1] = ACTIONS(2795),
    [aux_sym_limit_clause_token1] = ACTIONS(2795),
    [aux_sym__direction_keywords_token1] = ACTIONS(2719),
    [aux_sym__direction_keywords_token2] = ACTIONS(2719),
    [aux_sym__nulls_preference_token1] = ACTIONS(2721),
    [aux_sym_order_by_clause_token1] = ACTIONS(2795),
    [aux_sym_insert_statement_token1] = ACTIONS(2795),
    [aux_sym_truncate_statement_token1] = ACTIONS(2795),
    [aux_sym_update_statement_token1] = ACTIONS(2795),
    [aux_sym_merge_statement_token1] = ACTIONS(2795),
    [aux_sym_grant_statement_token1] = ACTIONS(2795),
    [aux_sym_revoke_statement_token1] = ACTIONS(2795),
    [aux_sym_export_data_statement_token1] = ACTIONS(2795),
    [aux_sym_load_data_statement_token1] = ACTIONS(2795),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(2717),
    [anon_sym_LT_GT] = ACTIONS(2717),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2017] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2018] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2019] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2020] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2021] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2022] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2023] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2024] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2025] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2026] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2027] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1383),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_from_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_end_token1] = ACTIONS(1383),
    [aux_sym__keyword_between_token1] = ACTIONS(1383),
    [aux_sym__keyword_when_token1] = ACTIONS(1383),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1383),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1383),
    [aux_sym__keyword_like_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_window_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1383),
    [aux_sym_if_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_repeat_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token3] = ACTIONS(1383),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_having_clause_token1] = ACTIONS(1383),
    [aux_sym_qualify_clause_token1] = ACTIONS(1383),
    [aux_sym_limit_clause_token1] = ACTIONS(1383),
    [aux_sym_group_by_clause_token1] = ACTIONS(1383),
    [aux_sym_order_by_clause_token1] = ACTIONS(1383),
    [aux_sym_where_clause_token1] = ACTIONS(1383),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [2028] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2029] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1387),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_from_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_end_token1] = ACTIONS(1387),
    [aux_sym__keyword_between_token1] = ACTIONS(1387),
    [aux_sym__keyword_when_token1] = ACTIONS(1387),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1387),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1387),
    [aux_sym__keyword_like_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_window_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1387),
    [aux_sym_if_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_repeat_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token3] = ACTIONS(1387),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_having_clause_token1] = ACTIONS(1387),
    [aux_sym_qualify_clause_token1] = ACTIONS(1387),
    [aux_sym_limit_clause_token1] = ACTIONS(1387),
    [aux_sym_group_by_clause_token1] = ACTIONS(1387),
    [aux_sym_order_by_clause_token1] = ACTIONS(1387),
    [aux_sym_where_clause_token1] = ACTIONS(1387),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [2030] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1403),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_from_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_end_token1] = ACTIONS(1403),
    [aux_sym__keyword_between_token1] = ACTIONS(1403),
    [aux_sym__keyword_when_token1] = ACTIONS(1403),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1403),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1403),
    [aux_sym__keyword_like_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_window_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1403),
    [aux_sym_if_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_repeat_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token3] = ACTIONS(1403),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_having_clause_token1] = ACTIONS(1403),
    [aux_sym_qualify_clause_token1] = ACTIONS(1403),
    [aux_sym_limit_clause_token1] = ACTIONS(1403),
    [aux_sym_group_by_clause_token1] = ACTIONS(1403),
    [aux_sym_order_by_clause_token1] = ACTIONS(1403),
    [aux_sym_where_clause_token1] = ACTIONS(1403),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [2031] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2032] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2033] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2034] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2035] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2036] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2037] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2038] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2039] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2040] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2041] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2042] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1427),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_from_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_end_token1] = ACTIONS(1427),
    [aux_sym__keyword_between_token1] = ACTIONS(1427),
    [aux_sym__keyword_when_token1] = ACTIONS(1427),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1427),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1427),
    [aux_sym__keyword_like_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_window_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1427),
    [aux_sym_if_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_repeat_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token3] = ACTIONS(1427),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_having_clause_token1] = ACTIONS(1427),
    [aux_sym_qualify_clause_token1] = ACTIONS(1427),
    [aux_sym_limit_clause_token1] = ACTIONS(1427),
    [aux_sym_group_by_clause_token1] = ACTIONS(1427),
    [aux_sym_order_by_clause_token1] = ACTIONS(1427),
    [aux_sym_where_clause_token1] = ACTIONS(1427),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [2043] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2044] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2045] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2046] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2047] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2048] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2049] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2050] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2051] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2052] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2053] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2054] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2055] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2056] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2057] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2058] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2059] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2060] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2061] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2062] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2063] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2064] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2065] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2066] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2067] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2068] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2069] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2070] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2071] = {
    [ts_builtin_sym_end] = ACTIONS(1795),
    [sym__unquoted_identifier] = ACTIONS(1797),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1797),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1797),
    [aux_sym_keyword_replace_token1] = ACTIONS(1797),
    [aux_sym__keyword_alter_token1] = ACTIONS(1797),
    [aux_sym__keyword_create_token1] = ACTIONS(1797),
    [aux_sym__keyword_drop_token1] = ACTIONS(1797),
    [aux_sym__keyword_from_token1] = ACTIONS(1797),
    [aux_sym__keyword_delete_token1] = ACTIONS(1797),
    [aux_sym__keyword_begin_token1] = ACTIONS(1797),
    [aux_sym__keyword_end_token1] = ACTIONS(1797),
    [aux_sym__keyword_between_token1] = ACTIONS(1797),
    [aux_sym__keyword_when_token1] = ACTIONS(1797),
    [aux_sym__keyword_else_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1797),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1797),
    [aux_sym__keyword_like_token1] = ACTIONS(1797),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1797),
    [aux_sym__keyword_as_token1] = ACTIONS(1797),
    [aux_sym__keyword_window_token1] = ACTIONS(1797),
    [aux_sym__keyword_date_token1] = ACTIONS(1797),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1797),
    [aux_sym__keyword_time_token1] = ACTIONS(1797),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1797),
    [aux_sym__keyword_for_token1] = ACTIONS(1797),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1797),
    [anon_sym_COMMA] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1797),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1797),
    [aux_sym_return_statement_token1] = ACTIONS(1797),
    [aux_sym_call_statement_token1] = ACTIONS(1797),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1797),
    [aux_sym_if_statement_token1] = ACTIONS(1797),
    [aux_sym_loop_statement_token1] = ACTIONS(1797),
    [aux_sym_repeat_statement_token1] = ACTIONS(1797),
    [aux_sym_while_statement_token1] = ACTIONS(1797),
    [aux_sym_break_statement_token1] = ACTIONS(1797),
    [aux_sym_leave_statement_token1] = ACTIONS(1797),
    [aux_sym_continue_statement_token1] = ACTIONS(1797),
    [aux_sym_iterate_statement_token1] = ACTIONS(1797),
    [aux_sym_raise_statement_token1] = ACTIONS(1797),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1797),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1797),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_set_operation_token1] = ACTIONS(1797),
    [aux_sym_set_operation_token3] = ACTIONS(1797),
    [aux_sym_set_operation_token4] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1797),
    [aux_sym_having_clause_token1] = ACTIONS(1797),
    [aux_sym_qualify_clause_token1] = ACTIONS(1797),
    [aux_sym_limit_clause_token1] = ACTIONS(1797),
    [aux_sym_group_by_clause_token1] = ACTIONS(1797),
    [aux_sym_order_by_clause_token1] = ACTIONS(1797),
    [aux_sym_where_clause_token1] = ACTIONS(1797),
    [aux_sym_insert_statement_token1] = ACTIONS(1797),
    [aux_sym_truncate_statement_token1] = ACTIONS(1797),
    [aux_sym_update_statement_token1] = ACTIONS(1797),
    [aux_sym_merge_statement_token1] = ACTIONS(1797),
    [aux_sym_grant_statement_token1] = ACTIONS(1797),
    [aux_sym_revoke_statement_token1] = ACTIONS(1797),
    [aux_sym_export_data_statement_token1] = ACTIONS(1797),
    [aux_sym_load_data_statement_token1] = ACTIONS(1797),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym__quoted_identifier] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [2072] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1395),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_from_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_end_token1] = ACTIONS(1395),
    [aux_sym__keyword_between_token1] = ACTIONS(1395),
    [aux_sym__keyword_when_token1] = ACTIONS(1395),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1395),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1395),
    [aux_sym__keyword_like_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_window_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1395),
    [aux_sym_if_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_repeat_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token3] = ACTIONS(1395),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_having_clause_token1] = ACTIONS(1395),
    [aux_sym_qualify_clause_token1] = ACTIONS(1395),
    [aux_sym_limit_clause_token1] = ACTIONS(1395),
    [aux_sym_group_by_clause_token1] = ACTIONS(1395),
    [aux_sym_order_by_clause_token1] = ACTIONS(1395),
    [aux_sym_where_clause_token1] = ACTIONS(1395),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [2073] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [sym__unquoted_identifier] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1595),
    [aux_sym_keyword_replace_token1] = ACTIONS(1595),
    [aux_sym__keyword_alter_token1] = ACTIONS(1595),
    [aux_sym__keyword_create_token1] = ACTIONS(1595),
    [aux_sym__keyword_drop_token1] = ACTIONS(1595),
    [aux_sym__keyword_from_token1] = ACTIONS(1595),
    [aux_sym__keyword_delete_token1] = ACTIONS(1595),
    [aux_sym__keyword_begin_token1] = ACTIONS(1595),
    [aux_sym__keyword_end_token1] = ACTIONS(1595),
    [aux_sym__keyword_between_token1] = ACTIONS(1595),
    [aux_sym__keyword_when_token1] = ACTIONS(1595),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1595),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1595),
    [aux_sym__keyword_like_token1] = ACTIONS(1595),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1595),
    [aux_sym__keyword_as_token1] = ACTIONS(1595),
    [aux_sym__keyword_window_token1] = ACTIONS(1595),
    [aux_sym__keyword_date_token1] = ACTIONS(1595),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1595),
    [aux_sym__keyword_time_token1] = ACTIONS(1595),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1595),
    [aux_sym__keyword_for_token1] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1595),
    [aux_sym_return_statement_token1] = ACTIONS(1595),
    [aux_sym_call_statement_token1] = ACTIONS(1595),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1595),
    [aux_sym_if_statement_token1] = ACTIONS(1595),
    [aux_sym_loop_statement_token1] = ACTIONS(1595),
    [aux_sym_repeat_statement_token1] = ACTIONS(1595),
    [aux_sym_while_statement_token1] = ACTIONS(1595),
    [aux_sym_break_statement_token1] = ACTIONS(1595),
    [aux_sym_leave_statement_token1] = ACTIONS(1595),
    [aux_sym_continue_statement_token1] = ACTIONS(1595),
    [aux_sym_iterate_statement_token1] = ACTIONS(1595),
    [aux_sym_raise_statement_token1] = ACTIONS(1595),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1595),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1595),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_set_operation_token1] = ACTIONS(1595),
    [aux_sym_set_operation_token3] = ACTIONS(1595),
    [aux_sym_set_operation_token4] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1595),
    [aux_sym_having_clause_token1] = ACTIONS(1595),
    [aux_sym_qualify_clause_token1] = ACTIONS(1595),
    [aux_sym_limit_clause_token1] = ACTIONS(1595),
    [aux_sym_group_by_clause_token1] = ACTIONS(1595),
    [aux_sym_order_by_clause_token1] = ACTIONS(1595),
    [aux_sym_where_clause_token1] = ACTIONS(1595),
    [aux_sym_insert_statement_token1] = ACTIONS(1595),
    [aux_sym_truncate_statement_token1] = ACTIONS(1595),
    [aux_sym_update_statement_token1] = ACTIONS(1595),
    [aux_sym_merge_statement_token1] = ACTIONS(1595),
    [aux_sym_grant_statement_token1] = ACTIONS(1595),
    [aux_sym_revoke_statement_token1] = ACTIONS(1595),
    [aux_sym_export_data_statement_token1] = ACTIONS(1595),
    [aux_sym_load_data_statement_token1] = ACTIONS(1595),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym__quoted_identifier] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [2074] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2075] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1415),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_from_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_end_token1] = ACTIONS(1415),
    [aux_sym__keyword_between_token1] = ACTIONS(1415),
    [aux_sym__keyword_when_token1] = ACTIONS(1415),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1415),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1415),
    [aux_sym__keyword_like_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_window_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1415),
    [aux_sym_if_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_repeat_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token3] = ACTIONS(1415),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_having_clause_token1] = ACTIONS(1415),
    [aux_sym_qualify_clause_token1] = ACTIONS(1415),
    [aux_sym_limit_clause_token1] = ACTIONS(1415),
    [aux_sym_group_by_clause_token1] = ACTIONS(1415),
    [aux_sym_order_by_clause_token1] = ACTIONS(1415),
    [aux_sym_where_clause_token1] = ACTIONS(1415),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [2076] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2077] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2078] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1411),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_from_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_end_token1] = ACTIONS(1411),
    [aux_sym__keyword_between_token1] = ACTIONS(1411),
    [aux_sym__keyword_when_token1] = ACTIONS(1411),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1411),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1411),
    [aux_sym__keyword_like_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_window_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1411),
    [aux_sym_if_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_repeat_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token3] = ACTIONS(1411),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_having_clause_token1] = ACTIONS(1411),
    [aux_sym_qualify_clause_token1] = ACTIONS(1411),
    [aux_sym_limit_clause_token1] = ACTIONS(1411),
    [aux_sym_group_by_clause_token1] = ACTIONS(1411),
    [aux_sym_order_by_clause_token1] = ACTIONS(1411),
    [aux_sym_where_clause_token1] = ACTIONS(1411),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [2079] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2080] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2081] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2082] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2083] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2084] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2085] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2086] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2087] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2088] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2089] = {
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1467),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_from_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_end_token1] = ACTIONS(1467),
    [aux_sym__keyword_between_token1] = ACTIONS(1467),
    [aux_sym__keyword_when_token1] = ACTIONS(1467),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1467),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1467),
    [aux_sym__keyword_like_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_window_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1467),
    [aux_sym_if_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_repeat_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token3] = ACTIONS(1467),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_having_clause_token1] = ACTIONS(1467),
    [aux_sym_qualify_clause_token1] = ACTIONS(1467),
    [aux_sym_limit_clause_token1] = ACTIONS(1467),
    [aux_sym_group_by_clause_token1] = ACTIONS(1467),
    [aux_sym_order_by_clause_token1] = ACTIONS(1467),
    [aux_sym_where_clause_token1] = ACTIONS(1467),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [2090] = {
    [sym__unquoted_identifier] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1655),
    [aux_sym_keyword_replace_token1] = ACTIONS(1655),
    [aux_sym__keyword_alter_token1] = ACTIONS(1655),
    [aux_sym__keyword_create_token1] = ACTIONS(1655),
    [aux_sym__keyword_drop_token1] = ACTIONS(1655),
    [aux_sym__keyword_from_token1] = ACTIONS(1655),
    [aux_sym__keyword_delete_token1] = ACTIONS(1655),
    [aux_sym__keyword_begin_token1] = ACTIONS(1655),
    [aux_sym__keyword_end_token1] = ACTIONS(1655),
    [aux_sym__keyword_between_token1] = ACTIONS(1655),
    [aux_sym__keyword_when_token1] = ACTIONS(1655),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1655),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1655),
    [aux_sym__keyword_like_token1] = ACTIONS(1655),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1655),
    [aux_sym__keyword_as_token1] = ACTIONS(1655),
    [aux_sym__keyword_window_token1] = ACTIONS(1655),
    [aux_sym__keyword_date_token1] = ACTIONS(1655),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1655),
    [aux_sym__keyword_time_token1] = ACTIONS(1655),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1655),
    [aux_sym__keyword_for_token1] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1655),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1655),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1655),
    [aux_sym_return_statement_token1] = ACTIONS(1655),
    [aux_sym_call_statement_token1] = ACTIONS(1655),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1655),
    [aux_sym_if_statement_token1] = ACTIONS(1655),
    [aux_sym_loop_statement_token1] = ACTIONS(1655),
    [aux_sym_repeat_statement_token1] = ACTIONS(1655),
    [aux_sym_while_statement_token1] = ACTIONS(1655),
    [aux_sym_break_statement_token1] = ACTIONS(1655),
    [aux_sym_leave_statement_token1] = ACTIONS(1655),
    [aux_sym_continue_statement_token1] = ACTIONS(1655),
    [aux_sym_iterate_statement_token1] = ACTIONS(1655),
    [aux_sym_raise_statement_token1] = ACTIONS(1655),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1655),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1655),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_set_operation_token1] = ACTIONS(1655),
    [aux_sym_set_operation_token3] = ACTIONS(1655),
    [aux_sym_set_operation_token4] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1655),
    [aux_sym_having_clause_token1] = ACTIONS(1655),
    [aux_sym_qualify_clause_token1] = ACTIONS(1655),
    [aux_sym_limit_clause_token1] = ACTIONS(1655),
    [aux_sym_group_by_clause_token1] = ACTIONS(1655),
    [aux_sym_order_by_clause_token1] = ACTIONS(1655),
    [aux_sym_where_clause_token1] = ACTIONS(1655),
    [aux_sym_insert_statement_token1] = ACTIONS(1655),
    [aux_sym_truncate_statement_token1] = ACTIONS(1655),
    [aux_sym_update_statement_token1] = ACTIONS(1655),
    [aux_sym_merge_statement_token1] = ACTIONS(1655),
    [aux_sym_grant_statement_token1] = ACTIONS(1655),
    [aux_sym_revoke_statement_token1] = ACTIONS(1655),
    [aux_sym_export_data_statement_token1] = ACTIONS(1655),
    [aux_sym_load_data_statement_token1] = ACTIONS(1655),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym__quoted_identifier] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [2091] = {
    [sym__unquoted_identifier] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1753),
    [aux_sym_keyword_replace_token1] = ACTIONS(1753),
    [aux_sym__keyword_alter_token1] = ACTIONS(1753),
    [aux_sym__keyword_create_token1] = ACTIONS(1753),
    [aux_sym__keyword_drop_token1] = ACTIONS(1753),
    [aux_sym__keyword_from_token1] = ACTIONS(1753),
    [aux_sym__keyword_delete_token1] = ACTIONS(1753),
    [aux_sym__keyword_begin_token1] = ACTIONS(1753),
    [aux_sym__keyword_end_token1] = ACTIONS(1753),
    [aux_sym__keyword_between_token1] = ACTIONS(1753),
    [aux_sym__keyword_when_token1] = ACTIONS(1753),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1753),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1753),
    [aux_sym__keyword_like_token1] = ACTIONS(1753),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1753),
    [aux_sym__keyword_as_token1] = ACTIONS(1753),
    [aux_sym__keyword_window_token1] = ACTIONS(1753),
    [aux_sym__keyword_date_token1] = ACTIONS(1753),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1753),
    [aux_sym__keyword_time_token1] = ACTIONS(1753),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1753),
    [aux_sym__keyword_for_token1] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1753),
    [aux_sym_return_statement_token1] = ACTIONS(1753),
    [aux_sym_call_statement_token1] = ACTIONS(1753),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1753),
    [aux_sym_if_statement_token1] = ACTIONS(1753),
    [aux_sym_loop_statement_token1] = ACTIONS(1753),
    [aux_sym_repeat_statement_token1] = ACTIONS(1753),
    [aux_sym_while_statement_token1] = ACTIONS(1753),
    [aux_sym_break_statement_token1] = ACTIONS(1753),
    [aux_sym_leave_statement_token1] = ACTIONS(1753),
    [aux_sym_continue_statement_token1] = ACTIONS(1753),
    [aux_sym_iterate_statement_token1] = ACTIONS(1753),
    [aux_sym_raise_statement_token1] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1753),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_set_operation_token1] = ACTIONS(1753),
    [aux_sym_set_operation_token3] = ACTIONS(1753),
    [aux_sym_set_operation_token4] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1753),
    [aux_sym_having_clause_token1] = ACTIONS(1753),
    [aux_sym_qualify_clause_token1] = ACTIONS(1753),
    [aux_sym_limit_clause_token1] = ACTIONS(1753),
    [aux_sym_group_by_clause_token1] = ACTIONS(1753),
    [aux_sym_order_by_clause_token1] = ACTIONS(1753),
    [aux_sym_where_clause_token1] = ACTIONS(1753),
    [aux_sym_insert_statement_token1] = ACTIONS(1753),
    [aux_sym_truncate_statement_token1] = ACTIONS(1753),
    [aux_sym_update_statement_token1] = ACTIONS(1753),
    [aux_sym_merge_statement_token1] = ACTIONS(1753),
    [aux_sym_grant_statement_token1] = ACTIONS(1753),
    [aux_sym_revoke_statement_token1] = ACTIONS(1753),
    [aux_sym_export_data_statement_token1] = ACTIONS(1753),
    [aux_sym_load_data_statement_token1] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym__quoted_identifier] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [2092] = {
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_from_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [2093] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2094] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2095] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2096] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2097] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2098] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2099] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2100] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2101] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2102] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2103] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2104] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2105] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2106] = {
    [sym__keyword_as] = STATE(11499),
    [sym__keyword_date] = STATE(3432),
    [sym__keyword_datetime] = STATE(3432),
    [sym__keyword_time] = STATE(3432),
    [sym__keyword_timestamp] = STATE(3432),
    [sym_as_alias] = STATE(3385),
    [sym_unnest_withoffset] = STATE(3502),
    [sym__type_chrono] = STATE(3435),
    [sym__identifier] = STATE(3381),
    [sym__dotted_identifier] = STATE(14061),
    [sym_identifier] = STATE(3501),
    [aux_sym_identifier_repeat1] = STATE(14061),
    [sym__unquoted_identifier] = ACTIONS(1921),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2799),
    [aux_sym__keyword_date_token1] = ACTIONS(2801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2801),
    [aux_sym__keyword_time_token1] = ACTIONS(2801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2801),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2107] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2108] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2109] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2110] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2111] = {
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_from_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_end_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_else_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_window_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1245),
    [aux_sym_if_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_repeat_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_having_clause_token1] = ACTIONS(1245),
    [aux_sym_qualify_clause_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym_group_by_clause_token1] = ACTIONS(1245),
    [aux_sym_order_by_clause_token1] = ACTIONS(1245),
    [aux_sym_where_clause_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [2112] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2113] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2114] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2115] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2116] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_from_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2117] = {
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1395),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_from_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_end_token1] = ACTIONS(1395),
    [aux_sym__keyword_between_token1] = ACTIONS(1395),
    [aux_sym__keyword_when_token1] = ACTIONS(1395),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1395),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1395),
    [aux_sym__keyword_like_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_window_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1395),
    [aux_sym_if_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_repeat_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token3] = ACTIONS(1395),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_having_clause_token1] = ACTIONS(1395),
    [aux_sym_qualify_clause_token1] = ACTIONS(1395),
    [aux_sym_limit_clause_token1] = ACTIONS(1395),
    [aux_sym_group_by_clause_token1] = ACTIONS(1395),
    [aux_sym_order_by_clause_token1] = ACTIONS(1395),
    [aux_sym_where_clause_token1] = ACTIONS(1395),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [2118] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2119] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2120] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2121] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2122] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2123] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2124] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2125] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2126] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2127] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2128] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2129] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2130] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_from_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2131] = {
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1411),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_from_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_end_token1] = ACTIONS(1411),
    [aux_sym__keyword_between_token1] = ACTIONS(1411),
    [aux_sym__keyword_when_token1] = ACTIONS(1411),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1411),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1411),
    [aux_sym__keyword_like_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_window_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1411),
    [aux_sym_if_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_repeat_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token3] = ACTIONS(1411),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_having_clause_token1] = ACTIONS(1411),
    [aux_sym_qualify_clause_token1] = ACTIONS(1411),
    [aux_sym_limit_clause_token1] = ACTIONS(1411),
    [aux_sym_group_by_clause_token1] = ACTIONS(1411),
    [aux_sym_order_by_clause_token1] = ACTIONS(1411),
    [aux_sym_where_clause_token1] = ACTIONS(1411),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [2132] = {
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1415),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_from_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_end_token1] = ACTIONS(1415),
    [aux_sym__keyword_between_token1] = ACTIONS(1415),
    [aux_sym__keyword_when_token1] = ACTIONS(1415),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1415),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1415),
    [aux_sym__keyword_like_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_window_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1415),
    [aux_sym_if_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_repeat_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token3] = ACTIONS(1415),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_having_clause_token1] = ACTIONS(1415),
    [aux_sym_qualify_clause_token1] = ACTIONS(1415),
    [aux_sym_limit_clause_token1] = ACTIONS(1415),
    [aux_sym_group_by_clause_token1] = ACTIONS(1415),
    [aux_sym_order_by_clause_token1] = ACTIONS(1415),
    [aux_sym_where_clause_token1] = ACTIONS(1415),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [2133] = {
    [sym__unquoted_identifier] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1595),
    [aux_sym_keyword_replace_token1] = ACTIONS(1595),
    [aux_sym__keyword_alter_token1] = ACTIONS(1595),
    [aux_sym__keyword_create_token1] = ACTIONS(1595),
    [aux_sym__keyword_drop_token1] = ACTIONS(1595),
    [aux_sym__keyword_from_token1] = ACTIONS(1595),
    [aux_sym__keyword_delete_token1] = ACTIONS(1595),
    [aux_sym__keyword_begin_token1] = ACTIONS(1595),
    [aux_sym__keyword_end_token1] = ACTIONS(1595),
    [aux_sym__keyword_between_token1] = ACTIONS(1595),
    [aux_sym__keyword_when_token1] = ACTIONS(1595),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1595),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1595),
    [aux_sym__keyword_like_token1] = ACTIONS(1595),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1595),
    [aux_sym__keyword_as_token1] = ACTIONS(1595),
    [aux_sym__keyword_window_token1] = ACTIONS(1595),
    [aux_sym__keyword_date_token1] = ACTIONS(1595),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1595),
    [aux_sym__keyword_time_token1] = ACTIONS(1595),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1595),
    [aux_sym__keyword_for_token1] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1595),
    [aux_sym_return_statement_token1] = ACTIONS(1595),
    [aux_sym_call_statement_token1] = ACTIONS(1595),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1595),
    [aux_sym_if_statement_token1] = ACTIONS(1595),
    [aux_sym_loop_statement_token1] = ACTIONS(1595),
    [aux_sym_repeat_statement_token1] = ACTIONS(1595),
    [aux_sym_while_statement_token1] = ACTIONS(1595),
    [aux_sym_break_statement_token1] = ACTIONS(1595),
    [aux_sym_leave_statement_token1] = ACTIONS(1595),
    [aux_sym_continue_statement_token1] = ACTIONS(1595),
    [aux_sym_iterate_statement_token1] = ACTIONS(1595),
    [aux_sym_raise_statement_token1] = ACTIONS(1595),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1595),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1595),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_set_operation_token1] = ACTIONS(1595),
    [aux_sym_set_operation_token3] = ACTIONS(1595),
    [aux_sym_set_operation_token4] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1595),
    [aux_sym_having_clause_token1] = ACTIONS(1595),
    [aux_sym_qualify_clause_token1] = ACTIONS(1595),
    [aux_sym_limit_clause_token1] = ACTIONS(1595),
    [aux_sym_group_by_clause_token1] = ACTIONS(1595),
    [aux_sym_order_by_clause_token1] = ACTIONS(1595),
    [aux_sym_where_clause_token1] = ACTIONS(1595),
    [aux_sym_insert_statement_token1] = ACTIONS(1595),
    [aux_sym_truncate_statement_token1] = ACTIONS(1595),
    [aux_sym_update_statement_token1] = ACTIONS(1595),
    [aux_sym_merge_statement_token1] = ACTIONS(1595),
    [aux_sym_grant_statement_token1] = ACTIONS(1595),
    [aux_sym_revoke_statement_token1] = ACTIONS(1595),
    [aux_sym_export_data_statement_token1] = ACTIONS(1595),
    [aux_sym_load_data_statement_token1] = ACTIONS(1595),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym__quoted_identifier] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [2134] = {
    [sym__unquoted_identifier] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1683),
    [aux_sym_keyword_replace_token1] = ACTIONS(1683),
    [aux_sym__keyword_alter_token1] = ACTIONS(1683),
    [aux_sym__keyword_create_token1] = ACTIONS(1683),
    [aux_sym__keyword_drop_token1] = ACTIONS(1683),
    [aux_sym__keyword_from_token1] = ACTIONS(1683),
    [aux_sym__keyword_delete_token1] = ACTIONS(1683),
    [aux_sym__keyword_begin_token1] = ACTIONS(1683),
    [aux_sym__keyword_end_token1] = ACTIONS(1683),
    [aux_sym__keyword_between_token1] = ACTIONS(1683),
    [aux_sym__keyword_when_token1] = ACTIONS(1683),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1683),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1683),
    [aux_sym__keyword_like_token1] = ACTIONS(1683),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1683),
    [aux_sym__keyword_as_token1] = ACTIONS(1683),
    [aux_sym__keyword_window_token1] = ACTIONS(1683),
    [aux_sym__keyword_date_token1] = ACTIONS(1683),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1683),
    [aux_sym__keyword_time_token1] = ACTIONS(1683),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1683),
    [aux_sym__keyword_for_token1] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1683),
    [aux_sym_return_statement_token1] = ACTIONS(1683),
    [aux_sym_call_statement_token1] = ACTIONS(1683),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1683),
    [aux_sym_if_statement_token1] = ACTIONS(1683),
    [aux_sym_loop_statement_token1] = ACTIONS(1683),
    [aux_sym_repeat_statement_token1] = ACTIONS(1683),
    [aux_sym_while_statement_token1] = ACTIONS(1683),
    [aux_sym_break_statement_token1] = ACTIONS(1683),
    [aux_sym_leave_statement_token1] = ACTIONS(1683),
    [aux_sym_continue_statement_token1] = ACTIONS(1683),
    [aux_sym_iterate_statement_token1] = ACTIONS(1683),
    [aux_sym_raise_statement_token1] = ACTIONS(1683),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1683),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1683),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_set_operation_token1] = ACTIONS(1683),
    [aux_sym_set_operation_token3] = ACTIONS(1683),
    [aux_sym_set_operation_token4] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1683),
    [aux_sym_having_clause_token1] = ACTIONS(1683),
    [aux_sym_qualify_clause_token1] = ACTIONS(1683),
    [aux_sym_limit_clause_token1] = ACTIONS(1683),
    [aux_sym_group_by_clause_token1] = ACTIONS(1683),
    [aux_sym_order_by_clause_token1] = ACTIONS(1683),
    [aux_sym_where_clause_token1] = ACTIONS(1683),
    [aux_sym_insert_statement_token1] = ACTIONS(1683),
    [aux_sym_truncate_statement_token1] = ACTIONS(1683),
    [aux_sym_update_statement_token1] = ACTIONS(1683),
    [aux_sym_merge_statement_token1] = ACTIONS(1683),
    [aux_sym_grant_statement_token1] = ACTIONS(1683),
    [aux_sym_revoke_statement_token1] = ACTIONS(1683),
    [aux_sym_export_data_statement_token1] = ACTIONS(1683),
    [aux_sym_load_data_statement_token1] = ACTIONS(1683),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym__quoted_identifier] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [2135] = {
    [sym__unquoted_identifier] = ACTIONS(1797),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1797),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1797),
    [aux_sym_keyword_replace_token1] = ACTIONS(1797),
    [aux_sym__keyword_alter_token1] = ACTIONS(1797),
    [aux_sym__keyword_create_token1] = ACTIONS(1797),
    [aux_sym__keyword_drop_token1] = ACTIONS(1797),
    [aux_sym__keyword_from_token1] = ACTIONS(1797),
    [aux_sym__keyword_delete_token1] = ACTIONS(1797),
    [aux_sym__keyword_begin_token1] = ACTIONS(1797),
    [aux_sym__keyword_end_token1] = ACTIONS(1797),
    [aux_sym__keyword_between_token1] = ACTIONS(1797),
    [aux_sym__keyword_when_token1] = ACTIONS(1797),
    [aux_sym__keyword_else_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1797),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1797),
    [aux_sym__keyword_like_token1] = ACTIONS(1797),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1797),
    [aux_sym__keyword_as_token1] = ACTIONS(1797),
    [aux_sym__keyword_window_token1] = ACTIONS(1797),
    [aux_sym__keyword_date_token1] = ACTIONS(1797),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1797),
    [aux_sym__keyword_time_token1] = ACTIONS(1797),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1797),
    [aux_sym__keyword_for_token1] = ACTIONS(1797),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1797),
    [anon_sym_COMMA] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1797),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1797),
    [aux_sym_return_statement_token1] = ACTIONS(1797),
    [aux_sym_call_statement_token1] = ACTIONS(1797),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1797),
    [aux_sym_if_statement_token1] = ACTIONS(1797),
    [aux_sym_loop_statement_token1] = ACTIONS(1797),
    [aux_sym_repeat_statement_token1] = ACTIONS(1797),
    [aux_sym_while_statement_token1] = ACTIONS(1797),
    [aux_sym_break_statement_token1] = ACTIONS(1797),
    [aux_sym_leave_statement_token1] = ACTIONS(1797),
    [aux_sym_continue_statement_token1] = ACTIONS(1797),
    [aux_sym_iterate_statement_token1] = ACTIONS(1797),
    [aux_sym_raise_statement_token1] = ACTIONS(1797),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1797),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1797),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_set_operation_token1] = ACTIONS(1797),
    [aux_sym_set_operation_token3] = ACTIONS(1797),
    [aux_sym_set_operation_token4] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1797),
    [aux_sym_having_clause_token1] = ACTIONS(1797),
    [aux_sym_qualify_clause_token1] = ACTIONS(1797),
    [aux_sym_limit_clause_token1] = ACTIONS(1797),
    [aux_sym_group_by_clause_token1] = ACTIONS(1797),
    [aux_sym_order_by_clause_token1] = ACTIONS(1797),
    [aux_sym_where_clause_token1] = ACTIONS(1797),
    [aux_sym_insert_statement_token1] = ACTIONS(1797),
    [aux_sym_truncate_statement_token1] = ACTIONS(1797),
    [aux_sym_update_statement_token1] = ACTIONS(1797),
    [aux_sym_merge_statement_token1] = ACTIONS(1797),
    [aux_sym_grant_statement_token1] = ACTIONS(1797),
    [aux_sym_revoke_statement_token1] = ACTIONS(1797),
    [aux_sym_export_data_statement_token1] = ACTIONS(1797),
    [aux_sym_load_data_statement_token1] = ACTIONS(1797),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym__quoted_identifier] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [2136] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2137] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2138] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2139] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2140] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2141] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2142] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2143] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2144] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2145] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2146] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2147] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2148] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2149] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2150] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2151] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2152] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2153] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2154] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2155] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2156] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2157] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2158] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2159] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_from_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2160] = {
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1427),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_from_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_end_token1] = ACTIONS(1427),
    [aux_sym__keyword_between_token1] = ACTIONS(1427),
    [aux_sym__keyword_when_token1] = ACTIONS(1427),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1427),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1427),
    [aux_sym__keyword_like_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_window_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1427),
    [aux_sym_if_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_repeat_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token3] = ACTIONS(1427),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_having_clause_token1] = ACTIONS(1427),
    [aux_sym_qualify_clause_token1] = ACTIONS(1427),
    [aux_sym_limit_clause_token1] = ACTIONS(1427),
    [aux_sym_group_by_clause_token1] = ACTIONS(1427),
    [aux_sym_order_by_clause_token1] = ACTIONS(1427),
    [aux_sym_where_clause_token1] = ACTIONS(1427),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [2161] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2162] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2163] = {
    [sym__unquoted_identifier] = ACTIONS(1789),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1789),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1789),
    [aux_sym_keyword_replace_token1] = ACTIONS(1789),
    [aux_sym__keyword_alter_token1] = ACTIONS(1789),
    [aux_sym__keyword_create_token1] = ACTIONS(1789),
    [aux_sym__keyword_drop_token1] = ACTIONS(1789),
    [aux_sym__keyword_from_token1] = ACTIONS(1789),
    [aux_sym__keyword_delete_token1] = ACTIONS(1789),
    [aux_sym__keyword_begin_token1] = ACTIONS(1789),
    [aux_sym__keyword_end_token1] = ACTIONS(1789),
    [aux_sym__keyword_between_token1] = ACTIONS(1789),
    [aux_sym__keyword_when_token1] = ACTIONS(1789),
    [aux_sym__keyword_else_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1789),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1789),
    [aux_sym__keyword_like_token1] = ACTIONS(1789),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1789),
    [aux_sym__keyword_as_token1] = ACTIONS(1789),
    [aux_sym__keyword_window_token1] = ACTIONS(1789),
    [aux_sym__keyword_date_token1] = ACTIONS(1789),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1789),
    [aux_sym__keyword_time_token1] = ACTIONS(1789),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1789),
    [aux_sym__keyword_for_token1] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1789),
    [anon_sym_COMMA] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1789),
    [aux_sym_return_statement_token1] = ACTIONS(1789),
    [aux_sym_call_statement_token1] = ACTIONS(1789),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1789),
    [aux_sym_if_statement_token1] = ACTIONS(1789),
    [aux_sym_loop_statement_token1] = ACTIONS(1789),
    [aux_sym_repeat_statement_token1] = ACTIONS(1789),
    [aux_sym_while_statement_token1] = ACTIONS(1789),
    [aux_sym_break_statement_token1] = ACTIONS(1789),
    [aux_sym_leave_statement_token1] = ACTIONS(1789),
    [aux_sym_continue_statement_token1] = ACTIONS(1789),
    [aux_sym_iterate_statement_token1] = ACTIONS(1789),
    [aux_sym_raise_statement_token1] = ACTIONS(1789),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1789),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1789),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_set_operation_token1] = ACTIONS(1789),
    [aux_sym_set_operation_token3] = ACTIONS(1789),
    [aux_sym_set_operation_token4] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1789),
    [aux_sym_having_clause_token1] = ACTIONS(1789),
    [aux_sym_qualify_clause_token1] = ACTIONS(1789),
    [aux_sym_limit_clause_token1] = ACTIONS(1789),
    [aux_sym_group_by_clause_token1] = ACTIONS(1789),
    [aux_sym_order_by_clause_token1] = ACTIONS(1789),
    [aux_sym_where_clause_token1] = ACTIONS(1789),
    [aux_sym_insert_statement_token1] = ACTIONS(1789),
    [aux_sym_truncate_statement_token1] = ACTIONS(1789),
    [aux_sym_update_statement_token1] = ACTIONS(1789),
    [aux_sym_merge_statement_token1] = ACTIONS(1789),
    [aux_sym_grant_statement_token1] = ACTIONS(1789),
    [aux_sym_revoke_statement_token1] = ACTIONS(1789),
    [aux_sym_export_data_statement_token1] = ACTIONS(1789),
    [aux_sym_load_data_statement_token1] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym__quoted_identifier] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [2164] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2165] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2166] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_from_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2167] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2168] = {
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1403),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_from_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_end_token1] = ACTIONS(1403),
    [aux_sym__keyword_between_token1] = ACTIONS(1403),
    [aux_sym__keyword_when_token1] = ACTIONS(1403),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1403),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1403),
    [aux_sym__keyword_like_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_window_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1403),
    [aux_sym_if_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_repeat_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token3] = ACTIONS(1403),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_having_clause_token1] = ACTIONS(1403),
    [aux_sym_qualify_clause_token1] = ACTIONS(1403),
    [aux_sym_limit_clause_token1] = ACTIONS(1403),
    [aux_sym_group_by_clause_token1] = ACTIONS(1403),
    [aux_sym_order_by_clause_token1] = ACTIONS(1403),
    [aux_sym_where_clause_token1] = ACTIONS(1403),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [2169] = {
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1387),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_from_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_end_token1] = ACTIONS(1387),
    [aux_sym__keyword_between_token1] = ACTIONS(1387),
    [aux_sym__keyword_when_token1] = ACTIONS(1387),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1387),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1387),
    [aux_sym__keyword_like_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_window_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1387),
    [aux_sym_if_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_repeat_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token3] = ACTIONS(1387),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_having_clause_token1] = ACTIONS(1387),
    [aux_sym_qualify_clause_token1] = ACTIONS(1387),
    [aux_sym_limit_clause_token1] = ACTIONS(1387),
    [aux_sym_group_by_clause_token1] = ACTIONS(1387),
    [aux_sym_order_by_clause_token1] = ACTIONS(1387),
    [aux_sym_where_clause_token1] = ACTIONS(1387),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [2170] = {
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1383),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_from_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_end_token1] = ACTIONS(1383),
    [aux_sym__keyword_between_token1] = ACTIONS(1383),
    [aux_sym__keyword_when_token1] = ACTIONS(1383),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1383),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1383),
    [aux_sym__keyword_like_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_window_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1383),
    [aux_sym_if_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_repeat_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token3] = ACTIONS(1383),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_having_clause_token1] = ACTIONS(1383),
    [aux_sym_qualify_clause_token1] = ACTIONS(1383),
    [aux_sym_limit_clause_token1] = ACTIONS(1383),
    [aux_sym_group_by_clause_token1] = ACTIONS(1383),
    [aux_sym_order_by_clause_token1] = ACTIONS(1383),
    [aux_sym_where_clause_token1] = ACTIONS(1383),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [2171] = {
    [sym__unquoted_identifier] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1863),
    [aux_sym_keyword_replace_token1] = ACTIONS(1863),
    [aux_sym__keyword_alter_token1] = ACTIONS(1863),
    [aux_sym__keyword_create_token1] = ACTIONS(1863),
    [aux_sym__keyword_drop_token1] = ACTIONS(1863),
    [aux_sym__keyword_from_token1] = ACTIONS(1863),
    [aux_sym__keyword_delete_token1] = ACTIONS(1863),
    [aux_sym__keyword_begin_token1] = ACTIONS(1863),
    [aux_sym__keyword_end_token1] = ACTIONS(1863),
    [aux_sym__keyword_between_token1] = ACTIONS(1863),
    [aux_sym__keyword_when_token1] = ACTIONS(1863),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1863),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1863),
    [aux_sym__keyword_like_token1] = ACTIONS(1863),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1863),
    [aux_sym__keyword_as_token1] = ACTIONS(1863),
    [aux_sym__keyword_window_token1] = ACTIONS(1863),
    [aux_sym__keyword_date_token1] = ACTIONS(1863),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1863),
    [aux_sym__keyword_time_token1] = ACTIONS(1863),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1863),
    [aux_sym__keyword_for_token1] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1863),
    [aux_sym_return_statement_token1] = ACTIONS(1863),
    [aux_sym_call_statement_token1] = ACTIONS(1863),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1863),
    [aux_sym_if_statement_token1] = ACTIONS(1863),
    [aux_sym_loop_statement_token1] = ACTIONS(1863),
    [aux_sym_repeat_statement_token1] = ACTIONS(1863),
    [aux_sym_while_statement_token1] = ACTIONS(1863),
    [aux_sym_break_statement_token1] = ACTIONS(1863),
    [aux_sym_leave_statement_token1] = ACTIONS(1863),
    [aux_sym_continue_statement_token1] = ACTIONS(1863),
    [aux_sym_iterate_statement_token1] = ACTIONS(1863),
    [aux_sym_raise_statement_token1] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1863),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_set_operation_token1] = ACTIONS(1863),
    [aux_sym_set_operation_token3] = ACTIONS(1863),
    [aux_sym_set_operation_token4] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1863),
    [aux_sym_having_clause_token1] = ACTIONS(1863),
    [aux_sym_qualify_clause_token1] = ACTIONS(1863),
    [aux_sym_limit_clause_token1] = ACTIONS(1863),
    [aux_sym_group_by_clause_token1] = ACTIONS(1863),
    [aux_sym_order_by_clause_token1] = ACTIONS(1863),
    [aux_sym_where_clause_token1] = ACTIONS(1863),
    [aux_sym_insert_statement_token1] = ACTIONS(1863),
    [aux_sym_truncate_statement_token1] = ACTIONS(1863),
    [aux_sym_update_statement_token1] = ACTIONS(1863),
    [aux_sym_merge_statement_token1] = ACTIONS(1863),
    [aux_sym_grant_statement_token1] = ACTIONS(1863),
    [aux_sym_revoke_statement_token1] = ACTIONS(1863),
    [aux_sym_export_data_statement_token1] = ACTIONS(1863),
    [aux_sym_load_data_statement_token1] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym__quoted_identifier] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [2172] = {
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1551),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_from_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_end_token1] = ACTIONS(1551),
    [aux_sym__keyword_between_token1] = ACTIONS(1551),
    [aux_sym__keyword_when_token1] = ACTIONS(1551),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1551),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1551),
    [aux_sym__keyword_like_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_window_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1551),
    [aux_sym_if_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_repeat_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1551),
    [aux_sym_set_operation_token3] = ACTIONS(1551),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_having_clause_token1] = ACTIONS(1551),
    [aux_sym_qualify_clause_token1] = ACTIONS(1551),
    [aux_sym_limit_clause_token1] = ACTIONS(1551),
    [aux_sym_group_by_clause_token1] = ACTIONS(1551),
    [aux_sym_order_by_clause_token1] = ACTIONS(1551),
    [aux_sym_where_clause_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [2173] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2174] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2175] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2176] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2177] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2178] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2179] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2180] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_from_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2181] = {
    [sym__unquoted_identifier] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1635),
    [aux_sym_keyword_replace_token1] = ACTIONS(1635),
    [aux_sym__keyword_alter_token1] = ACTIONS(1635),
    [aux_sym__keyword_create_token1] = ACTIONS(1635),
    [aux_sym__keyword_drop_token1] = ACTIONS(1635),
    [aux_sym__keyword_from_token1] = ACTIONS(1635),
    [aux_sym__keyword_delete_token1] = ACTIONS(1635),
    [aux_sym__keyword_begin_token1] = ACTIONS(1635),
    [aux_sym__keyword_end_token1] = ACTIONS(1635),
    [aux_sym__keyword_between_token1] = ACTIONS(1635),
    [aux_sym__keyword_when_token1] = ACTIONS(1635),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1635),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1635),
    [aux_sym__keyword_like_token1] = ACTIONS(1635),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1635),
    [aux_sym__keyword_as_token1] = ACTIONS(1635),
    [aux_sym__keyword_window_token1] = ACTIONS(1635),
    [aux_sym__keyword_date_token1] = ACTIONS(1635),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1635),
    [aux_sym__keyword_time_token1] = ACTIONS(1635),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1635),
    [aux_sym__keyword_for_token1] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1635),
    [aux_sym_return_statement_token1] = ACTIONS(1635),
    [aux_sym_call_statement_token1] = ACTIONS(1635),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1635),
    [aux_sym_if_statement_token1] = ACTIONS(1635),
    [aux_sym_loop_statement_token1] = ACTIONS(1635),
    [aux_sym_repeat_statement_token1] = ACTIONS(1635),
    [aux_sym_while_statement_token1] = ACTIONS(1635),
    [aux_sym_break_statement_token1] = ACTIONS(1635),
    [aux_sym_leave_statement_token1] = ACTIONS(1635),
    [aux_sym_continue_statement_token1] = ACTIONS(1635),
    [aux_sym_iterate_statement_token1] = ACTIONS(1635),
    [aux_sym_raise_statement_token1] = ACTIONS(1635),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1635),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_set_operation_token1] = ACTIONS(1635),
    [aux_sym_set_operation_token3] = ACTIONS(1635),
    [aux_sym_set_operation_token4] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1635),
    [aux_sym_having_clause_token1] = ACTIONS(1635),
    [aux_sym_qualify_clause_token1] = ACTIONS(1635),
    [aux_sym_limit_clause_token1] = ACTIONS(1635),
    [aux_sym_group_by_clause_token1] = ACTIONS(1635),
    [aux_sym_order_by_clause_token1] = ACTIONS(1635),
    [aux_sym_where_clause_token1] = ACTIONS(1635),
    [aux_sym_insert_statement_token1] = ACTIONS(1635),
    [aux_sym_truncate_statement_token1] = ACTIONS(1635),
    [aux_sym_update_statement_token1] = ACTIONS(1635),
    [aux_sym_merge_statement_token1] = ACTIONS(1635),
    [aux_sym_grant_statement_token1] = ACTIONS(1635),
    [aux_sym_revoke_statement_token1] = ACTIONS(1635),
    [aux_sym_export_data_statement_token1] = ACTIONS(1635),
    [aux_sym_load_data_statement_token1] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym__quoted_identifier] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [2182] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2183] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2184] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_from_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2185] = {
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1463),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_from_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_end_token1] = ACTIONS(1463),
    [aux_sym__keyword_between_token1] = ACTIONS(1463),
    [aux_sym__keyword_when_token1] = ACTIONS(1463),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1463),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1463),
    [aux_sym__keyword_like_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_window_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_repeat_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token3] = ACTIONS(1463),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_having_clause_token1] = ACTIONS(1463),
    [aux_sym_qualify_clause_token1] = ACTIONS(1463),
    [aux_sym_limit_clause_token1] = ACTIONS(1463),
    [aux_sym_group_by_clause_token1] = ACTIONS(1463),
    [aux_sym_order_by_clause_token1] = ACTIONS(1463),
    [aux_sym_where_clause_token1] = ACTIONS(1463),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [2186] = {
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_from_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2187] = {
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1491),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_from_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_end_token1] = ACTIONS(1491),
    [aux_sym__keyword_between_token1] = ACTIONS(1491),
    [aux_sym__keyword_when_token1] = ACTIONS(1491),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1491),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1491),
    [aux_sym__keyword_like_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_window_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1491),
    [aux_sym_if_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_repeat_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token3] = ACTIONS(1491),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_having_clause_token1] = ACTIONS(1491),
    [aux_sym_qualify_clause_token1] = ACTIONS(1491),
    [aux_sym_limit_clause_token1] = ACTIONS(1491),
    [aux_sym_group_by_clause_token1] = ACTIONS(1491),
    [aux_sym_order_by_clause_token1] = ACTIONS(1491),
    [aux_sym_where_clause_token1] = ACTIONS(1491),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [2188] = {
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1503),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_from_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_end_token1] = ACTIONS(1503),
    [aux_sym__keyword_between_token1] = ACTIONS(1503),
    [aux_sym__keyword_when_token1] = ACTIONS(1503),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1503),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1503),
    [aux_sym__keyword_like_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_window_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1503),
    [aux_sym_if_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_repeat_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token3] = ACTIONS(1503),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_having_clause_token1] = ACTIONS(1503),
    [aux_sym_qualify_clause_token1] = ACTIONS(1503),
    [aux_sym_limit_clause_token1] = ACTIONS(1503),
    [aux_sym_group_by_clause_token1] = ACTIONS(1503),
    [aux_sym_order_by_clause_token1] = ACTIONS(1503),
    [aux_sym_where_clause_token1] = ACTIONS(1503),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [2189] = {
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1515),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_from_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_end_token1] = ACTIONS(1515),
    [aux_sym__keyword_between_token1] = ACTIONS(1515),
    [aux_sym__keyword_when_token1] = ACTIONS(1515),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1515),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1515),
    [aux_sym__keyword_like_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_window_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1515),
    [aux_sym_if_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_repeat_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token3] = ACTIONS(1515),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_having_clause_token1] = ACTIONS(1515),
    [aux_sym_qualify_clause_token1] = ACTIONS(1515),
    [aux_sym_limit_clause_token1] = ACTIONS(1515),
    [aux_sym_group_by_clause_token1] = ACTIONS(1515),
    [aux_sym_order_by_clause_token1] = ACTIONS(1515),
    [aux_sym_where_clause_token1] = ACTIONS(1515),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [2190] = {
    [sym__unquoted_identifier] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1867),
    [aux_sym_keyword_replace_token1] = ACTIONS(1867),
    [aux_sym__keyword_alter_token1] = ACTIONS(1867),
    [aux_sym__keyword_create_token1] = ACTIONS(1867),
    [aux_sym__keyword_drop_token1] = ACTIONS(1867),
    [aux_sym__keyword_from_token1] = ACTIONS(1867),
    [aux_sym__keyword_delete_token1] = ACTIONS(1867),
    [aux_sym__keyword_begin_token1] = ACTIONS(1867),
    [aux_sym__keyword_end_token1] = ACTIONS(1867),
    [aux_sym__keyword_between_token1] = ACTIONS(1867),
    [aux_sym__keyword_when_token1] = ACTIONS(1867),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1867),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1867),
    [aux_sym__keyword_like_token1] = ACTIONS(1867),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1867),
    [aux_sym__keyword_as_token1] = ACTIONS(1867),
    [aux_sym__keyword_window_token1] = ACTIONS(1867),
    [aux_sym__keyword_date_token1] = ACTIONS(1867),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1867),
    [aux_sym__keyword_time_token1] = ACTIONS(1867),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1867),
    [aux_sym__keyword_for_token1] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1867),
    [aux_sym_return_statement_token1] = ACTIONS(1867),
    [aux_sym_call_statement_token1] = ACTIONS(1867),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1867),
    [aux_sym_if_statement_token1] = ACTIONS(1867),
    [aux_sym_loop_statement_token1] = ACTIONS(1867),
    [aux_sym_repeat_statement_token1] = ACTIONS(1867),
    [aux_sym_while_statement_token1] = ACTIONS(1867),
    [aux_sym_break_statement_token1] = ACTIONS(1867),
    [aux_sym_leave_statement_token1] = ACTIONS(1867),
    [aux_sym_continue_statement_token1] = ACTIONS(1867),
    [aux_sym_iterate_statement_token1] = ACTIONS(1867),
    [aux_sym_raise_statement_token1] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1867),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_set_operation_token1] = ACTIONS(1867),
    [aux_sym_set_operation_token3] = ACTIONS(1867),
    [aux_sym_set_operation_token4] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1867),
    [aux_sym_having_clause_token1] = ACTIONS(1867),
    [aux_sym_qualify_clause_token1] = ACTIONS(1867),
    [aux_sym_limit_clause_token1] = ACTIONS(1867),
    [aux_sym_group_by_clause_token1] = ACTIONS(1867),
    [aux_sym_order_by_clause_token1] = ACTIONS(1867),
    [aux_sym_where_clause_token1] = ACTIONS(1867),
    [aux_sym_insert_statement_token1] = ACTIONS(1867),
    [aux_sym_truncate_statement_token1] = ACTIONS(1867),
    [aux_sym_update_statement_token1] = ACTIONS(1867),
    [aux_sym_merge_statement_token1] = ACTIONS(1867),
    [aux_sym_grant_statement_token1] = ACTIONS(1867),
    [aux_sym_revoke_statement_token1] = ACTIONS(1867),
    [aux_sym_export_data_statement_token1] = ACTIONS(1867),
    [aux_sym_load_data_statement_token1] = ACTIONS(1867),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym__quoted_identifier] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [2191] = {
    [sym__unquoted_identifier] = ACTIONS(1781),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1781),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1781),
    [aux_sym_keyword_replace_token1] = ACTIONS(1781),
    [aux_sym__keyword_alter_token1] = ACTIONS(1781),
    [aux_sym__keyword_create_token1] = ACTIONS(1781),
    [aux_sym__keyword_drop_token1] = ACTIONS(1781),
    [aux_sym__keyword_from_token1] = ACTIONS(1781),
    [aux_sym__keyword_delete_token1] = ACTIONS(1781),
    [aux_sym__keyword_begin_token1] = ACTIONS(1781),
    [aux_sym__keyword_end_token1] = ACTIONS(1781),
    [aux_sym__keyword_between_token1] = ACTIONS(1781),
    [aux_sym__keyword_when_token1] = ACTIONS(1781),
    [aux_sym__keyword_else_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1781),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1781),
    [aux_sym__keyword_like_token1] = ACTIONS(1781),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1781),
    [aux_sym__keyword_as_token1] = ACTIONS(1781),
    [aux_sym__keyword_window_token1] = ACTIONS(1781),
    [aux_sym__keyword_date_token1] = ACTIONS(1781),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1781),
    [aux_sym__keyword_time_token1] = ACTIONS(1781),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1781),
    [aux_sym__keyword_for_token1] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1781),
    [aux_sym_return_statement_token1] = ACTIONS(1781),
    [aux_sym_call_statement_token1] = ACTIONS(1781),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1781),
    [aux_sym_if_statement_token1] = ACTIONS(1781),
    [aux_sym_loop_statement_token1] = ACTIONS(1781),
    [aux_sym_repeat_statement_token1] = ACTIONS(1781),
    [aux_sym_while_statement_token1] = ACTIONS(1781),
    [aux_sym_break_statement_token1] = ACTIONS(1781),
    [aux_sym_leave_statement_token1] = ACTIONS(1781),
    [aux_sym_continue_statement_token1] = ACTIONS(1781),
    [aux_sym_iterate_statement_token1] = ACTIONS(1781),
    [aux_sym_raise_statement_token1] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1781),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_set_operation_token1] = ACTIONS(1781),
    [aux_sym_set_operation_token3] = ACTIONS(1781),
    [aux_sym_set_operation_token4] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1781),
    [aux_sym_having_clause_token1] = ACTIONS(1781),
    [aux_sym_qualify_clause_token1] = ACTIONS(1781),
    [aux_sym_limit_clause_token1] = ACTIONS(1781),
    [aux_sym_group_by_clause_token1] = ACTIONS(1781),
    [aux_sym_order_by_clause_token1] = ACTIONS(1781),
    [aux_sym_where_clause_token1] = ACTIONS(1781),
    [aux_sym_insert_statement_token1] = ACTIONS(1781),
    [aux_sym_truncate_statement_token1] = ACTIONS(1781),
    [aux_sym_update_statement_token1] = ACTIONS(1781),
    [aux_sym_merge_statement_token1] = ACTIONS(1781),
    [aux_sym_grant_statement_token1] = ACTIONS(1781),
    [aux_sym_revoke_statement_token1] = ACTIONS(1781),
    [aux_sym_export_data_statement_token1] = ACTIONS(1781),
    [aux_sym_load_data_statement_token1] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym__quoted_identifier] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [2192] = {
    [sym__unquoted_identifier] = ACTIONS(1773),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1773),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1773),
    [aux_sym_keyword_replace_token1] = ACTIONS(1773),
    [aux_sym__keyword_alter_token1] = ACTIONS(1773),
    [aux_sym__keyword_create_token1] = ACTIONS(1773),
    [aux_sym__keyword_drop_token1] = ACTIONS(1773),
    [aux_sym__keyword_from_token1] = ACTIONS(1773),
    [aux_sym__keyword_delete_token1] = ACTIONS(1773),
    [aux_sym__keyword_begin_token1] = ACTIONS(1773),
    [aux_sym__keyword_end_token1] = ACTIONS(1773),
    [aux_sym__keyword_between_token1] = ACTIONS(1773),
    [aux_sym__keyword_when_token1] = ACTIONS(1773),
    [aux_sym__keyword_else_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1773),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1773),
    [aux_sym__keyword_like_token1] = ACTIONS(1773),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1773),
    [aux_sym__keyword_as_token1] = ACTIONS(1773),
    [aux_sym__keyword_window_token1] = ACTIONS(1773),
    [aux_sym__keyword_date_token1] = ACTIONS(1773),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1773),
    [aux_sym__keyword_time_token1] = ACTIONS(1773),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1773),
    [aux_sym__keyword_for_token1] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1773),
    [aux_sym_return_statement_token1] = ACTIONS(1773),
    [aux_sym_call_statement_token1] = ACTIONS(1773),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1773),
    [aux_sym_if_statement_token1] = ACTIONS(1773),
    [aux_sym_loop_statement_token1] = ACTIONS(1773),
    [aux_sym_repeat_statement_token1] = ACTIONS(1773),
    [aux_sym_while_statement_token1] = ACTIONS(1773),
    [aux_sym_break_statement_token1] = ACTIONS(1773),
    [aux_sym_leave_statement_token1] = ACTIONS(1773),
    [aux_sym_continue_statement_token1] = ACTIONS(1773),
    [aux_sym_iterate_statement_token1] = ACTIONS(1773),
    [aux_sym_raise_statement_token1] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1773),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_set_operation_token1] = ACTIONS(1773),
    [aux_sym_set_operation_token3] = ACTIONS(1773),
    [aux_sym_set_operation_token4] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1773),
    [aux_sym_having_clause_token1] = ACTIONS(1773),
    [aux_sym_qualify_clause_token1] = ACTIONS(1773),
    [aux_sym_limit_clause_token1] = ACTIONS(1773),
    [aux_sym_group_by_clause_token1] = ACTIONS(1773),
    [aux_sym_order_by_clause_token1] = ACTIONS(1773),
    [aux_sym_where_clause_token1] = ACTIONS(1773),
    [aux_sym_insert_statement_token1] = ACTIONS(1773),
    [aux_sym_truncate_statement_token1] = ACTIONS(1773),
    [aux_sym_update_statement_token1] = ACTIONS(1773),
    [aux_sym_merge_statement_token1] = ACTIONS(1773),
    [aux_sym_grant_statement_token1] = ACTIONS(1773),
    [aux_sym_revoke_statement_token1] = ACTIONS(1773),
    [aux_sym_export_data_statement_token1] = ACTIONS(1773),
    [aux_sym_load_data_statement_token1] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym__quoted_identifier] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [2193] = {
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2194] = {
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_from_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2195] = {
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1511),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_from_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_end_token1] = ACTIONS(1511),
    [aux_sym__keyword_between_token1] = ACTIONS(1511),
    [aux_sym__keyword_when_token1] = ACTIONS(1511),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1511),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1511),
    [aux_sym__keyword_like_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_window_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1511),
    [aux_sym_if_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_repeat_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token3] = ACTIONS(1511),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_having_clause_token1] = ACTIONS(1511),
    [aux_sym_qualify_clause_token1] = ACTIONS(1511),
    [aux_sym_limit_clause_token1] = ACTIONS(1511),
    [aux_sym_group_by_clause_token1] = ACTIONS(1511),
    [aux_sym_order_by_clause_token1] = ACTIONS(1511),
    [aux_sym_where_clause_token1] = ACTIONS(1511),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [2196] = {
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1499),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_from_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_end_token1] = ACTIONS(1499),
    [aux_sym__keyword_between_token1] = ACTIONS(1499),
    [aux_sym__keyword_when_token1] = ACTIONS(1499),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1499),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1499),
    [aux_sym__keyword_like_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_window_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1499),
    [aux_sym_if_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_repeat_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token3] = ACTIONS(1499),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_having_clause_token1] = ACTIONS(1499),
    [aux_sym_qualify_clause_token1] = ACTIONS(1499),
    [aux_sym_limit_clause_token1] = ACTIONS(1499),
    [aux_sym_group_by_clause_token1] = ACTIONS(1499),
    [aux_sym_order_by_clause_token1] = ACTIONS(1499),
    [aux_sym_where_clause_token1] = ACTIONS(1499),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [2197] = {
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1495),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_from_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_end_token1] = ACTIONS(1495),
    [aux_sym__keyword_between_token1] = ACTIONS(1495),
    [aux_sym__keyword_when_token1] = ACTIONS(1495),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1495),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1495),
    [aux_sym__keyword_like_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_window_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1495),
    [aux_sym_if_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_repeat_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token3] = ACTIONS(1495),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_having_clause_token1] = ACTIONS(1495),
    [aux_sym_qualify_clause_token1] = ACTIONS(1495),
    [aux_sym_limit_clause_token1] = ACTIONS(1495),
    [aux_sym_group_by_clause_token1] = ACTIONS(1495),
    [aux_sym_order_by_clause_token1] = ACTIONS(1495),
    [aux_sym_where_clause_token1] = ACTIONS(1495),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [2198] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2199] = {
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1487),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_from_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_end_token1] = ACTIONS(1487),
    [aux_sym__keyword_between_token1] = ACTIONS(1487),
    [aux_sym__keyword_when_token1] = ACTIONS(1487),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1487),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1487),
    [aux_sym__keyword_like_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_window_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1487),
    [aux_sym_if_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_repeat_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token3] = ACTIONS(1487),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_having_clause_token1] = ACTIONS(1487),
    [aux_sym_qualify_clause_token1] = ACTIONS(1487),
    [aux_sym_limit_clause_token1] = ACTIONS(1487),
    [aux_sym_group_by_clause_token1] = ACTIONS(1487),
    [aux_sym_order_by_clause_token1] = ACTIONS(1487),
    [aux_sym_where_clause_token1] = ACTIONS(1487),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [2200] = {
    [sym__unquoted_identifier] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1793),
    [aux_sym_keyword_replace_token1] = ACTIONS(1793),
    [aux_sym__keyword_alter_token1] = ACTIONS(1793),
    [aux_sym__keyword_create_token1] = ACTIONS(1793),
    [aux_sym__keyword_drop_token1] = ACTIONS(1793),
    [aux_sym__keyword_from_token1] = ACTIONS(1793),
    [aux_sym__keyword_delete_token1] = ACTIONS(1793),
    [aux_sym__keyword_begin_token1] = ACTIONS(1793),
    [aux_sym__keyword_end_token1] = ACTIONS(1793),
    [aux_sym__keyword_between_token1] = ACTIONS(1793),
    [aux_sym__keyword_when_token1] = ACTIONS(1793),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1793),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1793),
    [aux_sym__keyword_like_token1] = ACTIONS(1793),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1793),
    [aux_sym__keyword_as_token1] = ACTIONS(1793),
    [aux_sym__keyword_window_token1] = ACTIONS(1793),
    [aux_sym__keyword_date_token1] = ACTIONS(1793),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1793),
    [aux_sym__keyword_time_token1] = ACTIONS(1793),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1793),
    [aux_sym__keyword_for_token1] = ACTIONS(1793),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1793),
    [aux_sym_return_statement_token1] = ACTIONS(1793),
    [aux_sym_call_statement_token1] = ACTIONS(1793),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1793),
    [aux_sym_if_statement_token1] = ACTIONS(1793),
    [aux_sym_loop_statement_token1] = ACTIONS(1793),
    [aux_sym_repeat_statement_token1] = ACTIONS(1793),
    [aux_sym_while_statement_token1] = ACTIONS(1793),
    [aux_sym_break_statement_token1] = ACTIONS(1793),
    [aux_sym_leave_statement_token1] = ACTIONS(1793),
    [aux_sym_continue_statement_token1] = ACTIONS(1793),
    [aux_sym_iterate_statement_token1] = ACTIONS(1793),
    [aux_sym_raise_statement_token1] = ACTIONS(1793),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1793),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_set_operation_token1] = ACTIONS(1793),
    [aux_sym_set_operation_token3] = ACTIONS(1793),
    [aux_sym_set_operation_token4] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1793),
    [aux_sym_having_clause_token1] = ACTIONS(1793),
    [aux_sym_qualify_clause_token1] = ACTIONS(1793),
    [aux_sym_limit_clause_token1] = ACTIONS(1793),
    [aux_sym_group_by_clause_token1] = ACTIONS(1793),
    [aux_sym_order_by_clause_token1] = ACTIONS(1793),
    [aux_sym_where_clause_token1] = ACTIONS(1793),
    [aux_sym_insert_statement_token1] = ACTIONS(1793),
    [aux_sym_truncate_statement_token1] = ACTIONS(1793),
    [aux_sym_update_statement_token1] = ACTIONS(1793),
    [aux_sym_merge_statement_token1] = ACTIONS(1793),
    [aux_sym_grant_statement_token1] = ACTIONS(1793),
    [aux_sym_revoke_statement_token1] = ACTIONS(1793),
    [aux_sym_export_data_statement_token1] = ACTIONS(1793),
    [aux_sym_load_data_statement_token1] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym__quoted_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [2201] = {
    [sym__unquoted_identifier] = ACTIONS(1765),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1765),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1765),
    [aux_sym_keyword_replace_token1] = ACTIONS(1765),
    [aux_sym__keyword_alter_token1] = ACTIONS(1765),
    [aux_sym__keyword_create_token1] = ACTIONS(1765),
    [aux_sym__keyword_drop_token1] = ACTIONS(1765),
    [aux_sym__keyword_from_token1] = ACTIONS(1765),
    [aux_sym__keyword_delete_token1] = ACTIONS(1765),
    [aux_sym__keyword_begin_token1] = ACTIONS(1765),
    [aux_sym__keyword_end_token1] = ACTIONS(1765),
    [aux_sym__keyword_between_token1] = ACTIONS(1765),
    [aux_sym__keyword_when_token1] = ACTIONS(1765),
    [aux_sym__keyword_else_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1765),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1765),
    [aux_sym__keyword_like_token1] = ACTIONS(1765),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1765),
    [aux_sym__keyword_as_token1] = ACTIONS(1765),
    [aux_sym__keyword_window_token1] = ACTIONS(1765),
    [aux_sym__keyword_date_token1] = ACTIONS(1765),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1765),
    [aux_sym__keyword_time_token1] = ACTIONS(1765),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1765),
    [aux_sym__keyword_for_token1] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1765),
    [aux_sym_return_statement_token1] = ACTIONS(1765),
    [aux_sym_call_statement_token1] = ACTIONS(1765),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1765),
    [aux_sym_if_statement_token1] = ACTIONS(1765),
    [aux_sym_loop_statement_token1] = ACTIONS(1765),
    [aux_sym_repeat_statement_token1] = ACTIONS(1765),
    [aux_sym_while_statement_token1] = ACTIONS(1765),
    [aux_sym_break_statement_token1] = ACTIONS(1765),
    [aux_sym_leave_statement_token1] = ACTIONS(1765),
    [aux_sym_continue_statement_token1] = ACTIONS(1765),
    [aux_sym_iterate_statement_token1] = ACTIONS(1765),
    [aux_sym_raise_statement_token1] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1765),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_set_operation_token1] = ACTIONS(1765),
    [aux_sym_set_operation_token3] = ACTIONS(1765),
    [aux_sym_set_operation_token4] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1765),
    [aux_sym_having_clause_token1] = ACTIONS(1765),
    [aux_sym_qualify_clause_token1] = ACTIONS(1765),
    [aux_sym_limit_clause_token1] = ACTIONS(1765),
    [aux_sym_group_by_clause_token1] = ACTIONS(1765),
    [aux_sym_order_by_clause_token1] = ACTIONS(1765),
    [aux_sym_where_clause_token1] = ACTIONS(1765),
    [aux_sym_insert_statement_token1] = ACTIONS(1765),
    [aux_sym_truncate_statement_token1] = ACTIONS(1765),
    [aux_sym_update_statement_token1] = ACTIONS(1765),
    [aux_sym_merge_statement_token1] = ACTIONS(1765),
    [aux_sym_grant_statement_token1] = ACTIONS(1765),
    [aux_sym_revoke_statement_token1] = ACTIONS(1765),
    [aux_sym_export_data_statement_token1] = ACTIONS(1765),
    [aux_sym_load_data_statement_token1] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym__quoted_identifier] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [2202] = {
    [sym__unquoted_identifier] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1831),
    [aux_sym_keyword_replace_token1] = ACTIONS(1831),
    [aux_sym__keyword_alter_token1] = ACTIONS(1831),
    [aux_sym__keyword_create_token1] = ACTIONS(1831),
    [aux_sym__keyword_drop_token1] = ACTIONS(1831),
    [aux_sym__keyword_from_token1] = ACTIONS(1831),
    [aux_sym__keyword_delete_token1] = ACTIONS(1831),
    [aux_sym__keyword_begin_token1] = ACTIONS(1831),
    [aux_sym__keyword_end_token1] = ACTIONS(1831),
    [aux_sym__keyword_between_token1] = ACTIONS(1831),
    [aux_sym__keyword_when_token1] = ACTIONS(1831),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1831),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1831),
    [aux_sym__keyword_like_token1] = ACTIONS(1831),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1831),
    [aux_sym__keyword_as_token1] = ACTIONS(1831),
    [aux_sym__keyword_window_token1] = ACTIONS(1831),
    [aux_sym__keyword_date_token1] = ACTIONS(1831),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1831),
    [aux_sym__keyword_time_token1] = ACTIONS(1831),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1831),
    [aux_sym__keyword_for_token1] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1831),
    [aux_sym_return_statement_token1] = ACTIONS(1831),
    [aux_sym_call_statement_token1] = ACTIONS(1831),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1831),
    [aux_sym_if_statement_token1] = ACTIONS(1831),
    [aux_sym_loop_statement_token1] = ACTIONS(1831),
    [aux_sym_repeat_statement_token1] = ACTIONS(1831),
    [aux_sym_while_statement_token1] = ACTIONS(1831),
    [aux_sym_break_statement_token1] = ACTIONS(1831),
    [aux_sym_leave_statement_token1] = ACTIONS(1831),
    [aux_sym_continue_statement_token1] = ACTIONS(1831),
    [aux_sym_iterate_statement_token1] = ACTIONS(1831),
    [aux_sym_raise_statement_token1] = ACTIONS(1831),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1831),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_set_operation_token1] = ACTIONS(1831),
    [aux_sym_set_operation_token3] = ACTIONS(1831),
    [aux_sym_set_operation_token4] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1831),
    [aux_sym_having_clause_token1] = ACTIONS(1831),
    [aux_sym_qualify_clause_token1] = ACTIONS(1831),
    [aux_sym_limit_clause_token1] = ACTIONS(1831),
    [aux_sym_group_by_clause_token1] = ACTIONS(1831),
    [aux_sym_order_by_clause_token1] = ACTIONS(1831),
    [aux_sym_where_clause_token1] = ACTIONS(1831),
    [aux_sym_insert_statement_token1] = ACTIONS(1831),
    [aux_sym_truncate_statement_token1] = ACTIONS(1831),
    [aux_sym_update_statement_token1] = ACTIONS(1831),
    [aux_sym_merge_statement_token1] = ACTIONS(1831),
    [aux_sym_grant_statement_token1] = ACTIONS(1831),
    [aux_sym_revoke_statement_token1] = ACTIONS(1831),
    [aux_sym_export_data_statement_token1] = ACTIONS(1831),
    [aux_sym_load_data_statement_token1] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym__quoted_identifier] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [2203] = {
    [sym__unquoted_identifier] = ACTIONS(1761),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1761),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1761),
    [aux_sym_keyword_replace_token1] = ACTIONS(1761),
    [aux_sym__keyword_alter_token1] = ACTIONS(1761),
    [aux_sym__keyword_create_token1] = ACTIONS(1761),
    [aux_sym__keyword_drop_token1] = ACTIONS(1761),
    [aux_sym__keyword_from_token1] = ACTIONS(1761),
    [aux_sym__keyword_delete_token1] = ACTIONS(1761),
    [aux_sym__keyword_begin_token1] = ACTIONS(1761),
    [aux_sym__keyword_end_token1] = ACTIONS(1761),
    [aux_sym__keyword_between_token1] = ACTIONS(1761),
    [aux_sym__keyword_when_token1] = ACTIONS(1761),
    [aux_sym__keyword_else_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1761),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1761),
    [aux_sym__keyword_like_token1] = ACTIONS(1761),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1761),
    [aux_sym__keyword_as_token1] = ACTIONS(1761),
    [aux_sym__keyword_window_token1] = ACTIONS(1761),
    [aux_sym__keyword_date_token1] = ACTIONS(1761),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1761),
    [aux_sym__keyword_time_token1] = ACTIONS(1761),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1761),
    [aux_sym__keyword_for_token1] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1761),
    [aux_sym_return_statement_token1] = ACTIONS(1761),
    [aux_sym_call_statement_token1] = ACTIONS(1761),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1761),
    [aux_sym_if_statement_token1] = ACTIONS(1761),
    [aux_sym_loop_statement_token1] = ACTIONS(1761),
    [aux_sym_repeat_statement_token1] = ACTIONS(1761),
    [aux_sym_while_statement_token1] = ACTIONS(1761),
    [aux_sym_break_statement_token1] = ACTIONS(1761),
    [aux_sym_leave_statement_token1] = ACTIONS(1761),
    [aux_sym_continue_statement_token1] = ACTIONS(1761),
    [aux_sym_iterate_statement_token1] = ACTIONS(1761),
    [aux_sym_raise_statement_token1] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1761),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_set_operation_token1] = ACTIONS(1761),
    [aux_sym_set_operation_token3] = ACTIONS(1761),
    [aux_sym_set_operation_token4] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1761),
    [aux_sym_having_clause_token1] = ACTIONS(1761),
    [aux_sym_qualify_clause_token1] = ACTIONS(1761),
    [aux_sym_limit_clause_token1] = ACTIONS(1761),
    [aux_sym_group_by_clause_token1] = ACTIONS(1761),
    [aux_sym_order_by_clause_token1] = ACTIONS(1761),
    [aux_sym_where_clause_token1] = ACTIONS(1761),
    [aux_sym_insert_statement_token1] = ACTIONS(1761),
    [aux_sym_truncate_statement_token1] = ACTIONS(1761),
    [aux_sym_update_statement_token1] = ACTIONS(1761),
    [aux_sym_merge_statement_token1] = ACTIONS(1761),
    [aux_sym_grant_statement_token1] = ACTIONS(1761),
    [aux_sym_revoke_statement_token1] = ACTIONS(1761),
    [aux_sym_export_data_statement_token1] = ACTIONS(1761),
    [aux_sym_load_data_statement_token1] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym__quoted_identifier] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [2204] = {
    [sym__unquoted_identifier] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1827),
    [aux_sym_keyword_replace_token1] = ACTIONS(1827),
    [aux_sym__keyword_alter_token1] = ACTIONS(1827),
    [aux_sym__keyword_create_token1] = ACTIONS(1827),
    [aux_sym__keyword_drop_token1] = ACTIONS(1827),
    [aux_sym__keyword_from_token1] = ACTIONS(1827),
    [aux_sym__keyword_delete_token1] = ACTIONS(1827),
    [aux_sym__keyword_begin_token1] = ACTIONS(1827),
    [aux_sym__keyword_end_token1] = ACTIONS(1827),
    [aux_sym__keyword_between_token1] = ACTIONS(1827),
    [aux_sym__keyword_when_token1] = ACTIONS(1827),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1827),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1827),
    [aux_sym__keyword_like_token1] = ACTIONS(1827),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1827),
    [aux_sym__keyword_as_token1] = ACTIONS(1827),
    [aux_sym__keyword_window_token1] = ACTIONS(1827),
    [aux_sym__keyword_date_token1] = ACTIONS(1827),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1827),
    [aux_sym__keyword_time_token1] = ACTIONS(1827),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1827),
    [aux_sym__keyword_for_token1] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1827),
    [aux_sym_return_statement_token1] = ACTIONS(1827),
    [aux_sym_call_statement_token1] = ACTIONS(1827),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1827),
    [aux_sym_if_statement_token1] = ACTIONS(1827),
    [aux_sym_loop_statement_token1] = ACTIONS(1827),
    [aux_sym_repeat_statement_token1] = ACTIONS(1827),
    [aux_sym_while_statement_token1] = ACTIONS(1827),
    [aux_sym_break_statement_token1] = ACTIONS(1827),
    [aux_sym_leave_statement_token1] = ACTIONS(1827),
    [aux_sym_continue_statement_token1] = ACTIONS(1827),
    [aux_sym_iterate_statement_token1] = ACTIONS(1827),
    [aux_sym_raise_statement_token1] = ACTIONS(1827),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1827),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_set_operation_token1] = ACTIONS(1827),
    [aux_sym_set_operation_token3] = ACTIONS(1827),
    [aux_sym_set_operation_token4] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1827),
    [aux_sym_having_clause_token1] = ACTIONS(1827),
    [aux_sym_qualify_clause_token1] = ACTIONS(1827),
    [aux_sym_limit_clause_token1] = ACTIONS(1827),
    [aux_sym_group_by_clause_token1] = ACTIONS(1827),
    [aux_sym_order_by_clause_token1] = ACTIONS(1827),
    [aux_sym_where_clause_token1] = ACTIONS(1827),
    [aux_sym_insert_statement_token1] = ACTIONS(1827),
    [aux_sym_truncate_statement_token1] = ACTIONS(1827),
    [aux_sym_update_statement_token1] = ACTIONS(1827),
    [aux_sym_merge_statement_token1] = ACTIONS(1827),
    [aux_sym_grant_statement_token1] = ACTIONS(1827),
    [aux_sym_revoke_statement_token1] = ACTIONS(1827),
    [aux_sym_export_data_statement_token1] = ACTIONS(1827),
    [aux_sym_load_data_statement_token1] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym__quoted_identifier] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [2205] = {
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1459),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_from_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_end_token1] = ACTIONS(1459),
    [aux_sym__keyword_between_token1] = ACTIONS(1459),
    [aux_sym__keyword_when_token1] = ACTIONS(1459),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1459),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1459),
    [aux_sym__keyword_like_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_window_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1459),
    [aux_sym_if_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_repeat_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token3] = ACTIONS(1459),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_having_clause_token1] = ACTIONS(1459),
    [aux_sym_qualify_clause_token1] = ACTIONS(1459),
    [aux_sym_limit_clause_token1] = ACTIONS(1459),
    [aux_sym_group_by_clause_token1] = ACTIONS(1459),
    [aux_sym_order_by_clause_token1] = ACTIONS(1459),
    [aux_sym_where_clause_token1] = ACTIONS(1459),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [2206] = {
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1451),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_from_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_end_token1] = ACTIONS(1451),
    [aux_sym__keyword_between_token1] = ACTIONS(1451),
    [aux_sym__keyword_when_token1] = ACTIONS(1451),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1451),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1451),
    [aux_sym__keyword_like_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_window_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1451),
    [aux_sym_if_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_repeat_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token3] = ACTIONS(1451),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_having_clause_token1] = ACTIONS(1451),
    [aux_sym_qualify_clause_token1] = ACTIONS(1451),
    [aux_sym_limit_clause_token1] = ACTIONS(1451),
    [aux_sym_group_by_clause_token1] = ACTIONS(1451),
    [aux_sym_order_by_clause_token1] = ACTIONS(1451),
    [aux_sym_where_clause_token1] = ACTIONS(1451),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [2207] = {
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1447),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_from_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_end_token1] = ACTIONS(1447),
    [aux_sym__keyword_between_token1] = ACTIONS(1447),
    [aux_sym__keyword_when_token1] = ACTIONS(1447),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1447),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1447),
    [aux_sym__keyword_like_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_window_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1447),
    [aux_sym_if_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_repeat_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token3] = ACTIONS(1447),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_having_clause_token1] = ACTIONS(1447),
    [aux_sym_qualify_clause_token1] = ACTIONS(1447),
    [aux_sym_limit_clause_token1] = ACTIONS(1447),
    [aux_sym_group_by_clause_token1] = ACTIONS(1447),
    [aux_sym_order_by_clause_token1] = ACTIONS(1447),
    [aux_sym_where_clause_token1] = ACTIONS(1447),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [2208] = {
    [sym__unquoted_identifier] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1823),
    [aux_sym_keyword_replace_token1] = ACTIONS(1823),
    [aux_sym__keyword_alter_token1] = ACTIONS(1823),
    [aux_sym__keyword_create_token1] = ACTIONS(1823),
    [aux_sym__keyword_drop_token1] = ACTIONS(1823),
    [aux_sym__keyword_from_token1] = ACTIONS(1823),
    [aux_sym__keyword_delete_token1] = ACTIONS(1823),
    [aux_sym__keyword_begin_token1] = ACTIONS(1823),
    [aux_sym__keyword_end_token1] = ACTIONS(1823),
    [aux_sym__keyword_between_token1] = ACTIONS(1823),
    [aux_sym__keyword_when_token1] = ACTIONS(1823),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1823),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1823),
    [aux_sym__keyword_like_token1] = ACTIONS(1823),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1823),
    [aux_sym__keyword_as_token1] = ACTIONS(1823),
    [aux_sym__keyword_window_token1] = ACTIONS(1823),
    [aux_sym__keyword_date_token1] = ACTIONS(1823),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1823),
    [aux_sym__keyword_time_token1] = ACTIONS(1823),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1823),
    [aux_sym__keyword_for_token1] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1823),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1823),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1823),
    [aux_sym_return_statement_token1] = ACTIONS(1823),
    [aux_sym_call_statement_token1] = ACTIONS(1823),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1823),
    [aux_sym_if_statement_token1] = ACTIONS(1823),
    [aux_sym_loop_statement_token1] = ACTIONS(1823),
    [aux_sym_repeat_statement_token1] = ACTIONS(1823),
    [aux_sym_while_statement_token1] = ACTIONS(1823),
    [aux_sym_break_statement_token1] = ACTIONS(1823),
    [aux_sym_leave_statement_token1] = ACTIONS(1823),
    [aux_sym_continue_statement_token1] = ACTIONS(1823),
    [aux_sym_iterate_statement_token1] = ACTIONS(1823),
    [aux_sym_raise_statement_token1] = ACTIONS(1823),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1823),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_set_operation_token1] = ACTIONS(1823),
    [aux_sym_set_operation_token3] = ACTIONS(1823),
    [aux_sym_set_operation_token4] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1823),
    [aux_sym_having_clause_token1] = ACTIONS(1823),
    [aux_sym_qualify_clause_token1] = ACTIONS(1823),
    [aux_sym_limit_clause_token1] = ACTIONS(1823),
    [aux_sym_group_by_clause_token1] = ACTIONS(1823),
    [aux_sym_order_by_clause_token1] = ACTIONS(1823),
    [aux_sym_where_clause_token1] = ACTIONS(1823),
    [aux_sym_insert_statement_token1] = ACTIONS(1823),
    [aux_sym_truncate_statement_token1] = ACTIONS(1823),
    [aux_sym_update_statement_token1] = ACTIONS(1823),
    [aux_sym_merge_statement_token1] = ACTIONS(1823),
    [aux_sym_grant_statement_token1] = ACTIONS(1823),
    [aux_sym_revoke_statement_token1] = ACTIONS(1823),
    [aux_sym_export_data_statement_token1] = ACTIONS(1823),
    [aux_sym_load_data_statement_token1] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym__quoted_identifier] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [2209] = {
    [sym__unquoted_identifier] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1819),
    [aux_sym_keyword_replace_token1] = ACTIONS(1819),
    [aux_sym__keyword_alter_token1] = ACTIONS(1819),
    [aux_sym__keyword_create_token1] = ACTIONS(1819),
    [aux_sym__keyword_drop_token1] = ACTIONS(1819),
    [aux_sym__keyword_from_token1] = ACTIONS(1819),
    [aux_sym__keyword_delete_token1] = ACTIONS(1819),
    [aux_sym__keyword_begin_token1] = ACTIONS(1819),
    [aux_sym__keyword_end_token1] = ACTIONS(1819),
    [aux_sym__keyword_between_token1] = ACTIONS(1819),
    [aux_sym__keyword_when_token1] = ACTIONS(1819),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1819),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1819),
    [aux_sym__keyword_like_token1] = ACTIONS(1819),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1819),
    [aux_sym__keyword_as_token1] = ACTIONS(1819),
    [aux_sym__keyword_window_token1] = ACTIONS(1819),
    [aux_sym__keyword_date_token1] = ACTIONS(1819),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1819),
    [aux_sym__keyword_time_token1] = ACTIONS(1819),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1819),
    [aux_sym__keyword_for_token1] = ACTIONS(1819),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1819),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1819),
    [aux_sym_return_statement_token1] = ACTIONS(1819),
    [aux_sym_call_statement_token1] = ACTIONS(1819),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1819),
    [aux_sym_if_statement_token1] = ACTIONS(1819),
    [aux_sym_loop_statement_token1] = ACTIONS(1819),
    [aux_sym_repeat_statement_token1] = ACTIONS(1819),
    [aux_sym_while_statement_token1] = ACTIONS(1819),
    [aux_sym_break_statement_token1] = ACTIONS(1819),
    [aux_sym_leave_statement_token1] = ACTIONS(1819),
    [aux_sym_continue_statement_token1] = ACTIONS(1819),
    [aux_sym_iterate_statement_token1] = ACTIONS(1819),
    [aux_sym_raise_statement_token1] = ACTIONS(1819),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1819),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_set_operation_token1] = ACTIONS(1819),
    [aux_sym_set_operation_token3] = ACTIONS(1819),
    [aux_sym_set_operation_token4] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1819),
    [aux_sym_having_clause_token1] = ACTIONS(1819),
    [aux_sym_qualify_clause_token1] = ACTIONS(1819),
    [aux_sym_limit_clause_token1] = ACTIONS(1819),
    [aux_sym_group_by_clause_token1] = ACTIONS(1819),
    [aux_sym_order_by_clause_token1] = ACTIONS(1819),
    [aux_sym_where_clause_token1] = ACTIONS(1819),
    [aux_sym_insert_statement_token1] = ACTIONS(1819),
    [aux_sym_truncate_statement_token1] = ACTIONS(1819),
    [aux_sym_update_statement_token1] = ACTIONS(1819),
    [aux_sym_merge_statement_token1] = ACTIONS(1819),
    [aux_sym_grant_statement_token1] = ACTIONS(1819),
    [aux_sym_revoke_statement_token1] = ACTIONS(1819),
    [aux_sym_export_data_statement_token1] = ACTIONS(1819),
    [aux_sym_load_data_statement_token1] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym__quoted_identifier] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [2210] = {
    [sym__unquoted_identifier] = ACTIONS(1769),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1769),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1769),
    [aux_sym_keyword_replace_token1] = ACTIONS(1769),
    [aux_sym__keyword_alter_token1] = ACTIONS(1769),
    [aux_sym__keyword_create_token1] = ACTIONS(1769),
    [aux_sym__keyword_drop_token1] = ACTIONS(1769),
    [aux_sym__keyword_from_token1] = ACTIONS(1769),
    [aux_sym__keyword_delete_token1] = ACTIONS(1769),
    [aux_sym__keyword_begin_token1] = ACTIONS(1769),
    [aux_sym__keyword_end_token1] = ACTIONS(1769),
    [aux_sym__keyword_between_token1] = ACTIONS(1769),
    [aux_sym__keyword_when_token1] = ACTIONS(1769),
    [aux_sym__keyword_else_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1769),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1769),
    [aux_sym__keyword_like_token1] = ACTIONS(1769),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1769),
    [aux_sym__keyword_as_token1] = ACTIONS(1769),
    [aux_sym__keyword_window_token1] = ACTIONS(1769),
    [aux_sym__keyword_date_token1] = ACTIONS(1769),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1769),
    [aux_sym__keyword_time_token1] = ACTIONS(1769),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1769),
    [aux_sym__keyword_for_token1] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1769),
    [aux_sym_return_statement_token1] = ACTIONS(1769),
    [aux_sym_call_statement_token1] = ACTIONS(1769),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1769),
    [aux_sym_if_statement_token1] = ACTIONS(1769),
    [aux_sym_loop_statement_token1] = ACTIONS(1769),
    [aux_sym_repeat_statement_token1] = ACTIONS(1769),
    [aux_sym_while_statement_token1] = ACTIONS(1769),
    [aux_sym_break_statement_token1] = ACTIONS(1769),
    [aux_sym_leave_statement_token1] = ACTIONS(1769),
    [aux_sym_continue_statement_token1] = ACTIONS(1769),
    [aux_sym_iterate_statement_token1] = ACTIONS(1769),
    [aux_sym_raise_statement_token1] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1769),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_set_operation_token1] = ACTIONS(1769),
    [aux_sym_set_operation_token3] = ACTIONS(1769),
    [aux_sym_set_operation_token4] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1769),
    [aux_sym_having_clause_token1] = ACTIONS(1769),
    [aux_sym_qualify_clause_token1] = ACTIONS(1769),
    [aux_sym_limit_clause_token1] = ACTIONS(1769),
    [aux_sym_group_by_clause_token1] = ACTIONS(1769),
    [aux_sym_order_by_clause_token1] = ACTIONS(1769),
    [aux_sym_where_clause_token1] = ACTIONS(1769),
    [aux_sym_insert_statement_token1] = ACTIONS(1769),
    [aux_sym_truncate_statement_token1] = ACTIONS(1769),
    [aux_sym_update_statement_token1] = ACTIONS(1769),
    [aux_sym_merge_statement_token1] = ACTIONS(1769),
    [aux_sym_grant_statement_token1] = ACTIONS(1769),
    [aux_sym_revoke_statement_token1] = ACTIONS(1769),
    [aux_sym_export_data_statement_token1] = ACTIONS(1769),
    [aux_sym_load_data_statement_token1] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym__quoted_identifier] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [2211] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym__direction_keywords] = STATE(5486),
    [sym__nulls_preference] = STATE(5823),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(2795),
    [aux_sym__keyword_create_token1] = ACTIONS(2795),
    [aux_sym__keyword_drop_token1] = ACTIONS(2795),
    [aux_sym__keyword_delete_token1] = ACTIONS(2795),
    [aux_sym__keyword_begin_token1] = ACTIONS(2795),
    [aux_sym__keyword_end_token1] = ACTIONS(2795),
    [aux_sym__keyword_between_token1] = ACTIONS(2749),
    [aux_sym__keyword_when_token1] = ACTIONS(2795),
    [aux_sym__keyword_else_token1] = ACTIONS(2797),
    [aux_sym__keyword_is_token1] = ACTIONS(2751),
    [aux_sym__keyword_in_token1] = ACTIONS(2753),
    [aux_sym__keyword_and_token1] = ACTIONS(2755),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2795),
    [aux_sym__keyword_for_token1] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(2795),
    [aux_sym_declare_statement_token1] = ACTIONS(2795),
    [anon_sym_COMMA] = ACTIONS(2795),
    [aux_sym_set_statement_token1] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2795),
    [aux_sym_return_statement_token1] = ACTIONS(2795),
    [aux_sym_call_statement_token1] = ACTIONS(2795),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2795),
    [aux_sym_if_statement_token1] = ACTIONS(2795),
    [aux_sym_loop_statement_token1] = ACTIONS(2795),
    [aux_sym_repeat_statement_token1] = ACTIONS(2795),
    [aux_sym_while_statement_token1] = ACTIONS(2795),
    [aux_sym_break_statement_token1] = ACTIONS(2795),
    [aux_sym_leave_statement_token1] = ACTIONS(2795),
    [aux_sym_continue_statement_token1] = ACTIONS(2795),
    [aux_sym_iterate_statement_token1] = ACTIONS(2795),
    [aux_sym_raise_statement_token1] = ACTIONS(2795),
    [anon_sym_EQ] = ACTIONS(2759),
    [aux_sym_assert_statement_token1] = ACTIONS(2795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [aux_sym_set_operation_token1] = ACTIONS(2795),
    [aux_sym_set_operation_token3] = ACTIONS(2795),
    [aux_sym_set_operation_token4] = ACTIONS(2797),
    [aux_sym_select_token1] = ACTIONS(2795),
    [aux_sym_limit_clause_token1] = ACTIONS(2795),
    [aux_sym__direction_keywords_token1] = ACTIONS(2719),
    [aux_sym__direction_keywords_token2] = ACTIONS(2719),
    [aux_sym__nulls_preference_token1] = ACTIONS(2721),
    [aux_sym_insert_statement_token1] = ACTIONS(2795),
    [aux_sym_truncate_statement_token1] = ACTIONS(2795),
    [aux_sym_update_statement_token1] = ACTIONS(2795),
    [aux_sym_merge_statement_token1] = ACTIONS(2795),
    [aux_sym_grant_statement_token1] = ACTIONS(2795),
    [aux_sym_revoke_statement_token1] = ACTIONS(2795),
    [aux_sym_export_data_statement_token1] = ACTIONS(2795),
    [aux_sym_load_data_statement_token1] = ACTIONS(2795),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2212] = {
    [sym__unquoted_identifier] = ACTIONS(1749),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1749),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1749),
    [aux_sym_keyword_replace_token1] = ACTIONS(1749),
    [aux_sym__keyword_alter_token1] = ACTIONS(1749),
    [aux_sym__keyword_create_token1] = ACTIONS(1749),
    [aux_sym__keyword_drop_token1] = ACTIONS(1749),
    [aux_sym__keyword_from_token1] = ACTIONS(1749),
    [aux_sym__keyword_delete_token1] = ACTIONS(1749),
    [aux_sym__keyword_begin_token1] = ACTIONS(1749),
    [aux_sym__keyword_end_token1] = ACTIONS(1749),
    [aux_sym__keyword_between_token1] = ACTIONS(1749),
    [aux_sym__keyword_when_token1] = ACTIONS(1749),
    [aux_sym__keyword_else_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1749),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1749),
    [aux_sym__keyword_like_token1] = ACTIONS(1749),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1749),
    [aux_sym__keyword_as_token1] = ACTIONS(1749),
    [aux_sym__keyword_window_token1] = ACTIONS(1749),
    [aux_sym__keyword_date_token1] = ACTIONS(1749),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1749),
    [aux_sym__keyword_time_token1] = ACTIONS(1749),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1749),
    [aux_sym__keyword_for_token1] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1749),
    [anon_sym_COMMA] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1749),
    [aux_sym_return_statement_token1] = ACTIONS(1749),
    [aux_sym_call_statement_token1] = ACTIONS(1749),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1749),
    [aux_sym_if_statement_token1] = ACTIONS(1749),
    [aux_sym_loop_statement_token1] = ACTIONS(1749),
    [aux_sym_repeat_statement_token1] = ACTIONS(1749),
    [aux_sym_while_statement_token1] = ACTIONS(1749),
    [aux_sym_break_statement_token1] = ACTIONS(1749),
    [aux_sym_leave_statement_token1] = ACTIONS(1749),
    [aux_sym_continue_statement_token1] = ACTIONS(1749),
    [aux_sym_iterate_statement_token1] = ACTIONS(1749),
    [aux_sym_raise_statement_token1] = ACTIONS(1749),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1749),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_set_operation_token1] = ACTIONS(1749),
    [aux_sym_set_operation_token3] = ACTIONS(1749),
    [aux_sym_set_operation_token4] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1749),
    [aux_sym_having_clause_token1] = ACTIONS(1749),
    [aux_sym_qualify_clause_token1] = ACTIONS(1749),
    [aux_sym_limit_clause_token1] = ACTIONS(1749),
    [aux_sym_group_by_clause_token1] = ACTIONS(1749),
    [aux_sym_order_by_clause_token1] = ACTIONS(1749),
    [aux_sym_where_clause_token1] = ACTIONS(1749),
    [aux_sym_insert_statement_token1] = ACTIONS(1749),
    [aux_sym_truncate_statement_token1] = ACTIONS(1749),
    [aux_sym_update_statement_token1] = ACTIONS(1749),
    [aux_sym_merge_statement_token1] = ACTIONS(1749),
    [aux_sym_grant_statement_token1] = ACTIONS(1749),
    [aux_sym_revoke_statement_token1] = ACTIONS(1749),
    [aux_sym_export_data_statement_token1] = ACTIONS(1749),
    [aux_sym_load_data_statement_token1] = ACTIONS(1749),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym__quoted_identifier] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [2213] = {
    [sym__unquoted_identifier] = ACTIONS(1715),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1715),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1715),
    [aux_sym_keyword_replace_token1] = ACTIONS(1715),
    [aux_sym__keyword_alter_token1] = ACTIONS(1715),
    [aux_sym__keyword_create_token1] = ACTIONS(1715),
    [aux_sym__keyword_drop_token1] = ACTIONS(1715),
    [aux_sym__keyword_from_token1] = ACTIONS(1715),
    [aux_sym__keyword_delete_token1] = ACTIONS(1715),
    [aux_sym__keyword_begin_token1] = ACTIONS(1715),
    [aux_sym__keyword_end_token1] = ACTIONS(1715),
    [aux_sym__keyword_between_token1] = ACTIONS(1715),
    [aux_sym__keyword_when_token1] = ACTIONS(1715),
    [aux_sym__keyword_else_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1715),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1715),
    [aux_sym__keyword_like_token1] = ACTIONS(1715),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1715),
    [aux_sym__keyword_as_token1] = ACTIONS(1715),
    [aux_sym__keyword_window_token1] = ACTIONS(1715),
    [aux_sym__keyword_date_token1] = ACTIONS(1715),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1715),
    [aux_sym__keyword_time_token1] = ACTIONS(1715),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1715),
    [aux_sym__keyword_for_token1] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1715),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1715),
    [aux_sym_return_statement_token1] = ACTIONS(1715),
    [aux_sym_call_statement_token1] = ACTIONS(1715),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1715),
    [aux_sym_if_statement_token1] = ACTIONS(1715),
    [aux_sym_loop_statement_token1] = ACTIONS(1715),
    [aux_sym_repeat_statement_token1] = ACTIONS(1715),
    [aux_sym_while_statement_token1] = ACTIONS(1715),
    [aux_sym_break_statement_token1] = ACTIONS(1715),
    [aux_sym_leave_statement_token1] = ACTIONS(1715),
    [aux_sym_continue_statement_token1] = ACTIONS(1715),
    [aux_sym_iterate_statement_token1] = ACTIONS(1715),
    [aux_sym_raise_statement_token1] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1715),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_set_operation_token1] = ACTIONS(1715),
    [aux_sym_set_operation_token3] = ACTIONS(1715),
    [aux_sym_set_operation_token4] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1715),
    [aux_sym_having_clause_token1] = ACTIONS(1715),
    [aux_sym_qualify_clause_token1] = ACTIONS(1715),
    [aux_sym_limit_clause_token1] = ACTIONS(1715),
    [aux_sym_group_by_clause_token1] = ACTIONS(1715),
    [aux_sym_order_by_clause_token1] = ACTIONS(1715),
    [aux_sym_where_clause_token1] = ACTIONS(1715),
    [aux_sym_insert_statement_token1] = ACTIONS(1715),
    [aux_sym_truncate_statement_token1] = ACTIONS(1715),
    [aux_sym_update_statement_token1] = ACTIONS(1715),
    [aux_sym_merge_statement_token1] = ACTIONS(1715),
    [aux_sym_grant_statement_token1] = ACTIONS(1715),
    [aux_sym_revoke_statement_token1] = ACTIONS(1715),
    [aux_sym_export_data_statement_token1] = ACTIONS(1715),
    [aux_sym_load_data_statement_token1] = ACTIONS(1715),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym__quoted_identifier] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [2214] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2215] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2216] = {
    [sym__unquoted_identifier] = ACTIONS(1533),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1533),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1533),
    [aux_sym_keyword_replace_token1] = ACTIONS(1533),
    [aux_sym__keyword_alter_token1] = ACTIONS(1533),
    [aux_sym__keyword_create_token1] = ACTIONS(1533),
    [aux_sym__keyword_drop_token1] = ACTIONS(1533),
    [aux_sym__keyword_from_token1] = ACTIONS(1533),
    [aux_sym__keyword_delete_token1] = ACTIONS(1533),
    [aux_sym__keyword_begin_token1] = ACTIONS(1533),
    [aux_sym__keyword_end_token1] = ACTIONS(1533),
    [aux_sym__keyword_between_token1] = ACTIONS(1533),
    [aux_sym__keyword_when_token1] = ACTIONS(1533),
    [aux_sym__keyword_else_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1533),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1533),
    [aux_sym__keyword_like_token1] = ACTIONS(1533),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1533),
    [aux_sym__keyword_as_token1] = ACTIONS(1533),
    [aux_sym__keyword_window_token1] = ACTIONS(1533),
    [aux_sym__keyword_date_token1] = ACTIONS(1533),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1533),
    [aux_sym__keyword_time_token1] = ACTIONS(1533),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1533),
    [aux_sym__keyword_for_token1] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1533),
    [aux_sym_return_statement_token1] = ACTIONS(1533),
    [aux_sym_call_statement_token1] = ACTIONS(1533),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1533),
    [aux_sym_if_statement_token1] = ACTIONS(1533),
    [aux_sym_loop_statement_token1] = ACTIONS(1533),
    [aux_sym_repeat_statement_token1] = ACTIONS(1533),
    [aux_sym_while_statement_token1] = ACTIONS(1533),
    [aux_sym_break_statement_token1] = ACTIONS(1533),
    [aux_sym_leave_statement_token1] = ACTIONS(1533),
    [aux_sym_continue_statement_token1] = ACTIONS(1533),
    [aux_sym_iterate_statement_token1] = ACTIONS(1533),
    [aux_sym_raise_statement_token1] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1533),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_set_operation_token1] = ACTIONS(1533),
    [aux_sym_set_operation_token3] = ACTIONS(1533),
    [aux_sym_set_operation_token4] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1533),
    [aux_sym_having_clause_token1] = ACTIONS(1533),
    [aux_sym_qualify_clause_token1] = ACTIONS(1533),
    [aux_sym_limit_clause_token1] = ACTIONS(1533),
    [aux_sym_group_by_clause_token1] = ACTIONS(1533),
    [aux_sym_order_by_clause_token1] = ACTIONS(1533),
    [aux_sym_where_clause_token1] = ACTIONS(1533),
    [aux_sym_insert_statement_token1] = ACTIONS(1533),
    [aux_sym_truncate_statement_token1] = ACTIONS(1533),
    [aux_sym_update_statement_token1] = ACTIONS(1533),
    [aux_sym_merge_statement_token1] = ACTIONS(1533),
    [aux_sym_grant_statement_token1] = ACTIONS(1533),
    [aux_sym_revoke_statement_token1] = ACTIONS(1533),
    [aux_sym_export_data_statement_token1] = ACTIONS(1533),
    [aux_sym_load_data_statement_token1] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym__quoted_identifier] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [2217] = {
    [sym__unquoted_identifier] = ACTIONS(1711),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1711),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1711),
    [aux_sym_keyword_replace_token1] = ACTIONS(1711),
    [aux_sym__keyword_alter_token1] = ACTIONS(1711),
    [aux_sym__keyword_create_token1] = ACTIONS(1711),
    [aux_sym__keyword_drop_token1] = ACTIONS(1711),
    [aux_sym__keyword_from_token1] = ACTIONS(1711),
    [aux_sym__keyword_delete_token1] = ACTIONS(1711),
    [aux_sym__keyword_begin_token1] = ACTIONS(1711),
    [aux_sym__keyword_end_token1] = ACTIONS(1711),
    [aux_sym__keyword_between_token1] = ACTIONS(1711),
    [aux_sym__keyword_when_token1] = ACTIONS(1711),
    [aux_sym__keyword_else_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1711),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1711),
    [aux_sym__keyword_like_token1] = ACTIONS(1711),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1711),
    [aux_sym__keyword_as_token1] = ACTIONS(1711),
    [aux_sym__keyword_window_token1] = ACTIONS(1711),
    [aux_sym__keyword_date_token1] = ACTIONS(1711),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1711),
    [aux_sym__keyword_time_token1] = ACTIONS(1711),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1711),
    [aux_sym__keyword_for_token1] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1711),
    [aux_sym_return_statement_token1] = ACTIONS(1711),
    [aux_sym_call_statement_token1] = ACTIONS(1711),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1711),
    [aux_sym_if_statement_token1] = ACTIONS(1711),
    [aux_sym_loop_statement_token1] = ACTIONS(1711),
    [aux_sym_repeat_statement_token1] = ACTIONS(1711),
    [aux_sym_while_statement_token1] = ACTIONS(1711),
    [aux_sym_break_statement_token1] = ACTIONS(1711),
    [aux_sym_leave_statement_token1] = ACTIONS(1711),
    [aux_sym_continue_statement_token1] = ACTIONS(1711),
    [aux_sym_iterate_statement_token1] = ACTIONS(1711),
    [aux_sym_raise_statement_token1] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1711),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_set_operation_token1] = ACTIONS(1711),
    [aux_sym_set_operation_token3] = ACTIONS(1711),
    [aux_sym_set_operation_token4] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1711),
    [aux_sym_having_clause_token1] = ACTIONS(1711),
    [aux_sym_qualify_clause_token1] = ACTIONS(1711),
    [aux_sym_limit_clause_token1] = ACTIONS(1711),
    [aux_sym_group_by_clause_token1] = ACTIONS(1711),
    [aux_sym_order_by_clause_token1] = ACTIONS(1711),
    [aux_sym_where_clause_token1] = ACTIONS(1711),
    [aux_sym_insert_statement_token1] = ACTIONS(1711),
    [aux_sym_truncate_statement_token1] = ACTIONS(1711),
    [aux_sym_update_statement_token1] = ACTIONS(1711),
    [aux_sym_merge_statement_token1] = ACTIONS(1711),
    [aux_sym_grant_statement_token1] = ACTIONS(1711),
    [aux_sym_revoke_statement_token1] = ACTIONS(1711),
    [aux_sym_export_data_statement_token1] = ACTIONS(1711),
    [aux_sym_load_data_statement_token1] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym__quoted_identifier] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [2218] = {
    [sym__unquoted_identifier] = ACTIONS(1707),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1707),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1707),
    [aux_sym_keyword_replace_token1] = ACTIONS(1707),
    [aux_sym__keyword_alter_token1] = ACTIONS(1707),
    [aux_sym__keyword_create_token1] = ACTIONS(1707),
    [aux_sym__keyword_drop_token1] = ACTIONS(1707),
    [aux_sym__keyword_from_token1] = ACTIONS(1707),
    [aux_sym__keyword_delete_token1] = ACTIONS(1707),
    [aux_sym__keyword_begin_token1] = ACTIONS(1707),
    [aux_sym__keyword_end_token1] = ACTIONS(1707),
    [aux_sym__keyword_between_token1] = ACTIONS(1707),
    [aux_sym__keyword_when_token1] = ACTIONS(1707),
    [aux_sym__keyword_else_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1707),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1707),
    [aux_sym__keyword_like_token1] = ACTIONS(1707),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1707),
    [aux_sym__keyword_as_token1] = ACTIONS(1707),
    [aux_sym__keyword_window_token1] = ACTIONS(1707),
    [aux_sym__keyword_date_token1] = ACTIONS(1707),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1707),
    [aux_sym__keyword_time_token1] = ACTIONS(1707),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1707),
    [aux_sym__keyword_for_token1] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1707),
    [aux_sym_return_statement_token1] = ACTIONS(1707),
    [aux_sym_call_statement_token1] = ACTIONS(1707),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1707),
    [aux_sym_if_statement_token1] = ACTIONS(1707),
    [aux_sym_loop_statement_token1] = ACTIONS(1707),
    [aux_sym_repeat_statement_token1] = ACTIONS(1707),
    [aux_sym_while_statement_token1] = ACTIONS(1707),
    [aux_sym_break_statement_token1] = ACTIONS(1707),
    [aux_sym_leave_statement_token1] = ACTIONS(1707),
    [aux_sym_continue_statement_token1] = ACTIONS(1707),
    [aux_sym_iterate_statement_token1] = ACTIONS(1707),
    [aux_sym_raise_statement_token1] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1707),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_set_operation_token1] = ACTIONS(1707),
    [aux_sym_set_operation_token3] = ACTIONS(1707),
    [aux_sym_set_operation_token4] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1707),
    [aux_sym_having_clause_token1] = ACTIONS(1707),
    [aux_sym_qualify_clause_token1] = ACTIONS(1707),
    [aux_sym_limit_clause_token1] = ACTIONS(1707),
    [aux_sym_group_by_clause_token1] = ACTIONS(1707),
    [aux_sym_order_by_clause_token1] = ACTIONS(1707),
    [aux_sym_where_clause_token1] = ACTIONS(1707),
    [aux_sym_insert_statement_token1] = ACTIONS(1707),
    [aux_sym_truncate_statement_token1] = ACTIONS(1707),
    [aux_sym_update_statement_token1] = ACTIONS(1707),
    [aux_sym_merge_statement_token1] = ACTIONS(1707),
    [aux_sym_grant_statement_token1] = ACTIONS(1707),
    [aux_sym_revoke_statement_token1] = ACTIONS(1707),
    [aux_sym_export_data_statement_token1] = ACTIONS(1707),
    [aux_sym_load_data_statement_token1] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym__quoted_identifier] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [2219] = {
    [sym__unquoted_identifier] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1815),
    [aux_sym_keyword_replace_token1] = ACTIONS(1815),
    [aux_sym__keyword_alter_token1] = ACTIONS(1815),
    [aux_sym__keyword_create_token1] = ACTIONS(1815),
    [aux_sym__keyword_drop_token1] = ACTIONS(1815),
    [aux_sym__keyword_from_token1] = ACTIONS(1815),
    [aux_sym__keyword_delete_token1] = ACTIONS(1815),
    [aux_sym__keyword_begin_token1] = ACTIONS(1815),
    [aux_sym__keyword_end_token1] = ACTIONS(1815),
    [aux_sym__keyword_between_token1] = ACTIONS(1815),
    [aux_sym__keyword_when_token1] = ACTIONS(1815),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1815),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1815),
    [aux_sym__keyword_like_token1] = ACTIONS(1815),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1815),
    [aux_sym__keyword_as_token1] = ACTIONS(1815),
    [aux_sym__keyword_window_token1] = ACTIONS(1815),
    [aux_sym__keyword_date_token1] = ACTIONS(1815),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1815),
    [aux_sym__keyword_time_token1] = ACTIONS(1815),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1815),
    [aux_sym__keyword_for_token1] = ACTIONS(1815),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1815),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1815),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1815),
    [aux_sym_return_statement_token1] = ACTIONS(1815),
    [aux_sym_call_statement_token1] = ACTIONS(1815),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1815),
    [aux_sym_if_statement_token1] = ACTIONS(1815),
    [aux_sym_loop_statement_token1] = ACTIONS(1815),
    [aux_sym_repeat_statement_token1] = ACTIONS(1815),
    [aux_sym_while_statement_token1] = ACTIONS(1815),
    [aux_sym_break_statement_token1] = ACTIONS(1815),
    [aux_sym_leave_statement_token1] = ACTIONS(1815),
    [aux_sym_continue_statement_token1] = ACTIONS(1815),
    [aux_sym_iterate_statement_token1] = ACTIONS(1815),
    [aux_sym_raise_statement_token1] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1815),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_set_operation_token1] = ACTIONS(1815),
    [aux_sym_set_operation_token3] = ACTIONS(1815),
    [aux_sym_set_operation_token4] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1815),
    [aux_sym_having_clause_token1] = ACTIONS(1815),
    [aux_sym_qualify_clause_token1] = ACTIONS(1815),
    [aux_sym_limit_clause_token1] = ACTIONS(1815),
    [aux_sym_group_by_clause_token1] = ACTIONS(1815),
    [aux_sym_order_by_clause_token1] = ACTIONS(1815),
    [aux_sym_where_clause_token1] = ACTIONS(1815),
    [aux_sym_insert_statement_token1] = ACTIONS(1815),
    [aux_sym_truncate_statement_token1] = ACTIONS(1815),
    [aux_sym_update_statement_token1] = ACTIONS(1815),
    [aux_sym_merge_statement_token1] = ACTIONS(1815),
    [aux_sym_grant_statement_token1] = ACTIONS(1815),
    [aux_sym_revoke_statement_token1] = ACTIONS(1815),
    [aux_sym_export_data_statement_token1] = ACTIONS(1815),
    [aux_sym_load_data_statement_token1] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym__quoted_identifier] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [2220] = {
    [sym__unquoted_identifier] = ACTIONS(1703),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1703),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1703),
    [aux_sym_keyword_replace_token1] = ACTIONS(1703),
    [aux_sym__keyword_alter_token1] = ACTIONS(1703),
    [aux_sym__keyword_create_token1] = ACTIONS(1703),
    [aux_sym__keyword_drop_token1] = ACTIONS(1703),
    [aux_sym__keyword_from_token1] = ACTIONS(1703),
    [aux_sym__keyword_delete_token1] = ACTIONS(1703),
    [aux_sym__keyword_begin_token1] = ACTIONS(1703),
    [aux_sym__keyword_end_token1] = ACTIONS(1703),
    [aux_sym__keyword_between_token1] = ACTIONS(1703),
    [aux_sym__keyword_when_token1] = ACTIONS(1703),
    [aux_sym__keyword_else_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1703),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1703),
    [aux_sym__keyword_like_token1] = ACTIONS(1703),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1703),
    [aux_sym__keyword_as_token1] = ACTIONS(1703),
    [aux_sym__keyword_window_token1] = ACTIONS(1703),
    [aux_sym__keyword_date_token1] = ACTIONS(1703),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1703),
    [aux_sym__keyword_time_token1] = ACTIONS(1703),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1703),
    [aux_sym__keyword_for_token1] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1703),
    [aux_sym_return_statement_token1] = ACTIONS(1703),
    [aux_sym_call_statement_token1] = ACTIONS(1703),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1703),
    [aux_sym_if_statement_token1] = ACTIONS(1703),
    [aux_sym_loop_statement_token1] = ACTIONS(1703),
    [aux_sym_repeat_statement_token1] = ACTIONS(1703),
    [aux_sym_while_statement_token1] = ACTIONS(1703),
    [aux_sym_break_statement_token1] = ACTIONS(1703),
    [aux_sym_leave_statement_token1] = ACTIONS(1703),
    [aux_sym_continue_statement_token1] = ACTIONS(1703),
    [aux_sym_iterate_statement_token1] = ACTIONS(1703),
    [aux_sym_raise_statement_token1] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1703),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_set_operation_token1] = ACTIONS(1703),
    [aux_sym_set_operation_token3] = ACTIONS(1703),
    [aux_sym_set_operation_token4] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1703),
    [aux_sym_having_clause_token1] = ACTIONS(1703),
    [aux_sym_qualify_clause_token1] = ACTIONS(1703),
    [aux_sym_limit_clause_token1] = ACTIONS(1703),
    [aux_sym_group_by_clause_token1] = ACTIONS(1703),
    [aux_sym_order_by_clause_token1] = ACTIONS(1703),
    [aux_sym_where_clause_token1] = ACTIONS(1703),
    [aux_sym_insert_statement_token1] = ACTIONS(1703),
    [aux_sym_truncate_statement_token1] = ACTIONS(1703),
    [aux_sym_update_statement_token1] = ACTIONS(1703),
    [aux_sym_merge_statement_token1] = ACTIONS(1703),
    [aux_sym_grant_statement_token1] = ACTIONS(1703),
    [aux_sym_revoke_statement_token1] = ACTIONS(1703),
    [aux_sym_export_data_statement_token1] = ACTIONS(1703),
    [aux_sym_load_data_statement_token1] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym__quoted_identifier] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [2221] = {
    [sym__unquoted_identifier] = ACTIONS(1695),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1695),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1695),
    [aux_sym_keyword_replace_token1] = ACTIONS(1695),
    [aux_sym__keyword_alter_token1] = ACTIONS(1695),
    [aux_sym__keyword_create_token1] = ACTIONS(1695),
    [aux_sym__keyword_drop_token1] = ACTIONS(1695),
    [aux_sym__keyword_from_token1] = ACTIONS(1695),
    [aux_sym__keyword_delete_token1] = ACTIONS(1695),
    [aux_sym__keyword_begin_token1] = ACTIONS(1695),
    [aux_sym__keyword_end_token1] = ACTIONS(1695),
    [aux_sym__keyword_between_token1] = ACTIONS(1695),
    [aux_sym__keyword_when_token1] = ACTIONS(1695),
    [aux_sym__keyword_else_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1695),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1695),
    [aux_sym__keyword_like_token1] = ACTIONS(1695),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1695),
    [aux_sym__keyword_as_token1] = ACTIONS(1695),
    [aux_sym__keyword_window_token1] = ACTIONS(1695),
    [aux_sym__keyword_date_token1] = ACTIONS(1695),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1695),
    [aux_sym__keyword_time_token1] = ACTIONS(1695),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1695),
    [aux_sym__keyword_for_token1] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1695),
    [anon_sym_COMMA] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1695),
    [aux_sym_return_statement_token1] = ACTIONS(1695),
    [aux_sym_call_statement_token1] = ACTIONS(1695),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1695),
    [aux_sym_if_statement_token1] = ACTIONS(1695),
    [aux_sym_loop_statement_token1] = ACTIONS(1695),
    [aux_sym_repeat_statement_token1] = ACTIONS(1695),
    [aux_sym_while_statement_token1] = ACTIONS(1695),
    [aux_sym_break_statement_token1] = ACTIONS(1695),
    [aux_sym_leave_statement_token1] = ACTIONS(1695),
    [aux_sym_continue_statement_token1] = ACTIONS(1695),
    [aux_sym_iterate_statement_token1] = ACTIONS(1695),
    [aux_sym_raise_statement_token1] = ACTIONS(1695),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1695),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_set_operation_token1] = ACTIONS(1695),
    [aux_sym_set_operation_token3] = ACTIONS(1695),
    [aux_sym_set_operation_token4] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1695),
    [aux_sym_having_clause_token1] = ACTIONS(1695),
    [aux_sym_qualify_clause_token1] = ACTIONS(1695),
    [aux_sym_limit_clause_token1] = ACTIONS(1695),
    [aux_sym_group_by_clause_token1] = ACTIONS(1695),
    [aux_sym_order_by_clause_token1] = ACTIONS(1695),
    [aux_sym_where_clause_token1] = ACTIONS(1695),
    [aux_sym_insert_statement_token1] = ACTIONS(1695),
    [aux_sym_truncate_statement_token1] = ACTIONS(1695),
    [aux_sym_update_statement_token1] = ACTIONS(1695),
    [aux_sym_merge_statement_token1] = ACTIONS(1695),
    [aux_sym_grant_statement_token1] = ACTIONS(1695),
    [aux_sym_revoke_statement_token1] = ACTIONS(1695),
    [aux_sym_export_data_statement_token1] = ACTIONS(1695),
    [aux_sym_load_data_statement_token1] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym__quoted_identifier] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [2222] = {
    [sym__unquoted_identifier] = ACTIONS(1691),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1691),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1691),
    [aux_sym_keyword_replace_token1] = ACTIONS(1691),
    [aux_sym__keyword_alter_token1] = ACTIONS(1691),
    [aux_sym__keyword_create_token1] = ACTIONS(1691),
    [aux_sym__keyword_drop_token1] = ACTIONS(1691),
    [aux_sym__keyword_from_token1] = ACTIONS(1691),
    [aux_sym__keyword_delete_token1] = ACTIONS(1691),
    [aux_sym__keyword_begin_token1] = ACTIONS(1691),
    [aux_sym__keyword_end_token1] = ACTIONS(1691),
    [aux_sym__keyword_between_token1] = ACTIONS(1691),
    [aux_sym__keyword_when_token1] = ACTIONS(1691),
    [aux_sym__keyword_else_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1691),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1691),
    [aux_sym__keyword_like_token1] = ACTIONS(1691),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1691),
    [aux_sym__keyword_as_token1] = ACTIONS(1691),
    [aux_sym__keyword_window_token1] = ACTIONS(1691),
    [aux_sym__keyword_date_token1] = ACTIONS(1691),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1691),
    [aux_sym__keyword_time_token1] = ACTIONS(1691),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1691),
    [aux_sym__keyword_for_token1] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1691),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1691),
    [aux_sym_return_statement_token1] = ACTIONS(1691),
    [aux_sym_call_statement_token1] = ACTIONS(1691),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1691),
    [aux_sym_if_statement_token1] = ACTIONS(1691),
    [aux_sym_loop_statement_token1] = ACTIONS(1691),
    [aux_sym_repeat_statement_token1] = ACTIONS(1691),
    [aux_sym_while_statement_token1] = ACTIONS(1691),
    [aux_sym_break_statement_token1] = ACTIONS(1691),
    [aux_sym_leave_statement_token1] = ACTIONS(1691),
    [aux_sym_continue_statement_token1] = ACTIONS(1691),
    [aux_sym_iterate_statement_token1] = ACTIONS(1691),
    [aux_sym_raise_statement_token1] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1691),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_set_operation_token1] = ACTIONS(1691),
    [aux_sym_set_operation_token3] = ACTIONS(1691),
    [aux_sym_set_operation_token4] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1691),
    [aux_sym_having_clause_token1] = ACTIONS(1691),
    [aux_sym_qualify_clause_token1] = ACTIONS(1691),
    [aux_sym_limit_clause_token1] = ACTIONS(1691),
    [aux_sym_group_by_clause_token1] = ACTIONS(1691),
    [aux_sym_order_by_clause_token1] = ACTIONS(1691),
    [aux_sym_where_clause_token1] = ACTIONS(1691),
    [aux_sym_insert_statement_token1] = ACTIONS(1691),
    [aux_sym_truncate_statement_token1] = ACTIONS(1691),
    [aux_sym_update_statement_token1] = ACTIONS(1691),
    [aux_sym_merge_statement_token1] = ACTIONS(1691),
    [aux_sym_grant_statement_token1] = ACTIONS(1691),
    [aux_sym_revoke_statement_token1] = ACTIONS(1691),
    [aux_sym_export_data_statement_token1] = ACTIONS(1691),
    [aux_sym_load_data_statement_token1] = ACTIONS(1691),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym__quoted_identifier] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [2223] = {
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1431),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_from_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_end_token1] = ACTIONS(1431),
    [aux_sym__keyword_between_token1] = ACTIONS(1431),
    [aux_sym__keyword_when_token1] = ACTIONS(1431),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1431),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1431),
    [aux_sym__keyword_like_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_window_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1431),
    [aux_sym_if_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_repeat_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token3] = ACTIONS(1431),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_having_clause_token1] = ACTIONS(1431),
    [aux_sym_qualify_clause_token1] = ACTIONS(1431),
    [aux_sym_limit_clause_token1] = ACTIONS(1431),
    [aux_sym_group_by_clause_token1] = ACTIONS(1431),
    [aux_sym_order_by_clause_token1] = ACTIONS(1431),
    [aux_sym_where_clause_token1] = ACTIONS(1431),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [2224] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2225] = {
    [sym__unquoted_identifier] = ACTIONS(1679),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1679),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1679),
    [aux_sym_keyword_replace_token1] = ACTIONS(1679),
    [aux_sym__keyword_alter_token1] = ACTIONS(1679),
    [aux_sym__keyword_create_token1] = ACTIONS(1679),
    [aux_sym__keyword_drop_token1] = ACTIONS(1679),
    [aux_sym__keyword_from_token1] = ACTIONS(1679),
    [aux_sym__keyword_delete_token1] = ACTIONS(1679),
    [aux_sym__keyword_begin_token1] = ACTIONS(1679),
    [aux_sym__keyword_end_token1] = ACTIONS(1679),
    [aux_sym__keyword_between_token1] = ACTIONS(1679),
    [aux_sym__keyword_when_token1] = ACTIONS(1679),
    [aux_sym__keyword_else_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1679),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1679),
    [aux_sym__keyword_like_token1] = ACTIONS(1679),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1679),
    [aux_sym__keyword_as_token1] = ACTIONS(1679),
    [aux_sym__keyword_window_token1] = ACTIONS(1679),
    [aux_sym__keyword_date_token1] = ACTIONS(1679),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1679),
    [aux_sym__keyword_time_token1] = ACTIONS(1679),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1679),
    [aux_sym__keyword_for_token1] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1679),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1679),
    [aux_sym_return_statement_token1] = ACTIONS(1679),
    [aux_sym_call_statement_token1] = ACTIONS(1679),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1679),
    [aux_sym_if_statement_token1] = ACTIONS(1679),
    [aux_sym_loop_statement_token1] = ACTIONS(1679),
    [aux_sym_repeat_statement_token1] = ACTIONS(1679),
    [aux_sym_while_statement_token1] = ACTIONS(1679),
    [aux_sym_break_statement_token1] = ACTIONS(1679),
    [aux_sym_leave_statement_token1] = ACTIONS(1679),
    [aux_sym_continue_statement_token1] = ACTIONS(1679),
    [aux_sym_iterate_statement_token1] = ACTIONS(1679),
    [aux_sym_raise_statement_token1] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1679),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_set_operation_token1] = ACTIONS(1679),
    [aux_sym_set_operation_token3] = ACTIONS(1679),
    [aux_sym_set_operation_token4] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1679),
    [aux_sym_having_clause_token1] = ACTIONS(1679),
    [aux_sym_qualify_clause_token1] = ACTIONS(1679),
    [aux_sym_limit_clause_token1] = ACTIONS(1679),
    [aux_sym_group_by_clause_token1] = ACTIONS(1679),
    [aux_sym_order_by_clause_token1] = ACTIONS(1679),
    [aux_sym_where_clause_token1] = ACTIONS(1679),
    [aux_sym_insert_statement_token1] = ACTIONS(1679),
    [aux_sym_truncate_statement_token1] = ACTIONS(1679),
    [aux_sym_update_statement_token1] = ACTIONS(1679),
    [aux_sym_merge_statement_token1] = ACTIONS(1679),
    [aux_sym_grant_statement_token1] = ACTIONS(1679),
    [aux_sym_revoke_statement_token1] = ACTIONS(1679),
    [aux_sym_export_data_statement_token1] = ACTIONS(1679),
    [aux_sym_load_data_statement_token1] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym__quoted_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [2226] = {
    [sym__unquoted_identifier] = ACTIONS(1675),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1675),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1675),
    [aux_sym_keyword_replace_token1] = ACTIONS(1675),
    [aux_sym__keyword_alter_token1] = ACTIONS(1675),
    [aux_sym__keyword_create_token1] = ACTIONS(1675),
    [aux_sym__keyword_drop_token1] = ACTIONS(1675),
    [aux_sym__keyword_from_token1] = ACTIONS(1675),
    [aux_sym__keyword_delete_token1] = ACTIONS(1675),
    [aux_sym__keyword_begin_token1] = ACTIONS(1675),
    [aux_sym__keyword_end_token1] = ACTIONS(1675),
    [aux_sym__keyword_between_token1] = ACTIONS(1675),
    [aux_sym__keyword_when_token1] = ACTIONS(1675),
    [aux_sym__keyword_else_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1675),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1675),
    [aux_sym__keyword_like_token1] = ACTIONS(1675),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1675),
    [aux_sym__keyword_as_token1] = ACTIONS(1675),
    [aux_sym__keyword_window_token1] = ACTIONS(1675),
    [aux_sym__keyword_date_token1] = ACTIONS(1675),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1675),
    [aux_sym__keyword_time_token1] = ACTIONS(1675),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1675),
    [aux_sym__keyword_for_token1] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1675),
    [anon_sym_COMMA] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1675),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1675),
    [aux_sym_return_statement_token1] = ACTIONS(1675),
    [aux_sym_call_statement_token1] = ACTIONS(1675),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1675),
    [aux_sym_if_statement_token1] = ACTIONS(1675),
    [aux_sym_loop_statement_token1] = ACTIONS(1675),
    [aux_sym_repeat_statement_token1] = ACTIONS(1675),
    [aux_sym_while_statement_token1] = ACTIONS(1675),
    [aux_sym_break_statement_token1] = ACTIONS(1675),
    [aux_sym_leave_statement_token1] = ACTIONS(1675),
    [aux_sym_continue_statement_token1] = ACTIONS(1675),
    [aux_sym_iterate_statement_token1] = ACTIONS(1675),
    [aux_sym_raise_statement_token1] = ACTIONS(1675),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1675),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1675),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_set_operation_token1] = ACTIONS(1675),
    [aux_sym_set_operation_token3] = ACTIONS(1675),
    [aux_sym_set_operation_token4] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1675),
    [aux_sym_having_clause_token1] = ACTIONS(1675),
    [aux_sym_qualify_clause_token1] = ACTIONS(1675),
    [aux_sym_limit_clause_token1] = ACTIONS(1675),
    [aux_sym_group_by_clause_token1] = ACTIONS(1675),
    [aux_sym_order_by_clause_token1] = ACTIONS(1675),
    [aux_sym_where_clause_token1] = ACTIONS(1675),
    [aux_sym_insert_statement_token1] = ACTIONS(1675),
    [aux_sym_truncate_statement_token1] = ACTIONS(1675),
    [aux_sym_update_statement_token1] = ACTIONS(1675),
    [aux_sym_merge_statement_token1] = ACTIONS(1675),
    [aux_sym_grant_statement_token1] = ACTIONS(1675),
    [aux_sym_revoke_statement_token1] = ACTIONS(1675),
    [aux_sym_export_data_statement_token1] = ACTIONS(1675),
    [aux_sym_load_data_statement_token1] = ACTIONS(1675),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym__quoted_identifier] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [2227] = {
    [sym__unquoted_identifier] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1807),
    [aux_sym_keyword_replace_token1] = ACTIONS(1807),
    [aux_sym__keyword_alter_token1] = ACTIONS(1807),
    [aux_sym__keyword_create_token1] = ACTIONS(1807),
    [aux_sym__keyword_drop_token1] = ACTIONS(1807),
    [aux_sym__keyword_from_token1] = ACTIONS(1807),
    [aux_sym__keyword_delete_token1] = ACTIONS(1807),
    [aux_sym__keyword_begin_token1] = ACTIONS(1807),
    [aux_sym__keyword_end_token1] = ACTIONS(1807),
    [aux_sym__keyword_between_token1] = ACTIONS(1807),
    [aux_sym__keyword_when_token1] = ACTIONS(1807),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1807),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1807),
    [aux_sym__keyword_like_token1] = ACTIONS(1807),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1807),
    [aux_sym__keyword_as_token1] = ACTIONS(1807),
    [aux_sym__keyword_window_token1] = ACTIONS(1807),
    [aux_sym__keyword_date_token1] = ACTIONS(1807),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1807),
    [aux_sym__keyword_time_token1] = ACTIONS(1807),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1807),
    [aux_sym__keyword_for_token1] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1807),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1807),
    [aux_sym_return_statement_token1] = ACTIONS(1807),
    [aux_sym_call_statement_token1] = ACTIONS(1807),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1807),
    [aux_sym_if_statement_token1] = ACTIONS(1807),
    [aux_sym_loop_statement_token1] = ACTIONS(1807),
    [aux_sym_repeat_statement_token1] = ACTIONS(1807),
    [aux_sym_while_statement_token1] = ACTIONS(1807),
    [aux_sym_break_statement_token1] = ACTIONS(1807),
    [aux_sym_leave_statement_token1] = ACTIONS(1807),
    [aux_sym_continue_statement_token1] = ACTIONS(1807),
    [aux_sym_iterate_statement_token1] = ACTIONS(1807),
    [aux_sym_raise_statement_token1] = ACTIONS(1807),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1807),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1807),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_set_operation_token1] = ACTIONS(1807),
    [aux_sym_set_operation_token3] = ACTIONS(1807),
    [aux_sym_set_operation_token4] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1807),
    [aux_sym_having_clause_token1] = ACTIONS(1807),
    [aux_sym_qualify_clause_token1] = ACTIONS(1807),
    [aux_sym_limit_clause_token1] = ACTIONS(1807),
    [aux_sym_group_by_clause_token1] = ACTIONS(1807),
    [aux_sym_order_by_clause_token1] = ACTIONS(1807),
    [aux_sym_where_clause_token1] = ACTIONS(1807),
    [aux_sym_insert_statement_token1] = ACTIONS(1807),
    [aux_sym_truncate_statement_token1] = ACTIONS(1807),
    [aux_sym_update_statement_token1] = ACTIONS(1807),
    [aux_sym_merge_statement_token1] = ACTIONS(1807),
    [aux_sym_grant_statement_token1] = ACTIONS(1807),
    [aux_sym_revoke_statement_token1] = ACTIONS(1807),
    [aux_sym_export_data_statement_token1] = ACTIONS(1807),
    [aux_sym_load_data_statement_token1] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym__quoted_identifier] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [2228] = {
    [sym__unquoted_identifier] = ACTIONS(1671),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1671),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1671),
    [aux_sym_keyword_replace_token1] = ACTIONS(1671),
    [aux_sym__keyword_alter_token1] = ACTIONS(1671),
    [aux_sym__keyword_create_token1] = ACTIONS(1671),
    [aux_sym__keyword_drop_token1] = ACTIONS(1671),
    [aux_sym__keyword_from_token1] = ACTIONS(1671),
    [aux_sym__keyword_delete_token1] = ACTIONS(1671),
    [aux_sym__keyword_begin_token1] = ACTIONS(1671),
    [aux_sym__keyword_end_token1] = ACTIONS(1671),
    [aux_sym__keyword_between_token1] = ACTIONS(1671),
    [aux_sym__keyword_when_token1] = ACTIONS(1671),
    [aux_sym__keyword_else_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1671),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1671),
    [aux_sym__keyword_like_token1] = ACTIONS(1671),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1671),
    [aux_sym__keyword_as_token1] = ACTIONS(1671),
    [aux_sym__keyword_window_token1] = ACTIONS(1671),
    [aux_sym__keyword_date_token1] = ACTIONS(1671),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1671),
    [aux_sym__keyword_time_token1] = ACTIONS(1671),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1671),
    [aux_sym__keyword_for_token1] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1671),
    [anon_sym_COMMA] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1671),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1671),
    [aux_sym_return_statement_token1] = ACTIONS(1671),
    [aux_sym_call_statement_token1] = ACTIONS(1671),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1671),
    [aux_sym_if_statement_token1] = ACTIONS(1671),
    [aux_sym_loop_statement_token1] = ACTIONS(1671),
    [aux_sym_repeat_statement_token1] = ACTIONS(1671),
    [aux_sym_while_statement_token1] = ACTIONS(1671),
    [aux_sym_break_statement_token1] = ACTIONS(1671),
    [aux_sym_leave_statement_token1] = ACTIONS(1671),
    [aux_sym_continue_statement_token1] = ACTIONS(1671),
    [aux_sym_iterate_statement_token1] = ACTIONS(1671),
    [aux_sym_raise_statement_token1] = ACTIONS(1671),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1671),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_set_operation_token1] = ACTIONS(1671),
    [aux_sym_set_operation_token3] = ACTIONS(1671),
    [aux_sym_set_operation_token4] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1671),
    [aux_sym_having_clause_token1] = ACTIONS(1671),
    [aux_sym_qualify_clause_token1] = ACTIONS(1671),
    [aux_sym_limit_clause_token1] = ACTIONS(1671),
    [aux_sym_group_by_clause_token1] = ACTIONS(1671),
    [aux_sym_order_by_clause_token1] = ACTIONS(1671),
    [aux_sym_where_clause_token1] = ACTIONS(1671),
    [aux_sym_insert_statement_token1] = ACTIONS(1671),
    [aux_sym_truncate_statement_token1] = ACTIONS(1671),
    [aux_sym_update_statement_token1] = ACTIONS(1671),
    [aux_sym_merge_statement_token1] = ACTIONS(1671),
    [aux_sym_grant_statement_token1] = ACTIONS(1671),
    [aux_sym_revoke_statement_token1] = ACTIONS(1671),
    [aux_sym_export_data_statement_token1] = ACTIONS(1671),
    [aux_sym_load_data_statement_token1] = ACTIONS(1671),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym__quoted_identifier] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [2229] = {
    [sym__unquoted_identifier] = ACTIONS(1667),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1667),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1667),
    [aux_sym_keyword_replace_token1] = ACTIONS(1667),
    [aux_sym__keyword_alter_token1] = ACTIONS(1667),
    [aux_sym__keyword_create_token1] = ACTIONS(1667),
    [aux_sym__keyword_drop_token1] = ACTIONS(1667),
    [aux_sym__keyword_from_token1] = ACTIONS(1667),
    [aux_sym__keyword_delete_token1] = ACTIONS(1667),
    [aux_sym__keyword_begin_token1] = ACTIONS(1667),
    [aux_sym__keyword_end_token1] = ACTIONS(1667),
    [aux_sym__keyword_between_token1] = ACTIONS(1667),
    [aux_sym__keyword_when_token1] = ACTIONS(1667),
    [aux_sym__keyword_else_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1667),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1667),
    [aux_sym__keyword_like_token1] = ACTIONS(1667),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1667),
    [aux_sym__keyword_as_token1] = ACTIONS(1667),
    [aux_sym__keyword_window_token1] = ACTIONS(1667),
    [aux_sym__keyword_date_token1] = ACTIONS(1667),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1667),
    [aux_sym__keyword_time_token1] = ACTIONS(1667),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1667),
    [aux_sym__keyword_for_token1] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1667),
    [anon_sym_COMMA] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1667),
    [aux_sym_return_statement_token1] = ACTIONS(1667),
    [aux_sym_call_statement_token1] = ACTIONS(1667),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1667),
    [aux_sym_if_statement_token1] = ACTIONS(1667),
    [aux_sym_loop_statement_token1] = ACTIONS(1667),
    [aux_sym_repeat_statement_token1] = ACTIONS(1667),
    [aux_sym_while_statement_token1] = ACTIONS(1667),
    [aux_sym_break_statement_token1] = ACTIONS(1667),
    [aux_sym_leave_statement_token1] = ACTIONS(1667),
    [aux_sym_continue_statement_token1] = ACTIONS(1667),
    [aux_sym_iterate_statement_token1] = ACTIONS(1667),
    [aux_sym_raise_statement_token1] = ACTIONS(1667),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1667),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_set_operation_token1] = ACTIONS(1667),
    [aux_sym_set_operation_token3] = ACTIONS(1667),
    [aux_sym_set_operation_token4] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1667),
    [aux_sym_having_clause_token1] = ACTIONS(1667),
    [aux_sym_qualify_clause_token1] = ACTIONS(1667),
    [aux_sym_limit_clause_token1] = ACTIONS(1667),
    [aux_sym_group_by_clause_token1] = ACTIONS(1667),
    [aux_sym_order_by_clause_token1] = ACTIONS(1667),
    [aux_sym_where_clause_token1] = ACTIONS(1667),
    [aux_sym_insert_statement_token1] = ACTIONS(1667),
    [aux_sym_truncate_statement_token1] = ACTIONS(1667),
    [aux_sym_update_statement_token1] = ACTIONS(1667),
    [aux_sym_merge_statement_token1] = ACTIONS(1667),
    [aux_sym_grant_statement_token1] = ACTIONS(1667),
    [aux_sym_revoke_statement_token1] = ACTIONS(1667),
    [aux_sym_export_data_statement_token1] = ACTIONS(1667),
    [aux_sym_load_data_statement_token1] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym__quoted_identifier] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [2230] = {
    [sym__unquoted_identifier] = ACTIONS(1663),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1663),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1663),
    [aux_sym_keyword_replace_token1] = ACTIONS(1663),
    [aux_sym__keyword_alter_token1] = ACTIONS(1663),
    [aux_sym__keyword_create_token1] = ACTIONS(1663),
    [aux_sym__keyword_drop_token1] = ACTIONS(1663),
    [aux_sym__keyword_from_token1] = ACTIONS(1663),
    [aux_sym__keyword_delete_token1] = ACTIONS(1663),
    [aux_sym__keyword_begin_token1] = ACTIONS(1663),
    [aux_sym__keyword_end_token1] = ACTIONS(1663),
    [aux_sym__keyword_between_token1] = ACTIONS(1663),
    [aux_sym__keyword_when_token1] = ACTIONS(1663),
    [aux_sym__keyword_else_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1663),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1663),
    [aux_sym__keyword_like_token1] = ACTIONS(1663),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1663),
    [aux_sym__keyword_as_token1] = ACTIONS(1663),
    [aux_sym__keyword_window_token1] = ACTIONS(1663),
    [aux_sym__keyword_date_token1] = ACTIONS(1663),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1663),
    [aux_sym__keyword_time_token1] = ACTIONS(1663),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1663),
    [aux_sym__keyword_for_token1] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1663),
    [aux_sym_return_statement_token1] = ACTIONS(1663),
    [aux_sym_call_statement_token1] = ACTIONS(1663),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1663),
    [aux_sym_if_statement_token1] = ACTIONS(1663),
    [aux_sym_loop_statement_token1] = ACTIONS(1663),
    [aux_sym_repeat_statement_token1] = ACTIONS(1663),
    [aux_sym_while_statement_token1] = ACTIONS(1663),
    [aux_sym_break_statement_token1] = ACTIONS(1663),
    [aux_sym_leave_statement_token1] = ACTIONS(1663),
    [aux_sym_continue_statement_token1] = ACTIONS(1663),
    [aux_sym_iterate_statement_token1] = ACTIONS(1663),
    [aux_sym_raise_statement_token1] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1663),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_set_operation_token1] = ACTIONS(1663),
    [aux_sym_set_operation_token3] = ACTIONS(1663),
    [aux_sym_set_operation_token4] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1663),
    [aux_sym_having_clause_token1] = ACTIONS(1663),
    [aux_sym_qualify_clause_token1] = ACTIONS(1663),
    [aux_sym_limit_clause_token1] = ACTIONS(1663),
    [aux_sym_group_by_clause_token1] = ACTIONS(1663),
    [aux_sym_order_by_clause_token1] = ACTIONS(1663),
    [aux_sym_where_clause_token1] = ACTIONS(1663),
    [aux_sym_insert_statement_token1] = ACTIONS(1663),
    [aux_sym_truncate_statement_token1] = ACTIONS(1663),
    [aux_sym_update_statement_token1] = ACTIONS(1663),
    [aux_sym_merge_statement_token1] = ACTIONS(1663),
    [aux_sym_grant_statement_token1] = ACTIONS(1663),
    [aux_sym_revoke_statement_token1] = ACTIONS(1663),
    [aux_sym_export_data_statement_token1] = ACTIONS(1663),
    [aux_sym_load_data_statement_token1] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym__quoted_identifier] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [2231] = {
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_from_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_when_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_window_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1213),
    [aux_sym_set_operation_token3] = ACTIONS(1213),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_having_clause_token1] = ACTIONS(1213),
    [aux_sym_qualify_clause_token1] = ACTIONS(1213),
    [aux_sym_limit_clause_token1] = ACTIONS(1213),
    [aux_sym_group_by_clause_token1] = ACTIONS(1213),
    [aux_sym_order_by_clause_token1] = ACTIONS(1213),
    [aux_sym_where_clause_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2232] = {
    [sym__unquoted_identifier] = ACTIONS(1659),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1659),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1659),
    [aux_sym_keyword_replace_token1] = ACTIONS(1659),
    [aux_sym__keyword_alter_token1] = ACTIONS(1659),
    [aux_sym__keyword_create_token1] = ACTIONS(1659),
    [aux_sym__keyword_drop_token1] = ACTIONS(1659),
    [aux_sym__keyword_from_token1] = ACTIONS(1659),
    [aux_sym__keyword_delete_token1] = ACTIONS(1659),
    [aux_sym__keyword_begin_token1] = ACTIONS(1659),
    [aux_sym__keyword_end_token1] = ACTIONS(1659),
    [aux_sym__keyword_between_token1] = ACTIONS(1659),
    [aux_sym__keyword_when_token1] = ACTIONS(1659),
    [aux_sym__keyword_else_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1659),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1659),
    [aux_sym__keyword_like_token1] = ACTIONS(1659),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1659),
    [aux_sym__keyword_as_token1] = ACTIONS(1659),
    [aux_sym__keyword_window_token1] = ACTIONS(1659),
    [aux_sym__keyword_date_token1] = ACTIONS(1659),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1659),
    [aux_sym__keyword_time_token1] = ACTIONS(1659),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1659),
    [aux_sym__keyword_for_token1] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1659),
    [aux_sym_return_statement_token1] = ACTIONS(1659),
    [aux_sym_call_statement_token1] = ACTIONS(1659),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1659),
    [aux_sym_if_statement_token1] = ACTIONS(1659),
    [aux_sym_loop_statement_token1] = ACTIONS(1659),
    [aux_sym_repeat_statement_token1] = ACTIONS(1659),
    [aux_sym_while_statement_token1] = ACTIONS(1659),
    [aux_sym_break_statement_token1] = ACTIONS(1659),
    [aux_sym_leave_statement_token1] = ACTIONS(1659),
    [aux_sym_continue_statement_token1] = ACTIONS(1659),
    [aux_sym_iterate_statement_token1] = ACTIONS(1659),
    [aux_sym_raise_statement_token1] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1659),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_set_operation_token1] = ACTIONS(1659),
    [aux_sym_set_operation_token3] = ACTIONS(1659),
    [aux_sym_set_operation_token4] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1659),
    [aux_sym_having_clause_token1] = ACTIONS(1659),
    [aux_sym_qualify_clause_token1] = ACTIONS(1659),
    [aux_sym_limit_clause_token1] = ACTIONS(1659),
    [aux_sym_group_by_clause_token1] = ACTIONS(1659),
    [aux_sym_order_by_clause_token1] = ACTIONS(1659),
    [aux_sym_where_clause_token1] = ACTIONS(1659),
    [aux_sym_insert_statement_token1] = ACTIONS(1659),
    [aux_sym_truncate_statement_token1] = ACTIONS(1659),
    [aux_sym_update_statement_token1] = ACTIONS(1659),
    [aux_sym_merge_statement_token1] = ACTIONS(1659),
    [aux_sym_grant_statement_token1] = ACTIONS(1659),
    [aux_sym_revoke_statement_token1] = ACTIONS(1659),
    [aux_sym_export_data_statement_token1] = ACTIONS(1659),
    [aux_sym_load_data_statement_token1] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym__quoted_identifier] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [2233] = {
    [sym__unquoted_identifier] = ACTIONS(1855),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1855),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1855),
    [aux_sym_keyword_replace_token1] = ACTIONS(1855),
    [aux_sym__keyword_alter_token1] = ACTIONS(1855),
    [aux_sym__keyword_create_token1] = ACTIONS(1855),
    [aux_sym__keyword_drop_token1] = ACTIONS(1855),
    [aux_sym__keyword_from_token1] = ACTIONS(1855),
    [aux_sym__keyword_delete_token1] = ACTIONS(1855),
    [aux_sym__keyword_begin_token1] = ACTIONS(1855),
    [aux_sym__keyword_end_token1] = ACTIONS(1855),
    [aux_sym__keyword_between_token1] = ACTIONS(1855),
    [aux_sym__keyword_when_token1] = ACTIONS(1855),
    [aux_sym__keyword_else_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1855),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1855),
    [aux_sym__keyword_like_token1] = ACTIONS(1855),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1855),
    [aux_sym__keyword_as_token1] = ACTIONS(1855),
    [aux_sym__keyword_window_token1] = ACTIONS(1855),
    [aux_sym__keyword_date_token1] = ACTIONS(1855),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1855),
    [aux_sym__keyword_time_token1] = ACTIONS(1855),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1855),
    [aux_sym__keyword_for_token1] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1855),
    [aux_sym_return_statement_token1] = ACTIONS(1855),
    [aux_sym_call_statement_token1] = ACTIONS(1855),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1855),
    [aux_sym_if_statement_token1] = ACTIONS(1855),
    [aux_sym_loop_statement_token1] = ACTIONS(1855),
    [aux_sym_repeat_statement_token1] = ACTIONS(1855),
    [aux_sym_while_statement_token1] = ACTIONS(1855),
    [aux_sym_break_statement_token1] = ACTIONS(1855),
    [aux_sym_leave_statement_token1] = ACTIONS(1855),
    [aux_sym_continue_statement_token1] = ACTIONS(1855),
    [aux_sym_iterate_statement_token1] = ACTIONS(1855),
    [aux_sym_raise_statement_token1] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1855),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_set_operation_token1] = ACTIONS(1855),
    [aux_sym_set_operation_token3] = ACTIONS(1855),
    [aux_sym_set_operation_token4] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1855),
    [aux_sym_having_clause_token1] = ACTIONS(1855),
    [aux_sym_qualify_clause_token1] = ACTIONS(1855),
    [aux_sym_limit_clause_token1] = ACTIONS(1855),
    [aux_sym_group_by_clause_token1] = ACTIONS(1855),
    [aux_sym_order_by_clause_token1] = ACTIONS(1855),
    [aux_sym_where_clause_token1] = ACTIONS(1855),
    [aux_sym_insert_statement_token1] = ACTIONS(1855),
    [aux_sym_truncate_statement_token1] = ACTIONS(1855),
    [aux_sym_update_statement_token1] = ACTIONS(1855),
    [aux_sym_merge_statement_token1] = ACTIONS(1855),
    [aux_sym_grant_statement_token1] = ACTIONS(1855),
    [aux_sym_revoke_statement_token1] = ACTIONS(1855),
    [aux_sym_export_data_statement_token1] = ACTIONS(1855),
    [aux_sym_load_data_statement_token1] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym__quoted_identifier] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [2234] = {
    [sym__unquoted_identifier] = ACTIONS(1851),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1851),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1851),
    [aux_sym_keyword_replace_token1] = ACTIONS(1851),
    [aux_sym__keyword_alter_token1] = ACTIONS(1851),
    [aux_sym__keyword_create_token1] = ACTIONS(1851),
    [aux_sym__keyword_drop_token1] = ACTIONS(1851),
    [aux_sym__keyword_from_token1] = ACTIONS(1851),
    [aux_sym__keyword_delete_token1] = ACTIONS(1851),
    [aux_sym__keyword_begin_token1] = ACTIONS(1851),
    [aux_sym__keyword_end_token1] = ACTIONS(1851),
    [aux_sym__keyword_between_token1] = ACTIONS(1851),
    [aux_sym__keyword_when_token1] = ACTIONS(1851),
    [aux_sym__keyword_else_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1851),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1851),
    [aux_sym__keyword_like_token1] = ACTIONS(1851),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1851),
    [aux_sym__keyword_as_token1] = ACTIONS(1851),
    [aux_sym__keyword_window_token1] = ACTIONS(1851),
    [aux_sym__keyword_date_token1] = ACTIONS(1851),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1851),
    [aux_sym__keyword_time_token1] = ACTIONS(1851),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1851),
    [aux_sym__keyword_for_token1] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1851),
    [aux_sym_return_statement_token1] = ACTIONS(1851),
    [aux_sym_call_statement_token1] = ACTIONS(1851),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1851),
    [aux_sym_if_statement_token1] = ACTIONS(1851),
    [aux_sym_loop_statement_token1] = ACTIONS(1851),
    [aux_sym_repeat_statement_token1] = ACTIONS(1851),
    [aux_sym_while_statement_token1] = ACTIONS(1851),
    [aux_sym_break_statement_token1] = ACTIONS(1851),
    [aux_sym_leave_statement_token1] = ACTIONS(1851),
    [aux_sym_continue_statement_token1] = ACTIONS(1851),
    [aux_sym_iterate_statement_token1] = ACTIONS(1851),
    [aux_sym_raise_statement_token1] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1851),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_set_operation_token1] = ACTIONS(1851),
    [aux_sym_set_operation_token3] = ACTIONS(1851),
    [aux_sym_set_operation_token4] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1851),
    [aux_sym_having_clause_token1] = ACTIONS(1851),
    [aux_sym_qualify_clause_token1] = ACTIONS(1851),
    [aux_sym_limit_clause_token1] = ACTIONS(1851),
    [aux_sym_group_by_clause_token1] = ACTIONS(1851),
    [aux_sym_order_by_clause_token1] = ACTIONS(1851),
    [aux_sym_where_clause_token1] = ACTIONS(1851),
    [aux_sym_insert_statement_token1] = ACTIONS(1851),
    [aux_sym_truncate_statement_token1] = ACTIONS(1851),
    [aux_sym_update_statement_token1] = ACTIONS(1851),
    [aux_sym_merge_statement_token1] = ACTIONS(1851),
    [aux_sym_grant_statement_token1] = ACTIONS(1851),
    [aux_sym_revoke_statement_token1] = ACTIONS(1851),
    [aux_sym_export_data_statement_token1] = ACTIONS(1851),
    [aux_sym_load_data_statement_token1] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym__quoted_identifier] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [2235] = {
    [sym__unquoted_identifier] = ACTIONS(1843),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1843),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1843),
    [aux_sym_keyword_replace_token1] = ACTIONS(1843),
    [aux_sym__keyword_alter_token1] = ACTIONS(1843),
    [aux_sym__keyword_create_token1] = ACTIONS(1843),
    [aux_sym__keyword_drop_token1] = ACTIONS(1843),
    [aux_sym__keyword_from_token1] = ACTIONS(1843),
    [aux_sym__keyword_delete_token1] = ACTIONS(1843),
    [aux_sym__keyword_begin_token1] = ACTIONS(1843),
    [aux_sym__keyword_end_token1] = ACTIONS(1843),
    [aux_sym__keyword_between_token1] = ACTIONS(1843),
    [aux_sym__keyword_when_token1] = ACTIONS(1843),
    [aux_sym__keyword_else_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1843),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1843),
    [aux_sym__keyword_like_token1] = ACTIONS(1843),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1843),
    [aux_sym__keyword_as_token1] = ACTIONS(1843),
    [aux_sym__keyword_window_token1] = ACTIONS(1843),
    [aux_sym__keyword_date_token1] = ACTIONS(1843),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1843),
    [aux_sym__keyword_time_token1] = ACTIONS(1843),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1843),
    [aux_sym__keyword_for_token1] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1843),
    [aux_sym_return_statement_token1] = ACTIONS(1843),
    [aux_sym_call_statement_token1] = ACTIONS(1843),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1843),
    [aux_sym_if_statement_token1] = ACTIONS(1843),
    [aux_sym_loop_statement_token1] = ACTIONS(1843),
    [aux_sym_repeat_statement_token1] = ACTIONS(1843),
    [aux_sym_while_statement_token1] = ACTIONS(1843),
    [aux_sym_break_statement_token1] = ACTIONS(1843),
    [aux_sym_leave_statement_token1] = ACTIONS(1843),
    [aux_sym_continue_statement_token1] = ACTIONS(1843),
    [aux_sym_iterate_statement_token1] = ACTIONS(1843),
    [aux_sym_raise_statement_token1] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1843),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_set_operation_token1] = ACTIONS(1843),
    [aux_sym_set_operation_token3] = ACTIONS(1843),
    [aux_sym_set_operation_token4] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1843),
    [aux_sym_having_clause_token1] = ACTIONS(1843),
    [aux_sym_qualify_clause_token1] = ACTIONS(1843),
    [aux_sym_limit_clause_token1] = ACTIONS(1843),
    [aux_sym_group_by_clause_token1] = ACTIONS(1843),
    [aux_sym_order_by_clause_token1] = ACTIONS(1843),
    [aux_sym_where_clause_token1] = ACTIONS(1843),
    [aux_sym_insert_statement_token1] = ACTIONS(1843),
    [aux_sym_truncate_statement_token1] = ACTIONS(1843),
    [aux_sym_update_statement_token1] = ACTIONS(1843),
    [aux_sym_merge_statement_token1] = ACTIONS(1843),
    [aux_sym_grant_statement_token1] = ACTIONS(1843),
    [aux_sym_revoke_statement_token1] = ACTIONS(1843),
    [aux_sym_export_data_statement_token1] = ACTIONS(1843),
    [aux_sym_load_data_statement_token1] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym__quoted_identifier] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [2236] = {
    [sym__unquoted_identifier] = ACTIONS(1651),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1651),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1651),
    [aux_sym_keyword_replace_token1] = ACTIONS(1651),
    [aux_sym__keyword_alter_token1] = ACTIONS(1651),
    [aux_sym__keyword_create_token1] = ACTIONS(1651),
    [aux_sym__keyword_drop_token1] = ACTIONS(1651),
    [aux_sym__keyword_from_token1] = ACTIONS(1651),
    [aux_sym__keyword_delete_token1] = ACTIONS(1651),
    [aux_sym__keyword_begin_token1] = ACTIONS(1651),
    [aux_sym__keyword_end_token1] = ACTIONS(1651),
    [aux_sym__keyword_between_token1] = ACTIONS(1651),
    [aux_sym__keyword_when_token1] = ACTIONS(1651),
    [aux_sym__keyword_else_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1651),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1651),
    [aux_sym__keyword_like_token1] = ACTIONS(1651),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1651),
    [aux_sym__keyword_as_token1] = ACTIONS(1651),
    [aux_sym__keyword_window_token1] = ACTIONS(1651),
    [aux_sym__keyword_date_token1] = ACTIONS(1651),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1651),
    [aux_sym__keyword_time_token1] = ACTIONS(1651),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1651),
    [aux_sym__keyword_for_token1] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1651),
    [anon_sym_COMMA] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1651),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1651),
    [aux_sym_return_statement_token1] = ACTIONS(1651),
    [aux_sym_call_statement_token1] = ACTIONS(1651),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1651),
    [aux_sym_if_statement_token1] = ACTIONS(1651),
    [aux_sym_loop_statement_token1] = ACTIONS(1651),
    [aux_sym_repeat_statement_token1] = ACTIONS(1651),
    [aux_sym_while_statement_token1] = ACTIONS(1651),
    [aux_sym_break_statement_token1] = ACTIONS(1651),
    [aux_sym_leave_statement_token1] = ACTIONS(1651),
    [aux_sym_continue_statement_token1] = ACTIONS(1651),
    [aux_sym_iterate_statement_token1] = ACTIONS(1651),
    [aux_sym_raise_statement_token1] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1651),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1651),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_set_operation_token1] = ACTIONS(1651),
    [aux_sym_set_operation_token3] = ACTIONS(1651),
    [aux_sym_set_operation_token4] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1651),
    [aux_sym_having_clause_token1] = ACTIONS(1651),
    [aux_sym_qualify_clause_token1] = ACTIONS(1651),
    [aux_sym_limit_clause_token1] = ACTIONS(1651),
    [aux_sym_group_by_clause_token1] = ACTIONS(1651),
    [aux_sym_order_by_clause_token1] = ACTIONS(1651),
    [aux_sym_where_clause_token1] = ACTIONS(1651),
    [aux_sym_insert_statement_token1] = ACTIONS(1651),
    [aux_sym_truncate_statement_token1] = ACTIONS(1651),
    [aux_sym_update_statement_token1] = ACTIONS(1651),
    [aux_sym_merge_statement_token1] = ACTIONS(1651),
    [aux_sym_grant_statement_token1] = ACTIONS(1651),
    [aux_sym_revoke_statement_token1] = ACTIONS(1651),
    [aux_sym_export_data_statement_token1] = ACTIONS(1651),
    [aux_sym_load_data_statement_token1] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym__quoted_identifier] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [2237] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2238] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2239] = {
    [sym__unquoted_identifier] = ACTIONS(1839),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1839),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1839),
    [aux_sym_keyword_replace_token1] = ACTIONS(1839),
    [aux_sym__keyword_alter_token1] = ACTIONS(1839),
    [aux_sym__keyword_create_token1] = ACTIONS(1839),
    [aux_sym__keyword_drop_token1] = ACTIONS(1839),
    [aux_sym__keyword_from_token1] = ACTIONS(1839),
    [aux_sym__keyword_delete_token1] = ACTIONS(1839),
    [aux_sym__keyword_begin_token1] = ACTIONS(1839),
    [aux_sym__keyword_end_token1] = ACTIONS(1839),
    [aux_sym__keyword_between_token1] = ACTIONS(1839),
    [aux_sym__keyword_when_token1] = ACTIONS(1839),
    [aux_sym__keyword_else_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1839),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1839),
    [aux_sym__keyword_like_token1] = ACTIONS(1839),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1839),
    [aux_sym__keyword_as_token1] = ACTIONS(1839),
    [aux_sym__keyword_window_token1] = ACTIONS(1839),
    [aux_sym__keyword_date_token1] = ACTIONS(1839),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1839),
    [aux_sym__keyword_time_token1] = ACTIONS(1839),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1839),
    [aux_sym__keyword_for_token1] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1839),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1839),
    [aux_sym_return_statement_token1] = ACTIONS(1839),
    [aux_sym_call_statement_token1] = ACTIONS(1839),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1839),
    [aux_sym_if_statement_token1] = ACTIONS(1839),
    [aux_sym_loop_statement_token1] = ACTIONS(1839),
    [aux_sym_repeat_statement_token1] = ACTIONS(1839),
    [aux_sym_while_statement_token1] = ACTIONS(1839),
    [aux_sym_break_statement_token1] = ACTIONS(1839),
    [aux_sym_leave_statement_token1] = ACTIONS(1839),
    [aux_sym_continue_statement_token1] = ACTIONS(1839),
    [aux_sym_iterate_statement_token1] = ACTIONS(1839),
    [aux_sym_raise_statement_token1] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1839),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_set_operation_token1] = ACTIONS(1839),
    [aux_sym_set_operation_token3] = ACTIONS(1839),
    [aux_sym_set_operation_token4] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1839),
    [aux_sym_having_clause_token1] = ACTIONS(1839),
    [aux_sym_qualify_clause_token1] = ACTIONS(1839),
    [aux_sym_limit_clause_token1] = ACTIONS(1839),
    [aux_sym_group_by_clause_token1] = ACTIONS(1839),
    [aux_sym_order_by_clause_token1] = ACTIONS(1839),
    [aux_sym_where_clause_token1] = ACTIONS(1839),
    [aux_sym_insert_statement_token1] = ACTIONS(1839),
    [aux_sym_truncate_statement_token1] = ACTIONS(1839),
    [aux_sym_update_statement_token1] = ACTIONS(1839),
    [aux_sym_merge_statement_token1] = ACTIONS(1839),
    [aux_sym_grant_statement_token1] = ACTIONS(1839),
    [aux_sym_revoke_statement_token1] = ACTIONS(1839),
    [aux_sym_export_data_statement_token1] = ACTIONS(1839),
    [aux_sym_load_data_statement_token1] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym__quoted_identifier] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [2240] = {
    [sym__unquoted_identifier] = ACTIONS(1647),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1647),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1647),
    [aux_sym_keyword_replace_token1] = ACTIONS(1647),
    [aux_sym__keyword_alter_token1] = ACTIONS(1647),
    [aux_sym__keyword_create_token1] = ACTIONS(1647),
    [aux_sym__keyword_drop_token1] = ACTIONS(1647),
    [aux_sym__keyword_from_token1] = ACTIONS(1647),
    [aux_sym__keyword_delete_token1] = ACTIONS(1647),
    [aux_sym__keyword_begin_token1] = ACTIONS(1647),
    [aux_sym__keyword_end_token1] = ACTIONS(1647),
    [aux_sym__keyword_between_token1] = ACTIONS(1647),
    [aux_sym__keyword_when_token1] = ACTIONS(1647),
    [aux_sym__keyword_else_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1647),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1647),
    [aux_sym__keyword_like_token1] = ACTIONS(1647),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1647),
    [aux_sym__keyword_as_token1] = ACTIONS(1647),
    [aux_sym__keyword_window_token1] = ACTIONS(1647),
    [aux_sym__keyword_date_token1] = ACTIONS(1647),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1647),
    [aux_sym__keyword_time_token1] = ACTIONS(1647),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1647),
    [aux_sym__keyword_for_token1] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1647),
    [aux_sym_return_statement_token1] = ACTIONS(1647),
    [aux_sym_call_statement_token1] = ACTIONS(1647),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1647),
    [aux_sym_if_statement_token1] = ACTIONS(1647),
    [aux_sym_loop_statement_token1] = ACTIONS(1647),
    [aux_sym_repeat_statement_token1] = ACTIONS(1647),
    [aux_sym_while_statement_token1] = ACTIONS(1647),
    [aux_sym_break_statement_token1] = ACTIONS(1647),
    [aux_sym_leave_statement_token1] = ACTIONS(1647),
    [aux_sym_continue_statement_token1] = ACTIONS(1647),
    [aux_sym_iterate_statement_token1] = ACTIONS(1647),
    [aux_sym_raise_statement_token1] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1647),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_set_operation_token1] = ACTIONS(1647),
    [aux_sym_set_operation_token3] = ACTIONS(1647),
    [aux_sym_set_operation_token4] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1647),
    [aux_sym_having_clause_token1] = ACTIONS(1647),
    [aux_sym_qualify_clause_token1] = ACTIONS(1647),
    [aux_sym_limit_clause_token1] = ACTIONS(1647),
    [aux_sym_group_by_clause_token1] = ACTIONS(1647),
    [aux_sym_order_by_clause_token1] = ACTIONS(1647),
    [aux_sym_where_clause_token1] = ACTIONS(1647),
    [aux_sym_insert_statement_token1] = ACTIONS(1647),
    [aux_sym_truncate_statement_token1] = ACTIONS(1647),
    [aux_sym_update_statement_token1] = ACTIONS(1647),
    [aux_sym_merge_statement_token1] = ACTIONS(1647),
    [aux_sym_grant_statement_token1] = ACTIONS(1647),
    [aux_sym_revoke_statement_token1] = ACTIONS(1647),
    [aux_sym_export_data_statement_token1] = ACTIONS(1647),
    [aux_sym_load_data_statement_token1] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym__quoted_identifier] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [2241] = {
    [sym__unquoted_identifier] = ACTIONS(1565),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1565),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1565),
    [aux_sym_keyword_replace_token1] = ACTIONS(1565),
    [aux_sym__keyword_alter_token1] = ACTIONS(1565),
    [aux_sym__keyword_create_token1] = ACTIONS(1565),
    [aux_sym__keyword_drop_token1] = ACTIONS(1565),
    [aux_sym__keyword_from_token1] = ACTIONS(1565),
    [aux_sym__keyword_delete_token1] = ACTIONS(1565),
    [aux_sym__keyword_begin_token1] = ACTIONS(1565),
    [aux_sym__keyword_end_token1] = ACTIONS(1565),
    [aux_sym__keyword_between_token1] = ACTIONS(1565),
    [aux_sym__keyword_when_token1] = ACTIONS(1565),
    [aux_sym__keyword_else_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1565),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1565),
    [aux_sym__keyword_like_token1] = ACTIONS(1565),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1565),
    [aux_sym__keyword_as_token1] = ACTIONS(1565),
    [aux_sym__keyword_window_token1] = ACTIONS(1565),
    [aux_sym__keyword_date_token1] = ACTIONS(1565),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1565),
    [aux_sym__keyword_time_token1] = ACTIONS(1565),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1565),
    [aux_sym__keyword_for_token1] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1565),
    [aux_sym_return_statement_token1] = ACTIONS(1565),
    [aux_sym_call_statement_token1] = ACTIONS(1565),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1565),
    [aux_sym_if_statement_token1] = ACTIONS(1565),
    [aux_sym_loop_statement_token1] = ACTIONS(1565),
    [aux_sym_repeat_statement_token1] = ACTIONS(1565),
    [aux_sym_while_statement_token1] = ACTIONS(1565),
    [aux_sym_break_statement_token1] = ACTIONS(1565),
    [aux_sym_leave_statement_token1] = ACTIONS(1565),
    [aux_sym_continue_statement_token1] = ACTIONS(1565),
    [aux_sym_iterate_statement_token1] = ACTIONS(1565),
    [aux_sym_raise_statement_token1] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1565),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_set_operation_token1] = ACTIONS(1565),
    [aux_sym_set_operation_token3] = ACTIONS(1565),
    [aux_sym_set_operation_token4] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1565),
    [aux_sym_having_clause_token1] = ACTIONS(1565),
    [aux_sym_qualify_clause_token1] = ACTIONS(1565),
    [aux_sym_limit_clause_token1] = ACTIONS(1565),
    [aux_sym_group_by_clause_token1] = ACTIONS(1565),
    [aux_sym_order_by_clause_token1] = ACTIONS(1565),
    [aux_sym_where_clause_token1] = ACTIONS(1565),
    [aux_sym_insert_statement_token1] = ACTIONS(1565),
    [aux_sym_truncate_statement_token1] = ACTIONS(1565),
    [aux_sym_update_statement_token1] = ACTIONS(1565),
    [aux_sym_merge_statement_token1] = ACTIONS(1565),
    [aux_sym_grant_statement_token1] = ACTIONS(1565),
    [aux_sym_revoke_statement_token1] = ACTIONS(1565),
    [aux_sym_export_data_statement_token1] = ACTIONS(1565),
    [aux_sym_load_data_statement_token1] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym__quoted_identifier] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [2242] = {
    [sym__unquoted_identifier] = ACTIONS(1643),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1643),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1643),
    [aux_sym_keyword_replace_token1] = ACTIONS(1643),
    [aux_sym__keyword_alter_token1] = ACTIONS(1643),
    [aux_sym__keyword_create_token1] = ACTIONS(1643),
    [aux_sym__keyword_drop_token1] = ACTIONS(1643),
    [aux_sym__keyword_from_token1] = ACTIONS(1643),
    [aux_sym__keyword_delete_token1] = ACTIONS(1643),
    [aux_sym__keyword_begin_token1] = ACTIONS(1643),
    [aux_sym__keyword_end_token1] = ACTIONS(1643),
    [aux_sym__keyword_between_token1] = ACTIONS(1643),
    [aux_sym__keyword_when_token1] = ACTIONS(1643),
    [aux_sym__keyword_else_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1643),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1643),
    [aux_sym__keyword_like_token1] = ACTIONS(1643),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1643),
    [aux_sym__keyword_as_token1] = ACTIONS(1643),
    [aux_sym__keyword_window_token1] = ACTIONS(1643),
    [aux_sym__keyword_date_token1] = ACTIONS(1643),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1643),
    [aux_sym__keyword_time_token1] = ACTIONS(1643),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1643),
    [aux_sym__keyword_for_token1] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1643),
    [aux_sym_return_statement_token1] = ACTIONS(1643),
    [aux_sym_call_statement_token1] = ACTIONS(1643),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1643),
    [aux_sym_if_statement_token1] = ACTIONS(1643),
    [aux_sym_loop_statement_token1] = ACTIONS(1643),
    [aux_sym_repeat_statement_token1] = ACTIONS(1643),
    [aux_sym_while_statement_token1] = ACTIONS(1643),
    [aux_sym_break_statement_token1] = ACTIONS(1643),
    [aux_sym_leave_statement_token1] = ACTIONS(1643),
    [aux_sym_continue_statement_token1] = ACTIONS(1643),
    [aux_sym_iterate_statement_token1] = ACTIONS(1643),
    [aux_sym_raise_statement_token1] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1643),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_set_operation_token1] = ACTIONS(1643),
    [aux_sym_set_operation_token3] = ACTIONS(1643),
    [aux_sym_set_operation_token4] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1643),
    [aux_sym_having_clause_token1] = ACTIONS(1643),
    [aux_sym_qualify_clause_token1] = ACTIONS(1643),
    [aux_sym_limit_clause_token1] = ACTIONS(1643),
    [aux_sym_group_by_clause_token1] = ACTIONS(1643),
    [aux_sym_order_by_clause_token1] = ACTIONS(1643),
    [aux_sym_where_clause_token1] = ACTIONS(1643),
    [aux_sym_insert_statement_token1] = ACTIONS(1643),
    [aux_sym_truncate_statement_token1] = ACTIONS(1643),
    [aux_sym_update_statement_token1] = ACTIONS(1643),
    [aux_sym_merge_statement_token1] = ACTIONS(1643),
    [aux_sym_grant_statement_token1] = ACTIONS(1643),
    [aux_sym_revoke_statement_token1] = ACTIONS(1643),
    [aux_sym_export_data_statement_token1] = ACTIONS(1643),
    [aux_sym_load_data_statement_token1] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym__quoted_identifier] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [2243] = {
    [sym__unquoted_identifier] = ACTIONS(1639),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1639),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1639),
    [aux_sym_keyword_replace_token1] = ACTIONS(1639),
    [aux_sym__keyword_alter_token1] = ACTIONS(1639),
    [aux_sym__keyword_create_token1] = ACTIONS(1639),
    [aux_sym__keyword_drop_token1] = ACTIONS(1639),
    [aux_sym__keyword_from_token1] = ACTIONS(1639),
    [aux_sym__keyword_delete_token1] = ACTIONS(1639),
    [aux_sym__keyword_begin_token1] = ACTIONS(1639),
    [aux_sym__keyword_end_token1] = ACTIONS(1639),
    [aux_sym__keyword_between_token1] = ACTIONS(1639),
    [aux_sym__keyword_when_token1] = ACTIONS(1639),
    [aux_sym__keyword_else_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1639),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1639),
    [aux_sym__keyword_like_token1] = ACTIONS(1639),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1639),
    [aux_sym__keyword_as_token1] = ACTIONS(1639),
    [aux_sym__keyword_window_token1] = ACTIONS(1639),
    [aux_sym__keyword_date_token1] = ACTIONS(1639),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1639),
    [aux_sym__keyword_time_token1] = ACTIONS(1639),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1639),
    [aux_sym__keyword_for_token1] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1639),
    [anon_sym_COMMA] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1639),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1639),
    [aux_sym_return_statement_token1] = ACTIONS(1639),
    [aux_sym_call_statement_token1] = ACTIONS(1639),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1639),
    [aux_sym_if_statement_token1] = ACTIONS(1639),
    [aux_sym_loop_statement_token1] = ACTIONS(1639),
    [aux_sym_repeat_statement_token1] = ACTIONS(1639),
    [aux_sym_while_statement_token1] = ACTIONS(1639),
    [aux_sym_break_statement_token1] = ACTIONS(1639),
    [aux_sym_leave_statement_token1] = ACTIONS(1639),
    [aux_sym_continue_statement_token1] = ACTIONS(1639),
    [aux_sym_iterate_statement_token1] = ACTIONS(1639),
    [aux_sym_raise_statement_token1] = ACTIONS(1639),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1639),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1639),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_set_operation_token1] = ACTIONS(1639),
    [aux_sym_set_operation_token3] = ACTIONS(1639),
    [aux_sym_set_operation_token4] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1639),
    [aux_sym_having_clause_token1] = ACTIONS(1639),
    [aux_sym_qualify_clause_token1] = ACTIONS(1639),
    [aux_sym_limit_clause_token1] = ACTIONS(1639),
    [aux_sym_group_by_clause_token1] = ACTIONS(1639),
    [aux_sym_order_by_clause_token1] = ACTIONS(1639),
    [aux_sym_where_clause_token1] = ACTIONS(1639),
    [aux_sym_insert_statement_token1] = ACTIONS(1639),
    [aux_sym_truncate_statement_token1] = ACTIONS(1639),
    [aux_sym_update_statement_token1] = ACTIONS(1639),
    [aux_sym_merge_statement_token1] = ACTIONS(1639),
    [aux_sym_grant_statement_token1] = ACTIONS(1639),
    [aux_sym_revoke_statement_token1] = ACTIONS(1639),
    [aux_sym_export_data_statement_token1] = ACTIONS(1639),
    [aux_sym_load_data_statement_token1] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym__quoted_identifier] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [2244] = {
    [sym__unquoted_identifier] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1785),
    [aux_sym_keyword_replace_token1] = ACTIONS(1785),
    [aux_sym__keyword_alter_token1] = ACTIONS(1785),
    [aux_sym__keyword_create_token1] = ACTIONS(1785),
    [aux_sym__keyword_drop_token1] = ACTIONS(1785),
    [aux_sym__keyword_from_token1] = ACTIONS(1785),
    [aux_sym__keyword_delete_token1] = ACTIONS(1785),
    [aux_sym__keyword_begin_token1] = ACTIONS(1785),
    [aux_sym__keyword_end_token1] = ACTIONS(1785),
    [aux_sym__keyword_between_token1] = ACTIONS(1785),
    [aux_sym__keyword_when_token1] = ACTIONS(1785),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1785),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1785),
    [aux_sym__keyword_like_token1] = ACTIONS(1785),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1785),
    [aux_sym__keyword_as_token1] = ACTIONS(1785),
    [aux_sym__keyword_window_token1] = ACTIONS(1785),
    [aux_sym__keyword_date_token1] = ACTIONS(1785),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1785),
    [aux_sym__keyword_time_token1] = ACTIONS(1785),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1785),
    [aux_sym__keyword_for_token1] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1785),
    [aux_sym_return_statement_token1] = ACTIONS(1785),
    [aux_sym_call_statement_token1] = ACTIONS(1785),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1785),
    [aux_sym_if_statement_token1] = ACTIONS(1785),
    [aux_sym_loop_statement_token1] = ACTIONS(1785),
    [aux_sym_repeat_statement_token1] = ACTIONS(1785),
    [aux_sym_while_statement_token1] = ACTIONS(1785),
    [aux_sym_break_statement_token1] = ACTIONS(1785),
    [aux_sym_leave_statement_token1] = ACTIONS(1785),
    [aux_sym_continue_statement_token1] = ACTIONS(1785),
    [aux_sym_iterate_statement_token1] = ACTIONS(1785),
    [aux_sym_raise_statement_token1] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1785),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_set_operation_token1] = ACTIONS(1785),
    [aux_sym_set_operation_token3] = ACTIONS(1785),
    [aux_sym_set_operation_token4] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1785),
    [aux_sym_having_clause_token1] = ACTIONS(1785),
    [aux_sym_qualify_clause_token1] = ACTIONS(1785),
    [aux_sym_limit_clause_token1] = ACTIONS(1785),
    [aux_sym_group_by_clause_token1] = ACTIONS(1785),
    [aux_sym_order_by_clause_token1] = ACTIONS(1785),
    [aux_sym_where_clause_token1] = ACTIONS(1785),
    [aux_sym_insert_statement_token1] = ACTIONS(1785),
    [aux_sym_truncate_statement_token1] = ACTIONS(1785),
    [aux_sym_update_statement_token1] = ACTIONS(1785),
    [aux_sym_merge_statement_token1] = ACTIONS(1785),
    [aux_sym_grant_statement_token1] = ACTIONS(1785),
    [aux_sym_revoke_statement_token1] = ACTIONS(1785),
    [aux_sym_export_data_statement_token1] = ACTIONS(1785),
    [aux_sym_load_data_statement_token1] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym__quoted_identifier] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [2245] = {
    [sym__unquoted_identifier] = ACTIONS(1631),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1631),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1631),
    [aux_sym_keyword_replace_token1] = ACTIONS(1631),
    [aux_sym__keyword_alter_token1] = ACTIONS(1631),
    [aux_sym__keyword_create_token1] = ACTIONS(1631),
    [aux_sym__keyword_drop_token1] = ACTIONS(1631),
    [aux_sym__keyword_from_token1] = ACTIONS(1631),
    [aux_sym__keyword_delete_token1] = ACTIONS(1631),
    [aux_sym__keyword_begin_token1] = ACTIONS(1631),
    [aux_sym__keyword_end_token1] = ACTIONS(1631),
    [aux_sym__keyword_between_token1] = ACTIONS(1631),
    [aux_sym__keyword_when_token1] = ACTIONS(1631),
    [aux_sym__keyword_else_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1631),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1631),
    [aux_sym__keyword_like_token1] = ACTIONS(1631),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1631),
    [aux_sym__keyword_as_token1] = ACTIONS(1631),
    [aux_sym__keyword_window_token1] = ACTIONS(1631),
    [aux_sym__keyword_date_token1] = ACTIONS(1631),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1631),
    [aux_sym__keyword_time_token1] = ACTIONS(1631),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1631),
    [aux_sym__keyword_for_token1] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1631),
    [anon_sym_COMMA] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1631),
    [aux_sym_return_statement_token1] = ACTIONS(1631),
    [aux_sym_call_statement_token1] = ACTIONS(1631),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1631),
    [aux_sym_if_statement_token1] = ACTIONS(1631),
    [aux_sym_loop_statement_token1] = ACTIONS(1631),
    [aux_sym_repeat_statement_token1] = ACTIONS(1631),
    [aux_sym_while_statement_token1] = ACTIONS(1631),
    [aux_sym_break_statement_token1] = ACTIONS(1631),
    [aux_sym_leave_statement_token1] = ACTIONS(1631),
    [aux_sym_continue_statement_token1] = ACTIONS(1631),
    [aux_sym_iterate_statement_token1] = ACTIONS(1631),
    [aux_sym_raise_statement_token1] = ACTIONS(1631),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1631),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1631),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_set_operation_token1] = ACTIONS(1631),
    [aux_sym_set_operation_token3] = ACTIONS(1631),
    [aux_sym_set_operation_token4] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1631),
    [aux_sym_having_clause_token1] = ACTIONS(1631),
    [aux_sym_qualify_clause_token1] = ACTIONS(1631),
    [aux_sym_limit_clause_token1] = ACTIONS(1631),
    [aux_sym_group_by_clause_token1] = ACTIONS(1631),
    [aux_sym_order_by_clause_token1] = ACTIONS(1631),
    [aux_sym_where_clause_token1] = ACTIONS(1631),
    [aux_sym_insert_statement_token1] = ACTIONS(1631),
    [aux_sym_truncate_statement_token1] = ACTIONS(1631),
    [aux_sym_update_statement_token1] = ACTIONS(1631),
    [aux_sym_merge_statement_token1] = ACTIONS(1631),
    [aux_sym_grant_statement_token1] = ACTIONS(1631),
    [aux_sym_revoke_statement_token1] = ACTIONS(1631),
    [aux_sym_export_data_statement_token1] = ACTIONS(1631),
    [aux_sym_load_data_statement_token1] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym__quoted_identifier] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [2246] = {
    [sym__unquoted_identifier] = ACTIONS(1627),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1627),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1627),
    [aux_sym_keyword_replace_token1] = ACTIONS(1627),
    [aux_sym__keyword_alter_token1] = ACTIONS(1627),
    [aux_sym__keyword_create_token1] = ACTIONS(1627),
    [aux_sym__keyword_drop_token1] = ACTIONS(1627),
    [aux_sym__keyword_from_token1] = ACTIONS(1627),
    [aux_sym__keyword_delete_token1] = ACTIONS(1627),
    [aux_sym__keyword_begin_token1] = ACTIONS(1627),
    [aux_sym__keyword_end_token1] = ACTIONS(1627),
    [aux_sym__keyword_between_token1] = ACTIONS(1627),
    [aux_sym__keyword_when_token1] = ACTIONS(1627),
    [aux_sym__keyword_else_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1627),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1627),
    [aux_sym__keyword_like_token1] = ACTIONS(1627),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1627),
    [aux_sym__keyword_as_token1] = ACTIONS(1627),
    [aux_sym__keyword_window_token1] = ACTIONS(1627),
    [aux_sym__keyword_date_token1] = ACTIONS(1627),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1627),
    [aux_sym__keyword_time_token1] = ACTIONS(1627),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1627),
    [aux_sym__keyword_for_token1] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1627),
    [aux_sym_return_statement_token1] = ACTIONS(1627),
    [aux_sym_call_statement_token1] = ACTIONS(1627),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1627),
    [aux_sym_if_statement_token1] = ACTIONS(1627),
    [aux_sym_loop_statement_token1] = ACTIONS(1627),
    [aux_sym_repeat_statement_token1] = ACTIONS(1627),
    [aux_sym_while_statement_token1] = ACTIONS(1627),
    [aux_sym_break_statement_token1] = ACTIONS(1627),
    [aux_sym_leave_statement_token1] = ACTIONS(1627),
    [aux_sym_continue_statement_token1] = ACTIONS(1627),
    [aux_sym_iterate_statement_token1] = ACTIONS(1627),
    [aux_sym_raise_statement_token1] = ACTIONS(1627),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1627),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1627),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_set_operation_token1] = ACTIONS(1627),
    [aux_sym_set_operation_token3] = ACTIONS(1627),
    [aux_sym_set_operation_token4] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1627),
    [aux_sym_having_clause_token1] = ACTIONS(1627),
    [aux_sym_qualify_clause_token1] = ACTIONS(1627),
    [aux_sym_limit_clause_token1] = ACTIONS(1627),
    [aux_sym_group_by_clause_token1] = ACTIONS(1627),
    [aux_sym_order_by_clause_token1] = ACTIONS(1627),
    [aux_sym_where_clause_token1] = ACTIONS(1627),
    [aux_sym_insert_statement_token1] = ACTIONS(1627),
    [aux_sym_truncate_statement_token1] = ACTIONS(1627),
    [aux_sym_update_statement_token1] = ACTIONS(1627),
    [aux_sym_merge_statement_token1] = ACTIONS(1627),
    [aux_sym_grant_statement_token1] = ACTIONS(1627),
    [aux_sym_revoke_statement_token1] = ACTIONS(1627),
    [aux_sym_export_data_statement_token1] = ACTIONS(1627),
    [aux_sym_load_data_statement_token1] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym__quoted_identifier] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [2247] = {
    [sym__unquoted_identifier] = ACTIONS(1835),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1835),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1835),
    [aux_sym_keyword_replace_token1] = ACTIONS(1835),
    [aux_sym__keyword_alter_token1] = ACTIONS(1835),
    [aux_sym__keyword_create_token1] = ACTIONS(1835),
    [aux_sym__keyword_drop_token1] = ACTIONS(1835),
    [aux_sym__keyword_from_token1] = ACTIONS(1835),
    [aux_sym__keyword_delete_token1] = ACTIONS(1835),
    [aux_sym__keyword_begin_token1] = ACTIONS(1835),
    [aux_sym__keyword_end_token1] = ACTIONS(1835),
    [aux_sym__keyword_between_token1] = ACTIONS(1835),
    [aux_sym__keyword_when_token1] = ACTIONS(1835),
    [aux_sym__keyword_else_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1835),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1835),
    [aux_sym__keyword_like_token1] = ACTIONS(1835),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1835),
    [aux_sym__keyword_as_token1] = ACTIONS(1835),
    [aux_sym__keyword_window_token1] = ACTIONS(1835),
    [aux_sym__keyword_date_token1] = ACTIONS(1835),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1835),
    [aux_sym__keyword_time_token1] = ACTIONS(1835),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1835),
    [aux_sym__keyword_for_token1] = ACTIONS(1835),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1835),
    [aux_sym_return_statement_token1] = ACTIONS(1835),
    [aux_sym_call_statement_token1] = ACTIONS(1835),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1835),
    [aux_sym_if_statement_token1] = ACTIONS(1835),
    [aux_sym_loop_statement_token1] = ACTIONS(1835),
    [aux_sym_repeat_statement_token1] = ACTIONS(1835),
    [aux_sym_while_statement_token1] = ACTIONS(1835),
    [aux_sym_break_statement_token1] = ACTIONS(1835),
    [aux_sym_leave_statement_token1] = ACTIONS(1835),
    [aux_sym_continue_statement_token1] = ACTIONS(1835),
    [aux_sym_iterate_statement_token1] = ACTIONS(1835),
    [aux_sym_raise_statement_token1] = ACTIONS(1835),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1835),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_set_operation_token1] = ACTIONS(1835),
    [aux_sym_set_operation_token3] = ACTIONS(1835),
    [aux_sym_set_operation_token4] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1835),
    [aux_sym_having_clause_token1] = ACTIONS(1835),
    [aux_sym_qualify_clause_token1] = ACTIONS(1835),
    [aux_sym_limit_clause_token1] = ACTIONS(1835),
    [aux_sym_group_by_clause_token1] = ACTIONS(1835),
    [aux_sym_order_by_clause_token1] = ACTIONS(1835),
    [aux_sym_where_clause_token1] = ACTIONS(1835),
    [aux_sym_insert_statement_token1] = ACTIONS(1835),
    [aux_sym_truncate_statement_token1] = ACTIONS(1835),
    [aux_sym_update_statement_token1] = ACTIONS(1835),
    [aux_sym_merge_statement_token1] = ACTIONS(1835),
    [aux_sym_grant_statement_token1] = ACTIONS(1835),
    [aux_sym_revoke_statement_token1] = ACTIONS(1835),
    [aux_sym_export_data_statement_token1] = ACTIONS(1835),
    [aux_sym_load_data_statement_token1] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym__quoted_identifier] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [2248] = {
    [sym__unquoted_identifier] = ACTIONS(1623),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1623),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1623),
    [aux_sym_keyword_replace_token1] = ACTIONS(1623),
    [aux_sym__keyword_alter_token1] = ACTIONS(1623),
    [aux_sym__keyword_create_token1] = ACTIONS(1623),
    [aux_sym__keyword_drop_token1] = ACTIONS(1623),
    [aux_sym__keyword_from_token1] = ACTIONS(1623),
    [aux_sym__keyword_delete_token1] = ACTIONS(1623),
    [aux_sym__keyword_begin_token1] = ACTIONS(1623),
    [aux_sym__keyword_end_token1] = ACTIONS(1623),
    [aux_sym__keyword_between_token1] = ACTIONS(1623),
    [aux_sym__keyword_when_token1] = ACTIONS(1623),
    [aux_sym__keyword_else_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1623),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1623),
    [aux_sym__keyword_like_token1] = ACTIONS(1623),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1623),
    [aux_sym__keyword_as_token1] = ACTIONS(1623),
    [aux_sym__keyword_window_token1] = ACTIONS(1623),
    [aux_sym__keyword_date_token1] = ACTIONS(1623),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1623),
    [aux_sym__keyword_time_token1] = ACTIONS(1623),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1623),
    [aux_sym__keyword_for_token1] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1623),
    [anon_sym_COMMA] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1623),
    [aux_sym_return_statement_token1] = ACTIONS(1623),
    [aux_sym_call_statement_token1] = ACTIONS(1623),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1623),
    [aux_sym_if_statement_token1] = ACTIONS(1623),
    [aux_sym_loop_statement_token1] = ACTIONS(1623),
    [aux_sym_repeat_statement_token1] = ACTIONS(1623),
    [aux_sym_while_statement_token1] = ACTIONS(1623),
    [aux_sym_break_statement_token1] = ACTIONS(1623),
    [aux_sym_leave_statement_token1] = ACTIONS(1623),
    [aux_sym_continue_statement_token1] = ACTIONS(1623),
    [aux_sym_iterate_statement_token1] = ACTIONS(1623),
    [aux_sym_raise_statement_token1] = ACTIONS(1623),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1623),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1623),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_set_operation_token1] = ACTIONS(1623),
    [aux_sym_set_operation_token3] = ACTIONS(1623),
    [aux_sym_set_operation_token4] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1623),
    [aux_sym_having_clause_token1] = ACTIONS(1623),
    [aux_sym_qualify_clause_token1] = ACTIONS(1623),
    [aux_sym_limit_clause_token1] = ACTIONS(1623),
    [aux_sym_group_by_clause_token1] = ACTIONS(1623),
    [aux_sym_order_by_clause_token1] = ACTIONS(1623),
    [aux_sym_where_clause_token1] = ACTIONS(1623),
    [aux_sym_insert_statement_token1] = ACTIONS(1623),
    [aux_sym_truncate_statement_token1] = ACTIONS(1623),
    [aux_sym_update_statement_token1] = ACTIONS(1623),
    [aux_sym_merge_statement_token1] = ACTIONS(1623),
    [aux_sym_grant_statement_token1] = ACTIONS(1623),
    [aux_sym_revoke_statement_token1] = ACTIONS(1623),
    [aux_sym_export_data_statement_token1] = ACTIONS(1623),
    [aux_sym_load_data_statement_token1] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym__quoted_identifier] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [2249] = {
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1859),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_from_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_end_token1] = ACTIONS(1859),
    [aux_sym__keyword_between_token1] = ACTIONS(1859),
    [aux_sym__keyword_when_token1] = ACTIONS(1859),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1859),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1859),
    [aux_sym__keyword_like_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_window_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1859),
    [aux_sym_if_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_repeat_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token3] = ACTIONS(1859),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_having_clause_token1] = ACTIONS(1859),
    [aux_sym_qualify_clause_token1] = ACTIONS(1859),
    [aux_sym_limit_clause_token1] = ACTIONS(1859),
    [aux_sym_group_by_clause_token1] = ACTIONS(1859),
    [aux_sym_order_by_clause_token1] = ACTIONS(1859),
    [aux_sym_where_clause_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [2250] = {
    [sym__unquoted_identifier] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1777),
    [aux_sym_keyword_replace_token1] = ACTIONS(1777),
    [aux_sym__keyword_alter_token1] = ACTIONS(1777),
    [aux_sym__keyword_create_token1] = ACTIONS(1777),
    [aux_sym__keyword_drop_token1] = ACTIONS(1777),
    [aux_sym__keyword_from_token1] = ACTIONS(1777),
    [aux_sym__keyword_delete_token1] = ACTIONS(1777),
    [aux_sym__keyword_begin_token1] = ACTIONS(1777),
    [aux_sym__keyword_end_token1] = ACTIONS(1777),
    [aux_sym__keyword_between_token1] = ACTIONS(1777),
    [aux_sym__keyword_when_token1] = ACTIONS(1777),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1777),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1777),
    [aux_sym__keyword_like_token1] = ACTIONS(1777),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1777),
    [aux_sym__keyword_as_token1] = ACTIONS(1777),
    [aux_sym__keyword_window_token1] = ACTIONS(1777),
    [aux_sym__keyword_date_token1] = ACTIONS(1777),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1777),
    [aux_sym__keyword_time_token1] = ACTIONS(1777),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1777),
    [aux_sym__keyword_for_token1] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1777),
    [aux_sym_return_statement_token1] = ACTIONS(1777),
    [aux_sym_call_statement_token1] = ACTIONS(1777),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1777),
    [aux_sym_if_statement_token1] = ACTIONS(1777),
    [aux_sym_loop_statement_token1] = ACTIONS(1777),
    [aux_sym_repeat_statement_token1] = ACTIONS(1777),
    [aux_sym_while_statement_token1] = ACTIONS(1777),
    [aux_sym_break_statement_token1] = ACTIONS(1777),
    [aux_sym_leave_statement_token1] = ACTIONS(1777),
    [aux_sym_continue_statement_token1] = ACTIONS(1777),
    [aux_sym_iterate_statement_token1] = ACTIONS(1777),
    [aux_sym_raise_statement_token1] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1777),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_set_operation_token1] = ACTIONS(1777),
    [aux_sym_set_operation_token3] = ACTIONS(1777),
    [aux_sym_set_operation_token4] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1777),
    [aux_sym_having_clause_token1] = ACTIONS(1777),
    [aux_sym_qualify_clause_token1] = ACTIONS(1777),
    [aux_sym_limit_clause_token1] = ACTIONS(1777),
    [aux_sym_group_by_clause_token1] = ACTIONS(1777),
    [aux_sym_order_by_clause_token1] = ACTIONS(1777),
    [aux_sym_where_clause_token1] = ACTIONS(1777),
    [aux_sym_insert_statement_token1] = ACTIONS(1777),
    [aux_sym_truncate_statement_token1] = ACTIONS(1777),
    [aux_sym_update_statement_token1] = ACTIONS(1777),
    [aux_sym_merge_statement_token1] = ACTIONS(1777),
    [aux_sym_grant_statement_token1] = ACTIONS(1777),
    [aux_sym_revoke_statement_token1] = ACTIONS(1777),
    [aux_sym_export_data_statement_token1] = ACTIONS(1777),
    [aux_sym_load_data_statement_token1] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym__quoted_identifier] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [2251] = {
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1859),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_from_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_end_token1] = ACTIONS(1859),
    [aux_sym__keyword_between_token1] = ACTIONS(1859),
    [aux_sym__keyword_when_token1] = ACTIONS(1859),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1859),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1859),
    [aux_sym__keyword_like_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_window_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1859),
    [aux_sym_if_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_repeat_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token3] = ACTIONS(1859),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_having_clause_token1] = ACTIONS(1859),
    [aux_sym_qualify_clause_token1] = ACTIONS(1859),
    [aux_sym_limit_clause_token1] = ACTIONS(1859),
    [aux_sym_group_by_clause_token1] = ACTIONS(1859),
    [aux_sym_order_by_clause_token1] = ACTIONS(1859),
    [aux_sym_where_clause_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [2252] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_from_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [2253] = {
    [sym__unquoted_identifier] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1801),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1801),
    [aux_sym__keyword_create_token1] = ACTIONS(1801),
    [aux_sym__keyword_drop_token1] = ACTIONS(1801),
    [aux_sym__keyword_from_token1] = ACTIONS(1801),
    [aux_sym__keyword_delete_token1] = ACTIONS(1801),
    [aux_sym__keyword_begin_token1] = ACTIONS(1801),
    [aux_sym__keyword_end_token1] = ACTIONS(1801),
    [aux_sym__keyword_between_token1] = ACTIONS(1801),
    [aux_sym__keyword_when_token1] = ACTIONS(1801),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1801),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1801),
    [aux_sym__keyword_like_token1] = ACTIONS(1801),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1801),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_window_token1] = ACTIONS(1801),
    [aux_sym__keyword_date_token1] = ACTIONS(1801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1801),
    [aux_sym__keyword_time_token1] = ACTIONS(1801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1801),
    [aux_sym_return_statement_token1] = ACTIONS(1801),
    [aux_sym_call_statement_token1] = ACTIONS(1801),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1801),
    [aux_sym_if_statement_token1] = ACTIONS(1801),
    [aux_sym_loop_statement_token1] = ACTIONS(1801),
    [aux_sym_repeat_statement_token1] = ACTIONS(1801),
    [aux_sym_while_statement_token1] = ACTIONS(1801),
    [aux_sym_break_statement_token1] = ACTIONS(1801),
    [aux_sym_leave_statement_token1] = ACTIONS(1801),
    [aux_sym_continue_statement_token1] = ACTIONS(1801),
    [aux_sym_iterate_statement_token1] = ACTIONS(1801),
    [aux_sym_raise_statement_token1] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1801),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1801),
    [aux_sym_set_operation_token3] = ACTIONS(1801),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1801),
    [aux_sym_having_clause_token1] = ACTIONS(1801),
    [aux_sym_qualify_clause_token1] = ACTIONS(1801),
    [aux_sym_limit_clause_token1] = ACTIONS(1801),
    [aux_sym_group_by_clause_token1] = ACTIONS(1801),
    [aux_sym_order_by_clause_token1] = ACTIONS(1801),
    [aux_sym_where_clause_token1] = ACTIONS(1801),
    [aux_sym_insert_statement_token1] = ACTIONS(1801),
    [aux_sym_truncate_statement_token1] = ACTIONS(1801),
    [aux_sym_update_statement_token1] = ACTIONS(1801),
    [aux_sym_merge_statement_token1] = ACTIONS(1801),
    [aux_sym_grant_statement_token1] = ACTIONS(1801),
    [aux_sym_revoke_statement_token1] = ACTIONS(1801),
    [aux_sym_export_data_statement_token1] = ACTIONS(1801),
    [aux_sym_load_data_statement_token1] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym__quoted_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [2254] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_from_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [2255] = {
    [sym__unquoted_identifier] = ACTIONS(1619),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1619),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1619),
    [aux_sym_keyword_replace_token1] = ACTIONS(1619),
    [aux_sym__keyword_alter_token1] = ACTIONS(1619),
    [aux_sym__keyword_create_token1] = ACTIONS(1619),
    [aux_sym__keyword_drop_token1] = ACTIONS(1619),
    [aux_sym__keyword_from_token1] = ACTIONS(1619),
    [aux_sym__keyword_delete_token1] = ACTIONS(1619),
    [aux_sym__keyword_begin_token1] = ACTIONS(1619),
    [aux_sym__keyword_end_token1] = ACTIONS(1619),
    [aux_sym__keyword_between_token1] = ACTIONS(1619),
    [aux_sym__keyword_when_token1] = ACTIONS(1619),
    [aux_sym__keyword_else_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1619),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1619),
    [aux_sym__keyword_like_token1] = ACTIONS(1619),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1619),
    [aux_sym__keyword_as_token1] = ACTIONS(1619),
    [aux_sym__keyword_window_token1] = ACTIONS(1619),
    [aux_sym__keyword_date_token1] = ACTIONS(1619),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1619),
    [aux_sym__keyword_time_token1] = ACTIONS(1619),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1619),
    [aux_sym__keyword_for_token1] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1619),
    [anon_sym_COMMA] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1619),
    [aux_sym_return_statement_token1] = ACTIONS(1619),
    [aux_sym_call_statement_token1] = ACTIONS(1619),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1619),
    [aux_sym_if_statement_token1] = ACTIONS(1619),
    [aux_sym_loop_statement_token1] = ACTIONS(1619),
    [aux_sym_repeat_statement_token1] = ACTIONS(1619),
    [aux_sym_while_statement_token1] = ACTIONS(1619),
    [aux_sym_break_statement_token1] = ACTIONS(1619),
    [aux_sym_leave_statement_token1] = ACTIONS(1619),
    [aux_sym_continue_statement_token1] = ACTIONS(1619),
    [aux_sym_iterate_statement_token1] = ACTIONS(1619),
    [aux_sym_raise_statement_token1] = ACTIONS(1619),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1619),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1619),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_set_operation_token1] = ACTIONS(1619),
    [aux_sym_set_operation_token3] = ACTIONS(1619),
    [aux_sym_set_operation_token4] = ACTIONS(1619),
    [aux_sym_select_token1] = ACTIONS(1619),
    [aux_sym_having_clause_token1] = ACTIONS(1619),
    [aux_sym_qualify_clause_token1] = ACTIONS(1619),
    [aux_sym_limit_clause_token1] = ACTIONS(1619),
    [aux_sym_group_by_clause_token1] = ACTIONS(1619),
    [aux_sym_order_by_clause_token1] = ACTIONS(1619),
    [aux_sym_where_clause_token1] = ACTIONS(1619),
    [aux_sym_insert_statement_token1] = ACTIONS(1619),
    [aux_sym_truncate_statement_token1] = ACTIONS(1619),
    [aux_sym_update_statement_token1] = ACTIONS(1619),
    [aux_sym_merge_statement_token1] = ACTIONS(1619),
    [aux_sym_grant_statement_token1] = ACTIONS(1619),
    [aux_sym_revoke_statement_token1] = ACTIONS(1619),
    [aux_sym_export_data_statement_token1] = ACTIONS(1619),
    [aux_sym_load_data_statement_token1] = ACTIONS(1619),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym__quoted_identifier] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [2256] = {
    [sym__unquoted_identifier] = ACTIONS(1811),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1811),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1811),
    [aux_sym_keyword_replace_token1] = ACTIONS(1811),
    [aux_sym__keyword_alter_token1] = ACTIONS(1811),
    [aux_sym__keyword_create_token1] = ACTIONS(1811),
    [aux_sym__keyword_drop_token1] = ACTIONS(1811),
    [aux_sym__keyword_from_token1] = ACTIONS(1811),
    [aux_sym__keyword_delete_token1] = ACTIONS(1811),
    [aux_sym__keyword_begin_token1] = ACTIONS(1811),
    [aux_sym__keyword_end_token1] = ACTIONS(1811),
    [aux_sym__keyword_between_token1] = ACTIONS(1811),
    [aux_sym__keyword_when_token1] = ACTIONS(1811),
    [aux_sym__keyword_else_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1811),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1811),
    [aux_sym__keyword_like_token1] = ACTIONS(1811),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1811),
    [aux_sym__keyword_as_token1] = ACTIONS(1811),
    [aux_sym__keyword_window_token1] = ACTIONS(1811),
    [aux_sym__keyword_date_token1] = ACTIONS(1811),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1811),
    [aux_sym__keyword_time_token1] = ACTIONS(1811),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1811),
    [aux_sym__keyword_for_token1] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1811),
    [aux_sym_return_statement_token1] = ACTIONS(1811),
    [aux_sym_call_statement_token1] = ACTIONS(1811),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1811),
    [aux_sym_if_statement_token1] = ACTIONS(1811),
    [aux_sym_loop_statement_token1] = ACTIONS(1811),
    [aux_sym_repeat_statement_token1] = ACTIONS(1811),
    [aux_sym_while_statement_token1] = ACTIONS(1811),
    [aux_sym_break_statement_token1] = ACTIONS(1811),
    [aux_sym_leave_statement_token1] = ACTIONS(1811),
    [aux_sym_continue_statement_token1] = ACTIONS(1811),
    [aux_sym_iterate_statement_token1] = ACTIONS(1811),
    [aux_sym_raise_statement_token1] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1811),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1811),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_set_operation_token1] = ACTIONS(1811),
    [aux_sym_set_operation_token3] = ACTIONS(1811),
    [aux_sym_set_operation_token4] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1811),
    [aux_sym_having_clause_token1] = ACTIONS(1811),
    [aux_sym_qualify_clause_token1] = ACTIONS(1811),
    [aux_sym_limit_clause_token1] = ACTIONS(1811),
    [aux_sym_group_by_clause_token1] = ACTIONS(1811),
    [aux_sym_order_by_clause_token1] = ACTIONS(1811),
    [aux_sym_where_clause_token1] = ACTIONS(1811),
    [aux_sym_insert_statement_token1] = ACTIONS(1811),
    [aux_sym_truncate_statement_token1] = ACTIONS(1811),
    [aux_sym_update_statement_token1] = ACTIONS(1811),
    [aux_sym_merge_statement_token1] = ACTIONS(1811),
    [aux_sym_grant_statement_token1] = ACTIONS(1811),
    [aux_sym_revoke_statement_token1] = ACTIONS(1811),
    [aux_sym_export_data_statement_token1] = ACTIONS(1811),
    [aux_sym_load_data_statement_token1] = ACTIONS(1811),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym__quoted_identifier] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [2257] = {
    [sym__unquoted_identifier] = ACTIONS(1847),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1847),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1847),
    [aux_sym_keyword_replace_token1] = ACTIONS(1847),
    [aux_sym__keyword_alter_token1] = ACTIONS(1847),
    [aux_sym__keyword_create_token1] = ACTIONS(1847),
    [aux_sym__keyword_drop_token1] = ACTIONS(1847),
    [aux_sym__keyword_from_token1] = ACTIONS(1847),
    [aux_sym__keyword_delete_token1] = ACTIONS(1847),
    [aux_sym__keyword_begin_token1] = ACTIONS(1847),
    [aux_sym__keyword_end_token1] = ACTIONS(1847),
    [aux_sym__keyword_between_token1] = ACTIONS(1847),
    [aux_sym__keyword_when_token1] = ACTIONS(1847),
    [aux_sym__keyword_else_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1847),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1847),
    [aux_sym__keyword_like_token1] = ACTIONS(1847),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1847),
    [aux_sym__keyword_as_token1] = ACTIONS(1847),
    [aux_sym__keyword_window_token1] = ACTIONS(1847),
    [aux_sym__keyword_date_token1] = ACTIONS(1847),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1847),
    [aux_sym__keyword_time_token1] = ACTIONS(1847),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1847),
    [aux_sym__keyword_for_token1] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1847),
    [aux_sym_return_statement_token1] = ACTIONS(1847),
    [aux_sym_call_statement_token1] = ACTIONS(1847),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1847),
    [aux_sym_if_statement_token1] = ACTIONS(1847),
    [aux_sym_loop_statement_token1] = ACTIONS(1847),
    [aux_sym_repeat_statement_token1] = ACTIONS(1847),
    [aux_sym_while_statement_token1] = ACTIONS(1847),
    [aux_sym_break_statement_token1] = ACTIONS(1847),
    [aux_sym_leave_statement_token1] = ACTIONS(1847),
    [aux_sym_continue_statement_token1] = ACTIONS(1847),
    [aux_sym_iterate_statement_token1] = ACTIONS(1847),
    [aux_sym_raise_statement_token1] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1847),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_set_operation_token1] = ACTIONS(1847),
    [aux_sym_set_operation_token3] = ACTIONS(1847),
    [aux_sym_set_operation_token4] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1847),
    [aux_sym_having_clause_token1] = ACTIONS(1847),
    [aux_sym_qualify_clause_token1] = ACTIONS(1847),
    [aux_sym_limit_clause_token1] = ACTIONS(1847),
    [aux_sym_group_by_clause_token1] = ACTIONS(1847),
    [aux_sym_order_by_clause_token1] = ACTIONS(1847),
    [aux_sym_where_clause_token1] = ACTIONS(1847),
    [aux_sym_insert_statement_token1] = ACTIONS(1847),
    [aux_sym_truncate_statement_token1] = ACTIONS(1847),
    [aux_sym_update_statement_token1] = ACTIONS(1847),
    [aux_sym_merge_statement_token1] = ACTIONS(1847),
    [aux_sym_grant_statement_token1] = ACTIONS(1847),
    [aux_sym_revoke_statement_token1] = ACTIONS(1847),
    [aux_sym_export_data_statement_token1] = ACTIONS(1847),
    [aux_sym_load_data_statement_token1] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym__quoted_identifier] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [2258] = {
    [sym__unquoted_identifier] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1525),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1525),
    [aux_sym__keyword_create_token1] = ACTIONS(1525),
    [aux_sym__keyword_drop_token1] = ACTIONS(1525),
    [aux_sym__keyword_from_token1] = ACTIONS(1525),
    [aux_sym__keyword_delete_token1] = ACTIONS(1525),
    [aux_sym__keyword_begin_token1] = ACTIONS(1525),
    [aux_sym__keyword_end_token1] = ACTIONS(1525),
    [aux_sym__keyword_between_token1] = ACTIONS(1525),
    [aux_sym__keyword_when_token1] = ACTIONS(1525),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1525),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1525),
    [aux_sym__keyword_like_token1] = ACTIONS(1525),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1525),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_window_token1] = ACTIONS(1525),
    [aux_sym__keyword_date_token1] = ACTIONS(1525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1525),
    [aux_sym__keyword_time_token1] = ACTIONS(1525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1525),
    [aux_sym_return_statement_token1] = ACTIONS(1525),
    [aux_sym_call_statement_token1] = ACTIONS(1525),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1525),
    [aux_sym_if_statement_token1] = ACTIONS(1525),
    [aux_sym_loop_statement_token1] = ACTIONS(1525),
    [aux_sym_repeat_statement_token1] = ACTIONS(1525),
    [aux_sym_while_statement_token1] = ACTIONS(1525),
    [aux_sym_break_statement_token1] = ACTIONS(1525),
    [aux_sym_leave_statement_token1] = ACTIONS(1525),
    [aux_sym_continue_statement_token1] = ACTIONS(1525),
    [aux_sym_iterate_statement_token1] = ACTIONS(1525),
    [aux_sym_raise_statement_token1] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1525),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1525),
    [aux_sym_set_operation_token3] = ACTIONS(1525),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1525),
    [aux_sym_having_clause_token1] = ACTIONS(1525),
    [aux_sym_qualify_clause_token1] = ACTIONS(1525),
    [aux_sym_limit_clause_token1] = ACTIONS(1525),
    [aux_sym_group_by_clause_token1] = ACTIONS(1525),
    [aux_sym_order_by_clause_token1] = ACTIONS(1525),
    [aux_sym_where_clause_token1] = ACTIONS(1525),
    [aux_sym_insert_statement_token1] = ACTIONS(1525),
    [aux_sym_truncate_statement_token1] = ACTIONS(1525),
    [aux_sym_update_statement_token1] = ACTIONS(1525),
    [aux_sym_merge_statement_token1] = ACTIONS(1525),
    [aux_sym_grant_statement_token1] = ACTIONS(1525),
    [aux_sym_revoke_statement_token1] = ACTIONS(1525),
    [aux_sym_export_data_statement_token1] = ACTIONS(1525),
    [aux_sym_load_data_statement_token1] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym__quoted_identifier] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [2259] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2260] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2261] = {
    [sym__unquoted_identifier] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1801),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1801),
    [aux_sym__keyword_create_token1] = ACTIONS(1801),
    [aux_sym__keyword_drop_token1] = ACTIONS(1801),
    [aux_sym__keyword_from_token1] = ACTIONS(1801),
    [aux_sym__keyword_delete_token1] = ACTIONS(1801),
    [aux_sym__keyword_begin_token1] = ACTIONS(1801),
    [aux_sym__keyword_end_token1] = ACTIONS(1801),
    [aux_sym__keyword_between_token1] = ACTIONS(1801),
    [aux_sym__keyword_when_token1] = ACTIONS(1801),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1801),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1801),
    [aux_sym__keyword_like_token1] = ACTIONS(1801),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1801),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_window_token1] = ACTIONS(1801),
    [aux_sym__keyword_date_token1] = ACTIONS(1801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1801),
    [aux_sym__keyword_time_token1] = ACTIONS(1801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(2805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1801),
    [aux_sym_return_statement_token1] = ACTIONS(1801),
    [aux_sym_call_statement_token1] = ACTIONS(1801),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1801),
    [aux_sym_if_statement_token1] = ACTIONS(1801),
    [aux_sym_loop_statement_token1] = ACTIONS(1801),
    [aux_sym_repeat_statement_token1] = ACTIONS(1801),
    [aux_sym_while_statement_token1] = ACTIONS(1801),
    [aux_sym_break_statement_token1] = ACTIONS(1801),
    [aux_sym_leave_statement_token1] = ACTIONS(1801),
    [aux_sym_continue_statement_token1] = ACTIONS(1801),
    [aux_sym_iterate_statement_token1] = ACTIONS(1801),
    [aux_sym_raise_statement_token1] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1801),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1801),
    [aux_sym_set_operation_token3] = ACTIONS(1801),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1801),
    [aux_sym_having_clause_token1] = ACTIONS(1801),
    [aux_sym_qualify_clause_token1] = ACTIONS(1801),
    [aux_sym_limit_clause_token1] = ACTIONS(1801),
    [aux_sym_group_by_clause_token1] = ACTIONS(1801),
    [aux_sym_order_by_clause_token1] = ACTIONS(1801),
    [aux_sym_where_clause_token1] = ACTIONS(1801),
    [aux_sym_insert_statement_token1] = ACTIONS(1801),
    [aux_sym_truncate_statement_token1] = ACTIONS(1801),
    [aux_sym_update_statement_token1] = ACTIONS(1801),
    [aux_sym_merge_statement_token1] = ACTIONS(1801),
    [aux_sym_grant_statement_token1] = ACTIONS(1801),
    [aux_sym_revoke_statement_token1] = ACTIONS(1801),
    [aux_sym_export_data_statement_token1] = ACTIONS(1801),
    [aux_sym_load_data_statement_token1] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym__quoted_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [2262] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_from_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [2263] = {
    [sym__unquoted_identifier] = ACTIONS(1699),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1699),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1699),
    [aux_sym_keyword_replace_token1] = ACTIONS(1699),
    [aux_sym__keyword_alter_token1] = ACTIONS(1699),
    [aux_sym__keyword_create_token1] = ACTIONS(1699),
    [aux_sym__keyword_drop_token1] = ACTIONS(1699),
    [aux_sym__keyword_from_token1] = ACTIONS(1699),
    [aux_sym__keyword_delete_token1] = ACTIONS(1699),
    [aux_sym__keyword_begin_token1] = ACTIONS(1699),
    [aux_sym__keyword_end_token1] = ACTIONS(1699),
    [aux_sym__keyword_between_token1] = ACTIONS(1699),
    [aux_sym__keyword_when_token1] = ACTIONS(1699),
    [aux_sym__keyword_else_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1699),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1699),
    [aux_sym__keyword_like_token1] = ACTIONS(1699),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1699),
    [aux_sym__keyword_as_token1] = ACTIONS(1699),
    [aux_sym__keyword_window_token1] = ACTIONS(1699),
    [aux_sym__keyword_date_token1] = ACTIONS(1699),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1699),
    [aux_sym__keyword_time_token1] = ACTIONS(1699),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1699),
    [aux_sym__keyword_for_token1] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1699),
    [aux_sym_return_statement_token1] = ACTIONS(1699),
    [aux_sym_call_statement_token1] = ACTIONS(1699),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1699),
    [aux_sym_if_statement_token1] = ACTIONS(1699),
    [aux_sym_loop_statement_token1] = ACTIONS(1699),
    [aux_sym_repeat_statement_token1] = ACTIONS(1699),
    [aux_sym_while_statement_token1] = ACTIONS(1699),
    [aux_sym_break_statement_token1] = ACTIONS(1699),
    [aux_sym_leave_statement_token1] = ACTIONS(1699),
    [aux_sym_continue_statement_token1] = ACTIONS(1699),
    [aux_sym_iterate_statement_token1] = ACTIONS(1699),
    [aux_sym_raise_statement_token1] = ACTIONS(1699),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1699),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_set_operation_token1] = ACTIONS(1699),
    [aux_sym_set_operation_token3] = ACTIONS(1699),
    [aux_sym_set_operation_token4] = ACTIONS(1699),
    [aux_sym_select_token1] = ACTIONS(1699),
    [aux_sym_having_clause_token1] = ACTIONS(1699),
    [aux_sym_qualify_clause_token1] = ACTIONS(1699),
    [aux_sym_limit_clause_token1] = ACTIONS(1699),
    [aux_sym_group_by_clause_token1] = ACTIONS(1699),
    [aux_sym_order_by_clause_token1] = ACTIONS(1699),
    [aux_sym_where_clause_token1] = ACTIONS(1699),
    [aux_sym_insert_statement_token1] = ACTIONS(1699),
    [aux_sym_truncate_statement_token1] = ACTIONS(1699),
    [aux_sym_update_statement_token1] = ACTIONS(1699),
    [aux_sym_merge_statement_token1] = ACTIONS(1699),
    [aux_sym_grant_statement_token1] = ACTIONS(1699),
    [aux_sym_revoke_statement_token1] = ACTIONS(1699),
    [aux_sym_export_data_statement_token1] = ACTIONS(1699),
    [aux_sym_load_data_statement_token1] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym__quoted_identifier] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [2264] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2265] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2266] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2267] = {
    [sym__unquoted_identifier] = ACTIONS(1599),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1599),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1599),
    [aux_sym_keyword_replace_token1] = ACTIONS(1599),
    [aux_sym__keyword_alter_token1] = ACTIONS(1599),
    [aux_sym__keyword_create_token1] = ACTIONS(1599),
    [aux_sym__keyword_drop_token1] = ACTIONS(1599),
    [aux_sym__keyword_from_token1] = ACTIONS(1599),
    [aux_sym__keyword_delete_token1] = ACTIONS(1599),
    [aux_sym__keyword_begin_token1] = ACTIONS(1599),
    [aux_sym__keyword_end_token1] = ACTIONS(1599),
    [aux_sym__keyword_between_token1] = ACTIONS(1599),
    [aux_sym__keyword_when_token1] = ACTIONS(1599),
    [aux_sym__keyword_else_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1599),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1599),
    [aux_sym__keyword_like_token1] = ACTIONS(1599),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1599),
    [aux_sym__keyword_as_token1] = ACTIONS(1599),
    [aux_sym__keyword_window_token1] = ACTIONS(1599),
    [aux_sym__keyword_date_token1] = ACTIONS(1599),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1599),
    [aux_sym__keyword_time_token1] = ACTIONS(1599),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1599),
    [aux_sym__keyword_for_token1] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1599),
    [anon_sym_COMMA] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1599),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1599),
    [aux_sym_return_statement_token1] = ACTIONS(1599),
    [aux_sym_call_statement_token1] = ACTIONS(1599),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1599),
    [aux_sym_if_statement_token1] = ACTIONS(1599),
    [aux_sym_loop_statement_token1] = ACTIONS(1599),
    [aux_sym_repeat_statement_token1] = ACTIONS(1599),
    [aux_sym_while_statement_token1] = ACTIONS(1599),
    [aux_sym_break_statement_token1] = ACTIONS(1599),
    [aux_sym_leave_statement_token1] = ACTIONS(1599),
    [aux_sym_continue_statement_token1] = ACTIONS(1599),
    [aux_sym_iterate_statement_token1] = ACTIONS(1599),
    [aux_sym_raise_statement_token1] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1599),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1599),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_set_operation_token1] = ACTIONS(1599),
    [aux_sym_set_operation_token3] = ACTIONS(1599),
    [aux_sym_set_operation_token4] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1599),
    [aux_sym_having_clause_token1] = ACTIONS(1599),
    [aux_sym_qualify_clause_token1] = ACTIONS(1599),
    [aux_sym_limit_clause_token1] = ACTIONS(1599),
    [aux_sym_group_by_clause_token1] = ACTIONS(1599),
    [aux_sym_order_by_clause_token1] = ACTIONS(1599),
    [aux_sym_where_clause_token1] = ACTIONS(1599),
    [aux_sym_insert_statement_token1] = ACTIONS(1599),
    [aux_sym_truncate_statement_token1] = ACTIONS(1599),
    [aux_sym_update_statement_token1] = ACTIONS(1599),
    [aux_sym_merge_statement_token1] = ACTIONS(1599),
    [aux_sym_grant_statement_token1] = ACTIONS(1599),
    [aux_sym_revoke_statement_token1] = ACTIONS(1599),
    [aux_sym_export_data_statement_token1] = ACTIONS(1599),
    [aux_sym_load_data_statement_token1] = ACTIONS(1599),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym__quoted_identifier] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [2268] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2269] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2270] = {
    [sym__unquoted_identifier] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1757),
    [aux_sym_keyword_replace_token1] = ACTIONS(1757),
    [aux_sym__keyword_alter_token1] = ACTIONS(1757),
    [aux_sym__keyword_create_token1] = ACTIONS(1757),
    [aux_sym__keyword_drop_token1] = ACTIONS(1757),
    [aux_sym__keyword_from_token1] = ACTIONS(1757),
    [aux_sym__keyword_delete_token1] = ACTIONS(1757),
    [aux_sym__keyword_begin_token1] = ACTIONS(1757),
    [aux_sym__keyword_end_token1] = ACTIONS(1757),
    [aux_sym__keyword_between_token1] = ACTIONS(1757),
    [aux_sym__keyword_when_token1] = ACTIONS(1757),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1757),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1757),
    [aux_sym__keyword_like_token1] = ACTIONS(1757),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1757),
    [aux_sym__keyword_as_token1] = ACTIONS(1757),
    [aux_sym__keyword_window_token1] = ACTIONS(1757),
    [aux_sym__keyword_date_token1] = ACTIONS(1757),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1757),
    [aux_sym__keyword_time_token1] = ACTIONS(1757),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1757),
    [aux_sym__keyword_for_token1] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1757),
    [aux_sym_return_statement_token1] = ACTIONS(1757),
    [aux_sym_call_statement_token1] = ACTIONS(1757),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1757),
    [aux_sym_if_statement_token1] = ACTIONS(1757),
    [aux_sym_loop_statement_token1] = ACTIONS(1757),
    [aux_sym_repeat_statement_token1] = ACTIONS(1757),
    [aux_sym_while_statement_token1] = ACTIONS(1757),
    [aux_sym_break_statement_token1] = ACTIONS(1757),
    [aux_sym_leave_statement_token1] = ACTIONS(1757),
    [aux_sym_continue_statement_token1] = ACTIONS(1757),
    [aux_sym_iterate_statement_token1] = ACTIONS(1757),
    [aux_sym_raise_statement_token1] = ACTIONS(1757),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1757),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1757),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_set_operation_token1] = ACTIONS(1757),
    [aux_sym_set_operation_token3] = ACTIONS(1757),
    [aux_sym_set_operation_token4] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1757),
    [aux_sym_having_clause_token1] = ACTIONS(1757),
    [aux_sym_qualify_clause_token1] = ACTIONS(1757),
    [aux_sym_limit_clause_token1] = ACTIONS(1757),
    [aux_sym_group_by_clause_token1] = ACTIONS(1757),
    [aux_sym_order_by_clause_token1] = ACTIONS(1757),
    [aux_sym_where_clause_token1] = ACTIONS(1757),
    [aux_sym_insert_statement_token1] = ACTIONS(1757),
    [aux_sym_truncate_statement_token1] = ACTIONS(1757),
    [aux_sym_update_statement_token1] = ACTIONS(1757),
    [aux_sym_merge_statement_token1] = ACTIONS(1757),
    [aux_sym_grant_statement_token1] = ACTIONS(1757),
    [aux_sym_revoke_statement_token1] = ACTIONS(1757),
    [aux_sym_export_data_statement_token1] = ACTIONS(1757),
    [aux_sym_load_data_statement_token1] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym__quoted_identifier] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [2271] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2272] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_from_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2273] = {
    [sym__unquoted_identifier] = ACTIONS(1603),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1603),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1603),
    [aux_sym_keyword_replace_token1] = ACTIONS(1603),
    [aux_sym__keyword_alter_token1] = ACTIONS(1603),
    [aux_sym__keyword_create_token1] = ACTIONS(1603),
    [aux_sym__keyword_drop_token1] = ACTIONS(1603),
    [aux_sym__keyword_from_token1] = ACTIONS(1603),
    [aux_sym__keyword_delete_token1] = ACTIONS(1603),
    [aux_sym__keyword_begin_token1] = ACTIONS(1603),
    [aux_sym__keyword_end_token1] = ACTIONS(1603),
    [aux_sym__keyword_between_token1] = ACTIONS(1603),
    [aux_sym__keyword_when_token1] = ACTIONS(1603),
    [aux_sym__keyword_else_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1603),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1603),
    [aux_sym__keyword_like_token1] = ACTIONS(1603),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1603),
    [aux_sym__keyword_as_token1] = ACTIONS(1603),
    [aux_sym__keyword_window_token1] = ACTIONS(1603),
    [aux_sym__keyword_date_token1] = ACTIONS(1603),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1603),
    [aux_sym__keyword_time_token1] = ACTIONS(1603),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1603),
    [aux_sym__keyword_for_token1] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1603),
    [aux_sym_return_statement_token1] = ACTIONS(1603),
    [aux_sym_call_statement_token1] = ACTIONS(1603),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1603),
    [aux_sym_if_statement_token1] = ACTIONS(1603),
    [aux_sym_loop_statement_token1] = ACTIONS(1603),
    [aux_sym_repeat_statement_token1] = ACTIONS(1603),
    [aux_sym_while_statement_token1] = ACTIONS(1603),
    [aux_sym_break_statement_token1] = ACTIONS(1603),
    [aux_sym_leave_statement_token1] = ACTIONS(1603),
    [aux_sym_continue_statement_token1] = ACTIONS(1603),
    [aux_sym_iterate_statement_token1] = ACTIONS(1603),
    [aux_sym_raise_statement_token1] = ACTIONS(1603),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1603),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_set_operation_token1] = ACTIONS(1603),
    [aux_sym_set_operation_token3] = ACTIONS(1603),
    [aux_sym_set_operation_token4] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1603),
    [aux_sym_having_clause_token1] = ACTIONS(1603),
    [aux_sym_qualify_clause_token1] = ACTIONS(1603),
    [aux_sym_limit_clause_token1] = ACTIONS(1603),
    [aux_sym_group_by_clause_token1] = ACTIONS(1603),
    [aux_sym_order_by_clause_token1] = ACTIONS(1603),
    [aux_sym_where_clause_token1] = ACTIONS(1603),
    [aux_sym_insert_statement_token1] = ACTIONS(1603),
    [aux_sym_truncate_statement_token1] = ACTIONS(1603),
    [aux_sym_update_statement_token1] = ACTIONS(1603),
    [aux_sym_merge_statement_token1] = ACTIONS(1603),
    [aux_sym_grant_statement_token1] = ACTIONS(1603),
    [aux_sym_revoke_statement_token1] = ACTIONS(1603),
    [aux_sym_export_data_statement_token1] = ACTIONS(1603),
    [aux_sym_load_data_statement_token1] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym__quoted_identifier] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [2274] = {
    [sym__unquoted_identifier] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1615),
    [aux_sym_keyword_replace_token1] = ACTIONS(1615),
    [aux_sym__keyword_alter_token1] = ACTIONS(1615),
    [aux_sym__keyword_create_token1] = ACTIONS(1615),
    [aux_sym__keyword_drop_token1] = ACTIONS(1615),
    [aux_sym__keyword_from_token1] = ACTIONS(1615),
    [aux_sym__keyword_delete_token1] = ACTIONS(1615),
    [aux_sym__keyword_begin_token1] = ACTIONS(1615),
    [aux_sym__keyword_end_token1] = ACTIONS(1615),
    [aux_sym__keyword_between_token1] = ACTIONS(1615),
    [aux_sym__keyword_when_token1] = ACTIONS(1615),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1615),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1615),
    [aux_sym__keyword_like_token1] = ACTIONS(1615),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1615),
    [aux_sym__keyword_as_token1] = ACTIONS(1615),
    [aux_sym__keyword_window_token1] = ACTIONS(1615),
    [aux_sym__keyword_date_token1] = ACTIONS(1615),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1615),
    [aux_sym__keyword_time_token1] = ACTIONS(1615),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1615),
    [aux_sym__keyword_for_token1] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1615),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1615),
    [aux_sym_return_statement_token1] = ACTIONS(1615),
    [aux_sym_call_statement_token1] = ACTIONS(1615),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1615),
    [aux_sym_if_statement_token1] = ACTIONS(1615),
    [aux_sym_loop_statement_token1] = ACTIONS(1615),
    [aux_sym_repeat_statement_token1] = ACTIONS(1615),
    [aux_sym_while_statement_token1] = ACTIONS(1615),
    [aux_sym_break_statement_token1] = ACTIONS(1615),
    [aux_sym_leave_statement_token1] = ACTIONS(1615),
    [aux_sym_continue_statement_token1] = ACTIONS(1615),
    [aux_sym_iterate_statement_token1] = ACTIONS(1615),
    [aux_sym_raise_statement_token1] = ACTIONS(1615),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1615),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1615),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_set_operation_token1] = ACTIONS(1615),
    [aux_sym_set_operation_token3] = ACTIONS(1615),
    [aux_sym_set_operation_token4] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1615),
    [aux_sym_having_clause_token1] = ACTIONS(1615),
    [aux_sym_qualify_clause_token1] = ACTIONS(1615),
    [aux_sym_limit_clause_token1] = ACTIONS(1615),
    [aux_sym_group_by_clause_token1] = ACTIONS(1615),
    [aux_sym_order_by_clause_token1] = ACTIONS(1615),
    [aux_sym_where_clause_token1] = ACTIONS(1615),
    [aux_sym_insert_statement_token1] = ACTIONS(1615),
    [aux_sym_truncate_statement_token1] = ACTIONS(1615),
    [aux_sym_update_statement_token1] = ACTIONS(1615),
    [aux_sym_merge_statement_token1] = ACTIONS(1615),
    [aux_sym_grant_statement_token1] = ACTIONS(1615),
    [aux_sym_revoke_statement_token1] = ACTIONS(1615),
    [aux_sym_export_data_statement_token1] = ACTIONS(1615),
    [aux_sym_load_data_statement_token1] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym__quoted_identifier] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [2275] = {
    [sym__unquoted_identifier] = ACTIONS(1607),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1607),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1607),
    [aux_sym_keyword_replace_token1] = ACTIONS(1607),
    [aux_sym__keyword_alter_token1] = ACTIONS(1607),
    [aux_sym__keyword_create_token1] = ACTIONS(1607),
    [aux_sym__keyword_drop_token1] = ACTIONS(1607),
    [aux_sym__keyword_from_token1] = ACTIONS(1607),
    [aux_sym__keyword_delete_token1] = ACTIONS(1607),
    [aux_sym__keyword_begin_token1] = ACTIONS(1607),
    [aux_sym__keyword_end_token1] = ACTIONS(1607),
    [aux_sym__keyword_between_token1] = ACTIONS(1607),
    [aux_sym__keyword_when_token1] = ACTIONS(1607),
    [aux_sym__keyword_else_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1607),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1607),
    [aux_sym__keyword_like_token1] = ACTIONS(1607),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1607),
    [aux_sym__keyword_as_token1] = ACTIONS(1607),
    [aux_sym__keyword_window_token1] = ACTIONS(1607),
    [aux_sym__keyword_date_token1] = ACTIONS(1607),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1607),
    [aux_sym__keyword_time_token1] = ACTIONS(1607),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1607),
    [aux_sym__keyword_for_token1] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1607),
    [aux_sym_return_statement_token1] = ACTIONS(1607),
    [aux_sym_call_statement_token1] = ACTIONS(1607),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1607),
    [aux_sym_if_statement_token1] = ACTIONS(1607),
    [aux_sym_loop_statement_token1] = ACTIONS(1607),
    [aux_sym_repeat_statement_token1] = ACTIONS(1607),
    [aux_sym_while_statement_token1] = ACTIONS(1607),
    [aux_sym_break_statement_token1] = ACTIONS(1607),
    [aux_sym_leave_statement_token1] = ACTIONS(1607),
    [aux_sym_continue_statement_token1] = ACTIONS(1607),
    [aux_sym_iterate_statement_token1] = ACTIONS(1607),
    [aux_sym_raise_statement_token1] = ACTIONS(1607),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1607),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_set_operation_token1] = ACTIONS(1607),
    [aux_sym_set_operation_token3] = ACTIONS(1607),
    [aux_sym_set_operation_token4] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1607),
    [aux_sym_having_clause_token1] = ACTIONS(1607),
    [aux_sym_qualify_clause_token1] = ACTIONS(1607),
    [aux_sym_limit_clause_token1] = ACTIONS(1607),
    [aux_sym_group_by_clause_token1] = ACTIONS(1607),
    [aux_sym_order_by_clause_token1] = ACTIONS(1607),
    [aux_sym_where_clause_token1] = ACTIONS(1607),
    [aux_sym_insert_statement_token1] = ACTIONS(1607),
    [aux_sym_truncate_statement_token1] = ACTIONS(1607),
    [aux_sym_update_statement_token1] = ACTIONS(1607),
    [aux_sym_merge_statement_token1] = ACTIONS(1607),
    [aux_sym_grant_statement_token1] = ACTIONS(1607),
    [aux_sym_revoke_statement_token1] = ACTIONS(1607),
    [aux_sym_export_data_statement_token1] = ACTIONS(1607),
    [aux_sym_load_data_statement_token1] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym__quoted_identifier] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [2276] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2277] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2278] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2279] = {
    [sym__unquoted_identifier] = ACTIONS(1611),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1611),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1611),
    [aux_sym_keyword_replace_token1] = ACTIONS(1611),
    [aux_sym__keyword_alter_token1] = ACTIONS(1611),
    [aux_sym__keyword_create_token1] = ACTIONS(1611),
    [aux_sym__keyword_drop_token1] = ACTIONS(1611),
    [aux_sym__keyword_from_token1] = ACTIONS(1611),
    [aux_sym__keyword_delete_token1] = ACTIONS(1611),
    [aux_sym__keyword_begin_token1] = ACTIONS(1611),
    [aux_sym__keyword_end_token1] = ACTIONS(1611),
    [aux_sym__keyword_between_token1] = ACTIONS(1611),
    [aux_sym__keyword_when_token1] = ACTIONS(1611),
    [aux_sym__keyword_else_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1611),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1611),
    [aux_sym__keyword_like_token1] = ACTIONS(1611),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1611),
    [aux_sym__keyword_as_token1] = ACTIONS(1611),
    [aux_sym__keyword_window_token1] = ACTIONS(1611),
    [aux_sym__keyword_date_token1] = ACTIONS(1611),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1611),
    [aux_sym__keyword_time_token1] = ACTIONS(1611),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1611),
    [aux_sym__keyword_for_token1] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1611),
    [anon_sym_COMMA] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1611),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1611),
    [aux_sym_return_statement_token1] = ACTIONS(1611),
    [aux_sym_call_statement_token1] = ACTIONS(1611),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1611),
    [aux_sym_if_statement_token1] = ACTIONS(1611),
    [aux_sym_loop_statement_token1] = ACTIONS(1611),
    [aux_sym_repeat_statement_token1] = ACTIONS(1611),
    [aux_sym_while_statement_token1] = ACTIONS(1611),
    [aux_sym_break_statement_token1] = ACTIONS(1611),
    [aux_sym_leave_statement_token1] = ACTIONS(1611),
    [aux_sym_continue_statement_token1] = ACTIONS(1611),
    [aux_sym_iterate_statement_token1] = ACTIONS(1611),
    [aux_sym_raise_statement_token1] = ACTIONS(1611),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1611),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_set_operation_token1] = ACTIONS(1611),
    [aux_sym_set_operation_token3] = ACTIONS(1611),
    [aux_sym_set_operation_token4] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1611),
    [aux_sym_having_clause_token1] = ACTIONS(1611),
    [aux_sym_qualify_clause_token1] = ACTIONS(1611),
    [aux_sym_limit_clause_token1] = ACTIONS(1611),
    [aux_sym_group_by_clause_token1] = ACTIONS(1611),
    [aux_sym_order_by_clause_token1] = ACTIONS(1611),
    [aux_sym_where_clause_token1] = ACTIONS(1611),
    [aux_sym_insert_statement_token1] = ACTIONS(1611),
    [aux_sym_truncate_statement_token1] = ACTIONS(1611),
    [aux_sym_update_statement_token1] = ACTIONS(1611),
    [aux_sym_merge_statement_token1] = ACTIONS(1611),
    [aux_sym_grant_statement_token1] = ACTIONS(1611),
    [aux_sym_revoke_statement_token1] = ACTIONS(1611),
    [aux_sym_export_data_statement_token1] = ACTIONS(1611),
    [aux_sym_load_data_statement_token1] = ACTIONS(1611),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym__quoted_identifier] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [2280] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_from_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [2281] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_from_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2282] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_window_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_having_clause_token1] = ACTIONS(1187),
    [aux_sym_qualify_clause_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym_group_by_clause_token1] = ACTIONS(1187),
    [aux_sym_order_by_clause_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2283] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_window_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_having_clause_token1] = ACTIONS(1207),
    [aux_sym_qualify_clause_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym_order_by_clause_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2284] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2823),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2823),
    [aux_sym__keyword_create_token1] = ACTIONS(2823),
    [aux_sym__keyword_drop_token1] = ACTIONS(2823),
    [aux_sym__keyword_delete_token1] = ACTIONS(2823),
    [aux_sym__keyword_begin_token1] = ACTIONS(2823),
    [aux_sym__keyword_end_token1] = ACTIONS(2823),
    [aux_sym__keyword_between_token1] = ACTIONS(2825),
    [aux_sym__keyword_when_token1] = ACTIONS(2823),
    [aux_sym__keyword_else_token1] = ACTIONS(2827),
    [aux_sym__keyword_is_token1] = ACTIONS(2829),
    [aux_sym__keyword_in_token1] = ACTIONS(2831),
    [aux_sym__keyword_and_token1] = ACTIONS(2833),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2823),
    [aux_sym__keyword_window_token1] = ACTIONS(2823),
    [aux_sym__keyword_for_token1] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [aux_sym_declare_statement_token1] = ACTIONS(2823),
    [aux_sym_set_statement_token1] = ACTIONS(2823),
    [anon_sym_LPAREN] = ACTIONS(2823),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2823),
    [aux_sym_return_statement_token1] = ACTIONS(2823),
    [aux_sym_call_statement_token1] = ACTIONS(2823),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2823),
    [aux_sym_if_statement_token1] = ACTIONS(2823),
    [aux_sym_loop_statement_token1] = ACTIONS(2823),
    [aux_sym_repeat_statement_token1] = ACTIONS(2823),
    [aux_sym_while_statement_token1] = ACTIONS(2823),
    [aux_sym_break_statement_token1] = ACTIONS(2823),
    [aux_sym_leave_statement_token1] = ACTIONS(2823),
    [aux_sym_continue_statement_token1] = ACTIONS(2823),
    [aux_sym_iterate_statement_token1] = ACTIONS(2823),
    [aux_sym_raise_statement_token1] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(2835),
    [aux_sym_assert_statement_token1] = ACTIONS(2823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [aux_sym_set_operation_token1] = ACTIONS(2823),
    [aux_sym_set_operation_token3] = ACTIONS(2823),
    [aux_sym_set_operation_token4] = ACTIONS(2827),
    [aux_sym_select_token1] = ACTIONS(2823),
    [aux_sym_having_clause_token1] = ACTIONS(2823),
    [aux_sym_qualify_clause_token1] = ACTIONS(2823),
    [aux_sym_limit_clause_token1] = ACTIONS(2823),
    [aux_sym_group_by_clause_token1] = ACTIONS(2823),
    [aux_sym_order_by_clause_token1] = ACTIONS(2823),
    [aux_sym_insert_statement_token1] = ACTIONS(2823),
    [aux_sym_truncate_statement_token1] = ACTIONS(2823),
    [aux_sym_update_statement_token1] = ACTIONS(2823),
    [aux_sym_merge_statement_token1] = ACTIONS(2823),
    [aux_sym_grant_statement_token1] = ACTIONS(2823),
    [aux_sym_revoke_statement_token1] = ACTIONS(2823),
    [aux_sym_export_data_statement_token1] = ACTIONS(2823),
    [aux_sym_load_data_statement_token1] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_LT_GT] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2285] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym__direction_keywords_token1] = ACTIONS(1207),
    [aux_sym__direction_keywords_token2] = ACTIONS(1207),
    [aux_sym__nulls_preference_token1] = ACTIONS(1207),
    [aux_sym_order_by_clause_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2286] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym__direction_keywords_token1] = ACTIONS(1221),
    [aux_sym__direction_keywords_token2] = ACTIONS(1221),
    [aux_sym__nulls_preference_token1] = ACTIONS(1221),
    [aux_sym_order_by_clause_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2287] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2705),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(2709),
    [aux_sym__keyword_in_token1] = ACTIONS(2711),
    [aux_sym__keyword_and_token1] = ACTIONS(2713),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2717),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(2717),
    [anon_sym_LT_GT] = ACTIONS(2717),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2288] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym__direction_keywords_token1] = ACTIONS(1225),
    [aux_sym__direction_keywords_token2] = ACTIONS(1225),
    [aux_sym__nulls_preference_token1] = ACTIONS(1225),
    [aux_sym_order_by_clause_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2289] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2853),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(2855),
    [aux_sym__keyword_in_token1] = ACTIONS(2857),
    [aux_sym__keyword_and_token1] = ACTIONS(2859),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2861),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2861),
    [anon_sym_LT_GT] = ACTIONS(2861),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2290] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1767),
    [aux_sym_keyword_replace_token1] = ACTIONS(1769),
    [aux_sym__keyword_alter_token1] = ACTIONS(1767),
    [aux_sym__keyword_create_token1] = ACTIONS(1767),
    [aux_sym__keyword_drop_token1] = ACTIONS(1767),
    [aux_sym__keyword_from_token1] = ACTIONS(1767),
    [aux_sym__keyword_delete_token1] = ACTIONS(1767),
    [aux_sym__keyword_begin_token1] = ACTIONS(1767),
    [aux_sym__keyword_end_token1] = ACTIONS(1767),
    [aux_sym__keyword_between_token1] = ACTIONS(1767),
    [aux_sym__keyword_when_token1] = ACTIONS(1767),
    [aux_sym__keyword_else_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1767),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1767),
    [aux_sym__keyword_like_token1] = ACTIONS(1767),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1767),
    [aux_sym__keyword_window_token1] = ACTIONS(1767),
    [aux_sym__keyword_for_token1] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1767),
    [aux_sym_return_statement_token1] = ACTIONS(1767),
    [aux_sym_call_statement_token1] = ACTIONS(1767),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1767),
    [aux_sym_if_statement_token1] = ACTIONS(1767),
    [aux_sym_loop_statement_token1] = ACTIONS(1767),
    [aux_sym_repeat_statement_token1] = ACTIONS(1767),
    [aux_sym_while_statement_token1] = ACTIONS(1767),
    [aux_sym_break_statement_token1] = ACTIONS(1767),
    [aux_sym_leave_statement_token1] = ACTIONS(1767),
    [aux_sym_continue_statement_token1] = ACTIONS(1767),
    [aux_sym_iterate_statement_token1] = ACTIONS(1767),
    [aux_sym_raise_statement_token1] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1767),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_set_operation_token1] = ACTIONS(1767),
    [aux_sym_set_operation_token3] = ACTIONS(1767),
    [aux_sym_set_operation_token4] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1767),
    [aux_sym_having_clause_token1] = ACTIONS(1767),
    [aux_sym_qualify_clause_token1] = ACTIONS(1767),
    [aux_sym_limit_clause_token1] = ACTIONS(1767),
    [aux_sym_group_by_clause_token1] = ACTIONS(1767),
    [aux_sym__direction_keywords_token1] = ACTIONS(1767),
    [aux_sym__direction_keywords_token2] = ACTIONS(1767),
    [aux_sym__nulls_preference_token1] = ACTIONS(1767),
    [aux_sym_order_by_clause_token1] = ACTIONS(1767),
    [aux_sym_where_clause_token1] = ACTIONS(1767),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1767),
    [aux_sym_insert_statement_token1] = ACTIONS(1767),
    [aux_sym_truncate_statement_token1] = ACTIONS(1767),
    [aux_sym_update_statement_token1] = ACTIONS(1767),
    [aux_sym_merge_statement_token1] = ACTIONS(1767),
    [aux_sym_grant_statement_token1] = ACTIONS(1767),
    [aux_sym_revoke_statement_token1] = ACTIONS(1767),
    [aux_sym_export_data_statement_token1] = ACTIONS(1767),
    [aux_sym_load_data_statement_token1] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [2291] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym__direction_keywords_token1] = ACTIONS(1239),
    [aux_sym__direction_keywords_token2] = ACTIONS(1239),
    [aux_sym__nulls_preference_token1] = ACTIONS(1239),
    [aux_sym_order_by_clause_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2292] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2293] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2294] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2295] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2853),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(2855),
    [aux_sym__keyword_in_token1] = ACTIONS(2857),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2861),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2861),
    [anon_sym_LT_GT] = ACTIONS(2861),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2296] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_window_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_having_clause_token1] = ACTIONS(1225),
    [aux_sym_qualify_clause_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym_order_by_clause_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2297] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2298] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_window_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_having_clause_token1] = ACTIONS(1239),
    [aux_sym_qualify_clause_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym_order_by_clause_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2299] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2300] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(2705),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(2709),
    [aux_sym__keyword_in_token1] = ACTIONS(2711),
    [aux_sym__keyword_and_token1] = ACTIONS(2713),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(2717),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1197),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym__direction_keywords_token1] = ACTIONS(1191),
    [aux_sym__direction_keywords_token2] = ACTIONS(1191),
    [aux_sym__nulls_preference_token1] = ACTIONS(1191),
    [aux_sym_order_by_clause_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(2717),
    [anon_sym_LT_GT] = ACTIONS(2717),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2301] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1787),
    [aux_sym_keyword_replace_token1] = ACTIONS(1789),
    [aux_sym__keyword_alter_token1] = ACTIONS(1787),
    [aux_sym__keyword_create_token1] = ACTIONS(1787),
    [aux_sym__keyword_drop_token1] = ACTIONS(1787),
    [aux_sym__keyword_from_token1] = ACTIONS(1787),
    [aux_sym__keyword_delete_token1] = ACTIONS(1787),
    [aux_sym__keyword_begin_token1] = ACTIONS(1787),
    [aux_sym__keyword_end_token1] = ACTIONS(1787),
    [aux_sym__keyword_between_token1] = ACTIONS(1787),
    [aux_sym__keyword_when_token1] = ACTIONS(1787),
    [aux_sym__keyword_else_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1787),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1787),
    [aux_sym__keyword_like_token1] = ACTIONS(1787),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1787),
    [aux_sym__keyword_window_token1] = ACTIONS(1787),
    [aux_sym__keyword_for_token1] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1787),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [anon_sym_RPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1787),
    [aux_sym_return_statement_token1] = ACTIONS(1787),
    [aux_sym_call_statement_token1] = ACTIONS(1787),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1787),
    [aux_sym_if_statement_token1] = ACTIONS(1787),
    [aux_sym_loop_statement_token1] = ACTIONS(1787),
    [aux_sym_repeat_statement_token1] = ACTIONS(1787),
    [aux_sym_while_statement_token1] = ACTIONS(1787),
    [aux_sym_break_statement_token1] = ACTIONS(1787),
    [aux_sym_leave_statement_token1] = ACTIONS(1787),
    [aux_sym_continue_statement_token1] = ACTIONS(1787),
    [aux_sym_iterate_statement_token1] = ACTIONS(1787),
    [aux_sym_raise_statement_token1] = ACTIONS(1787),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1787),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_set_operation_token1] = ACTIONS(1787),
    [aux_sym_set_operation_token3] = ACTIONS(1787),
    [aux_sym_set_operation_token4] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1787),
    [aux_sym_having_clause_token1] = ACTIONS(1787),
    [aux_sym_qualify_clause_token1] = ACTIONS(1787),
    [aux_sym_limit_clause_token1] = ACTIONS(1787),
    [aux_sym_group_by_clause_token1] = ACTIONS(1787),
    [aux_sym__direction_keywords_token1] = ACTIONS(1787),
    [aux_sym__direction_keywords_token2] = ACTIONS(1787),
    [aux_sym__nulls_preference_token1] = ACTIONS(1787),
    [aux_sym_order_by_clause_token1] = ACTIONS(1787),
    [aux_sym_where_clause_token1] = ACTIONS(1787),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1787),
    [aux_sym_insert_statement_token1] = ACTIONS(1787),
    [aux_sym_truncate_statement_token1] = ACTIONS(1787),
    [aux_sym_update_statement_token1] = ACTIONS(1787),
    [aux_sym_merge_statement_token1] = ACTIONS(1787),
    [aux_sym_grant_statement_token1] = ACTIONS(1787),
    [aux_sym_revoke_statement_token1] = ACTIONS(1787),
    [aux_sym_export_data_statement_token1] = ACTIONS(1787),
    [aux_sym_load_data_statement_token1] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [2302] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym__direction_keywords_token1] = ACTIONS(1187),
    [aux_sym__direction_keywords_token2] = ACTIONS(1187),
    [aux_sym__nulls_preference_token1] = ACTIONS(1187),
    [aux_sym_order_by_clause_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2303] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_window_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_having_clause_token1] = ACTIONS(1225),
    [aux_sym_qualify_clause_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym_group_by_clause_token1] = ACTIONS(1225),
    [aux_sym_order_by_clause_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2304] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_window_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_having_clause_token1] = ACTIONS(1239),
    [aux_sym_qualify_clause_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym_group_by_clause_token1] = ACTIONS(1239),
    [aux_sym_order_by_clause_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2305] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2863),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2863),
    [aux_sym__keyword_create_token1] = ACTIONS(2863),
    [aux_sym__keyword_drop_token1] = ACTIONS(2863),
    [aux_sym__keyword_delete_token1] = ACTIONS(2863),
    [aux_sym__keyword_begin_token1] = ACTIONS(2863),
    [aux_sym__keyword_end_token1] = ACTIONS(2863),
    [aux_sym__keyword_between_token1] = ACTIONS(2853),
    [aux_sym__keyword_when_token1] = ACTIONS(2863),
    [aux_sym__keyword_else_token1] = ACTIONS(2865),
    [aux_sym__keyword_is_token1] = ACTIONS(2855),
    [aux_sym__keyword_in_token1] = ACTIONS(2857),
    [aux_sym__keyword_and_token1] = ACTIONS(2859),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2863),
    [aux_sym__keyword_window_token1] = ACTIONS(2863),
    [aux_sym__keyword_for_token1] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2863),
    [aux_sym_declare_statement_token1] = ACTIONS(2863),
    [anon_sym_COMMA] = ACTIONS(2863),
    [aux_sym_set_statement_token1] = ACTIONS(2863),
    [anon_sym_LPAREN] = ACTIONS(2863),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2863),
    [aux_sym_return_statement_token1] = ACTIONS(2863),
    [aux_sym_call_statement_token1] = ACTIONS(2863),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2863),
    [aux_sym_if_statement_token1] = ACTIONS(2863),
    [aux_sym_loop_statement_token1] = ACTIONS(2863),
    [aux_sym_repeat_statement_token1] = ACTIONS(2863),
    [aux_sym_while_statement_token1] = ACTIONS(2863),
    [aux_sym_break_statement_token1] = ACTIONS(2863),
    [aux_sym_leave_statement_token1] = ACTIONS(2863),
    [aux_sym_continue_statement_token1] = ACTIONS(2863),
    [aux_sym_iterate_statement_token1] = ACTIONS(2863),
    [aux_sym_raise_statement_token1] = ACTIONS(2863),
    [anon_sym_EQ] = ACTIONS(2861),
    [aux_sym_assert_statement_token1] = ACTIONS(2863),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [aux_sym_set_operation_token1] = ACTIONS(2863),
    [aux_sym_set_operation_token3] = ACTIONS(2863),
    [aux_sym_set_operation_token4] = ACTIONS(2865),
    [aux_sym_select_token1] = ACTIONS(2863),
    [aux_sym_having_clause_token1] = ACTIONS(2863),
    [aux_sym_qualify_clause_token1] = ACTIONS(2863),
    [aux_sym_limit_clause_token1] = ACTIONS(2863),
    [aux_sym_order_by_clause_token1] = ACTIONS(2863),
    [aux_sym_insert_statement_token1] = ACTIONS(2863),
    [aux_sym_truncate_statement_token1] = ACTIONS(2863),
    [aux_sym_update_statement_token1] = ACTIONS(2863),
    [aux_sym_merge_statement_token1] = ACTIONS(2863),
    [aux_sym_grant_statement_token1] = ACTIONS(2863),
    [aux_sym_revoke_statement_token1] = ACTIONS(2863),
    [aux_sym_export_data_statement_token1] = ACTIONS(2863),
    [aux_sym_load_data_statement_token1] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2861),
    [anon_sym_LT_GT] = ACTIONS(2861),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2306] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2307] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2308] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2309] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(2825),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(2829),
    [aux_sym__keyword_in_token1] = ACTIONS(2831),
    [aux_sym__keyword_and_token1] = ACTIONS(2833),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_window_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(2835),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1197),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_having_clause_token1] = ACTIONS(1191),
    [aux_sym_qualify_clause_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym_group_by_clause_token1] = ACTIONS(1191),
    [aux_sym_order_by_clause_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_LT_GT] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2310] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2311] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2312] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2313] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2705),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(2709),
    [aux_sym__keyword_in_token1] = ACTIONS(2711),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2717),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(2717),
    [anon_sym_LT_GT] = ACTIONS(2717),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2314] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_window_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_having_clause_token1] = ACTIONS(1207),
    [aux_sym_qualify_clause_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym_group_by_clause_token1] = ACTIONS(1207),
    [aux_sym_order_by_clause_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2315] = {
    [sym__keyword_as] = STATE(11585),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(4376),
    [sym_unnest_withoffset] = STATE(4377),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4378),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2781),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2316] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2317] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2318] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2319] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_window_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_having_clause_token1] = ACTIONS(1165),
    [aux_sym_qualify_clause_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym_group_by_clause_token1] = ACTIONS(1165),
    [aux_sym_order_by_clause_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2320] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2321] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_window_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_having_clause_token1] = ACTIONS(1221),
    [aux_sym_qualify_clause_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym_group_by_clause_token1] = ACTIONS(1221),
    [aux_sym_order_by_clause_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2322] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2825),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(2829),
    [aux_sym__keyword_in_token1] = ACTIONS(2831),
    [aux_sym__keyword_and_token1] = ACTIONS(2833),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2835),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_LT_GT] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2323] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2825),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(2829),
    [aux_sym__keyword_in_token1] = ACTIONS(2831),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2835),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_LT_GT] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(2851),
  },
  [2324] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_window_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_having_clause_token1] = ACTIONS(1221),
    [aux_sym_qualify_clause_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym_order_by_clause_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2325] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2849),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2326] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2327] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2328] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_window_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_having_clause_token1] = ACTIONS(1187),
    [aux_sym_qualify_clause_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym_order_by_clause_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2329] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2330] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(2853),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(2855),
    [aux_sym__keyword_in_token1] = ACTIONS(2857),
    [aux_sym__keyword_and_token1] = ACTIONS(2859),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_window_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(2861),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1197),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_having_clause_token1] = ACTIONS(1191),
    [aux_sym_qualify_clause_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym_order_by_clause_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2861),
    [anon_sym_LT_GT] = ACTIONS(2861),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2331] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2332] = {
    [sym__keyword_between] = STATE(1545),
    [sym__keyword_is] = STATE(12065),
    [sym__keyword_in] = STATE(943),
    [sym__keyword_not] = STATE(13119),
    [sym__keyword_and] = STATE(931),
    [sym__keyword_or] = STATE(928),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2333] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_window_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_having_clause_token1] = ACTIONS(1165),
    [aux_sym_qualify_clause_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym_order_by_clause_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2334] = {
    [sym__keyword_between] = STATE(1102),
    [sym__keyword_is] = STATE(12057),
    [sym__keyword_in] = STATE(1489),
    [sym__keyword_not] = STATE(13070),
    [sym__keyword_and] = STATE(1524),
    [sym__keyword_or] = STATE(1527),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym__direction_keywords_token1] = ACTIONS(1165),
    [aux_sym__direction_keywords_token2] = ACTIONS(1165),
    [aux_sym__nulls_preference_token1] = ACTIONS(1165),
    [aux_sym_order_by_clause_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2741),
  },
  [2335] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_from_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_when_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_window_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1549),
    [aux_sym_set_operation_token3] = ACTIONS(1549),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_having_clause_token1] = ACTIONS(1549),
    [aux_sym_qualify_clause_token1] = ACTIONS(1549),
    [aux_sym_limit_clause_token1] = ACTIONS(1549),
    [aux_sym_group_by_clause_token1] = ACTIONS(1549),
    [aux_sym__direction_keywords_token1] = ACTIONS(1549),
    [aux_sym__direction_keywords_token2] = ACTIONS(1549),
    [aux_sym__nulls_preference_token1] = ACTIONS(1549),
    [aux_sym_order_by_clause_token1] = ACTIONS(1549),
    [aux_sym_where_clause_token1] = ACTIONS(1549),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [2336] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym__direction_keywords] = STATE(7070),
    [sym__nulls_preference] = STATE(7281),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [aux_sym_order_by_clause_body_repeat1] = STATE(7297),
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2703),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2703),
    [aux_sym__keyword_create_token1] = ACTIONS(2703),
    [aux_sym__keyword_drop_token1] = ACTIONS(2703),
    [aux_sym__keyword_delete_token1] = ACTIONS(2703),
    [aux_sym__keyword_begin_token1] = ACTIONS(2703),
    [aux_sym__keyword_between_token1] = ACTIONS(2867),
    [aux_sym__keyword_when_token1] = ACTIONS(2703),
    [aux_sym__keyword_is_token1] = ACTIONS(2869),
    [aux_sym__keyword_in_token1] = ACTIONS(2871),
    [aux_sym__keyword_and_token1] = ACTIONS(2873),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2703),
    [aux_sym__keyword_for_token1] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [aux_sym_declare_statement_token1] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(2875),
    [aux_sym_set_statement_token1] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2703),
    [aux_sym_return_statement_token1] = ACTIONS(2703),
    [aux_sym_call_statement_token1] = ACTIONS(2703),
    [aux_sym_loop_statement_token1] = ACTIONS(2703),
    [aux_sym_while_statement_token1] = ACTIONS(2703),
    [aux_sym_break_statement_token1] = ACTIONS(2703),
    [aux_sym_leave_statement_token1] = ACTIONS(2703),
    [aux_sym_continue_statement_token1] = ACTIONS(2703),
    [aux_sym_iterate_statement_token1] = ACTIONS(2703),
    [aux_sym_raise_statement_token1] = ACTIONS(2703),
    [anon_sym_EQ] = ACTIONS(2877),
    [aux_sym_assert_statement_token1] = ACTIONS(2703),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [aux_sym_set_operation_token1] = ACTIONS(2703),
    [aux_sym_set_operation_token3] = ACTIONS(2703),
    [aux_sym_set_operation_token4] = ACTIONS(2703),
    [aux_sym_select_token1] = ACTIONS(2703),
    [aux_sym_limit_clause_token1] = ACTIONS(2703),
    [aux_sym__direction_keywords_token1] = ACTIONS(2719),
    [aux_sym__direction_keywords_token2] = ACTIONS(2719),
    [aux_sym__nulls_preference_token1] = ACTIONS(2721),
    [aux_sym_order_by_clause_token1] = ACTIONS(2703),
    [aux_sym_insert_statement_token1] = ACTIONS(2703),
    [aux_sym_truncate_statement_token1] = ACTIONS(2703),
    [aux_sym_update_statement_token1] = ACTIONS(2703),
    [aux_sym_merge_statement_token1] = ACTIONS(2703),
    [aux_sym_grant_statement_token1] = ACTIONS(2703),
    [aux_sym_revoke_statement_token1] = ACTIONS(2703),
    [aux_sym_export_data_statement_token1] = ACTIONS(2703),
    [aux_sym_load_data_statement_token1] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2877),
    [anon_sym_LT_GT] = ACTIONS(2877),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2337] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2338] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_from_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_window_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_having_clause_token1] = ACTIONS(1469),
    [aux_sym_qualify_clause_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym_group_by_clause_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token2] = ACTIONS(1469),
    [aux_sym__nulls_preference_token1] = ACTIONS(1469),
    [aux_sym_order_by_clause_token1] = ACTIONS(1469),
    [aux_sym_where_clause_token1] = ACTIONS(1469),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [2339] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(2749),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(2751),
    [aux_sym__keyword_in_token1] = ACTIONS(2753),
    [aux_sym__keyword_and_token1] = ACTIONS(2755),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(2759),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1197),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym__direction_keywords_token1] = ACTIONS(1191),
    [aux_sym__direction_keywords_token2] = ACTIONS(1191),
    [aux_sym__nulls_preference_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2340] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym__direction_keywords_token1] = ACTIONS(1187),
    [aux_sym__direction_keywords_token2] = ACTIONS(1187),
    [aux_sym__nulls_preference_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2341] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym__direction_keywords_token1] = ACTIONS(1225),
    [aux_sym__direction_keywords_token2] = ACTIONS(1225),
    [aux_sym__nulls_preference_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2342] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2343] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2344] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2345] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2346] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2347] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2348] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym__direction_keywords_token1] = ACTIONS(1239),
    [aux_sym__direction_keywords_token2] = ACTIONS(1239),
    [aux_sym__nulls_preference_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2349] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2749),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(2751),
    [aux_sym__keyword_in_token1] = ACTIONS(2753),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2759),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2350] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2749),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(2751),
    [aux_sym__keyword_in_token1] = ACTIONS(2753),
    [aux_sym__keyword_and_token1] = ACTIONS(2755),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2759),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_LT_GT] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2351] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym__direction_keywords_token1] = ACTIONS(1221),
    [aux_sym__direction_keywords_token2] = ACTIONS(1221),
    [aux_sym__nulls_preference_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2352] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym__direction_keywords_token1] = ACTIONS(1165),
    [aux_sym__direction_keywords_token2] = ACTIONS(1165),
    [aux_sym__nulls_preference_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2353] = {
    [sym__keyword_between] = STATE(1447),
    [sym__keyword_is] = STATE(12067),
    [sym__keyword_in] = STATE(884),
    [sym__keyword_not] = STATE(13035),
    [sym__keyword_and] = STATE(854),
    [sym__keyword_or] = STATE(852),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym__direction_keywords_token1] = ACTIONS(1207),
    [aux_sym__direction_keywords_token2] = ACTIONS(1207),
    [aux_sym__nulls_preference_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_GT_GT] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2779),
  },
  [2354] = {
    [sym_analytics_clause] = STATE(2640),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2355] = {
    [sym_analytics_clause] = STATE(2569),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2356] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym__direction_keywords] = STATE(5486),
    [sym__nulls_preference] = STATE(5823),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2795),
    [aux_sym__keyword_create_token1] = ACTIONS(2795),
    [aux_sym__keyword_drop_token1] = ACTIONS(2795),
    [aux_sym__keyword_delete_token1] = ACTIONS(2795),
    [aux_sym__keyword_begin_token1] = ACTIONS(2795),
    [aux_sym__keyword_between_token1] = ACTIONS(2867),
    [aux_sym__keyword_when_token1] = ACTIONS(2795),
    [aux_sym__keyword_is_token1] = ACTIONS(2869),
    [aux_sym__keyword_in_token1] = ACTIONS(2871),
    [aux_sym__keyword_and_token1] = ACTIONS(2873),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2795),
    [aux_sym__keyword_for_token1] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(2795),
    [aux_sym_declare_statement_token1] = ACTIONS(2795),
    [anon_sym_COMMA] = ACTIONS(2795),
    [aux_sym_set_statement_token1] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2795),
    [aux_sym_return_statement_token1] = ACTIONS(2795),
    [aux_sym_call_statement_token1] = ACTIONS(2795),
    [aux_sym_loop_statement_token1] = ACTIONS(2795),
    [aux_sym_while_statement_token1] = ACTIONS(2795),
    [aux_sym_break_statement_token1] = ACTIONS(2795),
    [aux_sym_leave_statement_token1] = ACTIONS(2795),
    [aux_sym_continue_statement_token1] = ACTIONS(2795),
    [aux_sym_iterate_statement_token1] = ACTIONS(2795),
    [aux_sym_raise_statement_token1] = ACTIONS(2795),
    [anon_sym_EQ] = ACTIONS(2877),
    [aux_sym_assert_statement_token1] = ACTIONS(2795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [aux_sym_set_operation_token1] = ACTIONS(2795),
    [aux_sym_set_operation_token3] = ACTIONS(2795),
    [aux_sym_set_operation_token4] = ACTIONS(2795),
    [aux_sym_select_token1] = ACTIONS(2795),
    [aux_sym_limit_clause_token1] = ACTIONS(2795),
    [aux_sym__direction_keywords_token1] = ACTIONS(2719),
    [aux_sym__direction_keywords_token2] = ACTIONS(2719),
    [aux_sym__nulls_preference_token1] = ACTIONS(2721),
    [aux_sym_order_by_clause_token1] = ACTIONS(2795),
    [aux_sym_insert_statement_token1] = ACTIONS(2795),
    [aux_sym_truncate_statement_token1] = ACTIONS(2795),
    [aux_sym_update_statement_token1] = ACTIONS(2795),
    [aux_sym_merge_statement_token1] = ACTIONS(2795),
    [aux_sym_grant_statement_token1] = ACTIONS(2795),
    [aux_sym_revoke_statement_token1] = ACTIONS(2795),
    [aux_sym_export_data_statement_token1] = ACTIONS(2795),
    [aux_sym_load_data_statement_token1] = ACTIONS(2795),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2877),
    [anon_sym_LT_GT] = ACTIONS(2877),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2357] = {
    [sym_string] = STATE(2609),
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_window_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_having_clause_token1] = ACTIONS(1469),
    [aux_sym_qualify_clause_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym_group_by_clause_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token2] = ACTIONS(1469),
    [aux_sym__nulls_preference_token1] = ACTIONS(1469),
    [aux_sym_order_by_clause_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(2023),
  },
  [2358] = {
    [sym_analytics_clause] = STATE(2641),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2359] = {
    [sym_analytics_clause] = STATE(2526),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2360] = {
    [sym__keyword_as] = STATE(11636),
    [sym__keyword_date] = STATE(4840),
    [sym__keyword_datetime] = STATE(4840),
    [sym__keyword_time] = STATE(4840),
    [sym__keyword_timestamp] = STATE(4840),
    [sym_as_alias] = STATE(4483),
    [sym_unnest_withoffset] = STATE(4867),
    [sym__type_chrono] = STATE(4780),
    [sym__identifier] = STATE(4760),
    [sym__dotted_identifier] = STATE(14099),
    [sym_identifier] = STATE(4851),
    [aux_sym_identifier_repeat1] = STATE(14099),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2505),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2789),
    [aux_sym__keyword_date_token1] = ACTIONS(2791),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2791),
    [aux_sym__keyword_time_token1] = ACTIONS(2791),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2791),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_into_clause_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2361] = {
    [sym_analytics_clause] = STATE(2564),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2362] = {
    [sym_analytics_clause] = STATE(2585),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2363] = {
    [sym_analytics_clause] = STATE(2703),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_when_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_window_token1] = ACTIONS(1485),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1485),
    [aux_sym_set_operation_token3] = ACTIONS(1485),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_having_clause_token1] = ACTIONS(1485),
    [aux_sym_qualify_clause_token1] = ACTIONS(1485),
    [aux_sym_limit_clause_token1] = ACTIONS(1485),
    [aux_sym_group_by_clause_token1] = ACTIONS(1485),
    [aux_sym__direction_keywords_token1] = ACTIONS(1485),
    [aux_sym__direction_keywords_token2] = ACTIONS(1485),
    [aux_sym__nulls_preference_token1] = ACTIONS(1485),
    [aux_sym_order_by_clause_token1] = ACTIONS(1485),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [2364] = {
    [sym_analytics_clause] = STATE(2642),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2365] = {
    [sym_analytics_clause] = STATE(2702),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_when_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_window_token1] = ACTIONS(1493),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1493),
    [aux_sym_set_operation_token3] = ACTIONS(1493),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_having_clause_token1] = ACTIONS(1493),
    [aux_sym_qualify_clause_token1] = ACTIONS(1493),
    [aux_sym_limit_clause_token1] = ACTIONS(1493),
    [aux_sym_group_by_clause_token1] = ACTIONS(1493),
    [aux_sym__direction_keywords_token1] = ACTIONS(1493),
    [aux_sym__direction_keywords_token2] = ACTIONS(1493),
    [aux_sym__nulls_preference_token1] = ACTIONS(1493),
    [aux_sym_order_by_clause_token1] = ACTIONS(1493),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [2366] = {
    [sym_analytics_clause] = STATE(2643),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2367] = {
    [sym_analytics_clause] = STATE(2701),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_when_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_window_token1] = ACTIONS(1497),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1497),
    [aux_sym_set_operation_token3] = ACTIONS(1497),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_having_clause_token1] = ACTIONS(1497),
    [aux_sym_qualify_clause_token1] = ACTIONS(1497),
    [aux_sym_limit_clause_token1] = ACTIONS(1497),
    [aux_sym_group_by_clause_token1] = ACTIONS(1497),
    [aux_sym__direction_keywords_token1] = ACTIONS(1497),
    [aux_sym__direction_keywords_token2] = ACTIONS(1497),
    [aux_sym__nulls_preference_token1] = ACTIONS(1497),
    [aux_sym_order_by_clause_token1] = ACTIONS(1497),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [2368] = {
    [sym_analytics_clause] = STATE(2565),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2369] = {
    [sym_analytics_clause] = STATE(2647),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2370] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym__direction_keywords] = STATE(7154),
    [sym__nulls_preference] = STATE(7458),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [aux_sym_order_by_clause_body_repeat1] = STATE(7433),
    [ts_builtin_sym_end] = ACTIONS(2703),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2703),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(2703),
    [aux_sym__keyword_create_token1] = ACTIONS(2703),
    [aux_sym__keyword_drop_token1] = ACTIONS(2703),
    [aux_sym__keyword_delete_token1] = ACTIONS(2703),
    [aux_sym__keyword_begin_token1] = ACTIONS(2703),
    [aux_sym__keyword_between_token1] = ACTIONS(2897),
    [aux_sym__keyword_when_token1] = ACTIONS(2703),
    [aux_sym__keyword_is_token1] = ACTIONS(2899),
    [aux_sym__keyword_in_token1] = ACTIONS(2901),
    [aux_sym__keyword_and_token1] = ACTIONS(2903),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2703),
    [aux_sym__keyword_for_token1] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [aux_sym_declare_statement_token1] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(2905),
    [aux_sym_set_statement_token1] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2703),
    [aux_sym_return_statement_token1] = ACTIONS(2703),
    [aux_sym_call_statement_token1] = ACTIONS(2703),
    [aux_sym_loop_statement_token1] = ACTIONS(2703),
    [aux_sym_while_statement_token1] = ACTIONS(2703),
    [aux_sym_break_statement_token1] = ACTIONS(2703),
    [aux_sym_leave_statement_token1] = ACTIONS(2703),
    [aux_sym_continue_statement_token1] = ACTIONS(2703),
    [aux_sym_iterate_statement_token1] = ACTIONS(2703),
    [aux_sym_raise_statement_token1] = ACTIONS(2703),
    [anon_sym_EQ] = ACTIONS(2907),
    [aux_sym_assert_statement_token1] = ACTIONS(2703),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2901),
    [anon_sym_GT] = ACTIONS(2901),
    [aux_sym_set_operation_token1] = ACTIONS(2703),
    [aux_sym_set_operation_token3] = ACTIONS(2703),
    [aux_sym_set_operation_token4] = ACTIONS(2703),
    [aux_sym_select_token1] = ACTIONS(2703),
    [aux_sym_limit_clause_token1] = ACTIONS(2703),
    [aux_sym__direction_keywords_token1] = ACTIONS(2719),
    [aux_sym__direction_keywords_token2] = ACTIONS(2719),
    [aux_sym__nulls_preference_token1] = ACTIONS(2721),
    [aux_sym_insert_statement_token1] = ACTIONS(2703),
    [aux_sym_truncate_statement_token1] = ACTIONS(2703),
    [aux_sym_update_statement_token1] = ACTIONS(2703),
    [aux_sym_merge_statement_token1] = ACTIONS(2703),
    [aux_sym_grant_statement_token1] = ACTIONS(2703),
    [aux_sym_revoke_statement_token1] = ACTIONS(2703),
    [aux_sym_export_data_statement_token1] = ACTIONS(2703),
    [aux_sym_load_data_statement_token1] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_LT_GT] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2371] = {
    [sym_analytics_clause] = STATE(2560),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2372] = {
    [sym_analytics_clause] = STATE(2618),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2373] = {
    [sym_analytics_clause] = STATE(2744),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1389),
    [aux_sym_keyword_replace_token1] = ACTIONS(1391),
    [aux_sym__keyword_alter_token1] = ACTIONS(1389),
    [aux_sym__keyword_create_token1] = ACTIONS(1389),
    [aux_sym__keyword_drop_token1] = ACTIONS(1389),
    [aux_sym__keyword_delete_token1] = ACTIONS(1389),
    [aux_sym__keyword_begin_token1] = ACTIONS(1389),
    [aux_sym__keyword_end_token1] = ACTIONS(1389),
    [aux_sym__keyword_between_token1] = ACTIONS(1389),
    [aux_sym__keyword_when_token1] = ACTIONS(1389),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1389),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1389),
    [aux_sym__keyword_like_token1] = ACTIONS(1389),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1389),
    [aux_sym__keyword_window_token1] = ACTIONS(1389),
    [aux_sym__keyword_for_token1] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1389),
    [aux_sym_return_statement_token1] = ACTIONS(1389),
    [aux_sym_call_statement_token1] = ACTIONS(1389),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1389),
    [aux_sym_if_statement_token1] = ACTIONS(1389),
    [aux_sym_loop_statement_token1] = ACTIONS(1389),
    [aux_sym_repeat_statement_token1] = ACTIONS(1389),
    [aux_sym_while_statement_token1] = ACTIONS(1389),
    [aux_sym_break_statement_token1] = ACTIONS(1389),
    [aux_sym_leave_statement_token1] = ACTIONS(1389),
    [aux_sym_continue_statement_token1] = ACTIONS(1389),
    [aux_sym_iterate_statement_token1] = ACTIONS(1389),
    [aux_sym_raise_statement_token1] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1389),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_set_operation_token1] = ACTIONS(1389),
    [aux_sym_set_operation_token3] = ACTIONS(1389),
    [aux_sym_set_operation_token4] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1389),
    [aux_sym_having_clause_token1] = ACTIONS(1389),
    [aux_sym_qualify_clause_token1] = ACTIONS(1389),
    [aux_sym_limit_clause_token1] = ACTIONS(1389),
    [aux_sym_group_by_clause_token1] = ACTIONS(1389),
    [aux_sym__direction_keywords_token1] = ACTIONS(1389),
    [aux_sym__direction_keywords_token2] = ACTIONS(1389),
    [aux_sym__nulls_preference_token1] = ACTIONS(1389),
    [aux_sym_order_by_clause_token1] = ACTIONS(1389),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1389),
    [aux_sym_truncate_statement_token1] = ACTIONS(1389),
    [aux_sym_update_statement_token1] = ACTIONS(1389),
    [aux_sym_merge_statement_token1] = ACTIONS(1389),
    [aux_sym_grant_statement_token1] = ACTIONS(1389),
    [aux_sym_revoke_statement_token1] = ACTIONS(1389),
    [aux_sym_export_data_statement_token1] = ACTIONS(1389),
    [aux_sym_load_data_statement_token1] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [2374] = {
    [sym__keyword_as] = STATE(11585),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(4227),
    [sym_unnest_withoffset] = STATE(4377),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4378),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2781),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2785),
    [aux_sym_option_clause_token1] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2375] = {
    [sym_analytics_clause] = STATE(2596),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2376] = {
    [sym_analytics_clause] = STATE(2700),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1505),
    [aux_sym_keyword_replace_token1] = ACTIONS(1507),
    [aux_sym__keyword_alter_token1] = ACTIONS(1505),
    [aux_sym__keyword_create_token1] = ACTIONS(1505),
    [aux_sym__keyword_drop_token1] = ACTIONS(1505),
    [aux_sym__keyword_delete_token1] = ACTIONS(1505),
    [aux_sym__keyword_begin_token1] = ACTIONS(1505),
    [aux_sym__keyword_end_token1] = ACTIONS(1505),
    [aux_sym__keyword_between_token1] = ACTIONS(1505),
    [aux_sym__keyword_when_token1] = ACTIONS(1505),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1505),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1505),
    [aux_sym__keyword_like_token1] = ACTIONS(1505),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1505),
    [aux_sym__keyword_window_token1] = ACTIONS(1505),
    [aux_sym__keyword_for_token1] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1505),
    [aux_sym_return_statement_token1] = ACTIONS(1505),
    [aux_sym_call_statement_token1] = ACTIONS(1505),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1505),
    [aux_sym_if_statement_token1] = ACTIONS(1505),
    [aux_sym_loop_statement_token1] = ACTIONS(1505),
    [aux_sym_repeat_statement_token1] = ACTIONS(1505),
    [aux_sym_while_statement_token1] = ACTIONS(1505),
    [aux_sym_break_statement_token1] = ACTIONS(1505),
    [aux_sym_leave_statement_token1] = ACTIONS(1505),
    [aux_sym_continue_statement_token1] = ACTIONS(1505),
    [aux_sym_iterate_statement_token1] = ACTIONS(1505),
    [aux_sym_raise_statement_token1] = ACTIONS(1505),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1505),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_set_operation_token1] = ACTIONS(1505),
    [aux_sym_set_operation_token3] = ACTIONS(1505),
    [aux_sym_set_operation_token4] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1505),
    [aux_sym_having_clause_token1] = ACTIONS(1505),
    [aux_sym_qualify_clause_token1] = ACTIONS(1505),
    [aux_sym_limit_clause_token1] = ACTIONS(1505),
    [aux_sym_group_by_clause_token1] = ACTIONS(1505),
    [aux_sym__direction_keywords_token1] = ACTIONS(1505),
    [aux_sym__direction_keywords_token2] = ACTIONS(1505),
    [aux_sym__nulls_preference_token1] = ACTIONS(1505),
    [aux_sym_order_by_clause_token1] = ACTIONS(1505),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1505),
    [aux_sym_truncate_statement_token1] = ACTIONS(1505),
    [aux_sym_update_statement_token1] = ACTIONS(1505),
    [aux_sym_merge_statement_token1] = ACTIONS(1505),
    [aux_sym_grant_statement_token1] = ACTIONS(1505),
    [aux_sym_revoke_statement_token1] = ACTIONS(1505),
    [aux_sym_export_data_statement_token1] = ACTIONS(1505),
    [aux_sym_load_data_statement_token1] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [2377] = {
    [sym_analytics_clause] = STATE(2648),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2378] = {
    [sym_analytics_clause] = STATE(2566),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2379] = {
    [sym_analytics_clause] = STATE(2616),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2380] = {
    [sym_analytics_clause] = STATE(2651),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2381] = {
    [sym_analytics_clause] = STATE(2684),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2382] = {
    [sym_analytics_clause] = STATE(2699),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_when_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_window_token1] = ACTIONS(1509),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1509),
    [aux_sym_set_operation_token3] = ACTIONS(1509),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_having_clause_token1] = ACTIONS(1509),
    [aux_sym_qualify_clause_token1] = ACTIONS(1509),
    [aux_sym_limit_clause_token1] = ACTIONS(1509),
    [aux_sym_group_by_clause_token1] = ACTIONS(1509),
    [aux_sym__direction_keywords_token1] = ACTIONS(1509),
    [aux_sym__direction_keywords_token2] = ACTIONS(1509),
    [aux_sym__nulls_preference_token1] = ACTIONS(1509),
    [aux_sym_order_by_clause_token1] = ACTIONS(1509),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [2383] = {
    [sym_analytics_clause] = STATE(2652),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2384] = {
    [sym_analytics_clause] = STATE(2567),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2385] = {
    [sym_analytics_clause] = STATE(2615),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2386] = {
    [sym_analytics_clause] = STATE(2653),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2387] = {
    [sym_analytics_clause] = STATE(2698),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2388] = {
    [sym_analytics_clause] = STATE(2654),
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_when_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_window_token1] = ACTIONS(1401),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1401),
    [aux_sym_set_operation_token3] = ACTIONS(1401),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_having_clause_token1] = ACTIONS(1401),
    [aux_sym_qualify_clause_token1] = ACTIONS(1401),
    [aux_sym_limit_clause_token1] = ACTIONS(1401),
    [aux_sym_group_by_clause_token1] = ACTIONS(1401),
    [aux_sym__direction_keywords_token1] = ACTIONS(1401),
    [aux_sym__direction_keywords_token2] = ACTIONS(1401),
    [aux_sym__nulls_preference_token1] = ACTIONS(1401),
    [aux_sym_order_by_clause_token1] = ACTIONS(1401),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [2389] = {
    [sym_analytics_clause] = STATE(2697),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2390] = {
    [sym_analytics_clause] = STATE(2614),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2391] = {
    [sym_analytics_clause] = STATE(2713),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_when_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_window_token1] = ACTIONS(1449),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1449),
    [aux_sym_set_operation_token3] = ACTIONS(1449),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_having_clause_token1] = ACTIONS(1449),
    [aux_sym_qualify_clause_token1] = ACTIONS(1449),
    [aux_sym_limit_clause_token1] = ACTIONS(1449),
    [aux_sym_group_by_clause_token1] = ACTIONS(1449),
    [aux_sym__direction_keywords_token1] = ACTIONS(1449),
    [aux_sym__direction_keywords_token2] = ACTIONS(1449),
    [aux_sym__nulls_preference_token1] = ACTIONS(1449),
    [aux_sym_order_by_clause_token1] = ACTIONS(1449),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [2392] = {
    [sym_analytics_clause] = STATE(2712),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1453),
    [aux_sym_keyword_replace_token1] = ACTIONS(1455),
    [aux_sym__keyword_alter_token1] = ACTIONS(1453),
    [aux_sym__keyword_create_token1] = ACTIONS(1453),
    [aux_sym__keyword_drop_token1] = ACTIONS(1453),
    [aux_sym__keyword_delete_token1] = ACTIONS(1453),
    [aux_sym__keyword_begin_token1] = ACTIONS(1453),
    [aux_sym__keyword_end_token1] = ACTIONS(1453),
    [aux_sym__keyword_between_token1] = ACTIONS(1453),
    [aux_sym__keyword_when_token1] = ACTIONS(1453),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1453),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1453),
    [aux_sym__keyword_like_token1] = ACTIONS(1453),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1453),
    [aux_sym__keyword_window_token1] = ACTIONS(1453),
    [aux_sym__keyword_for_token1] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1453),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1453),
    [aux_sym_return_statement_token1] = ACTIONS(1453),
    [aux_sym_call_statement_token1] = ACTIONS(1453),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1453),
    [aux_sym_if_statement_token1] = ACTIONS(1453),
    [aux_sym_loop_statement_token1] = ACTIONS(1453),
    [aux_sym_repeat_statement_token1] = ACTIONS(1453),
    [aux_sym_while_statement_token1] = ACTIONS(1453),
    [aux_sym_break_statement_token1] = ACTIONS(1453),
    [aux_sym_leave_statement_token1] = ACTIONS(1453),
    [aux_sym_continue_statement_token1] = ACTIONS(1453),
    [aux_sym_iterate_statement_token1] = ACTIONS(1453),
    [aux_sym_raise_statement_token1] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1453),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1453),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_set_operation_token1] = ACTIONS(1453),
    [aux_sym_set_operation_token3] = ACTIONS(1453),
    [aux_sym_set_operation_token4] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1453),
    [aux_sym_having_clause_token1] = ACTIONS(1453),
    [aux_sym_qualify_clause_token1] = ACTIONS(1453),
    [aux_sym_limit_clause_token1] = ACTIONS(1453),
    [aux_sym_group_by_clause_token1] = ACTIONS(1453),
    [aux_sym__direction_keywords_token1] = ACTIONS(1453),
    [aux_sym__direction_keywords_token2] = ACTIONS(1453),
    [aux_sym__nulls_preference_token1] = ACTIONS(1453),
    [aux_sym_order_by_clause_token1] = ACTIONS(1453),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1453),
    [aux_sym_truncate_statement_token1] = ACTIONS(1453),
    [aux_sym_update_statement_token1] = ACTIONS(1453),
    [aux_sym_merge_statement_token1] = ACTIONS(1453),
    [aux_sym_grant_statement_token1] = ACTIONS(1453),
    [aux_sym_revoke_statement_token1] = ACTIONS(1453),
    [aux_sym_export_data_statement_token1] = ACTIONS(1453),
    [aux_sym_load_data_statement_token1] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [2393] = {
    [sym_analytics_clause] = STATE(2696),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2394] = {
    [sym_analytics_clause] = STATE(2568),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2395] = {
    [sym_analytics_clause] = STATE(2597),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2396] = {
    [sym_unnest_withoffset] = STATE(1912),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [sym__unquoted_identifier] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1525),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1525),
    [aux_sym__keyword_create_token1] = ACTIONS(1525),
    [aux_sym__keyword_drop_token1] = ACTIONS(1525),
    [aux_sym__keyword_from_token1] = ACTIONS(1525),
    [aux_sym__keyword_delete_token1] = ACTIONS(1525),
    [aux_sym__keyword_begin_token1] = ACTIONS(1525),
    [aux_sym__keyword_between_token1] = ACTIONS(1525),
    [aux_sym__keyword_when_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1525),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1525),
    [aux_sym__keyword_like_token1] = ACTIONS(1525),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1525),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_window_token1] = ACTIONS(1525),
    [aux_sym__keyword_date_token1] = ACTIONS(1525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1525),
    [aux_sym__keyword_time_token1] = ACTIONS(1525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1525),
    [aux_sym_return_statement_token1] = ACTIONS(1525),
    [aux_sym_call_statement_token1] = ACTIONS(1525),
    [aux_sym_loop_statement_token1] = ACTIONS(1525),
    [aux_sym_while_statement_token1] = ACTIONS(1525),
    [aux_sym_break_statement_token1] = ACTIONS(1525),
    [aux_sym_leave_statement_token1] = ACTIONS(1525),
    [aux_sym_continue_statement_token1] = ACTIONS(1525),
    [aux_sym_iterate_statement_token1] = ACTIONS(1525),
    [aux_sym_raise_statement_token1] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1525),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1357),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1525),
    [aux_sym_set_operation_token3] = ACTIONS(1525),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1525),
    [aux_sym_having_clause_token1] = ACTIONS(1525),
    [aux_sym_qualify_clause_token1] = ACTIONS(1525),
    [aux_sym_limit_clause_token1] = ACTIONS(1525),
    [aux_sym_group_by_clause_token1] = ACTIONS(1525),
    [aux_sym_order_by_clause_token1] = ACTIONS(1525),
    [aux_sym_where_clause_token1] = ACTIONS(1525),
    [aux_sym_insert_statement_token1] = ACTIONS(1525),
    [aux_sym_truncate_statement_token1] = ACTIONS(1525),
    [aux_sym_update_statement_token1] = ACTIONS(1525),
    [aux_sym_merge_statement_token1] = ACTIONS(1525),
    [aux_sym_grant_statement_token1] = ACTIONS(1525),
    [aux_sym_revoke_statement_token1] = ACTIONS(1525),
    [aux_sym_export_data_statement_token1] = ACTIONS(1525),
    [aux_sym_load_data_statement_token1] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym__quoted_identifier] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [2397] = {
    [sym_analytics_clause] = STATE(2598),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2398] = {
    [sym_analytics_clause] = STATE(2599),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2399] = {
    [sym_analytics_clause] = STATE(2708),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2400] = {
    [sym_analytics_clause] = STATE(2695),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2401] = {
    [sym_analytics_clause] = STATE(2600),
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_when_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_window_token1] = ACTIONS(1409),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1409),
    [aux_sym_set_operation_token3] = ACTIONS(1409),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_having_clause_token1] = ACTIONS(1409),
    [aux_sym_qualify_clause_token1] = ACTIONS(1409),
    [aux_sym_limit_clause_token1] = ACTIONS(1409),
    [aux_sym_group_by_clause_token1] = ACTIONS(1409),
    [aux_sym__direction_keywords_token1] = ACTIONS(1409),
    [aux_sym__direction_keywords_token2] = ACTIONS(1409),
    [aux_sym__nulls_preference_token1] = ACTIONS(1409),
    [aux_sym_order_by_clause_token1] = ACTIONS(1409),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [2402] = {
    [sym_analytics_clause] = STATE(2656),
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_when_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_window_token1] = ACTIONS(1381),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1381),
    [aux_sym_set_operation_token3] = ACTIONS(1381),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_having_clause_token1] = ACTIONS(1381),
    [aux_sym_qualify_clause_token1] = ACTIONS(1381),
    [aux_sym_limit_clause_token1] = ACTIONS(1381),
    [aux_sym_group_by_clause_token1] = ACTIONS(1381),
    [aux_sym__direction_keywords_token1] = ACTIONS(1381),
    [aux_sym__direction_keywords_token2] = ACTIONS(1381),
    [aux_sym__nulls_preference_token1] = ACTIONS(1381),
    [aux_sym_order_by_clause_token1] = ACTIONS(1381),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [2403] = {
    [sym_analytics_clause] = STATE(2584),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2404] = {
    [sym_analytics_clause] = STATE(2694),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2405] = {
    [sym_analytics_clause] = STATE(2583),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2406] = {
    [sym_analytics_clause] = STATE(2582),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2407] = {
    [sym_analytics_clause] = STATE(2710),
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_when_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_window_token1] = ACTIONS(1457),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1457),
    [aux_sym_set_operation_token3] = ACTIONS(1457),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_having_clause_token1] = ACTIONS(1457),
    [aux_sym_qualify_clause_token1] = ACTIONS(1457),
    [aux_sym_limit_clause_token1] = ACTIONS(1457),
    [aux_sym_group_by_clause_token1] = ACTIONS(1457),
    [aux_sym__direction_keywords_token1] = ACTIONS(1457),
    [aux_sym__direction_keywords_token2] = ACTIONS(1457),
    [aux_sym__nulls_preference_token1] = ACTIONS(1457),
    [aux_sym_order_by_clause_token1] = ACTIONS(1457),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [2408] = {
    [sym_analytics_clause] = STATE(2613),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2409] = {
    [sym_analytics_clause] = STATE(2709),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_when_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_window_token1] = ACTIONS(1367),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1367),
    [aux_sym_set_operation_token3] = ACTIONS(1367),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_having_clause_token1] = ACTIONS(1367),
    [aux_sym_qualify_clause_token1] = ACTIONS(1367),
    [aux_sym_limit_clause_token1] = ACTIONS(1367),
    [aux_sym_group_by_clause_token1] = ACTIONS(1367),
    [aux_sym__direction_keywords_token1] = ACTIONS(1367),
    [aux_sym__direction_keywords_token2] = ACTIONS(1367),
    [aux_sym__nulls_preference_token1] = ACTIONS(1367),
    [aux_sym_order_by_clause_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [2410] = {
    [sym_analytics_clause] = STATE(2610),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2411] = {
    [sym_analytics_clause] = STATE(2660),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2412] = {
    [sym_analytics_clause] = STATE(2581),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2413] = {
    [sym_analytics_clause] = STATE(2595),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2414] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_from_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_range_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1469),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_default_clause_token1] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [aux_sym_set_statement_token2] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1469),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1469),
    [aux_sym_clone_clause_token1] = ACTIONS(1469),
    [aux_sym_copy_clause_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [aux_sym_option_clause_token1] = ACTIONS(1469),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1469),
    [aux_sym_transoform_clause_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_having_clause_token1] = ACTIONS(1469),
    [aux_sym_qualify_clause_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym_group_by_clause_token1] = ACTIONS(1469),
    [aux_sym_rows_range_token1] = ACTIONS(1469),
    [aux_sym__nulls_preference_token1] = ACTIONS(1469),
    [aux_sym_order_by_clause_token1] = ACTIONS(1469),
    [aux_sym_where_clause_token1] = ACTIONS(1469),
    [aux_sym_pivot_operator_token1] = ACTIONS(1469),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1469),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1469),
    [aux_sym_join_type_token1] = ACTIONS(1469),
    [aux_sym_join_type_token2] = ACTIONS(1469),
    [aux_sym_join_type_token3] = ACTIONS(1469),
    [aux_sym_join_type_token4] = ACTIONS(1469),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1469),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1469),
    [aux_sym_join_condition_token1] = ACTIONS(1469),
    [aux_sym_function_call_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
  },
  [2415] = {
    [sym_analytics_clause] = STATE(2580),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2416] = {
    [sym_analytics_clause] = STATE(2661),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2417] = {
    [sym_analytics_clause] = STATE(2742),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_when_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_window_token1] = ACTIONS(1367),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1367),
    [aux_sym_set_operation_token3] = ACTIONS(1367),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_having_clause_token1] = ACTIONS(1367),
    [aux_sym_qualify_clause_token1] = ACTIONS(1367),
    [aux_sym_limit_clause_token1] = ACTIONS(1367),
    [aux_sym_group_by_clause_token1] = ACTIONS(1367),
    [aux_sym__direction_keywords_token1] = ACTIONS(1367),
    [aux_sym__direction_keywords_token2] = ACTIONS(1367),
    [aux_sym__nulls_preference_token1] = ACTIONS(1367),
    [aux_sym_order_by_clause_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [2418] = {
    [sym_analytics_clause] = STATE(2617),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2419] = {
    [sym_analytics_clause] = STATE(2693),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2420] = {
    [sym_analytics_clause] = STATE(2601),
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_when_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_window_token1] = ACTIONS(1413),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1413),
    [aux_sym_set_operation_token3] = ACTIONS(1413),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_having_clause_token1] = ACTIONS(1413),
    [aux_sym_qualify_clause_token1] = ACTIONS(1413),
    [aux_sym_limit_clause_token1] = ACTIONS(1413),
    [aux_sym_group_by_clause_token1] = ACTIONS(1413),
    [aux_sym__direction_keywords_token1] = ACTIONS(1413),
    [aux_sym__direction_keywords_token2] = ACTIONS(1413),
    [aux_sym__nulls_preference_token1] = ACTIONS(1413),
    [aux_sym_order_by_clause_token1] = ACTIONS(1413),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [2421] = {
    [sym_analytics_clause] = STATE(2692),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2422] = {
    [sym_analytics_clause] = STATE(2691),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2423] = {
    [sym_analytics_clause] = STATE(2690),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2424] = {
    [sym_analytics_clause] = STATE(2579),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2425] = {
    [sym_analytics_clause] = STATE(2689),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2426] = {
    [sym_analytics_clause] = STATE(2683),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2427] = {
    [sym_analytics_clause] = STATE(2639),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2428] = {
    [sym_analytics_clause] = STATE(2608),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2429] = {
    [sym_analytics_clause] = STATE(2586),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2430] = {
    [sym_analytics_clause] = STATE(2607),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2431] = {
    [sym_analytics_clause] = STATE(2688),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_when_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_window_token1] = ACTIONS(1513),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1513),
    [aux_sym_set_operation_token3] = ACTIONS(1513),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_having_clause_token1] = ACTIONS(1513),
    [aux_sym_qualify_clause_token1] = ACTIONS(1513),
    [aux_sym_limit_clause_token1] = ACTIONS(1513),
    [aux_sym_group_by_clause_token1] = ACTIONS(1513),
    [aux_sym__direction_keywords_token1] = ACTIONS(1513),
    [aux_sym__direction_keywords_token2] = ACTIONS(1513),
    [aux_sym__nulls_preference_token1] = ACTIONS(1513),
    [aux_sym_order_by_clause_token1] = ACTIONS(1513),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [2432] = {
    [sym_analytics_clause] = STATE(2662),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2433] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1241),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1241),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1241),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1241),
    [aux_sym__keyword_create_token1] = ACTIONS(1241),
    [aux_sym__keyword_drop_token1] = ACTIONS(1241),
    [aux_sym__keyword_delete_token1] = ACTIONS(1241),
    [aux_sym__keyword_begin_token1] = ACTIONS(1241),
    [aux_sym__keyword_end_token1] = ACTIONS(1241),
    [aux_sym__keyword_between_token1] = ACTIONS(1241),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1241),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1241),
    [aux_sym__keyword_like_token1] = ACTIONS(1241),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1241),
    [aux_sym__keyword_as_token1] = ACTIONS(1241),
    [aux_sym__keyword_date_token1] = ACTIONS(1241),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1241),
    [aux_sym__keyword_time_token1] = ACTIONS(1241),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1241),
    [aux_sym__keyword_for_token1] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1241),
    [aux_sym_return_statement_token1] = ACTIONS(1241),
    [aux_sym_call_statement_token1] = ACTIONS(1241),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1241),
    [aux_sym_if_statement_token1] = ACTIONS(1241),
    [aux_sym_loop_statement_token1] = ACTIONS(1241),
    [aux_sym_repeat_statement_token1] = ACTIONS(1241),
    [aux_sym_while_statement_token1] = ACTIONS(1241),
    [aux_sym_break_statement_token1] = ACTIONS(1241),
    [aux_sym_leave_statement_token1] = ACTIONS(1241),
    [aux_sym_continue_statement_token1] = ACTIONS(1241),
    [aux_sym_iterate_statement_token1] = ACTIONS(1241),
    [aux_sym_raise_statement_token1] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1241),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1241),
    [aux_sym_insert_statement_token1] = ACTIONS(1241),
    [aux_sym_truncate_statement_token1] = ACTIONS(1241),
    [aux_sym_update_statement_token1] = ACTIONS(1241),
    [aux_sym_merge_statement_token1] = ACTIONS(1241),
    [aux_sym_grant_statement_token1] = ACTIONS(1241),
    [aux_sym_revoke_statement_token1] = ACTIONS(1241),
    [aux_sym_export_data_statement_token1] = ACTIONS(1241),
    [aux_sym_load_data_statement_token1] = ACTIONS(1241),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym__quoted_identifier] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2434] = {
    [sym_analytics_clause] = STATE(2687),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_when_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_window_token1] = ACTIONS(1501),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1501),
    [aux_sym_set_operation_token3] = ACTIONS(1501),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_having_clause_token1] = ACTIONS(1501),
    [aux_sym_qualify_clause_token1] = ACTIONS(1501),
    [aux_sym_limit_clause_token1] = ACTIONS(1501),
    [aux_sym_group_by_clause_token1] = ACTIONS(1501),
    [aux_sym__direction_keywords_token1] = ACTIONS(1501),
    [aux_sym__direction_keywords_token2] = ACTIONS(1501),
    [aux_sym__nulls_preference_token1] = ACTIONS(1501),
    [aux_sym_order_by_clause_token1] = ACTIONS(1501),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [2435] = {
    [sym_analytics_clause] = STATE(2663),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2436] = {
    [sym_analytics_clause] = STATE(2675),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2437] = {
    [sym_analytics_clause] = STATE(2685),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2438] = {
    [sym_analytics_clause] = STATE(2605),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2439] = {
    [sym_analytics_clause] = STATE(2557),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2440] = {
    [sym__keyword_as] = STATE(15575),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [sym__unquoted_identifier] = ACTIONS(1477),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1477),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1477),
    [aux_sym_keyword_replace_token1] = ACTIONS(1477),
    [aux_sym__keyword_alter_token1] = ACTIONS(1477),
    [aux_sym__keyword_create_token1] = ACTIONS(1477),
    [aux_sym__keyword_drop_token1] = ACTIONS(1477),
    [aux_sym__keyword_from_token1] = ACTIONS(1477),
    [aux_sym__keyword_delete_token1] = ACTIONS(1477),
    [aux_sym__keyword_begin_token1] = ACTIONS(1477),
    [aux_sym__keyword_between_token1] = ACTIONS(1477),
    [aux_sym__keyword_when_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1477),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1477),
    [aux_sym__keyword_like_token1] = ACTIONS(1477),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1477),
    [aux_sym__keyword_as_token1] = ACTIONS(1477),
    [aux_sym__keyword_window_token1] = ACTIONS(1477),
    [aux_sym__keyword_date_token1] = ACTIONS(1477),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1477),
    [aux_sym__keyword_time_token1] = ACTIONS(1477),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1477),
    [aux_sym__keyword_for_token1] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1477),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1477),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1477),
    [aux_sym_return_statement_token1] = ACTIONS(1477),
    [aux_sym_call_statement_token1] = ACTIONS(1477),
    [aux_sym_loop_statement_token1] = ACTIONS(1477),
    [aux_sym_while_statement_token1] = ACTIONS(1477),
    [aux_sym_break_statement_token1] = ACTIONS(1477),
    [aux_sym_leave_statement_token1] = ACTIONS(1477),
    [aux_sym_continue_statement_token1] = ACTIONS(1477),
    [aux_sym_iterate_statement_token1] = ACTIONS(1477),
    [aux_sym_raise_statement_token1] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1477),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1477),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_set_operation_token1] = ACTIONS(1477),
    [aux_sym_set_operation_token3] = ACTIONS(1477),
    [aux_sym_set_operation_token4] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1477),
    [aux_sym_having_clause_token1] = ACTIONS(1477),
    [aux_sym_qualify_clause_token1] = ACTIONS(1477),
    [aux_sym_limit_clause_token1] = ACTIONS(1477),
    [aux_sym_group_by_clause_token1] = ACTIONS(1477),
    [aux_sym_order_by_clause_token1] = ACTIONS(1477),
    [aux_sym_where_clause_token1] = ACTIONS(1477),
    [aux_sym_insert_statement_token1] = ACTIONS(1477),
    [aux_sym_truncate_statement_token1] = ACTIONS(1477),
    [aux_sym_update_statement_token1] = ACTIONS(1477),
    [aux_sym_merge_statement_token1] = ACTIONS(1477),
    [aux_sym_grant_statement_token1] = ACTIONS(1477),
    [aux_sym_revoke_statement_token1] = ACTIONS(1477),
    [aux_sym_export_data_statement_token1] = ACTIONS(1477),
    [aux_sym_load_data_statement_token1] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym__quoted_identifier] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [2441] = {
    [sym_analytics_clause] = STATE(2587),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_when_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_window_token1] = ACTIONS(1393),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1393),
    [aux_sym_set_operation_token3] = ACTIONS(1393),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_having_clause_token1] = ACTIONS(1393),
    [aux_sym_qualify_clause_token1] = ACTIONS(1393),
    [aux_sym_limit_clause_token1] = ACTIONS(1393),
    [aux_sym_group_by_clause_token1] = ACTIONS(1393),
    [aux_sym__direction_keywords_token1] = ACTIONS(1393),
    [aux_sym__direction_keywords_token2] = ACTIONS(1393),
    [aux_sym__nulls_preference_token1] = ACTIONS(1393),
    [aux_sym_order_by_clause_token1] = ACTIONS(1393),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [2442] = {
    [sym_analytics_clause] = STATE(2655),
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_when_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_window_token1] = ACTIONS(1385),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1385),
    [aux_sym_set_operation_token3] = ACTIONS(1385),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_having_clause_token1] = ACTIONS(1385),
    [aux_sym_qualify_clause_token1] = ACTIONS(1385),
    [aux_sym_limit_clause_token1] = ACTIONS(1385),
    [aux_sym_group_by_clause_token1] = ACTIONS(1385),
    [aux_sym__direction_keywords_token1] = ACTIONS(1385),
    [aux_sym__direction_keywords_token2] = ACTIONS(1385),
    [aux_sym__nulls_preference_token1] = ACTIONS(1385),
    [aux_sym_order_by_clause_token1] = ACTIONS(1385),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [2443] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2444] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2445] = {
    [sym_analytics_clause] = STATE(2570),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_when_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_window_token1] = ACTIONS(1465),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1465),
    [aux_sym_set_operation_token3] = ACTIONS(1465),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_having_clause_token1] = ACTIONS(1465),
    [aux_sym_qualify_clause_token1] = ACTIONS(1465),
    [aux_sym_limit_clause_token1] = ACTIONS(1465),
    [aux_sym_group_by_clause_token1] = ACTIONS(1465),
    [aux_sym__direction_keywords_token1] = ACTIONS(1465),
    [aux_sym__direction_keywords_token2] = ACTIONS(1465),
    [aux_sym__nulls_preference_token1] = ACTIONS(1465),
    [aux_sym_order_by_clause_token1] = ACTIONS(1465),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [2446] = {
    [sym_analytics_clause] = STATE(2637),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_when_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_window_token1] = ACTIONS(1425),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1425),
    [aux_sym_set_operation_token3] = ACTIONS(1425),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_having_clause_token1] = ACTIONS(1425),
    [aux_sym_qualify_clause_token1] = ACTIONS(1425),
    [aux_sym_limit_clause_token1] = ACTIONS(1425),
    [aux_sym_group_by_clause_token1] = ACTIONS(1425),
    [aux_sym__direction_keywords_token1] = ACTIONS(1425),
    [aux_sym__direction_keywords_token2] = ACTIONS(1425),
    [aux_sym__nulls_preference_token1] = ACTIONS(1425),
    [aux_sym_order_by_clause_token1] = ACTIONS(1425),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [2447] = {
    [sym_analytics_clause] = STATE(2588),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2448] = {
    [sym_analytics_clause] = STATE(2664),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2449] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2450] = {
    [sym_analytics_clause] = STATE(2719),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1437),
    [aux_sym_keyword_replace_token1] = ACTIONS(1439),
    [aux_sym__keyword_alter_token1] = ACTIONS(1437),
    [aux_sym__keyword_create_token1] = ACTIONS(1437),
    [aux_sym__keyword_drop_token1] = ACTIONS(1437),
    [aux_sym__keyword_delete_token1] = ACTIONS(1437),
    [aux_sym__keyword_begin_token1] = ACTIONS(1437),
    [aux_sym__keyword_end_token1] = ACTIONS(1437),
    [aux_sym__keyword_between_token1] = ACTIONS(1437),
    [aux_sym__keyword_when_token1] = ACTIONS(1437),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1437),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1437),
    [aux_sym__keyword_like_token1] = ACTIONS(1437),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1437),
    [aux_sym__keyword_window_token1] = ACTIONS(1437),
    [aux_sym__keyword_for_token1] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1437),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1437),
    [aux_sym_return_statement_token1] = ACTIONS(1437),
    [aux_sym_call_statement_token1] = ACTIONS(1437),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1437),
    [aux_sym_if_statement_token1] = ACTIONS(1437),
    [aux_sym_loop_statement_token1] = ACTIONS(1437),
    [aux_sym_repeat_statement_token1] = ACTIONS(1437),
    [aux_sym_while_statement_token1] = ACTIONS(1437),
    [aux_sym_break_statement_token1] = ACTIONS(1437),
    [aux_sym_leave_statement_token1] = ACTIONS(1437),
    [aux_sym_continue_statement_token1] = ACTIONS(1437),
    [aux_sym_iterate_statement_token1] = ACTIONS(1437),
    [aux_sym_raise_statement_token1] = ACTIONS(1437),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1437),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1437),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_set_operation_token1] = ACTIONS(1437),
    [aux_sym_set_operation_token3] = ACTIONS(1437),
    [aux_sym_set_operation_token4] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1437),
    [aux_sym_having_clause_token1] = ACTIONS(1437),
    [aux_sym_qualify_clause_token1] = ACTIONS(1437),
    [aux_sym_limit_clause_token1] = ACTIONS(1437),
    [aux_sym_group_by_clause_token1] = ACTIONS(1437),
    [aux_sym__direction_keywords_token1] = ACTIONS(1437),
    [aux_sym__direction_keywords_token2] = ACTIONS(1437),
    [aux_sym__nulls_preference_token1] = ACTIONS(1437),
    [aux_sym_order_by_clause_token1] = ACTIONS(1437),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1437),
    [aux_sym_truncate_statement_token1] = ACTIONS(1437),
    [aux_sym_update_statement_token1] = ACTIONS(1437),
    [aux_sym_merge_statement_token1] = ACTIONS(1437),
    [aux_sym_grant_statement_token1] = ACTIONS(1437),
    [aux_sym_revoke_statement_token1] = ACTIONS(1437),
    [aux_sym_export_data_statement_token1] = ACTIONS(1437),
    [aux_sym_load_data_statement_token1] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [2451] = {
    [sym_analytics_clause] = STATE(2558),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2452] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2453] = {
    [sym__keyword_as] = STATE(11585),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(4227),
    [sym_unnest_withoffset] = STATE(4377),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4378),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2781),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2454] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2455] = {
    [sym_analytics_clause] = STATE(2665),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2456] = {
    [sym_analytics_clause] = STATE(2590),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2457] = {
    [sym_analytics_clause] = STATE(2682),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2458] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2459] = {
    [sym_analytics_clause] = STATE(2666),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2460] = {
    [sym_analytics_clause] = STATE(2667),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2461] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1323),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1325),
    [aux_sym__keyword_in_token1] = ACTIONS(1327),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1335),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1327),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_LT_GT] = ACTIONS(1335),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2462] = {
    [sym_analytics_clause] = STATE(2668),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2463] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1323),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1325),
    [aux_sym__keyword_in_token1] = ACTIONS(1327),
    [aux_sym__keyword_and_token1] = ACTIONS(1329),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1335),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1327),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_LT_GT] = ACTIONS(1335),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2464] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1223),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1223),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1223),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1223),
    [aux_sym__keyword_create_token1] = ACTIONS(1223),
    [aux_sym__keyword_drop_token1] = ACTIONS(1223),
    [aux_sym__keyword_delete_token1] = ACTIONS(1223),
    [aux_sym__keyword_begin_token1] = ACTIONS(1223),
    [aux_sym__keyword_end_token1] = ACTIONS(1223),
    [aux_sym__keyword_between_token1] = ACTIONS(1223),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1223),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1223),
    [aux_sym__keyword_like_token1] = ACTIONS(1223),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1223),
    [aux_sym__keyword_as_token1] = ACTIONS(1223),
    [aux_sym__keyword_date_token1] = ACTIONS(1223),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1223),
    [aux_sym__keyword_time_token1] = ACTIONS(1223),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1223),
    [aux_sym__keyword_for_token1] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1223),
    [aux_sym_return_statement_token1] = ACTIONS(1223),
    [aux_sym_call_statement_token1] = ACTIONS(1223),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1223),
    [aux_sym_if_statement_token1] = ACTIONS(1223),
    [aux_sym_loop_statement_token1] = ACTIONS(1223),
    [aux_sym_repeat_statement_token1] = ACTIONS(1223),
    [aux_sym_while_statement_token1] = ACTIONS(1223),
    [aux_sym_break_statement_token1] = ACTIONS(1223),
    [aux_sym_leave_statement_token1] = ACTIONS(1223),
    [aux_sym_continue_statement_token1] = ACTIONS(1223),
    [aux_sym_iterate_statement_token1] = ACTIONS(1223),
    [aux_sym_raise_statement_token1] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1223),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1223),
    [aux_sym_insert_statement_token1] = ACTIONS(1223),
    [aux_sym_truncate_statement_token1] = ACTIONS(1223),
    [aux_sym_update_statement_token1] = ACTIONS(1223),
    [aux_sym_merge_statement_token1] = ACTIONS(1223),
    [aux_sym_grant_statement_token1] = ACTIONS(1223),
    [aux_sym_revoke_statement_token1] = ACTIONS(1223),
    [aux_sym_export_data_statement_token1] = ACTIONS(1223),
    [aux_sym_load_data_statement_token1] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2465] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1167),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1167),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1167),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1167),
    [aux_sym__keyword_create_token1] = ACTIONS(1167),
    [aux_sym__keyword_drop_token1] = ACTIONS(1167),
    [aux_sym__keyword_delete_token1] = ACTIONS(1167),
    [aux_sym__keyword_begin_token1] = ACTIONS(1167),
    [aux_sym__keyword_end_token1] = ACTIONS(1167),
    [aux_sym__keyword_between_token1] = ACTIONS(1167),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1167),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1167),
    [aux_sym__keyword_like_token1] = ACTIONS(1167),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1167),
    [aux_sym__keyword_as_token1] = ACTIONS(1167),
    [aux_sym__keyword_date_token1] = ACTIONS(1167),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1167),
    [aux_sym__keyword_time_token1] = ACTIONS(1167),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1167),
    [aux_sym__keyword_for_token1] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1167),
    [aux_sym_return_statement_token1] = ACTIONS(1167),
    [aux_sym_call_statement_token1] = ACTIONS(1167),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1167),
    [aux_sym_if_statement_token1] = ACTIONS(1167),
    [aux_sym_loop_statement_token1] = ACTIONS(1167),
    [aux_sym_repeat_statement_token1] = ACTIONS(1167),
    [aux_sym_while_statement_token1] = ACTIONS(1167),
    [aux_sym_break_statement_token1] = ACTIONS(1167),
    [aux_sym_leave_statement_token1] = ACTIONS(1167),
    [aux_sym_continue_statement_token1] = ACTIONS(1167),
    [aux_sym_iterate_statement_token1] = ACTIONS(1167),
    [aux_sym_raise_statement_token1] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1167),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1167),
    [aux_sym_insert_statement_token1] = ACTIONS(1167),
    [aux_sym_truncate_statement_token1] = ACTIONS(1167),
    [aux_sym_update_statement_token1] = ACTIONS(1167),
    [aux_sym_merge_statement_token1] = ACTIONS(1167),
    [aux_sym_grant_statement_token1] = ACTIONS(1167),
    [aux_sym_revoke_statement_token1] = ACTIONS(1167),
    [aux_sym_export_data_statement_token1] = ACTIONS(1167),
    [aux_sym_load_data_statement_token1] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym__quoted_identifier] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2466] = {
    [sym_analytics_clause] = STATE(2527),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2467] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1209),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1209),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1209),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1209),
    [aux_sym__keyword_create_token1] = ACTIONS(1209),
    [aux_sym__keyword_drop_token1] = ACTIONS(1209),
    [aux_sym__keyword_delete_token1] = ACTIONS(1209),
    [aux_sym__keyword_begin_token1] = ACTIONS(1209),
    [aux_sym__keyword_end_token1] = ACTIONS(1209),
    [aux_sym__keyword_between_token1] = ACTIONS(1209),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1209),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1209),
    [aux_sym__keyword_like_token1] = ACTIONS(1209),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1209),
    [aux_sym__keyword_as_token1] = ACTIONS(1209),
    [aux_sym__keyword_date_token1] = ACTIONS(1209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1209),
    [aux_sym__keyword_time_token1] = ACTIONS(1209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1209),
    [aux_sym__keyword_for_token1] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1209),
    [aux_sym_return_statement_token1] = ACTIONS(1209),
    [aux_sym_call_statement_token1] = ACTIONS(1209),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1209),
    [aux_sym_if_statement_token1] = ACTIONS(1209),
    [aux_sym_loop_statement_token1] = ACTIONS(1209),
    [aux_sym_repeat_statement_token1] = ACTIONS(1209),
    [aux_sym_while_statement_token1] = ACTIONS(1209),
    [aux_sym_break_statement_token1] = ACTIONS(1209),
    [aux_sym_leave_statement_token1] = ACTIONS(1209),
    [aux_sym_continue_statement_token1] = ACTIONS(1209),
    [aux_sym_iterate_statement_token1] = ACTIONS(1209),
    [aux_sym_raise_statement_token1] = ACTIONS(1209),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1209),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1209),
    [aux_sym_insert_statement_token1] = ACTIONS(1209),
    [aux_sym_truncate_statement_token1] = ACTIONS(1209),
    [aux_sym_update_statement_token1] = ACTIONS(1209),
    [aux_sym_merge_statement_token1] = ACTIONS(1209),
    [aux_sym_grant_statement_token1] = ACTIONS(1209),
    [aux_sym_revoke_statement_token1] = ACTIONS(1209),
    [aux_sym_export_data_statement_token1] = ACTIONS(1209),
    [aux_sym_load_data_statement_token1] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym__quoted_identifier] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2468] = {
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_end_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_else_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_window_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1245),
    [aux_sym_if_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_repeat_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_having_clause_token1] = ACTIONS(1245),
    [aux_sym_qualify_clause_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym_order_by_clause_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [2469] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2470] = {
    [sym_analytics_clause] = STATE(2591),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2471] = {
    [sym_analytics_clause] = STATE(2686),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_when_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_window_token1] = ACTIONS(1489),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1489),
    [aux_sym_set_operation_token3] = ACTIONS(1489),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_having_clause_token1] = ACTIONS(1489),
    [aux_sym_qualify_clause_token1] = ACTIONS(1489),
    [aux_sym_limit_clause_token1] = ACTIONS(1489),
    [aux_sym_group_by_clause_token1] = ACTIONS(1489),
    [aux_sym__direction_keywords_token1] = ACTIONS(1489),
    [aux_sym__direction_keywords_token2] = ACTIONS(1489),
    [aux_sym__nulls_preference_token1] = ACTIONS(1489),
    [aux_sym_order_by_clause_token1] = ACTIONS(1489),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [2472] = {
    [sym_analytics_clause] = STATE(2562),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2473] = {
    [sym_analytics_clause] = STATE(2635),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2474] = {
    [sym_analytics_clause] = STATE(2714),
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_when_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_window_token1] = ACTIONS(1445),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1445),
    [aux_sym_set_operation_token3] = ACTIONS(1445),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_having_clause_token1] = ACTIONS(1445),
    [aux_sym_qualify_clause_token1] = ACTIONS(1445),
    [aux_sym_limit_clause_token1] = ACTIONS(1445),
    [aux_sym_group_by_clause_token1] = ACTIONS(1445),
    [aux_sym__direction_keywords_token1] = ACTIONS(1445),
    [aux_sym__direction_keywords_token2] = ACTIONS(1445),
    [aux_sym__nulls_preference_token1] = ACTIONS(1445),
    [aux_sym_order_by_clause_token1] = ACTIONS(1445),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [2475] = {
    [sym_analytics_clause] = STATE(2563),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2476] = {
    [sym_analytics_clause] = STATE(2621),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2477] = {
    [sym_analytics_clause] = STATE(2592),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2478] = {
    [sym_analytics_clause] = STATE(2670),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2479] = {
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_end_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_else_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1245),
    [aux_sym_if_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_repeat_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym__direction_keywords_token1] = ACTIONS(1245),
    [aux_sym__direction_keywords_token2] = ACTIONS(1245),
    [aux_sym__nulls_preference_token1] = ACTIONS(1245),
    [aux_sym_order_by_clause_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [2480] = {
    [sym__keyword_as] = STATE(11585),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(4376),
    [sym_unnest_withoffset] = STATE(4377),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4378),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2781),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2783),
    [aux_sym_option_clause_token1] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2481] = {
    [sym_analytics_clause] = STATE(2671),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2482] = {
    [sym_analytics_clause] = STATE(2593),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2483] = {
    [sym_analytics_clause] = STATE(2634),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2484] = {
    [sym_analytics_clause] = STATE(2672),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2485] = {
    [sym_analytics_clause] = STATE(2657),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2486] = {
    [sym_analytics_clause] = STATE(2673),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2487] = {
    [sym_analytics_clause] = STATE(2571),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2488] = {
    [sym_analytics_clause] = STATE(2572),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2489] = {
    [sym_analytics_clause] = STATE(2720),
    [ts_builtin_sym_end] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1433),
    [aux_sym_keyword_replace_token1] = ACTIONS(1435),
    [aux_sym__keyword_alter_token1] = ACTIONS(1433),
    [aux_sym__keyword_create_token1] = ACTIONS(1433),
    [aux_sym__keyword_drop_token1] = ACTIONS(1433),
    [aux_sym__keyword_delete_token1] = ACTIONS(1433),
    [aux_sym__keyword_begin_token1] = ACTIONS(1433),
    [aux_sym__keyword_end_token1] = ACTIONS(1433),
    [aux_sym__keyword_between_token1] = ACTIONS(1433),
    [aux_sym__keyword_when_token1] = ACTIONS(1433),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1433),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1433),
    [aux_sym__keyword_like_token1] = ACTIONS(1433),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1433),
    [aux_sym__keyword_window_token1] = ACTIONS(1433),
    [aux_sym__keyword_for_token1] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1433),
    [aux_sym_return_statement_token1] = ACTIONS(1433),
    [aux_sym_call_statement_token1] = ACTIONS(1433),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1433),
    [aux_sym_if_statement_token1] = ACTIONS(1433),
    [aux_sym_loop_statement_token1] = ACTIONS(1433),
    [aux_sym_repeat_statement_token1] = ACTIONS(1433),
    [aux_sym_while_statement_token1] = ACTIONS(1433),
    [aux_sym_break_statement_token1] = ACTIONS(1433),
    [aux_sym_leave_statement_token1] = ACTIONS(1433),
    [aux_sym_continue_statement_token1] = ACTIONS(1433),
    [aux_sym_iterate_statement_token1] = ACTIONS(1433),
    [aux_sym_raise_statement_token1] = ACTIONS(1433),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1433),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_set_operation_token1] = ACTIONS(1433),
    [aux_sym_set_operation_token3] = ACTIONS(1433),
    [aux_sym_set_operation_token4] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1433),
    [aux_sym_having_clause_token1] = ACTIONS(1433),
    [aux_sym_qualify_clause_token1] = ACTIONS(1433),
    [aux_sym_limit_clause_token1] = ACTIONS(1433),
    [aux_sym_group_by_clause_token1] = ACTIONS(1433),
    [aux_sym__direction_keywords_token1] = ACTIONS(1433),
    [aux_sym__direction_keywords_token2] = ACTIONS(1433),
    [aux_sym__nulls_preference_token1] = ACTIONS(1433),
    [aux_sym_order_by_clause_token1] = ACTIONS(1433),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1433),
    [aux_sym_truncate_statement_token1] = ACTIONS(1433),
    [aux_sym_update_statement_token1] = ACTIONS(1433),
    [aux_sym_merge_statement_token1] = ACTIONS(1433),
    [aux_sym_grant_statement_token1] = ACTIONS(1433),
    [aux_sym_revoke_statement_token1] = ACTIONS(1433),
    [aux_sym_export_data_statement_token1] = ACTIONS(1433),
    [aux_sym_load_data_statement_token1] = ACTIONS(1433),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [2490] = {
    [sym_analytics_clause] = STATE(2721),
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_when_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_window_token1] = ACTIONS(1429),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1429),
    [aux_sym_set_operation_token3] = ACTIONS(1429),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_having_clause_token1] = ACTIONS(1429),
    [aux_sym_qualify_clause_token1] = ACTIONS(1429),
    [aux_sym_limit_clause_token1] = ACTIONS(1429),
    [aux_sym_group_by_clause_token1] = ACTIONS(1429),
    [aux_sym__direction_keywords_token1] = ACTIONS(1429),
    [aux_sym__direction_keywords_token2] = ACTIONS(1429),
    [aux_sym__nulls_preference_token1] = ACTIONS(1429),
    [aux_sym_order_by_clause_token1] = ACTIONS(1429),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [2491] = {
    [sym_analytics_clause] = STATE(2594),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2492] = {
    [sym_analytics_clause] = STATE(2574),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2493] = {
    [sym_analytics_clause] = STATE(2674),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2494] = {
    [sym_analytics_clause] = STATE(2625),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2495] = {
    [sym_analytics_clause] = STATE(2679),
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_when_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_window_token1] = ACTIONS(1461),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1461),
    [aux_sym_set_operation_token3] = ACTIONS(1461),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_having_clause_token1] = ACTIONS(1461),
    [aux_sym_qualify_clause_token1] = ACTIONS(1461),
    [aux_sym_limit_clause_token1] = ACTIONS(1461),
    [aux_sym_group_by_clause_token1] = ACTIONS(1461),
    [aux_sym__direction_keywords_token1] = ACTIONS(1461),
    [aux_sym__direction_keywords_token2] = ACTIONS(1461),
    [aux_sym__nulls_preference_token1] = ACTIONS(1461),
    [aux_sym_order_by_clause_token1] = ACTIONS(1461),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [2496] = {
    [sym_analytics_clause] = STATE(2676),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2497] = {
    [sym_analytics_clause] = STATE(2602),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2498] = {
    [sym_analytics_clause] = STATE(2677),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2499] = {
    [sym_analytics_clause] = STATE(2603),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2500] = {
    [sym_analytics_clause] = STATE(2577),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2501] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2925),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2925),
    [aux_sym__keyword_create_token1] = ACTIONS(2925),
    [aux_sym__keyword_drop_token1] = ACTIONS(2925),
    [aux_sym__keyword_delete_token1] = ACTIONS(2925),
    [aux_sym__keyword_begin_token1] = ACTIONS(2925),
    [aux_sym__keyword_end_token1] = ACTIONS(2925),
    [aux_sym__keyword_between_token1] = ACTIONS(2853),
    [aux_sym__keyword_when_token1] = ACTIONS(2925),
    [aux_sym__keyword_else_token1] = ACTIONS(2927),
    [aux_sym__keyword_is_token1] = ACTIONS(2855),
    [aux_sym__keyword_in_token1] = ACTIONS(2857),
    [aux_sym__keyword_and_token1] = ACTIONS(2859),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2925),
    [aux_sym__keyword_window_token1] = ACTIONS(2925),
    [aux_sym__keyword_for_token1] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [aux_sym_declare_statement_token1] = ACTIONS(2925),
    [aux_sym_set_statement_token1] = ACTIONS(2925),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2925),
    [aux_sym_return_statement_token1] = ACTIONS(2925),
    [aux_sym_call_statement_token1] = ACTIONS(2925),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2925),
    [aux_sym_if_statement_token1] = ACTIONS(2925),
    [aux_sym_loop_statement_token1] = ACTIONS(2925),
    [aux_sym_repeat_statement_token1] = ACTIONS(2925),
    [aux_sym_while_statement_token1] = ACTIONS(2925),
    [aux_sym_break_statement_token1] = ACTIONS(2925),
    [aux_sym_leave_statement_token1] = ACTIONS(2925),
    [aux_sym_continue_statement_token1] = ACTIONS(2925),
    [aux_sym_iterate_statement_token1] = ACTIONS(2925),
    [aux_sym_raise_statement_token1] = ACTIONS(2925),
    [anon_sym_EQ] = ACTIONS(2861),
    [aux_sym_assert_statement_token1] = ACTIONS(2925),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2925),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [aux_sym_set_operation_token1] = ACTIONS(2925),
    [aux_sym_set_operation_token3] = ACTIONS(2925),
    [aux_sym_set_operation_token4] = ACTIONS(2927),
    [aux_sym_select_token1] = ACTIONS(2925),
    [aux_sym_qualify_clause_token1] = ACTIONS(2925),
    [aux_sym_limit_clause_token1] = ACTIONS(2925),
    [aux_sym_order_by_clause_token1] = ACTIONS(2925),
    [aux_sym_insert_statement_token1] = ACTIONS(2925),
    [aux_sym_truncate_statement_token1] = ACTIONS(2925),
    [aux_sym_update_statement_token1] = ACTIONS(2925),
    [aux_sym_merge_statement_token1] = ACTIONS(2925),
    [aux_sym_grant_statement_token1] = ACTIONS(2925),
    [aux_sym_revoke_statement_token1] = ACTIONS(2925),
    [aux_sym_export_data_statement_token1] = ACTIONS(2925),
    [aux_sym_load_data_statement_token1] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2861),
    [anon_sym_LT_GT] = ACTIONS(2861),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2502] = {
    [sym_analytics_clause] = STATE(2678),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2503] = {
    [sym_analytics_clause] = STATE(2680),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2504] = {
    [sym_analytics_clause] = STATE(2633),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2505] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1189),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1189),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1189),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1189),
    [aux_sym__keyword_create_token1] = ACTIONS(1189),
    [aux_sym__keyword_drop_token1] = ACTIONS(1189),
    [aux_sym__keyword_delete_token1] = ACTIONS(1189),
    [aux_sym__keyword_begin_token1] = ACTIONS(1189),
    [aux_sym__keyword_end_token1] = ACTIONS(1189),
    [aux_sym__keyword_between_token1] = ACTIONS(1189),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1189),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1189),
    [aux_sym__keyword_like_token1] = ACTIONS(1189),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1189),
    [aux_sym__keyword_as_token1] = ACTIONS(1189),
    [aux_sym__keyword_date_token1] = ACTIONS(1189),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1189),
    [aux_sym__keyword_time_token1] = ACTIONS(1189),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1189),
    [aux_sym__keyword_for_token1] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1189),
    [aux_sym_return_statement_token1] = ACTIONS(1189),
    [aux_sym_call_statement_token1] = ACTIONS(1189),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1189),
    [aux_sym_if_statement_token1] = ACTIONS(1189),
    [aux_sym_loop_statement_token1] = ACTIONS(1189),
    [aux_sym_repeat_statement_token1] = ACTIONS(1189),
    [aux_sym_while_statement_token1] = ACTIONS(1189),
    [aux_sym_break_statement_token1] = ACTIONS(1189),
    [aux_sym_leave_statement_token1] = ACTIONS(1189),
    [aux_sym_continue_statement_token1] = ACTIONS(1189),
    [aux_sym_iterate_statement_token1] = ACTIONS(1189),
    [aux_sym_raise_statement_token1] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1189),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1189),
    [aux_sym_insert_statement_token1] = ACTIONS(1189),
    [aux_sym_truncate_statement_token1] = ACTIONS(1189),
    [aux_sym_update_statement_token1] = ACTIONS(1189),
    [aux_sym_merge_statement_token1] = ACTIONS(1189),
    [aux_sym_grant_statement_token1] = ACTIONS(1189),
    [aux_sym_revoke_statement_token1] = ACTIONS(1189),
    [aux_sym_export_data_statement_token1] = ACTIONS(1189),
    [aux_sym_load_data_statement_token1] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym__quoted_identifier] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2506] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1197),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1197),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1197),
    [aux_sym__keyword_create_token1] = ACTIONS(1197),
    [aux_sym__keyword_drop_token1] = ACTIONS(1197),
    [aux_sym__keyword_delete_token1] = ACTIONS(1197),
    [aux_sym__keyword_begin_token1] = ACTIONS(1197),
    [aux_sym__keyword_end_token1] = ACTIONS(1197),
    [aux_sym__keyword_between_token1] = ACTIONS(1323),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(1325),
    [aux_sym__keyword_in_token1] = ACTIONS(1327),
    [aux_sym__keyword_and_token1] = ACTIONS(1329),
    [aux_sym__keyword_like_token1] = ACTIONS(1197),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1197),
    [aux_sym__keyword_as_token1] = ACTIONS(1197),
    [aux_sym__keyword_date_token1] = ACTIONS(1197),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1197),
    [aux_sym__keyword_time_token1] = ACTIONS(1197),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1197),
    [aux_sym__keyword_for_token1] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1197),
    [aux_sym_return_statement_token1] = ACTIONS(1197),
    [aux_sym_call_statement_token1] = ACTIONS(1197),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1197),
    [aux_sym_if_statement_token1] = ACTIONS(1197),
    [aux_sym_loop_statement_token1] = ACTIONS(1197),
    [aux_sym_repeat_statement_token1] = ACTIONS(1197),
    [aux_sym_while_statement_token1] = ACTIONS(1197),
    [aux_sym_break_statement_token1] = ACTIONS(1197),
    [aux_sym_leave_statement_token1] = ACTIONS(1197),
    [aux_sym_continue_statement_token1] = ACTIONS(1197),
    [aux_sym_iterate_statement_token1] = ACTIONS(1197),
    [aux_sym_raise_statement_token1] = ACTIONS(1197),
    [anon_sym_EQ] = ACTIONS(1335),
    [aux_sym_assert_statement_token1] = ACTIONS(1197),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1327),
    [aux_sym_select_token1] = ACTIONS(1197),
    [aux_sym_insert_statement_token1] = ACTIONS(1197),
    [aux_sym_truncate_statement_token1] = ACTIONS(1197),
    [aux_sym_update_statement_token1] = ACTIONS(1197),
    [aux_sym_merge_statement_token1] = ACTIONS(1197),
    [aux_sym_grant_statement_token1] = ACTIONS(1197),
    [aux_sym_revoke_statement_token1] = ACTIONS(1197),
    [aux_sym_export_data_statement_token1] = ACTIONS(1197),
    [aux_sym_load_data_statement_token1] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym__quoted_identifier] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_LT_GT] = ACTIONS(1335),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2507] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1539),
    [aux_sym__keyword_alter_token1] = ACTIONS(1539),
    [aux_sym__keyword_create_token1] = ACTIONS(1539),
    [aux_sym__keyword_drop_token1] = ACTIONS(1539),
    [aux_sym__keyword_from_token1] = ACTIONS(1539),
    [aux_sym__keyword_delete_token1] = ACTIONS(1539),
    [aux_sym__keyword_begin_token1] = ACTIONS(1539),
    [aux_sym__keyword_end_token1] = ACTIONS(1539),
    [aux_sym__keyword_range_token1] = ACTIONS(1539),
    [aux_sym__keyword_when_token1] = ACTIONS(1539),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_like_token1] = ACTIONS(1539),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1539),
    [aux_sym__keyword_as_token1] = ACTIONS(1541),
    [aux_sym__keyword_window_token1] = ACTIONS(1539),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1539),
    [aux_sym__keyword_for_token1] = ACTIONS(1539),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_default_clause_token1] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1539),
    [aux_sym_set_statement_token2] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_RPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1539),
    [aux_sym_using_clause_token1] = ACTIONS(1539),
    [aux_sym_return_statement_token1] = ACTIONS(1539),
    [aux_sym_call_statement_token1] = ACTIONS(1539),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1539),
    [aux_sym_if_statement_token1] = ACTIONS(1539),
    [aux_sym_loop_statement_token1] = ACTIONS(1539),
    [aux_sym_repeat_statement_token1] = ACTIONS(1539),
    [aux_sym_while_statement_token1] = ACTIONS(1539),
    [aux_sym_break_statement_token1] = ACTIONS(1539),
    [aux_sym_leave_statement_token1] = ACTIONS(1539),
    [aux_sym_continue_statement_token1] = ACTIONS(1539),
    [aux_sym_iterate_statement_token1] = ACTIONS(1539),
    [aux_sym_raise_statement_token1] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1539),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1539),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1539),
    [aux_sym_clone_clause_token1] = ACTIONS(1539),
    [aux_sym_copy_clause_token1] = ACTIONS(1539),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1539),
    [aux_sym_option_clause_token1] = ACTIONS(1539),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1539),
    [aux_sym_transoform_clause_token1] = ACTIONS(1539),
    [aux_sym_set_operation_token1] = ACTIONS(1539),
    [aux_sym_set_operation_token3] = ACTIONS(1539),
    [aux_sym_set_operation_token4] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1539),
    [aux_sym_having_clause_token1] = ACTIONS(1539),
    [aux_sym_qualify_clause_token1] = ACTIONS(1539),
    [aux_sym_limit_clause_token1] = ACTIONS(1539),
    [aux_sym_group_by_clause_token1] = ACTIONS(1539),
    [aux_sym_rows_range_token1] = ACTIONS(1539),
    [aux_sym__nulls_preference_token1] = ACTIONS(1539),
    [aux_sym_order_by_clause_token1] = ACTIONS(1539),
    [aux_sym_where_clause_token1] = ACTIONS(1539),
    [aux_sym_pivot_operator_token1] = ACTIONS(1539),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1539),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1539),
    [aux_sym_join_type_token1] = ACTIONS(1539),
    [aux_sym_join_type_token2] = ACTIONS(1539),
    [aux_sym_join_type_token3] = ACTIONS(1539),
    [aux_sym_join_type_token4] = ACTIONS(1539),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1539),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1539),
    [aux_sym_join_condition_token1] = ACTIONS(1539),
    [aux_sym_function_call_token1] = ACTIONS(1539),
    [aux_sym_insert_statement_token1] = ACTIONS(1539),
    [aux_sym_truncate_statement_token1] = ACTIONS(1539),
    [aux_sym_update_statement_token1] = ACTIONS(1539),
    [aux_sym_merge_statement_token1] = ACTIONS(1539),
    [aux_sym_grant_statement_token1] = ACTIONS(1539),
    [aux_sym_revoke_statement_token1] = ACTIONS(1539),
    [aux_sym_export_data_statement_token1] = ACTIONS(1539),
    [aux_sym_load_data_statement_token1] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
  },
  [2508] = {
    [sym__keyword_between] = STATE(1140),
    [sym__keyword_is] = STATE(12122),
    [sym__keyword_in] = STATE(1687),
    [sym__keyword_not] = STATE(13072),
    [sym__keyword_and] = STATE(1669),
    [sym__keyword_or] = STATE(1668),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16330),
    [sym_quantitve_like_operator] = STATE(16329),
    [sym__unquoted_identifier] = ACTIONS(1227),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1227),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1227),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1227),
    [aux_sym__keyword_create_token1] = ACTIONS(1227),
    [aux_sym__keyword_drop_token1] = ACTIONS(1227),
    [aux_sym__keyword_delete_token1] = ACTIONS(1227),
    [aux_sym__keyword_begin_token1] = ACTIONS(1227),
    [aux_sym__keyword_end_token1] = ACTIONS(1227),
    [aux_sym__keyword_between_token1] = ACTIONS(1227),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1227),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1227),
    [aux_sym__keyword_like_token1] = ACTIONS(1227),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1227),
    [aux_sym__keyword_as_token1] = ACTIONS(1227),
    [aux_sym__keyword_date_token1] = ACTIONS(1227),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1227),
    [aux_sym__keyword_time_token1] = ACTIONS(1227),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1227),
    [aux_sym__keyword_for_token1] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1227),
    [aux_sym_return_statement_token1] = ACTIONS(1227),
    [aux_sym_call_statement_token1] = ACTIONS(1227),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1227),
    [aux_sym_if_statement_token1] = ACTIONS(1227),
    [aux_sym_loop_statement_token1] = ACTIONS(1227),
    [aux_sym_repeat_statement_token1] = ACTIONS(1227),
    [aux_sym_while_statement_token1] = ACTIONS(1227),
    [aux_sym_break_statement_token1] = ACTIONS(1227),
    [aux_sym_leave_statement_token1] = ACTIONS(1227),
    [aux_sym_continue_statement_token1] = ACTIONS(1227),
    [aux_sym_iterate_statement_token1] = ACTIONS(1227),
    [aux_sym_raise_statement_token1] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1227),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1227),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1227),
    [aux_sym_insert_statement_token1] = ACTIONS(1227),
    [aux_sym_truncate_statement_token1] = ACTIONS(1227),
    [aux_sym_update_statement_token1] = ACTIONS(1227),
    [aux_sym_merge_statement_token1] = ACTIONS(1227),
    [aux_sym_grant_statement_token1] = ACTIONS(1227),
    [aux_sym_revoke_statement_token1] = ACTIONS(1227),
    [aux_sym_export_data_statement_token1] = ACTIONS(1227),
    [aux_sym_load_data_statement_token1] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym__quoted_identifier] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
  },
  [2509] = {
    [sym_analytics_clause] = STATE(2632),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2510] = {
    [sym_analytics_clause] = STATE(2630),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2511] = {
    [sym_analytics_clause] = STATE(2628),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2512] = {
    [sym_analytics_clause] = STATE(2578),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2513] = {
    [sym_analytics_clause] = STATE(2559),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2514] = {
    [sym_analytics_clause] = STATE(2627),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2515] = {
    [sym_analytics_clause] = STATE(2604),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(2895),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2516] = {
    [sym__keyword_between] = STATE(1654),
    [sym__keyword_is] = STATE(12092),
    [sym__keyword_in] = STATE(1871),
    [sym__keyword_not] = STATE(13181),
    [sym__keyword_and] = STATE(1805),
    [sym__keyword_or] = STATE(1799),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2929),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2929),
    [aux_sym__keyword_create_token1] = ACTIONS(2929),
    [aux_sym__keyword_drop_token1] = ACTIONS(2929),
    [aux_sym__keyword_delete_token1] = ACTIONS(2929),
    [aux_sym__keyword_begin_token1] = ACTIONS(2929),
    [aux_sym__keyword_end_token1] = ACTIONS(2929),
    [aux_sym__keyword_between_token1] = ACTIONS(2853),
    [aux_sym__keyword_when_token1] = ACTIONS(2929),
    [aux_sym__keyword_else_token1] = ACTIONS(2931),
    [aux_sym__keyword_is_token1] = ACTIONS(2855),
    [aux_sym__keyword_in_token1] = ACTIONS(2857),
    [aux_sym__keyword_and_token1] = ACTIONS(2859),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2929),
    [aux_sym__keyword_window_token1] = ACTIONS(2929),
    [aux_sym__keyword_for_token1] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [aux_sym_declare_statement_token1] = ACTIONS(2929),
    [aux_sym_set_statement_token1] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2929),
    [aux_sym_return_statement_token1] = ACTIONS(2929),
    [aux_sym_call_statement_token1] = ACTIONS(2929),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2929),
    [aux_sym_if_statement_token1] = ACTIONS(2929),
    [aux_sym_loop_statement_token1] = ACTIONS(2929),
    [aux_sym_repeat_statement_token1] = ACTIONS(2929),
    [aux_sym_while_statement_token1] = ACTIONS(2929),
    [aux_sym_break_statement_token1] = ACTIONS(2929),
    [aux_sym_leave_statement_token1] = ACTIONS(2929),
    [aux_sym_continue_statement_token1] = ACTIONS(2929),
    [aux_sym_iterate_statement_token1] = ACTIONS(2929),
    [aux_sym_raise_statement_token1] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(2861),
    [aux_sym_assert_statement_token1] = ACTIONS(2929),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_GT] = ACTIONS(2857),
    [aux_sym_set_operation_token1] = ACTIONS(2929),
    [aux_sym_set_operation_token3] = ACTIONS(2929),
    [aux_sym_set_operation_token4] = ACTIONS(2931),
    [aux_sym_select_token1] = ACTIONS(2929),
    [aux_sym_limit_clause_token1] = ACTIONS(2929),
    [aux_sym_order_by_clause_token1] = ACTIONS(2929),
    [aux_sym_insert_statement_token1] = ACTIONS(2929),
    [aux_sym_truncate_statement_token1] = ACTIONS(2929),
    [aux_sym_update_statement_token1] = ACTIONS(2929),
    [aux_sym_merge_statement_token1] = ACTIONS(2929),
    [aux_sym_grant_statement_token1] = ACTIONS(2929),
    [aux_sym_revoke_statement_token1] = ACTIONS(2929),
    [aux_sym_export_data_statement_token1] = ACTIONS(2929),
    [aux_sym_load_data_statement_token1] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2861),
    [anon_sym_LT_GT] = ACTIONS(2861),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_GT_GT] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2821),
  },
  [2517] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_when_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_window_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1549),
    [aux_sym_set_operation_token3] = ACTIONS(1549),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_having_clause_token1] = ACTIONS(1549),
    [aux_sym_qualify_clause_token1] = ACTIONS(1549),
    [aux_sym_limit_clause_token1] = ACTIONS(1549),
    [aux_sym_group_by_clause_token1] = ACTIONS(1549),
    [aux_sym__direction_keywords_token1] = ACTIONS(1549),
    [aux_sym__direction_keywords_token2] = ACTIONS(1549),
    [aux_sym__nulls_preference_token1] = ACTIONS(1549),
    [aux_sym_order_by_clause_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [2518] = {
    [sym__keyword_as] = STATE(11493),
    [sym__keyword_date] = STATE(4430),
    [sym__keyword_datetime] = STATE(4430),
    [sym__keyword_time] = STATE(4430),
    [sym__keyword_timestamp] = STATE(4430),
    [sym_as_alias] = STATE(4363),
    [sym_unnest_withoffset] = STATE(4767),
    [sym__type_chrono] = STATE(4720),
    [sym__identifier] = STATE(4380),
    [sym__dotted_identifier] = STATE(14192),
    [sym_identifier] = STATE(4488),
    [aux_sym_identifier_repeat1] = STATE(14192),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2029),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2933),
    [aux_sym__keyword_date_token1] = ACTIONS(2935),
    [aux_sym__keyword_datetime_token1] = ACTIONS(2935),
    [aux_sym__keyword_time_token1] = ACTIONS(2935),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(2935),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2937),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2519] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_from_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_window_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_having_clause_token1] = ACTIONS(1245),
    [aux_sym_qualify_clause_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym_group_by_clause_token1] = ACTIONS(1245),
    [aux_sym_order_by_clause_token1] = ACTIONS(1245),
    [aux_sym_where_clause_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [2520] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym__direction_keywords] = STATE(5486),
    [sym__nulls_preference] = STATE(5823),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(2795),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(2795),
    [aux_sym__keyword_create_token1] = ACTIONS(2795),
    [aux_sym__keyword_drop_token1] = ACTIONS(2795),
    [aux_sym__keyword_delete_token1] = ACTIONS(2795),
    [aux_sym__keyword_begin_token1] = ACTIONS(2795),
    [aux_sym__keyword_between_token1] = ACTIONS(2897),
    [aux_sym__keyword_when_token1] = ACTIONS(2795),
    [aux_sym__keyword_is_token1] = ACTIONS(2899),
    [aux_sym__keyword_in_token1] = ACTIONS(2901),
    [aux_sym__keyword_and_token1] = ACTIONS(2903),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2795),
    [aux_sym__keyword_for_token1] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(2795),
    [aux_sym_declare_statement_token1] = ACTIONS(2795),
    [anon_sym_COMMA] = ACTIONS(2795),
    [aux_sym_set_statement_token1] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2795),
    [aux_sym_return_statement_token1] = ACTIONS(2795),
    [aux_sym_call_statement_token1] = ACTIONS(2795),
    [aux_sym_loop_statement_token1] = ACTIONS(2795),
    [aux_sym_while_statement_token1] = ACTIONS(2795),
    [aux_sym_break_statement_token1] = ACTIONS(2795),
    [aux_sym_leave_statement_token1] = ACTIONS(2795),
    [aux_sym_continue_statement_token1] = ACTIONS(2795),
    [aux_sym_iterate_statement_token1] = ACTIONS(2795),
    [aux_sym_raise_statement_token1] = ACTIONS(2795),
    [anon_sym_EQ] = ACTIONS(2907),
    [aux_sym_assert_statement_token1] = ACTIONS(2795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2901),
    [anon_sym_GT] = ACTIONS(2901),
    [aux_sym_set_operation_token1] = ACTIONS(2795),
    [aux_sym_set_operation_token3] = ACTIONS(2795),
    [aux_sym_set_operation_token4] = ACTIONS(2795),
    [aux_sym_select_token1] = ACTIONS(2795),
    [aux_sym_limit_clause_token1] = ACTIONS(2795),
    [aux_sym__direction_keywords_token1] = ACTIONS(2719),
    [aux_sym__direction_keywords_token2] = ACTIONS(2719),
    [aux_sym__nulls_preference_token1] = ACTIONS(2721),
    [aux_sym_insert_statement_token1] = ACTIONS(2795),
    [aux_sym_truncate_statement_token1] = ACTIONS(2795),
    [aux_sym_update_statement_token1] = ACTIONS(2795),
    [aux_sym_merge_statement_token1] = ACTIONS(2795),
    [aux_sym_grant_statement_token1] = ACTIONS(2795),
    [aux_sym_revoke_statement_token1] = ACTIONS(2795),
    [aux_sym_export_data_statement_token1] = ACTIONS(2795),
    [aux_sym_load_data_statement_token1] = ACTIONS(2795),
    [anon_sym_LBRACK] = ACTIONS(2761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_LT_GT] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2521] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1587),
    [aux_sym_keyword_replace_token1] = ACTIONS(1589),
    [aux_sym__keyword_alter_token1] = ACTIONS(1587),
    [aux_sym__keyword_create_token1] = ACTIONS(1587),
    [aux_sym__keyword_drop_token1] = ACTIONS(1587),
    [aux_sym__keyword_delete_token1] = ACTIONS(1587),
    [aux_sym__keyword_begin_token1] = ACTIONS(1587),
    [aux_sym__keyword_end_token1] = ACTIONS(1587),
    [aux_sym__keyword_between_token1] = ACTIONS(1587),
    [aux_sym__keyword_when_token1] = ACTIONS(1587),
    [aux_sym__keyword_else_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1587),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1587),
    [aux_sym__keyword_like_token1] = ACTIONS(1587),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1587),
    [aux_sym__keyword_window_token1] = ACTIONS(1587),
    [aux_sym__keyword_for_token1] = ACTIONS(1587),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1587),
    [aux_sym_return_statement_token1] = ACTIONS(1587),
    [aux_sym_call_statement_token1] = ACTIONS(1587),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1587),
    [aux_sym_if_statement_token1] = ACTIONS(1587),
    [aux_sym_loop_statement_token1] = ACTIONS(1587),
    [aux_sym_repeat_statement_token1] = ACTIONS(1587),
    [aux_sym_while_statement_token1] = ACTIONS(1587),
    [aux_sym_break_statement_token1] = ACTIONS(1587),
    [aux_sym_leave_statement_token1] = ACTIONS(1587),
    [aux_sym_continue_statement_token1] = ACTIONS(1587),
    [aux_sym_iterate_statement_token1] = ACTIONS(1587),
    [aux_sym_raise_statement_token1] = ACTIONS(1587),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1587),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1587),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_set_operation_token1] = ACTIONS(1587),
    [aux_sym_set_operation_token3] = ACTIONS(1587),
    [aux_sym_set_operation_token4] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1587),
    [aux_sym_having_clause_token1] = ACTIONS(1587),
    [aux_sym_qualify_clause_token1] = ACTIONS(1587),
    [aux_sym_limit_clause_token1] = ACTIONS(1587),
    [aux_sym_group_by_clause_token1] = ACTIONS(1587),
    [aux_sym__direction_keywords_token1] = ACTIONS(1587),
    [aux_sym__direction_keywords_token2] = ACTIONS(1587),
    [aux_sym__nulls_preference_token1] = ACTIONS(1587),
    [aux_sym_order_by_clause_token1] = ACTIONS(1587),
    [aux_sym_insert_statement_token1] = ACTIONS(1587),
    [aux_sym_truncate_statement_token1] = ACTIONS(1587),
    [aux_sym_update_statement_token1] = ACTIONS(1587),
    [aux_sym_merge_statement_token1] = ACTIONS(1587),
    [aux_sym_grant_statement_token1] = ACTIONS(1587),
    [aux_sym_revoke_statement_token1] = ACTIONS(1587),
    [aux_sym_export_data_statement_token1] = ACTIONS(1587),
    [aux_sym_load_data_statement_token1] = ACTIONS(1587),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [2522] = {
    [sym__keyword_as] = STATE(11556),
    [sym__keyword_date] = STATE(593),
    [sym__keyword_datetime] = STATE(593),
    [sym__keyword_time] = STATE(593),
    [sym__keyword_timestamp] = STATE(593),
    [sym_as_alias] = STATE(5267),
    [sym_unnest_withoffset] = STATE(408),
    [sym__type_chrono] = STATE(549),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(555),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_end_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_else_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2941),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(205),
    [aux_sym_if_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_repeat_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2943),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [2523] = {
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_end_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_else_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1245),
    [aux_sym_if_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_repeat_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym__direction_keywords_token1] = ACTIONS(1245),
    [aux_sym__direction_keywords_token2] = ACTIONS(1245),
    [aux_sym__nulls_preference_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [2524] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1539),
    [aux_sym_keyword_replace_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1539),
    [aux_sym__keyword_create_token1] = ACTIONS(1539),
    [aux_sym__keyword_drop_token1] = ACTIONS(1539),
    [aux_sym__keyword_delete_token1] = ACTIONS(1539),
    [aux_sym__keyword_begin_token1] = ACTIONS(1539),
    [aux_sym__keyword_end_token1] = ACTIONS(1539),
    [aux_sym__keyword_between_token1] = ACTIONS(1539),
    [aux_sym__keyword_when_token1] = ACTIONS(1539),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1539),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1539),
    [aux_sym__keyword_like_token1] = ACTIONS(1539),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1539),
    [aux_sym__keyword_window_token1] = ACTIONS(1539),
    [aux_sym__keyword_for_token1] = ACTIONS(1539),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1539),
    [aux_sym_return_statement_token1] = ACTIONS(1539),
    [aux_sym_call_statement_token1] = ACTIONS(1539),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1539),
    [aux_sym_if_statement_token1] = ACTIONS(1539),
    [aux_sym_loop_statement_token1] = ACTIONS(1539),
    [aux_sym_repeat_statement_token1] = ACTIONS(1539),
    [aux_sym_while_statement_token1] = ACTIONS(1539),
    [aux_sym_break_statement_token1] = ACTIONS(1539),
    [aux_sym_leave_statement_token1] = ACTIONS(1539),
    [aux_sym_continue_statement_token1] = ACTIONS(1539),
    [aux_sym_iterate_statement_token1] = ACTIONS(1539),
    [aux_sym_raise_statement_token1] = ACTIONS(1539),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1539),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_set_operation_token1] = ACTIONS(1539),
    [aux_sym_set_operation_token3] = ACTIONS(1539),
    [aux_sym_set_operation_token4] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1539),
    [aux_sym_having_clause_token1] = ACTIONS(1539),
    [aux_sym_qualify_clause_token1] = ACTIONS(1539),
    [aux_sym_limit_clause_token1] = ACTIONS(1539),
    [aux_sym_group_by_clause_token1] = ACTIONS(1539),
    [aux_sym__direction_keywords_token1] = ACTIONS(1539),
    [aux_sym__direction_keywords_token2] = ACTIONS(1539),
    [aux_sym__nulls_preference_token1] = ACTIONS(1539),
    [aux_sym_order_by_clause_token1] = ACTIONS(1539),
    [aux_sym_insert_statement_token1] = ACTIONS(1539),
    [aux_sym_truncate_statement_token1] = ACTIONS(1539),
    [aux_sym_update_statement_token1] = ACTIONS(1539),
    [aux_sym_merge_statement_token1] = ACTIONS(1539),
    [aux_sym_grant_statement_token1] = ACTIONS(1539),
    [aux_sym_revoke_statement_token1] = ACTIONS(1539),
    [aux_sym_export_data_statement_token1] = ACTIONS(1539),
    [aux_sym_load_data_statement_token1] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [2525] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_window_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_having_clause_token1] = ACTIONS(1469),
    [aux_sym_qualify_clause_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym_group_by_clause_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token2] = ACTIONS(1469),
    [aux_sym__nulls_preference_token1] = ACTIONS(1469),
    [aux_sym_order_by_clause_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [2526] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2527] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2528] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2529] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(2867),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_is_token1] = ACTIONS(2869),
    [aux_sym__keyword_in_token1] = ACTIONS(2871),
    [aux_sym__keyword_and_token1] = ACTIONS(2873),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(2877),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1191),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym__direction_keywords_token1] = ACTIONS(1191),
    [aux_sym__direction_keywords_token2] = ACTIONS(1191),
    [aux_sym__nulls_preference_token1] = ACTIONS(1191),
    [aux_sym_order_by_clause_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2877),
    [anon_sym_LT_GT] = ACTIONS(2877),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2530] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1187),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym__direction_keywords_token1] = ACTIONS(1187),
    [aux_sym__direction_keywords_token2] = ACTIONS(1187),
    [aux_sym__nulls_preference_token1] = ACTIONS(1187),
    [aux_sym_order_by_clause_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2531] = {
    [ts_builtin_sym_end] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1849),
    [aux_sym_keyword_replace_token1] = ACTIONS(1851),
    [aux_sym__keyword_alter_token1] = ACTIONS(1849),
    [aux_sym__keyword_create_token1] = ACTIONS(1849),
    [aux_sym__keyword_drop_token1] = ACTIONS(1849),
    [aux_sym__keyword_delete_token1] = ACTIONS(1849),
    [aux_sym__keyword_begin_token1] = ACTIONS(1849),
    [aux_sym__keyword_end_token1] = ACTIONS(1849),
    [aux_sym__keyword_between_token1] = ACTIONS(1849),
    [aux_sym__keyword_when_token1] = ACTIONS(1849),
    [aux_sym__keyword_else_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1849),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1849),
    [aux_sym__keyword_like_token1] = ACTIONS(1849),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1849),
    [aux_sym__keyword_window_token1] = ACTIONS(1849),
    [aux_sym__keyword_for_token1] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1849),
    [aux_sym_return_statement_token1] = ACTIONS(1849),
    [aux_sym_call_statement_token1] = ACTIONS(1849),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1849),
    [aux_sym_if_statement_token1] = ACTIONS(1849),
    [aux_sym_loop_statement_token1] = ACTIONS(1849),
    [aux_sym_repeat_statement_token1] = ACTIONS(1849),
    [aux_sym_while_statement_token1] = ACTIONS(1849),
    [aux_sym_break_statement_token1] = ACTIONS(1849),
    [aux_sym_leave_statement_token1] = ACTIONS(1849),
    [aux_sym_continue_statement_token1] = ACTIONS(1849),
    [aux_sym_iterate_statement_token1] = ACTIONS(1849),
    [aux_sym_raise_statement_token1] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1849),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_set_operation_token1] = ACTIONS(1849),
    [aux_sym_set_operation_token3] = ACTIONS(1849),
    [aux_sym_set_operation_token4] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1849),
    [aux_sym_having_clause_token1] = ACTIONS(1849),
    [aux_sym_qualify_clause_token1] = ACTIONS(1849),
    [aux_sym_limit_clause_token1] = ACTIONS(1849),
    [aux_sym_group_by_clause_token1] = ACTIONS(1849),
    [aux_sym__direction_keywords_token1] = ACTIONS(1849),
    [aux_sym__direction_keywords_token2] = ACTIONS(1849),
    [aux_sym__nulls_preference_token1] = ACTIONS(1849),
    [aux_sym_order_by_clause_token1] = ACTIONS(1849),
    [aux_sym_insert_statement_token1] = ACTIONS(1849),
    [aux_sym_truncate_statement_token1] = ACTIONS(1849),
    [aux_sym_update_statement_token1] = ACTIONS(1849),
    [aux_sym_merge_statement_token1] = ACTIONS(1849),
    [aux_sym_grant_statement_token1] = ACTIONS(1849),
    [aux_sym_revoke_statement_token1] = ACTIONS(1849),
    [aux_sym_export_data_statement_token1] = ACTIONS(1849),
    [aux_sym_load_data_statement_token1] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [2532] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1841),
    [aux_sym_keyword_replace_token1] = ACTIONS(1843),
    [aux_sym__keyword_alter_token1] = ACTIONS(1841),
    [aux_sym__keyword_create_token1] = ACTIONS(1841),
    [aux_sym__keyword_drop_token1] = ACTIONS(1841),
    [aux_sym__keyword_delete_token1] = ACTIONS(1841),
    [aux_sym__keyword_begin_token1] = ACTIONS(1841),
    [aux_sym__keyword_end_token1] = ACTIONS(1841),
    [aux_sym__keyword_between_token1] = ACTIONS(1841),
    [aux_sym__keyword_when_token1] = ACTIONS(1841),
    [aux_sym__keyword_else_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1841),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1841),
    [aux_sym__keyword_like_token1] = ACTIONS(1841),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1841),
    [aux_sym__keyword_window_token1] = ACTIONS(1841),
    [aux_sym__keyword_for_token1] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1841),
    [aux_sym_return_statement_token1] = ACTIONS(1841),
    [aux_sym_call_statement_token1] = ACTIONS(1841),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1841),
    [aux_sym_if_statement_token1] = ACTIONS(1841),
    [aux_sym_loop_statement_token1] = ACTIONS(1841),
    [aux_sym_repeat_statement_token1] = ACTIONS(1841),
    [aux_sym_while_statement_token1] = ACTIONS(1841),
    [aux_sym_break_statement_token1] = ACTIONS(1841),
    [aux_sym_leave_statement_token1] = ACTIONS(1841),
    [aux_sym_continue_statement_token1] = ACTIONS(1841),
    [aux_sym_iterate_statement_token1] = ACTIONS(1841),
    [aux_sym_raise_statement_token1] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1841),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_set_operation_token1] = ACTIONS(1841),
    [aux_sym_set_operation_token3] = ACTIONS(1841),
    [aux_sym_set_operation_token4] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1841),
    [aux_sym_having_clause_token1] = ACTIONS(1841),
    [aux_sym_qualify_clause_token1] = ACTIONS(1841),
    [aux_sym_limit_clause_token1] = ACTIONS(1841),
    [aux_sym_group_by_clause_token1] = ACTIONS(1841),
    [aux_sym__direction_keywords_token1] = ACTIONS(1841),
    [aux_sym__direction_keywords_token2] = ACTIONS(1841),
    [aux_sym__nulls_preference_token1] = ACTIONS(1841),
    [aux_sym_order_by_clause_token1] = ACTIONS(1841),
    [aux_sym_insert_statement_token1] = ACTIONS(1841),
    [aux_sym_truncate_statement_token1] = ACTIONS(1841),
    [aux_sym_update_statement_token1] = ACTIONS(1841),
    [aux_sym_merge_statement_token1] = ACTIONS(1841),
    [aux_sym_grant_statement_token1] = ACTIONS(1841),
    [aux_sym_revoke_statement_token1] = ACTIONS(1841),
    [aux_sym_export_data_statement_token1] = ACTIONS(1841),
    [aux_sym_load_data_statement_token1] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [2533] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1853),
    [aux_sym_keyword_replace_token1] = ACTIONS(1855),
    [aux_sym__keyword_alter_token1] = ACTIONS(1853),
    [aux_sym__keyword_create_token1] = ACTIONS(1853),
    [aux_sym__keyword_drop_token1] = ACTIONS(1853),
    [aux_sym__keyword_delete_token1] = ACTIONS(1853),
    [aux_sym__keyword_begin_token1] = ACTIONS(1853),
    [aux_sym__keyword_end_token1] = ACTIONS(1853),
    [aux_sym__keyword_between_token1] = ACTIONS(1853),
    [aux_sym__keyword_when_token1] = ACTIONS(1853),
    [aux_sym__keyword_else_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1853),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1853),
    [aux_sym__keyword_like_token1] = ACTIONS(1853),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1853),
    [aux_sym__keyword_window_token1] = ACTIONS(1853),
    [aux_sym__keyword_for_token1] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1853),
    [aux_sym_return_statement_token1] = ACTIONS(1853),
    [aux_sym_call_statement_token1] = ACTIONS(1853),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1853),
    [aux_sym_if_statement_token1] = ACTIONS(1853),
    [aux_sym_loop_statement_token1] = ACTIONS(1853),
    [aux_sym_repeat_statement_token1] = ACTIONS(1853),
    [aux_sym_while_statement_token1] = ACTIONS(1853),
    [aux_sym_break_statement_token1] = ACTIONS(1853),
    [aux_sym_leave_statement_token1] = ACTIONS(1853),
    [aux_sym_continue_statement_token1] = ACTIONS(1853),
    [aux_sym_iterate_statement_token1] = ACTIONS(1853),
    [aux_sym_raise_statement_token1] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1853),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_set_operation_token1] = ACTIONS(1853),
    [aux_sym_set_operation_token3] = ACTIONS(1853),
    [aux_sym_set_operation_token4] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1853),
    [aux_sym_having_clause_token1] = ACTIONS(1853),
    [aux_sym_qualify_clause_token1] = ACTIONS(1853),
    [aux_sym_limit_clause_token1] = ACTIONS(1853),
    [aux_sym_group_by_clause_token1] = ACTIONS(1853),
    [aux_sym__direction_keywords_token1] = ACTIONS(1853),
    [aux_sym__direction_keywords_token2] = ACTIONS(1853),
    [aux_sym__nulls_preference_token1] = ACTIONS(1853),
    [aux_sym_order_by_clause_token1] = ACTIONS(1853),
    [aux_sym_insert_statement_token1] = ACTIONS(1853),
    [aux_sym_truncate_statement_token1] = ACTIONS(1853),
    [aux_sym_update_statement_token1] = ACTIONS(1853),
    [aux_sym_merge_statement_token1] = ACTIONS(1853),
    [aux_sym_grant_statement_token1] = ACTIONS(1853),
    [aux_sym_revoke_statement_token1] = ACTIONS(1853),
    [aux_sym_export_data_statement_token1] = ACTIONS(1853),
    [aux_sym_load_data_statement_token1] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [2534] = {
    [sym__keyword_as] = STATE(11585),
    [sym__keyword_date] = STATE(2772),
    [sym__keyword_datetime] = STATE(2772),
    [sym__keyword_time] = STATE(2772),
    [sym__keyword_timestamp] = STATE(2772),
    [sym_as_alias] = STATE(4376),
    [sym_unnest_withoffset] = STATE(4377),
    [sym__type_chrono] = STATE(2770),
    [sym__identifier] = STATE(4037),
    [sym__dotted_identifier] = STATE(13787),
    [sym_identifier] = STATE(4378),
    [aux_sym_identifier_repeat1] = STATE(13787),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(2429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2781),
    [aux_sym__keyword_date_token1] = ACTIONS(1333),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1333),
    [aux_sym__keyword_time_token1] = ACTIONS(1333),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1333),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [2535] = {
    [ts_builtin_sym_end] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1837),
    [aux_sym_keyword_replace_token1] = ACTIONS(1839),
    [aux_sym__keyword_alter_token1] = ACTIONS(1837),
    [aux_sym__keyword_create_token1] = ACTIONS(1837),
    [aux_sym__keyword_drop_token1] = ACTIONS(1837),
    [aux_sym__keyword_delete_token1] = ACTIONS(1837),
    [aux_sym__keyword_begin_token1] = ACTIONS(1837),
    [aux_sym__keyword_end_token1] = ACTIONS(1837),
    [aux_sym__keyword_between_token1] = ACTIONS(1837),
    [aux_sym__keyword_when_token1] = ACTIONS(1837),
    [aux_sym__keyword_else_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1837),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1837),
    [aux_sym__keyword_like_token1] = ACTIONS(1837),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1837),
    [aux_sym__keyword_window_token1] = ACTIONS(1837),
    [aux_sym__keyword_for_token1] = ACTIONS(1837),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1837),
    [anon_sym_COMMA] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1837),
    [aux_sym_return_statement_token1] = ACTIONS(1837),
    [aux_sym_call_statement_token1] = ACTIONS(1837),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1837),
    [aux_sym_if_statement_token1] = ACTIONS(1837),
    [aux_sym_loop_statement_token1] = ACTIONS(1837),
    [aux_sym_repeat_statement_token1] = ACTIONS(1837),
    [aux_sym_while_statement_token1] = ACTIONS(1837),
    [aux_sym_break_statement_token1] = ACTIONS(1837),
    [aux_sym_leave_statement_token1] = ACTIONS(1837),
    [aux_sym_continue_statement_token1] = ACTIONS(1837),
    [aux_sym_iterate_statement_token1] = ACTIONS(1837),
    [aux_sym_raise_statement_token1] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1837),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1837),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_set_operation_token1] = ACTIONS(1837),
    [aux_sym_set_operation_token3] = ACTIONS(1837),
    [aux_sym_set_operation_token4] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1837),
    [aux_sym_having_clause_token1] = ACTIONS(1837),
    [aux_sym_qualify_clause_token1] = ACTIONS(1837),
    [aux_sym_limit_clause_token1] = ACTIONS(1837),
    [aux_sym_group_by_clause_token1] = ACTIONS(1837),
    [aux_sym__direction_keywords_token1] = ACTIONS(1837),
    [aux_sym__direction_keywords_token2] = ACTIONS(1837),
    [aux_sym__nulls_preference_token1] = ACTIONS(1837),
    [aux_sym_order_by_clause_token1] = ACTIONS(1837),
    [aux_sym_insert_statement_token1] = ACTIONS(1837),
    [aux_sym_truncate_statement_token1] = ACTIONS(1837),
    [aux_sym_update_statement_token1] = ACTIONS(1837),
    [aux_sym_merge_statement_token1] = ACTIONS(1837),
    [aux_sym_grant_statement_token1] = ACTIONS(1837),
    [aux_sym_revoke_statement_token1] = ACTIONS(1837),
    [aux_sym_export_data_statement_token1] = ACTIONS(1837),
    [aux_sym_load_data_statement_token1] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [2536] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(2863),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2863),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2863),
    [aux_sym__keyword_create_token1] = ACTIONS(2863),
    [aux_sym__keyword_drop_token1] = ACTIONS(2863),
    [aux_sym__keyword_delete_token1] = ACTIONS(2863),
    [aux_sym__keyword_begin_token1] = ACTIONS(2863),
    [aux_sym__keyword_between_token1] = ACTIONS(2945),
    [aux_sym__keyword_when_token1] = ACTIONS(2863),
    [aux_sym__keyword_is_token1] = ACTIONS(2947),
    [aux_sym__keyword_in_token1] = ACTIONS(2949),
    [aux_sym__keyword_and_token1] = ACTIONS(2951),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2863),
    [aux_sym__keyword_window_token1] = ACTIONS(2863),
    [aux_sym__keyword_for_token1] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2863),
    [aux_sym_declare_statement_token1] = ACTIONS(2863),
    [anon_sym_COMMA] = ACTIONS(2863),
    [aux_sym_set_statement_token1] = ACTIONS(2863),
    [anon_sym_LPAREN] = ACTIONS(2863),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2863),
    [aux_sym_return_statement_token1] = ACTIONS(2863),
    [aux_sym_call_statement_token1] = ACTIONS(2863),
    [aux_sym_loop_statement_token1] = ACTIONS(2863),
    [aux_sym_while_statement_token1] = ACTIONS(2863),
    [aux_sym_break_statement_token1] = ACTIONS(2863),
    [aux_sym_leave_statement_token1] = ACTIONS(2863),
    [aux_sym_continue_statement_token1] = ACTIONS(2863),
    [aux_sym_iterate_statement_token1] = ACTIONS(2863),
    [aux_sym_raise_statement_token1] = ACTIONS(2863),
    [anon_sym_EQ] = ACTIONS(2953),
    [aux_sym_assert_statement_token1] = ACTIONS(2863),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [aux_sym_set_operation_token1] = ACTIONS(2863),
    [aux_sym_set_operation_token3] = ACTIONS(2863),
    [aux_sym_set_operation_token4] = ACTIONS(2863),
    [aux_sym_select_token1] = ACTIONS(2863),
    [aux_sym_having_clause_token1] = ACTIONS(2863),
    [aux_sym_qualify_clause_token1] = ACTIONS(2863),
    [aux_sym_limit_clause_token1] = ACTIONS(2863),
    [aux_sym_order_by_clause_token1] = ACTIONS(2863),
    [aux_sym_insert_statement_token1] = ACTIONS(2863),
    [aux_sym_truncate_statement_token1] = ACTIONS(2863),
    [aux_sym_update_statement_token1] = ACTIONS(2863),
    [aux_sym_merge_statement_token1] = ACTIONS(2863),
    [aux_sym_grant_statement_token1] = ACTIONS(2863),
    [aux_sym_revoke_statement_token1] = ACTIONS(2863),
    [aux_sym_export_data_statement_token1] = ACTIONS(2863),
    [aux_sym_load_data_statement_token1] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_LT_GT] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2537] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1833),
    [aux_sym_keyword_replace_token1] = ACTIONS(1835),
    [aux_sym__keyword_alter_token1] = ACTIONS(1833),
    [aux_sym__keyword_create_token1] = ACTIONS(1833),
    [aux_sym__keyword_drop_token1] = ACTIONS(1833),
    [aux_sym__keyword_delete_token1] = ACTIONS(1833),
    [aux_sym__keyword_begin_token1] = ACTIONS(1833),
    [aux_sym__keyword_end_token1] = ACTIONS(1833),
    [aux_sym__keyword_between_token1] = ACTIONS(1833),
    [aux_sym__keyword_when_token1] = ACTIONS(1833),
    [aux_sym__keyword_else_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1833),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1833),
    [aux_sym__keyword_like_token1] = ACTIONS(1833),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1833),
    [aux_sym__keyword_window_token1] = ACTIONS(1833),
    [aux_sym__keyword_for_token1] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1833),
    [anon_sym_COMMA] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1833),
    [aux_sym_return_statement_token1] = ACTIONS(1833),
    [aux_sym_call_statement_token1] = ACTIONS(1833),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1833),
    [aux_sym_if_statement_token1] = ACTIONS(1833),
    [aux_sym_loop_statement_token1] = ACTIONS(1833),
    [aux_sym_repeat_statement_token1] = ACTIONS(1833),
    [aux_sym_while_statement_token1] = ACTIONS(1833),
    [aux_sym_break_statement_token1] = ACTIONS(1833),
    [aux_sym_leave_statement_token1] = ACTIONS(1833),
    [aux_sym_continue_statement_token1] = ACTIONS(1833),
    [aux_sym_iterate_statement_token1] = ACTIONS(1833),
    [aux_sym_raise_statement_token1] = ACTIONS(1833),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1833),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1833),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_set_operation_token1] = ACTIONS(1833),
    [aux_sym_set_operation_token3] = ACTIONS(1833),
    [aux_sym_set_operation_token4] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1833),
    [aux_sym_having_clause_token1] = ACTIONS(1833),
    [aux_sym_qualify_clause_token1] = ACTIONS(1833),
    [aux_sym_limit_clause_token1] = ACTIONS(1833),
    [aux_sym_group_by_clause_token1] = ACTIONS(1833),
    [aux_sym__direction_keywords_token1] = ACTIONS(1833),
    [aux_sym__direction_keywords_token2] = ACTIONS(1833),
    [aux_sym__nulls_preference_token1] = ACTIONS(1833),
    [aux_sym_order_by_clause_token1] = ACTIONS(1833),
    [aux_sym_insert_statement_token1] = ACTIONS(1833),
    [aux_sym_truncate_statement_token1] = ACTIONS(1833),
    [aux_sym_update_statement_token1] = ACTIONS(1833),
    [aux_sym_merge_statement_token1] = ACTIONS(1833),
    [aux_sym_grant_statement_token1] = ACTIONS(1833),
    [aux_sym_revoke_statement_token1] = ACTIONS(1833),
    [aux_sym_export_data_statement_token1] = ACTIONS(1833),
    [aux_sym_load_data_statement_token1] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [2538] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_window_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1225),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_having_clause_token1] = ACTIONS(1225),
    [aux_sym_qualify_clause_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym_group_by_clause_token1] = ACTIONS(1225),
    [aux_sym_order_by_clause_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2539] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_window_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1239),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_having_clause_token1] = ACTIONS(1239),
    [aux_sym_qualify_clause_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym_group_by_clause_token1] = ACTIONS(1239),
    [aux_sym_order_by_clause_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2540] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_when_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_window_token1] = ACTIONS(1799),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1799),
    [aux_sym_set_operation_token3] = ACTIONS(1799),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_having_clause_token1] = ACTIONS(1799),
    [aux_sym_qualify_clause_token1] = ACTIONS(1799),
    [aux_sym_limit_clause_token1] = ACTIONS(1799),
    [aux_sym_group_by_clause_token1] = ACTIONS(1799),
    [aux_sym__direction_keywords_token1] = ACTIONS(1799),
    [aux_sym__direction_keywords_token2] = ACTIONS(1799),
    [aux_sym__nulls_preference_token1] = ACTIONS(1799),
    [aux_sym_order_by_clause_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [2541] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1809),
    [aux_sym_keyword_replace_token1] = ACTIONS(1811),
    [aux_sym__keyword_alter_token1] = ACTIONS(1809),
    [aux_sym__keyword_create_token1] = ACTIONS(1809),
    [aux_sym__keyword_drop_token1] = ACTIONS(1809),
    [aux_sym__keyword_delete_token1] = ACTIONS(1809),
    [aux_sym__keyword_begin_token1] = ACTIONS(1809),
    [aux_sym__keyword_end_token1] = ACTIONS(1809),
    [aux_sym__keyword_between_token1] = ACTIONS(1809),
    [aux_sym__keyword_when_token1] = ACTIONS(1809),
    [aux_sym__keyword_else_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1809),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1809),
    [aux_sym__keyword_like_token1] = ACTIONS(1809),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1809),
    [aux_sym__keyword_window_token1] = ACTIONS(1809),
    [aux_sym__keyword_for_token1] = ACTIONS(1809),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1809),
    [anon_sym_COMMA] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1809),
    [aux_sym_return_statement_token1] = ACTIONS(1809),
    [aux_sym_call_statement_token1] = ACTIONS(1809),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1809),
    [aux_sym_if_statement_token1] = ACTIONS(1809),
    [aux_sym_loop_statement_token1] = ACTIONS(1809),
    [aux_sym_repeat_statement_token1] = ACTIONS(1809),
    [aux_sym_while_statement_token1] = ACTIONS(1809),
    [aux_sym_break_statement_token1] = ACTIONS(1809),
    [aux_sym_leave_statement_token1] = ACTIONS(1809),
    [aux_sym_continue_statement_token1] = ACTIONS(1809),
    [aux_sym_iterate_statement_token1] = ACTIONS(1809),
    [aux_sym_raise_statement_token1] = ACTIONS(1809),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1809),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_set_operation_token1] = ACTIONS(1809),
    [aux_sym_set_operation_token3] = ACTIONS(1809),
    [aux_sym_set_operation_token4] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1809),
    [aux_sym_having_clause_token1] = ACTIONS(1809),
    [aux_sym_qualify_clause_token1] = ACTIONS(1809),
    [aux_sym_limit_clause_token1] = ACTIONS(1809),
    [aux_sym_group_by_clause_token1] = ACTIONS(1809),
    [aux_sym__direction_keywords_token1] = ACTIONS(1809),
    [aux_sym__direction_keywords_token2] = ACTIONS(1809),
    [aux_sym__nulls_preference_token1] = ACTIONS(1809),
    [aux_sym_order_by_clause_token1] = ACTIONS(1809),
    [aux_sym_insert_statement_token1] = ACTIONS(1809),
    [aux_sym_truncate_statement_token1] = ACTIONS(1809),
    [aux_sym_update_statement_token1] = ACTIONS(1809),
    [aux_sym_merge_statement_token1] = ACTIONS(1809),
    [aux_sym_grant_statement_token1] = ACTIONS(1809),
    [aux_sym_revoke_statement_token1] = ACTIONS(1809),
    [aux_sym_export_data_statement_token1] = ACTIONS(1809),
    [aux_sym_load_data_statement_token1] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [2542] = {
    [sym__keyword_as] = STATE(11556),
    [sym__keyword_date] = STATE(593),
    [sym__keyword_datetime] = STATE(593),
    [sym__keyword_time] = STATE(593),
    [sym__keyword_timestamp] = STATE(593),
    [sym_as_alias] = STATE(5266),
    [sym__type_chrono] = STATE(549),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(555),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2987),
    [aux_sym__keyword_alter_token1] = ACTIONS(2987),
    [aux_sym__keyword_create_token1] = ACTIONS(2987),
    [aux_sym__keyword_drop_token1] = ACTIONS(2987),
    [aux_sym__keyword_delete_token1] = ACTIONS(2987),
    [aux_sym__keyword_begin_token1] = ACTIONS(2987),
    [aux_sym__keyword_end_token1] = ACTIONS(2987),
    [aux_sym__keyword_when_token1] = ACTIONS(2987),
    [aux_sym__keyword_else_token1] = ACTIONS(2987),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2987),
    [aux_sym__keyword_as_token1] = ACTIONS(2941),
    [aux_sym__keyword_window_token1] = ACTIONS(2987),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [aux_sym_declare_statement_token1] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_set_statement_token1] = ACTIONS(2987),
    [anon_sym_LPAREN] = ACTIONS(2989),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2987),
    [aux_sym_using_clause_token1] = ACTIONS(2987),
    [aux_sym_return_statement_token1] = ACTIONS(2987),
    [aux_sym_call_statement_token1] = ACTIONS(2987),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2987),
    [aux_sym_if_statement_token1] = ACTIONS(2987),
    [aux_sym_loop_statement_token1] = ACTIONS(2987),
    [aux_sym_repeat_statement_token1] = ACTIONS(2987),
    [aux_sym_while_statement_token1] = ACTIONS(2987),
    [aux_sym_break_statement_token1] = ACTIONS(2987),
    [aux_sym_leave_statement_token1] = ACTIONS(2987),
    [aux_sym_continue_statement_token1] = ACTIONS(2987),
    [aux_sym_iterate_statement_token1] = ACTIONS(2987),
    [aux_sym_raise_statement_token1] = ACTIONS(2987),
    [aux_sym_assert_statement_token1] = ACTIONS(2987),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2987),
    [aux_sym_set_operation_token1] = ACTIONS(2987),
    [aux_sym_set_operation_token3] = ACTIONS(2987),
    [aux_sym_set_operation_token4] = ACTIONS(2987),
    [aux_sym_select_token1] = ACTIONS(2987),
    [aux_sym_having_clause_token1] = ACTIONS(2987),
    [aux_sym_qualify_clause_token1] = ACTIONS(2987),
    [aux_sym_limit_clause_token1] = ACTIONS(2987),
    [aux_sym_group_by_clause_token1] = ACTIONS(2987),
    [aux_sym_order_by_clause_token1] = ACTIONS(2987),
    [aux_sym_where_clause_token1] = ACTIONS(2987),
    [aux_sym_pivot_operator_token1] = ACTIONS(2987),
    [aux_sym_unpivot_operator_token1] = ACTIONS(2987),
    [aux_sym_tablesample_operator_token1] = ACTIONS(2987),
    [aux_sym_join_type_token1] = ACTIONS(2987),
    [aux_sym_join_type_token2] = ACTIONS(2987),
    [aux_sym_join_type_token3] = ACTIONS(2987),
    [aux_sym_join_type_token4] = ACTIONS(2987),
    [aux_sym__cross_join_operation_token1] = ACTIONS(2987),
    [aux_sym__cross_join_operation_token2] = ACTIONS(2987),
    [aux_sym_join_condition_token1] = ACTIONS(2987),
    [aux_sym_insert_statement_token1] = ACTIONS(2987),
    [aux_sym_truncate_statement_token1] = ACTIONS(2987),
    [aux_sym_update_statement_token1] = ACTIONS(2987),
    [aux_sym_merge_statement_token1] = ACTIONS(2987),
    [aux_sym_grant_statement_token1] = ACTIONS(2987),
    [aux_sym_revoke_statement_token1] = ACTIONS(2987),
    [aux_sym_export_data_statement_token1] = ACTIONS(2987),
    [aux_sym_load_data_statement_token1] = ACTIONS(2987),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [2543] = {
    [sym__keyword_as] = STATE(11556),
    [sym__keyword_date] = STATE(593),
    [sym__keyword_datetime] = STATE(593),
    [sym__keyword_time] = STATE(593),
    [sym__keyword_timestamp] = STATE(593),
    [sym_as_alias] = STATE(5269),
    [sym__type_chrono] = STATE(549),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(555),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2991),
    [aux_sym__keyword_alter_token1] = ACTIONS(2991),
    [aux_sym__keyword_create_token1] = ACTIONS(2991),
    [aux_sym__keyword_drop_token1] = ACTIONS(2991),
    [aux_sym__keyword_delete_token1] = ACTIONS(2991),
    [aux_sym__keyword_begin_token1] = ACTIONS(2991),
    [aux_sym__keyword_end_token1] = ACTIONS(2991),
    [aux_sym__keyword_when_token1] = ACTIONS(2991),
    [aux_sym__keyword_else_token1] = ACTIONS(2991),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2991),
    [aux_sym__keyword_as_token1] = ACTIONS(2941),
    [aux_sym__keyword_window_token1] = ACTIONS(2991),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [aux_sym_declare_statement_token1] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2993),
    [aux_sym_set_statement_token1] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2991),
    [aux_sym_using_clause_token1] = ACTIONS(2991),
    [aux_sym_return_statement_token1] = ACTIONS(2991),
    [aux_sym_call_statement_token1] = ACTIONS(2991),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2991),
    [aux_sym_if_statement_token1] = ACTIONS(2991),
    [aux_sym_loop_statement_token1] = ACTIONS(2991),
    [aux_sym_repeat_statement_token1] = ACTIONS(2991),
    [aux_sym_while_statement_token1] = ACTIONS(2991),
    [aux_sym_break_statement_token1] = ACTIONS(2991),
    [aux_sym_leave_statement_token1] = ACTIONS(2991),
    [aux_sym_continue_statement_token1] = ACTIONS(2991),
    [aux_sym_iterate_statement_token1] = ACTIONS(2991),
    [aux_sym_raise_statement_token1] = ACTIONS(2991),
    [aux_sym_assert_statement_token1] = ACTIONS(2991),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2991),
    [aux_sym_set_operation_token1] = ACTIONS(2991),
    [aux_sym_set_operation_token3] = ACTIONS(2991),
    [aux_sym_set_operation_token4] = ACTIONS(2991),
    [aux_sym_select_token1] = ACTIONS(2991),
    [aux_sym_having_clause_token1] = ACTIONS(2991),
    [aux_sym_qualify_clause_token1] = ACTIONS(2991),
    [aux_sym_limit_clause_token1] = ACTIONS(2991),
    [aux_sym_group_by_clause_token1] = ACTIONS(2991),
    [aux_sym_order_by_clause_token1] = ACTIONS(2991),
    [aux_sym_where_clause_token1] = ACTIONS(2991),
    [aux_sym_pivot_operator_token1] = ACTIONS(2991),
    [aux_sym_unpivot_operator_token1] = ACTIONS(2991),
    [aux_sym_tablesample_operator_token1] = ACTIONS(2991),
    [aux_sym_join_type_token1] = ACTIONS(2991),
    [aux_sym_join_type_token2] = ACTIONS(2991),
    [aux_sym_join_type_token3] = ACTIONS(2991),
    [aux_sym_join_type_token4] = ACTIONS(2991),
    [aux_sym__cross_join_operation_token1] = ACTIONS(2991),
    [aux_sym__cross_join_operation_token2] = ACTIONS(2991),
    [aux_sym_join_condition_token1] = ACTIONS(2991),
    [aux_sym_insert_statement_token1] = ACTIONS(2991),
    [aux_sym_truncate_statement_token1] = ACTIONS(2991),
    [aux_sym_update_statement_token1] = ACTIONS(2991),
    [aux_sym_merge_statement_token1] = ACTIONS(2991),
    [aux_sym_grant_statement_token1] = ACTIONS(2991),
    [aux_sym_revoke_statement_token1] = ACTIONS(2991),
    [aux_sym_export_data_statement_token1] = ACTIONS(2991),
    [aux_sym_load_data_statement_token1] = ACTIONS(2991),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [2544] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_when_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_window_token1] = ACTIONS(1799),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(2997),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1799),
    [aux_sym_set_operation_token3] = ACTIONS(1799),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_having_clause_token1] = ACTIONS(1799),
    [aux_sym_qualify_clause_token1] = ACTIONS(1799),
    [aux_sym_limit_clause_token1] = ACTIONS(1799),
    [aux_sym_group_by_clause_token1] = ACTIONS(1799),
    [aux_sym__direction_keywords_token1] = ACTIONS(1799),
    [aux_sym__direction_keywords_token2] = ACTIONS(1799),
    [aux_sym__nulls_preference_token1] = ACTIONS(1799),
    [aux_sym_order_by_clause_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [2545] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1697),
    [aux_sym_keyword_replace_token1] = ACTIONS(1699),
    [aux_sym__keyword_alter_token1] = ACTIONS(1697),
    [aux_sym__keyword_create_token1] = ACTIONS(1697),
    [aux_sym__keyword_drop_token1] = ACTIONS(1697),
    [aux_sym__keyword_delete_token1] = ACTIONS(1697),
    [aux_sym__keyword_begin_token1] = ACTIONS(1697),
    [aux_sym__keyword_end_token1] = ACTIONS(1697),
    [aux_sym__keyword_between_token1] = ACTIONS(1697),
    [aux_sym__keyword_when_token1] = ACTIONS(1697),
    [aux_sym__keyword_else_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1697),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1697),
    [aux_sym__keyword_like_token1] = ACTIONS(1697),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1697),
    [aux_sym__keyword_window_token1] = ACTIONS(1697),
    [aux_sym__keyword_for_token1] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1697),
    [aux_sym_return_statement_token1] = ACTIONS(1697),
    [aux_sym_call_statement_token1] = ACTIONS(1697),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1697),
    [aux_sym_if_statement_token1] = ACTIONS(1697),
    [aux_sym_loop_statement_token1] = ACTIONS(1697),
    [aux_sym_repeat_statement_token1] = ACTIONS(1697),
    [aux_sym_while_statement_token1] = ACTIONS(1697),
    [aux_sym_break_statement_token1] = ACTIONS(1697),
    [aux_sym_leave_statement_token1] = ACTIONS(1697),
    [aux_sym_continue_statement_token1] = ACTIONS(1697),
    [aux_sym_iterate_statement_token1] = ACTIONS(1697),
    [aux_sym_raise_statement_token1] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1697),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_set_operation_token1] = ACTIONS(1697),
    [aux_sym_set_operation_token3] = ACTIONS(1697),
    [aux_sym_set_operation_token4] = ACTIONS(1699),
    [aux_sym_select_token1] = ACTIONS(1697),
    [aux_sym_having_clause_token1] = ACTIONS(1697),
    [aux_sym_qualify_clause_token1] = ACTIONS(1697),
    [aux_sym_limit_clause_token1] = ACTIONS(1697),
    [aux_sym_group_by_clause_token1] = ACTIONS(1697),
    [aux_sym__direction_keywords_token1] = ACTIONS(1697),
    [aux_sym__direction_keywords_token2] = ACTIONS(1697),
    [aux_sym__nulls_preference_token1] = ACTIONS(1697),
    [aux_sym_order_by_clause_token1] = ACTIONS(1697),
    [aux_sym_insert_statement_token1] = ACTIONS(1697),
    [aux_sym_truncate_statement_token1] = ACTIONS(1697),
    [aux_sym_update_statement_token1] = ACTIONS(1697),
    [aux_sym_merge_statement_token1] = ACTIONS(1697),
    [aux_sym_grant_statement_token1] = ACTIONS(1697),
    [aux_sym_revoke_statement_token1] = ACTIONS(1697),
    [aux_sym_export_data_statement_token1] = ACTIONS(1697),
    [aux_sym_load_data_statement_token1] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [2546] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2547] = {
    [ts_builtin_sym_end] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1597),
    [aux_sym_keyword_replace_token1] = ACTIONS(1599),
    [aux_sym__keyword_alter_token1] = ACTIONS(1597),
    [aux_sym__keyword_create_token1] = ACTIONS(1597),
    [aux_sym__keyword_drop_token1] = ACTIONS(1597),
    [aux_sym__keyword_delete_token1] = ACTIONS(1597),
    [aux_sym__keyword_begin_token1] = ACTIONS(1597),
    [aux_sym__keyword_end_token1] = ACTIONS(1597),
    [aux_sym__keyword_between_token1] = ACTIONS(1597),
    [aux_sym__keyword_when_token1] = ACTIONS(1597),
    [aux_sym__keyword_else_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1597),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1597),
    [aux_sym__keyword_like_token1] = ACTIONS(1597),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1597),
    [aux_sym__keyword_window_token1] = ACTIONS(1597),
    [aux_sym__keyword_for_token1] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1597),
    [anon_sym_COMMA] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1597),
    [aux_sym_return_statement_token1] = ACTIONS(1597),
    [aux_sym_call_statement_token1] = ACTIONS(1597),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1597),
    [aux_sym_if_statement_token1] = ACTIONS(1597),
    [aux_sym_loop_statement_token1] = ACTIONS(1597),
    [aux_sym_repeat_statement_token1] = ACTIONS(1597),
    [aux_sym_while_statement_token1] = ACTIONS(1597),
    [aux_sym_break_statement_token1] = ACTIONS(1597),
    [aux_sym_leave_statement_token1] = ACTIONS(1597),
    [aux_sym_continue_statement_token1] = ACTIONS(1597),
    [aux_sym_iterate_statement_token1] = ACTIONS(1597),
    [aux_sym_raise_statement_token1] = ACTIONS(1597),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1597),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_set_operation_token1] = ACTIONS(1597),
    [aux_sym_set_operation_token3] = ACTIONS(1597),
    [aux_sym_set_operation_token4] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1597),
    [aux_sym_having_clause_token1] = ACTIONS(1597),
    [aux_sym_qualify_clause_token1] = ACTIONS(1597),
    [aux_sym_limit_clause_token1] = ACTIONS(1597),
    [aux_sym_group_by_clause_token1] = ACTIONS(1597),
    [aux_sym__direction_keywords_token1] = ACTIONS(1597),
    [aux_sym__direction_keywords_token2] = ACTIONS(1597),
    [aux_sym__nulls_preference_token1] = ACTIONS(1597),
    [aux_sym_order_by_clause_token1] = ACTIONS(1597),
    [aux_sym_insert_statement_token1] = ACTIONS(1597),
    [aux_sym_truncate_statement_token1] = ACTIONS(1597),
    [aux_sym_update_statement_token1] = ACTIONS(1597),
    [aux_sym_merge_statement_token1] = ACTIONS(1597),
    [aux_sym_grant_statement_token1] = ACTIONS(1597),
    [aux_sym_revoke_statement_token1] = ACTIONS(1597),
    [aux_sym_export_data_statement_token1] = ACTIONS(1597),
    [aux_sym_load_data_statement_token1] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [2548] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2549] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2550] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2551] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2552] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1755),
    [aux_sym_keyword_replace_token1] = ACTIONS(1757),
    [aux_sym__keyword_alter_token1] = ACTIONS(1755),
    [aux_sym__keyword_create_token1] = ACTIONS(1755),
    [aux_sym__keyword_drop_token1] = ACTIONS(1755),
    [aux_sym__keyword_delete_token1] = ACTIONS(1755),
    [aux_sym__keyword_begin_token1] = ACTIONS(1755),
    [aux_sym__keyword_end_token1] = ACTIONS(1755),
    [aux_sym__keyword_between_token1] = ACTIONS(1755),
    [aux_sym__keyword_when_token1] = ACTIONS(1755),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1755),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1755),
    [aux_sym__keyword_like_token1] = ACTIONS(1755),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1755),
    [aux_sym__keyword_window_token1] = ACTIONS(1755),
    [aux_sym__keyword_for_token1] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1755),
    [aux_sym_return_statement_token1] = ACTIONS(1755),
    [aux_sym_call_statement_token1] = ACTIONS(1755),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1755),
    [aux_sym_if_statement_token1] = ACTIONS(1755),
    [aux_sym_loop_statement_token1] = ACTIONS(1755),
    [aux_sym_repeat_statement_token1] = ACTIONS(1755),
    [aux_sym_while_statement_token1] = ACTIONS(1755),
    [aux_sym_break_statement_token1] = ACTIONS(1755),
    [aux_sym_leave_statement_token1] = ACTIONS(1755),
    [aux_sym_continue_statement_token1] = ACTIONS(1755),
    [aux_sym_iterate_statement_token1] = ACTIONS(1755),
    [aux_sym_raise_statement_token1] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1755),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_set_operation_token1] = ACTIONS(1755),
    [aux_sym_set_operation_token3] = ACTIONS(1755),
    [aux_sym_set_operation_token4] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1755),
    [aux_sym_having_clause_token1] = ACTIONS(1755),
    [aux_sym_qualify_clause_token1] = ACTIONS(1755),
    [aux_sym_limit_clause_token1] = ACTIONS(1755),
    [aux_sym_group_by_clause_token1] = ACTIONS(1755),
    [aux_sym__direction_keywords_token1] = ACTIONS(1755),
    [aux_sym__direction_keywords_token2] = ACTIONS(1755),
    [aux_sym__nulls_preference_token1] = ACTIONS(1755),
    [aux_sym_order_by_clause_token1] = ACTIONS(1755),
    [aux_sym_insert_statement_token1] = ACTIONS(1755),
    [aux_sym_truncate_statement_token1] = ACTIONS(1755),
    [aux_sym_update_statement_token1] = ACTIONS(1755),
    [aux_sym_merge_statement_token1] = ACTIONS(1755),
    [aux_sym_grant_statement_token1] = ACTIONS(1755),
    [aux_sym_revoke_statement_token1] = ACTIONS(1755),
    [aux_sym_export_data_statement_token1] = ACTIONS(1755),
    [aux_sym_load_data_statement_token1] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [2553] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1601),
    [aux_sym_keyword_replace_token1] = ACTIONS(1603),
    [aux_sym__keyword_alter_token1] = ACTIONS(1601),
    [aux_sym__keyword_create_token1] = ACTIONS(1601),
    [aux_sym__keyword_drop_token1] = ACTIONS(1601),
    [aux_sym__keyword_delete_token1] = ACTIONS(1601),
    [aux_sym__keyword_begin_token1] = ACTIONS(1601),
    [aux_sym__keyword_end_token1] = ACTIONS(1601),
    [aux_sym__keyword_between_token1] = ACTIONS(1601),
    [aux_sym__keyword_when_token1] = ACTIONS(1601),
    [aux_sym__keyword_else_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1601),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1601),
    [aux_sym__keyword_like_token1] = ACTIONS(1601),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1601),
    [aux_sym__keyword_window_token1] = ACTIONS(1601),
    [aux_sym__keyword_for_token1] = ACTIONS(1601),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1601),
    [aux_sym_return_statement_token1] = ACTIONS(1601),
    [aux_sym_call_statement_token1] = ACTIONS(1601),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1601),
    [aux_sym_if_statement_token1] = ACTIONS(1601),
    [aux_sym_loop_statement_token1] = ACTIONS(1601),
    [aux_sym_repeat_statement_token1] = ACTIONS(1601),
    [aux_sym_while_statement_token1] = ACTIONS(1601),
    [aux_sym_break_statement_token1] = ACTIONS(1601),
    [aux_sym_leave_statement_token1] = ACTIONS(1601),
    [aux_sym_continue_statement_token1] = ACTIONS(1601),
    [aux_sym_iterate_statement_token1] = ACTIONS(1601),
    [aux_sym_raise_statement_token1] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1601),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1601),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_set_operation_token1] = ACTIONS(1601),
    [aux_sym_set_operation_token3] = ACTIONS(1601),
    [aux_sym_set_operation_token4] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1601),
    [aux_sym_having_clause_token1] = ACTIONS(1601),
    [aux_sym_qualify_clause_token1] = ACTIONS(1601),
    [aux_sym_limit_clause_token1] = ACTIONS(1601),
    [aux_sym_group_by_clause_token1] = ACTIONS(1601),
    [aux_sym__direction_keywords_token1] = ACTIONS(1601),
    [aux_sym__direction_keywords_token2] = ACTIONS(1601),
    [aux_sym__nulls_preference_token1] = ACTIONS(1601),
    [aux_sym_order_by_clause_token1] = ACTIONS(1601),
    [aux_sym_insert_statement_token1] = ACTIONS(1601),
    [aux_sym_truncate_statement_token1] = ACTIONS(1601),
    [aux_sym_update_statement_token1] = ACTIONS(1601),
    [aux_sym_merge_statement_token1] = ACTIONS(1601),
    [aux_sym_grant_statement_token1] = ACTIONS(1601),
    [aux_sym_revoke_statement_token1] = ACTIONS(1601),
    [aux_sym_export_data_statement_token1] = ACTIONS(1601),
    [aux_sym_load_data_statement_token1] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [2554] = {
    [ts_builtin_sym_end] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1605),
    [aux_sym_keyword_replace_token1] = ACTIONS(1607),
    [aux_sym__keyword_alter_token1] = ACTIONS(1605),
    [aux_sym__keyword_create_token1] = ACTIONS(1605),
    [aux_sym__keyword_drop_token1] = ACTIONS(1605),
    [aux_sym__keyword_delete_token1] = ACTIONS(1605),
    [aux_sym__keyword_begin_token1] = ACTIONS(1605),
    [aux_sym__keyword_end_token1] = ACTIONS(1605),
    [aux_sym__keyword_between_token1] = ACTIONS(1605),
    [aux_sym__keyword_when_token1] = ACTIONS(1605),
    [aux_sym__keyword_else_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1605),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1605),
    [aux_sym__keyword_like_token1] = ACTIONS(1605),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1605),
    [aux_sym__keyword_window_token1] = ACTIONS(1605),
    [aux_sym__keyword_for_token1] = ACTIONS(1605),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1605),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1605),
    [aux_sym_return_statement_token1] = ACTIONS(1605),
    [aux_sym_call_statement_token1] = ACTIONS(1605),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1605),
    [aux_sym_if_statement_token1] = ACTIONS(1605),
    [aux_sym_loop_statement_token1] = ACTIONS(1605),
    [aux_sym_repeat_statement_token1] = ACTIONS(1605),
    [aux_sym_while_statement_token1] = ACTIONS(1605),
    [aux_sym_break_statement_token1] = ACTIONS(1605),
    [aux_sym_leave_statement_token1] = ACTIONS(1605),
    [aux_sym_continue_statement_token1] = ACTIONS(1605),
    [aux_sym_iterate_statement_token1] = ACTIONS(1605),
    [aux_sym_raise_statement_token1] = ACTIONS(1605),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1605),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1605),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_set_operation_token1] = ACTIONS(1605),
    [aux_sym_set_operation_token3] = ACTIONS(1605),
    [aux_sym_set_operation_token4] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1605),
    [aux_sym_having_clause_token1] = ACTIONS(1605),
    [aux_sym_qualify_clause_token1] = ACTIONS(1605),
    [aux_sym_limit_clause_token1] = ACTIONS(1605),
    [aux_sym_group_by_clause_token1] = ACTIONS(1605),
    [aux_sym__direction_keywords_token1] = ACTIONS(1605),
    [aux_sym__direction_keywords_token2] = ACTIONS(1605),
    [aux_sym__nulls_preference_token1] = ACTIONS(1605),
    [aux_sym_order_by_clause_token1] = ACTIONS(1605),
    [aux_sym_insert_statement_token1] = ACTIONS(1605),
    [aux_sym_truncate_statement_token1] = ACTIONS(1605),
    [aux_sym_update_statement_token1] = ACTIONS(1605),
    [aux_sym_merge_statement_token1] = ACTIONS(1605),
    [aux_sym_grant_statement_token1] = ACTIONS(1605),
    [aux_sym_revoke_statement_token1] = ACTIONS(1605),
    [aux_sym_export_data_statement_token1] = ACTIONS(1605),
    [aux_sym_load_data_statement_token1] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [2555] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2556] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1751),
    [aux_sym_keyword_replace_token1] = ACTIONS(1753),
    [aux_sym__keyword_alter_token1] = ACTIONS(1751),
    [aux_sym__keyword_create_token1] = ACTIONS(1751),
    [aux_sym__keyword_drop_token1] = ACTIONS(1751),
    [aux_sym__keyword_delete_token1] = ACTIONS(1751),
    [aux_sym__keyword_begin_token1] = ACTIONS(1751),
    [aux_sym__keyword_end_token1] = ACTIONS(1751),
    [aux_sym__keyword_between_token1] = ACTIONS(1751),
    [aux_sym__keyword_when_token1] = ACTIONS(1751),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1751),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1751),
    [aux_sym__keyword_like_token1] = ACTIONS(1751),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1751),
    [aux_sym__keyword_window_token1] = ACTIONS(1751),
    [aux_sym__keyword_for_token1] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1751),
    [aux_sym_return_statement_token1] = ACTIONS(1751),
    [aux_sym_call_statement_token1] = ACTIONS(1751),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1751),
    [aux_sym_if_statement_token1] = ACTIONS(1751),
    [aux_sym_loop_statement_token1] = ACTIONS(1751),
    [aux_sym_repeat_statement_token1] = ACTIONS(1751),
    [aux_sym_while_statement_token1] = ACTIONS(1751),
    [aux_sym_break_statement_token1] = ACTIONS(1751),
    [aux_sym_leave_statement_token1] = ACTIONS(1751),
    [aux_sym_continue_statement_token1] = ACTIONS(1751),
    [aux_sym_iterate_statement_token1] = ACTIONS(1751),
    [aux_sym_raise_statement_token1] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1751),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_set_operation_token1] = ACTIONS(1751),
    [aux_sym_set_operation_token3] = ACTIONS(1751),
    [aux_sym_set_operation_token4] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1751),
    [aux_sym_having_clause_token1] = ACTIONS(1751),
    [aux_sym_qualify_clause_token1] = ACTIONS(1751),
    [aux_sym_limit_clause_token1] = ACTIONS(1751),
    [aux_sym_group_by_clause_token1] = ACTIONS(1751),
    [aux_sym__direction_keywords_token1] = ACTIONS(1751),
    [aux_sym__direction_keywords_token2] = ACTIONS(1751),
    [aux_sym__nulls_preference_token1] = ACTIONS(1751),
    [aux_sym_order_by_clause_token1] = ACTIONS(1751),
    [aux_sym_insert_statement_token1] = ACTIONS(1751),
    [aux_sym_truncate_statement_token1] = ACTIONS(1751),
    [aux_sym_update_statement_token1] = ACTIONS(1751),
    [aux_sym_merge_statement_token1] = ACTIONS(1751),
    [aux_sym_grant_statement_token1] = ACTIONS(1751),
    [aux_sym_revoke_statement_token1] = ACTIONS(1751),
    [aux_sym_export_data_statement_token1] = ACTIONS(1751),
    [aux_sym_load_data_statement_token1] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [2557] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_when_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_window_token1] = ACTIONS(1857),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1857),
    [aux_sym_set_operation_token3] = ACTIONS(1857),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_having_clause_token1] = ACTIONS(1857),
    [aux_sym_qualify_clause_token1] = ACTIONS(1857),
    [aux_sym_limit_clause_token1] = ACTIONS(1857),
    [aux_sym_group_by_clause_token1] = ACTIONS(1857),
    [aux_sym__direction_keywords_token1] = ACTIONS(1857),
    [aux_sym__direction_keywords_token2] = ACTIONS(1857),
    [aux_sym__nulls_preference_token1] = ACTIONS(1857),
    [aux_sym_order_by_clause_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [2558] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_when_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_window_token1] = ACTIONS(1857),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1857),
    [aux_sym_set_operation_token3] = ACTIONS(1857),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_having_clause_token1] = ACTIONS(1857),
    [aux_sym_qualify_clause_token1] = ACTIONS(1857),
    [aux_sym_limit_clause_token1] = ACTIONS(1857),
    [aux_sym_group_by_clause_token1] = ACTIONS(1857),
    [aux_sym__direction_keywords_token1] = ACTIONS(1857),
    [aux_sym__direction_keywords_token2] = ACTIONS(1857),
    [aux_sym__nulls_preference_token1] = ACTIONS(1857),
    [aux_sym_order_by_clause_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [2559] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_window_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_having_clause_token1] = ACTIONS(1685),
    [aux_sym_qualify_clause_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym_group_by_clause_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token2] = ACTIONS(1685),
    [aux_sym__nulls_preference_token1] = ACTIONS(1685),
    [aux_sym_order_by_clause_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [2560] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_window_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_having_clause_token1] = ACTIONS(1685),
    [aux_sym_qualify_clause_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym_group_by_clause_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token2] = ACTIONS(1685),
    [aux_sym__nulls_preference_token1] = ACTIONS(1685),
    [aux_sym_order_by_clause_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [2561] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_window_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1187),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_having_clause_token1] = ACTIONS(1187),
    [aux_sym_qualify_clause_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym_group_by_clause_token1] = ACTIONS(1187),
    [aux_sym_order_by_clause_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2562] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_window_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_having_clause_token1] = ACTIONS(1685),
    [aux_sym_qualify_clause_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym_group_by_clause_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token2] = ACTIONS(1685),
    [aux_sym__nulls_preference_token1] = ACTIONS(1685),
    [aux_sym_order_by_clause_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [2563] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_window_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_having_clause_token1] = ACTIONS(1685),
    [aux_sym_qualify_clause_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym_group_by_clause_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token2] = ACTIONS(1685),
    [aux_sym__nulls_preference_token1] = ACTIONS(1685),
    [aux_sym_order_by_clause_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [2564] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2565] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2566] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2567] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2568] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2569] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_window_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_having_clause_token1] = ACTIONS(1405),
    [aux_sym_qualify_clause_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym_group_by_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_order_by_clause_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2570] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1613),
    [aux_sym_keyword_replace_token1] = ACTIONS(1615),
    [aux_sym__keyword_alter_token1] = ACTIONS(1613),
    [aux_sym__keyword_create_token1] = ACTIONS(1613),
    [aux_sym__keyword_drop_token1] = ACTIONS(1613),
    [aux_sym__keyword_delete_token1] = ACTIONS(1613),
    [aux_sym__keyword_begin_token1] = ACTIONS(1613),
    [aux_sym__keyword_end_token1] = ACTIONS(1613),
    [aux_sym__keyword_between_token1] = ACTIONS(1613),
    [aux_sym__keyword_when_token1] = ACTIONS(1613),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1613),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1613),
    [aux_sym__keyword_like_token1] = ACTIONS(1613),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1613),
    [aux_sym__keyword_window_token1] = ACTIONS(1613),
    [aux_sym__keyword_for_token1] = ACTIONS(1613),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1613),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1613),
    [aux_sym_return_statement_token1] = ACTIONS(1613),
    [aux_sym_call_statement_token1] = ACTIONS(1613),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1613),
    [aux_sym_if_statement_token1] = ACTIONS(1613),
    [aux_sym_loop_statement_token1] = ACTIONS(1613),
    [aux_sym_repeat_statement_token1] = ACTIONS(1613),
    [aux_sym_while_statement_token1] = ACTIONS(1613),
    [aux_sym_break_statement_token1] = ACTIONS(1613),
    [aux_sym_leave_statement_token1] = ACTIONS(1613),
    [aux_sym_continue_statement_token1] = ACTIONS(1613),
    [aux_sym_iterate_statement_token1] = ACTIONS(1613),
    [aux_sym_raise_statement_token1] = ACTIONS(1613),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1613),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1613),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_set_operation_token1] = ACTIONS(1613),
    [aux_sym_set_operation_token3] = ACTIONS(1613),
    [aux_sym_set_operation_token4] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1613),
    [aux_sym_having_clause_token1] = ACTIONS(1613),
    [aux_sym_qualify_clause_token1] = ACTIONS(1613),
    [aux_sym_limit_clause_token1] = ACTIONS(1613),
    [aux_sym_group_by_clause_token1] = ACTIONS(1613),
    [aux_sym__direction_keywords_token1] = ACTIONS(1613),
    [aux_sym__direction_keywords_token2] = ACTIONS(1613),
    [aux_sym__nulls_preference_token1] = ACTIONS(1613),
    [aux_sym_order_by_clause_token1] = ACTIONS(1613),
    [aux_sym_insert_statement_token1] = ACTIONS(1613),
    [aux_sym_truncate_statement_token1] = ACTIONS(1613),
    [aux_sym_update_statement_token1] = ACTIONS(1613),
    [aux_sym_merge_statement_token1] = ACTIONS(1613),
    [aux_sym_grant_statement_token1] = ACTIONS(1613),
    [aux_sym_revoke_statement_token1] = ACTIONS(1613),
    [aux_sym_export_data_statement_token1] = ACTIONS(1613),
    [aux_sym_load_data_statement_token1] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [2571] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2572] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2573] = {
    [ts_builtin_sym_end] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1609),
    [aux_sym_keyword_replace_token1] = ACTIONS(1611),
    [aux_sym__keyword_alter_token1] = ACTIONS(1609),
    [aux_sym__keyword_create_token1] = ACTIONS(1609),
    [aux_sym__keyword_drop_token1] = ACTIONS(1609),
    [aux_sym__keyword_delete_token1] = ACTIONS(1609),
    [aux_sym__keyword_begin_token1] = ACTIONS(1609),
    [aux_sym__keyword_end_token1] = ACTIONS(1609),
    [aux_sym__keyword_between_token1] = ACTIONS(1609),
    [aux_sym__keyword_when_token1] = ACTIONS(1609),
    [aux_sym__keyword_else_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1609),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1609),
    [aux_sym__keyword_like_token1] = ACTIONS(1609),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1609),
    [aux_sym__keyword_window_token1] = ACTIONS(1609),
    [aux_sym__keyword_for_token1] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1609),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1609),
    [aux_sym_return_statement_token1] = ACTIONS(1609),
    [aux_sym_call_statement_token1] = ACTIONS(1609),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1609),
    [aux_sym_if_statement_token1] = ACTIONS(1609),
    [aux_sym_loop_statement_token1] = ACTIONS(1609),
    [aux_sym_repeat_statement_token1] = ACTIONS(1609),
    [aux_sym_while_statement_token1] = ACTIONS(1609),
    [aux_sym_break_statement_token1] = ACTIONS(1609),
    [aux_sym_leave_statement_token1] = ACTIONS(1609),
    [aux_sym_continue_statement_token1] = ACTIONS(1609),
    [aux_sym_iterate_statement_token1] = ACTIONS(1609),
    [aux_sym_raise_statement_token1] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1609),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1609),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_set_operation_token1] = ACTIONS(1609),
    [aux_sym_set_operation_token3] = ACTIONS(1609),
    [aux_sym_set_operation_token4] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1609),
    [aux_sym_having_clause_token1] = ACTIONS(1609),
    [aux_sym_qualify_clause_token1] = ACTIONS(1609),
    [aux_sym_limit_clause_token1] = ACTIONS(1609),
    [aux_sym_group_by_clause_token1] = ACTIONS(1609),
    [aux_sym__direction_keywords_token1] = ACTIONS(1609),
    [aux_sym__direction_keywords_token2] = ACTIONS(1609),
    [aux_sym__nulls_preference_token1] = ACTIONS(1609),
    [aux_sym_order_by_clause_token1] = ACTIONS(1609),
    [aux_sym_insert_statement_token1] = ACTIONS(1609),
    [aux_sym_truncate_statement_token1] = ACTIONS(1609),
    [aux_sym_update_statement_token1] = ACTIONS(1609),
    [aux_sym_merge_statement_token1] = ACTIONS(1609),
    [aux_sym_grant_statement_token1] = ACTIONS(1609),
    [aux_sym_revoke_statement_token1] = ACTIONS(1609),
    [aux_sym_export_data_statement_token1] = ACTIONS(1609),
    [aux_sym_load_data_statement_token1] = ACTIONS(1609),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [2574] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2575] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(2999),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_is_token1] = ACTIONS(3001),
    [aux_sym__keyword_in_token1] = ACTIONS(3003),
    [aux_sym__keyword_and_token1] = ACTIONS(3005),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_window_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3007),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1191),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_having_clause_token1] = ACTIONS(1191),
    [aux_sym_qualify_clause_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym_group_by_clause_token1] = ACTIONS(1191),
    [aux_sym_order_by_clause_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_LT_GT] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2576] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_window_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1523),
    [aux_sym_set_operation_token3] = ACTIONS(1523),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_having_clause_token1] = ACTIONS(1523),
    [aux_sym_qualify_clause_token1] = ACTIONS(1523),
    [aux_sym_limit_clause_token1] = ACTIONS(1523),
    [aux_sym_group_by_clause_token1] = ACTIONS(1523),
    [aux_sym__direction_keywords_token1] = ACTIONS(1523),
    [aux_sym__direction_keywords_token2] = ACTIONS(1523),
    [aux_sym__nulls_preference_token1] = ACTIONS(1523),
    [aux_sym_order_by_clause_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [2577] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2578] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2579] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2580] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2581] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2582] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2583] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2584] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2585] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2586] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2587] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1633),
    [aux_sym_keyword_replace_token1] = ACTIONS(1635),
    [aux_sym__keyword_alter_token1] = ACTIONS(1633),
    [aux_sym__keyword_create_token1] = ACTIONS(1633),
    [aux_sym__keyword_drop_token1] = ACTIONS(1633),
    [aux_sym__keyword_delete_token1] = ACTIONS(1633),
    [aux_sym__keyword_begin_token1] = ACTIONS(1633),
    [aux_sym__keyword_end_token1] = ACTIONS(1633),
    [aux_sym__keyword_between_token1] = ACTIONS(1633),
    [aux_sym__keyword_when_token1] = ACTIONS(1633),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1633),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1633),
    [aux_sym__keyword_like_token1] = ACTIONS(1633),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1633),
    [aux_sym__keyword_window_token1] = ACTIONS(1633),
    [aux_sym__keyword_for_token1] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1633),
    [aux_sym_return_statement_token1] = ACTIONS(1633),
    [aux_sym_call_statement_token1] = ACTIONS(1633),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1633),
    [aux_sym_if_statement_token1] = ACTIONS(1633),
    [aux_sym_loop_statement_token1] = ACTIONS(1633),
    [aux_sym_repeat_statement_token1] = ACTIONS(1633),
    [aux_sym_while_statement_token1] = ACTIONS(1633),
    [aux_sym_break_statement_token1] = ACTIONS(1633),
    [aux_sym_leave_statement_token1] = ACTIONS(1633),
    [aux_sym_continue_statement_token1] = ACTIONS(1633),
    [aux_sym_iterate_statement_token1] = ACTIONS(1633),
    [aux_sym_raise_statement_token1] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1633),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_set_operation_token1] = ACTIONS(1633),
    [aux_sym_set_operation_token3] = ACTIONS(1633),
    [aux_sym_set_operation_token4] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1633),
    [aux_sym_having_clause_token1] = ACTIONS(1633),
    [aux_sym_qualify_clause_token1] = ACTIONS(1633),
    [aux_sym_limit_clause_token1] = ACTIONS(1633),
    [aux_sym_group_by_clause_token1] = ACTIONS(1633),
    [aux_sym__direction_keywords_token1] = ACTIONS(1633),
    [aux_sym__direction_keywords_token2] = ACTIONS(1633),
    [aux_sym__nulls_preference_token1] = ACTIONS(1633),
    [aux_sym_order_by_clause_token1] = ACTIONS(1633),
    [aux_sym_insert_statement_token1] = ACTIONS(1633),
    [aux_sym_truncate_statement_token1] = ACTIONS(1633),
    [aux_sym_update_statement_token1] = ACTIONS(1633),
    [aux_sym_merge_statement_token1] = ACTIONS(1633),
    [aux_sym_grant_statement_token1] = ACTIONS(1633),
    [aux_sym_revoke_statement_token1] = ACTIONS(1633),
    [aux_sym_export_data_statement_token1] = ACTIONS(1633),
    [aux_sym_load_data_statement_token1] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [2588] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2589] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1681),
    [aux_sym_keyword_replace_token1] = ACTIONS(1683),
    [aux_sym__keyword_alter_token1] = ACTIONS(1681),
    [aux_sym__keyword_create_token1] = ACTIONS(1681),
    [aux_sym__keyword_drop_token1] = ACTIONS(1681),
    [aux_sym__keyword_delete_token1] = ACTIONS(1681),
    [aux_sym__keyword_begin_token1] = ACTIONS(1681),
    [aux_sym__keyword_end_token1] = ACTIONS(1681),
    [aux_sym__keyword_between_token1] = ACTIONS(1681),
    [aux_sym__keyword_when_token1] = ACTIONS(1681),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1681),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1681),
    [aux_sym__keyword_like_token1] = ACTIONS(1681),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1681),
    [aux_sym__keyword_window_token1] = ACTIONS(1681),
    [aux_sym__keyword_for_token1] = ACTIONS(1681),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1681),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1681),
    [aux_sym_return_statement_token1] = ACTIONS(1681),
    [aux_sym_call_statement_token1] = ACTIONS(1681),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1681),
    [aux_sym_if_statement_token1] = ACTIONS(1681),
    [aux_sym_loop_statement_token1] = ACTIONS(1681),
    [aux_sym_repeat_statement_token1] = ACTIONS(1681),
    [aux_sym_while_statement_token1] = ACTIONS(1681),
    [aux_sym_break_statement_token1] = ACTIONS(1681),
    [aux_sym_leave_statement_token1] = ACTIONS(1681),
    [aux_sym_continue_statement_token1] = ACTIONS(1681),
    [aux_sym_iterate_statement_token1] = ACTIONS(1681),
    [aux_sym_raise_statement_token1] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1681),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_set_operation_token1] = ACTIONS(1681),
    [aux_sym_set_operation_token3] = ACTIONS(1681),
    [aux_sym_set_operation_token4] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1681),
    [aux_sym_having_clause_token1] = ACTIONS(1681),
    [aux_sym_qualify_clause_token1] = ACTIONS(1681),
    [aux_sym_limit_clause_token1] = ACTIONS(1681),
    [aux_sym_group_by_clause_token1] = ACTIONS(1681),
    [aux_sym__direction_keywords_token1] = ACTIONS(1681),
    [aux_sym__direction_keywords_token2] = ACTIONS(1681),
    [aux_sym__nulls_preference_token1] = ACTIONS(1681),
    [aux_sym_order_by_clause_token1] = ACTIONS(1681),
    [aux_sym_insert_statement_token1] = ACTIONS(1681),
    [aux_sym_truncate_statement_token1] = ACTIONS(1681),
    [aux_sym_update_statement_token1] = ACTIONS(1681),
    [aux_sym_merge_statement_token1] = ACTIONS(1681),
    [aux_sym_grant_statement_token1] = ACTIONS(1681),
    [aux_sym_revoke_statement_token1] = ACTIONS(1681),
    [aux_sym_export_data_statement_token1] = ACTIONS(1681),
    [aux_sym_load_data_statement_token1] = ACTIONS(1681),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [2590] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2591] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2592] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2593] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2594] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_window_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_having_clause_token1] = ACTIONS(1421),
    [aux_sym_qualify_clause_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym_group_by_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_order_by_clause_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2595] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2596] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2597] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2598] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2599] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2600] = {
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_when_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_window_token1] = ACTIONS(1465),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1465),
    [aux_sym_set_operation_token3] = ACTIONS(1465),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_having_clause_token1] = ACTIONS(1465),
    [aux_sym_qualify_clause_token1] = ACTIONS(1465),
    [aux_sym_limit_clause_token1] = ACTIONS(1465),
    [aux_sym_group_by_clause_token1] = ACTIONS(1465),
    [aux_sym__direction_keywords_token1] = ACTIONS(1465),
    [aux_sym__direction_keywords_token2] = ACTIONS(1465),
    [aux_sym__nulls_preference_token1] = ACTIONS(1465),
    [aux_sym_order_by_clause_token1] = ACTIONS(1465),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [2601] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1653),
    [aux_sym_keyword_replace_token1] = ACTIONS(1655),
    [aux_sym__keyword_alter_token1] = ACTIONS(1653),
    [aux_sym__keyword_create_token1] = ACTIONS(1653),
    [aux_sym__keyword_drop_token1] = ACTIONS(1653),
    [aux_sym__keyword_delete_token1] = ACTIONS(1653),
    [aux_sym__keyword_begin_token1] = ACTIONS(1653),
    [aux_sym__keyword_end_token1] = ACTIONS(1653),
    [aux_sym__keyword_between_token1] = ACTIONS(1653),
    [aux_sym__keyword_when_token1] = ACTIONS(1653),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1653),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1653),
    [aux_sym__keyword_like_token1] = ACTIONS(1653),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1653),
    [aux_sym__keyword_window_token1] = ACTIONS(1653),
    [aux_sym__keyword_for_token1] = ACTIONS(1653),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1653),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1653),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1653),
    [aux_sym_return_statement_token1] = ACTIONS(1653),
    [aux_sym_call_statement_token1] = ACTIONS(1653),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1653),
    [aux_sym_if_statement_token1] = ACTIONS(1653),
    [aux_sym_loop_statement_token1] = ACTIONS(1653),
    [aux_sym_repeat_statement_token1] = ACTIONS(1653),
    [aux_sym_while_statement_token1] = ACTIONS(1653),
    [aux_sym_break_statement_token1] = ACTIONS(1653),
    [aux_sym_leave_statement_token1] = ACTIONS(1653),
    [aux_sym_continue_statement_token1] = ACTIONS(1653),
    [aux_sym_iterate_statement_token1] = ACTIONS(1653),
    [aux_sym_raise_statement_token1] = ACTIONS(1653),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1653),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1653),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_set_operation_token1] = ACTIONS(1653),
    [aux_sym_set_operation_token3] = ACTIONS(1653),
    [aux_sym_set_operation_token4] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1653),
    [aux_sym_having_clause_token1] = ACTIONS(1653),
    [aux_sym_qualify_clause_token1] = ACTIONS(1653),
    [aux_sym_limit_clause_token1] = ACTIONS(1653),
    [aux_sym_group_by_clause_token1] = ACTIONS(1653),
    [aux_sym__direction_keywords_token1] = ACTIONS(1653),
    [aux_sym__direction_keywords_token2] = ACTIONS(1653),
    [aux_sym__nulls_preference_token1] = ACTIONS(1653),
    [aux_sym_order_by_clause_token1] = ACTIONS(1653),
    [aux_sym_insert_statement_token1] = ACTIONS(1653),
    [aux_sym_truncate_statement_token1] = ACTIONS(1653),
    [aux_sym_update_statement_token1] = ACTIONS(1653),
    [aux_sym_merge_statement_token1] = ACTIONS(1653),
    [aux_sym_grant_statement_token1] = ACTIONS(1653),
    [aux_sym_revoke_statement_token1] = ACTIONS(1653),
    [aux_sym_export_data_statement_token1] = ACTIONS(1653),
    [aux_sym_load_data_statement_token1] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [2602] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2603] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2604] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2605] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2606] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1861),
    [aux_sym_keyword_replace_token1] = ACTIONS(1863),
    [aux_sym__keyword_alter_token1] = ACTIONS(1861),
    [aux_sym__keyword_create_token1] = ACTIONS(1861),
    [aux_sym__keyword_drop_token1] = ACTIONS(1861),
    [aux_sym__keyword_delete_token1] = ACTIONS(1861),
    [aux_sym__keyword_begin_token1] = ACTIONS(1861),
    [aux_sym__keyword_end_token1] = ACTIONS(1861),
    [aux_sym__keyword_between_token1] = ACTIONS(1861),
    [aux_sym__keyword_when_token1] = ACTIONS(1861),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1861),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1861),
    [aux_sym__keyword_like_token1] = ACTIONS(1861),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1861),
    [aux_sym__keyword_window_token1] = ACTIONS(1861),
    [aux_sym__keyword_for_token1] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1861),
    [aux_sym_return_statement_token1] = ACTIONS(1861),
    [aux_sym_call_statement_token1] = ACTIONS(1861),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1861),
    [aux_sym_if_statement_token1] = ACTIONS(1861),
    [aux_sym_loop_statement_token1] = ACTIONS(1861),
    [aux_sym_repeat_statement_token1] = ACTIONS(1861),
    [aux_sym_while_statement_token1] = ACTIONS(1861),
    [aux_sym_break_statement_token1] = ACTIONS(1861),
    [aux_sym_leave_statement_token1] = ACTIONS(1861),
    [aux_sym_continue_statement_token1] = ACTIONS(1861),
    [aux_sym_iterate_statement_token1] = ACTIONS(1861),
    [aux_sym_raise_statement_token1] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1861),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_set_operation_token1] = ACTIONS(1861),
    [aux_sym_set_operation_token3] = ACTIONS(1861),
    [aux_sym_set_operation_token4] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1861),
    [aux_sym_having_clause_token1] = ACTIONS(1861),
    [aux_sym_qualify_clause_token1] = ACTIONS(1861),
    [aux_sym_limit_clause_token1] = ACTIONS(1861),
    [aux_sym_group_by_clause_token1] = ACTIONS(1861),
    [aux_sym__direction_keywords_token1] = ACTIONS(1861),
    [aux_sym__direction_keywords_token2] = ACTIONS(1861),
    [aux_sym__nulls_preference_token1] = ACTIONS(1861),
    [aux_sym_order_by_clause_token1] = ACTIONS(1861),
    [aux_sym_insert_statement_token1] = ACTIONS(1861),
    [aux_sym_truncate_statement_token1] = ACTIONS(1861),
    [aux_sym_update_statement_token1] = ACTIONS(1861),
    [aux_sym_merge_statement_token1] = ACTIONS(1861),
    [aux_sym_grant_statement_token1] = ACTIONS(1861),
    [aux_sym_revoke_statement_token1] = ACTIONS(1861),
    [aux_sym_export_data_statement_token1] = ACTIONS(1861),
    [aux_sym_load_data_statement_token1] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [2607] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2608] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2609] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1845),
    [aux_sym_keyword_replace_token1] = ACTIONS(1847),
    [aux_sym__keyword_alter_token1] = ACTIONS(1845),
    [aux_sym__keyword_create_token1] = ACTIONS(1845),
    [aux_sym__keyword_drop_token1] = ACTIONS(1845),
    [aux_sym__keyword_delete_token1] = ACTIONS(1845),
    [aux_sym__keyword_begin_token1] = ACTIONS(1845),
    [aux_sym__keyword_end_token1] = ACTIONS(1845),
    [aux_sym__keyword_between_token1] = ACTIONS(1845),
    [aux_sym__keyword_when_token1] = ACTIONS(1845),
    [aux_sym__keyword_else_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1845),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1845),
    [aux_sym__keyword_like_token1] = ACTIONS(1845),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1845),
    [aux_sym__keyword_window_token1] = ACTIONS(1845),
    [aux_sym__keyword_for_token1] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1845),
    [aux_sym_return_statement_token1] = ACTIONS(1845),
    [aux_sym_call_statement_token1] = ACTIONS(1845),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1845),
    [aux_sym_if_statement_token1] = ACTIONS(1845),
    [aux_sym_loop_statement_token1] = ACTIONS(1845),
    [aux_sym_repeat_statement_token1] = ACTIONS(1845),
    [aux_sym_while_statement_token1] = ACTIONS(1845),
    [aux_sym_break_statement_token1] = ACTIONS(1845),
    [aux_sym_leave_statement_token1] = ACTIONS(1845),
    [aux_sym_continue_statement_token1] = ACTIONS(1845),
    [aux_sym_iterate_statement_token1] = ACTIONS(1845),
    [aux_sym_raise_statement_token1] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1845),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_set_operation_token1] = ACTIONS(1845),
    [aux_sym_set_operation_token3] = ACTIONS(1845),
    [aux_sym_set_operation_token4] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1845),
    [aux_sym_having_clause_token1] = ACTIONS(1845),
    [aux_sym_qualify_clause_token1] = ACTIONS(1845),
    [aux_sym_limit_clause_token1] = ACTIONS(1845),
    [aux_sym_group_by_clause_token1] = ACTIONS(1845),
    [aux_sym__direction_keywords_token1] = ACTIONS(1845),
    [aux_sym__direction_keywords_token2] = ACTIONS(1845),
    [aux_sym__nulls_preference_token1] = ACTIONS(1845),
    [aux_sym_order_by_clause_token1] = ACTIONS(1845),
    [aux_sym_insert_statement_token1] = ACTIONS(1845),
    [aux_sym_truncate_statement_token1] = ACTIONS(1845),
    [aux_sym_update_statement_token1] = ACTIONS(1845),
    [aux_sym_merge_statement_token1] = ACTIONS(1845),
    [aux_sym_grant_statement_token1] = ACTIONS(1845),
    [aux_sym_revoke_statement_token1] = ACTIONS(1845),
    [aux_sym_export_data_statement_token1] = ACTIONS(1845),
    [aux_sym_load_data_statement_token1] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [2610] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2611] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1617),
    [aux_sym_keyword_replace_token1] = ACTIONS(1619),
    [aux_sym__keyword_alter_token1] = ACTIONS(1617),
    [aux_sym__keyword_create_token1] = ACTIONS(1617),
    [aux_sym__keyword_drop_token1] = ACTIONS(1617),
    [aux_sym__keyword_delete_token1] = ACTIONS(1617),
    [aux_sym__keyword_begin_token1] = ACTIONS(1617),
    [aux_sym__keyword_end_token1] = ACTIONS(1617),
    [aux_sym__keyword_between_token1] = ACTIONS(1617),
    [aux_sym__keyword_when_token1] = ACTIONS(1617),
    [aux_sym__keyword_else_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1617),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1617),
    [aux_sym__keyword_like_token1] = ACTIONS(1617),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1617),
    [aux_sym__keyword_window_token1] = ACTIONS(1617),
    [aux_sym__keyword_for_token1] = ACTIONS(1617),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1617),
    [aux_sym_return_statement_token1] = ACTIONS(1617),
    [aux_sym_call_statement_token1] = ACTIONS(1617),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1617),
    [aux_sym_if_statement_token1] = ACTIONS(1617),
    [aux_sym_loop_statement_token1] = ACTIONS(1617),
    [aux_sym_repeat_statement_token1] = ACTIONS(1617),
    [aux_sym_while_statement_token1] = ACTIONS(1617),
    [aux_sym_break_statement_token1] = ACTIONS(1617),
    [aux_sym_leave_statement_token1] = ACTIONS(1617),
    [aux_sym_continue_statement_token1] = ACTIONS(1617),
    [aux_sym_iterate_statement_token1] = ACTIONS(1617),
    [aux_sym_raise_statement_token1] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1617),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_set_operation_token1] = ACTIONS(1617),
    [aux_sym_set_operation_token3] = ACTIONS(1617),
    [aux_sym_set_operation_token4] = ACTIONS(1619),
    [aux_sym_select_token1] = ACTIONS(1617),
    [aux_sym_having_clause_token1] = ACTIONS(1617),
    [aux_sym_qualify_clause_token1] = ACTIONS(1617),
    [aux_sym_limit_clause_token1] = ACTIONS(1617),
    [aux_sym_group_by_clause_token1] = ACTIONS(1617),
    [aux_sym__direction_keywords_token1] = ACTIONS(1617),
    [aux_sym__direction_keywords_token2] = ACTIONS(1617),
    [aux_sym__nulls_preference_token1] = ACTIONS(1617),
    [aux_sym_order_by_clause_token1] = ACTIONS(1617),
    [aux_sym_insert_statement_token1] = ACTIONS(1617),
    [aux_sym_truncate_statement_token1] = ACTIONS(1617),
    [aux_sym_update_statement_token1] = ACTIONS(1617),
    [aux_sym_merge_statement_token1] = ACTIONS(1617),
    [aux_sym_grant_statement_token1] = ACTIONS(1617),
    [aux_sym_revoke_statement_token1] = ACTIONS(1617),
    [aux_sym_export_data_statement_token1] = ACTIONS(1617),
    [aux_sym_load_data_statement_token1] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [2612] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1775),
    [aux_sym_keyword_replace_token1] = ACTIONS(1777),
    [aux_sym__keyword_alter_token1] = ACTIONS(1775),
    [aux_sym__keyword_create_token1] = ACTIONS(1775),
    [aux_sym__keyword_drop_token1] = ACTIONS(1775),
    [aux_sym__keyword_delete_token1] = ACTIONS(1775),
    [aux_sym__keyword_begin_token1] = ACTIONS(1775),
    [aux_sym__keyword_end_token1] = ACTIONS(1775),
    [aux_sym__keyword_between_token1] = ACTIONS(1775),
    [aux_sym__keyword_when_token1] = ACTIONS(1775),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1775),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1775),
    [aux_sym__keyword_like_token1] = ACTIONS(1775),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1775),
    [aux_sym__keyword_window_token1] = ACTIONS(1775),
    [aux_sym__keyword_for_token1] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1775),
    [aux_sym_return_statement_token1] = ACTIONS(1775),
    [aux_sym_call_statement_token1] = ACTIONS(1775),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1775),
    [aux_sym_if_statement_token1] = ACTIONS(1775),
    [aux_sym_loop_statement_token1] = ACTIONS(1775),
    [aux_sym_repeat_statement_token1] = ACTIONS(1775),
    [aux_sym_while_statement_token1] = ACTIONS(1775),
    [aux_sym_break_statement_token1] = ACTIONS(1775),
    [aux_sym_leave_statement_token1] = ACTIONS(1775),
    [aux_sym_continue_statement_token1] = ACTIONS(1775),
    [aux_sym_iterate_statement_token1] = ACTIONS(1775),
    [aux_sym_raise_statement_token1] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1775),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_set_operation_token1] = ACTIONS(1775),
    [aux_sym_set_operation_token3] = ACTIONS(1775),
    [aux_sym_set_operation_token4] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1775),
    [aux_sym_having_clause_token1] = ACTIONS(1775),
    [aux_sym_qualify_clause_token1] = ACTIONS(1775),
    [aux_sym_limit_clause_token1] = ACTIONS(1775),
    [aux_sym_group_by_clause_token1] = ACTIONS(1775),
    [aux_sym__direction_keywords_token1] = ACTIONS(1775),
    [aux_sym__direction_keywords_token2] = ACTIONS(1775),
    [aux_sym__nulls_preference_token1] = ACTIONS(1775),
    [aux_sym_order_by_clause_token1] = ACTIONS(1775),
    [aux_sym_insert_statement_token1] = ACTIONS(1775),
    [aux_sym_truncate_statement_token1] = ACTIONS(1775),
    [aux_sym_update_statement_token1] = ACTIONS(1775),
    [aux_sym_merge_statement_token1] = ACTIONS(1775),
    [aux_sym_grant_statement_token1] = ACTIONS(1775),
    [aux_sym_revoke_statement_token1] = ACTIONS(1775),
    [aux_sym_export_data_statement_token1] = ACTIONS(1775),
    [aux_sym_load_data_statement_token1] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [2613] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2614] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2615] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2616] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2617] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2618] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2619] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2620] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2621] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2622] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1865),
    [aux_sym_keyword_replace_token1] = ACTIONS(1867),
    [aux_sym__keyword_alter_token1] = ACTIONS(1865),
    [aux_sym__keyword_create_token1] = ACTIONS(1865),
    [aux_sym__keyword_drop_token1] = ACTIONS(1865),
    [aux_sym__keyword_delete_token1] = ACTIONS(1865),
    [aux_sym__keyword_begin_token1] = ACTIONS(1865),
    [aux_sym__keyword_end_token1] = ACTIONS(1865),
    [aux_sym__keyword_between_token1] = ACTIONS(1865),
    [aux_sym__keyword_when_token1] = ACTIONS(1865),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1865),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1865),
    [aux_sym__keyword_like_token1] = ACTIONS(1865),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1865),
    [aux_sym__keyword_window_token1] = ACTIONS(1865),
    [aux_sym__keyword_for_token1] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1865),
    [aux_sym_return_statement_token1] = ACTIONS(1865),
    [aux_sym_call_statement_token1] = ACTIONS(1865),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1865),
    [aux_sym_if_statement_token1] = ACTIONS(1865),
    [aux_sym_loop_statement_token1] = ACTIONS(1865),
    [aux_sym_repeat_statement_token1] = ACTIONS(1865),
    [aux_sym_while_statement_token1] = ACTIONS(1865),
    [aux_sym_break_statement_token1] = ACTIONS(1865),
    [aux_sym_leave_statement_token1] = ACTIONS(1865),
    [aux_sym_continue_statement_token1] = ACTIONS(1865),
    [aux_sym_iterate_statement_token1] = ACTIONS(1865),
    [aux_sym_raise_statement_token1] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1865),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_set_operation_token1] = ACTIONS(1865),
    [aux_sym_set_operation_token3] = ACTIONS(1865),
    [aux_sym_set_operation_token4] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1865),
    [aux_sym_having_clause_token1] = ACTIONS(1865),
    [aux_sym_qualify_clause_token1] = ACTIONS(1865),
    [aux_sym_limit_clause_token1] = ACTIONS(1865),
    [aux_sym_group_by_clause_token1] = ACTIONS(1865),
    [aux_sym__direction_keywords_token1] = ACTIONS(1865),
    [aux_sym__direction_keywords_token2] = ACTIONS(1865),
    [aux_sym__nulls_preference_token1] = ACTIONS(1865),
    [aux_sym_order_by_clause_token1] = ACTIONS(1865),
    [aux_sym_insert_statement_token1] = ACTIONS(1865),
    [aux_sym_truncate_statement_token1] = ACTIONS(1865),
    [aux_sym_update_statement_token1] = ACTIONS(1865),
    [aux_sym_merge_statement_token1] = ACTIONS(1865),
    [aux_sym_grant_statement_token1] = ACTIONS(1865),
    [aux_sym_revoke_statement_token1] = ACTIONS(1865),
    [aux_sym_export_data_statement_token1] = ACTIONS(1865),
    [aux_sym_load_data_statement_token1] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [2623] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2624] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2625] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2626] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2627] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2628] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2629] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2630] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2631] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1791),
    [aux_sym_keyword_replace_token1] = ACTIONS(1793),
    [aux_sym__keyword_alter_token1] = ACTIONS(1791),
    [aux_sym__keyword_create_token1] = ACTIONS(1791),
    [aux_sym__keyword_drop_token1] = ACTIONS(1791),
    [aux_sym__keyword_delete_token1] = ACTIONS(1791),
    [aux_sym__keyword_begin_token1] = ACTIONS(1791),
    [aux_sym__keyword_end_token1] = ACTIONS(1791),
    [aux_sym__keyword_between_token1] = ACTIONS(1791),
    [aux_sym__keyword_when_token1] = ACTIONS(1791),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1791),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1791),
    [aux_sym__keyword_like_token1] = ACTIONS(1791),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1791),
    [aux_sym__keyword_window_token1] = ACTIONS(1791),
    [aux_sym__keyword_for_token1] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1791),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1791),
    [aux_sym_return_statement_token1] = ACTIONS(1791),
    [aux_sym_call_statement_token1] = ACTIONS(1791),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1791),
    [aux_sym_if_statement_token1] = ACTIONS(1791),
    [aux_sym_loop_statement_token1] = ACTIONS(1791),
    [aux_sym_repeat_statement_token1] = ACTIONS(1791),
    [aux_sym_while_statement_token1] = ACTIONS(1791),
    [aux_sym_break_statement_token1] = ACTIONS(1791),
    [aux_sym_leave_statement_token1] = ACTIONS(1791),
    [aux_sym_continue_statement_token1] = ACTIONS(1791),
    [aux_sym_iterate_statement_token1] = ACTIONS(1791),
    [aux_sym_raise_statement_token1] = ACTIONS(1791),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1791),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_set_operation_token1] = ACTIONS(1791),
    [aux_sym_set_operation_token3] = ACTIONS(1791),
    [aux_sym_set_operation_token4] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1791),
    [aux_sym_having_clause_token1] = ACTIONS(1791),
    [aux_sym_qualify_clause_token1] = ACTIONS(1791),
    [aux_sym_limit_clause_token1] = ACTIONS(1791),
    [aux_sym_group_by_clause_token1] = ACTIONS(1791),
    [aux_sym__direction_keywords_token1] = ACTIONS(1791),
    [aux_sym__direction_keywords_token2] = ACTIONS(1791),
    [aux_sym__nulls_preference_token1] = ACTIONS(1791),
    [aux_sym_order_by_clause_token1] = ACTIONS(1791),
    [aux_sym_insert_statement_token1] = ACTIONS(1791),
    [aux_sym_truncate_statement_token1] = ACTIONS(1791),
    [aux_sym_update_statement_token1] = ACTIONS(1791),
    [aux_sym_merge_statement_token1] = ACTIONS(1791),
    [aux_sym_grant_statement_token1] = ACTIONS(1791),
    [aux_sym_revoke_statement_token1] = ACTIONS(1791),
    [aux_sym_export_data_statement_token1] = ACTIONS(1791),
    [aux_sym_load_data_statement_token1] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [2632] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2633] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2634] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2635] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_window_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_having_clause_token1] = ACTIONS(1371),
    [aux_sym_qualify_clause_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym_group_by_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_order_by_clause_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2636] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2867),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(2869),
    [aux_sym__keyword_in_token1] = ACTIONS(2871),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2877),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2877),
    [anon_sym_LT_GT] = ACTIONS(2877),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2637] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_when_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_window_token1] = ACTIONS(1393),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1393),
    [aux_sym_set_operation_token3] = ACTIONS(1393),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_having_clause_token1] = ACTIONS(1393),
    [aux_sym_qualify_clause_token1] = ACTIONS(1393),
    [aux_sym_limit_clause_token1] = ACTIONS(1393),
    [aux_sym_group_by_clause_token1] = ACTIONS(1393),
    [aux_sym__direction_keywords_token1] = ACTIONS(1393),
    [aux_sym__direction_keywords_token2] = ACTIONS(1393),
    [aux_sym__nulls_preference_token1] = ACTIONS(1393),
    [aux_sym_order_by_clause_token1] = ACTIONS(1393),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [2638] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2867),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(2869),
    [aux_sym__keyword_in_token1] = ACTIONS(2871),
    [aux_sym__keyword_and_token1] = ACTIONS(2873),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2877),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2877),
    [anon_sym_LT_GT] = ACTIONS(2877),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2639] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2640] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2641] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2642] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2643] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2644] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1221),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym__direction_keywords_token1] = ACTIONS(1221),
    [aux_sym__direction_keywords_token2] = ACTIONS(1221),
    [aux_sym__nulls_preference_token1] = ACTIONS(1221),
    [aux_sym_order_by_clause_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2645] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1165),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym__direction_keywords_token1] = ACTIONS(1165),
    [aux_sym__direction_keywords_token2] = ACTIONS(1165),
    [aux_sym__nulls_preference_token1] = ACTIONS(1165),
    [aux_sym_order_by_clause_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2646] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1207),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym__direction_keywords_token1] = ACTIONS(1207),
    [aux_sym__direction_keywords_token2] = ACTIONS(1207),
    [aux_sym__nulls_preference_token1] = ACTIONS(1207),
    [aux_sym_order_by_clause_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2647] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2648] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2649] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1239),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym__direction_keywords_token1] = ACTIONS(1239),
    [aux_sym__direction_keywords_token2] = ACTIONS(1239),
    [aux_sym__nulls_preference_token1] = ACTIONS(1239),
    [aux_sym_order_by_clause_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2650] = {
    [sym__keyword_between] = STATE(1106),
    [sym__keyword_is] = STATE(12119),
    [sym__keyword_in] = STATE(1104),
    [sym__keyword_not] = STATE(13170),
    [sym__keyword_and] = STATE(1132),
    [sym__keyword_or] = STATE(1136),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1225),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym__direction_keywords_token1] = ACTIONS(1225),
    [aux_sym__direction_keywords_token2] = ACTIONS(1225),
    [aux_sym__nulls_preference_token1] = ACTIONS(1225),
    [aux_sym_order_by_clause_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_GT_GT] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2893),
  },
  [2651] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2652] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2653] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_window_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_having_clause_token1] = ACTIONS(1397),
    [aux_sym_qualify_clause_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym_group_by_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_order_by_clause_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2654] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_when_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_window_token1] = ACTIONS(1409),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1409),
    [aux_sym_set_operation_token3] = ACTIONS(1409),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_having_clause_token1] = ACTIONS(1409),
    [aux_sym_qualify_clause_token1] = ACTIONS(1409),
    [aux_sym_limit_clause_token1] = ACTIONS(1409),
    [aux_sym_group_by_clause_token1] = ACTIONS(1409),
    [aux_sym__direction_keywords_token1] = ACTIONS(1409),
    [aux_sym__direction_keywords_token2] = ACTIONS(1409),
    [aux_sym__nulls_preference_token1] = ACTIONS(1409),
    [aux_sym_order_by_clause_token1] = ACTIONS(1409),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [2655] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_when_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_window_token1] = ACTIONS(1413),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1413),
    [aux_sym_set_operation_token3] = ACTIONS(1413),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_having_clause_token1] = ACTIONS(1413),
    [aux_sym_qualify_clause_token1] = ACTIONS(1413),
    [aux_sym_limit_clause_token1] = ACTIONS(1413),
    [aux_sym_group_by_clause_token1] = ACTIONS(1413),
    [aux_sym__direction_keywords_token1] = ACTIONS(1413),
    [aux_sym__direction_keywords_token2] = ACTIONS(1413),
    [aux_sym__nulls_preference_token1] = ACTIONS(1413),
    [aux_sym_order_by_clause_token1] = ACTIONS(1413),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [2656] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1593),
    [aux_sym_keyword_replace_token1] = ACTIONS(1595),
    [aux_sym__keyword_alter_token1] = ACTIONS(1593),
    [aux_sym__keyword_create_token1] = ACTIONS(1593),
    [aux_sym__keyword_drop_token1] = ACTIONS(1593),
    [aux_sym__keyword_delete_token1] = ACTIONS(1593),
    [aux_sym__keyword_begin_token1] = ACTIONS(1593),
    [aux_sym__keyword_end_token1] = ACTIONS(1593),
    [aux_sym__keyword_between_token1] = ACTIONS(1593),
    [aux_sym__keyword_when_token1] = ACTIONS(1593),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1593),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1593),
    [aux_sym__keyword_like_token1] = ACTIONS(1593),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1593),
    [aux_sym__keyword_window_token1] = ACTIONS(1593),
    [aux_sym__keyword_for_token1] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1593),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1593),
    [aux_sym_return_statement_token1] = ACTIONS(1593),
    [aux_sym_call_statement_token1] = ACTIONS(1593),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1593),
    [aux_sym_if_statement_token1] = ACTIONS(1593),
    [aux_sym_loop_statement_token1] = ACTIONS(1593),
    [aux_sym_repeat_statement_token1] = ACTIONS(1593),
    [aux_sym_while_statement_token1] = ACTIONS(1593),
    [aux_sym_break_statement_token1] = ACTIONS(1593),
    [aux_sym_leave_statement_token1] = ACTIONS(1593),
    [aux_sym_continue_statement_token1] = ACTIONS(1593),
    [aux_sym_iterate_statement_token1] = ACTIONS(1593),
    [aux_sym_raise_statement_token1] = ACTIONS(1593),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1593),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1593),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_set_operation_token1] = ACTIONS(1593),
    [aux_sym_set_operation_token3] = ACTIONS(1593),
    [aux_sym_set_operation_token4] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1593),
    [aux_sym_having_clause_token1] = ACTIONS(1593),
    [aux_sym_qualify_clause_token1] = ACTIONS(1593),
    [aux_sym_limit_clause_token1] = ACTIONS(1593),
    [aux_sym_group_by_clause_token1] = ACTIONS(1593),
    [aux_sym__direction_keywords_token1] = ACTIONS(1593),
    [aux_sym__direction_keywords_token2] = ACTIONS(1593),
    [aux_sym__nulls_preference_token1] = ACTIONS(1593),
    [aux_sym_order_by_clause_token1] = ACTIONS(1593),
    [aux_sym_insert_statement_token1] = ACTIONS(1593),
    [aux_sym_truncate_statement_token1] = ACTIONS(1593),
    [aux_sym_update_statement_token1] = ACTIONS(1593),
    [aux_sym_merge_statement_token1] = ACTIONS(1593),
    [aux_sym_grant_statement_token1] = ACTIONS(1593),
    [aux_sym_revoke_statement_token1] = ACTIONS(1593),
    [aux_sym_export_data_statement_token1] = ACTIONS(1593),
    [aux_sym_load_data_statement_token1] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [2657] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_window_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_having_clause_token1] = ACTIONS(1441),
    [aux_sym_qualify_clause_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym_group_by_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_order_by_clause_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2658] = {
    [ts_builtin_sym_end] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1795),
    [aux_sym_keyword_replace_token1] = ACTIONS(1797),
    [aux_sym__keyword_alter_token1] = ACTIONS(1795),
    [aux_sym__keyword_create_token1] = ACTIONS(1795),
    [aux_sym__keyword_drop_token1] = ACTIONS(1795),
    [aux_sym__keyword_delete_token1] = ACTIONS(1795),
    [aux_sym__keyword_begin_token1] = ACTIONS(1795),
    [aux_sym__keyword_end_token1] = ACTIONS(1795),
    [aux_sym__keyword_between_token1] = ACTIONS(1795),
    [aux_sym__keyword_when_token1] = ACTIONS(1795),
    [aux_sym__keyword_else_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1795),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1795),
    [aux_sym__keyword_like_token1] = ACTIONS(1795),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1795),
    [aux_sym__keyword_window_token1] = ACTIONS(1795),
    [aux_sym__keyword_for_token1] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1795),
    [aux_sym_return_statement_token1] = ACTIONS(1795),
    [aux_sym_call_statement_token1] = ACTIONS(1795),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1795),
    [aux_sym_if_statement_token1] = ACTIONS(1795),
    [aux_sym_loop_statement_token1] = ACTIONS(1795),
    [aux_sym_repeat_statement_token1] = ACTIONS(1795),
    [aux_sym_while_statement_token1] = ACTIONS(1795),
    [aux_sym_break_statement_token1] = ACTIONS(1795),
    [aux_sym_leave_statement_token1] = ACTIONS(1795),
    [aux_sym_continue_statement_token1] = ACTIONS(1795),
    [aux_sym_iterate_statement_token1] = ACTIONS(1795),
    [aux_sym_raise_statement_token1] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_set_operation_token1] = ACTIONS(1795),
    [aux_sym_set_operation_token3] = ACTIONS(1795),
    [aux_sym_set_operation_token4] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1795),
    [aux_sym_having_clause_token1] = ACTIONS(1795),
    [aux_sym_qualify_clause_token1] = ACTIONS(1795),
    [aux_sym_limit_clause_token1] = ACTIONS(1795),
    [aux_sym_group_by_clause_token1] = ACTIONS(1795),
    [aux_sym__direction_keywords_token1] = ACTIONS(1795),
    [aux_sym__direction_keywords_token2] = ACTIONS(1795),
    [aux_sym__nulls_preference_token1] = ACTIONS(1795),
    [aux_sym_order_by_clause_token1] = ACTIONS(1795),
    [aux_sym_insert_statement_token1] = ACTIONS(1795),
    [aux_sym_truncate_statement_token1] = ACTIONS(1795),
    [aux_sym_update_statement_token1] = ACTIONS(1795),
    [aux_sym_merge_statement_token1] = ACTIONS(1795),
    [aux_sym_grant_statement_token1] = ACTIONS(1795),
    [aux_sym_revoke_statement_token1] = ACTIONS(1795),
    [aux_sym_export_data_statement_token1] = ACTIONS(1795),
    [aux_sym_load_data_statement_token1] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [2659] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2999),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(3001),
    [aux_sym__keyword_in_token1] = ACTIONS(3003),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3007),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_LT_GT] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2660] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2661] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2662] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2663] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2664] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2665] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2666] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2667] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2668] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2669] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(2823),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2823),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2823),
    [aux_sym__keyword_create_token1] = ACTIONS(2823),
    [aux_sym__keyword_drop_token1] = ACTIONS(2823),
    [aux_sym__keyword_delete_token1] = ACTIONS(2823),
    [aux_sym__keyword_begin_token1] = ACTIONS(2823),
    [aux_sym__keyword_between_token1] = ACTIONS(2999),
    [aux_sym__keyword_when_token1] = ACTIONS(2823),
    [aux_sym__keyword_is_token1] = ACTIONS(3001),
    [aux_sym__keyword_in_token1] = ACTIONS(3003),
    [aux_sym__keyword_and_token1] = ACTIONS(3005),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2823),
    [aux_sym__keyword_window_token1] = ACTIONS(2823),
    [aux_sym__keyword_for_token1] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [aux_sym_declare_statement_token1] = ACTIONS(2823),
    [aux_sym_set_statement_token1] = ACTIONS(2823),
    [anon_sym_LPAREN] = ACTIONS(2823),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2823),
    [aux_sym_return_statement_token1] = ACTIONS(2823),
    [aux_sym_call_statement_token1] = ACTIONS(2823),
    [aux_sym_loop_statement_token1] = ACTIONS(2823),
    [aux_sym_while_statement_token1] = ACTIONS(2823),
    [aux_sym_break_statement_token1] = ACTIONS(2823),
    [aux_sym_leave_statement_token1] = ACTIONS(2823),
    [aux_sym_continue_statement_token1] = ACTIONS(2823),
    [aux_sym_iterate_statement_token1] = ACTIONS(2823),
    [aux_sym_raise_statement_token1] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(3007),
    [aux_sym_assert_statement_token1] = ACTIONS(2823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [aux_sym_set_operation_token1] = ACTIONS(2823),
    [aux_sym_set_operation_token3] = ACTIONS(2823),
    [aux_sym_set_operation_token4] = ACTIONS(2823),
    [aux_sym_select_token1] = ACTIONS(2823),
    [aux_sym_having_clause_token1] = ACTIONS(2823),
    [aux_sym_qualify_clause_token1] = ACTIONS(2823),
    [aux_sym_limit_clause_token1] = ACTIONS(2823),
    [aux_sym_group_by_clause_token1] = ACTIONS(2823),
    [aux_sym_order_by_clause_token1] = ACTIONS(2823),
    [aux_sym_insert_statement_token1] = ACTIONS(2823),
    [aux_sym_truncate_statement_token1] = ACTIONS(2823),
    [aux_sym_update_statement_token1] = ACTIONS(2823),
    [aux_sym_merge_statement_token1] = ACTIONS(2823),
    [aux_sym_grant_statement_token1] = ACTIONS(2823),
    [aux_sym_revoke_statement_token1] = ACTIONS(2823),
    [aux_sym_export_data_statement_token1] = ACTIONS(2823),
    [aux_sym_load_data_statement_token1] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_LT_GT] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2670] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2671] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2672] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2673] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2674] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2675] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2676] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2677] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2678] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2679] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_when_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_window_token1] = ACTIONS(1425),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1425),
    [aux_sym_set_operation_token3] = ACTIONS(1425),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_having_clause_token1] = ACTIONS(1425),
    [aux_sym_qualify_clause_token1] = ACTIONS(1425),
    [aux_sym_limit_clause_token1] = ACTIONS(1425),
    [aux_sym_group_by_clause_token1] = ACTIONS(1425),
    [aux_sym__direction_keywords_token1] = ACTIONS(1425),
    [aux_sym__direction_keywords_token2] = ACTIONS(1425),
    [aux_sym__nulls_preference_token1] = ACTIONS(1425),
    [aux_sym_order_by_clause_token1] = ACTIONS(1425),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [2680] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2681] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2682] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2683] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2684] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2685] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_window_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_having_clause_token1] = ACTIONS(1417),
    [aux_sym_qualify_clause_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym_group_by_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_order_by_clause_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2686] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_when_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_window_token1] = ACTIONS(1401),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1401),
    [aux_sym_set_operation_token3] = ACTIONS(1401),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_having_clause_token1] = ACTIONS(1401),
    [aux_sym_qualify_clause_token1] = ACTIONS(1401),
    [aux_sym_limit_clause_token1] = ACTIONS(1401),
    [aux_sym_group_by_clause_token1] = ACTIONS(1401),
    [aux_sym__direction_keywords_token1] = ACTIONS(1401),
    [aux_sym__direction_keywords_token2] = ACTIONS(1401),
    [aux_sym__nulls_preference_token1] = ACTIONS(1401),
    [aux_sym_order_by_clause_token1] = ACTIONS(1401),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [2687] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_when_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_window_token1] = ACTIONS(1385),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1385),
    [aux_sym_set_operation_token3] = ACTIONS(1385),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_having_clause_token1] = ACTIONS(1385),
    [aux_sym_qualify_clause_token1] = ACTIONS(1385),
    [aux_sym_limit_clause_token1] = ACTIONS(1385),
    [aux_sym_group_by_clause_token1] = ACTIONS(1385),
    [aux_sym__direction_keywords_token1] = ACTIONS(1385),
    [aux_sym__direction_keywords_token2] = ACTIONS(1385),
    [aux_sym__nulls_preference_token1] = ACTIONS(1385),
    [aux_sym_order_by_clause_token1] = ACTIONS(1385),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [2688] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_when_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_window_token1] = ACTIONS(1381),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1381),
    [aux_sym_set_operation_token3] = ACTIONS(1381),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_having_clause_token1] = ACTIONS(1381),
    [aux_sym_qualify_clause_token1] = ACTIONS(1381),
    [aux_sym_limit_clause_token1] = ACTIONS(1381),
    [aux_sym_group_by_clause_token1] = ACTIONS(1381),
    [aux_sym__direction_keywords_token1] = ACTIONS(1381),
    [aux_sym__direction_keywords_token2] = ACTIONS(1381),
    [aux_sym__nulls_preference_token1] = ACTIONS(1381),
    [aux_sym_order_by_clause_token1] = ACTIONS(1381),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [2689] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2690] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2691] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2692] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2693] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2694] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2695] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2696] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2697] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2698] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_window_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_having_clause_token1] = ACTIONS(1375),
    [aux_sym_qualify_clause_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym_group_by_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_order_by_clause_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2699] = {
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_when_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_window_token1] = ACTIONS(1461),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1461),
    [aux_sym_set_operation_token3] = ACTIONS(1461),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_having_clause_token1] = ACTIONS(1461),
    [aux_sym_qualify_clause_token1] = ACTIONS(1461),
    [aux_sym_limit_clause_token1] = ACTIONS(1461),
    [aux_sym_group_by_clause_token1] = ACTIONS(1461),
    [aux_sym__direction_keywords_token1] = ACTIONS(1461),
    [aux_sym__direction_keywords_token2] = ACTIONS(1461),
    [aux_sym__nulls_preference_token1] = ACTIONS(1461),
    [aux_sym_order_by_clause_token1] = ACTIONS(1461),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [2700] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_window_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_having_clause_token1] = ACTIONS(1481),
    [aux_sym_qualify_clause_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym_group_by_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_order_by_clause_token1] = ACTIONS(1481),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2701] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_when_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_window_token1] = ACTIONS(1489),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1489),
    [aux_sym_set_operation_token3] = ACTIONS(1489),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_having_clause_token1] = ACTIONS(1489),
    [aux_sym_qualify_clause_token1] = ACTIONS(1489),
    [aux_sym_limit_clause_token1] = ACTIONS(1489),
    [aux_sym_group_by_clause_token1] = ACTIONS(1489),
    [aux_sym__direction_keywords_token1] = ACTIONS(1489),
    [aux_sym__direction_keywords_token2] = ACTIONS(1489),
    [aux_sym__nulls_preference_token1] = ACTIONS(1489),
    [aux_sym_order_by_clause_token1] = ACTIONS(1489),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [2702] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_when_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_window_token1] = ACTIONS(1501),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1501),
    [aux_sym_set_operation_token3] = ACTIONS(1501),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_having_clause_token1] = ACTIONS(1501),
    [aux_sym_qualify_clause_token1] = ACTIONS(1501),
    [aux_sym_limit_clause_token1] = ACTIONS(1501),
    [aux_sym_group_by_clause_token1] = ACTIONS(1501),
    [aux_sym__direction_keywords_token1] = ACTIONS(1501),
    [aux_sym__direction_keywords_token2] = ACTIONS(1501),
    [aux_sym__nulls_preference_token1] = ACTIONS(1501),
    [aux_sym_order_by_clause_token1] = ACTIONS(1501),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [2703] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_when_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_window_token1] = ACTIONS(1513),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1513),
    [aux_sym_set_operation_token3] = ACTIONS(1513),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_having_clause_token1] = ACTIONS(1513),
    [aux_sym_qualify_clause_token1] = ACTIONS(1513),
    [aux_sym_limit_clause_token1] = ACTIONS(1513),
    [aux_sym_group_by_clause_token1] = ACTIONS(1513),
    [aux_sym__direction_keywords_token1] = ACTIONS(1513),
    [aux_sym__direction_keywords_token2] = ACTIONS(1513),
    [aux_sym__nulls_preference_token1] = ACTIONS(1513),
    [aux_sym_order_by_clause_token1] = ACTIONS(1513),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [2704] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1779),
    [aux_sym_keyword_replace_token1] = ACTIONS(1781),
    [aux_sym__keyword_alter_token1] = ACTIONS(1779),
    [aux_sym__keyword_create_token1] = ACTIONS(1779),
    [aux_sym__keyword_drop_token1] = ACTIONS(1779),
    [aux_sym__keyword_delete_token1] = ACTIONS(1779),
    [aux_sym__keyword_begin_token1] = ACTIONS(1779),
    [aux_sym__keyword_end_token1] = ACTIONS(1779),
    [aux_sym__keyword_between_token1] = ACTIONS(1779),
    [aux_sym__keyword_when_token1] = ACTIONS(1779),
    [aux_sym__keyword_else_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1779),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1779),
    [aux_sym__keyword_like_token1] = ACTIONS(1779),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1779),
    [aux_sym__keyword_window_token1] = ACTIONS(1779),
    [aux_sym__keyword_for_token1] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1779),
    [aux_sym_return_statement_token1] = ACTIONS(1779),
    [aux_sym_call_statement_token1] = ACTIONS(1779),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1779),
    [aux_sym_if_statement_token1] = ACTIONS(1779),
    [aux_sym_loop_statement_token1] = ACTIONS(1779),
    [aux_sym_repeat_statement_token1] = ACTIONS(1779),
    [aux_sym_while_statement_token1] = ACTIONS(1779),
    [aux_sym_break_statement_token1] = ACTIONS(1779),
    [aux_sym_leave_statement_token1] = ACTIONS(1779),
    [aux_sym_continue_statement_token1] = ACTIONS(1779),
    [aux_sym_iterate_statement_token1] = ACTIONS(1779),
    [aux_sym_raise_statement_token1] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1779),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_set_operation_token1] = ACTIONS(1779),
    [aux_sym_set_operation_token3] = ACTIONS(1779),
    [aux_sym_set_operation_token4] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1779),
    [aux_sym_having_clause_token1] = ACTIONS(1779),
    [aux_sym_qualify_clause_token1] = ACTIONS(1779),
    [aux_sym_limit_clause_token1] = ACTIONS(1779),
    [aux_sym_group_by_clause_token1] = ACTIONS(1779),
    [aux_sym__direction_keywords_token1] = ACTIONS(1779),
    [aux_sym__direction_keywords_token2] = ACTIONS(1779),
    [aux_sym__nulls_preference_token1] = ACTIONS(1779),
    [aux_sym_order_by_clause_token1] = ACTIONS(1779),
    [aux_sym_insert_statement_token1] = ACTIONS(1779),
    [aux_sym_truncate_statement_token1] = ACTIONS(1779),
    [aux_sym_update_statement_token1] = ACTIONS(1779),
    [aux_sym_merge_statement_token1] = ACTIONS(1779),
    [aux_sym_grant_statement_token1] = ACTIONS(1779),
    [aux_sym_revoke_statement_token1] = ACTIONS(1779),
    [aux_sym_export_data_statement_token1] = ACTIONS(1779),
    [aux_sym_load_data_statement_token1] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [2705] = {
    [ts_builtin_sym_end] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1771),
    [aux_sym_keyword_replace_token1] = ACTIONS(1773),
    [aux_sym__keyword_alter_token1] = ACTIONS(1771),
    [aux_sym__keyword_create_token1] = ACTIONS(1771),
    [aux_sym__keyword_drop_token1] = ACTIONS(1771),
    [aux_sym__keyword_delete_token1] = ACTIONS(1771),
    [aux_sym__keyword_begin_token1] = ACTIONS(1771),
    [aux_sym__keyword_end_token1] = ACTIONS(1771),
    [aux_sym__keyword_between_token1] = ACTIONS(1771),
    [aux_sym__keyword_when_token1] = ACTIONS(1771),
    [aux_sym__keyword_else_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1771),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1771),
    [aux_sym__keyword_like_token1] = ACTIONS(1771),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1771),
    [aux_sym__keyword_window_token1] = ACTIONS(1771),
    [aux_sym__keyword_for_token1] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1771),
    [aux_sym_return_statement_token1] = ACTIONS(1771),
    [aux_sym_call_statement_token1] = ACTIONS(1771),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1771),
    [aux_sym_if_statement_token1] = ACTIONS(1771),
    [aux_sym_loop_statement_token1] = ACTIONS(1771),
    [aux_sym_repeat_statement_token1] = ACTIONS(1771),
    [aux_sym_while_statement_token1] = ACTIONS(1771),
    [aux_sym_break_statement_token1] = ACTIONS(1771),
    [aux_sym_leave_statement_token1] = ACTIONS(1771),
    [aux_sym_continue_statement_token1] = ACTIONS(1771),
    [aux_sym_iterate_statement_token1] = ACTIONS(1771),
    [aux_sym_raise_statement_token1] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1771),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1771),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_set_operation_token1] = ACTIONS(1771),
    [aux_sym_set_operation_token3] = ACTIONS(1771),
    [aux_sym_set_operation_token4] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1771),
    [aux_sym_having_clause_token1] = ACTIONS(1771),
    [aux_sym_qualify_clause_token1] = ACTIONS(1771),
    [aux_sym_limit_clause_token1] = ACTIONS(1771),
    [aux_sym_group_by_clause_token1] = ACTIONS(1771),
    [aux_sym__direction_keywords_token1] = ACTIONS(1771),
    [aux_sym__direction_keywords_token2] = ACTIONS(1771),
    [aux_sym__nulls_preference_token1] = ACTIONS(1771),
    [aux_sym_order_by_clause_token1] = ACTIONS(1771),
    [aux_sym_insert_statement_token1] = ACTIONS(1771),
    [aux_sym_truncate_statement_token1] = ACTIONS(1771),
    [aux_sym_update_statement_token1] = ACTIONS(1771),
    [aux_sym_merge_statement_token1] = ACTIONS(1771),
    [aux_sym_grant_statement_token1] = ACTIONS(1771),
    [aux_sym_revoke_statement_token1] = ACTIONS(1771),
    [aux_sym_export_data_statement_token1] = ACTIONS(1771),
    [aux_sym_load_data_statement_token1] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [2706] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(2945),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_is_token1] = ACTIONS(2947),
    [aux_sym__keyword_in_token1] = ACTIONS(2949),
    [aux_sym__keyword_and_token1] = ACTIONS(2951),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_window_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(2953),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1191),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_having_clause_token1] = ACTIONS(1191),
    [aux_sym_qualify_clause_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym_order_by_clause_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_LT_GT] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2707] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_window_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1187),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_having_clause_token1] = ACTIONS(1187),
    [aux_sym_qualify_clause_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym_order_by_clause_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2708] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_window_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_having_clause_token1] = ACTIONS(1361),
    [aux_sym_qualify_clause_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym_group_by_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_order_by_clause_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2709] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2710] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_when_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_window_token1] = ACTIONS(1509),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1509),
    [aux_sym_set_operation_token3] = ACTIONS(1509),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_having_clause_token1] = ACTIONS(1509),
    [aux_sym_qualify_clause_token1] = ACTIONS(1509),
    [aux_sym_limit_clause_token1] = ACTIONS(1509),
    [aux_sym_group_by_clause_token1] = ACTIONS(1509),
    [aux_sym__direction_keywords_token1] = ACTIONS(1509),
    [aux_sym__direction_keywords_token2] = ACTIONS(1509),
    [aux_sym__nulls_preference_token1] = ACTIONS(1509),
    [aux_sym_order_by_clause_token1] = ACTIONS(1509),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [2711] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2999),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(3001),
    [aux_sym__keyword_in_token1] = ACTIONS(3003),
    [aux_sym__keyword_and_token1] = ACTIONS(3005),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3007),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_LT_GT] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2712] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_when_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_window_token1] = ACTIONS(1497),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1497),
    [aux_sym_set_operation_token3] = ACTIONS(1497),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_having_clause_token1] = ACTIONS(1497),
    [aux_sym_qualify_clause_token1] = ACTIONS(1497),
    [aux_sym_limit_clause_token1] = ACTIONS(1497),
    [aux_sym_group_by_clause_token1] = ACTIONS(1497),
    [aux_sym__direction_keywords_token1] = ACTIONS(1497),
    [aux_sym__direction_keywords_token2] = ACTIONS(1497),
    [aux_sym__nulls_preference_token1] = ACTIONS(1497),
    [aux_sym_order_by_clause_token1] = ACTIONS(1497),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [2713] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_when_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_window_token1] = ACTIONS(1493),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1493),
    [aux_sym_set_operation_token3] = ACTIONS(1493),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_having_clause_token1] = ACTIONS(1493),
    [aux_sym_qualify_clause_token1] = ACTIONS(1493),
    [aux_sym_limit_clause_token1] = ACTIONS(1493),
    [aux_sym_group_by_clause_token1] = ACTIONS(1493),
    [aux_sym__direction_keywords_token1] = ACTIONS(1493),
    [aux_sym__direction_keywords_token2] = ACTIONS(1493),
    [aux_sym__nulls_preference_token1] = ACTIONS(1493),
    [aux_sym_order_by_clause_token1] = ACTIONS(1493),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [2714] = {
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_when_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_window_token1] = ACTIONS(1485),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1485),
    [aux_sym_set_operation_token3] = ACTIONS(1485),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_having_clause_token1] = ACTIONS(1485),
    [aux_sym_qualify_clause_token1] = ACTIONS(1485),
    [aux_sym_limit_clause_token1] = ACTIONS(1485),
    [aux_sym_group_by_clause_token1] = ACTIONS(1485),
    [aux_sym__direction_keywords_token1] = ACTIONS(1485),
    [aux_sym__direction_keywords_token2] = ACTIONS(1485),
    [aux_sym__nulls_preference_token1] = ACTIONS(1485),
    [aux_sym_order_by_clause_token1] = ACTIONS(1485),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [2715] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1763),
    [aux_sym_keyword_replace_token1] = ACTIONS(1765),
    [aux_sym__keyword_alter_token1] = ACTIONS(1763),
    [aux_sym__keyword_create_token1] = ACTIONS(1763),
    [aux_sym__keyword_drop_token1] = ACTIONS(1763),
    [aux_sym__keyword_delete_token1] = ACTIONS(1763),
    [aux_sym__keyword_begin_token1] = ACTIONS(1763),
    [aux_sym__keyword_end_token1] = ACTIONS(1763),
    [aux_sym__keyword_between_token1] = ACTIONS(1763),
    [aux_sym__keyword_when_token1] = ACTIONS(1763),
    [aux_sym__keyword_else_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1763),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1763),
    [aux_sym__keyword_like_token1] = ACTIONS(1763),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1763),
    [aux_sym__keyword_window_token1] = ACTIONS(1763),
    [aux_sym__keyword_for_token1] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1763),
    [aux_sym_return_statement_token1] = ACTIONS(1763),
    [aux_sym_call_statement_token1] = ACTIONS(1763),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1763),
    [aux_sym_if_statement_token1] = ACTIONS(1763),
    [aux_sym_loop_statement_token1] = ACTIONS(1763),
    [aux_sym_repeat_statement_token1] = ACTIONS(1763),
    [aux_sym_while_statement_token1] = ACTIONS(1763),
    [aux_sym_break_statement_token1] = ACTIONS(1763),
    [aux_sym_leave_statement_token1] = ACTIONS(1763),
    [aux_sym_continue_statement_token1] = ACTIONS(1763),
    [aux_sym_iterate_statement_token1] = ACTIONS(1763),
    [aux_sym_raise_statement_token1] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1763),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_set_operation_token1] = ACTIONS(1763),
    [aux_sym_set_operation_token3] = ACTIONS(1763),
    [aux_sym_set_operation_token4] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1763),
    [aux_sym_having_clause_token1] = ACTIONS(1763),
    [aux_sym_qualify_clause_token1] = ACTIONS(1763),
    [aux_sym_limit_clause_token1] = ACTIONS(1763),
    [aux_sym_group_by_clause_token1] = ACTIONS(1763),
    [aux_sym__direction_keywords_token1] = ACTIONS(1763),
    [aux_sym__direction_keywords_token2] = ACTIONS(1763),
    [aux_sym__nulls_preference_token1] = ACTIONS(1763),
    [aux_sym_order_by_clause_token1] = ACTIONS(1763),
    [aux_sym_insert_statement_token1] = ACTIONS(1763),
    [aux_sym_truncate_statement_token1] = ACTIONS(1763),
    [aux_sym_update_statement_token1] = ACTIONS(1763),
    [aux_sym_merge_statement_token1] = ACTIONS(1763),
    [aux_sym_grant_statement_token1] = ACTIONS(1763),
    [aux_sym_revoke_statement_token1] = ACTIONS(1763),
    [aux_sym_export_data_statement_token1] = ACTIONS(1763),
    [aux_sym_load_data_statement_token1] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [2716] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1829),
    [aux_sym_keyword_replace_token1] = ACTIONS(1831),
    [aux_sym__keyword_alter_token1] = ACTIONS(1829),
    [aux_sym__keyword_create_token1] = ACTIONS(1829),
    [aux_sym__keyword_drop_token1] = ACTIONS(1829),
    [aux_sym__keyword_delete_token1] = ACTIONS(1829),
    [aux_sym__keyword_begin_token1] = ACTIONS(1829),
    [aux_sym__keyword_end_token1] = ACTIONS(1829),
    [aux_sym__keyword_between_token1] = ACTIONS(1829),
    [aux_sym__keyword_when_token1] = ACTIONS(1829),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1829),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1829),
    [aux_sym__keyword_like_token1] = ACTIONS(1829),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1829),
    [aux_sym__keyword_window_token1] = ACTIONS(1829),
    [aux_sym__keyword_for_token1] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1829),
    [aux_sym_return_statement_token1] = ACTIONS(1829),
    [aux_sym_call_statement_token1] = ACTIONS(1829),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1829),
    [aux_sym_if_statement_token1] = ACTIONS(1829),
    [aux_sym_loop_statement_token1] = ACTIONS(1829),
    [aux_sym_repeat_statement_token1] = ACTIONS(1829),
    [aux_sym_while_statement_token1] = ACTIONS(1829),
    [aux_sym_break_statement_token1] = ACTIONS(1829),
    [aux_sym_leave_statement_token1] = ACTIONS(1829),
    [aux_sym_continue_statement_token1] = ACTIONS(1829),
    [aux_sym_iterate_statement_token1] = ACTIONS(1829),
    [aux_sym_raise_statement_token1] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1829),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_set_operation_token1] = ACTIONS(1829),
    [aux_sym_set_operation_token3] = ACTIONS(1829),
    [aux_sym_set_operation_token4] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1829),
    [aux_sym_having_clause_token1] = ACTIONS(1829),
    [aux_sym_qualify_clause_token1] = ACTIONS(1829),
    [aux_sym_limit_clause_token1] = ACTIONS(1829),
    [aux_sym_group_by_clause_token1] = ACTIONS(1829),
    [aux_sym__direction_keywords_token1] = ACTIONS(1829),
    [aux_sym__direction_keywords_token2] = ACTIONS(1829),
    [aux_sym__nulls_preference_token1] = ACTIONS(1829),
    [aux_sym_order_by_clause_token1] = ACTIONS(1829),
    [aux_sym_insert_statement_token1] = ACTIONS(1829),
    [aux_sym_truncate_statement_token1] = ACTIONS(1829),
    [aux_sym_update_statement_token1] = ACTIONS(1829),
    [aux_sym_merge_statement_token1] = ACTIONS(1829),
    [aux_sym_grant_statement_token1] = ACTIONS(1829),
    [aux_sym_revoke_statement_token1] = ACTIONS(1829),
    [aux_sym_export_data_statement_token1] = ACTIONS(1829),
    [aux_sym_load_data_statement_token1] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [2717] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1759),
    [aux_sym_keyword_replace_token1] = ACTIONS(1761),
    [aux_sym__keyword_alter_token1] = ACTIONS(1759),
    [aux_sym__keyword_create_token1] = ACTIONS(1759),
    [aux_sym__keyword_drop_token1] = ACTIONS(1759),
    [aux_sym__keyword_delete_token1] = ACTIONS(1759),
    [aux_sym__keyword_begin_token1] = ACTIONS(1759),
    [aux_sym__keyword_end_token1] = ACTIONS(1759),
    [aux_sym__keyword_between_token1] = ACTIONS(1759),
    [aux_sym__keyword_when_token1] = ACTIONS(1759),
    [aux_sym__keyword_else_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1759),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1759),
    [aux_sym__keyword_like_token1] = ACTIONS(1759),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1759),
    [aux_sym__keyword_window_token1] = ACTIONS(1759),
    [aux_sym__keyword_for_token1] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1759),
    [aux_sym_return_statement_token1] = ACTIONS(1759),
    [aux_sym_call_statement_token1] = ACTIONS(1759),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1759),
    [aux_sym_if_statement_token1] = ACTIONS(1759),
    [aux_sym_loop_statement_token1] = ACTIONS(1759),
    [aux_sym_repeat_statement_token1] = ACTIONS(1759),
    [aux_sym_while_statement_token1] = ACTIONS(1759),
    [aux_sym_break_statement_token1] = ACTIONS(1759),
    [aux_sym_leave_statement_token1] = ACTIONS(1759),
    [aux_sym_continue_statement_token1] = ACTIONS(1759),
    [aux_sym_iterate_statement_token1] = ACTIONS(1759),
    [aux_sym_raise_statement_token1] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1759),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_set_operation_token1] = ACTIONS(1759),
    [aux_sym_set_operation_token3] = ACTIONS(1759),
    [aux_sym_set_operation_token4] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1759),
    [aux_sym_having_clause_token1] = ACTIONS(1759),
    [aux_sym_qualify_clause_token1] = ACTIONS(1759),
    [aux_sym_limit_clause_token1] = ACTIONS(1759),
    [aux_sym_group_by_clause_token1] = ACTIONS(1759),
    [aux_sym__direction_keywords_token1] = ACTIONS(1759),
    [aux_sym__direction_keywords_token2] = ACTIONS(1759),
    [aux_sym__nulls_preference_token1] = ACTIONS(1759),
    [aux_sym_order_by_clause_token1] = ACTIONS(1759),
    [aux_sym_insert_statement_token1] = ACTIONS(1759),
    [aux_sym_truncate_statement_token1] = ACTIONS(1759),
    [aux_sym_update_statement_token1] = ACTIONS(1759),
    [aux_sym_merge_statement_token1] = ACTIONS(1759),
    [aux_sym_grant_statement_token1] = ACTIONS(1759),
    [aux_sym_revoke_statement_token1] = ACTIONS(1759),
    [aux_sym_export_data_statement_token1] = ACTIONS(1759),
    [aux_sym_load_data_statement_token1] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [2718] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1825),
    [aux_sym_keyword_replace_token1] = ACTIONS(1827),
    [aux_sym__keyword_alter_token1] = ACTIONS(1825),
    [aux_sym__keyword_create_token1] = ACTIONS(1825),
    [aux_sym__keyword_drop_token1] = ACTIONS(1825),
    [aux_sym__keyword_delete_token1] = ACTIONS(1825),
    [aux_sym__keyword_begin_token1] = ACTIONS(1825),
    [aux_sym__keyword_end_token1] = ACTIONS(1825),
    [aux_sym__keyword_between_token1] = ACTIONS(1825),
    [aux_sym__keyword_when_token1] = ACTIONS(1825),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1825),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1825),
    [aux_sym__keyword_like_token1] = ACTIONS(1825),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1825),
    [aux_sym__keyword_window_token1] = ACTIONS(1825),
    [aux_sym__keyword_for_token1] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1825),
    [aux_sym_return_statement_token1] = ACTIONS(1825),
    [aux_sym_call_statement_token1] = ACTIONS(1825),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1825),
    [aux_sym_if_statement_token1] = ACTIONS(1825),
    [aux_sym_loop_statement_token1] = ACTIONS(1825),
    [aux_sym_repeat_statement_token1] = ACTIONS(1825),
    [aux_sym_while_statement_token1] = ACTIONS(1825),
    [aux_sym_break_statement_token1] = ACTIONS(1825),
    [aux_sym_leave_statement_token1] = ACTIONS(1825),
    [aux_sym_continue_statement_token1] = ACTIONS(1825),
    [aux_sym_iterate_statement_token1] = ACTIONS(1825),
    [aux_sym_raise_statement_token1] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1825),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_set_operation_token1] = ACTIONS(1825),
    [aux_sym_set_operation_token3] = ACTIONS(1825),
    [aux_sym_set_operation_token4] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1825),
    [aux_sym_having_clause_token1] = ACTIONS(1825),
    [aux_sym_qualify_clause_token1] = ACTIONS(1825),
    [aux_sym_limit_clause_token1] = ACTIONS(1825),
    [aux_sym_group_by_clause_token1] = ACTIONS(1825),
    [aux_sym__direction_keywords_token1] = ACTIONS(1825),
    [aux_sym__direction_keywords_token2] = ACTIONS(1825),
    [aux_sym__nulls_preference_token1] = ACTIONS(1825),
    [aux_sym_order_by_clause_token1] = ACTIONS(1825),
    [aux_sym_insert_statement_token1] = ACTIONS(1825),
    [aux_sym_truncate_statement_token1] = ACTIONS(1825),
    [aux_sym_update_statement_token1] = ACTIONS(1825),
    [aux_sym_merge_statement_token1] = ACTIONS(1825),
    [aux_sym_grant_statement_token1] = ACTIONS(1825),
    [aux_sym_revoke_statement_token1] = ACTIONS(1825),
    [aux_sym_export_data_statement_token1] = ACTIONS(1825),
    [aux_sym_load_data_statement_token1] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [2719] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_when_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_window_token1] = ACTIONS(1457),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1457),
    [aux_sym_set_operation_token3] = ACTIONS(1457),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_having_clause_token1] = ACTIONS(1457),
    [aux_sym_qualify_clause_token1] = ACTIONS(1457),
    [aux_sym_limit_clause_token1] = ACTIONS(1457),
    [aux_sym_group_by_clause_token1] = ACTIONS(1457),
    [aux_sym__direction_keywords_token1] = ACTIONS(1457),
    [aux_sym__direction_keywords_token2] = ACTIONS(1457),
    [aux_sym__nulls_preference_token1] = ACTIONS(1457),
    [aux_sym_order_by_clause_token1] = ACTIONS(1457),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [2720] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_when_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_window_token1] = ACTIONS(1449),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1449),
    [aux_sym_set_operation_token3] = ACTIONS(1449),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_having_clause_token1] = ACTIONS(1449),
    [aux_sym_qualify_clause_token1] = ACTIONS(1449),
    [aux_sym_limit_clause_token1] = ACTIONS(1449),
    [aux_sym_group_by_clause_token1] = ACTIONS(1449),
    [aux_sym__direction_keywords_token1] = ACTIONS(1449),
    [aux_sym__direction_keywords_token2] = ACTIONS(1449),
    [aux_sym__nulls_preference_token1] = ACTIONS(1449),
    [aux_sym_order_by_clause_token1] = ACTIONS(1449),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [2721] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_when_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_window_token1] = ACTIONS(1445),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1445),
    [aux_sym_set_operation_token3] = ACTIONS(1445),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_having_clause_token1] = ACTIONS(1445),
    [aux_sym_qualify_clause_token1] = ACTIONS(1445),
    [aux_sym_limit_clause_token1] = ACTIONS(1445),
    [aux_sym_group_by_clause_token1] = ACTIONS(1445),
    [aux_sym__direction_keywords_token1] = ACTIONS(1445),
    [aux_sym__direction_keywords_token2] = ACTIONS(1445),
    [aux_sym__nulls_preference_token1] = ACTIONS(1445),
    [aux_sym_order_by_clause_token1] = ACTIONS(1445),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [2722] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1821),
    [aux_sym_keyword_replace_token1] = ACTIONS(1823),
    [aux_sym__keyword_alter_token1] = ACTIONS(1821),
    [aux_sym__keyword_create_token1] = ACTIONS(1821),
    [aux_sym__keyword_drop_token1] = ACTIONS(1821),
    [aux_sym__keyword_delete_token1] = ACTIONS(1821),
    [aux_sym__keyword_begin_token1] = ACTIONS(1821),
    [aux_sym__keyword_end_token1] = ACTIONS(1821),
    [aux_sym__keyword_between_token1] = ACTIONS(1821),
    [aux_sym__keyword_when_token1] = ACTIONS(1821),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1821),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1821),
    [aux_sym__keyword_like_token1] = ACTIONS(1821),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1821),
    [aux_sym__keyword_window_token1] = ACTIONS(1821),
    [aux_sym__keyword_for_token1] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1821),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1821),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1821),
    [aux_sym_return_statement_token1] = ACTIONS(1821),
    [aux_sym_call_statement_token1] = ACTIONS(1821),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1821),
    [aux_sym_if_statement_token1] = ACTIONS(1821),
    [aux_sym_loop_statement_token1] = ACTIONS(1821),
    [aux_sym_repeat_statement_token1] = ACTIONS(1821),
    [aux_sym_while_statement_token1] = ACTIONS(1821),
    [aux_sym_break_statement_token1] = ACTIONS(1821),
    [aux_sym_leave_statement_token1] = ACTIONS(1821),
    [aux_sym_continue_statement_token1] = ACTIONS(1821),
    [aux_sym_iterate_statement_token1] = ACTIONS(1821),
    [aux_sym_raise_statement_token1] = ACTIONS(1821),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1821),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_set_operation_token1] = ACTIONS(1821),
    [aux_sym_set_operation_token3] = ACTIONS(1821),
    [aux_sym_set_operation_token4] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1821),
    [aux_sym_having_clause_token1] = ACTIONS(1821),
    [aux_sym_qualify_clause_token1] = ACTIONS(1821),
    [aux_sym_limit_clause_token1] = ACTIONS(1821),
    [aux_sym_group_by_clause_token1] = ACTIONS(1821),
    [aux_sym__direction_keywords_token1] = ACTIONS(1821),
    [aux_sym__direction_keywords_token2] = ACTIONS(1821),
    [aux_sym__nulls_preference_token1] = ACTIONS(1821),
    [aux_sym_order_by_clause_token1] = ACTIONS(1821),
    [aux_sym_insert_statement_token1] = ACTIONS(1821),
    [aux_sym_truncate_statement_token1] = ACTIONS(1821),
    [aux_sym_update_statement_token1] = ACTIONS(1821),
    [aux_sym_merge_statement_token1] = ACTIONS(1821),
    [aux_sym_grant_statement_token1] = ACTIONS(1821),
    [aux_sym_revoke_statement_token1] = ACTIONS(1821),
    [aux_sym_export_data_statement_token1] = ACTIONS(1821),
    [aux_sym_load_data_statement_token1] = ACTIONS(1821),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [2723] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_window_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1225),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_having_clause_token1] = ACTIONS(1225),
    [aux_sym_qualify_clause_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym_order_by_clause_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2724] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1817),
    [aux_sym_keyword_replace_token1] = ACTIONS(1819),
    [aux_sym__keyword_alter_token1] = ACTIONS(1817),
    [aux_sym__keyword_create_token1] = ACTIONS(1817),
    [aux_sym__keyword_drop_token1] = ACTIONS(1817),
    [aux_sym__keyword_delete_token1] = ACTIONS(1817),
    [aux_sym__keyword_begin_token1] = ACTIONS(1817),
    [aux_sym__keyword_end_token1] = ACTIONS(1817),
    [aux_sym__keyword_between_token1] = ACTIONS(1817),
    [aux_sym__keyword_when_token1] = ACTIONS(1817),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1817),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1817),
    [aux_sym__keyword_like_token1] = ACTIONS(1817),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1817),
    [aux_sym__keyword_window_token1] = ACTIONS(1817),
    [aux_sym__keyword_for_token1] = ACTIONS(1817),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1817),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1817),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1817),
    [aux_sym_return_statement_token1] = ACTIONS(1817),
    [aux_sym_call_statement_token1] = ACTIONS(1817),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1817),
    [aux_sym_if_statement_token1] = ACTIONS(1817),
    [aux_sym_loop_statement_token1] = ACTIONS(1817),
    [aux_sym_repeat_statement_token1] = ACTIONS(1817),
    [aux_sym_while_statement_token1] = ACTIONS(1817),
    [aux_sym_break_statement_token1] = ACTIONS(1817),
    [aux_sym_leave_statement_token1] = ACTIONS(1817),
    [aux_sym_continue_statement_token1] = ACTIONS(1817),
    [aux_sym_iterate_statement_token1] = ACTIONS(1817),
    [aux_sym_raise_statement_token1] = ACTIONS(1817),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1817),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1817),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_set_operation_token1] = ACTIONS(1817),
    [aux_sym_set_operation_token3] = ACTIONS(1817),
    [aux_sym_set_operation_token4] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1817),
    [aux_sym_having_clause_token1] = ACTIONS(1817),
    [aux_sym_qualify_clause_token1] = ACTIONS(1817),
    [aux_sym_limit_clause_token1] = ACTIONS(1817),
    [aux_sym_group_by_clause_token1] = ACTIONS(1817),
    [aux_sym__direction_keywords_token1] = ACTIONS(1817),
    [aux_sym__direction_keywords_token2] = ACTIONS(1817),
    [aux_sym__nulls_preference_token1] = ACTIONS(1817),
    [aux_sym_order_by_clause_token1] = ACTIONS(1817),
    [aux_sym_insert_statement_token1] = ACTIONS(1817),
    [aux_sym_truncate_statement_token1] = ACTIONS(1817),
    [aux_sym_update_statement_token1] = ACTIONS(1817),
    [aux_sym_merge_statement_token1] = ACTIONS(1817),
    [aux_sym_grant_statement_token1] = ACTIONS(1817),
    [aux_sym_revoke_statement_token1] = ACTIONS(1817),
    [aux_sym_export_data_statement_token1] = ACTIONS(1817),
    [aux_sym_load_data_statement_token1] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [2725] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_window_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1239),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_having_clause_token1] = ACTIONS(1239),
    [aux_sym_qualify_clause_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym_order_by_clause_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2726] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_window_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1207),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_having_clause_token1] = ACTIONS(1207),
    [aux_sym_qualify_clause_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym_order_by_clause_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2727] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1747),
    [aux_sym_keyword_replace_token1] = ACTIONS(1749),
    [aux_sym__keyword_alter_token1] = ACTIONS(1747),
    [aux_sym__keyword_create_token1] = ACTIONS(1747),
    [aux_sym__keyword_drop_token1] = ACTIONS(1747),
    [aux_sym__keyword_delete_token1] = ACTIONS(1747),
    [aux_sym__keyword_begin_token1] = ACTIONS(1747),
    [aux_sym__keyword_end_token1] = ACTIONS(1747),
    [aux_sym__keyword_between_token1] = ACTIONS(1747),
    [aux_sym__keyword_when_token1] = ACTIONS(1747),
    [aux_sym__keyword_else_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1747),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1747),
    [aux_sym__keyword_like_token1] = ACTIONS(1747),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1747),
    [aux_sym__keyword_window_token1] = ACTIONS(1747),
    [aux_sym__keyword_for_token1] = ACTIONS(1747),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1747),
    [aux_sym_return_statement_token1] = ACTIONS(1747),
    [aux_sym_call_statement_token1] = ACTIONS(1747),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1747),
    [aux_sym_if_statement_token1] = ACTIONS(1747),
    [aux_sym_loop_statement_token1] = ACTIONS(1747),
    [aux_sym_repeat_statement_token1] = ACTIONS(1747),
    [aux_sym_while_statement_token1] = ACTIONS(1747),
    [aux_sym_break_statement_token1] = ACTIONS(1747),
    [aux_sym_leave_statement_token1] = ACTIONS(1747),
    [aux_sym_continue_statement_token1] = ACTIONS(1747),
    [aux_sym_iterate_statement_token1] = ACTIONS(1747),
    [aux_sym_raise_statement_token1] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1747),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_set_operation_token1] = ACTIONS(1747),
    [aux_sym_set_operation_token3] = ACTIONS(1747),
    [aux_sym_set_operation_token4] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1747),
    [aux_sym_having_clause_token1] = ACTIONS(1747),
    [aux_sym_qualify_clause_token1] = ACTIONS(1747),
    [aux_sym_limit_clause_token1] = ACTIONS(1747),
    [aux_sym_group_by_clause_token1] = ACTIONS(1747),
    [aux_sym__direction_keywords_token1] = ACTIONS(1747),
    [aux_sym__direction_keywords_token2] = ACTIONS(1747),
    [aux_sym__nulls_preference_token1] = ACTIONS(1747),
    [aux_sym_order_by_clause_token1] = ACTIONS(1747),
    [aux_sym_insert_statement_token1] = ACTIONS(1747),
    [aux_sym_truncate_statement_token1] = ACTIONS(1747),
    [aux_sym_update_statement_token1] = ACTIONS(1747),
    [aux_sym_merge_statement_token1] = ACTIONS(1747),
    [aux_sym_grant_statement_token1] = ACTIONS(1747),
    [aux_sym_revoke_statement_token1] = ACTIONS(1747),
    [aux_sym_export_data_statement_token1] = ACTIONS(1747),
    [aux_sym_load_data_statement_token1] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [2728] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1713),
    [aux_sym_keyword_replace_token1] = ACTIONS(1715),
    [aux_sym__keyword_alter_token1] = ACTIONS(1713),
    [aux_sym__keyword_create_token1] = ACTIONS(1713),
    [aux_sym__keyword_drop_token1] = ACTIONS(1713),
    [aux_sym__keyword_delete_token1] = ACTIONS(1713),
    [aux_sym__keyword_begin_token1] = ACTIONS(1713),
    [aux_sym__keyword_end_token1] = ACTIONS(1713),
    [aux_sym__keyword_between_token1] = ACTIONS(1713),
    [aux_sym__keyword_when_token1] = ACTIONS(1713),
    [aux_sym__keyword_else_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1713),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1713),
    [aux_sym__keyword_like_token1] = ACTIONS(1713),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1713),
    [aux_sym__keyword_window_token1] = ACTIONS(1713),
    [aux_sym__keyword_for_token1] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1713),
    [anon_sym_COMMA] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1713),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1713),
    [aux_sym_return_statement_token1] = ACTIONS(1713),
    [aux_sym_call_statement_token1] = ACTIONS(1713),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1713),
    [aux_sym_if_statement_token1] = ACTIONS(1713),
    [aux_sym_loop_statement_token1] = ACTIONS(1713),
    [aux_sym_repeat_statement_token1] = ACTIONS(1713),
    [aux_sym_while_statement_token1] = ACTIONS(1713),
    [aux_sym_break_statement_token1] = ACTIONS(1713),
    [aux_sym_leave_statement_token1] = ACTIONS(1713),
    [aux_sym_continue_statement_token1] = ACTIONS(1713),
    [aux_sym_iterate_statement_token1] = ACTIONS(1713),
    [aux_sym_raise_statement_token1] = ACTIONS(1713),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1713),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1713),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_set_operation_token1] = ACTIONS(1713),
    [aux_sym_set_operation_token3] = ACTIONS(1713),
    [aux_sym_set_operation_token4] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1713),
    [aux_sym_having_clause_token1] = ACTIONS(1713),
    [aux_sym_qualify_clause_token1] = ACTIONS(1713),
    [aux_sym_limit_clause_token1] = ACTIONS(1713),
    [aux_sym_group_by_clause_token1] = ACTIONS(1713),
    [aux_sym__direction_keywords_token1] = ACTIONS(1713),
    [aux_sym__direction_keywords_token2] = ACTIONS(1713),
    [aux_sym__nulls_preference_token1] = ACTIONS(1713),
    [aux_sym_order_by_clause_token1] = ACTIONS(1713),
    [aux_sym_insert_statement_token1] = ACTIONS(1713),
    [aux_sym_truncate_statement_token1] = ACTIONS(1713),
    [aux_sym_update_statement_token1] = ACTIONS(1713),
    [aux_sym_merge_statement_token1] = ACTIONS(1713),
    [aux_sym_grant_statement_token1] = ACTIONS(1713),
    [aux_sym_revoke_statement_token1] = ACTIONS(1713),
    [aux_sym_export_data_statement_token1] = ACTIONS(1713),
    [aux_sym_load_data_statement_token1] = ACTIONS(1713),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [2729] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_window_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1165),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_having_clause_token1] = ACTIONS(1165),
    [aux_sym_qualify_clause_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym_order_by_clause_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2730] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_window_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1221),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_having_clause_token1] = ACTIONS(1221),
    [aux_sym_qualify_clause_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym_order_by_clause_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2731] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2945),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(2947),
    [aux_sym__keyword_in_token1] = ACTIONS(2949),
    [aux_sym__keyword_and_token1] = ACTIONS(2951),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2953),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_LT_GT] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2732] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2945),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(2947),
    [aux_sym__keyword_in_token1] = ACTIONS(2949),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2953),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_LT_GT] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2733] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1531),
    [aux_sym_keyword_replace_token1] = ACTIONS(1533),
    [aux_sym__keyword_alter_token1] = ACTIONS(1531),
    [aux_sym__keyword_create_token1] = ACTIONS(1531),
    [aux_sym__keyword_drop_token1] = ACTIONS(1531),
    [aux_sym__keyword_delete_token1] = ACTIONS(1531),
    [aux_sym__keyword_begin_token1] = ACTIONS(1531),
    [aux_sym__keyword_end_token1] = ACTIONS(1531),
    [aux_sym__keyword_between_token1] = ACTIONS(1531),
    [aux_sym__keyword_when_token1] = ACTIONS(1531),
    [aux_sym__keyword_else_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1531),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1531),
    [aux_sym__keyword_like_token1] = ACTIONS(1531),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1531),
    [aux_sym__keyword_window_token1] = ACTIONS(1531),
    [aux_sym__keyword_for_token1] = ACTIONS(1531),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1531),
    [anon_sym_COMMA] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1531),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1531),
    [aux_sym_return_statement_token1] = ACTIONS(1531),
    [aux_sym_call_statement_token1] = ACTIONS(1531),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1531),
    [aux_sym_if_statement_token1] = ACTIONS(1531),
    [aux_sym_loop_statement_token1] = ACTIONS(1531),
    [aux_sym_repeat_statement_token1] = ACTIONS(1531),
    [aux_sym_while_statement_token1] = ACTIONS(1531),
    [aux_sym_break_statement_token1] = ACTIONS(1531),
    [aux_sym_leave_statement_token1] = ACTIONS(1531),
    [aux_sym_continue_statement_token1] = ACTIONS(1531),
    [aux_sym_iterate_statement_token1] = ACTIONS(1531),
    [aux_sym_raise_statement_token1] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1531),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1531),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_set_operation_token1] = ACTIONS(1531),
    [aux_sym_set_operation_token3] = ACTIONS(1531),
    [aux_sym_set_operation_token4] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1531),
    [aux_sym_having_clause_token1] = ACTIONS(1531),
    [aux_sym_qualify_clause_token1] = ACTIONS(1531),
    [aux_sym_limit_clause_token1] = ACTIONS(1531),
    [aux_sym_group_by_clause_token1] = ACTIONS(1531),
    [aux_sym__direction_keywords_token1] = ACTIONS(1531),
    [aux_sym__direction_keywords_token2] = ACTIONS(1531),
    [aux_sym__nulls_preference_token1] = ACTIONS(1531),
    [aux_sym_order_by_clause_token1] = ACTIONS(1531),
    [aux_sym_insert_statement_token1] = ACTIONS(1531),
    [aux_sym_truncate_statement_token1] = ACTIONS(1531),
    [aux_sym_update_statement_token1] = ACTIONS(1531),
    [aux_sym_merge_statement_token1] = ACTIONS(1531),
    [aux_sym_grant_statement_token1] = ACTIONS(1531),
    [aux_sym_revoke_statement_token1] = ACTIONS(1531),
    [aux_sym_export_data_statement_token1] = ACTIONS(1531),
    [aux_sym_load_data_statement_token1] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [2734] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1709),
    [aux_sym_keyword_replace_token1] = ACTIONS(1711),
    [aux_sym__keyword_alter_token1] = ACTIONS(1709),
    [aux_sym__keyword_create_token1] = ACTIONS(1709),
    [aux_sym__keyword_drop_token1] = ACTIONS(1709),
    [aux_sym__keyword_delete_token1] = ACTIONS(1709),
    [aux_sym__keyword_begin_token1] = ACTIONS(1709),
    [aux_sym__keyword_end_token1] = ACTIONS(1709),
    [aux_sym__keyword_between_token1] = ACTIONS(1709),
    [aux_sym__keyword_when_token1] = ACTIONS(1709),
    [aux_sym__keyword_else_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1709),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1709),
    [aux_sym__keyword_like_token1] = ACTIONS(1709),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1709),
    [aux_sym__keyword_window_token1] = ACTIONS(1709),
    [aux_sym__keyword_for_token1] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1709),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1709),
    [aux_sym_return_statement_token1] = ACTIONS(1709),
    [aux_sym_call_statement_token1] = ACTIONS(1709),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1709),
    [aux_sym_if_statement_token1] = ACTIONS(1709),
    [aux_sym_loop_statement_token1] = ACTIONS(1709),
    [aux_sym_repeat_statement_token1] = ACTIONS(1709),
    [aux_sym_while_statement_token1] = ACTIONS(1709),
    [aux_sym_break_statement_token1] = ACTIONS(1709),
    [aux_sym_leave_statement_token1] = ACTIONS(1709),
    [aux_sym_continue_statement_token1] = ACTIONS(1709),
    [aux_sym_iterate_statement_token1] = ACTIONS(1709),
    [aux_sym_raise_statement_token1] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1709),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_set_operation_token1] = ACTIONS(1709),
    [aux_sym_set_operation_token3] = ACTIONS(1709),
    [aux_sym_set_operation_token4] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1709),
    [aux_sym_having_clause_token1] = ACTIONS(1709),
    [aux_sym_qualify_clause_token1] = ACTIONS(1709),
    [aux_sym_limit_clause_token1] = ACTIONS(1709),
    [aux_sym_group_by_clause_token1] = ACTIONS(1709),
    [aux_sym__direction_keywords_token1] = ACTIONS(1709),
    [aux_sym__direction_keywords_token2] = ACTIONS(1709),
    [aux_sym__nulls_preference_token1] = ACTIONS(1709),
    [aux_sym_order_by_clause_token1] = ACTIONS(1709),
    [aux_sym_insert_statement_token1] = ACTIONS(1709),
    [aux_sym_truncate_statement_token1] = ACTIONS(1709),
    [aux_sym_update_statement_token1] = ACTIONS(1709),
    [aux_sym_merge_statement_token1] = ACTIONS(1709),
    [aux_sym_grant_statement_token1] = ACTIONS(1709),
    [aux_sym_revoke_statement_token1] = ACTIONS(1709),
    [aux_sym_export_data_statement_token1] = ACTIONS(1709),
    [aux_sym_load_data_statement_token1] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [2735] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1705),
    [aux_sym_keyword_replace_token1] = ACTIONS(1707),
    [aux_sym__keyword_alter_token1] = ACTIONS(1705),
    [aux_sym__keyword_create_token1] = ACTIONS(1705),
    [aux_sym__keyword_drop_token1] = ACTIONS(1705),
    [aux_sym__keyword_delete_token1] = ACTIONS(1705),
    [aux_sym__keyword_begin_token1] = ACTIONS(1705),
    [aux_sym__keyword_end_token1] = ACTIONS(1705),
    [aux_sym__keyword_between_token1] = ACTIONS(1705),
    [aux_sym__keyword_when_token1] = ACTIONS(1705),
    [aux_sym__keyword_else_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1705),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1705),
    [aux_sym__keyword_like_token1] = ACTIONS(1705),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1705),
    [aux_sym__keyword_window_token1] = ACTIONS(1705),
    [aux_sym__keyword_for_token1] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1705),
    [aux_sym_return_statement_token1] = ACTIONS(1705),
    [aux_sym_call_statement_token1] = ACTIONS(1705),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1705),
    [aux_sym_if_statement_token1] = ACTIONS(1705),
    [aux_sym_loop_statement_token1] = ACTIONS(1705),
    [aux_sym_repeat_statement_token1] = ACTIONS(1705),
    [aux_sym_while_statement_token1] = ACTIONS(1705),
    [aux_sym_break_statement_token1] = ACTIONS(1705),
    [aux_sym_leave_statement_token1] = ACTIONS(1705),
    [aux_sym_continue_statement_token1] = ACTIONS(1705),
    [aux_sym_iterate_statement_token1] = ACTIONS(1705),
    [aux_sym_raise_statement_token1] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1705),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_set_operation_token1] = ACTIONS(1705),
    [aux_sym_set_operation_token3] = ACTIONS(1705),
    [aux_sym_set_operation_token4] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1705),
    [aux_sym_having_clause_token1] = ACTIONS(1705),
    [aux_sym_qualify_clause_token1] = ACTIONS(1705),
    [aux_sym_limit_clause_token1] = ACTIONS(1705),
    [aux_sym_group_by_clause_token1] = ACTIONS(1705),
    [aux_sym__direction_keywords_token1] = ACTIONS(1705),
    [aux_sym__direction_keywords_token2] = ACTIONS(1705),
    [aux_sym__nulls_preference_token1] = ACTIONS(1705),
    [aux_sym_order_by_clause_token1] = ACTIONS(1705),
    [aux_sym_insert_statement_token1] = ACTIONS(1705),
    [aux_sym_truncate_statement_token1] = ACTIONS(1705),
    [aux_sym_update_statement_token1] = ACTIONS(1705),
    [aux_sym_merge_statement_token1] = ACTIONS(1705),
    [aux_sym_grant_statement_token1] = ACTIONS(1705),
    [aux_sym_revoke_statement_token1] = ACTIONS(1705),
    [aux_sym_export_data_statement_token1] = ACTIONS(1705),
    [aux_sym_load_data_statement_token1] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [2736] = {
    [ts_builtin_sym_end] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1813),
    [aux_sym_keyword_replace_token1] = ACTIONS(1815),
    [aux_sym__keyword_alter_token1] = ACTIONS(1813),
    [aux_sym__keyword_create_token1] = ACTIONS(1813),
    [aux_sym__keyword_drop_token1] = ACTIONS(1813),
    [aux_sym__keyword_delete_token1] = ACTIONS(1813),
    [aux_sym__keyword_begin_token1] = ACTIONS(1813),
    [aux_sym__keyword_end_token1] = ACTIONS(1813),
    [aux_sym__keyword_between_token1] = ACTIONS(1813),
    [aux_sym__keyword_when_token1] = ACTIONS(1813),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1813),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1813),
    [aux_sym__keyword_like_token1] = ACTIONS(1813),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1813),
    [aux_sym__keyword_window_token1] = ACTIONS(1813),
    [aux_sym__keyword_for_token1] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1813),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1813),
    [aux_sym_return_statement_token1] = ACTIONS(1813),
    [aux_sym_call_statement_token1] = ACTIONS(1813),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1813),
    [aux_sym_if_statement_token1] = ACTIONS(1813),
    [aux_sym_loop_statement_token1] = ACTIONS(1813),
    [aux_sym_repeat_statement_token1] = ACTIONS(1813),
    [aux_sym_while_statement_token1] = ACTIONS(1813),
    [aux_sym_break_statement_token1] = ACTIONS(1813),
    [aux_sym_leave_statement_token1] = ACTIONS(1813),
    [aux_sym_continue_statement_token1] = ACTIONS(1813),
    [aux_sym_iterate_statement_token1] = ACTIONS(1813),
    [aux_sym_raise_statement_token1] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1813),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_set_operation_token1] = ACTIONS(1813),
    [aux_sym_set_operation_token3] = ACTIONS(1813),
    [aux_sym_set_operation_token4] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1813),
    [aux_sym_having_clause_token1] = ACTIONS(1813),
    [aux_sym_qualify_clause_token1] = ACTIONS(1813),
    [aux_sym_limit_clause_token1] = ACTIONS(1813),
    [aux_sym_group_by_clause_token1] = ACTIONS(1813),
    [aux_sym__direction_keywords_token1] = ACTIONS(1813),
    [aux_sym__direction_keywords_token2] = ACTIONS(1813),
    [aux_sym__nulls_preference_token1] = ACTIONS(1813),
    [aux_sym_order_by_clause_token1] = ACTIONS(1813),
    [aux_sym_insert_statement_token1] = ACTIONS(1813),
    [aux_sym_truncate_statement_token1] = ACTIONS(1813),
    [aux_sym_update_statement_token1] = ACTIONS(1813),
    [aux_sym_merge_statement_token1] = ACTIONS(1813),
    [aux_sym_grant_statement_token1] = ACTIONS(1813),
    [aux_sym_revoke_statement_token1] = ACTIONS(1813),
    [aux_sym_export_data_statement_token1] = ACTIONS(1813),
    [aux_sym_load_data_statement_token1] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [2737] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1701),
    [aux_sym_keyword_replace_token1] = ACTIONS(1703),
    [aux_sym__keyword_alter_token1] = ACTIONS(1701),
    [aux_sym__keyword_create_token1] = ACTIONS(1701),
    [aux_sym__keyword_drop_token1] = ACTIONS(1701),
    [aux_sym__keyword_delete_token1] = ACTIONS(1701),
    [aux_sym__keyword_begin_token1] = ACTIONS(1701),
    [aux_sym__keyword_end_token1] = ACTIONS(1701),
    [aux_sym__keyword_between_token1] = ACTIONS(1701),
    [aux_sym__keyword_when_token1] = ACTIONS(1701),
    [aux_sym__keyword_else_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1701),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1701),
    [aux_sym__keyword_like_token1] = ACTIONS(1701),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1701),
    [aux_sym__keyword_window_token1] = ACTIONS(1701),
    [aux_sym__keyword_for_token1] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1701),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1701),
    [aux_sym_return_statement_token1] = ACTIONS(1701),
    [aux_sym_call_statement_token1] = ACTIONS(1701),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1701),
    [aux_sym_if_statement_token1] = ACTIONS(1701),
    [aux_sym_loop_statement_token1] = ACTIONS(1701),
    [aux_sym_repeat_statement_token1] = ACTIONS(1701),
    [aux_sym_while_statement_token1] = ACTIONS(1701),
    [aux_sym_break_statement_token1] = ACTIONS(1701),
    [aux_sym_leave_statement_token1] = ACTIONS(1701),
    [aux_sym_continue_statement_token1] = ACTIONS(1701),
    [aux_sym_iterate_statement_token1] = ACTIONS(1701),
    [aux_sym_raise_statement_token1] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1701),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_set_operation_token1] = ACTIONS(1701),
    [aux_sym_set_operation_token3] = ACTIONS(1701),
    [aux_sym_set_operation_token4] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1701),
    [aux_sym_having_clause_token1] = ACTIONS(1701),
    [aux_sym_qualify_clause_token1] = ACTIONS(1701),
    [aux_sym_limit_clause_token1] = ACTIONS(1701),
    [aux_sym_group_by_clause_token1] = ACTIONS(1701),
    [aux_sym__direction_keywords_token1] = ACTIONS(1701),
    [aux_sym__direction_keywords_token2] = ACTIONS(1701),
    [aux_sym__nulls_preference_token1] = ACTIONS(1701),
    [aux_sym_order_by_clause_token1] = ACTIONS(1701),
    [aux_sym_insert_statement_token1] = ACTIONS(1701),
    [aux_sym_truncate_statement_token1] = ACTIONS(1701),
    [aux_sym_update_statement_token1] = ACTIONS(1701),
    [aux_sym_merge_statement_token1] = ACTIONS(1701),
    [aux_sym_grant_statement_token1] = ACTIONS(1701),
    [aux_sym_revoke_statement_token1] = ACTIONS(1701),
    [aux_sym_export_data_statement_token1] = ACTIONS(1701),
    [aux_sym_load_data_statement_token1] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [2738] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2739] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2740] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1693),
    [aux_sym_keyword_replace_token1] = ACTIONS(1695),
    [aux_sym__keyword_alter_token1] = ACTIONS(1693),
    [aux_sym__keyword_create_token1] = ACTIONS(1693),
    [aux_sym__keyword_drop_token1] = ACTIONS(1693),
    [aux_sym__keyword_delete_token1] = ACTIONS(1693),
    [aux_sym__keyword_begin_token1] = ACTIONS(1693),
    [aux_sym__keyword_end_token1] = ACTIONS(1693),
    [aux_sym__keyword_between_token1] = ACTIONS(1693),
    [aux_sym__keyword_when_token1] = ACTIONS(1693),
    [aux_sym__keyword_else_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1693),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1693),
    [aux_sym__keyword_like_token1] = ACTIONS(1693),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1693),
    [aux_sym__keyword_window_token1] = ACTIONS(1693),
    [aux_sym__keyword_for_token1] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1693),
    [aux_sym_return_statement_token1] = ACTIONS(1693),
    [aux_sym_call_statement_token1] = ACTIONS(1693),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1693),
    [aux_sym_if_statement_token1] = ACTIONS(1693),
    [aux_sym_loop_statement_token1] = ACTIONS(1693),
    [aux_sym_repeat_statement_token1] = ACTIONS(1693),
    [aux_sym_while_statement_token1] = ACTIONS(1693),
    [aux_sym_break_statement_token1] = ACTIONS(1693),
    [aux_sym_leave_statement_token1] = ACTIONS(1693),
    [aux_sym_continue_statement_token1] = ACTIONS(1693),
    [aux_sym_iterate_statement_token1] = ACTIONS(1693),
    [aux_sym_raise_statement_token1] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1693),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_set_operation_token1] = ACTIONS(1693),
    [aux_sym_set_operation_token3] = ACTIONS(1693),
    [aux_sym_set_operation_token4] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1693),
    [aux_sym_having_clause_token1] = ACTIONS(1693),
    [aux_sym_qualify_clause_token1] = ACTIONS(1693),
    [aux_sym_limit_clause_token1] = ACTIONS(1693),
    [aux_sym_group_by_clause_token1] = ACTIONS(1693),
    [aux_sym__direction_keywords_token1] = ACTIONS(1693),
    [aux_sym__direction_keywords_token2] = ACTIONS(1693),
    [aux_sym__nulls_preference_token1] = ACTIONS(1693),
    [aux_sym_order_by_clause_token1] = ACTIONS(1693),
    [aux_sym_insert_statement_token1] = ACTIONS(1693),
    [aux_sym_truncate_statement_token1] = ACTIONS(1693),
    [aux_sym_update_statement_token1] = ACTIONS(1693),
    [aux_sym_merge_statement_token1] = ACTIONS(1693),
    [aux_sym_grant_statement_token1] = ACTIONS(1693),
    [aux_sym_revoke_statement_token1] = ACTIONS(1693),
    [aux_sym_export_data_statement_token1] = ACTIONS(1693),
    [aux_sym_load_data_statement_token1] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [2741] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1689),
    [aux_sym_keyword_replace_token1] = ACTIONS(1691),
    [aux_sym__keyword_alter_token1] = ACTIONS(1689),
    [aux_sym__keyword_create_token1] = ACTIONS(1689),
    [aux_sym__keyword_drop_token1] = ACTIONS(1689),
    [aux_sym__keyword_delete_token1] = ACTIONS(1689),
    [aux_sym__keyword_begin_token1] = ACTIONS(1689),
    [aux_sym__keyword_end_token1] = ACTIONS(1689),
    [aux_sym__keyword_between_token1] = ACTIONS(1689),
    [aux_sym__keyword_when_token1] = ACTIONS(1689),
    [aux_sym__keyword_else_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1689),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1689),
    [aux_sym__keyword_like_token1] = ACTIONS(1689),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1689),
    [aux_sym__keyword_window_token1] = ACTIONS(1689),
    [aux_sym__keyword_for_token1] = ACTIONS(1689),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1689),
    [anon_sym_COMMA] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1689),
    [aux_sym_return_statement_token1] = ACTIONS(1689),
    [aux_sym_call_statement_token1] = ACTIONS(1689),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1689),
    [aux_sym_if_statement_token1] = ACTIONS(1689),
    [aux_sym_loop_statement_token1] = ACTIONS(1689),
    [aux_sym_repeat_statement_token1] = ACTIONS(1689),
    [aux_sym_while_statement_token1] = ACTIONS(1689),
    [aux_sym_break_statement_token1] = ACTIONS(1689),
    [aux_sym_leave_statement_token1] = ACTIONS(1689),
    [aux_sym_continue_statement_token1] = ACTIONS(1689),
    [aux_sym_iterate_statement_token1] = ACTIONS(1689),
    [aux_sym_raise_statement_token1] = ACTIONS(1689),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1689),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1689),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_set_operation_token1] = ACTIONS(1689),
    [aux_sym_set_operation_token3] = ACTIONS(1689),
    [aux_sym_set_operation_token4] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1689),
    [aux_sym_having_clause_token1] = ACTIONS(1689),
    [aux_sym_qualify_clause_token1] = ACTIONS(1689),
    [aux_sym_limit_clause_token1] = ACTIONS(1689),
    [aux_sym_group_by_clause_token1] = ACTIONS(1689),
    [aux_sym__direction_keywords_token1] = ACTIONS(1689),
    [aux_sym__direction_keywords_token2] = ACTIONS(1689),
    [aux_sym__nulls_preference_token1] = ACTIONS(1689),
    [aux_sym_order_by_clause_token1] = ACTIONS(1689),
    [aux_sym_insert_statement_token1] = ACTIONS(1689),
    [aux_sym_truncate_statement_token1] = ACTIONS(1689),
    [aux_sym_update_statement_token1] = ACTIONS(1689),
    [aux_sym_merge_statement_token1] = ACTIONS(1689),
    [aux_sym_grant_statement_token1] = ACTIONS(1689),
    [aux_sym_revoke_statement_token1] = ACTIONS(1689),
    [aux_sym_export_data_statement_token1] = ACTIONS(1689),
    [aux_sym_load_data_statement_token1] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [2742] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_window_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_having_clause_token1] = ACTIONS(1517),
    [aux_sym_qualify_clause_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym_group_by_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_order_by_clause_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2743] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_window_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1207),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_having_clause_token1] = ACTIONS(1207),
    [aux_sym_qualify_clause_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym_group_by_clause_token1] = ACTIONS(1207),
    [aux_sym_order_by_clause_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2744] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_when_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_window_token1] = ACTIONS(1429),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1429),
    [aux_sym_set_operation_token3] = ACTIONS(1429),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_having_clause_token1] = ACTIONS(1429),
    [aux_sym_qualify_clause_token1] = ACTIONS(1429),
    [aux_sym_limit_clause_token1] = ACTIONS(1429),
    [aux_sym_group_by_clause_token1] = ACTIONS(1429),
    [aux_sym__direction_keywords_token1] = ACTIONS(1429),
    [aux_sym__direction_keywords_token2] = ACTIONS(1429),
    [aux_sym__nulls_preference_token1] = ACTIONS(1429),
    [aux_sym_order_by_clause_token1] = ACTIONS(1429),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [2745] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1677),
    [aux_sym_keyword_replace_token1] = ACTIONS(1679),
    [aux_sym__keyword_alter_token1] = ACTIONS(1677),
    [aux_sym__keyword_create_token1] = ACTIONS(1677),
    [aux_sym__keyword_drop_token1] = ACTIONS(1677),
    [aux_sym__keyword_delete_token1] = ACTIONS(1677),
    [aux_sym__keyword_begin_token1] = ACTIONS(1677),
    [aux_sym__keyword_end_token1] = ACTIONS(1677),
    [aux_sym__keyword_between_token1] = ACTIONS(1677),
    [aux_sym__keyword_when_token1] = ACTIONS(1677),
    [aux_sym__keyword_else_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1677),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1677),
    [aux_sym__keyword_like_token1] = ACTIONS(1677),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1677),
    [aux_sym__keyword_window_token1] = ACTIONS(1677),
    [aux_sym__keyword_for_token1] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1677),
    [anon_sym_COMMA] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1677),
    [aux_sym_return_statement_token1] = ACTIONS(1677),
    [aux_sym_call_statement_token1] = ACTIONS(1677),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1677),
    [aux_sym_if_statement_token1] = ACTIONS(1677),
    [aux_sym_loop_statement_token1] = ACTIONS(1677),
    [aux_sym_repeat_statement_token1] = ACTIONS(1677),
    [aux_sym_while_statement_token1] = ACTIONS(1677),
    [aux_sym_break_statement_token1] = ACTIONS(1677),
    [aux_sym_leave_statement_token1] = ACTIONS(1677),
    [aux_sym_continue_statement_token1] = ACTIONS(1677),
    [aux_sym_iterate_statement_token1] = ACTIONS(1677),
    [aux_sym_raise_statement_token1] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1677),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_set_operation_token1] = ACTIONS(1677),
    [aux_sym_set_operation_token3] = ACTIONS(1677),
    [aux_sym_set_operation_token4] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1677),
    [aux_sym_having_clause_token1] = ACTIONS(1677),
    [aux_sym_qualify_clause_token1] = ACTIONS(1677),
    [aux_sym_limit_clause_token1] = ACTIONS(1677),
    [aux_sym_group_by_clause_token1] = ACTIONS(1677),
    [aux_sym__direction_keywords_token1] = ACTIONS(1677),
    [aux_sym__direction_keywords_token2] = ACTIONS(1677),
    [aux_sym__nulls_preference_token1] = ACTIONS(1677),
    [aux_sym_order_by_clause_token1] = ACTIONS(1677),
    [aux_sym_insert_statement_token1] = ACTIONS(1677),
    [aux_sym_truncate_statement_token1] = ACTIONS(1677),
    [aux_sym_update_statement_token1] = ACTIONS(1677),
    [aux_sym_merge_statement_token1] = ACTIONS(1677),
    [aux_sym_grant_statement_token1] = ACTIONS(1677),
    [aux_sym_revoke_statement_token1] = ACTIONS(1677),
    [aux_sym_export_data_statement_token1] = ACTIONS(1677),
    [aux_sym_load_data_statement_token1] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [2746] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2747] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1673),
    [aux_sym_keyword_replace_token1] = ACTIONS(1675),
    [aux_sym__keyword_alter_token1] = ACTIONS(1673),
    [aux_sym__keyword_create_token1] = ACTIONS(1673),
    [aux_sym__keyword_drop_token1] = ACTIONS(1673),
    [aux_sym__keyword_delete_token1] = ACTIONS(1673),
    [aux_sym__keyword_begin_token1] = ACTIONS(1673),
    [aux_sym__keyword_end_token1] = ACTIONS(1673),
    [aux_sym__keyword_between_token1] = ACTIONS(1673),
    [aux_sym__keyword_when_token1] = ACTIONS(1673),
    [aux_sym__keyword_else_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1673),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1673),
    [aux_sym__keyword_like_token1] = ACTIONS(1673),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1673),
    [aux_sym__keyword_window_token1] = ACTIONS(1673),
    [aux_sym__keyword_for_token1] = ACTIONS(1673),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1673),
    [anon_sym_COMMA] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1673),
    [aux_sym_return_statement_token1] = ACTIONS(1673),
    [aux_sym_call_statement_token1] = ACTIONS(1673),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1673),
    [aux_sym_if_statement_token1] = ACTIONS(1673),
    [aux_sym_loop_statement_token1] = ACTIONS(1673),
    [aux_sym_repeat_statement_token1] = ACTIONS(1673),
    [aux_sym_while_statement_token1] = ACTIONS(1673),
    [aux_sym_break_statement_token1] = ACTIONS(1673),
    [aux_sym_leave_statement_token1] = ACTIONS(1673),
    [aux_sym_continue_statement_token1] = ACTIONS(1673),
    [aux_sym_iterate_statement_token1] = ACTIONS(1673),
    [aux_sym_raise_statement_token1] = ACTIONS(1673),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1673),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_set_operation_token1] = ACTIONS(1673),
    [aux_sym_set_operation_token3] = ACTIONS(1673),
    [aux_sym_set_operation_token4] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1673),
    [aux_sym_having_clause_token1] = ACTIONS(1673),
    [aux_sym_qualify_clause_token1] = ACTIONS(1673),
    [aux_sym_limit_clause_token1] = ACTIONS(1673),
    [aux_sym_group_by_clause_token1] = ACTIONS(1673),
    [aux_sym__direction_keywords_token1] = ACTIONS(1673),
    [aux_sym__direction_keywords_token2] = ACTIONS(1673),
    [aux_sym__nulls_preference_token1] = ACTIONS(1673),
    [aux_sym_order_by_clause_token1] = ACTIONS(1673),
    [aux_sym_insert_statement_token1] = ACTIONS(1673),
    [aux_sym_truncate_statement_token1] = ACTIONS(1673),
    [aux_sym_update_statement_token1] = ACTIONS(1673),
    [aux_sym_merge_statement_token1] = ACTIONS(1673),
    [aux_sym_grant_statement_token1] = ACTIONS(1673),
    [aux_sym_revoke_statement_token1] = ACTIONS(1673),
    [aux_sym_export_data_statement_token1] = ACTIONS(1673),
    [aux_sym_load_data_statement_token1] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [2748] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2749] = {
    [ts_builtin_sym_end] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1805),
    [aux_sym_keyword_replace_token1] = ACTIONS(1807),
    [aux_sym__keyword_alter_token1] = ACTIONS(1805),
    [aux_sym__keyword_create_token1] = ACTIONS(1805),
    [aux_sym__keyword_drop_token1] = ACTIONS(1805),
    [aux_sym__keyword_delete_token1] = ACTIONS(1805),
    [aux_sym__keyword_begin_token1] = ACTIONS(1805),
    [aux_sym__keyword_end_token1] = ACTIONS(1805),
    [aux_sym__keyword_between_token1] = ACTIONS(1805),
    [aux_sym__keyword_when_token1] = ACTIONS(1805),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1805),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1805),
    [aux_sym__keyword_like_token1] = ACTIONS(1805),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1805),
    [aux_sym__keyword_window_token1] = ACTIONS(1805),
    [aux_sym__keyword_for_token1] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1805),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1805),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1805),
    [aux_sym_return_statement_token1] = ACTIONS(1805),
    [aux_sym_call_statement_token1] = ACTIONS(1805),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1805),
    [aux_sym_if_statement_token1] = ACTIONS(1805),
    [aux_sym_loop_statement_token1] = ACTIONS(1805),
    [aux_sym_repeat_statement_token1] = ACTIONS(1805),
    [aux_sym_while_statement_token1] = ACTIONS(1805),
    [aux_sym_break_statement_token1] = ACTIONS(1805),
    [aux_sym_leave_statement_token1] = ACTIONS(1805),
    [aux_sym_continue_statement_token1] = ACTIONS(1805),
    [aux_sym_iterate_statement_token1] = ACTIONS(1805),
    [aux_sym_raise_statement_token1] = ACTIONS(1805),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1805),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1805),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_set_operation_token1] = ACTIONS(1805),
    [aux_sym_set_operation_token3] = ACTIONS(1805),
    [aux_sym_set_operation_token4] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1805),
    [aux_sym_having_clause_token1] = ACTIONS(1805),
    [aux_sym_qualify_clause_token1] = ACTIONS(1805),
    [aux_sym_limit_clause_token1] = ACTIONS(1805),
    [aux_sym_group_by_clause_token1] = ACTIONS(1805),
    [aux_sym__direction_keywords_token1] = ACTIONS(1805),
    [aux_sym__direction_keywords_token2] = ACTIONS(1805),
    [aux_sym__nulls_preference_token1] = ACTIONS(1805),
    [aux_sym_order_by_clause_token1] = ACTIONS(1805),
    [aux_sym_insert_statement_token1] = ACTIONS(1805),
    [aux_sym_truncate_statement_token1] = ACTIONS(1805),
    [aux_sym_update_statement_token1] = ACTIONS(1805),
    [aux_sym_merge_statement_token1] = ACTIONS(1805),
    [aux_sym_grant_statement_token1] = ACTIONS(1805),
    [aux_sym_revoke_statement_token1] = ACTIONS(1805),
    [aux_sym_export_data_statement_token1] = ACTIONS(1805),
    [aux_sym_load_data_statement_token1] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [2750] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1669),
    [aux_sym_keyword_replace_token1] = ACTIONS(1671),
    [aux_sym__keyword_alter_token1] = ACTIONS(1669),
    [aux_sym__keyword_create_token1] = ACTIONS(1669),
    [aux_sym__keyword_drop_token1] = ACTIONS(1669),
    [aux_sym__keyword_delete_token1] = ACTIONS(1669),
    [aux_sym__keyword_begin_token1] = ACTIONS(1669),
    [aux_sym__keyword_end_token1] = ACTIONS(1669),
    [aux_sym__keyword_between_token1] = ACTIONS(1669),
    [aux_sym__keyword_when_token1] = ACTIONS(1669),
    [aux_sym__keyword_else_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1669),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1669),
    [aux_sym__keyword_like_token1] = ACTIONS(1669),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1669),
    [aux_sym__keyword_window_token1] = ACTIONS(1669),
    [aux_sym__keyword_for_token1] = ACTIONS(1669),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1669),
    [aux_sym_return_statement_token1] = ACTIONS(1669),
    [aux_sym_call_statement_token1] = ACTIONS(1669),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1669),
    [aux_sym_if_statement_token1] = ACTIONS(1669),
    [aux_sym_loop_statement_token1] = ACTIONS(1669),
    [aux_sym_repeat_statement_token1] = ACTIONS(1669),
    [aux_sym_while_statement_token1] = ACTIONS(1669),
    [aux_sym_break_statement_token1] = ACTIONS(1669),
    [aux_sym_leave_statement_token1] = ACTIONS(1669),
    [aux_sym_continue_statement_token1] = ACTIONS(1669),
    [aux_sym_iterate_statement_token1] = ACTIONS(1669),
    [aux_sym_raise_statement_token1] = ACTIONS(1669),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1669),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1669),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_set_operation_token1] = ACTIONS(1669),
    [aux_sym_set_operation_token3] = ACTIONS(1669),
    [aux_sym_set_operation_token4] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1669),
    [aux_sym_having_clause_token1] = ACTIONS(1669),
    [aux_sym_qualify_clause_token1] = ACTIONS(1669),
    [aux_sym_limit_clause_token1] = ACTIONS(1669),
    [aux_sym_group_by_clause_token1] = ACTIONS(1669),
    [aux_sym__direction_keywords_token1] = ACTIONS(1669),
    [aux_sym__direction_keywords_token2] = ACTIONS(1669),
    [aux_sym__nulls_preference_token1] = ACTIONS(1669),
    [aux_sym_order_by_clause_token1] = ACTIONS(1669),
    [aux_sym_insert_statement_token1] = ACTIONS(1669),
    [aux_sym_truncate_statement_token1] = ACTIONS(1669),
    [aux_sym_update_statement_token1] = ACTIONS(1669),
    [aux_sym_merge_statement_token1] = ACTIONS(1669),
    [aux_sym_grant_statement_token1] = ACTIONS(1669),
    [aux_sym_revoke_statement_token1] = ACTIONS(1669),
    [aux_sym_export_data_statement_token1] = ACTIONS(1669),
    [aux_sym_load_data_statement_token1] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [2751] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1665),
    [aux_sym_keyword_replace_token1] = ACTIONS(1667),
    [aux_sym__keyword_alter_token1] = ACTIONS(1665),
    [aux_sym__keyword_create_token1] = ACTIONS(1665),
    [aux_sym__keyword_drop_token1] = ACTIONS(1665),
    [aux_sym__keyword_delete_token1] = ACTIONS(1665),
    [aux_sym__keyword_begin_token1] = ACTIONS(1665),
    [aux_sym__keyword_end_token1] = ACTIONS(1665),
    [aux_sym__keyword_between_token1] = ACTIONS(1665),
    [aux_sym__keyword_when_token1] = ACTIONS(1665),
    [aux_sym__keyword_else_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1665),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1665),
    [aux_sym__keyword_like_token1] = ACTIONS(1665),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1665),
    [aux_sym__keyword_window_token1] = ACTIONS(1665),
    [aux_sym__keyword_for_token1] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1665),
    [aux_sym_return_statement_token1] = ACTIONS(1665),
    [aux_sym_call_statement_token1] = ACTIONS(1665),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1665),
    [aux_sym_if_statement_token1] = ACTIONS(1665),
    [aux_sym_loop_statement_token1] = ACTIONS(1665),
    [aux_sym_repeat_statement_token1] = ACTIONS(1665),
    [aux_sym_while_statement_token1] = ACTIONS(1665),
    [aux_sym_break_statement_token1] = ACTIONS(1665),
    [aux_sym_leave_statement_token1] = ACTIONS(1665),
    [aux_sym_continue_statement_token1] = ACTIONS(1665),
    [aux_sym_iterate_statement_token1] = ACTIONS(1665),
    [aux_sym_raise_statement_token1] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1665),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_set_operation_token1] = ACTIONS(1665),
    [aux_sym_set_operation_token3] = ACTIONS(1665),
    [aux_sym_set_operation_token4] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1665),
    [aux_sym_having_clause_token1] = ACTIONS(1665),
    [aux_sym_qualify_clause_token1] = ACTIONS(1665),
    [aux_sym_limit_clause_token1] = ACTIONS(1665),
    [aux_sym_group_by_clause_token1] = ACTIONS(1665),
    [aux_sym__direction_keywords_token1] = ACTIONS(1665),
    [aux_sym__direction_keywords_token2] = ACTIONS(1665),
    [aux_sym__nulls_preference_token1] = ACTIONS(1665),
    [aux_sym_order_by_clause_token1] = ACTIONS(1665),
    [aux_sym_insert_statement_token1] = ACTIONS(1665),
    [aux_sym_truncate_statement_token1] = ACTIONS(1665),
    [aux_sym_update_statement_token1] = ACTIONS(1665),
    [aux_sym_merge_statement_token1] = ACTIONS(1665),
    [aux_sym_grant_statement_token1] = ACTIONS(1665),
    [aux_sym_revoke_statement_token1] = ACTIONS(1665),
    [aux_sym_export_data_statement_token1] = ACTIONS(1665),
    [aux_sym_load_data_statement_token1] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [2752] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_window_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1165),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_having_clause_token1] = ACTIONS(1165),
    [aux_sym_qualify_clause_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym_group_by_clause_token1] = ACTIONS(1165),
    [aux_sym_order_by_clause_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2753] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1661),
    [aux_sym_keyword_replace_token1] = ACTIONS(1663),
    [aux_sym__keyword_alter_token1] = ACTIONS(1661),
    [aux_sym__keyword_create_token1] = ACTIONS(1661),
    [aux_sym__keyword_drop_token1] = ACTIONS(1661),
    [aux_sym__keyword_delete_token1] = ACTIONS(1661),
    [aux_sym__keyword_begin_token1] = ACTIONS(1661),
    [aux_sym__keyword_end_token1] = ACTIONS(1661),
    [aux_sym__keyword_between_token1] = ACTIONS(1661),
    [aux_sym__keyword_when_token1] = ACTIONS(1661),
    [aux_sym__keyword_else_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1661),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1661),
    [aux_sym__keyword_like_token1] = ACTIONS(1661),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1661),
    [aux_sym__keyword_window_token1] = ACTIONS(1661),
    [aux_sym__keyword_for_token1] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1661),
    [aux_sym_return_statement_token1] = ACTIONS(1661),
    [aux_sym_call_statement_token1] = ACTIONS(1661),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1661),
    [aux_sym_if_statement_token1] = ACTIONS(1661),
    [aux_sym_loop_statement_token1] = ACTIONS(1661),
    [aux_sym_repeat_statement_token1] = ACTIONS(1661),
    [aux_sym_while_statement_token1] = ACTIONS(1661),
    [aux_sym_break_statement_token1] = ACTIONS(1661),
    [aux_sym_leave_statement_token1] = ACTIONS(1661),
    [aux_sym_continue_statement_token1] = ACTIONS(1661),
    [aux_sym_iterate_statement_token1] = ACTIONS(1661),
    [aux_sym_raise_statement_token1] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1661),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_set_operation_token1] = ACTIONS(1661),
    [aux_sym_set_operation_token3] = ACTIONS(1661),
    [aux_sym_set_operation_token4] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1661),
    [aux_sym_having_clause_token1] = ACTIONS(1661),
    [aux_sym_qualify_clause_token1] = ACTIONS(1661),
    [aux_sym_limit_clause_token1] = ACTIONS(1661),
    [aux_sym_group_by_clause_token1] = ACTIONS(1661),
    [aux_sym__direction_keywords_token1] = ACTIONS(1661),
    [aux_sym__direction_keywords_token2] = ACTIONS(1661),
    [aux_sym__nulls_preference_token1] = ACTIONS(1661),
    [aux_sym_order_by_clause_token1] = ACTIONS(1661),
    [aux_sym_insert_statement_token1] = ACTIONS(1661),
    [aux_sym_truncate_statement_token1] = ACTIONS(1661),
    [aux_sym_update_statement_token1] = ACTIONS(1661),
    [aux_sym_merge_statement_token1] = ACTIONS(1661),
    [aux_sym_grant_statement_token1] = ACTIONS(1661),
    [aux_sym_revoke_statement_token1] = ACTIONS(1661),
    [aux_sym_export_data_statement_token1] = ACTIONS(1661),
    [aux_sym_load_data_statement_token1] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [2754] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2755] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2756] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1657),
    [aux_sym_keyword_replace_token1] = ACTIONS(1659),
    [aux_sym__keyword_alter_token1] = ACTIONS(1657),
    [aux_sym__keyword_create_token1] = ACTIONS(1657),
    [aux_sym__keyword_drop_token1] = ACTIONS(1657),
    [aux_sym__keyword_delete_token1] = ACTIONS(1657),
    [aux_sym__keyword_begin_token1] = ACTIONS(1657),
    [aux_sym__keyword_end_token1] = ACTIONS(1657),
    [aux_sym__keyword_between_token1] = ACTIONS(1657),
    [aux_sym__keyword_when_token1] = ACTIONS(1657),
    [aux_sym__keyword_else_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1657),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1657),
    [aux_sym__keyword_like_token1] = ACTIONS(1657),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1657),
    [aux_sym__keyword_window_token1] = ACTIONS(1657),
    [aux_sym__keyword_for_token1] = ACTIONS(1657),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1657),
    [aux_sym_return_statement_token1] = ACTIONS(1657),
    [aux_sym_call_statement_token1] = ACTIONS(1657),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1657),
    [aux_sym_if_statement_token1] = ACTIONS(1657),
    [aux_sym_loop_statement_token1] = ACTIONS(1657),
    [aux_sym_repeat_statement_token1] = ACTIONS(1657),
    [aux_sym_while_statement_token1] = ACTIONS(1657),
    [aux_sym_break_statement_token1] = ACTIONS(1657),
    [aux_sym_leave_statement_token1] = ACTIONS(1657),
    [aux_sym_continue_statement_token1] = ACTIONS(1657),
    [aux_sym_iterate_statement_token1] = ACTIONS(1657),
    [aux_sym_raise_statement_token1] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1657),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1657),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_set_operation_token1] = ACTIONS(1657),
    [aux_sym_set_operation_token3] = ACTIONS(1657),
    [aux_sym_set_operation_token4] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1657),
    [aux_sym_having_clause_token1] = ACTIONS(1657),
    [aux_sym_qualify_clause_token1] = ACTIONS(1657),
    [aux_sym_limit_clause_token1] = ACTIONS(1657),
    [aux_sym_group_by_clause_token1] = ACTIONS(1657),
    [aux_sym__direction_keywords_token1] = ACTIONS(1657),
    [aux_sym__direction_keywords_token2] = ACTIONS(1657),
    [aux_sym__nulls_preference_token1] = ACTIONS(1657),
    [aux_sym_order_by_clause_token1] = ACTIONS(1657),
    [aux_sym_insert_statement_token1] = ACTIONS(1657),
    [aux_sym_truncate_statement_token1] = ACTIONS(1657),
    [aux_sym_update_statement_token1] = ACTIONS(1657),
    [aux_sym_merge_statement_token1] = ACTIONS(1657),
    [aux_sym_grant_statement_token1] = ACTIONS(1657),
    [aux_sym_revoke_statement_token1] = ACTIONS(1657),
    [aux_sym_export_data_statement_token1] = ACTIONS(1657),
    [aux_sym_load_data_statement_token1] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [2757] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_window_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1221),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_having_clause_token1] = ACTIONS(1221),
    [aux_sym_qualify_clause_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym_group_by_clause_token1] = ACTIONS(1221),
    [aux_sym_order_by_clause_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_GT_GT] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2985),
  },
  [2758] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1649),
    [aux_sym_keyword_replace_token1] = ACTIONS(1651),
    [aux_sym__keyword_alter_token1] = ACTIONS(1649),
    [aux_sym__keyword_create_token1] = ACTIONS(1649),
    [aux_sym__keyword_drop_token1] = ACTIONS(1649),
    [aux_sym__keyword_delete_token1] = ACTIONS(1649),
    [aux_sym__keyword_begin_token1] = ACTIONS(1649),
    [aux_sym__keyword_end_token1] = ACTIONS(1649),
    [aux_sym__keyword_between_token1] = ACTIONS(1649),
    [aux_sym__keyword_when_token1] = ACTIONS(1649),
    [aux_sym__keyword_else_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1649),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1649),
    [aux_sym__keyword_like_token1] = ACTIONS(1649),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1649),
    [aux_sym__keyword_window_token1] = ACTIONS(1649),
    [aux_sym__keyword_for_token1] = ACTIONS(1649),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1649),
    [aux_sym_return_statement_token1] = ACTIONS(1649),
    [aux_sym_call_statement_token1] = ACTIONS(1649),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1649),
    [aux_sym_if_statement_token1] = ACTIONS(1649),
    [aux_sym_loop_statement_token1] = ACTIONS(1649),
    [aux_sym_repeat_statement_token1] = ACTIONS(1649),
    [aux_sym_while_statement_token1] = ACTIONS(1649),
    [aux_sym_break_statement_token1] = ACTIONS(1649),
    [aux_sym_leave_statement_token1] = ACTIONS(1649),
    [aux_sym_continue_statement_token1] = ACTIONS(1649),
    [aux_sym_iterate_statement_token1] = ACTIONS(1649),
    [aux_sym_raise_statement_token1] = ACTIONS(1649),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1649),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_set_operation_token1] = ACTIONS(1649),
    [aux_sym_set_operation_token3] = ACTIONS(1649),
    [aux_sym_set_operation_token4] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1649),
    [aux_sym_having_clause_token1] = ACTIONS(1649),
    [aux_sym_qualify_clause_token1] = ACTIONS(1649),
    [aux_sym_limit_clause_token1] = ACTIONS(1649),
    [aux_sym_group_by_clause_token1] = ACTIONS(1649),
    [aux_sym__direction_keywords_token1] = ACTIONS(1649),
    [aux_sym__direction_keywords_token2] = ACTIONS(1649),
    [aux_sym__nulls_preference_token1] = ACTIONS(1649),
    [aux_sym_order_by_clause_token1] = ACTIONS(1649),
    [aux_sym_insert_statement_token1] = ACTIONS(1649),
    [aux_sym_truncate_statement_token1] = ACTIONS(1649),
    [aux_sym_update_statement_token1] = ACTIONS(1649),
    [aux_sym_merge_statement_token1] = ACTIONS(1649),
    [aux_sym_grant_statement_token1] = ACTIONS(1649),
    [aux_sym_revoke_statement_token1] = ACTIONS(1649),
    [aux_sym_export_data_statement_token1] = ACTIONS(1649),
    [aux_sym_load_data_statement_token1] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [2759] = {
    [sym__keyword_between] = STATE(1793),
    [sym__keyword_is] = STATE(12127),
    [sym__keyword_in] = STATE(1541),
    [sym__keyword_not] = STATE(13085),
    [sym__keyword_and] = STATE(1721),
    [sym__keyword_or] = STATE(1727),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16210),
    [sym_quantitve_like_operator] = STATE(16207),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_group_by_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2760] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1645),
    [aux_sym_keyword_replace_token1] = ACTIONS(1647),
    [aux_sym__keyword_alter_token1] = ACTIONS(1645),
    [aux_sym__keyword_create_token1] = ACTIONS(1645),
    [aux_sym__keyword_drop_token1] = ACTIONS(1645),
    [aux_sym__keyword_delete_token1] = ACTIONS(1645),
    [aux_sym__keyword_begin_token1] = ACTIONS(1645),
    [aux_sym__keyword_end_token1] = ACTIONS(1645),
    [aux_sym__keyword_between_token1] = ACTIONS(1645),
    [aux_sym__keyword_when_token1] = ACTIONS(1645),
    [aux_sym__keyword_else_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1645),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1645),
    [aux_sym__keyword_like_token1] = ACTIONS(1645),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1645),
    [aux_sym__keyword_window_token1] = ACTIONS(1645),
    [aux_sym__keyword_for_token1] = ACTIONS(1645),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1645),
    [anon_sym_COMMA] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1645),
    [aux_sym_return_statement_token1] = ACTIONS(1645),
    [aux_sym_call_statement_token1] = ACTIONS(1645),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1645),
    [aux_sym_if_statement_token1] = ACTIONS(1645),
    [aux_sym_loop_statement_token1] = ACTIONS(1645),
    [aux_sym_repeat_statement_token1] = ACTIONS(1645),
    [aux_sym_while_statement_token1] = ACTIONS(1645),
    [aux_sym_break_statement_token1] = ACTIONS(1645),
    [aux_sym_leave_statement_token1] = ACTIONS(1645),
    [aux_sym_continue_statement_token1] = ACTIONS(1645),
    [aux_sym_iterate_statement_token1] = ACTIONS(1645),
    [aux_sym_raise_statement_token1] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1645),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_set_operation_token1] = ACTIONS(1645),
    [aux_sym_set_operation_token3] = ACTIONS(1645),
    [aux_sym_set_operation_token4] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1645),
    [aux_sym_having_clause_token1] = ACTIONS(1645),
    [aux_sym_qualify_clause_token1] = ACTIONS(1645),
    [aux_sym_limit_clause_token1] = ACTIONS(1645),
    [aux_sym_group_by_clause_token1] = ACTIONS(1645),
    [aux_sym__direction_keywords_token1] = ACTIONS(1645),
    [aux_sym__direction_keywords_token2] = ACTIONS(1645),
    [aux_sym__nulls_preference_token1] = ACTIONS(1645),
    [aux_sym_order_by_clause_token1] = ACTIONS(1645),
    [aux_sym_insert_statement_token1] = ACTIONS(1645),
    [aux_sym_truncate_statement_token1] = ACTIONS(1645),
    [aux_sym_update_statement_token1] = ACTIONS(1645),
    [aux_sym_merge_statement_token1] = ACTIONS(1645),
    [aux_sym_grant_statement_token1] = ACTIONS(1645),
    [aux_sym_revoke_statement_token1] = ACTIONS(1645),
    [aux_sym_export_data_statement_token1] = ACTIONS(1645),
    [aux_sym_load_data_statement_token1] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [2761] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_window_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_having_clause_token1] = ACTIONS(1211),
    [aux_sym_qualify_clause_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym_order_by_clause_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2762] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1563),
    [aux_sym_keyword_replace_token1] = ACTIONS(1565),
    [aux_sym__keyword_alter_token1] = ACTIONS(1563),
    [aux_sym__keyword_create_token1] = ACTIONS(1563),
    [aux_sym__keyword_drop_token1] = ACTIONS(1563),
    [aux_sym__keyword_delete_token1] = ACTIONS(1563),
    [aux_sym__keyword_begin_token1] = ACTIONS(1563),
    [aux_sym__keyword_end_token1] = ACTIONS(1563),
    [aux_sym__keyword_between_token1] = ACTIONS(1563),
    [aux_sym__keyword_when_token1] = ACTIONS(1563),
    [aux_sym__keyword_else_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1563),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1563),
    [aux_sym__keyword_like_token1] = ACTIONS(1563),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1563),
    [aux_sym__keyword_window_token1] = ACTIONS(1563),
    [aux_sym__keyword_for_token1] = ACTIONS(1563),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1563),
    [aux_sym_return_statement_token1] = ACTIONS(1563),
    [aux_sym_call_statement_token1] = ACTIONS(1563),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1563),
    [aux_sym_if_statement_token1] = ACTIONS(1563),
    [aux_sym_loop_statement_token1] = ACTIONS(1563),
    [aux_sym_repeat_statement_token1] = ACTIONS(1563),
    [aux_sym_while_statement_token1] = ACTIONS(1563),
    [aux_sym_break_statement_token1] = ACTIONS(1563),
    [aux_sym_leave_statement_token1] = ACTIONS(1563),
    [aux_sym_continue_statement_token1] = ACTIONS(1563),
    [aux_sym_iterate_statement_token1] = ACTIONS(1563),
    [aux_sym_raise_statement_token1] = ACTIONS(1563),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1563),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_set_operation_token1] = ACTIONS(1563),
    [aux_sym_set_operation_token3] = ACTIONS(1563),
    [aux_sym_set_operation_token4] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1563),
    [aux_sym_having_clause_token1] = ACTIONS(1563),
    [aux_sym_qualify_clause_token1] = ACTIONS(1563),
    [aux_sym_limit_clause_token1] = ACTIONS(1563),
    [aux_sym_group_by_clause_token1] = ACTIONS(1563),
    [aux_sym__direction_keywords_token1] = ACTIONS(1563),
    [aux_sym__direction_keywords_token2] = ACTIONS(1563),
    [aux_sym__nulls_preference_token1] = ACTIONS(1563),
    [aux_sym_order_by_clause_token1] = ACTIONS(1563),
    [aux_sym_insert_statement_token1] = ACTIONS(1563),
    [aux_sym_truncate_statement_token1] = ACTIONS(1563),
    [aux_sym_update_statement_token1] = ACTIONS(1563),
    [aux_sym_merge_statement_token1] = ACTIONS(1563),
    [aux_sym_grant_statement_token1] = ACTIONS(1563),
    [aux_sym_revoke_statement_token1] = ACTIONS(1563),
    [aux_sym_export_data_statement_token1] = ACTIONS(1563),
    [aux_sym_load_data_statement_token1] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [2763] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1641),
    [aux_sym_keyword_replace_token1] = ACTIONS(1643),
    [aux_sym__keyword_alter_token1] = ACTIONS(1641),
    [aux_sym__keyword_create_token1] = ACTIONS(1641),
    [aux_sym__keyword_drop_token1] = ACTIONS(1641),
    [aux_sym__keyword_delete_token1] = ACTIONS(1641),
    [aux_sym__keyword_begin_token1] = ACTIONS(1641),
    [aux_sym__keyword_end_token1] = ACTIONS(1641),
    [aux_sym__keyword_between_token1] = ACTIONS(1641),
    [aux_sym__keyword_when_token1] = ACTIONS(1641),
    [aux_sym__keyword_else_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1641),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1641),
    [aux_sym__keyword_like_token1] = ACTIONS(1641),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1641),
    [aux_sym__keyword_window_token1] = ACTIONS(1641),
    [aux_sym__keyword_for_token1] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1641),
    [aux_sym_return_statement_token1] = ACTIONS(1641),
    [aux_sym_call_statement_token1] = ACTIONS(1641),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1641),
    [aux_sym_if_statement_token1] = ACTIONS(1641),
    [aux_sym_loop_statement_token1] = ACTIONS(1641),
    [aux_sym_repeat_statement_token1] = ACTIONS(1641),
    [aux_sym_while_statement_token1] = ACTIONS(1641),
    [aux_sym_break_statement_token1] = ACTIONS(1641),
    [aux_sym_leave_statement_token1] = ACTIONS(1641),
    [aux_sym_continue_statement_token1] = ACTIONS(1641),
    [aux_sym_iterate_statement_token1] = ACTIONS(1641),
    [aux_sym_raise_statement_token1] = ACTIONS(1641),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1641),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1641),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_set_operation_token1] = ACTIONS(1641),
    [aux_sym_set_operation_token3] = ACTIONS(1641),
    [aux_sym_set_operation_token4] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1641),
    [aux_sym_having_clause_token1] = ACTIONS(1641),
    [aux_sym_qualify_clause_token1] = ACTIONS(1641),
    [aux_sym_limit_clause_token1] = ACTIONS(1641),
    [aux_sym_group_by_clause_token1] = ACTIONS(1641),
    [aux_sym__direction_keywords_token1] = ACTIONS(1641),
    [aux_sym__direction_keywords_token2] = ACTIONS(1641),
    [aux_sym__nulls_preference_token1] = ACTIONS(1641),
    [aux_sym_order_by_clause_token1] = ACTIONS(1641),
    [aux_sym_insert_statement_token1] = ACTIONS(1641),
    [aux_sym_truncate_statement_token1] = ACTIONS(1641),
    [aux_sym_update_statement_token1] = ACTIONS(1641),
    [aux_sym_merge_statement_token1] = ACTIONS(1641),
    [aux_sym_grant_statement_token1] = ACTIONS(1641),
    [aux_sym_revoke_statement_token1] = ACTIONS(1641),
    [aux_sym_export_data_statement_token1] = ACTIONS(1641),
    [aux_sym_load_data_statement_token1] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [2764] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1637),
    [aux_sym_keyword_replace_token1] = ACTIONS(1639),
    [aux_sym__keyword_alter_token1] = ACTIONS(1637),
    [aux_sym__keyword_create_token1] = ACTIONS(1637),
    [aux_sym__keyword_drop_token1] = ACTIONS(1637),
    [aux_sym__keyword_delete_token1] = ACTIONS(1637),
    [aux_sym__keyword_begin_token1] = ACTIONS(1637),
    [aux_sym__keyword_end_token1] = ACTIONS(1637),
    [aux_sym__keyword_between_token1] = ACTIONS(1637),
    [aux_sym__keyword_when_token1] = ACTIONS(1637),
    [aux_sym__keyword_else_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1637),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1637),
    [aux_sym__keyword_like_token1] = ACTIONS(1637),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1637),
    [aux_sym__keyword_window_token1] = ACTIONS(1637),
    [aux_sym__keyword_for_token1] = ACTIONS(1637),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1637),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1637),
    [aux_sym_return_statement_token1] = ACTIONS(1637),
    [aux_sym_call_statement_token1] = ACTIONS(1637),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1637),
    [aux_sym_if_statement_token1] = ACTIONS(1637),
    [aux_sym_loop_statement_token1] = ACTIONS(1637),
    [aux_sym_repeat_statement_token1] = ACTIONS(1637),
    [aux_sym_while_statement_token1] = ACTIONS(1637),
    [aux_sym_break_statement_token1] = ACTIONS(1637),
    [aux_sym_leave_statement_token1] = ACTIONS(1637),
    [aux_sym_continue_statement_token1] = ACTIONS(1637),
    [aux_sym_iterate_statement_token1] = ACTIONS(1637),
    [aux_sym_raise_statement_token1] = ACTIONS(1637),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1637),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_set_operation_token1] = ACTIONS(1637),
    [aux_sym_set_operation_token3] = ACTIONS(1637),
    [aux_sym_set_operation_token4] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1637),
    [aux_sym_having_clause_token1] = ACTIONS(1637),
    [aux_sym_qualify_clause_token1] = ACTIONS(1637),
    [aux_sym_limit_clause_token1] = ACTIONS(1637),
    [aux_sym_group_by_clause_token1] = ACTIONS(1637),
    [aux_sym__direction_keywords_token1] = ACTIONS(1637),
    [aux_sym__direction_keywords_token2] = ACTIONS(1637),
    [aux_sym__nulls_preference_token1] = ACTIONS(1637),
    [aux_sym_order_by_clause_token1] = ACTIONS(1637),
    [aux_sym_insert_statement_token1] = ACTIONS(1637),
    [aux_sym_truncate_statement_token1] = ACTIONS(1637),
    [aux_sym_update_statement_token1] = ACTIONS(1637),
    [aux_sym_merge_statement_token1] = ACTIONS(1637),
    [aux_sym_grant_statement_token1] = ACTIONS(1637),
    [aux_sym_revoke_statement_token1] = ACTIONS(1637),
    [aux_sym_export_data_statement_token1] = ACTIONS(1637),
    [aux_sym_load_data_statement_token1] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [2765] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1783),
    [aux_sym_keyword_replace_token1] = ACTIONS(1785),
    [aux_sym__keyword_alter_token1] = ACTIONS(1783),
    [aux_sym__keyword_create_token1] = ACTIONS(1783),
    [aux_sym__keyword_drop_token1] = ACTIONS(1783),
    [aux_sym__keyword_delete_token1] = ACTIONS(1783),
    [aux_sym__keyword_begin_token1] = ACTIONS(1783),
    [aux_sym__keyword_end_token1] = ACTIONS(1783),
    [aux_sym__keyword_between_token1] = ACTIONS(1783),
    [aux_sym__keyword_when_token1] = ACTIONS(1783),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1783),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1783),
    [aux_sym__keyword_like_token1] = ACTIONS(1783),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1783),
    [aux_sym__keyword_window_token1] = ACTIONS(1783),
    [aux_sym__keyword_for_token1] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1783),
    [aux_sym_return_statement_token1] = ACTIONS(1783),
    [aux_sym_call_statement_token1] = ACTIONS(1783),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1783),
    [aux_sym_if_statement_token1] = ACTIONS(1783),
    [aux_sym_loop_statement_token1] = ACTIONS(1783),
    [aux_sym_repeat_statement_token1] = ACTIONS(1783),
    [aux_sym_while_statement_token1] = ACTIONS(1783),
    [aux_sym_break_statement_token1] = ACTIONS(1783),
    [aux_sym_leave_statement_token1] = ACTIONS(1783),
    [aux_sym_continue_statement_token1] = ACTIONS(1783),
    [aux_sym_iterate_statement_token1] = ACTIONS(1783),
    [aux_sym_raise_statement_token1] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1783),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_set_operation_token1] = ACTIONS(1783),
    [aux_sym_set_operation_token3] = ACTIONS(1783),
    [aux_sym_set_operation_token4] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1783),
    [aux_sym_having_clause_token1] = ACTIONS(1783),
    [aux_sym_qualify_clause_token1] = ACTIONS(1783),
    [aux_sym_limit_clause_token1] = ACTIONS(1783),
    [aux_sym_group_by_clause_token1] = ACTIONS(1783),
    [aux_sym__direction_keywords_token1] = ACTIONS(1783),
    [aux_sym__direction_keywords_token2] = ACTIONS(1783),
    [aux_sym__nulls_preference_token1] = ACTIONS(1783),
    [aux_sym_order_by_clause_token1] = ACTIONS(1783),
    [aux_sym_insert_statement_token1] = ACTIONS(1783),
    [aux_sym_truncate_statement_token1] = ACTIONS(1783),
    [aux_sym_update_statement_token1] = ACTIONS(1783),
    [aux_sym_merge_statement_token1] = ACTIONS(1783),
    [aux_sym_grant_statement_token1] = ACTIONS(1783),
    [aux_sym_revoke_statement_token1] = ACTIONS(1783),
    [aux_sym_export_data_statement_token1] = ACTIONS(1783),
    [aux_sym_load_data_statement_token1] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [2766] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1629),
    [aux_sym_keyword_replace_token1] = ACTIONS(1631),
    [aux_sym__keyword_alter_token1] = ACTIONS(1629),
    [aux_sym__keyword_create_token1] = ACTIONS(1629),
    [aux_sym__keyword_drop_token1] = ACTIONS(1629),
    [aux_sym__keyword_delete_token1] = ACTIONS(1629),
    [aux_sym__keyword_begin_token1] = ACTIONS(1629),
    [aux_sym__keyword_end_token1] = ACTIONS(1629),
    [aux_sym__keyword_between_token1] = ACTIONS(1629),
    [aux_sym__keyword_when_token1] = ACTIONS(1629),
    [aux_sym__keyword_else_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1629),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1629),
    [aux_sym__keyword_like_token1] = ACTIONS(1629),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1629),
    [aux_sym__keyword_window_token1] = ACTIONS(1629),
    [aux_sym__keyword_for_token1] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1629),
    [aux_sym_return_statement_token1] = ACTIONS(1629),
    [aux_sym_call_statement_token1] = ACTIONS(1629),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1629),
    [aux_sym_if_statement_token1] = ACTIONS(1629),
    [aux_sym_loop_statement_token1] = ACTIONS(1629),
    [aux_sym_repeat_statement_token1] = ACTIONS(1629),
    [aux_sym_while_statement_token1] = ACTIONS(1629),
    [aux_sym_break_statement_token1] = ACTIONS(1629),
    [aux_sym_leave_statement_token1] = ACTIONS(1629),
    [aux_sym_continue_statement_token1] = ACTIONS(1629),
    [aux_sym_iterate_statement_token1] = ACTIONS(1629),
    [aux_sym_raise_statement_token1] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1629),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_set_operation_token1] = ACTIONS(1629),
    [aux_sym_set_operation_token3] = ACTIONS(1629),
    [aux_sym_set_operation_token4] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1629),
    [aux_sym_having_clause_token1] = ACTIONS(1629),
    [aux_sym_qualify_clause_token1] = ACTIONS(1629),
    [aux_sym_limit_clause_token1] = ACTIONS(1629),
    [aux_sym_group_by_clause_token1] = ACTIONS(1629),
    [aux_sym__direction_keywords_token1] = ACTIONS(1629),
    [aux_sym__direction_keywords_token2] = ACTIONS(1629),
    [aux_sym__nulls_preference_token1] = ACTIONS(1629),
    [aux_sym_order_by_clause_token1] = ACTIONS(1629),
    [aux_sym_insert_statement_token1] = ACTIONS(1629),
    [aux_sym_truncate_statement_token1] = ACTIONS(1629),
    [aux_sym_update_statement_token1] = ACTIONS(1629),
    [aux_sym_merge_statement_token1] = ACTIONS(1629),
    [aux_sym_grant_statement_token1] = ACTIONS(1629),
    [aux_sym_revoke_statement_token1] = ACTIONS(1629),
    [aux_sym_export_data_statement_token1] = ACTIONS(1629),
    [aux_sym_load_data_statement_token1] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [2767] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1625),
    [aux_sym_keyword_replace_token1] = ACTIONS(1627),
    [aux_sym__keyword_alter_token1] = ACTIONS(1625),
    [aux_sym__keyword_create_token1] = ACTIONS(1625),
    [aux_sym__keyword_drop_token1] = ACTIONS(1625),
    [aux_sym__keyword_delete_token1] = ACTIONS(1625),
    [aux_sym__keyword_begin_token1] = ACTIONS(1625),
    [aux_sym__keyword_end_token1] = ACTIONS(1625),
    [aux_sym__keyword_between_token1] = ACTIONS(1625),
    [aux_sym__keyword_when_token1] = ACTIONS(1625),
    [aux_sym__keyword_else_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1625),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1625),
    [aux_sym__keyword_like_token1] = ACTIONS(1625),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1625),
    [aux_sym__keyword_window_token1] = ACTIONS(1625),
    [aux_sym__keyword_for_token1] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1625),
    [aux_sym_return_statement_token1] = ACTIONS(1625),
    [aux_sym_call_statement_token1] = ACTIONS(1625),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1625),
    [aux_sym_if_statement_token1] = ACTIONS(1625),
    [aux_sym_loop_statement_token1] = ACTIONS(1625),
    [aux_sym_repeat_statement_token1] = ACTIONS(1625),
    [aux_sym_while_statement_token1] = ACTIONS(1625),
    [aux_sym_break_statement_token1] = ACTIONS(1625),
    [aux_sym_leave_statement_token1] = ACTIONS(1625),
    [aux_sym_continue_statement_token1] = ACTIONS(1625),
    [aux_sym_iterate_statement_token1] = ACTIONS(1625),
    [aux_sym_raise_statement_token1] = ACTIONS(1625),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1625),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_set_operation_token1] = ACTIONS(1625),
    [aux_sym_set_operation_token3] = ACTIONS(1625),
    [aux_sym_set_operation_token4] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1625),
    [aux_sym_having_clause_token1] = ACTIONS(1625),
    [aux_sym_qualify_clause_token1] = ACTIONS(1625),
    [aux_sym_limit_clause_token1] = ACTIONS(1625),
    [aux_sym_group_by_clause_token1] = ACTIONS(1625),
    [aux_sym__direction_keywords_token1] = ACTIONS(1625),
    [aux_sym__direction_keywords_token2] = ACTIONS(1625),
    [aux_sym__nulls_preference_token1] = ACTIONS(1625),
    [aux_sym_order_by_clause_token1] = ACTIONS(1625),
    [aux_sym_insert_statement_token1] = ACTIONS(1625),
    [aux_sym_truncate_statement_token1] = ACTIONS(1625),
    [aux_sym_update_statement_token1] = ACTIONS(1625),
    [aux_sym_merge_statement_token1] = ACTIONS(1625),
    [aux_sym_grant_statement_token1] = ACTIONS(1625),
    [aux_sym_revoke_statement_token1] = ACTIONS(1625),
    [aux_sym_export_data_statement_token1] = ACTIONS(1625),
    [aux_sym_load_data_statement_token1] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [2768] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1621),
    [aux_sym_keyword_replace_token1] = ACTIONS(1623),
    [aux_sym__keyword_alter_token1] = ACTIONS(1621),
    [aux_sym__keyword_create_token1] = ACTIONS(1621),
    [aux_sym__keyword_drop_token1] = ACTIONS(1621),
    [aux_sym__keyword_delete_token1] = ACTIONS(1621),
    [aux_sym__keyword_begin_token1] = ACTIONS(1621),
    [aux_sym__keyword_end_token1] = ACTIONS(1621),
    [aux_sym__keyword_between_token1] = ACTIONS(1621),
    [aux_sym__keyword_when_token1] = ACTIONS(1621),
    [aux_sym__keyword_else_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1621),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1621),
    [aux_sym__keyword_like_token1] = ACTIONS(1621),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1621),
    [aux_sym__keyword_window_token1] = ACTIONS(1621),
    [aux_sym__keyword_for_token1] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1621),
    [anon_sym_COMMA] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1621),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1621),
    [aux_sym_return_statement_token1] = ACTIONS(1621),
    [aux_sym_call_statement_token1] = ACTIONS(1621),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1621),
    [aux_sym_if_statement_token1] = ACTIONS(1621),
    [aux_sym_loop_statement_token1] = ACTIONS(1621),
    [aux_sym_repeat_statement_token1] = ACTIONS(1621),
    [aux_sym_while_statement_token1] = ACTIONS(1621),
    [aux_sym_break_statement_token1] = ACTIONS(1621),
    [aux_sym_leave_statement_token1] = ACTIONS(1621),
    [aux_sym_continue_statement_token1] = ACTIONS(1621),
    [aux_sym_iterate_statement_token1] = ACTIONS(1621),
    [aux_sym_raise_statement_token1] = ACTIONS(1621),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1621),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1621),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_set_operation_token1] = ACTIONS(1621),
    [aux_sym_set_operation_token3] = ACTIONS(1621),
    [aux_sym_set_operation_token4] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1621),
    [aux_sym_having_clause_token1] = ACTIONS(1621),
    [aux_sym_qualify_clause_token1] = ACTIONS(1621),
    [aux_sym_limit_clause_token1] = ACTIONS(1621),
    [aux_sym_group_by_clause_token1] = ACTIONS(1621),
    [aux_sym__direction_keywords_token1] = ACTIONS(1621),
    [aux_sym__direction_keywords_token2] = ACTIONS(1621),
    [aux_sym__nulls_preference_token1] = ACTIONS(1621),
    [aux_sym_order_by_clause_token1] = ACTIONS(1621),
    [aux_sym_insert_statement_token1] = ACTIONS(1621),
    [aux_sym_truncate_statement_token1] = ACTIONS(1621),
    [aux_sym_update_statement_token1] = ACTIONS(1621),
    [aux_sym_merge_statement_token1] = ACTIONS(1621),
    [aux_sym_grant_statement_token1] = ACTIONS(1621),
    [aux_sym_revoke_statement_token1] = ACTIONS(1621),
    [aux_sym_export_data_statement_token1] = ACTIONS(1621),
    [aux_sym_load_data_statement_token1] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [2769] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2770] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_default_clause_token1] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1469),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1469),
    [aux_sym_clone_clause_token1] = ACTIONS(1469),
    [aux_sym_copy_clause_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [aux_sym_option_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1469),
    [aux_sym_transoform_clause_token1] = ACTIONS(1469),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [2771] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_set_operation_token1] = ACTIONS(1225),
    [aux_sym_set_operation_token3] = ACTIONS(1225),
    [aux_sym_set_operation_token4] = ACTIONS(1225),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_limit_clause_token1] = ACTIONS(1225),
    [aux_sym__direction_keywords_token1] = ACTIONS(1225),
    [aux_sym__direction_keywords_token2] = ACTIONS(1225),
    [aux_sym__nulls_preference_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2772] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1549),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_when_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_default_clause_token1] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_using_clause_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_drop_schema_option_token1] = ACTIONS(1549),
    [aux_sym_drop_schema_option_token2] = ACTIONS(1549),
    [aux_sym_clone_clause_token1] = ACTIONS(1549),
    [aux_sym_copy_clause_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [aux_sym_option_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1549),
    [aux_sym_transoform_clause_token1] = ACTIONS(1549),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [2773] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_set_operation_token1] = ACTIONS(1239),
    [aux_sym_set_operation_token3] = ACTIONS(1239),
    [aux_sym_set_operation_token4] = ACTIONS(1239),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_limit_clause_token1] = ACTIONS(1239),
    [aux_sym__direction_keywords_token1] = ACTIONS(1239),
    [aux_sym__direction_keywords_token2] = ACTIONS(1239),
    [aux_sym__nulls_preference_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2774] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_set_operation_token1] = ACTIONS(1207),
    [aux_sym_set_operation_token3] = ACTIONS(1207),
    [aux_sym_set_operation_token4] = ACTIONS(1207),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_limit_clause_token1] = ACTIONS(1207),
    [aux_sym__direction_keywords_token1] = ACTIONS(1207),
    [aux_sym__direction_keywords_token2] = ACTIONS(1207),
    [aux_sym__nulls_preference_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2775] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_set_operation_token1] = ACTIONS(1165),
    [aux_sym_set_operation_token3] = ACTIONS(1165),
    [aux_sym_set_operation_token4] = ACTIONS(1165),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_limit_clause_token1] = ACTIONS(1165),
    [aux_sym__direction_keywords_token1] = ACTIONS(1165),
    [aux_sym__direction_keywords_token2] = ACTIONS(1165),
    [aux_sym__nulls_preference_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2776] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2777] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_set_operation_token1] = ACTIONS(1221),
    [aux_sym_set_operation_token3] = ACTIONS(1221),
    [aux_sym_set_operation_token4] = ACTIONS(1221),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_limit_clause_token1] = ACTIONS(1221),
    [aux_sym__direction_keywords_token1] = ACTIONS(1221),
    [aux_sym__direction_keywords_token2] = ACTIONS(1221),
    [aux_sym__nulls_preference_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2778] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2897),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(2899),
    [aux_sym__keyword_in_token1] = ACTIONS(2901),
    [aux_sym__keyword_and_token1] = ACTIONS(2903),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2907),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2901),
    [anon_sym_GT] = ACTIONS(2901),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_LT_GT] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2779] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(2897),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(2899),
    [aux_sym__keyword_in_token1] = ACTIONS(2901),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(2907),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(2901),
    [anon_sym_GT] = ACTIONS(2901),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_LT_GT] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2780] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_set_operation_token1] = ACTIONS(1187),
    [aux_sym_set_operation_token3] = ACTIONS(1187),
    [aux_sym_set_operation_token4] = ACTIONS(1187),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_limit_clause_token1] = ACTIONS(1187),
    [aux_sym__direction_keywords_token1] = ACTIONS(1187),
    [aux_sym__direction_keywords_token2] = ACTIONS(1187),
    [aux_sym__nulls_preference_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2781] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(2897),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_is_token1] = ACTIONS(2899),
    [aux_sym__keyword_in_token1] = ACTIONS(2901),
    [aux_sym__keyword_and_token1] = ACTIONS(2903),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(2907),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(2901),
    [anon_sym_GT] = ACTIONS(2901),
    [aux_sym_set_operation_token1] = ACTIONS(1191),
    [aux_sym_set_operation_token3] = ACTIONS(1191),
    [aux_sym_set_operation_token4] = ACTIONS(1191),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_limit_clause_token1] = ACTIONS(1191),
    [aux_sym__direction_keywords_token1] = ACTIONS(1191),
    [aux_sym__direction_keywords_token2] = ACTIONS(1191),
    [aux_sym__nulls_preference_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_LT_GT] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2923),
  },
  [2782] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2783] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2784] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_GT_GT] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2785] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2786] = {
    [sym__keyword_between] = STATE(1732),
    [sym__keyword_is] = STATE(12091),
    [sym__keyword_in] = STATE(953),
    [sym__keyword_not] = STATE(13133),
    [sym__keyword_and] = STATE(965),
    [sym__keyword_or] = STATE(968),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16027),
    [sym_quantitve_like_operator] = STATE(16016),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1211),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2787] = {
    [sym__keyword_as] = STATE(15575),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1475),
    [aux_sym_keyword_replace_token1] = ACTIONS(1477),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_between_token1] = ACTIONS(1475),
    [aux_sym__keyword_when_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1475),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1475),
    [aux_sym__keyword_like_token1] = ACTIONS(1475),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(3009),
    [aux_sym__keyword_window_token1] = ACTIONS(1475),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_set_operation_token1] = ACTIONS(1475),
    [aux_sym_set_operation_token3] = ACTIONS(1475),
    [aux_sym_set_operation_token4] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_having_clause_token1] = ACTIONS(1475),
    [aux_sym_qualify_clause_token1] = ACTIONS(1475),
    [aux_sym_limit_clause_token1] = ACTIONS(1475),
    [aux_sym_order_by_clause_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [2788] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2789] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2790] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_set_statement_repeat1] = STATE(7284),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3011),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3011),
    [aux_sym__keyword_create_token1] = ACTIONS(3011),
    [aux_sym__keyword_drop_token1] = ACTIONS(3011),
    [aux_sym__keyword_delete_token1] = ACTIONS(3011),
    [aux_sym__keyword_begin_token1] = ACTIONS(3011),
    [aux_sym__keyword_end_token1] = ACTIONS(3011),
    [aux_sym__keyword_between_token1] = ACTIONS(3013),
    [aux_sym__keyword_else_token1] = ACTIONS(3015),
    [aux_sym__keyword_is_token1] = ACTIONS(3017),
    [aux_sym__keyword_in_token1] = ACTIONS(3019),
    [aux_sym__keyword_and_token1] = ACTIONS(3021),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3011),
    [aux_sym__keyword_as_token1] = ACTIONS(3015),
    [aux_sym__keyword_for_token1] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3011),
    [aux_sym_declare_statement_token1] = ACTIONS(3011),
    [anon_sym_COMMA] = ACTIONS(3023),
    [aux_sym_set_statement_token1] = ACTIONS(3011),
    [anon_sym_LPAREN] = ACTIONS(3011),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3011),
    [aux_sym_return_statement_token1] = ACTIONS(3011),
    [aux_sym_call_statement_token1] = ACTIONS(3011),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3011),
    [aux_sym_if_statement_token1] = ACTIONS(3011),
    [aux_sym_loop_statement_token1] = ACTIONS(3011),
    [aux_sym_repeat_statement_token1] = ACTIONS(3011),
    [aux_sym_while_statement_token1] = ACTIONS(3011),
    [aux_sym_break_statement_token1] = ACTIONS(3011),
    [aux_sym_leave_statement_token1] = ACTIONS(3011),
    [aux_sym_continue_statement_token1] = ACTIONS(3011),
    [aux_sym_iterate_statement_token1] = ACTIONS(3011),
    [aux_sym_raise_statement_token1] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(3025),
    [aux_sym_assert_statement_token1] = ACTIONS(3011),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3011),
    [aux_sym_option_clause_token1] = ACTIONS(3011),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [aux_sym_select_token1] = ACTIONS(3011),
    [aux_sym_insert_statement_token1] = ACTIONS(3011),
    [aux_sym_truncate_statement_token1] = ACTIONS(3011),
    [aux_sym_update_statement_token1] = ACTIONS(3011),
    [aux_sym_merge_statement_token1] = ACTIONS(3011),
    [aux_sym_grant_statement_token1] = ACTIONS(3011),
    [aux_sym_revoke_statement_token1] = ACTIONS(3011),
    [aux_sym_export_data_statement_token1] = ACTIONS(3011),
    [aux_sym_load_data_statement_token1] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3025),
    [anon_sym_LT_GT] = ACTIONS(3025),
    [anon_sym_GT_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2791] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [sym__unquoted_identifier] = ACTIONS(1197),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1197),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(1197),
    [aux_sym__keyword_create_token1] = ACTIONS(1197),
    [aux_sym__keyword_drop_token1] = ACTIONS(1197),
    [aux_sym__keyword_delete_token1] = ACTIONS(1197),
    [aux_sym__keyword_begin_token1] = ACTIONS(1197),
    [aux_sym__keyword_between_token1] = ACTIONS(1717),
    [aux_sym__keyword_is_token1] = ACTIONS(1719),
    [aux_sym__keyword_in_token1] = ACTIONS(1721),
    [aux_sym__keyword_and_token1] = ACTIONS(1723),
    [aux_sym__keyword_like_token1] = ACTIONS(1197),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1197),
    [aux_sym__keyword_as_token1] = ACTIONS(1197),
    [aux_sym__keyword_date_token1] = ACTIONS(1197),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1197),
    [aux_sym__keyword_time_token1] = ACTIONS(1197),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1197),
    [aux_sym__keyword_for_token1] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1197),
    [aux_sym_return_statement_token1] = ACTIONS(1197),
    [aux_sym_call_statement_token1] = ACTIONS(1197),
    [aux_sym_loop_statement_token1] = ACTIONS(1197),
    [aux_sym_while_statement_token1] = ACTIONS(1197),
    [aux_sym_break_statement_token1] = ACTIONS(1197),
    [aux_sym_leave_statement_token1] = ACTIONS(1197),
    [aux_sym_continue_statement_token1] = ACTIONS(1197),
    [aux_sym_iterate_statement_token1] = ACTIONS(1197),
    [aux_sym_raise_statement_token1] = ACTIONS(1197),
    [anon_sym_EQ] = ACTIONS(1725),
    [aux_sym_assert_statement_token1] = ACTIONS(1197),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_GT] = ACTIONS(1721),
    [aux_sym_select_token1] = ACTIONS(1197),
    [aux_sym_insert_statement_token1] = ACTIONS(1197),
    [aux_sym_truncate_statement_token1] = ACTIONS(1197),
    [aux_sym_update_statement_token1] = ACTIONS(1197),
    [aux_sym_merge_statement_token1] = ACTIONS(1197),
    [aux_sym_grant_statement_token1] = ACTIONS(1197),
    [aux_sym_revoke_statement_token1] = ACTIONS(1197),
    [aux_sym_export_data_statement_token1] = ACTIONS(1197),
    [aux_sym_load_data_statement_token1] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym__quoted_identifier] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1725),
    [anon_sym_LT_GT] = ACTIONS(1725),
    [anon_sym_GT_EQ] = ACTIONS(1725),
    [anon_sym_BANG_EQ] = ACTIONS(1725),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2792] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [sym__unquoted_identifier] = ACTIONS(1189),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1189),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1189),
    [aux_sym_keyword_replace_token1] = ACTIONS(1189),
    [aux_sym__keyword_alter_token1] = ACTIONS(1189),
    [aux_sym__keyword_create_token1] = ACTIONS(1189),
    [aux_sym__keyword_drop_token1] = ACTIONS(1189),
    [aux_sym__keyword_delete_token1] = ACTIONS(1189),
    [aux_sym__keyword_begin_token1] = ACTIONS(1189),
    [aux_sym__keyword_between_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1189),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1189),
    [aux_sym__keyword_like_token1] = ACTIONS(1189),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1189),
    [aux_sym__keyword_as_token1] = ACTIONS(1189),
    [aux_sym__keyword_date_token1] = ACTIONS(1189),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1189),
    [aux_sym__keyword_time_token1] = ACTIONS(1189),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1189),
    [aux_sym__keyword_for_token1] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1189),
    [aux_sym_return_statement_token1] = ACTIONS(1189),
    [aux_sym_call_statement_token1] = ACTIONS(1189),
    [aux_sym_loop_statement_token1] = ACTIONS(1189),
    [aux_sym_while_statement_token1] = ACTIONS(1189),
    [aux_sym_break_statement_token1] = ACTIONS(1189),
    [aux_sym_leave_statement_token1] = ACTIONS(1189),
    [aux_sym_continue_statement_token1] = ACTIONS(1189),
    [aux_sym_iterate_statement_token1] = ACTIONS(1189),
    [aux_sym_raise_statement_token1] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1189),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1189),
    [aux_sym_insert_statement_token1] = ACTIONS(1189),
    [aux_sym_truncate_statement_token1] = ACTIONS(1189),
    [aux_sym_update_statement_token1] = ACTIONS(1189),
    [aux_sym_merge_statement_token1] = ACTIONS(1189),
    [aux_sym_grant_statement_token1] = ACTIONS(1189),
    [aux_sym_revoke_statement_token1] = ACTIONS(1189),
    [aux_sym_export_data_statement_token1] = ACTIONS(1189),
    [aux_sym_load_data_statement_token1] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym__quoted_identifier] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2793] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym__direction_keywords_token1] = ACTIONS(1245),
    [aux_sym__direction_keywords_token2] = ACTIONS(1245),
    [aux_sym__nulls_preference_token1] = ACTIONS(1245),
    [aux_sym_order_by_clause_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [2794] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(2925),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2925),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2925),
    [aux_sym__keyword_create_token1] = ACTIONS(2925),
    [aux_sym__keyword_drop_token1] = ACTIONS(2925),
    [aux_sym__keyword_delete_token1] = ACTIONS(2925),
    [aux_sym__keyword_begin_token1] = ACTIONS(2925),
    [aux_sym__keyword_between_token1] = ACTIONS(2945),
    [aux_sym__keyword_when_token1] = ACTIONS(2925),
    [aux_sym__keyword_is_token1] = ACTIONS(2947),
    [aux_sym__keyword_in_token1] = ACTIONS(2949),
    [aux_sym__keyword_and_token1] = ACTIONS(2951),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2925),
    [aux_sym__keyword_window_token1] = ACTIONS(2925),
    [aux_sym__keyword_for_token1] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [aux_sym_declare_statement_token1] = ACTIONS(2925),
    [aux_sym_set_statement_token1] = ACTIONS(2925),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2925),
    [aux_sym_return_statement_token1] = ACTIONS(2925),
    [aux_sym_call_statement_token1] = ACTIONS(2925),
    [aux_sym_loop_statement_token1] = ACTIONS(2925),
    [aux_sym_while_statement_token1] = ACTIONS(2925),
    [aux_sym_break_statement_token1] = ACTIONS(2925),
    [aux_sym_leave_statement_token1] = ACTIONS(2925),
    [aux_sym_continue_statement_token1] = ACTIONS(2925),
    [aux_sym_iterate_statement_token1] = ACTIONS(2925),
    [aux_sym_raise_statement_token1] = ACTIONS(2925),
    [anon_sym_EQ] = ACTIONS(2953),
    [aux_sym_assert_statement_token1] = ACTIONS(2925),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2925),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [aux_sym_set_operation_token1] = ACTIONS(2925),
    [aux_sym_set_operation_token3] = ACTIONS(2925),
    [aux_sym_set_operation_token4] = ACTIONS(2925),
    [aux_sym_select_token1] = ACTIONS(2925),
    [aux_sym_qualify_clause_token1] = ACTIONS(2925),
    [aux_sym_limit_clause_token1] = ACTIONS(2925),
    [aux_sym_order_by_clause_token1] = ACTIONS(2925),
    [aux_sym_insert_statement_token1] = ACTIONS(2925),
    [aux_sym_truncate_statement_token1] = ACTIONS(2925),
    [aux_sym_update_statement_token1] = ACTIONS(2925),
    [aux_sym_merge_statement_token1] = ACTIONS(2925),
    [aux_sym_grant_statement_token1] = ACTIONS(2925),
    [aux_sym_revoke_statement_token1] = ACTIONS(2925),
    [aux_sym_export_data_statement_token1] = ACTIONS(2925),
    [aux_sym_load_data_statement_token1] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_LT_GT] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2795] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [sym__unquoted_identifier] = ACTIONS(1223),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1223),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1223),
    [aux_sym_keyword_replace_token1] = ACTIONS(1223),
    [aux_sym__keyword_alter_token1] = ACTIONS(1223),
    [aux_sym__keyword_create_token1] = ACTIONS(1223),
    [aux_sym__keyword_drop_token1] = ACTIONS(1223),
    [aux_sym__keyword_delete_token1] = ACTIONS(1223),
    [aux_sym__keyword_begin_token1] = ACTIONS(1223),
    [aux_sym__keyword_between_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1223),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1223),
    [aux_sym__keyword_like_token1] = ACTIONS(1223),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1223),
    [aux_sym__keyword_as_token1] = ACTIONS(1223),
    [aux_sym__keyword_date_token1] = ACTIONS(1223),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1223),
    [aux_sym__keyword_time_token1] = ACTIONS(1223),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1223),
    [aux_sym__keyword_for_token1] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1223),
    [aux_sym_return_statement_token1] = ACTIONS(1223),
    [aux_sym_call_statement_token1] = ACTIONS(1223),
    [aux_sym_loop_statement_token1] = ACTIONS(1223),
    [aux_sym_while_statement_token1] = ACTIONS(1223),
    [aux_sym_break_statement_token1] = ACTIONS(1223),
    [aux_sym_leave_statement_token1] = ACTIONS(1223),
    [aux_sym_continue_statement_token1] = ACTIONS(1223),
    [aux_sym_iterate_statement_token1] = ACTIONS(1223),
    [aux_sym_raise_statement_token1] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1223),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1223),
    [aux_sym_insert_statement_token1] = ACTIONS(1223),
    [aux_sym_truncate_statement_token1] = ACTIONS(1223),
    [aux_sym_update_statement_token1] = ACTIONS(1223),
    [aux_sym_merge_statement_token1] = ACTIONS(1223),
    [aux_sym_grant_statement_token1] = ACTIONS(1223),
    [aux_sym_revoke_statement_token1] = ACTIONS(1223),
    [aux_sym_export_data_statement_token1] = ACTIONS(1223),
    [aux_sym_load_data_statement_token1] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym__quoted_identifier] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2796] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2797] = {
    [sym__keyword_as] = STATE(15230),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1475),
    [aux_sym_keyword_replace_token1] = ACTIONS(1477),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_between_token1] = ACTIONS(1475),
    [aux_sym__keyword_when_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1475),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1475),
    [aux_sym__keyword_like_token1] = ACTIONS(1475),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(3047),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_set_operation_token1] = ACTIONS(1475),
    [aux_sym_set_operation_token3] = ACTIONS(1475),
    [aux_sym_set_operation_token4] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_limit_clause_token1] = ACTIONS(1475),
    [aux_sym__direction_keywords_token1] = ACTIONS(1475),
    [aux_sym__direction_keywords_token2] = ACTIONS(1475),
    [aux_sym__nulls_preference_token1] = ACTIONS(1475),
    [aux_sym_order_by_clause_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [2798] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_into_clause] = STATE(7618),
    [sym_using_clause] = STATE(8087),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3049),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3049),
    [aux_sym__keyword_create_token1] = ACTIONS(3049),
    [aux_sym__keyword_drop_token1] = ACTIONS(3049),
    [aux_sym__keyword_delete_token1] = ACTIONS(3049),
    [aux_sym__keyword_begin_token1] = ACTIONS(3049),
    [aux_sym__keyword_end_token1] = ACTIONS(3049),
    [aux_sym__keyword_between_token1] = ACTIONS(3051),
    [aux_sym__keyword_else_token1] = ACTIONS(3053),
    [aux_sym__keyword_is_token1] = ACTIONS(3055),
    [aux_sym__keyword_in_token1] = ACTIONS(3057),
    [aux_sym__keyword_and_token1] = ACTIONS(3059),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3049),
    [aux_sym__keyword_for_token1] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3049),
    [aux_sym_declare_statement_token1] = ACTIONS(3049),
    [aux_sym_set_statement_token1] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3049),
    [aux_sym_into_clause_token1] = ACTIONS(3061),
    [aux_sym_using_clause_token1] = ACTIONS(3063),
    [aux_sym_return_statement_token1] = ACTIONS(3049),
    [aux_sym_call_statement_token1] = ACTIONS(3049),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3049),
    [aux_sym_if_statement_token1] = ACTIONS(3049),
    [aux_sym_loop_statement_token1] = ACTIONS(3049),
    [aux_sym_repeat_statement_token1] = ACTIONS(3049),
    [aux_sym_while_statement_token1] = ACTIONS(3049),
    [aux_sym_break_statement_token1] = ACTIONS(3049),
    [aux_sym_leave_statement_token1] = ACTIONS(3049),
    [aux_sym_continue_statement_token1] = ACTIONS(3049),
    [aux_sym_iterate_statement_token1] = ACTIONS(3049),
    [aux_sym_raise_statement_token1] = ACTIONS(3049),
    [anon_sym_EQ] = ACTIONS(3065),
    [aux_sym_assert_statement_token1] = ACTIONS(3049),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3049),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [aux_sym_select_token1] = ACTIONS(3049),
    [aux_sym_insert_statement_token1] = ACTIONS(3049),
    [aux_sym_truncate_statement_token1] = ACTIONS(3049),
    [aux_sym_update_statement_token1] = ACTIONS(3049),
    [aux_sym_merge_statement_token1] = ACTIONS(3049),
    [aux_sym_grant_statement_token1] = ACTIONS(3049),
    [aux_sym_revoke_statement_token1] = ACTIONS(3049),
    [aux_sym_export_data_statement_token1] = ACTIONS(3049),
    [aux_sym_load_data_statement_token1] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3067),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_LT_GT] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2799] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym__unquoted_identifier] = ACTIONS(1167),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1167),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1167),
    [aux_sym_keyword_replace_token1] = ACTIONS(1167),
    [aux_sym__keyword_alter_token1] = ACTIONS(1167),
    [aux_sym__keyword_create_token1] = ACTIONS(1167),
    [aux_sym__keyword_drop_token1] = ACTIONS(1167),
    [aux_sym__keyword_delete_token1] = ACTIONS(1167),
    [aux_sym__keyword_begin_token1] = ACTIONS(1167),
    [aux_sym__keyword_between_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1167),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1167),
    [aux_sym__keyword_like_token1] = ACTIONS(1167),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1167),
    [aux_sym__keyword_as_token1] = ACTIONS(1167),
    [aux_sym__keyword_date_token1] = ACTIONS(1167),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1167),
    [aux_sym__keyword_time_token1] = ACTIONS(1167),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1167),
    [aux_sym__keyword_for_token1] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1167),
    [aux_sym_return_statement_token1] = ACTIONS(1167),
    [aux_sym_call_statement_token1] = ACTIONS(1167),
    [aux_sym_loop_statement_token1] = ACTIONS(1167),
    [aux_sym_while_statement_token1] = ACTIONS(1167),
    [aux_sym_break_statement_token1] = ACTIONS(1167),
    [aux_sym_leave_statement_token1] = ACTIONS(1167),
    [aux_sym_continue_statement_token1] = ACTIONS(1167),
    [aux_sym_iterate_statement_token1] = ACTIONS(1167),
    [aux_sym_raise_statement_token1] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1167),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1167),
    [aux_sym_insert_statement_token1] = ACTIONS(1167),
    [aux_sym_truncate_statement_token1] = ACTIONS(1167),
    [aux_sym_update_statement_token1] = ACTIONS(1167),
    [aux_sym_merge_statement_token1] = ACTIONS(1167),
    [aux_sym_grant_statement_token1] = ACTIONS(1167),
    [aux_sym_revoke_statement_token1] = ACTIONS(1167),
    [aux_sym_export_data_statement_token1] = ACTIONS(1167),
    [aux_sym_load_data_statement_token1] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym__quoted_identifier] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2800] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2801] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2802] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [sym__unquoted_identifier] = ACTIONS(1209),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1209),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1209),
    [aux_sym_keyword_replace_token1] = ACTIONS(1209),
    [aux_sym__keyword_alter_token1] = ACTIONS(1209),
    [aux_sym__keyword_create_token1] = ACTIONS(1209),
    [aux_sym__keyword_drop_token1] = ACTIONS(1209),
    [aux_sym__keyword_delete_token1] = ACTIONS(1209),
    [aux_sym__keyword_begin_token1] = ACTIONS(1209),
    [aux_sym__keyword_between_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1209),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1209),
    [aux_sym__keyword_like_token1] = ACTIONS(1209),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1209),
    [aux_sym__keyword_as_token1] = ACTIONS(1209),
    [aux_sym__keyword_date_token1] = ACTIONS(1209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1209),
    [aux_sym__keyword_time_token1] = ACTIONS(1209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1209),
    [aux_sym__keyword_for_token1] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1209),
    [aux_sym_return_statement_token1] = ACTIONS(1209),
    [aux_sym_call_statement_token1] = ACTIONS(1209),
    [aux_sym_loop_statement_token1] = ACTIONS(1209),
    [aux_sym_while_statement_token1] = ACTIONS(1209),
    [aux_sym_break_statement_token1] = ACTIONS(1209),
    [aux_sym_leave_statement_token1] = ACTIONS(1209),
    [aux_sym_continue_statement_token1] = ACTIONS(1209),
    [aux_sym_iterate_statement_token1] = ACTIONS(1209),
    [aux_sym_raise_statement_token1] = ACTIONS(1209),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1209),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1209),
    [aux_sym_insert_statement_token1] = ACTIONS(1209),
    [aux_sym_truncate_statement_token1] = ACTIONS(1209),
    [aux_sym_update_statement_token1] = ACTIONS(1209),
    [aux_sym_merge_statement_token1] = ACTIONS(1209),
    [aux_sym_grant_statement_token1] = ACTIONS(1209),
    [aux_sym_revoke_statement_token1] = ACTIONS(1209),
    [aux_sym_export_data_statement_token1] = ACTIONS(1209),
    [aux_sym_load_data_statement_token1] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym__quoted_identifier] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2803] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_window_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_having_clause_token1] = ACTIONS(1245),
    [aux_sym_qualify_clause_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym_order_by_clause_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [2804] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2805] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1717),
    [aux_sym__keyword_is_token1] = ACTIONS(1719),
    [aux_sym__keyword_in_token1] = ACTIONS(1721),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1725),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_GT] = ACTIONS(1721),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1725),
    [anon_sym_LT_GT] = ACTIONS(1725),
    [anon_sym_GT_EQ] = ACTIONS(1725),
    [anon_sym_BANG_EQ] = ACTIONS(1725),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2806] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2807] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym__unquoted_identifier] = ACTIONS(1241),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1241),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1241),
    [aux_sym_keyword_replace_token1] = ACTIONS(1241),
    [aux_sym__keyword_alter_token1] = ACTIONS(1241),
    [aux_sym__keyword_create_token1] = ACTIONS(1241),
    [aux_sym__keyword_drop_token1] = ACTIONS(1241),
    [aux_sym__keyword_delete_token1] = ACTIONS(1241),
    [aux_sym__keyword_begin_token1] = ACTIONS(1241),
    [aux_sym__keyword_between_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1241),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1241),
    [aux_sym__keyword_like_token1] = ACTIONS(1241),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1241),
    [aux_sym__keyword_as_token1] = ACTIONS(1241),
    [aux_sym__keyword_date_token1] = ACTIONS(1241),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1241),
    [aux_sym__keyword_time_token1] = ACTIONS(1241),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1241),
    [aux_sym__keyword_for_token1] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1241),
    [aux_sym_return_statement_token1] = ACTIONS(1241),
    [aux_sym_call_statement_token1] = ACTIONS(1241),
    [aux_sym_loop_statement_token1] = ACTIONS(1241),
    [aux_sym_while_statement_token1] = ACTIONS(1241),
    [aux_sym_break_statement_token1] = ACTIONS(1241),
    [aux_sym_leave_statement_token1] = ACTIONS(1241),
    [aux_sym_continue_statement_token1] = ACTIONS(1241),
    [aux_sym_iterate_statement_token1] = ACTIONS(1241),
    [aux_sym_raise_statement_token1] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1241),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1241),
    [aux_sym_insert_statement_token1] = ACTIONS(1241),
    [aux_sym_truncate_statement_token1] = ACTIONS(1241),
    [aux_sym_update_statement_token1] = ACTIONS(1241),
    [aux_sym_merge_statement_token1] = ACTIONS(1241),
    [aux_sym_grant_statement_token1] = ACTIONS(1241),
    [aux_sym_revoke_statement_token1] = ACTIONS(1241),
    [aux_sym_export_data_statement_token1] = ACTIONS(1241),
    [aux_sym_load_data_statement_token1] = ACTIONS(1241),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym__quoted_identifier] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2808] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [sym__unquoted_identifier] = ACTIONS(1227),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1227),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1227),
    [aux_sym_keyword_replace_token1] = ACTIONS(1227),
    [aux_sym__keyword_alter_token1] = ACTIONS(1227),
    [aux_sym__keyword_create_token1] = ACTIONS(1227),
    [aux_sym__keyword_drop_token1] = ACTIONS(1227),
    [aux_sym__keyword_delete_token1] = ACTIONS(1227),
    [aux_sym__keyword_begin_token1] = ACTIONS(1227),
    [aux_sym__keyword_between_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1227),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1227),
    [aux_sym__keyword_like_token1] = ACTIONS(1227),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1227),
    [aux_sym__keyword_as_token1] = ACTIONS(1227),
    [aux_sym__keyword_date_token1] = ACTIONS(1227),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1227),
    [aux_sym__keyword_time_token1] = ACTIONS(1227),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1227),
    [aux_sym__keyword_for_token1] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1227),
    [aux_sym_return_statement_token1] = ACTIONS(1227),
    [aux_sym_call_statement_token1] = ACTIONS(1227),
    [aux_sym_loop_statement_token1] = ACTIONS(1227),
    [aux_sym_while_statement_token1] = ACTIONS(1227),
    [aux_sym_break_statement_token1] = ACTIONS(1227),
    [aux_sym_leave_statement_token1] = ACTIONS(1227),
    [aux_sym_continue_statement_token1] = ACTIONS(1227),
    [aux_sym_iterate_statement_token1] = ACTIONS(1227),
    [aux_sym_raise_statement_token1] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1227),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1227),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1227),
    [aux_sym_insert_statement_token1] = ACTIONS(1227),
    [aux_sym_truncate_statement_token1] = ACTIONS(1227),
    [aux_sym_update_statement_token1] = ACTIONS(1227),
    [aux_sym_merge_statement_token1] = ACTIONS(1227),
    [aux_sym_grant_statement_token1] = ACTIONS(1227),
    [aux_sym_revoke_statement_token1] = ACTIONS(1227),
    [aux_sym_export_data_statement_token1] = ACTIONS(1227),
    [aux_sym_load_data_statement_token1] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym__quoted_identifier] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2809] = {
    [sym__keyword_between] = STATE(1320),
    [sym__keyword_is] = STATE(12037),
    [sym__keyword_in] = STATE(1424),
    [sym__keyword_not] = STATE(13030),
    [sym__keyword_and] = STATE(1437),
    [sym__keyword_or] = STATE(1440),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16325),
    [sym_quantitve_like_operator] = STATE(16326),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1717),
    [aux_sym__keyword_is_token1] = ACTIONS(1719),
    [aux_sym__keyword_in_token1] = ACTIONS(1721),
    [aux_sym__keyword_and_token1] = ACTIONS(1723),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1725),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_GT] = ACTIONS(1721),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1725),
    [anon_sym_LT_GT] = ACTIONS(1725),
    [anon_sym_GT_EQ] = ACTIONS(1725),
    [anon_sym_BANG_EQ] = ACTIONS(1725),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
  },
  [2810] = {
    [sym__keyword_as] = STATE(15230),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1475),
    [aux_sym_keyword_replace_token1] = ACTIONS(1477),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_between_token1] = ACTIONS(1475),
    [aux_sym__keyword_when_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1475),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1475),
    [aux_sym__keyword_like_token1] = ACTIONS(1475),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(3047),
    [aux_sym__keyword_window_token1] = ACTIONS(1475),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_set_operation_token1] = ACTIONS(1475),
    [aux_sym_set_operation_token3] = ACTIONS(1475),
    [aux_sym_set_operation_token4] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_having_clause_token1] = ACTIONS(1475),
    [aux_sym_qualify_clause_token1] = ACTIONS(1475),
    [aux_sym_limit_clause_token1] = ACTIONS(1475),
    [aux_sym_group_by_clause_token1] = ACTIONS(1475),
    [aux_sym_order_by_clause_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [2811] = {
    [sym_analytics_clause] = STATE(3332),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2812] = {
    [sym_analytics_clause] = STATE(3305),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2813] = {
    [sym_analytics_clause] = STATE(3263),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2814] = {
    [sym_analytics_clause] = STATE(3196),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2815] = {
    [sym_analytics_clause] = STATE(3087),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2816] = {
    [sym_analytics_clause] = STATE(3294),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2817] = {
    [sym_analytics_clause] = STATE(3120),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2818] = {
    [sym_analytics_clause] = STATE(3295),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2819] = {
    [sym_analytics_clause] = STATE(3302),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2820] = {
    [sym_analytics_clause] = STATE(3073),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2821] = {
    [sym_analytics_clause] = STATE(3310),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2822] = {
    [sym_analytics_clause] = STATE(3074),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2823] = {
    [sym_analytics_clause] = STATE(3121),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2824] = {
    [sym_analytics_clause] = STATE(3083),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2825] = {
    [sym_analytics_clause] = STATE(3313),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2826] = {
    [sym_analytics_clause] = STATE(3262),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1393),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_when_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1393),
    [aux_sym_set_operation_token3] = ACTIONS(1393),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_limit_clause_token1] = ACTIONS(1393),
    [aux_sym__direction_keywords_token1] = ACTIONS(1393),
    [aux_sym__direction_keywords_token2] = ACTIONS(1393),
    [aux_sym__nulls_preference_token1] = ACTIONS(1393),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [2827] = {
    [sym_analytics_clause] = STATE(3123),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2828] = {
    [sym_analytics_clause] = STATE(3084),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2829] = {
    [sym_analytics_clause] = STATE(3078),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2830] = {
    [sym_analytics_clause] = STATE(3267),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2831] = {
    [sym_analytics_clause] = STATE(3088),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2832] = {
    [sym_analytics_clause] = STATE(3356),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2833] = {
    [sym_analytics_clause] = STATE(3354),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2834] = {
    [sym_analytics_clause] = STATE(3353),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2835] = {
    [sym_analytics_clause] = STATE(3352),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2836] = {
    [sym_analytics_clause] = STATE(3099),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2837] = {
    [sym_analytics_clause] = STATE(3125),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2838] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3089),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3089),
    [aux_sym__keyword_create_token1] = ACTIONS(3089),
    [aux_sym__keyword_drop_token1] = ACTIONS(3089),
    [aux_sym__keyword_delete_token1] = ACTIONS(3089),
    [aux_sym__keyword_begin_token1] = ACTIONS(3089),
    [aux_sym__keyword_end_token1] = ACTIONS(3089),
    [aux_sym__keyword_between_token1] = ACTIONS(3013),
    [aux_sym__keyword_else_token1] = ACTIONS(3091),
    [aux_sym__keyword_is_token1] = ACTIONS(3017),
    [aux_sym__keyword_in_token1] = ACTIONS(3019),
    [aux_sym__keyword_and_token1] = ACTIONS(3021),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3089),
    [aux_sym__keyword_as_token1] = ACTIONS(3091),
    [aux_sym__keyword_for_token1] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3089),
    [aux_sym_declare_statement_token1] = ACTIONS(3089),
    [anon_sym_COMMA] = ACTIONS(3089),
    [aux_sym_set_statement_token1] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(3089),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3089),
    [aux_sym_return_statement_token1] = ACTIONS(3089),
    [aux_sym_call_statement_token1] = ACTIONS(3089),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3089),
    [aux_sym_if_statement_token1] = ACTIONS(3089),
    [aux_sym_loop_statement_token1] = ACTIONS(3089),
    [aux_sym_repeat_statement_token1] = ACTIONS(3089),
    [aux_sym_while_statement_token1] = ACTIONS(3089),
    [aux_sym_break_statement_token1] = ACTIONS(3089),
    [aux_sym_leave_statement_token1] = ACTIONS(3089),
    [aux_sym_continue_statement_token1] = ACTIONS(3089),
    [aux_sym_iterate_statement_token1] = ACTIONS(3089),
    [aux_sym_raise_statement_token1] = ACTIONS(3089),
    [anon_sym_EQ] = ACTIONS(3025),
    [aux_sym_assert_statement_token1] = ACTIONS(3089),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3089),
    [aux_sym_option_clause_token1] = ACTIONS(3089),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [aux_sym_select_token1] = ACTIONS(3089),
    [aux_sym_insert_statement_token1] = ACTIONS(3089),
    [aux_sym_truncate_statement_token1] = ACTIONS(3089),
    [aux_sym_update_statement_token1] = ACTIONS(3089),
    [aux_sym_merge_statement_token1] = ACTIONS(3089),
    [aux_sym_grant_statement_token1] = ACTIONS(3089),
    [aux_sym_revoke_statement_token1] = ACTIONS(3089),
    [aux_sym_export_data_statement_token1] = ACTIONS(3089),
    [aux_sym_load_data_statement_token1] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3025),
    [anon_sym_LT_GT] = ACTIONS(3025),
    [anon_sym_GT_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2839] = {
    [sym_analytics_clause] = STATE(3351),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2840] = {
    [sym_analytics_clause] = STATE(3348),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2841] = {
    [sym_analytics_clause] = STATE(3126),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2842] = {
    [sym_unnest_withoffset] = STATE(1912),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_window_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3093),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1523),
    [aux_sym_set_operation_token3] = ACTIONS(1523),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_having_clause_token1] = ACTIONS(1523),
    [aux_sym_qualify_clause_token1] = ACTIONS(1523),
    [aux_sym_limit_clause_token1] = ACTIONS(1523),
    [aux_sym_order_by_clause_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [2843] = {
    [sym_analytics_clause] = STATE(3344),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2844] = {
    [sym_analytics_clause] = STATE(3342),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2845] = {
    [sym_analytics_clause] = STATE(3174),
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1381),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_when_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1381),
    [aux_sym_set_operation_token3] = ACTIONS(1381),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_limit_clause_token1] = ACTIONS(1381),
    [aux_sym__direction_keywords_token1] = ACTIONS(1381),
    [aux_sym__direction_keywords_token2] = ACTIONS(1381),
    [aux_sym__nulls_preference_token1] = ACTIONS(1381),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [2846] = {
    [sym_analytics_clause] = STATE(3198),
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1385),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_when_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1385),
    [aux_sym_set_operation_token3] = ACTIONS(1385),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_limit_clause_token1] = ACTIONS(1385),
    [aux_sym__direction_keywords_token1] = ACTIONS(1385),
    [aux_sym__direction_keywords_token2] = ACTIONS(1385),
    [aux_sym__nulls_preference_token1] = ACTIONS(1385),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [2847] = {
    [sym_analytics_clause] = STATE(3029),
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1401),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_when_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1401),
    [aux_sym_set_operation_token3] = ACTIONS(1401),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_limit_clause_token1] = ACTIONS(1401),
    [aux_sym__direction_keywords_token1] = ACTIONS(1401),
    [aux_sym__direction_keywords_token2] = ACTIONS(1401),
    [aux_sym__nulls_preference_token1] = ACTIONS(1401),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [2848] = {
    [sym_analytics_clause] = STATE(3228),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2849] = {
    [sym_analytics_clause] = STATE(3335),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [2850] = {
    [sym_analytics_clause] = STATE(3338),
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1409),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_when_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1409),
    [aux_sym_set_operation_token3] = ACTIONS(1409),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_limit_clause_token1] = ACTIONS(1409),
    [aux_sym__direction_keywords_token1] = ACTIONS(1409),
    [aux_sym__direction_keywords_token2] = ACTIONS(1409),
    [aux_sym__nulls_preference_token1] = ACTIONS(1409),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [2851] = {
    [sym_analytics_clause] = STATE(3271),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2852] = {
    [sym__keyword_as] = STATE(11556),
    [sym__keyword_date] = STATE(593),
    [sym__keyword_datetime] = STATE(593),
    [sym__keyword_time] = STATE(593),
    [sym__keyword_timestamp] = STATE(593),
    [sym_as_alias] = STATE(5267),
    [sym_unnest_withoffset] = STATE(408),
    [sym__type_chrono] = STATE(549),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(555),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(211),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(205),
    [aux_sym__keyword_alter_token1] = ACTIONS(205),
    [aux_sym__keyword_create_token1] = ACTIONS(205),
    [aux_sym__keyword_drop_token1] = ACTIONS(205),
    [aux_sym__keyword_delete_token1] = ACTIONS(205),
    [aux_sym__keyword_begin_token1] = ACTIONS(205),
    [aux_sym__keyword_when_token1] = ACTIONS(205),
    [aux_sym__keyword_repeat_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(2941),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(211),
    [aux_sym_declare_statement_token1] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(211),
    [aux_sym_set_statement_token1] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(205),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(205),
    [aux_sym_call_statement_token1] = ACTIONS(205),
    [aux_sym_loop_statement_token1] = ACTIONS(205),
    [aux_sym_while_statement_token1] = ACTIONS(205),
    [aux_sym_break_statement_token1] = ACTIONS(205),
    [aux_sym_leave_statement_token1] = ACTIONS(205),
    [aux_sym_continue_statement_token1] = ACTIONS(205),
    [aux_sym_iterate_statement_token1] = ACTIONS(205),
    [aux_sym_raise_statement_token1] = ACTIONS(205),
    [aux_sym_assert_statement_token1] = ACTIONS(205),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2943),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_select_token1] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [aux_sym_insert_statement_token1] = ACTIONS(205),
    [aux_sym_truncate_statement_token1] = ACTIONS(205),
    [aux_sym_update_statement_token1] = ACTIONS(205),
    [aux_sym_merge_statement_token1] = ACTIONS(205),
    [aux_sym_grant_statement_token1] = ACTIONS(205),
    [aux_sym_revoke_statement_token1] = ACTIONS(205),
    [aux_sym_export_data_statement_token1] = ACTIONS(205),
    [aux_sym_load_data_statement_token1] = ACTIONS(205),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [2853] = {
    [sym_analytics_clause] = STATE(3337),
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1413),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_when_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1413),
    [aux_sym_set_operation_token3] = ACTIONS(1413),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_limit_clause_token1] = ACTIONS(1413),
    [aux_sym__direction_keywords_token1] = ACTIONS(1413),
    [aux_sym__direction_keywords_token2] = ACTIONS(1413),
    [aux_sym__nulls_preference_token1] = ACTIONS(1413),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [2854] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_as_token1] = ACTIONS(1227),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [aux_sym_option_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2855] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_as_token1] = ACTIONS(1241),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [aux_sym_option_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2856] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_as_token1] = ACTIONS(1189),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [aux_sym_option_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2857] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_as_token1] = ACTIONS(1209),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [aux_sym_option_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2858] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3013),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(3017),
    [aux_sym__keyword_in_token1] = ACTIONS(3019),
    [aux_sym__keyword_and_token1] = ACTIONS(3021),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_as_token1] = ACTIONS(1197),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3025),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [aux_sym_option_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3025),
    [anon_sym_LT_GT] = ACTIONS(3025),
    [anon_sym_GT_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2859] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_as_token1] = ACTIONS(1167),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [aux_sym_option_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2860] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_as_token1] = ACTIONS(1223),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [aux_sym_option_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2861] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3013),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3017),
    [aux_sym__keyword_in_token1] = ACTIONS(3019),
    [aux_sym__keyword_and_token1] = ACTIONS(3021),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3025),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3025),
    [anon_sym_LT_GT] = ACTIONS(3025),
    [anon_sym_GT_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2862] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3013),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3017),
    [aux_sym__keyword_in_token1] = ACTIONS(3019),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3025),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(3025),
    [anon_sym_LT_GT] = ACTIONS(3025),
    [anon_sym_GT_EQ] = ACTIONS(3025),
    [anon_sym_BANG_EQ] = ACTIONS(3025),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2863] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2864] = {
    [sym_analytics_clause] = STATE(3334),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2865] = {
    [sym_analytics_clause] = STATE(3326),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2866] = {
    [sym_analytics_clause] = STATE(3325),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2867] = {
    [sym_analytics_clause] = STATE(3323),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2868] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_set_operation_token1] = ACTIONS(1245),
    [aux_sym_set_operation_token3] = ACTIONS(1245),
    [aux_sym_set_operation_token4] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_limit_clause_token1] = ACTIONS(1245),
    [aux_sym__direction_keywords_token1] = ACTIONS(1245),
    [aux_sym__direction_keywords_token2] = ACTIONS(1245),
    [aux_sym__nulls_preference_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [2869] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2870] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2871] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2872] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2873] = {
    [sym_string] = STATE(3242),
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token2] = ACTIONS(1469),
    [aux_sym__nulls_preference_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(1919),
  },
  [2874] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2875] = {
    [sym__keyword_between] = STATE(1118),
    [sym__keyword_is] = STATE(12125),
    [sym__keyword_in] = STATE(1342),
    [sym__keyword_not] = STATE(13149),
    [sym__keyword_and] = STATE(1360),
    [sym__keyword_or] = STATE(1365),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_SLASH] = ACTIONS(3037),
    [anon_sym_PIPE_PIPE] = ACTIONS(3035),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3039),
    [anon_sym_GT_GT] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3043),
    [anon_sym_PIPE] = ACTIONS(3045),
  },
  [2876] = {
    [sym__keyword_as] = STATE(15439),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1475),
    [aux_sym_keyword_replace_token1] = ACTIONS(1475),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_between_token1] = ACTIONS(1475),
    [aux_sym__keyword_when_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1475),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1475),
    [aux_sym__keyword_like_token1] = ACTIONS(1475),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(3095),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_set_operation_token1] = ACTIONS(1475),
    [aux_sym_set_operation_token3] = ACTIONS(1475),
    [aux_sym_set_operation_token4] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_limit_clause_token1] = ACTIONS(1475),
    [aux_sym__direction_keywords_token1] = ACTIONS(1475),
    [aux_sym__direction_keywords_token2] = ACTIONS(1475),
    [aux_sym__nulls_preference_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [2877] = {
    [sym_analytics_clause] = STATE(3358),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2878] = {
    [sym_analytics_clause] = STATE(3322),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2879] = {
    [sym_analytics_clause] = STATE(3361),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [2880] = {
    [sym_analytics_clause] = STATE(3068),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2881] = {
    [sym_analytics_clause] = STATE(3065),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2882] = {
    [sym_analytics_clause] = STATE(3347),
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1429),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_when_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1429),
    [aux_sym_set_operation_token3] = ACTIONS(1429),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_limit_clause_token1] = ACTIONS(1429),
    [aux_sym__direction_keywords_token1] = ACTIONS(1429),
    [aux_sym__direction_keywords_token2] = ACTIONS(1429),
    [aux_sym__nulls_preference_token1] = ACTIONS(1429),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [2883] = {
    [sym_analytics_clause] = STATE(3320),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2884] = {
    [sym_analytics_clause] = STATE(3350),
    [ts_builtin_sym_end] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1433),
    [aux_sym_keyword_replace_token1] = ACTIONS(1433),
    [aux_sym__keyword_alter_token1] = ACTIONS(1433),
    [aux_sym__keyword_create_token1] = ACTIONS(1433),
    [aux_sym__keyword_drop_token1] = ACTIONS(1433),
    [aux_sym__keyword_delete_token1] = ACTIONS(1433),
    [aux_sym__keyword_begin_token1] = ACTIONS(1433),
    [aux_sym__keyword_end_token1] = ACTIONS(1433),
    [aux_sym__keyword_between_token1] = ACTIONS(1433),
    [aux_sym__keyword_when_token1] = ACTIONS(1433),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1433),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1433),
    [aux_sym__keyword_like_token1] = ACTIONS(1433),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1433),
    [aux_sym__keyword_for_token1] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1433),
    [aux_sym_return_statement_token1] = ACTIONS(1433),
    [aux_sym_call_statement_token1] = ACTIONS(1433),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1433),
    [aux_sym_if_statement_token1] = ACTIONS(1433),
    [aux_sym_loop_statement_token1] = ACTIONS(1433),
    [aux_sym_repeat_statement_token1] = ACTIONS(1433),
    [aux_sym_while_statement_token1] = ACTIONS(1433),
    [aux_sym_break_statement_token1] = ACTIONS(1433),
    [aux_sym_leave_statement_token1] = ACTIONS(1433),
    [aux_sym_continue_statement_token1] = ACTIONS(1433),
    [aux_sym_iterate_statement_token1] = ACTIONS(1433),
    [aux_sym_raise_statement_token1] = ACTIONS(1433),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1433),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_set_operation_token1] = ACTIONS(1433),
    [aux_sym_set_operation_token3] = ACTIONS(1433),
    [aux_sym_set_operation_token4] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1433),
    [aux_sym_limit_clause_token1] = ACTIONS(1433),
    [aux_sym__direction_keywords_token1] = ACTIONS(1433),
    [aux_sym__direction_keywords_token2] = ACTIONS(1433),
    [aux_sym__nulls_preference_token1] = ACTIONS(1433),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1433),
    [aux_sym_truncate_statement_token1] = ACTIONS(1433),
    [aux_sym_update_statement_token1] = ACTIONS(1433),
    [aux_sym_merge_statement_token1] = ACTIONS(1433),
    [aux_sym_grant_statement_token1] = ACTIONS(1433),
    [aux_sym_revoke_statement_token1] = ACTIONS(1433),
    [aux_sym_export_data_statement_token1] = ACTIONS(1433),
    [aux_sym_load_data_statement_token1] = ACTIONS(1433),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [2885] = {
    [sym_analytics_clause] = STATE(3064),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2886] = {
    [sym_analytics_clause] = STATE(3061),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2887] = {
    [sym_analytics_clause] = STATE(3319),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2888] = {
    [sym_analytics_clause] = STATE(3059),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2889] = {
    [sym_analytics_clause] = STATE(3230),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2890] = {
    [sym_analytics_clause] = STATE(3057),
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1461),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_when_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1461),
    [aux_sym_set_operation_token3] = ACTIONS(1461),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_limit_clause_token1] = ACTIONS(1461),
    [aux_sym__direction_keywords_token1] = ACTIONS(1461),
    [aux_sym__direction_keywords_token2] = ACTIONS(1461),
    [aux_sym__nulls_preference_token1] = ACTIONS(1461),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [2891] = {
    [sym_analytics_clause] = STATE(3316),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2892] = {
    [sym_analytics_clause] = STATE(3311),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2893] = {
    [sym_analytics_clause] = STATE(3103),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2894] = {
    [sym_analytics_clause] = STATE(3362),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2895] = {
    [sym_analytics_clause] = STATE(3052),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2896] = {
    [sym_analytics_clause] = STATE(3309),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2897] = {
    [sym_analytics_clause] = STATE(3231),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2898] = {
    [sym_analytics_clause] = STATE(3324),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1389),
    [aux_sym_keyword_replace_token1] = ACTIONS(1389),
    [aux_sym__keyword_alter_token1] = ACTIONS(1389),
    [aux_sym__keyword_create_token1] = ACTIONS(1389),
    [aux_sym__keyword_drop_token1] = ACTIONS(1389),
    [aux_sym__keyword_delete_token1] = ACTIONS(1389),
    [aux_sym__keyword_begin_token1] = ACTIONS(1389),
    [aux_sym__keyword_end_token1] = ACTIONS(1389),
    [aux_sym__keyword_between_token1] = ACTIONS(1389),
    [aux_sym__keyword_when_token1] = ACTIONS(1389),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1389),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1389),
    [aux_sym__keyword_like_token1] = ACTIONS(1389),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1389),
    [aux_sym__keyword_for_token1] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1389),
    [aux_sym_return_statement_token1] = ACTIONS(1389),
    [aux_sym_call_statement_token1] = ACTIONS(1389),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1389),
    [aux_sym_if_statement_token1] = ACTIONS(1389),
    [aux_sym_loop_statement_token1] = ACTIONS(1389),
    [aux_sym_repeat_statement_token1] = ACTIONS(1389),
    [aux_sym_while_statement_token1] = ACTIONS(1389),
    [aux_sym_break_statement_token1] = ACTIONS(1389),
    [aux_sym_leave_statement_token1] = ACTIONS(1389),
    [aux_sym_continue_statement_token1] = ACTIONS(1389),
    [aux_sym_iterate_statement_token1] = ACTIONS(1389),
    [aux_sym_raise_statement_token1] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1389),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_set_operation_token1] = ACTIONS(1389),
    [aux_sym_set_operation_token3] = ACTIONS(1389),
    [aux_sym_set_operation_token4] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1389),
    [aux_sym_limit_clause_token1] = ACTIONS(1389),
    [aux_sym__direction_keywords_token1] = ACTIONS(1389),
    [aux_sym__direction_keywords_token2] = ACTIONS(1389),
    [aux_sym__nulls_preference_token1] = ACTIONS(1389),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1389),
    [aux_sym_truncate_statement_token1] = ACTIONS(1389),
    [aux_sym_update_statement_token1] = ACTIONS(1389),
    [aux_sym_merge_statement_token1] = ACTIONS(1389),
    [aux_sym_grant_statement_token1] = ACTIONS(1389),
    [aux_sym_revoke_statement_token1] = ACTIONS(1389),
    [aux_sym_export_data_statement_token1] = ACTIONS(1389),
    [aux_sym_load_data_statement_token1] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [2899] = {
    [sym_analytics_clause] = STATE(3051),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2900] = {
    [sym_analytics_clause] = STATE(3049),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2901] = {
    [sym_analytics_clause] = STATE(3047),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2902] = {
    [sym_analytics_clause] = STATE(3041),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [2903] = {
    [sym_analytics_clause] = STATE(3040),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1489),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_when_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1489),
    [aux_sym_set_operation_token3] = ACTIONS(1489),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_limit_clause_token1] = ACTIONS(1489),
    [aux_sym__direction_keywords_token1] = ACTIONS(1489),
    [aux_sym__direction_keywords_token2] = ACTIONS(1489),
    [aux_sym__nulls_preference_token1] = ACTIONS(1489),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [2904] = {
    [sym_analytics_clause] = STATE(3038),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1501),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_when_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1501),
    [aux_sym_set_operation_token3] = ACTIONS(1501),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_limit_clause_token1] = ACTIONS(1501),
    [aux_sym__direction_keywords_token1] = ACTIONS(1501),
    [aux_sym__direction_keywords_token2] = ACTIONS(1501),
    [aux_sym__nulls_preference_token1] = ACTIONS(1501),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [2905] = {
    [sym_analytics_clause] = STATE(3036),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1513),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_when_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1513),
    [aux_sym_set_operation_token3] = ACTIONS(1513),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_limit_clause_token1] = ACTIONS(1513),
    [aux_sym__direction_keywords_token1] = ACTIONS(1513),
    [aux_sym__direction_keywords_token2] = ACTIONS(1513),
    [aux_sym__nulls_preference_token1] = ACTIONS(1513),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [2906] = {
    [sym_unnest_withoffset] = STATE(2762),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3097),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1523),
    [aux_sym_set_operation_token3] = ACTIONS(1523),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_limit_clause_token1] = ACTIONS(1523),
    [aux_sym__direction_keywords_token1] = ACTIONS(1523),
    [aux_sym__direction_keywords_token2] = ACTIONS(1523),
    [aux_sym__nulls_preference_token1] = ACTIONS(1523),
    [aux_sym_order_by_clause_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [2907] = {
    [sym_analytics_clause] = STATE(3308),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2908] = {
    [sym_analytics_clause] = STATE(3034),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2909] = {
    [sym_analytics_clause] = STATE(3030),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2910] = {
    [sym_analytics_clause] = STATE(3233),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2911] = {
    [sym_analytics_clause] = STATE(3080),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2912] = {
    [sym_analytics_clause] = STATE(3315),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2913] = {
    [sym_analytics_clause] = STATE(3357),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1437),
    [aux_sym_keyword_replace_token1] = ACTIONS(1437),
    [aux_sym__keyword_alter_token1] = ACTIONS(1437),
    [aux_sym__keyword_create_token1] = ACTIONS(1437),
    [aux_sym__keyword_drop_token1] = ACTIONS(1437),
    [aux_sym__keyword_delete_token1] = ACTIONS(1437),
    [aux_sym__keyword_begin_token1] = ACTIONS(1437),
    [aux_sym__keyword_end_token1] = ACTIONS(1437),
    [aux_sym__keyword_between_token1] = ACTIONS(1437),
    [aux_sym__keyword_when_token1] = ACTIONS(1437),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1437),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1437),
    [aux_sym__keyword_like_token1] = ACTIONS(1437),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1437),
    [aux_sym__keyword_for_token1] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1437),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1437),
    [aux_sym_return_statement_token1] = ACTIONS(1437),
    [aux_sym_call_statement_token1] = ACTIONS(1437),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1437),
    [aux_sym_if_statement_token1] = ACTIONS(1437),
    [aux_sym_loop_statement_token1] = ACTIONS(1437),
    [aux_sym_repeat_statement_token1] = ACTIONS(1437),
    [aux_sym_while_statement_token1] = ACTIONS(1437),
    [aux_sym_break_statement_token1] = ACTIONS(1437),
    [aux_sym_leave_statement_token1] = ACTIONS(1437),
    [aux_sym_continue_statement_token1] = ACTIONS(1437),
    [aux_sym_iterate_statement_token1] = ACTIONS(1437),
    [aux_sym_raise_statement_token1] = ACTIONS(1437),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1437),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1437),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_set_operation_token1] = ACTIONS(1437),
    [aux_sym_set_operation_token3] = ACTIONS(1437),
    [aux_sym_set_operation_token4] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1437),
    [aux_sym_limit_clause_token1] = ACTIONS(1437),
    [aux_sym__direction_keywords_token1] = ACTIONS(1437),
    [aux_sym__direction_keywords_token2] = ACTIONS(1437),
    [aux_sym__nulls_preference_token1] = ACTIONS(1437),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1437),
    [aux_sym_truncate_statement_token1] = ACTIONS(1437),
    [aux_sym_update_statement_token1] = ACTIONS(1437),
    [aux_sym_merge_statement_token1] = ACTIONS(1437),
    [aux_sym_grant_statement_token1] = ACTIONS(1437),
    [aux_sym_revoke_statement_token1] = ACTIONS(1437),
    [aux_sym_export_data_statement_token1] = ACTIONS(1437),
    [aux_sym_load_data_statement_token1] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [2914] = {
    [sym_analytics_clause] = STATE(3105),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2915] = {
    [sym_analytics_clause] = STATE(3063),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2916] = {
    [sym_analytics_clause] = STATE(3285),
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1445),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_when_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1445),
    [aux_sym_set_operation_token3] = ACTIONS(1445),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_limit_clause_token1] = ACTIONS(1445),
    [aux_sym__direction_keywords_token1] = ACTIONS(1445),
    [aux_sym__direction_keywords_token2] = ACTIONS(1445),
    [aux_sym__nulls_preference_token1] = ACTIONS(1445),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [2917] = {
    [sym_analytics_clause] = STATE(3091),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2918] = {
    [sym_analytics_clause] = STATE(3094),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2919] = {
    [sym_analytics_clause] = STATE(3307),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2920] = {
    [sym_analytics_clause] = STATE(3070),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2921] = {
    [sym_analytics_clause] = STATE(3306),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2922] = {
    [sym_analytics_clause] = STATE(3095),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2923] = {
    [sym_analytics_clause] = STATE(3098),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2924] = {
    [sym_analytics_clause] = STATE(3298),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2925] = {
    [sym_analytics_clause] = STATE(3178),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2926] = {
    [sym_analytics_clause] = STATE(3303),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2927] = {
    [sym_analytics_clause] = STATE(3301),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2928] = {
    [sym_analytics_clause] = STATE(3297),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2929] = {
    [sym_analytics_clause] = STATE(3296),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2930] = {
    [sym_analytics_clause] = STATE(3339),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2931] = {
    [sym_analytics_clause] = STATE(3282),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2932] = {
    [sym_analytics_clause] = STATE(3249),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [2933] = {
    [sym_analytics_clause] = STATE(3346),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2934] = {
    [sym_analytics_clause] = STATE(3251),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1509),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_when_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1509),
    [aux_sym_set_operation_token3] = ACTIONS(1509),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_limit_clause_token1] = ACTIONS(1509),
    [aux_sym__direction_keywords_token1] = ACTIONS(1509),
    [aux_sym__direction_keywords_token2] = ACTIONS(1509),
    [aux_sym__nulls_preference_token1] = ACTIONS(1509),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [2935] = {
    [sym_analytics_clause] = STATE(3244),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [2936] = {
    [sym_analytics_clause] = STATE(3270),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1505),
    [aux_sym_keyword_replace_token1] = ACTIONS(1505),
    [aux_sym__keyword_alter_token1] = ACTIONS(1505),
    [aux_sym__keyword_create_token1] = ACTIONS(1505),
    [aux_sym__keyword_drop_token1] = ACTIONS(1505),
    [aux_sym__keyword_delete_token1] = ACTIONS(1505),
    [aux_sym__keyword_begin_token1] = ACTIONS(1505),
    [aux_sym__keyword_end_token1] = ACTIONS(1505),
    [aux_sym__keyword_between_token1] = ACTIONS(1505),
    [aux_sym__keyword_when_token1] = ACTIONS(1505),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1505),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1505),
    [aux_sym__keyword_like_token1] = ACTIONS(1505),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1505),
    [aux_sym__keyword_for_token1] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1505),
    [aux_sym_return_statement_token1] = ACTIONS(1505),
    [aux_sym_call_statement_token1] = ACTIONS(1505),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1505),
    [aux_sym_if_statement_token1] = ACTIONS(1505),
    [aux_sym_loop_statement_token1] = ACTIONS(1505),
    [aux_sym_repeat_statement_token1] = ACTIONS(1505),
    [aux_sym_while_statement_token1] = ACTIONS(1505),
    [aux_sym_break_statement_token1] = ACTIONS(1505),
    [aux_sym_leave_statement_token1] = ACTIONS(1505),
    [aux_sym_continue_statement_token1] = ACTIONS(1505),
    [aux_sym_iterate_statement_token1] = ACTIONS(1505),
    [aux_sym_raise_statement_token1] = ACTIONS(1505),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1505),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_set_operation_token1] = ACTIONS(1505),
    [aux_sym_set_operation_token3] = ACTIONS(1505),
    [aux_sym_set_operation_token4] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1505),
    [aux_sym_limit_clause_token1] = ACTIONS(1505),
    [aux_sym__direction_keywords_token1] = ACTIONS(1505),
    [aux_sym__direction_keywords_token2] = ACTIONS(1505),
    [aux_sym__nulls_preference_token1] = ACTIONS(1505),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1505),
    [aux_sym_truncate_statement_token1] = ACTIONS(1505),
    [aux_sym_update_statement_token1] = ACTIONS(1505),
    [aux_sym_merge_statement_token1] = ACTIONS(1505),
    [aux_sym_grant_statement_token1] = ACTIONS(1505),
    [aux_sym_revoke_statement_token1] = ACTIONS(1505),
    [aux_sym_export_data_statement_token1] = ACTIONS(1505),
    [aux_sym_load_data_statement_token1] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [2937] = {
    [sym_analytics_clause] = STATE(3318),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2938] = {
    [sym_analytics_clause] = STATE(3293),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2939] = {
    [sym_analytics_clause] = STATE(3266),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2940] = {
    [sym_analytics_clause] = STATE(3082),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2941] = {
    [sym_analytics_clause] = STATE(3328),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2942] = {
    [sym_analytics_clause] = STATE(3300),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [2943] = {
    [sym_analytics_clause] = STATE(3223),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1465),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_when_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1465),
    [aux_sym_set_operation_token3] = ACTIONS(1465),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_limit_clause_token1] = ACTIONS(1465),
    [aux_sym__direction_keywords_token1] = ACTIONS(1465),
    [aux_sym__direction_keywords_token2] = ACTIONS(1465),
    [aux_sym__nulls_preference_token1] = ACTIONS(1465),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [2944] = {
    [sym_analytics_clause] = STATE(3312),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2945] = {
    [sym_analytics_clause] = STATE(3277),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2946] = {
    [sym_analytics_clause] = STATE(3272),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1497),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_when_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1497),
    [aux_sym_set_operation_token3] = ACTIONS(1497),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_limit_clause_token1] = ACTIONS(1497),
    [aux_sym__direction_keywords_token1] = ACTIONS(1497),
    [aux_sym__direction_keywords_token2] = ACTIONS(1497),
    [aux_sym__nulls_preference_token1] = ACTIONS(1497),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [2947] = {
    [sym_analytics_clause] = STATE(3371),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2948] = {
    [sym_analytics_clause] = STATE(3333),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1425),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_when_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1425),
    [aux_sym_set_operation_token3] = ACTIONS(1425),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_limit_clause_token1] = ACTIONS(1425),
    [aux_sym__direction_keywords_token1] = ACTIONS(1425),
    [aux_sym__direction_keywords_token2] = ACTIONS(1425),
    [aux_sym__nulls_preference_token1] = ACTIONS(1425),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [2949] = {
    [sym_analytics_clause] = STATE(3273),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1493),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_when_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1493),
    [aux_sym_set_operation_token3] = ACTIONS(1493),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_limit_clause_token1] = ACTIONS(1493),
    [aux_sym__direction_keywords_token1] = ACTIONS(1493),
    [aux_sym__direction_keywords_token2] = ACTIONS(1493),
    [aux_sym__nulls_preference_token1] = ACTIONS(1493),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [2950] = {
    [sym__keyword_between] = STATE(1829),
    [sym__keyword_is] = STATE(12087),
    [sym__keyword_in] = STATE(1283),
    [sym__keyword_not] = STATE(13060),
    [sym__keyword_and] = STATE(1266),
    [sym__keyword_or] = STATE(1265),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16067),
    [sym_quantitve_like_operator] = STATE(16068),
    [ts_builtin_sym_end] = ACTIONS(2929),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2929),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_alter_token1] = ACTIONS(2929),
    [aux_sym__keyword_create_token1] = ACTIONS(2929),
    [aux_sym__keyword_drop_token1] = ACTIONS(2929),
    [aux_sym__keyword_delete_token1] = ACTIONS(2929),
    [aux_sym__keyword_begin_token1] = ACTIONS(2929),
    [aux_sym__keyword_between_token1] = ACTIONS(2945),
    [aux_sym__keyword_when_token1] = ACTIONS(2929),
    [aux_sym__keyword_is_token1] = ACTIONS(2947),
    [aux_sym__keyword_in_token1] = ACTIONS(2949),
    [aux_sym__keyword_and_token1] = ACTIONS(2951),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2929),
    [aux_sym__keyword_window_token1] = ACTIONS(2929),
    [aux_sym__keyword_for_token1] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [aux_sym_declare_statement_token1] = ACTIONS(2929),
    [aux_sym_set_statement_token1] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2929),
    [aux_sym_return_statement_token1] = ACTIONS(2929),
    [aux_sym_call_statement_token1] = ACTIONS(2929),
    [aux_sym_loop_statement_token1] = ACTIONS(2929),
    [aux_sym_while_statement_token1] = ACTIONS(2929),
    [aux_sym_break_statement_token1] = ACTIONS(2929),
    [aux_sym_leave_statement_token1] = ACTIONS(2929),
    [aux_sym_continue_statement_token1] = ACTIONS(2929),
    [aux_sym_iterate_statement_token1] = ACTIONS(2929),
    [aux_sym_raise_statement_token1] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(2953),
    [aux_sym_assert_statement_token1] = ACTIONS(2929),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [aux_sym_set_operation_token1] = ACTIONS(2929),
    [aux_sym_set_operation_token3] = ACTIONS(2929),
    [aux_sym_set_operation_token4] = ACTIONS(2929),
    [aux_sym_select_token1] = ACTIONS(2929),
    [aux_sym_limit_clause_token1] = ACTIONS(2929),
    [aux_sym_order_by_clause_token1] = ACTIONS(2929),
    [aux_sym_insert_statement_token1] = ACTIONS(2929),
    [aux_sym_truncate_statement_token1] = ACTIONS(2929),
    [aux_sym_update_statement_token1] = ACTIONS(2929),
    [aux_sym_merge_statement_token1] = ACTIONS(2929),
    [aux_sym_grant_statement_token1] = ACTIONS(2929),
    [aux_sym_revoke_statement_token1] = ACTIONS(2929),
    [aux_sym_export_data_statement_token1] = ACTIONS(2929),
    [aux_sym_load_data_statement_token1] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2961),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_LT_GT] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2969),
  },
  [2951] = {
    [sym_analytics_clause] = STATE(3107),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [2952] = {
    [sym_analytics_clause] = STATE(3331),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2953] = {
    [sym_analytics_clause] = STATE(3164),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2954] = {
    [sym_analytics_clause] = STATE(3152),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2955] = {
    [sym_analytics_clause] = STATE(3276),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1485),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_when_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1485),
    [aux_sym_set_operation_token3] = ACTIONS(1485),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_limit_clause_token1] = ACTIONS(1485),
    [aux_sym__direction_keywords_token1] = ACTIONS(1485),
    [aux_sym__direction_keywords_token2] = ACTIONS(1485),
    [aux_sym__nulls_preference_token1] = ACTIONS(1485),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [2956] = {
    [sym_analytics_clause] = STATE(3265),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1367),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_when_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1367),
    [aux_sym_set_operation_token3] = ACTIONS(1367),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_limit_clause_token1] = ACTIONS(1367),
    [aux_sym__direction_keywords_token1] = ACTIONS(1367),
    [aux_sym__direction_keywords_token2] = ACTIONS(1367),
    [aux_sym__nulls_preference_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [2957] = {
    [sym_analytics_clause] = STATE(3284),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1449),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_when_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1449),
    [aux_sym_set_operation_token3] = ACTIONS(1449),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_limit_clause_token1] = ACTIONS(1449),
    [aux_sym__direction_keywords_token1] = ACTIONS(1449),
    [aux_sym__direction_keywords_token2] = ACTIONS(1449),
    [aux_sym__nulls_preference_token1] = ACTIONS(1449),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [2958] = {
    [sym_analytics_clause] = STATE(3327),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [2959] = {
    [sym_analytics_clause] = STATE(3085),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1367),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_when_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1367),
    [aux_sym_set_operation_token3] = ACTIONS(1367),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_limit_clause_token1] = ACTIONS(1367),
    [aux_sym__direction_keywords_token1] = ACTIONS(1367),
    [aux_sym__direction_keywords_token2] = ACTIONS(1367),
    [aux_sym__nulls_preference_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [2960] = {
    [sym_analytics_clause] = STATE(3369),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2961] = {
    [sym_analytics_clause] = STATE(3281),
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1457),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_when_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1457),
    [aux_sym_set_operation_token3] = ACTIONS(1457),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_limit_clause_token1] = ACTIONS(1457),
    [aux_sym__direction_keywords_token1] = ACTIONS(1457),
    [aux_sym__direction_keywords_token2] = ACTIONS(1457),
    [aux_sym__nulls_preference_token1] = ACTIONS(1457),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [2962] = {
    [sym_analytics_clause] = STATE(3283),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1453),
    [aux_sym_keyword_replace_token1] = ACTIONS(1453),
    [aux_sym__keyword_alter_token1] = ACTIONS(1453),
    [aux_sym__keyword_create_token1] = ACTIONS(1453),
    [aux_sym__keyword_drop_token1] = ACTIONS(1453),
    [aux_sym__keyword_delete_token1] = ACTIONS(1453),
    [aux_sym__keyword_begin_token1] = ACTIONS(1453),
    [aux_sym__keyword_end_token1] = ACTIONS(1453),
    [aux_sym__keyword_between_token1] = ACTIONS(1453),
    [aux_sym__keyword_when_token1] = ACTIONS(1453),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1453),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1453),
    [aux_sym__keyword_like_token1] = ACTIONS(1453),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1453),
    [aux_sym__keyword_for_token1] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1453),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1453),
    [aux_sym_return_statement_token1] = ACTIONS(1453),
    [aux_sym_call_statement_token1] = ACTIONS(1453),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1453),
    [aux_sym_if_statement_token1] = ACTIONS(1453),
    [aux_sym_loop_statement_token1] = ACTIONS(1453),
    [aux_sym_repeat_statement_token1] = ACTIONS(1453),
    [aux_sym_while_statement_token1] = ACTIONS(1453),
    [aux_sym_break_statement_token1] = ACTIONS(1453),
    [aux_sym_leave_statement_token1] = ACTIONS(1453),
    [aux_sym_continue_statement_token1] = ACTIONS(1453),
    [aux_sym_iterate_statement_token1] = ACTIONS(1453),
    [aux_sym_raise_statement_token1] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1453),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1453),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_set_operation_token1] = ACTIONS(1453),
    [aux_sym_set_operation_token3] = ACTIONS(1453),
    [aux_sym_set_operation_token4] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1453),
    [aux_sym_limit_clause_token1] = ACTIONS(1453),
    [aux_sym__direction_keywords_token1] = ACTIONS(1453),
    [aux_sym__direction_keywords_token2] = ACTIONS(1453),
    [aux_sym__nulls_preference_token1] = ACTIONS(1453),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1453),
    [aux_sym_truncate_statement_token1] = ACTIONS(1453),
    [aux_sym_update_statement_token1] = ACTIONS(1453),
    [aux_sym_merge_statement_token1] = ACTIONS(1453),
    [aux_sym_grant_statement_token1] = ACTIONS(1453),
    [aux_sym_revoke_statement_token1] = ACTIONS(1453),
    [aux_sym_export_data_statement_token1] = ACTIONS(1453),
    [aux_sym_load_data_statement_token1] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [2963] = {
    [sym_analytics_clause] = STATE(3367),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2964] = {
    [sym_analytics_clause] = STATE(3363),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [2965] = {
    [sym_unnest_withoffset] = STATE(2762),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_window_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3099),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1523),
    [aux_sym_set_operation_token3] = ACTIONS(1523),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_having_clause_token1] = ACTIONS(1523),
    [aux_sym_qualify_clause_token1] = ACTIONS(1523),
    [aux_sym_limit_clause_token1] = ACTIONS(1523),
    [aux_sym_group_by_clause_token1] = ACTIONS(1523),
    [aux_sym_order_by_clause_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [2966] = {
    [sym_analytics_clause] = STATE(3330),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2967] = {
    [sym_analytics_clause] = STATE(3329),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3087),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [2968] = {
    [sym__keyword_as] = STATE(11556),
    [sym__keyword_date] = STATE(593),
    [sym__keyword_datetime] = STATE(593),
    [sym__keyword_time] = STATE(593),
    [sym__keyword_timestamp] = STATE(593),
    [sym_as_alias] = STATE(5269),
    [sym__type_chrono] = STATE(549),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(555),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(2993),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2991),
    [aux_sym__keyword_alter_token1] = ACTIONS(2991),
    [aux_sym__keyword_create_token1] = ACTIONS(2991),
    [aux_sym__keyword_drop_token1] = ACTIONS(2991),
    [aux_sym__keyword_delete_token1] = ACTIONS(2991),
    [aux_sym__keyword_begin_token1] = ACTIONS(2991),
    [aux_sym__keyword_when_token1] = ACTIONS(2991),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2991),
    [aux_sym__keyword_as_token1] = ACTIONS(2941),
    [aux_sym__keyword_window_token1] = ACTIONS(2991),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [aux_sym_declare_statement_token1] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2993),
    [aux_sym_set_statement_token1] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(3101),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2991),
    [aux_sym_using_clause_token1] = ACTIONS(2991),
    [aux_sym_return_statement_token1] = ACTIONS(2991),
    [aux_sym_call_statement_token1] = ACTIONS(2991),
    [aux_sym_loop_statement_token1] = ACTIONS(2991),
    [aux_sym_while_statement_token1] = ACTIONS(2991),
    [aux_sym_break_statement_token1] = ACTIONS(2991),
    [aux_sym_leave_statement_token1] = ACTIONS(2991),
    [aux_sym_continue_statement_token1] = ACTIONS(2991),
    [aux_sym_iterate_statement_token1] = ACTIONS(2991),
    [aux_sym_raise_statement_token1] = ACTIONS(2991),
    [aux_sym_assert_statement_token1] = ACTIONS(2991),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2991),
    [aux_sym_set_operation_token1] = ACTIONS(2991),
    [aux_sym_set_operation_token3] = ACTIONS(2991),
    [aux_sym_set_operation_token4] = ACTIONS(2991),
    [aux_sym_select_token1] = ACTIONS(2991),
    [aux_sym_having_clause_token1] = ACTIONS(2991),
    [aux_sym_qualify_clause_token1] = ACTIONS(2991),
    [aux_sym_limit_clause_token1] = ACTIONS(2991),
    [aux_sym_group_by_clause_token1] = ACTIONS(2991),
    [aux_sym_order_by_clause_token1] = ACTIONS(2991),
    [aux_sym_where_clause_token1] = ACTIONS(2991),
    [aux_sym_pivot_operator_token1] = ACTIONS(2991),
    [aux_sym_unpivot_operator_token1] = ACTIONS(2991),
    [aux_sym_tablesample_operator_token1] = ACTIONS(2991),
    [aux_sym_join_type_token1] = ACTIONS(2991),
    [aux_sym_join_type_token2] = ACTIONS(2991),
    [aux_sym_join_type_token3] = ACTIONS(2991),
    [aux_sym_join_type_token4] = ACTIONS(2991),
    [aux_sym__cross_join_operation_token1] = ACTIONS(2991),
    [aux_sym__cross_join_operation_token2] = ACTIONS(2991),
    [aux_sym_join_condition_token1] = ACTIONS(2991),
    [aux_sym_insert_statement_token1] = ACTIONS(2991),
    [aux_sym_truncate_statement_token1] = ACTIONS(2991),
    [aux_sym_update_statement_token1] = ACTIONS(2991),
    [aux_sym_merge_statement_token1] = ACTIONS(2991),
    [aux_sym_grant_statement_token1] = ACTIONS(2991),
    [aux_sym_revoke_statement_token1] = ACTIONS(2991),
    [aux_sym_export_data_statement_token1] = ACTIONS(2991),
    [aux_sym_load_data_statement_token1] = ACTIONS(2991),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [2969] = {
    [sym__keyword_as] = STATE(11556),
    [sym__keyword_date] = STATE(593),
    [sym__keyword_datetime] = STATE(593),
    [sym__keyword_time] = STATE(593),
    [sym__keyword_timestamp] = STATE(593),
    [sym_as_alias] = STATE(5266),
    [sym__type_chrono] = STATE(549),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(555),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(2989),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2987),
    [aux_sym__keyword_alter_token1] = ACTIONS(2987),
    [aux_sym__keyword_create_token1] = ACTIONS(2987),
    [aux_sym__keyword_drop_token1] = ACTIONS(2987),
    [aux_sym__keyword_delete_token1] = ACTIONS(2987),
    [aux_sym__keyword_begin_token1] = ACTIONS(2987),
    [aux_sym__keyword_when_token1] = ACTIONS(2987),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2987),
    [aux_sym__keyword_as_token1] = ACTIONS(2941),
    [aux_sym__keyword_window_token1] = ACTIONS(2987),
    [aux_sym__keyword_date_token1] = ACTIONS(209),
    [aux_sym__keyword_datetime_token1] = ACTIONS(209),
    [aux_sym__keyword_time_token1] = ACTIONS(209),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(209),
    [aux_sym__keyword_for_token1] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [aux_sym_declare_statement_token1] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_set_statement_token1] = ACTIONS(2987),
    [anon_sym_LPAREN] = ACTIONS(2989),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2987),
    [aux_sym_using_clause_token1] = ACTIONS(2987),
    [aux_sym_return_statement_token1] = ACTIONS(2987),
    [aux_sym_call_statement_token1] = ACTIONS(2987),
    [aux_sym_loop_statement_token1] = ACTIONS(2987),
    [aux_sym_while_statement_token1] = ACTIONS(2987),
    [aux_sym_break_statement_token1] = ACTIONS(2987),
    [aux_sym_leave_statement_token1] = ACTIONS(2987),
    [aux_sym_continue_statement_token1] = ACTIONS(2987),
    [aux_sym_iterate_statement_token1] = ACTIONS(2987),
    [aux_sym_raise_statement_token1] = ACTIONS(2987),
    [aux_sym_assert_statement_token1] = ACTIONS(2987),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2987),
    [aux_sym_set_operation_token1] = ACTIONS(2987),
    [aux_sym_set_operation_token3] = ACTIONS(2987),
    [aux_sym_set_operation_token4] = ACTIONS(2987),
    [aux_sym_select_token1] = ACTIONS(2987),
    [aux_sym_having_clause_token1] = ACTIONS(2987),
    [aux_sym_qualify_clause_token1] = ACTIONS(2987),
    [aux_sym_limit_clause_token1] = ACTIONS(2987),
    [aux_sym_group_by_clause_token1] = ACTIONS(2987),
    [aux_sym_order_by_clause_token1] = ACTIONS(2987),
    [aux_sym_where_clause_token1] = ACTIONS(2987),
    [aux_sym_pivot_operator_token1] = ACTIONS(2987),
    [aux_sym_unpivot_operator_token1] = ACTIONS(2987),
    [aux_sym_tablesample_operator_token1] = ACTIONS(2987),
    [aux_sym_join_type_token1] = ACTIONS(2987),
    [aux_sym_join_type_token2] = ACTIONS(2987),
    [aux_sym_join_type_token3] = ACTIONS(2987),
    [aux_sym_join_type_token4] = ACTIONS(2987),
    [aux_sym__cross_join_operation_token1] = ACTIONS(2987),
    [aux_sym__cross_join_operation_token2] = ACTIONS(2987),
    [aux_sym_join_condition_token1] = ACTIONS(2987),
    [aux_sym_insert_statement_token1] = ACTIONS(2987),
    [aux_sym_truncate_statement_token1] = ACTIONS(2987),
    [aux_sym_update_statement_token1] = ACTIONS(2987),
    [aux_sym_merge_statement_token1] = ACTIONS(2987),
    [aux_sym_grant_statement_token1] = ACTIONS(2987),
    [aux_sym_revoke_statement_token1] = ACTIONS(2987),
    [aux_sym_export_data_statement_token1] = ACTIONS(2987),
    [aux_sym_load_data_statement_token1] = ACTIONS(2987),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [2970] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [aux_sym_option_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [2971] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3103),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(3105),
    [aux_sym__keyword_in_token1] = ACTIONS(3107),
    [aux_sym__keyword_and_token1] = ACTIONS(3109),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3111),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [aux_sym_option_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(3111),
    [anon_sym_LT_GT] = ACTIONS(3111),
    [anon_sym_GT_EQ] = ACTIONS(3111),
    [anon_sym_BANG_EQ] = ACTIONS(3111),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [2972] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3129),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3129),
    [aux_sym__keyword_create_token1] = ACTIONS(3129),
    [aux_sym__keyword_drop_token1] = ACTIONS(3129),
    [aux_sym__keyword_delete_token1] = ACTIONS(3129),
    [aux_sym__keyword_begin_token1] = ACTIONS(3129),
    [aux_sym__keyword_end_token1] = ACTIONS(3129),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_when_token1] = ACTIONS(3129),
    [aux_sym__keyword_else_token1] = ACTIONS(3133),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(3139),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3129),
    [aux_sym__keyword_for_token1] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3129),
    [aux_sym_declare_statement_token1] = ACTIONS(3129),
    [anon_sym_COMMA] = ACTIONS(3129),
    [aux_sym_set_statement_token1] = ACTIONS(3129),
    [anon_sym_LPAREN] = ACTIONS(3129),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3129),
    [aux_sym_return_statement_token1] = ACTIONS(3129),
    [aux_sym_call_statement_token1] = ACTIONS(3129),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3129),
    [aux_sym_if_statement_token1] = ACTIONS(3129),
    [aux_sym_loop_statement_token1] = ACTIONS(3129),
    [aux_sym_repeat_statement_token1] = ACTIONS(3129),
    [aux_sym_while_statement_token1] = ACTIONS(3129),
    [aux_sym_break_statement_token1] = ACTIONS(3129),
    [aux_sym_leave_statement_token1] = ACTIONS(3129),
    [aux_sym_continue_statement_token1] = ACTIONS(3129),
    [aux_sym_iterate_statement_token1] = ACTIONS(3129),
    [aux_sym_raise_statement_token1] = ACTIONS(3129),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(3129),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3129),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(3129),
    [aux_sym_insert_statement_token1] = ACTIONS(3129),
    [aux_sym_truncate_statement_token1] = ACTIONS(3129),
    [aux_sym_update_statement_token1] = ACTIONS(3129),
    [aux_sym_merge_statement_token1] = ACTIONS(3129),
    [aux_sym_grant_statement_token1] = ACTIONS(3129),
    [aux_sym_revoke_statement_token1] = ACTIONS(3129),
    [aux_sym_export_data_statement_token1] = ACTIONS(3129),
    [aux_sym_load_data_statement_token1] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [2973] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token2] = ACTIONS(1469),
    [aux_sym__nulls_preference_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [2974] = {
    [sym_unnest_withoffset] = STATE(3304),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1523),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3159),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1523),
    [aux_sym_set_operation_token3] = ACTIONS(1523),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_limit_clause_token1] = ACTIONS(1523),
    [aux_sym__direction_keywords_token1] = ACTIONS(1523),
    [aux_sym__direction_keywords_token2] = ACTIONS(1523),
    [aux_sym__nulls_preference_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [2975] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1539),
    [aux_sym_keyword_replace_token1] = ACTIONS(1539),
    [aux_sym__keyword_alter_token1] = ACTIONS(1539),
    [aux_sym__keyword_create_token1] = ACTIONS(1539),
    [aux_sym__keyword_drop_token1] = ACTIONS(1539),
    [aux_sym__keyword_delete_token1] = ACTIONS(1539),
    [aux_sym__keyword_begin_token1] = ACTIONS(1539),
    [aux_sym__keyword_end_token1] = ACTIONS(1539),
    [aux_sym__keyword_between_token1] = ACTIONS(1539),
    [aux_sym__keyword_when_token1] = ACTIONS(1539),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1539),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1539),
    [aux_sym__keyword_like_token1] = ACTIONS(1539),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1539),
    [aux_sym__keyword_for_token1] = ACTIONS(1539),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1539),
    [aux_sym_return_statement_token1] = ACTIONS(1539),
    [aux_sym_call_statement_token1] = ACTIONS(1539),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1539),
    [aux_sym_if_statement_token1] = ACTIONS(1539),
    [aux_sym_loop_statement_token1] = ACTIONS(1539),
    [aux_sym_repeat_statement_token1] = ACTIONS(1539),
    [aux_sym_while_statement_token1] = ACTIONS(1539),
    [aux_sym_break_statement_token1] = ACTIONS(1539),
    [aux_sym_leave_statement_token1] = ACTIONS(1539),
    [aux_sym_continue_statement_token1] = ACTIONS(1539),
    [aux_sym_iterate_statement_token1] = ACTIONS(1539),
    [aux_sym_raise_statement_token1] = ACTIONS(1539),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1539),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_set_operation_token1] = ACTIONS(1539),
    [aux_sym_set_operation_token3] = ACTIONS(1539),
    [aux_sym_set_operation_token4] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1539),
    [aux_sym_limit_clause_token1] = ACTIONS(1539),
    [aux_sym__direction_keywords_token1] = ACTIONS(1539),
    [aux_sym__direction_keywords_token2] = ACTIONS(1539),
    [aux_sym__nulls_preference_token1] = ACTIONS(1539),
    [aux_sym_insert_statement_token1] = ACTIONS(1539),
    [aux_sym_truncate_statement_token1] = ACTIONS(1539),
    [aux_sym_update_statement_token1] = ACTIONS(1539),
    [aux_sym_merge_statement_token1] = ACTIONS(1539),
    [aux_sym_grant_statement_token1] = ACTIONS(1539),
    [aux_sym_revoke_statement_token1] = ACTIONS(1539),
    [aux_sym_export_data_statement_token1] = ACTIONS(1539),
    [aux_sym_load_data_statement_token1] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [2976] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1617),
    [aux_sym_keyword_replace_token1] = ACTIONS(1617),
    [aux_sym__keyword_alter_token1] = ACTIONS(1617),
    [aux_sym__keyword_create_token1] = ACTIONS(1617),
    [aux_sym__keyword_drop_token1] = ACTIONS(1617),
    [aux_sym__keyword_delete_token1] = ACTIONS(1617),
    [aux_sym__keyword_begin_token1] = ACTIONS(1617),
    [aux_sym__keyword_end_token1] = ACTIONS(1617),
    [aux_sym__keyword_between_token1] = ACTIONS(1617),
    [aux_sym__keyword_when_token1] = ACTIONS(1617),
    [aux_sym__keyword_else_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1617),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1617),
    [aux_sym__keyword_like_token1] = ACTIONS(1617),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1617),
    [aux_sym__keyword_as_token1] = ACTIONS(1619),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1617),
    [aux_sym__keyword_for_token1] = ACTIONS(1617),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [aux_sym_default_clause_token1] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1617),
    [aux_sym_return_statement_token1] = ACTIONS(1617),
    [aux_sym_call_statement_token1] = ACTIONS(1617),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1617),
    [aux_sym_if_statement_token1] = ACTIONS(1617),
    [aux_sym_loop_statement_token1] = ACTIONS(1617),
    [aux_sym_repeat_statement_token1] = ACTIONS(1617),
    [aux_sym_while_statement_token1] = ACTIONS(1617),
    [aux_sym_break_statement_token1] = ACTIONS(1617),
    [aux_sym_leave_statement_token1] = ACTIONS(1617),
    [aux_sym_continue_statement_token1] = ACTIONS(1617),
    [aux_sym_iterate_statement_token1] = ACTIONS(1617),
    [aux_sym_raise_statement_token1] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1617),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1617),
    [aux_sym_primary_key_token1] = ACTIONS(1617),
    [aux_sym_foreign_key_references_token1] = ACTIONS(1617),
    [aux_sym_option_clause_token1] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1617),
    [aux_sym_select_token1] = ACTIONS(1617),
    [aux_sym_insert_statement_token1] = ACTIONS(1617),
    [aux_sym_truncate_statement_token1] = ACTIONS(1617),
    [aux_sym_update_statement_token1] = ACTIONS(1617),
    [aux_sym_merge_statement_token1] = ACTIONS(1617),
    [aux_sym_grant_statement_token1] = ACTIONS(1617),
    [aux_sym_revoke_statement_token1] = ACTIONS(1617),
    [aux_sym_export_data_statement_token1] = ACTIONS(1617),
    [aux_sym_load_data_statement_token1] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [2977] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym__keyword_as] = STATE(16238),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3161),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3161),
    [aux_sym__keyword_create_token1] = ACTIONS(3161),
    [aux_sym__keyword_drop_token1] = ACTIONS(3161),
    [aux_sym__keyword_delete_token1] = ACTIONS(3161),
    [aux_sym__keyword_begin_token1] = ACTIONS(3161),
    [aux_sym__keyword_end_token1] = ACTIONS(3161),
    [aux_sym__keyword_between_token1] = ACTIONS(3163),
    [aux_sym__keyword_else_token1] = ACTIONS(3165),
    [aux_sym__keyword_is_token1] = ACTIONS(3167),
    [aux_sym__keyword_in_token1] = ACTIONS(3169),
    [aux_sym__keyword_and_token1] = ACTIONS(3171),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3161),
    [aux_sym__keyword_as_token1] = ACTIONS(3173),
    [aux_sym__keyword_for_token1] = ACTIONS(3161),
    [anon_sym_SEMI] = ACTIONS(3161),
    [aux_sym_declare_statement_token1] = ACTIONS(3161),
    [aux_sym_set_statement_token1] = ACTIONS(3161),
    [anon_sym_LPAREN] = ACTIONS(3161),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3161),
    [aux_sym_return_statement_token1] = ACTIONS(3161),
    [aux_sym_call_statement_token1] = ACTIONS(3161),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3161),
    [aux_sym_if_statement_token1] = ACTIONS(3161),
    [aux_sym_loop_statement_token1] = ACTIONS(3161),
    [aux_sym_repeat_statement_token1] = ACTIONS(3161),
    [aux_sym_while_statement_token1] = ACTIONS(3161),
    [aux_sym_break_statement_token1] = ACTIONS(3161),
    [aux_sym_leave_statement_token1] = ACTIONS(3161),
    [aux_sym_continue_statement_token1] = ACTIONS(3161),
    [aux_sym_iterate_statement_token1] = ACTIONS(3161),
    [aux_sym_raise_statement_token1] = ACTIONS(3161),
    [anon_sym_EQ] = ACTIONS(3175),
    [aux_sym_assert_statement_token1] = ACTIONS(3161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3161),
    [anon_sym_LT] = ACTIONS(3169),
    [anon_sym_GT] = ACTIONS(3169),
    [aux_sym_select_token1] = ACTIONS(3161),
    [aux_sym_insert_statement_token1] = ACTIONS(3161),
    [aux_sym_truncate_statement_token1] = ACTIONS(3161),
    [aux_sym_update_statement_token1] = ACTIONS(3161),
    [aux_sym_merge_statement_token1] = ACTIONS(3161),
    [aux_sym_grant_statement_token1] = ACTIONS(3161),
    [aux_sym_revoke_statement_token1] = ACTIONS(3161),
    [aux_sym_export_data_statement_token1] = ACTIONS(3161),
    [aux_sym_load_data_statement_token1] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(3175),
    [anon_sym_LT_GT] = ACTIONS(3175),
    [anon_sym_GT_EQ] = ACTIONS(3175),
    [anon_sym_BANG_EQ] = ACTIONS(3175),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [2978] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1549),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_when_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1549),
    [aux_sym_set_operation_token3] = ACTIONS(1549),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_limit_clause_token1] = ACTIONS(1549),
    [aux_sym__direction_keywords_token1] = ACTIONS(1549),
    [aux_sym__direction_keywords_token2] = ACTIONS(1549),
    [aux_sym__nulls_preference_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [2979] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_into_clause_token1] = ACTIONS(1225),
    [aux_sym_using_clause_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2980] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_into_clause_token1] = ACTIONS(1239),
    [aux_sym_using_clause_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2981] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_into_clause_token1] = ACTIONS(1207),
    [aux_sym_using_clause_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2982] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_into_clause_token1] = ACTIONS(1165),
    [aux_sym_using_clause_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2983] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_into_clause_token1] = ACTIONS(1221),
    [aux_sym_using_clause_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2984] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1697),
    [aux_sym_keyword_replace_token1] = ACTIONS(1697),
    [aux_sym__keyword_alter_token1] = ACTIONS(1697),
    [aux_sym__keyword_create_token1] = ACTIONS(1697),
    [aux_sym__keyword_drop_token1] = ACTIONS(1697),
    [aux_sym__keyword_delete_token1] = ACTIONS(1697),
    [aux_sym__keyword_begin_token1] = ACTIONS(1697),
    [aux_sym__keyword_end_token1] = ACTIONS(1697),
    [aux_sym__keyword_between_token1] = ACTIONS(1697),
    [aux_sym__keyword_when_token1] = ACTIONS(1697),
    [aux_sym__keyword_else_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1697),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1697),
    [aux_sym__keyword_like_token1] = ACTIONS(1697),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1697),
    [aux_sym__keyword_as_token1] = ACTIONS(1699),
    [aux_sym__keyword_partition_by_token1] = ACTIONS(1697),
    [aux_sym__keyword_for_token1] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1697),
    [aux_sym_default_clause_token1] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_RPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1697),
    [aux_sym_return_statement_token1] = ACTIONS(1697),
    [aux_sym_call_statement_token1] = ACTIONS(1697),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1697),
    [aux_sym_if_statement_token1] = ACTIONS(1697),
    [aux_sym_loop_statement_token1] = ACTIONS(1697),
    [aux_sym_repeat_statement_token1] = ACTIONS(1697),
    [aux_sym_while_statement_token1] = ACTIONS(1697),
    [aux_sym_break_statement_token1] = ACTIONS(1697),
    [aux_sym_leave_statement_token1] = ACTIONS(1697),
    [aux_sym_continue_statement_token1] = ACTIONS(1697),
    [aux_sym_iterate_statement_token1] = ACTIONS(1697),
    [aux_sym_raise_statement_token1] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1697),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1697),
    [aux_sym_primary_key_token1] = ACTIONS(1697),
    [aux_sym_foreign_key_references_token1] = ACTIONS(1697),
    [aux_sym_option_clause_token1] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1697),
    [aux_sym_select_token1] = ACTIONS(1697),
    [aux_sym_insert_statement_token1] = ACTIONS(1697),
    [aux_sym_truncate_statement_token1] = ACTIONS(1697),
    [aux_sym_update_statement_token1] = ACTIONS(1697),
    [aux_sym_merge_statement_token1] = ACTIONS(1697),
    [aux_sym_grant_statement_token1] = ACTIONS(1697),
    [aux_sym_revoke_statement_token1] = ACTIONS(1697),
    [aux_sym_export_data_statement_token1] = ACTIONS(1697),
    [aux_sym_load_data_statement_token1] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [2985] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1587),
    [aux_sym_keyword_replace_token1] = ACTIONS(1587),
    [aux_sym__keyword_alter_token1] = ACTIONS(1587),
    [aux_sym__keyword_create_token1] = ACTIONS(1587),
    [aux_sym__keyword_drop_token1] = ACTIONS(1587),
    [aux_sym__keyword_delete_token1] = ACTIONS(1587),
    [aux_sym__keyword_begin_token1] = ACTIONS(1587),
    [aux_sym__keyword_end_token1] = ACTIONS(1587),
    [aux_sym__keyword_between_token1] = ACTIONS(1587),
    [aux_sym__keyword_when_token1] = ACTIONS(1587),
    [aux_sym__keyword_else_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1587),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1587),
    [aux_sym__keyword_like_token1] = ACTIONS(1587),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1587),
    [aux_sym__keyword_for_token1] = ACTIONS(1587),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1587),
    [aux_sym_return_statement_token1] = ACTIONS(1587),
    [aux_sym_call_statement_token1] = ACTIONS(1587),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1587),
    [aux_sym_if_statement_token1] = ACTIONS(1587),
    [aux_sym_loop_statement_token1] = ACTIONS(1587),
    [aux_sym_repeat_statement_token1] = ACTIONS(1587),
    [aux_sym_while_statement_token1] = ACTIONS(1587),
    [aux_sym_break_statement_token1] = ACTIONS(1587),
    [aux_sym_leave_statement_token1] = ACTIONS(1587),
    [aux_sym_continue_statement_token1] = ACTIONS(1587),
    [aux_sym_iterate_statement_token1] = ACTIONS(1587),
    [aux_sym_raise_statement_token1] = ACTIONS(1587),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1587),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1587),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(3193),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_set_operation_token1] = ACTIONS(1587),
    [aux_sym_set_operation_token3] = ACTIONS(1587),
    [aux_sym_set_operation_token4] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1587),
    [aux_sym_limit_clause_token1] = ACTIONS(1587),
    [aux_sym__direction_keywords_token1] = ACTIONS(1587),
    [aux_sym__direction_keywords_token2] = ACTIONS(1587),
    [aux_sym__nulls_preference_token1] = ACTIONS(1587),
    [aux_sym_insert_statement_token1] = ACTIONS(1587),
    [aux_sym_truncate_statement_token1] = ACTIONS(1587),
    [aux_sym_update_statement_token1] = ACTIONS(1587),
    [aux_sym_merge_statement_token1] = ACTIONS(1587),
    [aux_sym_grant_statement_token1] = ACTIONS(1587),
    [aux_sym_revoke_statement_token1] = ACTIONS(1587),
    [aux_sym_export_data_statement_token1] = ACTIONS(1587),
    [aux_sym_load_data_statement_token1] = ACTIONS(1587),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [2986] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3051),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3055),
    [aux_sym__keyword_in_token1] = ACTIONS(3057),
    [aux_sym__keyword_and_token1] = ACTIONS(3059),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3065),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_LT_GT] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2987] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3051),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3055),
    [aux_sym__keyword_in_token1] = ACTIONS(3057),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3065),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_LT_GT] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2988] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2989] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2990] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [2991] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2992] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2993] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2994] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2995] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2996] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [2997] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3051),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(3055),
    [aux_sym__keyword_in_token1] = ACTIONS(3057),
    [aux_sym__keyword_and_token1] = ACTIONS(3059),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_into_clause_token1] = ACTIONS(1191),
    [aux_sym_using_clause_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3065),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3057),
    [anon_sym_GT] = ACTIONS(3057),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(3065),
    [anon_sym_LT_GT] = ACTIONS(3065),
    [anon_sym_GT_EQ] = ACTIONS(3065),
    [anon_sym_BANG_EQ] = ACTIONS(3065),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [2998] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [2999] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(3139),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3000] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3001] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(3139),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3002] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [3003] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3004] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3005] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_into_clause_token1] = ACTIONS(1187),
    [aux_sym_using_clause_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [3006] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3007] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3008] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [aux_sym_option_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3009] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [aux_sym_option_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3010] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3011] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3195),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(3195),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3195),
    [aux_sym__keyword_create_token1] = ACTIONS(3195),
    [aux_sym__keyword_drop_token1] = ACTIONS(3195),
    [aux_sym__keyword_delete_token1] = ACTIONS(3195),
    [aux_sym__keyword_begin_token1] = ACTIONS(3195),
    [aux_sym__keyword_end_token1] = ACTIONS(3195),
    [aux_sym__keyword_between_token1] = ACTIONS(3103),
    [aux_sym__keyword_else_token1] = ACTIONS(3197),
    [aux_sym__keyword_is_token1] = ACTIONS(3105),
    [aux_sym__keyword_in_token1] = ACTIONS(3107),
    [aux_sym__keyword_and_token1] = ACTIONS(3109),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3195),
    [aux_sym__keyword_for_token1] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3195),
    [aux_sym_declare_statement_token1] = ACTIONS(3195),
    [anon_sym_COMMA] = ACTIONS(3195),
    [aux_sym_set_statement_token1] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(3195),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3195),
    [aux_sym_return_statement_token1] = ACTIONS(3195),
    [aux_sym_call_statement_token1] = ACTIONS(3195),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3195),
    [aux_sym_if_statement_token1] = ACTIONS(3195),
    [aux_sym_loop_statement_token1] = ACTIONS(3195),
    [aux_sym_repeat_statement_token1] = ACTIONS(3195),
    [aux_sym_while_statement_token1] = ACTIONS(3195),
    [aux_sym_break_statement_token1] = ACTIONS(3195),
    [aux_sym_leave_statement_token1] = ACTIONS(3195),
    [aux_sym_continue_statement_token1] = ACTIONS(3195),
    [aux_sym_iterate_statement_token1] = ACTIONS(3195),
    [aux_sym_raise_statement_token1] = ACTIONS(3195),
    [anon_sym_EQ] = ACTIONS(3111),
    [aux_sym_assert_statement_token1] = ACTIONS(3195),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3195),
    [aux_sym_option_clause_token1] = ACTIONS(3195),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [aux_sym_select_token1] = ACTIONS(3195),
    [aux_sym_insert_statement_token1] = ACTIONS(3195),
    [aux_sym_truncate_statement_token1] = ACTIONS(3195),
    [aux_sym_update_statement_token1] = ACTIONS(3195),
    [aux_sym_merge_statement_token1] = ACTIONS(3195),
    [aux_sym_grant_statement_token1] = ACTIONS(3195),
    [aux_sym_revoke_statement_token1] = ACTIONS(3195),
    [aux_sym_export_data_statement_token1] = ACTIONS(3195),
    [aux_sym_load_data_statement_token1] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(3111),
    [anon_sym_LT_GT] = ACTIONS(3111),
    [anon_sym_GT_EQ] = ACTIONS(3111),
    [anon_sym_BANG_EQ] = ACTIONS(3111),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3012] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [aux_sym_option_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3013] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3014] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3103),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3105),
    [aux_sym__keyword_in_token1] = ACTIONS(3107),
    [aux_sym__keyword_and_token1] = ACTIONS(3109),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3111),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(3111),
    [anon_sym_LT_GT] = ACTIONS(3111),
    [anon_sym_GT_EQ] = ACTIONS(3111),
    [anon_sym_BANG_EQ] = ACTIONS(3111),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3015] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3016] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3017] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3018] = {
    [sym__keyword_between] = STATE(1867),
    [sym__keyword_is] = STATE(12124),
    [sym__keyword_in] = STATE(1160),
    [sym__keyword_not] = STATE(13173),
    [sym__keyword_and] = STATE(1151),
    [sym__keyword_or] = STATE(1148),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3071),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_SLASH] = ACTIONS(3077),
    [anon_sym_PIPE_PIPE] = ACTIONS(3075),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3079),
    [anon_sym_GT_GT] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_CARET] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3085),
  },
  [3019] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3020] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3103),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3105),
    [aux_sym__keyword_in_token1] = ACTIONS(3107),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3111),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(3111),
    [anon_sym_LT_GT] = ACTIONS(3111),
    [anon_sym_GT_EQ] = ACTIONS(3111),
    [anon_sym_BANG_EQ] = ACTIONS(3111),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3021] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3022] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3023] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3024] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [aux_sym_option_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3025] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3026] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [aux_sym_option_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3027] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3028] = {
    [sym_analytics_clause] = STATE(3534),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3029] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1409),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_when_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1409),
    [aux_sym_set_operation_token3] = ACTIONS(1409),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_limit_clause_token1] = ACTIONS(1409),
    [aux_sym__direction_keywords_token1] = ACTIONS(1409),
    [aux_sym__direction_keywords_token2] = ACTIONS(1409),
    [aux_sym__nulls_preference_token1] = ACTIONS(1409),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [3030] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3031] = {
    [sym_analytics_clause] = STATE(3574),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3032] = {
    [sym_analytics_clause] = STATE(3573),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3033] = {
    [sym_analytics_clause] = STATE(3572),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3034] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3035] = {
    [sym_analytics_clause] = STATE(3571),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3036] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1381),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_when_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1381),
    [aux_sym_set_operation_token3] = ACTIONS(1381),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_limit_clause_token1] = ACTIONS(1381),
    [aux_sym__direction_keywords_token1] = ACTIONS(1381),
    [aux_sym__direction_keywords_token2] = ACTIONS(1381),
    [aux_sym__nulls_preference_token1] = ACTIONS(1381),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [3037] = {
    [sym_analytics_clause] = STATE(3570),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3038] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1385),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_when_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1385),
    [aux_sym_set_operation_token3] = ACTIONS(1385),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_limit_clause_token1] = ACTIONS(1385),
    [aux_sym__direction_keywords_token1] = ACTIONS(1385),
    [aux_sym__direction_keywords_token2] = ACTIONS(1385),
    [aux_sym__nulls_preference_token1] = ACTIONS(1385),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [3039] = {
    [sym_analytics_clause] = STATE(3569),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1467),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_end_token1] = ACTIONS(1467),
    [aux_sym__keyword_between_token1] = ACTIONS(1467),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1467),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1467),
    [aux_sym__keyword_like_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1467),
    [aux_sym_if_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_repeat_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [3040] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1401),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_when_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1401),
    [aux_sym_set_operation_token3] = ACTIONS(1401),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_limit_clause_token1] = ACTIONS(1401),
    [aux_sym__direction_keywords_token1] = ACTIONS(1401),
    [aux_sym__direction_keywords_token2] = ACTIONS(1401),
    [aux_sym__nulls_preference_token1] = ACTIONS(1401),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [3041] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3042] = {
    [sym_analytics_clause] = STATE(3567),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3043] = {
    [sym_analytics_clause] = STATE(3566),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3044] = {
    [sym_analytics_clause] = STATE(3564),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3045] = {
    [sym_analytics_clause] = STATE(3563),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3046] = {
    [sym_analytics_clause] = STATE(3562),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3047] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3048] = {
    [sym_analytics_clause] = STATE(3561),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3049] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3050] = {
    [sym_analytics_clause] = STATE(3560),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3051] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3052] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1361),
    [aux_sym_set_operation_token3] = ACTIONS(1361),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_limit_clause_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token1] = ACTIONS(1361),
    [aux_sym__direction_keywords_token2] = ACTIONS(1361),
    [aux_sym__nulls_preference_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3053] = {
    [sym_analytics_clause] = STATE(3558),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3054] = {
    [sym_analytics_clause] = STATE(3557),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3055] = {
    [sym_analytics_clause] = STATE(3555),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3056] = {
    [sym_analytics_clause] = STATE(3554),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3057] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1425),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_when_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1425),
    [aux_sym_set_operation_token3] = ACTIONS(1425),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_limit_clause_token1] = ACTIONS(1425),
    [aux_sym__direction_keywords_token1] = ACTIONS(1425),
    [aux_sym__direction_keywords_token2] = ACTIONS(1425),
    [aux_sym__nulls_preference_token1] = ACTIONS(1425),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [3058] = {
    [sym_analytics_clause] = STATE(3553),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3059] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3060] = {
    [sym_analytics_clause] = STATE(3552),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3061] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3062] = {
    [sym_analytics_clause] = STATE(3551),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3063] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3064] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3065] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3066] = {
    [sym_analytics_clause] = STATE(3550),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1395),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_end_token1] = ACTIONS(1395),
    [aux_sym__keyword_between_token1] = ACTIONS(1395),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1395),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1395),
    [aux_sym__keyword_like_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1395),
    [aux_sym_if_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_repeat_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [3067] = {
    [sym_analytics_clause] = STATE(3549),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3068] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3069] = {
    [sym_analytics_clause] = STATE(3548),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3070] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3071] = {
    [sym_analytics_clause] = STATE(3545),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3072] = {
    [sym_analytics_clause] = STATE(3542),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3073] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3074] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3075] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1779),
    [aux_sym_keyword_replace_token1] = ACTIONS(1779),
    [aux_sym__keyword_alter_token1] = ACTIONS(1779),
    [aux_sym__keyword_create_token1] = ACTIONS(1779),
    [aux_sym__keyword_drop_token1] = ACTIONS(1779),
    [aux_sym__keyword_delete_token1] = ACTIONS(1779),
    [aux_sym__keyword_begin_token1] = ACTIONS(1779),
    [aux_sym__keyword_end_token1] = ACTIONS(1779),
    [aux_sym__keyword_between_token1] = ACTIONS(1779),
    [aux_sym__keyword_when_token1] = ACTIONS(1779),
    [aux_sym__keyword_else_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1779),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1779),
    [aux_sym__keyword_like_token1] = ACTIONS(1779),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1779),
    [aux_sym__keyword_for_token1] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1779),
    [aux_sym_return_statement_token1] = ACTIONS(1779),
    [aux_sym_call_statement_token1] = ACTIONS(1779),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1779),
    [aux_sym_if_statement_token1] = ACTIONS(1779),
    [aux_sym_loop_statement_token1] = ACTIONS(1779),
    [aux_sym_repeat_statement_token1] = ACTIONS(1779),
    [aux_sym_while_statement_token1] = ACTIONS(1779),
    [aux_sym_break_statement_token1] = ACTIONS(1779),
    [aux_sym_leave_statement_token1] = ACTIONS(1779),
    [aux_sym_continue_statement_token1] = ACTIONS(1779),
    [aux_sym_iterate_statement_token1] = ACTIONS(1779),
    [aux_sym_raise_statement_token1] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1779),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_set_operation_token1] = ACTIONS(1779),
    [aux_sym_set_operation_token3] = ACTIONS(1779),
    [aux_sym_set_operation_token4] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1779),
    [aux_sym_limit_clause_token1] = ACTIONS(1779),
    [aux_sym__direction_keywords_token1] = ACTIONS(1779),
    [aux_sym__direction_keywords_token2] = ACTIONS(1779),
    [aux_sym__nulls_preference_token1] = ACTIONS(1779),
    [aux_sym_insert_statement_token1] = ACTIONS(1779),
    [aux_sym_truncate_statement_token1] = ACTIONS(1779),
    [aux_sym_update_statement_token1] = ACTIONS(1779),
    [aux_sym_merge_statement_token1] = ACTIONS(1779),
    [aux_sym_grant_statement_token1] = ACTIONS(1779),
    [aux_sym_revoke_statement_token1] = ACTIONS(1779),
    [aux_sym_export_data_statement_token1] = ACTIONS(1779),
    [aux_sym_load_data_statement_token1] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [3076] = {
    [sym_analytics_clause] = STATE(3540),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3077] = {
    [sym_analytics_clause] = STATE(3580),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3078] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3079] = {
    [sym_analytics_clause] = STATE(3568),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3080] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3081] = {
    [ts_builtin_sym_end] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1771),
    [aux_sym_keyword_replace_token1] = ACTIONS(1771),
    [aux_sym__keyword_alter_token1] = ACTIONS(1771),
    [aux_sym__keyword_create_token1] = ACTIONS(1771),
    [aux_sym__keyword_drop_token1] = ACTIONS(1771),
    [aux_sym__keyword_delete_token1] = ACTIONS(1771),
    [aux_sym__keyword_begin_token1] = ACTIONS(1771),
    [aux_sym__keyword_end_token1] = ACTIONS(1771),
    [aux_sym__keyword_between_token1] = ACTIONS(1771),
    [aux_sym__keyword_when_token1] = ACTIONS(1771),
    [aux_sym__keyword_else_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1771),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1771),
    [aux_sym__keyword_like_token1] = ACTIONS(1771),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1771),
    [aux_sym__keyword_for_token1] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1771),
    [aux_sym_return_statement_token1] = ACTIONS(1771),
    [aux_sym_call_statement_token1] = ACTIONS(1771),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1771),
    [aux_sym_if_statement_token1] = ACTIONS(1771),
    [aux_sym_loop_statement_token1] = ACTIONS(1771),
    [aux_sym_repeat_statement_token1] = ACTIONS(1771),
    [aux_sym_while_statement_token1] = ACTIONS(1771),
    [aux_sym_break_statement_token1] = ACTIONS(1771),
    [aux_sym_leave_statement_token1] = ACTIONS(1771),
    [aux_sym_continue_statement_token1] = ACTIONS(1771),
    [aux_sym_iterate_statement_token1] = ACTIONS(1771),
    [aux_sym_raise_statement_token1] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1771),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1771),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_set_operation_token1] = ACTIONS(1771),
    [aux_sym_set_operation_token3] = ACTIONS(1771),
    [aux_sym_set_operation_token4] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1771),
    [aux_sym_limit_clause_token1] = ACTIONS(1771),
    [aux_sym__direction_keywords_token1] = ACTIONS(1771),
    [aux_sym__direction_keywords_token2] = ACTIONS(1771),
    [aux_sym__nulls_preference_token1] = ACTIONS(1771),
    [aux_sym_insert_statement_token1] = ACTIONS(1771),
    [aux_sym_truncate_statement_token1] = ACTIONS(1771),
    [aux_sym_update_statement_token1] = ACTIONS(1771),
    [aux_sym_merge_statement_token1] = ACTIONS(1771),
    [aux_sym_grant_statement_token1] = ACTIONS(1771),
    [aux_sym_revoke_statement_token1] = ACTIONS(1771),
    [aux_sym_export_data_statement_token1] = ACTIONS(1771),
    [aux_sym_load_data_statement_token1] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [3082] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3083] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3084] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3085] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3086] = {
    [sym_analytics_clause] = STATE(3539),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3087] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3088] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3089] = {
    [sym_analytics_clause] = STATE(3577),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3090] = {
    [sym_analytics_clause] = STATE(3537),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3091] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3092] = {
    [sym_analytics_clause] = STATE(3578),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3093] = {
    [sym_analytics_clause] = STATE(3536),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3094] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3095] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3096] = {
    [sym_analytics_clause] = STATE(3445),
    [sym__unquoted_identifier] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1391),
    [aux_sym_keyword_replace_token1] = ACTIONS(1391),
    [aux_sym__keyword_alter_token1] = ACTIONS(1391),
    [aux_sym__keyword_create_token1] = ACTIONS(1391),
    [aux_sym__keyword_drop_token1] = ACTIONS(1391),
    [aux_sym__keyword_delete_token1] = ACTIONS(1391),
    [aux_sym__keyword_begin_token1] = ACTIONS(1391),
    [aux_sym__keyword_end_token1] = ACTIONS(1391),
    [aux_sym__keyword_between_token1] = ACTIONS(1391),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1391),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1391),
    [aux_sym__keyword_like_token1] = ACTIONS(1391),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1391),
    [aux_sym__keyword_as_token1] = ACTIONS(1391),
    [aux_sym__keyword_date_token1] = ACTIONS(1391),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1391),
    [aux_sym__keyword_time_token1] = ACTIONS(1391),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1391),
    [aux_sym__keyword_for_token1] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1391),
    [aux_sym_return_statement_token1] = ACTIONS(1391),
    [aux_sym_call_statement_token1] = ACTIONS(1391),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1391),
    [aux_sym_if_statement_token1] = ACTIONS(1391),
    [aux_sym_loop_statement_token1] = ACTIONS(1391),
    [aux_sym_repeat_statement_token1] = ACTIONS(1391),
    [aux_sym_while_statement_token1] = ACTIONS(1391),
    [aux_sym_break_statement_token1] = ACTIONS(1391),
    [aux_sym_leave_statement_token1] = ACTIONS(1391),
    [aux_sym_continue_statement_token1] = ACTIONS(1391),
    [aux_sym_iterate_statement_token1] = ACTIONS(1391),
    [aux_sym_raise_statement_token1] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1391),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1391),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1391),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1391),
    [aux_sym_truncate_statement_token1] = ACTIONS(1391),
    [aux_sym_update_statement_token1] = ACTIONS(1391),
    [aux_sym_merge_statement_token1] = ACTIONS(1391),
    [aux_sym_grant_statement_token1] = ACTIONS(1391),
    [aux_sym_revoke_statement_token1] = ACTIONS(1391),
    [aux_sym_export_data_statement_token1] = ACTIONS(1391),
    [aux_sym_load_data_statement_token1] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym__quoted_identifier] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [3097] = {
    [sym_analytics_clause] = STATE(3579),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3098] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3099] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3100] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3201),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3201),
    [aux_sym__keyword_create_token1] = ACTIONS(3201),
    [aux_sym__keyword_drop_token1] = ACTIONS(3201),
    [aux_sym__keyword_delete_token1] = ACTIONS(3201),
    [aux_sym__keyword_begin_token1] = ACTIONS(3201),
    [aux_sym__keyword_end_token1] = ACTIONS(3201),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_else_token1] = ACTIONS(3203),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(3139),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3201),
    [aux_sym__keyword_for_token1] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3201),
    [aux_sym_declare_statement_token1] = ACTIONS(3201),
    [anon_sym_COMMA] = ACTIONS(3201),
    [aux_sym_set_statement_token1] = ACTIONS(3201),
    [anon_sym_LPAREN] = ACTIONS(3201),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3201),
    [aux_sym_return_statement_token1] = ACTIONS(3201),
    [aux_sym_call_statement_token1] = ACTIONS(3201),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3201),
    [aux_sym_if_statement_token1] = ACTIONS(3201),
    [aux_sym_loop_statement_token1] = ACTIONS(3201),
    [aux_sym_repeat_statement_token1] = ACTIONS(3201),
    [aux_sym_while_statement_token1] = ACTIONS(3201),
    [aux_sym_break_statement_token1] = ACTIONS(3201),
    [aux_sym_leave_statement_token1] = ACTIONS(3201),
    [aux_sym_continue_statement_token1] = ACTIONS(3201),
    [aux_sym_iterate_statement_token1] = ACTIONS(3201),
    [aux_sym_raise_statement_token1] = ACTIONS(3201),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(3201),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3201),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(3201),
    [aux_sym_insert_statement_token1] = ACTIONS(3201),
    [aux_sym_truncate_statement_token1] = ACTIONS(3201),
    [aux_sym_update_statement_token1] = ACTIONS(3201),
    [aux_sym_merge_statement_token1] = ACTIONS(3201),
    [aux_sym_grant_statement_token1] = ACTIONS(3201),
    [aux_sym_revoke_statement_token1] = ACTIONS(3201),
    [aux_sym_export_data_statement_token1] = ACTIONS(3201),
    [aux_sym_load_data_statement_token1] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3101] = {
    [sym_analytics_clause] = STATE(3533),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3102] = {
    [sym_analytics_clause] = STATE(3532),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3103] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3104] = {
    [sym_analytics_clause] = STATE(3530),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1411),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_end_token1] = ACTIONS(1411),
    [aux_sym__keyword_between_token1] = ACTIONS(1411),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1411),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1411),
    [aux_sym__keyword_like_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1411),
    [aux_sym_if_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_repeat_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [3105] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3106] = {
    [sym_analytics_clause] = STATE(3529),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1415),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_end_token1] = ACTIONS(1415),
    [aux_sym__keyword_between_token1] = ACTIONS(1415),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1415),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1415),
    [aux_sym__keyword_like_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1415),
    [aux_sym_if_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_repeat_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [3107] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3108] = {
    [sym_analytics_clause] = STATE(3528),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3109] = {
    [sym_analytics_clause] = STATE(3527),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3110] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1763),
    [aux_sym_keyword_replace_token1] = ACTIONS(1763),
    [aux_sym__keyword_alter_token1] = ACTIONS(1763),
    [aux_sym__keyword_create_token1] = ACTIONS(1763),
    [aux_sym__keyword_drop_token1] = ACTIONS(1763),
    [aux_sym__keyword_delete_token1] = ACTIONS(1763),
    [aux_sym__keyword_begin_token1] = ACTIONS(1763),
    [aux_sym__keyword_end_token1] = ACTIONS(1763),
    [aux_sym__keyword_between_token1] = ACTIONS(1763),
    [aux_sym__keyword_when_token1] = ACTIONS(1763),
    [aux_sym__keyword_else_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1763),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1763),
    [aux_sym__keyword_like_token1] = ACTIONS(1763),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1763),
    [aux_sym__keyword_for_token1] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1763),
    [aux_sym_return_statement_token1] = ACTIONS(1763),
    [aux_sym_call_statement_token1] = ACTIONS(1763),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1763),
    [aux_sym_if_statement_token1] = ACTIONS(1763),
    [aux_sym_loop_statement_token1] = ACTIONS(1763),
    [aux_sym_repeat_statement_token1] = ACTIONS(1763),
    [aux_sym_while_statement_token1] = ACTIONS(1763),
    [aux_sym_break_statement_token1] = ACTIONS(1763),
    [aux_sym_leave_statement_token1] = ACTIONS(1763),
    [aux_sym_continue_statement_token1] = ACTIONS(1763),
    [aux_sym_iterate_statement_token1] = ACTIONS(1763),
    [aux_sym_raise_statement_token1] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1763),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_set_operation_token1] = ACTIONS(1763),
    [aux_sym_set_operation_token3] = ACTIONS(1763),
    [aux_sym_set_operation_token4] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1763),
    [aux_sym_limit_clause_token1] = ACTIONS(1763),
    [aux_sym__direction_keywords_token1] = ACTIONS(1763),
    [aux_sym__direction_keywords_token2] = ACTIONS(1763),
    [aux_sym__nulls_preference_token1] = ACTIONS(1763),
    [aux_sym_insert_statement_token1] = ACTIONS(1763),
    [aux_sym_truncate_statement_token1] = ACTIONS(1763),
    [aux_sym_update_statement_token1] = ACTIONS(1763),
    [aux_sym_merge_statement_token1] = ACTIONS(1763),
    [aux_sym_grant_statement_token1] = ACTIONS(1763),
    [aux_sym_revoke_statement_token1] = ACTIONS(1763),
    [aux_sym_export_data_statement_token1] = ACTIONS(1763),
    [aux_sym_load_data_statement_token1] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [3111] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1759),
    [aux_sym_keyword_replace_token1] = ACTIONS(1759),
    [aux_sym__keyword_alter_token1] = ACTIONS(1759),
    [aux_sym__keyword_create_token1] = ACTIONS(1759),
    [aux_sym__keyword_drop_token1] = ACTIONS(1759),
    [aux_sym__keyword_delete_token1] = ACTIONS(1759),
    [aux_sym__keyword_begin_token1] = ACTIONS(1759),
    [aux_sym__keyword_end_token1] = ACTIONS(1759),
    [aux_sym__keyword_between_token1] = ACTIONS(1759),
    [aux_sym__keyword_when_token1] = ACTIONS(1759),
    [aux_sym__keyword_else_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1759),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1759),
    [aux_sym__keyword_like_token1] = ACTIONS(1759),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1759),
    [aux_sym__keyword_for_token1] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1759),
    [aux_sym_return_statement_token1] = ACTIONS(1759),
    [aux_sym_call_statement_token1] = ACTIONS(1759),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1759),
    [aux_sym_if_statement_token1] = ACTIONS(1759),
    [aux_sym_loop_statement_token1] = ACTIONS(1759),
    [aux_sym_repeat_statement_token1] = ACTIONS(1759),
    [aux_sym_while_statement_token1] = ACTIONS(1759),
    [aux_sym_break_statement_token1] = ACTIONS(1759),
    [aux_sym_leave_statement_token1] = ACTIONS(1759),
    [aux_sym_continue_statement_token1] = ACTIONS(1759),
    [aux_sym_iterate_statement_token1] = ACTIONS(1759),
    [aux_sym_raise_statement_token1] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1759),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_set_operation_token1] = ACTIONS(1759),
    [aux_sym_set_operation_token3] = ACTIONS(1759),
    [aux_sym_set_operation_token4] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1759),
    [aux_sym_limit_clause_token1] = ACTIONS(1759),
    [aux_sym__direction_keywords_token1] = ACTIONS(1759),
    [aux_sym__direction_keywords_token2] = ACTIONS(1759),
    [aux_sym__nulls_preference_token1] = ACTIONS(1759),
    [aux_sym_insert_statement_token1] = ACTIONS(1759),
    [aux_sym_truncate_statement_token1] = ACTIONS(1759),
    [aux_sym_update_statement_token1] = ACTIONS(1759),
    [aux_sym_merge_statement_token1] = ACTIONS(1759),
    [aux_sym_grant_statement_token1] = ACTIONS(1759),
    [aux_sym_revoke_statement_token1] = ACTIONS(1759),
    [aux_sym_export_data_statement_token1] = ACTIONS(1759),
    [aux_sym_load_data_statement_token1] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [3112] = {
    [sym_analytics_clause] = STATE(3524),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3113] = {
    [sym_analytics_clause] = STATE(3521),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3114] = {
    [sym_analytics_clause] = STATE(3519),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3115] = {
    [sym_analytics_clause] = STATE(3518),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3116] = {
    [sym_analytics_clause] = STATE(3516),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3117] = {
    [sym_analytics_clause] = STATE(3513),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3118] = {
    [sym_analytics_clause] = STATE(3512),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3119] = {
    [sym_analytics_clause] = STATE(3511),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3120] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3121] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3122] = {
    [sym_analytics_clause] = STATE(3510),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3123] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3124] = {
    [sym_analytics_clause] = STATE(3509),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3125] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3126] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1417),
    [aux_sym_set_operation_token3] = ACTIONS(1417),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_limit_clause_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token1] = ACTIONS(1417),
    [aux_sym__direction_keywords_token2] = ACTIONS(1417),
    [aux_sym__nulls_preference_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3127] = {
    [sym_analytics_clause] = STATE(3506),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3128] = {
    [sym_analytics_clause] = STATE(3503),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3129] = {
    [sym_analytics_clause] = STATE(3500),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3130] = {
    [sym_analytics_clause] = STATE(3499),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3131] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1747),
    [aux_sym_keyword_replace_token1] = ACTIONS(1747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1747),
    [aux_sym__keyword_create_token1] = ACTIONS(1747),
    [aux_sym__keyword_drop_token1] = ACTIONS(1747),
    [aux_sym__keyword_delete_token1] = ACTIONS(1747),
    [aux_sym__keyword_begin_token1] = ACTIONS(1747),
    [aux_sym__keyword_end_token1] = ACTIONS(1747),
    [aux_sym__keyword_between_token1] = ACTIONS(1747),
    [aux_sym__keyword_when_token1] = ACTIONS(1747),
    [aux_sym__keyword_else_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1747),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1747),
    [aux_sym__keyword_like_token1] = ACTIONS(1747),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1747),
    [aux_sym__keyword_for_token1] = ACTIONS(1747),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1747),
    [aux_sym_return_statement_token1] = ACTIONS(1747),
    [aux_sym_call_statement_token1] = ACTIONS(1747),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1747),
    [aux_sym_if_statement_token1] = ACTIONS(1747),
    [aux_sym_loop_statement_token1] = ACTIONS(1747),
    [aux_sym_repeat_statement_token1] = ACTIONS(1747),
    [aux_sym_while_statement_token1] = ACTIONS(1747),
    [aux_sym_break_statement_token1] = ACTIONS(1747),
    [aux_sym_leave_statement_token1] = ACTIONS(1747),
    [aux_sym_continue_statement_token1] = ACTIONS(1747),
    [aux_sym_iterate_statement_token1] = ACTIONS(1747),
    [aux_sym_raise_statement_token1] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1747),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_set_operation_token1] = ACTIONS(1747),
    [aux_sym_set_operation_token3] = ACTIONS(1747),
    [aux_sym_set_operation_token4] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1747),
    [aux_sym_limit_clause_token1] = ACTIONS(1747),
    [aux_sym__direction_keywords_token1] = ACTIONS(1747),
    [aux_sym__direction_keywords_token2] = ACTIONS(1747),
    [aux_sym__nulls_preference_token1] = ACTIONS(1747),
    [aux_sym_insert_statement_token1] = ACTIONS(1747),
    [aux_sym_truncate_statement_token1] = ACTIONS(1747),
    [aux_sym_update_statement_token1] = ACTIONS(1747),
    [aux_sym_merge_statement_token1] = ACTIONS(1747),
    [aux_sym_grant_statement_token1] = ACTIONS(1747),
    [aux_sym_revoke_statement_token1] = ACTIONS(1747),
    [aux_sym_export_data_statement_token1] = ACTIONS(1747),
    [aux_sym_load_data_statement_token1] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [3132] = {
    [sym_analytics_clause] = STATE(3497),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3133] = {
    [sym_analytics_clause] = STATE(3496),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3134] = {
    [sym_analytics_clause] = STATE(3494),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3135] = {
    [sym_analytics_clause] = STATE(3493),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3136] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1713),
    [aux_sym_keyword_replace_token1] = ACTIONS(1713),
    [aux_sym__keyword_alter_token1] = ACTIONS(1713),
    [aux_sym__keyword_create_token1] = ACTIONS(1713),
    [aux_sym__keyword_drop_token1] = ACTIONS(1713),
    [aux_sym__keyword_delete_token1] = ACTIONS(1713),
    [aux_sym__keyword_begin_token1] = ACTIONS(1713),
    [aux_sym__keyword_end_token1] = ACTIONS(1713),
    [aux_sym__keyword_between_token1] = ACTIONS(1713),
    [aux_sym__keyword_when_token1] = ACTIONS(1713),
    [aux_sym__keyword_else_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1713),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1713),
    [aux_sym__keyword_like_token1] = ACTIONS(1713),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1713),
    [aux_sym__keyword_for_token1] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1713),
    [anon_sym_COMMA] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1713),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1713),
    [aux_sym_return_statement_token1] = ACTIONS(1713),
    [aux_sym_call_statement_token1] = ACTIONS(1713),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1713),
    [aux_sym_if_statement_token1] = ACTIONS(1713),
    [aux_sym_loop_statement_token1] = ACTIONS(1713),
    [aux_sym_repeat_statement_token1] = ACTIONS(1713),
    [aux_sym_while_statement_token1] = ACTIONS(1713),
    [aux_sym_break_statement_token1] = ACTIONS(1713),
    [aux_sym_leave_statement_token1] = ACTIONS(1713),
    [aux_sym_continue_statement_token1] = ACTIONS(1713),
    [aux_sym_iterate_statement_token1] = ACTIONS(1713),
    [aux_sym_raise_statement_token1] = ACTIONS(1713),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1713),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1713),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_set_operation_token1] = ACTIONS(1713),
    [aux_sym_set_operation_token3] = ACTIONS(1713),
    [aux_sym_set_operation_token4] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1713),
    [aux_sym_limit_clause_token1] = ACTIONS(1713),
    [aux_sym__direction_keywords_token1] = ACTIONS(1713),
    [aux_sym__direction_keywords_token2] = ACTIONS(1713),
    [aux_sym__nulls_preference_token1] = ACTIONS(1713),
    [aux_sym_insert_statement_token1] = ACTIONS(1713),
    [aux_sym_truncate_statement_token1] = ACTIONS(1713),
    [aux_sym_update_statement_token1] = ACTIONS(1713),
    [aux_sym_merge_statement_token1] = ACTIONS(1713),
    [aux_sym_grant_statement_token1] = ACTIONS(1713),
    [aux_sym_revoke_statement_token1] = ACTIONS(1713),
    [aux_sym_export_data_statement_token1] = ACTIONS(1713),
    [aux_sym_load_data_statement_token1] = ACTIONS(1713),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [3137] = {
    [sym_analytics_clause] = STATE(3492),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3138] = {
    [sym_analytics_clause] = STATE(3490),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1427),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_end_token1] = ACTIONS(1427),
    [aux_sym__keyword_between_token1] = ACTIONS(1427),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1427),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1427),
    [aux_sym__keyword_like_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1427),
    [aux_sym_if_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_repeat_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [3139] = {
    [sym_analytics_clause] = STATE(3488),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3140] = {
    [sym_analytics_clause] = STATE(3487),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3141] = {
    [sym_analytics_clause] = STATE(3485),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3142] = {
    [sym_analytics_clause] = STATE(3484),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3143] = {
    [sym_analytics_clause] = STATE(3483),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3144] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1549),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_when_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1549),
    [aux_sym_set_operation_token3] = ACTIONS(1549),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_limit_clause_token1] = ACTIONS(1549),
    [aux_sym__direction_keywords_token1] = ACTIONS(1549),
    [aux_sym__direction_keywords_token2] = ACTIONS(1549),
    [aux_sym__nulls_preference_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [3145] = {
    [sym_analytics_clause] = STATE(3478),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3146] = {
    [sym_analytics_clause] = STATE(3475),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3147] = {
    [sym_analytics_clause] = STATE(3472),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3148] = {
    [sym_analytics_clause] = STATE(3470),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3149] = {
    [sym_analytics_clause] = STATE(3469),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3150] = {
    [sym_analytics_clause] = STATE(3467),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1403),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_end_token1] = ACTIONS(1403),
    [aux_sym__keyword_between_token1] = ACTIONS(1403),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1403),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1403),
    [aux_sym__keyword_like_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1403),
    [aux_sym_if_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_repeat_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [3151] = {
    [sym_analytics_clause] = STATE(3465),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1387),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_end_token1] = ACTIONS(1387),
    [aux_sym__keyword_between_token1] = ACTIONS(1387),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1387),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1387),
    [aux_sym__keyword_like_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1387),
    [aux_sym_if_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_repeat_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [3152] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3153] = {
    [sym_analytics_clause] = STATE(3464),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1383),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_end_token1] = ACTIONS(1383),
    [aux_sym__keyword_between_token1] = ACTIONS(1383),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1383),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1383),
    [aux_sym__keyword_like_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1383),
    [aux_sym_if_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_repeat_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [3154] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1709),
    [aux_sym_keyword_replace_token1] = ACTIONS(1709),
    [aux_sym__keyword_alter_token1] = ACTIONS(1709),
    [aux_sym__keyword_create_token1] = ACTIONS(1709),
    [aux_sym__keyword_drop_token1] = ACTIONS(1709),
    [aux_sym__keyword_delete_token1] = ACTIONS(1709),
    [aux_sym__keyword_begin_token1] = ACTIONS(1709),
    [aux_sym__keyword_end_token1] = ACTIONS(1709),
    [aux_sym__keyword_between_token1] = ACTIONS(1709),
    [aux_sym__keyword_when_token1] = ACTIONS(1709),
    [aux_sym__keyword_else_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1709),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1709),
    [aux_sym__keyword_like_token1] = ACTIONS(1709),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1709),
    [aux_sym__keyword_for_token1] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1709),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1709),
    [aux_sym_return_statement_token1] = ACTIONS(1709),
    [aux_sym_call_statement_token1] = ACTIONS(1709),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1709),
    [aux_sym_if_statement_token1] = ACTIONS(1709),
    [aux_sym_loop_statement_token1] = ACTIONS(1709),
    [aux_sym_repeat_statement_token1] = ACTIONS(1709),
    [aux_sym_while_statement_token1] = ACTIONS(1709),
    [aux_sym_break_statement_token1] = ACTIONS(1709),
    [aux_sym_leave_statement_token1] = ACTIONS(1709),
    [aux_sym_continue_statement_token1] = ACTIONS(1709),
    [aux_sym_iterate_statement_token1] = ACTIONS(1709),
    [aux_sym_raise_statement_token1] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1709),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_set_operation_token1] = ACTIONS(1709),
    [aux_sym_set_operation_token3] = ACTIONS(1709),
    [aux_sym_set_operation_token4] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1709),
    [aux_sym_limit_clause_token1] = ACTIONS(1709),
    [aux_sym__direction_keywords_token1] = ACTIONS(1709),
    [aux_sym__direction_keywords_token2] = ACTIONS(1709),
    [aux_sym__nulls_preference_token1] = ACTIONS(1709),
    [aux_sym_insert_statement_token1] = ACTIONS(1709),
    [aux_sym_truncate_statement_token1] = ACTIONS(1709),
    [aux_sym_update_statement_token1] = ACTIONS(1709),
    [aux_sym_merge_statement_token1] = ACTIONS(1709),
    [aux_sym_grant_statement_token1] = ACTIONS(1709),
    [aux_sym_revoke_statement_token1] = ACTIONS(1709),
    [aux_sym_export_data_statement_token1] = ACTIONS(1709),
    [aux_sym_load_data_statement_token1] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [3155] = {
    [sym_analytics_clause] = STATE(3462),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3156] = {
    [sym_analytics_clause] = STATE(3461),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3157] = {
    [sym_analytics_clause] = STATE(3459),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3158] = {
    [sym_analytics_clause] = STATE(3458),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3159] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1705),
    [aux_sym_keyword_replace_token1] = ACTIONS(1705),
    [aux_sym__keyword_alter_token1] = ACTIONS(1705),
    [aux_sym__keyword_create_token1] = ACTIONS(1705),
    [aux_sym__keyword_drop_token1] = ACTIONS(1705),
    [aux_sym__keyword_delete_token1] = ACTIONS(1705),
    [aux_sym__keyword_begin_token1] = ACTIONS(1705),
    [aux_sym__keyword_end_token1] = ACTIONS(1705),
    [aux_sym__keyword_between_token1] = ACTIONS(1705),
    [aux_sym__keyword_when_token1] = ACTIONS(1705),
    [aux_sym__keyword_else_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1705),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1705),
    [aux_sym__keyword_like_token1] = ACTIONS(1705),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1705),
    [aux_sym__keyword_for_token1] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1705),
    [aux_sym_return_statement_token1] = ACTIONS(1705),
    [aux_sym_call_statement_token1] = ACTIONS(1705),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1705),
    [aux_sym_if_statement_token1] = ACTIONS(1705),
    [aux_sym_loop_statement_token1] = ACTIONS(1705),
    [aux_sym_repeat_statement_token1] = ACTIONS(1705),
    [aux_sym_while_statement_token1] = ACTIONS(1705),
    [aux_sym_break_statement_token1] = ACTIONS(1705),
    [aux_sym_leave_statement_token1] = ACTIONS(1705),
    [aux_sym_continue_statement_token1] = ACTIONS(1705),
    [aux_sym_iterate_statement_token1] = ACTIONS(1705),
    [aux_sym_raise_statement_token1] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1705),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_set_operation_token1] = ACTIONS(1705),
    [aux_sym_set_operation_token3] = ACTIONS(1705),
    [aux_sym_set_operation_token4] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1705),
    [aux_sym_limit_clause_token1] = ACTIONS(1705),
    [aux_sym__direction_keywords_token1] = ACTIONS(1705),
    [aux_sym__direction_keywords_token2] = ACTIONS(1705),
    [aux_sym__nulls_preference_token1] = ACTIONS(1705),
    [aux_sym_insert_statement_token1] = ACTIONS(1705),
    [aux_sym_truncate_statement_token1] = ACTIONS(1705),
    [aux_sym_update_statement_token1] = ACTIONS(1705),
    [aux_sym_merge_statement_token1] = ACTIONS(1705),
    [aux_sym_grant_statement_token1] = ACTIONS(1705),
    [aux_sym_revoke_statement_token1] = ACTIONS(1705),
    [aux_sym_export_data_statement_token1] = ACTIONS(1705),
    [aux_sym_load_data_statement_token1] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [3160] = {
    [sym_analytics_clause] = STATE(3457),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3161] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1701),
    [aux_sym_keyword_replace_token1] = ACTIONS(1701),
    [aux_sym__keyword_alter_token1] = ACTIONS(1701),
    [aux_sym__keyword_create_token1] = ACTIONS(1701),
    [aux_sym__keyword_drop_token1] = ACTIONS(1701),
    [aux_sym__keyword_delete_token1] = ACTIONS(1701),
    [aux_sym__keyword_begin_token1] = ACTIONS(1701),
    [aux_sym__keyword_end_token1] = ACTIONS(1701),
    [aux_sym__keyword_between_token1] = ACTIONS(1701),
    [aux_sym__keyword_when_token1] = ACTIONS(1701),
    [aux_sym__keyword_else_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1701),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1701),
    [aux_sym__keyword_like_token1] = ACTIONS(1701),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1701),
    [aux_sym__keyword_for_token1] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1701),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1701),
    [aux_sym_return_statement_token1] = ACTIONS(1701),
    [aux_sym_call_statement_token1] = ACTIONS(1701),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1701),
    [aux_sym_if_statement_token1] = ACTIONS(1701),
    [aux_sym_loop_statement_token1] = ACTIONS(1701),
    [aux_sym_repeat_statement_token1] = ACTIONS(1701),
    [aux_sym_while_statement_token1] = ACTIONS(1701),
    [aux_sym_break_statement_token1] = ACTIONS(1701),
    [aux_sym_leave_statement_token1] = ACTIONS(1701),
    [aux_sym_continue_statement_token1] = ACTIONS(1701),
    [aux_sym_iterate_statement_token1] = ACTIONS(1701),
    [aux_sym_raise_statement_token1] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1701),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_set_operation_token1] = ACTIONS(1701),
    [aux_sym_set_operation_token3] = ACTIONS(1701),
    [aux_sym_set_operation_token4] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1701),
    [aux_sym_limit_clause_token1] = ACTIONS(1701),
    [aux_sym__direction_keywords_token1] = ACTIONS(1701),
    [aux_sym__direction_keywords_token2] = ACTIONS(1701),
    [aux_sym__nulls_preference_token1] = ACTIONS(1701),
    [aux_sym_insert_statement_token1] = ACTIONS(1701),
    [aux_sym_truncate_statement_token1] = ACTIONS(1701),
    [aux_sym_update_statement_token1] = ACTIONS(1701),
    [aux_sym_merge_statement_token1] = ACTIONS(1701),
    [aux_sym_grant_statement_token1] = ACTIONS(1701),
    [aux_sym_revoke_statement_token1] = ACTIONS(1701),
    [aux_sym_export_data_statement_token1] = ACTIONS(1701),
    [aux_sym_load_data_statement_token1] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [3162] = {
    [sym_analytics_clause] = STATE(3452),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3163] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_end_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_else_token1] = ACTIONS(1241),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_as_token1] = ACTIONS(1241),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1239),
    [aux_sym_if_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_repeat_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3164] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3165] = {
    [sym_analytics_clause] = STATE(3442),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3166] = {
    [sym_analytics_clause] = STATE(3446),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3167] = {
    [sym_analytics_clause] = STATE(3444),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3168] = {
    [sym_analytics_clause] = STATE(3443),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3169] = {
    [sym_analytics_clause] = STATE(3441),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3170] = {
    [sym_analytics_clause] = STATE(3440),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3171] = {
    [sym_analytics_clause] = STATE(3438),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3172] = {
    [sym_analytics_clause] = STATE(3437),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3173] = {
    [sym_analytics_clause] = STATE(3436),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3174] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1593),
    [aux_sym_keyword_replace_token1] = ACTIONS(1593),
    [aux_sym__keyword_alter_token1] = ACTIONS(1593),
    [aux_sym__keyword_create_token1] = ACTIONS(1593),
    [aux_sym__keyword_drop_token1] = ACTIONS(1593),
    [aux_sym__keyword_delete_token1] = ACTIONS(1593),
    [aux_sym__keyword_begin_token1] = ACTIONS(1593),
    [aux_sym__keyword_end_token1] = ACTIONS(1593),
    [aux_sym__keyword_between_token1] = ACTIONS(1593),
    [aux_sym__keyword_when_token1] = ACTIONS(1593),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1593),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1593),
    [aux_sym__keyword_like_token1] = ACTIONS(1593),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1593),
    [aux_sym__keyword_for_token1] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1593),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1593),
    [aux_sym_return_statement_token1] = ACTIONS(1593),
    [aux_sym_call_statement_token1] = ACTIONS(1593),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1593),
    [aux_sym_if_statement_token1] = ACTIONS(1593),
    [aux_sym_loop_statement_token1] = ACTIONS(1593),
    [aux_sym_repeat_statement_token1] = ACTIONS(1593),
    [aux_sym_while_statement_token1] = ACTIONS(1593),
    [aux_sym_break_statement_token1] = ACTIONS(1593),
    [aux_sym_leave_statement_token1] = ACTIONS(1593),
    [aux_sym_continue_statement_token1] = ACTIONS(1593),
    [aux_sym_iterate_statement_token1] = ACTIONS(1593),
    [aux_sym_raise_statement_token1] = ACTIONS(1593),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1593),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1593),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_set_operation_token1] = ACTIONS(1593),
    [aux_sym_set_operation_token3] = ACTIONS(1593),
    [aux_sym_set_operation_token4] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1593),
    [aux_sym_limit_clause_token1] = ACTIONS(1593),
    [aux_sym__direction_keywords_token1] = ACTIONS(1593),
    [aux_sym__direction_keywords_token2] = ACTIONS(1593),
    [aux_sym__nulls_preference_token1] = ACTIONS(1593),
    [aux_sym_insert_statement_token1] = ACTIONS(1593),
    [aux_sym_truncate_statement_token1] = ACTIONS(1593),
    [aux_sym_update_statement_token1] = ACTIONS(1593),
    [aux_sym_merge_statement_token1] = ACTIONS(1593),
    [aux_sym_grant_statement_token1] = ACTIONS(1593),
    [aux_sym_revoke_statement_token1] = ACTIONS(1593),
    [aux_sym_export_data_statement_token1] = ACTIONS(1593),
    [aux_sym_load_data_statement_token1] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [3175] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1693),
    [aux_sym_keyword_replace_token1] = ACTIONS(1693),
    [aux_sym__keyword_alter_token1] = ACTIONS(1693),
    [aux_sym__keyword_create_token1] = ACTIONS(1693),
    [aux_sym__keyword_drop_token1] = ACTIONS(1693),
    [aux_sym__keyword_delete_token1] = ACTIONS(1693),
    [aux_sym__keyword_begin_token1] = ACTIONS(1693),
    [aux_sym__keyword_end_token1] = ACTIONS(1693),
    [aux_sym__keyword_between_token1] = ACTIONS(1693),
    [aux_sym__keyword_when_token1] = ACTIONS(1693),
    [aux_sym__keyword_else_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1693),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1693),
    [aux_sym__keyword_like_token1] = ACTIONS(1693),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1693),
    [aux_sym__keyword_for_token1] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1693),
    [aux_sym_return_statement_token1] = ACTIONS(1693),
    [aux_sym_call_statement_token1] = ACTIONS(1693),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1693),
    [aux_sym_if_statement_token1] = ACTIONS(1693),
    [aux_sym_loop_statement_token1] = ACTIONS(1693),
    [aux_sym_repeat_statement_token1] = ACTIONS(1693),
    [aux_sym_while_statement_token1] = ACTIONS(1693),
    [aux_sym_break_statement_token1] = ACTIONS(1693),
    [aux_sym_leave_statement_token1] = ACTIONS(1693),
    [aux_sym_continue_statement_token1] = ACTIONS(1693),
    [aux_sym_iterate_statement_token1] = ACTIONS(1693),
    [aux_sym_raise_statement_token1] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1693),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_set_operation_token1] = ACTIONS(1693),
    [aux_sym_set_operation_token3] = ACTIONS(1693),
    [aux_sym_set_operation_token4] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1693),
    [aux_sym_limit_clause_token1] = ACTIONS(1693),
    [aux_sym__direction_keywords_token1] = ACTIONS(1693),
    [aux_sym__direction_keywords_token2] = ACTIONS(1693),
    [aux_sym__nulls_preference_token1] = ACTIONS(1693),
    [aux_sym_insert_statement_token1] = ACTIONS(1693),
    [aux_sym_truncate_statement_token1] = ACTIONS(1693),
    [aux_sym_update_statement_token1] = ACTIONS(1693),
    [aux_sym_merge_statement_token1] = ACTIONS(1693),
    [aux_sym_grant_statement_token1] = ACTIONS(1693),
    [aux_sym_revoke_statement_token1] = ACTIONS(1693),
    [aux_sym_export_data_statement_token1] = ACTIONS(1693),
    [aux_sym_load_data_statement_token1] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [3176] = {
    [sym_analytics_clause] = STATE(3431),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3177] = {
    [sym_analytics_clause] = STATE(3515),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3178] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3179] = {
    [sym_analytics_clause] = STATE(3425),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3180] = {
    [sym_analytics_clause] = STATE(3423),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3181] = {
    [sym_analytics_clause] = STATE(3422),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3182] = {
    [sym_analytics_clause] = STATE(3420),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1463),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_end_token1] = ACTIONS(1463),
    [aux_sym__keyword_between_token1] = ACTIONS(1463),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1463),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1463),
    [aux_sym__keyword_like_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_repeat_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [3183] = {
    [sym_analytics_clause] = STATE(3417),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3184] = {
    [sym_analytics_clause] = STATE(3414),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3185] = {
    [sym_analytics_clause] = STATE(3412),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3186] = {
    [sym_analytics_clause] = STATE(3411),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3187] = {
    [sym_analytics_clause] = STATE(3405),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3188] = {
    [sym_analytics_clause] = STATE(3403),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1491),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_end_token1] = ACTIONS(1491),
    [aux_sym__keyword_between_token1] = ACTIONS(1491),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1491),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1491),
    [aux_sym__keyword_like_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1491),
    [aux_sym_if_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_repeat_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [3189] = {
    [sym_analytics_clause] = STATE(3401),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1503),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_end_token1] = ACTIONS(1503),
    [aux_sym__keyword_between_token1] = ACTIONS(1503),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1503),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1503),
    [aux_sym__keyword_like_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1503),
    [aux_sym_if_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_repeat_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [3190] = {
    [sym_analytics_clause] = STATE(3399),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1515),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_end_token1] = ACTIONS(1515),
    [aux_sym__keyword_between_token1] = ACTIONS(1515),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1515),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1515),
    [aux_sym__keyword_like_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1515),
    [aux_sym_if_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_repeat_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [3191] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1689),
    [aux_sym_keyword_replace_token1] = ACTIONS(1689),
    [aux_sym__keyword_alter_token1] = ACTIONS(1689),
    [aux_sym__keyword_create_token1] = ACTIONS(1689),
    [aux_sym__keyword_drop_token1] = ACTIONS(1689),
    [aux_sym__keyword_delete_token1] = ACTIONS(1689),
    [aux_sym__keyword_begin_token1] = ACTIONS(1689),
    [aux_sym__keyword_end_token1] = ACTIONS(1689),
    [aux_sym__keyword_between_token1] = ACTIONS(1689),
    [aux_sym__keyword_when_token1] = ACTIONS(1689),
    [aux_sym__keyword_else_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1689),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1689),
    [aux_sym__keyword_like_token1] = ACTIONS(1689),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1689),
    [aux_sym__keyword_for_token1] = ACTIONS(1689),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1689),
    [anon_sym_COMMA] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1689),
    [aux_sym_return_statement_token1] = ACTIONS(1689),
    [aux_sym_call_statement_token1] = ACTIONS(1689),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1689),
    [aux_sym_if_statement_token1] = ACTIONS(1689),
    [aux_sym_loop_statement_token1] = ACTIONS(1689),
    [aux_sym_repeat_statement_token1] = ACTIONS(1689),
    [aux_sym_while_statement_token1] = ACTIONS(1689),
    [aux_sym_break_statement_token1] = ACTIONS(1689),
    [aux_sym_leave_statement_token1] = ACTIONS(1689),
    [aux_sym_continue_statement_token1] = ACTIONS(1689),
    [aux_sym_iterate_statement_token1] = ACTIONS(1689),
    [aux_sym_raise_statement_token1] = ACTIONS(1689),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1689),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1689),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_set_operation_token1] = ACTIONS(1689),
    [aux_sym_set_operation_token3] = ACTIONS(1689),
    [aux_sym_set_operation_token4] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1689),
    [aux_sym_limit_clause_token1] = ACTIONS(1689),
    [aux_sym__direction_keywords_token1] = ACTIONS(1689),
    [aux_sym__direction_keywords_token2] = ACTIONS(1689),
    [aux_sym__nulls_preference_token1] = ACTIONS(1689),
    [aux_sym_insert_statement_token1] = ACTIONS(1689),
    [aux_sym_truncate_statement_token1] = ACTIONS(1689),
    [aux_sym_update_statement_token1] = ACTIONS(1689),
    [aux_sym_merge_statement_token1] = ACTIONS(1689),
    [aux_sym_grant_statement_token1] = ACTIONS(1689),
    [aux_sym_revoke_statement_token1] = ACTIONS(1689),
    [aux_sym_export_data_statement_token1] = ACTIONS(1689),
    [aux_sym_load_data_statement_token1] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [3192] = {
    [sym_analytics_clause] = STATE(3395),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3193] = {
    [sym_analytics_clause] = STATE(3392),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3194] = {
    [sym_analytics_clause] = STATE(3390),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3195] = {
    [sym_analytics_clause] = STATE(3449),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3196] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3197] = {
    [sym_analytics_clause] = STATE(3591),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3198] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1413),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_when_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1413),
    [aux_sym_set_operation_token3] = ACTIONS(1413),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_limit_clause_token1] = ACTIONS(1413),
    [aux_sym__direction_keywords_token1] = ACTIONS(1413),
    [aux_sym__direction_keywords_token2] = ACTIONS(1413),
    [aux_sym__nulls_preference_token1] = ACTIONS(1413),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [3199] = {
    [sym_analytics_clause] = STATE(3594),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3200] = {
    [sym_analytics_clause] = STATE(3565),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3201] = {
    [sym_analytics_clause] = STATE(3576),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3202] = {
    [sym_analytics_clause] = STATE(3544),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3203] = {
    [sym_analytics_clause] = STATE(3535),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3204] = {
    [sym_analytics_clause] = STATE(3525),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1511),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_end_token1] = ACTIONS(1511),
    [aux_sym__keyword_between_token1] = ACTIONS(1511),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1511),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1511),
    [aux_sym__keyword_like_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1511),
    [aux_sym_if_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_repeat_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [3205] = {
    [sym_analytics_clause] = STATE(3522),
    [sym__unquoted_identifier] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1507),
    [aux_sym_keyword_replace_token1] = ACTIONS(1507),
    [aux_sym__keyword_alter_token1] = ACTIONS(1507),
    [aux_sym__keyword_create_token1] = ACTIONS(1507),
    [aux_sym__keyword_drop_token1] = ACTIONS(1507),
    [aux_sym__keyword_delete_token1] = ACTIONS(1507),
    [aux_sym__keyword_begin_token1] = ACTIONS(1507),
    [aux_sym__keyword_end_token1] = ACTIONS(1507),
    [aux_sym__keyword_between_token1] = ACTIONS(1507),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1507),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1507),
    [aux_sym__keyword_like_token1] = ACTIONS(1507),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1507),
    [aux_sym__keyword_as_token1] = ACTIONS(1507),
    [aux_sym__keyword_date_token1] = ACTIONS(1507),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1507),
    [aux_sym__keyword_time_token1] = ACTIONS(1507),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1507),
    [aux_sym__keyword_for_token1] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1507),
    [aux_sym_return_statement_token1] = ACTIONS(1507),
    [aux_sym_call_statement_token1] = ACTIONS(1507),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1507),
    [aux_sym_if_statement_token1] = ACTIONS(1507),
    [aux_sym_loop_statement_token1] = ACTIONS(1507),
    [aux_sym_repeat_statement_token1] = ACTIONS(1507),
    [aux_sym_while_statement_token1] = ACTIONS(1507),
    [aux_sym_break_statement_token1] = ACTIONS(1507),
    [aux_sym_leave_statement_token1] = ACTIONS(1507),
    [aux_sym_continue_statement_token1] = ACTIONS(1507),
    [aux_sym_iterate_statement_token1] = ACTIONS(1507),
    [aux_sym_raise_statement_token1] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1507),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1507),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1507),
    [aux_sym_truncate_statement_token1] = ACTIONS(1507),
    [aux_sym_update_statement_token1] = ACTIONS(1507),
    [aux_sym_merge_statement_token1] = ACTIONS(1507),
    [aux_sym_grant_statement_token1] = ACTIONS(1507),
    [aux_sym_revoke_statement_token1] = ACTIONS(1507),
    [aux_sym_export_data_statement_token1] = ACTIONS(1507),
    [aux_sym_load_data_statement_token1] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym__quoted_identifier] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [3206] = {
    [sym_analytics_clause] = STATE(3514),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1499),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_end_token1] = ACTIONS(1499),
    [aux_sym__keyword_between_token1] = ACTIONS(1499),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1499),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1499),
    [aux_sym__keyword_like_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1499),
    [aux_sym_if_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_repeat_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [3207] = {
    [sym_analytics_clause] = STATE(3575),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3208] = {
    [sym_analytics_clause] = STATE(3507),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1495),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_end_token1] = ACTIONS(1495),
    [aux_sym__keyword_between_token1] = ACTIONS(1495),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1495),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1495),
    [aux_sym__keyword_like_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1495),
    [aux_sym_if_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_repeat_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [3209] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1677),
    [aux_sym_keyword_replace_token1] = ACTIONS(1677),
    [aux_sym__keyword_alter_token1] = ACTIONS(1677),
    [aux_sym__keyword_create_token1] = ACTIONS(1677),
    [aux_sym__keyword_drop_token1] = ACTIONS(1677),
    [aux_sym__keyword_delete_token1] = ACTIONS(1677),
    [aux_sym__keyword_begin_token1] = ACTIONS(1677),
    [aux_sym__keyword_end_token1] = ACTIONS(1677),
    [aux_sym__keyword_between_token1] = ACTIONS(1677),
    [aux_sym__keyword_when_token1] = ACTIONS(1677),
    [aux_sym__keyword_else_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1677),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1677),
    [aux_sym__keyword_like_token1] = ACTIONS(1677),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1677),
    [aux_sym__keyword_for_token1] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1677),
    [anon_sym_COMMA] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1677),
    [aux_sym_return_statement_token1] = ACTIONS(1677),
    [aux_sym_call_statement_token1] = ACTIONS(1677),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1677),
    [aux_sym_if_statement_token1] = ACTIONS(1677),
    [aux_sym_loop_statement_token1] = ACTIONS(1677),
    [aux_sym_repeat_statement_token1] = ACTIONS(1677),
    [aux_sym_while_statement_token1] = ACTIONS(1677),
    [aux_sym_break_statement_token1] = ACTIONS(1677),
    [aux_sym_leave_statement_token1] = ACTIONS(1677),
    [aux_sym_continue_statement_token1] = ACTIONS(1677),
    [aux_sym_iterate_statement_token1] = ACTIONS(1677),
    [aux_sym_raise_statement_token1] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1677),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_set_operation_token1] = ACTIONS(1677),
    [aux_sym_set_operation_token3] = ACTIONS(1677),
    [aux_sym_set_operation_token4] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1677),
    [aux_sym_limit_clause_token1] = ACTIONS(1677),
    [aux_sym__direction_keywords_token1] = ACTIONS(1677),
    [aux_sym__direction_keywords_token2] = ACTIONS(1677),
    [aux_sym__nulls_preference_token1] = ACTIONS(1677),
    [aux_sym_insert_statement_token1] = ACTIONS(1677),
    [aux_sym_truncate_statement_token1] = ACTIONS(1677),
    [aux_sym_update_statement_token1] = ACTIONS(1677),
    [aux_sym_merge_statement_token1] = ACTIONS(1677),
    [aux_sym_grant_statement_token1] = ACTIONS(1677),
    [aux_sym_revoke_statement_token1] = ACTIONS(1677),
    [aux_sym_export_data_statement_token1] = ACTIONS(1677),
    [aux_sym_load_data_statement_token1] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [3210] = {
    [sym_analytics_clause] = STATE(3505),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1487),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_end_token1] = ACTIONS(1487),
    [aux_sym__keyword_between_token1] = ACTIONS(1487),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1487),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1487),
    [aux_sym__keyword_like_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1487),
    [aux_sym_if_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_repeat_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [3211] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1673),
    [aux_sym_keyword_replace_token1] = ACTIONS(1673),
    [aux_sym__keyword_alter_token1] = ACTIONS(1673),
    [aux_sym__keyword_create_token1] = ACTIONS(1673),
    [aux_sym__keyword_drop_token1] = ACTIONS(1673),
    [aux_sym__keyword_delete_token1] = ACTIONS(1673),
    [aux_sym__keyword_begin_token1] = ACTIONS(1673),
    [aux_sym__keyword_end_token1] = ACTIONS(1673),
    [aux_sym__keyword_between_token1] = ACTIONS(1673),
    [aux_sym__keyword_when_token1] = ACTIONS(1673),
    [aux_sym__keyword_else_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1673),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1673),
    [aux_sym__keyword_like_token1] = ACTIONS(1673),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1673),
    [aux_sym__keyword_for_token1] = ACTIONS(1673),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1673),
    [anon_sym_COMMA] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1673),
    [aux_sym_return_statement_token1] = ACTIONS(1673),
    [aux_sym_call_statement_token1] = ACTIONS(1673),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1673),
    [aux_sym_if_statement_token1] = ACTIONS(1673),
    [aux_sym_loop_statement_token1] = ACTIONS(1673),
    [aux_sym_repeat_statement_token1] = ACTIONS(1673),
    [aux_sym_while_statement_token1] = ACTIONS(1673),
    [aux_sym_break_statement_token1] = ACTIONS(1673),
    [aux_sym_leave_statement_token1] = ACTIONS(1673),
    [aux_sym_continue_statement_token1] = ACTIONS(1673),
    [aux_sym_iterate_statement_token1] = ACTIONS(1673),
    [aux_sym_raise_statement_token1] = ACTIONS(1673),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1673),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_set_operation_token1] = ACTIONS(1673),
    [aux_sym_set_operation_token3] = ACTIONS(1673),
    [aux_sym_set_operation_token4] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1673),
    [aux_sym_limit_clause_token1] = ACTIONS(1673),
    [aux_sym__direction_keywords_token1] = ACTIONS(1673),
    [aux_sym__direction_keywords_token2] = ACTIONS(1673),
    [aux_sym__nulls_preference_token1] = ACTIONS(1673),
    [aux_sym_insert_statement_token1] = ACTIONS(1673),
    [aux_sym_truncate_statement_token1] = ACTIONS(1673),
    [aux_sym_update_statement_token1] = ACTIONS(1673),
    [aux_sym_merge_statement_token1] = ACTIONS(1673),
    [aux_sym_grant_statement_token1] = ACTIONS(1673),
    [aux_sym_revoke_statement_token1] = ACTIONS(1673),
    [aux_sym_export_data_statement_token1] = ACTIONS(1673),
    [aux_sym_load_data_statement_token1] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [3212] = {
    [sym_analytics_clause] = STATE(3498),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1369),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_end_token1] = ACTIONS(1369),
    [aux_sym__keyword_between_token1] = ACTIONS(1369),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1369),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1369),
    [aux_sym__keyword_like_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1369),
    [aux_sym_if_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_repeat_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [3213] = {
    [sym_analytics_clause] = STATE(3489),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1369),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_end_token1] = ACTIONS(1369),
    [aux_sym__keyword_between_token1] = ACTIONS(1369),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1369),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1369),
    [aux_sym__keyword_like_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1369),
    [aux_sym_if_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_repeat_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [3214] = {
    [sym_analytics_clause] = STATE(3482),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1459),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_end_token1] = ACTIONS(1459),
    [aux_sym__keyword_between_token1] = ACTIONS(1459),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1459),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1459),
    [aux_sym__keyword_like_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1459),
    [aux_sym_if_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_repeat_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [3215] = {
    [sym_analytics_clause] = STATE(3481),
    [sym__unquoted_identifier] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1455),
    [aux_sym_keyword_replace_token1] = ACTIONS(1455),
    [aux_sym__keyword_alter_token1] = ACTIONS(1455),
    [aux_sym__keyword_create_token1] = ACTIONS(1455),
    [aux_sym__keyword_drop_token1] = ACTIONS(1455),
    [aux_sym__keyword_delete_token1] = ACTIONS(1455),
    [aux_sym__keyword_begin_token1] = ACTIONS(1455),
    [aux_sym__keyword_end_token1] = ACTIONS(1455),
    [aux_sym__keyword_between_token1] = ACTIONS(1455),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1455),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1455),
    [aux_sym__keyword_like_token1] = ACTIONS(1455),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1455),
    [aux_sym__keyword_as_token1] = ACTIONS(1455),
    [aux_sym__keyword_date_token1] = ACTIONS(1455),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1455),
    [aux_sym__keyword_time_token1] = ACTIONS(1455),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1455),
    [aux_sym__keyword_for_token1] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1455),
    [aux_sym_return_statement_token1] = ACTIONS(1455),
    [aux_sym_call_statement_token1] = ACTIONS(1455),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1455),
    [aux_sym_if_statement_token1] = ACTIONS(1455),
    [aux_sym_loop_statement_token1] = ACTIONS(1455),
    [aux_sym_repeat_statement_token1] = ACTIONS(1455),
    [aux_sym_while_statement_token1] = ACTIONS(1455),
    [aux_sym_break_statement_token1] = ACTIONS(1455),
    [aux_sym_leave_statement_token1] = ACTIONS(1455),
    [aux_sym_continue_statement_token1] = ACTIONS(1455),
    [aux_sym_iterate_statement_token1] = ACTIONS(1455),
    [aux_sym_raise_statement_token1] = ACTIONS(1455),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1455),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1455),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1455),
    [aux_sym_truncate_statement_token1] = ACTIONS(1455),
    [aux_sym_update_statement_token1] = ACTIONS(1455),
    [aux_sym_merge_statement_token1] = ACTIONS(1455),
    [aux_sym_grant_statement_token1] = ACTIONS(1455),
    [aux_sym_revoke_statement_token1] = ACTIONS(1455),
    [aux_sym_export_data_statement_token1] = ACTIONS(1455),
    [aux_sym_load_data_statement_token1] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym__quoted_identifier] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [3216] = {
    [sym_analytics_clause] = STATE(3480),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1451),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_end_token1] = ACTIONS(1451),
    [aux_sym__keyword_between_token1] = ACTIONS(1451),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1451),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1451),
    [aux_sym__keyword_like_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1451),
    [aux_sym_if_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_repeat_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [3217] = {
    [sym_analytics_clause] = STATE(3479),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1447),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_end_token1] = ACTIONS(1447),
    [aux_sym__keyword_between_token1] = ACTIONS(1447),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1447),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1447),
    [aux_sym__keyword_like_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1447),
    [aux_sym_if_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_repeat_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [3218] = {
    [sym_analytics_clause] = STATE(3428),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3219] = {
    [sym_analytics_clause] = STATE(3471),
    [sym__unquoted_identifier] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1439),
    [aux_sym_keyword_replace_token1] = ACTIONS(1439),
    [aux_sym__keyword_alter_token1] = ACTIONS(1439),
    [aux_sym__keyword_create_token1] = ACTIONS(1439),
    [aux_sym__keyword_drop_token1] = ACTIONS(1439),
    [aux_sym__keyword_delete_token1] = ACTIONS(1439),
    [aux_sym__keyword_begin_token1] = ACTIONS(1439),
    [aux_sym__keyword_end_token1] = ACTIONS(1439),
    [aux_sym__keyword_between_token1] = ACTIONS(1439),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1439),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1439),
    [aux_sym__keyword_like_token1] = ACTIONS(1439),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1439),
    [aux_sym__keyword_as_token1] = ACTIONS(1439),
    [aux_sym__keyword_date_token1] = ACTIONS(1439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1439),
    [aux_sym__keyword_time_token1] = ACTIONS(1439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1439),
    [aux_sym__keyword_for_token1] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1439),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1439),
    [aux_sym_return_statement_token1] = ACTIONS(1439),
    [aux_sym_call_statement_token1] = ACTIONS(1439),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1439),
    [aux_sym_if_statement_token1] = ACTIONS(1439),
    [aux_sym_loop_statement_token1] = ACTIONS(1439),
    [aux_sym_repeat_statement_token1] = ACTIONS(1439),
    [aux_sym_while_statement_token1] = ACTIONS(1439),
    [aux_sym_break_statement_token1] = ACTIONS(1439),
    [aux_sym_leave_statement_token1] = ACTIONS(1439),
    [aux_sym_continue_statement_token1] = ACTIONS(1439),
    [aux_sym_iterate_statement_token1] = ACTIONS(1439),
    [aux_sym_raise_statement_token1] = ACTIONS(1439),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1439),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1439),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1439),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1439),
    [aux_sym_truncate_statement_token1] = ACTIONS(1439),
    [aux_sym_update_statement_token1] = ACTIONS(1439),
    [aux_sym_merge_statement_token1] = ACTIONS(1439),
    [aux_sym_grant_statement_token1] = ACTIONS(1439),
    [aux_sym_revoke_statement_token1] = ACTIONS(1439),
    [aux_sym_export_data_statement_token1] = ACTIONS(1439),
    [aux_sym_load_data_statement_token1] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym__quoted_identifier] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [3220] = {
    [sym_analytics_clause] = STATE(3468),
    [sym__unquoted_identifier] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1435),
    [aux_sym_keyword_replace_token1] = ACTIONS(1435),
    [aux_sym__keyword_alter_token1] = ACTIONS(1435),
    [aux_sym__keyword_create_token1] = ACTIONS(1435),
    [aux_sym__keyword_drop_token1] = ACTIONS(1435),
    [aux_sym__keyword_delete_token1] = ACTIONS(1435),
    [aux_sym__keyword_begin_token1] = ACTIONS(1435),
    [aux_sym__keyword_end_token1] = ACTIONS(1435),
    [aux_sym__keyword_between_token1] = ACTIONS(1435),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1435),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1435),
    [aux_sym__keyword_like_token1] = ACTIONS(1435),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1435),
    [aux_sym__keyword_as_token1] = ACTIONS(1435),
    [aux_sym__keyword_date_token1] = ACTIONS(1435),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1435),
    [aux_sym__keyword_time_token1] = ACTIONS(1435),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1435),
    [aux_sym__keyword_for_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1435),
    [aux_sym_return_statement_token1] = ACTIONS(1435),
    [aux_sym_call_statement_token1] = ACTIONS(1435),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1435),
    [aux_sym_if_statement_token1] = ACTIONS(1435),
    [aux_sym_loop_statement_token1] = ACTIONS(1435),
    [aux_sym_repeat_statement_token1] = ACTIONS(1435),
    [aux_sym_while_statement_token1] = ACTIONS(1435),
    [aux_sym_break_statement_token1] = ACTIONS(1435),
    [aux_sym_leave_statement_token1] = ACTIONS(1435),
    [aux_sym_continue_statement_token1] = ACTIONS(1435),
    [aux_sym_iterate_statement_token1] = ACTIONS(1435),
    [aux_sym_raise_statement_token1] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1435),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1435),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1435),
    [aux_sym_truncate_statement_token1] = ACTIONS(1435),
    [aux_sym_update_statement_token1] = ACTIONS(1435),
    [aux_sym_merge_statement_token1] = ACTIONS(1435),
    [aux_sym_grant_statement_token1] = ACTIONS(1435),
    [aux_sym_revoke_statement_token1] = ACTIONS(1435),
    [aux_sym_export_data_statement_token1] = ACTIONS(1435),
    [aux_sym_load_data_statement_token1] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym__quoted_identifier] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [3221] = {
    [sym_analytics_clause] = STATE(3466),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1431),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_end_token1] = ACTIONS(1431),
    [aux_sym__keyword_between_token1] = ACTIONS(1431),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1431),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1431),
    [aux_sym__keyword_like_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1431),
    [aux_sym_if_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_repeat_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [3222] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1665),
    [aux_sym_keyword_replace_token1] = ACTIONS(1665),
    [aux_sym__keyword_alter_token1] = ACTIONS(1665),
    [aux_sym__keyword_create_token1] = ACTIONS(1665),
    [aux_sym__keyword_drop_token1] = ACTIONS(1665),
    [aux_sym__keyword_delete_token1] = ACTIONS(1665),
    [aux_sym__keyword_begin_token1] = ACTIONS(1665),
    [aux_sym__keyword_end_token1] = ACTIONS(1665),
    [aux_sym__keyword_between_token1] = ACTIONS(1665),
    [aux_sym__keyword_when_token1] = ACTIONS(1665),
    [aux_sym__keyword_else_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1665),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1665),
    [aux_sym__keyword_like_token1] = ACTIONS(1665),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1665),
    [aux_sym__keyword_for_token1] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1665),
    [aux_sym_return_statement_token1] = ACTIONS(1665),
    [aux_sym_call_statement_token1] = ACTIONS(1665),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1665),
    [aux_sym_if_statement_token1] = ACTIONS(1665),
    [aux_sym_loop_statement_token1] = ACTIONS(1665),
    [aux_sym_repeat_statement_token1] = ACTIONS(1665),
    [aux_sym_while_statement_token1] = ACTIONS(1665),
    [aux_sym_break_statement_token1] = ACTIONS(1665),
    [aux_sym_leave_statement_token1] = ACTIONS(1665),
    [aux_sym_continue_statement_token1] = ACTIONS(1665),
    [aux_sym_iterate_statement_token1] = ACTIONS(1665),
    [aux_sym_raise_statement_token1] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1665),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_set_operation_token1] = ACTIONS(1665),
    [aux_sym_set_operation_token3] = ACTIONS(1665),
    [aux_sym_set_operation_token4] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1665),
    [aux_sym_limit_clause_token1] = ACTIONS(1665),
    [aux_sym__direction_keywords_token1] = ACTIONS(1665),
    [aux_sym__direction_keywords_token2] = ACTIONS(1665),
    [aux_sym__nulls_preference_token1] = ACTIONS(1665),
    [aux_sym_insert_statement_token1] = ACTIONS(1665),
    [aux_sym_truncate_statement_token1] = ACTIONS(1665),
    [aux_sym_update_statement_token1] = ACTIONS(1665),
    [aux_sym_merge_statement_token1] = ACTIONS(1665),
    [aux_sym_grant_statement_token1] = ACTIONS(1665),
    [aux_sym_revoke_statement_token1] = ACTIONS(1665),
    [aux_sym_export_data_statement_token1] = ACTIONS(1665),
    [aux_sym_load_data_statement_token1] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [3223] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1613),
    [aux_sym_keyword_replace_token1] = ACTIONS(1613),
    [aux_sym__keyword_alter_token1] = ACTIONS(1613),
    [aux_sym__keyword_create_token1] = ACTIONS(1613),
    [aux_sym__keyword_drop_token1] = ACTIONS(1613),
    [aux_sym__keyword_delete_token1] = ACTIONS(1613),
    [aux_sym__keyword_begin_token1] = ACTIONS(1613),
    [aux_sym__keyword_end_token1] = ACTIONS(1613),
    [aux_sym__keyword_between_token1] = ACTIONS(1613),
    [aux_sym__keyword_when_token1] = ACTIONS(1613),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1613),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1613),
    [aux_sym__keyword_like_token1] = ACTIONS(1613),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1613),
    [aux_sym__keyword_for_token1] = ACTIONS(1613),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1613),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1613),
    [aux_sym_return_statement_token1] = ACTIONS(1613),
    [aux_sym_call_statement_token1] = ACTIONS(1613),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1613),
    [aux_sym_if_statement_token1] = ACTIONS(1613),
    [aux_sym_loop_statement_token1] = ACTIONS(1613),
    [aux_sym_repeat_statement_token1] = ACTIONS(1613),
    [aux_sym_while_statement_token1] = ACTIONS(1613),
    [aux_sym_break_statement_token1] = ACTIONS(1613),
    [aux_sym_leave_statement_token1] = ACTIONS(1613),
    [aux_sym_continue_statement_token1] = ACTIONS(1613),
    [aux_sym_iterate_statement_token1] = ACTIONS(1613),
    [aux_sym_raise_statement_token1] = ACTIONS(1613),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1613),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1613),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_set_operation_token1] = ACTIONS(1613),
    [aux_sym_set_operation_token3] = ACTIONS(1613),
    [aux_sym_set_operation_token4] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1613),
    [aux_sym_limit_clause_token1] = ACTIONS(1613),
    [aux_sym__direction_keywords_token1] = ACTIONS(1613),
    [aux_sym__direction_keywords_token2] = ACTIONS(1613),
    [aux_sym__nulls_preference_token1] = ACTIONS(1613),
    [aux_sym_insert_statement_token1] = ACTIONS(1613),
    [aux_sym_truncate_statement_token1] = ACTIONS(1613),
    [aux_sym_update_statement_token1] = ACTIONS(1613),
    [aux_sym_merge_statement_token1] = ACTIONS(1613),
    [aux_sym_grant_statement_token1] = ACTIONS(1613),
    [aux_sym_revoke_statement_token1] = ACTIONS(1613),
    [aux_sym_export_data_statement_token1] = ACTIONS(1613),
    [aux_sym_load_data_statement_token1] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [3224] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3225] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1661),
    [aux_sym_keyword_replace_token1] = ACTIONS(1661),
    [aux_sym__keyword_alter_token1] = ACTIONS(1661),
    [aux_sym__keyword_create_token1] = ACTIONS(1661),
    [aux_sym__keyword_drop_token1] = ACTIONS(1661),
    [aux_sym__keyword_delete_token1] = ACTIONS(1661),
    [aux_sym__keyword_begin_token1] = ACTIONS(1661),
    [aux_sym__keyword_end_token1] = ACTIONS(1661),
    [aux_sym__keyword_between_token1] = ACTIONS(1661),
    [aux_sym__keyword_when_token1] = ACTIONS(1661),
    [aux_sym__keyword_else_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1661),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1661),
    [aux_sym__keyword_like_token1] = ACTIONS(1661),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1661),
    [aux_sym__keyword_for_token1] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1661),
    [aux_sym_return_statement_token1] = ACTIONS(1661),
    [aux_sym_call_statement_token1] = ACTIONS(1661),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1661),
    [aux_sym_if_statement_token1] = ACTIONS(1661),
    [aux_sym_loop_statement_token1] = ACTIONS(1661),
    [aux_sym_repeat_statement_token1] = ACTIONS(1661),
    [aux_sym_while_statement_token1] = ACTIONS(1661),
    [aux_sym_break_statement_token1] = ACTIONS(1661),
    [aux_sym_leave_statement_token1] = ACTIONS(1661),
    [aux_sym_continue_statement_token1] = ACTIONS(1661),
    [aux_sym_iterate_statement_token1] = ACTIONS(1661),
    [aux_sym_raise_statement_token1] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1661),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_set_operation_token1] = ACTIONS(1661),
    [aux_sym_set_operation_token3] = ACTIONS(1661),
    [aux_sym_set_operation_token4] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1661),
    [aux_sym_limit_clause_token1] = ACTIONS(1661),
    [aux_sym__direction_keywords_token1] = ACTIONS(1661),
    [aux_sym__direction_keywords_token2] = ACTIONS(1661),
    [aux_sym__nulls_preference_token1] = ACTIONS(1661),
    [aux_sym_insert_statement_token1] = ACTIONS(1661),
    [aux_sym_truncate_statement_token1] = ACTIONS(1661),
    [aux_sym_update_statement_token1] = ACTIONS(1661),
    [aux_sym_merge_statement_token1] = ACTIONS(1661),
    [aux_sym_grant_statement_token1] = ACTIONS(1661),
    [aux_sym_revoke_statement_token1] = ACTIONS(1661),
    [aux_sym_export_data_statement_token1] = ACTIONS(1661),
    [aux_sym_load_data_statement_token1] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [3226] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_set_operation_token1] = ACTIONS(1211),
    [aux_sym_set_operation_token3] = ACTIONS(1211),
    [aux_sym_set_operation_token4] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_limit_clause_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token1] = ACTIONS(1211),
    [aux_sym__direction_keywords_token2] = ACTIONS(1211),
    [aux_sym__nulls_preference_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3227] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1657),
    [aux_sym_keyword_replace_token1] = ACTIONS(1657),
    [aux_sym__keyword_alter_token1] = ACTIONS(1657),
    [aux_sym__keyword_create_token1] = ACTIONS(1657),
    [aux_sym__keyword_drop_token1] = ACTIONS(1657),
    [aux_sym__keyword_delete_token1] = ACTIONS(1657),
    [aux_sym__keyword_begin_token1] = ACTIONS(1657),
    [aux_sym__keyword_end_token1] = ACTIONS(1657),
    [aux_sym__keyword_between_token1] = ACTIONS(1657),
    [aux_sym__keyword_when_token1] = ACTIONS(1657),
    [aux_sym__keyword_else_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1657),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1657),
    [aux_sym__keyword_like_token1] = ACTIONS(1657),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1657),
    [aux_sym__keyword_for_token1] = ACTIONS(1657),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1657),
    [aux_sym_return_statement_token1] = ACTIONS(1657),
    [aux_sym_call_statement_token1] = ACTIONS(1657),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1657),
    [aux_sym_if_statement_token1] = ACTIONS(1657),
    [aux_sym_loop_statement_token1] = ACTIONS(1657),
    [aux_sym_repeat_statement_token1] = ACTIONS(1657),
    [aux_sym_while_statement_token1] = ACTIONS(1657),
    [aux_sym_break_statement_token1] = ACTIONS(1657),
    [aux_sym_leave_statement_token1] = ACTIONS(1657),
    [aux_sym_continue_statement_token1] = ACTIONS(1657),
    [aux_sym_iterate_statement_token1] = ACTIONS(1657),
    [aux_sym_raise_statement_token1] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1657),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1657),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_set_operation_token1] = ACTIONS(1657),
    [aux_sym_set_operation_token3] = ACTIONS(1657),
    [aux_sym_set_operation_token4] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1657),
    [aux_sym_limit_clause_token1] = ACTIONS(1657),
    [aux_sym__direction_keywords_token1] = ACTIONS(1657),
    [aux_sym__direction_keywords_token2] = ACTIONS(1657),
    [aux_sym__nulls_preference_token1] = ACTIONS(1657),
    [aux_sym_insert_statement_token1] = ACTIONS(1657),
    [aux_sym_truncate_statement_token1] = ACTIONS(1657),
    [aux_sym_update_statement_token1] = ACTIONS(1657),
    [aux_sym_merge_statement_token1] = ACTIONS(1657),
    [aux_sym_grant_statement_token1] = ACTIONS(1657),
    [aux_sym_revoke_statement_token1] = ACTIONS(1657),
    [aux_sym_export_data_statement_token1] = ACTIONS(1657),
    [aux_sym_load_data_statement_token1] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [3228] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3229] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1649),
    [aux_sym_keyword_replace_token1] = ACTIONS(1649),
    [aux_sym__keyword_alter_token1] = ACTIONS(1649),
    [aux_sym__keyword_create_token1] = ACTIONS(1649),
    [aux_sym__keyword_drop_token1] = ACTIONS(1649),
    [aux_sym__keyword_delete_token1] = ACTIONS(1649),
    [aux_sym__keyword_begin_token1] = ACTIONS(1649),
    [aux_sym__keyword_end_token1] = ACTIONS(1649),
    [aux_sym__keyword_between_token1] = ACTIONS(1649),
    [aux_sym__keyword_when_token1] = ACTIONS(1649),
    [aux_sym__keyword_else_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1649),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1649),
    [aux_sym__keyword_like_token1] = ACTIONS(1649),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1649),
    [aux_sym__keyword_for_token1] = ACTIONS(1649),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1649),
    [aux_sym_return_statement_token1] = ACTIONS(1649),
    [aux_sym_call_statement_token1] = ACTIONS(1649),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1649),
    [aux_sym_if_statement_token1] = ACTIONS(1649),
    [aux_sym_loop_statement_token1] = ACTIONS(1649),
    [aux_sym_repeat_statement_token1] = ACTIONS(1649),
    [aux_sym_while_statement_token1] = ACTIONS(1649),
    [aux_sym_break_statement_token1] = ACTIONS(1649),
    [aux_sym_leave_statement_token1] = ACTIONS(1649),
    [aux_sym_continue_statement_token1] = ACTIONS(1649),
    [aux_sym_iterate_statement_token1] = ACTIONS(1649),
    [aux_sym_raise_statement_token1] = ACTIONS(1649),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1649),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_set_operation_token1] = ACTIONS(1649),
    [aux_sym_set_operation_token3] = ACTIONS(1649),
    [aux_sym_set_operation_token4] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1649),
    [aux_sym_limit_clause_token1] = ACTIONS(1649),
    [aux_sym__direction_keywords_token1] = ACTIONS(1649),
    [aux_sym__direction_keywords_token2] = ACTIONS(1649),
    [aux_sym__nulls_preference_token1] = ACTIONS(1649),
    [aux_sym_insert_statement_token1] = ACTIONS(1649),
    [aux_sym_truncate_statement_token1] = ACTIONS(1649),
    [aux_sym_update_statement_token1] = ACTIONS(1649),
    [aux_sym_merge_statement_token1] = ACTIONS(1649),
    [aux_sym_grant_statement_token1] = ACTIONS(1649),
    [aux_sym_revoke_statement_token1] = ACTIONS(1649),
    [aux_sym_export_data_statement_token1] = ACTIONS(1649),
    [aux_sym_load_data_statement_token1] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [3230] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3231] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3232] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1645),
    [aux_sym_keyword_replace_token1] = ACTIONS(1645),
    [aux_sym__keyword_alter_token1] = ACTIONS(1645),
    [aux_sym__keyword_create_token1] = ACTIONS(1645),
    [aux_sym__keyword_drop_token1] = ACTIONS(1645),
    [aux_sym__keyword_delete_token1] = ACTIONS(1645),
    [aux_sym__keyword_begin_token1] = ACTIONS(1645),
    [aux_sym__keyword_end_token1] = ACTIONS(1645),
    [aux_sym__keyword_between_token1] = ACTIONS(1645),
    [aux_sym__keyword_when_token1] = ACTIONS(1645),
    [aux_sym__keyword_else_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1645),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1645),
    [aux_sym__keyword_like_token1] = ACTIONS(1645),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1645),
    [aux_sym__keyword_for_token1] = ACTIONS(1645),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1645),
    [anon_sym_COMMA] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1645),
    [aux_sym_return_statement_token1] = ACTIONS(1645),
    [aux_sym_call_statement_token1] = ACTIONS(1645),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1645),
    [aux_sym_if_statement_token1] = ACTIONS(1645),
    [aux_sym_loop_statement_token1] = ACTIONS(1645),
    [aux_sym_repeat_statement_token1] = ACTIONS(1645),
    [aux_sym_while_statement_token1] = ACTIONS(1645),
    [aux_sym_break_statement_token1] = ACTIONS(1645),
    [aux_sym_leave_statement_token1] = ACTIONS(1645),
    [aux_sym_continue_statement_token1] = ACTIONS(1645),
    [aux_sym_iterate_statement_token1] = ACTIONS(1645),
    [aux_sym_raise_statement_token1] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1645),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_set_operation_token1] = ACTIONS(1645),
    [aux_sym_set_operation_token3] = ACTIONS(1645),
    [aux_sym_set_operation_token4] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1645),
    [aux_sym_limit_clause_token1] = ACTIONS(1645),
    [aux_sym__direction_keywords_token1] = ACTIONS(1645),
    [aux_sym__direction_keywords_token2] = ACTIONS(1645),
    [aux_sym__nulls_preference_token1] = ACTIONS(1645),
    [aux_sym_insert_statement_token1] = ACTIONS(1645),
    [aux_sym_truncate_statement_token1] = ACTIONS(1645),
    [aux_sym_update_statement_token1] = ACTIONS(1645),
    [aux_sym_merge_statement_token1] = ACTIONS(1645),
    [aux_sym_grant_statement_token1] = ACTIONS(1645),
    [aux_sym_revoke_statement_token1] = ACTIONS(1645),
    [aux_sym_export_data_statement_token1] = ACTIONS(1645),
    [aux_sym_load_data_statement_token1] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [3233] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3234] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1787),
    [aux_sym_keyword_replace_token1] = ACTIONS(1787),
    [aux_sym__keyword_alter_token1] = ACTIONS(1787),
    [aux_sym__keyword_create_token1] = ACTIONS(1787),
    [aux_sym__keyword_drop_token1] = ACTIONS(1787),
    [aux_sym__keyword_delete_token1] = ACTIONS(1787),
    [aux_sym__keyword_begin_token1] = ACTIONS(1787),
    [aux_sym__keyword_end_token1] = ACTIONS(1787),
    [aux_sym__keyword_between_token1] = ACTIONS(1787),
    [aux_sym__keyword_when_token1] = ACTIONS(1787),
    [aux_sym__keyword_else_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1787),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1787),
    [aux_sym__keyword_like_token1] = ACTIONS(1787),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1787),
    [aux_sym__keyword_for_token1] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1787),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1787),
    [aux_sym_return_statement_token1] = ACTIONS(1787),
    [aux_sym_call_statement_token1] = ACTIONS(1787),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1787),
    [aux_sym_if_statement_token1] = ACTIONS(1787),
    [aux_sym_loop_statement_token1] = ACTIONS(1787),
    [aux_sym_repeat_statement_token1] = ACTIONS(1787),
    [aux_sym_while_statement_token1] = ACTIONS(1787),
    [aux_sym_break_statement_token1] = ACTIONS(1787),
    [aux_sym_leave_statement_token1] = ACTIONS(1787),
    [aux_sym_continue_statement_token1] = ACTIONS(1787),
    [aux_sym_iterate_statement_token1] = ACTIONS(1787),
    [aux_sym_raise_statement_token1] = ACTIONS(1787),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1787),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_set_operation_token1] = ACTIONS(1787),
    [aux_sym_set_operation_token3] = ACTIONS(1787),
    [aux_sym_set_operation_token4] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1787),
    [aux_sym_limit_clause_token1] = ACTIONS(1787),
    [aux_sym__direction_keywords_token1] = ACTIONS(1787),
    [aux_sym__direction_keywords_token2] = ACTIONS(1787),
    [aux_sym__nulls_preference_token1] = ACTIONS(1787),
    [aux_sym_insert_statement_token1] = ACTIONS(1787),
    [aux_sym_truncate_statement_token1] = ACTIONS(1787),
    [aux_sym_update_statement_token1] = ACTIONS(1787),
    [aux_sym_merge_statement_token1] = ACTIONS(1787),
    [aux_sym_grant_statement_token1] = ACTIONS(1787),
    [aux_sym_revoke_statement_token1] = ACTIONS(1787),
    [aux_sym_export_data_statement_token1] = ACTIONS(1787),
    [aux_sym_load_data_statement_token1] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [3235] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1641),
    [aux_sym_keyword_replace_token1] = ACTIONS(1641),
    [aux_sym__keyword_alter_token1] = ACTIONS(1641),
    [aux_sym__keyword_create_token1] = ACTIONS(1641),
    [aux_sym__keyword_drop_token1] = ACTIONS(1641),
    [aux_sym__keyword_delete_token1] = ACTIONS(1641),
    [aux_sym__keyword_begin_token1] = ACTIONS(1641),
    [aux_sym__keyword_end_token1] = ACTIONS(1641),
    [aux_sym__keyword_between_token1] = ACTIONS(1641),
    [aux_sym__keyword_when_token1] = ACTIONS(1641),
    [aux_sym__keyword_else_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1641),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1641),
    [aux_sym__keyword_like_token1] = ACTIONS(1641),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1641),
    [aux_sym__keyword_for_token1] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1641),
    [aux_sym_return_statement_token1] = ACTIONS(1641),
    [aux_sym_call_statement_token1] = ACTIONS(1641),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1641),
    [aux_sym_if_statement_token1] = ACTIONS(1641),
    [aux_sym_loop_statement_token1] = ACTIONS(1641),
    [aux_sym_repeat_statement_token1] = ACTIONS(1641),
    [aux_sym_while_statement_token1] = ACTIONS(1641),
    [aux_sym_break_statement_token1] = ACTIONS(1641),
    [aux_sym_leave_statement_token1] = ACTIONS(1641),
    [aux_sym_continue_statement_token1] = ACTIONS(1641),
    [aux_sym_iterate_statement_token1] = ACTIONS(1641),
    [aux_sym_raise_statement_token1] = ACTIONS(1641),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1641),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1641),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_set_operation_token1] = ACTIONS(1641),
    [aux_sym_set_operation_token3] = ACTIONS(1641),
    [aux_sym_set_operation_token4] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1641),
    [aux_sym_limit_clause_token1] = ACTIONS(1641),
    [aux_sym__direction_keywords_token1] = ACTIONS(1641),
    [aux_sym__direction_keywords_token2] = ACTIONS(1641),
    [aux_sym__nulls_preference_token1] = ACTIONS(1641),
    [aux_sym_insert_statement_token1] = ACTIONS(1641),
    [aux_sym_truncate_statement_token1] = ACTIONS(1641),
    [aux_sym_update_statement_token1] = ACTIONS(1641),
    [aux_sym_merge_statement_token1] = ACTIONS(1641),
    [aux_sym_grant_statement_token1] = ACTIONS(1641),
    [aux_sym_revoke_statement_token1] = ACTIONS(1641),
    [aux_sym_export_data_statement_token1] = ACTIONS(1641),
    [aux_sym_load_data_statement_token1] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [3236] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1637),
    [aux_sym_keyword_replace_token1] = ACTIONS(1637),
    [aux_sym__keyword_alter_token1] = ACTIONS(1637),
    [aux_sym__keyword_create_token1] = ACTIONS(1637),
    [aux_sym__keyword_drop_token1] = ACTIONS(1637),
    [aux_sym__keyword_delete_token1] = ACTIONS(1637),
    [aux_sym__keyword_begin_token1] = ACTIONS(1637),
    [aux_sym__keyword_end_token1] = ACTIONS(1637),
    [aux_sym__keyword_between_token1] = ACTIONS(1637),
    [aux_sym__keyword_when_token1] = ACTIONS(1637),
    [aux_sym__keyword_else_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1637),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1637),
    [aux_sym__keyword_like_token1] = ACTIONS(1637),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1637),
    [aux_sym__keyword_for_token1] = ACTIONS(1637),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1637),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1637),
    [aux_sym_return_statement_token1] = ACTIONS(1637),
    [aux_sym_call_statement_token1] = ACTIONS(1637),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1637),
    [aux_sym_if_statement_token1] = ACTIONS(1637),
    [aux_sym_loop_statement_token1] = ACTIONS(1637),
    [aux_sym_repeat_statement_token1] = ACTIONS(1637),
    [aux_sym_while_statement_token1] = ACTIONS(1637),
    [aux_sym_break_statement_token1] = ACTIONS(1637),
    [aux_sym_leave_statement_token1] = ACTIONS(1637),
    [aux_sym_continue_statement_token1] = ACTIONS(1637),
    [aux_sym_iterate_statement_token1] = ACTIONS(1637),
    [aux_sym_raise_statement_token1] = ACTIONS(1637),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1637),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_set_operation_token1] = ACTIONS(1637),
    [aux_sym_set_operation_token3] = ACTIONS(1637),
    [aux_sym_set_operation_token4] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1637),
    [aux_sym_limit_clause_token1] = ACTIONS(1637),
    [aux_sym__direction_keywords_token1] = ACTIONS(1637),
    [aux_sym__direction_keywords_token2] = ACTIONS(1637),
    [aux_sym__nulls_preference_token1] = ACTIONS(1637),
    [aux_sym_insert_statement_token1] = ACTIONS(1637),
    [aux_sym_truncate_statement_token1] = ACTIONS(1637),
    [aux_sym_update_statement_token1] = ACTIONS(1637),
    [aux_sym_merge_statement_token1] = ACTIONS(1637),
    [aux_sym_grant_statement_token1] = ACTIONS(1637),
    [aux_sym_revoke_statement_token1] = ACTIONS(1637),
    [aux_sym_export_data_statement_token1] = ACTIONS(1637),
    [aux_sym_load_data_statement_token1] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [3237] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1629),
    [aux_sym_keyword_replace_token1] = ACTIONS(1629),
    [aux_sym__keyword_alter_token1] = ACTIONS(1629),
    [aux_sym__keyword_create_token1] = ACTIONS(1629),
    [aux_sym__keyword_drop_token1] = ACTIONS(1629),
    [aux_sym__keyword_delete_token1] = ACTIONS(1629),
    [aux_sym__keyword_begin_token1] = ACTIONS(1629),
    [aux_sym__keyword_end_token1] = ACTIONS(1629),
    [aux_sym__keyword_between_token1] = ACTIONS(1629),
    [aux_sym__keyword_when_token1] = ACTIONS(1629),
    [aux_sym__keyword_else_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1629),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1629),
    [aux_sym__keyword_like_token1] = ACTIONS(1629),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1629),
    [aux_sym__keyword_for_token1] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1629),
    [aux_sym_return_statement_token1] = ACTIONS(1629),
    [aux_sym_call_statement_token1] = ACTIONS(1629),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1629),
    [aux_sym_if_statement_token1] = ACTIONS(1629),
    [aux_sym_loop_statement_token1] = ACTIONS(1629),
    [aux_sym_repeat_statement_token1] = ACTIONS(1629),
    [aux_sym_while_statement_token1] = ACTIONS(1629),
    [aux_sym_break_statement_token1] = ACTIONS(1629),
    [aux_sym_leave_statement_token1] = ACTIONS(1629),
    [aux_sym_continue_statement_token1] = ACTIONS(1629),
    [aux_sym_iterate_statement_token1] = ACTIONS(1629),
    [aux_sym_raise_statement_token1] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1629),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_set_operation_token1] = ACTIONS(1629),
    [aux_sym_set_operation_token3] = ACTIONS(1629),
    [aux_sym_set_operation_token4] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1629),
    [aux_sym_limit_clause_token1] = ACTIONS(1629),
    [aux_sym__direction_keywords_token1] = ACTIONS(1629),
    [aux_sym__direction_keywords_token2] = ACTIONS(1629),
    [aux_sym__nulls_preference_token1] = ACTIONS(1629),
    [aux_sym_insert_statement_token1] = ACTIONS(1629),
    [aux_sym_truncate_statement_token1] = ACTIONS(1629),
    [aux_sym_update_statement_token1] = ACTIONS(1629),
    [aux_sym_merge_statement_token1] = ACTIONS(1629),
    [aux_sym_grant_statement_token1] = ACTIONS(1629),
    [aux_sym_revoke_statement_token1] = ACTIONS(1629),
    [aux_sym_export_data_statement_token1] = ACTIONS(1629),
    [aux_sym_load_data_statement_token1] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [3238] = {
    [ts_builtin_sym_end] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1795),
    [aux_sym_keyword_replace_token1] = ACTIONS(1795),
    [aux_sym__keyword_alter_token1] = ACTIONS(1795),
    [aux_sym__keyword_create_token1] = ACTIONS(1795),
    [aux_sym__keyword_drop_token1] = ACTIONS(1795),
    [aux_sym__keyword_delete_token1] = ACTIONS(1795),
    [aux_sym__keyword_begin_token1] = ACTIONS(1795),
    [aux_sym__keyword_end_token1] = ACTIONS(1795),
    [aux_sym__keyword_between_token1] = ACTIONS(1795),
    [aux_sym__keyword_when_token1] = ACTIONS(1795),
    [aux_sym__keyword_else_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1795),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1795),
    [aux_sym__keyword_like_token1] = ACTIONS(1795),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1795),
    [aux_sym__keyword_for_token1] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1795),
    [aux_sym_return_statement_token1] = ACTIONS(1795),
    [aux_sym_call_statement_token1] = ACTIONS(1795),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1795),
    [aux_sym_if_statement_token1] = ACTIONS(1795),
    [aux_sym_loop_statement_token1] = ACTIONS(1795),
    [aux_sym_repeat_statement_token1] = ACTIONS(1795),
    [aux_sym_while_statement_token1] = ACTIONS(1795),
    [aux_sym_break_statement_token1] = ACTIONS(1795),
    [aux_sym_leave_statement_token1] = ACTIONS(1795),
    [aux_sym_continue_statement_token1] = ACTIONS(1795),
    [aux_sym_iterate_statement_token1] = ACTIONS(1795),
    [aux_sym_raise_statement_token1] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_set_operation_token1] = ACTIONS(1795),
    [aux_sym_set_operation_token3] = ACTIONS(1795),
    [aux_sym_set_operation_token4] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1795),
    [aux_sym_limit_clause_token1] = ACTIONS(1795),
    [aux_sym__direction_keywords_token1] = ACTIONS(1795),
    [aux_sym__direction_keywords_token2] = ACTIONS(1795),
    [aux_sym__nulls_preference_token1] = ACTIONS(1795),
    [aux_sym_insert_statement_token1] = ACTIONS(1795),
    [aux_sym_truncate_statement_token1] = ACTIONS(1795),
    [aux_sym_update_statement_token1] = ACTIONS(1795),
    [aux_sym_merge_statement_token1] = ACTIONS(1795),
    [aux_sym_grant_statement_token1] = ACTIONS(1795),
    [aux_sym_revoke_statement_token1] = ACTIONS(1795),
    [aux_sym_export_data_statement_token1] = ACTIONS(1795),
    [aux_sym_load_data_statement_token1] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [3239] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1625),
    [aux_sym_keyword_replace_token1] = ACTIONS(1625),
    [aux_sym__keyword_alter_token1] = ACTIONS(1625),
    [aux_sym__keyword_create_token1] = ACTIONS(1625),
    [aux_sym__keyword_drop_token1] = ACTIONS(1625),
    [aux_sym__keyword_delete_token1] = ACTIONS(1625),
    [aux_sym__keyword_begin_token1] = ACTIONS(1625),
    [aux_sym__keyword_end_token1] = ACTIONS(1625),
    [aux_sym__keyword_between_token1] = ACTIONS(1625),
    [aux_sym__keyword_when_token1] = ACTIONS(1625),
    [aux_sym__keyword_else_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1625),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1625),
    [aux_sym__keyword_like_token1] = ACTIONS(1625),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1625),
    [aux_sym__keyword_for_token1] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1625),
    [aux_sym_return_statement_token1] = ACTIONS(1625),
    [aux_sym_call_statement_token1] = ACTIONS(1625),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1625),
    [aux_sym_if_statement_token1] = ACTIONS(1625),
    [aux_sym_loop_statement_token1] = ACTIONS(1625),
    [aux_sym_repeat_statement_token1] = ACTIONS(1625),
    [aux_sym_while_statement_token1] = ACTIONS(1625),
    [aux_sym_break_statement_token1] = ACTIONS(1625),
    [aux_sym_leave_statement_token1] = ACTIONS(1625),
    [aux_sym_continue_statement_token1] = ACTIONS(1625),
    [aux_sym_iterate_statement_token1] = ACTIONS(1625),
    [aux_sym_raise_statement_token1] = ACTIONS(1625),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1625),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_set_operation_token1] = ACTIONS(1625),
    [aux_sym_set_operation_token3] = ACTIONS(1625),
    [aux_sym_set_operation_token4] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1625),
    [aux_sym_limit_clause_token1] = ACTIONS(1625),
    [aux_sym__direction_keywords_token1] = ACTIONS(1625),
    [aux_sym__direction_keywords_token2] = ACTIONS(1625),
    [aux_sym__nulls_preference_token1] = ACTIONS(1625),
    [aux_sym_insert_statement_token1] = ACTIONS(1625),
    [aux_sym_truncate_statement_token1] = ACTIONS(1625),
    [aux_sym_update_statement_token1] = ACTIONS(1625),
    [aux_sym_merge_statement_token1] = ACTIONS(1625),
    [aux_sym_grant_statement_token1] = ACTIONS(1625),
    [aux_sym_revoke_statement_token1] = ACTIONS(1625),
    [aux_sym_export_data_statement_token1] = ACTIONS(1625),
    [aux_sym_load_data_statement_token1] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [3240] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1621),
    [aux_sym_keyword_replace_token1] = ACTIONS(1621),
    [aux_sym__keyword_alter_token1] = ACTIONS(1621),
    [aux_sym__keyword_create_token1] = ACTIONS(1621),
    [aux_sym__keyword_drop_token1] = ACTIONS(1621),
    [aux_sym__keyword_delete_token1] = ACTIONS(1621),
    [aux_sym__keyword_begin_token1] = ACTIONS(1621),
    [aux_sym__keyword_end_token1] = ACTIONS(1621),
    [aux_sym__keyword_between_token1] = ACTIONS(1621),
    [aux_sym__keyword_when_token1] = ACTIONS(1621),
    [aux_sym__keyword_else_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1621),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1621),
    [aux_sym__keyword_like_token1] = ACTIONS(1621),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1621),
    [aux_sym__keyword_for_token1] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1621),
    [anon_sym_COMMA] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1621),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1621),
    [aux_sym_return_statement_token1] = ACTIONS(1621),
    [aux_sym_call_statement_token1] = ACTIONS(1621),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1621),
    [aux_sym_if_statement_token1] = ACTIONS(1621),
    [aux_sym_loop_statement_token1] = ACTIONS(1621),
    [aux_sym_repeat_statement_token1] = ACTIONS(1621),
    [aux_sym_while_statement_token1] = ACTIONS(1621),
    [aux_sym_break_statement_token1] = ACTIONS(1621),
    [aux_sym_leave_statement_token1] = ACTIONS(1621),
    [aux_sym_continue_statement_token1] = ACTIONS(1621),
    [aux_sym_iterate_statement_token1] = ACTIONS(1621),
    [aux_sym_raise_statement_token1] = ACTIONS(1621),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1621),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1621),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_set_operation_token1] = ACTIONS(1621),
    [aux_sym_set_operation_token3] = ACTIONS(1621),
    [aux_sym_set_operation_token4] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1621),
    [aux_sym_limit_clause_token1] = ACTIONS(1621),
    [aux_sym__direction_keywords_token1] = ACTIONS(1621),
    [aux_sym__direction_keywords_token2] = ACTIONS(1621),
    [aux_sym__nulls_preference_token1] = ACTIONS(1621),
    [aux_sym_insert_statement_token1] = ACTIONS(1621),
    [aux_sym_truncate_statement_token1] = ACTIONS(1621),
    [aux_sym_update_statement_token1] = ACTIONS(1621),
    [aux_sym_merge_statement_token1] = ACTIONS(1621),
    [aux_sym_grant_statement_token1] = ACTIONS(1621),
    [aux_sym_revoke_statement_token1] = ACTIONS(1621),
    [aux_sym_export_data_statement_token1] = ACTIONS(1621),
    [aux_sym_load_data_statement_token1] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [3241] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1617),
    [aux_sym_keyword_replace_token1] = ACTIONS(1617),
    [aux_sym__keyword_alter_token1] = ACTIONS(1617),
    [aux_sym__keyword_create_token1] = ACTIONS(1617),
    [aux_sym__keyword_drop_token1] = ACTIONS(1617),
    [aux_sym__keyword_delete_token1] = ACTIONS(1617),
    [aux_sym__keyword_begin_token1] = ACTIONS(1617),
    [aux_sym__keyword_end_token1] = ACTIONS(1617),
    [aux_sym__keyword_between_token1] = ACTIONS(1617),
    [aux_sym__keyword_when_token1] = ACTIONS(1617),
    [aux_sym__keyword_else_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1617),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1617),
    [aux_sym__keyword_like_token1] = ACTIONS(1617),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1617),
    [aux_sym__keyword_for_token1] = ACTIONS(1617),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1617),
    [aux_sym_return_statement_token1] = ACTIONS(1617),
    [aux_sym_call_statement_token1] = ACTIONS(1617),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1617),
    [aux_sym_if_statement_token1] = ACTIONS(1617),
    [aux_sym_loop_statement_token1] = ACTIONS(1617),
    [aux_sym_repeat_statement_token1] = ACTIONS(1617),
    [aux_sym_while_statement_token1] = ACTIONS(1617),
    [aux_sym_break_statement_token1] = ACTIONS(1617),
    [aux_sym_leave_statement_token1] = ACTIONS(1617),
    [aux_sym_continue_statement_token1] = ACTIONS(1617),
    [aux_sym_iterate_statement_token1] = ACTIONS(1617),
    [aux_sym_raise_statement_token1] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1617),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_set_operation_token1] = ACTIONS(1617),
    [aux_sym_set_operation_token3] = ACTIONS(1617),
    [aux_sym_set_operation_token4] = ACTIONS(1619),
    [aux_sym_select_token1] = ACTIONS(1617),
    [aux_sym_limit_clause_token1] = ACTIONS(1617),
    [aux_sym__direction_keywords_token1] = ACTIONS(1617),
    [aux_sym__direction_keywords_token2] = ACTIONS(1617),
    [aux_sym__nulls_preference_token1] = ACTIONS(1617),
    [aux_sym_insert_statement_token1] = ACTIONS(1617),
    [aux_sym_truncate_statement_token1] = ACTIONS(1617),
    [aux_sym_update_statement_token1] = ACTIONS(1617),
    [aux_sym_merge_statement_token1] = ACTIONS(1617),
    [aux_sym_grant_statement_token1] = ACTIONS(1617),
    [aux_sym_revoke_statement_token1] = ACTIONS(1617),
    [aux_sym_export_data_statement_token1] = ACTIONS(1617),
    [aux_sym_load_data_statement_token1] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [3242] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1845),
    [aux_sym_keyword_replace_token1] = ACTIONS(1845),
    [aux_sym__keyword_alter_token1] = ACTIONS(1845),
    [aux_sym__keyword_create_token1] = ACTIONS(1845),
    [aux_sym__keyword_drop_token1] = ACTIONS(1845),
    [aux_sym__keyword_delete_token1] = ACTIONS(1845),
    [aux_sym__keyword_begin_token1] = ACTIONS(1845),
    [aux_sym__keyword_end_token1] = ACTIONS(1845),
    [aux_sym__keyword_between_token1] = ACTIONS(1845),
    [aux_sym__keyword_when_token1] = ACTIONS(1845),
    [aux_sym__keyword_else_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1845),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1845),
    [aux_sym__keyword_like_token1] = ACTIONS(1845),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1845),
    [aux_sym__keyword_for_token1] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1845),
    [aux_sym_return_statement_token1] = ACTIONS(1845),
    [aux_sym_call_statement_token1] = ACTIONS(1845),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1845),
    [aux_sym_if_statement_token1] = ACTIONS(1845),
    [aux_sym_loop_statement_token1] = ACTIONS(1845),
    [aux_sym_repeat_statement_token1] = ACTIONS(1845),
    [aux_sym_while_statement_token1] = ACTIONS(1845),
    [aux_sym_break_statement_token1] = ACTIONS(1845),
    [aux_sym_leave_statement_token1] = ACTIONS(1845),
    [aux_sym_continue_statement_token1] = ACTIONS(1845),
    [aux_sym_iterate_statement_token1] = ACTIONS(1845),
    [aux_sym_raise_statement_token1] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1845),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_set_operation_token1] = ACTIONS(1845),
    [aux_sym_set_operation_token3] = ACTIONS(1845),
    [aux_sym_set_operation_token4] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1845),
    [aux_sym_limit_clause_token1] = ACTIONS(1845),
    [aux_sym__direction_keywords_token1] = ACTIONS(1845),
    [aux_sym__direction_keywords_token2] = ACTIONS(1845),
    [aux_sym__nulls_preference_token1] = ACTIONS(1845),
    [aux_sym_insert_statement_token1] = ACTIONS(1845),
    [aux_sym_truncate_statement_token1] = ACTIONS(1845),
    [aux_sym_update_statement_token1] = ACTIONS(1845),
    [aux_sym_merge_statement_token1] = ACTIONS(1845),
    [aux_sym_grant_statement_token1] = ACTIONS(1845),
    [aux_sym_revoke_statement_token1] = ACTIONS(1845),
    [aux_sym_export_data_statement_token1] = ACTIONS(1845),
    [aux_sym_load_data_statement_token1] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [3243] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1767),
    [aux_sym_keyword_replace_token1] = ACTIONS(1767),
    [aux_sym__keyword_alter_token1] = ACTIONS(1767),
    [aux_sym__keyword_create_token1] = ACTIONS(1767),
    [aux_sym__keyword_drop_token1] = ACTIONS(1767),
    [aux_sym__keyword_delete_token1] = ACTIONS(1767),
    [aux_sym__keyword_begin_token1] = ACTIONS(1767),
    [aux_sym__keyword_end_token1] = ACTIONS(1767),
    [aux_sym__keyword_between_token1] = ACTIONS(1767),
    [aux_sym__keyword_when_token1] = ACTIONS(1767),
    [aux_sym__keyword_else_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1767),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1767),
    [aux_sym__keyword_like_token1] = ACTIONS(1767),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1767),
    [aux_sym__keyword_for_token1] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1767),
    [aux_sym_return_statement_token1] = ACTIONS(1767),
    [aux_sym_call_statement_token1] = ACTIONS(1767),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1767),
    [aux_sym_if_statement_token1] = ACTIONS(1767),
    [aux_sym_loop_statement_token1] = ACTIONS(1767),
    [aux_sym_repeat_statement_token1] = ACTIONS(1767),
    [aux_sym_while_statement_token1] = ACTIONS(1767),
    [aux_sym_break_statement_token1] = ACTIONS(1767),
    [aux_sym_leave_statement_token1] = ACTIONS(1767),
    [aux_sym_continue_statement_token1] = ACTIONS(1767),
    [aux_sym_iterate_statement_token1] = ACTIONS(1767),
    [aux_sym_raise_statement_token1] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1767),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_set_operation_token1] = ACTIONS(1767),
    [aux_sym_set_operation_token3] = ACTIONS(1767),
    [aux_sym_set_operation_token4] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1767),
    [aux_sym_limit_clause_token1] = ACTIONS(1767),
    [aux_sym__direction_keywords_token1] = ACTIONS(1767),
    [aux_sym__direction_keywords_token2] = ACTIONS(1767),
    [aux_sym__nulls_preference_token1] = ACTIONS(1767),
    [aux_sym_insert_statement_token1] = ACTIONS(1767),
    [aux_sym_truncate_statement_token1] = ACTIONS(1767),
    [aux_sym_update_statement_token1] = ACTIONS(1767),
    [aux_sym_merge_statement_token1] = ACTIONS(1767),
    [aux_sym_grant_statement_token1] = ACTIONS(1767),
    [aux_sym_revoke_statement_token1] = ACTIONS(1767),
    [aux_sym_export_data_statement_token1] = ACTIONS(1767),
    [aux_sym_load_data_statement_token1] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [3244] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3245] = {
    [ts_builtin_sym_end] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1609),
    [aux_sym_keyword_replace_token1] = ACTIONS(1609),
    [aux_sym__keyword_alter_token1] = ACTIONS(1609),
    [aux_sym__keyword_create_token1] = ACTIONS(1609),
    [aux_sym__keyword_drop_token1] = ACTIONS(1609),
    [aux_sym__keyword_delete_token1] = ACTIONS(1609),
    [aux_sym__keyword_begin_token1] = ACTIONS(1609),
    [aux_sym__keyword_end_token1] = ACTIONS(1609),
    [aux_sym__keyword_between_token1] = ACTIONS(1609),
    [aux_sym__keyword_when_token1] = ACTIONS(1609),
    [aux_sym__keyword_else_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1609),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1609),
    [aux_sym__keyword_like_token1] = ACTIONS(1609),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1609),
    [aux_sym__keyword_for_token1] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1609),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1609),
    [aux_sym_return_statement_token1] = ACTIONS(1609),
    [aux_sym_call_statement_token1] = ACTIONS(1609),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1609),
    [aux_sym_if_statement_token1] = ACTIONS(1609),
    [aux_sym_loop_statement_token1] = ACTIONS(1609),
    [aux_sym_repeat_statement_token1] = ACTIONS(1609),
    [aux_sym_while_statement_token1] = ACTIONS(1609),
    [aux_sym_break_statement_token1] = ACTIONS(1609),
    [aux_sym_leave_statement_token1] = ACTIONS(1609),
    [aux_sym_continue_statement_token1] = ACTIONS(1609),
    [aux_sym_iterate_statement_token1] = ACTIONS(1609),
    [aux_sym_raise_statement_token1] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1609),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1609),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_set_operation_token1] = ACTIONS(1609),
    [aux_sym_set_operation_token3] = ACTIONS(1609),
    [aux_sym_set_operation_token4] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1609),
    [aux_sym_limit_clause_token1] = ACTIONS(1609),
    [aux_sym__direction_keywords_token1] = ACTIONS(1609),
    [aux_sym__direction_keywords_token2] = ACTIONS(1609),
    [aux_sym__nulls_preference_token1] = ACTIONS(1609),
    [aux_sym_insert_statement_token1] = ACTIONS(1609),
    [aux_sym_truncate_statement_token1] = ACTIONS(1609),
    [aux_sym_update_statement_token1] = ACTIONS(1609),
    [aux_sym_merge_statement_token1] = ACTIONS(1609),
    [aux_sym_grant_statement_token1] = ACTIONS(1609),
    [aux_sym_revoke_statement_token1] = ACTIONS(1609),
    [aux_sym_export_data_statement_token1] = ACTIONS(1609),
    [aux_sym_load_data_statement_token1] = ACTIONS(1609),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [3246] = {
    [ts_builtin_sym_end] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1605),
    [aux_sym_keyword_replace_token1] = ACTIONS(1605),
    [aux_sym__keyword_alter_token1] = ACTIONS(1605),
    [aux_sym__keyword_create_token1] = ACTIONS(1605),
    [aux_sym__keyword_drop_token1] = ACTIONS(1605),
    [aux_sym__keyword_delete_token1] = ACTIONS(1605),
    [aux_sym__keyword_begin_token1] = ACTIONS(1605),
    [aux_sym__keyword_end_token1] = ACTIONS(1605),
    [aux_sym__keyword_between_token1] = ACTIONS(1605),
    [aux_sym__keyword_when_token1] = ACTIONS(1605),
    [aux_sym__keyword_else_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1605),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1605),
    [aux_sym__keyword_like_token1] = ACTIONS(1605),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1605),
    [aux_sym__keyword_for_token1] = ACTIONS(1605),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1605),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1605),
    [aux_sym_return_statement_token1] = ACTIONS(1605),
    [aux_sym_call_statement_token1] = ACTIONS(1605),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1605),
    [aux_sym_if_statement_token1] = ACTIONS(1605),
    [aux_sym_loop_statement_token1] = ACTIONS(1605),
    [aux_sym_repeat_statement_token1] = ACTIONS(1605),
    [aux_sym_while_statement_token1] = ACTIONS(1605),
    [aux_sym_break_statement_token1] = ACTIONS(1605),
    [aux_sym_leave_statement_token1] = ACTIONS(1605),
    [aux_sym_continue_statement_token1] = ACTIONS(1605),
    [aux_sym_iterate_statement_token1] = ACTIONS(1605),
    [aux_sym_raise_statement_token1] = ACTIONS(1605),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1605),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1605),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_set_operation_token1] = ACTIONS(1605),
    [aux_sym_set_operation_token3] = ACTIONS(1605),
    [aux_sym_set_operation_token4] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1605),
    [aux_sym_limit_clause_token1] = ACTIONS(1605),
    [aux_sym__direction_keywords_token1] = ACTIONS(1605),
    [aux_sym__direction_keywords_token2] = ACTIONS(1605),
    [aux_sym__nulls_preference_token1] = ACTIONS(1605),
    [aux_sym_insert_statement_token1] = ACTIONS(1605),
    [aux_sym_truncate_statement_token1] = ACTIONS(1605),
    [aux_sym_update_statement_token1] = ACTIONS(1605),
    [aux_sym_merge_statement_token1] = ACTIONS(1605),
    [aux_sym_grant_statement_token1] = ACTIONS(1605),
    [aux_sym_revoke_statement_token1] = ACTIONS(1605),
    [aux_sym_export_data_statement_token1] = ACTIONS(1605),
    [aux_sym_load_data_statement_token1] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [3247] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1601),
    [aux_sym_keyword_replace_token1] = ACTIONS(1601),
    [aux_sym__keyword_alter_token1] = ACTIONS(1601),
    [aux_sym__keyword_create_token1] = ACTIONS(1601),
    [aux_sym__keyword_drop_token1] = ACTIONS(1601),
    [aux_sym__keyword_delete_token1] = ACTIONS(1601),
    [aux_sym__keyword_begin_token1] = ACTIONS(1601),
    [aux_sym__keyword_end_token1] = ACTIONS(1601),
    [aux_sym__keyword_between_token1] = ACTIONS(1601),
    [aux_sym__keyword_when_token1] = ACTIONS(1601),
    [aux_sym__keyword_else_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1601),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1601),
    [aux_sym__keyword_like_token1] = ACTIONS(1601),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1601),
    [aux_sym__keyword_for_token1] = ACTIONS(1601),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1601),
    [aux_sym_return_statement_token1] = ACTIONS(1601),
    [aux_sym_call_statement_token1] = ACTIONS(1601),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1601),
    [aux_sym_if_statement_token1] = ACTIONS(1601),
    [aux_sym_loop_statement_token1] = ACTIONS(1601),
    [aux_sym_repeat_statement_token1] = ACTIONS(1601),
    [aux_sym_while_statement_token1] = ACTIONS(1601),
    [aux_sym_break_statement_token1] = ACTIONS(1601),
    [aux_sym_leave_statement_token1] = ACTIONS(1601),
    [aux_sym_continue_statement_token1] = ACTIONS(1601),
    [aux_sym_iterate_statement_token1] = ACTIONS(1601),
    [aux_sym_raise_statement_token1] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1601),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1601),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_set_operation_token1] = ACTIONS(1601),
    [aux_sym_set_operation_token3] = ACTIONS(1601),
    [aux_sym_set_operation_token4] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1601),
    [aux_sym_limit_clause_token1] = ACTIONS(1601),
    [aux_sym__direction_keywords_token1] = ACTIONS(1601),
    [aux_sym__direction_keywords_token2] = ACTIONS(1601),
    [aux_sym__nulls_preference_token1] = ACTIONS(1601),
    [aux_sym_insert_statement_token1] = ACTIONS(1601),
    [aux_sym_truncate_statement_token1] = ACTIONS(1601),
    [aux_sym_update_statement_token1] = ACTIONS(1601),
    [aux_sym_merge_statement_token1] = ACTIONS(1601),
    [aux_sym_grant_statement_token1] = ACTIONS(1601),
    [aux_sym_revoke_statement_token1] = ACTIONS(1601),
    [aux_sym_export_data_statement_token1] = ACTIONS(1601),
    [aux_sym_load_data_statement_token1] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [3248] = {
    [ts_builtin_sym_end] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1597),
    [aux_sym_keyword_replace_token1] = ACTIONS(1597),
    [aux_sym__keyword_alter_token1] = ACTIONS(1597),
    [aux_sym__keyword_create_token1] = ACTIONS(1597),
    [aux_sym__keyword_drop_token1] = ACTIONS(1597),
    [aux_sym__keyword_delete_token1] = ACTIONS(1597),
    [aux_sym__keyword_begin_token1] = ACTIONS(1597),
    [aux_sym__keyword_end_token1] = ACTIONS(1597),
    [aux_sym__keyword_between_token1] = ACTIONS(1597),
    [aux_sym__keyword_when_token1] = ACTIONS(1597),
    [aux_sym__keyword_else_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1597),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1597),
    [aux_sym__keyword_like_token1] = ACTIONS(1597),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1597),
    [aux_sym__keyword_for_token1] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1597),
    [anon_sym_COMMA] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1597),
    [aux_sym_return_statement_token1] = ACTIONS(1597),
    [aux_sym_call_statement_token1] = ACTIONS(1597),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1597),
    [aux_sym_if_statement_token1] = ACTIONS(1597),
    [aux_sym_loop_statement_token1] = ACTIONS(1597),
    [aux_sym_repeat_statement_token1] = ACTIONS(1597),
    [aux_sym_while_statement_token1] = ACTIONS(1597),
    [aux_sym_break_statement_token1] = ACTIONS(1597),
    [aux_sym_leave_statement_token1] = ACTIONS(1597),
    [aux_sym_continue_statement_token1] = ACTIONS(1597),
    [aux_sym_iterate_statement_token1] = ACTIONS(1597),
    [aux_sym_raise_statement_token1] = ACTIONS(1597),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1597),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_set_operation_token1] = ACTIONS(1597),
    [aux_sym_set_operation_token3] = ACTIONS(1597),
    [aux_sym_set_operation_token4] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1597),
    [aux_sym_limit_clause_token1] = ACTIONS(1597),
    [aux_sym__direction_keywords_token1] = ACTIONS(1597),
    [aux_sym__direction_keywords_token2] = ACTIONS(1597),
    [aux_sym__nulls_preference_token1] = ACTIONS(1597),
    [aux_sym_insert_statement_token1] = ACTIONS(1597),
    [aux_sym_truncate_statement_token1] = ACTIONS(1597),
    [aux_sym_update_statement_token1] = ACTIONS(1597),
    [aux_sym_merge_statement_token1] = ACTIONS(1597),
    [aux_sym_grant_statement_token1] = ACTIONS(1597),
    [aux_sym_revoke_statement_token1] = ACTIONS(1597),
    [aux_sym_export_data_statement_token1] = ACTIONS(1597),
    [aux_sym_load_data_statement_token1] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [3249] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1375),
    [aux_sym_set_operation_token3] = ACTIONS(1375),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_limit_clause_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token1] = ACTIONS(1375),
    [aux_sym__direction_keywords_token2] = ACTIONS(1375),
    [aux_sym__nulls_preference_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3250] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1697),
    [aux_sym_keyword_replace_token1] = ACTIONS(1697),
    [aux_sym__keyword_alter_token1] = ACTIONS(1697),
    [aux_sym__keyword_create_token1] = ACTIONS(1697),
    [aux_sym__keyword_drop_token1] = ACTIONS(1697),
    [aux_sym__keyword_delete_token1] = ACTIONS(1697),
    [aux_sym__keyword_begin_token1] = ACTIONS(1697),
    [aux_sym__keyword_end_token1] = ACTIONS(1697),
    [aux_sym__keyword_between_token1] = ACTIONS(1697),
    [aux_sym__keyword_when_token1] = ACTIONS(1697),
    [aux_sym__keyword_else_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1697),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1697),
    [aux_sym__keyword_like_token1] = ACTIONS(1697),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1697),
    [aux_sym__keyword_for_token1] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1697),
    [aux_sym_return_statement_token1] = ACTIONS(1697),
    [aux_sym_call_statement_token1] = ACTIONS(1697),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1697),
    [aux_sym_if_statement_token1] = ACTIONS(1697),
    [aux_sym_loop_statement_token1] = ACTIONS(1697),
    [aux_sym_repeat_statement_token1] = ACTIONS(1697),
    [aux_sym_while_statement_token1] = ACTIONS(1697),
    [aux_sym_break_statement_token1] = ACTIONS(1697),
    [aux_sym_leave_statement_token1] = ACTIONS(1697),
    [aux_sym_continue_statement_token1] = ACTIONS(1697),
    [aux_sym_iterate_statement_token1] = ACTIONS(1697),
    [aux_sym_raise_statement_token1] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1697),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_set_operation_token1] = ACTIONS(1697),
    [aux_sym_set_operation_token3] = ACTIONS(1697),
    [aux_sym_set_operation_token4] = ACTIONS(1699),
    [aux_sym_select_token1] = ACTIONS(1697),
    [aux_sym_limit_clause_token1] = ACTIONS(1697),
    [aux_sym__direction_keywords_token1] = ACTIONS(1697),
    [aux_sym__direction_keywords_token2] = ACTIONS(1697),
    [aux_sym__nulls_preference_token1] = ACTIONS(1697),
    [aux_sym_insert_statement_token1] = ACTIONS(1697),
    [aux_sym_truncate_statement_token1] = ACTIONS(1697),
    [aux_sym_update_statement_token1] = ACTIONS(1697),
    [aux_sym_merge_statement_token1] = ACTIONS(1697),
    [aux_sym_grant_statement_token1] = ACTIONS(1697),
    [aux_sym_revoke_statement_token1] = ACTIONS(1697),
    [aux_sym_export_data_statement_token1] = ACTIONS(1697),
    [aux_sym_load_data_statement_token1] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [3251] = {
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1461),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_when_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1461),
    [aux_sym_set_operation_token3] = ACTIONS(1461),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_limit_clause_token1] = ACTIONS(1461),
    [aux_sym__direction_keywords_token1] = ACTIONS(1461),
    [aux_sym__direction_keywords_token2] = ACTIONS(1461),
    [aux_sym__nulls_preference_token1] = ACTIONS(1461),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [3252] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1809),
    [aux_sym_keyword_replace_token1] = ACTIONS(1809),
    [aux_sym__keyword_alter_token1] = ACTIONS(1809),
    [aux_sym__keyword_create_token1] = ACTIONS(1809),
    [aux_sym__keyword_drop_token1] = ACTIONS(1809),
    [aux_sym__keyword_delete_token1] = ACTIONS(1809),
    [aux_sym__keyword_begin_token1] = ACTIONS(1809),
    [aux_sym__keyword_end_token1] = ACTIONS(1809),
    [aux_sym__keyword_between_token1] = ACTIONS(1809),
    [aux_sym__keyword_when_token1] = ACTIONS(1809),
    [aux_sym__keyword_else_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1809),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1809),
    [aux_sym__keyword_like_token1] = ACTIONS(1809),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1809),
    [aux_sym__keyword_for_token1] = ACTIONS(1809),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1809),
    [anon_sym_COMMA] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1809),
    [aux_sym_return_statement_token1] = ACTIONS(1809),
    [aux_sym_call_statement_token1] = ACTIONS(1809),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1809),
    [aux_sym_if_statement_token1] = ACTIONS(1809),
    [aux_sym_loop_statement_token1] = ACTIONS(1809),
    [aux_sym_repeat_statement_token1] = ACTIONS(1809),
    [aux_sym_while_statement_token1] = ACTIONS(1809),
    [aux_sym_break_statement_token1] = ACTIONS(1809),
    [aux_sym_leave_statement_token1] = ACTIONS(1809),
    [aux_sym_continue_statement_token1] = ACTIONS(1809),
    [aux_sym_iterate_statement_token1] = ACTIONS(1809),
    [aux_sym_raise_statement_token1] = ACTIONS(1809),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1809),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_set_operation_token1] = ACTIONS(1809),
    [aux_sym_set_operation_token3] = ACTIONS(1809),
    [aux_sym_set_operation_token4] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1809),
    [aux_sym_limit_clause_token1] = ACTIONS(1809),
    [aux_sym__direction_keywords_token1] = ACTIONS(1809),
    [aux_sym__direction_keywords_token2] = ACTIONS(1809),
    [aux_sym__nulls_preference_token1] = ACTIONS(1809),
    [aux_sym_insert_statement_token1] = ACTIONS(1809),
    [aux_sym_truncate_statement_token1] = ACTIONS(1809),
    [aux_sym_update_statement_token1] = ACTIONS(1809),
    [aux_sym_merge_statement_token1] = ACTIONS(1809),
    [aux_sym_grant_statement_token1] = ACTIONS(1809),
    [aux_sym_revoke_statement_token1] = ACTIONS(1809),
    [aux_sym_export_data_statement_token1] = ACTIONS(1809),
    [aux_sym_load_data_statement_token1] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [3253] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1799),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_when_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1799),
    [aux_sym_set_operation_token3] = ACTIONS(1799),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_limit_clause_token1] = ACTIONS(1799),
    [aux_sym__direction_keywords_token1] = ACTIONS(1799),
    [aux_sym__direction_keywords_token2] = ACTIONS(1799),
    [aux_sym__nulls_preference_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [3254] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1833),
    [aux_sym_keyword_replace_token1] = ACTIONS(1833),
    [aux_sym__keyword_alter_token1] = ACTIONS(1833),
    [aux_sym__keyword_create_token1] = ACTIONS(1833),
    [aux_sym__keyword_drop_token1] = ACTIONS(1833),
    [aux_sym__keyword_delete_token1] = ACTIONS(1833),
    [aux_sym__keyword_begin_token1] = ACTIONS(1833),
    [aux_sym__keyword_end_token1] = ACTIONS(1833),
    [aux_sym__keyword_between_token1] = ACTIONS(1833),
    [aux_sym__keyword_when_token1] = ACTIONS(1833),
    [aux_sym__keyword_else_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1833),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1833),
    [aux_sym__keyword_like_token1] = ACTIONS(1833),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1833),
    [aux_sym__keyword_for_token1] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1833),
    [anon_sym_COMMA] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1833),
    [aux_sym_return_statement_token1] = ACTIONS(1833),
    [aux_sym_call_statement_token1] = ACTIONS(1833),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1833),
    [aux_sym_if_statement_token1] = ACTIONS(1833),
    [aux_sym_loop_statement_token1] = ACTIONS(1833),
    [aux_sym_repeat_statement_token1] = ACTIONS(1833),
    [aux_sym_while_statement_token1] = ACTIONS(1833),
    [aux_sym_break_statement_token1] = ACTIONS(1833),
    [aux_sym_leave_statement_token1] = ACTIONS(1833),
    [aux_sym_continue_statement_token1] = ACTIONS(1833),
    [aux_sym_iterate_statement_token1] = ACTIONS(1833),
    [aux_sym_raise_statement_token1] = ACTIONS(1833),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1833),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1833),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_set_operation_token1] = ACTIONS(1833),
    [aux_sym_set_operation_token3] = ACTIONS(1833),
    [aux_sym_set_operation_token4] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1833),
    [aux_sym_limit_clause_token1] = ACTIONS(1833),
    [aux_sym__direction_keywords_token1] = ACTIONS(1833),
    [aux_sym__direction_keywords_token2] = ACTIONS(1833),
    [aux_sym__nulls_preference_token1] = ACTIONS(1833),
    [aux_sym_insert_statement_token1] = ACTIONS(1833),
    [aux_sym_truncate_statement_token1] = ACTIONS(1833),
    [aux_sym_update_statement_token1] = ACTIONS(1833),
    [aux_sym_merge_statement_token1] = ACTIONS(1833),
    [aux_sym_grant_statement_token1] = ACTIONS(1833),
    [aux_sym_revoke_statement_token1] = ACTIONS(1833),
    [aux_sym_export_data_statement_token1] = ACTIONS(1833),
    [aux_sym_load_data_statement_token1] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [3255] = {
    [ts_builtin_sym_end] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1837),
    [aux_sym_keyword_replace_token1] = ACTIONS(1837),
    [aux_sym__keyword_alter_token1] = ACTIONS(1837),
    [aux_sym__keyword_create_token1] = ACTIONS(1837),
    [aux_sym__keyword_drop_token1] = ACTIONS(1837),
    [aux_sym__keyword_delete_token1] = ACTIONS(1837),
    [aux_sym__keyword_begin_token1] = ACTIONS(1837),
    [aux_sym__keyword_end_token1] = ACTIONS(1837),
    [aux_sym__keyword_between_token1] = ACTIONS(1837),
    [aux_sym__keyword_when_token1] = ACTIONS(1837),
    [aux_sym__keyword_else_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1837),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1837),
    [aux_sym__keyword_like_token1] = ACTIONS(1837),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1837),
    [aux_sym__keyword_for_token1] = ACTIONS(1837),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1837),
    [anon_sym_COMMA] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1837),
    [aux_sym_return_statement_token1] = ACTIONS(1837),
    [aux_sym_call_statement_token1] = ACTIONS(1837),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1837),
    [aux_sym_if_statement_token1] = ACTIONS(1837),
    [aux_sym_loop_statement_token1] = ACTIONS(1837),
    [aux_sym_repeat_statement_token1] = ACTIONS(1837),
    [aux_sym_while_statement_token1] = ACTIONS(1837),
    [aux_sym_break_statement_token1] = ACTIONS(1837),
    [aux_sym_leave_statement_token1] = ACTIONS(1837),
    [aux_sym_continue_statement_token1] = ACTIONS(1837),
    [aux_sym_iterate_statement_token1] = ACTIONS(1837),
    [aux_sym_raise_statement_token1] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1837),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1837),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_set_operation_token1] = ACTIONS(1837),
    [aux_sym_set_operation_token3] = ACTIONS(1837),
    [aux_sym_set_operation_token4] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1837),
    [aux_sym_limit_clause_token1] = ACTIONS(1837),
    [aux_sym__direction_keywords_token1] = ACTIONS(1837),
    [aux_sym__direction_keywords_token2] = ACTIONS(1837),
    [aux_sym__nulls_preference_token1] = ACTIONS(1837),
    [aux_sym_insert_statement_token1] = ACTIONS(1837),
    [aux_sym_truncate_statement_token1] = ACTIONS(1837),
    [aux_sym_update_statement_token1] = ACTIONS(1837),
    [aux_sym_merge_statement_token1] = ACTIONS(1837),
    [aux_sym_grant_statement_token1] = ACTIONS(1837),
    [aux_sym_revoke_statement_token1] = ACTIONS(1837),
    [aux_sym_export_data_statement_token1] = ACTIONS(1837),
    [aux_sym_load_data_statement_token1] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [3256] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1841),
    [aux_sym_keyword_replace_token1] = ACTIONS(1841),
    [aux_sym__keyword_alter_token1] = ACTIONS(1841),
    [aux_sym__keyword_create_token1] = ACTIONS(1841),
    [aux_sym__keyword_drop_token1] = ACTIONS(1841),
    [aux_sym__keyword_delete_token1] = ACTIONS(1841),
    [aux_sym__keyword_begin_token1] = ACTIONS(1841),
    [aux_sym__keyword_end_token1] = ACTIONS(1841),
    [aux_sym__keyword_between_token1] = ACTIONS(1841),
    [aux_sym__keyword_when_token1] = ACTIONS(1841),
    [aux_sym__keyword_else_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1841),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1841),
    [aux_sym__keyword_like_token1] = ACTIONS(1841),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1841),
    [aux_sym__keyword_for_token1] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1841),
    [aux_sym_return_statement_token1] = ACTIONS(1841),
    [aux_sym_call_statement_token1] = ACTIONS(1841),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1841),
    [aux_sym_if_statement_token1] = ACTIONS(1841),
    [aux_sym_loop_statement_token1] = ACTIONS(1841),
    [aux_sym_repeat_statement_token1] = ACTIONS(1841),
    [aux_sym_while_statement_token1] = ACTIONS(1841),
    [aux_sym_break_statement_token1] = ACTIONS(1841),
    [aux_sym_leave_statement_token1] = ACTIONS(1841),
    [aux_sym_continue_statement_token1] = ACTIONS(1841),
    [aux_sym_iterate_statement_token1] = ACTIONS(1841),
    [aux_sym_raise_statement_token1] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1841),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_set_operation_token1] = ACTIONS(1841),
    [aux_sym_set_operation_token3] = ACTIONS(1841),
    [aux_sym_set_operation_token4] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1841),
    [aux_sym_limit_clause_token1] = ACTIONS(1841),
    [aux_sym__direction_keywords_token1] = ACTIONS(1841),
    [aux_sym__direction_keywords_token2] = ACTIONS(1841),
    [aux_sym__nulls_preference_token1] = ACTIONS(1841),
    [aux_sym_insert_statement_token1] = ACTIONS(1841),
    [aux_sym_truncate_statement_token1] = ACTIONS(1841),
    [aux_sym_update_statement_token1] = ACTIONS(1841),
    [aux_sym_merge_statement_token1] = ACTIONS(1841),
    [aux_sym_grant_statement_token1] = ACTIONS(1841),
    [aux_sym_revoke_statement_token1] = ACTIONS(1841),
    [aux_sym_export_data_statement_token1] = ACTIONS(1841),
    [aux_sym_load_data_statement_token1] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [3257] = {
    [sym_analytics_clause] = STATE(3581),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3258] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_end_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_else_token1] = ACTIONS(1227),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_as_token1] = ACTIONS(1227),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1225),
    [aux_sym_if_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_repeat_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3259] = {
    [sym_analytics_clause] = STATE(3582),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(3199),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3260] = {
    [ts_builtin_sym_end] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1849),
    [aux_sym_keyword_replace_token1] = ACTIONS(1849),
    [aux_sym__keyword_alter_token1] = ACTIONS(1849),
    [aux_sym__keyword_create_token1] = ACTIONS(1849),
    [aux_sym__keyword_drop_token1] = ACTIONS(1849),
    [aux_sym__keyword_delete_token1] = ACTIONS(1849),
    [aux_sym__keyword_begin_token1] = ACTIONS(1849),
    [aux_sym__keyword_end_token1] = ACTIONS(1849),
    [aux_sym__keyword_between_token1] = ACTIONS(1849),
    [aux_sym__keyword_when_token1] = ACTIONS(1849),
    [aux_sym__keyword_else_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1849),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1849),
    [aux_sym__keyword_like_token1] = ACTIONS(1849),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1849),
    [aux_sym__keyword_for_token1] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1849),
    [aux_sym_return_statement_token1] = ACTIONS(1849),
    [aux_sym_call_statement_token1] = ACTIONS(1849),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1849),
    [aux_sym_if_statement_token1] = ACTIONS(1849),
    [aux_sym_loop_statement_token1] = ACTIONS(1849),
    [aux_sym_repeat_statement_token1] = ACTIONS(1849),
    [aux_sym_while_statement_token1] = ACTIONS(1849),
    [aux_sym_break_statement_token1] = ACTIONS(1849),
    [aux_sym_leave_statement_token1] = ACTIONS(1849),
    [aux_sym_continue_statement_token1] = ACTIONS(1849),
    [aux_sym_iterate_statement_token1] = ACTIONS(1849),
    [aux_sym_raise_statement_token1] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1849),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_set_operation_token1] = ACTIONS(1849),
    [aux_sym_set_operation_token3] = ACTIONS(1849),
    [aux_sym_set_operation_token4] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1849),
    [aux_sym_limit_clause_token1] = ACTIONS(1849),
    [aux_sym__direction_keywords_token1] = ACTIONS(1849),
    [aux_sym__direction_keywords_token2] = ACTIONS(1849),
    [aux_sym__nulls_preference_token1] = ACTIONS(1849),
    [aux_sym_insert_statement_token1] = ACTIONS(1849),
    [aux_sym_truncate_statement_token1] = ACTIONS(1849),
    [aux_sym_update_statement_token1] = ACTIONS(1849),
    [aux_sym_merge_statement_token1] = ACTIONS(1849),
    [aux_sym_grant_statement_token1] = ACTIONS(1849),
    [aux_sym_revoke_statement_token1] = ACTIONS(1849),
    [aux_sym_export_data_statement_token1] = ACTIONS(1849),
    [aux_sym_load_data_statement_token1] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [3261] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1853),
    [aux_sym_keyword_replace_token1] = ACTIONS(1853),
    [aux_sym__keyword_alter_token1] = ACTIONS(1853),
    [aux_sym__keyword_create_token1] = ACTIONS(1853),
    [aux_sym__keyword_drop_token1] = ACTIONS(1853),
    [aux_sym__keyword_delete_token1] = ACTIONS(1853),
    [aux_sym__keyword_begin_token1] = ACTIONS(1853),
    [aux_sym__keyword_end_token1] = ACTIONS(1853),
    [aux_sym__keyword_between_token1] = ACTIONS(1853),
    [aux_sym__keyword_when_token1] = ACTIONS(1853),
    [aux_sym__keyword_else_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1853),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1853),
    [aux_sym__keyword_like_token1] = ACTIONS(1853),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1853),
    [aux_sym__keyword_for_token1] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1853),
    [aux_sym_return_statement_token1] = ACTIONS(1853),
    [aux_sym_call_statement_token1] = ACTIONS(1853),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1853),
    [aux_sym_if_statement_token1] = ACTIONS(1853),
    [aux_sym_loop_statement_token1] = ACTIONS(1853),
    [aux_sym_repeat_statement_token1] = ACTIONS(1853),
    [aux_sym_while_statement_token1] = ACTIONS(1853),
    [aux_sym_break_statement_token1] = ACTIONS(1853),
    [aux_sym_leave_statement_token1] = ACTIONS(1853),
    [aux_sym_continue_statement_token1] = ACTIONS(1853),
    [aux_sym_iterate_statement_token1] = ACTIONS(1853),
    [aux_sym_raise_statement_token1] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1853),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_set_operation_token1] = ACTIONS(1853),
    [aux_sym_set_operation_token3] = ACTIONS(1853),
    [aux_sym_set_operation_token4] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1853),
    [aux_sym_limit_clause_token1] = ACTIONS(1853),
    [aux_sym__direction_keywords_token1] = ACTIONS(1853),
    [aux_sym__direction_keywords_token2] = ACTIONS(1853),
    [aux_sym__nulls_preference_token1] = ACTIONS(1853),
    [aux_sym_insert_statement_token1] = ACTIONS(1853),
    [aux_sym_truncate_statement_token1] = ACTIONS(1853),
    [aux_sym_update_statement_token1] = ACTIONS(1853),
    [aux_sym_merge_statement_token1] = ACTIONS(1853),
    [aux_sym_grant_statement_token1] = ACTIONS(1853),
    [aux_sym_revoke_statement_token1] = ACTIONS(1853),
    [aux_sym_export_data_statement_token1] = ACTIONS(1853),
    [aux_sym_load_data_statement_token1] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [3262] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1633),
    [aux_sym_keyword_replace_token1] = ACTIONS(1633),
    [aux_sym__keyword_alter_token1] = ACTIONS(1633),
    [aux_sym__keyword_create_token1] = ACTIONS(1633),
    [aux_sym__keyword_drop_token1] = ACTIONS(1633),
    [aux_sym__keyword_delete_token1] = ACTIONS(1633),
    [aux_sym__keyword_begin_token1] = ACTIONS(1633),
    [aux_sym__keyword_end_token1] = ACTIONS(1633),
    [aux_sym__keyword_between_token1] = ACTIONS(1633),
    [aux_sym__keyword_when_token1] = ACTIONS(1633),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1633),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1633),
    [aux_sym__keyword_like_token1] = ACTIONS(1633),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1633),
    [aux_sym__keyword_for_token1] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1633),
    [aux_sym_return_statement_token1] = ACTIONS(1633),
    [aux_sym_call_statement_token1] = ACTIONS(1633),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1633),
    [aux_sym_if_statement_token1] = ACTIONS(1633),
    [aux_sym_loop_statement_token1] = ACTIONS(1633),
    [aux_sym_repeat_statement_token1] = ACTIONS(1633),
    [aux_sym_while_statement_token1] = ACTIONS(1633),
    [aux_sym_break_statement_token1] = ACTIONS(1633),
    [aux_sym_leave_statement_token1] = ACTIONS(1633),
    [aux_sym_continue_statement_token1] = ACTIONS(1633),
    [aux_sym_iterate_statement_token1] = ACTIONS(1633),
    [aux_sym_raise_statement_token1] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1633),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_set_operation_token1] = ACTIONS(1633),
    [aux_sym_set_operation_token3] = ACTIONS(1633),
    [aux_sym_set_operation_token4] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1633),
    [aux_sym_limit_clause_token1] = ACTIONS(1633),
    [aux_sym__direction_keywords_token1] = ACTIONS(1633),
    [aux_sym__direction_keywords_token2] = ACTIONS(1633),
    [aux_sym__nulls_preference_token1] = ACTIONS(1633),
    [aux_sym_insert_statement_token1] = ACTIONS(1633),
    [aux_sym_truncate_statement_token1] = ACTIONS(1633),
    [aux_sym_update_statement_token1] = ACTIONS(1633),
    [aux_sym_merge_statement_token1] = ACTIONS(1633),
    [aux_sym_grant_statement_token1] = ACTIONS(1633),
    [aux_sym_revoke_statement_token1] = ACTIONS(1633),
    [aux_sym_export_data_statement_token1] = ACTIONS(1633),
    [aux_sym_load_data_statement_token1] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [3263] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3264] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1669),
    [aux_sym_keyword_replace_token1] = ACTIONS(1669),
    [aux_sym__keyword_alter_token1] = ACTIONS(1669),
    [aux_sym__keyword_create_token1] = ACTIONS(1669),
    [aux_sym__keyword_drop_token1] = ACTIONS(1669),
    [aux_sym__keyword_delete_token1] = ACTIONS(1669),
    [aux_sym__keyword_begin_token1] = ACTIONS(1669),
    [aux_sym__keyword_end_token1] = ACTIONS(1669),
    [aux_sym__keyword_between_token1] = ACTIONS(1669),
    [aux_sym__keyword_when_token1] = ACTIONS(1669),
    [aux_sym__keyword_else_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1669),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1669),
    [aux_sym__keyword_like_token1] = ACTIONS(1669),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1669),
    [aux_sym__keyword_for_token1] = ACTIONS(1669),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1669),
    [aux_sym_return_statement_token1] = ACTIONS(1669),
    [aux_sym_call_statement_token1] = ACTIONS(1669),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1669),
    [aux_sym_if_statement_token1] = ACTIONS(1669),
    [aux_sym_loop_statement_token1] = ACTIONS(1669),
    [aux_sym_repeat_statement_token1] = ACTIONS(1669),
    [aux_sym_while_statement_token1] = ACTIONS(1669),
    [aux_sym_break_statement_token1] = ACTIONS(1669),
    [aux_sym_leave_statement_token1] = ACTIONS(1669),
    [aux_sym_continue_statement_token1] = ACTIONS(1669),
    [aux_sym_iterate_statement_token1] = ACTIONS(1669),
    [aux_sym_raise_statement_token1] = ACTIONS(1669),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1669),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1669),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_set_operation_token1] = ACTIONS(1669),
    [aux_sym_set_operation_token3] = ACTIONS(1669),
    [aux_sym_set_operation_token4] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1669),
    [aux_sym_limit_clause_token1] = ACTIONS(1669),
    [aux_sym__direction_keywords_token1] = ACTIONS(1669),
    [aux_sym__direction_keywords_token2] = ACTIONS(1669),
    [aux_sym__nulls_preference_token1] = ACTIONS(1669),
    [aux_sym_insert_statement_token1] = ACTIONS(1669),
    [aux_sym_truncate_statement_token1] = ACTIONS(1669),
    [aux_sym_update_statement_token1] = ACTIONS(1669),
    [aux_sym_merge_statement_token1] = ACTIONS(1669),
    [aux_sym_grant_statement_token1] = ACTIONS(1669),
    [aux_sym_revoke_statement_token1] = ACTIONS(1669),
    [aux_sym_export_data_statement_token1] = ACTIONS(1669),
    [aux_sym_load_data_statement_token1] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [3265] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1517),
    [aux_sym_set_operation_token3] = ACTIONS(1517),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_limit_clause_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token1] = ACTIONS(1517),
    [aux_sym__direction_keywords_token2] = ACTIONS(1517),
    [aux_sym__nulls_preference_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3266] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3267] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3268] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_end_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_else_token1] = ACTIONS(1209),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_as_token1] = ACTIONS(1209),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1207),
    [aux_sym_if_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_repeat_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3269] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_end_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_else_token1] = ACTIONS(1167),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_as_token1] = ACTIONS(1167),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1165),
    [aux_sym_if_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_repeat_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3270] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1481),
    [aux_sym_set_operation_token3] = ACTIONS(1481),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_limit_clause_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token1] = ACTIONS(1481),
    [aux_sym__direction_keywords_token2] = ACTIONS(1481),
    [aux_sym__nulls_preference_token1] = ACTIONS(1481),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3271] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3272] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1489),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_when_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1489),
    [aux_sym_set_operation_token3] = ACTIONS(1489),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_limit_clause_token1] = ACTIONS(1489),
    [aux_sym__direction_keywords_token1] = ACTIONS(1489),
    [aux_sym__direction_keywords_token2] = ACTIONS(1489),
    [aux_sym__nulls_preference_token1] = ACTIONS(1489),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [3273] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1501),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_when_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1501),
    [aux_sym_set_operation_token3] = ACTIONS(1501),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_limit_clause_token1] = ACTIONS(1501),
    [aux_sym__direction_keywords_token1] = ACTIONS(1501),
    [aux_sym__direction_keywords_token2] = ACTIONS(1501),
    [aux_sym__nulls_preference_token1] = ACTIONS(1501),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [3274] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3163),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3167),
    [aux_sym__keyword_in_token1] = ACTIONS(3169),
    [aux_sym__keyword_and_token1] = ACTIONS(3171),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3175),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3169),
    [anon_sym_GT] = ACTIONS(3169),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(3175),
    [anon_sym_LT_GT] = ACTIONS(3175),
    [anon_sym_GT_EQ] = ACTIONS(3175),
    [anon_sym_BANG_EQ] = ACTIONS(3175),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3275] = {
    [sym_string] = STATE(3583),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(1973),
  },
  [3276] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1513),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_when_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1513),
    [aux_sym_set_operation_token3] = ACTIONS(1513),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_limit_clause_token1] = ACTIONS(1513),
    [aux_sym__direction_keywords_token1] = ACTIONS(1513),
    [aux_sym__direction_keywords_token2] = ACTIONS(1513),
    [aux_sym__nulls_preference_token1] = ACTIONS(1513),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [3277] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3278] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_end_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_else_token1] = ACTIONS(1223),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_as_token1] = ACTIONS(1223),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1221),
    [aux_sym_if_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_repeat_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3279] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1799),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_when_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_set_operation_token1] = ACTIONS(1799),
    [aux_sym_set_operation_token3] = ACTIONS(1799),
    [aux_sym_set_operation_token4] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_limit_clause_token1] = ACTIONS(1799),
    [aux_sym__direction_keywords_token1] = ACTIONS(1799),
    [aux_sym__direction_keywords_token2] = ACTIONS(1799),
    [aux_sym__nulls_preference_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [3280] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1523),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_set_operation_token1] = ACTIONS(1523),
    [aux_sym_set_operation_token3] = ACTIONS(1523),
    [aux_sym_set_operation_token4] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_limit_clause_token1] = ACTIONS(1523),
    [aux_sym__direction_keywords_token1] = ACTIONS(1523),
    [aux_sym__direction_keywords_token2] = ACTIONS(1523),
    [aux_sym__nulls_preference_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [3281] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1509),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_when_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1509),
    [aux_sym_set_operation_token3] = ACTIONS(1509),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_limit_clause_token1] = ACTIONS(1509),
    [aux_sym__direction_keywords_token1] = ACTIONS(1509),
    [aux_sym__direction_keywords_token2] = ACTIONS(1509),
    [aux_sym__nulls_preference_token1] = ACTIONS(1509),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [3282] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3283] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1497),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_when_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1497),
    [aux_sym_set_operation_token3] = ACTIONS(1497),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_limit_clause_token1] = ACTIONS(1497),
    [aux_sym__direction_keywords_token1] = ACTIONS(1497),
    [aux_sym__direction_keywords_token2] = ACTIONS(1497),
    [aux_sym__nulls_preference_token1] = ACTIONS(1497),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [3284] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1493),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_when_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1493),
    [aux_sym_set_operation_token3] = ACTIONS(1493),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_limit_clause_token1] = ACTIONS(1493),
    [aux_sym__direction_keywords_token1] = ACTIONS(1493),
    [aux_sym__direction_keywords_token2] = ACTIONS(1493),
    [aux_sym__nulls_preference_token1] = ACTIONS(1493),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [3285] = {
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1485),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_when_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1485),
    [aux_sym_set_operation_token3] = ACTIONS(1485),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_limit_clause_token1] = ACTIONS(1485),
    [aux_sym__direction_keywords_token1] = ACTIONS(1485),
    [aux_sym__direction_keywords_token2] = ACTIONS(1485),
    [aux_sym__nulls_preference_token1] = ACTIONS(1485),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [3286] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1751),
    [aux_sym_keyword_replace_token1] = ACTIONS(1751),
    [aux_sym__keyword_alter_token1] = ACTIONS(1751),
    [aux_sym__keyword_create_token1] = ACTIONS(1751),
    [aux_sym__keyword_drop_token1] = ACTIONS(1751),
    [aux_sym__keyword_delete_token1] = ACTIONS(1751),
    [aux_sym__keyword_begin_token1] = ACTIONS(1751),
    [aux_sym__keyword_end_token1] = ACTIONS(1751),
    [aux_sym__keyword_between_token1] = ACTIONS(1751),
    [aux_sym__keyword_when_token1] = ACTIONS(1751),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1751),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1751),
    [aux_sym__keyword_like_token1] = ACTIONS(1751),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1751),
    [aux_sym__keyword_for_token1] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1751),
    [aux_sym_return_statement_token1] = ACTIONS(1751),
    [aux_sym_call_statement_token1] = ACTIONS(1751),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1751),
    [aux_sym_if_statement_token1] = ACTIONS(1751),
    [aux_sym_loop_statement_token1] = ACTIONS(1751),
    [aux_sym_repeat_statement_token1] = ACTIONS(1751),
    [aux_sym_while_statement_token1] = ACTIONS(1751),
    [aux_sym_break_statement_token1] = ACTIONS(1751),
    [aux_sym_leave_statement_token1] = ACTIONS(1751),
    [aux_sym_continue_statement_token1] = ACTIONS(1751),
    [aux_sym_iterate_statement_token1] = ACTIONS(1751),
    [aux_sym_raise_statement_token1] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1751),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_set_operation_token1] = ACTIONS(1751),
    [aux_sym_set_operation_token3] = ACTIONS(1751),
    [aux_sym_set_operation_token4] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1751),
    [aux_sym_limit_clause_token1] = ACTIONS(1751),
    [aux_sym__direction_keywords_token1] = ACTIONS(1751),
    [aux_sym__direction_keywords_token2] = ACTIONS(1751),
    [aux_sym__nulls_preference_token1] = ACTIONS(1751),
    [aux_sym_insert_statement_token1] = ACTIONS(1751),
    [aux_sym_truncate_statement_token1] = ACTIONS(1751),
    [aux_sym_update_statement_token1] = ACTIONS(1751),
    [aux_sym_merge_statement_token1] = ACTIONS(1751),
    [aux_sym_grant_statement_token1] = ACTIONS(1751),
    [aux_sym_revoke_statement_token1] = ACTIONS(1751),
    [aux_sym_export_data_statement_token1] = ACTIONS(1751),
    [aux_sym_load_data_statement_token1] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [3287] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1829),
    [aux_sym_keyword_replace_token1] = ACTIONS(1829),
    [aux_sym__keyword_alter_token1] = ACTIONS(1829),
    [aux_sym__keyword_create_token1] = ACTIONS(1829),
    [aux_sym__keyword_drop_token1] = ACTIONS(1829),
    [aux_sym__keyword_delete_token1] = ACTIONS(1829),
    [aux_sym__keyword_begin_token1] = ACTIONS(1829),
    [aux_sym__keyword_end_token1] = ACTIONS(1829),
    [aux_sym__keyword_between_token1] = ACTIONS(1829),
    [aux_sym__keyword_when_token1] = ACTIONS(1829),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1829),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1829),
    [aux_sym__keyword_like_token1] = ACTIONS(1829),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1829),
    [aux_sym__keyword_for_token1] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1829),
    [aux_sym_return_statement_token1] = ACTIONS(1829),
    [aux_sym_call_statement_token1] = ACTIONS(1829),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1829),
    [aux_sym_if_statement_token1] = ACTIONS(1829),
    [aux_sym_loop_statement_token1] = ACTIONS(1829),
    [aux_sym_repeat_statement_token1] = ACTIONS(1829),
    [aux_sym_while_statement_token1] = ACTIONS(1829),
    [aux_sym_break_statement_token1] = ACTIONS(1829),
    [aux_sym_leave_statement_token1] = ACTIONS(1829),
    [aux_sym_continue_statement_token1] = ACTIONS(1829),
    [aux_sym_iterate_statement_token1] = ACTIONS(1829),
    [aux_sym_raise_statement_token1] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1829),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_set_operation_token1] = ACTIONS(1829),
    [aux_sym_set_operation_token3] = ACTIONS(1829),
    [aux_sym_set_operation_token4] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1829),
    [aux_sym_limit_clause_token1] = ACTIONS(1829),
    [aux_sym__direction_keywords_token1] = ACTIONS(1829),
    [aux_sym__direction_keywords_token2] = ACTIONS(1829),
    [aux_sym__nulls_preference_token1] = ACTIONS(1829),
    [aux_sym_insert_statement_token1] = ACTIONS(1829),
    [aux_sym_truncate_statement_token1] = ACTIONS(1829),
    [aux_sym_update_statement_token1] = ACTIONS(1829),
    [aux_sym_merge_statement_token1] = ACTIONS(1829),
    [aux_sym_grant_statement_token1] = ACTIONS(1829),
    [aux_sym_revoke_statement_token1] = ACTIONS(1829),
    [aux_sym_export_data_statement_token1] = ACTIONS(1829),
    [aux_sym_load_data_statement_token1] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [3288] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1469),
    [aux_sym_set_operation_token3] = ACTIONS(1469),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_limit_clause_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token1] = ACTIONS(1469),
    [aux_sym__direction_keywords_token2] = ACTIONS(1469),
    [aux_sym__nulls_preference_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [3289] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1755),
    [aux_sym_keyword_replace_token1] = ACTIONS(1755),
    [aux_sym__keyword_alter_token1] = ACTIONS(1755),
    [aux_sym__keyword_create_token1] = ACTIONS(1755),
    [aux_sym__keyword_drop_token1] = ACTIONS(1755),
    [aux_sym__keyword_delete_token1] = ACTIONS(1755),
    [aux_sym__keyword_begin_token1] = ACTIONS(1755),
    [aux_sym__keyword_end_token1] = ACTIONS(1755),
    [aux_sym__keyword_between_token1] = ACTIONS(1755),
    [aux_sym__keyword_when_token1] = ACTIONS(1755),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1755),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1755),
    [aux_sym__keyword_like_token1] = ACTIONS(1755),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1755),
    [aux_sym__keyword_for_token1] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1755),
    [aux_sym_return_statement_token1] = ACTIONS(1755),
    [aux_sym_call_statement_token1] = ACTIONS(1755),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1755),
    [aux_sym_if_statement_token1] = ACTIONS(1755),
    [aux_sym_loop_statement_token1] = ACTIONS(1755),
    [aux_sym_repeat_statement_token1] = ACTIONS(1755),
    [aux_sym_while_statement_token1] = ACTIONS(1755),
    [aux_sym_break_statement_token1] = ACTIONS(1755),
    [aux_sym_leave_statement_token1] = ACTIONS(1755),
    [aux_sym_continue_statement_token1] = ACTIONS(1755),
    [aux_sym_iterate_statement_token1] = ACTIONS(1755),
    [aux_sym_raise_statement_token1] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1755),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_set_operation_token1] = ACTIONS(1755),
    [aux_sym_set_operation_token3] = ACTIONS(1755),
    [aux_sym_set_operation_token4] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1755),
    [aux_sym_limit_clause_token1] = ACTIONS(1755),
    [aux_sym__direction_keywords_token1] = ACTIONS(1755),
    [aux_sym__direction_keywords_token2] = ACTIONS(1755),
    [aux_sym__nulls_preference_token1] = ACTIONS(1755),
    [aux_sym_insert_statement_token1] = ACTIONS(1755),
    [aux_sym_truncate_statement_token1] = ACTIONS(1755),
    [aux_sym_update_statement_token1] = ACTIONS(1755),
    [aux_sym_merge_statement_token1] = ACTIONS(1755),
    [aux_sym_grant_statement_token1] = ACTIONS(1755),
    [aux_sym_revoke_statement_token1] = ACTIONS(1755),
    [aux_sym_export_data_statement_token1] = ACTIONS(1755),
    [aux_sym_load_data_statement_token1] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [3290] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1817),
    [aux_sym_keyword_replace_token1] = ACTIONS(1817),
    [aux_sym__keyword_alter_token1] = ACTIONS(1817),
    [aux_sym__keyword_create_token1] = ACTIONS(1817),
    [aux_sym__keyword_drop_token1] = ACTIONS(1817),
    [aux_sym__keyword_delete_token1] = ACTIONS(1817),
    [aux_sym__keyword_begin_token1] = ACTIONS(1817),
    [aux_sym__keyword_end_token1] = ACTIONS(1817),
    [aux_sym__keyword_between_token1] = ACTIONS(1817),
    [aux_sym__keyword_when_token1] = ACTIONS(1817),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1817),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1817),
    [aux_sym__keyword_like_token1] = ACTIONS(1817),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1817),
    [aux_sym__keyword_for_token1] = ACTIONS(1817),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1817),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1817),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1817),
    [aux_sym_return_statement_token1] = ACTIONS(1817),
    [aux_sym_call_statement_token1] = ACTIONS(1817),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1817),
    [aux_sym_if_statement_token1] = ACTIONS(1817),
    [aux_sym_loop_statement_token1] = ACTIONS(1817),
    [aux_sym_repeat_statement_token1] = ACTIONS(1817),
    [aux_sym_while_statement_token1] = ACTIONS(1817),
    [aux_sym_break_statement_token1] = ACTIONS(1817),
    [aux_sym_leave_statement_token1] = ACTIONS(1817),
    [aux_sym_continue_statement_token1] = ACTIONS(1817),
    [aux_sym_iterate_statement_token1] = ACTIONS(1817),
    [aux_sym_raise_statement_token1] = ACTIONS(1817),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1817),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1817),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_set_operation_token1] = ACTIONS(1817),
    [aux_sym_set_operation_token3] = ACTIONS(1817),
    [aux_sym_set_operation_token4] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1817),
    [aux_sym_limit_clause_token1] = ACTIONS(1817),
    [aux_sym__direction_keywords_token1] = ACTIONS(1817),
    [aux_sym__direction_keywords_token2] = ACTIONS(1817),
    [aux_sym__nulls_preference_token1] = ACTIONS(1817),
    [aux_sym_insert_statement_token1] = ACTIONS(1817),
    [aux_sym_truncate_statement_token1] = ACTIONS(1817),
    [aux_sym_update_statement_token1] = ACTIONS(1817),
    [aux_sym_merge_statement_token1] = ACTIONS(1817),
    [aux_sym_grant_statement_token1] = ACTIONS(1817),
    [aux_sym_revoke_statement_token1] = ACTIONS(1817),
    [aux_sym_export_data_statement_token1] = ACTIONS(1817),
    [aux_sym_load_data_statement_token1] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [3291] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1775),
    [aux_sym_keyword_replace_token1] = ACTIONS(1775),
    [aux_sym__keyword_alter_token1] = ACTIONS(1775),
    [aux_sym__keyword_create_token1] = ACTIONS(1775),
    [aux_sym__keyword_drop_token1] = ACTIONS(1775),
    [aux_sym__keyword_delete_token1] = ACTIONS(1775),
    [aux_sym__keyword_begin_token1] = ACTIONS(1775),
    [aux_sym__keyword_end_token1] = ACTIONS(1775),
    [aux_sym__keyword_between_token1] = ACTIONS(1775),
    [aux_sym__keyword_when_token1] = ACTIONS(1775),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1775),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1775),
    [aux_sym__keyword_like_token1] = ACTIONS(1775),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1775),
    [aux_sym__keyword_for_token1] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1775),
    [aux_sym_return_statement_token1] = ACTIONS(1775),
    [aux_sym_call_statement_token1] = ACTIONS(1775),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1775),
    [aux_sym_if_statement_token1] = ACTIONS(1775),
    [aux_sym_loop_statement_token1] = ACTIONS(1775),
    [aux_sym_repeat_statement_token1] = ACTIONS(1775),
    [aux_sym_while_statement_token1] = ACTIONS(1775),
    [aux_sym_break_statement_token1] = ACTIONS(1775),
    [aux_sym_leave_statement_token1] = ACTIONS(1775),
    [aux_sym_continue_statement_token1] = ACTIONS(1775),
    [aux_sym_iterate_statement_token1] = ACTIONS(1775),
    [aux_sym_raise_statement_token1] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1775),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_set_operation_token1] = ACTIONS(1775),
    [aux_sym_set_operation_token3] = ACTIONS(1775),
    [aux_sym_set_operation_token4] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1775),
    [aux_sym_limit_clause_token1] = ACTIONS(1775),
    [aux_sym__direction_keywords_token1] = ACTIONS(1775),
    [aux_sym__direction_keywords_token2] = ACTIONS(1775),
    [aux_sym__nulls_preference_token1] = ACTIONS(1775),
    [aux_sym_insert_statement_token1] = ACTIONS(1775),
    [aux_sym_truncate_statement_token1] = ACTIONS(1775),
    [aux_sym_update_statement_token1] = ACTIONS(1775),
    [aux_sym_merge_statement_token1] = ACTIONS(1775),
    [aux_sym_grant_statement_token1] = ACTIONS(1775),
    [aux_sym_revoke_statement_token1] = ACTIONS(1775),
    [aux_sym_export_data_statement_token1] = ACTIONS(1775),
    [aux_sym_load_data_statement_token1] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [3292] = {
    [sym__keyword_between] = STATE(1115),
    [sym__keyword_is] = STATE(12153),
    [sym__keyword_in] = STATE(1295),
    [sym__keyword_not] = STATE(13122),
    [sym__keyword_and] = STATE(1314),
    [sym__keyword_or] = STATE(1316),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3207),
    [aux_sym__keyword_create_token1] = ACTIONS(3207),
    [aux_sym__keyword_drop_token1] = ACTIONS(3207),
    [aux_sym__keyword_delete_token1] = ACTIONS(3207),
    [aux_sym__keyword_begin_token1] = ACTIONS(3207),
    [aux_sym__keyword_end_token1] = ACTIONS(3207),
    [aux_sym__keyword_between_token1] = ACTIONS(3103),
    [aux_sym__keyword_else_token1] = ACTIONS(3209),
    [aux_sym__keyword_is_token1] = ACTIONS(3105),
    [aux_sym__keyword_in_token1] = ACTIONS(3107),
    [aux_sym__keyword_and_token1] = ACTIONS(3109),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3207),
    [aux_sym__keyword_for_token1] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [aux_sym_declare_statement_token1] = ACTIONS(3207),
    [aux_sym_set_statement_token1] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3207),
    [aux_sym_return_statement_token1] = ACTIONS(3207),
    [aux_sym_call_statement_token1] = ACTIONS(3207),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3207),
    [aux_sym_if_statement_token1] = ACTIONS(3207),
    [aux_sym_loop_statement_token1] = ACTIONS(3207),
    [aux_sym_repeat_statement_token1] = ACTIONS(3207),
    [aux_sym_while_statement_token1] = ACTIONS(3207),
    [aux_sym_break_statement_token1] = ACTIONS(3207),
    [aux_sym_leave_statement_token1] = ACTIONS(3207),
    [aux_sym_continue_statement_token1] = ACTIONS(3207),
    [aux_sym_iterate_statement_token1] = ACTIONS(3207),
    [aux_sym_raise_statement_token1] = ACTIONS(3207),
    [anon_sym_EQ] = ACTIONS(3111),
    [aux_sym_assert_statement_token1] = ACTIONS(3207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3207),
    [aux_sym_option_clause_token1] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [aux_sym_select_token1] = ACTIONS(3207),
    [aux_sym_insert_statement_token1] = ACTIONS(3207),
    [aux_sym_truncate_statement_token1] = ACTIONS(3207),
    [aux_sym_update_statement_token1] = ACTIONS(3207),
    [aux_sym_merge_statement_token1] = ACTIONS(3207),
    [aux_sym_grant_statement_token1] = ACTIONS(3207),
    [aux_sym_revoke_statement_token1] = ACTIONS(3207),
    [aux_sym_export_data_statement_token1] = ACTIONS(3207),
    [aux_sym_load_data_statement_token1] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_PIPE_PIPE] = ACTIONS(3117),
    [anon_sym_LT_EQ] = ACTIONS(3111),
    [anon_sym_LT_GT] = ACTIONS(3111),
    [anon_sym_GT_EQ] = ACTIONS(3111),
    [anon_sym_BANG_EQ] = ACTIONS(3111),
    [anon_sym_LT_LT] = ACTIONS(3121),
    [anon_sym_GT_GT] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3127),
  },
  [3293] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3294] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3295] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3296] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3297] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3298] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3299] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1783),
    [aux_sym_keyword_replace_token1] = ACTIONS(1783),
    [aux_sym__keyword_alter_token1] = ACTIONS(1783),
    [aux_sym__keyword_create_token1] = ACTIONS(1783),
    [aux_sym__keyword_drop_token1] = ACTIONS(1783),
    [aux_sym__keyword_delete_token1] = ACTIONS(1783),
    [aux_sym__keyword_begin_token1] = ACTIONS(1783),
    [aux_sym__keyword_end_token1] = ACTIONS(1783),
    [aux_sym__keyword_between_token1] = ACTIONS(1783),
    [aux_sym__keyword_when_token1] = ACTIONS(1783),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1783),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1783),
    [aux_sym__keyword_like_token1] = ACTIONS(1783),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1783),
    [aux_sym__keyword_for_token1] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1783),
    [aux_sym_return_statement_token1] = ACTIONS(1783),
    [aux_sym_call_statement_token1] = ACTIONS(1783),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1783),
    [aux_sym_if_statement_token1] = ACTIONS(1783),
    [aux_sym_loop_statement_token1] = ACTIONS(1783),
    [aux_sym_repeat_statement_token1] = ACTIONS(1783),
    [aux_sym_while_statement_token1] = ACTIONS(1783),
    [aux_sym_break_statement_token1] = ACTIONS(1783),
    [aux_sym_leave_statement_token1] = ACTIONS(1783),
    [aux_sym_continue_statement_token1] = ACTIONS(1783),
    [aux_sym_iterate_statement_token1] = ACTIONS(1783),
    [aux_sym_raise_statement_token1] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1783),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_set_operation_token1] = ACTIONS(1783),
    [aux_sym_set_operation_token3] = ACTIONS(1783),
    [aux_sym_set_operation_token4] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1783),
    [aux_sym_limit_clause_token1] = ACTIONS(1783),
    [aux_sym__direction_keywords_token1] = ACTIONS(1783),
    [aux_sym__direction_keywords_token2] = ACTIONS(1783),
    [aux_sym__nulls_preference_token1] = ACTIONS(1783),
    [aux_sym_insert_statement_token1] = ACTIONS(1783),
    [aux_sym_truncate_statement_token1] = ACTIONS(1783),
    [aux_sym_update_statement_token1] = ACTIONS(1783),
    [aux_sym_merge_statement_token1] = ACTIONS(1783),
    [aux_sym_grant_statement_token1] = ACTIONS(1783),
    [aux_sym_revoke_statement_token1] = ACTIONS(1783),
    [aux_sym_export_data_statement_token1] = ACTIONS(1783),
    [aux_sym_load_data_statement_token1] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [3300] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3301] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3302] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3303] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3304] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1563),
    [aux_sym_keyword_replace_token1] = ACTIONS(1563),
    [aux_sym__keyword_alter_token1] = ACTIONS(1563),
    [aux_sym__keyword_create_token1] = ACTIONS(1563),
    [aux_sym__keyword_drop_token1] = ACTIONS(1563),
    [aux_sym__keyword_delete_token1] = ACTIONS(1563),
    [aux_sym__keyword_begin_token1] = ACTIONS(1563),
    [aux_sym__keyword_end_token1] = ACTIONS(1563),
    [aux_sym__keyword_between_token1] = ACTIONS(1563),
    [aux_sym__keyword_when_token1] = ACTIONS(1563),
    [aux_sym__keyword_else_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1563),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1563),
    [aux_sym__keyword_like_token1] = ACTIONS(1563),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1563),
    [aux_sym__keyword_for_token1] = ACTIONS(1563),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1563),
    [aux_sym_return_statement_token1] = ACTIONS(1563),
    [aux_sym_call_statement_token1] = ACTIONS(1563),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1563),
    [aux_sym_if_statement_token1] = ACTIONS(1563),
    [aux_sym_loop_statement_token1] = ACTIONS(1563),
    [aux_sym_repeat_statement_token1] = ACTIONS(1563),
    [aux_sym_while_statement_token1] = ACTIONS(1563),
    [aux_sym_break_statement_token1] = ACTIONS(1563),
    [aux_sym_leave_statement_token1] = ACTIONS(1563),
    [aux_sym_continue_statement_token1] = ACTIONS(1563),
    [aux_sym_iterate_statement_token1] = ACTIONS(1563),
    [aux_sym_raise_statement_token1] = ACTIONS(1563),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1563),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_set_operation_token1] = ACTIONS(1563),
    [aux_sym_set_operation_token3] = ACTIONS(1563),
    [aux_sym_set_operation_token4] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1563),
    [aux_sym_limit_clause_token1] = ACTIONS(1563),
    [aux_sym__direction_keywords_token1] = ACTIONS(1563),
    [aux_sym__direction_keywords_token2] = ACTIONS(1563),
    [aux_sym__nulls_preference_token1] = ACTIONS(1563),
    [aux_sym_insert_statement_token1] = ACTIONS(1563),
    [aux_sym_truncate_statement_token1] = ACTIONS(1563),
    [aux_sym_update_statement_token1] = ACTIONS(1563),
    [aux_sym_merge_statement_token1] = ACTIONS(1563),
    [aux_sym_grant_statement_token1] = ACTIONS(1563),
    [aux_sym_revoke_statement_token1] = ACTIONS(1563),
    [aux_sym_export_data_statement_token1] = ACTIONS(1563),
    [aux_sym_load_data_statement_token1] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [3305] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3306] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3307] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3308] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3309] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3310] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3311] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3312] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3313] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3314] = {
    [ts_builtin_sym_end] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1805),
    [aux_sym_keyword_replace_token1] = ACTIONS(1805),
    [aux_sym__keyword_alter_token1] = ACTIONS(1805),
    [aux_sym__keyword_create_token1] = ACTIONS(1805),
    [aux_sym__keyword_drop_token1] = ACTIONS(1805),
    [aux_sym__keyword_delete_token1] = ACTIONS(1805),
    [aux_sym__keyword_begin_token1] = ACTIONS(1805),
    [aux_sym__keyword_end_token1] = ACTIONS(1805),
    [aux_sym__keyword_between_token1] = ACTIONS(1805),
    [aux_sym__keyword_when_token1] = ACTIONS(1805),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1805),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1805),
    [aux_sym__keyword_like_token1] = ACTIONS(1805),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1805),
    [aux_sym__keyword_for_token1] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1805),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1805),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1805),
    [aux_sym_return_statement_token1] = ACTIONS(1805),
    [aux_sym_call_statement_token1] = ACTIONS(1805),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1805),
    [aux_sym_if_statement_token1] = ACTIONS(1805),
    [aux_sym_loop_statement_token1] = ACTIONS(1805),
    [aux_sym_repeat_statement_token1] = ACTIONS(1805),
    [aux_sym_while_statement_token1] = ACTIONS(1805),
    [aux_sym_break_statement_token1] = ACTIONS(1805),
    [aux_sym_leave_statement_token1] = ACTIONS(1805),
    [aux_sym_continue_statement_token1] = ACTIONS(1805),
    [aux_sym_iterate_statement_token1] = ACTIONS(1805),
    [aux_sym_raise_statement_token1] = ACTIONS(1805),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1805),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1805),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_set_operation_token1] = ACTIONS(1805),
    [aux_sym_set_operation_token3] = ACTIONS(1805),
    [aux_sym_set_operation_token4] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1805),
    [aux_sym_limit_clause_token1] = ACTIONS(1805),
    [aux_sym__direction_keywords_token1] = ACTIONS(1805),
    [aux_sym__direction_keywords_token2] = ACTIONS(1805),
    [aux_sym__nulls_preference_token1] = ACTIONS(1805),
    [aux_sym_insert_statement_token1] = ACTIONS(1805),
    [aux_sym_truncate_statement_token1] = ACTIONS(1805),
    [aux_sym_update_statement_token1] = ACTIONS(1805),
    [aux_sym_merge_statement_token1] = ACTIONS(1805),
    [aux_sym_grant_statement_token1] = ACTIONS(1805),
    [aux_sym_revoke_statement_token1] = ACTIONS(1805),
    [aux_sym_export_data_statement_token1] = ACTIONS(1805),
    [aux_sym_load_data_statement_token1] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [3315] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3316] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3317] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3163),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(3167),
    [aux_sym__keyword_in_token1] = ACTIONS(3169),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3175),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3169),
    [anon_sym_GT] = ACTIONS(3169),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(3175),
    [anon_sym_LT_GT] = ACTIONS(3175),
    [anon_sym_GT_EQ] = ACTIONS(3175),
    [anon_sym_BANG_EQ] = ACTIONS(3175),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3318] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3319] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3320] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3321] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1681),
    [aux_sym_keyword_replace_token1] = ACTIONS(1681),
    [aux_sym__keyword_alter_token1] = ACTIONS(1681),
    [aux_sym__keyword_create_token1] = ACTIONS(1681),
    [aux_sym__keyword_drop_token1] = ACTIONS(1681),
    [aux_sym__keyword_delete_token1] = ACTIONS(1681),
    [aux_sym__keyword_begin_token1] = ACTIONS(1681),
    [aux_sym__keyword_end_token1] = ACTIONS(1681),
    [aux_sym__keyword_between_token1] = ACTIONS(1681),
    [aux_sym__keyword_when_token1] = ACTIONS(1681),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1681),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1681),
    [aux_sym__keyword_like_token1] = ACTIONS(1681),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1681),
    [aux_sym__keyword_for_token1] = ACTIONS(1681),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1681),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1681),
    [aux_sym_return_statement_token1] = ACTIONS(1681),
    [aux_sym_call_statement_token1] = ACTIONS(1681),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1681),
    [aux_sym_if_statement_token1] = ACTIONS(1681),
    [aux_sym_loop_statement_token1] = ACTIONS(1681),
    [aux_sym_repeat_statement_token1] = ACTIONS(1681),
    [aux_sym_while_statement_token1] = ACTIONS(1681),
    [aux_sym_break_statement_token1] = ACTIONS(1681),
    [aux_sym_leave_statement_token1] = ACTIONS(1681),
    [aux_sym_continue_statement_token1] = ACTIONS(1681),
    [aux_sym_iterate_statement_token1] = ACTIONS(1681),
    [aux_sym_raise_statement_token1] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1681),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_set_operation_token1] = ACTIONS(1681),
    [aux_sym_set_operation_token3] = ACTIONS(1681),
    [aux_sym_set_operation_token4] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1681),
    [aux_sym_limit_clause_token1] = ACTIONS(1681),
    [aux_sym__direction_keywords_token1] = ACTIONS(1681),
    [aux_sym__direction_keywords_token2] = ACTIONS(1681),
    [aux_sym__nulls_preference_token1] = ACTIONS(1681),
    [aux_sym_insert_statement_token1] = ACTIONS(1681),
    [aux_sym_truncate_statement_token1] = ACTIONS(1681),
    [aux_sym_update_statement_token1] = ACTIONS(1681),
    [aux_sym_merge_statement_token1] = ACTIONS(1681),
    [aux_sym_grant_statement_token1] = ACTIONS(1681),
    [aux_sym_revoke_statement_token1] = ACTIONS(1681),
    [aux_sym_export_data_statement_token1] = ACTIONS(1681),
    [aux_sym_load_data_statement_token1] = ACTIONS(1681),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [3322] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3323] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3324] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1429),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_when_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1429),
    [aux_sym_set_operation_token3] = ACTIONS(1429),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_limit_clause_token1] = ACTIONS(1429),
    [aux_sym__direction_keywords_token1] = ACTIONS(1429),
    [aux_sym__direction_keywords_token2] = ACTIONS(1429),
    [aux_sym__nulls_preference_token1] = ACTIONS(1429),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [3325] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3326] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3327] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3328] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3329] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3330] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3331] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3332] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1397),
    [aux_sym_set_operation_token3] = ACTIONS(1397),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_limit_clause_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token1] = ACTIONS(1397),
    [aux_sym__direction_keywords_token2] = ACTIONS(1397),
    [aux_sym__nulls_preference_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3333] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1393),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_when_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1393),
    [aux_sym_set_operation_token3] = ACTIONS(1393),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_limit_clause_token1] = ACTIONS(1393),
    [aux_sym__direction_keywords_token1] = ACTIONS(1393),
    [aux_sym__direction_keywords_token2] = ACTIONS(1393),
    [aux_sym__nulls_preference_token1] = ACTIONS(1393),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [3334] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3335] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3336] = {
    [ts_builtin_sym_end] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1813),
    [aux_sym_keyword_replace_token1] = ACTIONS(1813),
    [aux_sym__keyword_alter_token1] = ACTIONS(1813),
    [aux_sym__keyword_create_token1] = ACTIONS(1813),
    [aux_sym__keyword_drop_token1] = ACTIONS(1813),
    [aux_sym__keyword_delete_token1] = ACTIONS(1813),
    [aux_sym__keyword_begin_token1] = ACTIONS(1813),
    [aux_sym__keyword_end_token1] = ACTIONS(1813),
    [aux_sym__keyword_between_token1] = ACTIONS(1813),
    [aux_sym__keyword_when_token1] = ACTIONS(1813),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1813),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1813),
    [aux_sym__keyword_like_token1] = ACTIONS(1813),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1813),
    [aux_sym__keyword_for_token1] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1813),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1813),
    [aux_sym_return_statement_token1] = ACTIONS(1813),
    [aux_sym_call_statement_token1] = ACTIONS(1813),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1813),
    [aux_sym_if_statement_token1] = ACTIONS(1813),
    [aux_sym_loop_statement_token1] = ACTIONS(1813),
    [aux_sym_repeat_statement_token1] = ACTIONS(1813),
    [aux_sym_while_statement_token1] = ACTIONS(1813),
    [aux_sym_break_statement_token1] = ACTIONS(1813),
    [aux_sym_leave_statement_token1] = ACTIONS(1813),
    [aux_sym_continue_statement_token1] = ACTIONS(1813),
    [aux_sym_iterate_statement_token1] = ACTIONS(1813),
    [aux_sym_raise_statement_token1] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1813),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_set_operation_token1] = ACTIONS(1813),
    [aux_sym_set_operation_token3] = ACTIONS(1813),
    [aux_sym_set_operation_token4] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1813),
    [aux_sym_limit_clause_token1] = ACTIONS(1813),
    [aux_sym__direction_keywords_token1] = ACTIONS(1813),
    [aux_sym__direction_keywords_token2] = ACTIONS(1813),
    [aux_sym__nulls_preference_token1] = ACTIONS(1813),
    [aux_sym_insert_statement_token1] = ACTIONS(1813),
    [aux_sym_truncate_statement_token1] = ACTIONS(1813),
    [aux_sym_update_statement_token1] = ACTIONS(1813),
    [aux_sym_merge_statement_token1] = ACTIONS(1813),
    [aux_sym_grant_statement_token1] = ACTIONS(1813),
    [aux_sym_revoke_statement_token1] = ACTIONS(1813),
    [aux_sym_export_data_statement_token1] = ACTIONS(1813),
    [aux_sym_load_data_statement_token1] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [3337] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1653),
    [aux_sym_keyword_replace_token1] = ACTIONS(1653),
    [aux_sym__keyword_alter_token1] = ACTIONS(1653),
    [aux_sym__keyword_create_token1] = ACTIONS(1653),
    [aux_sym__keyword_drop_token1] = ACTIONS(1653),
    [aux_sym__keyword_delete_token1] = ACTIONS(1653),
    [aux_sym__keyword_begin_token1] = ACTIONS(1653),
    [aux_sym__keyword_end_token1] = ACTIONS(1653),
    [aux_sym__keyword_between_token1] = ACTIONS(1653),
    [aux_sym__keyword_when_token1] = ACTIONS(1653),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1653),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1653),
    [aux_sym__keyword_like_token1] = ACTIONS(1653),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1653),
    [aux_sym__keyword_for_token1] = ACTIONS(1653),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1653),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1653),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1653),
    [aux_sym_return_statement_token1] = ACTIONS(1653),
    [aux_sym_call_statement_token1] = ACTIONS(1653),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1653),
    [aux_sym_if_statement_token1] = ACTIONS(1653),
    [aux_sym_loop_statement_token1] = ACTIONS(1653),
    [aux_sym_repeat_statement_token1] = ACTIONS(1653),
    [aux_sym_while_statement_token1] = ACTIONS(1653),
    [aux_sym_break_statement_token1] = ACTIONS(1653),
    [aux_sym_leave_statement_token1] = ACTIONS(1653),
    [aux_sym_continue_statement_token1] = ACTIONS(1653),
    [aux_sym_iterate_statement_token1] = ACTIONS(1653),
    [aux_sym_raise_statement_token1] = ACTIONS(1653),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1653),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1653),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_set_operation_token1] = ACTIONS(1653),
    [aux_sym_set_operation_token3] = ACTIONS(1653),
    [aux_sym_set_operation_token4] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1653),
    [aux_sym_limit_clause_token1] = ACTIONS(1653),
    [aux_sym__direction_keywords_token1] = ACTIONS(1653),
    [aux_sym__direction_keywords_token2] = ACTIONS(1653),
    [aux_sym__nulls_preference_token1] = ACTIONS(1653),
    [aux_sym_insert_statement_token1] = ACTIONS(1653),
    [aux_sym_truncate_statement_token1] = ACTIONS(1653),
    [aux_sym_update_statement_token1] = ACTIONS(1653),
    [aux_sym_merge_statement_token1] = ACTIONS(1653),
    [aux_sym_grant_statement_token1] = ACTIONS(1653),
    [aux_sym_revoke_statement_token1] = ACTIONS(1653),
    [aux_sym_export_data_statement_token1] = ACTIONS(1653),
    [aux_sym_load_data_statement_token1] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [3338] = {
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1465),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_when_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1465),
    [aux_sym_set_operation_token3] = ACTIONS(1465),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_limit_clause_token1] = ACTIONS(1465),
    [aux_sym__direction_keywords_token1] = ACTIONS(1465),
    [aux_sym__direction_keywords_token2] = ACTIONS(1465),
    [aux_sym__nulls_preference_token1] = ACTIONS(1465),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [3339] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1371),
    [aux_sym_set_operation_token3] = ACTIONS(1371),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_limit_clause_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token1] = ACTIONS(1371),
    [aux_sym__direction_keywords_token2] = ACTIONS(1371),
    [aux_sym__nulls_preference_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3340] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1861),
    [aux_sym_keyword_replace_token1] = ACTIONS(1861),
    [aux_sym__keyword_alter_token1] = ACTIONS(1861),
    [aux_sym__keyword_create_token1] = ACTIONS(1861),
    [aux_sym__keyword_drop_token1] = ACTIONS(1861),
    [aux_sym__keyword_delete_token1] = ACTIONS(1861),
    [aux_sym__keyword_begin_token1] = ACTIONS(1861),
    [aux_sym__keyword_end_token1] = ACTIONS(1861),
    [aux_sym__keyword_between_token1] = ACTIONS(1861),
    [aux_sym__keyword_when_token1] = ACTIONS(1861),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1861),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1861),
    [aux_sym__keyword_like_token1] = ACTIONS(1861),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1861),
    [aux_sym__keyword_for_token1] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1861),
    [aux_sym_return_statement_token1] = ACTIONS(1861),
    [aux_sym_call_statement_token1] = ACTIONS(1861),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1861),
    [aux_sym_if_statement_token1] = ACTIONS(1861),
    [aux_sym_loop_statement_token1] = ACTIONS(1861),
    [aux_sym_repeat_statement_token1] = ACTIONS(1861),
    [aux_sym_while_statement_token1] = ACTIONS(1861),
    [aux_sym_break_statement_token1] = ACTIONS(1861),
    [aux_sym_leave_statement_token1] = ACTIONS(1861),
    [aux_sym_continue_statement_token1] = ACTIONS(1861),
    [aux_sym_iterate_statement_token1] = ACTIONS(1861),
    [aux_sym_raise_statement_token1] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1861),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_set_operation_token1] = ACTIONS(1861),
    [aux_sym_set_operation_token3] = ACTIONS(1861),
    [aux_sym_set_operation_token4] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1861),
    [aux_sym_limit_clause_token1] = ACTIONS(1861),
    [aux_sym__direction_keywords_token1] = ACTIONS(1861),
    [aux_sym__direction_keywords_token2] = ACTIONS(1861),
    [aux_sym__nulls_preference_token1] = ACTIONS(1861),
    [aux_sym_insert_statement_token1] = ACTIONS(1861),
    [aux_sym_truncate_statement_token1] = ACTIONS(1861),
    [aux_sym_update_statement_token1] = ACTIONS(1861),
    [aux_sym_merge_statement_token1] = ACTIONS(1861),
    [aux_sym_grant_statement_token1] = ACTIONS(1861),
    [aux_sym_revoke_statement_token1] = ACTIONS(1861),
    [aux_sym_export_data_statement_token1] = ACTIONS(1861),
    [aux_sym_load_data_statement_token1] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [3341] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1531),
    [aux_sym_keyword_replace_token1] = ACTIONS(1531),
    [aux_sym__keyword_alter_token1] = ACTIONS(1531),
    [aux_sym__keyword_create_token1] = ACTIONS(1531),
    [aux_sym__keyword_drop_token1] = ACTIONS(1531),
    [aux_sym__keyword_delete_token1] = ACTIONS(1531),
    [aux_sym__keyword_begin_token1] = ACTIONS(1531),
    [aux_sym__keyword_end_token1] = ACTIONS(1531),
    [aux_sym__keyword_between_token1] = ACTIONS(1531),
    [aux_sym__keyword_when_token1] = ACTIONS(1531),
    [aux_sym__keyword_else_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1531),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1531),
    [aux_sym__keyword_like_token1] = ACTIONS(1531),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1531),
    [aux_sym__keyword_for_token1] = ACTIONS(1531),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1531),
    [anon_sym_COMMA] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1531),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1531),
    [aux_sym_return_statement_token1] = ACTIONS(1531),
    [aux_sym_call_statement_token1] = ACTIONS(1531),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1531),
    [aux_sym_if_statement_token1] = ACTIONS(1531),
    [aux_sym_loop_statement_token1] = ACTIONS(1531),
    [aux_sym_repeat_statement_token1] = ACTIONS(1531),
    [aux_sym_while_statement_token1] = ACTIONS(1531),
    [aux_sym_break_statement_token1] = ACTIONS(1531),
    [aux_sym_leave_statement_token1] = ACTIONS(1531),
    [aux_sym_continue_statement_token1] = ACTIONS(1531),
    [aux_sym_iterate_statement_token1] = ACTIONS(1531),
    [aux_sym_raise_statement_token1] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1531),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1531),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_set_operation_token1] = ACTIONS(1531),
    [aux_sym_set_operation_token3] = ACTIONS(1531),
    [aux_sym_set_operation_token4] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1531),
    [aux_sym_limit_clause_token1] = ACTIONS(1531),
    [aux_sym__direction_keywords_token1] = ACTIONS(1531),
    [aux_sym__direction_keywords_token2] = ACTIONS(1531),
    [aux_sym__nulls_preference_token1] = ACTIONS(1531),
    [aux_sym_insert_statement_token1] = ACTIONS(1531),
    [aux_sym_truncate_statement_token1] = ACTIONS(1531),
    [aux_sym_update_statement_token1] = ACTIONS(1531),
    [aux_sym_merge_statement_token1] = ACTIONS(1531),
    [aux_sym_grant_statement_token1] = ACTIONS(1531),
    [aux_sym_revoke_statement_token1] = ACTIONS(1531),
    [aux_sym_export_data_statement_token1] = ACTIONS(1531),
    [aux_sym_load_data_statement_token1] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [3342] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3343] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1825),
    [aux_sym_keyword_replace_token1] = ACTIONS(1825),
    [aux_sym__keyword_alter_token1] = ACTIONS(1825),
    [aux_sym__keyword_create_token1] = ACTIONS(1825),
    [aux_sym__keyword_drop_token1] = ACTIONS(1825),
    [aux_sym__keyword_delete_token1] = ACTIONS(1825),
    [aux_sym__keyword_begin_token1] = ACTIONS(1825),
    [aux_sym__keyword_end_token1] = ACTIONS(1825),
    [aux_sym__keyword_between_token1] = ACTIONS(1825),
    [aux_sym__keyword_when_token1] = ACTIONS(1825),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1825),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1825),
    [aux_sym__keyword_like_token1] = ACTIONS(1825),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1825),
    [aux_sym__keyword_for_token1] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1825),
    [aux_sym_return_statement_token1] = ACTIONS(1825),
    [aux_sym_call_statement_token1] = ACTIONS(1825),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1825),
    [aux_sym_if_statement_token1] = ACTIONS(1825),
    [aux_sym_loop_statement_token1] = ACTIONS(1825),
    [aux_sym_repeat_statement_token1] = ACTIONS(1825),
    [aux_sym_while_statement_token1] = ACTIONS(1825),
    [aux_sym_break_statement_token1] = ACTIONS(1825),
    [aux_sym_leave_statement_token1] = ACTIONS(1825),
    [aux_sym_continue_statement_token1] = ACTIONS(1825),
    [aux_sym_iterate_statement_token1] = ACTIONS(1825),
    [aux_sym_raise_statement_token1] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1825),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_set_operation_token1] = ACTIONS(1825),
    [aux_sym_set_operation_token3] = ACTIONS(1825),
    [aux_sym_set_operation_token4] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1825),
    [aux_sym_limit_clause_token1] = ACTIONS(1825),
    [aux_sym__direction_keywords_token1] = ACTIONS(1825),
    [aux_sym__direction_keywords_token2] = ACTIONS(1825),
    [aux_sym__nulls_preference_token1] = ACTIONS(1825),
    [aux_sym_insert_statement_token1] = ACTIONS(1825),
    [aux_sym_truncate_statement_token1] = ACTIONS(1825),
    [aux_sym_update_statement_token1] = ACTIONS(1825),
    [aux_sym_merge_statement_token1] = ACTIONS(1825),
    [aux_sym_grant_statement_token1] = ACTIONS(1825),
    [aux_sym_revoke_statement_token1] = ACTIONS(1825),
    [aux_sym_export_data_statement_token1] = ACTIONS(1825),
    [aux_sym_load_data_statement_token1] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [3344] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3345] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1821),
    [aux_sym_keyword_replace_token1] = ACTIONS(1821),
    [aux_sym__keyword_alter_token1] = ACTIONS(1821),
    [aux_sym__keyword_create_token1] = ACTIONS(1821),
    [aux_sym__keyword_drop_token1] = ACTIONS(1821),
    [aux_sym__keyword_delete_token1] = ACTIONS(1821),
    [aux_sym__keyword_begin_token1] = ACTIONS(1821),
    [aux_sym__keyword_end_token1] = ACTIONS(1821),
    [aux_sym__keyword_between_token1] = ACTIONS(1821),
    [aux_sym__keyword_when_token1] = ACTIONS(1821),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1821),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1821),
    [aux_sym__keyword_like_token1] = ACTIONS(1821),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1821),
    [aux_sym__keyword_for_token1] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1821),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1821),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1821),
    [aux_sym_return_statement_token1] = ACTIONS(1821),
    [aux_sym_call_statement_token1] = ACTIONS(1821),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1821),
    [aux_sym_if_statement_token1] = ACTIONS(1821),
    [aux_sym_loop_statement_token1] = ACTIONS(1821),
    [aux_sym_repeat_statement_token1] = ACTIONS(1821),
    [aux_sym_while_statement_token1] = ACTIONS(1821),
    [aux_sym_break_statement_token1] = ACTIONS(1821),
    [aux_sym_leave_statement_token1] = ACTIONS(1821),
    [aux_sym_continue_statement_token1] = ACTIONS(1821),
    [aux_sym_iterate_statement_token1] = ACTIONS(1821),
    [aux_sym_raise_statement_token1] = ACTIONS(1821),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1821),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_set_operation_token1] = ACTIONS(1821),
    [aux_sym_set_operation_token3] = ACTIONS(1821),
    [aux_sym_set_operation_token4] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1821),
    [aux_sym_limit_clause_token1] = ACTIONS(1821),
    [aux_sym__direction_keywords_token1] = ACTIONS(1821),
    [aux_sym__direction_keywords_token2] = ACTIONS(1821),
    [aux_sym__nulls_preference_token1] = ACTIONS(1821),
    [aux_sym_insert_statement_token1] = ACTIONS(1821),
    [aux_sym_truncate_statement_token1] = ACTIONS(1821),
    [aux_sym_update_statement_token1] = ACTIONS(1821),
    [aux_sym_merge_statement_token1] = ACTIONS(1821),
    [aux_sym_grant_statement_token1] = ACTIONS(1821),
    [aux_sym_revoke_statement_token1] = ACTIONS(1821),
    [aux_sym_export_data_statement_token1] = ACTIONS(1821),
    [aux_sym_load_data_statement_token1] = ACTIONS(1821),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [3346] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1421),
    [aux_sym_set_operation_token3] = ACTIONS(1421),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_limit_clause_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token1] = ACTIONS(1421),
    [aux_sym__direction_keywords_token2] = ACTIONS(1421),
    [aux_sym__nulls_preference_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3347] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1445),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_when_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1445),
    [aux_sym_set_operation_token3] = ACTIONS(1445),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_limit_clause_token1] = ACTIONS(1445),
    [aux_sym__direction_keywords_token1] = ACTIONS(1445),
    [aux_sym__direction_keywords_token2] = ACTIONS(1445),
    [aux_sym__nulls_preference_token1] = ACTIONS(1445),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [3348] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3349] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_end_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_else_token1] = ACTIONS(1189),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_as_token1] = ACTIONS(1189),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1187),
    [aux_sym_if_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_repeat_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [3350] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1449),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_when_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1449),
    [aux_sym_set_operation_token3] = ACTIONS(1449),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_limit_clause_token1] = ACTIONS(1449),
    [aux_sym__direction_keywords_token1] = ACTIONS(1449),
    [aux_sym__direction_keywords_token2] = ACTIONS(1449),
    [aux_sym__nulls_preference_token1] = ACTIONS(1449),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [3351] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3352] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3353] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3354] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3355] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3356] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1441),
    [aux_sym_set_operation_token3] = ACTIONS(1441),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_limit_clause_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token1] = ACTIONS(1441),
    [aux_sym__direction_keywords_token2] = ACTIONS(1441),
    [aux_sym__nulls_preference_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3357] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1457),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_when_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1457),
    [aux_sym_set_operation_token3] = ACTIONS(1457),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_limit_clause_token1] = ACTIONS(1457),
    [aux_sym__direction_keywords_token1] = ACTIONS(1457),
    [aux_sym__direction_keywords_token2] = ACTIONS(1457),
    [aux_sym__nulls_preference_token1] = ACTIONS(1457),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [3358] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1857),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_when_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1857),
    [aux_sym_set_operation_token3] = ACTIONS(1857),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_limit_clause_token1] = ACTIONS(1857),
    [aux_sym__direction_keywords_token1] = ACTIONS(1857),
    [aux_sym__direction_keywords_token2] = ACTIONS(1857),
    [aux_sym__nulls_preference_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [3359] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3360] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1865),
    [aux_sym_keyword_replace_token1] = ACTIONS(1865),
    [aux_sym__keyword_alter_token1] = ACTIONS(1865),
    [aux_sym__keyword_create_token1] = ACTIONS(1865),
    [aux_sym__keyword_drop_token1] = ACTIONS(1865),
    [aux_sym__keyword_delete_token1] = ACTIONS(1865),
    [aux_sym__keyword_begin_token1] = ACTIONS(1865),
    [aux_sym__keyword_end_token1] = ACTIONS(1865),
    [aux_sym__keyword_between_token1] = ACTIONS(1865),
    [aux_sym__keyword_when_token1] = ACTIONS(1865),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1865),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1865),
    [aux_sym__keyword_like_token1] = ACTIONS(1865),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1865),
    [aux_sym__keyword_for_token1] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1865),
    [aux_sym_return_statement_token1] = ACTIONS(1865),
    [aux_sym_call_statement_token1] = ACTIONS(1865),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1865),
    [aux_sym_if_statement_token1] = ACTIONS(1865),
    [aux_sym_loop_statement_token1] = ACTIONS(1865),
    [aux_sym_repeat_statement_token1] = ACTIONS(1865),
    [aux_sym_while_statement_token1] = ACTIONS(1865),
    [aux_sym_break_statement_token1] = ACTIONS(1865),
    [aux_sym_leave_statement_token1] = ACTIONS(1865),
    [aux_sym_continue_statement_token1] = ACTIONS(1865),
    [aux_sym_iterate_statement_token1] = ACTIONS(1865),
    [aux_sym_raise_statement_token1] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1865),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_set_operation_token1] = ACTIONS(1865),
    [aux_sym_set_operation_token3] = ACTIONS(1865),
    [aux_sym_set_operation_token4] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1865),
    [aux_sym_limit_clause_token1] = ACTIONS(1865),
    [aux_sym__direction_keywords_token1] = ACTIONS(1865),
    [aux_sym__direction_keywords_token2] = ACTIONS(1865),
    [aux_sym__nulls_preference_token1] = ACTIONS(1865),
    [aux_sym_insert_statement_token1] = ACTIONS(1865),
    [aux_sym_truncate_statement_token1] = ACTIONS(1865),
    [aux_sym_update_statement_token1] = ACTIONS(1865),
    [aux_sym_merge_statement_token1] = ACTIONS(1865),
    [aux_sym_grant_statement_token1] = ACTIONS(1865),
    [aux_sym_revoke_statement_token1] = ACTIONS(1865),
    [aux_sym_export_data_statement_token1] = ACTIONS(1865),
    [aux_sym_load_data_statement_token1] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [3361] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1857),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_when_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1857),
    [aux_sym_set_operation_token3] = ACTIONS(1857),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_limit_clause_token1] = ACTIONS(1857),
    [aux_sym__direction_keywords_token1] = ACTIONS(1857),
    [aux_sym__direction_keywords_token2] = ACTIONS(1857),
    [aux_sym__nulls_preference_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [3362] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token2] = ACTIONS(1685),
    [aux_sym__nulls_preference_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3363] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token2] = ACTIONS(1685),
    [aux_sym__nulls_preference_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3364] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3365] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3366] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1791),
    [aux_sym_keyword_replace_token1] = ACTIONS(1791),
    [aux_sym__keyword_alter_token1] = ACTIONS(1791),
    [aux_sym__keyword_create_token1] = ACTIONS(1791),
    [aux_sym__keyword_drop_token1] = ACTIONS(1791),
    [aux_sym__keyword_delete_token1] = ACTIONS(1791),
    [aux_sym__keyword_begin_token1] = ACTIONS(1791),
    [aux_sym__keyword_end_token1] = ACTIONS(1791),
    [aux_sym__keyword_between_token1] = ACTIONS(1791),
    [aux_sym__keyword_when_token1] = ACTIONS(1791),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1791),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1791),
    [aux_sym__keyword_like_token1] = ACTIONS(1791),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1791),
    [aux_sym__keyword_for_token1] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1791),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1791),
    [aux_sym_return_statement_token1] = ACTIONS(1791),
    [aux_sym_call_statement_token1] = ACTIONS(1791),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1791),
    [aux_sym_if_statement_token1] = ACTIONS(1791),
    [aux_sym_loop_statement_token1] = ACTIONS(1791),
    [aux_sym_repeat_statement_token1] = ACTIONS(1791),
    [aux_sym_while_statement_token1] = ACTIONS(1791),
    [aux_sym_break_statement_token1] = ACTIONS(1791),
    [aux_sym_leave_statement_token1] = ACTIONS(1791),
    [aux_sym_continue_statement_token1] = ACTIONS(1791),
    [aux_sym_iterate_statement_token1] = ACTIONS(1791),
    [aux_sym_raise_statement_token1] = ACTIONS(1791),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1791),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_set_operation_token1] = ACTIONS(1791),
    [aux_sym_set_operation_token3] = ACTIONS(1791),
    [aux_sym_set_operation_token4] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1791),
    [aux_sym_limit_clause_token1] = ACTIONS(1791),
    [aux_sym__direction_keywords_token1] = ACTIONS(1791),
    [aux_sym__direction_keywords_token2] = ACTIONS(1791),
    [aux_sym__nulls_preference_token1] = ACTIONS(1791),
    [aux_sym_insert_statement_token1] = ACTIONS(1791),
    [aux_sym_truncate_statement_token1] = ACTIONS(1791),
    [aux_sym_update_statement_token1] = ACTIONS(1791),
    [aux_sym_merge_statement_token1] = ACTIONS(1791),
    [aux_sym_grant_statement_token1] = ACTIONS(1791),
    [aux_sym_revoke_statement_token1] = ACTIONS(1791),
    [aux_sym_export_data_statement_token1] = ACTIONS(1791),
    [aux_sym_load_data_statement_token1] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [3367] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token2] = ACTIONS(1685),
    [aux_sym__nulls_preference_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3368] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_end_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3163),
    [aux_sym__keyword_else_token1] = ACTIONS(1197),
    [aux_sym__keyword_is_token1] = ACTIONS(3167),
    [aux_sym__keyword_in_token1] = ACTIONS(3169),
    [aux_sym__keyword_and_token1] = ACTIONS(3171),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_as_token1] = ACTIONS(1197),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1191),
    [aux_sym_if_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_repeat_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3175),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3169),
    [anon_sym_GT] = ACTIONS(3169),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(3175),
    [anon_sym_LT_GT] = ACTIONS(3175),
    [anon_sym_GT_EQ] = ACTIONS(3175),
    [anon_sym_BANG_EQ] = ACTIONS(3175),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3189),
    [anon_sym_PIPE] = ACTIONS(3191),
  },
  [3369] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1685),
    [aux_sym_set_operation_token3] = ACTIONS(1685),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_limit_clause_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token1] = ACTIONS(1685),
    [aux_sym__direction_keywords_token2] = ACTIONS(1685),
    [aux_sym__nulls_preference_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3370] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3371] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1405),
    [aux_sym_set_operation_token3] = ACTIONS(1405),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_limit_clause_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token1] = ACTIONS(1405),
    [aux_sym__direction_keywords_token2] = ACTIONS(1405),
    [aux_sym__nulls_preference_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3372] = {
    [sym__keyword_between] = STATE(1623),
    [sym__keyword_is] = STATE(12150),
    [sym__keyword_in] = STATE(1562),
    [sym__keyword_not] = STATE(13154),
    [sym__keyword_and] = STATE(1534),
    [sym__keyword_or] = STATE(1533),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3183),
    [anon_sym_PIPE_PIPE] = ACTIONS(3181),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3185),
    [anon_sym_GT_GT] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3373] = {
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_end_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_else_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1245),
    [aux_sym_if_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_repeat_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [aux_sym_option_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [3374] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_into_clause] = STATE(9715),
    [sym_using_clause] = STATE(8087),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(3049),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3049),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3049),
    [aux_sym__keyword_create_token1] = ACTIONS(3049),
    [aux_sym__keyword_drop_token1] = ACTIONS(3049),
    [aux_sym__keyword_delete_token1] = ACTIONS(3049),
    [aux_sym__keyword_begin_token1] = ACTIONS(3049),
    [aux_sym__keyword_between_token1] = ACTIONS(3211),
    [aux_sym__keyword_is_token1] = ACTIONS(3213),
    [aux_sym__keyword_in_token1] = ACTIONS(3215),
    [aux_sym__keyword_and_token1] = ACTIONS(3217),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3049),
    [aux_sym__keyword_for_token1] = ACTIONS(3049),
    [anon_sym_SEMI] = ACTIONS(3049),
    [aux_sym_declare_statement_token1] = ACTIONS(3049),
    [aux_sym_set_statement_token1] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3049),
    [aux_sym_into_clause_token1] = ACTIONS(3219),
    [aux_sym_using_clause_token1] = ACTIONS(3221),
    [aux_sym_return_statement_token1] = ACTIONS(3049),
    [aux_sym_call_statement_token1] = ACTIONS(3049),
    [aux_sym_loop_statement_token1] = ACTIONS(3049),
    [aux_sym_while_statement_token1] = ACTIONS(3049),
    [aux_sym_break_statement_token1] = ACTIONS(3049),
    [aux_sym_leave_statement_token1] = ACTIONS(3049),
    [aux_sym_continue_statement_token1] = ACTIONS(3049),
    [aux_sym_iterate_statement_token1] = ACTIONS(3049),
    [aux_sym_raise_statement_token1] = ACTIONS(3049),
    [anon_sym_EQ] = ACTIONS(3223),
    [aux_sym_assert_statement_token1] = ACTIONS(3049),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3049),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_GT] = ACTIONS(3215),
    [aux_sym_select_token1] = ACTIONS(3049),
    [aux_sym_insert_statement_token1] = ACTIONS(3049),
    [aux_sym_truncate_statement_token1] = ACTIONS(3049),
    [aux_sym_update_statement_token1] = ACTIONS(3049),
    [aux_sym_merge_statement_token1] = ACTIONS(3049),
    [aux_sym_grant_statement_token1] = ACTIONS(3049),
    [aux_sym_revoke_statement_token1] = ACTIONS(3049),
    [aux_sym_export_data_statement_token1] = ACTIONS(3049),
    [aux_sym_load_data_statement_token1] = ACTIONS(3049),
    [anon_sym_LBRACK] = ACTIONS(3067),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3069),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(3223),
    [anon_sym_LT_GT] = ACTIONS(3223),
    [anon_sym_GT_EQ] = ACTIONS(3223),
    [anon_sym_BANG_EQ] = ACTIONS(3223),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3375] = {
    [sym__unquoted_identifier] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1541),
    [aux_sym_keyword_replace_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1541),
    [aux_sym__keyword_create_token1] = ACTIONS(1541),
    [aux_sym__keyword_drop_token1] = ACTIONS(1541),
    [aux_sym__keyword_delete_token1] = ACTIONS(1541),
    [aux_sym__keyword_begin_token1] = ACTIONS(1541),
    [aux_sym__keyword_end_token1] = ACTIONS(1541),
    [aux_sym__keyword_between_token1] = ACTIONS(1541),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1541),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1541),
    [aux_sym__keyword_like_token1] = ACTIONS(1541),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1541),
    [aux_sym__keyword_as_token1] = ACTIONS(1541),
    [aux_sym__keyword_date_token1] = ACTIONS(1541),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1541),
    [aux_sym__keyword_time_token1] = ACTIONS(1541),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1541),
    [aux_sym__keyword_for_token1] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1541),
    [aux_sym_return_statement_token1] = ACTIONS(1541),
    [aux_sym_call_statement_token1] = ACTIONS(1541),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1541),
    [aux_sym_if_statement_token1] = ACTIONS(1541),
    [aux_sym_loop_statement_token1] = ACTIONS(1541),
    [aux_sym_repeat_statement_token1] = ACTIONS(1541),
    [aux_sym_while_statement_token1] = ACTIONS(1541),
    [aux_sym_break_statement_token1] = ACTIONS(1541),
    [aux_sym_leave_statement_token1] = ACTIONS(1541),
    [aux_sym_continue_statement_token1] = ACTIONS(1541),
    [aux_sym_iterate_statement_token1] = ACTIONS(1541),
    [aux_sym_raise_statement_token1] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1541),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1541),
    [aux_sym_insert_statement_token1] = ACTIONS(1541),
    [aux_sym_truncate_statement_token1] = ACTIONS(1541),
    [aux_sym_update_statement_token1] = ACTIONS(1541),
    [aux_sym_merge_statement_token1] = ACTIONS(1541),
    [aux_sym_grant_statement_token1] = ACTIONS(1541),
    [aux_sym_revoke_statement_token1] = ACTIONS(1541),
    [aux_sym_export_data_statement_token1] = ACTIONS(1541),
    [aux_sym_load_data_statement_token1] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [sym__quoted_identifier] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [3376] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_set_statement_repeat1] = STATE(8839),
    [ts_builtin_sym_end] = ACTIONS(3011),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3011),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3011),
    [aux_sym__keyword_create_token1] = ACTIONS(3011),
    [aux_sym__keyword_drop_token1] = ACTIONS(3011),
    [aux_sym__keyword_delete_token1] = ACTIONS(3011),
    [aux_sym__keyword_begin_token1] = ACTIONS(3011),
    [aux_sym__keyword_between_token1] = ACTIONS(3241),
    [aux_sym__keyword_is_token1] = ACTIONS(3243),
    [aux_sym__keyword_in_token1] = ACTIONS(3245),
    [aux_sym__keyword_and_token1] = ACTIONS(3247),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3011),
    [aux_sym__keyword_as_token1] = ACTIONS(3015),
    [aux_sym__keyword_for_token1] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3011),
    [aux_sym_declare_statement_token1] = ACTIONS(3011),
    [anon_sym_COMMA] = ACTIONS(3249),
    [aux_sym_set_statement_token1] = ACTIONS(3011),
    [anon_sym_LPAREN] = ACTIONS(3011),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3011),
    [aux_sym_return_statement_token1] = ACTIONS(3011),
    [aux_sym_call_statement_token1] = ACTIONS(3011),
    [aux_sym_loop_statement_token1] = ACTIONS(3011),
    [aux_sym_while_statement_token1] = ACTIONS(3011),
    [aux_sym_break_statement_token1] = ACTIONS(3011),
    [aux_sym_leave_statement_token1] = ACTIONS(3011),
    [aux_sym_continue_statement_token1] = ACTIONS(3011),
    [aux_sym_iterate_statement_token1] = ACTIONS(3011),
    [aux_sym_raise_statement_token1] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(3251),
    [aux_sym_assert_statement_token1] = ACTIONS(3011),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3011),
    [aux_sym_option_clause_token1] = ACTIONS(3011),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_GT] = ACTIONS(3245),
    [aux_sym_select_token1] = ACTIONS(3011),
    [aux_sym_insert_statement_token1] = ACTIONS(3011),
    [aux_sym_truncate_statement_token1] = ACTIONS(3011),
    [aux_sym_update_statement_token1] = ACTIONS(3011),
    [aux_sym_merge_statement_token1] = ACTIONS(3011),
    [aux_sym_grant_statement_token1] = ACTIONS(3011),
    [aux_sym_revoke_statement_token1] = ACTIONS(3011),
    [aux_sym_export_data_statement_token1] = ACTIONS(3011),
    [aux_sym_load_data_statement_token1] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3251),
    [anon_sym_LT_GT] = ACTIONS(3251),
    [anon_sym_GT_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3377] = {
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_end_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_else_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1245),
    [aux_sym_if_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_repeat_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [3378] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3269),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3269),
    [aux_sym__keyword_create_token1] = ACTIONS(3269),
    [aux_sym__keyword_drop_token1] = ACTIONS(3269),
    [aux_sym__keyword_delete_token1] = ACTIONS(3269),
    [aux_sym__keyword_begin_token1] = ACTIONS(3269),
    [aux_sym__keyword_end_token1] = ACTIONS(3269),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_else_token1] = ACTIONS(3271),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(3139),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3269),
    [aux_sym__keyword_for_token1] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [aux_sym_declare_statement_token1] = ACTIONS(3269),
    [aux_sym_set_statement_token1] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3269),
    [aux_sym_return_statement_token1] = ACTIONS(3269),
    [aux_sym_call_statement_token1] = ACTIONS(3269),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3269),
    [aux_sym_if_statement_token1] = ACTIONS(3269),
    [aux_sym_loop_statement_token1] = ACTIONS(3269),
    [aux_sym_repeat_statement_token1] = ACTIONS(3269),
    [aux_sym_while_statement_token1] = ACTIONS(3269),
    [aux_sym_break_statement_token1] = ACTIONS(3269),
    [aux_sym_leave_statement_token1] = ACTIONS(3269),
    [aux_sym_continue_statement_token1] = ACTIONS(3269),
    [aux_sym_iterate_statement_token1] = ACTIONS(3269),
    [aux_sym_raise_statement_token1] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(3269),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(3269),
    [aux_sym_insert_statement_token1] = ACTIONS(3269),
    [aux_sym_truncate_statement_token1] = ACTIONS(3269),
    [aux_sym_update_statement_token1] = ACTIONS(3269),
    [aux_sym_merge_statement_token1] = ACTIONS(3269),
    [aux_sym_grant_statement_token1] = ACTIONS(3269),
    [aux_sym_revoke_statement_token1] = ACTIONS(3269),
    [aux_sym_export_data_statement_token1] = ACTIONS(3269),
    [aux_sym_load_data_statement_token1] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3379] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3195),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3195),
    [aux_sym__keyword_create_token1] = ACTIONS(3195),
    [aux_sym__keyword_drop_token1] = ACTIONS(3195),
    [aux_sym__keyword_delete_token1] = ACTIONS(3195),
    [aux_sym__keyword_begin_token1] = ACTIONS(3195),
    [aux_sym__keyword_end_token1] = ACTIONS(3195),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_else_token1] = ACTIONS(3197),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(3139),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3195),
    [aux_sym__keyword_for_token1] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3195),
    [aux_sym_declare_statement_token1] = ACTIONS(3195),
    [aux_sym_set_statement_token1] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(3195),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3195),
    [aux_sym_return_statement_token1] = ACTIONS(3195),
    [aux_sym_call_statement_token1] = ACTIONS(3195),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3195),
    [aux_sym_if_statement_token1] = ACTIONS(3195),
    [aux_sym_loop_statement_token1] = ACTIONS(3195),
    [aux_sym_repeat_statement_token1] = ACTIONS(3195),
    [aux_sym_while_statement_token1] = ACTIONS(3195),
    [aux_sym_break_statement_token1] = ACTIONS(3195),
    [aux_sym_leave_statement_token1] = ACTIONS(3195),
    [aux_sym_continue_statement_token1] = ACTIONS(3195),
    [aux_sym_iterate_statement_token1] = ACTIONS(3195),
    [aux_sym_raise_statement_token1] = ACTIONS(3195),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(3195),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3195),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(3195),
    [aux_sym_insert_statement_token1] = ACTIONS(3195),
    [aux_sym_truncate_statement_token1] = ACTIONS(3195),
    [aux_sym_update_statement_token1] = ACTIONS(3195),
    [aux_sym_merge_statement_token1] = ACTIONS(3195),
    [aux_sym_grant_statement_token1] = ACTIONS(3195),
    [aux_sym_revoke_statement_token1] = ACTIONS(3195),
    [aux_sym_export_data_statement_token1] = ACTIONS(3195),
    [aux_sym_load_data_statement_token1] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3380] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3273),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3273),
    [aux_sym__keyword_create_token1] = ACTIONS(3273),
    [aux_sym__keyword_drop_token1] = ACTIONS(3273),
    [aux_sym__keyword_delete_token1] = ACTIONS(3273),
    [aux_sym__keyword_begin_token1] = ACTIONS(3273),
    [aux_sym__keyword_end_token1] = ACTIONS(3273),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_else_token1] = ACTIONS(3275),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(3139),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3273),
    [aux_sym__keyword_for_token1] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [aux_sym_declare_statement_token1] = ACTIONS(3273),
    [aux_sym_set_statement_token1] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3273),
    [aux_sym_return_statement_token1] = ACTIONS(3273),
    [aux_sym_call_statement_token1] = ACTIONS(3273),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3273),
    [aux_sym_if_statement_token1] = ACTIONS(3273),
    [aux_sym_loop_statement_token1] = ACTIONS(3273),
    [aux_sym_repeat_statement_token1] = ACTIONS(3273),
    [aux_sym_while_statement_token1] = ACTIONS(3273),
    [aux_sym_break_statement_token1] = ACTIONS(3273),
    [aux_sym_leave_statement_token1] = ACTIONS(3273),
    [aux_sym_continue_statement_token1] = ACTIONS(3273),
    [aux_sym_iterate_statement_token1] = ACTIONS(3273),
    [aux_sym_raise_statement_token1] = ACTIONS(3273),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(3273),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(3273),
    [aux_sym_insert_statement_token1] = ACTIONS(3273),
    [aux_sym_truncate_statement_token1] = ACTIONS(3273),
    [aux_sym_update_statement_token1] = ACTIONS(3273),
    [aux_sym_merge_statement_token1] = ACTIONS(3273),
    [aux_sym_grant_statement_token1] = ACTIONS(3273),
    [aux_sym_revoke_statement_token1] = ACTIONS(3273),
    [aux_sym_export_data_statement_token1] = ACTIONS(3273),
    [aux_sym_load_data_statement_token1] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3381] = {
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [3382] = {
    [sym__unquoted_identifier] = ACTIONS(1589),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1589),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1589),
    [aux_sym_keyword_replace_token1] = ACTIONS(1589),
    [aux_sym__keyword_alter_token1] = ACTIONS(1589),
    [aux_sym__keyword_create_token1] = ACTIONS(1589),
    [aux_sym__keyword_drop_token1] = ACTIONS(1589),
    [aux_sym__keyword_delete_token1] = ACTIONS(1589),
    [aux_sym__keyword_begin_token1] = ACTIONS(1589),
    [aux_sym__keyword_end_token1] = ACTIONS(1589),
    [aux_sym__keyword_between_token1] = ACTIONS(1589),
    [aux_sym__keyword_else_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1589),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1589),
    [aux_sym__keyword_like_token1] = ACTIONS(1589),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1589),
    [aux_sym__keyword_as_token1] = ACTIONS(1589),
    [aux_sym__keyword_date_token1] = ACTIONS(1589),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1589),
    [aux_sym__keyword_time_token1] = ACTIONS(1589),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1589),
    [aux_sym__keyword_for_token1] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1589),
    [anon_sym_COMMA] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1589),
    [aux_sym_return_statement_token1] = ACTIONS(1589),
    [aux_sym_call_statement_token1] = ACTIONS(1589),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1589),
    [aux_sym_if_statement_token1] = ACTIONS(1589),
    [aux_sym_loop_statement_token1] = ACTIONS(1589),
    [aux_sym_repeat_statement_token1] = ACTIONS(1589),
    [aux_sym_while_statement_token1] = ACTIONS(1589),
    [aux_sym_break_statement_token1] = ACTIONS(1589),
    [aux_sym_leave_statement_token1] = ACTIONS(1589),
    [aux_sym_continue_statement_token1] = ACTIONS(1589),
    [aux_sym_iterate_statement_token1] = ACTIONS(1589),
    [aux_sym_raise_statement_token1] = ACTIONS(1589),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1589),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1589),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1589),
    [aux_sym_insert_statement_token1] = ACTIONS(1589),
    [aux_sym_truncate_statement_token1] = ACTIONS(1589),
    [aux_sym_update_statement_token1] = ACTIONS(1589),
    [aux_sym_merge_statement_token1] = ACTIONS(1589),
    [aux_sym_grant_statement_token1] = ACTIONS(1589),
    [aux_sym_revoke_statement_token1] = ACTIONS(1589),
    [aux_sym_export_data_statement_token1] = ACTIONS(1589),
    [aux_sym_load_data_statement_token1] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym__quoted_identifier] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [3383] = {
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_end_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_else_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_into_clause_token1] = ACTIONS(1245),
    [aux_sym_using_clause_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1245),
    [aux_sym_if_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_repeat_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [3384] = {
    [sym__keyword_as] = STATE(14760),
    [sym__unquoted_identifier] = ACTIONS(1477),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1477),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1477),
    [aux_sym_keyword_replace_token1] = ACTIONS(1477),
    [aux_sym__keyword_alter_token1] = ACTIONS(1477),
    [aux_sym__keyword_create_token1] = ACTIONS(1477),
    [aux_sym__keyword_drop_token1] = ACTIONS(1477),
    [aux_sym__keyword_delete_token1] = ACTIONS(1477),
    [aux_sym__keyword_begin_token1] = ACTIONS(1477),
    [aux_sym__keyword_end_token1] = ACTIONS(1477),
    [aux_sym__keyword_between_token1] = ACTIONS(1477),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1477),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1477),
    [aux_sym__keyword_like_token1] = ACTIONS(1477),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1477),
    [aux_sym__keyword_as_token1] = ACTIONS(1477),
    [aux_sym__keyword_date_token1] = ACTIONS(1477),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1477),
    [aux_sym__keyword_time_token1] = ACTIONS(1477),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1477),
    [aux_sym__keyword_for_token1] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1477),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1477),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1477),
    [aux_sym_return_statement_token1] = ACTIONS(1477),
    [aux_sym_call_statement_token1] = ACTIONS(1477),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1477),
    [aux_sym_if_statement_token1] = ACTIONS(1477),
    [aux_sym_loop_statement_token1] = ACTIONS(1477),
    [aux_sym_repeat_statement_token1] = ACTIONS(1477),
    [aux_sym_while_statement_token1] = ACTIONS(1477),
    [aux_sym_break_statement_token1] = ACTIONS(1477),
    [aux_sym_leave_statement_token1] = ACTIONS(1477),
    [aux_sym_continue_statement_token1] = ACTIONS(1477),
    [aux_sym_iterate_statement_token1] = ACTIONS(1477),
    [aux_sym_raise_statement_token1] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1477),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1477),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1477),
    [aux_sym_insert_statement_token1] = ACTIONS(1477),
    [aux_sym_truncate_statement_token1] = ACTIONS(1477),
    [aux_sym_update_statement_token1] = ACTIONS(1477),
    [aux_sym_merge_statement_token1] = ACTIONS(1477),
    [aux_sym_grant_statement_token1] = ACTIONS(1477),
    [aux_sym_revoke_statement_token1] = ACTIONS(1477),
    [aux_sym_export_data_statement_token1] = ACTIONS(1477),
    [aux_sym_load_data_statement_token1] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym__quoted_identifier] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [3385] = {
    [sym_unnest_withoffset] = STATE(3504),
    [sym__unquoted_identifier] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1525),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1525),
    [aux_sym__keyword_create_token1] = ACTIONS(1525),
    [aux_sym__keyword_drop_token1] = ACTIONS(1525),
    [aux_sym__keyword_delete_token1] = ACTIONS(1525),
    [aux_sym__keyword_begin_token1] = ACTIONS(1525),
    [aux_sym__keyword_end_token1] = ACTIONS(1525),
    [aux_sym__keyword_between_token1] = ACTIONS(1525),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1525),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1525),
    [aux_sym__keyword_like_token1] = ACTIONS(1525),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1525),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_date_token1] = ACTIONS(1525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1525),
    [aux_sym__keyword_time_token1] = ACTIONS(1525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1525),
    [aux_sym_return_statement_token1] = ACTIONS(1525),
    [aux_sym_call_statement_token1] = ACTIONS(1525),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1525),
    [aux_sym_if_statement_token1] = ACTIONS(1525),
    [aux_sym_loop_statement_token1] = ACTIONS(1525),
    [aux_sym_repeat_statement_token1] = ACTIONS(1525),
    [aux_sym_while_statement_token1] = ACTIONS(1525),
    [aux_sym_break_statement_token1] = ACTIONS(1525),
    [aux_sym_leave_statement_token1] = ACTIONS(1525),
    [aux_sym_continue_statement_token1] = ACTIONS(1525),
    [aux_sym_iterate_statement_token1] = ACTIONS(1525),
    [aux_sym_raise_statement_token1] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1525),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1525),
    [aux_sym_insert_statement_token1] = ACTIONS(1525),
    [aux_sym_truncate_statement_token1] = ACTIONS(1525),
    [aux_sym_update_statement_token1] = ACTIONS(1525),
    [aux_sym_merge_statement_token1] = ACTIONS(1525),
    [aux_sym_grant_statement_token1] = ACTIONS(1525),
    [aux_sym_revoke_statement_token1] = ACTIONS(1525),
    [aux_sym_export_data_statement_token1] = ACTIONS(1525),
    [aux_sym_load_data_statement_token1] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym__quoted_identifier] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [3386] = {
    [sym__keyword_between] = STATE(1883),
    [sym__keyword_is] = STATE(12080),
    [sym__keyword_in] = STATE(1041),
    [sym__keyword_not] = STATE(13069),
    [sym__keyword_and] = STATE(1063),
    [sym__keyword_or] = STATE(1065),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2823),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(2823),
    [aux_sym__keyword_create_token1] = ACTIONS(2823),
    [aux_sym__keyword_drop_token1] = ACTIONS(2823),
    [aux_sym__keyword_delete_token1] = ACTIONS(2823),
    [aux_sym__keyword_begin_token1] = ACTIONS(2823),
    [aux_sym__keyword_end_token1] = ACTIONS(2823),
    [aux_sym__keyword_between_token1] = ACTIONS(3131),
    [aux_sym__keyword_else_token1] = ACTIONS(2827),
    [aux_sym__keyword_is_token1] = ACTIONS(3135),
    [aux_sym__keyword_in_token1] = ACTIONS(3137),
    [aux_sym__keyword_and_token1] = ACTIONS(3139),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2823),
    [aux_sym__keyword_for_token1] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [aux_sym_declare_statement_token1] = ACTIONS(2823),
    [aux_sym_set_statement_token1] = ACTIONS(2823),
    [anon_sym_LPAREN] = ACTIONS(2823),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2823),
    [aux_sym_return_statement_token1] = ACTIONS(2823),
    [aux_sym_call_statement_token1] = ACTIONS(2823),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(2823),
    [aux_sym_if_statement_token1] = ACTIONS(2823),
    [aux_sym_loop_statement_token1] = ACTIONS(2823),
    [aux_sym_repeat_statement_token1] = ACTIONS(2823),
    [aux_sym_while_statement_token1] = ACTIONS(2823),
    [aux_sym_break_statement_token1] = ACTIONS(2823),
    [aux_sym_leave_statement_token1] = ACTIONS(2823),
    [aux_sym_continue_statement_token1] = ACTIONS(2823),
    [aux_sym_iterate_statement_token1] = ACTIONS(2823),
    [aux_sym_raise_statement_token1] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(3141),
    [aux_sym_assert_statement_token1] = ACTIONS(2823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(3137),
    [anon_sym_GT] = ACTIONS(3137),
    [aux_sym_select_token1] = ACTIONS(2823),
    [aux_sym_insert_statement_token1] = ACTIONS(2823),
    [aux_sym_truncate_statement_token1] = ACTIONS(2823),
    [aux_sym_update_statement_token1] = ACTIONS(2823),
    [aux_sym_merge_statement_token1] = ACTIONS(2823),
    [aux_sym_grant_statement_token1] = ACTIONS(2823),
    [aux_sym_revoke_statement_token1] = ACTIONS(2823),
    [aux_sym_export_data_statement_token1] = ACTIONS(2823),
    [aux_sym_load_data_statement_token1] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_SLASH] = ACTIONS(3149),
    [anon_sym_PIPE_PIPE] = ACTIONS(3147),
    [anon_sym_LT_EQ] = ACTIONS(3141),
    [anon_sym_LT_GT] = ACTIONS(3141),
    [anon_sym_GT_EQ] = ACTIONS(3141),
    [anon_sym_BANG_EQ] = ACTIONS(3141),
    [anon_sym_LT_LT] = ACTIONS(3151),
    [anon_sym_GT_GT] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3153),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_PIPE] = ACTIONS(3157),
  },
  [3387] = {
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1551),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_end_token1] = ACTIONS(1551),
    [aux_sym__keyword_between_token1] = ACTIONS(1551),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1551),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1551),
    [aux_sym__keyword_like_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1551),
    [aux_sym_if_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_repeat_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [3388] = {
    [sym__unquoted_identifier] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1801),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1801),
    [aux_sym__keyword_create_token1] = ACTIONS(1801),
    [aux_sym__keyword_drop_token1] = ACTIONS(1801),
    [aux_sym__keyword_delete_token1] = ACTIONS(1801),
    [aux_sym__keyword_begin_token1] = ACTIONS(1801),
    [aux_sym__keyword_end_token1] = ACTIONS(1801),
    [aux_sym__keyword_between_token1] = ACTIONS(1801),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1801),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1801),
    [aux_sym__keyword_like_token1] = ACTIONS(1801),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1801),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_date_token1] = ACTIONS(1801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1801),
    [aux_sym__keyword_time_token1] = ACTIONS(1801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1801),
    [aux_sym_return_statement_token1] = ACTIONS(1801),
    [aux_sym_call_statement_token1] = ACTIONS(1801),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1801),
    [aux_sym_if_statement_token1] = ACTIONS(1801),
    [aux_sym_loop_statement_token1] = ACTIONS(1801),
    [aux_sym_repeat_statement_token1] = ACTIONS(1801),
    [aux_sym_while_statement_token1] = ACTIONS(1801),
    [aux_sym_break_statement_token1] = ACTIONS(1801),
    [aux_sym_leave_statement_token1] = ACTIONS(1801),
    [aux_sym_continue_statement_token1] = ACTIONS(1801),
    [aux_sym_iterate_statement_token1] = ACTIONS(1801),
    [aux_sym_raise_statement_token1] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1801),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1801),
    [aux_sym_insert_statement_token1] = ACTIONS(1801),
    [aux_sym_truncate_statement_token1] = ACTIONS(1801),
    [aux_sym_update_statement_token1] = ACTIONS(1801),
    [aux_sym_merge_statement_token1] = ACTIONS(1801),
    [aux_sym_grant_statement_token1] = ACTIONS(1801),
    [aux_sym_revoke_statement_token1] = ACTIONS(1801),
    [aux_sym_export_data_statement_token1] = ACTIONS(1801),
    [aux_sym_load_data_statement_token1] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym__quoted_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [3389] = {
    [sym__unquoted_identifier] = ACTIONS(1667),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1667),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1667),
    [aux_sym_keyword_replace_token1] = ACTIONS(1667),
    [aux_sym__keyword_alter_token1] = ACTIONS(1667),
    [aux_sym__keyword_create_token1] = ACTIONS(1667),
    [aux_sym__keyword_drop_token1] = ACTIONS(1667),
    [aux_sym__keyword_delete_token1] = ACTIONS(1667),
    [aux_sym__keyword_begin_token1] = ACTIONS(1667),
    [aux_sym__keyword_end_token1] = ACTIONS(1667),
    [aux_sym__keyword_between_token1] = ACTIONS(1667),
    [aux_sym__keyword_else_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1667),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1667),
    [aux_sym__keyword_like_token1] = ACTIONS(1667),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1667),
    [aux_sym__keyword_as_token1] = ACTIONS(1667),
    [aux_sym__keyword_date_token1] = ACTIONS(1667),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1667),
    [aux_sym__keyword_time_token1] = ACTIONS(1667),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1667),
    [aux_sym__keyword_for_token1] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1667),
    [anon_sym_COMMA] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1667),
    [aux_sym_return_statement_token1] = ACTIONS(1667),
    [aux_sym_call_statement_token1] = ACTIONS(1667),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1667),
    [aux_sym_if_statement_token1] = ACTIONS(1667),
    [aux_sym_loop_statement_token1] = ACTIONS(1667),
    [aux_sym_repeat_statement_token1] = ACTIONS(1667),
    [aux_sym_while_statement_token1] = ACTIONS(1667),
    [aux_sym_break_statement_token1] = ACTIONS(1667),
    [aux_sym_leave_statement_token1] = ACTIONS(1667),
    [aux_sym_continue_statement_token1] = ACTIONS(1667),
    [aux_sym_iterate_statement_token1] = ACTIONS(1667),
    [aux_sym_raise_statement_token1] = ACTIONS(1667),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1667),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1667),
    [aux_sym_insert_statement_token1] = ACTIONS(1667),
    [aux_sym_truncate_statement_token1] = ACTIONS(1667),
    [aux_sym_update_statement_token1] = ACTIONS(1667),
    [aux_sym_merge_statement_token1] = ACTIONS(1667),
    [aux_sym_grant_statement_token1] = ACTIONS(1667),
    [aux_sym_revoke_statement_token1] = ACTIONS(1667),
    [aux_sym_export_data_statement_token1] = ACTIONS(1667),
    [aux_sym_load_data_statement_token1] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym__quoted_identifier] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [3390] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3391] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3392] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3393] = {
    [sym__unquoted_identifier] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1793),
    [aux_sym_keyword_replace_token1] = ACTIONS(1793),
    [aux_sym__keyword_alter_token1] = ACTIONS(1793),
    [aux_sym__keyword_create_token1] = ACTIONS(1793),
    [aux_sym__keyword_drop_token1] = ACTIONS(1793),
    [aux_sym__keyword_delete_token1] = ACTIONS(1793),
    [aux_sym__keyword_begin_token1] = ACTIONS(1793),
    [aux_sym__keyword_end_token1] = ACTIONS(1793),
    [aux_sym__keyword_between_token1] = ACTIONS(1793),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1793),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1793),
    [aux_sym__keyword_like_token1] = ACTIONS(1793),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1793),
    [aux_sym__keyword_as_token1] = ACTIONS(1793),
    [aux_sym__keyword_date_token1] = ACTIONS(1793),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1793),
    [aux_sym__keyword_time_token1] = ACTIONS(1793),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1793),
    [aux_sym__keyword_for_token1] = ACTIONS(1793),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1793),
    [aux_sym_return_statement_token1] = ACTIONS(1793),
    [aux_sym_call_statement_token1] = ACTIONS(1793),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1793),
    [aux_sym_if_statement_token1] = ACTIONS(1793),
    [aux_sym_loop_statement_token1] = ACTIONS(1793),
    [aux_sym_repeat_statement_token1] = ACTIONS(1793),
    [aux_sym_while_statement_token1] = ACTIONS(1793),
    [aux_sym_break_statement_token1] = ACTIONS(1793),
    [aux_sym_leave_statement_token1] = ACTIONS(1793),
    [aux_sym_continue_statement_token1] = ACTIONS(1793),
    [aux_sym_iterate_statement_token1] = ACTIONS(1793),
    [aux_sym_raise_statement_token1] = ACTIONS(1793),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1793),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1793),
    [aux_sym_insert_statement_token1] = ACTIONS(1793),
    [aux_sym_truncate_statement_token1] = ACTIONS(1793),
    [aux_sym_update_statement_token1] = ACTIONS(1793),
    [aux_sym_merge_statement_token1] = ACTIONS(1793),
    [aux_sym_grant_statement_token1] = ACTIONS(1793),
    [aux_sym_revoke_statement_token1] = ACTIONS(1793),
    [aux_sym_export_data_statement_token1] = ACTIONS(1793),
    [aux_sym_load_data_statement_token1] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym__quoted_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [3394] = {
    [sym__unquoted_identifier] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1867),
    [aux_sym_keyword_replace_token1] = ACTIONS(1867),
    [aux_sym__keyword_alter_token1] = ACTIONS(1867),
    [aux_sym__keyword_create_token1] = ACTIONS(1867),
    [aux_sym__keyword_drop_token1] = ACTIONS(1867),
    [aux_sym__keyword_delete_token1] = ACTIONS(1867),
    [aux_sym__keyword_begin_token1] = ACTIONS(1867),
    [aux_sym__keyword_end_token1] = ACTIONS(1867),
    [aux_sym__keyword_between_token1] = ACTIONS(1867),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1867),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1867),
    [aux_sym__keyword_like_token1] = ACTIONS(1867),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1867),
    [aux_sym__keyword_as_token1] = ACTIONS(1867),
    [aux_sym__keyword_date_token1] = ACTIONS(1867),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1867),
    [aux_sym__keyword_time_token1] = ACTIONS(1867),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1867),
    [aux_sym__keyword_for_token1] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1867),
    [aux_sym_return_statement_token1] = ACTIONS(1867),
    [aux_sym_call_statement_token1] = ACTIONS(1867),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1867),
    [aux_sym_if_statement_token1] = ACTIONS(1867),
    [aux_sym_loop_statement_token1] = ACTIONS(1867),
    [aux_sym_repeat_statement_token1] = ACTIONS(1867),
    [aux_sym_while_statement_token1] = ACTIONS(1867),
    [aux_sym_break_statement_token1] = ACTIONS(1867),
    [aux_sym_leave_statement_token1] = ACTIONS(1867),
    [aux_sym_continue_statement_token1] = ACTIONS(1867),
    [aux_sym_iterate_statement_token1] = ACTIONS(1867),
    [aux_sym_raise_statement_token1] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1867),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1867),
    [aux_sym_insert_statement_token1] = ACTIONS(1867),
    [aux_sym_truncate_statement_token1] = ACTIONS(1867),
    [aux_sym_update_statement_token1] = ACTIONS(1867),
    [aux_sym_merge_statement_token1] = ACTIONS(1867),
    [aux_sym_grant_statement_token1] = ACTIONS(1867),
    [aux_sym_revoke_statement_token1] = ACTIONS(1867),
    [aux_sym_export_data_statement_token1] = ACTIONS(1867),
    [aux_sym_load_data_statement_token1] = ACTIONS(1867),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym__quoted_identifier] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [3395] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3396] = {
    [sym__unquoted_identifier] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1863),
    [aux_sym_keyword_replace_token1] = ACTIONS(1863),
    [aux_sym__keyword_alter_token1] = ACTIONS(1863),
    [aux_sym__keyword_create_token1] = ACTIONS(1863),
    [aux_sym__keyword_drop_token1] = ACTIONS(1863),
    [aux_sym__keyword_delete_token1] = ACTIONS(1863),
    [aux_sym__keyword_begin_token1] = ACTIONS(1863),
    [aux_sym__keyword_end_token1] = ACTIONS(1863),
    [aux_sym__keyword_between_token1] = ACTIONS(1863),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1863),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1863),
    [aux_sym__keyword_like_token1] = ACTIONS(1863),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1863),
    [aux_sym__keyword_as_token1] = ACTIONS(1863),
    [aux_sym__keyword_date_token1] = ACTIONS(1863),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1863),
    [aux_sym__keyword_time_token1] = ACTIONS(1863),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1863),
    [aux_sym__keyword_for_token1] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1863),
    [aux_sym_return_statement_token1] = ACTIONS(1863),
    [aux_sym_call_statement_token1] = ACTIONS(1863),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1863),
    [aux_sym_if_statement_token1] = ACTIONS(1863),
    [aux_sym_loop_statement_token1] = ACTIONS(1863),
    [aux_sym_repeat_statement_token1] = ACTIONS(1863),
    [aux_sym_while_statement_token1] = ACTIONS(1863),
    [aux_sym_break_statement_token1] = ACTIONS(1863),
    [aux_sym_leave_statement_token1] = ACTIONS(1863),
    [aux_sym_continue_statement_token1] = ACTIONS(1863),
    [aux_sym_iterate_statement_token1] = ACTIONS(1863),
    [aux_sym_raise_statement_token1] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1863),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1863),
    [aux_sym_insert_statement_token1] = ACTIONS(1863),
    [aux_sym_truncate_statement_token1] = ACTIONS(1863),
    [aux_sym_update_statement_token1] = ACTIONS(1863),
    [aux_sym_merge_statement_token1] = ACTIONS(1863),
    [aux_sym_grant_statement_token1] = ACTIONS(1863),
    [aux_sym_revoke_statement_token1] = ACTIONS(1863),
    [aux_sym_export_data_statement_token1] = ACTIONS(1863),
    [aux_sym_load_data_statement_token1] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym__quoted_identifier] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [3397] = {
    [sym__unquoted_identifier] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1683),
    [aux_sym_keyword_replace_token1] = ACTIONS(1683),
    [aux_sym__keyword_alter_token1] = ACTIONS(1683),
    [aux_sym__keyword_create_token1] = ACTIONS(1683),
    [aux_sym__keyword_drop_token1] = ACTIONS(1683),
    [aux_sym__keyword_delete_token1] = ACTIONS(1683),
    [aux_sym__keyword_begin_token1] = ACTIONS(1683),
    [aux_sym__keyword_end_token1] = ACTIONS(1683),
    [aux_sym__keyword_between_token1] = ACTIONS(1683),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1683),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1683),
    [aux_sym__keyword_like_token1] = ACTIONS(1683),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1683),
    [aux_sym__keyword_as_token1] = ACTIONS(1683),
    [aux_sym__keyword_date_token1] = ACTIONS(1683),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1683),
    [aux_sym__keyword_time_token1] = ACTIONS(1683),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1683),
    [aux_sym__keyword_for_token1] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1683),
    [aux_sym_return_statement_token1] = ACTIONS(1683),
    [aux_sym_call_statement_token1] = ACTIONS(1683),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1683),
    [aux_sym_if_statement_token1] = ACTIONS(1683),
    [aux_sym_loop_statement_token1] = ACTIONS(1683),
    [aux_sym_repeat_statement_token1] = ACTIONS(1683),
    [aux_sym_while_statement_token1] = ACTIONS(1683),
    [aux_sym_break_statement_token1] = ACTIONS(1683),
    [aux_sym_leave_statement_token1] = ACTIONS(1683),
    [aux_sym_continue_statement_token1] = ACTIONS(1683),
    [aux_sym_iterate_statement_token1] = ACTIONS(1683),
    [aux_sym_raise_statement_token1] = ACTIONS(1683),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1683),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1683),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1683),
    [aux_sym_insert_statement_token1] = ACTIONS(1683),
    [aux_sym_truncate_statement_token1] = ACTIONS(1683),
    [aux_sym_update_statement_token1] = ACTIONS(1683),
    [aux_sym_merge_statement_token1] = ACTIONS(1683),
    [aux_sym_grant_statement_token1] = ACTIONS(1683),
    [aux_sym_revoke_statement_token1] = ACTIONS(1683),
    [aux_sym_export_data_statement_token1] = ACTIONS(1683),
    [aux_sym_load_data_statement_token1] = ACTIONS(1683),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym__quoted_identifier] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [3398] = {
    [sym__unquoted_identifier] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1753),
    [aux_sym_keyword_replace_token1] = ACTIONS(1753),
    [aux_sym__keyword_alter_token1] = ACTIONS(1753),
    [aux_sym__keyword_create_token1] = ACTIONS(1753),
    [aux_sym__keyword_drop_token1] = ACTIONS(1753),
    [aux_sym__keyword_delete_token1] = ACTIONS(1753),
    [aux_sym__keyword_begin_token1] = ACTIONS(1753),
    [aux_sym__keyword_end_token1] = ACTIONS(1753),
    [aux_sym__keyword_between_token1] = ACTIONS(1753),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1753),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1753),
    [aux_sym__keyword_like_token1] = ACTIONS(1753),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1753),
    [aux_sym__keyword_as_token1] = ACTIONS(1753),
    [aux_sym__keyword_date_token1] = ACTIONS(1753),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1753),
    [aux_sym__keyword_time_token1] = ACTIONS(1753),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1753),
    [aux_sym__keyword_for_token1] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1753),
    [aux_sym_return_statement_token1] = ACTIONS(1753),
    [aux_sym_call_statement_token1] = ACTIONS(1753),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1753),
    [aux_sym_if_statement_token1] = ACTIONS(1753),
    [aux_sym_loop_statement_token1] = ACTIONS(1753),
    [aux_sym_repeat_statement_token1] = ACTIONS(1753),
    [aux_sym_while_statement_token1] = ACTIONS(1753),
    [aux_sym_break_statement_token1] = ACTIONS(1753),
    [aux_sym_leave_statement_token1] = ACTIONS(1753),
    [aux_sym_continue_statement_token1] = ACTIONS(1753),
    [aux_sym_iterate_statement_token1] = ACTIONS(1753),
    [aux_sym_raise_statement_token1] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1753),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1753),
    [aux_sym_insert_statement_token1] = ACTIONS(1753),
    [aux_sym_truncate_statement_token1] = ACTIONS(1753),
    [aux_sym_update_statement_token1] = ACTIONS(1753),
    [aux_sym_merge_statement_token1] = ACTIONS(1753),
    [aux_sym_grant_statement_token1] = ACTIONS(1753),
    [aux_sym_revoke_statement_token1] = ACTIONS(1753),
    [aux_sym_export_data_statement_token1] = ACTIONS(1753),
    [aux_sym_load_data_statement_token1] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym__quoted_identifier] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [3399] = {
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1383),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_end_token1] = ACTIONS(1383),
    [aux_sym__keyword_between_token1] = ACTIONS(1383),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1383),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1383),
    [aux_sym__keyword_like_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1383),
    [aux_sym_if_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_repeat_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [3400] = {
    [sym__unquoted_identifier] = ACTIONS(1797),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1797),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1797),
    [aux_sym_keyword_replace_token1] = ACTIONS(1797),
    [aux_sym__keyword_alter_token1] = ACTIONS(1797),
    [aux_sym__keyword_create_token1] = ACTIONS(1797),
    [aux_sym__keyword_drop_token1] = ACTIONS(1797),
    [aux_sym__keyword_delete_token1] = ACTIONS(1797),
    [aux_sym__keyword_begin_token1] = ACTIONS(1797),
    [aux_sym__keyword_end_token1] = ACTIONS(1797),
    [aux_sym__keyword_between_token1] = ACTIONS(1797),
    [aux_sym__keyword_else_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1797),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1797),
    [aux_sym__keyword_like_token1] = ACTIONS(1797),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1797),
    [aux_sym__keyword_as_token1] = ACTIONS(1797),
    [aux_sym__keyword_date_token1] = ACTIONS(1797),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1797),
    [aux_sym__keyword_time_token1] = ACTIONS(1797),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1797),
    [aux_sym__keyword_for_token1] = ACTIONS(1797),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1797),
    [anon_sym_COMMA] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1797),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1797),
    [aux_sym_return_statement_token1] = ACTIONS(1797),
    [aux_sym_call_statement_token1] = ACTIONS(1797),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1797),
    [aux_sym_if_statement_token1] = ACTIONS(1797),
    [aux_sym_loop_statement_token1] = ACTIONS(1797),
    [aux_sym_repeat_statement_token1] = ACTIONS(1797),
    [aux_sym_while_statement_token1] = ACTIONS(1797),
    [aux_sym_break_statement_token1] = ACTIONS(1797),
    [aux_sym_leave_statement_token1] = ACTIONS(1797),
    [aux_sym_continue_statement_token1] = ACTIONS(1797),
    [aux_sym_iterate_statement_token1] = ACTIONS(1797),
    [aux_sym_raise_statement_token1] = ACTIONS(1797),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1797),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1797),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1797),
    [aux_sym_insert_statement_token1] = ACTIONS(1797),
    [aux_sym_truncate_statement_token1] = ACTIONS(1797),
    [aux_sym_update_statement_token1] = ACTIONS(1797),
    [aux_sym_merge_statement_token1] = ACTIONS(1797),
    [aux_sym_grant_statement_token1] = ACTIONS(1797),
    [aux_sym_revoke_statement_token1] = ACTIONS(1797),
    [aux_sym_export_data_statement_token1] = ACTIONS(1797),
    [aux_sym_load_data_statement_token1] = ACTIONS(1797),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym__quoted_identifier] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [3401] = {
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1387),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_end_token1] = ACTIONS(1387),
    [aux_sym__keyword_between_token1] = ACTIONS(1387),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1387),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1387),
    [aux_sym__keyword_like_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1387),
    [aux_sym_if_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_repeat_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [3402] = {
    [sym__unquoted_identifier] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1785),
    [aux_sym_keyword_replace_token1] = ACTIONS(1785),
    [aux_sym__keyword_alter_token1] = ACTIONS(1785),
    [aux_sym__keyword_create_token1] = ACTIONS(1785),
    [aux_sym__keyword_drop_token1] = ACTIONS(1785),
    [aux_sym__keyword_delete_token1] = ACTIONS(1785),
    [aux_sym__keyword_begin_token1] = ACTIONS(1785),
    [aux_sym__keyword_end_token1] = ACTIONS(1785),
    [aux_sym__keyword_between_token1] = ACTIONS(1785),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1785),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1785),
    [aux_sym__keyword_like_token1] = ACTIONS(1785),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1785),
    [aux_sym__keyword_as_token1] = ACTIONS(1785),
    [aux_sym__keyword_date_token1] = ACTIONS(1785),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1785),
    [aux_sym__keyword_time_token1] = ACTIONS(1785),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1785),
    [aux_sym__keyword_for_token1] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1785),
    [aux_sym_return_statement_token1] = ACTIONS(1785),
    [aux_sym_call_statement_token1] = ACTIONS(1785),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1785),
    [aux_sym_if_statement_token1] = ACTIONS(1785),
    [aux_sym_loop_statement_token1] = ACTIONS(1785),
    [aux_sym_repeat_statement_token1] = ACTIONS(1785),
    [aux_sym_while_statement_token1] = ACTIONS(1785),
    [aux_sym_break_statement_token1] = ACTIONS(1785),
    [aux_sym_leave_statement_token1] = ACTIONS(1785),
    [aux_sym_continue_statement_token1] = ACTIONS(1785),
    [aux_sym_iterate_statement_token1] = ACTIONS(1785),
    [aux_sym_raise_statement_token1] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1785),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1785),
    [aux_sym_insert_statement_token1] = ACTIONS(1785),
    [aux_sym_truncate_statement_token1] = ACTIONS(1785),
    [aux_sym_update_statement_token1] = ACTIONS(1785),
    [aux_sym_merge_statement_token1] = ACTIONS(1785),
    [aux_sym_grant_statement_token1] = ACTIONS(1785),
    [aux_sym_revoke_statement_token1] = ACTIONS(1785),
    [aux_sym_export_data_statement_token1] = ACTIONS(1785),
    [aux_sym_load_data_statement_token1] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym__quoted_identifier] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [3403] = {
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1403),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_end_token1] = ACTIONS(1403),
    [aux_sym__keyword_between_token1] = ACTIONS(1403),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1403),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1403),
    [aux_sym__keyword_like_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1403),
    [aux_sym_if_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_repeat_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [3404] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3405] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3406] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3089),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3089),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3089),
    [aux_sym__keyword_create_token1] = ACTIONS(3089),
    [aux_sym__keyword_drop_token1] = ACTIONS(3089),
    [aux_sym__keyword_delete_token1] = ACTIONS(3089),
    [aux_sym__keyword_begin_token1] = ACTIONS(3089),
    [aux_sym__keyword_between_token1] = ACTIONS(3241),
    [aux_sym__keyword_is_token1] = ACTIONS(3243),
    [aux_sym__keyword_in_token1] = ACTIONS(3245),
    [aux_sym__keyword_and_token1] = ACTIONS(3247),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3089),
    [aux_sym__keyword_as_token1] = ACTIONS(3091),
    [aux_sym__keyword_for_token1] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3089),
    [aux_sym_declare_statement_token1] = ACTIONS(3089),
    [anon_sym_COMMA] = ACTIONS(3089),
    [aux_sym_set_statement_token1] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(3089),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3089),
    [aux_sym_return_statement_token1] = ACTIONS(3089),
    [aux_sym_call_statement_token1] = ACTIONS(3089),
    [aux_sym_loop_statement_token1] = ACTIONS(3089),
    [aux_sym_while_statement_token1] = ACTIONS(3089),
    [aux_sym_break_statement_token1] = ACTIONS(3089),
    [aux_sym_leave_statement_token1] = ACTIONS(3089),
    [aux_sym_continue_statement_token1] = ACTIONS(3089),
    [aux_sym_iterate_statement_token1] = ACTIONS(3089),
    [aux_sym_raise_statement_token1] = ACTIONS(3089),
    [anon_sym_EQ] = ACTIONS(3251),
    [aux_sym_assert_statement_token1] = ACTIONS(3089),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3089),
    [aux_sym_option_clause_token1] = ACTIONS(3089),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_GT] = ACTIONS(3245),
    [aux_sym_select_token1] = ACTIONS(3089),
    [aux_sym_insert_statement_token1] = ACTIONS(3089),
    [aux_sym_truncate_statement_token1] = ACTIONS(3089),
    [aux_sym_update_statement_token1] = ACTIONS(3089),
    [aux_sym_merge_statement_token1] = ACTIONS(3089),
    [aux_sym_grant_statement_token1] = ACTIONS(3089),
    [aux_sym_revoke_statement_token1] = ACTIONS(3089),
    [aux_sym_export_data_statement_token1] = ACTIONS(3089),
    [aux_sym_load_data_statement_token1] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3251),
    [anon_sym_LT_GT] = ACTIONS(3251),
    [anon_sym_GT_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3407] = {
    [sym__unquoted_identifier] = ACTIONS(1851),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1851),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1851),
    [aux_sym_keyword_replace_token1] = ACTIONS(1851),
    [aux_sym__keyword_alter_token1] = ACTIONS(1851),
    [aux_sym__keyword_create_token1] = ACTIONS(1851),
    [aux_sym__keyword_drop_token1] = ACTIONS(1851),
    [aux_sym__keyword_delete_token1] = ACTIONS(1851),
    [aux_sym__keyword_begin_token1] = ACTIONS(1851),
    [aux_sym__keyword_end_token1] = ACTIONS(1851),
    [aux_sym__keyword_between_token1] = ACTIONS(1851),
    [aux_sym__keyword_else_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1851),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1851),
    [aux_sym__keyword_like_token1] = ACTIONS(1851),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1851),
    [aux_sym__keyword_as_token1] = ACTIONS(1851),
    [aux_sym__keyword_date_token1] = ACTIONS(1851),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1851),
    [aux_sym__keyword_time_token1] = ACTIONS(1851),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1851),
    [aux_sym__keyword_for_token1] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1851),
    [aux_sym_return_statement_token1] = ACTIONS(1851),
    [aux_sym_call_statement_token1] = ACTIONS(1851),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1851),
    [aux_sym_if_statement_token1] = ACTIONS(1851),
    [aux_sym_loop_statement_token1] = ACTIONS(1851),
    [aux_sym_repeat_statement_token1] = ACTIONS(1851),
    [aux_sym_while_statement_token1] = ACTIONS(1851),
    [aux_sym_break_statement_token1] = ACTIONS(1851),
    [aux_sym_leave_statement_token1] = ACTIONS(1851),
    [aux_sym_continue_statement_token1] = ACTIONS(1851),
    [aux_sym_iterate_statement_token1] = ACTIONS(1851),
    [aux_sym_raise_statement_token1] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1851),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1851),
    [aux_sym_insert_statement_token1] = ACTIONS(1851),
    [aux_sym_truncate_statement_token1] = ACTIONS(1851),
    [aux_sym_update_statement_token1] = ACTIONS(1851),
    [aux_sym_merge_statement_token1] = ACTIONS(1851),
    [aux_sym_grant_statement_token1] = ACTIONS(1851),
    [aux_sym_revoke_statement_token1] = ACTIONS(1851),
    [aux_sym_export_data_statement_token1] = ACTIONS(1851),
    [aux_sym_load_data_statement_token1] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym__quoted_identifier] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [3408] = {
    [sym__unquoted_identifier] = ACTIONS(1843),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1843),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1843),
    [aux_sym_keyword_replace_token1] = ACTIONS(1843),
    [aux_sym__keyword_alter_token1] = ACTIONS(1843),
    [aux_sym__keyword_create_token1] = ACTIONS(1843),
    [aux_sym__keyword_drop_token1] = ACTIONS(1843),
    [aux_sym__keyword_delete_token1] = ACTIONS(1843),
    [aux_sym__keyword_begin_token1] = ACTIONS(1843),
    [aux_sym__keyword_end_token1] = ACTIONS(1843),
    [aux_sym__keyword_between_token1] = ACTIONS(1843),
    [aux_sym__keyword_else_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1843),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1843),
    [aux_sym__keyword_like_token1] = ACTIONS(1843),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1843),
    [aux_sym__keyword_as_token1] = ACTIONS(1843),
    [aux_sym__keyword_date_token1] = ACTIONS(1843),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1843),
    [aux_sym__keyword_time_token1] = ACTIONS(1843),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1843),
    [aux_sym__keyword_for_token1] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1843),
    [aux_sym_return_statement_token1] = ACTIONS(1843),
    [aux_sym_call_statement_token1] = ACTIONS(1843),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1843),
    [aux_sym_if_statement_token1] = ACTIONS(1843),
    [aux_sym_loop_statement_token1] = ACTIONS(1843),
    [aux_sym_repeat_statement_token1] = ACTIONS(1843),
    [aux_sym_while_statement_token1] = ACTIONS(1843),
    [aux_sym_break_statement_token1] = ACTIONS(1843),
    [aux_sym_leave_statement_token1] = ACTIONS(1843),
    [aux_sym_continue_statement_token1] = ACTIONS(1843),
    [aux_sym_iterate_statement_token1] = ACTIONS(1843),
    [aux_sym_raise_statement_token1] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1843),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1843),
    [aux_sym_insert_statement_token1] = ACTIONS(1843),
    [aux_sym_truncate_statement_token1] = ACTIONS(1843),
    [aux_sym_update_statement_token1] = ACTIONS(1843),
    [aux_sym_merge_statement_token1] = ACTIONS(1843),
    [aux_sym_grant_statement_token1] = ACTIONS(1843),
    [aux_sym_revoke_statement_token1] = ACTIONS(1843),
    [aux_sym_export_data_statement_token1] = ACTIONS(1843),
    [aux_sym_load_data_statement_token1] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym__quoted_identifier] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [3409] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3241),
    [aux_sym__keyword_is_token1] = ACTIONS(3243),
    [aux_sym__keyword_in_token1] = ACTIONS(3245),
    [aux_sym__keyword_and_token1] = ACTIONS(3247),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_as_token1] = ACTIONS(1197),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3251),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [aux_sym_option_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_GT] = ACTIONS(3245),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3251),
    [anon_sym_LT_GT] = ACTIONS(3251),
    [anon_sym_GT_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3410] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_as_token1] = ACTIONS(1189),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [aux_sym_option_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [3411] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3412] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3413] = {
    [sym__unquoted_identifier] = ACTIONS(1839),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1839),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1839),
    [aux_sym_keyword_replace_token1] = ACTIONS(1839),
    [aux_sym__keyword_alter_token1] = ACTIONS(1839),
    [aux_sym__keyword_create_token1] = ACTIONS(1839),
    [aux_sym__keyword_drop_token1] = ACTIONS(1839),
    [aux_sym__keyword_delete_token1] = ACTIONS(1839),
    [aux_sym__keyword_begin_token1] = ACTIONS(1839),
    [aux_sym__keyword_end_token1] = ACTIONS(1839),
    [aux_sym__keyword_between_token1] = ACTIONS(1839),
    [aux_sym__keyword_else_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1839),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1839),
    [aux_sym__keyword_like_token1] = ACTIONS(1839),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1839),
    [aux_sym__keyword_as_token1] = ACTIONS(1839),
    [aux_sym__keyword_date_token1] = ACTIONS(1839),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1839),
    [aux_sym__keyword_time_token1] = ACTIONS(1839),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1839),
    [aux_sym__keyword_for_token1] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1839),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1839),
    [aux_sym_return_statement_token1] = ACTIONS(1839),
    [aux_sym_call_statement_token1] = ACTIONS(1839),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1839),
    [aux_sym_if_statement_token1] = ACTIONS(1839),
    [aux_sym_loop_statement_token1] = ACTIONS(1839),
    [aux_sym_repeat_statement_token1] = ACTIONS(1839),
    [aux_sym_while_statement_token1] = ACTIONS(1839),
    [aux_sym_break_statement_token1] = ACTIONS(1839),
    [aux_sym_leave_statement_token1] = ACTIONS(1839),
    [aux_sym_continue_statement_token1] = ACTIONS(1839),
    [aux_sym_iterate_statement_token1] = ACTIONS(1839),
    [aux_sym_raise_statement_token1] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1839),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1839),
    [aux_sym_insert_statement_token1] = ACTIONS(1839),
    [aux_sym_truncate_statement_token1] = ACTIONS(1839),
    [aux_sym_update_statement_token1] = ACTIONS(1839),
    [aux_sym_merge_statement_token1] = ACTIONS(1839),
    [aux_sym_grant_statement_token1] = ACTIONS(1839),
    [aux_sym_revoke_statement_token1] = ACTIONS(1839),
    [aux_sym_export_data_statement_token1] = ACTIONS(1839),
    [aux_sym_load_data_statement_token1] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym__quoted_identifier] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [3414] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3415] = {
    [sym__unquoted_identifier] = ACTIONS(1835),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1835),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1835),
    [aux_sym_keyword_replace_token1] = ACTIONS(1835),
    [aux_sym__keyword_alter_token1] = ACTIONS(1835),
    [aux_sym__keyword_create_token1] = ACTIONS(1835),
    [aux_sym__keyword_drop_token1] = ACTIONS(1835),
    [aux_sym__keyword_delete_token1] = ACTIONS(1835),
    [aux_sym__keyword_begin_token1] = ACTIONS(1835),
    [aux_sym__keyword_end_token1] = ACTIONS(1835),
    [aux_sym__keyword_between_token1] = ACTIONS(1835),
    [aux_sym__keyword_else_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1835),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1835),
    [aux_sym__keyword_like_token1] = ACTIONS(1835),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1835),
    [aux_sym__keyword_as_token1] = ACTIONS(1835),
    [aux_sym__keyword_date_token1] = ACTIONS(1835),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1835),
    [aux_sym__keyword_time_token1] = ACTIONS(1835),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1835),
    [aux_sym__keyword_for_token1] = ACTIONS(1835),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1835),
    [aux_sym_return_statement_token1] = ACTIONS(1835),
    [aux_sym_call_statement_token1] = ACTIONS(1835),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1835),
    [aux_sym_if_statement_token1] = ACTIONS(1835),
    [aux_sym_loop_statement_token1] = ACTIONS(1835),
    [aux_sym_repeat_statement_token1] = ACTIONS(1835),
    [aux_sym_while_statement_token1] = ACTIONS(1835),
    [aux_sym_break_statement_token1] = ACTIONS(1835),
    [aux_sym_leave_statement_token1] = ACTIONS(1835),
    [aux_sym_continue_statement_token1] = ACTIONS(1835),
    [aux_sym_iterate_statement_token1] = ACTIONS(1835),
    [aux_sym_raise_statement_token1] = ACTIONS(1835),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1835),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1835),
    [aux_sym_insert_statement_token1] = ACTIONS(1835),
    [aux_sym_truncate_statement_token1] = ACTIONS(1835),
    [aux_sym_update_statement_token1] = ACTIONS(1835),
    [aux_sym_merge_statement_token1] = ACTIONS(1835),
    [aux_sym_grant_statement_token1] = ACTIONS(1835),
    [aux_sym_revoke_statement_token1] = ACTIONS(1835),
    [aux_sym_export_data_statement_token1] = ACTIONS(1835),
    [aux_sym_load_data_statement_token1] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym__quoted_identifier] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [3416] = {
    [sym__unquoted_identifier] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1801),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1801),
    [aux_sym__keyword_create_token1] = ACTIONS(1801),
    [aux_sym__keyword_drop_token1] = ACTIONS(1801),
    [aux_sym__keyword_delete_token1] = ACTIONS(1801),
    [aux_sym__keyword_begin_token1] = ACTIONS(1801),
    [aux_sym__keyword_end_token1] = ACTIONS(1801),
    [aux_sym__keyword_between_token1] = ACTIONS(1801),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1801),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1801),
    [aux_sym__keyword_like_token1] = ACTIONS(1801),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1801),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_date_token1] = ACTIONS(1801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1801),
    [aux_sym__keyword_time_token1] = ACTIONS(1801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1801),
    [aux_sym_return_statement_token1] = ACTIONS(1801),
    [aux_sym_call_statement_token1] = ACTIONS(1801),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1801),
    [aux_sym_if_statement_token1] = ACTIONS(1801),
    [aux_sym_loop_statement_token1] = ACTIONS(1801),
    [aux_sym_repeat_statement_token1] = ACTIONS(1801),
    [aux_sym_while_statement_token1] = ACTIONS(1801),
    [aux_sym_break_statement_token1] = ACTIONS(1801),
    [aux_sym_leave_statement_token1] = ACTIONS(1801),
    [aux_sym_continue_statement_token1] = ACTIONS(1801),
    [aux_sym_iterate_statement_token1] = ACTIONS(1801),
    [aux_sym_raise_statement_token1] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1801),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1801),
    [aux_sym_insert_statement_token1] = ACTIONS(1801),
    [aux_sym_truncate_statement_token1] = ACTIONS(1801),
    [aux_sym_update_statement_token1] = ACTIONS(1801),
    [aux_sym_merge_statement_token1] = ACTIONS(1801),
    [aux_sym_grant_statement_token1] = ACTIONS(1801),
    [aux_sym_revoke_statement_token1] = ACTIONS(1801),
    [aux_sym_export_data_statement_token1] = ACTIONS(1801),
    [aux_sym_load_data_statement_token1] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym__quoted_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [3417] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3418] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3419] = {
    [sym__unquoted_identifier] = ACTIONS(1811),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1811),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1811),
    [aux_sym_keyword_replace_token1] = ACTIONS(1811),
    [aux_sym__keyword_alter_token1] = ACTIONS(1811),
    [aux_sym__keyword_create_token1] = ACTIONS(1811),
    [aux_sym__keyword_drop_token1] = ACTIONS(1811),
    [aux_sym__keyword_delete_token1] = ACTIONS(1811),
    [aux_sym__keyword_begin_token1] = ACTIONS(1811),
    [aux_sym__keyword_end_token1] = ACTIONS(1811),
    [aux_sym__keyword_between_token1] = ACTIONS(1811),
    [aux_sym__keyword_else_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1811),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1811),
    [aux_sym__keyword_like_token1] = ACTIONS(1811),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1811),
    [aux_sym__keyword_as_token1] = ACTIONS(1811),
    [aux_sym__keyword_date_token1] = ACTIONS(1811),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1811),
    [aux_sym__keyword_time_token1] = ACTIONS(1811),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1811),
    [aux_sym__keyword_for_token1] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1811),
    [aux_sym_return_statement_token1] = ACTIONS(1811),
    [aux_sym_call_statement_token1] = ACTIONS(1811),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1811),
    [aux_sym_if_statement_token1] = ACTIONS(1811),
    [aux_sym_loop_statement_token1] = ACTIONS(1811),
    [aux_sym_repeat_statement_token1] = ACTIONS(1811),
    [aux_sym_while_statement_token1] = ACTIONS(1811),
    [aux_sym_break_statement_token1] = ACTIONS(1811),
    [aux_sym_leave_statement_token1] = ACTIONS(1811),
    [aux_sym_continue_statement_token1] = ACTIONS(1811),
    [aux_sym_iterate_statement_token1] = ACTIONS(1811),
    [aux_sym_raise_statement_token1] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1811),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1811),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1811),
    [aux_sym_insert_statement_token1] = ACTIONS(1811),
    [aux_sym_truncate_statement_token1] = ACTIONS(1811),
    [aux_sym_update_statement_token1] = ACTIONS(1811),
    [aux_sym_merge_statement_token1] = ACTIONS(1811),
    [aux_sym_grant_statement_token1] = ACTIONS(1811),
    [aux_sym_revoke_statement_token1] = ACTIONS(1811),
    [aux_sym_export_data_statement_token1] = ACTIONS(1811),
    [aux_sym_load_data_statement_token1] = ACTIONS(1811),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym__quoted_identifier] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [3420] = {
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1427),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_end_token1] = ACTIONS(1427),
    [aux_sym__keyword_between_token1] = ACTIONS(1427),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1427),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1427),
    [aux_sym__keyword_like_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1427),
    [aux_sym_if_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_repeat_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [3421] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3241),
    [aux_sym__keyword_is_token1] = ACTIONS(3243),
    [aux_sym__keyword_in_token1] = ACTIONS(3245),
    [aux_sym__keyword_and_token1] = ACTIONS(3247),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3251),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_GT] = ACTIONS(3245),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3251),
    [anon_sym_LT_GT] = ACTIONS(3251),
    [anon_sym_GT_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3422] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3423] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3424] = {
    [sym__unquoted_identifier] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1757),
    [aux_sym_keyword_replace_token1] = ACTIONS(1757),
    [aux_sym__keyword_alter_token1] = ACTIONS(1757),
    [aux_sym__keyword_create_token1] = ACTIONS(1757),
    [aux_sym__keyword_drop_token1] = ACTIONS(1757),
    [aux_sym__keyword_delete_token1] = ACTIONS(1757),
    [aux_sym__keyword_begin_token1] = ACTIONS(1757),
    [aux_sym__keyword_end_token1] = ACTIONS(1757),
    [aux_sym__keyword_between_token1] = ACTIONS(1757),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1757),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1757),
    [aux_sym__keyword_like_token1] = ACTIONS(1757),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1757),
    [aux_sym__keyword_as_token1] = ACTIONS(1757),
    [aux_sym__keyword_date_token1] = ACTIONS(1757),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1757),
    [aux_sym__keyword_time_token1] = ACTIONS(1757),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1757),
    [aux_sym__keyword_for_token1] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1757),
    [aux_sym_return_statement_token1] = ACTIONS(1757),
    [aux_sym_call_statement_token1] = ACTIONS(1757),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1757),
    [aux_sym_if_statement_token1] = ACTIONS(1757),
    [aux_sym_loop_statement_token1] = ACTIONS(1757),
    [aux_sym_repeat_statement_token1] = ACTIONS(1757),
    [aux_sym_while_statement_token1] = ACTIONS(1757),
    [aux_sym_break_statement_token1] = ACTIONS(1757),
    [aux_sym_leave_statement_token1] = ACTIONS(1757),
    [aux_sym_continue_statement_token1] = ACTIONS(1757),
    [aux_sym_iterate_statement_token1] = ACTIONS(1757),
    [aux_sym_raise_statement_token1] = ACTIONS(1757),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1757),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1757),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1757),
    [aux_sym_insert_statement_token1] = ACTIONS(1757),
    [aux_sym_truncate_statement_token1] = ACTIONS(1757),
    [aux_sym_update_statement_token1] = ACTIONS(1757),
    [aux_sym_merge_statement_token1] = ACTIONS(1757),
    [aux_sym_grant_statement_token1] = ACTIONS(1757),
    [aux_sym_revoke_statement_token1] = ACTIONS(1757),
    [aux_sym_export_data_statement_token1] = ACTIONS(1757),
    [aux_sym_load_data_statement_token1] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym__quoted_identifier] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [3425] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3426] = {
    [sym__unquoted_identifier] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1777),
    [aux_sym_keyword_replace_token1] = ACTIONS(1777),
    [aux_sym__keyword_alter_token1] = ACTIONS(1777),
    [aux_sym__keyword_create_token1] = ACTIONS(1777),
    [aux_sym__keyword_drop_token1] = ACTIONS(1777),
    [aux_sym__keyword_delete_token1] = ACTIONS(1777),
    [aux_sym__keyword_begin_token1] = ACTIONS(1777),
    [aux_sym__keyword_end_token1] = ACTIONS(1777),
    [aux_sym__keyword_between_token1] = ACTIONS(1777),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1777),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1777),
    [aux_sym__keyword_like_token1] = ACTIONS(1777),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1777),
    [aux_sym__keyword_as_token1] = ACTIONS(1777),
    [aux_sym__keyword_date_token1] = ACTIONS(1777),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1777),
    [aux_sym__keyword_time_token1] = ACTIONS(1777),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1777),
    [aux_sym__keyword_for_token1] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1777),
    [aux_sym_return_statement_token1] = ACTIONS(1777),
    [aux_sym_call_statement_token1] = ACTIONS(1777),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1777),
    [aux_sym_if_statement_token1] = ACTIONS(1777),
    [aux_sym_loop_statement_token1] = ACTIONS(1777),
    [aux_sym_repeat_statement_token1] = ACTIONS(1777),
    [aux_sym_while_statement_token1] = ACTIONS(1777),
    [aux_sym_break_statement_token1] = ACTIONS(1777),
    [aux_sym_leave_statement_token1] = ACTIONS(1777),
    [aux_sym_continue_statement_token1] = ACTIONS(1777),
    [aux_sym_iterate_statement_token1] = ACTIONS(1777),
    [aux_sym_raise_statement_token1] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1777),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1777),
    [aux_sym_insert_statement_token1] = ACTIONS(1777),
    [aux_sym_truncate_statement_token1] = ACTIONS(1777),
    [aux_sym_update_statement_token1] = ACTIONS(1777),
    [aux_sym_merge_statement_token1] = ACTIONS(1777),
    [aux_sym_grant_statement_token1] = ACTIONS(1777),
    [aux_sym_revoke_statement_token1] = ACTIONS(1777),
    [aux_sym_export_data_statement_token1] = ACTIONS(1777),
    [aux_sym_load_data_statement_token1] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym__quoted_identifier] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [3427] = {
    [sym__unquoted_identifier] = ACTIONS(1855),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1855),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1855),
    [aux_sym_keyword_replace_token1] = ACTIONS(1855),
    [aux_sym__keyword_alter_token1] = ACTIONS(1855),
    [aux_sym__keyword_create_token1] = ACTIONS(1855),
    [aux_sym__keyword_drop_token1] = ACTIONS(1855),
    [aux_sym__keyword_delete_token1] = ACTIONS(1855),
    [aux_sym__keyword_begin_token1] = ACTIONS(1855),
    [aux_sym__keyword_end_token1] = ACTIONS(1855),
    [aux_sym__keyword_between_token1] = ACTIONS(1855),
    [aux_sym__keyword_else_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1855),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1855),
    [aux_sym__keyword_like_token1] = ACTIONS(1855),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1855),
    [aux_sym__keyword_as_token1] = ACTIONS(1855),
    [aux_sym__keyword_date_token1] = ACTIONS(1855),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1855),
    [aux_sym__keyword_time_token1] = ACTIONS(1855),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1855),
    [aux_sym__keyword_for_token1] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1855),
    [aux_sym_return_statement_token1] = ACTIONS(1855),
    [aux_sym_call_statement_token1] = ACTIONS(1855),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1855),
    [aux_sym_if_statement_token1] = ACTIONS(1855),
    [aux_sym_loop_statement_token1] = ACTIONS(1855),
    [aux_sym_repeat_statement_token1] = ACTIONS(1855),
    [aux_sym_while_statement_token1] = ACTIONS(1855),
    [aux_sym_break_statement_token1] = ACTIONS(1855),
    [aux_sym_leave_statement_token1] = ACTIONS(1855),
    [aux_sym_continue_statement_token1] = ACTIONS(1855),
    [aux_sym_iterate_statement_token1] = ACTIONS(1855),
    [aux_sym_raise_statement_token1] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1855),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1855),
    [aux_sym_insert_statement_token1] = ACTIONS(1855),
    [aux_sym_truncate_statement_token1] = ACTIONS(1855),
    [aux_sym_update_statement_token1] = ACTIONS(1855),
    [aux_sym_merge_statement_token1] = ACTIONS(1855),
    [aux_sym_grant_statement_token1] = ACTIONS(1855),
    [aux_sym_revoke_statement_token1] = ACTIONS(1855),
    [aux_sym_export_data_statement_token1] = ACTIONS(1855),
    [aux_sym_load_data_statement_token1] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym__quoted_identifier] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [3428] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3429] = {
    [sym__unquoted_identifier] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1807),
    [aux_sym_keyword_replace_token1] = ACTIONS(1807),
    [aux_sym__keyword_alter_token1] = ACTIONS(1807),
    [aux_sym__keyword_create_token1] = ACTIONS(1807),
    [aux_sym__keyword_drop_token1] = ACTIONS(1807),
    [aux_sym__keyword_delete_token1] = ACTIONS(1807),
    [aux_sym__keyword_begin_token1] = ACTIONS(1807),
    [aux_sym__keyword_end_token1] = ACTIONS(1807),
    [aux_sym__keyword_between_token1] = ACTIONS(1807),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1807),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1807),
    [aux_sym__keyword_like_token1] = ACTIONS(1807),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1807),
    [aux_sym__keyword_as_token1] = ACTIONS(1807),
    [aux_sym__keyword_date_token1] = ACTIONS(1807),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1807),
    [aux_sym__keyword_time_token1] = ACTIONS(1807),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1807),
    [aux_sym__keyword_for_token1] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1807),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1807),
    [aux_sym_return_statement_token1] = ACTIONS(1807),
    [aux_sym_call_statement_token1] = ACTIONS(1807),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1807),
    [aux_sym_if_statement_token1] = ACTIONS(1807),
    [aux_sym_loop_statement_token1] = ACTIONS(1807),
    [aux_sym_repeat_statement_token1] = ACTIONS(1807),
    [aux_sym_while_statement_token1] = ACTIONS(1807),
    [aux_sym_break_statement_token1] = ACTIONS(1807),
    [aux_sym_leave_statement_token1] = ACTIONS(1807),
    [aux_sym_continue_statement_token1] = ACTIONS(1807),
    [aux_sym_iterate_statement_token1] = ACTIONS(1807),
    [aux_sym_raise_statement_token1] = ACTIONS(1807),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1807),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1807),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1807),
    [aux_sym_insert_statement_token1] = ACTIONS(1807),
    [aux_sym_truncate_statement_token1] = ACTIONS(1807),
    [aux_sym_update_statement_token1] = ACTIONS(1807),
    [aux_sym_merge_statement_token1] = ACTIONS(1807),
    [aux_sym_grant_statement_token1] = ACTIONS(1807),
    [aux_sym_revoke_statement_token1] = ACTIONS(1807),
    [aux_sym_export_data_statement_token1] = ACTIONS(1807),
    [aux_sym_load_data_statement_token1] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym__quoted_identifier] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [3430] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_as_token1] = ACTIONS(1223),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [aux_sym_option_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3431] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3432] = {
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1551),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_end_token1] = ACTIONS(1551),
    [aux_sym__keyword_between_token1] = ACTIONS(1551),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1551),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1551),
    [aux_sym__keyword_like_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1551),
    [aux_sym_if_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_repeat_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [3433] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_as_token1] = ACTIONS(1167),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [aux_sym_option_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3434] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_as_token1] = ACTIONS(1209),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [aux_sym_option_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3435] = {
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [3436] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3437] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3438] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3439] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3241),
    [aux_sym__keyword_is_token1] = ACTIONS(3243),
    [aux_sym__keyword_in_token1] = ACTIONS(3245),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3251),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_GT] = ACTIONS(3245),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3251),
    [anon_sym_LT_GT] = ACTIONS(3251),
    [anon_sym_GT_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3440] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3441] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3442] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3443] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3444] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3445] = {
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1431),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_end_token1] = ACTIONS(1431),
    [aux_sym__keyword_between_token1] = ACTIONS(1431),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1431),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1431),
    [aux_sym__keyword_like_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1431),
    [aux_sym_if_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_repeat_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [3446] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3447] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3448] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3449] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3450] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_as_token1] = ACTIONS(1241),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [aux_sym_option_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3451] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_as_token1] = ACTIONS(1227),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [aux_sym_option_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3452] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3453] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3454] = {
    [sym__unquoted_identifier] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1815),
    [aux_sym_keyword_replace_token1] = ACTIONS(1815),
    [aux_sym__keyword_alter_token1] = ACTIONS(1815),
    [aux_sym__keyword_create_token1] = ACTIONS(1815),
    [aux_sym__keyword_drop_token1] = ACTIONS(1815),
    [aux_sym__keyword_delete_token1] = ACTIONS(1815),
    [aux_sym__keyword_begin_token1] = ACTIONS(1815),
    [aux_sym__keyword_end_token1] = ACTIONS(1815),
    [aux_sym__keyword_between_token1] = ACTIONS(1815),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1815),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1815),
    [aux_sym__keyword_like_token1] = ACTIONS(1815),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1815),
    [aux_sym__keyword_as_token1] = ACTIONS(1815),
    [aux_sym__keyword_date_token1] = ACTIONS(1815),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1815),
    [aux_sym__keyword_time_token1] = ACTIONS(1815),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1815),
    [aux_sym__keyword_for_token1] = ACTIONS(1815),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1815),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1815),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1815),
    [aux_sym_return_statement_token1] = ACTIONS(1815),
    [aux_sym_call_statement_token1] = ACTIONS(1815),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1815),
    [aux_sym_if_statement_token1] = ACTIONS(1815),
    [aux_sym_loop_statement_token1] = ACTIONS(1815),
    [aux_sym_repeat_statement_token1] = ACTIONS(1815),
    [aux_sym_while_statement_token1] = ACTIONS(1815),
    [aux_sym_break_statement_token1] = ACTIONS(1815),
    [aux_sym_leave_statement_token1] = ACTIONS(1815),
    [aux_sym_continue_statement_token1] = ACTIONS(1815),
    [aux_sym_iterate_statement_token1] = ACTIONS(1815),
    [aux_sym_raise_statement_token1] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1815),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1815),
    [aux_sym_insert_statement_token1] = ACTIONS(1815),
    [aux_sym_truncate_statement_token1] = ACTIONS(1815),
    [aux_sym_update_statement_token1] = ACTIONS(1815),
    [aux_sym_merge_statement_token1] = ACTIONS(1815),
    [aux_sym_grant_statement_token1] = ACTIONS(1815),
    [aux_sym_revoke_statement_token1] = ACTIONS(1815),
    [aux_sym_export_data_statement_token1] = ACTIONS(1815),
    [aux_sym_load_data_statement_token1] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym__quoted_identifier] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [3455] = {
    [sym__unquoted_identifier] = ACTIONS(1599),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1599),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1599),
    [aux_sym_keyword_replace_token1] = ACTIONS(1599),
    [aux_sym__keyword_alter_token1] = ACTIONS(1599),
    [aux_sym__keyword_create_token1] = ACTIONS(1599),
    [aux_sym__keyword_drop_token1] = ACTIONS(1599),
    [aux_sym__keyword_delete_token1] = ACTIONS(1599),
    [aux_sym__keyword_begin_token1] = ACTIONS(1599),
    [aux_sym__keyword_end_token1] = ACTIONS(1599),
    [aux_sym__keyword_between_token1] = ACTIONS(1599),
    [aux_sym__keyword_else_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1599),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1599),
    [aux_sym__keyword_like_token1] = ACTIONS(1599),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1599),
    [aux_sym__keyword_as_token1] = ACTIONS(1599),
    [aux_sym__keyword_date_token1] = ACTIONS(1599),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1599),
    [aux_sym__keyword_time_token1] = ACTIONS(1599),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1599),
    [aux_sym__keyword_for_token1] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1599),
    [anon_sym_COMMA] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1599),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1599),
    [aux_sym_return_statement_token1] = ACTIONS(1599),
    [aux_sym_call_statement_token1] = ACTIONS(1599),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1599),
    [aux_sym_if_statement_token1] = ACTIONS(1599),
    [aux_sym_loop_statement_token1] = ACTIONS(1599),
    [aux_sym_repeat_statement_token1] = ACTIONS(1599),
    [aux_sym_while_statement_token1] = ACTIONS(1599),
    [aux_sym_break_statement_token1] = ACTIONS(1599),
    [aux_sym_leave_statement_token1] = ACTIONS(1599),
    [aux_sym_continue_statement_token1] = ACTIONS(1599),
    [aux_sym_iterate_statement_token1] = ACTIONS(1599),
    [aux_sym_raise_statement_token1] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1599),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1599),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1599),
    [aux_sym_insert_statement_token1] = ACTIONS(1599),
    [aux_sym_truncate_statement_token1] = ACTIONS(1599),
    [aux_sym_update_statement_token1] = ACTIONS(1599),
    [aux_sym_merge_statement_token1] = ACTIONS(1599),
    [aux_sym_grant_statement_token1] = ACTIONS(1599),
    [aux_sym_revoke_statement_token1] = ACTIONS(1599),
    [aux_sym_export_data_statement_token1] = ACTIONS(1599),
    [aux_sym_load_data_statement_token1] = ACTIONS(1599),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym__quoted_identifier] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [3456] = {
    [sym__unquoted_identifier] = ACTIONS(1699),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1699),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1699),
    [aux_sym_keyword_replace_token1] = ACTIONS(1699),
    [aux_sym__keyword_alter_token1] = ACTIONS(1699),
    [aux_sym__keyword_create_token1] = ACTIONS(1699),
    [aux_sym__keyword_drop_token1] = ACTIONS(1699),
    [aux_sym__keyword_delete_token1] = ACTIONS(1699),
    [aux_sym__keyword_begin_token1] = ACTIONS(1699),
    [aux_sym__keyword_end_token1] = ACTIONS(1699),
    [aux_sym__keyword_between_token1] = ACTIONS(1699),
    [aux_sym__keyword_else_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1699),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1699),
    [aux_sym__keyword_like_token1] = ACTIONS(1699),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1699),
    [aux_sym__keyword_as_token1] = ACTIONS(1699),
    [aux_sym__keyword_date_token1] = ACTIONS(1699),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1699),
    [aux_sym__keyword_time_token1] = ACTIONS(1699),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1699),
    [aux_sym__keyword_for_token1] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1699),
    [aux_sym_return_statement_token1] = ACTIONS(1699),
    [aux_sym_call_statement_token1] = ACTIONS(1699),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1699),
    [aux_sym_if_statement_token1] = ACTIONS(1699),
    [aux_sym_loop_statement_token1] = ACTIONS(1699),
    [aux_sym_repeat_statement_token1] = ACTIONS(1699),
    [aux_sym_while_statement_token1] = ACTIONS(1699),
    [aux_sym_break_statement_token1] = ACTIONS(1699),
    [aux_sym_leave_statement_token1] = ACTIONS(1699),
    [aux_sym_continue_statement_token1] = ACTIONS(1699),
    [aux_sym_iterate_statement_token1] = ACTIONS(1699),
    [aux_sym_raise_statement_token1] = ACTIONS(1699),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1699),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_select_token1] = ACTIONS(1699),
    [aux_sym_insert_statement_token1] = ACTIONS(1699),
    [aux_sym_truncate_statement_token1] = ACTIONS(1699),
    [aux_sym_update_statement_token1] = ACTIONS(1699),
    [aux_sym_merge_statement_token1] = ACTIONS(1699),
    [aux_sym_grant_statement_token1] = ACTIONS(1699),
    [aux_sym_revoke_statement_token1] = ACTIONS(1699),
    [aux_sym_export_data_statement_token1] = ACTIONS(1699),
    [aux_sym_load_data_statement_token1] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym__quoted_identifier] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [3457] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3458] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3459] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3460] = {
    [sym__unquoted_identifier] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1819),
    [aux_sym_keyword_replace_token1] = ACTIONS(1819),
    [aux_sym__keyword_alter_token1] = ACTIONS(1819),
    [aux_sym__keyword_create_token1] = ACTIONS(1819),
    [aux_sym__keyword_drop_token1] = ACTIONS(1819),
    [aux_sym__keyword_delete_token1] = ACTIONS(1819),
    [aux_sym__keyword_begin_token1] = ACTIONS(1819),
    [aux_sym__keyword_end_token1] = ACTIONS(1819),
    [aux_sym__keyword_between_token1] = ACTIONS(1819),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1819),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1819),
    [aux_sym__keyword_like_token1] = ACTIONS(1819),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1819),
    [aux_sym__keyword_as_token1] = ACTIONS(1819),
    [aux_sym__keyword_date_token1] = ACTIONS(1819),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1819),
    [aux_sym__keyword_time_token1] = ACTIONS(1819),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1819),
    [aux_sym__keyword_for_token1] = ACTIONS(1819),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1819),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1819),
    [aux_sym_return_statement_token1] = ACTIONS(1819),
    [aux_sym_call_statement_token1] = ACTIONS(1819),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1819),
    [aux_sym_if_statement_token1] = ACTIONS(1819),
    [aux_sym_loop_statement_token1] = ACTIONS(1819),
    [aux_sym_repeat_statement_token1] = ACTIONS(1819),
    [aux_sym_while_statement_token1] = ACTIONS(1819),
    [aux_sym_break_statement_token1] = ACTIONS(1819),
    [aux_sym_leave_statement_token1] = ACTIONS(1819),
    [aux_sym_continue_statement_token1] = ACTIONS(1819),
    [aux_sym_iterate_statement_token1] = ACTIONS(1819),
    [aux_sym_raise_statement_token1] = ACTIONS(1819),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1819),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1819),
    [aux_sym_insert_statement_token1] = ACTIONS(1819),
    [aux_sym_truncate_statement_token1] = ACTIONS(1819),
    [aux_sym_update_statement_token1] = ACTIONS(1819),
    [aux_sym_merge_statement_token1] = ACTIONS(1819),
    [aux_sym_grant_statement_token1] = ACTIONS(1819),
    [aux_sym_revoke_statement_token1] = ACTIONS(1819),
    [aux_sym_export_data_statement_token1] = ACTIONS(1819),
    [aux_sym_load_data_statement_token1] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym__quoted_identifier] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [3461] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3462] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3463] = {
    [sym__unquoted_identifier] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1823),
    [aux_sym_keyword_replace_token1] = ACTIONS(1823),
    [aux_sym__keyword_alter_token1] = ACTIONS(1823),
    [aux_sym__keyword_create_token1] = ACTIONS(1823),
    [aux_sym__keyword_drop_token1] = ACTIONS(1823),
    [aux_sym__keyword_delete_token1] = ACTIONS(1823),
    [aux_sym__keyword_begin_token1] = ACTIONS(1823),
    [aux_sym__keyword_end_token1] = ACTIONS(1823),
    [aux_sym__keyword_between_token1] = ACTIONS(1823),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1823),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1823),
    [aux_sym__keyword_like_token1] = ACTIONS(1823),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1823),
    [aux_sym__keyword_as_token1] = ACTIONS(1823),
    [aux_sym__keyword_date_token1] = ACTIONS(1823),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1823),
    [aux_sym__keyword_time_token1] = ACTIONS(1823),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1823),
    [aux_sym__keyword_for_token1] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1823),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1823),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1823),
    [aux_sym_return_statement_token1] = ACTIONS(1823),
    [aux_sym_call_statement_token1] = ACTIONS(1823),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1823),
    [aux_sym_if_statement_token1] = ACTIONS(1823),
    [aux_sym_loop_statement_token1] = ACTIONS(1823),
    [aux_sym_repeat_statement_token1] = ACTIONS(1823),
    [aux_sym_while_statement_token1] = ACTIONS(1823),
    [aux_sym_break_statement_token1] = ACTIONS(1823),
    [aux_sym_leave_statement_token1] = ACTIONS(1823),
    [aux_sym_continue_statement_token1] = ACTIONS(1823),
    [aux_sym_iterate_statement_token1] = ACTIONS(1823),
    [aux_sym_raise_statement_token1] = ACTIONS(1823),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1823),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1823),
    [aux_sym_insert_statement_token1] = ACTIONS(1823),
    [aux_sym_truncate_statement_token1] = ACTIONS(1823),
    [aux_sym_update_statement_token1] = ACTIONS(1823),
    [aux_sym_merge_statement_token1] = ACTIONS(1823),
    [aux_sym_grant_statement_token1] = ACTIONS(1823),
    [aux_sym_revoke_statement_token1] = ACTIONS(1823),
    [aux_sym_export_data_statement_token1] = ACTIONS(1823),
    [aux_sym_load_data_statement_token1] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym__quoted_identifier] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [3464] = {
    [sym__unquoted_identifier] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1595),
    [aux_sym_keyword_replace_token1] = ACTIONS(1595),
    [aux_sym__keyword_alter_token1] = ACTIONS(1595),
    [aux_sym__keyword_create_token1] = ACTIONS(1595),
    [aux_sym__keyword_drop_token1] = ACTIONS(1595),
    [aux_sym__keyword_delete_token1] = ACTIONS(1595),
    [aux_sym__keyword_begin_token1] = ACTIONS(1595),
    [aux_sym__keyword_end_token1] = ACTIONS(1595),
    [aux_sym__keyword_between_token1] = ACTIONS(1595),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1595),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1595),
    [aux_sym__keyword_like_token1] = ACTIONS(1595),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1595),
    [aux_sym__keyword_as_token1] = ACTIONS(1595),
    [aux_sym__keyword_date_token1] = ACTIONS(1595),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1595),
    [aux_sym__keyword_time_token1] = ACTIONS(1595),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1595),
    [aux_sym__keyword_for_token1] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1595),
    [aux_sym_return_statement_token1] = ACTIONS(1595),
    [aux_sym_call_statement_token1] = ACTIONS(1595),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1595),
    [aux_sym_if_statement_token1] = ACTIONS(1595),
    [aux_sym_loop_statement_token1] = ACTIONS(1595),
    [aux_sym_repeat_statement_token1] = ACTIONS(1595),
    [aux_sym_while_statement_token1] = ACTIONS(1595),
    [aux_sym_break_statement_token1] = ACTIONS(1595),
    [aux_sym_leave_statement_token1] = ACTIONS(1595),
    [aux_sym_continue_statement_token1] = ACTIONS(1595),
    [aux_sym_iterate_statement_token1] = ACTIONS(1595),
    [aux_sym_raise_statement_token1] = ACTIONS(1595),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1595),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1595),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1595),
    [aux_sym_insert_statement_token1] = ACTIONS(1595),
    [aux_sym_truncate_statement_token1] = ACTIONS(1595),
    [aux_sym_update_statement_token1] = ACTIONS(1595),
    [aux_sym_merge_statement_token1] = ACTIONS(1595),
    [aux_sym_grant_statement_token1] = ACTIONS(1595),
    [aux_sym_revoke_statement_token1] = ACTIONS(1595),
    [aux_sym_export_data_statement_token1] = ACTIONS(1595),
    [aux_sym_load_data_statement_token1] = ACTIONS(1595),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym__quoted_identifier] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [3465] = {
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1415),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_end_token1] = ACTIONS(1415),
    [aux_sym__keyword_between_token1] = ACTIONS(1415),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1415),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1415),
    [aux_sym__keyword_like_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1415),
    [aux_sym_if_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_repeat_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [3466] = {
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1447),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_end_token1] = ACTIONS(1447),
    [aux_sym__keyword_between_token1] = ACTIONS(1447),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1447),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1447),
    [aux_sym__keyword_like_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1447),
    [aux_sym_if_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_repeat_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [3467] = {
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1411),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_end_token1] = ACTIONS(1411),
    [aux_sym__keyword_between_token1] = ACTIONS(1411),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1411),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1411),
    [aux_sym__keyword_like_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1411),
    [aux_sym_if_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_repeat_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [3468] = {
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1451),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_end_token1] = ACTIONS(1451),
    [aux_sym__keyword_between_token1] = ACTIONS(1451),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1451),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1451),
    [aux_sym__keyword_like_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1451),
    [aux_sym_if_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_repeat_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [3469] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3470] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3471] = {
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1459),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_end_token1] = ACTIONS(1459),
    [aux_sym__keyword_between_token1] = ACTIONS(1459),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1459),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1459),
    [aux_sym__keyword_like_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1459),
    [aux_sym_if_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_repeat_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [3472] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3473] = {
    [sym__unquoted_identifier] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1827),
    [aux_sym_keyword_replace_token1] = ACTIONS(1827),
    [aux_sym__keyword_alter_token1] = ACTIONS(1827),
    [aux_sym__keyword_create_token1] = ACTIONS(1827),
    [aux_sym__keyword_drop_token1] = ACTIONS(1827),
    [aux_sym__keyword_delete_token1] = ACTIONS(1827),
    [aux_sym__keyword_begin_token1] = ACTIONS(1827),
    [aux_sym__keyword_end_token1] = ACTIONS(1827),
    [aux_sym__keyword_between_token1] = ACTIONS(1827),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1827),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1827),
    [aux_sym__keyword_like_token1] = ACTIONS(1827),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1827),
    [aux_sym__keyword_as_token1] = ACTIONS(1827),
    [aux_sym__keyword_date_token1] = ACTIONS(1827),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1827),
    [aux_sym__keyword_time_token1] = ACTIONS(1827),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1827),
    [aux_sym__keyword_for_token1] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1827),
    [aux_sym_return_statement_token1] = ACTIONS(1827),
    [aux_sym_call_statement_token1] = ACTIONS(1827),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1827),
    [aux_sym_if_statement_token1] = ACTIONS(1827),
    [aux_sym_loop_statement_token1] = ACTIONS(1827),
    [aux_sym_repeat_statement_token1] = ACTIONS(1827),
    [aux_sym_while_statement_token1] = ACTIONS(1827),
    [aux_sym_break_statement_token1] = ACTIONS(1827),
    [aux_sym_leave_statement_token1] = ACTIONS(1827),
    [aux_sym_continue_statement_token1] = ACTIONS(1827),
    [aux_sym_iterate_statement_token1] = ACTIONS(1827),
    [aux_sym_raise_statement_token1] = ACTIONS(1827),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1827),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1827),
    [aux_sym_insert_statement_token1] = ACTIONS(1827),
    [aux_sym_truncate_statement_token1] = ACTIONS(1827),
    [aux_sym_update_statement_token1] = ACTIONS(1827),
    [aux_sym_merge_statement_token1] = ACTIONS(1827),
    [aux_sym_grant_statement_token1] = ACTIONS(1827),
    [aux_sym_revoke_statement_token1] = ACTIONS(1827),
    [aux_sym_export_data_statement_token1] = ACTIONS(1827),
    [aux_sym_load_data_statement_token1] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym__quoted_identifier] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [3474] = {
    [sym__unquoted_identifier] = ACTIONS(1781),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1781),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1781),
    [aux_sym_keyword_replace_token1] = ACTIONS(1781),
    [aux_sym__keyword_alter_token1] = ACTIONS(1781),
    [aux_sym__keyword_create_token1] = ACTIONS(1781),
    [aux_sym__keyword_drop_token1] = ACTIONS(1781),
    [aux_sym__keyword_delete_token1] = ACTIONS(1781),
    [aux_sym__keyword_begin_token1] = ACTIONS(1781),
    [aux_sym__keyword_end_token1] = ACTIONS(1781),
    [aux_sym__keyword_between_token1] = ACTIONS(1781),
    [aux_sym__keyword_else_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1781),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1781),
    [aux_sym__keyword_like_token1] = ACTIONS(1781),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1781),
    [aux_sym__keyword_as_token1] = ACTIONS(1781),
    [aux_sym__keyword_date_token1] = ACTIONS(1781),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1781),
    [aux_sym__keyword_time_token1] = ACTIONS(1781),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1781),
    [aux_sym__keyword_for_token1] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1781),
    [aux_sym_return_statement_token1] = ACTIONS(1781),
    [aux_sym_call_statement_token1] = ACTIONS(1781),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1781),
    [aux_sym_if_statement_token1] = ACTIONS(1781),
    [aux_sym_loop_statement_token1] = ACTIONS(1781),
    [aux_sym_repeat_statement_token1] = ACTIONS(1781),
    [aux_sym_while_statement_token1] = ACTIONS(1781),
    [aux_sym_break_statement_token1] = ACTIONS(1781),
    [aux_sym_leave_statement_token1] = ACTIONS(1781),
    [aux_sym_continue_statement_token1] = ACTIONS(1781),
    [aux_sym_iterate_statement_token1] = ACTIONS(1781),
    [aux_sym_raise_statement_token1] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1781),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1781),
    [aux_sym_insert_statement_token1] = ACTIONS(1781),
    [aux_sym_truncate_statement_token1] = ACTIONS(1781),
    [aux_sym_update_statement_token1] = ACTIONS(1781),
    [aux_sym_merge_statement_token1] = ACTIONS(1781),
    [aux_sym_grant_statement_token1] = ACTIONS(1781),
    [aux_sym_revoke_statement_token1] = ACTIONS(1781),
    [aux_sym_export_data_statement_token1] = ACTIONS(1781),
    [aux_sym_load_data_statement_token1] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym__quoted_identifier] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [3475] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3476] = {
    [sym__unquoted_identifier] = ACTIONS(1773),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1773),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1773),
    [aux_sym_keyword_replace_token1] = ACTIONS(1773),
    [aux_sym__keyword_alter_token1] = ACTIONS(1773),
    [aux_sym__keyword_create_token1] = ACTIONS(1773),
    [aux_sym__keyword_drop_token1] = ACTIONS(1773),
    [aux_sym__keyword_delete_token1] = ACTIONS(1773),
    [aux_sym__keyword_begin_token1] = ACTIONS(1773),
    [aux_sym__keyword_end_token1] = ACTIONS(1773),
    [aux_sym__keyword_between_token1] = ACTIONS(1773),
    [aux_sym__keyword_else_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1773),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1773),
    [aux_sym__keyword_like_token1] = ACTIONS(1773),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1773),
    [aux_sym__keyword_as_token1] = ACTIONS(1773),
    [aux_sym__keyword_date_token1] = ACTIONS(1773),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1773),
    [aux_sym__keyword_time_token1] = ACTIONS(1773),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1773),
    [aux_sym__keyword_for_token1] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1773),
    [aux_sym_return_statement_token1] = ACTIONS(1773),
    [aux_sym_call_statement_token1] = ACTIONS(1773),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1773),
    [aux_sym_if_statement_token1] = ACTIONS(1773),
    [aux_sym_loop_statement_token1] = ACTIONS(1773),
    [aux_sym_repeat_statement_token1] = ACTIONS(1773),
    [aux_sym_while_statement_token1] = ACTIONS(1773),
    [aux_sym_break_statement_token1] = ACTIONS(1773),
    [aux_sym_leave_statement_token1] = ACTIONS(1773),
    [aux_sym_continue_statement_token1] = ACTIONS(1773),
    [aux_sym_iterate_statement_token1] = ACTIONS(1773),
    [aux_sym_raise_statement_token1] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1773),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1773),
    [aux_sym_insert_statement_token1] = ACTIONS(1773),
    [aux_sym_truncate_statement_token1] = ACTIONS(1773),
    [aux_sym_update_statement_token1] = ACTIONS(1773),
    [aux_sym_merge_statement_token1] = ACTIONS(1773),
    [aux_sym_grant_statement_token1] = ACTIONS(1773),
    [aux_sym_revoke_statement_token1] = ACTIONS(1773),
    [aux_sym_export_data_statement_token1] = ACTIONS(1773),
    [aux_sym_load_data_statement_token1] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym__quoted_identifier] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [3477] = {
    [sym__unquoted_identifier] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1831),
    [aux_sym_keyword_replace_token1] = ACTIONS(1831),
    [aux_sym__keyword_alter_token1] = ACTIONS(1831),
    [aux_sym__keyword_create_token1] = ACTIONS(1831),
    [aux_sym__keyword_drop_token1] = ACTIONS(1831),
    [aux_sym__keyword_delete_token1] = ACTIONS(1831),
    [aux_sym__keyword_begin_token1] = ACTIONS(1831),
    [aux_sym__keyword_end_token1] = ACTIONS(1831),
    [aux_sym__keyword_between_token1] = ACTIONS(1831),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1831),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1831),
    [aux_sym__keyword_like_token1] = ACTIONS(1831),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1831),
    [aux_sym__keyword_as_token1] = ACTIONS(1831),
    [aux_sym__keyword_date_token1] = ACTIONS(1831),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1831),
    [aux_sym__keyword_time_token1] = ACTIONS(1831),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1831),
    [aux_sym__keyword_for_token1] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1831),
    [aux_sym_return_statement_token1] = ACTIONS(1831),
    [aux_sym_call_statement_token1] = ACTIONS(1831),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1831),
    [aux_sym_if_statement_token1] = ACTIONS(1831),
    [aux_sym_loop_statement_token1] = ACTIONS(1831),
    [aux_sym_repeat_statement_token1] = ACTIONS(1831),
    [aux_sym_while_statement_token1] = ACTIONS(1831),
    [aux_sym_break_statement_token1] = ACTIONS(1831),
    [aux_sym_leave_statement_token1] = ACTIONS(1831),
    [aux_sym_continue_statement_token1] = ACTIONS(1831),
    [aux_sym_iterate_statement_token1] = ACTIONS(1831),
    [aux_sym_raise_statement_token1] = ACTIONS(1831),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1831),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1831),
    [aux_sym_insert_statement_token1] = ACTIONS(1831),
    [aux_sym_truncate_statement_token1] = ACTIONS(1831),
    [aux_sym_update_statement_token1] = ACTIONS(1831),
    [aux_sym_merge_statement_token1] = ACTIONS(1831),
    [aux_sym_grant_statement_token1] = ACTIONS(1831),
    [aux_sym_revoke_statement_token1] = ACTIONS(1831),
    [aux_sym_export_data_statement_token1] = ACTIONS(1831),
    [aux_sym_load_data_statement_token1] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym__quoted_identifier] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [3478] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3479] = {
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1487),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_end_token1] = ACTIONS(1487),
    [aux_sym__keyword_between_token1] = ACTIONS(1487),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1487),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1487),
    [aux_sym__keyword_like_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1487),
    [aux_sym_if_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_repeat_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [3480] = {
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1495),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_end_token1] = ACTIONS(1495),
    [aux_sym__keyword_between_token1] = ACTIONS(1495),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1495),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1495),
    [aux_sym__keyword_like_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1495),
    [aux_sym_if_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_repeat_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [3481] = {
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1499),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_end_token1] = ACTIONS(1499),
    [aux_sym__keyword_between_token1] = ACTIONS(1499),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1499),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1499),
    [aux_sym__keyword_like_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1499),
    [aux_sym_if_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_repeat_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [3482] = {
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1511),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_end_token1] = ACTIONS(1511),
    [aux_sym__keyword_between_token1] = ACTIONS(1511),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1511),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1511),
    [aux_sym__keyword_like_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1511),
    [aux_sym_if_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_repeat_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [3483] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3484] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3485] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3486] = {
    [sym__keyword_between] = STATE(1135),
    [sym__keyword_is] = STATE(12054),
    [sym__keyword_in] = STATE(1082),
    [sym__keyword_not] = STATE(13057),
    [sym__keyword_and] = STATE(1245),
    [sym__keyword_or] = STATE(1261),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_PIPE_PIPE] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3261),
    [anon_sym_GT_GT] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3265),
    [anon_sym_PIPE] = ACTIONS(3267),
  },
  [3487] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3488] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3489] = {
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3490] = {
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1395),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_end_token1] = ACTIONS(1395),
    [aux_sym__keyword_between_token1] = ACTIONS(1395),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1395),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1395),
    [aux_sym__keyword_like_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1395),
    [aux_sym_if_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_repeat_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [3491] = {
    [sym__unquoted_identifier] = ACTIONS(1765),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1765),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1765),
    [aux_sym_keyword_replace_token1] = ACTIONS(1765),
    [aux_sym__keyword_alter_token1] = ACTIONS(1765),
    [aux_sym__keyword_create_token1] = ACTIONS(1765),
    [aux_sym__keyword_drop_token1] = ACTIONS(1765),
    [aux_sym__keyword_delete_token1] = ACTIONS(1765),
    [aux_sym__keyword_begin_token1] = ACTIONS(1765),
    [aux_sym__keyword_end_token1] = ACTIONS(1765),
    [aux_sym__keyword_between_token1] = ACTIONS(1765),
    [aux_sym__keyword_else_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1765),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1765),
    [aux_sym__keyword_like_token1] = ACTIONS(1765),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1765),
    [aux_sym__keyword_as_token1] = ACTIONS(1765),
    [aux_sym__keyword_date_token1] = ACTIONS(1765),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1765),
    [aux_sym__keyword_time_token1] = ACTIONS(1765),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1765),
    [aux_sym__keyword_for_token1] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1765),
    [aux_sym_return_statement_token1] = ACTIONS(1765),
    [aux_sym_call_statement_token1] = ACTIONS(1765),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1765),
    [aux_sym_if_statement_token1] = ACTIONS(1765),
    [aux_sym_loop_statement_token1] = ACTIONS(1765),
    [aux_sym_repeat_statement_token1] = ACTIONS(1765),
    [aux_sym_while_statement_token1] = ACTIONS(1765),
    [aux_sym_break_statement_token1] = ACTIONS(1765),
    [aux_sym_leave_statement_token1] = ACTIONS(1765),
    [aux_sym_continue_statement_token1] = ACTIONS(1765),
    [aux_sym_iterate_statement_token1] = ACTIONS(1765),
    [aux_sym_raise_statement_token1] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1765),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1765),
    [aux_sym_insert_statement_token1] = ACTIONS(1765),
    [aux_sym_truncate_statement_token1] = ACTIONS(1765),
    [aux_sym_update_statement_token1] = ACTIONS(1765),
    [aux_sym_merge_statement_token1] = ACTIONS(1765),
    [aux_sym_grant_statement_token1] = ACTIONS(1765),
    [aux_sym_revoke_statement_token1] = ACTIONS(1765),
    [aux_sym_export_data_statement_token1] = ACTIONS(1765),
    [aux_sym_load_data_statement_token1] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym__quoted_identifier] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [3492] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3493] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3494] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3495] = {
    [sym__unquoted_identifier] = ACTIONS(1761),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1761),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1761),
    [aux_sym_keyword_replace_token1] = ACTIONS(1761),
    [aux_sym__keyword_alter_token1] = ACTIONS(1761),
    [aux_sym__keyword_create_token1] = ACTIONS(1761),
    [aux_sym__keyword_drop_token1] = ACTIONS(1761),
    [aux_sym__keyword_delete_token1] = ACTIONS(1761),
    [aux_sym__keyword_begin_token1] = ACTIONS(1761),
    [aux_sym__keyword_end_token1] = ACTIONS(1761),
    [aux_sym__keyword_between_token1] = ACTIONS(1761),
    [aux_sym__keyword_else_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1761),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1761),
    [aux_sym__keyword_like_token1] = ACTIONS(1761),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1761),
    [aux_sym__keyword_as_token1] = ACTIONS(1761),
    [aux_sym__keyword_date_token1] = ACTIONS(1761),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1761),
    [aux_sym__keyword_time_token1] = ACTIONS(1761),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1761),
    [aux_sym__keyword_for_token1] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1761),
    [aux_sym_return_statement_token1] = ACTIONS(1761),
    [aux_sym_call_statement_token1] = ACTIONS(1761),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1761),
    [aux_sym_if_statement_token1] = ACTIONS(1761),
    [aux_sym_loop_statement_token1] = ACTIONS(1761),
    [aux_sym_repeat_statement_token1] = ACTIONS(1761),
    [aux_sym_while_statement_token1] = ACTIONS(1761),
    [aux_sym_break_statement_token1] = ACTIONS(1761),
    [aux_sym_leave_statement_token1] = ACTIONS(1761),
    [aux_sym_continue_statement_token1] = ACTIONS(1761),
    [aux_sym_iterate_statement_token1] = ACTIONS(1761),
    [aux_sym_raise_statement_token1] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1761),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1761),
    [aux_sym_insert_statement_token1] = ACTIONS(1761),
    [aux_sym_truncate_statement_token1] = ACTIONS(1761),
    [aux_sym_update_statement_token1] = ACTIONS(1761),
    [aux_sym_merge_statement_token1] = ACTIONS(1761),
    [aux_sym_grant_statement_token1] = ACTIONS(1761),
    [aux_sym_revoke_statement_token1] = ACTIONS(1761),
    [aux_sym_export_data_statement_token1] = ACTIONS(1761),
    [aux_sym_load_data_statement_token1] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym__quoted_identifier] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [3496] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3497] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3498] = {
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3499] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3500] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3501] = {
    [sym__unquoted_identifier] = ACTIONS(1769),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1769),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1769),
    [aux_sym_keyword_replace_token1] = ACTIONS(1769),
    [aux_sym__keyword_alter_token1] = ACTIONS(1769),
    [aux_sym__keyword_create_token1] = ACTIONS(1769),
    [aux_sym__keyword_drop_token1] = ACTIONS(1769),
    [aux_sym__keyword_delete_token1] = ACTIONS(1769),
    [aux_sym__keyword_begin_token1] = ACTIONS(1769),
    [aux_sym__keyword_end_token1] = ACTIONS(1769),
    [aux_sym__keyword_between_token1] = ACTIONS(1769),
    [aux_sym__keyword_else_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1769),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1769),
    [aux_sym__keyword_like_token1] = ACTIONS(1769),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1769),
    [aux_sym__keyword_as_token1] = ACTIONS(1769),
    [aux_sym__keyword_date_token1] = ACTIONS(1769),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1769),
    [aux_sym__keyword_time_token1] = ACTIONS(1769),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1769),
    [aux_sym__keyword_for_token1] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1769),
    [aux_sym_return_statement_token1] = ACTIONS(1769),
    [aux_sym_call_statement_token1] = ACTIONS(1769),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1769),
    [aux_sym_if_statement_token1] = ACTIONS(1769),
    [aux_sym_loop_statement_token1] = ACTIONS(1769),
    [aux_sym_repeat_statement_token1] = ACTIONS(1769),
    [aux_sym_while_statement_token1] = ACTIONS(1769),
    [aux_sym_break_statement_token1] = ACTIONS(1769),
    [aux_sym_leave_statement_token1] = ACTIONS(1769),
    [aux_sym_continue_statement_token1] = ACTIONS(1769),
    [aux_sym_iterate_statement_token1] = ACTIONS(1769),
    [aux_sym_raise_statement_token1] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1769),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1769),
    [aux_sym_insert_statement_token1] = ACTIONS(1769),
    [aux_sym_truncate_statement_token1] = ACTIONS(1769),
    [aux_sym_update_statement_token1] = ACTIONS(1769),
    [aux_sym_merge_statement_token1] = ACTIONS(1769),
    [aux_sym_grant_statement_token1] = ACTIONS(1769),
    [aux_sym_revoke_statement_token1] = ACTIONS(1769),
    [aux_sym_export_data_statement_token1] = ACTIONS(1769),
    [aux_sym_load_data_statement_token1] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym__quoted_identifier] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [3502] = {
    [sym__unquoted_identifier] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1525),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1525),
    [aux_sym__keyword_create_token1] = ACTIONS(1525),
    [aux_sym__keyword_drop_token1] = ACTIONS(1525),
    [aux_sym__keyword_delete_token1] = ACTIONS(1525),
    [aux_sym__keyword_begin_token1] = ACTIONS(1525),
    [aux_sym__keyword_end_token1] = ACTIONS(1525),
    [aux_sym__keyword_between_token1] = ACTIONS(1525),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1525),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1525),
    [aux_sym__keyword_like_token1] = ACTIONS(1525),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1525),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_date_token1] = ACTIONS(1525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1525),
    [aux_sym__keyword_time_token1] = ACTIONS(1525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1525),
    [aux_sym_return_statement_token1] = ACTIONS(1525),
    [aux_sym_call_statement_token1] = ACTIONS(1525),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1525),
    [aux_sym_if_statement_token1] = ACTIONS(1525),
    [aux_sym_loop_statement_token1] = ACTIONS(1525),
    [aux_sym_repeat_statement_token1] = ACTIONS(1525),
    [aux_sym_while_statement_token1] = ACTIONS(1525),
    [aux_sym_break_statement_token1] = ACTIONS(1525),
    [aux_sym_leave_statement_token1] = ACTIONS(1525),
    [aux_sym_continue_statement_token1] = ACTIONS(1525),
    [aux_sym_iterate_statement_token1] = ACTIONS(1525),
    [aux_sym_raise_statement_token1] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1525),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1525),
    [aux_sym_insert_statement_token1] = ACTIONS(1525),
    [aux_sym_truncate_statement_token1] = ACTIONS(1525),
    [aux_sym_update_statement_token1] = ACTIONS(1525),
    [aux_sym_merge_statement_token1] = ACTIONS(1525),
    [aux_sym_grant_statement_token1] = ACTIONS(1525),
    [aux_sym_revoke_statement_token1] = ACTIONS(1525),
    [aux_sym_export_data_statement_token1] = ACTIONS(1525),
    [aux_sym_load_data_statement_token1] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym__quoted_identifier] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [3503] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3504] = {
    [sym__unquoted_identifier] = ACTIONS(1565),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1565),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1565),
    [aux_sym_keyword_replace_token1] = ACTIONS(1565),
    [aux_sym__keyword_alter_token1] = ACTIONS(1565),
    [aux_sym__keyword_create_token1] = ACTIONS(1565),
    [aux_sym__keyword_drop_token1] = ACTIONS(1565),
    [aux_sym__keyword_delete_token1] = ACTIONS(1565),
    [aux_sym__keyword_begin_token1] = ACTIONS(1565),
    [aux_sym__keyword_end_token1] = ACTIONS(1565),
    [aux_sym__keyword_between_token1] = ACTIONS(1565),
    [aux_sym__keyword_else_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1565),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1565),
    [aux_sym__keyword_like_token1] = ACTIONS(1565),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1565),
    [aux_sym__keyword_as_token1] = ACTIONS(1565),
    [aux_sym__keyword_date_token1] = ACTIONS(1565),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1565),
    [aux_sym__keyword_time_token1] = ACTIONS(1565),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1565),
    [aux_sym__keyword_for_token1] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1565),
    [aux_sym_return_statement_token1] = ACTIONS(1565),
    [aux_sym_call_statement_token1] = ACTIONS(1565),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1565),
    [aux_sym_if_statement_token1] = ACTIONS(1565),
    [aux_sym_loop_statement_token1] = ACTIONS(1565),
    [aux_sym_repeat_statement_token1] = ACTIONS(1565),
    [aux_sym_while_statement_token1] = ACTIONS(1565),
    [aux_sym_break_statement_token1] = ACTIONS(1565),
    [aux_sym_leave_statement_token1] = ACTIONS(1565),
    [aux_sym_continue_statement_token1] = ACTIONS(1565),
    [aux_sym_iterate_statement_token1] = ACTIONS(1565),
    [aux_sym_raise_statement_token1] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1565),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1565),
    [aux_sym_insert_statement_token1] = ACTIONS(1565),
    [aux_sym_truncate_statement_token1] = ACTIONS(1565),
    [aux_sym_update_statement_token1] = ACTIONS(1565),
    [aux_sym_merge_statement_token1] = ACTIONS(1565),
    [aux_sym_grant_statement_token1] = ACTIONS(1565),
    [aux_sym_revoke_statement_token1] = ACTIONS(1565),
    [aux_sym_export_data_statement_token1] = ACTIONS(1565),
    [aux_sym_load_data_statement_token1] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym__quoted_identifier] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [3505] = {
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1515),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_end_token1] = ACTIONS(1515),
    [aux_sym__keyword_between_token1] = ACTIONS(1515),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1515),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1515),
    [aux_sym__keyword_like_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1515),
    [aux_sym_if_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_repeat_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [3506] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3507] = {
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1503),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_end_token1] = ACTIONS(1503),
    [aux_sym__keyword_between_token1] = ACTIONS(1503),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1503),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1503),
    [aux_sym__keyword_like_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1503),
    [aux_sym_if_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_repeat_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [3508] = {
    [sym__unquoted_identifier] = ACTIONS(1749),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1749),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1749),
    [aux_sym_keyword_replace_token1] = ACTIONS(1749),
    [aux_sym__keyword_alter_token1] = ACTIONS(1749),
    [aux_sym__keyword_create_token1] = ACTIONS(1749),
    [aux_sym__keyword_drop_token1] = ACTIONS(1749),
    [aux_sym__keyword_delete_token1] = ACTIONS(1749),
    [aux_sym__keyword_begin_token1] = ACTIONS(1749),
    [aux_sym__keyword_end_token1] = ACTIONS(1749),
    [aux_sym__keyword_between_token1] = ACTIONS(1749),
    [aux_sym__keyword_else_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1749),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1749),
    [aux_sym__keyword_like_token1] = ACTIONS(1749),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1749),
    [aux_sym__keyword_as_token1] = ACTIONS(1749),
    [aux_sym__keyword_date_token1] = ACTIONS(1749),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1749),
    [aux_sym__keyword_time_token1] = ACTIONS(1749),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1749),
    [aux_sym__keyword_for_token1] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1749),
    [anon_sym_COMMA] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1749),
    [aux_sym_return_statement_token1] = ACTIONS(1749),
    [aux_sym_call_statement_token1] = ACTIONS(1749),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1749),
    [aux_sym_if_statement_token1] = ACTIONS(1749),
    [aux_sym_loop_statement_token1] = ACTIONS(1749),
    [aux_sym_repeat_statement_token1] = ACTIONS(1749),
    [aux_sym_while_statement_token1] = ACTIONS(1749),
    [aux_sym_break_statement_token1] = ACTIONS(1749),
    [aux_sym_leave_statement_token1] = ACTIONS(1749),
    [aux_sym_continue_statement_token1] = ACTIONS(1749),
    [aux_sym_iterate_statement_token1] = ACTIONS(1749),
    [aux_sym_raise_statement_token1] = ACTIONS(1749),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1749),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1749),
    [aux_sym_insert_statement_token1] = ACTIONS(1749),
    [aux_sym_truncate_statement_token1] = ACTIONS(1749),
    [aux_sym_update_statement_token1] = ACTIONS(1749),
    [aux_sym_merge_statement_token1] = ACTIONS(1749),
    [aux_sym_grant_statement_token1] = ACTIONS(1749),
    [aux_sym_revoke_statement_token1] = ACTIONS(1749),
    [aux_sym_export_data_statement_token1] = ACTIONS(1749),
    [aux_sym_load_data_statement_token1] = ACTIONS(1749),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym__quoted_identifier] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [3509] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3510] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3511] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3512] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3513] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3514] = {
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1491),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_end_token1] = ACTIONS(1491),
    [aux_sym__keyword_between_token1] = ACTIONS(1491),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1491),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1491),
    [aux_sym__keyword_like_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1491),
    [aux_sym_if_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_repeat_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [3515] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3516] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3517] = {
    [sym__unquoted_identifier] = ACTIONS(1533),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1533),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1533),
    [aux_sym_keyword_replace_token1] = ACTIONS(1533),
    [aux_sym__keyword_alter_token1] = ACTIONS(1533),
    [aux_sym__keyword_create_token1] = ACTIONS(1533),
    [aux_sym__keyword_drop_token1] = ACTIONS(1533),
    [aux_sym__keyword_delete_token1] = ACTIONS(1533),
    [aux_sym__keyword_begin_token1] = ACTIONS(1533),
    [aux_sym__keyword_end_token1] = ACTIONS(1533),
    [aux_sym__keyword_between_token1] = ACTIONS(1533),
    [aux_sym__keyword_else_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1533),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1533),
    [aux_sym__keyword_like_token1] = ACTIONS(1533),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1533),
    [aux_sym__keyword_as_token1] = ACTIONS(1533),
    [aux_sym__keyword_date_token1] = ACTIONS(1533),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1533),
    [aux_sym__keyword_time_token1] = ACTIONS(1533),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1533),
    [aux_sym__keyword_for_token1] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1533),
    [aux_sym_return_statement_token1] = ACTIONS(1533),
    [aux_sym_call_statement_token1] = ACTIONS(1533),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1533),
    [aux_sym_if_statement_token1] = ACTIONS(1533),
    [aux_sym_loop_statement_token1] = ACTIONS(1533),
    [aux_sym_repeat_statement_token1] = ACTIONS(1533),
    [aux_sym_while_statement_token1] = ACTIONS(1533),
    [aux_sym_break_statement_token1] = ACTIONS(1533),
    [aux_sym_leave_statement_token1] = ACTIONS(1533),
    [aux_sym_continue_statement_token1] = ACTIONS(1533),
    [aux_sym_iterate_statement_token1] = ACTIONS(1533),
    [aux_sym_raise_statement_token1] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1533),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1533),
    [aux_sym_insert_statement_token1] = ACTIONS(1533),
    [aux_sym_truncate_statement_token1] = ACTIONS(1533),
    [aux_sym_update_statement_token1] = ACTIONS(1533),
    [aux_sym_merge_statement_token1] = ACTIONS(1533),
    [aux_sym_grant_statement_token1] = ACTIONS(1533),
    [aux_sym_revoke_statement_token1] = ACTIONS(1533),
    [aux_sym_export_data_statement_token1] = ACTIONS(1533),
    [aux_sym_load_data_statement_token1] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym__quoted_identifier] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [3518] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3519] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3520] = {
    [sym__unquoted_identifier] = ACTIONS(1715),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1715),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1715),
    [aux_sym_keyword_replace_token1] = ACTIONS(1715),
    [aux_sym__keyword_alter_token1] = ACTIONS(1715),
    [aux_sym__keyword_create_token1] = ACTIONS(1715),
    [aux_sym__keyword_drop_token1] = ACTIONS(1715),
    [aux_sym__keyword_delete_token1] = ACTIONS(1715),
    [aux_sym__keyword_begin_token1] = ACTIONS(1715),
    [aux_sym__keyword_end_token1] = ACTIONS(1715),
    [aux_sym__keyword_between_token1] = ACTIONS(1715),
    [aux_sym__keyword_else_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1715),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1715),
    [aux_sym__keyword_like_token1] = ACTIONS(1715),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1715),
    [aux_sym__keyword_as_token1] = ACTIONS(1715),
    [aux_sym__keyword_date_token1] = ACTIONS(1715),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1715),
    [aux_sym__keyword_time_token1] = ACTIONS(1715),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1715),
    [aux_sym__keyword_for_token1] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1715),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1715),
    [aux_sym_return_statement_token1] = ACTIONS(1715),
    [aux_sym_call_statement_token1] = ACTIONS(1715),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1715),
    [aux_sym_if_statement_token1] = ACTIONS(1715),
    [aux_sym_loop_statement_token1] = ACTIONS(1715),
    [aux_sym_repeat_statement_token1] = ACTIONS(1715),
    [aux_sym_while_statement_token1] = ACTIONS(1715),
    [aux_sym_break_statement_token1] = ACTIONS(1715),
    [aux_sym_leave_statement_token1] = ACTIONS(1715),
    [aux_sym_continue_statement_token1] = ACTIONS(1715),
    [aux_sym_iterate_statement_token1] = ACTIONS(1715),
    [aux_sym_raise_statement_token1] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1715),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1715),
    [aux_sym_insert_statement_token1] = ACTIONS(1715),
    [aux_sym_truncate_statement_token1] = ACTIONS(1715),
    [aux_sym_update_statement_token1] = ACTIONS(1715),
    [aux_sym_merge_statement_token1] = ACTIONS(1715),
    [aux_sym_grant_statement_token1] = ACTIONS(1715),
    [aux_sym_revoke_statement_token1] = ACTIONS(1715),
    [aux_sym_export_data_statement_token1] = ACTIONS(1715),
    [aux_sym_load_data_statement_token1] = ACTIONS(1715),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym__quoted_identifier] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [3521] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3522] = {
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3523] = {
    [sym__unquoted_identifier] = ACTIONS(1711),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1711),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1711),
    [aux_sym_keyword_replace_token1] = ACTIONS(1711),
    [aux_sym__keyword_alter_token1] = ACTIONS(1711),
    [aux_sym__keyword_create_token1] = ACTIONS(1711),
    [aux_sym__keyword_drop_token1] = ACTIONS(1711),
    [aux_sym__keyword_delete_token1] = ACTIONS(1711),
    [aux_sym__keyword_begin_token1] = ACTIONS(1711),
    [aux_sym__keyword_end_token1] = ACTIONS(1711),
    [aux_sym__keyword_between_token1] = ACTIONS(1711),
    [aux_sym__keyword_else_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1711),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1711),
    [aux_sym__keyword_like_token1] = ACTIONS(1711),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1711),
    [aux_sym__keyword_as_token1] = ACTIONS(1711),
    [aux_sym__keyword_date_token1] = ACTIONS(1711),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1711),
    [aux_sym__keyword_time_token1] = ACTIONS(1711),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1711),
    [aux_sym__keyword_for_token1] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1711),
    [aux_sym_return_statement_token1] = ACTIONS(1711),
    [aux_sym_call_statement_token1] = ACTIONS(1711),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1711),
    [aux_sym_if_statement_token1] = ACTIONS(1711),
    [aux_sym_loop_statement_token1] = ACTIONS(1711),
    [aux_sym_repeat_statement_token1] = ACTIONS(1711),
    [aux_sym_while_statement_token1] = ACTIONS(1711),
    [aux_sym_break_statement_token1] = ACTIONS(1711),
    [aux_sym_leave_statement_token1] = ACTIONS(1711),
    [aux_sym_continue_statement_token1] = ACTIONS(1711),
    [aux_sym_iterate_statement_token1] = ACTIONS(1711),
    [aux_sym_raise_statement_token1] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1711),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1711),
    [aux_sym_insert_statement_token1] = ACTIONS(1711),
    [aux_sym_truncate_statement_token1] = ACTIONS(1711),
    [aux_sym_update_statement_token1] = ACTIONS(1711),
    [aux_sym_merge_statement_token1] = ACTIONS(1711),
    [aux_sym_grant_statement_token1] = ACTIONS(1711),
    [aux_sym_revoke_statement_token1] = ACTIONS(1711),
    [aux_sym_export_data_statement_token1] = ACTIONS(1711),
    [aux_sym_load_data_statement_token1] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym__quoted_identifier] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [3524] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3525] = {
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1463),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_end_token1] = ACTIONS(1463),
    [aux_sym__keyword_between_token1] = ACTIONS(1463),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1463),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1463),
    [aux_sym__keyword_like_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_repeat_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [3526] = {
    [sym__unquoted_identifier] = ACTIONS(1707),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1707),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1707),
    [aux_sym_keyword_replace_token1] = ACTIONS(1707),
    [aux_sym__keyword_alter_token1] = ACTIONS(1707),
    [aux_sym__keyword_create_token1] = ACTIONS(1707),
    [aux_sym__keyword_drop_token1] = ACTIONS(1707),
    [aux_sym__keyword_delete_token1] = ACTIONS(1707),
    [aux_sym__keyword_begin_token1] = ACTIONS(1707),
    [aux_sym__keyword_end_token1] = ACTIONS(1707),
    [aux_sym__keyword_between_token1] = ACTIONS(1707),
    [aux_sym__keyword_else_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1707),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1707),
    [aux_sym__keyword_like_token1] = ACTIONS(1707),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1707),
    [aux_sym__keyword_as_token1] = ACTIONS(1707),
    [aux_sym__keyword_date_token1] = ACTIONS(1707),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1707),
    [aux_sym__keyword_time_token1] = ACTIONS(1707),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1707),
    [aux_sym__keyword_for_token1] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1707),
    [aux_sym_return_statement_token1] = ACTIONS(1707),
    [aux_sym_call_statement_token1] = ACTIONS(1707),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1707),
    [aux_sym_if_statement_token1] = ACTIONS(1707),
    [aux_sym_loop_statement_token1] = ACTIONS(1707),
    [aux_sym_repeat_statement_token1] = ACTIONS(1707),
    [aux_sym_while_statement_token1] = ACTIONS(1707),
    [aux_sym_break_statement_token1] = ACTIONS(1707),
    [aux_sym_leave_statement_token1] = ACTIONS(1707),
    [aux_sym_continue_statement_token1] = ACTIONS(1707),
    [aux_sym_iterate_statement_token1] = ACTIONS(1707),
    [aux_sym_raise_statement_token1] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1707),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1707),
    [aux_sym_insert_statement_token1] = ACTIONS(1707),
    [aux_sym_truncate_statement_token1] = ACTIONS(1707),
    [aux_sym_update_statement_token1] = ACTIONS(1707),
    [aux_sym_merge_statement_token1] = ACTIONS(1707),
    [aux_sym_grant_statement_token1] = ACTIONS(1707),
    [aux_sym_revoke_statement_token1] = ACTIONS(1707),
    [aux_sym_export_data_statement_token1] = ACTIONS(1707),
    [aux_sym_load_data_statement_token1] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym__quoted_identifier] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [3527] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3528] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3529] = {
    [sym__unquoted_identifier] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1655),
    [aux_sym_keyword_replace_token1] = ACTIONS(1655),
    [aux_sym__keyword_alter_token1] = ACTIONS(1655),
    [aux_sym__keyword_create_token1] = ACTIONS(1655),
    [aux_sym__keyword_drop_token1] = ACTIONS(1655),
    [aux_sym__keyword_delete_token1] = ACTIONS(1655),
    [aux_sym__keyword_begin_token1] = ACTIONS(1655),
    [aux_sym__keyword_end_token1] = ACTIONS(1655),
    [aux_sym__keyword_between_token1] = ACTIONS(1655),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1655),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1655),
    [aux_sym__keyword_like_token1] = ACTIONS(1655),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1655),
    [aux_sym__keyword_as_token1] = ACTIONS(1655),
    [aux_sym__keyword_date_token1] = ACTIONS(1655),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1655),
    [aux_sym__keyword_time_token1] = ACTIONS(1655),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1655),
    [aux_sym__keyword_for_token1] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1655),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1655),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1655),
    [aux_sym_return_statement_token1] = ACTIONS(1655),
    [aux_sym_call_statement_token1] = ACTIONS(1655),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1655),
    [aux_sym_if_statement_token1] = ACTIONS(1655),
    [aux_sym_loop_statement_token1] = ACTIONS(1655),
    [aux_sym_repeat_statement_token1] = ACTIONS(1655),
    [aux_sym_while_statement_token1] = ACTIONS(1655),
    [aux_sym_break_statement_token1] = ACTIONS(1655),
    [aux_sym_leave_statement_token1] = ACTIONS(1655),
    [aux_sym_continue_statement_token1] = ACTIONS(1655),
    [aux_sym_iterate_statement_token1] = ACTIONS(1655),
    [aux_sym_raise_statement_token1] = ACTIONS(1655),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1655),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1655),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1655),
    [aux_sym_insert_statement_token1] = ACTIONS(1655),
    [aux_sym_truncate_statement_token1] = ACTIONS(1655),
    [aux_sym_update_statement_token1] = ACTIONS(1655),
    [aux_sym_merge_statement_token1] = ACTIONS(1655),
    [aux_sym_grant_statement_token1] = ACTIONS(1655),
    [aux_sym_revoke_statement_token1] = ACTIONS(1655),
    [aux_sym_export_data_statement_token1] = ACTIONS(1655),
    [aux_sym_load_data_statement_token1] = ACTIONS(1655),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym__quoted_identifier] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [3530] = {
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1467),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_end_token1] = ACTIONS(1467),
    [aux_sym__keyword_between_token1] = ACTIONS(1467),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1467),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1467),
    [aux_sym__keyword_like_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1467),
    [aux_sym_if_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_repeat_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [3531] = {
    [sym__unquoted_identifier] = ACTIONS(1703),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1703),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1703),
    [aux_sym_keyword_replace_token1] = ACTIONS(1703),
    [aux_sym__keyword_alter_token1] = ACTIONS(1703),
    [aux_sym__keyword_create_token1] = ACTIONS(1703),
    [aux_sym__keyword_drop_token1] = ACTIONS(1703),
    [aux_sym__keyword_delete_token1] = ACTIONS(1703),
    [aux_sym__keyword_begin_token1] = ACTIONS(1703),
    [aux_sym__keyword_end_token1] = ACTIONS(1703),
    [aux_sym__keyword_between_token1] = ACTIONS(1703),
    [aux_sym__keyword_else_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1703),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1703),
    [aux_sym__keyword_like_token1] = ACTIONS(1703),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1703),
    [aux_sym__keyword_as_token1] = ACTIONS(1703),
    [aux_sym__keyword_date_token1] = ACTIONS(1703),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1703),
    [aux_sym__keyword_time_token1] = ACTIONS(1703),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1703),
    [aux_sym__keyword_for_token1] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1703),
    [aux_sym_return_statement_token1] = ACTIONS(1703),
    [aux_sym_call_statement_token1] = ACTIONS(1703),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1703),
    [aux_sym_if_statement_token1] = ACTIONS(1703),
    [aux_sym_loop_statement_token1] = ACTIONS(1703),
    [aux_sym_repeat_statement_token1] = ACTIONS(1703),
    [aux_sym_while_statement_token1] = ACTIONS(1703),
    [aux_sym_break_statement_token1] = ACTIONS(1703),
    [aux_sym_leave_statement_token1] = ACTIONS(1703),
    [aux_sym_continue_statement_token1] = ACTIONS(1703),
    [aux_sym_iterate_statement_token1] = ACTIONS(1703),
    [aux_sym_raise_statement_token1] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1703),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1703),
    [aux_sym_insert_statement_token1] = ACTIONS(1703),
    [aux_sym_truncate_statement_token1] = ACTIONS(1703),
    [aux_sym_update_statement_token1] = ACTIONS(1703),
    [aux_sym_merge_statement_token1] = ACTIONS(1703),
    [aux_sym_grant_statement_token1] = ACTIONS(1703),
    [aux_sym_revoke_statement_token1] = ACTIONS(1703),
    [aux_sym_export_data_statement_token1] = ACTIONS(1703),
    [aux_sym_load_data_statement_token1] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym__quoted_identifier] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [3532] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3533] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3534] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3535] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3536] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3537] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3538] = {
    [sym__unquoted_identifier] = ACTIONS(1695),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1695),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1695),
    [aux_sym_keyword_replace_token1] = ACTIONS(1695),
    [aux_sym__keyword_alter_token1] = ACTIONS(1695),
    [aux_sym__keyword_create_token1] = ACTIONS(1695),
    [aux_sym__keyword_drop_token1] = ACTIONS(1695),
    [aux_sym__keyword_delete_token1] = ACTIONS(1695),
    [aux_sym__keyword_begin_token1] = ACTIONS(1695),
    [aux_sym__keyword_end_token1] = ACTIONS(1695),
    [aux_sym__keyword_between_token1] = ACTIONS(1695),
    [aux_sym__keyword_else_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1695),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1695),
    [aux_sym__keyword_like_token1] = ACTIONS(1695),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1695),
    [aux_sym__keyword_as_token1] = ACTIONS(1695),
    [aux_sym__keyword_date_token1] = ACTIONS(1695),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1695),
    [aux_sym__keyword_time_token1] = ACTIONS(1695),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1695),
    [aux_sym__keyword_for_token1] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1695),
    [anon_sym_COMMA] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1695),
    [aux_sym_return_statement_token1] = ACTIONS(1695),
    [aux_sym_call_statement_token1] = ACTIONS(1695),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1695),
    [aux_sym_if_statement_token1] = ACTIONS(1695),
    [aux_sym_loop_statement_token1] = ACTIONS(1695),
    [aux_sym_repeat_statement_token1] = ACTIONS(1695),
    [aux_sym_while_statement_token1] = ACTIONS(1695),
    [aux_sym_break_statement_token1] = ACTIONS(1695),
    [aux_sym_leave_statement_token1] = ACTIONS(1695),
    [aux_sym_continue_statement_token1] = ACTIONS(1695),
    [aux_sym_iterate_statement_token1] = ACTIONS(1695),
    [aux_sym_raise_statement_token1] = ACTIONS(1695),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1695),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1695),
    [aux_sym_insert_statement_token1] = ACTIONS(1695),
    [aux_sym_truncate_statement_token1] = ACTIONS(1695),
    [aux_sym_update_statement_token1] = ACTIONS(1695),
    [aux_sym_merge_statement_token1] = ACTIONS(1695),
    [aux_sym_grant_statement_token1] = ACTIONS(1695),
    [aux_sym_revoke_statement_token1] = ACTIONS(1695),
    [aux_sym_export_data_statement_token1] = ACTIONS(1695),
    [aux_sym_load_data_statement_token1] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym__quoted_identifier] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [3539] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3540] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3541] = {
    [sym__unquoted_identifier] = ACTIONS(1691),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1691),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1691),
    [aux_sym_keyword_replace_token1] = ACTIONS(1691),
    [aux_sym__keyword_alter_token1] = ACTIONS(1691),
    [aux_sym__keyword_create_token1] = ACTIONS(1691),
    [aux_sym__keyword_drop_token1] = ACTIONS(1691),
    [aux_sym__keyword_delete_token1] = ACTIONS(1691),
    [aux_sym__keyword_begin_token1] = ACTIONS(1691),
    [aux_sym__keyword_end_token1] = ACTIONS(1691),
    [aux_sym__keyword_between_token1] = ACTIONS(1691),
    [aux_sym__keyword_else_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1691),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1691),
    [aux_sym__keyword_like_token1] = ACTIONS(1691),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1691),
    [aux_sym__keyword_as_token1] = ACTIONS(1691),
    [aux_sym__keyword_date_token1] = ACTIONS(1691),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1691),
    [aux_sym__keyword_time_token1] = ACTIONS(1691),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1691),
    [aux_sym__keyword_for_token1] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1691),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1691),
    [aux_sym_return_statement_token1] = ACTIONS(1691),
    [aux_sym_call_statement_token1] = ACTIONS(1691),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1691),
    [aux_sym_if_statement_token1] = ACTIONS(1691),
    [aux_sym_loop_statement_token1] = ACTIONS(1691),
    [aux_sym_repeat_statement_token1] = ACTIONS(1691),
    [aux_sym_while_statement_token1] = ACTIONS(1691),
    [aux_sym_break_statement_token1] = ACTIONS(1691),
    [aux_sym_leave_statement_token1] = ACTIONS(1691),
    [aux_sym_continue_statement_token1] = ACTIONS(1691),
    [aux_sym_iterate_statement_token1] = ACTIONS(1691),
    [aux_sym_raise_statement_token1] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1691),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1691),
    [aux_sym_insert_statement_token1] = ACTIONS(1691),
    [aux_sym_truncate_statement_token1] = ACTIONS(1691),
    [aux_sym_update_statement_token1] = ACTIONS(1691),
    [aux_sym_merge_statement_token1] = ACTIONS(1691),
    [aux_sym_grant_statement_token1] = ACTIONS(1691),
    [aux_sym_revoke_statement_token1] = ACTIONS(1691),
    [aux_sym_export_data_statement_token1] = ACTIONS(1691),
    [aux_sym_load_data_statement_token1] = ACTIONS(1691),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym__quoted_identifier] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [3542] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3543] = {
    [sym__unquoted_identifier] = ACTIONS(1603),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1603),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1603),
    [aux_sym_keyword_replace_token1] = ACTIONS(1603),
    [aux_sym__keyword_alter_token1] = ACTIONS(1603),
    [aux_sym__keyword_create_token1] = ACTIONS(1603),
    [aux_sym__keyword_drop_token1] = ACTIONS(1603),
    [aux_sym__keyword_delete_token1] = ACTIONS(1603),
    [aux_sym__keyword_begin_token1] = ACTIONS(1603),
    [aux_sym__keyword_end_token1] = ACTIONS(1603),
    [aux_sym__keyword_between_token1] = ACTIONS(1603),
    [aux_sym__keyword_else_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1603),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1603),
    [aux_sym__keyword_like_token1] = ACTIONS(1603),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1603),
    [aux_sym__keyword_as_token1] = ACTIONS(1603),
    [aux_sym__keyword_date_token1] = ACTIONS(1603),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1603),
    [aux_sym__keyword_time_token1] = ACTIONS(1603),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1603),
    [aux_sym__keyword_for_token1] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1603),
    [aux_sym_return_statement_token1] = ACTIONS(1603),
    [aux_sym_call_statement_token1] = ACTIONS(1603),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1603),
    [aux_sym_if_statement_token1] = ACTIONS(1603),
    [aux_sym_loop_statement_token1] = ACTIONS(1603),
    [aux_sym_repeat_statement_token1] = ACTIONS(1603),
    [aux_sym_while_statement_token1] = ACTIONS(1603),
    [aux_sym_break_statement_token1] = ACTIONS(1603),
    [aux_sym_leave_statement_token1] = ACTIONS(1603),
    [aux_sym_continue_statement_token1] = ACTIONS(1603),
    [aux_sym_iterate_statement_token1] = ACTIONS(1603),
    [aux_sym_raise_statement_token1] = ACTIONS(1603),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1603),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1603),
    [aux_sym_insert_statement_token1] = ACTIONS(1603),
    [aux_sym_truncate_statement_token1] = ACTIONS(1603),
    [aux_sym_update_statement_token1] = ACTIONS(1603),
    [aux_sym_merge_statement_token1] = ACTIONS(1603),
    [aux_sym_grant_statement_token1] = ACTIONS(1603),
    [aux_sym_revoke_statement_token1] = ACTIONS(1603),
    [aux_sym_export_data_statement_token1] = ACTIONS(1603),
    [aux_sym_load_data_statement_token1] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym__quoted_identifier] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [3544] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3545] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3546] = {
    [sym__unquoted_identifier] = ACTIONS(1679),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1679),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1679),
    [aux_sym_keyword_replace_token1] = ACTIONS(1679),
    [aux_sym__keyword_alter_token1] = ACTIONS(1679),
    [aux_sym__keyword_create_token1] = ACTIONS(1679),
    [aux_sym__keyword_drop_token1] = ACTIONS(1679),
    [aux_sym__keyword_delete_token1] = ACTIONS(1679),
    [aux_sym__keyword_begin_token1] = ACTIONS(1679),
    [aux_sym__keyword_end_token1] = ACTIONS(1679),
    [aux_sym__keyword_between_token1] = ACTIONS(1679),
    [aux_sym__keyword_else_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1679),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1679),
    [aux_sym__keyword_like_token1] = ACTIONS(1679),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1679),
    [aux_sym__keyword_as_token1] = ACTIONS(1679),
    [aux_sym__keyword_date_token1] = ACTIONS(1679),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1679),
    [aux_sym__keyword_time_token1] = ACTIONS(1679),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1679),
    [aux_sym__keyword_for_token1] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1679),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1679),
    [aux_sym_return_statement_token1] = ACTIONS(1679),
    [aux_sym_call_statement_token1] = ACTIONS(1679),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1679),
    [aux_sym_if_statement_token1] = ACTIONS(1679),
    [aux_sym_loop_statement_token1] = ACTIONS(1679),
    [aux_sym_repeat_statement_token1] = ACTIONS(1679),
    [aux_sym_while_statement_token1] = ACTIONS(1679),
    [aux_sym_break_statement_token1] = ACTIONS(1679),
    [aux_sym_leave_statement_token1] = ACTIONS(1679),
    [aux_sym_continue_statement_token1] = ACTIONS(1679),
    [aux_sym_iterate_statement_token1] = ACTIONS(1679),
    [aux_sym_raise_statement_token1] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1679),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1679),
    [aux_sym_insert_statement_token1] = ACTIONS(1679),
    [aux_sym_truncate_statement_token1] = ACTIONS(1679),
    [aux_sym_update_statement_token1] = ACTIONS(1679),
    [aux_sym_merge_statement_token1] = ACTIONS(1679),
    [aux_sym_grant_statement_token1] = ACTIONS(1679),
    [aux_sym_revoke_statement_token1] = ACTIONS(1679),
    [aux_sym_export_data_statement_token1] = ACTIONS(1679),
    [aux_sym_load_data_statement_token1] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym__quoted_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [3547] = {
    [sym__unquoted_identifier] = ACTIONS(1607),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1607),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1607),
    [aux_sym_keyword_replace_token1] = ACTIONS(1607),
    [aux_sym__keyword_alter_token1] = ACTIONS(1607),
    [aux_sym__keyword_create_token1] = ACTIONS(1607),
    [aux_sym__keyword_drop_token1] = ACTIONS(1607),
    [aux_sym__keyword_delete_token1] = ACTIONS(1607),
    [aux_sym__keyword_begin_token1] = ACTIONS(1607),
    [aux_sym__keyword_end_token1] = ACTIONS(1607),
    [aux_sym__keyword_between_token1] = ACTIONS(1607),
    [aux_sym__keyword_else_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1607),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1607),
    [aux_sym__keyword_like_token1] = ACTIONS(1607),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1607),
    [aux_sym__keyword_as_token1] = ACTIONS(1607),
    [aux_sym__keyword_date_token1] = ACTIONS(1607),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1607),
    [aux_sym__keyword_time_token1] = ACTIONS(1607),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1607),
    [aux_sym__keyword_for_token1] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1607),
    [aux_sym_return_statement_token1] = ACTIONS(1607),
    [aux_sym_call_statement_token1] = ACTIONS(1607),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1607),
    [aux_sym_if_statement_token1] = ACTIONS(1607),
    [aux_sym_loop_statement_token1] = ACTIONS(1607),
    [aux_sym_repeat_statement_token1] = ACTIONS(1607),
    [aux_sym_while_statement_token1] = ACTIONS(1607),
    [aux_sym_break_statement_token1] = ACTIONS(1607),
    [aux_sym_leave_statement_token1] = ACTIONS(1607),
    [aux_sym_continue_statement_token1] = ACTIONS(1607),
    [aux_sym_iterate_statement_token1] = ACTIONS(1607),
    [aux_sym_raise_statement_token1] = ACTIONS(1607),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1607),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1607),
    [aux_sym_insert_statement_token1] = ACTIONS(1607),
    [aux_sym_truncate_statement_token1] = ACTIONS(1607),
    [aux_sym_update_statement_token1] = ACTIONS(1607),
    [aux_sym_merge_statement_token1] = ACTIONS(1607),
    [aux_sym_grant_statement_token1] = ACTIONS(1607),
    [aux_sym_revoke_statement_token1] = ACTIONS(1607),
    [aux_sym_export_data_statement_token1] = ACTIONS(1607),
    [aux_sym_load_data_statement_token1] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym__quoted_identifier] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [3548] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3549] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3550] = {
    [sym__unquoted_identifier] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1635),
    [aux_sym_keyword_replace_token1] = ACTIONS(1635),
    [aux_sym__keyword_alter_token1] = ACTIONS(1635),
    [aux_sym__keyword_create_token1] = ACTIONS(1635),
    [aux_sym__keyword_drop_token1] = ACTIONS(1635),
    [aux_sym__keyword_delete_token1] = ACTIONS(1635),
    [aux_sym__keyword_begin_token1] = ACTIONS(1635),
    [aux_sym__keyword_end_token1] = ACTIONS(1635),
    [aux_sym__keyword_between_token1] = ACTIONS(1635),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1635),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1635),
    [aux_sym__keyword_like_token1] = ACTIONS(1635),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1635),
    [aux_sym__keyword_as_token1] = ACTIONS(1635),
    [aux_sym__keyword_date_token1] = ACTIONS(1635),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1635),
    [aux_sym__keyword_time_token1] = ACTIONS(1635),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1635),
    [aux_sym__keyword_for_token1] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1635),
    [aux_sym_return_statement_token1] = ACTIONS(1635),
    [aux_sym_call_statement_token1] = ACTIONS(1635),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1635),
    [aux_sym_if_statement_token1] = ACTIONS(1635),
    [aux_sym_loop_statement_token1] = ACTIONS(1635),
    [aux_sym_repeat_statement_token1] = ACTIONS(1635),
    [aux_sym_while_statement_token1] = ACTIONS(1635),
    [aux_sym_break_statement_token1] = ACTIONS(1635),
    [aux_sym_leave_statement_token1] = ACTIONS(1635),
    [aux_sym_continue_statement_token1] = ACTIONS(1635),
    [aux_sym_iterate_statement_token1] = ACTIONS(1635),
    [aux_sym_raise_statement_token1] = ACTIONS(1635),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1635),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1635),
    [aux_sym_insert_statement_token1] = ACTIONS(1635),
    [aux_sym_truncate_statement_token1] = ACTIONS(1635),
    [aux_sym_update_statement_token1] = ACTIONS(1635),
    [aux_sym_merge_statement_token1] = ACTIONS(1635),
    [aux_sym_grant_statement_token1] = ACTIONS(1635),
    [aux_sym_revoke_statement_token1] = ACTIONS(1635),
    [aux_sym_export_data_statement_token1] = ACTIONS(1635),
    [aux_sym_load_data_statement_token1] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym__quoted_identifier] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [3551] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3552] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3553] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3554] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3555] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3556] = {
    [sym__unquoted_identifier] = ACTIONS(1675),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1675),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1675),
    [aux_sym_keyword_replace_token1] = ACTIONS(1675),
    [aux_sym__keyword_alter_token1] = ACTIONS(1675),
    [aux_sym__keyword_create_token1] = ACTIONS(1675),
    [aux_sym__keyword_drop_token1] = ACTIONS(1675),
    [aux_sym__keyword_delete_token1] = ACTIONS(1675),
    [aux_sym__keyword_begin_token1] = ACTIONS(1675),
    [aux_sym__keyword_end_token1] = ACTIONS(1675),
    [aux_sym__keyword_between_token1] = ACTIONS(1675),
    [aux_sym__keyword_else_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1675),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1675),
    [aux_sym__keyword_like_token1] = ACTIONS(1675),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1675),
    [aux_sym__keyword_as_token1] = ACTIONS(1675),
    [aux_sym__keyword_date_token1] = ACTIONS(1675),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1675),
    [aux_sym__keyword_time_token1] = ACTIONS(1675),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1675),
    [aux_sym__keyword_for_token1] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1675),
    [anon_sym_COMMA] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1675),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1675),
    [aux_sym_return_statement_token1] = ACTIONS(1675),
    [aux_sym_call_statement_token1] = ACTIONS(1675),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1675),
    [aux_sym_if_statement_token1] = ACTIONS(1675),
    [aux_sym_loop_statement_token1] = ACTIONS(1675),
    [aux_sym_repeat_statement_token1] = ACTIONS(1675),
    [aux_sym_while_statement_token1] = ACTIONS(1675),
    [aux_sym_break_statement_token1] = ACTIONS(1675),
    [aux_sym_leave_statement_token1] = ACTIONS(1675),
    [aux_sym_continue_statement_token1] = ACTIONS(1675),
    [aux_sym_iterate_statement_token1] = ACTIONS(1675),
    [aux_sym_raise_statement_token1] = ACTIONS(1675),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1675),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1675),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1675),
    [aux_sym_insert_statement_token1] = ACTIONS(1675),
    [aux_sym_truncate_statement_token1] = ACTIONS(1675),
    [aux_sym_update_statement_token1] = ACTIONS(1675),
    [aux_sym_merge_statement_token1] = ACTIONS(1675),
    [aux_sym_grant_statement_token1] = ACTIONS(1675),
    [aux_sym_revoke_statement_token1] = ACTIONS(1675),
    [aux_sym_export_data_statement_token1] = ACTIONS(1675),
    [aux_sym_load_data_statement_token1] = ACTIONS(1675),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym__quoted_identifier] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [3557] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3558] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3559] = {
    [sym__unquoted_identifier] = ACTIONS(1671),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1671),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1671),
    [aux_sym_keyword_replace_token1] = ACTIONS(1671),
    [aux_sym__keyword_alter_token1] = ACTIONS(1671),
    [aux_sym__keyword_create_token1] = ACTIONS(1671),
    [aux_sym__keyword_drop_token1] = ACTIONS(1671),
    [aux_sym__keyword_delete_token1] = ACTIONS(1671),
    [aux_sym__keyword_begin_token1] = ACTIONS(1671),
    [aux_sym__keyword_end_token1] = ACTIONS(1671),
    [aux_sym__keyword_between_token1] = ACTIONS(1671),
    [aux_sym__keyword_else_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1671),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1671),
    [aux_sym__keyword_like_token1] = ACTIONS(1671),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1671),
    [aux_sym__keyword_as_token1] = ACTIONS(1671),
    [aux_sym__keyword_date_token1] = ACTIONS(1671),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1671),
    [aux_sym__keyword_time_token1] = ACTIONS(1671),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1671),
    [aux_sym__keyword_for_token1] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1671),
    [anon_sym_COMMA] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1671),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1671),
    [aux_sym_return_statement_token1] = ACTIONS(1671),
    [aux_sym_call_statement_token1] = ACTIONS(1671),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1671),
    [aux_sym_if_statement_token1] = ACTIONS(1671),
    [aux_sym_loop_statement_token1] = ACTIONS(1671),
    [aux_sym_repeat_statement_token1] = ACTIONS(1671),
    [aux_sym_while_statement_token1] = ACTIONS(1671),
    [aux_sym_break_statement_token1] = ACTIONS(1671),
    [aux_sym_leave_statement_token1] = ACTIONS(1671),
    [aux_sym_continue_statement_token1] = ACTIONS(1671),
    [aux_sym_iterate_statement_token1] = ACTIONS(1671),
    [aux_sym_raise_statement_token1] = ACTIONS(1671),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1671),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1671),
    [aux_sym_insert_statement_token1] = ACTIONS(1671),
    [aux_sym_truncate_statement_token1] = ACTIONS(1671),
    [aux_sym_update_statement_token1] = ACTIONS(1671),
    [aux_sym_merge_statement_token1] = ACTIONS(1671),
    [aux_sym_grant_statement_token1] = ACTIONS(1671),
    [aux_sym_revoke_statement_token1] = ACTIONS(1671),
    [aux_sym_export_data_statement_token1] = ACTIONS(1671),
    [aux_sym_load_data_statement_token1] = ACTIONS(1671),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym__quoted_identifier] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [3560] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3561] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3562] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3563] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3564] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3565] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3566] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3567] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3568] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3569] = {
    [sym__unquoted_identifier] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1615),
    [aux_sym_keyword_replace_token1] = ACTIONS(1615),
    [aux_sym__keyword_alter_token1] = ACTIONS(1615),
    [aux_sym__keyword_create_token1] = ACTIONS(1615),
    [aux_sym__keyword_drop_token1] = ACTIONS(1615),
    [aux_sym__keyword_delete_token1] = ACTIONS(1615),
    [aux_sym__keyword_begin_token1] = ACTIONS(1615),
    [aux_sym__keyword_end_token1] = ACTIONS(1615),
    [aux_sym__keyword_between_token1] = ACTIONS(1615),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1615),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1615),
    [aux_sym__keyword_like_token1] = ACTIONS(1615),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1615),
    [aux_sym__keyword_as_token1] = ACTIONS(1615),
    [aux_sym__keyword_date_token1] = ACTIONS(1615),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1615),
    [aux_sym__keyword_time_token1] = ACTIONS(1615),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1615),
    [aux_sym__keyword_for_token1] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1615),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1615),
    [aux_sym_return_statement_token1] = ACTIONS(1615),
    [aux_sym_call_statement_token1] = ACTIONS(1615),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1615),
    [aux_sym_if_statement_token1] = ACTIONS(1615),
    [aux_sym_loop_statement_token1] = ACTIONS(1615),
    [aux_sym_repeat_statement_token1] = ACTIONS(1615),
    [aux_sym_while_statement_token1] = ACTIONS(1615),
    [aux_sym_break_statement_token1] = ACTIONS(1615),
    [aux_sym_leave_statement_token1] = ACTIONS(1615),
    [aux_sym_continue_statement_token1] = ACTIONS(1615),
    [aux_sym_iterate_statement_token1] = ACTIONS(1615),
    [aux_sym_raise_statement_token1] = ACTIONS(1615),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1615),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1615),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1615),
    [aux_sym_insert_statement_token1] = ACTIONS(1615),
    [aux_sym_truncate_statement_token1] = ACTIONS(1615),
    [aux_sym_update_statement_token1] = ACTIONS(1615),
    [aux_sym_merge_statement_token1] = ACTIONS(1615),
    [aux_sym_grant_statement_token1] = ACTIONS(1615),
    [aux_sym_revoke_statement_token1] = ACTIONS(1615),
    [aux_sym_export_data_statement_token1] = ACTIONS(1615),
    [aux_sym_load_data_statement_token1] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym__quoted_identifier] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [3570] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3571] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3572] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3573] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3574] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3575] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3576] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3577] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3578] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3579] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3580] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3581] = {
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1859),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_end_token1] = ACTIONS(1859),
    [aux_sym__keyword_between_token1] = ACTIONS(1859),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1859),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1859),
    [aux_sym__keyword_like_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1859),
    [aux_sym_if_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_repeat_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [3582] = {
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1859),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_end_token1] = ACTIONS(1859),
    [aux_sym__keyword_between_token1] = ACTIONS(1859),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1859),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1859),
    [aux_sym__keyword_like_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1859),
    [aux_sym_if_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_repeat_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [3583] = {
    [sym__unquoted_identifier] = ACTIONS(1847),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1847),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1847),
    [aux_sym_keyword_replace_token1] = ACTIONS(1847),
    [aux_sym__keyword_alter_token1] = ACTIONS(1847),
    [aux_sym__keyword_create_token1] = ACTIONS(1847),
    [aux_sym__keyword_drop_token1] = ACTIONS(1847),
    [aux_sym__keyword_delete_token1] = ACTIONS(1847),
    [aux_sym__keyword_begin_token1] = ACTIONS(1847),
    [aux_sym__keyword_end_token1] = ACTIONS(1847),
    [aux_sym__keyword_between_token1] = ACTIONS(1847),
    [aux_sym__keyword_else_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1847),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1847),
    [aux_sym__keyword_like_token1] = ACTIONS(1847),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1847),
    [aux_sym__keyword_as_token1] = ACTIONS(1847),
    [aux_sym__keyword_date_token1] = ACTIONS(1847),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1847),
    [aux_sym__keyword_time_token1] = ACTIONS(1847),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1847),
    [aux_sym__keyword_for_token1] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1847),
    [aux_sym_return_statement_token1] = ACTIONS(1847),
    [aux_sym_call_statement_token1] = ACTIONS(1847),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1847),
    [aux_sym_if_statement_token1] = ACTIONS(1847),
    [aux_sym_loop_statement_token1] = ACTIONS(1847),
    [aux_sym_repeat_statement_token1] = ACTIONS(1847),
    [aux_sym_while_statement_token1] = ACTIONS(1847),
    [aux_sym_break_statement_token1] = ACTIONS(1847),
    [aux_sym_leave_statement_token1] = ACTIONS(1847),
    [aux_sym_continue_statement_token1] = ACTIONS(1847),
    [aux_sym_iterate_statement_token1] = ACTIONS(1847),
    [aux_sym_raise_statement_token1] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1847),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1847),
    [aux_sym_insert_statement_token1] = ACTIONS(1847),
    [aux_sym_truncate_statement_token1] = ACTIONS(1847),
    [aux_sym_update_statement_token1] = ACTIONS(1847),
    [aux_sym_merge_statement_token1] = ACTIONS(1847),
    [aux_sym_grant_statement_token1] = ACTIONS(1847),
    [aux_sym_revoke_statement_token1] = ACTIONS(1847),
    [aux_sym_export_data_statement_token1] = ACTIONS(1847),
    [aux_sym_load_data_statement_token1] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym__quoted_identifier] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [3584] = {
    [sym__unquoted_identifier] = ACTIONS(1619),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1619),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1619),
    [aux_sym_keyword_replace_token1] = ACTIONS(1619),
    [aux_sym__keyword_alter_token1] = ACTIONS(1619),
    [aux_sym__keyword_create_token1] = ACTIONS(1619),
    [aux_sym__keyword_drop_token1] = ACTIONS(1619),
    [aux_sym__keyword_delete_token1] = ACTIONS(1619),
    [aux_sym__keyword_begin_token1] = ACTIONS(1619),
    [aux_sym__keyword_end_token1] = ACTIONS(1619),
    [aux_sym__keyword_between_token1] = ACTIONS(1619),
    [aux_sym__keyword_else_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1619),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1619),
    [aux_sym__keyword_like_token1] = ACTIONS(1619),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1619),
    [aux_sym__keyword_as_token1] = ACTIONS(1619),
    [aux_sym__keyword_date_token1] = ACTIONS(1619),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1619),
    [aux_sym__keyword_time_token1] = ACTIONS(1619),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1619),
    [aux_sym__keyword_for_token1] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1619),
    [anon_sym_COMMA] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1619),
    [aux_sym_return_statement_token1] = ACTIONS(1619),
    [aux_sym_call_statement_token1] = ACTIONS(1619),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1619),
    [aux_sym_if_statement_token1] = ACTIONS(1619),
    [aux_sym_loop_statement_token1] = ACTIONS(1619),
    [aux_sym_repeat_statement_token1] = ACTIONS(1619),
    [aux_sym_while_statement_token1] = ACTIONS(1619),
    [aux_sym_break_statement_token1] = ACTIONS(1619),
    [aux_sym_leave_statement_token1] = ACTIONS(1619),
    [aux_sym_continue_statement_token1] = ACTIONS(1619),
    [aux_sym_iterate_statement_token1] = ACTIONS(1619),
    [aux_sym_raise_statement_token1] = ACTIONS(1619),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1619),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1619),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_select_token1] = ACTIONS(1619),
    [aux_sym_insert_statement_token1] = ACTIONS(1619),
    [aux_sym_truncate_statement_token1] = ACTIONS(1619),
    [aux_sym_update_statement_token1] = ACTIONS(1619),
    [aux_sym_merge_statement_token1] = ACTIONS(1619),
    [aux_sym_grant_statement_token1] = ACTIONS(1619),
    [aux_sym_revoke_statement_token1] = ACTIONS(1619),
    [aux_sym_export_data_statement_token1] = ACTIONS(1619),
    [aux_sym_load_data_statement_token1] = ACTIONS(1619),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym__quoted_identifier] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [3585] = {
    [sym__unquoted_identifier] = ACTIONS(1623),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1623),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1623),
    [aux_sym_keyword_replace_token1] = ACTIONS(1623),
    [aux_sym__keyword_alter_token1] = ACTIONS(1623),
    [aux_sym__keyword_create_token1] = ACTIONS(1623),
    [aux_sym__keyword_drop_token1] = ACTIONS(1623),
    [aux_sym__keyword_delete_token1] = ACTIONS(1623),
    [aux_sym__keyword_begin_token1] = ACTIONS(1623),
    [aux_sym__keyword_end_token1] = ACTIONS(1623),
    [aux_sym__keyword_between_token1] = ACTIONS(1623),
    [aux_sym__keyword_else_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1623),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1623),
    [aux_sym__keyword_like_token1] = ACTIONS(1623),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1623),
    [aux_sym__keyword_as_token1] = ACTIONS(1623),
    [aux_sym__keyword_date_token1] = ACTIONS(1623),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1623),
    [aux_sym__keyword_time_token1] = ACTIONS(1623),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1623),
    [aux_sym__keyword_for_token1] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1623),
    [anon_sym_COMMA] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1623),
    [aux_sym_return_statement_token1] = ACTIONS(1623),
    [aux_sym_call_statement_token1] = ACTIONS(1623),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1623),
    [aux_sym_if_statement_token1] = ACTIONS(1623),
    [aux_sym_loop_statement_token1] = ACTIONS(1623),
    [aux_sym_repeat_statement_token1] = ACTIONS(1623),
    [aux_sym_while_statement_token1] = ACTIONS(1623),
    [aux_sym_break_statement_token1] = ACTIONS(1623),
    [aux_sym_leave_statement_token1] = ACTIONS(1623),
    [aux_sym_continue_statement_token1] = ACTIONS(1623),
    [aux_sym_iterate_statement_token1] = ACTIONS(1623),
    [aux_sym_raise_statement_token1] = ACTIONS(1623),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1623),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1623),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1623),
    [aux_sym_insert_statement_token1] = ACTIONS(1623),
    [aux_sym_truncate_statement_token1] = ACTIONS(1623),
    [aux_sym_update_statement_token1] = ACTIONS(1623),
    [aux_sym_merge_statement_token1] = ACTIONS(1623),
    [aux_sym_grant_statement_token1] = ACTIONS(1623),
    [aux_sym_revoke_statement_token1] = ACTIONS(1623),
    [aux_sym_export_data_statement_token1] = ACTIONS(1623),
    [aux_sym_load_data_statement_token1] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym__quoted_identifier] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [3586] = {
    [sym__unquoted_identifier] = ACTIONS(1627),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1627),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1627),
    [aux_sym_keyword_replace_token1] = ACTIONS(1627),
    [aux_sym__keyword_alter_token1] = ACTIONS(1627),
    [aux_sym__keyword_create_token1] = ACTIONS(1627),
    [aux_sym__keyword_drop_token1] = ACTIONS(1627),
    [aux_sym__keyword_delete_token1] = ACTIONS(1627),
    [aux_sym__keyword_begin_token1] = ACTIONS(1627),
    [aux_sym__keyword_end_token1] = ACTIONS(1627),
    [aux_sym__keyword_between_token1] = ACTIONS(1627),
    [aux_sym__keyword_else_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1627),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1627),
    [aux_sym__keyword_like_token1] = ACTIONS(1627),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1627),
    [aux_sym__keyword_as_token1] = ACTIONS(1627),
    [aux_sym__keyword_date_token1] = ACTIONS(1627),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1627),
    [aux_sym__keyword_time_token1] = ACTIONS(1627),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1627),
    [aux_sym__keyword_for_token1] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1627),
    [aux_sym_return_statement_token1] = ACTIONS(1627),
    [aux_sym_call_statement_token1] = ACTIONS(1627),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1627),
    [aux_sym_if_statement_token1] = ACTIONS(1627),
    [aux_sym_loop_statement_token1] = ACTIONS(1627),
    [aux_sym_repeat_statement_token1] = ACTIONS(1627),
    [aux_sym_while_statement_token1] = ACTIONS(1627),
    [aux_sym_break_statement_token1] = ACTIONS(1627),
    [aux_sym_leave_statement_token1] = ACTIONS(1627),
    [aux_sym_continue_statement_token1] = ACTIONS(1627),
    [aux_sym_iterate_statement_token1] = ACTIONS(1627),
    [aux_sym_raise_statement_token1] = ACTIONS(1627),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1627),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1627),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1627),
    [aux_sym_insert_statement_token1] = ACTIONS(1627),
    [aux_sym_truncate_statement_token1] = ACTIONS(1627),
    [aux_sym_update_statement_token1] = ACTIONS(1627),
    [aux_sym_merge_statement_token1] = ACTIONS(1627),
    [aux_sym_grant_statement_token1] = ACTIONS(1627),
    [aux_sym_revoke_statement_token1] = ACTIONS(1627),
    [aux_sym_export_data_statement_token1] = ACTIONS(1627),
    [aux_sym_load_data_statement_token1] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym__quoted_identifier] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [3587] = {
    [sym__unquoted_identifier] = ACTIONS(1631),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1631),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1631),
    [aux_sym_keyword_replace_token1] = ACTIONS(1631),
    [aux_sym__keyword_alter_token1] = ACTIONS(1631),
    [aux_sym__keyword_create_token1] = ACTIONS(1631),
    [aux_sym__keyword_drop_token1] = ACTIONS(1631),
    [aux_sym__keyword_delete_token1] = ACTIONS(1631),
    [aux_sym__keyword_begin_token1] = ACTIONS(1631),
    [aux_sym__keyword_end_token1] = ACTIONS(1631),
    [aux_sym__keyword_between_token1] = ACTIONS(1631),
    [aux_sym__keyword_else_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1631),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1631),
    [aux_sym__keyword_like_token1] = ACTIONS(1631),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1631),
    [aux_sym__keyword_as_token1] = ACTIONS(1631),
    [aux_sym__keyword_date_token1] = ACTIONS(1631),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1631),
    [aux_sym__keyword_time_token1] = ACTIONS(1631),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1631),
    [aux_sym__keyword_for_token1] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1631),
    [anon_sym_COMMA] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1631),
    [aux_sym_return_statement_token1] = ACTIONS(1631),
    [aux_sym_call_statement_token1] = ACTIONS(1631),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1631),
    [aux_sym_if_statement_token1] = ACTIONS(1631),
    [aux_sym_loop_statement_token1] = ACTIONS(1631),
    [aux_sym_repeat_statement_token1] = ACTIONS(1631),
    [aux_sym_while_statement_token1] = ACTIONS(1631),
    [aux_sym_break_statement_token1] = ACTIONS(1631),
    [aux_sym_leave_statement_token1] = ACTIONS(1631),
    [aux_sym_continue_statement_token1] = ACTIONS(1631),
    [aux_sym_iterate_statement_token1] = ACTIONS(1631),
    [aux_sym_raise_statement_token1] = ACTIONS(1631),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1631),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1631),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1631),
    [aux_sym_insert_statement_token1] = ACTIONS(1631),
    [aux_sym_truncate_statement_token1] = ACTIONS(1631),
    [aux_sym_update_statement_token1] = ACTIONS(1631),
    [aux_sym_merge_statement_token1] = ACTIONS(1631),
    [aux_sym_grant_statement_token1] = ACTIONS(1631),
    [aux_sym_revoke_statement_token1] = ACTIONS(1631),
    [aux_sym_export_data_statement_token1] = ACTIONS(1631),
    [aux_sym_load_data_statement_token1] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym__quoted_identifier] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [3588] = {
    [sym__unquoted_identifier] = ACTIONS(1639),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1639),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1639),
    [aux_sym_keyword_replace_token1] = ACTIONS(1639),
    [aux_sym__keyword_alter_token1] = ACTIONS(1639),
    [aux_sym__keyword_create_token1] = ACTIONS(1639),
    [aux_sym__keyword_drop_token1] = ACTIONS(1639),
    [aux_sym__keyword_delete_token1] = ACTIONS(1639),
    [aux_sym__keyword_begin_token1] = ACTIONS(1639),
    [aux_sym__keyword_end_token1] = ACTIONS(1639),
    [aux_sym__keyword_between_token1] = ACTIONS(1639),
    [aux_sym__keyword_else_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1639),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1639),
    [aux_sym__keyword_like_token1] = ACTIONS(1639),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1639),
    [aux_sym__keyword_as_token1] = ACTIONS(1639),
    [aux_sym__keyword_date_token1] = ACTIONS(1639),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1639),
    [aux_sym__keyword_time_token1] = ACTIONS(1639),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1639),
    [aux_sym__keyword_for_token1] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1639),
    [anon_sym_COMMA] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1639),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1639),
    [aux_sym_return_statement_token1] = ACTIONS(1639),
    [aux_sym_call_statement_token1] = ACTIONS(1639),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1639),
    [aux_sym_if_statement_token1] = ACTIONS(1639),
    [aux_sym_loop_statement_token1] = ACTIONS(1639),
    [aux_sym_repeat_statement_token1] = ACTIONS(1639),
    [aux_sym_while_statement_token1] = ACTIONS(1639),
    [aux_sym_break_statement_token1] = ACTIONS(1639),
    [aux_sym_leave_statement_token1] = ACTIONS(1639),
    [aux_sym_continue_statement_token1] = ACTIONS(1639),
    [aux_sym_iterate_statement_token1] = ACTIONS(1639),
    [aux_sym_raise_statement_token1] = ACTIONS(1639),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1639),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1639),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1639),
    [aux_sym_insert_statement_token1] = ACTIONS(1639),
    [aux_sym_truncate_statement_token1] = ACTIONS(1639),
    [aux_sym_update_statement_token1] = ACTIONS(1639),
    [aux_sym_merge_statement_token1] = ACTIONS(1639),
    [aux_sym_grant_statement_token1] = ACTIONS(1639),
    [aux_sym_revoke_statement_token1] = ACTIONS(1639),
    [aux_sym_export_data_statement_token1] = ACTIONS(1639),
    [aux_sym_load_data_statement_token1] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym__quoted_identifier] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [3589] = {
    [sym__unquoted_identifier] = ACTIONS(1643),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1643),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1643),
    [aux_sym_keyword_replace_token1] = ACTIONS(1643),
    [aux_sym__keyword_alter_token1] = ACTIONS(1643),
    [aux_sym__keyword_create_token1] = ACTIONS(1643),
    [aux_sym__keyword_drop_token1] = ACTIONS(1643),
    [aux_sym__keyword_delete_token1] = ACTIONS(1643),
    [aux_sym__keyword_begin_token1] = ACTIONS(1643),
    [aux_sym__keyword_end_token1] = ACTIONS(1643),
    [aux_sym__keyword_between_token1] = ACTIONS(1643),
    [aux_sym__keyword_else_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1643),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1643),
    [aux_sym__keyword_like_token1] = ACTIONS(1643),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1643),
    [aux_sym__keyword_as_token1] = ACTIONS(1643),
    [aux_sym__keyword_date_token1] = ACTIONS(1643),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1643),
    [aux_sym__keyword_time_token1] = ACTIONS(1643),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1643),
    [aux_sym__keyword_for_token1] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1643),
    [aux_sym_return_statement_token1] = ACTIONS(1643),
    [aux_sym_call_statement_token1] = ACTIONS(1643),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1643),
    [aux_sym_if_statement_token1] = ACTIONS(1643),
    [aux_sym_loop_statement_token1] = ACTIONS(1643),
    [aux_sym_repeat_statement_token1] = ACTIONS(1643),
    [aux_sym_while_statement_token1] = ACTIONS(1643),
    [aux_sym_break_statement_token1] = ACTIONS(1643),
    [aux_sym_leave_statement_token1] = ACTIONS(1643),
    [aux_sym_continue_statement_token1] = ACTIONS(1643),
    [aux_sym_iterate_statement_token1] = ACTIONS(1643),
    [aux_sym_raise_statement_token1] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1643),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1643),
    [aux_sym_insert_statement_token1] = ACTIONS(1643),
    [aux_sym_truncate_statement_token1] = ACTIONS(1643),
    [aux_sym_update_statement_token1] = ACTIONS(1643),
    [aux_sym_merge_statement_token1] = ACTIONS(1643),
    [aux_sym_grant_statement_token1] = ACTIONS(1643),
    [aux_sym_revoke_statement_token1] = ACTIONS(1643),
    [aux_sym_export_data_statement_token1] = ACTIONS(1643),
    [aux_sym_load_data_statement_token1] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym__quoted_identifier] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [3590] = {
    [sym__unquoted_identifier] = ACTIONS(1789),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1789),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1789),
    [aux_sym_keyword_replace_token1] = ACTIONS(1789),
    [aux_sym__keyword_alter_token1] = ACTIONS(1789),
    [aux_sym__keyword_create_token1] = ACTIONS(1789),
    [aux_sym__keyword_drop_token1] = ACTIONS(1789),
    [aux_sym__keyword_delete_token1] = ACTIONS(1789),
    [aux_sym__keyword_begin_token1] = ACTIONS(1789),
    [aux_sym__keyword_end_token1] = ACTIONS(1789),
    [aux_sym__keyword_between_token1] = ACTIONS(1789),
    [aux_sym__keyword_else_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1789),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1789),
    [aux_sym__keyword_like_token1] = ACTIONS(1789),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1789),
    [aux_sym__keyword_as_token1] = ACTIONS(1789),
    [aux_sym__keyword_date_token1] = ACTIONS(1789),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1789),
    [aux_sym__keyword_time_token1] = ACTIONS(1789),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1789),
    [aux_sym__keyword_for_token1] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1789),
    [anon_sym_COMMA] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1789),
    [aux_sym_return_statement_token1] = ACTIONS(1789),
    [aux_sym_call_statement_token1] = ACTIONS(1789),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1789),
    [aux_sym_if_statement_token1] = ACTIONS(1789),
    [aux_sym_loop_statement_token1] = ACTIONS(1789),
    [aux_sym_repeat_statement_token1] = ACTIONS(1789),
    [aux_sym_while_statement_token1] = ACTIONS(1789),
    [aux_sym_break_statement_token1] = ACTIONS(1789),
    [aux_sym_leave_statement_token1] = ACTIONS(1789),
    [aux_sym_continue_statement_token1] = ACTIONS(1789),
    [aux_sym_iterate_statement_token1] = ACTIONS(1789),
    [aux_sym_raise_statement_token1] = ACTIONS(1789),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1789),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1789),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1789),
    [aux_sym_insert_statement_token1] = ACTIONS(1789),
    [aux_sym_truncate_statement_token1] = ACTIONS(1789),
    [aux_sym_update_statement_token1] = ACTIONS(1789),
    [aux_sym_merge_statement_token1] = ACTIONS(1789),
    [aux_sym_grant_statement_token1] = ACTIONS(1789),
    [aux_sym_revoke_statement_token1] = ACTIONS(1789),
    [aux_sym_export_data_statement_token1] = ACTIONS(1789),
    [aux_sym_load_data_statement_token1] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym__quoted_identifier] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [3591] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3592] = {
    [sym__unquoted_identifier] = ACTIONS(1611),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1611),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1611),
    [aux_sym_keyword_replace_token1] = ACTIONS(1611),
    [aux_sym__keyword_alter_token1] = ACTIONS(1611),
    [aux_sym__keyword_create_token1] = ACTIONS(1611),
    [aux_sym__keyword_drop_token1] = ACTIONS(1611),
    [aux_sym__keyword_delete_token1] = ACTIONS(1611),
    [aux_sym__keyword_begin_token1] = ACTIONS(1611),
    [aux_sym__keyword_end_token1] = ACTIONS(1611),
    [aux_sym__keyword_between_token1] = ACTIONS(1611),
    [aux_sym__keyword_else_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1611),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1611),
    [aux_sym__keyword_like_token1] = ACTIONS(1611),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1611),
    [aux_sym__keyword_as_token1] = ACTIONS(1611),
    [aux_sym__keyword_date_token1] = ACTIONS(1611),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1611),
    [aux_sym__keyword_time_token1] = ACTIONS(1611),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1611),
    [aux_sym__keyword_for_token1] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1611),
    [anon_sym_COMMA] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1611),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1611),
    [aux_sym_return_statement_token1] = ACTIONS(1611),
    [aux_sym_call_statement_token1] = ACTIONS(1611),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1611),
    [aux_sym_if_statement_token1] = ACTIONS(1611),
    [aux_sym_loop_statement_token1] = ACTIONS(1611),
    [aux_sym_repeat_statement_token1] = ACTIONS(1611),
    [aux_sym_while_statement_token1] = ACTIONS(1611),
    [aux_sym_break_statement_token1] = ACTIONS(1611),
    [aux_sym_leave_statement_token1] = ACTIONS(1611),
    [aux_sym_continue_statement_token1] = ACTIONS(1611),
    [aux_sym_iterate_statement_token1] = ACTIONS(1611),
    [aux_sym_raise_statement_token1] = ACTIONS(1611),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1611),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1611),
    [aux_sym_insert_statement_token1] = ACTIONS(1611),
    [aux_sym_truncate_statement_token1] = ACTIONS(1611),
    [aux_sym_update_statement_token1] = ACTIONS(1611),
    [aux_sym_merge_statement_token1] = ACTIONS(1611),
    [aux_sym_grant_statement_token1] = ACTIONS(1611),
    [aux_sym_revoke_statement_token1] = ACTIONS(1611),
    [aux_sym_export_data_statement_token1] = ACTIONS(1611),
    [aux_sym_load_data_statement_token1] = ACTIONS(1611),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym__quoted_identifier] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [3593] = {
    [sym__unquoted_identifier] = ACTIONS(1647),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1647),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1647),
    [aux_sym_keyword_replace_token1] = ACTIONS(1647),
    [aux_sym__keyword_alter_token1] = ACTIONS(1647),
    [aux_sym__keyword_create_token1] = ACTIONS(1647),
    [aux_sym__keyword_drop_token1] = ACTIONS(1647),
    [aux_sym__keyword_delete_token1] = ACTIONS(1647),
    [aux_sym__keyword_begin_token1] = ACTIONS(1647),
    [aux_sym__keyword_end_token1] = ACTIONS(1647),
    [aux_sym__keyword_between_token1] = ACTIONS(1647),
    [aux_sym__keyword_else_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1647),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1647),
    [aux_sym__keyword_like_token1] = ACTIONS(1647),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1647),
    [aux_sym__keyword_as_token1] = ACTIONS(1647),
    [aux_sym__keyword_date_token1] = ACTIONS(1647),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1647),
    [aux_sym__keyword_time_token1] = ACTIONS(1647),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1647),
    [aux_sym__keyword_for_token1] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1647),
    [aux_sym_return_statement_token1] = ACTIONS(1647),
    [aux_sym_call_statement_token1] = ACTIONS(1647),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1647),
    [aux_sym_if_statement_token1] = ACTIONS(1647),
    [aux_sym_loop_statement_token1] = ACTIONS(1647),
    [aux_sym_repeat_statement_token1] = ACTIONS(1647),
    [aux_sym_while_statement_token1] = ACTIONS(1647),
    [aux_sym_break_statement_token1] = ACTIONS(1647),
    [aux_sym_leave_statement_token1] = ACTIONS(1647),
    [aux_sym_continue_statement_token1] = ACTIONS(1647),
    [aux_sym_iterate_statement_token1] = ACTIONS(1647),
    [aux_sym_raise_statement_token1] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1647),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1647),
    [aux_sym_insert_statement_token1] = ACTIONS(1647),
    [aux_sym_truncate_statement_token1] = ACTIONS(1647),
    [aux_sym_update_statement_token1] = ACTIONS(1647),
    [aux_sym_merge_statement_token1] = ACTIONS(1647),
    [aux_sym_grant_statement_token1] = ACTIONS(1647),
    [aux_sym_revoke_statement_token1] = ACTIONS(1647),
    [aux_sym_export_data_statement_token1] = ACTIONS(1647),
    [aux_sym_load_data_statement_token1] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym__quoted_identifier] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [3594] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3595] = {
    [sym__unquoted_identifier] = ACTIONS(1651),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1651),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1651),
    [aux_sym_keyword_replace_token1] = ACTIONS(1651),
    [aux_sym__keyword_alter_token1] = ACTIONS(1651),
    [aux_sym__keyword_create_token1] = ACTIONS(1651),
    [aux_sym__keyword_drop_token1] = ACTIONS(1651),
    [aux_sym__keyword_delete_token1] = ACTIONS(1651),
    [aux_sym__keyword_begin_token1] = ACTIONS(1651),
    [aux_sym__keyword_end_token1] = ACTIONS(1651),
    [aux_sym__keyword_between_token1] = ACTIONS(1651),
    [aux_sym__keyword_else_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1651),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1651),
    [aux_sym__keyword_like_token1] = ACTIONS(1651),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1651),
    [aux_sym__keyword_as_token1] = ACTIONS(1651),
    [aux_sym__keyword_date_token1] = ACTIONS(1651),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1651),
    [aux_sym__keyword_time_token1] = ACTIONS(1651),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1651),
    [aux_sym__keyword_for_token1] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1651),
    [anon_sym_COMMA] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1651),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1651),
    [aux_sym_return_statement_token1] = ACTIONS(1651),
    [aux_sym_call_statement_token1] = ACTIONS(1651),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1651),
    [aux_sym_if_statement_token1] = ACTIONS(1651),
    [aux_sym_loop_statement_token1] = ACTIONS(1651),
    [aux_sym_repeat_statement_token1] = ACTIONS(1651),
    [aux_sym_while_statement_token1] = ACTIONS(1651),
    [aux_sym_break_statement_token1] = ACTIONS(1651),
    [aux_sym_leave_statement_token1] = ACTIONS(1651),
    [aux_sym_continue_statement_token1] = ACTIONS(1651),
    [aux_sym_iterate_statement_token1] = ACTIONS(1651),
    [aux_sym_raise_statement_token1] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1651),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1651),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1651),
    [aux_sym_insert_statement_token1] = ACTIONS(1651),
    [aux_sym_truncate_statement_token1] = ACTIONS(1651),
    [aux_sym_update_statement_token1] = ACTIONS(1651),
    [aux_sym_merge_statement_token1] = ACTIONS(1651),
    [aux_sym_grant_statement_token1] = ACTIONS(1651),
    [aux_sym_revoke_statement_token1] = ACTIONS(1651),
    [aux_sym_export_data_statement_token1] = ACTIONS(1651),
    [aux_sym_load_data_statement_token1] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym__quoted_identifier] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [3596] = {
    [sym__unquoted_identifier] = ACTIONS(1659),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1659),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1659),
    [aux_sym_keyword_replace_token1] = ACTIONS(1659),
    [aux_sym__keyword_alter_token1] = ACTIONS(1659),
    [aux_sym__keyword_create_token1] = ACTIONS(1659),
    [aux_sym__keyword_drop_token1] = ACTIONS(1659),
    [aux_sym__keyword_delete_token1] = ACTIONS(1659),
    [aux_sym__keyword_begin_token1] = ACTIONS(1659),
    [aux_sym__keyword_end_token1] = ACTIONS(1659),
    [aux_sym__keyword_between_token1] = ACTIONS(1659),
    [aux_sym__keyword_else_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1659),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1659),
    [aux_sym__keyword_like_token1] = ACTIONS(1659),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1659),
    [aux_sym__keyword_as_token1] = ACTIONS(1659),
    [aux_sym__keyword_date_token1] = ACTIONS(1659),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1659),
    [aux_sym__keyword_time_token1] = ACTIONS(1659),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1659),
    [aux_sym__keyword_for_token1] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1659),
    [aux_sym_return_statement_token1] = ACTIONS(1659),
    [aux_sym_call_statement_token1] = ACTIONS(1659),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1659),
    [aux_sym_if_statement_token1] = ACTIONS(1659),
    [aux_sym_loop_statement_token1] = ACTIONS(1659),
    [aux_sym_repeat_statement_token1] = ACTIONS(1659),
    [aux_sym_while_statement_token1] = ACTIONS(1659),
    [aux_sym_break_statement_token1] = ACTIONS(1659),
    [aux_sym_leave_statement_token1] = ACTIONS(1659),
    [aux_sym_continue_statement_token1] = ACTIONS(1659),
    [aux_sym_iterate_statement_token1] = ACTIONS(1659),
    [aux_sym_raise_statement_token1] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1659),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1659),
    [aux_sym_insert_statement_token1] = ACTIONS(1659),
    [aux_sym_truncate_statement_token1] = ACTIONS(1659),
    [aux_sym_update_statement_token1] = ACTIONS(1659),
    [aux_sym_merge_statement_token1] = ACTIONS(1659),
    [aux_sym_grant_statement_token1] = ACTIONS(1659),
    [aux_sym_revoke_statement_token1] = ACTIONS(1659),
    [aux_sym_export_data_statement_token1] = ACTIONS(1659),
    [aux_sym_load_data_statement_token1] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym__quoted_identifier] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [3597] = {
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_end_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1213),
    [aux_sym_if_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_repeat_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3598] = {
    [sym__unquoted_identifier] = ACTIONS(1663),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1663),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1663),
    [aux_sym_keyword_replace_token1] = ACTIONS(1663),
    [aux_sym__keyword_alter_token1] = ACTIONS(1663),
    [aux_sym__keyword_create_token1] = ACTIONS(1663),
    [aux_sym__keyword_drop_token1] = ACTIONS(1663),
    [aux_sym__keyword_delete_token1] = ACTIONS(1663),
    [aux_sym__keyword_begin_token1] = ACTIONS(1663),
    [aux_sym__keyword_end_token1] = ACTIONS(1663),
    [aux_sym__keyword_between_token1] = ACTIONS(1663),
    [aux_sym__keyword_else_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1663),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1663),
    [aux_sym__keyword_like_token1] = ACTIONS(1663),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1663),
    [aux_sym__keyword_as_token1] = ACTIONS(1663),
    [aux_sym__keyword_date_token1] = ACTIONS(1663),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1663),
    [aux_sym__keyword_time_token1] = ACTIONS(1663),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1663),
    [aux_sym__keyword_for_token1] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1663),
    [aux_sym_return_statement_token1] = ACTIONS(1663),
    [aux_sym_call_statement_token1] = ACTIONS(1663),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1663),
    [aux_sym_if_statement_token1] = ACTIONS(1663),
    [aux_sym_loop_statement_token1] = ACTIONS(1663),
    [aux_sym_repeat_statement_token1] = ACTIONS(1663),
    [aux_sym_while_statement_token1] = ACTIONS(1663),
    [aux_sym_break_statement_token1] = ACTIONS(1663),
    [aux_sym_leave_statement_token1] = ACTIONS(1663),
    [aux_sym_continue_statement_token1] = ACTIONS(1663),
    [aux_sym_iterate_statement_token1] = ACTIONS(1663),
    [aux_sym_raise_statement_token1] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1663),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1663),
    [aux_sym_insert_statement_token1] = ACTIONS(1663),
    [aux_sym_truncate_statement_token1] = ACTIONS(1663),
    [aux_sym_update_statement_token1] = ACTIONS(1663),
    [aux_sym_merge_statement_token1] = ACTIONS(1663),
    [aux_sym_grant_statement_token1] = ACTIONS(1663),
    [aux_sym_revoke_statement_token1] = ACTIONS(1663),
    [aux_sym_export_data_statement_token1] = ACTIONS(1663),
    [aux_sym_load_data_statement_token1] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym__quoted_identifier] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [3599] = {
    [sym_analytics_clause] = STATE(3786),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3600] = {
    [sym_analytics_clause] = STATE(3785),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3601] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_into_clause_token1] = ACTIONS(1165),
    [aux_sym_using_clause_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3602] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_into_clause_token1] = ACTIONS(1207),
    [aux_sym_using_clause_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3603] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym__keyword_as] = STATE(16238),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3161),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3161),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3161),
    [aux_sym__keyword_create_token1] = ACTIONS(3161),
    [aux_sym__keyword_drop_token1] = ACTIONS(3161),
    [aux_sym__keyword_delete_token1] = ACTIONS(3161),
    [aux_sym__keyword_begin_token1] = ACTIONS(3161),
    [aux_sym__keyword_between_token1] = ACTIONS(3283),
    [aux_sym__keyword_is_token1] = ACTIONS(3285),
    [aux_sym__keyword_in_token1] = ACTIONS(3287),
    [aux_sym__keyword_and_token1] = ACTIONS(3289),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3161),
    [aux_sym__keyword_as_token1] = ACTIONS(3173),
    [aux_sym__keyword_for_token1] = ACTIONS(3161),
    [anon_sym_SEMI] = ACTIONS(3161),
    [aux_sym_declare_statement_token1] = ACTIONS(3161),
    [aux_sym_set_statement_token1] = ACTIONS(3161),
    [anon_sym_LPAREN] = ACTIONS(3161),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3161),
    [aux_sym_return_statement_token1] = ACTIONS(3161),
    [aux_sym_call_statement_token1] = ACTIONS(3161),
    [aux_sym_loop_statement_token1] = ACTIONS(3161),
    [aux_sym_while_statement_token1] = ACTIONS(3161),
    [aux_sym_break_statement_token1] = ACTIONS(3161),
    [aux_sym_leave_statement_token1] = ACTIONS(3161),
    [aux_sym_continue_statement_token1] = ACTIONS(3161),
    [aux_sym_iterate_statement_token1] = ACTIONS(3161),
    [aux_sym_raise_statement_token1] = ACTIONS(3161),
    [anon_sym_EQ] = ACTIONS(3291),
    [aux_sym_assert_statement_token1] = ACTIONS(3161),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3161),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_GT] = ACTIONS(3287),
    [aux_sym_select_token1] = ACTIONS(3161),
    [aux_sym_insert_statement_token1] = ACTIONS(3161),
    [aux_sym_truncate_statement_token1] = ACTIONS(3161),
    [aux_sym_update_statement_token1] = ACTIONS(3161),
    [aux_sym_merge_statement_token1] = ACTIONS(3161),
    [aux_sym_grant_statement_token1] = ACTIONS(3161),
    [aux_sym_revoke_statement_token1] = ACTIONS(3161),
    [aux_sym_export_data_statement_token1] = ACTIONS(3161),
    [aux_sym_load_data_statement_token1] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT_GT] = ACTIONS(3291),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [3604] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_when_token1] = ACTIONS(1191),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(3315),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3605] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_into_clause_token1] = ACTIONS(1221),
    [aux_sym_using_clause_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3606] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_when_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [3607] = {
    [sym_string] = STATE(4379),
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [aux_sym_option_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(2481),
  },
  [3608] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1755),
    [aux_sym_keyword_replace_token1] = ACTIONS(1755),
    [aux_sym__keyword_alter_token1] = ACTIONS(1755),
    [aux_sym__keyword_create_token1] = ACTIONS(1755),
    [aux_sym__keyword_drop_token1] = ACTIONS(1755),
    [aux_sym__keyword_from_token1] = ACTIONS(1755),
    [aux_sym__keyword_delete_token1] = ACTIONS(1755),
    [aux_sym__keyword_begin_token1] = ACTIONS(1755),
    [aux_sym__keyword_end_token1] = ACTIONS(1755),
    [aux_sym__keyword_between_token1] = ACTIONS(1755),
    [aux_sym__keyword_when_token1] = ACTIONS(1755),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1755),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1755),
    [aux_sym__keyword_like_token1] = ACTIONS(1755),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1755),
    [aux_sym__keyword_as_token1] = ACTIONS(1757),
    [aux_sym__keyword_for_token1] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1755),
    [aux_sym_return_statement_token1] = ACTIONS(1755),
    [aux_sym_call_statement_token1] = ACTIONS(1755),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1755),
    [aux_sym_if_statement_token1] = ACTIONS(1755),
    [aux_sym_loop_statement_token1] = ACTIONS(1755),
    [aux_sym_repeat_statement_token1] = ACTIONS(1755),
    [aux_sym_while_statement_token1] = ACTIONS(1755),
    [aux_sym_break_statement_token1] = ACTIONS(1755),
    [aux_sym_leave_statement_token1] = ACTIONS(1755),
    [aux_sym_continue_statement_token1] = ACTIONS(1755),
    [aux_sym_iterate_statement_token1] = ACTIONS(1755),
    [aux_sym_raise_statement_token1] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1755),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1755),
    [aux_sym_option_clause_token1] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1755),
    [aux_sym_select_token1] = ACTIONS(1755),
    [aux_sym_insert_statement_token1] = ACTIONS(1755),
    [aux_sym_truncate_statement_token1] = ACTIONS(1755),
    [aux_sym_update_statement_token1] = ACTIONS(1755),
    [aux_sym_merge_statement_token1] = ACTIONS(1755),
    [aux_sym_grant_statement_token1] = ACTIONS(1755),
    [aux_sym_revoke_statement_token1] = ACTIONS(1755),
    [aux_sym_export_data_statement_token1] = ACTIONS(1755),
    [aux_sym_load_data_statement_token1] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [3609] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3195),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3195),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(3195),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3195),
    [aux_sym__keyword_create_token1] = ACTIONS(3195),
    [aux_sym__keyword_drop_token1] = ACTIONS(3195),
    [aux_sym__keyword_delete_token1] = ACTIONS(3195),
    [aux_sym__keyword_begin_token1] = ACTIONS(3195),
    [aux_sym__keyword_between_token1] = ACTIONS(3335),
    [aux_sym__keyword_is_token1] = ACTIONS(3337),
    [aux_sym__keyword_in_token1] = ACTIONS(3339),
    [aux_sym__keyword_and_token1] = ACTIONS(3341),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3195),
    [aux_sym__keyword_for_token1] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3195),
    [aux_sym_declare_statement_token1] = ACTIONS(3195),
    [anon_sym_COMMA] = ACTIONS(3195),
    [aux_sym_set_statement_token1] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(3195),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3195),
    [aux_sym_return_statement_token1] = ACTIONS(3195),
    [aux_sym_call_statement_token1] = ACTIONS(3195),
    [aux_sym_loop_statement_token1] = ACTIONS(3195),
    [aux_sym_while_statement_token1] = ACTIONS(3195),
    [aux_sym_break_statement_token1] = ACTIONS(3195),
    [aux_sym_leave_statement_token1] = ACTIONS(3195),
    [aux_sym_continue_statement_token1] = ACTIONS(3195),
    [aux_sym_iterate_statement_token1] = ACTIONS(3195),
    [aux_sym_raise_statement_token1] = ACTIONS(3195),
    [anon_sym_EQ] = ACTIONS(3343),
    [aux_sym_assert_statement_token1] = ACTIONS(3195),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3195),
    [aux_sym_option_clause_token1] = ACTIONS(3195),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_GT] = ACTIONS(3339),
    [aux_sym_select_token1] = ACTIONS(3195),
    [aux_sym_insert_statement_token1] = ACTIONS(3195),
    [aux_sym_truncate_statement_token1] = ACTIONS(3195),
    [aux_sym_update_statement_token1] = ACTIONS(3195),
    [aux_sym_merge_statement_token1] = ACTIONS(3195),
    [aux_sym_grant_statement_token1] = ACTIONS(3195),
    [aux_sym_revoke_statement_token1] = ACTIONS(3195),
    [aux_sym_export_data_statement_token1] = ACTIONS(3195),
    [aux_sym_load_data_statement_token1] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(3343),
    [anon_sym_LT_GT] = ACTIONS(3343),
    [anon_sym_GT_EQ] = ACTIONS(3343),
    [anon_sym_BANG_EQ] = ACTIONS(3343),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3610] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1775),
    [aux_sym_keyword_replace_token1] = ACTIONS(1775),
    [aux_sym__keyword_alter_token1] = ACTIONS(1775),
    [aux_sym__keyword_create_token1] = ACTIONS(1775),
    [aux_sym__keyword_drop_token1] = ACTIONS(1775),
    [aux_sym__keyword_from_token1] = ACTIONS(1775),
    [aux_sym__keyword_delete_token1] = ACTIONS(1775),
    [aux_sym__keyword_begin_token1] = ACTIONS(1775),
    [aux_sym__keyword_end_token1] = ACTIONS(1775),
    [aux_sym__keyword_between_token1] = ACTIONS(1775),
    [aux_sym__keyword_when_token1] = ACTIONS(1775),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1775),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1775),
    [aux_sym__keyword_like_token1] = ACTIONS(1775),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1775),
    [aux_sym__keyword_as_token1] = ACTIONS(1777),
    [aux_sym__keyword_for_token1] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1775),
    [aux_sym_return_statement_token1] = ACTIONS(1775),
    [aux_sym_call_statement_token1] = ACTIONS(1775),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1775),
    [aux_sym_if_statement_token1] = ACTIONS(1775),
    [aux_sym_loop_statement_token1] = ACTIONS(1775),
    [aux_sym_repeat_statement_token1] = ACTIONS(1775),
    [aux_sym_while_statement_token1] = ACTIONS(1775),
    [aux_sym_break_statement_token1] = ACTIONS(1775),
    [aux_sym_leave_statement_token1] = ACTIONS(1775),
    [aux_sym_continue_statement_token1] = ACTIONS(1775),
    [aux_sym_iterate_statement_token1] = ACTIONS(1775),
    [aux_sym_raise_statement_token1] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1775),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1775),
    [aux_sym_option_clause_token1] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1775),
    [aux_sym_select_token1] = ACTIONS(1775),
    [aux_sym_insert_statement_token1] = ACTIONS(1775),
    [aux_sym_truncate_statement_token1] = ACTIONS(1775),
    [aux_sym_update_statement_token1] = ACTIONS(1775),
    [aux_sym_merge_statement_token1] = ACTIONS(1775),
    [aux_sym_grant_statement_token1] = ACTIONS(1775),
    [aux_sym_revoke_statement_token1] = ACTIONS(1775),
    [aux_sym_export_data_statement_token1] = ACTIONS(1775),
    [aux_sym_load_data_statement_token1] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [3611] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1783),
    [aux_sym_keyword_replace_token1] = ACTIONS(1783),
    [aux_sym__keyword_alter_token1] = ACTIONS(1783),
    [aux_sym__keyword_create_token1] = ACTIONS(1783),
    [aux_sym__keyword_drop_token1] = ACTIONS(1783),
    [aux_sym__keyword_from_token1] = ACTIONS(1783),
    [aux_sym__keyword_delete_token1] = ACTIONS(1783),
    [aux_sym__keyword_begin_token1] = ACTIONS(1783),
    [aux_sym__keyword_end_token1] = ACTIONS(1783),
    [aux_sym__keyword_between_token1] = ACTIONS(1783),
    [aux_sym__keyword_when_token1] = ACTIONS(1783),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1783),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1783),
    [aux_sym__keyword_like_token1] = ACTIONS(1783),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1783),
    [aux_sym__keyword_as_token1] = ACTIONS(1785),
    [aux_sym__keyword_for_token1] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1783),
    [aux_sym_return_statement_token1] = ACTIONS(1783),
    [aux_sym_call_statement_token1] = ACTIONS(1783),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1783),
    [aux_sym_if_statement_token1] = ACTIONS(1783),
    [aux_sym_loop_statement_token1] = ACTIONS(1783),
    [aux_sym_repeat_statement_token1] = ACTIONS(1783),
    [aux_sym_while_statement_token1] = ACTIONS(1783),
    [aux_sym_break_statement_token1] = ACTIONS(1783),
    [aux_sym_leave_statement_token1] = ACTIONS(1783),
    [aux_sym_continue_statement_token1] = ACTIONS(1783),
    [aux_sym_iterate_statement_token1] = ACTIONS(1783),
    [aux_sym_raise_statement_token1] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1783),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1783),
    [aux_sym_option_clause_token1] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1783),
    [aux_sym_select_token1] = ACTIONS(1783),
    [aux_sym_insert_statement_token1] = ACTIONS(1783),
    [aux_sym_truncate_statement_token1] = ACTIONS(1783),
    [aux_sym_update_statement_token1] = ACTIONS(1783),
    [aux_sym_merge_statement_token1] = ACTIONS(1783),
    [aux_sym_grant_statement_token1] = ACTIONS(1783),
    [aux_sym_revoke_statement_token1] = ACTIONS(1783),
    [aux_sym_export_data_statement_token1] = ACTIONS(1783),
    [aux_sym_load_data_statement_token1] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [3612] = {
    [sym_analytics_clause] = STATE(3623),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1389),
    [aux_sym_keyword_replace_token1] = ACTIONS(1389),
    [aux_sym__keyword_alter_token1] = ACTIONS(1389),
    [aux_sym__keyword_create_token1] = ACTIONS(1389),
    [aux_sym__keyword_drop_token1] = ACTIONS(1389),
    [aux_sym__keyword_delete_token1] = ACTIONS(1389),
    [aux_sym__keyword_begin_token1] = ACTIONS(1389),
    [aux_sym__keyword_end_token1] = ACTIONS(1389),
    [aux_sym__keyword_between_token1] = ACTIONS(1389),
    [aux_sym__keyword_when_token1] = ACTIONS(1389),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1389),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1389),
    [aux_sym__keyword_like_token1] = ACTIONS(1389),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1389),
    [aux_sym__keyword_as_token1] = ACTIONS(1391),
    [aux_sym__keyword_for_token1] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1389),
    [aux_sym_return_statement_token1] = ACTIONS(1389),
    [aux_sym_call_statement_token1] = ACTIONS(1389),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1389),
    [aux_sym_if_statement_token1] = ACTIONS(1389),
    [aux_sym_loop_statement_token1] = ACTIONS(1389),
    [aux_sym_repeat_statement_token1] = ACTIONS(1389),
    [aux_sym_while_statement_token1] = ACTIONS(1389),
    [aux_sym_break_statement_token1] = ACTIONS(1389),
    [aux_sym_leave_statement_token1] = ACTIONS(1389),
    [aux_sym_continue_statement_token1] = ACTIONS(1389),
    [aux_sym_iterate_statement_token1] = ACTIONS(1389),
    [aux_sym_raise_statement_token1] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1389),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1389),
    [aux_sym_option_clause_token1] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1389),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1389),
    [aux_sym_truncate_statement_token1] = ACTIONS(1389),
    [aux_sym_update_statement_token1] = ACTIONS(1389),
    [aux_sym_merge_statement_token1] = ACTIONS(1389),
    [aux_sym_grant_statement_token1] = ACTIONS(1389),
    [aux_sym_revoke_statement_token1] = ACTIONS(1389),
    [aux_sym_export_data_statement_token1] = ACTIONS(1389),
    [aux_sym_load_data_statement_token1] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [3613] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3614] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3615] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3616] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3617] = {
    [ts_builtin_sym_end] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1805),
    [aux_sym_keyword_replace_token1] = ACTIONS(1805),
    [aux_sym__keyword_alter_token1] = ACTIONS(1805),
    [aux_sym__keyword_create_token1] = ACTIONS(1805),
    [aux_sym__keyword_drop_token1] = ACTIONS(1805),
    [aux_sym__keyword_from_token1] = ACTIONS(1805),
    [aux_sym__keyword_delete_token1] = ACTIONS(1805),
    [aux_sym__keyword_begin_token1] = ACTIONS(1805),
    [aux_sym__keyword_end_token1] = ACTIONS(1805),
    [aux_sym__keyword_between_token1] = ACTIONS(1805),
    [aux_sym__keyword_when_token1] = ACTIONS(1805),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1805),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1805),
    [aux_sym__keyword_like_token1] = ACTIONS(1805),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1805),
    [aux_sym__keyword_as_token1] = ACTIONS(1807),
    [aux_sym__keyword_for_token1] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1805),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1805),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1805),
    [aux_sym_return_statement_token1] = ACTIONS(1805),
    [aux_sym_call_statement_token1] = ACTIONS(1805),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1805),
    [aux_sym_if_statement_token1] = ACTIONS(1805),
    [aux_sym_loop_statement_token1] = ACTIONS(1805),
    [aux_sym_repeat_statement_token1] = ACTIONS(1805),
    [aux_sym_while_statement_token1] = ACTIONS(1805),
    [aux_sym_break_statement_token1] = ACTIONS(1805),
    [aux_sym_leave_statement_token1] = ACTIONS(1805),
    [aux_sym_continue_statement_token1] = ACTIONS(1805),
    [aux_sym_iterate_statement_token1] = ACTIONS(1805),
    [aux_sym_raise_statement_token1] = ACTIONS(1805),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1805),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1805),
    [aux_sym_option_clause_token1] = ACTIONS(1805),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1805),
    [aux_sym_select_token1] = ACTIONS(1805),
    [aux_sym_insert_statement_token1] = ACTIONS(1805),
    [aux_sym_truncate_statement_token1] = ACTIONS(1805),
    [aux_sym_update_statement_token1] = ACTIONS(1805),
    [aux_sym_merge_statement_token1] = ACTIONS(1805),
    [aux_sym_grant_statement_token1] = ACTIONS(1805),
    [aux_sym_revoke_statement_token1] = ACTIONS(1805),
    [aux_sym_export_data_statement_token1] = ACTIONS(1805),
    [aux_sym_load_data_statement_token1] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [3618] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3619] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3620] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3621] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3622] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(3315),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3623] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1429),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_from_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_when_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [aux_sym_option_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1429),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [3624] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_when_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3625] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_when_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3626] = {
    [sym_analytics_clause] = STATE(3637),
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1429),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_when_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [aux_sym_option_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [3627] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_when_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3628] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_when_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3629] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_when_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3630] = {
    [sym_analytics_clause] = STATE(3641),
    [ts_builtin_sym_end] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1433),
    [aux_sym_keyword_replace_token1] = ACTIONS(1433),
    [aux_sym__keyword_alter_token1] = ACTIONS(1433),
    [aux_sym__keyword_create_token1] = ACTIONS(1433),
    [aux_sym__keyword_drop_token1] = ACTIONS(1433),
    [aux_sym__keyword_delete_token1] = ACTIONS(1433),
    [aux_sym__keyword_begin_token1] = ACTIONS(1433),
    [aux_sym__keyword_end_token1] = ACTIONS(1433),
    [aux_sym__keyword_between_token1] = ACTIONS(1433),
    [aux_sym__keyword_when_token1] = ACTIONS(1433),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1433),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1433),
    [aux_sym__keyword_like_token1] = ACTIONS(1433),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1433),
    [aux_sym__keyword_as_token1] = ACTIONS(1435),
    [aux_sym__keyword_for_token1] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1433),
    [aux_sym_return_statement_token1] = ACTIONS(1433),
    [aux_sym_call_statement_token1] = ACTIONS(1433),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1433),
    [aux_sym_if_statement_token1] = ACTIONS(1433),
    [aux_sym_loop_statement_token1] = ACTIONS(1433),
    [aux_sym_repeat_statement_token1] = ACTIONS(1433),
    [aux_sym_while_statement_token1] = ACTIONS(1433),
    [aux_sym_break_statement_token1] = ACTIONS(1433),
    [aux_sym_leave_statement_token1] = ACTIONS(1433),
    [aux_sym_continue_statement_token1] = ACTIONS(1433),
    [aux_sym_iterate_statement_token1] = ACTIONS(1433),
    [aux_sym_raise_statement_token1] = ACTIONS(1433),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1433),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1433),
    [aux_sym_option_clause_token1] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1433),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1433),
    [aux_sym_truncate_statement_token1] = ACTIONS(1433),
    [aux_sym_update_statement_token1] = ACTIONS(1433),
    [aux_sym_merge_statement_token1] = ACTIONS(1433),
    [aux_sym_grant_statement_token1] = ACTIONS(1433),
    [aux_sym_revoke_statement_token1] = ACTIONS(1433),
    [aux_sym_export_data_statement_token1] = ACTIONS(1433),
    [aux_sym_load_data_statement_token1] = ACTIONS(1433),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [3631] = {
    [sym_analytics_clause] = STATE(3644),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1437),
    [aux_sym_keyword_replace_token1] = ACTIONS(1437),
    [aux_sym__keyword_alter_token1] = ACTIONS(1437),
    [aux_sym__keyword_create_token1] = ACTIONS(1437),
    [aux_sym__keyword_drop_token1] = ACTIONS(1437),
    [aux_sym__keyword_delete_token1] = ACTIONS(1437),
    [aux_sym__keyword_begin_token1] = ACTIONS(1437),
    [aux_sym__keyword_end_token1] = ACTIONS(1437),
    [aux_sym__keyword_between_token1] = ACTIONS(1437),
    [aux_sym__keyword_when_token1] = ACTIONS(1437),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1437),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1437),
    [aux_sym__keyword_like_token1] = ACTIONS(1437),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1437),
    [aux_sym__keyword_as_token1] = ACTIONS(1439),
    [aux_sym__keyword_for_token1] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1437),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1437),
    [aux_sym_return_statement_token1] = ACTIONS(1437),
    [aux_sym_call_statement_token1] = ACTIONS(1437),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1437),
    [aux_sym_if_statement_token1] = ACTIONS(1437),
    [aux_sym_loop_statement_token1] = ACTIONS(1437),
    [aux_sym_repeat_statement_token1] = ACTIONS(1437),
    [aux_sym_while_statement_token1] = ACTIONS(1437),
    [aux_sym_break_statement_token1] = ACTIONS(1437),
    [aux_sym_leave_statement_token1] = ACTIONS(1437),
    [aux_sym_continue_statement_token1] = ACTIONS(1437),
    [aux_sym_iterate_statement_token1] = ACTIONS(1437),
    [aux_sym_raise_statement_token1] = ACTIONS(1437),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1437),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1437),
    [aux_sym_option_clause_token1] = ACTIONS(1437),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1437),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1437),
    [aux_sym_truncate_statement_token1] = ACTIONS(1437),
    [aux_sym_update_statement_token1] = ACTIONS(1437),
    [aux_sym_merge_statement_token1] = ACTIONS(1437),
    [aux_sym_grant_statement_token1] = ACTIONS(1437),
    [aux_sym_revoke_statement_token1] = ACTIONS(1437),
    [aux_sym_export_data_statement_token1] = ACTIONS(1437),
    [aux_sym_load_data_statement_token1] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [3632] = {
    [ts_builtin_sym_end] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1813),
    [aux_sym_keyword_replace_token1] = ACTIONS(1813),
    [aux_sym__keyword_alter_token1] = ACTIONS(1813),
    [aux_sym__keyword_create_token1] = ACTIONS(1813),
    [aux_sym__keyword_drop_token1] = ACTIONS(1813),
    [aux_sym__keyword_from_token1] = ACTIONS(1813),
    [aux_sym__keyword_delete_token1] = ACTIONS(1813),
    [aux_sym__keyword_begin_token1] = ACTIONS(1813),
    [aux_sym__keyword_end_token1] = ACTIONS(1813),
    [aux_sym__keyword_between_token1] = ACTIONS(1813),
    [aux_sym__keyword_when_token1] = ACTIONS(1813),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1813),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1813),
    [aux_sym__keyword_like_token1] = ACTIONS(1813),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1813),
    [aux_sym__keyword_as_token1] = ACTIONS(1815),
    [aux_sym__keyword_for_token1] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1813),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1813),
    [aux_sym_return_statement_token1] = ACTIONS(1813),
    [aux_sym_call_statement_token1] = ACTIONS(1813),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1813),
    [aux_sym_if_statement_token1] = ACTIONS(1813),
    [aux_sym_loop_statement_token1] = ACTIONS(1813),
    [aux_sym_repeat_statement_token1] = ACTIONS(1813),
    [aux_sym_while_statement_token1] = ACTIONS(1813),
    [aux_sym_break_statement_token1] = ACTIONS(1813),
    [aux_sym_leave_statement_token1] = ACTIONS(1813),
    [aux_sym_continue_statement_token1] = ACTIONS(1813),
    [aux_sym_iterate_statement_token1] = ACTIONS(1813),
    [aux_sym_raise_statement_token1] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1813),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1813),
    [aux_sym_option_clause_token1] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1813),
    [aux_sym_select_token1] = ACTIONS(1813),
    [aux_sym_insert_statement_token1] = ACTIONS(1813),
    [aux_sym_truncate_statement_token1] = ACTIONS(1813),
    [aux_sym_update_statement_token1] = ACTIONS(1813),
    [aux_sym_merge_statement_token1] = ACTIONS(1813),
    [aux_sym_grant_statement_token1] = ACTIONS(1813),
    [aux_sym_revoke_statement_token1] = ACTIONS(1813),
    [aux_sym_export_data_statement_token1] = ACTIONS(1813),
    [aux_sym_load_data_statement_token1] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [3633] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1817),
    [aux_sym_keyword_replace_token1] = ACTIONS(1817),
    [aux_sym__keyword_alter_token1] = ACTIONS(1817),
    [aux_sym__keyword_create_token1] = ACTIONS(1817),
    [aux_sym__keyword_drop_token1] = ACTIONS(1817),
    [aux_sym__keyword_from_token1] = ACTIONS(1817),
    [aux_sym__keyword_delete_token1] = ACTIONS(1817),
    [aux_sym__keyword_begin_token1] = ACTIONS(1817),
    [aux_sym__keyword_end_token1] = ACTIONS(1817),
    [aux_sym__keyword_between_token1] = ACTIONS(1817),
    [aux_sym__keyword_when_token1] = ACTIONS(1817),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1817),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1817),
    [aux_sym__keyword_like_token1] = ACTIONS(1817),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1817),
    [aux_sym__keyword_as_token1] = ACTIONS(1819),
    [aux_sym__keyword_for_token1] = ACTIONS(1817),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1817),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1817),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1817),
    [aux_sym_return_statement_token1] = ACTIONS(1817),
    [aux_sym_call_statement_token1] = ACTIONS(1817),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1817),
    [aux_sym_if_statement_token1] = ACTIONS(1817),
    [aux_sym_loop_statement_token1] = ACTIONS(1817),
    [aux_sym_repeat_statement_token1] = ACTIONS(1817),
    [aux_sym_while_statement_token1] = ACTIONS(1817),
    [aux_sym_break_statement_token1] = ACTIONS(1817),
    [aux_sym_leave_statement_token1] = ACTIONS(1817),
    [aux_sym_continue_statement_token1] = ACTIONS(1817),
    [aux_sym_iterate_statement_token1] = ACTIONS(1817),
    [aux_sym_raise_statement_token1] = ACTIONS(1817),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1817),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1817),
    [aux_sym_option_clause_token1] = ACTIONS(1817),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1817),
    [aux_sym_select_token1] = ACTIONS(1817),
    [aux_sym_insert_statement_token1] = ACTIONS(1817),
    [aux_sym_truncate_statement_token1] = ACTIONS(1817),
    [aux_sym_update_statement_token1] = ACTIONS(1817),
    [aux_sym_merge_statement_token1] = ACTIONS(1817),
    [aux_sym_grant_statement_token1] = ACTIONS(1817),
    [aux_sym_revoke_statement_token1] = ACTIONS(1817),
    [aux_sym_export_data_statement_token1] = ACTIONS(1817),
    [aux_sym_load_data_statement_token1] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [3634] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_into_clause_token1] = ACTIONS(1239),
    [aux_sym_using_clause_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3635] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_into_clause_token1] = ACTIONS(1225),
    [aux_sym_using_clause_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3636] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1821),
    [aux_sym_keyword_replace_token1] = ACTIONS(1821),
    [aux_sym__keyword_alter_token1] = ACTIONS(1821),
    [aux_sym__keyword_create_token1] = ACTIONS(1821),
    [aux_sym__keyword_drop_token1] = ACTIONS(1821),
    [aux_sym__keyword_from_token1] = ACTIONS(1821),
    [aux_sym__keyword_delete_token1] = ACTIONS(1821),
    [aux_sym__keyword_begin_token1] = ACTIONS(1821),
    [aux_sym__keyword_end_token1] = ACTIONS(1821),
    [aux_sym__keyword_between_token1] = ACTIONS(1821),
    [aux_sym__keyword_when_token1] = ACTIONS(1821),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1821),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1821),
    [aux_sym__keyword_like_token1] = ACTIONS(1821),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1821),
    [aux_sym__keyword_as_token1] = ACTIONS(1823),
    [aux_sym__keyword_for_token1] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1821),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1821),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1821),
    [aux_sym_return_statement_token1] = ACTIONS(1821),
    [aux_sym_call_statement_token1] = ACTIONS(1821),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1821),
    [aux_sym_if_statement_token1] = ACTIONS(1821),
    [aux_sym_loop_statement_token1] = ACTIONS(1821),
    [aux_sym_repeat_statement_token1] = ACTIONS(1821),
    [aux_sym_while_statement_token1] = ACTIONS(1821),
    [aux_sym_break_statement_token1] = ACTIONS(1821),
    [aux_sym_leave_statement_token1] = ACTIONS(1821),
    [aux_sym_continue_statement_token1] = ACTIONS(1821),
    [aux_sym_iterate_statement_token1] = ACTIONS(1821),
    [aux_sym_raise_statement_token1] = ACTIONS(1821),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1821),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1821),
    [aux_sym_option_clause_token1] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1821),
    [aux_sym_select_token1] = ACTIONS(1821),
    [aux_sym_insert_statement_token1] = ACTIONS(1821),
    [aux_sym_truncate_statement_token1] = ACTIONS(1821),
    [aux_sym_update_statement_token1] = ACTIONS(1821),
    [aux_sym_merge_statement_token1] = ACTIONS(1821),
    [aux_sym_grant_statement_token1] = ACTIONS(1821),
    [aux_sym_revoke_statement_token1] = ACTIONS(1821),
    [aux_sym_export_data_statement_token1] = ACTIONS(1821),
    [aux_sym_load_data_statement_token1] = ACTIONS(1821),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [3637] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1445),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_from_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_when_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [aux_sym_option_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1445),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [3638] = {
    [sym_analytics_clause] = STATE(3655),
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1445),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_when_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [aux_sym_option_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [3639] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3335),
    [aux_sym__keyword_is_token1] = ACTIONS(3337),
    [aux_sym__keyword_in_token1] = ACTIONS(3339),
    [aux_sym__keyword_and_token1] = ACTIONS(3341),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3343),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [aux_sym_option_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_GT] = ACTIONS(3339),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(3343),
    [anon_sym_LT_GT] = ACTIONS(3343),
    [anon_sym_GT_EQ] = ACTIONS(3343),
    [anon_sym_BANG_EQ] = ACTIONS(3343),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3640] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [aux_sym_option_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [3641] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1449),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_from_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_when_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [aux_sym_option_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1449),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [3642] = {
    [sym_analytics_clause] = STATE(3657),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1449),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_when_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [aux_sym_option_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [3643] = {
    [sym_analytics_clause] = STATE(3659),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1453),
    [aux_sym_keyword_replace_token1] = ACTIONS(1453),
    [aux_sym__keyword_alter_token1] = ACTIONS(1453),
    [aux_sym__keyword_create_token1] = ACTIONS(1453),
    [aux_sym__keyword_drop_token1] = ACTIONS(1453),
    [aux_sym__keyword_delete_token1] = ACTIONS(1453),
    [aux_sym__keyword_begin_token1] = ACTIONS(1453),
    [aux_sym__keyword_end_token1] = ACTIONS(1453),
    [aux_sym__keyword_between_token1] = ACTIONS(1453),
    [aux_sym__keyword_when_token1] = ACTIONS(1453),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1453),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1453),
    [aux_sym__keyword_like_token1] = ACTIONS(1453),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1453),
    [aux_sym__keyword_as_token1] = ACTIONS(1455),
    [aux_sym__keyword_for_token1] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1453),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1453),
    [aux_sym_return_statement_token1] = ACTIONS(1453),
    [aux_sym_call_statement_token1] = ACTIONS(1453),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1453),
    [aux_sym_if_statement_token1] = ACTIONS(1453),
    [aux_sym_loop_statement_token1] = ACTIONS(1453),
    [aux_sym_repeat_statement_token1] = ACTIONS(1453),
    [aux_sym_while_statement_token1] = ACTIONS(1453),
    [aux_sym_break_statement_token1] = ACTIONS(1453),
    [aux_sym_leave_statement_token1] = ACTIONS(1453),
    [aux_sym_continue_statement_token1] = ACTIONS(1453),
    [aux_sym_iterate_statement_token1] = ACTIONS(1453),
    [aux_sym_raise_statement_token1] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1453),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1453),
    [aux_sym_option_clause_token1] = ACTIONS(1453),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1453),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1453),
    [aux_sym_truncate_statement_token1] = ACTIONS(1453),
    [aux_sym_update_statement_token1] = ACTIONS(1453),
    [aux_sym_merge_statement_token1] = ACTIONS(1453),
    [aux_sym_grant_statement_token1] = ACTIONS(1453),
    [aux_sym_revoke_statement_token1] = ACTIONS(1453),
    [aux_sym_export_data_statement_token1] = ACTIONS(1453),
    [aux_sym_load_data_statement_token1] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [3644] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1457),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_from_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_when_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [aux_sym_option_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1457),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [3645] = {
    [sym_analytics_clause] = STATE(3662),
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1457),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_when_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [aux_sym_option_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [3646] = {
    [sym_analytics_clause] = STATE(3664),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1367),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_when_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [aux_sym_option_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [3647] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1825),
    [aux_sym_keyword_replace_token1] = ACTIONS(1825),
    [aux_sym__keyword_alter_token1] = ACTIONS(1825),
    [aux_sym__keyword_create_token1] = ACTIONS(1825),
    [aux_sym__keyword_drop_token1] = ACTIONS(1825),
    [aux_sym__keyword_from_token1] = ACTIONS(1825),
    [aux_sym__keyword_delete_token1] = ACTIONS(1825),
    [aux_sym__keyword_begin_token1] = ACTIONS(1825),
    [aux_sym__keyword_end_token1] = ACTIONS(1825),
    [aux_sym__keyword_between_token1] = ACTIONS(1825),
    [aux_sym__keyword_when_token1] = ACTIONS(1825),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1825),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1825),
    [aux_sym__keyword_like_token1] = ACTIONS(1825),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1825),
    [aux_sym__keyword_as_token1] = ACTIONS(1827),
    [aux_sym__keyword_for_token1] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1825),
    [aux_sym_return_statement_token1] = ACTIONS(1825),
    [aux_sym_call_statement_token1] = ACTIONS(1825),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1825),
    [aux_sym_if_statement_token1] = ACTIONS(1825),
    [aux_sym_loop_statement_token1] = ACTIONS(1825),
    [aux_sym_repeat_statement_token1] = ACTIONS(1825),
    [aux_sym_while_statement_token1] = ACTIONS(1825),
    [aux_sym_break_statement_token1] = ACTIONS(1825),
    [aux_sym_leave_statement_token1] = ACTIONS(1825),
    [aux_sym_continue_statement_token1] = ACTIONS(1825),
    [aux_sym_iterate_statement_token1] = ACTIONS(1825),
    [aux_sym_raise_statement_token1] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1825),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1825),
    [aux_sym_option_clause_token1] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1825),
    [aux_sym_select_token1] = ACTIONS(1825),
    [aux_sym_insert_statement_token1] = ACTIONS(1825),
    [aux_sym_truncate_statement_token1] = ACTIONS(1825),
    [aux_sym_update_statement_token1] = ACTIONS(1825),
    [aux_sym_merge_statement_token1] = ACTIONS(1825),
    [aux_sym_grant_statement_token1] = ACTIONS(1825),
    [aux_sym_revoke_statement_token1] = ACTIONS(1825),
    [aux_sym_export_data_statement_token1] = ACTIONS(1825),
    [aux_sym_load_data_statement_token1] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [3648] = {
    [sym_analytics_clause] = STATE(3670),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1367),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_when_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [aux_sym_option_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [3649] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3650] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3651] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3129),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3129),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3129),
    [aux_sym__keyword_create_token1] = ACTIONS(3129),
    [aux_sym__keyword_drop_token1] = ACTIONS(3129),
    [aux_sym__keyword_delete_token1] = ACTIONS(3129),
    [aux_sym__keyword_begin_token1] = ACTIONS(3129),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_when_token1] = ACTIONS(3129),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(3315),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3129),
    [aux_sym__keyword_for_token1] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3129),
    [aux_sym_declare_statement_token1] = ACTIONS(3129),
    [anon_sym_COMMA] = ACTIONS(3129),
    [aux_sym_set_statement_token1] = ACTIONS(3129),
    [anon_sym_LPAREN] = ACTIONS(3129),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3129),
    [aux_sym_return_statement_token1] = ACTIONS(3129),
    [aux_sym_call_statement_token1] = ACTIONS(3129),
    [aux_sym_loop_statement_token1] = ACTIONS(3129),
    [aux_sym_while_statement_token1] = ACTIONS(3129),
    [aux_sym_break_statement_token1] = ACTIONS(3129),
    [aux_sym_leave_statement_token1] = ACTIONS(3129),
    [aux_sym_continue_statement_token1] = ACTIONS(3129),
    [aux_sym_iterate_statement_token1] = ACTIONS(3129),
    [aux_sym_raise_statement_token1] = ACTIONS(3129),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(3129),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3129),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(3129),
    [aux_sym_insert_statement_token1] = ACTIONS(3129),
    [aux_sym_truncate_statement_token1] = ACTIONS(3129),
    [aux_sym_update_statement_token1] = ACTIONS(3129),
    [aux_sym_merge_statement_token1] = ACTIONS(3129),
    [aux_sym_grant_statement_token1] = ACTIONS(3129),
    [aux_sym_revoke_statement_token1] = ACTIONS(3129),
    [aux_sym_export_data_statement_token1] = ACTIONS(3129),
    [aux_sym_load_data_statement_token1] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [3652] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1829),
    [aux_sym_keyword_replace_token1] = ACTIONS(1829),
    [aux_sym__keyword_alter_token1] = ACTIONS(1829),
    [aux_sym__keyword_create_token1] = ACTIONS(1829),
    [aux_sym__keyword_drop_token1] = ACTIONS(1829),
    [aux_sym__keyword_from_token1] = ACTIONS(1829),
    [aux_sym__keyword_delete_token1] = ACTIONS(1829),
    [aux_sym__keyword_begin_token1] = ACTIONS(1829),
    [aux_sym__keyword_end_token1] = ACTIONS(1829),
    [aux_sym__keyword_between_token1] = ACTIONS(1829),
    [aux_sym__keyword_when_token1] = ACTIONS(1829),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1829),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1829),
    [aux_sym__keyword_like_token1] = ACTIONS(1829),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1829),
    [aux_sym__keyword_as_token1] = ACTIONS(1831),
    [aux_sym__keyword_for_token1] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1829),
    [aux_sym_return_statement_token1] = ACTIONS(1829),
    [aux_sym_call_statement_token1] = ACTIONS(1829),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1829),
    [aux_sym_if_statement_token1] = ACTIONS(1829),
    [aux_sym_loop_statement_token1] = ACTIONS(1829),
    [aux_sym_repeat_statement_token1] = ACTIONS(1829),
    [aux_sym_while_statement_token1] = ACTIONS(1829),
    [aux_sym_break_statement_token1] = ACTIONS(1829),
    [aux_sym_leave_statement_token1] = ACTIONS(1829),
    [aux_sym_continue_statement_token1] = ACTIONS(1829),
    [aux_sym_iterate_statement_token1] = ACTIONS(1829),
    [aux_sym_raise_statement_token1] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1829),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1829),
    [aux_sym_option_clause_token1] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1829),
    [aux_sym_select_token1] = ACTIONS(1829),
    [aux_sym_insert_statement_token1] = ACTIONS(1829),
    [aux_sym_truncate_statement_token1] = ACTIONS(1829),
    [aux_sym_update_statement_token1] = ACTIONS(1829),
    [aux_sym_merge_statement_token1] = ACTIONS(1829),
    [aux_sym_grant_statement_token1] = ACTIONS(1829),
    [aux_sym_revoke_statement_token1] = ACTIONS(1829),
    [aux_sym_export_data_statement_token1] = ACTIONS(1829),
    [aux_sym_load_data_statement_token1] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [3653] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3654] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1791),
    [aux_sym_keyword_replace_token1] = ACTIONS(1791),
    [aux_sym__keyword_alter_token1] = ACTIONS(1791),
    [aux_sym__keyword_create_token1] = ACTIONS(1791),
    [aux_sym__keyword_drop_token1] = ACTIONS(1791),
    [aux_sym__keyword_from_token1] = ACTIONS(1791),
    [aux_sym__keyword_delete_token1] = ACTIONS(1791),
    [aux_sym__keyword_begin_token1] = ACTIONS(1791),
    [aux_sym__keyword_end_token1] = ACTIONS(1791),
    [aux_sym__keyword_between_token1] = ACTIONS(1791),
    [aux_sym__keyword_when_token1] = ACTIONS(1791),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1791),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1791),
    [aux_sym__keyword_like_token1] = ACTIONS(1791),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1791),
    [aux_sym__keyword_as_token1] = ACTIONS(1793),
    [aux_sym__keyword_for_token1] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1791),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1791),
    [aux_sym_return_statement_token1] = ACTIONS(1791),
    [aux_sym_call_statement_token1] = ACTIONS(1791),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1791),
    [aux_sym_if_statement_token1] = ACTIONS(1791),
    [aux_sym_loop_statement_token1] = ACTIONS(1791),
    [aux_sym_repeat_statement_token1] = ACTIONS(1791),
    [aux_sym_while_statement_token1] = ACTIONS(1791),
    [aux_sym_break_statement_token1] = ACTIONS(1791),
    [aux_sym_leave_statement_token1] = ACTIONS(1791),
    [aux_sym_continue_statement_token1] = ACTIONS(1791),
    [aux_sym_iterate_statement_token1] = ACTIONS(1791),
    [aux_sym_raise_statement_token1] = ACTIONS(1791),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1791),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1791),
    [aux_sym_option_clause_token1] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1791),
    [aux_sym_select_token1] = ACTIONS(1791),
    [aux_sym_insert_statement_token1] = ACTIONS(1791),
    [aux_sym_truncate_statement_token1] = ACTIONS(1791),
    [aux_sym_update_statement_token1] = ACTIONS(1791),
    [aux_sym_merge_statement_token1] = ACTIONS(1791),
    [aux_sym_grant_statement_token1] = ACTIONS(1791),
    [aux_sym_revoke_statement_token1] = ACTIONS(1791),
    [aux_sym_export_data_statement_token1] = ACTIONS(1791),
    [aux_sym_load_data_statement_token1] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [3655] = {
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1485),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_from_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_when_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [aux_sym_option_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1485),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [3656] = {
    [sym_analytics_clause] = STATE(3680),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1485),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_when_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [aux_sym_option_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [3657] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1493),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_from_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_when_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [aux_sym_option_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1493),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [3658] = {
    [sym_analytics_clause] = STATE(3682),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1493),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_when_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [aux_sym_option_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [3659] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1497),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_from_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_when_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [aux_sym_option_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1497),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [3660] = {
    [sym_analytics_clause] = STATE(3684),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1497),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_when_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [aux_sym_option_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [3661] = {
    [sym_analytics_clause] = STATE(3686),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1505),
    [aux_sym_keyword_replace_token1] = ACTIONS(1505),
    [aux_sym__keyword_alter_token1] = ACTIONS(1505),
    [aux_sym__keyword_create_token1] = ACTIONS(1505),
    [aux_sym__keyword_drop_token1] = ACTIONS(1505),
    [aux_sym__keyword_delete_token1] = ACTIONS(1505),
    [aux_sym__keyword_begin_token1] = ACTIONS(1505),
    [aux_sym__keyword_end_token1] = ACTIONS(1505),
    [aux_sym__keyword_between_token1] = ACTIONS(1505),
    [aux_sym__keyword_when_token1] = ACTIONS(1505),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1505),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1505),
    [aux_sym__keyword_like_token1] = ACTIONS(1505),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1505),
    [aux_sym__keyword_as_token1] = ACTIONS(1507),
    [aux_sym__keyword_for_token1] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1505),
    [aux_sym_return_statement_token1] = ACTIONS(1505),
    [aux_sym_call_statement_token1] = ACTIONS(1505),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1505),
    [aux_sym_if_statement_token1] = ACTIONS(1505),
    [aux_sym_loop_statement_token1] = ACTIONS(1505),
    [aux_sym_repeat_statement_token1] = ACTIONS(1505),
    [aux_sym_while_statement_token1] = ACTIONS(1505),
    [aux_sym_break_statement_token1] = ACTIONS(1505),
    [aux_sym_leave_statement_token1] = ACTIONS(1505),
    [aux_sym_continue_statement_token1] = ACTIONS(1505),
    [aux_sym_iterate_statement_token1] = ACTIONS(1505),
    [aux_sym_raise_statement_token1] = ACTIONS(1505),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1505),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1505),
    [aux_sym_option_clause_token1] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1505),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1505),
    [aux_sym_truncate_statement_token1] = ACTIONS(1505),
    [aux_sym_update_statement_token1] = ACTIONS(1505),
    [aux_sym_merge_statement_token1] = ACTIONS(1505),
    [aux_sym_grant_statement_token1] = ACTIONS(1505),
    [aux_sym_revoke_statement_token1] = ACTIONS(1505),
    [aux_sym_export_data_statement_token1] = ACTIONS(1505),
    [aux_sym_load_data_statement_token1] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [3662] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1509),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_from_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_when_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [aux_sym_option_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1509),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [3663] = {
    [sym_analytics_clause] = STATE(3696),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1509),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_when_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [aux_sym_option_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [3664] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_from_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1517),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3665] = {
    [sym_analytics_clause] = STATE(3699),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3666] = {
    [sym_analytics_clause] = STATE(3713),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3667] = {
    [sym_analytics_clause] = STATE(3714),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3668] = {
    [sym_analytics_clause] = STATE(3716),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3669] = {
    [sym_analytics_clause] = STATE(3719),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3670] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_from_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1517),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3671] = {
    [sym_analytics_clause] = STATE(3722),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3672] = {
    [sym_analytics_clause] = STATE(3727),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3673] = {
    [sym_analytics_clause] = STATE(3728),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3674] = {
    [sym_analytics_clause] = STATE(3730),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3675] = {
    [sym_analytics_clause] = STATE(3733),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_when_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [aux_sym_option_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [3676] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3677] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3678] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3679] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1865),
    [aux_sym_keyword_replace_token1] = ACTIONS(1865),
    [aux_sym__keyword_alter_token1] = ACTIONS(1865),
    [aux_sym__keyword_create_token1] = ACTIONS(1865),
    [aux_sym__keyword_drop_token1] = ACTIONS(1865),
    [aux_sym__keyword_from_token1] = ACTIONS(1865),
    [aux_sym__keyword_delete_token1] = ACTIONS(1865),
    [aux_sym__keyword_begin_token1] = ACTIONS(1865),
    [aux_sym__keyword_end_token1] = ACTIONS(1865),
    [aux_sym__keyword_between_token1] = ACTIONS(1865),
    [aux_sym__keyword_when_token1] = ACTIONS(1865),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1865),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1865),
    [aux_sym__keyword_like_token1] = ACTIONS(1865),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1865),
    [aux_sym__keyword_as_token1] = ACTIONS(1867),
    [aux_sym__keyword_for_token1] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1865),
    [aux_sym_return_statement_token1] = ACTIONS(1865),
    [aux_sym_call_statement_token1] = ACTIONS(1865),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1865),
    [aux_sym_if_statement_token1] = ACTIONS(1865),
    [aux_sym_loop_statement_token1] = ACTIONS(1865),
    [aux_sym_repeat_statement_token1] = ACTIONS(1865),
    [aux_sym_while_statement_token1] = ACTIONS(1865),
    [aux_sym_break_statement_token1] = ACTIONS(1865),
    [aux_sym_leave_statement_token1] = ACTIONS(1865),
    [aux_sym_continue_statement_token1] = ACTIONS(1865),
    [aux_sym_iterate_statement_token1] = ACTIONS(1865),
    [aux_sym_raise_statement_token1] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1865),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1865),
    [aux_sym_option_clause_token1] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1865),
    [aux_sym_select_token1] = ACTIONS(1865),
    [aux_sym_insert_statement_token1] = ACTIONS(1865),
    [aux_sym_truncate_statement_token1] = ACTIONS(1865),
    [aux_sym_update_statement_token1] = ACTIONS(1865),
    [aux_sym_merge_statement_token1] = ACTIONS(1865),
    [aux_sym_grant_statement_token1] = ACTIONS(1865),
    [aux_sym_revoke_statement_token1] = ACTIONS(1865),
    [aux_sym_export_data_statement_token1] = ACTIONS(1865),
    [aux_sym_load_data_statement_token1] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [3680] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1513),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_from_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_when_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [aux_sym_option_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1513),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [3681] = {
    [sym_analytics_clause] = STATE(3737),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1513),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_when_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [aux_sym_option_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [3682] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1501),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_from_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_when_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [aux_sym_option_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1501),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [3683] = {
    [sym_analytics_clause] = STATE(3739),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1501),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_when_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [aux_sym_option_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [3684] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1489),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_from_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_when_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [aux_sym_option_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1489),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [3685] = {
    [sym_analytics_clause] = STATE(3741),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1489),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_when_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [aux_sym_option_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [3686] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_from_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [aux_sym_option_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1481),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3687] = {
    [sym_analytics_clause] = STATE(3743),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [aux_sym_option_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3688] = {
    [sym_analytics_clause] = STATE(3749),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [aux_sym_option_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3689] = {
    [sym_analytics_clause] = STATE(3750),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [aux_sym_option_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3690] = {
    [sym_analytics_clause] = STATE(3752),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [aux_sym_option_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3691] = {
    [sym_analytics_clause] = STATE(3755),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_when_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [aux_sym_option_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3692] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [aux_sym_option_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3693] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [aux_sym_option_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3694] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [aux_sym_option_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3695] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [aux_sym_option_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3696] = {
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1461),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_from_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_when_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [aux_sym_option_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1461),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [3697] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [aux_sym_option_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3698] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3335),
    [aux_sym__keyword_is_token1] = ACTIONS(3337),
    [aux_sym__keyword_in_token1] = ACTIONS(3339),
    [aux_sym__keyword_and_token1] = ACTIONS(3341),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3343),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_GT] = ACTIONS(3339),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(3343),
    [anon_sym_LT_GT] = ACTIONS(3343),
    [anon_sym_GT_EQ] = ACTIONS(3343),
    [anon_sym_BANG_EQ] = ACTIONS(3343),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3699] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3700] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3701] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3702] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3703] = {
    [sym_analytics_clause] = STATE(3762),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3704] = {
    [sym_analytics_clause] = STATE(3792),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3705] = {
    [sym_analytics_clause] = STATE(3763),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3706] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3707] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3708] = {
    [sym_analytics_clause] = STATE(3766),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3709] = {
    [sym_analytics_clause] = STATE(3769),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3710] = {
    [sym_analytics_clause] = STATE(3772),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3711] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3712] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3713] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3714] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3715] = {
    [sym_analytics_clause] = STATE(3777),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3716] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3717] = {
    [sym_analytics_clause] = STATE(3778),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3718] = {
    [sym_analytics_clause] = STATE(3779),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3719] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3720] = {
    [sym_analytics_clause] = STATE(3781),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3721] = {
    [sym_analytics_clause] = STATE(3782),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3722] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3723] = {
    [sym_analytics_clause] = STATE(3784),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3724] = {
    [sym_analytics_clause] = STATE(3789),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3725] = {
    [sym_analytics_clause] = STATE(3793),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3726] = {
    [sym_analytics_clause] = STATE(3796),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3727] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3728] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3729] = {
    [sym_analytics_clause] = STATE(3804),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3730] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3731] = {
    [sym_analytics_clause] = STATE(3806),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3732] = {
    [sym_analytics_clause] = STATE(3810),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3733] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_from_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1375),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3734] = {
    [sym_analytics_clause] = STATE(3812),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3735] = {
    [sym_analytics_clause] = STATE(3813),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_when_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [aux_sym_option_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [3736] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1861),
    [aux_sym_keyword_replace_token1] = ACTIONS(1861),
    [aux_sym__keyword_alter_token1] = ACTIONS(1861),
    [aux_sym__keyword_create_token1] = ACTIONS(1861),
    [aux_sym__keyword_drop_token1] = ACTIONS(1861),
    [aux_sym__keyword_from_token1] = ACTIONS(1861),
    [aux_sym__keyword_delete_token1] = ACTIONS(1861),
    [aux_sym__keyword_begin_token1] = ACTIONS(1861),
    [aux_sym__keyword_end_token1] = ACTIONS(1861),
    [aux_sym__keyword_between_token1] = ACTIONS(1861),
    [aux_sym__keyword_when_token1] = ACTIONS(1861),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1861),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1861),
    [aux_sym__keyword_like_token1] = ACTIONS(1861),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1861),
    [aux_sym__keyword_as_token1] = ACTIONS(1863),
    [aux_sym__keyword_for_token1] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1861),
    [aux_sym_return_statement_token1] = ACTIONS(1861),
    [aux_sym_call_statement_token1] = ACTIONS(1861),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1861),
    [aux_sym_if_statement_token1] = ACTIONS(1861),
    [aux_sym_loop_statement_token1] = ACTIONS(1861),
    [aux_sym_repeat_statement_token1] = ACTIONS(1861),
    [aux_sym_while_statement_token1] = ACTIONS(1861),
    [aux_sym_break_statement_token1] = ACTIONS(1861),
    [aux_sym_leave_statement_token1] = ACTIONS(1861),
    [aux_sym_continue_statement_token1] = ACTIONS(1861),
    [aux_sym_iterate_statement_token1] = ACTIONS(1861),
    [aux_sym_raise_statement_token1] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1861),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1861),
    [aux_sym_option_clause_token1] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1861),
    [aux_sym_select_token1] = ACTIONS(1861),
    [aux_sym_insert_statement_token1] = ACTIONS(1861),
    [aux_sym_truncate_statement_token1] = ACTIONS(1861),
    [aux_sym_update_statement_token1] = ACTIONS(1861),
    [aux_sym_merge_statement_token1] = ACTIONS(1861),
    [aux_sym_grant_statement_token1] = ACTIONS(1861),
    [aux_sym_revoke_statement_token1] = ACTIONS(1861),
    [aux_sym_export_data_statement_token1] = ACTIONS(1861),
    [aux_sym_load_data_statement_token1] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [3737] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1381),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_from_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_when_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [aux_sym_option_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1381),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [3738] = {
    [sym_analytics_clause] = STATE(3817),
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1381),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_when_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [aux_sym_option_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [3739] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1385),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_from_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_when_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [aux_sym_option_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1385),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [3740] = {
    [sym_analytics_clause] = STATE(3819),
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1385),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_when_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [aux_sym_option_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [3741] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1401),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_from_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_when_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [aux_sym_option_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1401),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [3742] = {
    [sym_analytics_clause] = STATE(3824),
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1401),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_when_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [aux_sym_option_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [3743] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_from_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1361),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3744] = {
    [sym_analytics_clause] = STATE(3826),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3745] = {
    [sym_analytics_clause] = STATE(3827),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3746] = {
    [sym_analytics_clause] = STATE(3829),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3747] = {
    [sym_analytics_clause] = STATE(3760),
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1461),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_when_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [aux_sym_option_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [3748] = {
    [sym_analytics_clause] = STATE(3844),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3749] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_from_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1361),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3750] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_from_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1361),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3751] = {
    [sym_analytics_clause] = STATE(3849),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3752] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_from_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1361),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3753] = {
    [sym_analytics_clause] = STATE(3850),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3754] = {
    [sym_analytics_clause] = STATE(3851),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3755] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_from_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1361),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3756] = {
    [sym_analytics_clause] = STATE(3853),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3757] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3335),
    [aux_sym__keyword_is_token1] = ACTIONS(3337),
    [aux_sym__keyword_in_token1] = ACTIONS(3339),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3343),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_GT] = ACTIONS(3339),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(3343),
    [anon_sym_LT_GT] = ACTIONS(3343),
    [anon_sym_GT_EQ] = ACTIONS(3343),
    [anon_sym_BANG_EQ] = ACTIONS(3343),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [3758] = {
    [sym_analytics_clause] = STATE(3854),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3759] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3211),
    [aux_sym__keyword_is_token1] = ACTIONS(3213),
    [aux_sym__keyword_in_token1] = ACTIONS(3215),
    [aux_sym__keyword_and_token1] = ACTIONS(3217),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3223),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_GT] = ACTIONS(3215),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(3223),
    [anon_sym_LT_GT] = ACTIONS(3223),
    [anon_sym_GT_EQ] = ACTIONS(3223),
    [anon_sym_BANG_EQ] = ACTIONS(3223),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3760] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1425),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_from_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_when_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [aux_sym_option_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1425),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [3761] = {
    [sym_analytics_clause] = STATE(3868),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1425),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_when_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [aux_sym_option_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [3762] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3763] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3764] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3211),
    [aux_sym__keyword_is_token1] = ACTIONS(3213),
    [aux_sym__keyword_in_token1] = ACTIONS(3215),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3223),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_GT] = ACTIONS(3215),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(3223),
    [anon_sym_LT_GT] = ACTIONS(3223),
    [anon_sym_GT_EQ] = ACTIONS(3223),
    [anon_sym_BANG_EQ] = ACTIONS(3223),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3765] = {
    [sym_analytics_clause] = STATE(3876),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3766] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3767] = {
    [sym_analytics_clause] = STATE(3877),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3768] = {
    [sym_analytics_clause] = STATE(3883),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3769] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3770] = {
    [sym_analytics_clause] = STATE(3890),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3771] = {
    [sym_analytics_clause] = STATE(3892),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3772] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3773] = {
    [sym_analytics_clause] = STATE(3899),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3774] = {
    [sym_analytics_clause] = STATE(3900),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3775] = {
    [sym_analytics_clause] = STATE(3903),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3776] = {
    [sym_analytics_clause] = STATE(3926),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3777] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3778] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3779] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3780] = {
    [sym_analytics_clause] = STATE(3923),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3781] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3782] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3783] = {
    [sym_analytics_clause] = STATE(3922),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3784] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3785] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3786] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1857),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_from_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_when_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [aux_sym_option_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1857),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [3787] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1857),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_from_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_when_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [aux_sym_option_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1857),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [3788] = {
    [sym_analytics_clause] = STATE(3921),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3789] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3790] = {
    [sym_analytics_clause] = STATE(3920),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3791] = {
    [sym_analytics_clause] = STATE(3919),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3792] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_from_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [aux_sym_option_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1685),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3793] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3794] = {
    [sym_analytics_clause] = STATE(3917),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3795] = {
    [sym_analytics_clause] = STATE(3916),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3796] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3797] = {
    [sym_analytics_clause] = STATE(3914),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3798] = {
    [sym_analytics_clause] = STATE(3913),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3799] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_from_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [aux_sym_option_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1685),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3800] = {
    [sym_analytics_clause] = STATE(3911),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3801] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_from_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [aux_sym_option_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1685),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3802] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_from_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_when_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [aux_sym_option_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1685),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [3803] = {
    [sym_analytics_clause] = STATE(3908),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3804] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3805] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_from_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1405),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3806] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3807] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_from_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1405),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3808] = {
    [sym_analytics_clause] = STATE(3787),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3809] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_from_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1405),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3810] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3811] = {
    [sym_analytics_clause] = STATE(3905),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3812] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3813] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_from_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1417),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3814] = {
    [sym_analytics_clause] = STATE(3904),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_when_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [aux_sym_option_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3815] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_from_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1405),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3816] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1681),
    [aux_sym_keyword_replace_token1] = ACTIONS(1681),
    [aux_sym__keyword_alter_token1] = ACTIONS(1681),
    [aux_sym__keyword_create_token1] = ACTIONS(1681),
    [aux_sym__keyword_drop_token1] = ACTIONS(1681),
    [aux_sym__keyword_from_token1] = ACTIONS(1681),
    [aux_sym__keyword_delete_token1] = ACTIONS(1681),
    [aux_sym__keyword_begin_token1] = ACTIONS(1681),
    [aux_sym__keyword_end_token1] = ACTIONS(1681),
    [aux_sym__keyword_between_token1] = ACTIONS(1681),
    [aux_sym__keyword_when_token1] = ACTIONS(1681),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1681),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1681),
    [aux_sym__keyword_like_token1] = ACTIONS(1681),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1681),
    [aux_sym__keyword_as_token1] = ACTIONS(1683),
    [aux_sym__keyword_for_token1] = ACTIONS(1681),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1681),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1681),
    [aux_sym_return_statement_token1] = ACTIONS(1681),
    [aux_sym_call_statement_token1] = ACTIONS(1681),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1681),
    [aux_sym_if_statement_token1] = ACTIONS(1681),
    [aux_sym_loop_statement_token1] = ACTIONS(1681),
    [aux_sym_repeat_statement_token1] = ACTIONS(1681),
    [aux_sym_while_statement_token1] = ACTIONS(1681),
    [aux_sym_break_statement_token1] = ACTIONS(1681),
    [aux_sym_leave_statement_token1] = ACTIONS(1681),
    [aux_sym_continue_statement_token1] = ACTIONS(1681),
    [aux_sym_iterate_statement_token1] = ACTIONS(1681),
    [aux_sym_raise_statement_token1] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1681),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1681),
    [aux_sym_option_clause_token1] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1681),
    [aux_sym_select_token1] = ACTIONS(1681),
    [aux_sym_insert_statement_token1] = ACTIONS(1681),
    [aux_sym_truncate_statement_token1] = ACTIONS(1681),
    [aux_sym_update_statement_token1] = ACTIONS(1681),
    [aux_sym_merge_statement_token1] = ACTIONS(1681),
    [aux_sym_grant_statement_token1] = ACTIONS(1681),
    [aux_sym_revoke_statement_token1] = ACTIONS(1681),
    [aux_sym_export_data_statement_token1] = ACTIONS(1681),
    [aux_sym_load_data_statement_token1] = ACTIONS(1681),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [3817] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1593),
    [aux_sym_keyword_replace_token1] = ACTIONS(1593),
    [aux_sym__keyword_alter_token1] = ACTIONS(1593),
    [aux_sym__keyword_create_token1] = ACTIONS(1593),
    [aux_sym__keyword_drop_token1] = ACTIONS(1593),
    [aux_sym__keyword_from_token1] = ACTIONS(1593),
    [aux_sym__keyword_delete_token1] = ACTIONS(1593),
    [aux_sym__keyword_begin_token1] = ACTIONS(1593),
    [aux_sym__keyword_end_token1] = ACTIONS(1593),
    [aux_sym__keyword_between_token1] = ACTIONS(1593),
    [aux_sym__keyword_when_token1] = ACTIONS(1593),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1593),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1593),
    [aux_sym__keyword_like_token1] = ACTIONS(1593),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1593),
    [aux_sym__keyword_as_token1] = ACTIONS(1595),
    [aux_sym__keyword_for_token1] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1593),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1593),
    [aux_sym_return_statement_token1] = ACTIONS(1593),
    [aux_sym_call_statement_token1] = ACTIONS(1593),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1593),
    [aux_sym_if_statement_token1] = ACTIONS(1593),
    [aux_sym_loop_statement_token1] = ACTIONS(1593),
    [aux_sym_repeat_statement_token1] = ACTIONS(1593),
    [aux_sym_while_statement_token1] = ACTIONS(1593),
    [aux_sym_break_statement_token1] = ACTIONS(1593),
    [aux_sym_leave_statement_token1] = ACTIONS(1593),
    [aux_sym_continue_statement_token1] = ACTIONS(1593),
    [aux_sym_iterate_statement_token1] = ACTIONS(1593),
    [aux_sym_raise_statement_token1] = ACTIONS(1593),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1593),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1593),
    [aux_sym_option_clause_token1] = ACTIONS(1593),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1593),
    [aux_sym_select_token1] = ACTIONS(1593),
    [aux_sym_insert_statement_token1] = ACTIONS(1593),
    [aux_sym_truncate_statement_token1] = ACTIONS(1593),
    [aux_sym_update_statement_token1] = ACTIONS(1593),
    [aux_sym_merge_statement_token1] = ACTIONS(1593),
    [aux_sym_grant_statement_token1] = ACTIONS(1593),
    [aux_sym_revoke_statement_token1] = ACTIONS(1593),
    [aux_sym_export_data_statement_token1] = ACTIONS(1593),
    [aux_sym_load_data_statement_token1] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [3818] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_from_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1405),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3819] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1413),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_from_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_when_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [aux_sym_option_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1413),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [3820] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_from_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1405),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3821] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_from_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_when_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [aux_sym_option_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1405),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [3822] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1613),
    [aux_sym_keyword_replace_token1] = ACTIONS(1613),
    [aux_sym__keyword_alter_token1] = ACTIONS(1613),
    [aux_sym__keyword_create_token1] = ACTIONS(1613),
    [aux_sym__keyword_drop_token1] = ACTIONS(1613),
    [aux_sym__keyword_from_token1] = ACTIONS(1613),
    [aux_sym__keyword_delete_token1] = ACTIONS(1613),
    [aux_sym__keyword_begin_token1] = ACTIONS(1613),
    [aux_sym__keyword_end_token1] = ACTIONS(1613),
    [aux_sym__keyword_between_token1] = ACTIONS(1613),
    [aux_sym__keyword_when_token1] = ACTIONS(1613),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1613),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1613),
    [aux_sym__keyword_like_token1] = ACTIONS(1613),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1613),
    [aux_sym__keyword_as_token1] = ACTIONS(1615),
    [aux_sym__keyword_for_token1] = ACTIONS(1613),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1613),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1613),
    [aux_sym_return_statement_token1] = ACTIONS(1613),
    [aux_sym_call_statement_token1] = ACTIONS(1613),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1613),
    [aux_sym_if_statement_token1] = ACTIONS(1613),
    [aux_sym_loop_statement_token1] = ACTIONS(1613),
    [aux_sym_repeat_statement_token1] = ACTIONS(1613),
    [aux_sym_while_statement_token1] = ACTIONS(1613),
    [aux_sym_break_statement_token1] = ACTIONS(1613),
    [aux_sym_leave_statement_token1] = ACTIONS(1613),
    [aux_sym_continue_statement_token1] = ACTIONS(1613),
    [aux_sym_iterate_statement_token1] = ACTIONS(1613),
    [aux_sym_raise_statement_token1] = ACTIONS(1613),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1613),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1613),
    [aux_sym_option_clause_token1] = ACTIONS(1613),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1613),
    [aux_sym_select_token1] = ACTIONS(1613),
    [aux_sym_insert_statement_token1] = ACTIONS(1613),
    [aux_sym_truncate_statement_token1] = ACTIONS(1613),
    [aux_sym_update_statement_token1] = ACTIONS(1613),
    [aux_sym_merge_statement_token1] = ACTIONS(1613),
    [aux_sym_grant_statement_token1] = ACTIONS(1613),
    [aux_sym_revoke_statement_token1] = ACTIONS(1613),
    [aux_sym_export_data_statement_token1] = ACTIONS(1613),
    [aux_sym_load_data_statement_token1] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [3823] = {
    [sym_analytics_clause] = STATE(3898),
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1413),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_when_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [aux_sym_option_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [3824] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1409),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_from_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_when_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [aux_sym_option_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1409),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [3825] = {
    [sym_analytics_clause] = STATE(3897),
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1409),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_when_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [aux_sym_option_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [3826] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3827] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3828] = {
    [sym_analytics_clause] = STATE(3832),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3829] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3830] = {
    [sym_analytics_clause] = STATE(3893),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3831] = {
    [sym_analytics_clause] = STATE(3891),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3832] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3833] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3834] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3835] = {
    [sym_analytics_clause] = STATE(3799),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3836] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3837] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3838] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3839] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3840] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3841] = {
    [sym_analytics_clause] = STATE(3888),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3842] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3843] = {
    [sym_analytics_clause] = STATE(3840),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_when_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [aux_sym_option_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [3844] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3845] = {
    [sym_analytics_clause] = STATE(3881),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3846] = {
    [sym_analytics_clause] = STATE(3880),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3847] = {
    [sym_analytics_clause] = STATE(3878),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3848] = {
    [sym_analytics_clause] = STATE(3871),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3849] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3850] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3851] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3852] = {
    [sym_analytics_clause] = STATE(3867),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3853] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3854] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_from_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1397),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3855] = {
    [sym_analytics_clause] = STATE(3866),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3856] = {
    [sym_analytics_clause] = STATE(3801),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3857] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3858] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3859] = {
    [sym_analytics_clause] = STATE(3802),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3860] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3861] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3862] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3863] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3864] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_from_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_when_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [aux_sym_option_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1421),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3865] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1633),
    [aux_sym_keyword_replace_token1] = ACTIONS(1633),
    [aux_sym__keyword_alter_token1] = ACTIONS(1633),
    [aux_sym__keyword_create_token1] = ACTIONS(1633),
    [aux_sym__keyword_drop_token1] = ACTIONS(1633),
    [aux_sym__keyword_from_token1] = ACTIONS(1633),
    [aux_sym__keyword_delete_token1] = ACTIONS(1633),
    [aux_sym__keyword_begin_token1] = ACTIONS(1633),
    [aux_sym__keyword_end_token1] = ACTIONS(1633),
    [aux_sym__keyword_between_token1] = ACTIONS(1633),
    [aux_sym__keyword_when_token1] = ACTIONS(1633),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1633),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1633),
    [aux_sym__keyword_like_token1] = ACTIONS(1633),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1633),
    [aux_sym__keyword_as_token1] = ACTIONS(1635),
    [aux_sym__keyword_for_token1] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1633),
    [aux_sym_return_statement_token1] = ACTIONS(1633),
    [aux_sym_call_statement_token1] = ACTIONS(1633),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1633),
    [aux_sym_if_statement_token1] = ACTIONS(1633),
    [aux_sym_loop_statement_token1] = ACTIONS(1633),
    [aux_sym_repeat_statement_token1] = ACTIONS(1633),
    [aux_sym_while_statement_token1] = ACTIONS(1633),
    [aux_sym_break_statement_token1] = ACTIONS(1633),
    [aux_sym_leave_statement_token1] = ACTIONS(1633),
    [aux_sym_continue_statement_token1] = ACTIONS(1633),
    [aux_sym_iterate_statement_token1] = ACTIONS(1633),
    [aux_sym_raise_statement_token1] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1633),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1633),
    [aux_sym_option_clause_token1] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1633),
    [aux_sym_select_token1] = ACTIONS(1633),
    [aux_sym_insert_statement_token1] = ACTIONS(1633),
    [aux_sym_truncate_statement_token1] = ACTIONS(1633),
    [aux_sym_update_statement_token1] = ACTIONS(1633),
    [aux_sym_merge_statement_token1] = ACTIONS(1633),
    [aux_sym_grant_statement_token1] = ACTIONS(1633),
    [aux_sym_revoke_statement_token1] = ACTIONS(1633),
    [aux_sym_export_data_statement_token1] = ACTIONS(1633),
    [aux_sym_load_data_statement_token1] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [3866] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3867] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3868] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1393),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_from_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_when_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [aux_sym_option_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1393),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [3869] = {
    [sym_analytics_clause] = STATE(3805),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3870] = {
    [sym_analytics_clause] = STATE(3807),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3871] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3872] = {
    [sym_analytics_clause] = STATE(3809),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3873] = {
    [sym_analytics_clause] = STATE(3815),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3874] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [3875] = {
    [sym_analytics_clause] = STATE(3865),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1393),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_when_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [aux_sym_option_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [3876] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3877] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3878] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3879] = {
    [sym_analytics_clause] = STATE(3818),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3880] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3881] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3882] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_into_clause_token1] = ACTIONS(1187),
    [aux_sym_using_clause_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [3883] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3884] = {
    [sym_analytics_clause] = STATE(3820),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3885] = {
    [sym__keyword_between] = STATE(1762),
    [sym__keyword_is] = STATE(12035),
    [sym__keyword_in] = STATE(1770),
    [sym__keyword_not] = STATE(13039),
    [sym__keyword_and] = STATE(1778),
    [sym__keyword_or] = STATE(1779),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16275),
    [sym_quantitve_like_operator] = STATE(16274),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3211),
    [aux_sym__keyword_is_token1] = ACTIONS(3213),
    [aux_sym__keyword_in_token1] = ACTIONS(3215),
    [aux_sym__keyword_and_token1] = ACTIONS(3217),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_into_clause_token1] = ACTIONS(1191),
    [aux_sym_using_clause_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3223),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3215),
    [anon_sym_GT] = ACTIONS(3215),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_PIPE_PIPE] = ACTIONS(3229),
    [anon_sym_LT_EQ] = ACTIONS(3223),
    [anon_sym_LT_GT] = ACTIONS(3223),
    [anon_sym_GT_EQ] = ACTIONS(3223),
    [anon_sym_BANG_EQ] = ACTIONS(3223),
    [anon_sym_LT_LT] = ACTIONS(3233),
    [anon_sym_GT_GT] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3237),
    [anon_sym_PIPE] = ACTIONS(3239),
  },
  [3886] = {
    [sym_analytics_clause] = STATE(3864),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3887] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3888] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3889] = {
    [sym_analytics_clause] = STATE(3821),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3890] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3891] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3892] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3893] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_from_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_when_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [aux_sym_option_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1441),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [3894] = {
    [sym_analytics_clause] = STATE(3887),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_when_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [aux_sym_option_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [3895] = {
    [sym_analytics_clause] = STATE(3822),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1465),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_when_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [aux_sym_option_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [3896] = {
    [sym_analytics_clause] = STATE(3863),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3897] = {
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1465),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_from_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_when_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [aux_sym_option_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1465),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [3898] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1653),
    [aux_sym_keyword_replace_token1] = ACTIONS(1653),
    [aux_sym__keyword_alter_token1] = ACTIONS(1653),
    [aux_sym__keyword_create_token1] = ACTIONS(1653),
    [aux_sym__keyword_drop_token1] = ACTIONS(1653),
    [aux_sym__keyword_from_token1] = ACTIONS(1653),
    [aux_sym__keyword_delete_token1] = ACTIONS(1653),
    [aux_sym__keyword_begin_token1] = ACTIONS(1653),
    [aux_sym__keyword_end_token1] = ACTIONS(1653),
    [aux_sym__keyword_between_token1] = ACTIONS(1653),
    [aux_sym__keyword_when_token1] = ACTIONS(1653),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1653),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1653),
    [aux_sym__keyword_like_token1] = ACTIONS(1653),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1653),
    [aux_sym__keyword_as_token1] = ACTIONS(1655),
    [aux_sym__keyword_for_token1] = ACTIONS(1653),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1653),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1653),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1653),
    [aux_sym_return_statement_token1] = ACTIONS(1653),
    [aux_sym_call_statement_token1] = ACTIONS(1653),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1653),
    [aux_sym_if_statement_token1] = ACTIONS(1653),
    [aux_sym_loop_statement_token1] = ACTIONS(1653),
    [aux_sym_repeat_statement_token1] = ACTIONS(1653),
    [aux_sym_while_statement_token1] = ACTIONS(1653),
    [aux_sym_break_statement_token1] = ACTIONS(1653),
    [aux_sym_leave_statement_token1] = ACTIONS(1653),
    [aux_sym_continue_statement_token1] = ACTIONS(1653),
    [aux_sym_iterate_statement_token1] = ACTIONS(1653),
    [aux_sym_raise_statement_token1] = ACTIONS(1653),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1653),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1653),
    [aux_sym_option_clause_token1] = ACTIONS(1653),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1653),
    [aux_sym_select_token1] = ACTIONS(1653),
    [aux_sym_insert_statement_token1] = ACTIONS(1653),
    [aux_sym_truncate_statement_token1] = ACTIONS(1653),
    [aux_sym_update_statement_token1] = ACTIONS(1653),
    [aux_sym_merge_statement_token1] = ACTIONS(1653),
    [aux_sym_grant_statement_token1] = ACTIONS(1653),
    [aux_sym_revoke_statement_token1] = ACTIONS(1653),
    [aux_sym_export_data_statement_token1] = ACTIONS(1653),
    [aux_sym_load_data_statement_token1] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [3899] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3900] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3901] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1751),
    [aux_sym_keyword_replace_token1] = ACTIONS(1751),
    [aux_sym__keyword_alter_token1] = ACTIONS(1751),
    [aux_sym__keyword_create_token1] = ACTIONS(1751),
    [aux_sym__keyword_drop_token1] = ACTIONS(1751),
    [aux_sym__keyword_from_token1] = ACTIONS(1751),
    [aux_sym__keyword_delete_token1] = ACTIONS(1751),
    [aux_sym__keyword_begin_token1] = ACTIONS(1751),
    [aux_sym__keyword_end_token1] = ACTIONS(1751),
    [aux_sym__keyword_between_token1] = ACTIONS(1751),
    [aux_sym__keyword_when_token1] = ACTIONS(1751),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1751),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1751),
    [aux_sym__keyword_like_token1] = ACTIONS(1751),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1751),
    [aux_sym__keyword_as_token1] = ACTIONS(1753),
    [aux_sym__keyword_for_token1] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1751),
    [aux_sym_return_statement_token1] = ACTIONS(1751),
    [aux_sym_call_statement_token1] = ACTIONS(1751),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1751),
    [aux_sym_if_statement_token1] = ACTIONS(1751),
    [aux_sym_loop_statement_token1] = ACTIONS(1751),
    [aux_sym_repeat_statement_token1] = ACTIONS(1751),
    [aux_sym_while_statement_token1] = ACTIONS(1751),
    [aux_sym_break_statement_token1] = ACTIONS(1751),
    [aux_sym_leave_statement_token1] = ACTIONS(1751),
    [aux_sym_continue_statement_token1] = ACTIONS(1751),
    [aux_sym_iterate_statement_token1] = ACTIONS(1751),
    [aux_sym_raise_statement_token1] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1751),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1751),
    [aux_sym_option_clause_token1] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1751),
    [aux_sym_select_token1] = ACTIONS(1751),
    [aux_sym_insert_statement_token1] = ACTIONS(1751),
    [aux_sym_truncate_statement_token1] = ACTIONS(1751),
    [aux_sym_update_statement_token1] = ACTIONS(1751),
    [aux_sym_merge_statement_token1] = ACTIONS(1751),
    [aux_sym_grant_statement_token1] = ACTIONS(1751),
    [aux_sym_revoke_statement_token1] = ACTIONS(1751),
    [aux_sym_export_data_statement_token1] = ACTIONS(1751),
    [aux_sym_load_data_statement_token1] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [3902] = {
    [sym_analytics_clause] = STATE(3862),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3903] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3904] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3905] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3906] = {
    [sym_analytics_clause] = STATE(3833),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3907] = {
    [sym_analytics_clause] = STATE(3834),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3908] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3909] = {
    [sym_analytics_clause] = STATE(3836),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3910] = {
    [sym_analytics_clause] = STATE(3837),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3911] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3912] = {
    [sym_analytics_clause] = STATE(3838),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3913] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3914] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3915] = {
    [sym_analytics_clause] = STATE(3839),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3916] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3917] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3918] = {
    [sym_analytics_clause] = STATE(3842),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3919] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3920] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3921] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3922] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3923] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3924] = {
    [sym_analytics_clause] = STATE(3857),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3925] = {
    [sym_analytics_clause] = STATE(3858),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3926] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_from_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_table_cluster_clause_token1] = ACTIONS(1371),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3927] = {
    [sym_analytics_clause] = STATE(3860),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3928] = {
    [sym_analytics_clause] = STATE(3861),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_when_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [aux_sym_option_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3281),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [3929] = {
    [sym_analytics_clause] = STATE(4425),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [3930] = {
    [sym_analytics_clause] = STATE(4633),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [3931] = {
    [sym_analytics_clause] = STATE(4640),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3932] = {
    [sym_analytics_clause] = STATE(4685),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3933] = {
    [sym_analytics_clause] = STATE(4719),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3934] = {
    [sym_analytics_clause] = STATE(4634),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3935] = {
    [sym_analytics_clause] = STATE(4534),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3936] = {
    [sym_analytics_clause] = STATE(4713),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3937] = {
    [sym_analytics_clause] = STATE(4629),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3938] = {
    [sym_analytics_clause] = STATE(4613),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3939] = {
    [sym_analytics_clause] = STATE(4601),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3940] = {
    [sym_analytics_clause] = STATE(4627),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_end_token1] = ACTIONS(1411),
    [aux_sym__keyword_when_token1] = ACTIONS(1411),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_window_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_using_clause_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1411),
    [aux_sym_if_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_repeat_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token3] = ACTIONS(1411),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_having_clause_token1] = ACTIONS(1411),
    [aux_sym_qualify_clause_token1] = ACTIONS(1411),
    [aux_sym_limit_clause_token1] = ACTIONS(1411),
    [aux_sym_group_by_clause_token1] = ACTIONS(1411),
    [aux_sym_order_by_clause_token1] = ACTIONS(1411),
    [aux_sym_where_clause_token1] = ACTIONS(1411),
    [aux_sym_pivot_operator_token1] = ACTIONS(1411),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1411),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1411),
    [aux_sym_join_type_token1] = ACTIONS(1411),
    [aux_sym_join_type_token2] = ACTIONS(1411),
    [aux_sym_join_type_token3] = ACTIONS(1411),
    [aux_sym_join_type_token4] = ACTIONS(1411),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1411),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1411),
    [aux_sym_join_condition_token1] = ACTIONS(1411),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [3941] = {
    [sym_analytics_clause] = STATE(4597),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3942] = {
    [sym_analytics_clause] = STATE(4592),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3943] = {
    [sym_analytics_clause] = STATE(4716),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3944] = {
    [sym_analytics_clause] = STATE(4564),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3945] = {
    [sym_analytics_clause] = STATE(4568),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3946] = {
    [sym_analytics_clause] = STATE(4538),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3947] = {
    [sym_analytics_clause] = STATE(4522),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3948] = {
    [sym_analytics_clause] = STATE(4722),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3949] = {
    [sym_analytics_clause] = STATE(4725),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3950] = {
    [sym_analytics_clause] = STATE(4727),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3951] = {
    [sym_analytics_clause] = STATE(4438),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_end_token1] = ACTIONS(1427),
    [aux_sym__keyword_when_token1] = ACTIONS(1427),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_window_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_using_clause_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1427),
    [aux_sym_if_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_repeat_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token3] = ACTIONS(1427),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_having_clause_token1] = ACTIONS(1427),
    [aux_sym_qualify_clause_token1] = ACTIONS(1427),
    [aux_sym_limit_clause_token1] = ACTIONS(1427),
    [aux_sym_group_by_clause_token1] = ACTIONS(1427),
    [aux_sym_order_by_clause_token1] = ACTIONS(1427),
    [aux_sym_where_clause_token1] = ACTIONS(1427),
    [aux_sym_pivot_operator_token1] = ACTIONS(1427),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1427),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1427),
    [aux_sym_join_type_token1] = ACTIONS(1427),
    [aux_sym_join_type_token2] = ACTIONS(1427),
    [aux_sym_join_type_token3] = ACTIONS(1427),
    [aux_sym_join_type_token4] = ACTIONS(1427),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1427),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1427),
    [aux_sym_join_condition_token1] = ACTIONS(1427),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
  },
  [3952] = {
    [sym_analytics_clause] = STATE(4728),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3953] = {
    [sym_string] = STATE(4489),
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(2081),
  },
  [3954] = {
    [sym_analytics_clause] = STATE(4555),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3955] = {
    [sym_analytics_clause] = STATE(4558),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3956] = {
    [sym_analytics_clause] = STATE(4731),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3957] = {
    [sym_analytics_clause] = STATE(4540),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3958] = {
    [sym_analytics_clause] = STATE(4739),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3959] = {
    [sym_analytics_clause] = STATE(4743),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3960] = {
    [sym_analytics_clause] = STATE(4575),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3961] = {
    [sym_analytics_clause] = STATE(4746),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3962] = {
    [sym_analytics_clause] = STATE(4581),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3963] = {
    [sym_analytics_clause] = STATE(4650),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3964] = {
    [sym_analytics_clause] = STATE(4619),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3965] = {
    [sym_analytics_clause] = STATE(4544),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3966] = {
    [sym_analytics_clause] = STATE(4417),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3967] = {
    [sym_analytics_clause] = STATE(4424),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3968] = {
    [sym_analytics_clause] = STATE(4646),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3969] = {
    [sym_analytics_clause] = STATE(4429),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3970] = {
    [sym_analytics_clause] = STATE(4437),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [3971] = {
    [sym_analytics_clause] = STATE(4747),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_end_token1] = ACTIONS(1395),
    [aux_sym__keyword_when_token1] = ACTIONS(1395),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_window_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_using_clause_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1395),
    [aux_sym_if_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_repeat_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token3] = ACTIONS(1395),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_having_clause_token1] = ACTIONS(1395),
    [aux_sym_qualify_clause_token1] = ACTIONS(1395),
    [aux_sym_limit_clause_token1] = ACTIONS(1395),
    [aux_sym_group_by_clause_token1] = ACTIONS(1395),
    [aux_sym_order_by_clause_token1] = ACTIONS(1395),
    [aux_sym_where_clause_token1] = ACTIONS(1395),
    [aux_sym_pivot_operator_token1] = ACTIONS(1395),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1395),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1395),
    [aux_sym_join_type_token1] = ACTIONS(1395),
    [aux_sym_join_type_token2] = ACTIONS(1395),
    [aux_sym_join_type_token3] = ACTIONS(1395),
    [aux_sym_join_type_token4] = ACTIONS(1395),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1395),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1395),
    [aux_sym_join_condition_token1] = ACTIONS(1395),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
  },
  [3972] = {
    [sym_analytics_clause] = STATE(4546),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3973] = {
    [sym_analytics_clause] = STATE(4526),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_end_token1] = ACTIONS(1403),
    [aux_sym__keyword_when_token1] = ACTIONS(1403),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_window_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_using_clause_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1403),
    [aux_sym_if_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_repeat_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token3] = ACTIONS(1403),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_having_clause_token1] = ACTIONS(1403),
    [aux_sym_qualify_clause_token1] = ACTIONS(1403),
    [aux_sym_limit_clause_token1] = ACTIONS(1403),
    [aux_sym_group_by_clause_token1] = ACTIONS(1403),
    [aux_sym_order_by_clause_token1] = ACTIONS(1403),
    [aux_sym_where_clause_token1] = ACTIONS(1403),
    [aux_sym_pivot_operator_token1] = ACTIONS(1403),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1403),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1403),
    [aux_sym_join_type_token1] = ACTIONS(1403),
    [aux_sym_join_type_token2] = ACTIONS(1403),
    [aux_sym_join_type_token3] = ACTIONS(1403),
    [aux_sym_join_type_token4] = ACTIONS(1403),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1403),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1403),
    [aux_sym_join_condition_token1] = ACTIONS(1403),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
  },
  [3974] = {
    [sym_analytics_clause] = STATE(4541),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3975] = {
    [sym_analytics_clause] = STATE(4442),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [3976] = {
    [sym_analytics_clause] = STATE(4708),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [3977] = {
    [sym_analytics_clause] = STATE(4748),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [3978] = {
    [sym_analytics_clause] = STATE(4574),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_end_token1] = ACTIONS(1383),
    [aux_sym__keyword_when_token1] = ACTIONS(1383),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_window_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_using_clause_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1383),
    [aux_sym_if_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_repeat_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token3] = ACTIONS(1383),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_having_clause_token1] = ACTIONS(1383),
    [aux_sym_qualify_clause_token1] = ACTIONS(1383),
    [aux_sym_limit_clause_token1] = ACTIONS(1383),
    [aux_sym_group_by_clause_token1] = ACTIONS(1383),
    [aux_sym_order_by_clause_token1] = ACTIONS(1383),
    [aux_sym_where_clause_token1] = ACTIONS(1383),
    [aux_sym_pivot_operator_token1] = ACTIONS(1383),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1383),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1383),
    [aux_sym_join_type_token1] = ACTIONS(1383),
    [aux_sym_join_type_token2] = ACTIONS(1383),
    [aux_sym_join_type_token3] = ACTIONS(1383),
    [aux_sym_join_type_token4] = ACTIONS(1383),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1383),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1383),
    [aux_sym_join_condition_token1] = ACTIONS(1383),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
  },
  [3979] = {
    [sym_analytics_clause] = STATE(4542),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3980] = {
    [sym_analytics_clause] = STATE(4749),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [3981] = {
    [sym_analytics_clause] = STATE(4595),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3982] = {
    [sym_analytics_clause] = STATE(4621),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3983] = {
    [sym_analytics_clause] = STATE(4753),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [3984] = {
    [sym_analytics_clause] = STATE(4768),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [3985] = {
    [sym_analytics_clause] = STATE(4628),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3986] = {
    [sym_analytics_clause] = STATE(4531),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3987] = {
    [sym_analytics_clause] = STATE(4631),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3988] = {
    [sym_analytics_clause] = STATE(4745),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [3989] = {
    [sym_analytics_clause] = STATE(4723),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [3990] = {
    [sym_analytics_clause] = STATE(4637),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3991] = {
    [sym_analytics_clause] = STATE(4717),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [3992] = {
    [sym_analytics_clause] = STATE(4709),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [3993] = {
    [sym_analytics_clause] = STATE(4661),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3994] = {
    [sym_analytics_clause] = STATE(4676),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3995] = {
    [sym_analytics_clause] = STATE(4682),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3996] = {
    [sym_analytics_clause] = STATE(4530),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [3997] = {
    [sym_analytics_clause] = STATE(4687),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [3998] = {
    [sym_analytics_clause] = STATE(4693),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [3999] = {
    [sym_analytics_clause] = STATE(4695),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4000] = {
    [sym_analytics_clause] = STATE(4702),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4001] = {
    [sym_analytics_clause] = STATE(4704),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4002] = {
    [sym_analytics_clause] = STATE(4705),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4003] = {
    [sym_analytics_clause] = STATE(4710),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4004] = {
    [sym_analytics_clause] = STATE(4721),
    [ts_builtin_sym_end] = ACTIONS(1429),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1431),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_between_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1431),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1431),
    [aux_sym__keyword_like_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [4005] = {
    [sym_analytics_clause] = STATE(4712),
    [ts_builtin_sym_end] = ACTIONS(1433),
    [sym__unquoted_identifier] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1435),
    [aux_sym_keyword_replace_token1] = ACTIONS(1435),
    [aux_sym__keyword_alter_token1] = ACTIONS(1435),
    [aux_sym__keyword_create_token1] = ACTIONS(1435),
    [aux_sym__keyword_drop_token1] = ACTIONS(1435),
    [aux_sym__keyword_delete_token1] = ACTIONS(1435),
    [aux_sym__keyword_begin_token1] = ACTIONS(1435),
    [aux_sym__keyword_between_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1435),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1435),
    [aux_sym__keyword_like_token1] = ACTIONS(1435),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1435),
    [aux_sym__keyword_as_token1] = ACTIONS(1435),
    [aux_sym__keyword_date_token1] = ACTIONS(1435),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1435),
    [aux_sym__keyword_time_token1] = ACTIONS(1435),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1435),
    [aux_sym__keyword_for_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1435),
    [aux_sym_return_statement_token1] = ACTIONS(1435),
    [aux_sym_call_statement_token1] = ACTIONS(1435),
    [aux_sym_loop_statement_token1] = ACTIONS(1435),
    [aux_sym_while_statement_token1] = ACTIONS(1435),
    [aux_sym_break_statement_token1] = ACTIONS(1435),
    [aux_sym_leave_statement_token1] = ACTIONS(1435),
    [aux_sym_continue_statement_token1] = ACTIONS(1435),
    [aux_sym_iterate_statement_token1] = ACTIONS(1435),
    [aux_sym_raise_statement_token1] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1435),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1435),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1435),
    [aux_sym_truncate_statement_token1] = ACTIONS(1435),
    [aux_sym_update_statement_token1] = ACTIONS(1435),
    [aux_sym_merge_statement_token1] = ACTIONS(1435),
    [aux_sym_grant_statement_token1] = ACTIONS(1435),
    [aux_sym_revoke_statement_token1] = ACTIONS(1435),
    [aux_sym_export_data_statement_token1] = ACTIONS(1435),
    [aux_sym_load_data_statement_token1] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym__quoted_identifier] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [4006] = {
    [sym_analytics_clause] = STATE(4714),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4007] = {
    [sym_analytics_clause] = STATE(4741),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4008] = {
    [sym_analytics_clause] = STATE(4699),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4009] = {
    [sym_analytics_clause] = STATE(4729),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4010] = {
    [sym_analytics_clause] = STATE(4730),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4011] = {
    [sym_analytics_clause] = STATE(4735),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4012] = {
    [sym_analytics_clause] = STATE(4736),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4013] = {
    [sym_analytics_clause] = STATE(4738),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4014] = {
    [sym_analytics_clause] = STATE(4737),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [sym__unquoted_identifier] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1439),
    [aux_sym_keyword_replace_token1] = ACTIONS(1439),
    [aux_sym__keyword_alter_token1] = ACTIONS(1439),
    [aux_sym__keyword_create_token1] = ACTIONS(1439),
    [aux_sym__keyword_drop_token1] = ACTIONS(1439),
    [aux_sym__keyword_delete_token1] = ACTIONS(1439),
    [aux_sym__keyword_begin_token1] = ACTIONS(1439),
    [aux_sym__keyword_between_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1439),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1439),
    [aux_sym__keyword_like_token1] = ACTIONS(1439),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1439),
    [aux_sym__keyword_as_token1] = ACTIONS(1439),
    [aux_sym__keyword_date_token1] = ACTIONS(1439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1439),
    [aux_sym__keyword_time_token1] = ACTIONS(1439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1439),
    [aux_sym__keyword_for_token1] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1439),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1439),
    [aux_sym_return_statement_token1] = ACTIONS(1439),
    [aux_sym_call_statement_token1] = ACTIONS(1439),
    [aux_sym_loop_statement_token1] = ACTIONS(1439),
    [aux_sym_while_statement_token1] = ACTIONS(1439),
    [aux_sym_break_statement_token1] = ACTIONS(1439),
    [aux_sym_leave_statement_token1] = ACTIONS(1439),
    [aux_sym_continue_statement_token1] = ACTIONS(1439),
    [aux_sym_iterate_statement_token1] = ACTIONS(1439),
    [aux_sym_raise_statement_token1] = ACTIONS(1439),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1439),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1439),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1439),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1439),
    [aux_sym_truncate_statement_token1] = ACTIONS(1439),
    [aux_sym_update_statement_token1] = ACTIONS(1439),
    [aux_sym_merge_statement_token1] = ACTIONS(1439),
    [aux_sym_grant_statement_token1] = ACTIONS(1439),
    [aux_sym_revoke_statement_token1] = ACTIONS(1439),
    [aux_sym_export_data_statement_token1] = ACTIONS(1439),
    [aux_sym_load_data_statement_token1] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym__quoted_identifier] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [4015] = {
    [sym_analytics_clause] = STATE(4740),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_end_token1] = ACTIONS(1463),
    [aux_sym__keyword_when_token1] = ACTIONS(1463),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_window_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_using_clause_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_repeat_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token3] = ACTIONS(1463),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_having_clause_token1] = ACTIONS(1463),
    [aux_sym_qualify_clause_token1] = ACTIONS(1463),
    [aux_sym_limit_clause_token1] = ACTIONS(1463),
    [aux_sym_group_by_clause_token1] = ACTIONS(1463),
    [aux_sym_order_by_clause_token1] = ACTIONS(1463),
    [aux_sym_where_clause_token1] = ACTIONS(1463),
    [aux_sym_pivot_operator_token1] = ACTIONS(1463),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1463),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1463),
    [aux_sym_join_type_token1] = ACTIONS(1463),
    [aux_sym_join_type_token2] = ACTIONS(1463),
    [aux_sym_join_type_token3] = ACTIONS(1463),
    [aux_sym_join_type_token4] = ACTIONS(1463),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1463),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1463),
    [aux_sym_join_condition_token1] = ACTIONS(1463),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
  },
  [4016] = {
    [sym_analytics_clause] = STATE(4700),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4017] = {
    [sym_analytics_clause] = STATE(4529),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4018] = {
    [sym_analytics_clause] = STATE(4750),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [4019] = {
    [sym_analytics_clause] = STATE(4689),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4020] = {
    [sym_analytics_clause] = STATE(4671),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4021] = {
    [sym_analytics_clause] = STATE(4666),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4022] = {
    [sym_analytics_clause] = STATE(4528),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4023] = {
    [sym_analytics_clause] = STATE(4754),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [4024] = {
    [sym_analytics_clause] = STATE(4527),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4025] = {
    [sym_analytics_clause] = STATE(4524),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4026] = {
    [sym_analytics_clause] = STATE(4523),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4027] = {
    [sym_analytics_clause] = STATE(4518),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4028] = {
    [sym_analytics_clause] = STATE(4511),
    [ts_builtin_sym_end] = ACTIONS(1413),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1415),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_between_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1415),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1415),
    [aux_sym__keyword_like_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [4029] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1549),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_when_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [aux_sym_option_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [4030] = {
    [sym_analytics_clause] = STATE(4639),
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1411),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_between_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1411),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1411),
    [aux_sym__keyword_like_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [4031] = {
    [sym_analytics_clause] = STATE(4415),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [4032] = {
    [sym_analytics_clause] = STATE(4701),
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1447),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_between_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1447),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1447),
    [aux_sym__keyword_like_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [4033] = {
    [sym_analytics_clause] = STATE(4508),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4034] = {
    [sym_analytics_clause] = STATE(4698),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1451),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_between_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1451),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1451),
    [aux_sym__keyword_like_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [4035] = {
    [sym_analytics_clause] = STATE(4543),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4036] = {
    [sym_analytics_clause] = STATE(4744),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [4037] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_when_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [aux_sym_option_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [4038] = {
    [sym_analytics_clause] = STATE(4691),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [sym__unquoted_identifier] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1455),
    [aux_sym_keyword_replace_token1] = ACTIONS(1455),
    [aux_sym__keyword_alter_token1] = ACTIONS(1455),
    [aux_sym__keyword_create_token1] = ACTIONS(1455),
    [aux_sym__keyword_drop_token1] = ACTIONS(1455),
    [aux_sym__keyword_delete_token1] = ACTIONS(1455),
    [aux_sym__keyword_begin_token1] = ACTIONS(1455),
    [aux_sym__keyword_between_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1455),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1455),
    [aux_sym__keyword_like_token1] = ACTIONS(1455),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1455),
    [aux_sym__keyword_as_token1] = ACTIONS(1455),
    [aux_sym__keyword_date_token1] = ACTIONS(1455),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1455),
    [aux_sym__keyword_time_token1] = ACTIONS(1455),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1455),
    [aux_sym__keyword_for_token1] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1455),
    [aux_sym_return_statement_token1] = ACTIONS(1455),
    [aux_sym_call_statement_token1] = ACTIONS(1455),
    [aux_sym_loop_statement_token1] = ACTIONS(1455),
    [aux_sym_while_statement_token1] = ACTIONS(1455),
    [aux_sym_break_statement_token1] = ACTIONS(1455),
    [aux_sym_leave_statement_token1] = ACTIONS(1455),
    [aux_sym_continue_statement_token1] = ACTIONS(1455),
    [aux_sym_iterate_statement_token1] = ACTIONS(1455),
    [aux_sym_raise_statement_token1] = ACTIONS(1455),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1455),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1455),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1455),
    [aux_sym_truncate_statement_token1] = ACTIONS(1455),
    [aux_sym_update_statement_token1] = ACTIONS(1455),
    [aux_sym_merge_statement_token1] = ACTIONS(1455),
    [aux_sym_grant_statement_token1] = ACTIONS(1455),
    [aux_sym_revoke_statement_token1] = ACTIONS(1455),
    [aux_sym_export_data_statement_token1] = ACTIONS(1455),
    [aux_sym_load_data_statement_token1] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym__quoted_identifier] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [4039] = {
    [sym_analytics_clause] = STATE(4718),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [4040] = {
    [sym_analytics_clause] = STATE(4552),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4041] = {
    [sym_analytics_clause] = STATE(4660),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_end_token1] = ACTIONS(1467),
    [aux_sym__keyword_when_token1] = ACTIONS(1467),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_window_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_using_clause_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1467),
    [aux_sym_if_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_repeat_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token3] = ACTIONS(1467),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_having_clause_token1] = ACTIONS(1467),
    [aux_sym_qualify_clause_token1] = ACTIONS(1467),
    [aux_sym_limit_clause_token1] = ACTIONS(1467),
    [aux_sym_group_by_clause_token1] = ACTIONS(1467),
    [aux_sym_order_by_clause_token1] = ACTIONS(1467),
    [aux_sym_where_clause_token1] = ACTIONS(1467),
    [aux_sym_pivot_operator_token1] = ACTIONS(1467),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1467),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1467),
    [aux_sym_join_type_token1] = ACTIONS(1467),
    [aux_sym_join_type_token2] = ACTIONS(1467),
    [aux_sym_join_type_token3] = ACTIONS(1467),
    [aux_sym_join_type_token4] = ACTIONS(1467),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1467),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1467),
    [aux_sym_join_condition_token1] = ACTIONS(1467),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
  },
  [4042] = {
    [sym_analytics_clause] = STATE(4688),
    [ts_builtin_sym_end] = ACTIONS(1457),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1459),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_between_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1459),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1459),
    [aux_sym__keyword_like_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [4043] = {
    [sym_analytics_clause] = STATE(4658),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4044] = {
    [sym_analytics_clause] = STATE(4707),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_end_token1] = ACTIONS(1491),
    [aux_sym__keyword_when_token1] = ACTIONS(1491),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_window_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_using_clause_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1491),
    [aux_sym_if_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_repeat_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token3] = ACTIONS(1491),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_having_clause_token1] = ACTIONS(1491),
    [aux_sym_qualify_clause_token1] = ACTIONS(1491),
    [aux_sym_limit_clause_token1] = ACTIONS(1491),
    [aux_sym_group_by_clause_token1] = ACTIONS(1491),
    [aux_sym_order_by_clause_token1] = ACTIONS(1491),
    [aux_sym_where_clause_token1] = ACTIONS(1491),
    [aux_sym_pivot_operator_token1] = ACTIONS(1491),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1491),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1491),
    [aux_sym_join_type_token1] = ACTIONS(1491),
    [aux_sym_join_type_token2] = ACTIONS(1491),
    [aux_sym_join_type_token3] = ACTIONS(1491),
    [aux_sym_join_type_token4] = ACTIONS(1491),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1491),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1491),
    [aux_sym_join_condition_token1] = ACTIONS(1491),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
  },
  [4045] = {
    [sym_analytics_clause] = STATE(4647),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4046] = {
    [sym_analytics_clause] = STATE(4635),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4047] = {
    [sym_analytics_clause] = STATE(4694),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_end_token1] = ACTIONS(1503),
    [aux_sym__keyword_when_token1] = ACTIONS(1503),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_window_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_using_clause_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1503),
    [aux_sym_if_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_repeat_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token3] = ACTIONS(1503),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_having_clause_token1] = ACTIONS(1503),
    [aux_sym_qualify_clause_token1] = ACTIONS(1503),
    [aux_sym_limit_clause_token1] = ACTIONS(1503),
    [aux_sym_group_by_clause_token1] = ACTIONS(1503),
    [aux_sym_order_by_clause_token1] = ACTIONS(1503),
    [aux_sym_where_clause_token1] = ACTIONS(1503),
    [aux_sym_pivot_operator_token1] = ACTIONS(1503),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1503),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1503),
    [aux_sym_join_type_token1] = ACTIONS(1503),
    [aux_sym_join_type_token2] = ACTIONS(1503),
    [aux_sym_join_type_token3] = ACTIONS(1503),
    [aux_sym_join_type_token4] = ACTIONS(1503),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1503),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1503),
    [aux_sym_join_condition_token1] = ACTIONS(1503),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
  },
  [4048] = {
    [sym_analytics_clause] = STATE(4493),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4049] = {
    [sym_analytics_clause] = STATE(4545),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4050] = {
    [sym_analytics_clause] = STATE(4692),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_end_token1] = ACTIONS(1515),
    [aux_sym__keyword_when_token1] = ACTIONS(1515),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_window_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_using_clause_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1515),
    [aux_sym_if_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_repeat_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token3] = ACTIONS(1515),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_having_clause_token1] = ACTIONS(1515),
    [aux_sym_qualify_clause_token1] = ACTIONS(1515),
    [aux_sym_limit_clause_token1] = ACTIONS(1515),
    [aux_sym_group_by_clause_token1] = ACTIONS(1515),
    [aux_sym_order_by_clause_token1] = ACTIONS(1515),
    [aux_sym_where_clause_token1] = ACTIONS(1515),
    [aux_sym_pivot_operator_token1] = ACTIONS(1515),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1515),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1515),
    [aux_sym_join_type_token1] = ACTIONS(1515),
    [aux_sym_join_type_token2] = ACTIONS(1515),
    [aux_sym_join_type_token3] = ACTIONS(1515),
    [aux_sym_join_type_token4] = ACTIONS(1515),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1515),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1515),
    [aux_sym_join_condition_token1] = ACTIONS(1515),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
  },
  [4051] = {
    [sym_analytics_clause] = STATE(4686),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1369),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_between_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1369),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1369),
    [aux_sym__keyword_like_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [4052] = {
    [sym_analytics_clause] = STATE(4505),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4053] = {
    [sym_analytics_clause] = STATE(4680),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1495),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_between_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1495),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1495),
    [aux_sym__keyword_like_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [4054] = {
    [sym_analytics_clause] = STATE(4416),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4055] = {
    [sym_analytics_clause] = STATE(4614),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4056] = {
    [sym_analytics_clause] = STATE(4504),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4057] = {
    [sym_analytics_clause] = STATE(4674),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4058] = {
    [sym_analytics_clause] = STATE(4419),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4059] = {
    [sym_analytics_clause] = STATE(4421),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4060] = {
    [sym_analytics_clause] = STATE(4663),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4061] = {
    [sym_analytics_clause] = STATE(4655),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4062] = {
    [sym_analytics_clause] = STATE(4604),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4063] = {
    [sym_analytics_clause] = STATE(4503),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4064] = {
    [sym_analytics_clause] = STATE(4502),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4065] = {
    [sym_analytics_clause] = STATE(4654),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4066] = {
    [sym_analytics_clause] = STATE(4625),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4067] = {
    [sym_analytics_clause] = STATE(4697),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_end_token1] = ACTIONS(1415),
    [aux_sym__keyword_when_token1] = ACTIONS(1415),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_window_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_using_clause_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1415),
    [aux_sym_if_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_repeat_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token3] = ACTIONS(1415),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_having_clause_token1] = ACTIONS(1415),
    [aux_sym_qualify_clause_token1] = ACTIONS(1415),
    [aux_sym_limit_clause_token1] = ACTIONS(1415),
    [aux_sym_group_by_clause_token1] = ACTIONS(1415),
    [aux_sym_order_by_clause_token1] = ACTIONS(1415),
    [aux_sym_where_clause_token1] = ACTIONS(1415),
    [aux_sym_pivot_operator_token1] = ACTIONS(1415),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1415),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1415),
    [aux_sym_join_type_token1] = ACTIONS(1415),
    [aux_sym_join_type_token2] = ACTIONS(1415),
    [aux_sym_join_type_token3] = ACTIONS(1415),
    [aux_sym_join_type_token4] = ACTIONS(1415),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1415),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1415),
    [aux_sym_join_condition_token1] = ACTIONS(1415),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
  },
  [4068] = {
    [sym__keyword_between] = STATE(1129),
    [sym__keyword_is] = STATE(12110),
    [sym__keyword_in] = STATE(1214),
    [sym__keyword_not] = STATE(13132),
    [sym__keyword_and] = STATE(1238),
    [sym__keyword_or] = STATE(1239),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3207),
    [aux_sym__keyword_create_token1] = ACTIONS(3207),
    [aux_sym__keyword_drop_token1] = ACTIONS(3207),
    [aux_sym__keyword_delete_token1] = ACTIONS(3207),
    [aux_sym__keyword_begin_token1] = ACTIONS(3207),
    [aux_sym__keyword_between_token1] = ACTIONS(3335),
    [aux_sym__keyword_is_token1] = ACTIONS(3337),
    [aux_sym__keyword_in_token1] = ACTIONS(3339),
    [aux_sym__keyword_and_token1] = ACTIONS(3341),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3207),
    [aux_sym__keyword_for_token1] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [aux_sym_declare_statement_token1] = ACTIONS(3207),
    [aux_sym_set_statement_token1] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3207),
    [aux_sym_return_statement_token1] = ACTIONS(3207),
    [aux_sym_call_statement_token1] = ACTIONS(3207),
    [aux_sym_loop_statement_token1] = ACTIONS(3207),
    [aux_sym_while_statement_token1] = ACTIONS(3207),
    [aux_sym_break_statement_token1] = ACTIONS(3207),
    [aux_sym_leave_statement_token1] = ACTIONS(3207),
    [aux_sym_continue_statement_token1] = ACTIONS(3207),
    [aux_sym_iterate_statement_token1] = ACTIONS(3207),
    [aux_sym_raise_statement_token1] = ACTIONS(3207),
    [anon_sym_EQ] = ACTIONS(3343),
    [aux_sym_assert_statement_token1] = ACTIONS(3207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3207),
    [aux_sym_option_clause_token1] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_GT] = ACTIONS(3339),
    [aux_sym_select_token1] = ACTIONS(3207),
    [aux_sym_insert_statement_token1] = ACTIONS(3207),
    [aux_sym_truncate_statement_token1] = ACTIONS(3207),
    [aux_sym_update_statement_token1] = ACTIONS(3207),
    [aux_sym_merge_statement_token1] = ACTIONS(3207),
    [aux_sym_grant_statement_token1] = ACTIONS(3207),
    [aux_sym_revoke_statement_token1] = ACTIONS(3207),
    [aux_sym_export_data_statement_token1] = ACTIONS(3207),
    [aux_sym_load_data_statement_token1] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_PIPE_PIPE] = ACTIONS(3349),
    [anon_sym_LT_EQ] = ACTIONS(3343),
    [anon_sym_LT_GT] = ACTIONS(3343),
    [anon_sym_GT_EQ] = ACTIONS(3343),
    [anon_sym_BANG_EQ] = ACTIONS(3343),
    [anon_sym_LT_LT] = ACTIONS(3353),
    [anon_sym_GT_GT] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_PIPE] = ACTIONS(3359),
  },
  [4069] = {
    [sym_analytics_clause] = STATE(4431),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4070] = {
    [sym_analytics_clause] = STATE(4507),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_end_token1] = ACTIONS(1387),
    [aux_sym__keyword_when_token1] = ACTIONS(1387),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_window_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_using_clause_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1387),
    [aux_sym_if_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_repeat_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token3] = ACTIONS(1387),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_having_clause_token1] = ACTIONS(1387),
    [aux_sym_qualify_clause_token1] = ACTIONS(1387),
    [aux_sym_limit_clause_token1] = ACTIONS(1387),
    [aux_sym_group_by_clause_token1] = ACTIONS(1387),
    [aux_sym_order_by_clause_token1] = ACTIONS(1387),
    [aux_sym_where_clause_token1] = ACTIONS(1387),
    [aux_sym_pivot_operator_token1] = ACTIONS(1387),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1387),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1387),
    [aux_sym_join_type_token1] = ACTIONS(1387),
    [aux_sym_join_type_token2] = ACTIONS(1387),
    [aux_sym_join_type_token3] = ACTIONS(1387),
    [aux_sym_join_type_token4] = ACTIONS(1387),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1387),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1387),
    [aux_sym_join_condition_token1] = ACTIONS(1387),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
  },
  [4071] = {
    [sym_analytics_clause] = STATE(4626),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4072] = {
    [sym_analytics_clause] = STATE(4533),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4073] = {
    [sym_analytics_clause] = STATE(4573),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_end_token1] = ACTIONS(1451),
    [aux_sym__keyword_when_token1] = ACTIONS(1451),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_window_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_using_clause_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1451),
    [aux_sym_if_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_repeat_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token3] = ACTIONS(1451),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_having_clause_token1] = ACTIONS(1451),
    [aux_sym_qualify_clause_token1] = ACTIONS(1451),
    [aux_sym_limit_clause_token1] = ACTIONS(1451),
    [aux_sym_group_by_clause_token1] = ACTIONS(1451),
    [aux_sym_order_by_clause_token1] = ACTIONS(1451),
    [aux_sym_where_clause_token1] = ACTIONS(1451),
    [aux_sym_pivot_operator_token1] = ACTIONS(1451),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1451),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1451),
    [aux_sym_join_type_token1] = ACTIONS(1451),
    [aux_sym_join_type_token2] = ACTIONS(1451),
    [aux_sym_join_type_token3] = ACTIONS(1451),
    [aux_sym_join_type_token4] = ACTIONS(1451),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1451),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1451),
    [aux_sym_join_condition_token1] = ACTIONS(1451),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
  },
  [4074] = {
    [sym_analytics_clause] = STATE(4681),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1487),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_between_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1487),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1487),
    [aux_sym__keyword_like_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [4075] = {
    [sym_analytics_clause] = STATE(4426),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4076] = {
    [sym_analytics_clause] = STATE(4500),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4077] = {
    [sym_analytics_clause] = STATE(4433),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4078] = {
    [sym_analytics_clause] = STATE(4690),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4079] = {
    [sym_analytics_clause] = STATE(4436),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_end_token1] = ACTIONS(1511),
    [aux_sym__keyword_when_token1] = ACTIONS(1511),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_window_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_using_clause_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1511),
    [aux_sym_if_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_repeat_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token3] = ACTIONS(1511),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_having_clause_token1] = ACTIONS(1511),
    [aux_sym_qualify_clause_token1] = ACTIONS(1511),
    [aux_sym_limit_clause_token1] = ACTIONS(1511),
    [aux_sym_group_by_clause_token1] = ACTIONS(1511),
    [aux_sym_order_by_clause_token1] = ACTIONS(1511),
    [aux_sym_where_clause_token1] = ACTIONS(1511),
    [aux_sym_pivot_operator_token1] = ACTIONS(1511),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1511),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1511),
    [aux_sym_join_type_token1] = ACTIONS(1511),
    [aux_sym_join_type_token2] = ACTIONS(1511),
    [aux_sym_join_type_token3] = ACTIONS(1511),
    [aux_sym_join_type_token4] = ACTIONS(1511),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1511),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1511),
    [aux_sym_join_condition_token1] = ACTIONS(1511),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
  },
  [4080] = {
    [sym_analytics_clause] = STATE(4443),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4081] = {
    [sym_analytics_clause] = STATE(4535),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4082] = {
    [sym_analytics_clause] = STATE(4532),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4083] = {
    [sym_analytics_clause] = STATE(4450),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4084] = {
    [sym_analytics_clause] = STATE(4444),
    [sym__unquoted_identifier] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1507),
    [aux_sym__keyword_alter_token1] = ACTIONS(1507),
    [aux_sym__keyword_create_token1] = ACTIONS(1507),
    [aux_sym__keyword_drop_token1] = ACTIONS(1507),
    [aux_sym__keyword_delete_token1] = ACTIONS(1507),
    [aux_sym__keyword_begin_token1] = ACTIONS(1507),
    [aux_sym__keyword_end_token1] = ACTIONS(1507),
    [aux_sym__keyword_when_token1] = ACTIONS(1507),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1507),
    [aux_sym__keyword_as_token1] = ACTIONS(1507),
    [aux_sym__keyword_window_token1] = ACTIONS(1507),
    [aux_sym__keyword_date_token1] = ACTIONS(1507),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1507),
    [aux_sym__keyword_time_token1] = ACTIONS(1507),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1507),
    [aux_sym__keyword_for_token1] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1507),
    [aux_sym_using_clause_token1] = ACTIONS(1507),
    [aux_sym_return_statement_token1] = ACTIONS(1507),
    [aux_sym_call_statement_token1] = ACTIONS(1507),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1507),
    [aux_sym_if_statement_token1] = ACTIONS(1507),
    [aux_sym_loop_statement_token1] = ACTIONS(1507),
    [aux_sym_repeat_statement_token1] = ACTIONS(1507),
    [aux_sym_while_statement_token1] = ACTIONS(1507),
    [aux_sym_break_statement_token1] = ACTIONS(1507),
    [aux_sym_leave_statement_token1] = ACTIONS(1507),
    [aux_sym_continue_statement_token1] = ACTIONS(1507),
    [aux_sym_iterate_statement_token1] = ACTIONS(1507),
    [aux_sym_raise_statement_token1] = ACTIONS(1507),
    [aux_sym_assert_statement_token1] = ACTIONS(1507),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1507),
    [aux_sym_set_operation_token1] = ACTIONS(1507),
    [aux_sym_set_operation_token3] = ACTIONS(1507),
    [aux_sym_set_operation_token4] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1507),
    [aux_sym_having_clause_token1] = ACTIONS(1507),
    [aux_sym_qualify_clause_token1] = ACTIONS(1507),
    [aux_sym_limit_clause_token1] = ACTIONS(1507),
    [aux_sym_group_by_clause_token1] = ACTIONS(1507),
    [aux_sym_order_by_clause_token1] = ACTIONS(1507),
    [aux_sym_where_clause_token1] = ACTIONS(1507),
    [aux_sym_pivot_operator_token1] = ACTIONS(1507),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1507),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1507),
    [aux_sym_join_type_token1] = ACTIONS(1507),
    [aux_sym_join_type_token2] = ACTIONS(1507),
    [aux_sym_join_type_token3] = ACTIONS(1507),
    [aux_sym_join_type_token4] = ACTIONS(1507),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1507),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1507),
    [aux_sym_join_condition_token1] = ACTIONS(1507),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1507),
    [aux_sym_truncate_statement_token1] = ACTIONS(1507),
    [aux_sym_update_statement_token1] = ACTIONS(1507),
    [aux_sym_merge_statement_token1] = ACTIONS(1507),
    [aux_sym_grant_statement_token1] = ACTIONS(1507),
    [aux_sym_revoke_statement_token1] = ACTIONS(1507),
    [aux_sym_export_data_statement_token1] = ACTIONS(1507),
    [aux_sym_load_data_statement_token1] = ACTIONS(1507),
    [sym__quoted_identifier] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
  },
  [4085] = {
    [sym_analytics_clause] = STATE(4446),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_end_token1] = ACTIONS(1499),
    [aux_sym__keyword_when_token1] = ACTIONS(1499),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_window_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_using_clause_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1499),
    [aux_sym_if_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_repeat_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token3] = ACTIONS(1499),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_having_clause_token1] = ACTIONS(1499),
    [aux_sym_qualify_clause_token1] = ACTIONS(1499),
    [aux_sym_limit_clause_token1] = ACTIONS(1499),
    [aux_sym_group_by_clause_token1] = ACTIONS(1499),
    [aux_sym_order_by_clause_token1] = ACTIONS(1499),
    [aux_sym_where_clause_token1] = ACTIONS(1499),
    [aux_sym_pivot_operator_token1] = ACTIONS(1499),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1499),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1499),
    [aux_sym_join_type_token1] = ACTIONS(1499),
    [aux_sym_join_type_token2] = ACTIONS(1499),
    [aux_sym_join_type_token3] = ACTIONS(1499),
    [aux_sym_join_type_token4] = ACTIONS(1499),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1499),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1499),
    [aux_sym_join_condition_token1] = ACTIONS(1499),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
  },
  [4086] = {
    [sym_analytics_clause] = STATE(4448),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_end_token1] = ACTIONS(1495),
    [aux_sym__keyword_when_token1] = ACTIONS(1495),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_window_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_using_clause_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1495),
    [aux_sym_if_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_repeat_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token3] = ACTIONS(1495),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_having_clause_token1] = ACTIONS(1495),
    [aux_sym_qualify_clause_token1] = ACTIONS(1495),
    [aux_sym_limit_clause_token1] = ACTIONS(1495),
    [aux_sym_group_by_clause_token1] = ACTIONS(1495),
    [aux_sym_order_by_clause_token1] = ACTIONS(1495),
    [aux_sym_where_clause_token1] = ACTIONS(1495),
    [aux_sym_pivot_operator_token1] = ACTIONS(1495),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1495),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1495),
    [aux_sym_join_type_token1] = ACTIONS(1495),
    [aux_sym_join_type_token2] = ACTIONS(1495),
    [aux_sym_join_type_token3] = ACTIONS(1495),
    [aux_sym_join_type_token4] = ACTIONS(1495),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1495),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1495),
    [aux_sym_join_condition_token1] = ACTIONS(1495),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
  },
  [4087] = {
    [sym_analytics_clause] = STATE(4452),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4088] = {
    [sym_analytics_clause] = STATE(4451),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_end_token1] = ACTIONS(1487),
    [aux_sym__keyword_when_token1] = ACTIONS(1487),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_window_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_using_clause_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1487),
    [aux_sym_if_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_repeat_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token3] = ACTIONS(1487),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_having_clause_token1] = ACTIONS(1487),
    [aux_sym_qualify_clause_token1] = ACTIONS(1487),
    [aux_sym_limit_clause_token1] = ACTIONS(1487),
    [aux_sym_group_by_clause_token1] = ACTIONS(1487),
    [aux_sym_order_by_clause_token1] = ACTIONS(1487),
    [aux_sym_where_clause_token1] = ACTIONS(1487),
    [aux_sym_pivot_operator_token1] = ACTIONS(1487),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1487),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1487),
    [aux_sym_join_type_token1] = ACTIONS(1487),
    [aux_sym_join_type_token2] = ACTIONS(1487),
    [aux_sym_join_type_token3] = ACTIONS(1487),
    [aux_sym_join_type_token4] = ACTIONS(1487),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1487),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1487),
    [aux_sym_join_condition_token1] = ACTIONS(1487),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
  },
  [4089] = {
    [sym_analytics_clause] = STATE(4591),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4090] = {
    [sym_analytics_clause] = STATE(4677),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym__unquoted_identifier] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1507),
    [aux_sym_keyword_replace_token1] = ACTIONS(1507),
    [aux_sym__keyword_alter_token1] = ACTIONS(1507),
    [aux_sym__keyword_create_token1] = ACTIONS(1507),
    [aux_sym__keyword_drop_token1] = ACTIONS(1507),
    [aux_sym__keyword_delete_token1] = ACTIONS(1507),
    [aux_sym__keyword_begin_token1] = ACTIONS(1507),
    [aux_sym__keyword_between_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1507),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1507),
    [aux_sym__keyword_like_token1] = ACTIONS(1507),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1507),
    [aux_sym__keyword_as_token1] = ACTIONS(1507),
    [aux_sym__keyword_date_token1] = ACTIONS(1507),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1507),
    [aux_sym__keyword_time_token1] = ACTIONS(1507),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1507),
    [aux_sym__keyword_for_token1] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1507),
    [aux_sym_return_statement_token1] = ACTIONS(1507),
    [aux_sym_call_statement_token1] = ACTIONS(1507),
    [aux_sym_loop_statement_token1] = ACTIONS(1507),
    [aux_sym_while_statement_token1] = ACTIONS(1507),
    [aux_sym_break_statement_token1] = ACTIONS(1507),
    [aux_sym_leave_statement_token1] = ACTIONS(1507),
    [aux_sym_continue_statement_token1] = ACTIONS(1507),
    [aux_sym_iterate_statement_token1] = ACTIONS(1507),
    [aux_sym_raise_statement_token1] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1507),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1507),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1507),
    [aux_sym_truncate_statement_token1] = ACTIONS(1507),
    [aux_sym_update_statement_token1] = ACTIONS(1507),
    [aux_sym_merge_statement_token1] = ACTIONS(1507),
    [aux_sym_grant_statement_token1] = ACTIONS(1507),
    [aux_sym_revoke_statement_token1] = ACTIONS(1507),
    [aux_sym_export_data_statement_token1] = ACTIONS(1507),
    [aux_sym_load_data_statement_token1] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym__quoted_identifier] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [4091] = {
    [sym_analytics_clause] = STATE(4498),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4092] = {
    [sym_analytics_clause] = STATE(4672),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1511),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_between_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1511),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1511),
    [aux_sym__keyword_like_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [4093] = {
    [sym_analytics_clause] = STATE(4497),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4094] = {
    [sym_analytics_clause] = STATE(4496),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1395),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_between_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1395),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1395),
    [aux_sym__keyword_like_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [4095] = {
    [sym_analytics_clause] = STATE(4765),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4096] = {
    [sym_analytics_clause] = STATE(4670),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4097] = {
    [sym_analytics_clause] = STATE(4667),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4098] = {
    [sym_analytics_clause] = STATE(4665),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4099] = {
    [sym_analytics_clause] = STATE(4486),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4100] = {
    [sym_analytics_clause] = STATE(4664),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4101] = {
    [sym_analytics_clause] = STATE(4662),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4102] = {
    [sym_analytics_clause] = STATE(4509),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4103] = {
    [sym_analytics_clause] = STATE(4485),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4104] = {
    [sym_analytics_clause] = STATE(4525),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_end_token1] = ACTIONS(1369),
    [aux_sym__keyword_when_token1] = ACTIONS(1369),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_window_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_using_clause_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1369),
    [aux_sym_if_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_repeat_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token3] = ACTIONS(1369),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_having_clause_token1] = ACTIONS(1369),
    [aux_sym_qualify_clause_token1] = ACTIONS(1369),
    [aux_sym_limit_clause_token1] = ACTIONS(1369),
    [aux_sym_group_by_clause_token1] = ACTIONS(1369),
    [aux_sym_order_by_clause_token1] = ACTIONS(1369),
    [aux_sym_where_clause_token1] = ACTIONS(1369),
    [aux_sym_pivot_operator_token1] = ACTIONS(1369),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1369),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1369),
    [aux_sym_join_type_token1] = ACTIONS(1369),
    [aux_sym_join_type_token2] = ACTIONS(1369),
    [aux_sym_join_type_token3] = ACTIONS(1369),
    [aux_sym_join_type_token4] = ACTIONS(1369),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1369),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1369),
    [aux_sym_join_condition_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
  },
  [4105] = {
    [sym_analytics_clause] = STATE(4484),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4106] = {
    [sym_analytics_clause] = STATE(4553),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_end_token1] = ACTIONS(1369),
    [aux_sym__keyword_when_token1] = ACTIONS(1369),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_window_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_using_clause_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1369),
    [aux_sym_if_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_repeat_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token3] = ACTIONS(1369),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_having_clause_token1] = ACTIONS(1369),
    [aux_sym_qualify_clause_token1] = ACTIONS(1369),
    [aux_sym_limit_clause_token1] = ACTIONS(1369),
    [aux_sym_group_by_clause_token1] = ACTIONS(1369),
    [aux_sym_order_by_clause_token1] = ACTIONS(1369),
    [aux_sym_where_clause_token1] = ACTIONS(1369),
    [aux_sym_pivot_operator_token1] = ACTIONS(1369),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1369),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1369),
    [aux_sym_join_type_token1] = ACTIONS(1369),
    [aux_sym_join_type_token2] = ACTIONS(1369),
    [aux_sym_join_type_token3] = ACTIONS(1369),
    [aux_sym_join_type_token4] = ACTIONS(1369),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1369),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1369),
    [aux_sym_join_condition_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
  },
  [4107] = {
    [sym_analytics_clause] = STATE(4556),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_end_token1] = ACTIONS(1459),
    [aux_sym__keyword_when_token1] = ACTIONS(1459),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_window_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_using_clause_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1459),
    [aux_sym_if_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_repeat_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token3] = ACTIONS(1459),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_having_clause_token1] = ACTIONS(1459),
    [aux_sym_qualify_clause_token1] = ACTIONS(1459),
    [aux_sym_limit_clause_token1] = ACTIONS(1459),
    [aux_sym_group_by_clause_token1] = ACTIONS(1459),
    [aux_sym_order_by_clause_token1] = ACTIONS(1459),
    [aux_sym_where_clause_token1] = ACTIONS(1459),
    [aux_sym_pivot_operator_token1] = ACTIONS(1459),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1459),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1459),
    [aux_sym_join_type_token1] = ACTIONS(1459),
    [aux_sym_join_type_token2] = ACTIONS(1459),
    [aux_sym_join_type_token3] = ACTIONS(1459),
    [aux_sym_join_type_token4] = ACTIONS(1459),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1459),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1459),
    [aux_sym_join_condition_token1] = ACTIONS(1459),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
  },
  [4108] = {
    [sym_analytics_clause] = STATE(4659),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4109] = {
    [sym_analytics_clause] = STATE(4547),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4110] = {
    [sym_analytics_clause] = STATE(4570),
    [sym__unquoted_identifier] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1455),
    [aux_sym__keyword_alter_token1] = ACTIONS(1455),
    [aux_sym__keyword_create_token1] = ACTIONS(1455),
    [aux_sym__keyword_drop_token1] = ACTIONS(1455),
    [aux_sym__keyword_delete_token1] = ACTIONS(1455),
    [aux_sym__keyword_begin_token1] = ACTIONS(1455),
    [aux_sym__keyword_end_token1] = ACTIONS(1455),
    [aux_sym__keyword_when_token1] = ACTIONS(1455),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1455),
    [aux_sym__keyword_as_token1] = ACTIONS(1455),
    [aux_sym__keyword_window_token1] = ACTIONS(1455),
    [aux_sym__keyword_date_token1] = ACTIONS(1455),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1455),
    [aux_sym__keyword_time_token1] = ACTIONS(1455),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1455),
    [aux_sym__keyword_for_token1] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1455),
    [aux_sym_using_clause_token1] = ACTIONS(1455),
    [aux_sym_return_statement_token1] = ACTIONS(1455),
    [aux_sym_call_statement_token1] = ACTIONS(1455),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1455),
    [aux_sym_if_statement_token1] = ACTIONS(1455),
    [aux_sym_loop_statement_token1] = ACTIONS(1455),
    [aux_sym_repeat_statement_token1] = ACTIONS(1455),
    [aux_sym_while_statement_token1] = ACTIONS(1455),
    [aux_sym_break_statement_token1] = ACTIONS(1455),
    [aux_sym_leave_statement_token1] = ACTIONS(1455),
    [aux_sym_continue_statement_token1] = ACTIONS(1455),
    [aux_sym_iterate_statement_token1] = ACTIONS(1455),
    [aux_sym_raise_statement_token1] = ACTIONS(1455),
    [aux_sym_assert_statement_token1] = ACTIONS(1455),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1455),
    [aux_sym_set_operation_token1] = ACTIONS(1455),
    [aux_sym_set_operation_token3] = ACTIONS(1455),
    [aux_sym_set_operation_token4] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1455),
    [aux_sym_having_clause_token1] = ACTIONS(1455),
    [aux_sym_qualify_clause_token1] = ACTIONS(1455),
    [aux_sym_limit_clause_token1] = ACTIONS(1455),
    [aux_sym_group_by_clause_token1] = ACTIONS(1455),
    [aux_sym_order_by_clause_token1] = ACTIONS(1455),
    [aux_sym_where_clause_token1] = ACTIONS(1455),
    [aux_sym_pivot_operator_token1] = ACTIONS(1455),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1455),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1455),
    [aux_sym_join_type_token1] = ACTIONS(1455),
    [aux_sym_join_type_token2] = ACTIONS(1455),
    [aux_sym_join_type_token3] = ACTIONS(1455),
    [aux_sym_join_type_token4] = ACTIONS(1455),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1455),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1455),
    [aux_sym_join_condition_token1] = ACTIONS(1455),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1455),
    [aux_sym_truncate_statement_token1] = ACTIONS(1455),
    [aux_sym_update_statement_token1] = ACTIONS(1455),
    [aux_sym_merge_statement_token1] = ACTIONS(1455),
    [aux_sym_grant_statement_token1] = ACTIONS(1455),
    [aux_sym_revoke_statement_token1] = ACTIONS(1455),
    [aux_sym_export_data_statement_token1] = ACTIONS(1455),
    [aux_sym_load_data_statement_token1] = ACTIONS(1455),
    [sym__quoted_identifier] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
  },
  [4111] = {
    [sym_analytics_clause] = STATE(4548),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4112] = {
    [sym_analytics_clause] = STATE(4683),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1369),
    [aux_sym_keyword_replace_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_between_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1369),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1369),
    [aux_sym__keyword_like_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [4113] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1539),
    [aux_sym_keyword_replace_token1] = ACTIONS(1539),
    [aux_sym__keyword_alter_token1] = ACTIONS(1539),
    [aux_sym__keyword_create_token1] = ACTIONS(1539),
    [aux_sym__keyword_drop_token1] = ACTIONS(1539),
    [aux_sym__keyword_delete_token1] = ACTIONS(1539),
    [aux_sym__keyword_begin_token1] = ACTIONS(1539),
    [aux_sym__keyword_end_token1] = ACTIONS(1539),
    [aux_sym__keyword_between_token1] = ACTIONS(1539),
    [aux_sym__keyword_when_token1] = ACTIONS(1539),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1539),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1539),
    [aux_sym__keyword_like_token1] = ACTIONS(1539),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1539),
    [aux_sym__keyword_as_token1] = ACTIONS(1541),
    [aux_sym__keyword_for_token1] = ACTIONS(1539),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1539),
    [aux_sym_return_statement_token1] = ACTIONS(1539),
    [aux_sym_call_statement_token1] = ACTIONS(1539),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1539),
    [aux_sym_if_statement_token1] = ACTIONS(1539),
    [aux_sym_loop_statement_token1] = ACTIONS(1539),
    [aux_sym_repeat_statement_token1] = ACTIONS(1539),
    [aux_sym_while_statement_token1] = ACTIONS(1539),
    [aux_sym_break_statement_token1] = ACTIONS(1539),
    [aux_sym_leave_statement_token1] = ACTIONS(1539),
    [aux_sym_continue_statement_token1] = ACTIONS(1539),
    [aux_sym_iterate_statement_token1] = ACTIONS(1539),
    [aux_sym_raise_statement_token1] = ACTIONS(1539),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1539),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1539),
    [aux_sym_option_clause_token1] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1539),
    [aux_sym_insert_statement_token1] = ACTIONS(1539),
    [aux_sym_truncate_statement_token1] = ACTIONS(1539),
    [aux_sym_update_statement_token1] = ACTIONS(1539),
    [aux_sym_merge_statement_token1] = ACTIONS(1539),
    [aux_sym_grant_statement_token1] = ACTIONS(1539),
    [aux_sym_revoke_statement_token1] = ACTIONS(1539),
    [aux_sym_export_data_statement_token1] = ACTIONS(1539),
    [aux_sym_load_data_statement_token1] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [4114] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1225),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1225),
    [aux_sym_keyword_replace_token1] = ACTIONS(1225),
    [aux_sym__keyword_alter_token1] = ACTIONS(1225),
    [aux_sym__keyword_create_token1] = ACTIONS(1225),
    [aux_sym__keyword_drop_token1] = ACTIONS(1225),
    [aux_sym__keyword_delete_token1] = ACTIONS(1225),
    [aux_sym__keyword_begin_token1] = ACTIONS(1225),
    [aux_sym__keyword_between_token1] = ACTIONS(1225),
    [aux_sym__keyword_is_token1] = ACTIONS(1225),
    [aux_sym__keyword_in_token1] = ACTIONS(1227),
    [aux_sym__keyword_and_token1] = ACTIONS(1225),
    [aux_sym__keyword_like_token1] = ACTIONS(1225),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1225),
    [aux_sym__keyword_as_token1] = ACTIONS(1227),
    [aux_sym__keyword_for_token1] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_declare_statement_token1] = ACTIONS(1225),
    [aux_sym_set_statement_token1] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1225),
    [aux_sym_return_statement_token1] = ACTIONS(1225),
    [aux_sym_call_statement_token1] = ACTIONS(1225),
    [aux_sym_loop_statement_token1] = ACTIONS(1225),
    [aux_sym_while_statement_token1] = ACTIONS(1225),
    [aux_sym_break_statement_token1] = ACTIONS(1225),
    [aux_sym_leave_statement_token1] = ACTIONS(1225),
    [aux_sym_continue_statement_token1] = ACTIONS(1225),
    [aux_sym_iterate_statement_token1] = ACTIONS(1225),
    [aux_sym_raise_statement_token1] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [aux_sym_assert_statement_token1] = ACTIONS(1225),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [aux_sym_select_token1] = ACTIONS(1225),
    [aux_sym_insert_statement_token1] = ACTIONS(1225),
    [aux_sym_truncate_statement_token1] = ACTIONS(1225),
    [aux_sym_update_statement_token1] = ACTIONS(1225),
    [aux_sym_merge_statement_token1] = ACTIONS(1225),
    [aux_sym_grant_statement_token1] = ACTIONS(1225),
    [aux_sym_revoke_statement_token1] = ACTIONS(1225),
    [aux_sym_export_data_statement_token1] = ACTIONS(1225),
    [aux_sym_load_data_statement_token1] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4115] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1239),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1239),
    [aux_sym_keyword_replace_token1] = ACTIONS(1239),
    [aux_sym__keyword_alter_token1] = ACTIONS(1239),
    [aux_sym__keyword_create_token1] = ACTIONS(1239),
    [aux_sym__keyword_drop_token1] = ACTIONS(1239),
    [aux_sym__keyword_delete_token1] = ACTIONS(1239),
    [aux_sym__keyword_begin_token1] = ACTIONS(1239),
    [aux_sym__keyword_between_token1] = ACTIONS(1239),
    [aux_sym__keyword_is_token1] = ACTIONS(1239),
    [aux_sym__keyword_in_token1] = ACTIONS(1241),
    [aux_sym__keyword_and_token1] = ACTIONS(1239),
    [aux_sym__keyword_like_token1] = ACTIONS(1239),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1239),
    [aux_sym__keyword_as_token1] = ACTIONS(1241),
    [aux_sym__keyword_for_token1] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [aux_sym_declare_statement_token1] = ACTIONS(1239),
    [aux_sym_set_statement_token1] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1239),
    [aux_sym_return_statement_token1] = ACTIONS(1239),
    [aux_sym_call_statement_token1] = ACTIONS(1239),
    [aux_sym_loop_statement_token1] = ACTIONS(1239),
    [aux_sym_while_statement_token1] = ACTIONS(1239),
    [aux_sym_break_statement_token1] = ACTIONS(1239),
    [aux_sym_leave_statement_token1] = ACTIONS(1239),
    [aux_sym_continue_statement_token1] = ACTIONS(1239),
    [aux_sym_iterate_statement_token1] = ACTIONS(1239),
    [aux_sym_raise_statement_token1] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [aux_sym_assert_statement_token1] = ACTIONS(1239),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [aux_sym_select_token1] = ACTIONS(1239),
    [aux_sym_insert_statement_token1] = ACTIONS(1239),
    [aux_sym_truncate_statement_token1] = ACTIONS(1239),
    [aux_sym_update_statement_token1] = ACTIONS(1239),
    [aux_sym_merge_statement_token1] = ACTIONS(1239),
    [aux_sym_grant_statement_token1] = ACTIONS(1239),
    [aux_sym_revoke_statement_token1] = ACTIONS(1239),
    [aux_sym_export_data_statement_token1] = ACTIONS(1239),
    [aux_sym_load_data_statement_token1] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_LT_GT] = ACTIONS(1239),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4116] = {
    [sym_analytics_clause] = STATE(4577),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_end_token1] = ACTIONS(1447),
    [aux_sym__keyword_when_token1] = ACTIONS(1447),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_window_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_using_clause_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1447),
    [aux_sym_if_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_repeat_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token3] = ACTIONS(1447),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_having_clause_token1] = ACTIONS(1447),
    [aux_sym_qualify_clause_token1] = ACTIONS(1447),
    [aux_sym_limit_clause_token1] = ACTIONS(1447),
    [aux_sym_group_by_clause_token1] = ACTIONS(1447),
    [aux_sym_order_by_clause_token1] = ACTIONS(1447),
    [aux_sym_where_clause_token1] = ACTIONS(1447),
    [aux_sym_pivot_operator_token1] = ACTIONS(1447),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1447),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1447),
    [aux_sym_join_type_token1] = ACTIONS(1447),
    [aux_sym_join_type_token2] = ACTIONS(1447),
    [aux_sym_join_type_token3] = ACTIONS(1447),
    [aux_sym_join_type_token4] = ACTIONS(1447),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1447),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1447),
    [aux_sym_join_condition_token1] = ACTIONS(1447),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
  },
  [4117] = {
    [sym_analytics_clause] = STATE(4656),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4118] = {
    [sym_analytics_clause] = STATE(4652),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4119] = {
    [sym_analytics_clause] = STATE(4481),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4120] = {
    [sym_analytics_clause] = STATE(4649),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4121] = {
    [sym_analytics_clause] = STATE(4648),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4122] = {
    [sym_analytics_clause] = STATE(4479),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4123] = {
    [sym_analytics_clause] = STATE(4645),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1515),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_between_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1515),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1515),
    [aux_sym__keyword_like_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [4124] = {
    [sym_analytics_clause] = STATE(4478),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4125] = {
    [sym_analytics_clause] = STATE(4477),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4126] = {
    [sym_analytics_clause] = STATE(4644),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1503),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_between_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1503),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1503),
    [aux_sym__keyword_like_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [4127] = {
    [sym_analytics_clause] = STATE(4476),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4128] = {
    [sym_analytics_clause] = STATE(4499),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4129] = {
    [sym_analytics_clause] = STATE(4643),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1491),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_between_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1491),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1491),
    [aux_sym__keyword_like_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [4130] = {
    [sym_analytics_clause] = STATE(4472),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4131] = {
    [sym_analytics_clause] = STATE(4549),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4132] = {
    [sym_analytics_clause] = STATE(4471),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4133] = {
    [sym_analytics_clause] = STATE(4642),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4134] = {
    [sym_analytics_clause] = STATE(4641),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4135] = {
    [sym_analytics_clause] = STATE(4470),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4136] = {
    [sym_analytics_clause] = STATE(4711),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4137] = {
    [sym_analytics_clause] = STATE(4638),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4138] = {
    [sym_analytics_clause] = STATE(4423),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4139] = {
    [sym_analytics_clause] = STATE(4468),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4140] = {
    [sym_analytics_clause] = STATE(4467),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1467),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_between_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1467),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1467),
    [aux_sym__keyword_like_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [4141] = {
    [sym_analytics_clause] = STATE(4550),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1427),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_between_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1427),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1427),
    [aux_sym__keyword_like_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [4142] = {
    [sym_analytics_clause] = STATE(4551),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4143] = {
    [sym_analytics_clause] = STATE(4630),
    [ts_builtin_sym_end] = ACTIONS(1461),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1463),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_between_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1463),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1463),
    [aux_sym__keyword_like_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [4144] = {
    [sym_analytics_clause] = STATE(4465),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4145] = {
    [sym_analytics_clause] = STATE(4463),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4146] = {
    [sym_analytics_clause] = STATE(4554),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4147] = {
    [sym_analytics_clause] = STATE(4557),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4148] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1207),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1207),
    [aux_sym_keyword_replace_token1] = ACTIONS(1207),
    [aux_sym__keyword_alter_token1] = ACTIONS(1207),
    [aux_sym__keyword_create_token1] = ACTIONS(1207),
    [aux_sym__keyword_drop_token1] = ACTIONS(1207),
    [aux_sym__keyword_delete_token1] = ACTIONS(1207),
    [aux_sym__keyword_begin_token1] = ACTIONS(1207),
    [aux_sym__keyword_between_token1] = ACTIONS(1207),
    [aux_sym__keyword_is_token1] = ACTIONS(1207),
    [aux_sym__keyword_in_token1] = ACTIONS(1209),
    [aux_sym__keyword_and_token1] = ACTIONS(1207),
    [aux_sym__keyword_like_token1] = ACTIONS(1207),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1207),
    [aux_sym__keyword_as_token1] = ACTIONS(1209),
    [aux_sym__keyword_for_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1207),
    [aux_sym_declare_statement_token1] = ACTIONS(1207),
    [aux_sym_set_statement_token1] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1207),
    [aux_sym_return_statement_token1] = ACTIONS(1207),
    [aux_sym_call_statement_token1] = ACTIONS(1207),
    [aux_sym_loop_statement_token1] = ACTIONS(1207),
    [aux_sym_while_statement_token1] = ACTIONS(1207),
    [aux_sym_break_statement_token1] = ACTIONS(1207),
    [aux_sym_leave_statement_token1] = ACTIONS(1207),
    [aux_sym_continue_statement_token1] = ACTIONS(1207),
    [aux_sym_iterate_statement_token1] = ACTIONS(1207),
    [aux_sym_raise_statement_token1] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [aux_sym_assert_statement_token1] = ACTIONS(1207),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [aux_sym_select_token1] = ACTIONS(1207),
    [aux_sym_insert_statement_token1] = ACTIONS(1207),
    [aux_sym_truncate_statement_token1] = ACTIONS(1207),
    [aux_sym_update_statement_token1] = ACTIONS(1207),
    [aux_sym_merge_statement_token1] = ACTIONS(1207),
    [aux_sym_grant_statement_token1] = ACTIONS(1207),
    [aux_sym_revoke_statement_token1] = ACTIONS(1207),
    [aux_sym_export_data_statement_token1] = ACTIONS(1207),
    [aux_sym_load_data_statement_token1] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4149] = {
    [sym_analytics_clause] = STATE(4675),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4150] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1165),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1165),
    [aux_sym_keyword_replace_token1] = ACTIONS(1165),
    [aux_sym__keyword_alter_token1] = ACTIONS(1165),
    [aux_sym__keyword_create_token1] = ACTIONS(1165),
    [aux_sym__keyword_drop_token1] = ACTIONS(1165),
    [aux_sym__keyword_delete_token1] = ACTIONS(1165),
    [aux_sym__keyword_begin_token1] = ACTIONS(1165),
    [aux_sym__keyword_between_token1] = ACTIONS(1165),
    [aux_sym__keyword_is_token1] = ACTIONS(1165),
    [aux_sym__keyword_in_token1] = ACTIONS(1167),
    [aux_sym__keyword_and_token1] = ACTIONS(1165),
    [aux_sym__keyword_like_token1] = ACTIONS(1165),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1165),
    [aux_sym__keyword_as_token1] = ACTIONS(1167),
    [aux_sym__keyword_for_token1] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [aux_sym_declare_statement_token1] = ACTIONS(1165),
    [aux_sym_set_statement_token1] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1165),
    [aux_sym_return_statement_token1] = ACTIONS(1165),
    [aux_sym_call_statement_token1] = ACTIONS(1165),
    [aux_sym_loop_statement_token1] = ACTIONS(1165),
    [aux_sym_while_statement_token1] = ACTIONS(1165),
    [aux_sym_break_statement_token1] = ACTIONS(1165),
    [aux_sym_leave_statement_token1] = ACTIONS(1165),
    [aux_sym_continue_statement_token1] = ACTIONS(1165),
    [aux_sym_iterate_statement_token1] = ACTIONS(1165),
    [aux_sym_raise_statement_token1] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [aux_sym_assert_statement_token1] = ACTIONS(1165),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [aux_sym_select_token1] = ACTIONS(1165),
    [aux_sym_insert_statement_token1] = ACTIONS(1165),
    [aux_sym_truncate_statement_token1] = ACTIONS(1165),
    [aux_sym_update_statement_token1] = ACTIONS(1165),
    [aux_sym_merge_statement_token1] = ACTIONS(1165),
    [aux_sym_grant_statement_token1] = ACTIONS(1165),
    [aux_sym_revoke_statement_token1] = ACTIONS(1165),
    [aux_sym_export_data_statement_token1] = ACTIONS(1165),
    [aux_sym_load_data_statement_token1] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_LT_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4151] = {
    [sym_analytics_clause] = STATE(4434),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4152] = {
    [sym_analytics_clause] = STATE(4462),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4153] = {
    [sym_analytics_clause] = STATE(4562),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4154] = {
    [sym_analytics_clause] = STATE(4651),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4155] = {
    [sym_analytics_clause] = STATE(4461),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4156] = {
    [sym_analytics_clause] = STATE(4563),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4157] = {
    [sym_analytics_clause] = STATE(4565),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4158] = {
    [sym_analytics_clause] = STATE(4460),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4159] = {
    [sym_analytics_clause] = STATE(4600),
    [sym__unquoted_identifier] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1439),
    [aux_sym__keyword_alter_token1] = ACTIONS(1439),
    [aux_sym__keyword_create_token1] = ACTIONS(1439),
    [aux_sym__keyword_drop_token1] = ACTIONS(1439),
    [aux_sym__keyword_delete_token1] = ACTIONS(1439),
    [aux_sym__keyword_begin_token1] = ACTIONS(1439),
    [aux_sym__keyword_end_token1] = ACTIONS(1439),
    [aux_sym__keyword_when_token1] = ACTIONS(1439),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1439),
    [aux_sym__keyword_as_token1] = ACTIONS(1439),
    [aux_sym__keyword_window_token1] = ACTIONS(1439),
    [aux_sym__keyword_date_token1] = ACTIONS(1439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1439),
    [aux_sym__keyword_time_token1] = ACTIONS(1439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1439),
    [aux_sym__keyword_for_token1] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1439),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1439),
    [aux_sym_using_clause_token1] = ACTIONS(1439),
    [aux_sym_return_statement_token1] = ACTIONS(1439),
    [aux_sym_call_statement_token1] = ACTIONS(1439),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1439),
    [aux_sym_if_statement_token1] = ACTIONS(1439),
    [aux_sym_loop_statement_token1] = ACTIONS(1439),
    [aux_sym_repeat_statement_token1] = ACTIONS(1439),
    [aux_sym_while_statement_token1] = ACTIONS(1439),
    [aux_sym_break_statement_token1] = ACTIONS(1439),
    [aux_sym_leave_statement_token1] = ACTIONS(1439),
    [aux_sym_continue_statement_token1] = ACTIONS(1439),
    [aux_sym_iterate_statement_token1] = ACTIONS(1439),
    [aux_sym_raise_statement_token1] = ACTIONS(1439),
    [aux_sym_assert_statement_token1] = ACTIONS(1439),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1439),
    [aux_sym_set_operation_token1] = ACTIONS(1439),
    [aux_sym_set_operation_token3] = ACTIONS(1439),
    [aux_sym_set_operation_token4] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1439),
    [aux_sym_having_clause_token1] = ACTIONS(1439),
    [aux_sym_qualify_clause_token1] = ACTIONS(1439),
    [aux_sym_limit_clause_token1] = ACTIONS(1439),
    [aux_sym_group_by_clause_token1] = ACTIONS(1439),
    [aux_sym_order_by_clause_token1] = ACTIONS(1439),
    [aux_sym_where_clause_token1] = ACTIONS(1439),
    [aux_sym_pivot_operator_token1] = ACTIONS(1439),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1439),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1439),
    [aux_sym_join_type_token1] = ACTIONS(1439),
    [aux_sym_join_type_token2] = ACTIONS(1439),
    [aux_sym_join_type_token3] = ACTIONS(1439),
    [aux_sym_join_type_token4] = ACTIONS(1439),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1439),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1439),
    [aux_sym_join_condition_token1] = ACTIONS(1439),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1439),
    [aux_sym_truncate_statement_token1] = ACTIONS(1439),
    [aux_sym_update_statement_token1] = ACTIONS(1439),
    [aux_sym_merge_statement_token1] = ACTIONS(1439),
    [aux_sym_grant_statement_token1] = ACTIONS(1439),
    [aux_sym_revoke_statement_token1] = ACTIONS(1439),
    [aux_sym_export_data_statement_token1] = ACTIONS(1439),
    [aux_sym_load_data_statement_token1] = ACTIONS(1439),
    [sym__quoted_identifier] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
  },
  [4160] = {
    [sym_analytics_clause] = STATE(4623),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4161] = {
    [sym_analytics_clause] = STATE(4603),
    [sym__unquoted_identifier] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1435),
    [aux_sym__keyword_alter_token1] = ACTIONS(1435),
    [aux_sym__keyword_create_token1] = ACTIONS(1435),
    [aux_sym__keyword_drop_token1] = ACTIONS(1435),
    [aux_sym__keyword_delete_token1] = ACTIONS(1435),
    [aux_sym__keyword_begin_token1] = ACTIONS(1435),
    [aux_sym__keyword_end_token1] = ACTIONS(1435),
    [aux_sym__keyword_when_token1] = ACTIONS(1435),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1435),
    [aux_sym__keyword_as_token1] = ACTIONS(1435),
    [aux_sym__keyword_window_token1] = ACTIONS(1435),
    [aux_sym__keyword_date_token1] = ACTIONS(1435),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1435),
    [aux_sym__keyword_time_token1] = ACTIONS(1435),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1435),
    [aux_sym__keyword_for_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1435),
    [aux_sym_using_clause_token1] = ACTIONS(1435),
    [aux_sym_return_statement_token1] = ACTIONS(1435),
    [aux_sym_call_statement_token1] = ACTIONS(1435),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1435),
    [aux_sym_if_statement_token1] = ACTIONS(1435),
    [aux_sym_loop_statement_token1] = ACTIONS(1435),
    [aux_sym_repeat_statement_token1] = ACTIONS(1435),
    [aux_sym_while_statement_token1] = ACTIONS(1435),
    [aux_sym_break_statement_token1] = ACTIONS(1435),
    [aux_sym_leave_statement_token1] = ACTIONS(1435),
    [aux_sym_continue_statement_token1] = ACTIONS(1435),
    [aux_sym_iterate_statement_token1] = ACTIONS(1435),
    [aux_sym_raise_statement_token1] = ACTIONS(1435),
    [aux_sym_assert_statement_token1] = ACTIONS(1435),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1435),
    [aux_sym_set_operation_token1] = ACTIONS(1435),
    [aux_sym_set_operation_token3] = ACTIONS(1435),
    [aux_sym_set_operation_token4] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1435),
    [aux_sym_having_clause_token1] = ACTIONS(1435),
    [aux_sym_qualify_clause_token1] = ACTIONS(1435),
    [aux_sym_limit_clause_token1] = ACTIONS(1435),
    [aux_sym_group_by_clause_token1] = ACTIONS(1435),
    [aux_sym_order_by_clause_token1] = ACTIONS(1435),
    [aux_sym_where_clause_token1] = ACTIONS(1435),
    [aux_sym_pivot_operator_token1] = ACTIONS(1435),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1435),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1435),
    [aux_sym_join_type_token1] = ACTIONS(1435),
    [aux_sym_join_type_token2] = ACTIONS(1435),
    [aux_sym_join_type_token3] = ACTIONS(1435),
    [aux_sym_join_type_token4] = ACTIONS(1435),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1435),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1435),
    [aux_sym_join_condition_token1] = ACTIONS(1435),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1435),
    [aux_sym_truncate_statement_token1] = ACTIONS(1435),
    [aux_sym_update_statement_token1] = ACTIONS(1435),
    [aux_sym_merge_statement_token1] = ACTIONS(1435),
    [aux_sym_grant_statement_token1] = ACTIONS(1435),
    [aux_sym_revoke_statement_token1] = ACTIONS(1435),
    [aux_sym_export_data_statement_token1] = ACTIONS(1435),
    [aux_sym_load_data_statement_token1] = ACTIONS(1435),
    [sym__quoted_identifier] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
  },
  [4162] = {
    [sym_analytics_clause] = STATE(4622),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4163] = {
    [sym_analytics_clause] = STATE(4414),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4164] = {
    [sym_analytics_clause] = STATE(4606),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_end_token1] = ACTIONS(1431),
    [aux_sym__keyword_when_token1] = ACTIONS(1431),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_window_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_using_clause_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1431),
    [aux_sym_if_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_repeat_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token3] = ACTIONS(1431),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_having_clause_token1] = ACTIONS(1431),
    [aux_sym_qualify_clause_token1] = ACTIONS(1431),
    [aux_sym_limit_clause_token1] = ACTIONS(1431),
    [aux_sym_group_by_clause_token1] = ACTIONS(1431),
    [aux_sym_order_by_clause_token1] = ACTIONS(1431),
    [aux_sym_where_clause_token1] = ACTIONS(1431),
    [aux_sym_pivot_operator_token1] = ACTIONS(1431),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1431),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1431),
    [aux_sym_join_type_token1] = ACTIONS(1431),
    [aux_sym_join_type_token2] = ACTIONS(1431),
    [aux_sym_join_type_token3] = ACTIONS(1431),
    [aux_sym_join_type_token4] = ACTIONS(1431),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1431),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1431),
    [aux_sym_join_condition_token1] = ACTIONS(1431),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [4165] = {
    [sym_analytics_clause] = STATE(4616),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4166] = {
    [sym_analytics_clause] = STATE(4459),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4167] = {
    [sym_analytics_clause] = STATE(4458),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4168] = {
    [sym_analytics_clause] = STATE(4449),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4169] = {
    [sym_analytics_clause] = STATE(4566),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4170] = {
    [sym_analytics_clause] = STATE(4567),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4171] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3201),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3201),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3201),
    [aux_sym__keyword_create_token1] = ACTIONS(3201),
    [aux_sym__keyword_drop_token1] = ACTIONS(3201),
    [aux_sym__keyword_delete_token1] = ACTIONS(3201),
    [aux_sym__keyword_begin_token1] = ACTIONS(3201),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(3315),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3201),
    [aux_sym__keyword_for_token1] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3201),
    [aux_sym_declare_statement_token1] = ACTIONS(3201),
    [anon_sym_COMMA] = ACTIONS(3201),
    [aux_sym_set_statement_token1] = ACTIONS(3201),
    [anon_sym_LPAREN] = ACTIONS(3201),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3201),
    [aux_sym_return_statement_token1] = ACTIONS(3201),
    [aux_sym_call_statement_token1] = ACTIONS(3201),
    [aux_sym_loop_statement_token1] = ACTIONS(3201),
    [aux_sym_while_statement_token1] = ACTIONS(3201),
    [aux_sym_break_statement_token1] = ACTIONS(3201),
    [aux_sym_leave_statement_token1] = ACTIONS(3201),
    [aux_sym_continue_statement_token1] = ACTIONS(3201),
    [aux_sym_iterate_statement_token1] = ACTIONS(3201),
    [aux_sym_raise_statement_token1] = ACTIONS(3201),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(3201),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3201),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(3201),
    [aux_sym_insert_statement_token1] = ACTIONS(3201),
    [aux_sym_truncate_statement_token1] = ACTIONS(3201),
    [aux_sym_update_statement_token1] = ACTIONS(3201),
    [aux_sym_merge_statement_token1] = ACTIONS(3201),
    [aux_sym_grant_statement_token1] = ACTIONS(3201),
    [aux_sym_revoke_statement_token1] = ACTIONS(3201),
    [aux_sym_export_data_statement_token1] = ACTIONS(3201),
    [aux_sym_load_data_statement_token1] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [4172] = {
    [sym_analytics_clause] = STATE(4679),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1499),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_between_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1499),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1499),
    [aux_sym__keyword_like_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [4173] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1221),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1221),
    [aux_sym_keyword_replace_token1] = ACTIONS(1221),
    [aux_sym__keyword_alter_token1] = ACTIONS(1221),
    [aux_sym__keyword_create_token1] = ACTIONS(1221),
    [aux_sym__keyword_drop_token1] = ACTIONS(1221),
    [aux_sym__keyword_delete_token1] = ACTIONS(1221),
    [aux_sym__keyword_begin_token1] = ACTIONS(1221),
    [aux_sym__keyword_between_token1] = ACTIONS(1221),
    [aux_sym__keyword_is_token1] = ACTIONS(1221),
    [aux_sym__keyword_in_token1] = ACTIONS(1223),
    [aux_sym__keyword_and_token1] = ACTIONS(1221),
    [aux_sym__keyword_like_token1] = ACTIONS(1221),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1221),
    [aux_sym__keyword_as_token1] = ACTIONS(1223),
    [aux_sym__keyword_for_token1] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_declare_statement_token1] = ACTIONS(1221),
    [aux_sym_set_statement_token1] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1221),
    [aux_sym_return_statement_token1] = ACTIONS(1221),
    [aux_sym_call_statement_token1] = ACTIONS(1221),
    [aux_sym_loop_statement_token1] = ACTIONS(1221),
    [aux_sym_while_statement_token1] = ACTIONS(1221),
    [aux_sym_break_statement_token1] = ACTIONS(1221),
    [aux_sym_leave_statement_token1] = ACTIONS(1221),
    [aux_sym_continue_statement_token1] = ACTIONS(1221),
    [aux_sym_iterate_statement_token1] = ACTIONS(1221),
    [aux_sym_raise_statement_token1] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [aux_sym_assert_statement_token1] = ACTIONS(1221),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1223),
    [aux_sym_select_token1] = ACTIONS(1221),
    [aux_sym_insert_statement_token1] = ACTIONS(1221),
    [aux_sym_truncate_statement_token1] = ACTIONS(1221),
    [aux_sym_update_statement_token1] = ACTIONS(1221),
    [aux_sym_merge_statement_token1] = ACTIONS(1221),
    [aux_sym_grant_statement_token1] = ACTIONS(1221),
    [aux_sym_revoke_statement_token1] = ACTIONS(1221),
    [aux_sym_export_data_statement_token1] = ACTIONS(1221),
    [aux_sym_load_data_statement_token1] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4174] = {
    [sym_analytics_clause] = STATE(4447),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4175] = {
    [sym_analytics_clause] = STATE(4615),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4176] = {
    [sym_analytics_clause] = STATE(4445),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4177] = {
    [sym_analytics_clause] = STATE(4696),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4178] = {
    [sym_analytics_clause] = STATE(4475),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4179] = {
    [sym_analytics_clause] = STATE(4653),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4180] = {
    [sym_analytics_clause] = STATE(4593),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4181] = {
    [sym_analytics_clause] = STATE(4678),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4182] = {
    [sym_analytics_clause] = STATE(4569),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4183] = {
    [sym_analytics_clause] = STATE(4571),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4184] = {
    [sym_analytics_clause] = STATE(4572),
    [ts_builtin_sym_end] = ACTIONS(1401),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1403),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_between_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1403),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1403),
    [aux_sym__keyword_like_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [4185] = {
    [sym_analytics_clause] = STATE(4657),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4186] = {
    [sym_analytics_clause] = STATE(4632),
    [sym__unquoted_identifier] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1391),
    [aux_sym__keyword_alter_token1] = ACTIONS(1391),
    [aux_sym__keyword_create_token1] = ACTIONS(1391),
    [aux_sym__keyword_drop_token1] = ACTIONS(1391),
    [aux_sym__keyword_delete_token1] = ACTIONS(1391),
    [aux_sym__keyword_begin_token1] = ACTIONS(1391),
    [aux_sym__keyword_end_token1] = ACTIONS(1391),
    [aux_sym__keyword_when_token1] = ACTIONS(1391),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1391),
    [aux_sym__keyword_as_token1] = ACTIONS(1391),
    [aux_sym__keyword_window_token1] = ACTIONS(1391),
    [aux_sym__keyword_date_token1] = ACTIONS(1391),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1391),
    [aux_sym__keyword_time_token1] = ACTIONS(1391),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1391),
    [aux_sym__keyword_for_token1] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1391),
    [aux_sym_using_clause_token1] = ACTIONS(1391),
    [aux_sym_return_statement_token1] = ACTIONS(1391),
    [aux_sym_call_statement_token1] = ACTIONS(1391),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1391),
    [aux_sym_if_statement_token1] = ACTIONS(1391),
    [aux_sym_loop_statement_token1] = ACTIONS(1391),
    [aux_sym_repeat_statement_token1] = ACTIONS(1391),
    [aux_sym_while_statement_token1] = ACTIONS(1391),
    [aux_sym_break_statement_token1] = ACTIONS(1391),
    [aux_sym_leave_statement_token1] = ACTIONS(1391),
    [aux_sym_continue_statement_token1] = ACTIONS(1391),
    [aux_sym_iterate_statement_token1] = ACTIONS(1391),
    [aux_sym_raise_statement_token1] = ACTIONS(1391),
    [aux_sym_assert_statement_token1] = ACTIONS(1391),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1391),
    [aux_sym_set_operation_token1] = ACTIONS(1391),
    [aux_sym_set_operation_token3] = ACTIONS(1391),
    [aux_sym_set_operation_token4] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1391),
    [aux_sym_having_clause_token1] = ACTIONS(1391),
    [aux_sym_qualify_clause_token1] = ACTIONS(1391),
    [aux_sym_limit_clause_token1] = ACTIONS(1391),
    [aux_sym_group_by_clause_token1] = ACTIONS(1391),
    [aux_sym_order_by_clause_token1] = ACTIONS(1391),
    [aux_sym_where_clause_token1] = ACTIONS(1391),
    [aux_sym_pivot_operator_token1] = ACTIONS(1391),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1391),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1391),
    [aux_sym_join_type_token1] = ACTIONS(1391),
    [aux_sym_join_type_token2] = ACTIONS(1391),
    [aux_sym_join_type_token3] = ACTIONS(1391),
    [aux_sym_join_type_token4] = ACTIONS(1391),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1391),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1391),
    [aux_sym_join_condition_token1] = ACTIONS(1391),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1391),
    [aux_sym_truncate_statement_token1] = ACTIONS(1391),
    [aux_sym_update_statement_token1] = ACTIONS(1391),
    [aux_sym_merge_statement_token1] = ACTIONS(1391),
    [aux_sym_grant_statement_token1] = ACTIONS(1391),
    [aux_sym_revoke_statement_token1] = ACTIONS(1391),
    [aux_sym_export_data_statement_token1] = ACTIONS(1391),
    [aux_sym_load_data_statement_token1] = ACTIONS(1391),
    [sym__quoted_identifier] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
  },
  [4187] = {
    [sym__keyword_as] = STATE(14534),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1475),
    [aux_sym_keyword_replace_token1] = ACTIONS(1475),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_between_token1] = ACTIONS(1475),
    [aux_sym__keyword_when_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1475),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1475),
    [aux_sym__keyword_like_token1] = ACTIONS(1475),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(3365),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [aux_sym_option_clause_token1] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [4188] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3283),
    [aux_sym__keyword_is_token1] = ACTIONS(3285),
    [aux_sym__keyword_in_token1] = ACTIONS(3287),
    [aux_sym__keyword_and_token1] = ACTIONS(3289),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3291),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_GT] = ACTIONS(3287),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT_GT] = ACTIONS(3291),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4189] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(3283),
    [aux_sym__keyword_is_token1] = ACTIONS(3285),
    [aux_sym__keyword_in_token1] = ACTIONS(3287),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(3291),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_GT] = ACTIONS(3287),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT_GT] = ACTIONS(3291),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4190] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4191] = {
    [sym_analytics_clause] = STATE(4576),
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1387),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_between_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1387),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1387),
    [aux_sym__keyword_like_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [4192] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4193] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4194] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4195] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4196] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4197] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4198] = {
    [sym_analytics_clause] = STATE(4602),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4199] = {
    [sym_analytics_clause] = STATE(4582),
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1383),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_between_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1383),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1383),
    [aux_sym__keyword_like_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [4200] = {
    [sym_analytics_clause] = STATE(4599),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4201] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1587),
    [aux_sym_keyword_replace_token1] = ACTIONS(1587),
    [aux_sym__keyword_alter_token1] = ACTIONS(1587),
    [aux_sym__keyword_create_token1] = ACTIONS(1587),
    [aux_sym__keyword_drop_token1] = ACTIONS(1587),
    [aux_sym__keyword_delete_token1] = ACTIONS(1587),
    [aux_sym__keyword_begin_token1] = ACTIONS(1587),
    [aux_sym__keyword_end_token1] = ACTIONS(1587),
    [aux_sym__keyword_between_token1] = ACTIONS(1587),
    [aux_sym__keyword_when_token1] = ACTIONS(1587),
    [aux_sym__keyword_else_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1587),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1587),
    [aux_sym__keyword_like_token1] = ACTIONS(1587),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1587),
    [aux_sym__keyword_as_token1] = ACTIONS(1589),
    [aux_sym__keyword_for_token1] = ACTIONS(1587),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1587),
    [aux_sym_return_statement_token1] = ACTIONS(1587),
    [aux_sym_call_statement_token1] = ACTIONS(1587),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1587),
    [aux_sym_if_statement_token1] = ACTIONS(1587),
    [aux_sym_loop_statement_token1] = ACTIONS(1587),
    [aux_sym_repeat_statement_token1] = ACTIONS(1587),
    [aux_sym_while_statement_token1] = ACTIONS(1587),
    [aux_sym_break_statement_token1] = ACTIONS(1587),
    [aux_sym_leave_statement_token1] = ACTIONS(1587),
    [aux_sym_continue_statement_token1] = ACTIONS(1587),
    [aux_sym_iterate_statement_token1] = ACTIONS(1587),
    [aux_sym_raise_statement_token1] = ACTIONS(1587),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1587),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1587),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(3367),
    [aux_sym_option_clause_token1] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1587),
    [aux_sym_insert_statement_token1] = ACTIONS(1587),
    [aux_sym_truncate_statement_token1] = ACTIONS(1587),
    [aux_sym_update_statement_token1] = ACTIONS(1587),
    [aux_sym_merge_statement_token1] = ACTIONS(1587),
    [aux_sym_grant_statement_token1] = ACTIONS(1587),
    [aux_sym_revoke_statement_token1] = ACTIONS(1587),
    [aux_sym_export_data_statement_token1] = ACTIONS(1587),
    [aux_sym_load_data_statement_token1] = ACTIONS(1587),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [4202] = {
    [sym_analytics_clause] = STATE(4668),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3361),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4203] = {
    [sym_analytics_clause] = STATE(4596),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4204] = {
    [sym_analytics_clause] = STATE(4441),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4205] = {
    [sym_analytics_clause] = STATE(4585),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4206] = {
    [sym_analytics_clause] = STATE(4587),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4207] = {
    [sym_analytics_clause] = STATE(4588),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4208] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1191),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1191),
    [aux_sym__keyword_create_token1] = ACTIONS(1191),
    [aux_sym__keyword_drop_token1] = ACTIONS(1191),
    [aux_sym__keyword_delete_token1] = ACTIONS(1191),
    [aux_sym__keyword_begin_token1] = ACTIONS(1191),
    [aux_sym__keyword_between_token1] = ACTIONS(3283),
    [aux_sym__keyword_is_token1] = ACTIONS(3285),
    [aux_sym__keyword_in_token1] = ACTIONS(3287),
    [aux_sym__keyword_and_token1] = ACTIONS(3289),
    [aux_sym__keyword_like_token1] = ACTIONS(1191),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1191),
    [aux_sym__keyword_as_token1] = ACTIONS(1197),
    [aux_sym__keyword_for_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1191),
    [aux_sym_declare_statement_token1] = ACTIONS(1191),
    [aux_sym_set_statement_token1] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1191),
    [aux_sym_return_statement_token1] = ACTIONS(1191),
    [aux_sym_call_statement_token1] = ACTIONS(1191),
    [aux_sym_loop_statement_token1] = ACTIONS(1191),
    [aux_sym_while_statement_token1] = ACTIONS(1191),
    [aux_sym_break_statement_token1] = ACTIONS(1191),
    [aux_sym_leave_statement_token1] = ACTIONS(1191),
    [aux_sym_continue_statement_token1] = ACTIONS(1191),
    [aux_sym_iterate_statement_token1] = ACTIONS(1191),
    [aux_sym_raise_statement_token1] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(3291),
    [aux_sym_assert_statement_token1] = ACTIONS(1191),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_GT] = ACTIONS(3287),
    [aux_sym_select_token1] = ACTIONS(1191),
    [aux_sym_insert_statement_token1] = ACTIONS(1191),
    [aux_sym_truncate_statement_token1] = ACTIONS(1191),
    [aux_sym_update_statement_token1] = ACTIONS(1191),
    [aux_sym_merge_statement_token1] = ACTIONS(1191),
    [aux_sym_grant_statement_token1] = ACTIONS(1191),
    [aux_sym_revoke_statement_token1] = ACTIONS(1191),
    [aux_sym_export_data_statement_token1] = ACTIONS(1191),
    [aux_sym_load_data_statement_token1] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE] = ACTIONS(3297),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT_GT] = ACTIONS(3291),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_GT_GT] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3305),
    [anon_sym_PIPE] = ACTIONS(3307),
  },
  [4209] = {
    [sym__keyword_between] = STATE(900),
    [sym__keyword_is] = STATE(12062),
    [sym__keyword_in] = STATE(1573),
    [sym__keyword_not] = STATE(13148),
    [sym__keyword_and] = STATE(1635),
    [sym__keyword_or] = STATE(1642),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1187),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1187),
    [aux_sym_keyword_replace_token1] = ACTIONS(1187),
    [aux_sym__keyword_alter_token1] = ACTIONS(1187),
    [aux_sym__keyword_create_token1] = ACTIONS(1187),
    [aux_sym__keyword_drop_token1] = ACTIONS(1187),
    [aux_sym__keyword_delete_token1] = ACTIONS(1187),
    [aux_sym__keyword_begin_token1] = ACTIONS(1187),
    [aux_sym__keyword_between_token1] = ACTIONS(1187),
    [aux_sym__keyword_is_token1] = ACTIONS(1187),
    [aux_sym__keyword_in_token1] = ACTIONS(1189),
    [aux_sym__keyword_and_token1] = ACTIONS(1187),
    [aux_sym__keyword_like_token1] = ACTIONS(1187),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1187),
    [aux_sym__keyword_as_token1] = ACTIONS(1189),
    [aux_sym__keyword_for_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_declare_statement_token1] = ACTIONS(1187),
    [aux_sym_set_statement_token1] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1187),
    [aux_sym_return_statement_token1] = ACTIONS(1187),
    [aux_sym_call_statement_token1] = ACTIONS(1187),
    [aux_sym_loop_statement_token1] = ACTIONS(1187),
    [aux_sym_while_statement_token1] = ACTIONS(1187),
    [aux_sym_break_statement_token1] = ACTIONS(1187),
    [aux_sym_leave_statement_token1] = ACTIONS(1187),
    [aux_sym_continue_statement_token1] = ACTIONS(1187),
    [aux_sym_iterate_statement_token1] = ACTIONS(1187),
    [aux_sym_raise_statement_token1] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [aux_sym_assert_statement_token1] = ACTIONS(1187),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [aux_sym_select_token1] = ACTIONS(1187),
    [aux_sym_insert_statement_token1] = ACTIONS(1187),
    [aux_sym_truncate_statement_token1] = ACTIONS(1187),
    [aux_sym_update_statement_token1] = ACTIONS(1187),
    [aux_sym_merge_statement_token1] = ACTIONS(1187),
    [aux_sym_grant_statement_token1] = ACTIONS(1187),
    [aux_sym_revoke_statement_token1] = ACTIONS(1187),
    [aux_sym_export_data_statement_token1] = ACTIONS(1187),
    [aux_sym_load_data_statement_token1] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
  },
  [4210] = {
    [sym_analytics_clause] = STATE(4612),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4211] = {
    [sym_analytics_clause] = STATE(4607),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4212] = {
    [sym_analytics_clause] = STATE(4590),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4213] = {
    [sym_analytics_clause] = STATE(4439),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4214] = {
    [sym_analytics_clause] = STATE(4598),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4215] = {
    [sym_analytics_clause] = STATE(4734),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [sym__unquoted_identifier] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1391),
    [aux_sym_keyword_replace_token1] = ACTIONS(1391),
    [aux_sym__keyword_alter_token1] = ACTIONS(1391),
    [aux_sym__keyword_create_token1] = ACTIONS(1391),
    [aux_sym__keyword_drop_token1] = ACTIONS(1391),
    [aux_sym__keyword_delete_token1] = ACTIONS(1391),
    [aux_sym__keyword_begin_token1] = ACTIONS(1391),
    [aux_sym__keyword_between_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1391),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1391),
    [aux_sym__keyword_like_token1] = ACTIONS(1391),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1391),
    [aux_sym__keyword_as_token1] = ACTIONS(1391),
    [aux_sym__keyword_date_token1] = ACTIONS(1391),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1391),
    [aux_sym__keyword_time_token1] = ACTIONS(1391),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1391),
    [aux_sym__keyword_for_token1] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1391),
    [aux_sym_return_statement_token1] = ACTIONS(1391),
    [aux_sym_call_statement_token1] = ACTIONS(1391),
    [aux_sym_loop_statement_token1] = ACTIONS(1391),
    [aux_sym_while_statement_token1] = ACTIONS(1391),
    [aux_sym_break_statement_token1] = ACTIONS(1391),
    [aux_sym_leave_statement_token1] = ACTIONS(1391),
    [aux_sym_continue_statement_token1] = ACTIONS(1391),
    [aux_sym_iterate_statement_token1] = ACTIONS(1391),
    [aux_sym_raise_statement_token1] = ACTIONS(1391),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1391),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1391),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1391),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1391),
    [aux_sym_truncate_statement_token1] = ACTIONS(1391),
    [aux_sym_update_statement_token1] = ACTIONS(1391),
    [aux_sym_merge_statement_token1] = ACTIONS(1391),
    [aux_sym_grant_statement_token1] = ACTIONS(1391),
    [aux_sym_revoke_statement_token1] = ACTIONS(1391),
    [aux_sym_export_data_statement_token1] = ACTIONS(1391),
    [aux_sym_load_data_statement_token1] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym__quoted_identifier] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [4216] = {
    [sym_analytics_clause] = STATE(4605),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3363),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4217] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1713),
    [aux_sym_keyword_replace_token1] = ACTIONS(1713),
    [aux_sym__keyword_alter_token1] = ACTIONS(1713),
    [aux_sym__keyword_create_token1] = ACTIONS(1713),
    [aux_sym__keyword_drop_token1] = ACTIONS(1713),
    [aux_sym__keyword_delete_token1] = ACTIONS(1713),
    [aux_sym__keyword_begin_token1] = ACTIONS(1713),
    [aux_sym__keyword_end_token1] = ACTIONS(1713),
    [aux_sym__keyword_between_token1] = ACTIONS(1713),
    [aux_sym__keyword_when_token1] = ACTIONS(1713),
    [aux_sym__keyword_else_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1713),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1713),
    [aux_sym__keyword_like_token1] = ACTIONS(1713),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1713),
    [aux_sym__keyword_as_token1] = ACTIONS(1715),
    [aux_sym__keyword_for_token1] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1713),
    [anon_sym_COMMA] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1713),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1713),
    [aux_sym_return_statement_token1] = ACTIONS(1713),
    [aux_sym_call_statement_token1] = ACTIONS(1713),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1713),
    [aux_sym_if_statement_token1] = ACTIONS(1713),
    [aux_sym_loop_statement_token1] = ACTIONS(1713),
    [aux_sym_repeat_statement_token1] = ACTIONS(1713),
    [aux_sym_while_statement_token1] = ACTIONS(1713),
    [aux_sym_break_statement_token1] = ACTIONS(1713),
    [aux_sym_leave_statement_token1] = ACTIONS(1713),
    [aux_sym_continue_statement_token1] = ACTIONS(1713),
    [aux_sym_iterate_statement_token1] = ACTIONS(1713),
    [aux_sym_raise_statement_token1] = ACTIONS(1713),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1713),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1713),
    [aux_sym_option_clause_token1] = ACTIONS(1713),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1713),
    [aux_sym_insert_statement_token1] = ACTIONS(1713),
    [aux_sym_truncate_statement_token1] = ACTIONS(1713),
    [aux_sym_update_statement_token1] = ACTIONS(1713),
    [aux_sym_merge_statement_token1] = ACTIONS(1713),
    [aux_sym_grant_statement_token1] = ACTIONS(1713),
    [aux_sym_revoke_statement_token1] = ACTIONS(1713),
    [aux_sym_export_data_statement_token1] = ACTIONS(1713),
    [aux_sym_load_data_statement_token1] = ACTIONS(1713),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [4218] = {
    [sym_string] = STATE(4869),
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_into_clause_token1] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
    [sym__string_start] = ACTIONS(2557),
  },
  [4219] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [aux_sym_option_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [4220] = {
    [sym__unquoted_identifier] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1541),
    [aux_sym__keyword_create_token1] = ACTIONS(1541),
    [aux_sym__keyword_drop_token1] = ACTIONS(1541),
    [aux_sym__keyword_delete_token1] = ACTIONS(1541),
    [aux_sym__keyword_begin_token1] = ACTIONS(1541),
    [aux_sym__keyword_end_token1] = ACTIONS(1541),
    [aux_sym__keyword_when_token1] = ACTIONS(1541),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1541),
    [aux_sym__keyword_as_token1] = ACTIONS(1541),
    [aux_sym__keyword_window_token1] = ACTIONS(1541),
    [aux_sym__keyword_date_token1] = ACTIONS(1541),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1541),
    [aux_sym__keyword_time_token1] = ACTIONS(1541),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1541),
    [aux_sym__keyword_for_token1] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1541),
    [aux_sym_using_clause_token1] = ACTIONS(1541),
    [aux_sym_return_statement_token1] = ACTIONS(1541),
    [aux_sym_call_statement_token1] = ACTIONS(1541),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1541),
    [aux_sym_if_statement_token1] = ACTIONS(1541),
    [aux_sym_loop_statement_token1] = ACTIONS(1541),
    [aux_sym_repeat_statement_token1] = ACTIONS(1541),
    [aux_sym_while_statement_token1] = ACTIONS(1541),
    [aux_sym_break_statement_token1] = ACTIONS(1541),
    [aux_sym_leave_statement_token1] = ACTIONS(1541),
    [aux_sym_continue_statement_token1] = ACTIONS(1541),
    [aux_sym_iterate_statement_token1] = ACTIONS(1541),
    [aux_sym_raise_statement_token1] = ACTIONS(1541),
    [aux_sym_assert_statement_token1] = ACTIONS(1541),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1541),
    [aux_sym_set_operation_token1] = ACTIONS(1541),
    [aux_sym_set_operation_token3] = ACTIONS(1541),
    [aux_sym_set_operation_token4] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1541),
    [aux_sym_having_clause_token1] = ACTIONS(1541),
    [aux_sym_qualify_clause_token1] = ACTIONS(1541),
    [aux_sym_limit_clause_token1] = ACTIONS(1541),
    [aux_sym_group_by_clause_token1] = ACTIONS(1541),
    [aux_sym_order_by_clause_token1] = ACTIONS(1541),
    [aux_sym_where_clause_token1] = ACTIONS(1541),
    [aux_sym_pivot_operator_token1] = ACTIONS(1541),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1541),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1541),
    [aux_sym_join_type_token1] = ACTIONS(1541),
    [aux_sym_join_type_token2] = ACTIONS(1541),
    [aux_sym_join_type_token3] = ACTIONS(1541),
    [aux_sym_join_type_token4] = ACTIONS(1541),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1541),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1541),
    [aux_sym_join_condition_token1] = ACTIONS(1541),
    [aux_sym_insert_statement_token1] = ACTIONS(1541),
    [aux_sym_truncate_statement_token1] = ACTIONS(1541),
    [aux_sym_update_statement_token1] = ACTIONS(1541),
    [aux_sym_merge_statement_token1] = ACTIONS(1541),
    [aux_sym_grant_statement_token1] = ACTIONS(1541),
    [aux_sym_revoke_statement_token1] = ACTIONS(1541),
    [aux_sym_export_data_statement_token1] = ACTIONS(1541),
    [aux_sym_load_data_statement_token1] = ACTIONS(1541),
    [sym__quoted_identifier] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
  },
  [4221] = {
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_using_clause_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_pivot_operator_token1] = ACTIONS(1471),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1471),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1471),
    [aux_sym_join_type_token1] = ACTIONS(1471),
    [aux_sym_join_type_token2] = ACTIONS(1471),
    [aux_sym_join_type_token3] = ACTIONS(1471),
    [aux_sym_join_type_token4] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1471),
    [aux_sym_join_condition_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [sym__quoted_identifier] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
  },
  [4222] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3273),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3273),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3273),
    [aux_sym__keyword_create_token1] = ACTIONS(3273),
    [aux_sym__keyword_drop_token1] = ACTIONS(3273),
    [aux_sym__keyword_delete_token1] = ACTIONS(3273),
    [aux_sym__keyword_begin_token1] = ACTIONS(3273),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(3315),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3273),
    [aux_sym__keyword_for_token1] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [aux_sym_declare_statement_token1] = ACTIONS(3273),
    [aux_sym_set_statement_token1] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3273),
    [aux_sym_return_statement_token1] = ACTIONS(3273),
    [aux_sym_call_statement_token1] = ACTIONS(3273),
    [aux_sym_loop_statement_token1] = ACTIONS(3273),
    [aux_sym_while_statement_token1] = ACTIONS(3273),
    [aux_sym_break_statement_token1] = ACTIONS(3273),
    [aux_sym_leave_statement_token1] = ACTIONS(3273),
    [aux_sym_continue_statement_token1] = ACTIONS(3273),
    [aux_sym_iterate_statement_token1] = ACTIONS(3273),
    [aux_sym_raise_statement_token1] = ACTIONS(3273),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(3273),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(3273),
    [aux_sym_insert_statement_token1] = ACTIONS(3273),
    [aux_sym_truncate_statement_token1] = ACTIONS(3273),
    [aux_sym_update_statement_token1] = ACTIONS(3273),
    [aux_sym_merge_statement_token1] = ACTIONS(3273),
    [aux_sym_grant_statement_token1] = ACTIONS(3273),
    [aux_sym_revoke_statement_token1] = ACTIONS(3273),
    [aux_sym_export_data_statement_token1] = ACTIONS(3273),
    [aux_sym_load_data_statement_token1] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [4223] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3195),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3195),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3195),
    [aux_sym__keyword_create_token1] = ACTIONS(3195),
    [aux_sym__keyword_drop_token1] = ACTIONS(3195),
    [aux_sym__keyword_delete_token1] = ACTIONS(3195),
    [aux_sym__keyword_begin_token1] = ACTIONS(3195),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(3315),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3195),
    [aux_sym__keyword_for_token1] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3195),
    [aux_sym_declare_statement_token1] = ACTIONS(3195),
    [aux_sym_set_statement_token1] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(3195),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3195),
    [aux_sym_return_statement_token1] = ACTIONS(3195),
    [aux_sym_call_statement_token1] = ACTIONS(3195),
    [aux_sym_loop_statement_token1] = ACTIONS(3195),
    [aux_sym_while_statement_token1] = ACTIONS(3195),
    [aux_sym_break_statement_token1] = ACTIONS(3195),
    [aux_sym_leave_statement_token1] = ACTIONS(3195),
    [aux_sym_continue_statement_token1] = ACTIONS(3195),
    [aux_sym_iterate_statement_token1] = ACTIONS(3195),
    [aux_sym_raise_statement_token1] = ACTIONS(3195),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(3195),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3195),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(3195),
    [aux_sym_insert_statement_token1] = ACTIONS(3195),
    [aux_sym_truncate_statement_token1] = ACTIONS(3195),
    [aux_sym_update_statement_token1] = ACTIONS(3195),
    [aux_sym_merge_statement_token1] = ACTIONS(3195),
    [aux_sym_grant_statement_token1] = ACTIONS(3195),
    [aux_sym_revoke_statement_token1] = ACTIONS(3195),
    [aux_sym_export_data_statement_token1] = ACTIONS(3195),
    [aux_sym_load_data_statement_token1] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [4224] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(3269),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3269),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(3269),
    [aux_sym__keyword_create_token1] = ACTIONS(3269),
    [aux_sym__keyword_drop_token1] = ACTIONS(3269),
    [aux_sym__keyword_delete_token1] = ACTIONS(3269),
    [aux_sym__keyword_begin_token1] = ACTIONS(3269),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(3315),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3269),
    [aux_sym__keyword_for_token1] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [aux_sym_declare_statement_token1] = ACTIONS(3269),
    [aux_sym_set_statement_token1] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3269),
    [aux_sym_return_statement_token1] = ACTIONS(3269),
    [aux_sym_call_statement_token1] = ACTIONS(3269),
    [aux_sym_loop_statement_token1] = ACTIONS(3269),
    [aux_sym_while_statement_token1] = ACTIONS(3269),
    [aux_sym_break_statement_token1] = ACTIONS(3269),
    [aux_sym_leave_statement_token1] = ACTIONS(3269),
    [aux_sym_continue_statement_token1] = ACTIONS(3269),
    [aux_sym_iterate_statement_token1] = ACTIONS(3269),
    [aux_sym_raise_statement_token1] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(3269),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(3269),
    [aux_sym_insert_statement_token1] = ACTIONS(3269),
    [aux_sym_truncate_statement_token1] = ACTIONS(3269),
    [aux_sym_update_statement_token1] = ACTIONS(3269),
    [aux_sym_merge_statement_token1] = ACTIONS(3269),
    [aux_sym_grant_statement_token1] = ACTIONS(3269),
    [aux_sym_revoke_statement_token1] = ACTIONS(3269),
    [aux_sym_export_data_statement_token1] = ACTIONS(3269),
    [aux_sym_load_data_statement_token1] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [4225] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1551),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_between_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1551),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1551),
    [aux_sym__keyword_like_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [4226] = {
    [sym__keyword_as] = STATE(11533),
    [sym__keyword_date] = STATE(5583),
    [sym__keyword_datetime] = STATE(5583),
    [sym__keyword_time] = STATE(5583),
    [sym__keyword_timestamp] = STATE(5583),
    [sym_as_alias] = STATE(5458),
    [sym_unnest_withoffset] = STATE(5910),
    [sym__type_chrono] = STATE(5574),
    [sym__identifier] = STATE(5419),
    [sym__dotted_identifier] = STATE(13830),
    [sym_identifier] = STATE(5589),
    [aux_sym_identifier_repeat1] = STATE(13830),
    [sym__unquoted_identifier] = ACTIONS(2375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(205),
    [aux_sym_keyword_replace_token1] = ACTIONS(205),
    [aux_sym__keyword_between_token1] = ACTIONS(205),
    [aux_sym__keyword_is_token1] = ACTIONS(205),
    [aux_sym__keyword_in_token1] = ACTIONS(205),
    [aux_sym__keyword_and_token1] = ACTIONS(205),
    [aux_sym__keyword_like_token1] = ACTIONS(205),
    [aux_sym__keyword_as_token1] = ACTIONS(3369),
    [aux_sym__keyword_window_token1] = ACTIONS(205),
    [aux_sym__keyword_date_token1] = ACTIONS(3371),
    [aux_sym__keyword_datetime_token1] = ACTIONS(3371),
    [aux_sym__keyword_time_token1] = ACTIONS(3371),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(3371),
    [anon_sym_COMMA] = ACTIONS(211),
    [anon_sym_RPAREN] = ACTIONS(211),
    [aux_sym_using_clause_token1] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [aux_sym_set_operation_token1] = ACTIONS(205),
    [aux_sym_set_operation_token3] = ACTIONS(205),
    [aux_sym_set_operation_token4] = ACTIONS(205),
    [aux_sym_having_clause_token1] = ACTIONS(205),
    [aux_sym_qualify_clause_token1] = ACTIONS(205),
    [aux_sym_limit_clause_token1] = ACTIONS(205),
    [aux_sym_group_by_clause_token1] = ACTIONS(205),
    [aux_sym_order_by_clause_token1] = ACTIONS(205),
    [aux_sym_where_clause_token1] = ACTIONS(205),
    [aux_sym_pivot_operator_token1] = ACTIONS(205),
    [aux_sym_unpivot_operator_token1] = ACTIONS(205),
    [aux_sym_tablesample_operator_token1] = ACTIONS(205),
    [aux_sym_join_type_token1] = ACTIONS(205),
    [aux_sym_join_type_token2] = ACTIONS(205),
    [aux_sym_join_type_token3] = ACTIONS(205),
    [aux_sym_join_type_token4] = ACTIONS(205),
    [aux_sym__cross_join_operation_token1] = ACTIONS(205),
    [aux_sym__cross_join_operation_token2] = ACTIONS(205),
    [aux_sym_join_condition_token1] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(211),
    [sym__quoted_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(211),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(211),
    [anon_sym_LT_EQ] = ACTIONS(211),
    [anon_sym_LT_GT] = ACTIONS(211),
    [anon_sym_GT_EQ] = ACTIONS(211),
    [anon_sym_BANG_EQ] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(211),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_CARET] = ACTIONS(211),
    [anon_sym_PIPE] = ACTIONS(205),
  },
  [4227] = {
    [sym_unnest_withoffset] = STATE(4387),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1523),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3375),
    [aux_sym_option_clause_token1] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [4228] = {
    [sym__keyword_as] = STATE(14529),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [sym__unquoted_identifier] = ACTIONS(1477),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1477),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1477),
    [aux_sym_keyword_replace_token1] = ACTIONS(1477),
    [aux_sym__keyword_alter_token1] = ACTIONS(1477),
    [aux_sym__keyword_create_token1] = ACTIONS(1477),
    [aux_sym__keyword_drop_token1] = ACTIONS(1477),
    [aux_sym__keyword_delete_token1] = ACTIONS(1477),
    [aux_sym__keyword_begin_token1] = ACTIONS(1477),
    [aux_sym__keyword_between_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1477),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1477),
    [aux_sym__keyword_like_token1] = ACTIONS(1477),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1477),
    [aux_sym__keyword_as_token1] = ACTIONS(1477),
    [aux_sym__keyword_date_token1] = ACTIONS(1477),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1477),
    [aux_sym__keyword_time_token1] = ACTIONS(1477),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1477),
    [aux_sym__keyword_for_token1] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1477),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1477),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1477),
    [aux_sym_return_statement_token1] = ACTIONS(1477),
    [aux_sym_call_statement_token1] = ACTIONS(1477),
    [aux_sym_loop_statement_token1] = ACTIONS(1477),
    [aux_sym_while_statement_token1] = ACTIONS(1477),
    [aux_sym_break_statement_token1] = ACTIONS(1477),
    [aux_sym_leave_statement_token1] = ACTIONS(1477),
    [aux_sym_continue_statement_token1] = ACTIONS(1477),
    [aux_sym_iterate_statement_token1] = ACTIONS(1477),
    [aux_sym_raise_statement_token1] = ACTIONS(1477),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1477),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1477),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1477),
    [aux_sym_insert_statement_token1] = ACTIONS(1477),
    [aux_sym_truncate_statement_token1] = ACTIONS(1477),
    [aux_sym_update_statement_token1] = ACTIONS(1477),
    [aux_sym_merge_statement_token1] = ACTIONS(1477),
    [aux_sym_grant_statement_token1] = ACTIONS(1477),
    [aux_sym_revoke_statement_token1] = ACTIONS(1477),
    [aux_sym_export_data_statement_token1] = ACTIONS(1477),
    [aux_sym_load_data_statement_token1] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym__quoted_identifier] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [4229] = {
    [sym__keyword_as] = STATE(14766),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1475),
    [aux_sym_keyword_replace_token1] = ACTIONS(1475),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_between_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1475),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1475),
    [aux_sym__keyword_like_token1] = ACTIONS(1475),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(3377),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_into_clause_token1] = ACTIONS(1475),
    [aux_sym_using_clause_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [4230] = {
    [sym_analytics_clause] = STATE(4825),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4231] = {
    [sym_analytics_clause] = STATE(4824),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4232] = {
    [sym_analytics_clause] = STATE(4823),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4233] = {
    [sym_analytics_clause] = STATE(4822),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4234] = {
    [sym_analytics_clause] = STATE(4821),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4235] = {
    [sym_analytics_clause] = STATE(4820),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4236] = {
    [sym_analytics_clause] = STATE(4818),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4237] = {
    [sym_analytics_clause] = STATE(4817),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4238] = {
    [sym_analytics_clause] = STATE(4815),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4239] = {
    [sym_analytics_clause] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4240] = {
    [sym_analytics_clause] = STATE(4813),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4241] = {
    [sym_analytics_clause] = STATE(4812),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4242] = {
    [sym_analytics_clause] = STATE(4811),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4243] = {
    [sym_analytics_clause] = STATE(4810),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1465),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_into_clause_token1] = ACTIONS(1465),
    [aux_sym_using_clause_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [4244] = {
    [sym_analytics_clause] = STATE(4808),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4245] = {
    [sym_analytics_clause] = STATE(4807),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4246] = {
    [sym_analytics_clause] = STATE(4805),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4247] = {
    [sym_analytics_clause] = STATE(4804),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4248] = {
    [sym_analytics_clause] = STATE(4769),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4249] = {
    [sym_analytics_clause] = STATE(4802),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4250] = {
    [sym_analytics_clause] = STATE(4801),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4251] = {
    [sym_analytics_clause] = STATE(4800),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4252] = {
    [sym_analytics_clause] = STATE(4799),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4253] = {
    [sym_analytics_clause] = STATE(4797),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4254] = {
    [sym_analytics_clause] = STATE(4796),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4255] = {
    [sym_analytics_clause] = STATE(4795),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4256] = {
    [sym_analytics_clause] = STATE(4794),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4257] = {
    [sym_analytics_clause] = STATE(4793),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4258] = {
    [sym_analytics_clause] = STATE(4792),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1393),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_into_clause_token1] = ACTIONS(1393),
    [aux_sym_using_clause_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [4259] = {
    [sym_analytics_clause] = STATE(4791),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4260] = {
    [sym_analytics_clause] = STATE(4790),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4261] = {
    [sym_analytics_clause] = STATE(4789),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4262] = {
    [sym_analytics_clause] = STATE(4787),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4263] = {
    [sym_analytics_clause] = STATE(4785),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4264] = {
    [sym_analytics_clause] = STATE(4784),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4265] = {
    [sym_analytics_clause] = STATE(4782),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4266] = {
    [sym_analytics_clause] = STATE(4781),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4267] = {
    [sym_analytics_clause] = STATE(4779),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4268] = {
    [sym_analytics_clause] = STATE(4778),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4269] = {
    [sym_analytics_clause] = STATE(4777),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4270] = {
    [sym_analytics_clause] = STATE(4775),
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1409),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_into_clause_token1] = ACTIONS(1409),
    [aux_sym_using_clause_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [4271] = {
    [sym_analytics_clause] = STATE(4774),
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1413),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_into_clause_token1] = ACTIONS(1413),
    [aux_sym_using_clause_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [4272] = {
    [sym_analytics_clause] = STATE(4772),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4273] = {
    [sym_analytics_clause] = STATE(4771),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4274] = {
    [sym_analytics_clause] = STATE(4809),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4275] = {
    [sym_analytics_clause] = STATE(4838),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4276] = {
    [sym_analytics_clause] = STATE(4849),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4277] = {
    [sym_analytics_clause] = STATE(4803),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4278] = {
    [sym_analytics_clause] = STATE(4893),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4279] = {
    [sym_analytics_clause] = STATE(4898),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4280] = {
    [sym_analytics_clause] = STATE(4907),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4281] = {
    [sym_analytics_clause] = STATE(4912),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4282] = {
    [sym_analytics_clause] = STATE(4918),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4283] = {
    [sym_analytics_clause] = STATE(4919),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4284] = {
    [sym_analytics_clause] = STATE(4921),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4285] = {
    [sym_analytics_clause] = STATE(4770),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4286] = {
    [sym_analytics_clause] = STATE(4942),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4287] = {
    [sym_analytics_clause] = STATE(4944),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4288] = {
    [sym_analytics_clause] = STATE(4945),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4289] = {
    [sym_analytics_clause] = STATE(4948),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4290] = {
    [sym_analytics_clause] = STATE(4950),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4291] = {
    [sym_analytics_clause] = STATE(4957),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4292] = {
    [sym_analytics_clause] = STATE(4963),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4293] = {
    [sym_analytics_clause] = STATE(4964),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4294] = {
    [sym_analytics_clause] = STATE(4962),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1425),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_into_clause_token1] = ACTIONS(1425),
    [aux_sym_using_clause_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [4295] = {
    [sym_analytics_clause] = STATE(4960),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4296] = {
    [sym_analytics_clause] = STATE(4954),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4297] = {
    [sym_analytics_clause] = STATE(4952),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4298] = {
    [sym_analytics_clause] = STATE(4951),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4299] = {
    [sym_analytics_clause] = STATE(4949),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4300] = {
    [sym_analytics_clause] = STATE(4947),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4301] = {
    [sym_analytics_clause] = STATE(4946),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4302] = {
    [sym_analytics_clause] = STATE(4943),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4303] = {
    [sym_analytics_clause] = STATE(4940),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4304] = {
    [sym_analytics_clause] = STATE(4939),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4305] = {
    [sym_analytics_clause] = STATE(4938),
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1401),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_into_clause_token1] = ACTIONS(1401),
    [aux_sym_using_clause_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [4306] = {
    [sym_analytics_clause] = STATE(4934),
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1385),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_into_clause_token1] = ACTIONS(1385),
    [aux_sym_using_clause_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [4307] = {
    [sym_analytics_clause] = STATE(4931),
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1381),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_into_clause_token1] = ACTIONS(1381),
    [aux_sym_using_clause_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [4308] = {
    [sym_analytics_clause] = STATE(4925),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4309] = {
    [sym_analytics_clause] = STATE(4924),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4310] = {
    [sym_analytics_clause] = STATE(4922),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4311] = {
    [sym_analytics_clause] = STATE(4916),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4312] = {
    [sym_analytics_clause] = STATE(4913),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4313] = {
    [sym_analytics_clause] = STATE(4909),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4314] = {
    [sym_analytics_clause] = STATE(4902),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4315] = {
    [sym_analytics_clause] = STATE(4900),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4316] = {
    [sym_analytics_clause] = STATE(4897),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4317] = {
    [sym_analytics_clause] = STATE(4896),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4318] = {
    [sym_analytics_clause] = STATE(4891),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4319] = {
    [sym_analytics_clause] = STATE(4882),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4320] = {
    [sym_analytics_clause] = STATE(4879),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4321] = {
    [sym_analytics_clause] = STATE(4868),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4322] = {
    [sym_analytics_clause] = STATE(4953),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4323] = {
    [sym_analytics_clause] = STATE(4856),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4324] = {
    [sym_analytics_clause] = STATE(4854),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4325] = {
    [sym_analytics_clause] = STATE(4847),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4326] = {
    [sym_analytics_clause] = STATE(4846),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4327] = {
    [sym_analytics_clause] = STATE(4845),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4328] = {
    [sym_analytics_clause] = STATE(4844),
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1461),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_into_clause_token1] = ACTIONS(1461),
    [aux_sym_using_clause_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [4329] = {
    [sym_analytics_clause] = STATE(4843),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_into_clause_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4330] = {
    [sym_analytics_clause] = STATE(4842),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_into_clause_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4331] = {
    [sym_analytics_clause] = STATE(4841),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_into_clause_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4332] = {
    [sym_analytics_clause] = STATE(4837),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_into_clause_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4333] = {
    [sym_analytics_clause] = STATE(4836),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_into_clause_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4334] = {
    [sym_analytics_clause] = STATE(4835),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1489),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_into_clause_token1] = ACTIONS(1489),
    [aux_sym_using_clause_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [4335] = {
    [sym_analytics_clause] = STATE(4834),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1501),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_into_clause_token1] = ACTIONS(1501),
    [aux_sym_using_clause_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [4336] = {
    [sym_analytics_clause] = STATE(4833),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1513),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_into_clause_token1] = ACTIONS(1513),
    [aux_sym_using_clause_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [4337] = {
    [sym_analytics_clause] = STATE(4831),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4338] = {
    [sym_analytics_clause] = STATE(4830),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4339] = {
    [sym_analytics_clause] = STATE(4829),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4340] = {
    [sym_analytics_clause] = STATE(4828),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4341] = {
    [sym_analytics_clause] = STATE(4827),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4342] = {
    [sym_analytics_clause] = STATE(4826),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4343] = {
    [sym_analytics_clause] = STATE(4819),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4344] = {
    [sym_analytics_clause] = STATE(4880),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4345] = {
    [sym_analytics_clause] = STATE(4816),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4346] = {
    [sym_analytics_clause] = STATE(4806),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4347] = {
    [sym_analytics_clause] = STATE(4798),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1509),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_into_clause_token1] = ACTIONS(1509),
    [aux_sym_using_clause_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [4348] = {
    [sym_analytics_clause] = STATE(4788),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1505),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1505),
    [aux_sym_keyword_replace_token1] = ACTIONS(1505),
    [aux_sym__keyword_alter_token1] = ACTIONS(1505),
    [aux_sym__keyword_create_token1] = ACTIONS(1505),
    [aux_sym__keyword_drop_token1] = ACTIONS(1505),
    [aux_sym__keyword_delete_token1] = ACTIONS(1505),
    [aux_sym__keyword_begin_token1] = ACTIONS(1505),
    [aux_sym__keyword_end_token1] = ACTIONS(1505),
    [aux_sym__keyword_between_token1] = ACTIONS(1505),
    [aux_sym__keyword_else_token1] = ACTIONS(1507),
    [aux_sym__keyword_is_token1] = ACTIONS(1505),
    [aux_sym__keyword_in_token1] = ACTIONS(1507),
    [aux_sym__keyword_and_token1] = ACTIONS(1505),
    [aux_sym__keyword_like_token1] = ACTIONS(1505),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1505),
    [aux_sym__keyword_for_token1] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1505),
    [aux_sym_into_clause_token1] = ACTIONS(1505),
    [aux_sym_using_clause_token1] = ACTIONS(1505),
    [aux_sym_return_statement_token1] = ACTIONS(1505),
    [aux_sym_call_statement_token1] = ACTIONS(1505),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1505),
    [aux_sym_if_statement_token1] = ACTIONS(1505),
    [aux_sym_loop_statement_token1] = ACTIONS(1505),
    [aux_sym_repeat_statement_token1] = ACTIONS(1505),
    [aux_sym_while_statement_token1] = ACTIONS(1505),
    [aux_sym_break_statement_token1] = ACTIONS(1505),
    [aux_sym_leave_statement_token1] = ACTIONS(1505),
    [aux_sym_continue_statement_token1] = ACTIONS(1505),
    [aux_sym_iterate_statement_token1] = ACTIONS(1505),
    [aux_sym_raise_statement_token1] = ACTIONS(1505),
    [anon_sym_EQ] = ACTIONS(1505),
    [aux_sym_assert_statement_token1] = ACTIONS(1505),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1505),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1505),
    [aux_sym_truncate_statement_token1] = ACTIONS(1505),
    [aux_sym_update_statement_token1] = ACTIONS(1505),
    [aux_sym_merge_statement_token1] = ACTIONS(1505),
    [aux_sym_grant_statement_token1] = ACTIONS(1505),
    [aux_sym_revoke_statement_token1] = ACTIONS(1505),
    [aux_sym_export_data_statement_token1] = ACTIONS(1505),
    [aux_sym_load_data_statement_token1] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_LT_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1507),
  },
  [4349] = {
    [sym_analytics_clause] = STATE(4786),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1497),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_into_clause_token1] = ACTIONS(1497),
    [aux_sym_using_clause_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [4350] = {
    [sym_analytics_clause] = STATE(4776),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1493),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_into_clause_token1] = ACTIONS(1493),
    [aux_sym_using_clause_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [4351] = {
    [sym_analytics_clause] = STATE(4936),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1485),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_into_clause_token1] = ACTIONS(1485),
    [aux_sym_using_clause_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [4352] = {
    [sym_analytics_clause] = STATE(4958),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1367),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_into_clause_token1] = ACTIONS(1367),
    [aux_sym_using_clause_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [4353] = {
    [sym_analytics_clause] = STATE(4961),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1367),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1367),
    [aux_sym_keyword_replace_token1] = ACTIONS(1367),
    [aux_sym__keyword_alter_token1] = ACTIONS(1367),
    [aux_sym__keyword_create_token1] = ACTIONS(1367),
    [aux_sym__keyword_drop_token1] = ACTIONS(1367),
    [aux_sym__keyword_delete_token1] = ACTIONS(1367),
    [aux_sym__keyword_begin_token1] = ACTIONS(1367),
    [aux_sym__keyword_end_token1] = ACTIONS(1367),
    [aux_sym__keyword_between_token1] = ACTIONS(1367),
    [aux_sym__keyword_else_token1] = ACTIONS(1369),
    [aux_sym__keyword_is_token1] = ACTIONS(1367),
    [aux_sym__keyword_in_token1] = ACTIONS(1369),
    [aux_sym__keyword_and_token1] = ACTIONS(1367),
    [aux_sym__keyword_like_token1] = ACTIONS(1367),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1367),
    [aux_sym__keyword_for_token1] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1367),
    [aux_sym_into_clause_token1] = ACTIONS(1367),
    [aux_sym_using_clause_token1] = ACTIONS(1367),
    [aux_sym_return_statement_token1] = ACTIONS(1367),
    [aux_sym_call_statement_token1] = ACTIONS(1367),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1367),
    [aux_sym_if_statement_token1] = ACTIONS(1367),
    [aux_sym_loop_statement_token1] = ACTIONS(1367),
    [aux_sym_repeat_statement_token1] = ACTIONS(1367),
    [aux_sym_while_statement_token1] = ACTIONS(1367),
    [aux_sym_break_statement_token1] = ACTIONS(1367),
    [aux_sym_leave_statement_token1] = ACTIONS(1367),
    [aux_sym_continue_statement_token1] = ACTIONS(1367),
    [aux_sym_iterate_statement_token1] = ACTIONS(1367),
    [aux_sym_raise_statement_token1] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [aux_sym_assert_statement_token1] = ACTIONS(1367),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1367),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1367),
    [aux_sym_truncate_statement_token1] = ACTIONS(1367),
    [aux_sym_update_statement_token1] = ACTIONS(1367),
    [aux_sym_merge_statement_token1] = ACTIONS(1367),
    [aux_sym_grant_statement_token1] = ACTIONS(1367),
    [aux_sym_revoke_statement_token1] = ACTIONS(1367),
    [aux_sym_export_data_statement_token1] = ACTIONS(1367),
    [aux_sym_load_data_statement_token1] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1369),
  },
  [4354] = {
    [sym_analytics_clause] = STATE(4959),
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1457),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_into_clause_token1] = ACTIONS(1457),
    [aux_sym_using_clause_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [4355] = {
    [sym_analytics_clause] = STATE(4956),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1453),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1453),
    [aux_sym_keyword_replace_token1] = ACTIONS(1453),
    [aux_sym__keyword_alter_token1] = ACTIONS(1453),
    [aux_sym__keyword_create_token1] = ACTIONS(1453),
    [aux_sym__keyword_drop_token1] = ACTIONS(1453),
    [aux_sym__keyword_delete_token1] = ACTIONS(1453),
    [aux_sym__keyword_begin_token1] = ACTIONS(1453),
    [aux_sym__keyword_end_token1] = ACTIONS(1453),
    [aux_sym__keyword_between_token1] = ACTIONS(1453),
    [aux_sym__keyword_else_token1] = ACTIONS(1455),
    [aux_sym__keyword_is_token1] = ACTIONS(1453),
    [aux_sym__keyword_in_token1] = ACTIONS(1455),
    [aux_sym__keyword_and_token1] = ACTIONS(1453),
    [aux_sym__keyword_like_token1] = ACTIONS(1453),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1453),
    [aux_sym__keyword_for_token1] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1453),
    [aux_sym_into_clause_token1] = ACTIONS(1453),
    [aux_sym_using_clause_token1] = ACTIONS(1453),
    [aux_sym_return_statement_token1] = ACTIONS(1453),
    [aux_sym_call_statement_token1] = ACTIONS(1453),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1453),
    [aux_sym_if_statement_token1] = ACTIONS(1453),
    [aux_sym_loop_statement_token1] = ACTIONS(1453),
    [aux_sym_repeat_statement_token1] = ACTIONS(1453),
    [aux_sym_while_statement_token1] = ACTIONS(1453),
    [aux_sym_break_statement_token1] = ACTIONS(1453),
    [aux_sym_leave_statement_token1] = ACTIONS(1453),
    [aux_sym_continue_statement_token1] = ACTIONS(1453),
    [aux_sym_iterate_statement_token1] = ACTIONS(1453),
    [aux_sym_raise_statement_token1] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(1453),
    [aux_sym_assert_statement_token1] = ACTIONS(1453),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1453),
    [anon_sym_LT] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1453),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1453),
    [aux_sym_truncate_statement_token1] = ACTIONS(1453),
    [aux_sym_update_statement_token1] = ACTIONS(1453),
    [aux_sym_merge_statement_token1] = ACTIONS(1453),
    [aux_sym_grant_statement_token1] = ACTIONS(1453),
    [aux_sym_revoke_statement_token1] = ACTIONS(1453),
    [aux_sym_export_data_statement_token1] = ACTIONS(1453),
    [aux_sym_load_data_statement_token1] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_LT_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1455),
  },
  [4356] = {
    [sym_analytics_clause] = STATE(4955),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1449),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_into_clause_token1] = ACTIONS(1449),
    [aux_sym_using_clause_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [4357] = {
    [sym_analytics_clause] = STATE(4941),
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1445),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_into_clause_token1] = ACTIONS(1445),
    [aux_sym_using_clause_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [4358] = {
    [sym_analytics_clause] = STATE(4928),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1437),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1437),
    [aux_sym_keyword_replace_token1] = ACTIONS(1437),
    [aux_sym__keyword_alter_token1] = ACTIONS(1437),
    [aux_sym__keyword_create_token1] = ACTIONS(1437),
    [aux_sym__keyword_drop_token1] = ACTIONS(1437),
    [aux_sym__keyword_delete_token1] = ACTIONS(1437),
    [aux_sym__keyword_begin_token1] = ACTIONS(1437),
    [aux_sym__keyword_end_token1] = ACTIONS(1437),
    [aux_sym__keyword_between_token1] = ACTIONS(1437),
    [aux_sym__keyword_else_token1] = ACTIONS(1439),
    [aux_sym__keyword_is_token1] = ACTIONS(1437),
    [aux_sym__keyword_in_token1] = ACTIONS(1439),
    [aux_sym__keyword_and_token1] = ACTIONS(1437),
    [aux_sym__keyword_like_token1] = ACTIONS(1437),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1437),
    [aux_sym__keyword_for_token1] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1437),
    [aux_sym_into_clause_token1] = ACTIONS(1437),
    [aux_sym_using_clause_token1] = ACTIONS(1437),
    [aux_sym_return_statement_token1] = ACTIONS(1437),
    [aux_sym_call_statement_token1] = ACTIONS(1437),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1437),
    [aux_sym_if_statement_token1] = ACTIONS(1437),
    [aux_sym_loop_statement_token1] = ACTIONS(1437),
    [aux_sym_repeat_statement_token1] = ACTIONS(1437),
    [aux_sym_while_statement_token1] = ACTIONS(1437),
    [aux_sym_break_statement_token1] = ACTIONS(1437),
    [aux_sym_leave_statement_token1] = ACTIONS(1437),
    [aux_sym_continue_statement_token1] = ACTIONS(1437),
    [aux_sym_iterate_statement_token1] = ACTIONS(1437),
    [aux_sym_raise_statement_token1] = ACTIONS(1437),
    [anon_sym_EQ] = ACTIONS(1437),
    [aux_sym_assert_statement_token1] = ACTIONS(1437),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1437),
    [anon_sym_LT] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1437),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1437),
    [aux_sym_truncate_statement_token1] = ACTIONS(1437),
    [aux_sym_update_statement_token1] = ACTIONS(1437),
    [aux_sym_merge_statement_token1] = ACTIONS(1437),
    [aux_sym_grant_statement_token1] = ACTIONS(1437),
    [aux_sym_revoke_statement_token1] = ACTIONS(1437),
    [aux_sym_export_data_statement_token1] = ACTIONS(1437),
    [aux_sym_load_data_statement_token1] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1439),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1439),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_LT_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PIPE] = ACTIONS(1439),
  },
  [4359] = {
    [sym_analytics_clause] = STATE(4923),
    [ts_builtin_sym_end] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1433),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1433),
    [aux_sym_keyword_replace_token1] = ACTIONS(1433),
    [aux_sym__keyword_alter_token1] = ACTIONS(1433),
    [aux_sym__keyword_create_token1] = ACTIONS(1433),
    [aux_sym__keyword_drop_token1] = ACTIONS(1433),
    [aux_sym__keyword_delete_token1] = ACTIONS(1433),
    [aux_sym__keyword_begin_token1] = ACTIONS(1433),
    [aux_sym__keyword_end_token1] = ACTIONS(1433),
    [aux_sym__keyword_between_token1] = ACTIONS(1433),
    [aux_sym__keyword_else_token1] = ACTIONS(1435),
    [aux_sym__keyword_is_token1] = ACTIONS(1433),
    [aux_sym__keyword_in_token1] = ACTIONS(1435),
    [aux_sym__keyword_and_token1] = ACTIONS(1433),
    [aux_sym__keyword_like_token1] = ACTIONS(1433),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1433),
    [aux_sym__keyword_for_token1] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1433),
    [aux_sym_into_clause_token1] = ACTIONS(1433),
    [aux_sym_using_clause_token1] = ACTIONS(1433),
    [aux_sym_return_statement_token1] = ACTIONS(1433),
    [aux_sym_call_statement_token1] = ACTIONS(1433),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1433),
    [aux_sym_if_statement_token1] = ACTIONS(1433),
    [aux_sym_loop_statement_token1] = ACTIONS(1433),
    [aux_sym_repeat_statement_token1] = ACTIONS(1433),
    [aux_sym_while_statement_token1] = ACTIONS(1433),
    [aux_sym_break_statement_token1] = ACTIONS(1433),
    [aux_sym_leave_statement_token1] = ACTIONS(1433),
    [aux_sym_continue_statement_token1] = ACTIONS(1433),
    [aux_sym_iterate_statement_token1] = ACTIONS(1433),
    [aux_sym_raise_statement_token1] = ACTIONS(1433),
    [anon_sym_EQ] = ACTIONS(1433),
    [aux_sym_assert_statement_token1] = ACTIONS(1433),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1433),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1433),
    [aux_sym_truncate_statement_token1] = ACTIONS(1433),
    [aux_sym_update_statement_token1] = ACTIONS(1433),
    [aux_sym_merge_statement_token1] = ACTIONS(1433),
    [aux_sym_grant_statement_token1] = ACTIONS(1433),
    [aux_sym_revoke_statement_token1] = ACTIONS(1433),
    [aux_sym_export_data_statement_token1] = ACTIONS(1433),
    [aux_sym_load_data_statement_token1] = ACTIONS(1433),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_LT_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
  },
  [4360] = {
    [sym_analytics_clause] = STATE(4920),
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1429),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_into_clause_token1] = ACTIONS(1429),
    [aux_sym_using_clause_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [4361] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_into_clause_token1] = ACTIONS(1245),
    [aux_sym_using_clause_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [4362] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [sym__unquoted_identifier] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1541),
    [aux_sym_keyword_replace_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1541),
    [aux_sym__keyword_create_token1] = ACTIONS(1541),
    [aux_sym__keyword_drop_token1] = ACTIONS(1541),
    [aux_sym__keyword_delete_token1] = ACTIONS(1541),
    [aux_sym__keyword_begin_token1] = ACTIONS(1541),
    [aux_sym__keyword_between_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1541),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1541),
    [aux_sym__keyword_like_token1] = ACTIONS(1541),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1541),
    [aux_sym__keyword_as_token1] = ACTIONS(1541),
    [aux_sym__keyword_date_token1] = ACTIONS(1541),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1541),
    [aux_sym__keyword_time_token1] = ACTIONS(1541),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1541),
    [aux_sym__keyword_for_token1] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1541),
    [aux_sym_return_statement_token1] = ACTIONS(1541),
    [aux_sym_call_statement_token1] = ACTIONS(1541),
    [aux_sym_loop_statement_token1] = ACTIONS(1541),
    [aux_sym_while_statement_token1] = ACTIONS(1541),
    [aux_sym_break_statement_token1] = ACTIONS(1541),
    [aux_sym_leave_statement_token1] = ACTIONS(1541),
    [aux_sym_continue_statement_token1] = ACTIONS(1541),
    [aux_sym_iterate_statement_token1] = ACTIONS(1541),
    [aux_sym_raise_statement_token1] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1541),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1541),
    [aux_sym_insert_statement_token1] = ACTIONS(1541),
    [aux_sym_truncate_statement_token1] = ACTIONS(1541),
    [aux_sym_update_statement_token1] = ACTIONS(1541),
    [aux_sym_merge_statement_token1] = ACTIONS(1541),
    [aux_sym_grant_statement_token1] = ACTIONS(1541),
    [aux_sym_revoke_statement_token1] = ACTIONS(1541),
    [aux_sym_export_data_statement_token1] = ACTIONS(1541),
    [aux_sym_load_data_statement_token1] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [sym__quoted_identifier] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [4363] = {
    [sym_unnest_withoffset] = STATE(4766),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [sym__unquoted_identifier] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1525),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1525),
    [aux_sym__keyword_create_token1] = ACTIONS(1525),
    [aux_sym__keyword_drop_token1] = ACTIONS(1525),
    [aux_sym__keyword_delete_token1] = ACTIONS(1525),
    [aux_sym__keyword_begin_token1] = ACTIONS(1525),
    [aux_sym__keyword_between_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1525),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1525),
    [aux_sym__keyword_like_token1] = ACTIONS(1525),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1525),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_date_token1] = ACTIONS(1525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1525),
    [aux_sym__keyword_time_token1] = ACTIONS(1525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1525),
    [aux_sym_return_statement_token1] = ACTIONS(1525),
    [aux_sym_call_statement_token1] = ACTIONS(1525),
    [aux_sym_loop_statement_token1] = ACTIONS(1525),
    [aux_sym_while_statement_token1] = ACTIONS(1525),
    [aux_sym_break_statement_token1] = ACTIONS(1525),
    [aux_sym_leave_statement_token1] = ACTIONS(1525),
    [aux_sym_continue_statement_token1] = ACTIONS(1525),
    [aux_sym_iterate_statement_token1] = ACTIONS(1525),
    [aux_sym_raise_statement_token1] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1525),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2937),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1525),
    [aux_sym_insert_statement_token1] = ACTIONS(1525),
    [aux_sym_truncate_statement_token1] = ACTIONS(1525),
    [aux_sym_update_statement_token1] = ACTIONS(1525),
    [aux_sym_merge_statement_token1] = ACTIONS(1525),
    [aux_sym_grant_statement_token1] = ACTIONS(1525),
    [aux_sym_revoke_statement_token1] = ACTIONS(1525),
    [aux_sym_export_data_statement_token1] = ACTIONS(1525),
    [aux_sym_load_data_statement_token1] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym__quoted_identifier] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [4364] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1853),
    [aux_sym_keyword_replace_token1] = ACTIONS(1853),
    [aux_sym__keyword_alter_token1] = ACTIONS(1853),
    [aux_sym__keyword_create_token1] = ACTIONS(1853),
    [aux_sym__keyword_drop_token1] = ACTIONS(1853),
    [aux_sym__keyword_delete_token1] = ACTIONS(1853),
    [aux_sym__keyword_begin_token1] = ACTIONS(1853),
    [aux_sym__keyword_end_token1] = ACTIONS(1853),
    [aux_sym__keyword_between_token1] = ACTIONS(1853),
    [aux_sym__keyword_when_token1] = ACTIONS(1853),
    [aux_sym__keyword_else_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1853),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1853),
    [aux_sym__keyword_like_token1] = ACTIONS(1853),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1853),
    [aux_sym__keyword_as_token1] = ACTIONS(1855),
    [aux_sym__keyword_for_token1] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1853),
    [aux_sym_return_statement_token1] = ACTIONS(1853),
    [aux_sym_call_statement_token1] = ACTIONS(1853),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1853),
    [aux_sym_if_statement_token1] = ACTIONS(1853),
    [aux_sym_loop_statement_token1] = ACTIONS(1853),
    [aux_sym_repeat_statement_token1] = ACTIONS(1853),
    [aux_sym_while_statement_token1] = ACTIONS(1853),
    [aux_sym_break_statement_token1] = ACTIONS(1853),
    [aux_sym_leave_statement_token1] = ACTIONS(1853),
    [aux_sym_continue_statement_token1] = ACTIONS(1853),
    [aux_sym_iterate_statement_token1] = ACTIONS(1853),
    [aux_sym_raise_statement_token1] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1853),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1853),
    [aux_sym_option_clause_token1] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1853),
    [aux_sym_insert_statement_token1] = ACTIONS(1853),
    [aux_sym_truncate_statement_token1] = ACTIONS(1853),
    [aux_sym_update_statement_token1] = ACTIONS(1853),
    [aux_sym_merge_statement_token1] = ACTIONS(1853),
    [aux_sym_grant_statement_token1] = ACTIONS(1853),
    [aux_sym_revoke_statement_token1] = ACTIONS(1853),
    [aux_sym_export_data_statement_token1] = ACTIONS(1853),
    [aux_sym_load_data_statement_token1] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [4365] = {
    [ts_builtin_sym_end] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1849),
    [aux_sym_keyword_replace_token1] = ACTIONS(1849),
    [aux_sym__keyword_alter_token1] = ACTIONS(1849),
    [aux_sym__keyword_create_token1] = ACTIONS(1849),
    [aux_sym__keyword_drop_token1] = ACTIONS(1849),
    [aux_sym__keyword_delete_token1] = ACTIONS(1849),
    [aux_sym__keyword_begin_token1] = ACTIONS(1849),
    [aux_sym__keyword_end_token1] = ACTIONS(1849),
    [aux_sym__keyword_between_token1] = ACTIONS(1849),
    [aux_sym__keyword_when_token1] = ACTIONS(1849),
    [aux_sym__keyword_else_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1849),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1849),
    [aux_sym__keyword_like_token1] = ACTIONS(1849),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1849),
    [aux_sym__keyword_as_token1] = ACTIONS(1851),
    [aux_sym__keyword_for_token1] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1849),
    [aux_sym_return_statement_token1] = ACTIONS(1849),
    [aux_sym_call_statement_token1] = ACTIONS(1849),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1849),
    [aux_sym_if_statement_token1] = ACTIONS(1849),
    [aux_sym_loop_statement_token1] = ACTIONS(1849),
    [aux_sym_repeat_statement_token1] = ACTIONS(1849),
    [aux_sym_while_statement_token1] = ACTIONS(1849),
    [aux_sym_break_statement_token1] = ACTIONS(1849),
    [aux_sym_leave_statement_token1] = ACTIONS(1849),
    [aux_sym_continue_statement_token1] = ACTIONS(1849),
    [aux_sym_iterate_statement_token1] = ACTIONS(1849),
    [aux_sym_raise_statement_token1] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1849),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1849),
    [aux_sym_option_clause_token1] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1849),
    [aux_sym_insert_statement_token1] = ACTIONS(1849),
    [aux_sym_truncate_statement_token1] = ACTIONS(1849),
    [aux_sym_update_statement_token1] = ACTIONS(1849),
    [aux_sym_merge_statement_token1] = ACTIONS(1849),
    [aux_sym_grant_statement_token1] = ACTIONS(1849),
    [aux_sym_revoke_statement_token1] = ACTIONS(1849),
    [aux_sym_export_data_statement_token1] = ACTIONS(1849),
    [aux_sym_load_data_statement_token1] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [4366] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1841),
    [aux_sym_keyword_replace_token1] = ACTIONS(1841),
    [aux_sym__keyword_alter_token1] = ACTIONS(1841),
    [aux_sym__keyword_create_token1] = ACTIONS(1841),
    [aux_sym__keyword_drop_token1] = ACTIONS(1841),
    [aux_sym__keyword_delete_token1] = ACTIONS(1841),
    [aux_sym__keyword_begin_token1] = ACTIONS(1841),
    [aux_sym__keyword_end_token1] = ACTIONS(1841),
    [aux_sym__keyword_between_token1] = ACTIONS(1841),
    [aux_sym__keyword_when_token1] = ACTIONS(1841),
    [aux_sym__keyword_else_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1841),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1841),
    [aux_sym__keyword_like_token1] = ACTIONS(1841),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1841),
    [aux_sym__keyword_as_token1] = ACTIONS(1843),
    [aux_sym__keyword_for_token1] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1841),
    [aux_sym_return_statement_token1] = ACTIONS(1841),
    [aux_sym_call_statement_token1] = ACTIONS(1841),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1841),
    [aux_sym_if_statement_token1] = ACTIONS(1841),
    [aux_sym_loop_statement_token1] = ACTIONS(1841),
    [aux_sym_repeat_statement_token1] = ACTIONS(1841),
    [aux_sym_while_statement_token1] = ACTIONS(1841),
    [aux_sym_break_statement_token1] = ACTIONS(1841),
    [aux_sym_leave_statement_token1] = ACTIONS(1841),
    [aux_sym_continue_statement_token1] = ACTIONS(1841),
    [aux_sym_iterate_statement_token1] = ACTIONS(1841),
    [aux_sym_raise_statement_token1] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1841),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1841),
    [aux_sym_option_clause_token1] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1841),
    [aux_sym_insert_statement_token1] = ACTIONS(1841),
    [aux_sym_truncate_statement_token1] = ACTIONS(1841),
    [aux_sym_update_statement_token1] = ACTIONS(1841),
    [aux_sym_merge_statement_token1] = ACTIONS(1841),
    [aux_sym_grant_statement_token1] = ACTIONS(1841),
    [aux_sym_revoke_statement_token1] = ACTIONS(1841),
    [aux_sym_export_data_statement_token1] = ACTIONS(1841),
    [aux_sym_load_data_statement_token1] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [4367] = {
    [ts_builtin_sym_end] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1837),
    [aux_sym_keyword_replace_token1] = ACTIONS(1837),
    [aux_sym__keyword_alter_token1] = ACTIONS(1837),
    [aux_sym__keyword_create_token1] = ACTIONS(1837),
    [aux_sym__keyword_drop_token1] = ACTIONS(1837),
    [aux_sym__keyword_delete_token1] = ACTIONS(1837),
    [aux_sym__keyword_begin_token1] = ACTIONS(1837),
    [aux_sym__keyword_end_token1] = ACTIONS(1837),
    [aux_sym__keyword_between_token1] = ACTIONS(1837),
    [aux_sym__keyword_when_token1] = ACTIONS(1837),
    [aux_sym__keyword_else_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1837),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1837),
    [aux_sym__keyword_like_token1] = ACTIONS(1837),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1837),
    [aux_sym__keyword_as_token1] = ACTIONS(1839),
    [aux_sym__keyword_for_token1] = ACTIONS(1837),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1837),
    [anon_sym_COMMA] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1837),
    [aux_sym_return_statement_token1] = ACTIONS(1837),
    [aux_sym_call_statement_token1] = ACTIONS(1837),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1837),
    [aux_sym_if_statement_token1] = ACTIONS(1837),
    [aux_sym_loop_statement_token1] = ACTIONS(1837),
    [aux_sym_repeat_statement_token1] = ACTIONS(1837),
    [aux_sym_while_statement_token1] = ACTIONS(1837),
    [aux_sym_break_statement_token1] = ACTIONS(1837),
    [aux_sym_leave_statement_token1] = ACTIONS(1837),
    [aux_sym_continue_statement_token1] = ACTIONS(1837),
    [aux_sym_iterate_statement_token1] = ACTIONS(1837),
    [aux_sym_raise_statement_token1] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1837),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1837),
    [aux_sym_option_clause_token1] = ACTIONS(1837),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1837),
    [aux_sym_insert_statement_token1] = ACTIONS(1837),
    [aux_sym_truncate_statement_token1] = ACTIONS(1837),
    [aux_sym_update_statement_token1] = ACTIONS(1837),
    [aux_sym_merge_statement_token1] = ACTIONS(1837),
    [aux_sym_grant_statement_token1] = ACTIONS(1837),
    [aux_sym_revoke_statement_token1] = ACTIONS(1837),
    [aux_sym_export_data_statement_token1] = ACTIONS(1837),
    [aux_sym_load_data_statement_token1] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [4368] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1833),
    [aux_sym_keyword_replace_token1] = ACTIONS(1833),
    [aux_sym__keyword_alter_token1] = ACTIONS(1833),
    [aux_sym__keyword_create_token1] = ACTIONS(1833),
    [aux_sym__keyword_drop_token1] = ACTIONS(1833),
    [aux_sym__keyword_delete_token1] = ACTIONS(1833),
    [aux_sym__keyword_begin_token1] = ACTIONS(1833),
    [aux_sym__keyword_end_token1] = ACTIONS(1833),
    [aux_sym__keyword_between_token1] = ACTIONS(1833),
    [aux_sym__keyword_when_token1] = ACTIONS(1833),
    [aux_sym__keyword_else_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1833),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1833),
    [aux_sym__keyword_like_token1] = ACTIONS(1833),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1833),
    [aux_sym__keyword_as_token1] = ACTIONS(1835),
    [aux_sym__keyword_for_token1] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1833),
    [anon_sym_COMMA] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1833),
    [aux_sym_return_statement_token1] = ACTIONS(1833),
    [aux_sym_call_statement_token1] = ACTIONS(1833),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1833),
    [aux_sym_if_statement_token1] = ACTIONS(1833),
    [aux_sym_loop_statement_token1] = ACTIONS(1833),
    [aux_sym_repeat_statement_token1] = ACTIONS(1833),
    [aux_sym_while_statement_token1] = ACTIONS(1833),
    [aux_sym_break_statement_token1] = ACTIONS(1833),
    [aux_sym_leave_statement_token1] = ACTIONS(1833),
    [aux_sym_continue_statement_token1] = ACTIONS(1833),
    [aux_sym_iterate_statement_token1] = ACTIONS(1833),
    [aux_sym_raise_statement_token1] = ACTIONS(1833),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1833),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1833),
    [aux_sym_option_clause_token1] = ACTIONS(1833),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1833),
    [aux_sym_insert_statement_token1] = ACTIONS(1833),
    [aux_sym_truncate_statement_token1] = ACTIONS(1833),
    [aux_sym_update_statement_token1] = ACTIONS(1833),
    [aux_sym_merge_statement_token1] = ACTIONS(1833),
    [aux_sym_grant_statement_token1] = ACTIONS(1833),
    [aux_sym_revoke_statement_token1] = ACTIONS(1833),
    [aux_sym_export_data_statement_token1] = ACTIONS(1833),
    [aux_sym_load_data_statement_token1] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [4369] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1799),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_when_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [aux_sym_option_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [4370] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1809),
    [aux_sym_keyword_replace_token1] = ACTIONS(1809),
    [aux_sym__keyword_alter_token1] = ACTIONS(1809),
    [aux_sym__keyword_create_token1] = ACTIONS(1809),
    [aux_sym__keyword_drop_token1] = ACTIONS(1809),
    [aux_sym__keyword_delete_token1] = ACTIONS(1809),
    [aux_sym__keyword_begin_token1] = ACTIONS(1809),
    [aux_sym__keyword_end_token1] = ACTIONS(1809),
    [aux_sym__keyword_between_token1] = ACTIONS(1809),
    [aux_sym__keyword_when_token1] = ACTIONS(1809),
    [aux_sym__keyword_else_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1809),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1809),
    [aux_sym__keyword_like_token1] = ACTIONS(1809),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1809),
    [aux_sym__keyword_as_token1] = ACTIONS(1811),
    [aux_sym__keyword_for_token1] = ACTIONS(1809),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1809),
    [anon_sym_COMMA] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1809),
    [aux_sym_return_statement_token1] = ACTIONS(1809),
    [aux_sym_call_statement_token1] = ACTIONS(1809),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1809),
    [aux_sym_if_statement_token1] = ACTIONS(1809),
    [aux_sym_loop_statement_token1] = ACTIONS(1809),
    [aux_sym_repeat_statement_token1] = ACTIONS(1809),
    [aux_sym_while_statement_token1] = ACTIONS(1809),
    [aux_sym_break_statement_token1] = ACTIONS(1809),
    [aux_sym_leave_statement_token1] = ACTIONS(1809),
    [aux_sym_continue_statement_token1] = ACTIONS(1809),
    [aux_sym_iterate_statement_token1] = ACTIONS(1809),
    [aux_sym_raise_statement_token1] = ACTIONS(1809),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1809),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1809),
    [aux_sym_option_clause_token1] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1809),
    [aux_sym_insert_statement_token1] = ACTIONS(1809),
    [aux_sym_truncate_statement_token1] = ACTIONS(1809),
    [aux_sym_update_statement_token1] = ACTIONS(1809),
    [aux_sym_merge_statement_token1] = ACTIONS(1809),
    [aux_sym_grant_statement_token1] = ACTIONS(1809),
    [aux_sym_revoke_statement_token1] = ACTIONS(1809),
    [aux_sym_export_data_statement_token1] = ACTIONS(1809),
    [aux_sym_load_data_statement_token1] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [4371] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1799),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_when_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(3381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [aux_sym_option_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [4372] = {
    [ts_builtin_sym_end] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1597),
    [aux_sym_keyword_replace_token1] = ACTIONS(1597),
    [aux_sym__keyword_alter_token1] = ACTIONS(1597),
    [aux_sym__keyword_create_token1] = ACTIONS(1597),
    [aux_sym__keyword_drop_token1] = ACTIONS(1597),
    [aux_sym__keyword_delete_token1] = ACTIONS(1597),
    [aux_sym__keyword_begin_token1] = ACTIONS(1597),
    [aux_sym__keyword_end_token1] = ACTIONS(1597),
    [aux_sym__keyword_between_token1] = ACTIONS(1597),
    [aux_sym__keyword_when_token1] = ACTIONS(1597),
    [aux_sym__keyword_else_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1597),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1597),
    [aux_sym__keyword_like_token1] = ACTIONS(1597),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1597),
    [aux_sym__keyword_as_token1] = ACTIONS(1599),
    [aux_sym__keyword_for_token1] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1597),
    [anon_sym_COMMA] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1597),
    [aux_sym_return_statement_token1] = ACTIONS(1597),
    [aux_sym_call_statement_token1] = ACTIONS(1597),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1597),
    [aux_sym_if_statement_token1] = ACTIONS(1597),
    [aux_sym_loop_statement_token1] = ACTIONS(1597),
    [aux_sym_repeat_statement_token1] = ACTIONS(1597),
    [aux_sym_while_statement_token1] = ACTIONS(1597),
    [aux_sym_break_statement_token1] = ACTIONS(1597),
    [aux_sym_leave_statement_token1] = ACTIONS(1597),
    [aux_sym_continue_statement_token1] = ACTIONS(1597),
    [aux_sym_iterate_statement_token1] = ACTIONS(1597),
    [aux_sym_raise_statement_token1] = ACTIONS(1597),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1597),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1597),
    [aux_sym_option_clause_token1] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1597),
    [aux_sym_insert_statement_token1] = ACTIONS(1597),
    [aux_sym_truncate_statement_token1] = ACTIONS(1597),
    [aux_sym_update_statement_token1] = ACTIONS(1597),
    [aux_sym_merge_statement_token1] = ACTIONS(1597),
    [aux_sym_grant_statement_token1] = ACTIONS(1597),
    [aux_sym_revoke_statement_token1] = ACTIONS(1597),
    [aux_sym_export_data_statement_token1] = ACTIONS(1597),
    [aux_sym_load_data_statement_token1] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [4373] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1601),
    [aux_sym_keyword_replace_token1] = ACTIONS(1601),
    [aux_sym__keyword_alter_token1] = ACTIONS(1601),
    [aux_sym__keyword_create_token1] = ACTIONS(1601),
    [aux_sym__keyword_drop_token1] = ACTIONS(1601),
    [aux_sym__keyword_delete_token1] = ACTIONS(1601),
    [aux_sym__keyword_begin_token1] = ACTIONS(1601),
    [aux_sym__keyword_end_token1] = ACTIONS(1601),
    [aux_sym__keyword_between_token1] = ACTIONS(1601),
    [aux_sym__keyword_when_token1] = ACTIONS(1601),
    [aux_sym__keyword_else_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1601),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1601),
    [aux_sym__keyword_like_token1] = ACTIONS(1601),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1601),
    [aux_sym__keyword_as_token1] = ACTIONS(1603),
    [aux_sym__keyword_for_token1] = ACTIONS(1601),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1601),
    [aux_sym_return_statement_token1] = ACTIONS(1601),
    [aux_sym_call_statement_token1] = ACTIONS(1601),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1601),
    [aux_sym_if_statement_token1] = ACTIONS(1601),
    [aux_sym_loop_statement_token1] = ACTIONS(1601),
    [aux_sym_repeat_statement_token1] = ACTIONS(1601),
    [aux_sym_while_statement_token1] = ACTIONS(1601),
    [aux_sym_break_statement_token1] = ACTIONS(1601),
    [aux_sym_leave_statement_token1] = ACTIONS(1601),
    [aux_sym_continue_statement_token1] = ACTIONS(1601),
    [aux_sym_iterate_statement_token1] = ACTIONS(1601),
    [aux_sym_raise_statement_token1] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1601),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1601),
    [aux_sym_option_clause_token1] = ACTIONS(1601),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1601),
    [aux_sym_insert_statement_token1] = ACTIONS(1601),
    [aux_sym_truncate_statement_token1] = ACTIONS(1601),
    [aux_sym_update_statement_token1] = ACTIONS(1601),
    [aux_sym_merge_statement_token1] = ACTIONS(1601),
    [aux_sym_grant_statement_token1] = ACTIONS(1601),
    [aux_sym_revoke_statement_token1] = ACTIONS(1601),
    [aux_sym_export_data_statement_token1] = ACTIONS(1601),
    [aux_sym_load_data_statement_token1] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [4374] = {
    [ts_builtin_sym_end] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1605),
    [aux_sym_keyword_replace_token1] = ACTIONS(1605),
    [aux_sym__keyword_alter_token1] = ACTIONS(1605),
    [aux_sym__keyword_create_token1] = ACTIONS(1605),
    [aux_sym__keyword_drop_token1] = ACTIONS(1605),
    [aux_sym__keyword_delete_token1] = ACTIONS(1605),
    [aux_sym__keyword_begin_token1] = ACTIONS(1605),
    [aux_sym__keyword_end_token1] = ACTIONS(1605),
    [aux_sym__keyword_between_token1] = ACTIONS(1605),
    [aux_sym__keyword_when_token1] = ACTIONS(1605),
    [aux_sym__keyword_else_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1605),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1605),
    [aux_sym__keyword_like_token1] = ACTIONS(1605),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1605),
    [aux_sym__keyword_as_token1] = ACTIONS(1607),
    [aux_sym__keyword_for_token1] = ACTIONS(1605),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1605),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1605),
    [aux_sym_return_statement_token1] = ACTIONS(1605),
    [aux_sym_call_statement_token1] = ACTIONS(1605),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1605),
    [aux_sym_if_statement_token1] = ACTIONS(1605),
    [aux_sym_loop_statement_token1] = ACTIONS(1605),
    [aux_sym_repeat_statement_token1] = ACTIONS(1605),
    [aux_sym_while_statement_token1] = ACTIONS(1605),
    [aux_sym_break_statement_token1] = ACTIONS(1605),
    [aux_sym_leave_statement_token1] = ACTIONS(1605),
    [aux_sym_continue_statement_token1] = ACTIONS(1605),
    [aux_sym_iterate_statement_token1] = ACTIONS(1605),
    [aux_sym_raise_statement_token1] = ACTIONS(1605),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1605),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1605),
    [aux_sym_option_clause_token1] = ACTIONS(1605),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1605),
    [aux_sym_insert_statement_token1] = ACTIONS(1605),
    [aux_sym_truncate_statement_token1] = ACTIONS(1605),
    [aux_sym_update_statement_token1] = ACTIONS(1605),
    [aux_sym_merge_statement_token1] = ACTIONS(1605),
    [aux_sym_grant_statement_token1] = ACTIONS(1605),
    [aux_sym_revoke_statement_token1] = ACTIONS(1605),
    [aux_sym_export_data_statement_token1] = ACTIONS(1605),
    [aux_sym_load_data_statement_token1] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [4375] = {
    [ts_builtin_sym_end] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1609),
    [aux_sym_keyword_replace_token1] = ACTIONS(1609),
    [aux_sym__keyword_alter_token1] = ACTIONS(1609),
    [aux_sym__keyword_create_token1] = ACTIONS(1609),
    [aux_sym__keyword_drop_token1] = ACTIONS(1609),
    [aux_sym__keyword_delete_token1] = ACTIONS(1609),
    [aux_sym__keyword_begin_token1] = ACTIONS(1609),
    [aux_sym__keyword_end_token1] = ACTIONS(1609),
    [aux_sym__keyword_between_token1] = ACTIONS(1609),
    [aux_sym__keyword_when_token1] = ACTIONS(1609),
    [aux_sym__keyword_else_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1609),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1609),
    [aux_sym__keyword_like_token1] = ACTIONS(1609),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1609),
    [aux_sym__keyword_as_token1] = ACTIONS(1611),
    [aux_sym__keyword_for_token1] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1609),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1609),
    [aux_sym_return_statement_token1] = ACTIONS(1609),
    [aux_sym_call_statement_token1] = ACTIONS(1609),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1609),
    [aux_sym_if_statement_token1] = ACTIONS(1609),
    [aux_sym_loop_statement_token1] = ACTIONS(1609),
    [aux_sym_repeat_statement_token1] = ACTIONS(1609),
    [aux_sym_while_statement_token1] = ACTIONS(1609),
    [aux_sym_break_statement_token1] = ACTIONS(1609),
    [aux_sym_leave_statement_token1] = ACTIONS(1609),
    [aux_sym_continue_statement_token1] = ACTIONS(1609),
    [aux_sym_iterate_statement_token1] = ACTIONS(1609),
    [aux_sym_raise_statement_token1] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1609),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1609),
    [aux_sym_option_clause_token1] = ACTIONS(1609),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1609),
    [aux_sym_insert_statement_token1] = ACTIONS(1609),
    [aux_sym_truncate_statement_token1] = ACTIONS(1609),
    [aux_sym_update_statement_token1] = ACTIONS(1609),
    [aux_sym_merge_statement_token1] = ACTIONS(1609),
    [aux_sym_grant_statement_token1] = ACTIONS(1609),
    [aux_sym_revoke_statement_token1] = ACTIONS(1609),
    [aux_sym_export_data_statement_token1] = ACTIONS(1609),
    [aux_sym_load_data_statement_token1] = ACTIONS(1609),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [4376] = {
    [sym_unnest_withoffset] = STATE(4387),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1523),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3383),
    [aux_sym_option_clause_token1] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [4377] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1523),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_when_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1523),
    [aux_sym_option_clause_token1] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [4378] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1767),
    [aux_sym_keyword_replace_token1] = ACTIONS(1767),
    [aux_sym__keyword_alter_token1] = ACTIONS(1767),
    [aux_sym__keyword_create_token1] = ACTIONS(1767),
    [aux_sym__keyword_drop_token1] = ACTIONS(1767),
    [aux_sym__keyword_delete_token1] = ACTIONS(1767),
    [aux_sym__keyword_begin_token1] = ACTIONS(1767),
    [aux_sym__keyword_end_token1] = ACTIONS(1767),
    [aux_sym__keyword_between_token1] = ACTIONS(1767),
    [aux_sym__keyword_when_token1] = ACTIONS(1767),
    [aux_sym__keyword_else_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1767),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1767),
    [aux_sym__keyword_like_token1] = ACTIONS(1767),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1767),
    [aux_sym__keyword_as_token1] = ACTIONS(1769),
    [aux_sym__keyword_for_token1] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1767),
    [aux_sym_return_statement_token1] = ACTIONS(1767),
    [aux_sym_call_statement_token1] = ACTIONS(1767),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1767),
    [aux_sym_if_statement_token1] = ACTIONS(1767),
    [aux_sym_loop_statement_token1] = ACTIONS(1767),
    [aux_sym_repeat_statement_token1] = ACTIONS(1767),
    [aux_sym_while_statement_token1] = ACTIONS(1767),
    [aux_sym_break_statement_token1] = ACTIONS(1767),
    [aux_sym_leave_statement_token1] = ACTIONS(1767),
    [aux_sym_continue_statement_token1] = ACTIONS(1767),
    [aux_sym_iterate_statement_token1] = ACTIONS(1767),
    [aux_sym_raise_statement_token1] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1767),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1767),
    [aux_sym_option_clause_token1] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1767),
    [aux_sym_insert_statement_token1] = ACTIONS(1767),
    [aux_sym_truncate_statement_token1] = ACTIONS(1767),
    [aux_sym_update_statement_token1] = ACTIONS(1767),
    [aux_sym_merge_statement_token1] = ACTIONS(1767),
    [aux_sym_grant_statement_token1] = ACTIONS(1767),
    [aux_sym_revoke_statement_token1] = ACTIONS(1767),
    [aux_sym_export_data_statement_token1] = ACTIONS(1767),
    [aux_sym_load_data_statement_token1] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [4379] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1845),
    [aux_sym_keyword_replace_token1] = ACTIONS(1845),
    [aux_sym__keyword_alter_token1] = ACTIONS(1845),
    [aux_sym__keyword_create_token1] = ACTIONS(1845),
    [aux_sym__keyword_drop_token1] = ACTIONS(1845),
    [aux_sym__keyword_delete_token1] = ACTIONS(1845),
    [aux_sym__keyword_begin_token1] = ACTIONS(1845),
    [aux_sym__keyword_end_token1] = ACTIONS(1845),
    [aux_sym__keyword_between_token1] = ACTIONS(1845),
    [aux_sym__keyword_when_token1] = ACTIONS(1845),
    [aux_sym__keyword_else_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1845),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1845),
    [aux_sym__keyword_like_token1] = ACTIONS(1845),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1845),
    [aux_sym__keyword_as_token1] = ACTIONS(1847),
    [aux_sym__keyword_for_token1] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1845),
    [aux_sym_return_statement_token1] = ACTIONS(1845),
    [aux_sym_call_statement_token1] = ACTIONS(1845),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1845),
    [aux_sym_if_statement_token1] = ACTIONS(1845),
    [aux_sym_loop_statement_token1] = ACTIONS(1845),
    [aux_sym_repeat_statement_token1] = ACTIONS(1845),
    [aux_sym_while_statement_token1] = ACTIONS(1845),
    [aux_sym_break_statement_token1] = ACTIONS(1845),
    [aux_sym_leave_statement_token1] = ACTIONS(1845),
    [aux_sym_continue_statement_token1] = ACTIONS(1845),
    [aux_sym_iterate_statement_token1] = ACTIONS(1845),
    [aux_sym_raise_statement_token1] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1845),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1845),
    [aux_sym_option_clause_token1] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1845),
    [aux_sym_insert_statement_token1] = ACTIONS(1845),
    [aux_sym_truncate_statement_token1] = ACTIONS(1845),
    [aux_sym_update_statement_token1] = ACTIONS(1845),
    [aux_sym_merge_statement_token1] = ACTIONS(1845),
    [aux_sym_grant_statement_token1] = ACTIONS(1845),
    [aux_sym_revoke_statement_token1] = ACTIONS(1845),
    [aux_sym_export_data_statement_token1] = ACTIONS(1845),
    [aux_sym_load_data_statement_token1] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [4380] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [4381] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1625),
    [aux_sym_keyword_replace_token1] = ACTIONS(1625),
    [aux_sym__keyword_alter_token1] = ACTIONS(1625),
    [aux_sym__keyword_create_token1] = ACTIONS(1625),
    [aux_sym__keyword_drop_token1] = ACTIONS(1625),
    [aux_sym__keyword_delete_token1] = ACTIONS(1625),
    [aux_sym__keyword_begin_token1] = ACTIONS(1625),
    [aux_sym__keyword_end_token1] = ACTIONS(1625),
    [aux_sym__keyword_between_token1] = ACTIONS(1625),
    [aux_sym__keyword_when_token1] = ACTIONS(1625),
    [aux_sym__keyword_else_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1625),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1625),
    [aux_sym__keyword_like_token1] = ACTIONS(1625),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1625),
    [aux_sym__keyword_as_token1] = ACTIONS(1627),
    [aux_sym__keyword_for_token1] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1625),
    [aux_sym_return_statement_token1] = ACTIONS(1625),
    [aux_sym_call_statement_token1] = ACTIONS(1625),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1625),
    [aux_sym_if_statement_token1] = ACTIONS(1625),
    [aux_sym_loop_statement_token1] = ACTIONS(1625),
    [aux_sym_repeat_statement_token1] = ACTIONS(1625),
    [aux_sym_while_statement_token1] = ACTIONS(1625),
    [aux_sym_break_statement_token1] = ACTIONS(1625),
    [aux_sym_leave_statement_token1] = ACTIONS(1625),
    [aux_sym_continue_statement_token1] = ACTIONS(1625),
    [aux_sym_iterate_statement_token1] = ACTIONS(1625),
    [aux_sym_raise_statement_token1] = ACTIONS(1625),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1625),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1625),
    [aux_sym_option_clause_token1] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1625),
    [aux_sym_insert_statement_token1] = ACTIONS(1625),
    [aux_sym_truncate_statement_token1] = ACTIONS(1625),
    [aux_sym_update_statement_token1] = ACTIONS(1625),
    [aux_sym_merge_statement_token1] = ACTIONS(1625),
    [aux_sym_grant_statement_token1] = ACTIONS(1625),
    [aux_sym_revoke_statement_token1] = ACTIONS(1625),
    [aux_sym_export_data_statement_token1] = ACTIONS(1625),
    [aux_sym_load_data_statement_token1] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [4382] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1629),
    [aux_sym_keyword_replace_token1] = ACTIONS(1629),
    [aux_sym__keyword_alter_token1] = ACTIONS(1629),
    [aux_sym__keyword_create_token1] = ACTIONS(1629),
    [aux_sym__keyword_drop_token1] = ACTIONS(1629),
    [aux_sym__keyword_delete_token1] = ACTIONS(1629),
    [aux_sym__keyword_begin_token1] = ACTIONS(1629),
    [aux_sym__keyword_end_token1] = ACTIONS(1629),
    [aux_sym__keyword_between_token1] = ACTIONS(1629),
    [aux_sym__keyword_when_token1] = ACTIONS(1629),
    [aux_sym__keyword_else_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1629),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1629),
    [aux_sym__keyword_like_token1] = ACTIONS(1629),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1629),
    [aux_sym__keyword_as_token1] = ACTIONS(1631),
    [aux_sym__keyword_for_token1] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1629),
    [aux_sym_return_statement_token1] = ACTIONS(1629),
    [aux_sym_call_statement_token1] = ACTIONS(1629),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1629),
    [aux_sym_if_statement_token1] = ACTIONS(1629),
    [aux_sym_loop_statement_token1] = ACTIONS(1629),
    [aux_sym_repeat_statement_token1] = ACTIONS(1629),
    [aux_sym_while_statement_token1] = ACTIONS(1629),
    [aux_sym_break_statement_token1] = ACTIONS(1629),
    [aux_sym_leave_statement_token1] = ACTIONS(1629),
    [aux_sym_continue_statement_token1] = ACTIONS(1629),
    [aux_sym_iterate_statement_token1] = ACTIONS(1629),
    [aux_sym_raise_statement_token1] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1629),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1629),
    [aux_sym_option_clause_token1] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1629),
    [aux_sym_insert_statement_token1] = ACTIONS(1629),
    [aux_sym_truncate_statement_token1] = ACTIONS(1629),
    [aux_sym_update_statement_token1] = ACTIONS(1629),
    [aux_sym_merge_statement_token1] = ACTIONS(1629),
    [aux_sym_grant_statement_token1] = ACTIONS(1629),
    [aux_sym_revoke_statement_token1] = ACTIONS(1629),
    [aux_sym_export_data_statement_token1] = ACTIONS(1629),
    [aux_sym_load_data_statement_token1] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [4383] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1637),
    [aux_sym_keyword_replace_token1] = ACTIONS(1637),
    [aux_sym__keyword_alter_token1] = ACTIONS(1637),
    [aux_sym__keyword_create_token1] = ACTIONS(1637),
    [aux_sym__keyword_drop_token1] = ACTIONS(1637),
    [aux_sym__keyword_delete_token1] = ACTIONS(1637),
    [aux_sym__keyword_begin_token1] = ACTIONS(1637),
    [aux_sym__keyword_end_token1] = ACTIONS(1637),
    [aux_sym__keyword_between_token1] = ACTIONS(1637),
    [aux_sym__keyword_when_token1] = ACTIONS(1637),
    [aux_sym__keyword_else_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1637),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1637),
    [aux_sym__keyword_like_token1] = ACTIONS(1637),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1637),
    [aux_sym__keyword_as_token1] = ACTIONS(1639),
    [aux_sym__keyword_for_token1] = ACTIONS(1637),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1637),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1637),
    [aux_sym_return_statement_token1] = ACTIONS(1637),
    [aux_sym_call_statement_token1] = ACTIONS(1637),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1637),
    [aux_sym_if_statement_token1] = ACTIONS(1637),
    [aux_sym_loop_statement_token1] = ACTIONS(1637),
    [aux_sym_repeat_statement_token1] = ACTIONS(1637),
    [aux_sym_while_statement_token1] = ACTIONS(1637),
    [aux_sym_break_statement_token1] = ACTIONS(1637),
    [aux_sym_leave_statement_token1] = ACTIONS(1637),
    [aux_sym_continue_statement_token1] = ACTIONS(1637),
    [aux_sym_iterate_statement_token1] = ACTIONS(1637),
    [aux_sym_raise_statement_token1] = ACTIONS(1637),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1637),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1637),
    [aux_sym_option_clause_token1] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1637),
    [aux_sym_insert_statement_token1] = ACTIONS(1637),
    [aux_sym_truncate_statement_token1] = ACTIONS(1637),
    [aux_sym_update_statement_token1] = ACTIONS(1637),
    [aux_sym_merge_statement_token1] = ACTIONS(1637),
    [aux_sym_grant_statement_token1] = ACTIONS(1637),
    [aux_sym_revoke_statement_token1] = ACTIONS(1637),
    [aux_sym_export_data_statement_token1] = ACTIONS(1637),
    [aux_sym_load_data_statement_token1] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [4384] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1641),
    [aux_sym_keyword_replace_token1] = ACTIONS(1641),
    [aux_sym__keyword_alter_token1] = ACTIONS(1641),
    [aux_sym__keyword_create_token1] = ACTIONS(1641),
    [aux_sym__keyword_drop_token1] = ACTIONS(1641),
    [aux_sym__keyword_delete_token1] = ACTIONS(1641),
    [aux_sym__keyword_begin_token1] = ACTIONS(1641),
    [aux_sym__keyword_end_token1] = ACTIONS(1641),
    [aux_sym__keyword_between_token1] = ACTIONS(1641),
    [aux_sym__keyword_when_token1] = ACTIONS(1641),
    [aux_sym__keyword_else_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1641),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1641),
    [aux_sym__keyword_like_token1] = ACTIONS(1641),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1641),
    [aux_sym__keyword_as_token1] = ACTIONS(1643),
    [aux_sym__keyword_for_token1] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1641),
    [aux_sym_return_statement_token1] = ACTIONS(1641),
    [aux_sym_call_statement_token1] = ACTIONS(1641),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1641),
    [aux_sym_if_statement_token1] = ACTIONS(1641),
    [aux_sym_loop_statement_token1] = ACTIONS(1641),
    [aux_sym_repeat_statement_token1] = ACTIONS(1641),
    [aux_sym_while_statement_token1] = ACTIONS(1641),
    [aux_sym_break_statement_token1] = ACTIONS(1641),
    [aux_sym_leave_statement_token1] = ACTIONS(1641),
    [aux_sym_continue_statement_token1] = ACTIONS(1641),
    [aux_sym_iterate_statement_token1] = ACTIONS(1641),
    [aux_sym_raise_statement_token1] = ACTIONS(1641),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1641),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1641),
    [aux_sym_option_clause_token1] = ACTIONS(1641),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1641),
    [aux_sym_insert_statement_token1] = ACTIONS(1641),
    [aux_sym_truncate_statement_token1] = ACTIONS(1641),
    [aux_sym_update_statement_token1] = ACTIONS(1641),
    [aux_sym_merge_statement_token1] = ACTIONS(1641),
    [aux_sym_grant_statement_token1] = ACTIONS(1641),
    [aux_sym_revoke_statement_token1] = ACTIONS(1641),
    [aux_sym_export_data_statement_token1] = ACTIONS(1641),
    [aux_sym_load_data_statement_token1] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [4385] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1621),
    [aux_sym_keyword_replace_token1] = ACTIONS(1621),
    [aux_sym__keyword_alter_token1] = ACTIONS(1621),
    [aux_sym__keyword_create_token1] = ACTIONS(1621),
    [aux_sym__keyword_drop_token1] = ACTIONS(1621),
    [aux_sym__keyword_delete_token1] = ACTIONS(1621),
    [aux_sym__keyword_begin_token1] = ACTIONS(1621),
    [aux_sym__keyword_end_token1] = ACTIONS(1621),
    [aux_sym__keyword_between_token1] = ACTIONS(1621),
    [aux_sym__keyword_when_token1] = ACTIONS(1621),
    [aux_sym__keyword_else_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1621),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1621),
    [aux_sym__keyword_like_token1] = ACTIONS(1621),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1621),
    [aux_sym__keyword_as_token1] = ACTIONS(1623),
    [aux_sym__keyword_for_token1] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1621),
    [anon_sym_COMMA] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1621),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1621),
    [aux_sym_return_statement_token1] = ACTIONS(1621),
    [aux_sym_call_statement_token1] = ACTIONS(1621),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1621),
    [aux_sym_if_statement_token1] = ACTIONS(1621),
    [aux_sym_loop_statement_token1] = ACTIONS(1621),
    [aux_sym_repeat_statement_token1] = ACTIONS(1621),
    [aux_sym_while_statement_token1] = ACTIONS(1621),
    [aux_sym_break_statement_token1] = ACTIONS(1621),
    [aux_sym_leave_statement_token1] = ACTIONS(1621),
    [aux_sym_continue_statement_token1] = ACTIONS(1621),
    [aux_sym_iterate_statement_token1] = ACTIONS(1621),
    [aux_sym_raise_statement_token1] = ACTIONS(1621),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1621),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1621),
    [aux_sym_option_clause_token1] = ACTIONS(1621),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1621),
    [aux_sym_insert_statement_token1] = ACTIONS(1621),
    [aux_sym_truncate_statement_token1] = ACTIONS(1621),
    [aux_sym_update_statement_token1] = ACTIONS(1621),
    [aux_sym_merge_statement_token1] = ACTIONS(1621),
    [aux_sym_grant_statement_token1] = ACTIONS(1621),
    [aux_sym_revoke_statement_token1] = ACTIONS(1621),
    [aux_sym_export_data_statement_token1] = ACTIONS(1621),
    [aux_sym_load_data_statement_token1] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [4386] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1787),
    [aux_sym_keyword_replace_token1] = ACTIONS(1787),
    [aux_sym__keyword_alter_token1] = ACTIONS(1787),
    [aux_sym__keyword_create_token1] = ACTIONS(1787),
    [aux_sym__keyword_drop_token1] = ACTIONS(1787),
    [aux_sym__keyword_delete_token1] = ACTIONS(1787),
    [aux_sym__keyword_begin_token1] = ACTIONS(1787),
    [aux_sym__keyword_end_token1] = ACTIONS(1787),
    [aux_sym__keyword_between_token1] = ACTIONS(1787),
    [aux_sym__keyword_when_token1] = ACTIONS(1787),
    [aux_sym__keyword_else_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1787),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1787),
    [aux_sym__keyword_like_token1] = ACTIONS(1787),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1787),
    [aux_sym__keyword_as_token1] = ACTIONS(1789),
    [aux_sym__keyword_for_token1] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1787),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1787),
    [aux_sym_return_statement_token1] = ACTIONS(1787),
    [aux_sym_call_statement_token1] = ACTIONS(1787),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1787),
    [aux_sym_if_statement_token1] = ACTIONS(1787),
    [aux_sym_loop_statement_token1] = ACTIONS(1787),
    [aux_sym_repeat_statement_token1] = ACTIONS(1787),
    [aux_sym_while_statement_token1] = ACTIONS(1787),
    [aux_sym_break_statement_token1] = ACTIONS(1787),
    [aux_sym_leave_statement_token1] = ACTIONS(1787),
    [aux_sym_continue_statement_token1] = ACTIONS(1787),
    [aux_sym_iterate_statement_token1] = ACTIONS(1787),
    [aux_sym_raise_statement_token1] = ACTIONS(1787),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1787),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1787),
    [aux_sym_option_clause_token1] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1787),
    [aux_sym_insert_statement_token1] = ACTIONS(1787),
    [aux_sym_truncate_statement_token1] = ACTIONS(1787),
    [aux_sym_update_statement_token1] = ACTIONS(1787),
    [aux_sym_merge_statement_token1] = ACTIONS(1787),
    [aux_sym_grant_statement_token1] = ACTIONS(1787),
    [aux_sym_revoke_statement_token1] = ACTIONS(1787),
    [aux_sym_export_data_statement_token1] = ACTIONS(1787),
    [aux_sym_load_data_statement_token1] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [4387] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1563),
    [aux_sym_keyword_replace_token1] = ACTIONS(1563),
    [aux_sym__keyword_alter_token1] = ACTIONS(1563),
    [aux_sym__keyword_create_token1] = ACTIONS(1563),
    [aux_sym__keyword_drop_token1] = ACTIONS(1563),
    [aux_sym__keyword_delete_token1] = ACTIONS(1563),
    [aux_sym__keyword_begin_token1] = ACTIONS(1563),
    [aux_sym__keyword_end_token1] = ACTIONS(1563),
    [aux_sym__keyword_between_token1] = ACTIONS(1563),
    [aux_sym__keyword_when_token1] = ACTIONS(1563),
    [aux_sym__keyword_else_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1563),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1563),
    [aux_sym__keyword_like_token1] = ACTIONS(1563),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1563),
    [aux_sym__keyword_as_token1] = ACTIONS(1565),
    [aux_sym__keyword_for_token1] = ACTIONS(1563),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1563),
    [aux_sym_return_statement_token1] = ACTIONS(1563),
    [aux_sym_call_statement_token1] = ACTIONS(1563),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1563),
    [aux_sym_if_statement_token1] = ACTIONS(1563),
    [aux_sym_loop_statement_token1] = ACTIONS(1563),
    [aux_sym_repeat_statement_token1] = ACTIONS(1563),
    [aux_sym_while_statement_token1] = ACTIONS(1563),
    [aux_sym_break_statement_token1] = ACTIONS(1563),
    [aux_sym_leave_statement_token1] = ACTIONS(1563),
    [aux_sym_continue_statement_token1] = ACTIONS(1563),
    [aux_sym_iterate_statement_token1] = ACTIONS(1563),
    [aux_sym_raise_statement_token1] = ACTIONS(1563),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1563),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1563),
    [aux_sym_option_clause_token1] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1563),
    [aux_sym_insert_statement_token1] = ACTIONS(1563),
    [aux_sym_truncate_statement_token1] = ACTIONS(1563),
    [aux_sym_update_statement_token1] = ACTIONS(1563),
    [aux_sym_merge_statement_token1] = ACTIONS(1563),
    [aux_sym_grant_statement_token1] = ACTIONS(1563),
    [aux_sym_revoke_statement_token1] = ACTIONS(1563),
    [aux_sym_export_data_statement_token1] = ACTIONS(1563),
    [aux_sym_load_data_statement_token1] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [4388] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1645),
    [aux_sym_keyword_replace_token1] = ACTIONS(1645),
    [aux_sym__keyword_alter_token1] = ACTIONS(1645),
    [aux_sym__keyword_create_token1] = ACTIONS(1645),
    [aux_sym__keyword_drop_token1] = ACTIONS(1645),
    [aux_sym__keyword_delete_token1] = ACTIONS(1645),
    [aux_sym__keyword_begin_token1] = ACTIONS(1645),
    [aux_sym__keyword_end_token1] = ACTIONS(1645),
    [aux_sym__keyword_between_token1] = ACTIONS(1645),
    [aux_sym__keyword_when_token1] = ACTIONS(1645),
    [aux_sym__keyword_else_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1645),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1645),
    [aux_sym__keyword_like_token1] = ACTIONS(1645),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1645),
    [aux_sym__keyword_as_token1] = ACTIONS(1647),
    [aux_sym__keyword_for_token1] = ACTIONS(1645),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1645),
    [anon_sym_COMMA] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1645),
    [aux_sym_return_statement_token1] = ACTIONS(1645),
    [aux_sym_call_statement_token1] = ACTIONS(1645),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1645),
    [aux_sym_if_statement_token1] = ACTIONS(1645),
    [aux_sym_loop_statement_token1] = ACTIONS(1645),
    [aux_sym_repeat_statement_token1] = ACTIONS(1645),
    [aux_sym_while_statement_token1] = ACTIONS(1645),
    [aux_sym_break_statement_token1] = ACTIONS(1645),
    [aux_sym_leave_statement_token1] = ACTIONS(1645),
    [aux_sym_continue_statement_token1] = ACTIONS(1645),
    [aux_sym_iterate_statement_token1] = ACTIONS(1645),
    [aux_sym_raise_statement_token1] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1645),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1645),
    [aux_sym_option_clause_token1] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1645),
    [aux_sym_insert_statement_token1] = ACTIONS(1645),
    [aux_sym_truncate_statement_token1] = ACTIONS(1645),
    [aux_sym_update_statement_token1] = ACTIONS(1645),
    [aux_sym_merge_statement_token1] = ACTIONS(1645),
    [aux_sym_grant_statement_token1] = ACTIONS(1645),
    [aux_sym_revoke_statement_token1] = ACTIONS(1645),
    [aux_sym_export_data_statement_token1] = ACTIONS(1645),
    [aux_sym_load_data_statement_token1] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [4389] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1649),
    [aux_sym_keyword_replace_token1] = ACTIONS(1649),
    [aux_sym__keyword_alter_token1] = ACTIONS(1649),
    [aux_sym__keyword_create_token1] = ACTIONS(1649),
    [aux_sym__keyword_drop_token1] = ACTIONS(1649),
    [aux_sym__keyword_delete_token1] = ACTIONS(1649),
    [aux_sym__keyword_begin_token1] = ACTIONS(1649),
    [aux_sym__keyword_end_token1] = ACTIONS(1649),
    [aux_sym__keyword_between_token1] = ACTIONS(1649),
    [aux_sym__keyword_when_token1] = ACTIONS(1649),
    [aux_sym__keyword_else_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1649),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1649),
    [aux_sym__keyword_like_token1] = ACTIONS(1649),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1649),
    [aux_sym__keyword_as_token1] = ACTIONS(1651),
    [aux_sym__keyword_for_token1] = ACTIONS(1649),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1649),
    [aux_sym_return_statement_token1] = ACTIONS(1649),
    [aux_sym_call_statement_token1] = ACTIONS(1649),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1649),
    [aux_sym_if_statement_token1] = ACTIONS(1649),
    [aux_sym_loop_statement_token1] = ACTIONS(1649),
    [aux_sym_repeat_statement_token1] = ACTIONS(1649),
    [aux_sym_while_statement_token1] = ACTIONS(1649),
    [aux_sym_break_statement_token1] = ACTIONS(1649),
    [aux_sym_leave_statement_token1] = ACTIONS(1649),
    [aux_sym_continue_statement_token1] = ACTIONS(1649),
    [aux_sym_iterate_statement_token1] = ACTIONS(1649),
    [aux_sym_raise_statement_token1] = ACTIONS(1649),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1649),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1649),
    [aux_sym_option_clause_token1] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1649),
    [aux_sym_insert_statement_token1] = ACTIONS(1649),
    [aux_sym_truncate_statement_token1] = ACTIONS(1649),
    [aux_sym_update_statement_token1] = ACTIONS(1649),
    [aux_sym_merge_statement_token1] = ACTIONS(1649),
    [aux_sym_grant_statement_token1] = ACTIONS(1649),
    [aux_sym_revoke_statement_token1] = ACTIONS(1649),
    [aux_sym_export_data_statement_token1] = ACTIONS(1649),
    [aux_sym_load_data_statement_token1] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [4390] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1657),
    [aux_sym_keyword_replace_token1] = ACTIONS(1657),
    [aux_sym__keyword_alter_token1] = ACTIONS(1657),
    [aux_sym__keyword_create_token1] = ACTIONS(1657),
    [aux_sym__keyword_drop_token1] = ACTIONS(1657),
    [aux_sym__keyword_delete_token1] = ACTIONS(1657),
    [aux_sym__keyword_begin_token1] = ACTIONS(1657),
    [aux_sym__keyword_end_token1] = ACTIONS(1657),
    [aux_sym__keyword_between_token1] = ACTIONS(1657),
    [aux_sym__keyword_when_token1] = ACTIONS(1657),
    [aux_sym__keyword_else_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1657),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1657),
    [aux_sym__keyword_like_token1] = ACTIONS(1657),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1657),
    [aux_sym__keyword_as_token1] = ACTIONS(1659),
    [aux_sym__keyword_for_token1] = ACTIONS(1657),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1657),
    [aux_sym_return_statement_token1] = ACTIONS(1657),
    [aux_sym_call_statement_token1] = ACTIONS(1657),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1657),
    [aux_sym_if_statement_token1] = ACTIONS(1657),
    [aux_sym_loop_statement_token1] = ACTIONS(1657),
    [aux_sym_repeat_statement_token1] = ACTIONS(1657),
    [aux_sym_while_statement_token1] = ACTIONS(1657),
    [aux_sym_break_statement_token1] = ACTIONS(1657),
    [aux_sym_leave_statement_token1] = ACTIONS(1657),
    [aux_sym_continue_statement_token1] = ACTIONS(1657),
    [aux_sym_iterate_statement_token1] = ACTIONS(1657),
    [aux_sym_raise_statement_token1] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1657),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1657),
    [aux_sym_option_clause_token1] = ACTIONS(1657),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1657),
    [aux_sym_insert_statement_token1] = ACTIONS(1657),
    [aux_sym_truncate_statement_token1] = ACTIONS(1657),
    [aux_sym_update_statement_token1] = ACTIONS(1657),
    [aux_sym_merge_statement_token1] = ACTIONS(1657),
    [aux_sym_grant_statement_token1] = ACTIONS(1657),
    [aux_sym_revoke_statement_token1] = ACTIONS(1657),
    [aux_sym_export_data_statement_token1] = ACTIONS(1657),
    [aux_sym_load_data_statement_token1] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [4391] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_when_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [aux_sym_option_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4392] = {
    [sym__keyword_between] = STATE(1858),
    [sym__keyword_is] = STATE(12136),
    [sym__keyword_in] = STATE(1529),
    [sym__keyword_not] = STATE(13031),
    [sym__keyword_and] = STATE(1514),
    [sym__keyword_or] = STATE(1510),
    [sym__keyword_like] = STATE(14223),
    [sym_like_operator] = STATE(16355),
    [sym_quantitve_like_operator] = STATE(16354),
    [ts_builtin_sym_end] = ACTIONS(2823),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(2823),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1193),
    [aux_sym_keyword_replace_token1] = ACTIONS(2747),
    [aux_sym__keyword_alter_token1] = ACTIONS(2823),
    [aux_sym__keyword_create_token1] = ACTIONS(2823),
    [aux_sym__keyword_drop_token1] = ACTIONS(2823),
    [aux_sym__keyword_delete_token1] = ACTIONS(2823),
    [aux_sym__keyword_begin_token1] = ACTIONS(2823),
    [aux_sym__keyword_between_token1] = ACTIONS(3309),
    [aux_sym__keyword_is_token1] = ACTIONS(3311),
    [aux_sym__keyword_in_token1] = ACTIONS(3313),
    [aux_sym__keyword_and_token1] = ACTIONS(3315),
    [aux_sym__keyword_like_token1] = ACTIONS(1233),
    [aux_sym__keyword_repeat_token1] = ACTIONS(2823),
    [aux_sym__keyword_for_token1] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [aux_sym_declare_statement_token1] = ACTIONS(2823),
    [aux_sym_set_statement_token1] = ACTIONS(2823),
    [anon_sym_LPAREN] = ACTIONS(2823),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(2823),
    [aux_sym_return_statement_token1] = ACTIONS(2823),
    [aux_sym_call_statement_token1] = ACTIONS(2823),
    [aux_sym_loop_statement_token1] = ACTIONS(2823),
    [aux_sym_while_statement_token1] = ACTIONS(2823),
    [aux_sym_break_statement_token1] = ACTIONS(2823),
    [aux_sym_leave_statement_token1] = ACTIONS(2823),
    [aux_sym_continue_statement_token1] = ACTIONS(2823),
    [aux_sym_iterate_statement_token1] = ACTIONS(2823),
    [aux_sym_raise_statement_token1] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(3317),
    [aux_sym_assert_statement_token1] = ACTIONS(2823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_GT] = ACTIONS(3313),
    [aux_sym_select_token1] = ACTIONS(2823),
    [aux_sym_insert_statement_token1] = ACTIONS(2823),
    [aux_sym_truncate_statement_token1] = ACTIONS(2823),
    [aux_sym_update_statement_token1] = ACTIONS(2823),
    [aux_sym_merge_statement_token1] = ACTIONS(2823),
    [aux_sym_grant_statement_token1] = ACTIONS(2823),
    [aux_sym_revoke_statement_token1] = ACTIONS(2823),
    [aux_sym_export_data_statement_token1] = ACTIONS(2823),
    [aux_sym_load_data_statement_token1] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_PIPE_PIPE] = ACTIONS(3323),
    [anon_sym_LT_EQ] = ACTIONS(3317),
    [anon_sym_LT_GT] = ACTIONS(3317),
    [anon_sym_GT_EQ] = ACTIONS(3317),
    [anon_sym_BANG_EQ] = ACTIONS(3317),
    [anon_sym_LT_LT] = ACTIONS(3327),
    [anon_sym_GT_GT] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_PIPE] = ACTIONS(3333),
  },
  [4393] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1661),
    [aux_sym_keyword_replace_token1] = ACTIONS(1661),
    [aux_sym__keyword_alter_token1] = ACTIONS(1661),
    [aux_sym__keyword_create_token1] = ACTIONS(1661),
    [aux_sym__keyword_drop_token1] = ACTIONS(1661),
    [aux_sym__keyword_delete_token1] = ACTIONS(1661),
    [aux_sym__keyword_begin_token1] = ACTIONS(1661),
    [aux_sym__keyword_end_token1] = ACTIONS(1661),
    [aux_sym__keyword_between_token1] = ACTIONS(1661),
    [aux_sym__keyword_when_token1] = ACTIONS(1661),
    [aux_sym__keyword_else_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1661),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1661),
    [aux_sym__keyword_like_token1] = ACTIONS(1661),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1661),
    [aux_sym__keyword_as_token1] = ACTIONS(1663),
    [aux_sym__keyword_for_token1] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1661),
    [aux_sym_return_statement_token1] = ACTIONS(1661),
    [aux_sym_call_statement_token1] = ACTIONS(1661),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1661),
    [aux_sym_if_statement_token1] = ACTIONS(1661),
    [aux_sym_loop_statement_token1] = ACTIONS(1661),
    [aux_sym_repeat_statement_token1] = ACTIONS(1661),
    [aux_sym_while_statement_token1] = ACTIONS(1661),
    [aux_sym_break_statement_token1] = ACTIONS(1661),
    [aux_sym_leave_statement_token1] = ACTIONS(1661),
    [aux_sym_continue_statement_token1] = ACTIONS(1661),
    [aux_sym_iterate_statement_token1] = ACTIONS(1661),
    [aux_sym_raise_statement_token1] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1661),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1661),
    [aux_sym_option_clause_token1] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1661),
    [aux_sym_insert_statement_token1] = ACTIONS(1661),
    [aux_sym_truncate_statement_token1] = ACTIONS(1661),
    [aux_sym_update_statement_token1] = ACTIONS(1661),
    [aux_sym_merge_statement_token1] = ACTIONS(1661),
    [aux_sym_grant_statement_token1] = ACTIONS(1661),
    [aux_sym_revoke_statement_token1] = ACTIONS(1661),
    [aux_sym_export_data_statement_token1] = ACTIONS(1661),
    [aux_sym_load_data_statement_token1] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [4394] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym__unquoted_identifier] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1245),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1245),
    [aux_sym_keyword_replace_token1] = ACTIONS(1245),
    [aux_sym__keyword_alter_token1] = ACTIONS(1245),
    [aux_sym__keyword_create_token1] = ACTIONS(1245),
    [aux_sym__keyword_drop_token1] = ACTIONS(1245),
    [aux_sym__keyword_delete_token1] = ACTIONS(1245),
    [aux_sym__keyword_begin_token1] = ACTIONS(1245),
    [aux_sym__keyword_between_token1] = ACTIONS(1245),
    [aux_sym__keyword_when_token1] = ACTIONS(1245),
    [aux_sym__keyword_is_token1] = ACTIONS(1245),
    [aux_sym__keyword_in_token1] = ACTIONS(1245),
    [aux_sym__keyword_and_token1] = ACTIONS(1245),
    [aux_sym__keyword_like_token1] = ACTIONS(1245),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1245),
    [aux_sym__keyword_as_token1] = ACTIONS(1245),
    [aux_sym__keyword_date_token1] = ACTIONS(1245),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1245),
    [aux_sym__keyword_time_token1] = ACTIONS(1245),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1245),
    [aux_sym__keyword_for_token1] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1247),
    [aux_sym_declare_statement_token1] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1247),
    [aux_sym_set_statement_token1] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1245),
    [aux_sym_return_statement_token1] = ACTIONS(1245),
    [aux_sym_call_statement_token1] = ACTIONS(1245),
    [aux_sym_loop_statement_token1] = ACTIONS(1245),
    [aux_sym_while_statement_token1] = ACTIONS(1245),
    [aux_sym_break_statement_token1] = ACTIONS(1245),
    [aux_sym_leave_statement_token1] = ACTIONS(1245),
    [aux_sym_continue_statement_token1] = ACTIONS(1245),
    [aux_sym_iterate_statement_token1] = ACTIONS(1245),
    [aux_sym_raise_statement_token1] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1247),
    [aux_sym_assert_statement_token1] = ACTIONS(1245),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [aux_sym_select_token1] = ACTIONS(1245),
    [aux_sym_insert_statement_token1] = ACTIONS(1245),
    [aux_sym_truncate_statement_token1] = ACTIONS(1245),
    [aux_sym_update_statement_token1] = ACTIONS(1245),
    [aux_sym_merge_statement_token1] = ACTIONS(1245),
    [aux_sym_grant_statement_token1] = ACTIONS(1245),
    [aux_sym_revoke_statement_token1] = ACTIONS(1245),
    [aux_sym_export_data_statement_token1] = ACTIONS(1245),
    [aux_sym_load_data_statement_token1] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [sym__quoted_identifier] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_LT_GT] = ACTIONS(1247),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PIPE] = ACTIONS(1245),
  },
  [4395] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1665),
    [aux_sym_keyword_replace_token1] = ACTIONS(1665),
    [aux_sym__keyword_alter_token1] = ACTIONS(1665),
    [aux_sym__keyword_create_token1] = ACTIONS(1665),
    [aux_sym__keyword_drop_token1] = ACTIONS(1665),
    [aux_sym__keyword_delete_token1] = ACTIONS(1665),
    [aux_sym__keyword_begin_token1] = ACTIONS(1665),
    [aux_sym__keyword_end_token1] = ACTIONS(1665),
    [aux_sym__keyword_between_token1] = ACTIONS(1665),
    [aux_sym__keyword_when_token1] = ACTIONS(1665),
    [aux_sym__keyword_else_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1665),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1665),
    [aux_sym__keyword_like_token1] = ACTIONS(1665),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1665),
    [aux_sym__keyword_as_token1] = ACTIONS(1667),
    [aux_sym__keyword_for_token1] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1665),
    [aux_sym_return_statement_token1] = ACTIONS(1665),
    [aux_sym_call_statement_token1] = ACTIONS(1665),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1665),
    [aux_sym_if_statement_token1] = ACTIONS(1665),
    [aux_sym_loop_statement_token1] = ACTIONS(1665),
    [aux_sym_repeat_statement_token1] = ACTIONS(1665),
    [aux_sym_while_statement_token1] = ACTIONS(1665),
    [aux_sym_break_statement_token1] = ACTIONS(1665),
    [aux_sym_leave_statement_token1] = ACTIONS(1665),
    [aux_sym_continue_statement_token1] = ACTIONS(1665),
    [aux_sym_iterate_statement_token1] = ACTIONS(1665),
    [aux_sym_raise_statement_token1] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1665),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1665),
    [aux_sym_option_clause_token1] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1665),
    [aux_sym_insert_statement_token1] = ACTIONS(1665),
    [aux_sym_truncate_statement_token1] = ACTIONS(1665),
    [aux_sym_update_statement_token1] = ACTIONS(1665),
    [aux_sym_merge_statement_token1] = ACTIONS(1665),
    [aux_sym_grant_statement_token1] = ACTIONS(1665),
    [aux_sym_revoke_statement_token1] = ACTIONS(1665),
    [aux_sym_export_data_statement_token1] = ACTIONS(1665),
    [aux_sym_load_data_statement_token1] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [4396] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1669),
    [aux_sym_keyword_replace_token1] = ACTIONS(1669),
    [aux_sym__keyword_alter_token1] = ACTIONS(1669),
    [aux_sym__keyword_create_token1] = ACTIONS(1669),
    [aux_sym__keyword_drop_token1] = ACTIONS(1669),
    [aux_sym__keyword_delete_token1] = ACTIONS(1669),
    [aux_sym__keyword_begin_token1] = ACTIONS(1669),
    [aux_sym__keyword_end_token1] = ACTIONS(1669),
    [aux_sym__keyword_between_token1] = ACTIONS(1669),
    [aux_sym__keyword_when_token1] = ACTIONS(1669),
    [aux_sym__keyword_else_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1669),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1669),
    [aux_sym__keyword_like_token1] = ACTIONS(1669),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1669),
    [aux_sym__keyword_as_token1] = ACTIONS(1671),
    [aux_sym__keyword_for_token1] = ACTIONS(1669),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1669),
    [aux_sym_return_statement_token1] = ACTIONS(1669),
    [aux_sym_call_statement_token1] = ACTIONS(1669),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1669),
    [aux_sym_if_statement_token1] = ACTIONS(1669),
    [aux_sym_loop_statement_token1] = ACTIONS(1669),
    [aux_sym_repeat_statement_token1] = ACTIONS(1669),
    [aux_sym_while_statement_token1] = ACTIONS(1669),
    [aux_sym_break_statement_token1] = ACTIONS(1669),
    [aux_sym_leave_statement_token1] = ACTIONS(1669),
    [aux_sym_continue_statement_token1] = ACTIONS(1669),
    [aux_sym_iterate_statement_token1] = ACTIONS(1669),
    [aux_sym_raise_statement_token1] = ACTIONS(1669),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1669),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1669),
    [aux_sym_option_clause_token1] = ACTIONS(1669),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1669),
    [aux_sym_insert_statement_token1] = ACTIONS(1669),
    [aux_sym_truncate_statement_token1] = ACTIONS(1669),
    [aux_sym_update_statement_token1] = ACTIONS(1669),
    [aux_sym_merge_statement_token1] = ACTIONS(1669),
    [aux_sym_grant_statement_token1] = ACTIONS(1669),
    [aux_sym_revoke_statement_token1] = ACTIONS(1669),
    [aux_sym_export_data_statement_token1] = ACTIONS(1669),
    [aux_sym_load_data_statement_token1] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [4397] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1673),
    [aux_sym_keyword_replace_token1] = ACTIONS(1673),
    [aux_sym__keyword_alter_token1] = ACTIONS(1673),
    [aux_sym__keyword_create_token1] = ACTIONS(1673),
    [aux_sym__keyword_drop_token1] = ACTIONS(1673),
    [aux_sym__keyword_delete_token1] = ACTIONS(1673),
    [aux_sym__keyword_begin_token1] = ACTIONS(1673),
    [aux_sym__keyword_end_token1] = ACTIONS(1673),
    [aux_sym__keyword_between_token1] = ACTIONS(1673),
    [aux_sym__keyword_when_token1] = ACTIONS(1673),
    [aux_sym__keyword_else_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1673),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1673),
    [aux_sym__keyword_like_token1] = ACTIONS(1673),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1673),
    [aux_sym__keyword_as_token1] = ACTIONS(1675),
    [aux_sym__keyword_for_token1] = ACTIONS(1673),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1673),
    [anon_sym_COMMA] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1673),
    [aux_sym_return_statement_token1] = ACTIONS(1673),
    [aux_sym_call_statement_token1] = ACTIONS(1673),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1673),
    [aux_sym_if_statement_token1] = ACTIONS(1673),
    [aux_sym_loop_statement_token1] = ACTIONS(1673),
    [aux_sym_repeat_statement_token1] = ACTIONS(1673),
    [aux_sym_while_statement_token1] = ACTIONS(1673),
    [aux_sym_break_statement_token1] = ACTIONS(1673),
    [aux_sym_leave_statement_token1] = ACTIONS(1673),
    [aux_sym_continue_statement_token1] = ACTIONS(1673),
    [aux_sym_iterate_statement_token1] = ACTIONS(1673),
    [aux_sym_raise_statement_token1] = ACTIONS(1673),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1673),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1673),
    [aux_sym_option_clause_token1] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1673),
    [aux_sym_insert_statement_token1] = ACTIONS(1673),
    [aux_sym_truncate_statement_token1] = ACTIONS(1673),
    [aux_sym_update_statement_token1] = ACTIONS(1673),
    [aux_sym_merge_statement_token1] = ACTIONS(1673),
    [aux_sym_grant_statement_token1] = ACTIONS(1673),
    [aux_sym_revoke_statement_token1] = ACTIONS(1673),
    [aux_sym_export_data_statement_token1] = ACTIONS(1673),
    [aux_sym_load_data_statement_token1] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [4398] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1677),
    [aux_sym_keyword_replace_token1] = ACTIONS(1677),
    [aux_sym__keyword_alter_token1] = ACTIONS(1677),
    [aux_sym__keyword_create_token1] = ACTIONS(1677),
    [aux_sym__keyword_drop_token1] = ACTIONS(1677),
    [aux_sym__keyword_delete_token1] = ACTIONS(1677),
    [aux_sym__keyword_begin_token1] = ACTIONS(1677),
    [aux_sym__keyword_end_token1] = ACTIONS(1677),
    [aux_sym__keyword_between_token1] = ACTIONS(1677),
    [aux_sym__keyword_when_token1] = ACTIONS(1677),
    [aux_sym__keyword_else_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1677),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1677),
    [aux_sym__keyword_like_token1] = ACTIONS(1677),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1677),
    [aux_sym__keyword_as_token1] = ACTIONS(1679),
    [aux_sym__keyword_for_token1] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1677),
    [anon_sym_COMMA] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1677),
    [aux_sym_return_statement_token1] = ACTIONS(1677),
    [aux_sym_call_statement_token1] = ACTIONS(1677),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1677),
    [aux_sym_if_statement_token1] = ACTIONS(1677),
    [aux_sym_loop_statement_token1] = ACTIONS(1677),
    [aux_sym_repeat_statement_token1] = ACTIONS(1677),
    [aux_sym_while_statement_token1] = ACTIONS(1677),
    [aux_sym_break_statement_token1] = ACTIONS(1677),
    [aux_sym_leave_statement_token1] = ACTIONS(1677),
    [aux_sym_continue_statement_token1] = ACTIONS(1677),
    [aux_sym_iterate_statement_token1] = ACTIONS(1677),
    [aux_sym_raise_statement_token1] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1677),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1677),
    [aux_sym_option_clause_token1] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1677),
    [aux_sym_insert_statement_token1] = ACTIONS(1677),
    [aux_sym_truncate_statement_token1] = ACTIONS(1677),
    [aux_sym_update_statement_token1] = ACTIONS(1677),
    [aux_sym_merge_statement_token1] = ACTIONS(1677),
    [aux_sym_grant_statement_token1] = ACTIONS(1677),
    [aux_sym_revoke_statement_token1] = ACTIONS(1677),
    [aux_sym_export_data_statement_token1] = ACTIONS(1677),
    [aux_sym_load_data_statement_token1] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [4399] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1689),
    [aux_sym_keyword_replace_token1] = ACTIONS(1689),
    [aux_sym__keyword_alter_token1] = ACTIONS(1689),
    [aux_sym__keyword_create_token1] = ACTIONS(1689),
    [aux_sym__keyword_drop_token1] = ACTIONS(1689),
    [aux_sym__keyword_delete_token1] = ACTIONS(1689),
    [aux_sym__keyword_begin_token1] = ACTIONS(1689),
    [aux_sym__keyword_end_token1] = ACTIONS(1689),
    [aux_sym__keyword_between_token1] = ACTIONS(1689),
    [aux_sym__keyword_when_token1] = ACTIONS(1689),
    [aux_sym__keyword_else_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1689),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1689),
    [aux_sym__keyword_like_token1] = ACTIONS(1689),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1689),
    [aux_sym__keyword_as_token1] = ACTIONS(1691),
    [aux_sym__keyword_for_token1] = ACTIONS(1689),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1689),
    [anon_sym_COMMA] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1689),
    [aux_sym_return_statement_token1] = ACTIONS(1689),
    [aux_sym_call_statement_token1] = ACTIONS(1689),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1689),
    [aux_sym_if_statement_token1] = ACTIONS(1689),
    [aux_sym_loop_statement_token1] = ACTIONS(1689),
    [aux_sym_repeat_statement_token1] = ACTIONS(1689),
    [aux_sym_while_statement_token1] = ACTIONS(1689),
    [aux_sym_break_statement_token1] = ACTIONS(1689),
    [aux_sym_leave_statement_token1] = ACTIONS(1689),
    [aux_sym_continue_statement_token1] = ACTIONS(1689),
    [aux_sym_iterate_statement_token1] = ACTIONS(1689),
    [aux_sym_raise_statement_token1] = ACTIONS(1689),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1689),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1689),
    [aux_sym_option_clause_token1] = ACTIONS(1689),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1689),
    [aux_sym_insert_statement_token1] = ACTIONS(1689),
    [aux_sym_truncate_statement_token1] = ACTIONS(1689),
    [aux_sym_update_statement_token1] = ACTIONS(1689),
    [aux_sym_merge_statement_token1] = ACTIONS(1689),
    [aux_sym_grant_statement_token1] = ACTIONS(1689),
    [aux_sym_revoke_statement_token1] = ACTIONS(1689),
    [aux_sym_export_data_statement_token1] = ACTIONS(1689),
    [aux_sym_load_data_statement_token1] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [4400] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1693),
    [aux_sym_keyword_replace_token1] = ACTIONS(1693),
    [aux_sym__keyword_alter_token1] = ACTIONS(1693),
    [aux_sym__keyword_create_token1] = ACTIONS(1693),
    [aux_sym__keyword_drop_token1] = ACTIONS(1693),
    [aux_sym__keyword_delete_token1] = ACTIONS(1693),
    [aux_sym__keyword_begin_token1] = ACTIONS(1693),
    [aux_sym__keyword_end_token1] = ACTIONS(1693),
    [aux_sym__keyword_between_token1] = ACTIONS(1693),
    [aux_sym__keyword_when_token1] = ACTIONS(1693),
    [aux_sym__keyword_else_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1693),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1693),
    [aux_sym__keyword_like_token1] = ACTIONS(1693),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1693),
    [aux_sym__keyword_as_token1] = ACTIONS(1695),
    [aux_sym__keyword_for_token1] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1693),
    [aux_sym_return_statement_token1] = ACTIONS(1693),
    [aux_sym_call_statement_token1] = ACTIONS(1693),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1693),
    [aux_sym_if_statement_token1] = ACTIONS(1693),
    [aux_sym_loop_statement_token1] = ACTIONS(1693),
    [aux_sym_repeat_statement_token1] = ACTIONS(1693),
    [aux_sym_while_statement_token1] = ACTIONS(1693),
    [aux_sym_break_statement_token1] = ACTIONS(1693),
    [aux_sym_leave_statement_token1] = ACTIONS(1693),
    [aux_sym_continue_statement_token1] = ACTIONS(1693),
    [aux_sym_iterate_statement_token1] = ACTIONS(1693),
    [aux_sym_raise_statement_token1] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1693),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1693),
    [aux_sym_option_clause_token1] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1693),
    [aux_sym_insert_statement_token1] = ACTIONS(1693),
    [aux_sym_truncate_statement_token1] = ACTIONS(1693),
    [aux_sym_update_statement_token1] = ACTIONS(1693),
    [aux_sym_merge_statement_token1] = ACTIONS(1693),
    [aux_sym_grant_statement_token1] = ACTIONS(1693),
    [aux_sym_revoke_statement_token1] = ACTIONS(1693),
    [aux_sym_export_data_statement_token1] = ACTIONS(1693),
    [aux_sym_load_data_statement_token1] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [4401] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1701),
    [aux_sym_keyword_replace_token1] = ACTIONS(1701),
    [aux_sym__keyword_alter_token1] = ACTIONS(1701),
    [aux_sym__keyword_create_token1] = ACTIONS(1701),
    [aux_sym__keyword_drop_token1] = ACTIONS(1701),
    [aux_sym__keyword_delete_token1] = ACTIONS(1701),
    [aux_sym__keyword_begin_token1] = ACTIONS(1701),
    [aux_sym__keyword_end_token1] = ACTIONS(1701),
    [aux_sym__keyword_between_token1] = ACTIONS(1701),
    [aux_sym__keyword_when_token1] = ACTIONS(1701),
    [aux_sym__keyword_else_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1701),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1701),
    [aux_sym__keyword_like_token1] = ACTIONS(1701),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1701),
    [aux_sym__keyword_as_token1] = ACTIONS(1703),
    [aux_sym__keyword_for_token1] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1701),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1701),
    [aux_sym_return_statement_token1] = ACTIONS(1701),
    [aux_sym_call_statement_token1] = ACTIONS(1701),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1701),
    [aux_sym_if_statement_token1] = ACTIONS(1701),
    [aux_sym_loop_statement_token1] = ACTIONS(1701),
    [aux_sym_repeat_statement_token1] = ACTIONS(1701),
    [aux_sym_while_statement_token1] = ACTIONS(1701),
    [aux_sym_break_statement_token1] = ACTIONS(1701),
    [aux_sym_leave_statement_token1] = ACTIONS(1701),
    [aux_sym_continue_statement_token1] = ACTIONS(1701),
    [aux_sym_iterate_statement_token1] = ACTIONS(1701),
    [aux_sym_raise_statement_token1] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1701),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1701),
    [aux_sym_option_clause_token1] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1701),
    [aux_sym_insert_statement_token1] = ACTIONS(1701),
    [aux_sym_truncate_statement_token1] = ACTIONS(1701),
    [aux_sym_update_statement_token1] = ACTIONS(1701),
    [aux_sym_merge_statement_token1] = ACTIONS(1701),
    [aux_sym_grant_statement_token1] = ACTIONS(1701),
    [aux_sym_revoke_statement_token1] = ACTIONS(1701),
    [aux_sym_export_data_statement_token1] = ACTIONS(1701),
    [aux_sym_load_data_statement_token1] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [4402] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1705),
    [aux_sym_keyword_replace_token1] = ACTIONS(1705),
    [aux_sym__keyword_alter_token1] = ACTIONS(1705),
    [aux_sym__keyword_create_token1] = ACTIONS(1705),
    [aux_sym__keyword_drop_token1] = ACTIONS(1705),
    [aux_sym__keyword_delete_token1] = ACTIONS(1705),
    [aux_sym__keyword_begin_token1] = ACTIONS(1705),
    [aux_sym__keyword_end_token1] = ACTIONS(1705),
    [aux_sym__keyword_between_token1] = ACTIONS(1705),
    [aux_sym__keyword_when_token1] = ACTIONS(1705),
    [aux_sym__keyword_else_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1705),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1705),
    [aux_sym__keyword_like_token1] = ACTIONS(1705),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1705),
    [aux_sym__keyword_as_token1] = ACTIONS(1707),
    [aux_sym__keyword_for_token1] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1705),
    [aux_sym_return_statement_token1] = ACTIONS(1705),
    [aux_sym_call_statement_token1] = ACTIONS(1705),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1705),
    [aux_sym_if_statement_token1] = ACTIONS(1705),
    [aux_sym_loop_statement_token1] = ACTIONS(1705),
    [aux_sym_repeat_statement_token1] = ACTIONS(1705),
    [aux_sym_while_statement_token1] = ACTIONS(1705),
    [aux_sym_break_statement_token1] = ACTIONS(1705),
    [aux_sym_leave_statement_token1] = ACTIONS(1705),
    [aux_sym_continue_statement_token1] = ACTIONS(1705),
    [aux_sym_iterate_statement_token1] = ACTIONS(1705),
    [aux_sym_raise_statement_token1] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1705),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1705),
    [aux_sym_option_clause_token1] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1705),
    [aux_sym_insert_statement_token1] = ACTIONS(1705),
    [aux_sym_truncate_statement_token1] = ACTIONS(1705),
    [aux_sym_update_statement_token1] = ACTIONS(1705),
    [aux_sym_merge_statement_token1] = ACTIONS(1705),
    [aux_sym_grant_statement_token1] = ACTIONS(1705),
    [aux_sym_revoke_statement_token1] = ACTIONS(1705),
    [aux_sym_export_data_statement_token1] = ACTIONS(1705),
    [aux_sym_load_data_statement_token1] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [4403] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1709),
    [aux_sym_keyword_replace_token1] = ACTIONS(1709),
    [aux_sym__keyword_alter_token1] = ACTIONS(1709),
    [aux_sym__keyword_create_token1] = ACTIONS(1709),
    [aux_sym__keyword_drop_token1] = ACTIONS(1709),
    [aux_sym__keyword_delete_token1] = ACTIONS(1709),
    [aux_sym__keyword_begin_token1] = ACTIONS(1709),
    [aux_sym__keyword_end_token1] = ACTIONS(1709),
    [aux_sym__keyword_between_token1] = ACTIONS(1709),
    [aux_sym__keyword_when_token1] = ACTIONS(1709),
    [aux_sym__keyword_else_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1709),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1709),
    [aux_sym__keyword_like_token1] = ACTIONS(1709),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1709),
    [aux_sym__keyword_as_token1] = ACTIONS(1711),
    [aux_sym__keyword_for_token1] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1709),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1709),
    [aux_sym_return_statement_token1] = ACTIONS(1709),
    [aux_sym_call_statement_token1] = ACTIONS(1709),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1709),
    [aux_sym_if_statement_token1] = ACTIONS(1709),
    [aux_sym_loop_statement_token1] = ACTIONS(1709),
    [aux_sym_repeat_statement_token1] = ACTIONS(1709),
    [aux_sym_while_statement_token1] = ACTIONS(1709),
    [aux_sym_break_statement_token1] = ACTIONS(1709),
    [aux_sym_leave_statement_token1] = ACTIONS(1709),
    [aux_sym_continue_statement_token1] = ACTIONS(1709),
    [aux_sym_iterate_statement_token1] = ACTIONS(1709),
    [aux_sym_raise_statement_token1] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1709),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1709),
    [aux_sym_option_clause_token1] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1709),
    [aux_sym_insert_statement_token1] = ACTIONS(1709),
    [aux_sym_truncate_statement_token1] = ACTIONS(1709),
    [aux_sym_update_statement_token1] = ACTIONS(1709),
    [aux_sym_merge_statement_token1] = ACTIONS(1709),
    [aux_sym_grant_statement_token1] = ACTIONS(1709),
    [aux_sym_revoke_statement_token1] = ACTIONS(1709),
    [aux_sym_export_data_statement_token1] = ACTIONS(1709),
    [aux_sym_load_data_statement_token1] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [4404] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1531),
    [aux_sym_keyword_replace_token1] = ACTIONS(1531),
    [aux_sym__keyword_alter_token1] = ACTIONS(1531),
    [aux_sym__keyword_create_token1] = ACTIONS(1531),
    [aux_sym__keyword_drop_token1] = ACTIONS(1531),
    [aux_sym__keyword_delete_token1] = ACTIONS(1531),
    [aux_sym__keyword_begin_token1] = ACTIONS(1531),
    [aux_sym__keyword_end_token1] = ACTIONS(1531),
    [aux_sym__keyword_between_token1] = ACTIONS(1531),
    [aux_sym__keyword_when_token1] = ACTIONS(1531),
    [aux_sym__keyword_else_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1531),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1531),
    [aux_sym__keyword_like_token1] = ACTIONS(1531),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1531),
    [aux_sym__keyword_as_token1] = ACTIONS(1533),
    [aux_sym__keyword_for_token1] = ACTIONS(1531),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1531),
    [anon_sym_COMMA] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1531),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1531),
    [aux_sym_return_statement_token1] = ACTIONS(1531),
    [aux_sym_call_statement_token1] = ACTIONS(1531),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1531),
    [aux_sym_if_statement_token1] = ACTIONS(1531),
    [aux_sym_loop_statement_token1] = ACTIONS(1531),
    [aux_sym_repeat_statement_token1] = ACTIONS(1531),
    [aux_sym_while_statement_token1] = ACTIONS(1531),
    [aux_sym_break_statement_token1] = ACTIONS(1531),
    [aux_sym_leave_statement_token1] = ACTIONS(1531),
    [aux_sym_continue_statement_token1] = ACTIONS(1531),
    [aux_sym_iterate_statement_token1] = ACTIONS(1531),
    [aux_sym_raise_statement_token1] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1531),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1531),
    [aux_sym_option_clause_token1] = ACTIONS(1531),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1531),
    [aux_sym_insert_statement_token1] = ACTIONS(1531),
    [aux_sym_truncate_statement_token1] = ACTIONS(1531),
    [aux_sym_update_statement_token1] = ACTIONS(1531),
    [aux_sym_merge_statement_token1] = ACTIONS(1531),
    [aux_sym_grant_statement_token1] = ACTIONS(1531),
    [aux_sym_revoke_statement_token1] = ACTIONS(1531),
    [aux_sym_export_data_statement_token1] = ACTIONS(1531),
    [aux_sym_load_data_statement_token1] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [4405] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1747),
    [aux_sym_keyword_replace_token1] = ACTIONS(1747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1747),
    [aux_sym__keyword_create_token1] = ACTIONS(1747),
    [aux_sym__keyword_drop_token1] = ACTIONS(1747),
    [aux_sym__keyword_delete_token1] = ACTIONS(1747),
    [aux_sym__keyword_begin_token1] = ACTIONS(1747),
    [aux_sym__keyword_end_token1] = ACTIONS(1747),
    [aux_sym__keyword_between_token1] = ACTIONS(1747),
    [aux_sym__keyword_when_token1] = ACTIONS(1747),
    [aux_sym__keyword_else_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1747),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1747),
    [aux_sym__keyword_like_token1] = ACTIONS(1747),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1747),
    [aux_sym__keyword_as_token1] = ACTIONS(1749),
    [aux_sym__keyword_for_token1] = ACTIONS(1747),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1747),
    [aux_sym_return_statement_token1] = ACTIONS(1747),
    [aux_sym_call_statement_token1] = ACTIONS(1747),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1747),
    [aux_sym_if_statement_token1] = ACTIONS(1747),
    [aux_sym_loop_statement_token1] = ACTIONS(1747),
    [aux_sym_repeat_statement_token1] = ACTIONS(1747),
    [aux_sym_while_statement_token1] = ACTIONS(1747),
    [aux_sym_break_statement_token1] = ACTIONS(1747),
    [aux_sym_leave_statement_token1] = ACTIONS(1747),
    [aux_sym_continue_statement_token1] = ACTIONS(1747),
    [aux_sym_iterate_statement_token1] = ACTIONS(1747),
    [aux_sym_raise_statement_token1] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1747),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1747),
    [aux_sym_option_clause_token1] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1747),
    [aux_sym_insert_statement_token1] = ACTIONS(1747),
    [aux_sym_truncate_statement_token1] = ACTIONS(1747),
    [aux_sym_update_statement_token1] = ACTIONS(1747),
    [aux_sym_merge_statement_token1] = ACTIONS(1747),
    [aux_sym_grant_statement_token1] = ACTIONS(1747),
    [aux_sym_revoke_statement_token1] = ACTIONS(1747),
    [aux_sym_export_data_statement_token1] = ACTIONS(1747),
    [aux_sym_load_data_statement_token1] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [4406] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1759),
    [aux_sym_keyword_replace_token1] = ACTIONS(1759),
    [aux_sym__keyword_alter_token1] = ACTIONS(1759),
    [aux_sym__keyword_create_token1] = ACTIONS(1759),
    [aux_sym__keyword_drop_token1] = ACTIONS(1759),
    [aux_sym__keyword_delete_token1] = ACTIONS(1759),
    [aux_sym__keyword_begin_token1] = ACTIONS(1759),
    [aux_sym__keyword_end_token1] = ACTIONS(1759),
    [aux_sym__keyword_between_token1] = ACTIONS(1759),
    [aux_sym__keyword_when_token1] = ACTIONS(1759),
    [aux_sym__keyword_else_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1759),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1759),
    [aux_sym__keyword_like_token1] = ACTIONS(1759),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1759),
    [aux_sym__keyword_as_token1] = ACTIONS(1761),
    [aux_sym__keyword_for_token1] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1759),
    [aux_sym_return_statement_token1] = ACTIONS(1759),
    [aux_sym_call_statement_token1] = ACTIONS(1759),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1759),
    [aux_sym_if_statement_token1] = ACTIONS(1759),
    [aux_sym_loop_statement_token1] = ACTIONS(1759),
    [aux_sym_repeat_statement_token1] = ACTIONS(1759),
    [aux_sym_while_statement_token1] = ACTIONS(1759),
    [aux_sym_break_statement_token1] = ACTIONS(1759),
    [aux_sym_leave_statement_token1] = ACTIONS(1759),
    [aux_sym_continue_statement_token1] = ACTIONS(1759),
    [aux_sym_iterate_statement_token1] = ACTIONS(1759),
    [aux_sym_raise_statement_token1] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1759),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1759),
    [aux_sym_option_clause_token1] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1759),
    [aux_sym_insert_statement_token1] = ACTIONS(1759),
    [aux_sym_truncate_statement_token1] = ACTIONS(1759),
    [aux_sym_update_statement_token1] = ACTIONS(1759),
    [aux_sym_merge_statement_token1] = ACTIONS(1759),
    [aux_sym_grant_statement_token1] = ACTIONS(1759),
    [aux_sym_revoke_statement_token1] = ACTIONS(1759),
    [aux_sym_export_data_statement_token1] = ACTIONS(1759),
    [aux_sym_load_data_statement_token1] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [4407] = {
    [sym__keyword_as] = STATE(14534),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1475),
    [aux_sym_keyword_replace_token1] = ACTIONS(1475),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_between_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_is_token1] = ACTIONS(1475),
    [aux_sym__keyword_in_token1] = ACTIONS(1477),
    [aux_sym__keyword_and_token1] = ACTIONS(1475),
    [aux_sym__keyword_like_token1] = ACTIONS(1475),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(1477),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [aux_sym_option_clause_token1] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_GT] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1475),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_GT] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1475),
    [anon_sym_GT_GT] = ACTIONS(1475),
    [anon_sym_AMP] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
  },
  [4408] = {
    [ts_builtin_sym_end] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1771),
    [aux_sym_keyword_replace_token1] = ACTIONS(1771),
    [aux_sym__keyword_alter_token1] = ACTIONS(1771),
    [aux_sym__keyword_create_token1] = ACTIONS(1771),
    [aux_sym__keyword_drop_token1] = ACTIONS(1771),
    [aux_sym__keyword_delete_token1] = ACTIONS(1771),
    [aux_sym__keyword_begin_token1] = ACTIONS(1771),
    [aux_sym__keyword_end_token1] = ACTIONS(1771),
    [aux_sym__keyword_between_token1] = ACTIONS(1771),
    [aux_sym__keyword_when_token1] = ACTIONS(1771),
    [aux_sym__keyword_else_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1771),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1771),
    [aux_sym__keyword_like_token1] = ACTIONS(1771),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1771),
    [aux_sym__keyword_as_token1] = ACTIONS(1773),
    [aux_sym__keyword_for_token1] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1771),
    [aux_sym_return_statement_token1] = ACTIONS(1771),
    [aux_sym_call_statement_token1] = ACTIONS(1771),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1771),
    [aux_sym_if_statement_token1] = ACTIONS(1771),
    [aux_sym_loop_statement_token1] = ACTIONS(1771),
    [aux_sym_repeat_statement_token1] = ACTIONS(1771),
    [aux_sym_while_statement_token1] = ACTIONS(1771),
    [aux_sym_break_statement_token1] = ACTIONS(1771),
    [aux_sym_leave_statement_token1] = ACTIONS(1771),
    [aux_sym_continue_statement_token1] = ACTIONS(1771),
    [aux_sym_iterate_statement_token1] = ACTIONS(1771),
    [aux_sym_raise_statement_token1] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1771),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1771),
    [aux_sym_option_clause_token1] = ACTIONS(1771),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1771),
    [aux_sym_insert_statement_token1] = ACTIONS(1771),
    [aux_sym_truncate_statement_token1] = ACTIONS(1771),
    [aux_sym_update_statement_token1] = ACTIONS(1771),
    [aux_sym_merge_statement_token1] = ACTIONS(1771),
    [aux_sym_grant_statement_token1] = ACTIONS(1771),
    [aux_sym_revoke_statement_token1] = ACTIONS(1771),
    [aux_sym_export_data_statement_token1] = ACTIONS(1771),
    [aux_sym_load_data_statement_token1] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [4409] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1779),
    [aux_sym_keyword_replace_token1] = ACTIONS(1779),
    [aux_sym__keyword_alter_token1] = ACTIONS(1779),
    [aux_sym__keyword_create_token1] = ACTIONS(1779),
    [aux_sym__keyword_drop_token1] = ACTIONS(1779),
    [aux_sym__keyword_delete_token1] = ACTIONS(1779),
    [aux_sym__keyword_begin_token1] = ACTIONS(1779),
    [aux_sym__keyword_end_token1] = ACTIONS(1779),
    [aux_sym__keyword_between_token1] = ACTIONS(1779),
    [aux_sym__keyword_when_token1] = ACTIONS(1779),
    [aux_sym__keyword_else_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1779),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1779),
    [aux_sym__keyword_like_token1] = ACTIONS(1779),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1779),
    [aux_sym__keyword_as_token1] = ACTIONS(1781),
    [aux_sym__keyword_for_token1] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1779),
    [aux_sym_return_statement_token1] = ACTIONS(1779),
    [aux_sym_call_statement_token1] = ACTIONS(1779),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1779),
    [aux_sym_if_statement_token1] = ACTIONS(1779),
    [aux_sym_loop_statement_token1] = ACTIONS(1779),
    [aux_sym_repeat_statement_token1] = ACTIONS(1779),
    [aux_sym_while_statement_token1] = ACTIONS(1779),
    [aux_sym_break_statement_token1] = ACTIONS(1779),
    [aux_sym_leave_statement_token1] = ACTIONS(1779),
    [aux_sym_continue_statement_token1] = ACTIONS(1779),
    [aux_sym_iterate_statement_token1] = ACTIONS(1779),
    [aux_sym_raise_statement_token1] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1779),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1779),
    [aux_sym_option_clause_token1] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1779),
    [aux_sym_insert_statement_token1] = ACTIONS(1779),
    [aux_sym_truncate_statement_token1] = ACTIONS(1779),
    [aux_sym_update_statement_token1] = ACTIONS(1779),
    [aux_sym_merge_statement_token1] = ACTIONS(1779),
    [aux_sym_grant_statement_token1] = ACTIONS(1779),
    [aux_sym_revoke_statement_token1] = ACTIONS(1779),
    [aux_sym_export_data_statement_token1] = ACTIONS(1779),
    [aux_sym_load_data_statement_token1] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [4410] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1763),
    [aux_sym_keyword_replace_token1] = ACTIONS(1763),
    [aux_sym__keyword_alter_token1] = ACTIONS(1763),
    [aux_sym__keyword_create_token1] = ACTIONS(1763),
    [aux_sym__keyword_drop_token1] = ACTIONS(1763),
    [aux_sym__keyword_delete_token1] = ACTIONS(1763),
    [aux_sym__keyword_begin_token1] = ACTIONS(1763),
    [aux_sym__keyword_end_token1] = ACTIONS(1763),
    [aux_sym__keyword_between_token1] = ACTIONS(1763),
    [aux_sym__keyword_when_token1] = ACTIONS(1763),
    [aux_sym__keyword_else_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1763),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1763),
    [aux_sym__keyword_like_token1] = ACTIONS(1763),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1763),
    [aux_sym__keyword_as_token1] = ACTIONS(1765),
    [aux_sym__keyword_for_token1] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1763),
    [aux_sym_return_statement_token1] = ACTIONS(1763),
    [aux_sym_call_statement_token1] = ACTIONS(1763),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1763),
    [aux_sym_if_statement_token1] = ACTIONS(1763),
    [aux_sym_loop_statement_token1] = ACTIONS(1763),
    [aux_sym_repeat_statement_token1] = ACTIONS(1763),
    [aux_sym_while_statement_token1] = ACTIONS(1763),
    [aux_sym_break_statement_token1] = ACTIONS(1763),
    [aux_sym_leave_statement_token1] = ACTIONS(1763),
    [aux_sym_continue_statement_token1] = ACTIONS(1763),
    [aux_sym_iterate_statement_token1] = ACTIONS(1763),
    [aux_sym_raise_statement_token1] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1763),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1763),
    [aux_sym_option_clause_token1] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1763),
    [aux_sym_insert_statement_token1] = ACTIONS(1763),
    [aux_sym_truncate_statement_token1] = ACTIONS(1763),
    [aux_sym_update_statement_token1] = ACTIONS(1763),
    [aux_sym_merge_statement_token1] = ACTIONS(1763),
    [aux_sym_grant_statement_token1] = ACTIONS(1763),
    [aux_sym_revoke_statement_token1] = ACTIONS(1763),
    [aux_sym_export_data_statement_token1] = ACTIONS(1763),
    [aux_sym_load_data_statement_token1] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [4411] = {
    [ts_builtin_sym_end] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1795),
    [aux_sym_keyword_replace_token1] = ACTIONS(1795),
    [aux_sym__keyword_alter_token1] = ACTIONS(1795),
    [aux_sym__keyword_create_token1] = ACTIONS(1795),
    [aux_sym__keyword_drop_token1] = ACTIONS(1795),
    [aux_sym__keyword_delete_token1] = ACTIONS(1795),
    [aux_sym__keyword_begin_token1] = ACTIONS(1795),
    [aux_sym__keyword_end_token1] = ACTIONS(1795),
    [aux_sym__keyword_between_token1] = ACTIONS(1795),
    [aux_sym__keyword_when_token1] = ACTIONS(1795),
    [aux_sym__keyword_else_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1795),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1795),
    [aux_sym__keyword_like_token1] = ACTIONS(1795),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1795),
    [aux_sym__keyword_as_token1] = ACTIONS(1797),
    [aux_sym__keyword_for_token1] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1795),
    [aux_sym_return_statement_token1] = ACTIONS(1795),
    [aux_sym_call_statement_token1] = ACTIONS(1795),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1795),
    [aux_sym_if_statement_token1] = ACTIONS(1795),
    [aux_sym_loop_statement_token1] = ACTIONS(1795),
    [aux_sym_repeat_statement_token1] = ACTIONS(1795),
    [aux_sym_while_statement_token1] = ACTIONS(1795),
    [aux_sym_break_statement_token1] = ACTIONS(1795),
    [aux_sym_leave_statement_token1] = ACTIONS(1795),
    [aux_sym_continue_statement_token1] = ACTIONS(1795),
    [aux_sym_iterate_statement_token1] = ACTIONS(1795),
    [aux_sym_raise_statement_token1] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1795),
    [aux_sym_option_clause_token1] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1795),
    [aux_sym_insert_statement_token1] = ACTIONS(1795),
    [aux_sym_truncate_statement_token1] = ACTIONS(1795),
    [aux_sym_update_statement_token1] = ACTIONS(1795),
    [aux_sym_merge_statement_token1] = ACTIONS(1795),
    [aux_sym_grant_statement_token1] = ACTIONS(1795),
    [aux_sym_revoke_statement_token1] = ACTIONS(1795),
    [aux_sym_export_data_statement_token1] = ACTIONS(1795),
    [aux_sym_load_data_statement_token1] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [4412] = {
    [sym_analytics_clause] = STATE(4895),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1389),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1389),
    [aux_sym_keyword_replace_token1] = ACTIONS(1389),
    [aux_sym__keyword_alter_token1] = ACTIONS(1389),
    [aux_sym__keyword_create_token1] = ACTIONS(1389),
    [aux_sym__keyword_drop_token1] = ACTIONS(1389),
    [aux_sym__keyword_delete_token1] = ACTIONS(1389),
    [aux_sym__keyword_begin_token1] = ACTIONS(1389),
    [aux_sym__keyword_end_token1] = ACTIONS(1389),
    [aux_sym__keyword_between_token1] = ACTIONS(1389),
    [aux_sym__keyword_else_token1] = ACTIONS(1391),
    [aux_sym__keyword_is_token1] = ACTIONS(1389),
    [aux_sym__keyword_in_token1] = ACTIONS(1391),
    [aux_sym__keyword_and_token1] = ACTIONS(1389),
    [aux_sym__keyword_like_token1] = ACTIONS(1389),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1389),
    [aux_sym__keyword_for_token1] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1389),
    [aux_sym_into_clause_token1] = ACTIONS(1389),
    [aux_sym_using_clause_token1] = ACTIONS(1389),
    [aux_sym_return_statement_token1] = ACTIONS(1389),
    [aux_sym_call_statement_token1] = ACTIONS(1389),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1389),
    [aux_sym_if_statement_token1] = ACTIONS(1389),
    [aux_sym_loop_statement_token1] = ACTIONS(1389),
    [aux_sym_repeat_statement_token1] = ACTIONS(1389),
    [aux_sym_while_statement_token1] = ACTIONS(1389),
    [aux_sym_break_statement_token1] = ACTIONS(1389),
    [aux_sym_leave_statement_token1] = ACTIONS(1389),
    [aux_sym_continue_statement_token1] = ACTIONS(1389),
    [aux_sym_iterate_statement_token1] = ACTIONS(1389),
    [aux_sym_raise_statement_token1] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1389),
    [aux_sym_assert_statement_token1] = ACTIONS(1389),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1389),
    [aux_sym_analytics_clause_token1] = ACTIONS(3379),
    [aux_sym_insert_statement_token1] = ACTIONS(1389),
    [aux_sym_truncate_statement_token1] = ACTIONS(1389),
    [aux_sym_update_statement_token1] = ACTIONS(1389),
    [aux_sym_merge_statement_token1] = ACTIONS(1389),
    [aux_sym_grant_statement_token1] = ACTIONS(1389),
    [aux_sym_revoke_statement_token1] = ACTIONS(1389),
    [aux_sym_export_data_statement_token1] = ACTIONS(1389),
    [aux_sym_load_data_statement_token1] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
  },
  [4413] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [sym__unquoted_identifier] = ACTIONS(1589),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1589),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1589),
    [aux_sym_keyword_replace_token1] = ACTIONS(1589),
    [aux_sym__keyword_alter_token1] = ACTIONS(1589),
    [aux_sym__keyword_create_token1] = ACTIONS(1589),
    [aux_sym__keyword_drop_token1] = ACTIONS(1589),
    [aux_sym__keyword_delete_token1] = ACTIONS(1589),
    [aux_sym__keyword_begin_token1] = ACTIONS(1589),
    [aux_sym__keyword_between_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1589),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1589),
    [aux_sym__keyword_like_token1] = ACTIONS(1589),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1589),
    [aux_sym__keyword_as_token1] = ACTIONS(1589),
    [aux_sym__keyword_date_token1] = ACTIONS(1589),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1589),
    [aux_sym__keyword_time_token1] = ACTIONS(1589),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1589),
    [aux_sym__keyword_for_token1] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1589),
    [anon_sym_COMMA] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1589),
    [aux_sym_return_statement_token1] = ACTIONS(1589),
    [aux_sym_call_statement_token1] = ACTIONS(1589),
    [aux_sym_loop_statement_token1] = ACTIONS(1589),
    [aux_sym_while_statement_token1] = ACTIONS(1589),
    [aux_sym_break_statement_token1] = ACTIONS(1589),
    [aux_sym_leave_statement_token1] = ACTIONS(1589),
    [aux_sym_continue_statement_token1] = ACTIONS(1589),
    [aux_sym_iterate_statement_token1] = ACTIONS(1589),
    [aux_sym_raise_statement_token1] = ACTIONS(1589),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1589),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1589),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(3385),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1589),
    [aux_sym_insert_statement_token1] = ACTIONS(1589),
    [aux_sym_truncate_statement_token1] = ACTIONS(1589),
    [aux_sym_update_statement_token1] = ACTIONS(1589),
    [aux_sym_merge_statement_token1] = ACTIONS(1589),
    [aux_sym_grant_statement_token1] = ACTIONS(1589),
    [aux_sym_revoke_statement_token1] = ACTIONS(1589),
    [aux_sym_export_data_statement_token1] = ACTIONS(1589),
    [aux_sym_load_data_statement_token1] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym__quoted_identifier] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [4414] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4415] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4416] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4417] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4418] = {
    [sym__unquoted_identifier] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1753),
    [aux_sym__keyword_alter_token1] = ACTIONS(1753),
    [aux_sym__keyword_create_token1] = ACTIONS(1753),
    [aux_sym__keyword_drop_token1] = ACTIONS(1753),
    [aux_sym__keyword_delete_token1] = ACTIONS(1753),
    [aux_sym__keyword_begin_token1] = ACTIONS(1753),
    [aux_sym__keyword_end_token1] = ACTIONS(1753),
    [aux_sym__keyword_when_token1] = ACTIONS(1753),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1753),
    [aux_sym__keyword_as_token1] = ACTIONS(1753),
    [aux_sym__keyword_window_token1] = ACTIONS(1753),
    [aux_sym__keyword_date_token1] = ACTIONS(1753),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1753),
    [aux_sym__keyword_time_token1] = ACTIONS(1753),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1753),
    [aux_sym__keyword_for_token1] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1753),
    [aux_sym_using_clause_token1] = ACTIONS(1753),
    [aux_sym_return_statement_token1] = ACTIONS(1753),
    [aux_sym_call_statement_token1] = ACTIONS(1753),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1753),
    [aux_sym_if_statement_token1] = ACTIONS(1753),
    [aux_sym_loop_statement_token1] = ACTIONS(1753),
    [aux_sym_repeat_statement_token1] = ACTIONS(1753),
    [aux_sym_while_statement_token1] = ACTIONS(1753),
    [aux_sym_break_statement_token1] = ACTIONS(1753),
    [aux_sym_leave_statement_token1] = ACTIONS(1753),
    [aux_sym_continue_statement_token1] = ACTIONS(1753),
    [aux_sym_iterate_statement_token1] = ACTIONS(1753),
    [aux_sym_raise_statement_token1] = ACTIONS(1753),
    [aux_sym_assert_statement_token1] = ACTIONS(1753),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1753),
    [aux_sym_set_operation_token1] = ACTIONS(1753),
    [aux_sym_set_operation_token3] = ACTIONS(1753),
    [aux_sym_set_operation_token4] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1753),
    [aux_sym_having_clause_token1] = ACTIONS(1753),
    [aux_sym_qualify_clause_token1] = ACTIONS(1753),
    [aux_sym_limit_clause_token1] = ACTIONS(1753),
    [aux_sym_group_by_clause_token1] = ACTIONS(1753),
    [aux_sym_order_by_clause_token1] = ACTIONS(1753),
    [aux_sym_where_clause_token1] = ACTIONS(1753),
    [aux_sym_pivot_operator_token1] = ACTIONS(1753),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1753),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1753),
    [aux_sym_join_type_token1] = ACTIONS(1753),
    [aux_sym_join_type_token2] = ACTIONS(1753),
    [aux_sym_join_type_token3] = ACTIONS(1753),
    [aux_sym_join_type_token4] = ACTIONS(1753),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1753),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1753),
    [aux_sym_join_condition_token1] = ACTIONS(1753),
    [aux_sym_insert_statement_token1] = ACTIONS(1753),
    [aux_sym_truncate_statement_token1] = ACTIONS(1753),
    [aux_sym_update_statement_token1] = ACTIONS(1753),
    [aux_sym_merge_statement_token1] = ACTIONS(1753),
    [aux_sym_grant_statement_token1] = ACTIONS(1753),
    [aux_sym_revoke_statement_token1] = ACTIONS(1753),
    [aux_sym_export_data_statement_token1] = ACTIONS(1753),
    [aux_sym_load_data_statement_token1] = ACTIONS(1753),
    [sym__quoted_identifier] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
  },
  [4419] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4420] = {
    [sym__unquoted_identifier] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1683),
    [aux_sym__keyword_alter_token1] = ACTIONS(1683),
    [aux_sym__keyword_create_token1] = ACTIONS(1683),
    [aux_sym__keyword_drop_token1] = ACTIONS(1683),
    [aux_sym__keyword_delete_token1] = ACTIONS(1683),
    [aux_sym__keyword_begin_token1] = ACTIONS(1683),
    [aux_sym__keyword_end_token1] = ACTIONS(1683),
    [aux_sym__keyword_when_token1] = ACTIONS(1683),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1683),
    [aux_sym__keyword_as_token1] = ACTIONS(1683),
    [aux_sym__keyword_window_token1] = ACTIONS(1683),
    [aux_sym__keyword_date_token1] = ACTIONS(1683),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1683),
    [aux_sym__keyword_time_token1] = ACTIONS(1683),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1683),
    [aux_sym__keyword_for_token1] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1683),
    [aux_sym_using_clause_token1] = ACTIONS(1683),
    [aux_sym_return_statement_token1] = ACTIONS(1683),
    [aux_sym_call_statement_token1] = ACTIONS(1683),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1683),
    [aux_sym_if_statement_token1] = ACTIONS(1683),
    [aux_sym_loop_statement_token1] = ACTIONS(1683),
    [aux_sym_repeat_statement_token1] = ACTIONS(1683),
    [aux_sym_while_statement_token1] = ACTIONS(1683),
    [aux_sym_break_statement_token1] = ACTIONS(1683),
    [aux_sym_leave_statement_token1] = ACTIONS(1683),
    [aux_sym_continue_statement_token1] = ACTIONS(1683),
    [aux_sym_iterate_statement_token1] = ACTIONS(1683),
    [aux_sym_raise_statement_token1] = ACTIONS(1683),
    [aux_sym_assert_statement_token1] = ACTIONS(1683),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1683),
    [aux_sym_set_operation_token1] = ACTIONS(1683),
    [aux_sym_set_operation_token3] = ACTIONS(1683),
    [aux_sym_set_operation_token4] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1683),
    [aux_sym_having_clause_token1] = ACTIONS(1683),
    [aux_sym_qualify_clause_token1] = ACTIONS(1683),
    [aux_sym_limit_clause_token1] = ACTIONS(1683),
    [aux_sym_group_by_clause_token1] = ACTIONS(1683),
    [aux_sym_order_by_clause_token1] = ACTIONS(1683),
    [aux_sym_where_clause_token1] = ACTIONS(1683),
    [aux_sym_pivot_operator_token1] = ACTIONS(1683),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1683),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1683),
    [aux_sym_join_type_token1] = ACTIONS(1683),
    [aux_sym_join_type_token2] = ACTIONS(1683),
    [aux_sym_join_type_token3] = ACTIONS(1683),
    [aux_sym_join_type_token4] = ACTIONS(1683),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1683),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1683),
    [aux_sym_join_condition_token1] = ACTIONS(1683),
    [aux_sym_insert_statement_token1] = ACTIONS(1683),
    [aux_sym_truncate_statement_token1] = ACTIONS(1683),
    [aux_sym_update_statement_token1] = ACTIONS(1683),
    [aux_sym_merge_statement_token1] = ACTIONS(1683),
    [aux_sym_grant_statement_token1] = ACTIONS(1683),
    [aux_sym_revoke_statement_token1] = ACTIONS(1683),
    [aux_sym_export_data_statement_token1] = ACTIONS(1683),
    [aux_sym_load_data_statement_token1] = ACTIONS(1683),
    [sym__quoted_identifier] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
  },
  [4421] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4422] = {
    [sym__unquoted_identifier] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1863),
    [aux_sym__keyword_alter_token1] = ACTIONS(1863),
    [aux_sym__keyword_create_token1] = ACTIONS(1863),
    [aux_sym__keyword_drop_token1] = ACTIONS(1863),
    [aux_sym__keyword_delete_token1] = ACTIONS(1863),
    [aux_sym__keyword_begin_token1] = ACTIONS(1863),
    [aux_sym__keyword_end_token1] = ACTIONS(1863),
    [aux_sym__keyword_when_token1] = ACTIONS(1863),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1863),
    [aux_sym__keyword_as_token1] = ACTIONS(1863),
    [aux_sym__keyword_window_token1] = ACTIONS(1863),
    [aux_sym__keyword_date_token1] = ACTIONS(1863),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1863),
    [aux_sym__keyword_time_token1] = ACTIONS(1863),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1863),
    [aux_sym__keyword_for_token1] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1863),
    [aux_sym_using_clause_token1] = ACTIONS(1863),
    [aux_sym_return_statement_token1] = ACTIONS(1863),
    [aux_sym_call_statement_token1] = ACTIONS(1863),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1863),
    [aux_sym_if_statement_token1] = ACTIONS(1863),
    [aux_sym_loop_statement_token1] = ACTIONS(1863),
    [aux_sym_repeat_statement_token1] = ACTIONS(1863),
    [aux_sym_while_statement_token1] = ACTIONS(1863),
    [aux_sym_break_statement_token1] = ACTIONS(1863),
    [aux_sym_leave_statement_token1] = ACTIONS(1863),
    [aux_sym_continue_statement_token1] = ACTIONS(1863),
    [aux_sym_iterate_statement_token1] = ACTIONS(1863),
    [aux_sym_raise_statement_token1] = ACTIONS(1863),
    [aux_sym_assert_statement_token1] = ACTIONS(1863),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1863),
    [aux_sym_set_operation_token1] = ACTIONS(1863),
    [aux_sym_set_operation_token3] = ACTIONS(1863),
    [aux_sym_set_operation_token4] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1863),
    [aux_sym_having_clause_token1] = ACTIONS(1863),
    [aux_sym_qualify_clause_token1] = ACTIONS(1863),
    [aux_sym_limit_clause_token1] = ACTIONS(1863),
    [aux_sym_group_by_clause_token1] = ACTIONS(1863),
    [aux_sym_order_by_clause_token1] = ACTIONS(1863),
    [aux_sym_where_clause_token1] = ACTIONS(1863),
    [aux_sym_pivot_operator_token1] = ACTIONS(1863),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1863),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1863),
    [aux_sym_join_type_token1] = ACTIONS(1863),
    [aux_sym_join_type_token2] = ACTIONS(1863),
    [aux_sym_join_type_token3] = ACTIONS(1863),
    [aux_sym_join_type_token4] = ACTIONS(1863),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1863),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1863),
    [aux_sym_join_condition_token1] = ACTIONS(1863),
    [aux_sym_insert_statement_token1] = ACTIONS(1863),
    [aux_sym_truncate_statement_token1] = ACTIONS(1863),
    [aux_sym_update_statement_token1] = ACTIONS(1863),
    [aux_sym_merge_statement_token1] = ACTIONS(1863),
    [aux_sym_grant_statement_token1] = ACTIONS(1863),
    [aux_sym_revoke_statement_token1] = ACTIONS(1863),
    [aux_sym_export_data_statement_token1] = ACTIONS(1863),
    [aux_sym_load_data_statement_token1] = ACTIONS(1863),
    [sym__quoted_identifier] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
  },
  [4423] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4424] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4425] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4426] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4427] = {
    [sym__unquoted_identifier] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1867),
    [aux_sym__keyword_alter_token1] = ACTIONS(1867),
    [aux_sym__keyword_create_token1] = ACTIONS(1867),
    [aux_sym__keyword_drop_token1] = ACTIONS(1867),
    [aux_sym__keyword_delete_token1] = ACTIONS(1867),
    [aux_sym__keyword_begin_token1] = ACTIONS(1867),
    [aux_sym__keyword_end_token1] = ACTIONS(1867),
    [aux_sym__keyword_when_token1] = ACTIONS(1867),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1867),
    [aux_sym__keyword_as_token1] = ACTIONS(1867),
    [aux_sym__keyword_window_token1] = ACTIONS(1867),
    [aux_sym__keyword_date_token1] = ACTIONS(1867),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1867),
    [aux_sym__keyword_time_token1] = ACTIONS(1867),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1867),
    [aux_sym__keyword_for_token1] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1867),
    [aux_sym_using_clause_token1] = ACTIONS(1867),
    [aux_sym_return_statement_token1] = ACTIONS(1867),
    [aux_sym_call_statement_token1] = ACTIONS(1867),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1867),
    [aux_sym_if_statement_token1] = ACTIONS(1867),
    [aux_sym_loop_statement_token1] = ACTIONS(1867),
    [aux_sym_repeat_statement_token1] = ACTIONS(1867),
    [aux_sym_while_statement_token1] = ACTIONS(1867),
    [aux_sym_break_statement_token1] = ACTIONS(1867),
    [aux_sym_leave_statement_token1] = ACTIONS(1867),
    [aux_sym_continue_statement_token1] = ACTIONS(1867),
    [aux_sym_iterate_statement_token1] = ACTIONS(1867),
    [aux_sym_raise_statement_token1] = ACTIONS(1867),
    [aux_sym_assert_statement_token1] = ACTIONS(1867),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1867),
    [aux_sym_set_operation_token1] = ACTIONS(1867),
    [aux_sym_set_operation_token3] = ACTIONS(1867),
    [aux_sym_set_operation_token4] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1867),
    [aux_sym_having_clause_token1] = ACTIONS(1867),
    [aux_sym_qualify_clause_token1] = ACTIONS(1867),
    [aux_sym_limit_clause_token1] = ACTIONS(1867),
    [aux_sym_group_by_clause_token1] = ACTIONS(1867),
    [aux_sym_order_by_clause_token1] = ACTIONS(1867),
    [aux_sym_where_clause_token1] = ACTIONS(1867),
    [aux_sym_pivot_operator_token1] = ACTIONS(1867),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1867),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1867),
    [aux_sym_join_type_token1] = ACTIONS(1867),
    [aux_sym_join_type_token2] = ACTIONS(1867),
    [aux_sym_join_type_token3] = ACTIONS(1867),
    [aux_sym_join_type_token4] = ACTIONS(1867),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1867),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1867),
    [aux_sym_join_condition_token1] = ACTIONS(1867),
    [aux_sym_insert_statement_token1] = ACTIONS(1867),
    [aux_sym_truncate_statement_token1] = ACTIONS(1867),
    [aux_sym_update_statement_token1] = ACTIONS(1867),
    [aux_sym_merge_statement_token1] = ACTIONS(1867),
    [aux_sym_grant_statement_token1] = ACTIONS(1867),
    [aux_sym_revoke_statement_token1] = ACTIONS(1867),
    [aux_sym_export_data_statement_token1] = ACTIONS(1867),
    [aux_sym_load_data_statement_token1] = ACTIONS(1867),
    [sym__quoted_identifier] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
  },
  [4428] = {
    [sym__unquoted_identifier] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1793),
    [aux_sym__keyword_alter_token1] = ACTIONS(1793),
    [aux_sym__keyword_create_token1] = ACTIONS(1793),
    [aux_sym__keyword_drop_token1] = ACTIONS(1793),
    [aux_sym__keyword_delete_token1] = ACTIONS(1793),
    [aux_sym__keyword_begin_token1] = ACTIONS(1793),
    [aux_sym__keyword_end_token1] = ACTIONS(1793),
    [aux_sym__keyword_when_token1] = ACTIONS(1793),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1793),
    [aux_sym__keyword_as_token1] = ACTIONS(1793),
    [aux_sym__keyword_window_token1] = ACTIONS(1793),
    [aux_sym__keyword_date_token1] = ACTIONS(1793),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1793),
    [aux_sym__keyword_time_token1] = ACTIONS(1793),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1793),
    [aux_sym__keyword_for_token1] = ACTIONS(1793),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1793),
    [aux_sym_using_clause_token1] = ACTIONS(1793),
    [aux_sym_return_statement_token1] = ACTIONS(1793),
    [aux_sym_call_statement_token1] = ACTIONS(1793),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1793),
    [aux_sym_if_statement_token1] = ACTIONS(1793),
    [aux_sym_loop_statement_token1] = ACTIONS(1793),
    [aux_sym_repeat_statement_token1] = ACTIONS(1793),
    [aux_sym_while_statement_token1] = ACTIONS(1793),
    [aux_sym_break_statement_token1] = ACTIONS(1793),
    [aux_sym_leave_statement_token1] = ACTIONS(1793),
    [aux_sym_continue_statement_token1] = ACTIONS(1793),
    [aux_sym_iterate_statement_token1] = ACTIONS(1793),
    [aux_sym_raise_statement_token1] = ACTIONS(1793),
    [aux_sym_assert_statement_token1] = ACTIONS(1793),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1793),
    [aux_sym_set_operation_token1] = ACTIONS(1793),
    [aux_sym_set_operation_token3] = ACTIONS(1793),
    [aux_sym_set_operation_token4] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1793),
    [aux_sym_having_clause_token1] = ACTIONS(1793),
    [aux_sym_qualify_clause_token1] = ACTIONS(1793),
    [aux_sym_limit_clause_token1] = ACTIONS(1793),
    [aux_sym_group_by_clause_token1] = ACTIONS(1793),
    [aux_sym_order_by_clause_token1] = ACTIONS(1793),
    [aux_sym_where_clause_token1] = ACTIONS(1793),
    [aux_sym_pivot_operator_token1] = ACTIONS(1793),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1793),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1793),
    [aux_sym_join_type_token1] = ACTIONS(1793),
    [aux_sym_join_type_token2] = ACTIONS(1793),
    [aux_sym_join_type_token3] = ACTIONS(1793),
    [aux_sym_join_type_token4] = ACTIONS(1793),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1793),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1793),
    [aux_sym_join_condition_token1] = ACTIONS(1793),
    [aux_sym_insert_statement_token1] = ACTIONS(1793),
    [aux_sym_truncate_statement_token1] = ACTIONS(1793),
    [aux_sym_update_statement_token1] = ACTIONS(1793),
    [aux_sym_merge_statement_token1] = ACTIONS(1793),
    [aux_sym_grant_statement_token1] = ACTIONS(1793),
    [aux_sym_revoke_statement_token1] = ACTIONS(1793),
    [aux_sym_export_data_statement_token1] = ACTIONS(1793),
    [aux_sym_load_data_statement_token1] = ACTIONS(1793),
    [sym__quoted_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
  },
  [4429] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4430] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1551),
    [aux_sym_keyword_replace_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_between_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1551),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1551),
    [aux_sym__keyword_like_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [4431] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_using_clause_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_pivot_operator_token1] = ACTIONS(1687),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1687),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1687),
    [aux_sym_join_type_token1] = ACTIONS(1687),
    [aux_sym_join_type_token2] = ACTIONS(1687),
    [aux_sym_join_type_token3] = ACTIONS(1687),
    [aux_sym_join_type_token4] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1687),
    [aux_sym_join_condition_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [4432] = {
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_end_token1] = ACTIONS(1551),
    [aux_sym__keyword_when_token1] = ACTIONS(1551),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_window_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_using_clause_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1551),
    [aux_sym_if_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_repeat_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1551),
    [aux_sym_set_operation_token3] = ACTIONS(1551),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_having_clause_token1] = ACTIONS(1551),
    [aux_sym_qualify_clause_token1] = ACTIONS(1551),
    [aux_sym_limit_clause_token1] = ACTIONS(1551),
    [aux_sym_group_by_clause_token1] = ACTIONS(1551),
    [aux_sym_order_by_clause_token1] = ACTIONS(1551),
    [aux_sym_where_clause_token1] = ACTIONS(1551),
    [aux_sym_pivot_operator_token1] = ACTIONS(1551),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1551),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1551),
    [aux_sym_join_type_token1] = ACTIONS(1551),
    [aux_sym_join_type_token2] = ACTIONS(1551),
    [aux_sym_join_type_token3] = ACTIONS(1551),
    [aux_sym_join_type_token4] = ACTIONS(1551),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1551),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1551),
    [aux_sym_join_condition_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
  },
  [4433] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4434] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_using_clause_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_pivot_operator_token1] = ACTIONS(1687),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1687),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1687),
    [aux_sym_join_type_token1] = ACTIONS(1687),
    [aux_sym_join_type_token2] = ACTIONS(1687),
    [aux_sym_join_type_token3] = ACTIONS(1687),
    [aux_sym_join_type_token4] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1687),
    [aux_sym_join_condition_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [4435] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1549),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_into_clause_token1] = ACTIONS(1549),
    [aux_sym_using_clause_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1549),
  },
  [4436] = {
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_end_token1] = ACTIONS(1463),
    [aux_sym__keyword_when_token1] = ACTIONS(1463),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_window_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_using_clause_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1463),
    [aux_sym_if_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_repeat_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token3] = ACTIONS(1463),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_having_clause_token1] = ACTIONS(1463),
    [aux_sym_qualify_clause_token1] = ACTIONS(1463),
    [aux_sym_limit_clause_token1] = ACTIONS(1463),
    [aux_sym_group_by_clause_token1] = ACTIONS(1463),
    [aux_sym_order_by_clause_token1] = ACTIONS(1463),
    [aux_sym_where_clause_token1] = ACTIONS(1463),
    [aux_sym_pivot_operator_token1] = ACTIONS(1463),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1463),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1463),
    [aux_sym_join_type_token1] = ACTIONS(1463),
    [aux_sym_join_type_token2] = ACTIONS(1463),
    [aux_sym_join_type_token3] = ACTIONS(1463),
    [aux_sym_join_type_token4] = ACTIONS(1463),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1463),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1463),
    [aux_sym_join_condition_token1] = ACTIONS(1463),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
  },
  [4437] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4438] = {
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_end_token1] = ACTIONS(1395),
    [aux_sym__keyword_when_token1] = ACTIONS(1395),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_window_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_using_clause_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1395),
    [aux_sym_if_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_repeat_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token3] = ACTIONS(1395),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_having_clause_token1] = ACTIONS(1395),
    [aux_sym_qualify_clause_token1] = ACTIONS(1395),
    [aux_sym_limit_clause_token1] = ACTIONS(1395),
    [aux_sym_group_by_clause_token1] = ACTIONS(1395),
    [aux_sym_order_by_clause_token1] = ACTIONS(1395),
    [aux_sym_where_clause_token1] = ACTIONS(1395),
    [aux_sym_pivot_operator_token1] = ACTIONS(1395),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1395),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1395),
    [aux_sym_join_type_token1] = ACTIONS(1395),
    [aux_sym_join_type_token2] = ACTIONS(1395),
    [aux_sym_join_type_token3] = ACTIONS(1395),
    [aux_sym_join_type_token4] = ACTIONS(1395),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1395),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1395),
    [aux_sym_join_condition_token1] = ACTIONS(1395),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
  },
  [4439] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1859),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_between_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1859),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1859),
    [aux_sym__keyword_like_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [4440] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [sym__unquoted_identifier] = ACTIONS(1623),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1623),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1623),
    [aux_sym_keyword_replace_token1] = ACTIONS(1623),
    [aux_sym__keyword_alter_token1] = ACTIONS(1623),
    [aux_sym__keyword_create_token1] = ACTIONS(1623),
    [aux_sym__keyword_drop_token1] = ACTIONS(1623),
    [aux_sym__keyword_delete_token1] = ACTIONS(1623),
    [aux_sym__keyword_begin_token1] = ACTIONS(1623),
    [aux_sym__keyword_between_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1623),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1623),
    [aux_sym__keyword_like_token1] = ACTIONS(1623),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1623),
    [aux_sym__keyword_as_token1] = ACTIONS(1623),
    [aux_sym__keyword_date_token1] = ACTIONS(1623),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1623),
    [aux_sym__keyword_time_token1] = ACTIONS(1623),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1623),
    [aux_sym__keyword_for_token1] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1623),
    [anon_sym_COMMA] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1623),
    [aux_sym_return_statement_token1] = ACTIONS(1623),
    [aux_sym_call_statement_token1] = ACTIONS(1623),
    [aux_sym_loop_statement_token1] = ACTIONS(1623),
    [aux_sym_while_statement_token1] = ACTIONS(1623),
    [aux_sym_break_statement_token1] = ACTIONS(1623),
    [aux_sym_leave_statement_token1] = ACTIONS(1623),
    [aux_sym_continue_statement_token1] = ACTIONS(1623),
    [aux_sym_iterate_statement_token1] = ACTIONS(1623),
    [aux_sym_raise_statement_token1] = ACTIONS(1623),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1623),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1623),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1623),
    [aux_sym_insert_statement_token1] = ACTIONS(1623),
    [aux_sym_truncate_statement_token1] = ACTIONS(1623),
    [aux_sym_update_statement_token1] = ACTIONS(1623),
    [aux_sym_merge_statement_token1] = ACTIONS(1623),
    [aux_sym_grant_statement_token1] = ACTIONS(1623),
    [aux_sym_revoke_statement_token1] = ACTIONS(1623),
    [aux_sym_export_data_statement_token1] = ACTIONS(1623),
    [aux_sym_load_data_statement_token1] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym__quoted_identifier] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [4441] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1859),
    [aux_sym_keyword_replace_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_between_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1859),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1859),
    [aux_sym__keyword_like_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [4442] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [4443] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_using_clause_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_pivot_operator_token1] = ACTIONS(1687),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1687),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1687),
    [aux_sym_join_type_token1] = ACTIONS(1687),
    [aux_sym_join_type_token2] = ACTIONS(1687),
    [aux_sym_join_type_token3] = ACTIONS(1687),
    [aux_sym_join_type_token4] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1687),
    [aux_sym_join_condition_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [4444] = {
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_end_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1483),
    [aux_sym_if_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_repeat_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [4445] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [4446] = {
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_end_token1] = ACTIONS(1491),
    [aux_sym__keyword_when_token1] = ACTIONS(1491),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_window_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_using_clause_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1491),
    [aux_sym_if_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_repeat_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token3] = ACTIONS(1491),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_having_clause_token1] = ACTIONS(1491),
    [aux_sym_qualify_clause_token1] = ACTIONS(1491),
    [aux_sym_limit_clause_token1] = ACTIONS(1491),
    [aux_sym_group_by_clause_token1] = ACTIONS(1491),
    [aux_sym_order_by_clause_token1] = ACTIONS(1491),
    [aux_sym_where_clause_token1] = ACTIONS(1491),
    [aux_sym_pivot_operator_token1] = ACTIONS(1491),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1491),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1491),
    [aux_sym_join_type_token1] = ACTIONS(1491),
    [aux_sym_join_type_token2] = ACTIONS(1491),
    [aux_sym_join_type_token3] = ACTIONS(1491),
    [aux_sym_join_type_token4] = ACTIONS(1491),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1491),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1491),
    [aux_sym_join_condition_token1] = ACTIONS(1491),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
  },
  [4447] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [4448] = {
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_end_token1] = ACTIONS(1503),
    [aux_sym__keyword_when_token1] = ACTIONS(1503),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_window_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_using_clause_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1503),
    [aux_sym_if_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_repeat_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token3] = ACTIONS(1503),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_having_clause_token1] = ACTIONS(1503),
    [aux_sym_qualify_clause_token1] = ACTIONS(1503),
    [aux_sym_limit_clause_token1] = ACTIONS(1503),
    [aux_sym_group_by_clause_token1] = ACTIONS(1503),
    [aux_sym_order_by_clause_token1] = ACTIONS(1503),
    [aux_sym_where_clause_token1] = ACTIONS(1503),
    [aux_sym_pivot_operator_token1] = ACTIONS(1503),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1503),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1503),
    [aux_sym_join_type_token1] = ACTIONS(1503),
    [aux_sym_join_type_token2] = ACTIONS(1503),
    [aux_sym_join_type_token3] = ACTIONS(1503),
    [aux_sym_join_type_token4] = ACTIONS(1503),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1503),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1503),
    [aux_sym_join_condition_token1] = ACTIONS(1503),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
  },
  [4449] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1687),
    [aux_sym_keyword_replace_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_between_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1687),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1687),
    [aux_sym__keyword_like_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [4450] = {
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_end_token1] = ACTIONS(1859),
    [aux_sym__keyword_when_token1] = ACTIONS(1859),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_window_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_using_clause_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1859),
    [aux_sym_if_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_repeat_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token3] = ACTIONS(1859),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_having_clause_token1] = ACTIONS(1859),
    [aux_sym_qualify_clause_token1] = ACTIONS(1859),
    [aux_sym_limit_clause_token1] = ACTIONS(1859),
    [aux_sym_group_by_clause_token1] = ACTIONS(1859),
    [aux_sym_order_by_clause_token1] = ACTIONS(1859),
    [aux_sym_where_clause_token1] = ACTIONS(1859),
    [aux_sym_pivot_operator_token1] = ACTIONS(1859),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1859),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1859),
    [aux_sym_join_type_token1] = ACTIONS(1859),
    [aux_sym_join_type_token2] = ACTIONS(1859),
    [aux_sym_join_type_token3] = ACTIONS(1859),
    [aux_sym_join_type_token4] = ACTIONS(1859),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1859),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1859),
    [aux_sym_join_condition_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
  },
  [4451] = {
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_end_token1] = ACTIONS(1515),
    [aux_sym__keyword_when_token1] = ACTIONS(1515),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_window_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_using_clause_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1515),
    [aux_sym_if_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_repeat_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token3] = ACTIONS(1515),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_having_clause_token1] = ACTIONS(1515),
    [aux_sym_qualify_clause_token1] = ACTIONS(1515),
    [aux_sym_limit_clause_token1] = ACTIONS(1515),
    [aux_sym_group_by_clause_token1] = ACTIONS(1515),
    [aux_sym_order_by_clause_token1] = ACTIONS(1515),
    [aux_sym_where_clause_token1] = ACTIONS(1515),
    [aux_sym_pivot_operator_token1] = ACTIONS(1515),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1515),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1515),
    [aux_sym_join_type_token1] = ACTIONS(1515),
    [aux_sym_join_type_token2] = ACTIONS(1515),
    [aux_sym_join_type_token3] = ACTIONS(1515),
    [aux_sym_join_type_token4] = ACTIONS(1515),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1515),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1515),
    [aux_sym_join_condition_token1] = ACTIONS(1515),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
  },
  [4452] = {
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_end_token1] = ACTIONS(1859),
    [aux_sym__keyword_when_token1] = ACTIONS(1859),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_window_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_using_clause_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1859),
    [aux_sym_if_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_repeat_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token3] = ACTIONS(1859),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_having_clause_token1] = ACTIONS(1859),
    [aux_sym_qualify_clause_token1] = ACTIONS(1859),
    [aux_sym_limit_clause_token1] = ACTIONS(1859),
    [aux_sym_group_by_clause_token1] = ACTIONS(1859),
    [aux_sym_order_by_clause_token1] = ACTIONS(1859),
    [aux_sym_where_clause_token1] = ACTIONS(1859),
    [aux_sym_pivot_operator_token1] = ACTIONS(1859),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1859),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1859),
    [aux_sym_join_type_token1] = ACTIONS(1859),
    [aux_sym_join_type_token2] = ACTIONS(1859),
    [aux_sym_join_type_token3] = ACTIONS(1859),
    [aux_sym_join_type_token4] = ACTIONS(1859),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1859),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1859),
    [aux_sym_join_condition_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
  },
  [4453] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [sym__unquoted_identifier] = ACTIONS(1855),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1855),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1855),
    [aux_sym_keyword_replace_token1] = ACTIONS(1855),
    [aux_sym__keyword_alter_token1] = ACTIONS(1855),
    [aux_sym__keyword_create_token1] = ACTIONS(1855),
    [aux_sym__keyword_drop_token1] = ACTIONS(1855),
    [aux_sym__keyword_delete_token1] = ACTIONS(1855),
    [aux_sym__keyword_begin_token1] = ACTIONS(1855),
    [aux_sym__keyword_between_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1855),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1855),
    [aux_sym__keyword_like_token1] = ACTIONS(1855),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1855),
    [aux_sym__keyword_as_token1] = ACTIONS(1855),
    [aux_sym__keyword_date_token1] = ACTIONS(1855),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1855),
    [aux_sym__keyword_time_token1] = ACTIONS(1855),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1855),
    [aux_sym__keyword_for_token1] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1855),
    [aux_sym_return_statement_token1] = ACTIONS(1855),
    [aux_sym_call_statement_token1] = ACTIONS(1855),
    [aux_sym_loop_statement_token1] = ACTIONS(1855),
    [aux_sym_while_statement_token1] = ACTIONS(1855),
    [aux_sym_break_statement_token1] = ACTIONS(1855),
    [aux_sym_leave_statement_token1] = ACTIONS(1855),
    [aux_sym_continue_statement_token1] = ACTIONS(1855),
    [aux_sym_iterate_statement_token1] = ACTIONS(1855),
    [aux_sym_raise_statement_token1] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1855),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1855),
    [aux_sym_insert_statement_token1] = ACTIONS(1855),
    [aux_sym_truncate_statement_token1] = ACTIONS(1855),
    [aux_sym_update_statement_token1] = ACTIONS(1855),
    [aux_sym_merge_statement_token1] = ACTIONS(1855),
    [aux_sym_grant_statement_token1] = ACTIONS(1855),
    [aux_sym_revoke_statement_token1] = ACTIONS(1855),
    [aux_sym_export_data_statement_token1] = ACTIONS(1855),
    [aux_sym_load_data_statement_token1] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym__quoted_identifier] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [4454] = {
    [ts_builtin_sym_end] = ACTIONS(1849),
    [sym__unquoted_identifier] = ACTIONS(1851),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1851),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1851),
    [aux_sym_keyword_replace_token1] = ACTIONS(1851),
    [aux_sym__keyword_alter_token1] = ACTIONS(1851),
    [aux_sym__keyword_create_token1] = ACTIONS(1851),
    [aux_sym__keyword_drop_token1] = ACTIONS(1851),
    [aux_sym__keyword_delete_token1] = ACTIONS(1851),
    [aux_sym__keyword_begin_token1] = ACTIONS(1851),
    [aux_sym__keyword_between_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1851),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1851),
    [aux_sym__keyword_like_token1] = ACTIONS(1851),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1851),
    [aux_sym__keyword_as_token1] = ACTIONS(1851),
    [aux_sym__keyword_date_token1] = ACTIONS(1851),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1851),
    [aux_sym__keyword_time_token1] = ACTIONS(1851),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1851),
    [aux_sym__keyword_for_token1] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1851),
    [aux_sym_return_statement_token1] = ACTIONS(1851),
    [aux_sym_call_statement_token1] = ACTIONS(1851),
    [aux_sym_loop_statement_token1] = ACTIONS(1851),
    [aux_sym_while_statement_token1] = ACTIONS(1851),
    [aux_sym_break_statement_token1] = ACTIONS(1851),
    [aux_sym_leave_statement_token1] = ACTIONS(1851),
    [aux_sym_continue_statement_token1] = ACTIONS(1851),
    [aux_sym_iterate_statement_token1] = ACTIONS(1851),
    [aux_sym_raise_statement_token1] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1851),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1851),
    [aux_sym_insert_statement_token1] = ACTIONS(1851),
    [aux_sym_truncate_statement_token1] = ACTIONS(1851),
    [aux_sym_update_statement_token1] = ACTIONS(1851),
    [aux_sym_merge_statement_token1] = ACTIONS(1851),
    [aux_sym_grant_statement_token1] = ACTIONS(1851),
    [aux_sym_revoke_statement_token1] = ACTIONS(1851),
    [aux_sym_export_data_statement_token1] = ACTIONS(1851),
    [aux_sym_load_data_statement_token1] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym__quoted_identifier] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [4455] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [sym__unquoted_identifier] = ACTIONS(1843),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1843),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1843),
    [aux_sym_keyword_replace_token1] = ACTIONS(1843),
    [aux_sym__keyword_alter_token1] = ACTIONS(1843),
    [aux_sym__keyword_create_token1] = ACTIONS(1843),
    [aux_sym__keyword_drop_token1] = ACTIONS(1843),
    [aux_sym__keyword_delete_token1] = ACTIONS(1843),
    [aux_sym__keyword_begin_token1] = ACTIONS(1843),
    [aux_sym__keyword_between_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1843),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1843),
    [aux_sym__keyword_like_token1] = ACTIONS(1843),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1843),
    [aux_sym__keyword_as_token1] = ACTIONS(1843),
    [aux_sym__keyword_date_token1] = ACTIONS(1843),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1843),
    [aux_sym__keyword_time_token1] = ACTIONS(1843),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1843),
    [aux_sym__keyword_for_token1] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1843),
    [aux_sym_return_statement_token1] = ACTIONS(1843),
    [aux_sym_call_statement_token1] = ACTIONS(1843),
    [aux_sym_loop_statement_token1] = ACTIONS(1843),
    [aux_sym_while_statement_token1] = ACTIONS(1843),
    [aux_sym_break_statement_token1] = ACTIONS(1843),
    [aux_sym_leave_statement_token1] = ACTIONS(1843),
    [aux_sym_continue_statement_token1] = ACTIONS(1843),
    [aux_sym_iterate_statement_token1] = ACTIONS(1843),
    [aux_sym_raise_statement_token1] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1843),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1843),
    [aux_sym_insert_statement_token1] = ACTIONS(1843),
    [aux_sym_truncate_statement_token1] = ACTIONS(1843),
    [aux_sym_update_statement_token1] = ACTIONS(1843),
    [aux_sym_merge_statement_token1] = ACTIONS(1843),
    [aux_sym_grant_statement_token1] = ACTIONS(1843),
    [aux_sym_revoke_statement_token1] = ACTIONS(1843),
    [aux_sym_export_data_statement_token1] = ACTIONS(1843),
    [aux_sym_load_data_statement_token1] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym__quoted_identifier] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [4456] = {
    [ts_builtin_sym_end] = ACTIONS(1837),
    [sym__unquoted_identifier] = ACTIONS(1839),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1839),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1839),
    [aux_sym_keyword_replace_token1] = ACTIONS(1839),
    [aux_sym__keyword_alter_token1] = ACTIONS(1839),
    [aux_sym__keyword_create_token1] = ACTIONS(1839),
    [aux_sym__keyword_drop_token1] = ACTIONS(1839),
    [aux_sym__keyword_delete_token1] = ACTIONS(1839),
    [aux_sym__keyword_begin_token1] = ACTIONS(1839),
    [aux_sym__keyword_between_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1839),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1839),
    [aux_sym__keyword_like_token1] = ACTIONS(1839),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1839),
    [aux_sym__keyword_as_token1] = ACTIONS(1839),
    [aux_sym__keyword_date_token1] = ACTIONS(1839),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1839),
    [aux_sym__keyword_time_token1] = ACTIONS(1839),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1839),
    [aux_sym__keyword_for_token1] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1839),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1839),
    [aux_sym_return_statement_token1] = ACTIONS(1839),
    [aux_sym_call_statement_token1] = ACTIONS(1839),
    [aux_sym_loop_statement_token1] = ACTIONS(1839),
    [aux_sym_while_statement_token1] = ACTIONS(1839),
    [aux_sym_break_statement_token1] = ACTIONS(1839),
    [aux_sym_leave_statement_token1] = ACTIONS(1839),
    [aux_sym_continue_statement_token1] = ACTIONS(1839),
    [aux_sym_iterate_statement_token1] = ACTIONS(1839),
    [aux_sym_raise_statement_token1] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1839),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1839),
    [aux_sym_insert_statement_token1] = ACTIONS(1839),
    [aux_sym_truncate_statement_token1] = ACTIONS(1839),
    [aux_sym_update_statement_token1] = ACTIONS(1839),
    [aux_sym_merge_statement_token1] = ACTIONS(1839),
    [aux_sym_grant_statement_token1] = ACTIONS(1839),
    [aux_sym_revoke_statement_token1] = ACTIONS(1839),
    [aux_sym_export_data_statement_token1] = ACTIONS(1839),
    [aux_sym_load_data_statement_token1] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym__quoted_identifier] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [4457] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [sym__unquoted_identifier] = ACTIONS(1835),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1835),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1835),
    [aux_sym_keyword_replace_token1] = ACTIONS(1835),
    [aux_sym__keyword_alter_token1] = ACTIONS(1835),
    [aux_sym__keyword_create_token1] = ACTIONS(1835),
    [aux_sym__keyword_drop_token1] = ACTIONS(1835),
    [aux_sym__keyword_delete_token1] = ACTIONS(1835),
    [aux_sym__keyword_begin_token1] = ACTIONS(1835),
    [aux_sym__keyword_between_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1835),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1835),
    [aux_sym__keyword_like_token1] = ACTIONS(1835),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1835),
    [aux_sym__keyword_as_token1] = ACTIONS(1835),
    [aux_sym__keyword_date_token1] = ACTIONS(1835),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1835),
    [aux_sym__keyword_time_token1] = ACTIONS(1835),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1835),
    [aux_sym__keyword_for_token1] = ACTIONS(1835),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1835),
    [aux_sym_return_statement_token1] = ACTIONS(1835),
    [aux_sym_call_statement_token1] = ACTIONS(1835),
    [aux_sym_loop_statement_token1] = ACTIONS(1835),
    [aux_sym_while_statement_token1] = ACTIONS(1835),
    [aux_sym_break_statement_token1] = ACTIONS(1835),
    [aux_sym_leave_statement_token1] = ACTIONS(1835),
    [aux_sym_continue_statement_token1] = ACTIONS(1835),
    [aux_sym_iterate_statement_token1] = ACTIONS(1835),
    [aux_sym_raise_statement_token1] = ACTIONS(1835),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1835),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1835),
    [aux_sym_insert_statement_token1] = ACTIONS(1835),
    [aux_sym_truncate_statement_token1] = ACTIONS(1835),
    [aux_sym_update_statement_token1] = ACTIONS(1835),
    [aux_sym_merge_statement_token1] = ACTIONS(1835),
    [aux_sym_grant_statement_token1] = ACTIONS(1835),
    [aux_sym_revoke_statement_token1] = ACTIONS(1835),
    [aux_sym_export_data_statement_token1] = ACTIONS(1835),
    [aux_sym_load_data_statement_token1] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym__quoted_identifier] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [4458] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4459] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4460] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4461] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4462] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4463] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4464] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [sym__unquoted_identifier] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1801),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1801),
    [aux_sym__keyword_create_token1] = ACTIONS(1801),
    [aux_sym__keyword_drop_token1] = ACTIONS(1801),
    [aux_sym__keyword_delete_token1] = ACTIONS(1801),
    [aux_sym__keyword_begin_token1] = ACTIONS(1801),
    [aux_sym__keyword_between_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1801),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1801),
    [aux_sym__keyword_like_token1] = ACTIONS(1801),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1801),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_date_token1] = ACTIONS(1801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1801),
    [aux_sym__keyword_time_token1] = ACTIONS(1801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1801),
    [aux_sym_return_statement_token1] = ACTIONS(1801),
    [aux_sym_call_statement_token1] = ACTIONS(1801),
    [aux_sym_loop_statement_token1] = ACTIONS(1801),
    [aux_sym_while_statement_token1] = ACTIONS(1801),
    [aux_sym_break_statement_token1] = ACTIONS(1801),
    [aux_sym_leave_statement_token1] = ACTIONS(1801),
    [aux_sym_continue_statement_token1] = ACTIONS(1801),
    [aux_sym_iterate_statement_token1] = ACTIONS(1801),
    [aux_sym_raise_statement_token1] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1801),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1801),
    [aux_sym_insert_statement_token1] = ACTIONS(1801),
    [aux_sym_truncate_statement_token1] = ACTIONS(1801),
    [aux_sym_update_statement_token1] = ACTIONS(1801),
    [aux_sym_merge_statement_token1] = ACTIONS(1801),
    [aux_sym_grant_statement_token1] = ACTIONS(1801),
    [aux_sym_revoke_statement_token1] = ACTIONS(1801),
    [aux_sym_export_data_statement_token1] = ACTIONS(1801),
    [aux_sym_load_data_statement_token1] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym__quoted_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [4465] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1407),
    [aux_sym_keyword_replace_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_between_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1407),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1407),
    [aux_sym__keyword_like_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4466] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [sym__unquoted_identifier] = ACTIONS(1811),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1811),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1811),
    [aux_sym_keyword_replace_token1] = ACTIONS(1811),
    [aux_sym__keyword_alter_token1] = ACTIONS(1811),
    [aux_sym__keyword_create_token1] = ACTIONS(1811),
    [aux_sym__keyword_drop_token1] = ACTIONS(1811),
    [aux_sym__keyword_delete_token1] = ACTIONS(1811),
    [aux_sym__keyword_begin_token1] = ACTIONS(1811),
    [aux_sym__keyword_between_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1811),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1811),
    [aux_sym__keyword_like_token1] = ACTIONS(1811),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1811),
    [aux_sym__keyword_as_token1] = ACTIONS(1811),
    [aux_sym__keyword_date_token1] = ACTIONS(1811),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1811),
    [aux_sym__keyword_time_token1] = ACTIONS(1811),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1811),
    [aux_sym__keyword_for_token1] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1811),
    [aux_sym_return_statement_token1] = ACTIONS(1811),
    [aux_sym_call_statement_token1] = ACTIONS(1811),
    [aux_sym_loop_statement_token1] = ACTIONS(1811),
    [aux_sym_while_statement_token1] = ACTIONS(1811),
    [aux_sym_break_statement_token1] = ACTIONS(1811),
    [aux_sym_leave_statement_token1] = ACTIONS(1811),
    [aux_sym_continue_statement_token1] = ACTIONS(1811),
    [aux_sym_iterate_statement_token1] = ACTIONS(1811),
    [aux_sym_raise_statement_token1] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1811),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1811),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1811),
    [aux_sym_insert_statement_token1] = ACTIONS(1811),
    [aux_sym_truncate_statement_token1] = ACTIONS(1811),
    [aux_sym_update_statement_token1] = ACTIONS(1811),
    [aux_sym_merge_statement_token1] = ACTIONS(1811),
    [aux_sym_grant_statement_token1] = ACTIONS(1811),
    [aux_sym_revoke_statement_token1] = ACTIONS(1811),
    [aux_sym_export_data_statement_token1] = ACTIONS(1811),
    [aux_sym_load_data_statement_token1] = ACTIONS(1811),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym__quoted_identifier] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [4467] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [sym__unquoted_identifier] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1615),
    [aux_sym_keyword_replace_token1] = ACTIONS(1615),
    [aux_sym__keyword_alter_token1] = ACTIONS(1615),
    [aux_sym__keyword_create_token1] = ACTIONS(1615),
    [aux_sym__keyword_drop_token1] = ACTIONS(1615),
    [aux_sym__keyword_delete_token1] = ACTIONS(1615),
    [aux_sym__keyword_begin_token1] = ACTIONS(1615),
    [aux_sym__keyword_between_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1615),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1615),
    [aux_sym__keyword_like_token1] = ACTIONS(1615),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1615),
    [aux_sym__keyword_as_token1] = ACTIONS(1615),
    [aux_sym__keyword_date_token1] = ACTIONS(1615),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1615),
    [aux_sym__keyword_time_token1] = ACTIONS(1615),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1615),
    [aux_sym__keyword_for_token1] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1615),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1615),
    [aux_sym_return_statement_token1] = ACTIONS(1615),
    [aux_sym_call_statement_token1] = ACTIONS(1615),
    [aux_sym_loop_statement_token1] = ACTIONS(1615),
    [aux_sym_while_statement_token1] = ACTIONS(1615),
    [aux_sym_break_statement_token1] = ACTIONS(1615),
    [aux_sym_leave_statement_token1] = ACTIONS(1615),
    [aux_sym_continue_statement_token1] = ACTIONS(1615),
    [aux_sym_iterate_statement_token1] = ACTIONS(1615),
    [aux_sym_raise_statement_token1] = ACTIONS(1615),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1615),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1615),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1615),
    [aux_sym_insert_statement_token1] = ACTIONS(1615),
    [aux_sym_truncate_statement_token1] = ACTIONS(1615),
    [aux_sym_update_statement_token1] = ACTIONS(1615),
    [aux_sym_merge_statement_token1] = ACTIONS(1615),
    [aux_sym_grant_statement_token1] = ACTIONS(1615),
    [aux_sym_revoke_statement_token1] = ACTIONS(1615),
    [aux_sym_export_data_statement_token1] = ACTIONS(1615),
    [aux_sym_load_data_statement_token1] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym__quoted_identifier] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [4468] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4469] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [sym__unquoted_identifier] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1801),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1801),
    [aux_sym_keyword_replace_token1] = ACTIONS(1801),
    [aux_sym__keyword_alter_token1] = ACTIONS(1801),
    [aux_sym__keyword_create_token1] = ACTIONS(1801),
    [aux_sym__keyword_drop_token1] = ACTIONS(1801),
    [aux_sym__keyword_delete_token1] = ACTIONS(1801),
    [aux_sym__keyword_begin_token1] = ACTIONS(1801),
    [aux_sym__keyword_between_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1801),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1801),
    [aux_sym__keyword_like_token1] = ACTIONS(1801),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1801),
    [aux_sym__keyword_as_token1] = ACTIONS(1801),
    [aux_sym__keyword_date_token1] = ACTIONS(1801),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1801),
    [aux_sym__keyword_time_token1] = ACTIONS(1801),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1801),
    [aux_sym__keyword_for_token1] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1801),
    [aux_sym_return_statement_token1] = ACTIONS(1801),
    [aux_sym_call_statement_token1] = ACTIONS(1801),
    [aux_sym_loop_statement_token1] = ACTIONS(1801),
    [aux_sym_while_statement_token1] = ACTIONS(1801),
    [aux_sym_break_statement_token1] = ACTIONS(1801),
    [aux_sym_leave_statement_token1] = ACTIONS(1801),
    [aux_sym_continue_statement_token1] = ACTIONS(1801),
    [aux_sym_iterate_statement_token1] = ACTIONS(1801),
    [aux_sym_raise_statement_token1] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1801),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1801),
    [aux_sym_insert_statement_token1] = ACTIONS(1801),
    [aux_sym_truncate_statement_token1] = ACTIONS(1801),
    [aux_sym_update_statement_token1] = ACTIONS(1801),
    [aux_sym_merge_statement_token1] = ACTIONS(1801),
    [aux_sym_grant_statement_token1] = ACTIONS(1801),
    [aux_sym_revoke_statement_token1] = ACTIONS(1801),
    [aux_sym_export_data_statement_token1] = ACTIONS(1801),
    [aux_sym_load_data_statement_token1] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym__quoted_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [4470] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4471] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4472] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4473] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [sym__unquoted_identifier] = ACTIONS(1699),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1699),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1699),
    [aux_sym_keyword_replace_token1] = ACTIONS(1699),
    [aux_sym__keyword_alter_token1] = ACTIONS(1699),
    [aux_sym__keyword_create_token1] = ACTIONS(1699),
    [aux_sym__keyword_drop_token1] = ACTIONS(1699),
    [aux_sym__keyword_delete_token1] = ACTIONS(1699),
    [aux_sym__keyword_begin_token1] = ACTIONS(1699),
    [aux_sym__keyword_between_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1699),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1699),
    [aux_sym__keyword_like_token1] = ACTIONS(1699),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1699),
    [aux_sym__keyword_as_token1] = ACTIONS(1699),
    [aux_sym__keyword_date_token1] = ACTIONS(1699),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1699),
    [aux_sym__keyword_time_token1] = ACTIONS(1699),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1699),
    [aux_sym__keyword_for_token1] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1699),
    [aux_sym_return_statement_token1] = ACTIONS(1699),
    [aux_sym_call_statement_token1] = ACTIONS(1699),
    [aux_sym_loop_statement_token1] = ACTIONS(1699),
    [aux_sym_while_statement_token1] = ACTIONS(1699),
    [aux_sym_break_statement_token1] = ACTIONS(1699),
    [aux_sym_leave_statement_token1] = ACTIONS(1699),
    [aux_sym_continue_statement_token1] = ACTIONS(1699),
    [aux_sym_iterate_statement_token1] = ACTIONS(1699),
    [aux_sym_raise_statement_token1] = ACTIONS(1699),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1699),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_select_token1] = ACTIONS(1699),
    [aux_sym_insert_statement_token1] = ACTIONS(1699),
    [aux_sym_truncate_statement_token1] = ACTIONS(1699),
    [aux_sym_update_statement_token1] = ACTIONS(1699),
    [aux_sym_merge_statement_token1] = ACTIONS(1699),
    [aux_sym_grant_statement_token1] = ACTIONS(1699),
    [aux_sym_revoke_statement_token1] = ACTIONS(1699),
    [aux_sym_export_data_statement_token1] = ACTIONS(1699),
    [aux_sym_load_data_statement_token1] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym__quoted_identifier] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [4474] = {
    [ts_builtin_sym_end] = ACTIONS(1597),
    [sym__unquoted_identifier] = ACTIONS(1599),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1599),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1599),
    [aux_sym_keyword_replace_token1] = ACTIONS(1599),
    [aux_sym__keyword_alter_token1] = ACTIONS(1599),
    [aux_sym__keyword_create_token1] = ACTIONS(1599),
    [aux_sym__keyword_drop_token1] = ACTIONS(1599),
    [aux_sym__keyword_delete_token1] = ACTIONS(1599),
    [aux_sym__keyword_begin_token1] = ACTIONS(1599),
    [aux_sym__keyword_between_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1599),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1599),
    [aux_sym__keyword_like_token1] = ACTIONS(1599),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1599),
    [aux_sym__keyword_as_token1] = ACTIONS(1599),
    [aux_sym__keyword_date_token1] = ACTIONS(1599),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1599),
    [aux_sym__keyword_time_token1] = ACTIONS(1599),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1599),
    [aux_sym__keyword_for_token1] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1599),
    [anon_sym_COMMA] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1599),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1599),
    [aux_sym_return_statement_token1] = ACTIONS(1599),
    [aux_sym_call_statement_token1] = ACTIONS(1599),
    [aux_sym_loop_statement_token1] = ACTIONS(1599),
    [aux_sym_while_statement_token1] = ACTIONS(1599),
    [aux_sym_break_statement_token1] = ACTIONS(1599),
    [aux_sym_leave_statement_token1] = ACTIONS(1599),
    [aux_sym_continue_statement_token1] = ACTIONS(1599),
    [aux_sym_iterate_statement_token1] = ACTIONS(1599),
    [aux_sym_raise_statement_token1] = ACTIONS(1599),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1599),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1599),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1599),
    [aux_sym_insert_statement_token1] = ACTIONS(1599),
    [aux_sym_truncate_statement_token1] = ACTIONS(1599),
    [aux_sym_update_statement_token1] = ACTIONS(1599),
    [aux_sym_merge_statement_token1] = ACTIONS(1599),
    [aux_sym_grant_statement_token1] = ACTIONS(1599),
    [aux_sym_revoke_statement_token1] = ACTIONS(1599),
    [aux_sym_export_data_statement_token1] = ACTIONS(1599),
    [aux_sym_load_data_statement_token1] = ACTIONS(1599),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym__quoted_identifier] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [4475] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4476] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4477] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4478] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4479] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4480] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [sym__unquoted_identifier] = ACTIONS(1603),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1603),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1603),
    [aux_sym_keyword_replace_token1] = ACTIONS(1603),
    [aux_sym__keyword_alter_token1] = ACTIONS(1603),
    [aux_sym__keyword_create_token1] = ACTIONS(1603),
    [aux_sym__keyword_drop_token1] = ACTIONS(1603),
    [aux_sym__keyword_delete_token1] = ACTIONS(1603),
    [aux_sym__keyword_begin_token1] = ACTIONS(1603),
    [aux_sym__keyword_between_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1603),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1603),
    [aux_sym__keyword_like_token1] = ACTIONS(1603),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1603),
    [aux_sym__keyword_as_token1] = ACTIONS(1603),
    [aux_sym__keyword_date_token1] = ACTIONS(1603),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1603),
    [aux_sym__keyword_time_token1] = ACTIONS(1603),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1603),
    [aux_sym__keyword_for_token1] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1603),
    [aux_sym_return_statement_token1] = ACTIONS(1603),
    [aux_sym_call_statement_token1] = ACTIONS(1603),
    [aux_sym_loop_statement_token1] = ACTIONS(1603),
    [aux_sym_while_statement_token1] = ACTIONS(1603),
    [aux_sym_break_statement_token1] = ACTIONS(1603),
    [aux_sym_leave_statement_token1] = ACTIONS(1603),
    [aux_sym_continue_statement_token1] = ACTIONS(1603),
    [aux_sym_iterate_statement_token1] = ACTIONS(1603),
    [aux_sym_raise_statement_token1] = ACTIONS(1603),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1603),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1603),
    [aux_sym_insert_statement_token1] = ACTIONS(1603),
    [aux_sym_truncate_statement_token1] = ACTIONS(1603),
    [aux_sym_update_statement_token1] = ACTIONS(1603),
    [aux_sym_merge_statement_token1] = ACTIONS(1603),
    [aux_sym_grant_statement_token1] = ACTIONS(1603),
    [aux_sym_revoke_statement_token1] = ACTIONS(1603),
    [aux_sym_export_data_statement_token1] = ACTIONS(1603),
    [aux_sym_load_data_statement_token1] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym__quoted_identifier] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [4481] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4482] = {
    [ts_builtin_sym_end] = ACTIONS(1605),
    [sym__unquoted_identifier] = ACTIONS(1607),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1607),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1607),
    [aux_sym_keyword_replace_token1] = ACTIONS(1607),
    [aux_sym__keyword_alter_token1] = ACTIONS(1607),
    [aux_sym__keyword_create_token1] = ACTIONS(1607),
    [aux_sym__keyword_drop_token1] = ACTIONS(1607),
    [aux_sym__keyword_delete_token1] = ACTIONS(1607),
    [aux_sym__keyword_begin_token1] = ACTIONS(1607),
    [aux_sym__keyword_between_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1607),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1607),
    [aux_sym__keyword_like_token1] = ACTIONS(1607),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1607),
    [aux_sym__keyword_as_token1] = ACTIONS(1607),
    [aux_sym__keyword_date_token1] = ACTIONS(1607),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1607),
    [aux_sym__keyword_time_token1] = ACTIONS(1607),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1607),
    [aux_sym__keyword_for_token1] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1607),
    [aux_sym_return_statement_token1] = ACTIONS(1607),
    [aux_sym_call_statement_token1] = ACTIONS(1607),
    [aux_sym_loop_statement_token1] = ACTIONS(1607),
    [aux_sym_while_statement_token1] = ACTIONS(1607),
    [aux_sym_break_statement_token1] = ACTIONS(1607),
    [aux_sym_leave_statement_token1] = ACTIONS(1607),
    [aux_sym_continue_statement_token1] = ACTIONS(1607),
    [aux_sym_iterate_statement_token1] = ACTIONS(1607),
    [aux_sym_raise_statement_token1] = ACTIONS(1607),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1607),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1607),
    [aux_sym_insert_statement_token1] = ACTIONS(1607),
    [aux_sym_truncate_statement_token1] = ACTIONS(1607),
    [aux_sym_update_statement_token1] = ACTIONS(1607),
    [aux_sym_merge_statement_token1] = ACTIONS(1607),
    [aux_sym_grant_statement_token1] = ACTIONS(1607),
    [aux_sym_revoke_statement_token1] = ACTIONS(1607),
    [aux_sym_export_data_statement_token1] = ACTIONS(1607),
    [aux_sym_load_data_statement_token1] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym__quoted_identifier] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [4483] = {
    [sym_unnest_withoffset] = STATE(4881),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1523),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_into_clause_token1] = ACTIONS(1523),
    [aux_sym_using_clause_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [4484] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4485] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4486] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4487] = {
    [ts_builtin_sym_end] = ACTIONS(1609),
    [sym__unquoted_identifier] = ACTIONS(1611),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1611),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1611),
    [aux_sym_keyword_replace_token1] = ACTIONS(1611),
    [aux_sym__keyword_alter_token1] = ACTIONS(1611),
    [aux_sym__keyword_create_token1] = ACTIONS(1611),
    [aux_sym__keyword_drop_token1] = ACTIONS(1611),
    [aux_sym__keyword_delete_token1] = ACTIONS(1611),
    [aux_sym__keyword_begin_token1] = ACTIONS(1611),
    [aux_sym__keyword_between_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1611),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1611),
    [aux_sym__keyword_like_token1] = ACTIONS(1611),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1611),
    [aux_sym__keyword_as_token1] = ACTIONS(1611),
    [aux_sym__keyword_date_token1] = ACTIONS(1611),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1611),
    [aux_sym__keyword_time_token1] = ACTIONS(1611),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1611),
    [aux_sym__keyword_for_token1] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1611),
    [anon_sym_COMMA] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1611),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1611),
    [aux_sym_return_statement_token1] = ACTIONS(1611),
    [aux_sym_call_statement_token1] = ACTIONS(1611),
    [aux_sym_loop_statement_token1] = ACTIONS(1611),
    [aux_sym_while_statement_token1] = ACTIONS(1611),
    [aux_sym_break_statement_token1] = ACTIONS(1611),
    [aux_sym_leave_statement_token1] = ACTIONS(1611),
    [aux_sym_continue_statement_token1] = ACTIONS(1611),
    [aux_sym_iterate_statement_token1] = ACTIONS(1611),
    [aux_sym_raise_statement_token1] = ACTIONS(1611),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1611),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1611),
    [aux_sym_insert_statement_token1] = ACTIONS(1611),
    [aux_sym_truncate_statement_token1] = ACTIONS(1611),
    [aux_sym_update_statement_token1] = ACTIONS(1611),
    [aux_sym_merge_statement_token1] = ACTIONS(1611),
    [aux_sym_grant_statement_token1] = ACTIONS(1611),
    [aux_sym_revoke_statement_token1] = ACTIONS(1611),
    [aux_sym_export_data_statement_token1] = ACTIONS(1611),
    [aux_sym_load_data_statement_token1] = ACTIONS(1611),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym__quoted_identifier] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [4488] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym__unquoted_identifier] = ACTIONS(1769),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1769),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1769),
    [aux_sym_keyword_replace_token1] = ACTIONS(1769),
    [aux_sym__keyword_alter_token1] = ACTIONS(1769),
    [aux_sym__keyword_create_token1] = ACTIONS(1769),
    [aux_sym__keyword_drop_token1] = ACTIONS(1769),
    [aux_sym__keyword_delete_token1] = ACTIONS(1769),
    [aux_sym__keyword_begin_token1] = ACTIONS(1769),
    [aux_sym__keyword_between_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1769),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1769),
    [aux_sym__keyword_like_token1] = ACTIONS(1769),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1769),
    [aux_sym__keyword_as_token1] = ACTIONS(1769),
    [aux_sym__keyword_date_token1] = ACTIONS(1769),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1769),
    [aux_sym__keyword_time_token1] = ACTIONS(1769),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1769),
    [aux_sym__keyword_for_token1] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1769),
    [aux_sym_return_statement_token1] = ACTIONS(1769),
    [aux_sym_call_statement_token1] = ACTIONS(1769),
    [aux_sym_loop_statement_token1] = ACTIONS(1769),
    [aux_sym_while_statement_token1] = ACTIONS(1769),
    [aux_sym_break_statement_token1] = ACTIONS(1769),
    [aux_sym_leave_statement_token1] = ACTIONS(1769),
    [aux_sym_continue_statement_token1] = ACTIONS(1769),
    [aux_sym_iterate_statement_token1] = ACTIONS(1769),
    [aux_sym_raise_statement_token1] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1769),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1769),
    [aux_sym_insert_statement_token1] = ACTIONS(1769),
    [aux_sym_truncate_statement_token1] = ACTIONS(1769),
    [aux_sym_update_statement_token1] = ACTIONS(1769),
    [aux_sym_merge_statement_token1] = ACTIONS(1769),
    [aux_sym_grant_statement_token1] = ACTIONS(1769),
    [aux_sym_revoke_statement_token1] = ACTIONS(1769),
    [aux_sym_export_data_statement_token1] = ACTIONS(1769),
    [aux_sym_load_data_statement_token1] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym__quoted_identifier] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [4489] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [sym__unquoted_identifier] = ACTIONS(1847),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1847),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1847),
    [aux_sym_keyword_replace_token1] = ACTIONS(1847),
    [aux_sym__keyword_alter_token1] = ACTIONS(1847),
    [aux_sym__keyword_create_token1] = ACTIONS(1847),
    [aux_sym__keyword_drop_token1] = ACTIONS(1847),
    [aux_sym__keyword_delete_token1] = ACTIONS(1847),
    [aux_sym__keyword_begin_token1] = ACTIONS(1847),
    [aux_sym__keyword_between_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1847),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1847),
    [aux_sym__keyword_like_token1] = ACTIONS(1847),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1847),
    [aux_sym__keyword_as_token1] = ACTIONS(1847),
    [aux_sym__keyword_date_token1] = ACTIONS(1847),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1847),
    [aux_sym__keyword_time_token1] = ACTIONS(1847),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1847),
    [aux_sym__keyword_for_token1] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1847),
    [aux_sym_return_statement_token1] = ACTIONS(1847),
    [aux_sym_call_statement_token1] = ACTIONS(1847),
    [aux_sym_loop_statement_token1] = ACTIONS(1847),
    [aux_sym_while_statement_token1] = ACTIONS(1847),
    [aux_sym_break_statement_token1] = ACTIONS(1847),
    [aux_sym_leave_statement_token1] = ACTIONS(1847),
    [aux_sym_continue_statement_token1] = ACTIONS(1847),
    [aux_sym_iterate_statement_token1] = ACTIONS(1847),
    [aux_sym_raise_statement_token1] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1847),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1847),
    [aux_sym_insert_statement_token1] = ACTIONS(1847),
    [aux_sym_truncate_statement_token1] = ACTIONS(1847),
    [aux_sym_update_statement_token1] = ACTIONS(1847),
    [aux_sym_merge_statement_token1] = ACTIONS(1847),
    [aux_sym_grant_statement_token1] = ACTIONS(1847),
    [aux_sym_revoke_statement_token1] = ACTIONS(1847),
    [aux_sym_export_data_statement_token1] = ACTIONS(1847),
    [aux_sym_load_data_statement_token1] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym__quoted_identifier] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [4490] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [sym__unquoted_identifier] = ACTIONS(1619),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1619),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1619),
    [aux_sym_keyword_replace_token1] = ACTIONS(1619),
    [aux_sym__keyword_alter_token1] = ACTIONS(1619),
    [aux_sym__keyword_create_token1] = ACTIONS(1619),
    [aux_sym__keyword_drop_token1] = ACTIONS(1619),
    [aux_sym__keyword_delete_token1] = ACTIONS(1619),
    [aux_sym__keyword_begin_token1] = ACTIONS(1619),
    [aux_sym__keyword_between_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1619),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1619),
    [aux_sym__keyword_like_token1] = ACTIONS(1619),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1619),
    [aux_sym__keyword_as_token1] = ACTIONS(1619),
    [aux_sym__keyword_date_token1] = ACTIONS(1619),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1619),
    [aux_sym__keyword_time_token1] = ACTIONS(1619),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1619),
    [aux_sym__keyword_for_token1] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1619),
    [anon_sym_COMMA] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1619),
    [aux_sym_return_statement_token1] = ACTIONS(1619),
    [aux_sym_call_statement_token1] = ACTIONS(1619),
    [aux_sym_loop_statement_token1] = ACTIONS(1619),
    [aux_sym_while_statement_token1] = ACTIONS(1619),
    [aux_sym_break_statement_token1] = ACTIONS(1619),
    [aux_sym_leave_statement_token1] = ACTIONS(1619),
    [aux_sym_continue_statement_token1] = ACTIONS(1619),
    [aux_sym_iterate_statement_token1] = ACTIONS(1619),
    [aux_sym_raise_statement_token1] = ACTIONS(1619),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1619),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1619),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_select_token1] = ACTIONS(1619),
    [aux_sym_insert_statement_token1] = ACTIONS(1619),
    [aux_sym_truncate_statement_token1] = ACTIONS(1619),
    [aux_sym_update_statement_token1] = ACTIONS(1619),
    [aux_sym_merge_statement_token1] = ACTIONS(1619),
    [aux_sym_grant_statement_token1] = ACTIONS(1619),
    [aux_sym_revoke_statement_token1] = ACTIONS(1619),
    [aux_sym_export_data_statement_token1] = ACTIONS(1619),
    [aux_sym_load_data_statement_token1] = ACTIONS(1619),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym__quoted_identifier] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [4491] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [sym__unquoted_identifier] = ACTIONS(1749),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1749),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1749),
    [aux_sym_keyword_replace_token1] = ACTIONS(1749),
    [aux_sym__keyword_alter_token1] = ACTIONS(1749),
    [aux_sym__keyword_create_token1] = ACTIONS(1749),
    [aux_sym__keyword_drop_token1] = ACTIONS(1749),
    [aux_sym__keyword_delete_token1] = ACTIONS(1749),
    [aux_sym__keyword_begin_token1] = ACTIONS(1749),
    [aux_sym__keyword_between_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1749),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1749),
    [aux_sym__keyword_like_token1] = ACTIONS(1749),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1749),
    [aux_sym__keyword_as_token1] = ACTIONS(1749),
    [aux_sym__keyword_date_token1] = ACTIONS(1749),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1749),
    [aux_sym__keyword_time_token1] = ACTIONS(1749),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1749),
    [aux_sym__keyword_for_token1] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1749),
    [anon_sym_COMMA] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1749),
    [aux_sym_return_statement_token1] = ACTIONS(1749),
    [aux_sym_call_statement_token1] = ACTIONS(1749),
    [aux_sym_loop_statement_token1] = ACTIONS(1749),
    [aux_sym_while_statement_token1] = ACTIONS(1749),
    [aux_sym_break_statement_token1] = ACTIONS(1749),
    [aux_sym_leave_statement_token1] = ACTIONS(1749),
    [aux_sym_continue_statement_token1] = ACTIONS(1749),
    [aux_sym_iterate_statement_token1] = ACTIONS(1749),
    [aux_sym_raise_statement_token1] = ACTIONS(1749),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1749),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1749),
    [aux_sym_insert_statement_token1] = ACTIONS(1749),
    [aux_sym_truncate_statement_token1] = ACTIONS(1749),
    [aux_sym_update_statement_token1] = ACTIONS(1749),
    [aux_sym_merge_statement_token1] = ACTIONS(1749),
    [aux_sym_grant_statement_token1] = ACTIONS(1749),
    [aux_sym_revoke_statement_token1] = ACTIONS(1749),
    [aux_sym_export_data_statement_token1] = ACTIONS(1749),
    [aux_sym_load_data_statement_token1] = ACTIONS(1749),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym__quoted_identifier] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [4492] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [sym__unquoted_identifier] = ACTIONS(1627),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1627),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1627),
    [aux_sym_keyword_replace_token1] = ACTIONS(1627),
    [aux_sym__keyword_alter_token1] = ACTIONS(1627),
    [aux_sym__keyword_create_token1] = ACTIONS(1627),
    [aux_sym__keyword_drop_token1] = ACTIONS(1627),
    [aux_sym__keyword_delete_token1] = ACTIONS(1627),
    [aux_sym__keyword_begin_token1] = ACTIONS(1627),
    [aux_sym__keyword_between_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1627),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1627),
    [aux_sym__keyword_like_token1] = ACTIONS(1627),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1627),
    [aux_sym__keyword_as_token1] = ACTIONS(1627),
    [aux_sym__keyword_date_token1] = ACTIONS(1627),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1627),
    [aux_sym__keyword_time_token1] = ACTIONS(1627),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1627),
    [aux_sym__keyword_for_token1] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1627),
    [aux_sym_return_statement_token1] = ACTIONS(1627),
    [aux_sym_call_statement_token1] = ACTIONS(1627),
    [aux_sym_loop_statement_token1] = ACTIONS(1627),
    [aux_sym_while_statement_token1] = ACTIONS(1627),
    [aux_sym_break_statement_token1] = ACTIONS(1627),
    [aux_sym_leave_statement_token1] = ACTIONS(1627),
    [aux_sym_continue_statement_token1] = ACTIONS(1627),
    [aux_sym_iterate_statement_token1] = ACTIONS(1627),
    [aux_sym_raise_statement_token1] = ACTIONS(1627),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1627),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1627),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1627),
    [aux_sym_insert_statement_token1] = ACTIONS(1627),
    [aux_sym_truncate_statement_token1] = ACTIONS(1627),
    [aux_sym_update_statement_token1] = ACTIONS(1627),
    [aux_sym_merge_statement_token1] = ACTIONS(1627),
    [aux_sym_grant_statement_token1] = ACTIONS(1627),
    [aux_sym_revoke_statement_token1] = ACTIONS(1627),
    [aux_sym_export_data_statement_token1] = ACTIONS(1627),
    [aux_sym_load_data_statement_token1] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym__quoted_identifier] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [4493] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4494] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [sym__unquoted_identifier] = ACTIONS(1631),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1631),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1631),
    [aux_sym_keyword_replace_token1] = ACTIONS(1631),
    [aux_sym__keyword_alter_token1] = ACTIONS(1631),
    [aux_sym__keyword_create_token1] = ACTIONS(1631),
    [aux_sym__keyword_drop_token1] = ACTIONS(1631),
    [aux_sym__keyword_delete_token1] = ACTIONS(1631),
    [aux_sym__keyword_begin_token1] = ACTIONS(1631),
    [aux_sym__keyword_between_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1631),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1631),
    [aux_sym__keyword_like_token1] = ACTIONS(1631),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1631),
    [aux_sym__keyword_as_token1] = ACTIONS(1631),
    [aux_sym__keyword_date_token1] = ACTIONS(1631),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1631),
    [aux_sym__keyword_time_token1] = ACTIONS(1631),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1631),
    [aux_sym__keyword_for_token1] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1631),
    [anon_sym_COMMA] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1631),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1631),
    [aux_sym_return_statement_token1] = ACTIONS(1631),
    [aux_sym_call_statement_token1] = ACTIONS(1631),
    [aux_sym_loop_statement_token1] = ACTIONS(1631),
    [aux_sym_while_statement_token1] = ACTIONS(1631),
    [aux_sym_break_statement_token1] = ACTIONS(1631),
    [aux_sym_leave_statement_token1] = ACTIONS(1631),
    [aux_sym_continue_statement_token1] = ACTIONS(1631),
    [aux_sym_iterate_statement_token1] = ACTIONS(1631),
    [aux_sym_raise_statement_token1] = ACTIONS(1631),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1631),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1631),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1631),
    [aux_sym_insert_statement_token1] = ACTIONS(1631),
    [aux_sym_truncate_statement_token1] = ACTIONS(1631),
    [aux_sym_update_statement_token1] = ACTIONS(1631),
    [aux_sym_merge_statement_token1] = ACTIONS(1631),
    [aux_sym_grant_statement_token1] = ACTIONS(1631),
    [aux_sym_revoke_statement_token1] = ACTIONS(1631),
    [aux_sym_export_data_statement_token1] = ACTIONS(1631),
    [aux_sym_load_data_statement_token1] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym__quoted_identifier] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [4495] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [sym__unquoted_identifier] = ACTIONS(1639),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1639),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1639),
    [aux_sym_keyword_replace_token1] = ACTIONS(1639),
    [aux_sym__keyword_alter_token1] = ACTIONS(1639),
    [aux_sym__keyword_create_token1] = ACTIONS(1639),
    [aux_sym__keyword_drop_token1] = ACTIONS(1639),
    [aux_sym__keyword_delete_token1] = ACTIONS(1639),
    [aux_sym__keyword_begin_token1] = ACTIONS(1639),
    [aux_sym__keyword_between_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1639),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1639),
    [aux_sym__keyword_like_token1] = ACTIONS(1639),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1639),
    [aux_sym__keyword_as_token1] = ACTIONS(1639),
    [aux_sym__keyword_date_token1] = ACTIONS(1639),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1639),
    [aux_sym__keyword_time_token1] = ACTIONS(1639),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1639),
    [aux_sym__keyword_for_token1] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1639),
    [anon_sym_COMMA] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1639),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1639),
    [aux_sym_return_statement_token1] = ACTIONS(1639),
    [aux_sym_call_statement_token1] = ACTIONS(1639),
    [aux_sym_loop_statement_token1] = ACTIONS(1639),
    [aux_sym_while_statement_token1] = ACTIONS(1639),
    [aux_sym_break_statement_token1] = ACTIONS(1639),
    [aux_sym_leave_statement_token1] = ACTIONS(1639),
    [aux_sym_continue_statement_token1] = ACTIONS(1639),
    [aux_sym_iterate_statement_token1] = ACTIONS(1639),
    [aux_sym_raise_statement_token1] = ACTIONS(1639),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1639),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1639),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1639),
    [aux_sym_insert_statement_token1] = ACTIONS(1639),
    [aux_sym_truncate_statement_token1] = ACTIONS(1639),
    [aux_sym_update_statement_token1] = ACTIONS(1639),
    [aux_sym_merge_statement_token1] = ACTIONS(1639),
    [aux_sym_grant_statement_token1] = ACTIONS(1639),
    [aux_sym_revoke_statement_token1] = ACTIONS(1639),
    [aux_sym_export_data_statement_token1] = ACTIONS(1639),
    [aux_sym_load_data_statement_token1] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym__quoted_identifier] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [4496] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [sym__unquoted_identifier] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1635),
    [aux_sym_keyword_replace_token1] = ACTIONS(1635),
    [aux_sym__keyword_alter_token1] = ACTIONS(1635),
    [aux_sym__keyword_create_token1] = ACTIONS(1635),
    [aux_sym__keyword_drop_token1] = ACTIONS(1635),
    [aux_sym__keyword_delete_token1] = ACTIONS(1635),
    [aux_sym__keyword_begin_token1] = ACTIONS(1635),
    [aux_sym__keyword_between_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1635),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1635),
    [aux_sym__keyword_like_token1] = ACTIONS(1635),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1635),
    [aux_sym__keyword_as_token1] = ACTIONS(1635),
    [aux_sym__keyword_date_token1] = ACTIONS(1635),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1635),
    [aux_sym__keyword_time_token1] = ACTIONS(1635),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1635),
    [aux_sym__keyword_for_token1] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1635),
    [aux_sym_return_statement_token1] = ACTIONS(1635),
    [aux_sym_call_statement_token1] = ACTIONS(1635),
    [aux_sym_loop_statement_token1] = ACTIONS(1635),
    [aux_sym_while_statement_token1] = ACTIONS(1635),
    [aux_sym_break_statement_token1] = ACTIONS(1635),
    [aux_sym_leave_statement_token1] = ACTIONS(1635),
    [aux_sym_continue_statement_token1] = ACTIONS(1635),
    [aux_sym_iterate_statement_token1] = ACTIONS(1635),
    [aux_sym_raise_statement_token1] = ACTIONS(1635),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1635),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1635),
    [aux_sym_insert_statement_token1] = ACTIONS(1635),
    [aux_sym_truncate_statement_token1] = ACTIONS(1635),
    [aux_sym_update_statement_token1] = ACTIONS(1635),
    [aux_sym_merge_statement_token1] = ACTIONS(1635),
    [aux_sym_grant_statement_token1] = ACTIONS(1635),
    [aux_sym_revoke_statement_token1] = ACTIONS(1635),
    [aux_sym_export_data_statement_token1] = ACTIONS(1635),
    [aux_sym_load_data_statement_token1] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym__quoted_identifier] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [4497] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4498] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4499] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4500] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4501] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1587),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1587),
    [aux_sym_keyword_replace_token1] = ACTIONS(1587),
    [aux_sym__keyword_alter_token1] = ACTIONS(1587),
    [aux_sym__keyword_create_token1] = ACTIONS(1587),
    [aux_sym__keyword_drop_token1] = ACTIONS(1587),
    [aux_sym__keyword_delete_token1] = ACTIONS(1587),
    [aux_sym__keyword_begin_token1] = ACTIONS(1587),
    [aux_sym__keyword_end_token1] = ACTIONS(1587),
    [aux_sym__keyword_between_token1] = ACTIONS(1587),
    [aux_sym__keyword_else_token1] = ACTIONS(1589),
    [aux_sym__keyword_is_token1] = ACTIONS(1587),
    [aux_sym__keyword_in_token1] = ACTIONS(1589),
    [aux_sym__keyword_and_token1] = ACTIONS(1587),
    [aux_sym__keyword_like_token1] = ACTIONS(1587),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1587),
    [aux_sym__keyword_for_token1] = ACTIONS(1587),
    [anon_sym_SEMI] = ACTIONS(1587),
    [aux_sym_declare_statement_token1] = ACTIONS(1587),
    [aux_sym_set_statement_token1] = ACTIONS(1587),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1587),
    [aux_sym_into_clause_token1] = ACTIONS(1587),
    [aux_sym_using_clause_token1] = ACTIONS(1587),
    [aux_sym_return_statement_token1] = ACTIONS(1587),
    [aux_sym_call_statement_token1] = ACTIONS(1587),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1587),
    [aux_sym_if_statement_token1] = ACTIONS(1587),
    [aux_sym_loop_statement_token1] = ACTIONS(1587),
    [aux_sym_repeat_statement_token1] = ACTIONS(1587),
    [aux_sym_while_statement_token1] = ACTIONS(1587),
    [aux_sym_break_statement_token1] = ACTIONS(1587),
    [aux_sym_leave_statement_token1] = ACTIONS(1587),
    [aux_sym_continue_statement_token1] = ACTIONS(1587),
    [aux_sym_iterate_statement_token1] = ACTIONS(1587),
    [aux_sym_raise_statement_token1] = ACTIONS(1587),
    [anon_sym_EQ] = ACTIONS(1587),
    [aux_sym_assert_statement_token1] = ACTIONS(1587),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1587),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(3391),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [aux_sym_select_token1] = ACTIONS(1587),
    [aux_sym_insert_statement_token1] = ACTIONS(1587),
    [aux_sym_truncate_statement_token1] = ACTIONS(1587),
    [aux_sym_update_statement_token1] = ACTIONS(1587),
    [aux_sym_merge_statement_token1] = ACTIONS(1587),
    [aux_sym_grant_statement_token1] = ACTIONS(1587),
    [aux_sym_revoke_statement_token1] = ACTIONS(1587),
    [aux_sym_export_data_statement_token1] = ACTIONS(1587),
    [aux_sym_load_data_statement_token1] = ACTIONS(1587),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_LT_GT] = ACTIONS(1587),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PIPE] = ACTIONS(1589),
  },
  [4502] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4503] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4504] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4505] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4506] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [sym__unquoted_identifier] = ACTIONS(1643),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1643),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1643),
    [aux_sym_keyword_replace_token1] = ACTIONS(1643),
    [aux_sym__keyword_alter_token1] = ACTIONS(1643),
    [aux_sym__keyword_create_token1] = ACTIONS(1643),
    [aux_sym__keyword_drop_token1] = ACTIONS(1643),
    [aux_sym__keyword_delete_token1] = ACTIONS(1643),
    [aux_sym__keyword_begin_token1] = ACTIONS(1643),
    [aux_sym__keyword_between_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1643),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1643),
    [aux_sym__keyword_like_token1] = ACTIONS(1643),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1643),
    [aux_sym__keyword_as_token1] = ACTIONS(1643),
    [aux_sym__keyword_date_token1] = ACTIONS(1643),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1643),
    [aux_sym__keyword_time_token1] = ACTIONS(1643),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1643),
    [aux_sym__keyword_for_token1] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1643),
    [aux_sym_return_statement_token1] = ACTIONS(1643),
    [aux_sym_call_statement_token1] = ACTIONS(1643),
    [aux_sym_loop_statement_token1] = ACTIONS(1643),
    [aux_sym_while_statement_token1] = ACTIONS(1643),
    [aux_sym_break_statement_token1] = ACTIONS(1643),
    [aux_sym_leave_statement_token1] = ACTIONS(1643),
    [aux_sym_continue_statement_token1] = ACTIONS(1643),
    [aux_sym_iterate_statement_token1] = ACTIONS(1643),
    [aux_sym_raise_statement_token1] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1643),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1643),
    [aux_sym_insert_statement_token1] = ACTIONS(1643),
    [aux_sym_truncate_statement_token1] = ACTIONS(1643),
    [aux_sym_update_statement_token1] = ACTIONS(1643),
    [aux_sym_merge_statement_token1] = ACTIONS(1643),
    [aux_sym_grant_statement_token1] = ACTIONS(1643),
    [aux_sym_revoke_statement_token1] = ACTIONS(1643),
    [aux_sym_export_data_statement_token1] = ACTIONS(1643),
    [aux_sym_load_data_statement_token1] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym__quoted_identifier] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [4507] = {
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_end_token1] = ACTIONS(1415),
    [aux_sym__keyword_when_token1] = ACTIONS(1415),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_window_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_using_clause_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1415),
    [aux_sym_if_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_repeat_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token3] = ACTIONS(1415),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_having_clause_token1] = ACTIONS(1415),
    [aux_sym_qualify_clause_token1] = ACTIONS(1415),
    [aux_sym_limit_clause_token1] = ACTIONS(1415),
    [aux_sym_group_by_clause_token1] = ACTIONS(1415),
    [aux_sym_order_by_clause_token1] = ACTIONS(1415),
    [aux_sym_where_clause_token1] = ACTIONS(1415),
    [aux_sym_pivot_operator_token1] = ACTIONS(1415),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1415),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1415),
    [aux_sym_join_type_token1] = ACTIONS(1415),
    [aux_sym_join_type_token2] = ACTIONS(1415),
    [aux_sym_join_type_token3] = ACTIONS(1415),
    [aux_sym_join_type_token4] = ACTIONS(1415),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1415),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1415),
    [aux_sym_join_condition_token1] = ACTIONS(1415),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
  },
  [4508] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4509] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1423),
    [aux_sym_keyword_replace_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_between_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1423),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1423),
    [aux_sym__keyword_like_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4510] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [sym__unquoted_identifier] = ACTIONS(1789),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1789),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1789),
    [aux_sym_keyword_replace_token1] = ACTIONS(1789),
    [aux_sym__keyword_alter_token1] = ACTIONS(1789),
    [aux_sym__keyword_create_token1] = ACTIONS(1789),
    [aux_sym__keyword_drop_token1] = ACTIONS(1789),
    [aux_sym__keyword_delete_token1] = ACTIONS(1789),
    [aux_sym__keyword_begin_token1] = ACTIONS(1789),
    [aux_sym__keyword_between_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1789),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1789),
    [aux_sym__keyword_like_token1] = ACTIONS(1789),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1789),
    [aux_sym__keyword_as_token1] = ACTIONS(1789),
    [aux_sym__keyword_date_token1] = ACTIONS(1789),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1789),
    [aux_sym__keyword_time_token1] = ACTIONS(1789),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1789),
    [aux_sym__keyword_for_token1] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1789),
    [anon_sym_COMMA] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1789),
    [aux_sym_return_statement_token1] = ACTIONS(1789),
    [aux_sym_call_statement_token1] = ACTIONS(1789),
    [aux_sym_loop_statement_token1] = ACTIONS(1789),
    [aux_sym_while_statement_token1] = ACTIONS(1789),
    [aux_sym_break_statement_token1] = ACTIONS(1789),
    [aux_sym_leave_statement_token1] = ACTIONS(1789),
    [aux_sym_continue_statement_token1] = ACTIONS(1789),
    [aux_sym_iterate_statement_token1] = ACTIONS(1789),
    [aux_sym_raise_statement_token1] = ACTIONS(1789),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1789),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1789),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1789),
    [aux_sym_insert_statement_token1] = ACTIONS(1789),
    [aux_sym_truncate_statement_token1] = ACTIONS(1789),
    [aux_sym_update_statement_token1] = ACTIONS(1789),
    [aux_sym_merge_statement_token1] = ACTIONS(1789),
    [aux_sym_grant_statement_token1] = ACTIONS(1789),
    [aux_sym_revoke_statement_token1] = ACTIONS(1789),
    [aux_sym_export_data_statement_token1] = ACTIONS(1789),
    [aux_sym_load_data_statement_token1] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym__quoted_identifier] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [4511] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [sym__unquoted_identifier] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1655),
    [aux_sym_keyword_replace_token1] = ACTIONS(1655),
    [aux_sym__keyword_alter_token1] = ACTIONS(1655),
    [aux_sym__keyword_create_token1] = ACTIONS(1655),
    [aux_sym__keyword_drop_token1] = ACTIONS(1655),
    [aux_sym__keyword_delete_token1] = ACTIONS(1655),
    [aux_sym__keyword_begin_token1] = ACTIONS(1655),
    [aux_sym__keyword_between_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1655),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1655),
    [aux_sym__keyword_like_token1] = ACTIONS(1655),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1655),
    [aux_sym__keyword_as_token1] = ACTIONS(1655),
    [aux_sym__keyword_date_token1] = ACTIONS(1655),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1655),
    [aux_sym__keyword_time_token1] = ACTIONS(1655),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1655),
    [aux_sym__keyword_for_token1] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1655),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1655),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1655),
    [aux_sym_return_statement_token1] = ACTIONS(1655),
    [aux_sym_call_statement_token1] = ACTIONS(1655),
    [aux_sym_loop_statement_token1] = ACTIONS(1655),
    [aux_sym_while_statement_token1] = ACTIONS(1655),
    [aux_sym_break_statement_token1] = ACTIONS(1655),
    [aux_sym_leave_statement_token1] = ACTIONS(1655),
    [aux_sym_continue_statement_token1] = ACTIONS(1655),
    [aux_sym_iterate_statement_token1] = ACTIONS(1655),
    [aux_sym_raise_statement_token1] = ACTIONS(1655),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1655),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1655),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1655),
    [aux_sym_insert_statement_token1] = ACTIONS(1655),
    [aux_sym_truncate_statement_token1] = ACTIONS(1655),
    [aux_sym_update_statement_token1] = ACTIONS(1655),
    [aux_sym_merge_statement_token1] = ACTIONS(1655),
    [aux_sym_grant_statement_token1] = ACTIONS(1655),
    [aux_sym_revoke_statement_token1] = ACTIONS(1655),
    [aux_sym_export_data_statement_token1] = ACTIONS(1655),
    [aux_sym_load_data_statement_token1] = ACTIONS(1655),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym__quoted_identifier] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [4512] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [sym__unquoted_identifier] = ACTIONS(1647),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1647),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1647),
    [aux_sym_keyword_replace_token1] = ACTIONS(1647),
    [aux_sym__keyword_alter_token1] = ACTIONS(1647),
    [aux_sym__keyword_create_token1] = ACTIONS(1647),
    [aux_sym__keyword_drop_token1] = ACTIONS(1647),
    [aux_sym__keyword_delete_token1] = ACTIONS(1647),
    [aux_sym__keyword_begin_token1] = ACTIONS(1647),
    [aux_sym__keyword_between_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1647),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1647),
    [aux_sym__keyword_like_token1] = ACTIONS(1647),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1647),
    [aux_sym__keyword_as_token1] = ACTIONS(1647),
    [aux_sym__keyword_date_token1] = ACTIONS(1647),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1647),
    [aux_sym__keyword_time_token1] = ACTIONS(1647),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1647),
    [aux_sym__keyword_for_token1] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1647),
    [aux_sym_return_statement_token1] = ACTIONS(1647),
    [aux_sym_call_statement_token1] = ACTIONS(1647),
    [aux_sym_loop_statement_token1] = ACTIONS(1647),
    [aux_sym_while_statement_token1] = ACTIONS(1647),
    [aux_sym_break_statement_token1] = ACTIONS(1647),
    [aux_sym_leave_statement_token1] = ACTIONS(1647),
    [aux_sym_continue_statement_token1] = ACTIONS(1647),
    [aux_sym_iterate_statement_token1] = ACTIONS(1647),
    [aux_sym_raise_statement_token1] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1647),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1647),
    [aux_sym_insert_statement_token1] = ACTIONS(1647),
    [aux_sym_truncate_statement_token1] = ACTIONS(1647),
    [aux_sym_update_statement_token1] = ACTIONS(1647),
    [aux_sym_merge_statement_token1] = ACTIONS(1647),
    [aux_sym_grant_statement_token1] = ACTIONS(1647),
    [aux_sym_revoke_statement_token1] = ACTIONS(1647),
    [aux_sym_export_data_statement_token1] = ACTIONS(1647),
    [aux_sym_load_data_statement_token1] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym__quoted_identifier] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [4513] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [sym__unquoted_identifier] = ACTIONS(1651),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1651),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1651),
    [aux_sym_keyword_replace_token1] = ACTIONS(1651),
    [aux_sym__keyword_alter_token1] = ACTIONS(1651),
    [aux_sym__keyword_create_token1] = ACTIONS(1651),
    [aux_sym__keyword_drop_token1] = ACTIONS(1651),
    [aux_sym__keyword_delete_token1] = ACTIONS(1651),
    [aux_sym__keyword_begin_token1] = ACTIONS(1651),
    [aux_sym__keyword_between_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1651),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1651),
    [aux_sym__keyword_like_token1] = ACTIONS(1651),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1651),
    [aux_sym__keyword_as_token1] = ACTIONS(1651),
    [aux_sym__keyword_date_token1] = ACTIONS(1651),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1651),
    [aux_sym__keyword_time_token1] = ACTIONS(1651),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1651),
    [aux_sym__keyword_for_token1] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1651),
    [anon_sym_COMMA] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1651),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1651),
    [aux_sym_return_statement_token1] = ACTIONS(1651),
    [aux_sym_call_statement_token1] = ACTIONS(1651),
    [aux_sym_loop_statement_token1] = ACTIONS(1651),
    [aux_sym_while_statement_token1] = ACTIONS(1651),
    [aux_sym_break_statement_token1] = ACTIONS(1651),
    [aux_sym_leave_statement_token1] = ACTIONS(1651),
    [aux_sym_continue_statement_token1] = ACTIONS(1651),
    [aux_sym_iterate_statement_token1] = ACTIONS(1651),
    [aux_sym_raise_statement_token1] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1651),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1651),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1651),
    [aux_sym_insert_statement_token1] = ACTIONS(1651),
    [aux_sym_truncate_statement_token1] = ACTIONS(1651),
    [aux_sym_update_statement_token1] = ACTIONS(1651),
    [aux_sym_merge_statement_token1] = ACTIONS(1651),
    [aux_sym_grant_statement_token1] = ACTIONS(1651),
    [aux_sym_revoke_statement_token1] = ACTIONS(1651),
    [aux_sym_export_data_statement_token1] = ACTIONS(1651),
    [aux_sym_load_data_statement_token1] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym__quoted_identifier] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [4514] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [sym__unquoted_identifier] = ACTIONS(1659),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1659),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1659),
    [aux_sym_keyword_replace_token1] = ACTIONS(1659),
    [aux_sym__keyword_alter_token1] = ACTIONS(1659),
    [aux_sym__keyword_create_token1] = ACTIONS(1659),
    [aux_sym__keyword_drop_token1] = ACTIONS(1659),
    [aux_sym__keyword_delete_token1] = ACTIONS(1659),
    [aux_sym__keyword_begin_token1] = ACTIONS(1659),
    [aux_sym__keyword_between_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1659),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1659),
    [aux_sym__keyword_like_token1] = ACTIONS(1659),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1659),
    [aux_sym__keyword_as_token1] = ACTIONS(1659),
    [aux_sym__keyword_date_token1] = ACTIONS(1659),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1659),
    [aux_sym__keyword_time_token1] = ACTIONS(1659),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1659),
    [aux_sym__keyword_for_token1] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1659),
    [aux_sym_return_statement_token1] = ACTIONS(1659),
    [aux_sym_call_statement_token1] = ACTIONS(1659),
    [aux_sym_loop_statement_token1] = ACTIONS(1659),
    [aux_sym_while_statement_token1] = ACTIONS(1659),
    [aux_sym_break_statement_token1] = ACTIONS(1659),
    [aux_sym_leave_statement_token1] = ACTIONS(1659),
    [aux_sym_continue_statement_token1] = ACTIONS(1659),
    [aux_sym_iterate_statement_token1] = ACTIONS(1659),
    [aux_sym_raise_statement_token1] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1659),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1659),
    [aux_sym_insert_statement_token1] = ACTIONS(1659),
    [aux_sym_truncate_statement_token1] = ACTIONS(1659),
    [aux_sym_update_statement_token1] = ACTIONS(1659),
    [aux_sym_merge_statement_token1] = ACTIONS(1659),
    [aux_sym_grant_statement_token1] = ACTIONS(1659),
    [aux_sym_revoke_statement_token1] = ACTIONS(1659),
    [aux_sym_export_data_statement_token1] = ACTIONS(1659),
    [aux_sym_load_data_statement_token1] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym__quoted_identifier] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [4515] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym__unquoted_identifier] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1213),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1213),
    [aux_sym_keyword_replace_token1] = ACTIONS(1213),
    [aux_sym__keyword_alter_token1] = ACTIONS(1213),
    [aux_sym__keyword_create_token1] = ACTIONS(1213),
    [aux_sym__keyword_drop_token1] = ACTIONS(1213),
    [aux_sym__keyword_delete_token1] = ACTIONS(1213),
    [aux_sym__keyword_begin_token1] = ACTIONS(1213),
    [aux_sym__keyword_between_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1213),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1213),
    [aux_sym__keyword_like_token1] = ACTIONS(1213),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1213),
    [aux_sym__keyword_as_token1] = ACTIONS(1213),
    [aux_sym__keyword_date_token1] = ACTIONS(1213),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1213),
    [aux_sym__keyword_time_token1] = ACTIONS(1213),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1213),
    [aux_sym__keyword_for_token1] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1213),
    [aux_sym_return_statement_token1] = ACTIONS(1213),
    [aux_sym_call_statement_token1] = ACTIONS(1213),
    [aux_sym_loop_statement_token1] = ACTIONS(1213),
    [aux_sym_while_statement_token1] = ACTIONS(1213),
    [aux_sym_break_statement_token1] = ACTIONS(1213),
    [aux_sym_leave_statement_token1] = ACTIONS(1213),
    [aux_sym_continue_statement_token1] = ACTIONS(1213),
    [aux_sym_iterate_statement_token1] = ACTIONS(1213),
    [aux_sym_raise_statement_token1] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1213),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1213),
    [aux_sym_insert_statement_token1] = ACTIONS(1213),
    [aux_sym_truncate_statement_token1] = ACTIONS(1213),
    [aux_sym_update_statement_token1] = ACTIONS(1213),
    [aux_sym_merge_statement_token1] = ACTIONS(1213),
    [aux_sym_grant_statement_token1] = ACTIONS(1213),
    [aux_sym_revoke_statement_token1] = ACTIONS(1213),
    [aux_sym_export_data_statement_token1] = ACTIONS(1213),
    [aux_sym_load_data_statement_token1] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym__quoted_identifier] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4516] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [sym__unquoted_identifier] = ACTIONS(1663),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1663),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1663),
    [aux_sym_keyword_replace_token1] = ACTIONS(1663),
    [aux_sym__keyword_alter_token1] = ACTIONS(1663),
    [aux_sym__keyword_create_token1] = ACTIONS(1663),
    [aux_sym__keyword_drop_token1] = ACTIONS(1663),
    [aux_sym__keyword_delete_token1] = ACTIONS(1663),
    [aux_sym__keyword_begin_token1] = ACTIONS(1663),
    [aux_sym__keyword_between_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1663),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1663),
    [aux_sym__keyword_like_token1] = ACTIONS(1663),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1663),
    [aux_sym__keyword_as_token1] = ACTIONS(1663),
    [aux_sym__keyword_date_token1] = ACTIONS(1663),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1663),
    [aux_sym__keyword_time_token1] = ACTIONS(1663),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1663),
    [aux_sym__keyword_for_token1] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1663),
    [aux_sym_return_statement_token1] = ACTIONS(1663),
    [aux_sym_call_statement_token1] = ACTIONS(1663),
    [aux_sym_loop_statement_token1] = ACTIONS(1663),
    [aux_sym_while_statement_token1] = ACTIONS(1663),
    [aux_sym_break_statement_token1] = ACTIONS(1663),
    [aux_sym_leave_statement_token1] = ACTIONS(1663),
    [aux_sym_continue_statement_token1] = ACTIONS(1663),
    [aux_sym_iterate_statement_token1] = ACTIONS(1663),
    [aux_sym_raise_statement_token1] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1663),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1663),
    [aux_sym_insert_statement_token1] = ACTIONS(1663),
    [aux_sym_truncate_statement_token1] = ACTIONS(1663),
    [aux_sym_update_statement_token1] = ACTIONS(1663),
    [aux_sym_merge_statement_token1] = ACTIONS(1663),
    [aux_sym_grant_statement_token1] = ACTIONS(1663),
    [aux_sym_revoke_statement_token1] = ACTIONS(1663),
    [aux_sym_export_data_statement_token1] = ACTIONS(1663),
    [aux_sym_load_data_statement_token1] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym__quoted_identifier] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [4517] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [sym__unquoted_identifier] = ACTIONS(1667),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1667),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1667),
    [aux_sym_keyword_replace_token1] = ACTIONS(1667),
    [aux_sym__keyword_alter_token1] = ACTIONS(1667),
    [aux_sym__keyword_create_token1] = ACTIONS(1667),
    [aux_sym__keyword_drop_token1] = ACTIONS(1667),
    [aux_sym__keyword_delete_token1] = ACTIONS(1667),
    [aux_sym__keyword_begin_token1] = ACTIONS(1667),
    [aux_sym__keyword_between_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1667),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1667),
    [aux_sym__keyword_like_token1] = ACTIONS(1667),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1667),
    [aux_sym__keyword_as_token1] = ACTIONS(1667),
    [aux_sym__keyword_date_token1] = ACTIONS(1667),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1667),
    [aux_sym__keyword_time_token1] = ACTIONS(1667),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1667),
    [aux_sym__keyword_for_token1] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1667),
    [anon_sym_COMMA] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1667),
    [aux_sym_return_statement_token1] = ACTIONS(1667),
    [aux_sym_call_statement_token1] = ACTIONS(1667),
    [aux_sym_loop_statement_token1] = ACTIONS(1667),
    [aux_sym_while_statement_token1] = ACTIONS(1667),
    [aux_sym_break_statement_token1] = ACTIONS(1667),
    [aux_sym_leave_statement_token1] = ACTIONS(1667),
    [aux_sym_continue_statement_token1] = ACTIONS(1667),
    [aux_sym_iterate_statement_token1] = ACTIONS(1667),
    [aux_sym_raise_statement_token1] = ACTIONS(1667),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1667),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1667),
    [aux_sym_insert_statement_token1] = ACTIONS(1667),
    [aux_sym_truncate_statement_token1] = ACTIONS(1667),
    [aux_sym_update_statement_token1] = ACTIONS(1667),
    [aux_sym_merge_statement_token1] = ACTIONS(1667),
    [aux_sym_grant_statement_token1] = ACTIONS(1667),
    [aux_sym_revoke_statement_token1] = ACTIONS(1667),
    [aux_sym_export_data_statement_token1] = ACTIONS(1667),
    [aux_sym_load_data_statement_token1] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym__quoted_identifier] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [4518] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4519] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [sym__unquoted_identifier] = ACTIONS(1671),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1671),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1671),
    [aux_sym_keyword_replace_token1] = ACTIONS(1671),
    [aux_sym__keyword_alter_token1] = ACTIONS(1671),
    [aux_sym__keyword_create_token1] = ACTIONS(1671),
    [aux_sym__keyword_drop_token1] = ACTIONS(1671),
    [aux_sym__keyword_delete_token1] = ACTIONS(1671),
    [aux_sym__keyword_begin_token1] = ACTIONS(1671),
    [aux_sym__keyword_between_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1671),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1671),
    [aux_sym__keyword_like_token1] = ACTIONS(1671),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1671),
    [aux_sym__keyword_as_token1] = ACTIONS(1671),
    [aux_sym__keyword_date_token1] = ACTIONS(1671),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1671),
    [aux_sym__keyword_time_token1] = ACTIONS(1671),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1671),
    [aux_sym__keyword_for_token1] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1671),
    [anon_sym_COMMA] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1671),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1671),
    [aux_sym_return_statement_token1] = ACTIONS(1671),
    [aux_sym_call_statement_token1] = ACTIONS(1671),
    [aux_sym_loop_statement_token1] = ACTIONS(1671),
    [aux_sym_while_statement_token1] = ACTIONS(1671),
    [aux_sym_break_statement_token1] = ACTIONS(1671),
    [aux_sym_leave_statement_token1] = ACTIONS(1671),
    [aux_sym_continue_statement_token1] = ACTIONS(1671),
    [aux_sym_iterate_statement_token1] = ACTIONS(1671),
    [aux_sym_raise_statement_token1] = ACTIONS(1671),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1671),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1671),
    [aux_sym_insert_statement_token1] = ACTIONS(1671),
    [aux_sym_truncate_statement_token1] = ACTIONS(1671),
    [aux_sym_update_statement_token1] = ACTIONS(1671),
    [aux_sym_merge_statement_token1] = ACTIONS(1671),
    [aux_sym_grant_statement_token1] = ACTIONS(1671),
    [aux_sym_revoke_statement_token1] = ACTIONS(1671),
    [aux_sym_export_data_statement_token1] = ACTIONS(1671),
    [aux_sym_load_data_statement_token1] = ACTIONS(1671),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym__quoted_identifier] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [4520] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [sym__unquoted_identifier] = ACTIONS(1675),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1675),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1675),
    [aux_sym_keyword_replace_token1] = ACTIONS(1675),
    [aux_sym__keyword_alter_token1] = ACTIONS(1675),
    [aux_sym__keyword_create_token1] = ACTIONS(1675),
    [aux_sym__keyword_drop_token1] = ACTIONS(1675),
    [aux_sym__keyword_delete_token1] = ACTIONS(1675),
    [aux_sym__keyword_begin_token1] = ACTIONS(1675),
    [aux_sym__keyword_between_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1675),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1675),
    [aux_sym__keyword_like_token1] = ACTIONS(1675),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1675),
    [aux_sym__keyword_as_token1] = ACTIONS(1675),
    [aux_sym__keyword_date_token1] = ACTIONS(1675),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1675),
    [aux_sym__keyword_time_token1] = ACTIONS(1675),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1675),
    [aux_sym__keyword_for_token1] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1675),
    [anon_sym_COMMA] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1675),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1675),
    [aux_sym_return_statement_token1] = ACTIONS(1675),
    [aux_sym_call_statement_token1] = ACTIONS(1675),
    [aux_sym_loop_statement_token1] = ACTIONS(1675),
    [aux_sym_while_statement_token1] = ACTIONS(1675),
    [aux_sym_break_statement_token1] = ACTIONS(1675),
    [aux_sym_leave_statement_token1] = ACTIONS(1675),
    [aux_sym_continue_statement_token1] = ACTIONS(1675),
    [aux_sym_iterate_statement_token1] = ACTIONS(1675),
    [aux_sym_raise_statement_token1] = ACTIONS(1675),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1675),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1675),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1675),
    [aux_sym_insert_statement_token1] = ACTIONS(1675),
    [aux_sym_truncate_statement_token1] = ACTIONS(1675),
    [aux_sym_update_statement_token1] = ACTIONS(1675),
    [aux_sym_merge_statement_token1] = ACTIONS(1675),
    [aux_sym_grant_statement_token1] = ACTIONS(1675),
    [aux_sym_revoke_statement_token1] = ACTIONS(1675),
    [aux_sym_export_data_statement_token1] = ACTIONS(1675),
    [aux_sym_load_data_statement_token1] = ACTIONS(1675),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym__quoted_identifier] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [4521] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [sym__unquoted_identifier] = ACTIONS(1679),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1679),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1679),
    [aux_sym_keyword_replace_token1] = ACTIONS(1679),
    [aux_sym__keyword_alter_token1] = ACTIONS(1679),
    [aux_sym__keyword_create_token1] = ACTIONS(1679),
    [aux_sym__keyword_drop_token1] = ACTIONS(1679),
    [aux_sym__keyword_delete_token1] = ACTIONS(1679),
    [aux_sym__keyword_begin_token1] = ACTIONS(1679),
    [aux_sym__keyword_between_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1679),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1679),
    [aux_sym__keyword_like_token1] = ACTIONS(1679),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1679),
    [aux_sym__keyword_as_token1] = ACTIONS(1679),
    [aux_sym__keyword_date_token1] = ACTIONS(1679),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1679),
    [aux_sym__keyword_time_token1] = ACTIONS(1679),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1679),
    [aux_sym__keyword_for_token1] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1679),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1679),
    [aux_sym_return_statement_token1] = ACTIONS(1679),
    [aux_sym_call_statement_token1] = ACTIONS(1679),
    [aux_sym_loop_statement_token1] = ACTIONS(1679),
    [aux_sym_while_statement_token1] = ACTIONS(1679),
    [aux_sym_break_statement_token1] = ACTIONS(1679),
    [aux_sym_leave_statement_token1] = ACTIONS(1679),
    [aux_sym_continue_statement_token1] = ACTIONS(1679),
    [aux_sym_iterate_statement_token1] = ACTIONS(1679),
    [aux_sym_raise_statement_token1] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1679),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1679),
    [aux_sym_insert_statement_token1] = ACTIONS(1679),
    [aux_sym_truncate_statement_token1] = ACTIONS(1679),
    [aux_sym_update_statement_token1] = ACTIONS(1679),
    [aux_sym_merge_statement_token1] = ACTIONS(1679),
    [aux_sym_grant_statement_token1] = ACTIONS(1679),
    [aux_sym_revoke_statement_token1] = ACTIONS(1679),
    [aux_sym_export_data_statement_token1] = ACTIONS(1679),
    [aux_sym_load_data_statement_token1] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym__quoted_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [4522] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4523] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4524] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4525] = {
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4526] = {
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_end_token1] = ACTIONS(1411),
    [aux_sym__keyword_when_token1] = ACTIONS(1411),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_window_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_using_clause_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1411),
    [aux_sym_if_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_repeat_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token3] = ACTIONS(1411),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_having_clause_token1] = ACTIONS(1411),
    [aux_sym_qualify_clause_token1] = ACTIONS(1411),
    [aux_sym_limit_clause_token1] = ACTIONS(1411),
    [aux_sym_group_by_clause_token1] = ACTIONS(1411),
    [aux_sym_order_by_clause_token1] = ACTIONS(1411),
    [aux_sym_where_clause_token1] = ACTIONS(1411),
    [aux_sym_pivot_operator_token1] = ACTIONS(1411),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1411),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1411),
    [aux_sym_join_type_token1] = ACTIONS(1411),
    [aux_sym_join_type_token2] = ACTIONS(1411),
    [aux_sym_join_type_token3] = ACTIONS(1411),
    [aux_sym_join_type_token4] = ACTIONS(1411),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1411),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1411),
    [aux_sym_join_condition_token1] = ACTIONS(1411),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [4527] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4528] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4529] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4530] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4531] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4532] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4533] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4534] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4535] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4536] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [sym__unquoted_identifier] = ACTIONS(1691),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1691),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1691),
    [aux_sym_keyword_replace_token1] = ACTIONS(1691),
    [aux_sym__keyword_alter_token1] = ACTIONS(1691),
    [aux_sym__keyword_create_token1] = ACTIONS(1691),
    [aux_sym__keyword_drop_token1] = ACTIONS(1691),
    [aux_sym__keyword_delete_token1] = ACTIONS(1691),
    [aux_sym__keyword_begin_token1] = ACTIONS(1691),
    [aux_sym__keyword_between_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1691),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1691),
    [aux_sym__keyword_like_token1] = ACTIONS(1691),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1691),
    [aux_sym__keyword_as_token1] = ACTIONS(1691),
    [aux_sym__keyword_date_token1] = ACTIONS(1691),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1691),
    [aux_sym__keyword_time_token1] = ACTIONS(1691),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1691),
    [aux_sym__keyword_for_token1] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1691),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1691),
    [aux_sym_return_statement_token1] = ACTIONS(1691),
    [aux_sym_call_statement_token1] = ACTIONS(1691),
    [aux_sym_loop_statement_token1] = ACTIONS(1691),
    [aux_sym_while_statement_token1] = ACTIONS(1691),
    [aux_sym_break_statement_token1] = ACTIONS(1691),
    [aux_sym_leave_statement_token1] = ACTIONS(1691),
    [aux_sym_continue_statement_token1] = ACTIONS(1691),
    [aux_sym_iterate_statement_token1] = ACTIONS(1691),
    [aux_sym_raise_statement_token1] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1691),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1691),
    [aux_sym_insert_statement_token1] = ACTIONS(1691),
    [aux_sym_truncate_statement_token1] = ACTIONS(1691),
    [aux_sym_update_statement_token1] = ACTIONS(1691),
    [aux_sym_merge_statement_token1] = ACTIONS(1691),
    [aux_sym_grant_statement_token1] = ACTIONS(1691),
    [aux_sym_revoke_statement_token1] = ACTIONS(1691),
    [aux_sym_export_data_statement_token1] = ACTIONS(1691),
    [aux_sym_load_data_statement_token1] = ACTIONS(1691),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym__quoted_identifier] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [4537] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [sym__unquoted_identifier] = ACTIONS(1695),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1695),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1695),
    [aux_sym_keyword_replace_token1] = ACTIONS(1695),
    [aux_sym__keyword_alter_token1] = ACTIONS(1695),
    [aux_sym__keyword_create_token1] = ACTIONS(1695),
    [aux_sym__keyword_drop_token1] = ACTIONS(1695),
    [aux_sym__keyword_delete_token1] = ACTIONS(1695),
    [aux_sym__keyword_begin_token1] = ACTIONS(1695),
    [aux_sym__keyword_between_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1695),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1695),
    [aux_sym__keyword_like_token1] = ACTIONS(1695),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1695),
    [aux_sym__keyword_as_token1] = ACTIONS(1695),
    [aux_sym__keyword_date_token1] = ACTIONS(1695),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1695),
    [aux_sym__keyword_time_token1] = ACTIONS(1695),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1695),
    [aux_sym__keyword_for_token1] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1695),
    [anon_sym_COMMA] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1695),
    [aux_sym_return_statement_token1] = ACTIONS(1695),
    [aux_sym_call_statement_token1] = ACTIONS(1695),
    [aux_sym_loop_statement_token1] = ACTIONS(1695),
    [aux_sym_while_statement_token1] = ACTIONS(1695),
    [aux_sym_break_statement_token1] = ACTIONS(1695),
    [aux_sym_leave_statement_token1] = ACTIONS(1695),
    [aux_sym_continue_statement_token1] = ACTIONS(1695),
    [aux_sym_iterate_statement_token1] = ACTIONS(1695),
    [aux_sym_raise_statement_token1] = ACTIONS(1695),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1695),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1695),
    [aux_sym_insert_statement_token1] = ACTIONS(1695),
    [aux_sym_truncate_statement_token1] = ACTIONS(1695),
    [aux_sym_update_statement_token1] = ACTIONS(1695),
    [aux_sym_merge_statement_token1] = ACTIONS(1695),
    [aux_sym_grant_statement_token1] = ACTIONS(1695),
    [aux_sym_revoke_statement_token1] = ACTIONS(1695),
    [aux_sym_export_data_statement_token1] = ACTIONS(1695),
    [aux_sym_load_data_statement_token1] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym__quoted_identifier] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [4538] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4539] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [sym__unquoted_identifier] = ACTIONS(1703),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1703),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1703),
    [aux_sym_keyword_replace_token1] = ACTIONS(1703),
    [aux_sym__keyword_alter_token1] = ACTIONS(1703),
    [aux_sym__keyword_create_token1] = ACTIONS(1703),
    [aux_sym__keyword_drop_token1] = ACTIONS(1703),
    [aux_sym__keyword_delete_token1] = ACTIONS(1703),
    [aux_sym__keyword_begin_token1] = ACTIONS(1703),
    [aux_sym__keyword_between_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1703),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1703),
    [aux_sym__keyword_like_token1] = ACTIONS(1703),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1703),
    [aux_sym__keyword_as_token1] = ACTIONS(1703),
    [aux_sym__keyword_date_token1] = ACTIONS(1703),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1703),
    [aux_sym__keyword_time_token1] = ACTIONS(1703),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1703),
    [aux_sym__keyword_for_token1] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1703),
    [aux_sym_return_statement_token1] = ACTIONS(1703),
    [aux_sym_call_statement_token1] = ACTIONS(1703),
    [aux_sym_loop_statement_token1] = ACTIONS(1703),
    [aux_sym_while_statement_token1] = ACTIONS(1703),
    [aux_sym_break_statement_token1] = ACTIONS(1703),
    [aux_sym_leave_statement_token1] = ACTIONS(1703),
    [aux_sym_continue_statement_token1] = ACTIONS(1703),
    [aux_sym_iterate_statement_token1] = ACTIONS(1703),
    [aux_sym_raise_statement_token1] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1703),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1703),
    [aux_sym_insert_statement_token1] = ACTIONS(1703),
    [aux_sym_truncate_statement_token1] = ACTIONS(1703),
    [aux_sym_update_statement_token1] = ACTIONS(1703),
    [aux_sym_merge_statement_token1] = ACTIONS(1703),
    [aux_sym_grant_statement_token1] = ACTIONS(1703),
    [aux_sym_revoke_statement_token1] = ACTIONS(1703),
    [aux_sym_export_data_statement_token1] = ACTIONS(1703),
    [aux_sym_load_data_statement_token1] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym__quoted_identifier] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [4540] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4541] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4542] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4543] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4544] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4545] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4546] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4547] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4548] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4549] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1373),
    [aux_sym_keyword_replace_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_between_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1373),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1373),
    [aux_sym__keyword_like_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4550] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1395),
    [aux_sym_keyword_replace_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_between_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1395),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1395),
    [aux_sym__keyword_like_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [4551] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4552] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4553] = {
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_end_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1519),
    [aux_sym_if_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_repeat_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [4554] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4555] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4556] = {
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_end_token1] = ACTIONS(1511),
    [aux_sym__keyword_when_token1] = ACTIONS(1511),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_window_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_using_clause_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1511),
    [aux_sym_if_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_repeat_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token3] = ACTIONS(1511),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_having_clause_token1] = ACTIONS(1511),
    [aux_sym_qualify_clause_token1] = ACTIONS(1511),
    [aux_sym_limit_clause_token1] = ACTIONS(1511),
    [aux_sym_group_by_clause_token1] = ACTIONS(1511),
    [aux_sym_order_by_clause_token1] = ACTIONS(1511),
    [aux_sym_where_clause_token1] = ACTIONS(1511),
    [aux_sym_pivot_operator_token1] = ACTIONS(1511),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1511),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1511),
    [aux_sym_join_type_token1] = ACTIONS(1511),
    [aux_sym_join_type_token2] = ACTIONS(1511),
    [aux_sym_join_type_token3] = ACTIONS(1511),
    [aux_sym_join_type_token4] = ACTIONS(1511),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1511),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1511),
    [aux_sym_join_condition_token1] = ACTIONS(1511),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
  },
  [4557] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4558] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4559] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym__unquoted_identifier] = ACTIONS(1707),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1707),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1707),
    [aux_sym_keyword_replace_token1] = ACTIONS(1707),
    [aux_sym__keyword_alter_token1] = ACTIONS(1707),
    [aux_sym__keyword_create_token1] = ACTIONS(1707),
    [aux_sym__keyword_drop_token1] = ACTIONS(1707),
    [aux_sym__keyword_delete_token1] = ACTIONS(1707),
    [aux_sym__keyword_begin_token1] = ACTIONS(1707),
    [aux_sym__keyword_between_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1707),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1707),
    [aux_sym__keyword_like_token1] = ACTIONS(1707),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1707),
    [aux_sym__keyword_as_token1] = ACTIONS(1707),
    [aux_sym__keyword_date_token1] = ACTIONS(1707),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1707),
    [aux_sym__keyword_time_token1] = ACTIONS(1707),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1707),
    [aux_sym__keyword_for_token1] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1707),
    [aux_sym_return_statement_token1] = ACTIONS(1707),
    [aux_sym_call_statement_token1] = ACTIONS(1707),
    [aux_sym_loop_statement_token1] = ACTIONS(1707),
    [aux_sym_while_statement_token1] = ACTIONS(1707),
    [aux_sym_break_statement_token1] = ACTIONS(1707),
    [aux_sym_leave_statement_token1] = ACTIONS(1707),
    [aux_sym_continue_statement_token1] = ACTIONS(1707),
    [aux_sym_iterate_statement_token1] = ACTIONS(1707),
    [aux_sym_raise_statement_token1] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1707),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1707),
    [aux_sym_insert_statement_token1] = ACTIONS(1707),
    [aux_sym_truncate_statement_token1] = ACTIONS(1707),
    [aux_sym_update_statement_token1] = ACTIONS(1707),
    [aux_sym_merge_statement_token1] = ACTIONS(1707),
    [aux_sym_grant_statement_token1] = ACTIONS(1707),
    [aux_sym_revoke_statement_token1] = ACTIONS(1707),
    [aux_sym_export_data_statement_token1] = ACTIONS(1707),
    [aux_sym_load_data_statement_token1] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym__quoted_identifier] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [4560] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [sym__unquoted_identifier] = ACTIONS(1711),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1711),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1711),
    [aux_sym_keyword_replace_token1] = ACTIONS(1711),
    [aux_sym__keyword_alter_token1] = ACTIONS(1711),
    [aux_sym__keyword_create_token1] = ACTIONS(1711),
    [aux_sym__keyword_drop_token1] = ACTIONS(1711),
    [aux_sym__keyword_delete_token1] = ACTIONS(1711),
    [aux_sym__keyword_begin_token1] = ACTIONS(1711),
    [aux_sym__keyword_between_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1711),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1711),
    [aux_sym__keyword_like_token1] = ACTIONS(1711),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1711),
    [aux_sym__keyword_as_token1] = ACTIONS(1711),
    [aux_sym__keyword_date_token1] = ACTIONS(1711),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1711),
    [aux_sym__keyword_time_token1] = ACTIONS(1711),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1711),
    [aux_sym__keyword_for_token1] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1711),
    [aux_sym_return_statement_token1] = ACTIONS(1711),
    [aux_sym_call_statement_token1] = ACTIONS(1711),
    [aux_sym_loop_statement_token1] = ACTIONS(1711),
    [aux_sym_while_statement_token1] = ACTIONS(1711),
    [aux_sym_break_statement_token1] = ACTIONS(1711),
    [aux_sym_leave_statement_token1] = ACTIONS(1711),
    [aux_sym_continue_statement_token1] = ACTIONS(1711),
    [aux_sym_iterate_statement_token1] = ACTIONS(1711),
    [aux_sym_raise_statement_token1] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1711),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1711),
    [aux_sym_insert_statement_token1] = ACTIONS(1711),
    [aux_sym_truncate_statement_token1] = ACTIONS(1711),
    [aux_sym_update_statement_token1] = ACTIONS(1711),
    [aux_sym_merge_statement_token1] = ACTIONS(1711),
    [aux_sym_grant_statement_token1] = ACTIONS(1711),
    [aux_sym_revoke_statement_token1] = ACTIONS(1711),
    [aux_sym_export_data_statement_token1] = ACTIONS(1711),
    [aux_sym_load_data_statement_token1] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym__quoted_identifier] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [4561] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [sym__unquoted_identifier] = ACTIONS(1715),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1715),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1715),
    [aux_sym_keyword_replace_token1] = ACTIONS(1715),
    [aux_sym__keyword_alter_token1] = ACTIONS(1715),
    [aux_sym__keyword_create_token1] = ACTIONS(1715),
    [aux_sym__keyword_drop_token1] = ACTIONS(1715),
    [aux_sym__keyword_delete_token1] = ACTIONS(1715),
    [aux_sym__keyword_begin_token1] = ACTIONS(1715),
    [aux_sym__keyword_between_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1715),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1715),
    [aux_sym__keyword_like_token1] = ACTIONS(1715),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1715),
    [aux_sym__keyword_as_token1] = ACTIONS(1715),
    [aux_sym__keyword_date_token1] = ACTIONS(1715),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1715),
    [aux_sym__keyword_time_token1] = ACTIONS(1715),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1715),
    [aux_sym__keyword_for_token1] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1715),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1715),
    [aux_sym_return_statement_token1] = ACTIONS(1715),
    [aux_sym_call_statement_token1] = ACTIONS(1715),
    [aux_sym_loop_statement_token1] = ACTIONS(1715),
    [aux_sym_while_statement_token1] = ACTIONS(1715),
    [aux_sym_break_statement_token1] = ACTIONS(1715),
    [aux_sym_leave_statement_token1] = ACTIONS(1715),
    [aux_sym_continue_statement_token1] = ACTIONS(1715),
    [aux_sym_iterate_statement_token1] = ACTIONS(1715),
    [aux_sym_raise_statement_token1] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1715),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1715),
    [aux_sym_insert_statement_token1] = ACTIONS(1715),
    [aux_sym_truncate_statement_token1] = ACTIONS(1715),
    [aux_sym_update_statement_token1] = ACTIONS(1715),
    [aux_sym_merge_statement_token1] = ACTIONS(1715),
    [aux_sym_grant_statement_token1] = ACTIONS(1715),
    [aux_sym_revoke_statement_token1] = ACTIONS(1715),
    [aux_sym_export_data_statement_token1] = ACTIONS(1715),
    [aux_sym_load_data_statement_token1] = ACTIONS(1715),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym__quoted_identifier] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [4562] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4563] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4564] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4565] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4566] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4567] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4568] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4569] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4570] = {
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_end_token1] = ACTIONS(1499),
    [aux_sym__keyword_when_token1] = ACTIONS(1499),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_window_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_using_clause_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1499),
    [aux_sym_if_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_repeat_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token3] = ACTIONS(1499),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_having_clause_token1] = ACTIONS(1499),
    [aux_sym_qualify_clause_token1] = ACTIONS(1499),
    [aux_sym_limit_clause_token1] = ACTIONS(1499),
    [aux_sym_group_by_clause_token1] = ACTIONS(1499),
    [aux_sym_order_by_clause_token1] = ACTIONS(1499),
    [aux_sym_where_clause_token1] = ACTIONS(1499),
    [aux_sym_pivot_operator_token1] = ACTIONS(1499),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1499),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1499),
    [aux_sym_join_type_token1] = ACTIONS(1499),
    [aux_sym_join_type_token2] = ACTIONS(1499),
    [aux_sym_join_type_token3] = ACTIONS(1499),
    [aux_sym_join_type_token4] = ACTIONS(1499),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1499),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1499),
    [aux_sym_join_condition_token1] = ACTIONS(1499),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
  },
  [4571] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1399),
    [aux_sym_keyword_replace_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_between_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1399),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1399),
    [aux_sym__keyword_like_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4572] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1411),
    [aux_sym_keyword_replace_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_between_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1411),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1411),
    [aux_sym__keyword_like_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [4573] = {
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_end_token1] = ACTIONS(1495),
    [aux_sym__keyword_when_token1] = ACTIONS(1495),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_window_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_using_clause_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1495),
    [aux_sym_if_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_repeat_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token3] = ACTIONS(1495),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_having_clause_token1] = ACTIONS(1495),
    [aux_sym_qualify_clause_token1] = ACTIONS(1495),
    [aux_sym_limit_clause_token1] = ACTIONS(1495),
    [aux_sym_group_by_clause_token1] = ACTIONS(1495),
    [aux_sym_order_by_clause_token1] = ACTIONS(1495),
    [aux_sym_where_clause_token1] = ACTIONS(1495),
    [aux_sym_pivot_operator_token1] = ACTIONS(1495),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1495),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1495),
    [aux_sym_join_type_token1] = ACTIONS(1495),
    [aux_sym_join_type_token2] = ACTIONS(1495),
    [aux_sym_join_type_token3] = ACTIONS(1495),
    [aux_sym_join_type_token4] = ACTIONS(1495),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1495),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1495),
    [aux_sym_join_condition_token1] = ACTIONS(1495),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
  },
  [4574] = {
    [sym__unquoted_identifier] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1595),
    [aux_sym__keyword_alter_token1] = ACTIONS(1595),
    [aux_sym__keyword_create_token1] = ACTIONS(1595),
    [aux_sym__keyword_drop_token1] = ACTIONS(1595),
    [aux_sym__keyword_delete_token1] = ACTIONS(1595),
    [aux_sym__keyword_begin_token1] = ACTIONS(1595),
    [aux_sym__keyword_end_token1] = ACTIONS(1595),
    [aux_sym__keyword_when_token1] = ACTIONS(1595),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1595),
    [aux_sym__keyword_as_token1] = ACTIONS(1595),
    [aux_sym__keyword_window_token1] = ACTIONS(1595),
    [aux_sym__keyword_date_token1] = ACTIONS(1595),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1595),
    [aux_sym__keyword_time_token1] = ACTIONS(1595),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1595),
    [aux_sym__keyword_for_token1] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1595),
    [aux_sym_using_clause_token1] = ACTIONS(1595),
    [aux_sym_return_statement_token1] = ACTIONS(1595),
    [aux_sym_call_statement_token1] = ACTIONS(1595),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1595),
    [aux_sym_if_statement_token1] = ACTIONS(1595),
    [aux_sym_loop_statement_token1] = ACTIONS(1595),
    [aux_sym_repeat_statement_token1] = ACTIONS(1595),
    [aux_sym_while_statement_token1] = ACTIONS(1595),
    [aux_sym_break_statement_token1] = ACTIONS(1595),
    [aux_sym_leave_statement_token1] = ACTIONS(1595),
    [aux_sym_continue_statement_token1] = ACTIONS(1595),
    [aux_sym_iterate_statement_token1] = ACTIONS(1595),
    [aux_sym_raise_statement_token1] = ACTIONS(1595),
    [aux_sym_assert_statement_token1] = ACTIONS(1595),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1595),
    [aux_sym_set_operation_token1] = ACTIONS(1595),
    [aux_sym_set_operation_token3] = ACTIONS(1595),
    [aux_sym_set_operation_token4] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1595),
    [aux_sym_having_clause_token1] = ACTIONS(1595),
    [aux_sym_qualify_clause_token1] = ACTIONS(1595),
    [aux_sym_limit_clause_token1] = ACTIONS(1595),
    [aux_sym_group_by_clause_token1] = ACTIONS(1595),
    [aux_sym_order_by_clause_token1] = ACTIONS(1595),
    [aux_sym_where_clause_token1] = ACTIONS(1595),
    [aux_sym_pivot_operator_token1] = ACTIONS(1595),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1595),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1595),
    [aux_sym_join_type_token1] = ACTIONS(1595),
    [aux_sym_join_type_token2] = ACTIONS(1595),
    [aux_sym_join_type_token3] = ACTIONS(1595),
    [aux_sym_join_type_token4] = ACTIONS(1595),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1595),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1595),
    [aux_sym_join_condition_token1] = ACTIONS(1595),
    [aux_sym_insert_statement_token1] = ACTIONS(1595),
    [aux_sym_truncate_statement_token1] = ACTIONS(1595),
    [aux_sym_update_statement_token1] = ACTIONS(1595),
    [aux_sym_merge_statement_token1] = ACTIONS(1595),
    [aux_sym_grant_statement_token1] = ACTIONS(1595),
    [aux_sym_revoke_statement_token1] = ACTIONS(1595),
    [aux_sym_export_data_statement_token1] = ACTIONS(1595),
    [aux_sym_load_data_statement_token1] = ACTIONS(1595),
    [sym__quoted_identifier] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
  },
  [4575] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4576] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1415),
    [aux_sym_keyword_replace_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_between_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1415),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1415),
    [aux_sym__keyword_like_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [4577] = {
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_end_token1] = ACTIONS(1487),
    [aux_sym__keyword_when_token1] = ACTIONS(1487),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_window_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_using_clause_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1487),
    [aux_sym_if_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_repeat_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token3] = ACTIONS(1487),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_having_clause_token1] = ACTIONS(1487),
    [aux_sym_qualify_clause_token1] = ACTIONS(1487),
    [aux_sym_limit_clause_token1] = ACTIONS(1487),
    [aux_sym_group_by_clause_token1] = ACTIONS(1487),
    [aux_sym_order_by_clause_token1] = ACTIONS(1487),
    [aux_sym_where_clause_token1] = ACTIONS(1487),
    [aux_sym_pivot_operator_token1] = ACTIONS(1487),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1487),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1487),
    [aux_sym_join_type_token1] = ACTIONS(1487),
    [aux_sym_join_type_token2] = ACTIONS(1487),
    [aux_sym_join_type_token3] = ACTIONS(1487),
    [aux_sym_join_type_token4] = ACTIONS(1487),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1487),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1487),
    [aux_sym_join_condition_token1] = ACTIONS(1487),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
  },
  [4578] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [sym__unquoted_identifier] = ACTIONS(1761),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1761),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1761),
    [aux_sym_keyword_replace_token1] = ACTIONS(1761),
    [aux_sym__keyword_alter_token1] = ACTIONS(1761),
    [aux_sym__keyword_create_token1] = ACTIONS(1761),
    [aux_sym__keyword_drop_token1] = ACTIONS(1761),
    [aux_sym__keyword_delete_token1] = ACTIONS(1761),
    [aux_sym__keyword_begin_token1] = ACTIONS(1761),
    [aux_sym__keyword_between_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1761),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1761),
    [aux_sym__keyword_like_token1] = ACTIONS(1761),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1761),
    [aux_sym__keyword_as_token1] = ACTIONS(1761),
    [aux_sym__keyword_date_token1] = ACTIONS(1761),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1761),
    [aux_sym__keyword_time_token1] = ACTIONS(1761),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1761),
    [aux_sym__keyword_for_token1] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1761),
    [aux_sym_return_statement_token1] = ACTIONS(1761),
    [aux_sym_call_statement_token1] = ACTIONS(1761),
    [aux_sym_loop_statement_token1] = ACTIONS(1761),
    [aux_sym_while_statement_token1] = ACTIONS(1761),
    [aux_sym_break_statement_token1] = ACTIONS(1761),
    [aux_sym_leave_statement_token1] = ACTIONS(1761),
    [aux_sym_continue_statement_token1] = ACTIONS(1761),
    [aux_sym_iterate_statement_token1] = ACTIONS(1761),
    [aux_sym_raise_statement_token1] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1761),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1761),
    [aux_sym_insert_statement_token1] = ACTIONS(1761),
    [aux_sym_truncate_statement_token1] = ACTIONS(1761),
    [aux_sym_update_statement_token1] = ACTIONS(1761),
    [aux_sym_merge_statement_token1] = ACTIONS(1761),
    [aux_sym_grant_statement_token1] = ACTIONS(1761),
    [aux_sym_revoke_statement_token1] = ACTIONS(1761),
    [aux_sym_export_data_statement_token1] = ACTIONS(1761),
    [aux_sym_load_data_statement_token1] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym__quoted_identifier] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [4579] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [sym__unquoted_identifier] = ACTIONS(1765),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1765),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1765),
    [aux_sym_keyword_replace_token1] = ACTIONS(1765),
    [aux_sym__keyword_alter_token1] = ACTIONS(1765),
    [aux_sym__keyword_create_token1] = ACTIONS(1765),
    [aux_sym__keyword_drop_token1] = ACTIONS(1765),
    [aux_sym__keyword_delete_token1] = ACTIONS(1765),
    [aux_sym__keyword_begin_token1] = ACTIONS(1765),
    [aux_sym__keyword_between_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1765),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1765),
    [aux_sym__keyword_like_token1] = ACTIONS(1765),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1765),
    [aux_sym__keyword_as_token1] = ACTIONS(1765),
    [aux_sym__keyword_date_token1] = ACTIONS(1765),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1765),
    [aux_sym__keyword_time_token1] = ACTIONS(1765),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1765),
    [aux_sym__keyword_for_token1] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1765),
    [aux_sym_return_statement_token1] = ACTIONS(1765),
    [aux_sym_call_statement_token1] = ACTIONS(1765),
    [aux_sym_loop_statement_token1] = ACTIONS(1765),
    [aux_sym_while_statement_token1] = ACTIONS(1765),
    [aux_sym_break_statement_token1] = ACTIONS(1765),
    [aux_sym_leave_statement_token1] = ACTIONS(1765),
    [aux_sym_continue_statement_token1] = ACTIONS(1765),
    [aux_sym_iterate_statement_token1] = ACTIONS(1765),
    [aux_sym_raise_statement_token1] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1765),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1765),
    [aux_sym_insert_statement_token1] = ACTIONS(1765),
    [aux_sym_truncate_statement_token1] = ACTIONS(1765),
    [aux_sym_update_statement_token1] = ACTIONS(1765),
    [aux_sym_merge_statement_token1] = ACTIONS(1765),
    [aux_sym_grant_statement_token1] = ACTIONS(1765),
    [aux_sym_revoke_statement_token1] = ACTIONS(1765),
    [aux_sym_export_data_statement_token1] = ACTIONS(1765),
    [aux_sym_load_data_statement_token1] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym__quoted_identifier] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [4580] = {
    [sym__unquoted_identifier] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1831),
    [aux_sym__keyword_alter_token1] = ACTIONS(1831),
    [aux_sym__keyword_create_token1] = ACTIONS(1831),
    [aux_sym__keyword_drop_token1] = ACTIONS(1831),
    [aux_sym__keyword_delete_token1] = ACTIONS(1831),
    [aux_sym__keyword_begin_token1] = ACTIONS(1831),
    [aux_sym__keyword_end_token1] = ACTIONS(1831),
    [aux_sym__keyword_when_token1] = ACTIONS(1831),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1831),
    [aux_sym__keyword_as_token1] = ACTIONS(1831),
    [aux_sym__keyword_window_token1] = ACTIONS(1831),
    [aux_sym__keyword_date_token1] = ACTIONS(1831),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1831),
    [aux_sym__keyword_time_token1] = ACTIONS(1831),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1831),
    [aux_sym__keyword_for_token1] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1831),
    [aux_sym_using_clause_token1] = ACTIONS(1831),
    [aux_sym_return_statement_token1] = ACTIONS(1831),
    [aux_sym_call_statement_token1] = ACTIONS(1831),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1831),
    [aux_sym_if_statement_token1] = ACTIONS(1831),
    [aux_sym_loop_statement_token1] = ACTIONS(1831),
    [aux_sym_repeat_statement_token1] = ACTIONS(1831),
    [aux_sym_while_statement_token1] = ACTIONS(1831),
    [aux_sym_break_statement_token1] = ACTIONS(1831),
    [aux_sym_leave_statement_token1] = ACTIONS(1831),
    [aux_sym_continue_statement_token1] = ACTIONS(1831),
    [aux_sym_iterate_statement_token1] = ACTIONS(1831),
    [aux_sym_raise_statement_token1] = ACTIONS(1831),
    [aux_sym_assert_statement_token1] = ACTIONS(1831),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1831),
    [aux_sym_set_operation_token1] = ACTIONS(1831),
    [aux_sym_set_operation_token3] = ACTIONS(1831),
    [aux_sym_set_operation_token4] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1831),
    [aux_sym_having_clause_token1] = ACTIONS(1831),
    [aux_sym_qualify_clause_token1] = ACTIONS(1831),
    [aux_sym_limit_clause_token1] = ACTIONS(1831),
    [aux_sym_group_by_clause_token1] = ACTIONS(1831),
    [aux_sym_order_by_clause_token1] = ACTIONS(1831),
    [aux_sym_where_clause_token1] = ACTIONS(1831),
    [aux_sym_pivot_operator_token1] = ACTIONS(1831),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1831),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1831),
    [aux_sym_join_type_token1] = ACTIONS(1831),
    [aux_sym_join_type_token2] = ACTIONS(1831),
    [aux_sym_join_type_token3] = ACTIONS(1831),
    [aux_sym_join_type_token4] = ACTIONS(1831),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1831),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1831),
    [aux_sym_join_condition_token1] = ACTIONS(1831),
    [aux_sym_insert_statement_token1] = ACTIONS(1831),
    [aux_sym_truncate_statement_token1] = ACTIONS(1831),
    [aux_sym_update_statement_token1] = ACTIONS(1831),
    [aux_sym_merge_statement_token1] = ACTIONS(1831),
    [aux_sym_grant_statement_token1] = ACTIONS(1831),
    [aux_sym_revoke_statement_token1] = ACTIONS(1831),
    [aux_sym_export_data_statement_token1] = ACTIONS(1831),
    [aux_sym_load_data_statement_token1] = ACTIONS(1831),
    [sym__quoted_identifier] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
  },
  [4581] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4582] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [sym__unquoted_identifier] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1595),
    [aux_sym_keyword_replace_token1] = ACTIONS(1595),
    [aux_sym__keyword_alter_token1] = ACTIONS(1595),
    [aux_sym__keyword_create_token1] = ACTIONS(1595),
    [aux_sym__keyword_drop_token1] = ACTIONS(1595),
    [aux_sym__keyword_delete_token1] = ACTIONS(1595),
    [aux_sym__keyword_begin_token1] = ACTIONS(1595),
    [aux_sym__keyword_between_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1595),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1595),
    [aux_sym__keyword_like_token1] = ACTIONS(1595),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1595),
    [aux_sym__keyword_as_token1] = ACTIONS(1595),
    [aux_sym__keyword_date_token1] = ACTIONS(1595),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1595),
    [aux_sym__keyword_time_token1] = ACTIONS(1595),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1595),
    [aux_sym__keyword_for_token1] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1595),
    [aux_sym_return_statement_token1] = ACTIONS(1595),
    [aux_sym_call_statement_token1] = ACTIONS(1595),
    [aux_sym_loop_statement_token1] = ACTIONS(1595),
    [aux_sym_while_statement_token1] = ACTIONS(1595),
    [aux_sym_break_statement_token1] = ACTIONS(1595),
    [aux_sym_leave_statement_token1] = ACTIONS(1595),
    [aux_sym_continue_statement_token1] = ACTIONS(1595),
    [aux_sym_iterate_statement_token1] = ACTIONS(1595),
    [aux_sym_raise_statement_token1] = ACTIONS(1595),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1595),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1595),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1595),
    [aux_sym_insert_statement_token1] = ACTIONS(1595),
    [aux_sym_truncate_statement_token1] = ACTIONS(1595),
    [aux_sym_update_statement_token1] = ACTIONS(1595),
    [aux_sym_merge_statement_token1] = ACTIONS(1595),
    [aux_sym_grant_statement_token1] = ACTIONS(1595),
    [aux_sym_revoke_statement_token1] = ACTIONS(1595),
    [aux_sym_export_data_statement_token1] = ACTIONS(1595),
    [aux_sym_load_data_statement_token1] = ACTIONS(1595),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym__quoted_identifier] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [4583] = {
    [ts_builtin_sym_end] = ACTIONS(1771),
    [sym__unquoted_identifier] = ACTIONS(1773),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1773),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1773),
    [aux_sym_keyword_replace_token1] = ACTIONS(1773),
    [aux_sym__keyword_alter_token1] = ACTIONS(1773),
    [aux_sym__keyword_create_token1] = ACTIONS(1773),
    [aux_sym__keyword_drop_token1] = ACTIONS(1773),
    [aux_sym__keyword_delete_token1] = ACTIONS(1773),
    [aux_sym__keyword_begin_token1] = ACTIONS(1773),
    [aux_sym__keyword_between_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1773),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1773),
    [aux_sym__keyword_like_token1] = ACTIONS(1773),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1773),
    [aux_sym__keyword_as_token1] = ACTIONS(1773),
    [aux_sym__keyword_date_token1] = ACTIONS(1773),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1773),
    [aux_sym__keyword_time_token1] = ACTIONS(1773),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1773),
    [aux_sym__keyword_for_token1] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1773),
    [aux_sym_return_statement_token1] = ACTIONS(1773),
    [aux_sym_call_statement_token1] = ACTIONS(1773),
    [aux_sym_loop_statement_token1] = ACTIONS(1773),
    [aux_sym_while_statement_token1] = ACTIONS(1773),
    [aux_sym_break_statement_token1] = ACTIONS(1773),
    [aux_sym_leave_statement_token1] = ACTIONS(1773),
    [aux_sym_continue_statement_token1] = ACTIONS(1773),
    [aux_sym_iterate_statement_token1] = ACTIONS(1773),
    [aux_sym_raise_statement_token1] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1773),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1773),
    [aux_sym_insert_statement_token1] = ACTIONS(1773),
    [aux_sym_truncate_statement_token1] = ACTIONS(1773),
    [aux_sym_update_statement_token1] = ACTIONS(1773),
    [aux_sym_merge_statement_token1] = ACTIONS(1773),
    [aux_sym_grant_statement_token1] = ACTIONS(1773),
    [aux_sym_revoke_statement_token1] = ACTIONS(1773),
    [aux_sym_export_data_statement_token1] = ACTIONS(1773),
    [aux_sym_load_data_statement_token1] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym__quoted_identifier] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [4584] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [sym__unquoted_identifier] = ACTIONS(1781),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1781),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1781),
    [aux_sym_keyword_replace_token1] = ACTIONS(1781),
    [aux_sym__keyword_alter_token1] = ACTIONS(1781),
    [aux_sym__keyword_create_token1] = ACTIONS(1781),
    [aux_sym__keyword_drop_token1] = ACTIONS(1781),
    [aux_sym__keyword_delete_token1] = ACTIONS(1781),
    [aux_sym__keyword_begin_token1] = ACTIONS(1781),
    [aux_sym__keyword_between_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1781),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1781),
    [aux_sym__keyword_like_token1] = ACTIONS(1781),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1781),
    [aux_sym__keyword_as_token1] = ACTIONS(1781),
    [aux_sym__keyword_date_token1] = ACTIONS(1781),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1781),
    [aux_sym__keyword_time_token1] = ACTIONS(1781),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1781),
    [aux_sym__keyword_for_token1] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1781),
    [aux_sym_return_statement_token1] = ACTIONS(1781),
    [aux_sym_call_statement_token1] = ACTIONS(1781),
    [aux_sym_loop_statement_token1] = ACTIONS(1781),
    [aux_sym_while_statement_token1] = ACTIONS(1781),
    [aux_sym_break_statement_token1] = ACTIONS(1781),
    [aux_sym_leave_statement_token1] = ACTIONS(1781),
    [aux_sym_continue_statement_token1] = ACTIONS(1781),
    [aux_sym_iterate_statement_token1] = ACTIONS(1781),
    [aux_sym_raise_statement_token1] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1781),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1781),
    [aux_sym_insert_statement_token1] = ACTIONS(1781),
    [aux_sym_truncate_statement_token1] = ACTIONS(1781),
    [aux_sym_update_statement_token1] = ACTIONS(1781),
    [aux_sym_merge_statement_token1] = ACTIONS(1781),
    [aux_sym_grant_statement_token1] = ACTIONS(1781),
    [aux_sym_revoke_statement_token1] = ACTIONS(1781),
    [aux_sym_export_data_statement_token1] = ACTIONS(1781),
    [aux_sym_load_data_statement_token1] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym__quoted_identifier] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [4585] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4586] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5401),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3393),
    [aux_sym__keyword_alter_token1] = ACTIONS(3393),
    [aux_sym__keyword_create_token1] = ACTIONS(3393),
    [aux_sym__keyword_drop_token1] = ACTIONS(3393),
    [aux_sym__keyword_delete_token1] = ACTIONS(3393),
    [aux_sym__keyword_begin_token1] = ACTIONS(3393),
    [aux_sym__keyword_end_token1] = ACTIONS(3393),
    [aux_sym__keyword_when_token1] = ACTIONS(3393),
    [aux_sym__keyword_else_token1] = ACTIONS(3393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3393),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3393),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [aux_sym_declare_statement_token1] = ACTIONS(3393),
    [aux_sym_set_statement_token1] = ACTIONS(3393),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3393),
    [aux_sym_return_statement_token1] = ACTIONS(3393),
    [aux_sym_call_statement_token1] = ACTIONS(3393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3393),
    [aux_sym_if_statement_token1] = ACTIONS(3393),
    [aux_sym_loop_statement_token1] = ACTIONS(3393),
    [aux_sym_repeat_statement_token1] = ACTIONS(3393),
    [aux_sym_while_statement_token1] = ACTIONS(3393),
    [aux_sym_break_statement_token1] = ACTIONS(3393),
    [aux_sym_leave_statement_token1] = ACTIONS(3393),
    [aux_sym_continue_statement_token1] = ACTIONS(3393),
    [aux_sym_iterate_statement_token1] = ACTIONS(3393),
    [aux_sym_raise_statement_token1] = ACTIONS(3393),
    [aux_sym_assert_statement_token1] = ACTIONS(3393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3393),
    [aux_sym_set_operation_token1] = ACTIONS(3393),
    [aux_sym_set_operation_token3] = ACTIONS(3393),
    [aux_sym_set_operation_token4] = ACTIONS(3393),
    [aux_sym_select_token1] = ACTIONS(3393),
    [aux_sym_having_clause_token1] = ACTIONS(3393),
    [aux_sym_qualify_clause_token1] = ACTIONS(3393),
    [aux_sym_limit_clause_token1] = ACTIONS(3393),
    [aux_sym_group_by_clause_token1] = ACTIONS(3393),
    [aux_sym_order_by_clause_token1] = ACTIONS(3393),
    [aux_sym_where_clause_token1] = ACTIONS(3393),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3393),
    [aux_sym_insert_statement_token1] = ACTIONS(3393),
    [aux_sym_truncate_statement_token1] = ACTIONS(3393),
    [aux_sym_update_statement_token1] = ACTIONS(3393),
    [aux_sym_merge_statement_token1] = ACTIONS(3393),
    [aux_sym_grant_statement_token1] = ACTIONS(3393),
    [aux_sym_revoke_statement_token1] = ACTIONS(3393),
    [aux_sym_export_data_statement_token1] = ACTIONS(3393),
    [aux_sym_load_data_statement_token1] = ACTIONS(3393),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [4587] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4588] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4589] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5417),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3397),
    [aux_sym__keyword_alter_token1] = ACTIONS(3397),
    [aux_sym__keyword_create_token1] = ACTIONS(3397),
    [aux_sym__keyword_drop_token1] = ACTIONS(3397),
    [aux_sym__keyword_delete_token1] = ACTIONS(3397),
    [aux_sym__keyword_begin_token1] = ACTIONS(3397),
    [aux_sym__keyword_end_token1] = ACTIONS(3397),
    [aux_sym__keyword_when_token1] = ACTIONS(3397),
    [aux_sym__keyword_else_token1] = ACTIONS(3397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3397),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3397),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [aux_sym_declare_statement_token1] = ACTIONS(3397),
    [aux_sym_set_statement_token1] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3397),
    [aux_sym_return_statement_token1] = ACTIONS(3397),
    [aux_sym_call_statement_token1] = ACTIONS(3397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3397),
    [aux_sym_if_statement_token1] = ACTIONS(3397),
    [aux_sym_loop_statement_token1] = ACTIONS(3397),
    [aux_sym_repeat_statement_token1] = ACTIONS(3397),
    [aux_sym_while_statement_token1] = ACTIONS(3397),
    [aux_sym_break_statement_token1] = ACTIONS(3397),
    [aux_sym_leave_statement_token1] = ACTIONS(3397),
    [aux_sym_continue_statement_token1] = ACTIONS(3397),
    [aux_sym_iterate_statement_token1] = ACTIONS(3397),
    [aux_sym_raise_statement_token1] = ACTIONS(3397),
    [aux_sym_assert_statement_token1] = ACTIONS(3397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3397),
    [aux_sym_set_operation_token1] = ACTIONS(3397),
    [aux_sym_set_operation_token3] = ACTIONS(3397),
    [aux_sym_set_operation_token4] = ACTIONS(3397),
    [aux_sym_select_token1] = ACTIONS(3397),
    [aux_sym_having_clause_token1] = ACTIONS(3397),
    [aux_sym_qualify_clause_token1] = ACTIONS(3397),
    [aux_sym_limit_clause_token1] = ACTIONS(3397),
    [aux_sym_group_by_clause_token1] = ACTIONS(3397),
    [aux_sym_order_by_clause_token1] = ACTIONS(3397),
    [aux_sym_where_clause_token1] = ACTIONS(3397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3397),
    [aux_sym_insert_statement_token1] = ACTIONS(3397),
    [aux_sym_truncate_statement_token1] = ACTIONS(3397),
    [aux_sym_update_statement_token1] = ACTIONS(3397),
    [aux_sym_merge_statement_token1] = ACTIONS(3397),
    [aux_sym_grant_statement_token1] = ACTIONS(3397),
    [aux_sym_revoke_statement_token1] = ACTIONS(3397),
    [aux_sym_export_data_statement_token1] = ACTIONS(3397),
    [aux_sym_load_data_statement_token1] = ACTIONS(3397),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [4590] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4591] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4592] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4593] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4594] = {
    [sym__unquoted_identifier] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1827),
    [aux_sym__keyword_alter_token1] = ACTIONS(1827),
    [aux_sym__keyword_create_token1] = ACTIONS(1827),
    [aux_sym__keyword_drop_token1] = ACTIONS(1827),
    [aux_sym__keyword_delete_token1] = ACTIONS(1827),
    [aux_sym__keyword_begin_token1] = ACTIONS(1827),
    [aux_sym__keyword_end_token1] = ACTIONS(1827),
    [aux_sym__keyword_when_token1] = ACTIONS(1827),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1827),
    [aux_sym__keyword_as_token1] = ACTIONS(1827),
    [aux_sym__keyword_window_token1] = ACTIONS(1827),
    [aux_sym__keyword_date_token1] = ACTIONS(1827),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1827),
    [aux_sym__keyword_time_token1] = ACTIONS(1827),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1827),
    [aux_sym__keyword_for_token1] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1827),
    [aux_sym_using_clause_token1] = ACTIONS(1827),
    [aux_sym_return_statement_token1] = ACTIONS(1827),
    [aux_sym_call_statement_token1] = ACTIONS(1827),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1827),
    [aux_sym_if_statement_token1] = ACTIONS(1827),
    [aux_sym_loop_statement_token1] = ACTIONS(1827),
    [aux_sym_repeat_statement_token1] = ACTIONS(1827),
    [aux_sym_while_statement_token1] = ACTIONS(1827),
    [aux_sym_break_statement_token1] = ACTIONS(1827),
    [aux_sym_leave_statement_token1] = ACTIONS(1827),
    [aux_sym_continue_statement_token1] = ACTIONS(1827),
    [aux_sym_iterate_statement_token1] = ACTIONS(1827),
    [aux_sym_raise_statement_token1] = ACTIONS(1827),
    [aux_sym_assert_statement_token1] = ACTIONS(1827),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1827),
    [aux_sym_set_operation_token1] = ACTIONS(1827),
    [aux_sym_set_operation_token3] = ACTIONS(1827),
    [aux_sym_set_operation_token4] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1827),
    [aux_sym_having_clause_token1] = ACTIONS(1827),
    [aux_sym_qualify_clause_token1] = ACTIONS(1827),
    [aux_sym_limit_clause_token1] = ACTIONS(1827),
    [aux_sym_group_by_clause_token1] = ACTIONS(1827),
    [aux_sym_order_by_clause_token1] = ACTIONS(1827),
    [aux_sym_where_clause_token1] = ACTIONS(1827),
    [aux_sym_pivot_operator_token1] = ACTIONS(1827),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1827),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1827),
    [aux_sym_join_type_token1] = ACTIONS(1827),
    [aux_sym_join_type_token2] = ACTIONS(1827),
    [aux_sym_join_type_token3] = ACTIONS(1827),
    [aux_sym_join_type_token4] = ACTIONS(1827),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1827),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1827),
    [aux_sym_join_condition_token1] = ACTIONS(1827),
    [aux_sym_insert_statement_token1] = ACTIONS(1827),
    [aux_sym_truncate_statement_token1] = ACTIONS(1827),
    [aux_sym_update_statement_token1] = ACTIONS(1827),
    [aux_sym_merge_statement_token1] = ACTIONS(1827),
    [aux_sym_grant_statement_token1] = ACTIONS(1827),
    [aux_sym_revoke_statement_token1] = ACTIONS(1827),
    [aux_sym_export_data_statement_token1] = ACTIONS(1827),
    [aux_sym_load_data_statement_token1] = ACTIONS(1827),
    [sym__quoted_identifier] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
  },
  [4595] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4596] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4597] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4598] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4599] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4600] = {
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_end_token1] = ACTIONS(1459),
    [aux_sym__keyword_when_token1] = ACTIONS(1459),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_window_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_using_clause_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1459),
    [aux_sym_if_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_repeat_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token3] = ACTIONS(1459),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_having_clause_token1] = ACTIONS(1459),
    [aux_sym_qualify_clause_token1] = ACTIONS(1459),
    [aux_sym_limit_clause_token1] = ACTIONS(1459),
    [aux_sym_group_by_clause_token1] = ACTIONS(1459),
    [aux_sym_order_by_clause_token1] = ACTIONS(1459),
    [aux_sym_where_clause_token1] = ACTIONS(1459),
    [aux_sym_pivot_operator_token1] = ACTIONS(1459),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1459),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1459),
    [aux_sym_join_type_token1] = ACTIONS(1459),
    [aux_sym_join_type_token2] = ACTIONS(1459),
    [aux_sym_join_type_token3] = ACTIONS(1459),
    [aux_sym_join_type_token4] = ACTIONS(1459),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1459),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1459),
    [aux_sym_join_condition_token1] = ACTIONS(1459),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
  },
  [4601] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4602] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4603] = {
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_end_token1] = ACTIONS(1451),
    [aux_sym__keyword_when_token1] = ACTIONS(1451),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_window_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_using_clause_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1451),
    [aux_sym_if_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_repeat_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token3] = ACTIONS(1451),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_having_clause_token1] = ACTIONS(1451),
    [aux_sym_qualify_clause_token1] = ACTIONS(1451),
    [aux_sym_limit_clause_token1] = ACTIONS(1451),
    [aux_sym_group_by_clause_token1] = ACTIONS(1451),
    [aux_sym_order_by_clause_token1] = ACTIONS(1451),
    [aux_sym_where_clause_token1] = ACTIONS(1451),
    [aux_sym_pivot_operator_token1] = ACTIONS(1451),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1451),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1451),
    [aux_sym_join_type_token1] = ACTIONS(1451),
    [aux_sym_join_type_token2] = ACTIONS(1451),
    [aux_sym_join_type_token3] = ACTIONS(1451),
    [aux_sym_join_type_token4] = ACTIONS(1451),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1451),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1451),
    [aux_sym_join_condition_token1] = ACTIONS(1451),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
  },
  [4604] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4605] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4606] = {
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_end_token1] = ACTIONS(1447),
    [aux_sym__keyword_when_token1] = ACTIONS(1447),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_window_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_using_clause_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1447),
    [aux_sym_if_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_repeat_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token3] = ACTIONS(1447),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_having_clause_token1] = ACTIONS(1447),
    [aux_sym_qualify_clause_token1] = ACTIONS(1447),
    [aux_sym_limit_clause_token1] = ACTIONS(1447),
    [aux_sym_group_by_clause_token1] = ACTIONS(1447),
    [aux_sym_order_by_clause_token1] = ACTIONS(1447),
    [aux_sym_where_clause_token1] = ACTIONS(1447),
    [aux_sym_pivot_operator_token1] = ACTIONS(1447),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1447),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1447),
    [aux_sym_join_type_token1] = ACTIONS(1447),
    [aux_sym_join_type_token2] = ACTIONS(1447),
    [aux_sym_join_type_token3] = ACTIONS(1447),
    [aux_sym_join_type_token4] = ACTIONS(1447),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1447),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1447),
    [aux_sym_join_condition_token1] = ACTIONS(1447),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
  },
  [4607] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4608] = {
    [sym__unquoted_identifier] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1823),
    [aux_sym__keyword_alter_token1] = ACTIONS(1823),
    [aux_sym__keyword_create_token1] = ACTIONS(1823),
    [aux_sym__keyword_drop_token1] = ACTIONS(1823),
    [aux_sym__keyword_delete_token1] = ACTIONS(1823),
    [aux_sym__keyword_begin_token1] = ACTIONS(1823),
    [aux_sym__keyword_end_token1] = ACTIONS(1823),
    [aux_sym__keyword_when_token1] = ACTIONS(1823),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1823),
    [aux_sym__keyword_as_token1] = ACTIONS(1823),
    [aux_sym__keyword_window_token1] = ACTIONS(1823),
    [aux_sym__keyword_date_token1] = ACTIONS(1823),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1823),
    [aux_sym__keyword_time_token1] = ACTIONS(1823),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1823),
    [aux_sym__keyword_for_token1] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1823),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1823),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1823),
    [aux_sym_using_clause_token1] = ACTIONS(1823),
    [aux_sym_return_statement_token1] = ACTIONS(1823),
    [aux_sym_call_statement_token1] = ACTIONS(1823),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1823),
    [aux_sym_if_statement_token1] = ACTIONS(1823),
    [aux_sym_loop_statement_token1] = ACTIONS(1823),
    [aux_sym_repeat_statement_token1] = ACTIONS(1823),
    [aux_sym_while_statement_token1] = ACTIONS(1823),
    [aux_sym_break_statement_token1] = ACTIONS(1823),
    [aux_sym_leave_statement_token1] = ACTIONS(1823),
    [aux_sym_continue_statement_token1] = ACTIONS(1823),
    [aux_sym_iterate_statement_token1] = ACTIONS(1823),
    [aux_sym_raise_statement_token1] = ACTIONS(1823),
    [aux_sym_assert_statement_token1] = ACTIONS(1823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1823),
    [aux_sym_set_operation_token1] = ACTIONS(1823),
    [aux_sym_set_operation_token3] = ACTIONS(1823),
    [aux_sym_set_operation_token4] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1823),
    [aux_sym_having_clause_token1] = ACTIONS(1823),
    [aux_sym_qualify_clause_token1] = ACTIONS(1823),
    [aux_sym_limit_clause_token1] = ACTIONS(1823),
    [aux_sym_group_by_clause_token1] = ACTIONS(1823),
    [aux_sym_order_by_clause_token1] = ACTIONS(1823),
    [aux_sym_where_clause_token1] = ACTIONS(1823),
    [aux_sym_pivot_operator_token1] = ACTIONS(1823),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1823),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1823),
    [aux_sym_join_type_token1] = ACTIONS(1823),
    [aux_sym_join_type_token2] = ACTIONS(1823),
    [aux_sym_join_type_token3] = ACTIONS(1823),
    [aux_sym_join_type_token4] = ACTIONS(1823),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1823),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1823),
    [aux_sym_join_condition_token1] = ACTIONS(1823),
    [aux_sym_insert_statement_token1] = ACTIONS(1823),
    [aux_sym_truncate_statement_token1] = ACTIONS(1823),
    [aux_sym_update_statement_token1] = ACTIONS(1823),
    [aux_sym_merge_statement_token1] = ACTIONS(1823),
    [aux_sym_grant_statement_token1] = ACTIONS(1823),
    [aux_sym_revoke_statement_token1] = ACTIONS(1823),
    [aux_sym_export_data_statement_token1] = ACTIONS(1823),
    [aux_sym_load_data_statement_token1] = ACTIONS(1823),
    [sym__quoted_identifier] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
  },
  [4609] = {
    [sym__unquoted_identifier] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1819),
    [aux_sym__keyword_alter_token1] = ACTIONS(1819),
    [aux_sym__keyword_create_token1] = ACTIONS(1819),
    [aux_sym__keyword_drop_token1] = ACTIONS(1819),
    [aux_sym__keyword_delete_token1] = ACTIONS(1819),
    [aux_sym__keyword_begin_token1] = ACTIONS(1819),
    [aux_sym__keyword_end_token1] = ACTIONS(1819),
    [aux_sym__keyword_when_token1] = ACTIONS(1819),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1819),
    [aux_sym__keyword_as_token1] = ACTIONS(1819),
    [aux_sym__keyword_window_token1] = ACTIONS(1819),
    [aux_sym__keyword_date_token1] = ACTIONS(1819),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1819),
    [aux_sym__keyword_time_token1] = ACTIONS(1819),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1819),
    [aux_sym__keyword_for_token1] = ACTIONS(1819),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1819),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1819),
    [aux_sym_using_clause_token1] = ACTIONS(1819),
    [aux_sym_return_statement_token1] = ACTIONS(1819),
    [aux_sym_call_statement_token1] = ACTIONS(1819),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1819),
    [aux_sym_if_statement_token1] = ACTIONS(1819),
    [aux_sym_loop_statement_token1] = ACTIONS(1819),
    [aux_sym_repeat_statement_token1] = ACTIONS(1819),
    [aux_sym_while_statement_token1] = ACTIONS(1819),
    [aux_sym_break_statement_token1] = ACTIONS(1819),
    [aux_sym_leave_statement_token1] = ACTIONS(1819),
    [aux_sym_continue_statement_token1] = ACTIONS(1819),
    [aux_sym_iterate_statement_token1] = ACTIONS(1819),
    [aux_sym_raise_statement_token1] = ACTIONS(1819),
    [aux_sym_assert_statement_token1] = ACTIONS(1819),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1819),
    [aux_sym_set_operation_token1] = ACTIONS(1819),
    [aux_sym_set_operation_token3] = ACTIONS(1819),
    [aux_sym_set_operation_token4] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1819),
    [aux_sym_having_clause_token1] = ACTIONS(1819),
    [aux_sym_qualify_clause_token1] = ACTIONS(1819),
    [aux_sym_limit_clause_token1] = ACTIONS(1819),
    [aux_sym_group_by_clause_token1] = ACTIONS(1819),
    [aux_sym_order_by_clause_token1] = ACTIONS(1819),
    [aux_sym_where_clause_token1] = ACTIONS(1819),
    [aux_sym_pivot_operator_token1] = ACTIONS(1819),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1819),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1819),
    [aux_sym_join_type_token1] = ACTIONS(1819),
    [aux_sym_join_type_token2] = ACTIONS(1819),
    [aux_sym_join_type_token3] = ACTIONS(1819),
    [aux_sym_join_type_token4] = ACTIONS(1819),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1819),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1819),
    [aux_sym_join_condition_token1] = ACTIONS(1819),
    [aux_sym_insert_statement_token1] = ACTIONS(1819),
    [aux_sym_truncate_statement_token1] = ACTIONS(1819),
    [aux_sym_update_statement_token1] = ACTIONS(1819),
    [aux_sym_merge_statement_token1] = ACTIONS(1819),
    [aux_sym_grant_statement_token1] = ACTIONS(1819),
    [aux_sym_revoke_statement_token1] = ACTIONS(1819),
    [aux_sym_export_data_statement_token1] = ACTIONS(1819),
    [aux_sym_load_data_statement_token1] = ACTIONS(1819),
    [sym__quoted_identifier] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
  },
  [4610] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5399),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3401),
    [aux_sym__keyword_alter_token1] = ACTIONS(3401),
    [aux_sym__keyword_create_token1] = ACTIONS(3401),
    [aux_sym__keyword_drop_token1] = ACTIONS(3401),
    [aux_sym__keyword_delete_token1] = ACTIONS(3401),
    [aux_sym__keyword_begin_token1] = ACTIONS(3401),
    [aux_sym__keyword_end_token1] = ACTIONS(3401),
    [aux_sym__keyword_when_token1] = ACTIONS(3401),
    [aux_sym__keyword_else_token1] = ACTIONS(3401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3401),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3401),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [aux_sym_declare_statement_token1] = ACTIONS(3401),
    [aux_sym_set_statement_token1] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3401),
    [aux_sym_return_statement_token1] = ACTIONS(3401),
    [aux_sym_call_statement_token1] = ACTIONS(3401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3401),
    [aux_sym_if_statement_token1] = ACTIONS(3401),
    [aux_sym_loop_statement_token1] = ACTIONS(3401),
    [aux_sym_repeat_statement_token1] = ACTIONS(3401),
    [aux_sym_while_statement_token1] = ACTIONS(3401),
    [aux_sym_break_statement_token1] = ACTIONS(3401),
    [aux_sym_leave_statement_token1] = ACTIONS(3401),
    [aux_sym_continue_statement_token1] = ACTIONS(3401),
    [aux_sym_iterate_statement_token1] = ACTIONS(3401),
    [aux_sym_raise_statement_token1] = ACTIONS(3401),
    [aux_sym_assert_statement_token1] = ACTIONS(3401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3401),
    [aux_sym_set_operation_token1] = ACTIONS(3401),
    [aux_sym_set_operation_token3] = ACTIONS(3401),
    [aux_sym_set_operation_token4] = ACTIONS(3401),
    [aux_sym_select_token1] = ACTIONS(3401),
    [aux_sym_having_clause_token1] = ACTIONS(3401),
    [aux_sym_qualify_clause_token1] = ACTIONS(3401),
    [aux_sym_limit_clause_token1] = ACTIONS(3401),
    [aux_sym_group_by_clause_token1] = ACTIONS(3401),
    [aux_sym_order_by_clause_token1] = ACTIONS(3401),
    [aux_sym_where_clause_token1] = ACTIONS(3401),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3401),
    [aux_sym_insert_statement_token1] = ACTIONS(3401),
    [aux_sym_truncate_statement_token1] = ACTIONS(3401),
    [aux_sym_update_statement_token1] = ACTIONS(3401),
    [aux_sym_merge_statement_token1] = ACTIONS(3401),
    [aux_sym_grant_statement_token1] = ACTIONS(3401),
    [aux_sym_revoke_statement_token1] = ACTIONS(3401),
    [aux_sym_export_data_statement_token1] = ACTIONS(3401),
    [aux_sym_load_data_statement_token1] = ACTIONS(3401),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [4611] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5397),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3405),
    [aux_sym__keyword_alter_token1] = ACTIONS(3405),
    [aux_sym__keyword_create_token1] = ACTIONS(3405),
    [aux_sym__keyword_drop_token1] = ACTIONS(3405),
    [aux_sym__keyword_delete_token1] = ACTIONS(3405),
    [aux_sym__keyword_begin_token1] = ACTIONS(3405),
    [aux_sym__keyword_end_token1] = ACTIONS(3405),
    [aux_sym__keyword_when_token1] = ACTIONS(3405),
    [aux_sym__keyword_else_token1] = ACTIONS(3405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3405),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3405),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [aux_sym_declare_statement_token1] = ACTIONS(3405),
    [aux_sym_set_statement_token1] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3405),
    [aux_sym_return_statement_token1] = ACTIONS(3405),
    [aux_sym_call_statement_token1] = ACTIONS(3405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3405),
    [aux_sym_if_statement_token1] = ACTIONS(3405),
    [aux_sym_loop_statement_token1] = ACTIONS(3405),
    [aux_sym_repeat_statement_token1] = ACTIONS(3405),
    [aux_sym_while_statement_token1] = ACTIONS(3405),
    [aux_sym_break_statement_token1] = ACTIONS(3405),
    [aux_sym_leave_statement_token1] = ACTIONS(3405),
    [aux_sym_continue_statement_token1] = ACTIONS(3405),
    [aux_sym_iterate_statement_token1] = ACTIONS(3405),
    [aux_sym_raise_statement_token1] = ACTIONS(3405),
    [aux_sym_assert_statement_token1] = ACTIONS(3405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3405),
    [aux_sym_set_operation_token1] = ACTIONS(3405),
    [aux_sym_set_operation_token3] = ACTIONS(3405),
    [aux_sym_set_operation_token4] = ACTIONS(3405),
    [aux_sym_select_token1] = ACTIONS(3405),
    [aux_sym_having_clause_token1] = ACTIONS(3405),
    [aux_sym_qualify_clause_token1] = ACTIONS(3405),
    [aux_sym_limit_clause_token1] = ACTIONS(3405),
    [aux_sym_group_by_clause_token1] = ACTIONS(3405),
    [aux_sym_order_by_clause_token1] = ACTIONS(3405),
    [aux_sym_where_clause_token1] = ACTIONS(3405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3405),
    [aux_sym_insert_statement_token1] = ACTIONS(3405),
    [aux_sym_truncate_statement_token1] = ACTIONS(3405),
    [aux_sym_update_statement_token1] = ACTIONS(3405),
    [aux_sym_merge_statement_token1] = ACTIONS(3405),
    [aux_sym_grant_statement_token1] = ACTIONS(3405),
    [aux_sym_revoke_statement_token1] = ACTIONS(3405),
    [aux_sym_export_data_statement_token1] = ACTIONS(3405),
    [aux_sym_load_data_statement_token1] = ACTIONS(3405),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [4612] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4613] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4614] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1443),
    [aux_sym_keyword_replace_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_between_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1443),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1443),
    [aux_sym__keyword_like_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4615] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4616] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4617] = {
    [sym__unquoted_identifier] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1815),
    [aux_sym__keyword_alter_token1] = ACTIONS(1815),
    [aux_sym__keyword_create_token1] = ACTIONS(1815),
    [aux_sym__keyword_drop_token1] = ACTIONS(1815),
    [aux_sym__keyword_delete_token1] = ACTIONS(1815),
    [aux_sym__keyword_begin_token1] = ACTIONS(1815),
    [aux_sym__keyword_end_token1] = ACTIONS(1815),
    [aux_sym__keyword_when_token1] = ACTIONS(1815),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1815),
    [aux_sym__keyword_as_token1] = ACTIONS(1815),
    [aux_sym__keyword_window_token1] = ACTIONS(1815),
    [aux_sym__keyword_date_token1] = ACTIONS(1815),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1815),
    [aux_sym__keyword_time_token1] = ACTIONS(1815),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1815),
    [aux_sym__keyword_for_token1] = ACTIONS(1815),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1815),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1815),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1815),
    [aux_sym_using_clause_token1] = ACTIONS(1815),
    [aux_sym_return_statement_token1] = ACTIONS(1815),
    [aux_sym_call_statement_token1] = ACTIONS(1815),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1815),
    [aux_sym_if_statement_token1] = ACTIONS(1815),
    [aux_sym_loop_statement_token1] = ACTIONS(1815),
    [aux_sym_repeat_statement_token1] = ACTIONS(1815),
    [aux_sym_while_statement_token1] = ACTIONS(1815),
    [aux_sym_break_statement_token1] = ACTIONS(1815),
    [aux_sym_leave_statement_token1] = ACTIONS(1815),
    [aux_sym_continue_statement_token1] = ACTIONS(1815),
    [aux_sym_iterate_statement_token1] = ACTIONS(1815),
    [aux_sym_raise_statement_token1] = ACTIONS(1815),
    [aux_sym_assert_statement_token1] = ACTIONS(1815),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1815),
    [aux_sym_set_operation_token1] = ACTIONS(1815),
    [aux_sym_set_operation_token3] = ACTIONS(1815),
    [aux_sym_set_operation_token4] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1815),
    [aux_sym_having_clause_token1] = ACTIONS(1815),
    [aux_sym_qualify_clause_token1] = ACTIONS(1815),
    [aux_sym_limit_clause_token1] = ACTIONS(1815),
    [aux_sym_group_by_clause_token1] = ACTIONS(1815),
    [aux_sym_order_by_clause_token1] = ACTIONS(1815),
    [aux_sym_where_clause_token1] = ACTIONS(1815),
    [aux_sym_pivot_operator_token1] = ACTIONS(1815),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1815),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1815),
    [aux_sym_join_type_token1] = ACTIONS(1815),
    [aux_sym_join_type_token2] = ACTIONS(1815),
    [aux_sym_join_type_token3] = ACTIONS(1815),
    [aux_sym_join_type_token4] = ACTIONS(1815),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1815),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1815),
    [aux_sym_join_condition_token1] = ACTIONS(1815),
    [aux_sym_insert_statement_token1] = ACTIONS(1815),
    [aux_sym_truncate_statement_token1] = ACTIONS(1815),
    [aux_sym_update_statement_token1] = ACTIONS(1815),
    [aux_sym_merge_statement_token1] = ACTIONS(1815),
    [aux_sym_grant_statement_token1] = ACTIONS(1815),
    [aux_sym_revoke_statement_token1] = ACTIONS(1815),
    [aux_sym_export_data_statement_token1] = ACTIONS(1815),
    [aux_sym_load_data_statement_token1] = ACTIONS(1815),
    [sym__quoted_identifier] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
  },
  [4618] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5400),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3409),
    [aux_sym__keyword_alter_token1] = ACTIONS(3409),
    [aux_sym__keyword_create_token1] = ACTIONS(3409),
    [aux_sym__keyword_drop_token1] = ACTIONS(3409),
    [aux_sym__keyword_delete_token1] = ACTIONS(3409),
    [aux_sym__keyword_begin_token1] = ACTIONS(3409),
    [aux_sym__keyword_end_token1] = ACTIONS(3409),
    [aux_sym__keyword_when_token1] = ACTIONS(3409),
    [aux_sym__keyword_else_token1] = ACTIONS(3409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3409),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3409),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3411),
    [aux_sym_declare_statement_token1] = ACTIONS(3409),
    [aux_sym_set_statement_token1] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3409),
    [aux_sym_return_statement_token1] = ACTIONS(3409),
    [aux_sym_call_statement_token1] = ACTIONS(3409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3409),
    [aux_sym_if_statement_token1] = ACTIONS(3409),
    [aux_sym_loop_statement_token1] = ACTIONS(3409),
    [aux_sym_repeat_statement_token1] = ACTIONS(3409),
    [aux_sym_while_statement_token1] = ACTIONS(3409),
    [aux_sym_break_statement_token1] = ACTIONS(3409),
    [aux_sym_leave_statement_token1] = ACTIONS(3409),
    [aux_sym_continue_statement_token1] = ACTIONS(3409),
    [aux_sym_iterate_statement_token1] = ACTIONS(3409),
    [aux_sym_raise_statement_token1] = ACTIONS(3409),
    [aux_sym_assert_statement_token1] = ACTIONS(3409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3409),
    [aux_sym_set_operation_token1] = ACTIONS(3409),
    [aux_sym_set_operation_token3] = ACTIONS(3409),
    [aux_sym_set_operation_token4] = ACTIONS(3409),
    [aux_sym_select_token1] = ACTIONS(3409),
    [aux_sym_having_clause_token1] = ACTIONS(3409),
    [aux_sym_qualify_clause_token1] = ACTIONS(3409),
    [aux_sym_limit_clause_token1] = ACTIONS(3409),
    [aux_sym_group_by_clause_token1] = ACTIONS(3409),
    [aux_sym_order_by_clause_token1] = ACTIONS(3409),
    [aux_sym_where_clause_token1] = ACTIONS(3409),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3409),
    [aux_sym_insert_statement_token1] = ACTIONS(3409),
    [aux_sym_truncate_statement_token1] = ACTIONS(3409),
    [aux_sym_update_statement_token1] = ACTIONS(3409),
    [aux_sym_merge_statement_token1] = ACTIONS(3409),
    [aux_sym_grant_statement_token1] = ACTIONS(3409),
    [aux_sym_revoke_statement_token1] = ACTIONS(3409),
    [aux_sym_export_data_statement_token1] = ACTIONS(3409),
    [aux_sym_load_data_statement_token1] = ACTIONS(3409),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [4619] = {
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_end_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1399),
    [aux_sym_if_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_repeat_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4620] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5413),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3413),
    [aux_sym__keyword_alter_token1] = ACTIONS(3413),
    [aux_sym__keyword_create_token1] = ACTIONS(3413),
    [aux_sym__keyword_drop_token1] = ACTIONS(3413),
    [aux_sym__keyword_delete_token1] = ACTIONS(3413),
    [aux_sym__keyword_begin_token1] = ACTIONS(3413),
    [aux_sym__keyword_end_token1] = ACTIONS(3413),
    [aux_sym__keyword_when_token1] = ACTIONS(3413),
    [aux_sym__keyword_else_token1] = ACTIONS(3413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3413),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3413),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3415),
    [aux_sym_declare_statement_token1] = ACTIONS(3413),
    [aux_sym_set_statement_token1] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3413),
    [aux_sym_return_statement_token1] = ACTIONS(3413),
    [aux_sym_call_statement_token1] = ACTIONS(3413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3413),
    [aux_sym_if_statement_token1] = ACTIONS(3413),
    [aux_sym_loop_statement_token1] = ACTIONS(3413),
    [aux_sym_repeat_statement_token1] = ACTIONS(3413),
    [aux_sym_while_statement_token1] = ACTIONS(3413),
    [aux_sym_break_statement_token1] = ACTIONS(3413),
    [aux_sym_leave_statement_token1] = ACTIONS(3413),
    [aux_sym_continue_statement_token1] = ACTIONS(3413),
    [aux_sym_iterate_statement_token1] = ACTIONS(3413),
    [aux_sym_raise_statement_token1] = ACTIONS(3413),
    [aux_sym_assert_statement_token1] = ACTIONS(3413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3413),
    [aux_sym_set_operation_token1] = ACTIONS(3413),
    [aux_sym_set_operation_token3] = ACTIONS(3413),
    [aux_sym_set_operation_token4] = ACTIONS(3413),
    [aux_sym_select_token1] = ACTIONS(3413),
    [aux_sym_having_clause_token1] = ACTIONS(3413),
    [aux_sym_qualify_clause_token1] = ACTIONS(3413),
    [aux_sym_limit_clause_token1] = ACTIONS(3413),
    [aux_sym_group_by_clause_token1] = ACTIONS(3413),
    [aux_sym_order_by_clause_token1] = ACTIONS(3413),
    [aux_sym_where_clause_token1] = ACTIONS(3413),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3413),
    [aux_sym_insert_statement_token1] = ACTIONS(3413),
    [aux_sym_truncate_statement_token1] = ACTIONS(3413),
    [aux_sym_update_statement_token1] = ACTIONS(3413),
    [aux_sym_merge_statement_token1] = ACTIONS(3413),
    [aux_sym_grant_statement_token1] = ACTIONS(3413),
    [aux_sym_revoke_statement_token1] = ACTIONS(3413),
    [aux_sym_export_data_statement_token1] = ACTIONS(3413),
    [aux_sym_load_data_statement_token1] = ACTIONS(3413),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [4621] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4622] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4623] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4624] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5418),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3417),
    [aux_sym__keyword_alter_token1] = ACTIONS(3417),
    [aux_sym__keyword_create_token1] = ACTIONS(3417),
    [aux_sym__keyword_drop_token1] = ACTIONS(3417),
    [aux_sym__keyword_delete_token1] = ACTIONS(3417),
    [aux_sym__keyword_begin_token1] = ACTIONS(3417),
    [aux_sym__keyword_end_token1] = ACTIONS(3417),
    [aux_sym__keyword_when_token1] = ACTIONS(3417),
    [aux_sym__keyword_else_token1] = ACTIONS(3417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3417),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3417),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3419),
    [aux_sym_declare_statement_token1] = ACTIONS(3417),
    [aux_sym_set_statement_token1] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3417),
    [aux_sym_return_statement_token1] = ACTIONS(3417),
    [aux_sym_call_statement_token1] = ACTIONS(3417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(3417),
    [aux_sym_if_statement_token1] = ACTIONS(3417),
    [aux_sym_loop_statement_token1] = ACTIONS(3417),
    [aux_sym_repeat_statement_token1] = ACTIONS(3417),
    [aux_sym_while_statement_token1] = ACTIONS(3417),
    [aux_sym_break_statement_token1] = ACTIONS(3417),
    [aux_sym_leave_statement_token1] = ACTIONS(3417),
    [aux_sym_continue_statement_token1] = ACTIONS(3417),
    [aux_sym_iterate_statement_token1] = ACTIONS(3417),
    [aux_sym_raise_statement_token1] = ACTIONS(3417),
    [aux_sym_assert_statement_token1] = ACTIONS(3417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3417),
    [aux_sym_set_operation_token1] = ACTIONS(3417),
    [aux_sym_set_operation_token3] = ACTIONS(3417),
    [aux_sym_set_operation_token4] = ACTIONS(3417),
    [aux_sym_select_token1] = ACTIONS(3417),
    [aux_sym_having_clause_token1] = ACTIONS(3417),
    [aux_sym_qualify_clause_token1] = ACTIONS(3417),
    [aux_sym_limit_clause_token1] = ACTIONS(3417),
    [aux_sym_group_by_clause_token1] = ACTIONS(3417),
    [aux_sym_order_by_clause_token1] = ACTIONS(3417),
    [aux_sym_where_clause_token1] = ACTIONS(3417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3417),
    [aux_sym_insert_statement_token1] = ACTIONS(3417),
    [aux_sym_truncate_statement_token1] = ACTIONS(3417),
    [aux_sym_update_statement_token1] = ACTIONS(3417),
    [aux_sym_merge_statement_token1] = ACTIONS(3417),
    [aux_sym_grant_statement_token1] = ACTIONS(3417),
    [aux_sym_revoke_statement_token1] = ACTIONS(3417),
    [aux_sym_export_data_statement_token1] = ACTIONS(3417),
    [aux_sym_load_data_statement_token1] = ACTIONS(3417),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [4625] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4626] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1419),
    [aux_sym_keyword_replace_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_between_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1419),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1419),
    [aux_sym__keyword_like_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4627] = {
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_end_token1] = ACTIONS(1467),
    [aux_sym__keyword_when_token1] = ACTIONS(1467),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_window_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_using_clause_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1467),
    [aux_sym_if_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_repeat_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token3] = ACTIONS(1467),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_having_clause_token1] = ACTIONS(1467),
    [aux_sym_qualify_clause_token1] = ACTIONS(1467),
    [aux_sym_limit_clause_token1] = ACTIONS(1467),
    [aux_sym_group_by_clause_token1] = ACTIONS(1467),
    [aux_sym_order_by_clause_token1] = ACTIONS(1467),
    [aux_sym_where_clause_token1] = ACTIONS(1467),
    [aux_sym_pivot_operator_token1] = ACTIONS(1467),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1467),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1467),
    [aux_sym_join_type_token1] = ACTIONS(1467),
    [aux_sym_join_type_token2] = ACTIONS(1467),
    [aux_sym_join_type_token3] = ACTIONS(1467),
    [aux_sym_join_type_token4] = ACTIONS(1467),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1467),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1467),
    [aux_sym_join_condition_token1] = ACTIONS(1467),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
  },
  [4628] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4629] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4630] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1427),
    [aux_sym_keyword_replace_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_between_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1427),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1427),
    [aux_sym__keyword_like_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [4631] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4632] = {
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_end_token1] = ACTIONS(1431),
    [aux_sym__keyword_when_token1] = ACTIONS(1431),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_window_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_using_clause_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1431),
    [aux_sym_if_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_repeat_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token3] = ACTIONS(1431),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_having_clause_token1] = ACTIONS(1431),
    [aux_sym_qualify_clause_token1] = ACTIONS(1431),
    [aux_sym_limit_clause_token1] = ACTIONS(1431),
    [aux_sym_group_by_clause_token1] = ACTIONS(1431),
    [aux_sym_order_by_clause_token1] = ACTIONS(1431),
    [aux_sym_where_clause_token1] = ACTIONS(1431),
    [aux_sym_pivot_operator_token1] = ACTIONS(1431),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1431),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1431),
    [aux_sym_join_type_token1] = ACTIONS(1431),
    [aux_sym_join_type_token2] = ACTIONS(1431),
    [aux_sym_join_type_token3] = ACTIONS(1431),
    [aux_sym_join_type_token4] = ACTIONS(1431),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1431),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1431),
    [aux_sym_join_condition_token1] = ACTIONS(1431),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [4633] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4634] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4635] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4636] = {
    [sym__unquoted_identifier] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1807),
    [aux_sym__keyword_alter_token1] = ACTIONS(1807),
    [aux_sym__keyword_create_token1] = ACTIONS(1807),
    [aux_sym__keyword_drop_token1] = ACTIONS(1807),
    [aux_sym__keyword_delete_token1] = ACTIONS(1807),
    [aux_sym__keyword_begin_token1] = ACTIONS(1807),
    [aux_sym__keyword_end_token1] = ACTIONS(1807),
    [aux_sym__keyword_when_token1] = ACTIONS(1807),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1807),
    [aux_sym__keyword_as_token1] = ACTIONS(1807),
    [aux_sym__keyword_window_token1] = ACTIONS(1807),
    [aux_sym__keyword_date_token1] = ACTIONS(1807),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1807),
    [aux_sym__keyword_time_token1] = ACTIONS(1807),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1807),
    [aux_sym__keyword_for_token1] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1807),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1807),
    [aux_sym_using_clause_token1] = ACTIONS(1807),
    [aux_sym_return_statement_token1] = ACTIONS(1807),
    [aux_sym_call_statement_token1] = ACTIONS(1807),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1807),
    [aux_sym_if_statement_token1] = ACTIONS(1807),
    [aux_sym_loop_statement_token1] = ACTIONS(1807),
    [aux_sym_repeat_statement_token1] = ACTIONS(1807),
    [aux_sym_while_statement_token1] = ACTIONS(1807),
    [aux_sym_break_statement_token1] = ACTIONS(1807),
    [aux_sym_leave_statement_token1] = ACTIONS(1807),
    [aux_sym_continue_statement_token1] = ACTIONS(1807),
    [aux_sym_iterate_statement_token1] = ACTIONS(1807),
    [aux_sym_raise_statement_token1] = ACTIONS(1807),
    [aux_sym_assert_statement_token1] = ACTIONS(1807),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1807),
    [aux_sym_set_operation_token1] = ACTIONS(1807),
    [aux_sym_set_operation_token3] = ACTIONS(1807),
    [aux_sym_set_operation_token4] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1807),
    [aux_sym_having_clause_token1] = ACTIONS(1807),
    [aux_sym_qualify_clause_token1] = ACTIONS(1807),
    [aux_sym_limit_clause_token1] = ACTIONS(1807),
    [aux_sym_group_by_clause_token1] = ACTIONS(1807),
    [aux_sym_order_by_clause_token1] = ACTIONS(1807),
    [aux_sym_where_clause_token1] = ACTIONS(1807),
    [aux_sym_pivot_operator_token1] = ACTIONS(1807),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1807),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1807),
    [aux_sym_join_type_token1] = ACTIONS(1807),
    [aux_sym_join_type_token2] = ACTIONS(1807),
    [aux_sym_join_type_token3] = ACTIONS(1807),
    [aux_sym_join_type_token4] = ACTIONS(1807),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1807),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1807),
    [aux_sym_join_condition_token1] = ACTIONS(1807),
    [aux_sym_insert_statement_token1] = ACTIONS(1807),
    [aux_sym_truncate_statement_token1] = ACTIONS(1807),
    [aux_sym_update_statement_token1] = ACTIONS(1807),
    [aux_sym_merge_statement_token1] = ACTIONS(1807),
    [aux_sym_grant_statement_token1] = ACTIONS(1807),
    [aux_sym_revoke_statement_token1] = ACTIONS(1807),
    [aux_sym_export_data_statement_token1] = ACTIONS(1807),
    [aux_sym_load_data_statement_token1] = ACTIONS(1807),
    [sym__quoted_identifier] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
  },
  [4637] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4638] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4639] = {
    [ts_builtin_sym_end] = ACTIONS(1465),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1467),
    [aux_sym_keyword_replace_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_between_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1467),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1467),
    [aux_sym__keyword_like_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [4640] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4641] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4642] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4643] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1403),
    [aux_sym_keyword_replace_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_between_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1403),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1403),
    [aux_sym__keyword_like_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [4644] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1387),
    [aux_sym_keyword_replace_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_between_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1387),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1387),
    [aux_sym__keyword_like_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [4645] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1383),
    [aux_sym_keyword_replace_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_between_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1383),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1383),
    [aux_sym__keyword_like_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [4646] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4647] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4648] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4649] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4650] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4651] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4652] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4653] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4654] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4655] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4656] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4657] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4658] = {
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_end_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1407),
    [aux_sym_if_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_repeat_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4659] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4660] = {
    [sym__unquoted_identifier] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1615),
    [aux_sym__keyword_alter_token1] = ACTIONS(1615),
    [aux_sym__keyword_create_token1] = ACTIONS(1615),
    [aux_sym__keyword_drop_token1] = ACTIONS(1615),
    [aux_sym__keyword_delete_token1] = ACTIONS(1615),
    [aux_sym__keyword_begin_token1] = ACTIONS(1615),
    [aux_sym__keyword_end_token1] = ACTIONS(1615),
    [aux_sym__keyword_when_token1] = ACTIONS(1615),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1615),
    [aux_sym__keyword_as_token1] = ACTIONS(1615),
    [aux_sym__keyword_window_token1] = ACTIONS(1615),
    [aux_sym__keyword_date_token1] = ACTIONS(1615),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1615),
    [aux_sym__keyword_time_token1] = ACTIONS(1615),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1615),
    [aux_sym__keyword_for_token1] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1615),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1615),
    [aux_sym_using_clause_token1] = ACTIONS(1615),
    [aux_sym_return_statement_token1] = ACTIONS(1615),
    [aux_sym_call_statement_token1] = ACTIONS(1615),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1615),
    [aux_sym_if_statement_token1] = ACTIONS(1615),
    [aux_sym_loop_statement_token1] = ACTIONS(1615),
    [aux_sym_repeat_statement_token1] = ACTIONS(1615),
    [aux_sym_while_statement_token1] = ACTIONS(1615),
    [aux_sym_break_statement_token1] = ACTIONS(1615),
    [aux_sym_leave_statement_token1] = ACTIONS(1615),
    [aux_sym_continue_statement_token1] = ACTIONS(1615),
    [aux_sym_iterate_statement_token1] = ACTIONS(1615),
    [aux_sym_raise_statement_token1] = ACTIONS(1615),
    [aux_sym_assert_statement_token1] = ACTIONS(1615),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1615),
    [aux_sym_set_operation_token1] = ACTIONS(1615),
    [aux_sym_set_operation_token3] = ACTIONS(1615),
    [aux_sym_set_operation_token4] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1615),
    [aux_sym_having_clause_token1] = ACTIONS(1615),
    [aux_sym_qualify_clause_token1] = ACTIONS(1615),
    [aux_sym_limit_clause_token1] = ACTIONS(1615),
    [aux_sym_group_by_clause_token1] = ACTIONS(1615),
    [aux_sym_order_by_clause_token1] = ACTIONS(1615),
    [aux_sym_where_clause_token1] = ACTIONS(1615),
    [aux_sym_pivot_operator_token1] = ACTIONS(1615),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1615),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1615),
    [aux_sym_join_type_token1] = ACTIONS(1615),
    [aux_sym_join_type_token2] = ACTIONS(1615),
    [aux_sym_join_type_token3] = ACTIONS(1615),
    [aux_sym_join_type_token4] = ACTIONS(1615),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1615),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1615),
    [aux_sym_join_condition_token1] = ACTIONS(1615),
    [aux_sym_insert_statement_token1] = ACTIONS(1615),
    [aux_sym_truncate_statement_token1] = ACTIONS(1615),
    [aux_sym_update_statement_token1] = ACTIONS(1615),
    [aux_sym_merge_statement_token1] = ACTIONS(1615),
    [aux_sym_grant_statement_token1] = ACTIONS(1615),
    [aux_sym_revoke_statement_token1] = ACTIONS(1615),
    [aux_sym_export_data_statement_token1] = ACTIONS(1615),
    [aux_sym_load_data_statement_token1] = ACTIONS(1615),
    [sym__quoted_identifier] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
  },
  [4661] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4662] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4663] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4664] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4665] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4666] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4667] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4668] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4669] = {
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_using_clause_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_pivot_operator_token1] = ACTIONS(1471),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1471),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1471),
    [aux_sym_join_type_token1] = ACTIONS(1471),
    [aux_sym_join_type_token2] = ACTIONS(1471),
    [aux_sym_join_type_token3] = ACTIONS(1471),
    [aux_sym_join_type_token4] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1471),
    [aux_sym_join_condition_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
  },
  [4670] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1377),
    [aux_sym_keyword_replace_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_between_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1377),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1377),
    [aux_sym__keyword_like_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4671] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4672] = {
    [ts_builtin_sym_end] = ACTIONS(1461),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1463),
    [aux_sym_keyword_replace_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_between_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1463),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1463),
    [aux_sym__keyword_like_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [4673] = {
    [sym__unquoted_identifier] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1785),
    [aux_sym__keyword_alter_token1] = ACTIONS(1785),
    [aux_sym__keyword_create_token1] = ACTIONS(1785),
    [aux_sym__keyword_drop_token1] = ACTIONS(1785),
    [aux_sym__keyword_delete_token1] = ACTIONS(1785),
    [aux_sym__keyword_begin_token1] = ACTIONS(1785),
    [aux_sym__keyword_end_token1] = ACTIONS(1785),
    [aux_sym__keyword_when_token1] = ACTIONS(1785),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1785),
    [aux_sym__keyword_as_token1] = ACTIONS(1785),
    [aux_sym__keyword_window_token1] = ACTIONS(1785),
    [aux_sym__keyword_date_token1] = ACTIONS(1785),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1785),
    [aux_sym__keyword_time_token1] = ACTIONS(1785),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1785),
    [aux_sym__keyword_for_token1] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1785),
    [aux_sym_using_clause_token1] = ACTIONS(1785),
    [aux_sym_return_statement_token1] = ACTIONS(1785),
    [aux_sym_call_statement_token1] = ACTIONS(1785),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1785),
    [aux_sym_if_statement_token1] = ACTIONS(1785),
    [aux_sym_loop_statement_token1] = ACTIONS(1785),
    [aux_sym_repeat_statement_token1] = ACTIONS(1785),
    [aux_sym_while_statement_token1] = ACTIONS(1785),
    [aux_sym_break_statement_token1] = ACTIONS(1785),
    [aux_sym_leave_statement_token1] = ACTIONS(1785),
    [aux_sym_continue_statement_token1] = ACTIONS(1785),
    [aux_sym_iterate_statement_token1] = ACTIONS(1785),
    [aux_sym_raise_statement_token1] = ACTIONS(1785),
    [aux_sym_assert_statement_token1] = ACTIONS(1785),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1785),
    [aux_sym_set_operation_token1] = ACTIONS(1785),
    [aux_sym_set_operation_token3] = ACTIONS(1785),
    [aux_sym_set_operation_token4] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1785),
    [aux_sym_having_clause_token1] = ACTIONS(1785),
    [aux_sym_qualify_clause_token1] = ACTIONS(1785),
    [aux_sym_limit_clause_token1] = ACTIONS(1785),
    [aux_sym_group_by_clause_token1] = ACTIONS(1785),
    [aux_sym_order_by_clause_token1] = ACTIONS(1785),
    [aux_sym_where_clause_token1] = ACTIONS(1785),
    [aux_sym_pivot_operator_token1] = ACTIONS(1785),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1785),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1785),
    [aux_sym_join_type_token1] = ACTIONS(1785),
    [aux_sym_join_type_token2] = ACTIONS(1785),
    [aux_sym_join_type_token3] = ACTIONS(1785),
    [aux_sym_join_type_token4] = ACTIONS(1785),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1785),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1785),
    [aux_sym_join_condition_token1] = ACTIONS(1785),
    [aux_sym_insert_statement_token1] = ACTIONS(1785),
    [aux_sym_truncate_statement_token1] = ACTIONS(1785),
    [aux_sym_update_statement_token1] = ACTIONS(1785),
    [aux_sym_merge_statement_token1] = ACTIONS(1785),
    [aux_sym_grant_statement_token1] = ACTIONS(1785),
    [aux_sym_revoke_statement_token1] = ACTIONS(1785),
    [aux_sym_export_data_statement_token1] = ACTIONS(1785),
    [aux_sym_load_data_statement_token1] = ACTIONS(1785),
    [sym__quoted_identifier] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
  },
  [4674] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4675] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4676] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4677] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1483),
    [aux_sym_keyword_replace_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_between_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1483),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1483),
    [aux_sym__keyword_like_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4678] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4679] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1491),
    [aux_sym_keyword_replace_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_between_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1491),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1491),
    [aux_sym__keyword_like_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [4680] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1503),
    [aux_sym_keyword_replace_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_between_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1503),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1503),
    [aux_sym__keyword_like_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [4681] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1515),
    [aux_sym_keyword_replace_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_between_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1515),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1515),
    [aux_sym__keyword_like_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [4682] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4683] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4684] = {
    [sym__unquoted_identifier] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1777),
    [aux_sym__keyword_alter_token1] = ACTIONS(1777),
    [aux_sym__keyword_create_token1] = ACTIONS(1777),
    [aux_sym__keyword_drop_token1] = ACTIONS(1777),
    [aux_sym__keyword_delete_token1] = ACTIONS(1777),
    [aux_sym__keyword_begin_token1] = ACTIONS(1777),
    [aux_sym__keyword_end_token1] = ACTIONS(1777),
    [aux_sym__keyword_when_token1] = ACTIONS(1777),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1777),
    [aux_sym__keyword_as_token1] = ACTIONS(1777),
    [aux_sym__keyword_window_token1] = ACTIONS(1777),
    [aux_sym__keyword_date_token1] = ACTIONS(1777),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1777),
    [aux_sym__keyword_time_token1] = ACTIONS(1777),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1777),
    [aux_sym__keyword_for_token1] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1777),
    [aux_sym_using_clause_token1] = ACTIONS(1777),
    [aux_sym_return_statement_token1] = ACTIONS(1777),
    [aux_sym_call_statement_token1] = ACTIONS(1777),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1777),
    [aux_sym_if_statement_token1] = ACTIONS(1777),
    [aux_sym_loop_statement_token1] = ACTIONS(1777),
    [aux_sym_repeat_statement_token1] = ACTIONS(1777),
    [aux_sym_while_statement_token1] = ACTIONS(1777),
    [aux_sym_break_statement_token1] = ACTIONS(1777),
    [aux_sym_leave_statement_token1] = ACTIONS(1777),
    [aux_sym_continue_statement_token1] = ACTIONS(1777),
    [aux_sym_iterate_statement_token1] = ACTIONS(1777),
    [aux_sym_raise_statement_token1] = ACTIONS(1777),
    [aux_sym_assert_statement_token1] = ACTIONS(1777),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1777),
    [aux_sym_set_operation_token1] = ACTIONS(1777),
    [aux_sym_set_operation_token3] = ACTIONS(1777),
    [aux_sym_set_operation_token4] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1777),
    [aux_sym_having_clause_token1] = ACTIONS(1777),
    [aux_sym_qualify_clause_token1] = ACTIONS(1777),
    [aux_sym_limit_clause_token1] = ACTIONS(1777),
    [aux_sym_group_by_clause_token1] = ACTIONS(1777),
    [aux_sym_order_by_clause_token1] = ACTIONS(1777),
    [aux_sym_where_clause_token1] = ACTIONS(1777),
    [aux_sym_pivot_operator_token1] = ACTIONS(1777),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1777),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1777),
    [aux_sym_join_type_token1] = ACTIONS(1777),
    [aux_sym_join_type_token2] = ACTIONS(1777),
    [aux_sym_join_type_token3] = ACTIONS(1777),
    [aux_sym_join_type_token4] = ACTIONS(1777),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1777),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1777),
    [aux_sym_join_condition_token1] = ACTIONS(1777),
    [aux_sym_insert_statement_token1] = ACTIONS(1777),
    [aux_sym_truncate_statement_token1] = ACTIONS(1777),
    [aux_sym_update_statement_token1] = ACTIONS(1777),
    [aux_sym_merge_statement_token1] = ACTIONS(1777),
    [aux_sym_grant_statement_token1] = ACTIONS(1777),
    [aux_sym_revoke_statement_token1] = ACTIONS(1777),
    [aux_sym_export_data_statement_token1] = ACTIONS(1777),
    [aux_sym_load_data_statement_token1] = ACTIONS(1777),
    [sym__quoted_identifier] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
  },
  [4685] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4686] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1519),
    [aux_sym_keyword_replace_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_between_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1519),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1519),
    [aux_sym__keyword_like_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4687] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4688] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1511),
    [aux_sym_keyword_replace_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_between_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1511),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1511),
    [aux_sym__keyword_like_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [4689] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4690] = {
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_end_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_using_clause_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1687),
    [aux_sym_if_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_repeat_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_pivot_operator_token1] = ACTIONS(1687),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1687),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1687),
    [aux_sym_join_type_token1] = ACTIONS(1687),
    [aux_sym_join_type_token2] = ACTIONS(1687),
    [aux_sym_join_type_token3] = ACTIONS(1687),
    [aux_sym_join_type_token4] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1687),
    [aux_sym_join_condition_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [4691] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1499),
    [aux_sym_keyword_replace_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_between_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1499),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1499),
    [aux_sym__keyword_like_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [4692] = {
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_end_token1] = ACTIONS(1383),
    [aux_sym__keyword_when_token1] = ACTIONS(1383),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_window_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_using_clause_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1383),
    [aux_sym_if_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_repeat_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token3] = ACTIONS(1383),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_having_clause_token1] = ACTIONS(1383),
    [aux_sym_qualify_clause_token1] = ACTIONS(1383),
    [aux_sym_limit_clause_token1] = ACTIONS(1383),
    [aux_sym_group_by_clause_token1] = ACTIONS(1383),
    [aux_sym_order_by_clause_token1] = ACTIONS(1383),
    [aux_sym_where_clause_token1] = ACTIONS(1383),
    [aux_sym_pivot_operator_token1] = ACTIONS(1383),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1383),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1383),
    [aux_sym_join_type_token1] = ACTIONS(1383),
    [aux_sym_join_type_token2] = ACTIONS(1383),
    [aux_sym_join_type_token3] = ACTIONS(1383),
    [aux_sym_join_type_token4] = ACTIONS(1383),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1383),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1383),
    [aux_sym_join_condition_token1] = ACTIONS(1383),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
  },
  [4693] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4694] = {
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_end_token1] = ACTIONS(1387),
    [aux_sym__keyword_when_token1] = ACTIONS(1387),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_window_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_using_clause_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1387),
    [aux_sym_if_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_repeat_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token3] = ACTIONS(1387),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_having_clause_token1] = ACTIONS(1387),
    [aux_sym_qualify_clause_token1] = ACTIONS(1387),
    [aux_sym_limit_clause_token1] = ACTIONS(1387),
    [aux_sym_group_by_clause_token1] = ACTIONS(1387),
    [aux_sym_order_by_clause_token1] = ACTIONS(1387),
    [aux_sym_where_clause_token1] = ACTIONS(1387),
    [aux_sym_pivot_operator_token1] = ACTIONS(1387),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1387),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1387),
    [aux_sym_join_type_token1] = ACTIONS(1387),
    [aux_sym_join_type_token2] = ACTIONS(1387),
    [aux_sym_join_type_token3] = ACTIONS(1387),
    [aux_sym_join_type_token4] = ACTIONS(1387),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1387),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1387),
    [aux_sym_join_condition_token1] = ACTIONS(1387),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
  },
  [4695] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4696] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4697] = {
    [sym__unquoted_identifier] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1655),
    [aux_sym__keyword_alter_token1] = ACTIONS(1655),
    [aux_sym__keyword_create_token1] = ACTIONS(1655),
    [aux_sym__keyword_drop_token1] = ACTIONS(1655),
    [aux_sym__keyword_delete_token1] = ACTIONS(1655),
    [aux_sym__keyword_begin_token1] = ACTIONS(1655),
    [aux_sym__keyword_end_token1] = ACTIONS(1655),
    [aux_sym__keyword_when_token1] = ACTIONS(1655),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1655),
    [aux_sym__keyword_as_token1] = ACTIONS(1655),
    [aux_sym__keyword_window_token1] = ACTIONS(1655),
    [aux_sym__keyword_date_token1] = ACTIONS(1655),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1655),
    [aux_sym__keyword_time_token1] = ACTIONS(1655),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1655),
    [aux_sym__keyword_for_token1] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1655),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1655),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1655),
    [aux_sym_using_clause_token1] = ACTIONS(1655),
    [aux_sym_return_statement_token1] = ACTIONS(1655),
    [aux_sym_call_statement_token1] = ACTIONS(1655),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1655),
    [aux_sym_if_statement_token1] = ACTIONS(1655),
    [aux_sym_loop_statement_token1] = ACTIONS(1655),
    [aux_sym_repeat_statement_token1] = ACTIONS(1655),
    [aux_sym_while_statement_token1] = ACTIONS(1655),
    [aux_sym_break_statement_token1] = ACTIONS(1655),
    [aux_sym_leave_statement_token1] = ACTIONS(1655),
    [aux_sym_continue_statement_token1] = ACTIONS(1655),
    [aux_sym_iterate_statement_token1] = ACTIONS(1655),
    [aux_sym_raise_statement_token1] = ACTIONS(1655),
    [aux_sym_assert_statement_token1] = ACTIONS(1655),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1655),
    [aux_sym_set_operation_token1] = ACTIONS(1655),
    [aux_sym_set_operation_token3] = ACTIONS(1655),
    [aux_sym_set_operation_token4] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1655),
    [aux_sym_having_clause_token1] = ACTIONS(1655),
    [aux_sym_qualify_clause_token1] = ACTIONS(1655),
    [aux_sym_limit_clause_token1] = ACTIONS(1655),
    [aux_sym_group_by_clause_token1] = ACTIONS(1655),
    [aux_sym_order_by_clause_token1] = ACTIONS(1655),
    [aux_sym_where_clause_token1] = ACTIONS(1655),
    [aux_sym_pivot_operator_token1] = ACTIONS(1655),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1655),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1655),
    [aux_sym_join_type_token1] = ACTIONS(1655),
    [aux_sym_join_type_token2] = ACTIONS(1655),
    [aux_sym_join_type_token3] = ACTIONS(1655),
    [aux_sym_join_type_token4] = ACTIONS(1655),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1655),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1655),
    [aux_sym_join_condition_token1] = ACTIONS(1655),
    [aux_sym_insert_statement_token1] = ACTIONS(1655),
    [aux_sym_truncate_statement_token1] = ACTIONS(1655),
    [aux_sym_update_statement_token1] = ACTIONS(1655),
    [aux_sym_merge_statement_token1] = ACTIONS(1655),
    [aux_sym_grant_statement_token1] = ACTIONS(1655),
    [aux_sym_revoke_statement_token1] = ACTIONS(1655),
    [aux_sym_export_data_statement_token1] = ACTIONS(1655),
    [aux_sym_load_data_statement_token1] = ACTIONS(1655),
    [sym__quoted_identifier] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [4698] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1495),
    [aux_sym_keyword_replace_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_between_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1495),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1495),
    [aux_sym__keyword_like_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [4699] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4700] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4701] = {
    [ts_builtin_sym_end] = ACTIONS(1485),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1487),
    [aux_sym_keyword_replace_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_between_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1487),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1487),
    [aux_sym__keyword_like_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [4702] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4703] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym__unquoted_identifier] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1831),
    [aux_sym_keyword_replace_token1] = ACTIONS(1831),
    [aux_sym__keyword_alter_token1] = ACTIONS(1831),
    [aux_sym__keyword_create_token1] = ACTIONS(1831),
    [aux_sym__keyword_drop_token1] = ACTIONS(1831),
    [aux_sym__keyword_delete_token1] = ACTIONS(1831),
    [aux_sym__keyword_begin_token1] = ACTIONS(1831),
    [aux_sym__keyword_between_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1831),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1831),
    [aux_sym__keyword_like_token1] = ACTIONS(1831),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1831),
    [aux_sym__keyword_as_token1] = ACTIONS(1831),
    [aux_sym__keyword_date_token1] = ACTIONS(1831),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1831),
    [aux_sym__keyword_time_token1] = ACTIONS(1831),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1831),
    [aux_sym__keyword_for_token1] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1831),
    [aux_sym_return_statement_token1] = ACTIONS(1831),
    [aux_sym_call_statement_token1] = ACTIONS(1831),
    [aux_sym_loop_statement_token1] = ACTIONS(1831),
    [aux_sym_while_statement_token1] = ACTIONS(1831),
    [aux_sym_break_statement_token1] = ACTIONS(1831),
    [aux_sym_leave_statement_token1] = ACTIONS(1831),
    [aux_sym_continue_statement_token1] = ACTIONS(1831),
    [aux_sym_iterate_statement_token1] = ACTIONS(1831),
    [aux_sym_raise_statement_token1] = ACTIONS(1831),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1831),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1831),
    [aux_sym_insert_statement_token1] = ACTIONS(1831),
    [aux_sym_truncate_statement_token1] = ACTIONS(1831),
    [aux_sym_update_statement_token1] = ACTIONS(1831),
    [aux_sym_merge_statement_token1] = ACTIONS(1831),
    [aux_sym_grant_statement_token1] = ACTIONS(1831),
    [aux_sym_revoke_statement_token1] = ACTIONS(1831),
    [aux_sym_export_data_statement_token1] = ACTIONS(1831),
    [aux_sym_load_data_statement_token1] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym__quoted_identifier] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [4704] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4705] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4706] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [sym__unquoted_identifier] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1827),
    [aux_sym_keyword_replace_token1] = ACTIONS(1827),
    [aux_sym__keyword_alter_token1] = ACTIONS(1827),
    [aux_sym__keyword_create_token1] = ACTIONS(1827),
    [aux_sym__keyword_drop_token1] = ACTIONS(1827),
    [aux_sym__keyword_delete_token1] = ACTIONS(1827),
    [aux_sym__keyword_begin_token1] = ACTIONS(1827),
    [aux_sym__keyword_between_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1827),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1827),
    [aux_sym__keyword_like_token1] = ACTIONS(1827),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1827),
    [aux_sym__keyword_as_token1] = ACTIONS(1827),
    [aux_sym__keyword_date_token1] = ACTIONS(1827),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1827),
    [aux_sym__keyword_time_token1] = ACTIONS(1827),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1827),
    [aux_sym__keyword_for_token1] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1827),
    [aux_sym_return_statement_token1] = ACTIONS(1827),
    [aux_sym_call_statement_token1] = ACTIONS(1827),
    [aux_sym_loop_statement_token1] = ACTIONS(1827),
    [aux_sym_while_statement_token1] = ACTIONS(1827),
    [aux_sym_break_statement_token1] = ACTIONS(1827),
    [aux_sym_leave_statement_token1] = ACTIONS(1827),
    [aux_sym_continue_statement_token1] = ACTIONS(1827),
    [aux_sym_iterate_statement_token1] = ACTIONS(1827),
    [aux_sym_raise_statement_token1] = ACTIONS(1827),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1827),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1827),
    [aux_sym_insert_statement_token1] = ACTIONS(1827),
    [aux_sym_truncate_statement_token1] = ACTIONS(1827),
    [aux_sym_update_statement_token1] = ACTIONS(1827),
    [aux_sym_merge_statement_token1] = ACTIONS(1827),
    [aux_sym_grant_statement_token1] = ACTIONS(1827),
    [aux_sym_revoke_statement_token1] = ACTIONS(1827),
    [aux_sym_export_data_statement_token1] = ACTIONS(1827),
    [aux_sym_load_data_statement_token1] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym__quoted_identifier] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [4707] = {
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_end_token1] = ACTIONS(1403),
    [aux_sym__keyword_when_token1] = ACTIONS(1403),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_window_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_using_clause_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1403),
    [aux_sym_if_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_repeat_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token3] = ACTIONS(1403),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_having_clause_token1] = ACTIONS(1403),
    [aux_sym_qualify_clause_token1] = ACTIONS(1403),
    [aux_sym_limit_clause_token1] = ACTIONS(1403),
    [aux_sym_group_by_clause_token1] = ACTIONS(1403),
    [aux_sym_order_by_clause_token1] = ACTIONS(1403),
    [aux_sym_where_clause_token1] = ACTIONS(1403),
    [aux_sym_pivot_operator_token1] = ACTIONS(1403),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1403),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1403),
    [aux_sym_join_type_token1] = ACTIONS(1403),
    [aux_sym_join_type_token2] = ACTIONS(1403),
    [aux_sym_join_type_token3] = ACTIONS(1403),
    [aux_sym_join_type_token4] = ACTIONS(1403),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1403),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1403),
    [aux_sym_join_condition_token1] = ACTIONS(1403),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
  },
  [4708] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4709] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4710] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4711] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1363),
    [aux_sym_keyword_replace_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_between_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1363),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1363),
    [aux_sym__keyword_like_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4712] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1451),
    [aux_sym_keyword_replace_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_between_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1451),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1451),
    [aux_sym__keyword_like_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [4713] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4714] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4715] = {
    [sym__unquoted_identifier] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1757),
    [aux_sym__keyword_alter_token1] = ACTIONS(1757),
    [aux_sym__keyword_create_token1] = ACTIONS(1757),
    [aux_sym__keyword_drop_token1] = ACTIONS(1757),
    [aux_sym__keyword_delete_token1] = ACTIONS(1757),
    [aux_sym__keyword_begin_token1] = ACTIONS(1757),
    [aux_sym__keyword_end_token1] = ACTIONS(1757),
    [aux_sym__keyword_when_token1] = ACTIONS(1757),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1757),
    [aux_sym__keyword_as_token1] = ACTIONS(1757),
    [aux_sym__keyword_window_token1] = ACTIONS(1757),
    [aux_sym__keyword_date_token1] = ACTIONS(1757),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1757),
    [aux_sym__keyword_time_token1] = ACTIONS(1757),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1757),
    [aux_sym__keyword_for_token1] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1757),
    [aux_sym_using_clause_token1] = ACTIONS(1757),
    [aux_sym_return_statement_token1] = ACTIONS(1757),
    [aux_sym_call_statement_token1] = ACTIONS(1757),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1757),
    [aux_sym_if_statement_token1] = ACTIONS(1757),
    [aux_sym_loop_statement_token1] = ACTIONS(1757),
    [aux_sym_repeat_statement_token1] = ACTIONS(1757),
    [aux_sym_while_statement_token1] = ACTIONS(1757),
    [aux_sym_break_statement_token1] = ACTIONS(1757),
    [aux_sym_leave_statement_token1] = ACTIONS(1757),
    [aux_sym_continue_statement_token1] = ACTIONS(1757),
    [aux_sym_iterate_statement_token1] = ACTIONS(1757),
    [aux_sym_raise_statement_token1] = ACTIONS(1757),
    [aux_sym_assert_statement_token1] = ACTIONS(1757),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1757),
    [aux_sym_set_operation_token1] = ACTIONS(1757),
    [aux_sym_set_operation_token3] = ACTIONS(1757),
    [aux_sym_set_operation_token4] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1757),
    [aux_sym_having_clause_token1] = ACTIONS(1757),
    [aux_sym_qualify_clause_token1] = ACTIONS(1757),
    [aux_sym_limit_clause_token1] = ACTIONS(1757),
    [aux_sym_group_by_clause_token1] = ACTIONS(1757),
    [aux_sym_order_by_clause_token1] = ACTIONS(1757),
    [aux_sym_where_clause_token1] = ACTIONS(1757),
    [aux_sym_pivot_operator_token1] = ACTIONS(1757),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1757),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1757),
    [aux_sym_join_type_token1] = ACTIONS(1757),
    [aux_sym_join_type_token2] = ACTIONS(1757),
    [aux_sym_join_type_token3] = ACTIONS(1757),
    [aux_sym_join_type_token4] = ACTIONS(1757),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1757),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1757),
    [aux_sym_join_condition_token1] = ACTIONS(1757),
    [aux_sym_insert_statement_token1] = ACTIONS(1757),
    [aux_sym_truncate_statement_token1] = ACTIONS(1757),
    [aux_sym_update_statement_token1] = ACTIONS(1757),
    [aux_sym_merge_statement_token1] = ACTIONS(1757),
    [aux_sym_grant_statement_token1] = ACTIONS(1757),
    [aux_sym_revoke_statement_token1] = ACTIONS(1757),
    [aux_sym_export_data_statement_token1] = ACTIONS(1757),
    [aux_sym_load_data_statement_token1] = ACTIONS(1757),
    [sym__quoted_identifier] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
  },
  [4716] = {
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_end_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1373),
    [aux_sym_if_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_repeat_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4717] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4718] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4719] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4720] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [4721] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1447),
    [aux_sym_keyword_replace_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_between_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1447),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1447),
    [aux_sym__keyword_like_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [4722] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4723] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4724] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [sym__unquoted_identifier] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1823),
    [aux_sym_keyword_replace_token1] = ACTIONS(1823),
    [aux_sym__keyword_alter_token1] = ACTIONS(1823),
    [aux_sym__keyword_create_token1] = ACTIONS(1823),
    [aux_sym__keyword_drop_token1] = ACTIONS(1823),
    [aux_sym__keyword_delete_token1] = ACTIONS(1823),
    [aux_sym__keyword_begin_token1] = ACTIONS(1823),
    [aux_sym__keyword_between_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1823),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1823),
    [aux_sym__keyword_like_token1] = ACTIONS(1823),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1823),
    [aux_sym__keyword_as_token1] = ACTIONS(1823),
    [aux_sym__keyword_date_token1] = ACTIONS(1823),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1823),
    [aux_sym__keyword_time_token1] = ACTIONS(1823),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1823),
    [aux_sym__keyword_for_token1] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1823),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1823),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1823),
    [aux_sym_return_statement_token1] = ACTIONS(1823),
    [aux_sym_call_statement_token1] = ACTIONS(1823),
    [aux_sym_loop_statement_token1] = ACTIONS(1823),
    [aux_sym_while_statement_token1] = ACTIONS(1823),
    [aux_sym_break_statement_token1] = ACTIONS(1823),
    [aux_sym_leave_statement_token1] = ACTIONS(1823),
    [aux_sym_continue_statement_token1] = ACTIONS(1823),
    [aux_sym_iterate_statement_token1] = ACTIONS(1823),
    [aux_sym_raise_statement_token1] = ACTIONS(1823),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1823),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1823),
    [aux_sym_insert_statement_token1] = ACTIONS(1823),
    [aux_sym_truncate_statement_token1] = ACTIONS(1823),
    [aux_sym_update_statement_token1] = ACTIONS(1823),
    [aux_sym_merge_statement_token1] = ACTIONS(1823),
    [aux_sym_grant_statement_token1] = ACTIONS(1823),
    [aux_sym_revoke_statement_token1] = ACTIONS(1823),
    [aux_sym_export_data_statement_token1] = ACTIONS(1823),
    [aux_sym_load_data_statement_token1] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym__quoted_identifier] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [4725] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4726] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [sym__unquoted_identifier] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1819),
    [aux_sym_keyword_replace_token1] = ACTIONS(1819),
    [aux_sym__keyword_alter_token1] = ACTIONS(1819),
    [aux_sym__keyword_create_token1] = ACTIONS(1819),
    [aux_sym__keyword_drop_token1] = ACTIONS(1819),
    [aux_sym__keyword_delete_token1] = ACTIONS(1819),
    [aux_sym__keyword_begin_token1] = ACTIONS(1819),
    [aux_sym__keyword_between_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1819),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1819),
    [aux_sym__keyword_like_token1] = ACTIONS(1819),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1819),
    [aux_sym__keyword_as_token1] = ACTIONS(1819),
    [aux_sym__keyword_date_token1] = ACTIONS(1819),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1819),
    [aux_sym__keyword_time_token1] = ACTIONS(1819),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1819),
    [aux_sym__keyword_for_token1] = ACTIONS(1819),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1819),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1819),
    [aux_sym_return_statement_token1] = ACTIONS(1819),
    [aux_sym_call_statement_token1] = ACTIONS(1819),
    [aux_sym_loop_statement_token1] = ACTIONS(1819),
    [aux_sym_while_statement_token1] = ACTIONS(1819),
    [aux_sym_break_statement_token1] = ACTIONS(1819),
    [aux_sym_leave_statement_token1] = ACTIONS(1819),
    [aux_sym_continue_statement_token1] = ACTIONS(1819),
    [aux_sym_iterate_statement_token1] = ACTIONS(1819),
    [aux_sym_raise_statement_token1] = ACTIONS(1819),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1819),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1819),
    [aux_sym_insert_statement_token1] = ACTIONS(1819),
    [aux_sym_truncate_statement_token1] = ACTIONS(1819),
    [aux_sym_update_statement_token1] = ACTIONS(1819),
    [aux_sym_merge_statement_token1] = ACTIONS(1819),
    [aux_sym_grant_statement_token1] = ACTIONS(1819),
    [aux_sym_revoke_statement_token1] = ACTIONS(1819),
    [aux_sym_export_data_statement_token1] = ACTIONS(1819),
    [aux_sym_load_data_statement_token1] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym__quoted_identifier] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [4727] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4728] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4729] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4730] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4731] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4732] = {
    [ts_builtin_sym_end] = ACTIONS(1795),
    [sym__unquoted_identifier] = ACTIONS(1797),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1797),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1797),
    [aux_sym_keyword_replace_token1] = ACTIONS(1797),
    [aux_sym__keyword_alter_token1] = ACTIONS(1797),
    [aux_sym__keyword_create_token1] = ACTIONS(1797),
    [aux_sym__keyword_drop_token1] = ACTIONS(1797),
    [aux_sym__keyword_delete_token1] = ACTIONS(1797),
    [aux_sym__keyword_begin_token1] = ACTIONS(1797),
    [aux_sym__keyword_between_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1797),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1797),
    [aux_sym__keyword_like_token1] = ACTIONS(1797),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1797),
    [aux_sym__keyword_as_token1] = ACTIONS(1797),
    [aux_sym__keyword_date_token1] = ACTIONS(1797),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1797),
    [aux_sym__keyword_time_token1] = ACTIONS(1797),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1797),
    [aux_sym__keyword_for_token1] = ACTIONS(1797),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1797),
    [anon_sym_COMMA] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1797),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1797),
    [aux_sym_return_statement_token1] = ACTIONS(1797),
    [aux_sym_call_statement_token1] = ACTIONS(1797),
    [aux_sym_loop_statement_token1] = ACTIONS(1797),
    [aux_sym_while_statement_token1] = ACTIONS(1797),
    [aux_sym_break_statement_token1] = ACTIONS(1797),
    [aux_sym_leave_statement_token1] = ACTIONS(1797),
    [aux_sym_continue_statement_token1] = ACTIONS(1797),
    [aux_sym_iterate_statement_token1] = ACTIONS(1797),
    [aux_sym_raise_statement_token1] = ACTIONS(1797),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1797),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1797),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1797),
    [aux_sym_insert_statement_token1] = ACTIONS(1797),
    [aux_sym_truncate_statement_token1] = ACTIONS(1797),
    [aux_sym_update_statement_token1] = ACTIONS(1797),
    [aux_sym_merge_statement_token1] = ACTIONS(1797),
    [aux_sym_grant_statement_token1] = ACTIONS(1797),
    [aux_sym_revoke_statement_token1] = ACTIONS(1797),
    [aux_sym_export_data_statement_token1] = ACTIONS(1797),
    [aux_sym_load_data_statement_token1] = ACTIONS(1797),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym__quoted_identifier] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [4733] = {
    [ts_builtin_sym_end] = ACTIONS(1813),
    [sym__unquoted_identifier] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1815),
    [aux_sym_keyword_replace_token1] = ACTIONS(1815),
    [aux_sym__keyword_alter_token1] = ACTIONS(1815),
    [aux_sym__keyword_create_token1] = ACTIONS(1815),
    [aux_sym__keyword_drop_token1] = ACTIONS(1815),
    [aux_sym__keyword_delete_token1] = ACTIONS(1815),
    [aux_sym__keyword_begin_token1] = ACTIONS(1815),
    [aux_sym__keyword_between_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1815),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1815),
    [aux_sym__keyword_like_token1] = ACTIONS(1815),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1815),
    [aux_sym__keyword_as_token1] = ACTIONS(1815),
    [aux_sym__keyword_date_token1] = ACTIONS(1815),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1815),
    [aux_sym__keyword_time_token1] = ACTIONS(1815),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1815),
    [aux_sym__keyword_for_token1] = ACTIONS(1815),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1815),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1815),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1815),
    [aux_sym_return_statement_token1] = ACTIONS(1815),
    [aux_sym_call_statement_token1] = ACTIONS(1815),
    [aux_sym_loop_statement_token1] = ACTIONS(1815),
    [aux_sym_while_statement_token1] = ACTIONS(1815),
    [aux_sym_break_statement_token1] = ACTIONS(1815),
    [aux_sym_leave_statement_token1] = ACTIONS(1815),
    [aux_sym_continue_statement_token1] = ACTIONS(1815),
    [aux_sym_iterate_statement_token1] = ACTIONS(1815),
    [aux_sym_raise_statement_token1] = ACTIONS(1815),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1815),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1815),
    [aux_sym_insert_statement_token1] = ACTIONS(1815),
    [aux_sym_truncate_statement_token1] = ACTIONS(1815),
    [aux_sym_update_statement_token1] = ACTIONS(1815),
    [aux_sym_merge_statement_token1] = ACTIONS(1815),
    [aux_sym_grant_statement_token1] = ACTIONS(1815),
    [aux_sym_revoke_statement_token1] = ACTIONS(1815),
    [aux_sym_export_data_statement_token1] = ACTIONS(1815),
    [aux_sym_load_data_statement_token1] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym__quoted_identifier] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [4734] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1431),
    [aux_sym_keyword_replace_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_between_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1431),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1431),
    [aux_sym__keyword_like_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [4735] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4736] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4737] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1459),
    [aux_sym_keyword_replace_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_between_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1459),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1459),
    [aux_sym__keyword_like_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [4738] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4739] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4740] = {
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_end_token1] = ACTIONS(1427),
    [aux_sym__keyword_when_token1] = ACTIONS(1427),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_window_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_using_clause_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1427),
    [aux_sym_if_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_repeat_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token3] = ACTIONS(1427),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_having_clause_token1] = ACTIONS(1427),
    [aux_sym_qualify_clause_token1] = ACTIONS(1427),
    [aux_sym_limit_clause_token1] = ACTIONS(1427),
    [aux_sym_group_by_clause_token1] = ACTIONS(1427),
    [aux_sym_order_by_clause_token1] = ACTIONS(1427),
    [aux_sym_where_clause_token1] = ACTIONS(1427),
    [aux_sym_pivot_operator_token1] = ACTIONS(1427),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1427),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1427),
    [aux_sym_join_type_token1] = ACTIONS(1427),
    [aux_sym_join_type_token2] = ACTIONS(1427),
    [aux_sym_join_type_token3] = ACTIONS(1427),
    [aux_sym_join_type_token4] = ACTIONS(1427),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1427),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1427),
    [aux_sym_join_condition_token1] = ACTIONS(1427),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
  },
  [4741] = {
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_end_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1419),
    [aux_sym_if_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_repeat_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4742] = {
    [ts_builtin_sym_end] = ACTIONS(1805),
    [sym__unquoted_identifier] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1807),
    [aux_sym_keyword_replace_token1] = ACTIONS(1807),
    [aux_sym__keyword_alter_token1] = ACTIONS(1807),
    [aux_sym__keyword_create_token1] = ACTIONS(1807),
    [aux_sym__keyword_drop_token1] = ACTIONS(1807),
    [aux_sym__keyword_delete_token1] = ACTIONS(1807),
    [aux_sym__keyword_begin_token1] = ACTIONS(1807),
    [aux_sym__keyword_between_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1807),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1807),
    [aux_sym__keyword_like_token1] = ACTIONS(1807),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1807),
    [aux_sym__keyword_as_token1] = ACTIONS(1807),
    [aux_sym__keyword_date_token1] = ACTIONS(1807),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1807),
    [aux_sym__keyword_time_token1] = ACTIONS(1807),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1807),
    [aux_sym__keyword_for_token1] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1807),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1807),
    [aux_sym_return_statement_token1] = ACTIONS(1807),
    [aux_sym_call_statement_token1] = ACTIONS(1807),
    [aux_sym_loop_statement_token1] = ACTIONS(1807),
    [aux_sym_while_statement_token1] = ACTIONS(1807),
    [aux_sym_break_statement_token1] = ACTIONS(1807),
    [aux_sym_leave_statement_token1] = ACTIONS(1807),
    [aux_sym_continue_statement_token1] = ACTIONS(1807),
    [aux_sym_iterate_statement_token1] = ACTIONS(1807),
    [aux_sym_raise_statement_token1] = ACTIONS(1807),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1807),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1807),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1807),
    [aux_sym_insert_statement_token1] = ACTIONS(1807),
    [aux_sym_truncate_statement_token1] = ACTIONS(1807),
    [aux_sym_update_statement_token1] = ACTIONS(1807),
    [aux_sym_merge_statement_token1] = ACTIONS(1807),
    [aux_sym_grant_statement_token1] = ACTIONS(1807),
    [aux_sym_revoke_statement_token1] = ACTIONS(1807),
    [aux_sym_export_data_statement_token1] = ACTIONS(1807),
    [aux_sym_load_data_statement_token1] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym__quoted_identifier] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [4743] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4744] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4745] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4746] = {
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_end_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1443),
    [aux_sym_if_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_repeat_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4747] = {
    [sym__unquoted_identifier] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1635),
    [aux_sym__keyword_alter_token1] = ACTIONS(1635),
    [aux_sym__keyword_create_token1] = ACTIONS(1635),
    [aux_sym__keyword_drop_token1] = ACTIONS(1635),
    [aux_sym__keyword_delete_token1] = ACTIONS(1635),
    [aux_sym__keyword_begin_token1] = ACTIONS(1635),
    [aux_sym__keyword_end_token1] = ACTIONS(1635),
    [aux_sym__keyword_when_token1] = ACTIONS(1635),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1635),
    [aux_sym__keyword_as_token1] = ACTIONS(1635),
    [aux_sym__keyword_window_token1] = ACTIONS(1635),
    [aux_sym__keyword_date_token1] = ACTIONS(1635),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1635),
    [aux_sym__keyword_time_token1] = ACTIONS(1635),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1635),
    [aux_sym__keyword_for_token1] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1635),
    [aux_sym_using_clause_token1] = ACTIONS(1635),
    [aux_sym_return_statement_token1] = ACTIONS(1635),
    [aux_sym_call_statement_token1] = ACTIONS(1635),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1635),
    [aux_sym_if_statement_token1] = ACTIONS(1635),
    [aux_sym_loop_statement_token1] = ACTIONS(1635),
    [aux_sym_repeat_statement_token1] = ACTIONS(1635),
    [aux_sym_while_statement_token1] = ACTIONS(1635),
    [aux_sym_break_statement_token1] = ACTIONS(1635),
    [aux_sym_leave_statement_token1] = ACTIONS(1635),
    [aux_sym_continue_statement_token1] = ACTIONS(1635),
    [aux_sym_iterate_statement_token1] = ACTIONS(1635),
    [aux_sym_raise_statement_token1] = ACTIONS(1635),
    [aux_sym_assert_statement_token1] = ACTIONS(1635),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1635),
    [aux_sym_set_operation_token1] = ACTIONS(1635),
    [aux_sym_set_operation_token3] = ACTIONS(1635),
    [aux_sym_set_operation_token4] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1635),
    [aux_sym_having_clause_token1] = ACTIONS(1635),
    [aux_sym_qualify_clause_token1] = ACTIONS(1635),
    [aux_sym_limit_clause_token1] = ACTIONS(1635),
    [aux_sym_group_by_clause_token1] = ACTIONS(1635),
    [aux_sym_order_by_clause_token1] = ACTIONS(1635),
    [aux_sym_where_clause_token1] = ACTIONS(1635),
    [aux_sym_pivot_operator_token1] = ACTIONS(1635),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1635),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1635),
    [aux_sym_join_type_token1] = ACTIONS(1635),
    [aux_sym_join_type_token2] = ACTIONS(1635),
    [aux_sym_join_type_token3] = ACTIONS(1635),
    [aux_sym_join_type_token4] = ACTIONS(1635),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1635),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1635),
    [aux_sym_join_condition_token1] = ACTIONS(1635),
    [aux_sym_insert_statement_token1] = ACTIONS(1635),
    [aux_sym_truncate_statement_token1] = ACTIONS(1635),
    [aux_sym_update_statement_token1] = ACTIONS(1635),
    [aux_sym_merge_statement_token1] = ACTIONS(1635),
    [aux_sym_grant_statement_token1] = ACTIONS(1635),
    [aux_sym_revoke_statement_token1] = ACTIONS(1635),
    [aux_sym_export_data_statement_token1] = ACTIONS(1635),
    [aux_sym_load_data_statement_token1] = ACTIONS(1635),
    [sym__quoted_identifier] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
  },
  [4748] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4749] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4750] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4751] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [sym__unquoted_identifier] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1785),
    [aux_sym_keyword_replace_token1] = ACTIONS(1785),
    [aux_sym__keyword_alter_token1] = ACTIONS(1785),
    [aux_sym__keyword_create_token1] = ACTIONS(1785),
    [aux_sym__keyword_drop_token1] = ACTIONS(1785),
    [aux_sym__keyword_delete_token1] = ACTIONS(1785),
    [aux_sym__keyword_begin_token1] = ACTIONS(1785),
    [aux_sym__keyword_between_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1785),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1785),
    [aux_sym__keyword_like_token1] = ACTIONS(1785),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1785),
    [aux_sym__keyword_as_token1] = ACTIONS(1785),
    [aux_sym__keyword_date_token1] = ACTIONS(1785),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1785),
    [aux_sym__keyword_time_token1] = ACTIONS(1785),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1785),
    [aux_sym__keyword_for_token1] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1785),
    [aux_sym_return_statement_token1] = ACTIONS(1785),
    [aux_sym_call_statement_token1] = ACTIONS(1785),
    [aux_sym_loop_statement_token1] = ACTIONS(1785),
    [aux_sym_while_statement_token1] = ACTIONS(1785),
    [aux_sym_break_statement_token1] = ACTIONS(1785),
    [aux_sym_leave_statement_token1] = ACTIONS(1785),
    [aux_sym_continue_statement_token1] = ACTIONS(1785),
    [aux_sym_iterate_statement_token1] = ACTIONS(1785),
    [aux_sym_raise_statement_token1] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1785),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1785),
    [aux_sym_insert_statement_token1] = ACTIONS(1785),
    [aux_sym_truncate_statement_token1] = ACTIONS(1785),
    [aux_sym_update_statement_token1] = ACTIONS(1785),
    [aux_sym_merge_statement_token1] = ACTIONS(1785),
    [aux_sym_grant_statement_token1] = ACTIONS(1785),
    [aux_sym_revoke_statement_token1] = ACTIONS(1785),
    [aux_sym_export_data_statement_token1] = ACTIONS(1785),
    [aux_sym_load_data_statement_token1] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym__quoted_identifier] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [4752] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [sym__unquoted_identifier] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1777),
    [aux_sym_keyword_replace_token1] = ACTIONS(1777),
    [aux_sym__keyword_alter_token1] = ACTIONS(1777),
    [aux_sym__keyword_create_token1] = ACTIONS(1777),
    [aux_sym__keyword_drop_token1] = ACTIONS(1777),
    [aux_sym__keyword_delete_token1] = ACTIONS(1777),
    [aux_sym__keyword_begin_token1] = ACTIONS(1777),
    [aux_sym__keyword_between_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1777),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1777),
    [aux_sym__keyword_like_token1] = ACTIONS(1777),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1777),
    [aux_sym__keyword_as_token1] = ACTIONS(1777),
    [aux_sym__keyword_date_token1] = ACTIONS(1777),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1777),
    [aux_sym__keyword_time_token1] = ACTIONS(1777),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1777),
    [aux_sym__keyword_for_token1] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1777),
    [aux_sym_return_statement_token1] = ACTIONS(1777),
    [aux_sym_call_statement_token1] = ACTIONS(1777),
    [aux_sym_loop_statement_token1] = ACTIONS(1777),
    [aux_sym_while_statement_token1] = ACTIONS(1777),
    [aux_sym_break_statement_token1] = ACTIONS(1777),
    [aux_sym_leave_statement_token1] = ACTIONS(1777),
    [aux_sym_continue_statement_token1] = ACTIONS(1777),
    [aux_sym_iterate_statement_token1] = ACTIONS(1777),
    [aux_sym_raise_statement_token1] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1777),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1777),
    [aux_sym_insert_statement_token1] = ACTIONS(1777),
    [aux_sym_truncate_statement_token1] = ACTIONS(1777),
    [aux_sym_update_statement_token1] = ACTIONS(1777),
    [aux_sym_merge_statement_token1] = ACTIONS(1777),
    [aux_sym_grant_statement_token1] = ACTIONS(1777),
    [aux_sym_revoke_statement_token1] = ACTIONS(1777),
    [aux_sym_export_data_statement_token1] = ACTIONS(1777),
    [aux_sym_load_data_statement_token1] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym__quoted_identifier] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [4753] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4754] = {
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_end_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1363),
    [aux_sym_if_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_repeat_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4755] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [sym__unquoted_identifier] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1757),
    [aux_sym_keyword_replace_token1] = ACTIONS(1757),
    [aux_sym__keyword_alter_token1] = ACTIONS(1757),
    [aux_sym__keyword_create_token1] = ACTIONS(1757),
    [aux_sym__keyword_drop_token1] = ACTIONS(1757),
    [aux_sym__keyword_delete_token1] = ACTIONS(1757),
    [aux_sym__keyword_begin_token1] = ACTIONS(1757),
    [aux_sym__keyword_between_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1757),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1757),
    [aux_sym__keyword_like_token1] = ACTIONS(1757),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1757),
    [aux_sym__keyword_as_token1] = ACTIONS(1757),
    [aux_sym__keyword_date_token1] = ACTIONS(1757),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1757),
    [aux_sym__keyword_time_token1] = ACTIONS(1757),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1757),
    [aux_sym__keyword_for_token1] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1757),
    [aux_sym_return_statement_token1] = ACTIONS(1757),
    [aux_sym_call_statement_token1] = ACTIONS(1757),
    [aux_sym_loop_statement_token1] = ACTIONS(1757),
    [aux_sym_while_statement_token1] = ACTIONS(1757),
    [aux_sym_break_statement_token1] = ACTIONS(1757),
    [aux_sym_leave_statement_token1] = ACTIONS(1757),
    [aux_sym_continue_statement_token1] = ACTIONS(1757),
    [aux_sym_iterate_statement_token1] = ACTIONS(1757),
    [aux_sym_raise_statement_token1] = ACTIONS(1757),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1757),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1757),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1757),
    [aux_sym_insert_statement_token1] = ACTIONS(1757),
    [aux_sym_truncate_statement_token1] = ACTIONS(1757),
    [aux_sym_update_statement_token1] = ACTIONS(1757),
    [aux_sym_merge_statement_token1] = ACTIONS(1757),
    [aux_sym_grant_statement_token1] = ACTIONS(1757),
    [aux_sym_revoke_statement_token1] = ACTIONS(1757),
    [aux_sym_export_data_statement_token1] = ACTIONS(1757),
    [aux_sym_load_data_statement_token1] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym__quoted_identifier] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [4756] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1539),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1539),
    [aux_sym_keyword_replace_token1] = ACTIONS(1539),
    [aux_sym__keyword_alter_token1] = ACTIONS(1539),
    [aux_sym__keyword_create_token1] = ACTIONS(1539),
    [aux_sym__keyword_drop_token1] = ACTIONS(1539),
    [aux_sym__keyword_delete_token1] = ACTIONS(1539),
    [aux_sym__keyword_begin_token1] = ACTIONS(1539),
    [aux_sym__keyword_end_token1] = ACTIONS(1539),
    [aux_sym__keyword_between_token1] = ACTIONS(1539),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1539),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1539),
    [aux_sym__keyword_like_token1] = ACTIONS(1539),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1539),
    [aux_sym__keyword_for_token1] = ACTIONS(1539),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1539),
    [aux_sym_into_clause_token1] = ACTIONS(1539),
    [aux_sym_using_clause_token1] = ACTIONS(1539),
    [aux_sym_return_statement_token1] = ACTIONS(1539),
    [aux_sym_call_statement_token1] = ACTIONS(1539),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1539),
    [aux_sym_if_statement_token1] = ACTIONS(1539),
    [aux_sym_loop_statement_token1] = ACTIONS(1539),
    [aux_sym_repeat_statement_token1] = ACTIONS(1539),
    [aux_sym_while_statement_token1] = ACTIONS(1539),
    [aux_sym_break_statement_token1] = ACTIONS(1539),
    [aux_sym_leave_statement_token1] = ACTIONS(1539),
    [aux_sym_continue_statement_token1] = ACTIONS(1539),
    [aux_sym_iterate_statement_token1] = ACTIONS(1539),
    [aux_sym_raise_statement_token1] = ACTIONS(1539),
    [anon_sym_EQ] = ACTIONS(1539),
    [aux_sym_assert_statement_token1] = ACTIONS(1539),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1539),
    [aux_sym_insert_statement_token1] = ACTIONS(1539),
    [aux_sym_truncate_statement_token1] = ACTIONS(1539),
    [aux_sym_update_statement_token1] = ACTIONS(1539),
    [aux_sym_merge_statement_token1] = ACTIONS(1539),
    [aux_sym_grant_statement_token1] = ACTIONS(1539),
    [aux_sym_revoke_statement_token1] = ACTIONS(1539),
    [aux_sym_export_data_statement_token1] = ACTIONS(1539),
    [aux_sym_load_data_statement_token1] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [4757] = {
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_using_clause_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1471),
    [aux_sym_if_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_repeat_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_pivot_operator_token1] = ACTIONS(1471),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1471),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1471),
    [aux_sym_join_type_token1] = ACTIONS(1471),
    [aux_sym_join_type_token2] = ACTIONS(1471),
    [aux_sym_join_type_token3] = ACTIONS(1471),
    [aux_sym_join_type_token4] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1471),
    [aux_sym_join_condition_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
  },
  [4758] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [sym__unquoted_identifier] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1753),
    [aux_sym_keyword_replace_token1] = ACTIONS(1753),
    [aux_sym__keyword_alter_token1] = ACTIONS(1753),
    [aux_sym__keyword_create_token1] = ACTIONS(1753),
    [aux_sym__keyword_drop_token1] = ACTIONS(1753),
    [aux_sym__keyword_delete_token1] = ACTIONS(1753),
    [aux_sym__keyword_begin_token1] = ACTIONS(1753),
    [aux_sym__keyword_between_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1753),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1753),
    [aux_sym__keyword_like_token1] = ACTIONS(1753),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1753),
    [aux_sym__keyword_as_token1] = ACTIONS(1753),
    [aux_sym__keyword_date_token1] = ACTIONS(1753),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1753),
    [aux_sym__keyword_time_token1] = ACTIONS(1753),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1753),
    [aux_sym__keyword_for_token1] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1753),
    [aux_sym_return_statement_token1] = ACTIONS(1753),
    [aux_sym_call_statement_token1] = ACTIONS(1753),
    [aux_sym_loop_statement_token1] = ACTIONS(1753),
    [aux_sym_while_statement_token1] = ACTIONS(1753),
    [aux_sym_break_statement_token1] = ACTIONS(1753),
    [aux_sym_leave_statement_token1] = ACTIONS(1753),
    [aux_sym_continue_statement_token1] = ACTIONS(1753),
    [aux_sym_iterate_statement_token1] = ACTIONS(1753),
    [aux_sym_raise_statement_token1] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1753),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1753),
    [aux_sym_insert_statement_token1] = ACTIONS(1753),
    [aux_sym_truncate_statement_token1] = ACTIONS(1753),
    [aux_sym_update_statement_token1] = ACTIONS(1753),
    [aux_sym_merge_statement_token1] = ACTIONS(1753),
    [aux_sym_grant_statement_token1] = ACTIONS(1753),
    [aux_sym_revoke_statement_token1] = ACTIONS(1753),
    [aux_sym_export_data_statement_token1] = ACTIONS(1753),
    [aux_sym_load_data_statement_token1] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym__quoted_identifier] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [4759] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [sym__unquoted_identifier] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1683),
    [aux_sym_keyword_replace_token1] = ACTIONS(1683),
    [aux_sym__keyword_alter_token1] = ACTIONS(1683),
    [aux_sym__keyword_create_token1] = ACTIONS(1683),
    [aux_sym__keyword_drop_token1] = ACTIONS(1683),
    [aux_sym__keyword_delete_token1] = ACTIONS(1683),
    [aux_sym__keyword_begin_token1] = ACTIONS(1683),
    [aux_sym__keyword_between_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1683),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1683),
    [aux_sym__keyword_like_token1] = ACTIONS(1683),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1683),
    [aux_sym__keyword_as_token1] = ACTIONS(1683),
    [aux_sym__keyword_date_token1] = ACTIONS(1683),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1683),
    [aux_sym__keyword_time_token1] = ACTIONS(1683),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1683),
    [aux_sym__keyword_for_token1] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1683),
    [aux_sym_return_statement_token1] = ACTIONS(1683),
    [aux_sym_call_statement_token1] = ACTIONS(1683),
    [aux_sym_loop_statement_token1] = ACTIONS(1683),
    [aux_sym_while_statement_token1] = ACTIONS(1683),
    [aux_sym_break_statement_token1] = ACTIONS(1683),
    [aux_sym_leave_statement_token1] = ACTIONS(1683),
    [aux_sym_continue_statement_token1] = ACTIONS(1683),
    [aux_sym_iterate_statement_token1] = ACTIONS(1683),
    [aux_sym_raise_statement_token1] = ACTIONS(1683),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1683),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1683),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1683),
    [aux_sym_insert_statement_token1] = ACTIONS(1683),
    [aux_sym_truncate_statement_token1] = ACTIONS(1683),
    [aux_sym_update_statement_token1] = ACTIONS(1683),
    [aux_sym_merge_statement_token1] = ACTIONS(1683),
    [aux_sym_grant_statement_token1] = ACTIONS(1683),
    [aux_sym_revoke_statement_token1] = ACTIONS(1683),
    [aux_sym_export_data_statement_token1] = ACTIONS(1683),
    [aux_sym_load_data_statement_token1] = ACTIONS(1683),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym__quoted_identifier] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [4760] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_into_clause_token1] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [4761] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [sym__unquoted_identifier] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1863),
    [aux_sym_keyword_replace_token1] = ACTIONS(1863),
    [aux_sym__keyword_alter_token1] = ACTIONS(1863),
    [aux_sym__keyword_create_token1] = ACTIONS(1863),
    [aux_sym__keyword_drop_token1] = ACTIONS(1863),
    [aux_sym__keyword_delete_token1] = ACTIONS(1863),
    [aux_sym__keyword_begin_token1] = ACTIONS(1863),
    [aux_sym__keyword_between_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1863),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1863),
    [aux_sym__keyword_like_token1] = ACTIONS(1863),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1863),
    [aux_sym__keyword_as_token1] = ACTIONS(1863),
    [aux_sym__keyword_date_token1] = ACTIONS(1863),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1863),
    [aux_sym__keyword_time_token1] = ACTIONS(1863),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1863),
    [aux_sym__keyword_for_token1] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1863),
    [aux_sym_return_statement_token1] = ACTIONS(1863),
    [aux_sym_call_statement_token1] = ACTIONS(1863),
    [aux_sym_loop_statement_token1] = ACTIONS(1863),
    [aux_sym_while_statement_token1] = ACTIONS(1863),
    [aux_sym_break_statement_token1] = ACTIONS(1863),
    [aux_sym_leave_statement_token1] = ACTIONS(1863),
    [aux_sym_continue_statement_token1] = ACTIONS(1863),
    [aux_sym_iterate_statement_token1] = ACTIONS(1863),
    [aux_sym_raise_statement_token1] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1863),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1863),
    [aux_sym_insert_statement_token1] = ACTIONS(1863),
    [aux_sym_truncate_statement_token1] = ACTIONS(1863),
    [aux_sym_update_statement_token1] = ACTIONS(1863),
    [aux_sym_merge_statement_token1] = ACTIONS(1863),
    [aux_sym_grant_statement_token1] = ACTIONS(1863),
    [aux_sym_revoke_statement_token1] = ACTIONS(1863),
    [aux_sym_export_data_statement_token1] = ACTIONS(1863),
    [aux_sym_load_data_statement_token1] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym__quoted_identifier] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [4762] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [sym__unquoted_identifier] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1867),
    [aux_sym_keyword_replace_token1] = ACTIONS(1867),
    [aux_sym__keyword_alter_token1] = ACTIONS(1867),
    [aux_sym__keyword_create_token1] = ACTIONS(1867),
    [aux_sym__keyword_drop_token1] = ACTIONS(1867),
    [aux_sym__keyword_delete_token1] = ACTIONS(1867),
    [aux_sym__keyword_begin_token1] = ACTIONS(1867),
    [aux_sym__keyword_between_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1867),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1867),
    [aux_sym__keyword_like_token1] = ACTIONS(1867),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1867),
    [aux_sym__keyword_as_token1] = ACTIONS(1867),
    [aux_sym__keyword_date_token1] = ACTIONS(1867),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1867),
    [aux_sym__keyword_time_token1] = ACTIONS(1867),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1867),
    [aux_sym__keyword_for_token1] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1867),
    [aux_sym_return_statement_token1] = ACTIONS(1867),
    [aux_sym_call_statement_token1] = ACTIONS(1867),
    [aux_sym_loop_statement_token1] = ACTIONS(1867),
    [aux_sym_while_statement_token1] = ACTIONS(1867),
    [aux_sym_break_statement_token1] = ACTIONS(1867),
    [aux_sym_leave_statement_token1] = ACTIONS(1867),
    [aux_sym_continue_statement_token1] = ACTIONS(1867),
    [aux_sym_iterate_statement_token1] = ACTIONS(1867),
    [aux_sym_raise_statement_token1] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1867),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1867),
    [aux_sym_insert_statement_token1] = ACTIONS(1867),
    [aux_sym_truncate_statement_token1] = ACTIONS(1867),
    [aux_sym_update_statement_token1] = ACTIONS(1867),
    [aux_sym_merge_statement_token1] = ACTIONS(1867),
    [aux_sym_grant_statement_token1] = ACTIONS(1867),
    [aux_sym_revoke_statement_token1] = ACTIONS(1867),
    [aux_sym_export_data_statement_token1] = ACTIONS(1867),
    [aux_sym_load_data_statement_token1] = ACTIONS(1867),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym__quoted_identifier] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [4763] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [sym__unquoted_identifier] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1793),
    [aux_sym_keyword_replace_token1] = ACTIONS(1793),
    [aux_sym__keyword_alter_token1] = ACTIONS(1793),
    [aux_sym__keyword_create_token1] = ACTIONS(1793),
    [aux_sym__keyword_drop_token1] = ACTIONS(1793),
    [aux_sym__keyword_delete_token1] = ACTIONS(1793),
    [aux_sym__keyword_begin_token1] = ACTIONS(1793),
    [aux_sym__keyword_between_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1793),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1793),
    [aux_sym__keyword_like_token1] = ACTIONS(1793),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1793),
    [aux_sym__keyword_as_token1] = ACTIONS(1793),
    [aux_sym__keyword_date_token1] = ACTIONS(1793),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1793),
    [aux_sym__keyword_time_token1] = ACTIONS(1793),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1793),
    [aux_sym__keyword_for_token1] = ACTIONS(1793),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1793),
    [aux_sym_return_statement_token1] = ACTIONS(1793),
    [aux_sym_call_statement_token1] = ACTIONS(1793),
    [aux_sym_loop_statement_token1] = ACTIONS(1793),
    [aux_sym_while_statement_token1] = ACTIONS(1793),
    [aux_sym_break_statement_token1] = ACTIONS(1793),
    [aux_sym_leave_statement_token1] = ACTIONS(1793),
    [aux_sym_continue_statement_token1] = ACTIONS(1793),
    [aux_sym_iterate_statement_token1] = ACTIONS(1793),
    [aux_sym_raise_statement_token1] = ACTIONS(1793),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1793),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1793),
    [aux_sym_insert_statement_token1] = ACTIONS(1793),
    [aux_sym_truncate_statement_token1] = ACTIONS(1793),
    [aux_sym_update_statement_token1] = ACTIONS(1793),
    [aux_sym_merge_statement_token1] = ACTIONS(1793),
    [aux_sym_grant_statement_token1] = ACTIONS(1793),
    [aux_sym_revoke_statement_token1] = ACTIONS(1793),
    [aux_sym_export_data_statement_token1] = ACTIONS(1793),
    [aux_sym_load_data_statement_token1] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym__quoted_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [4764] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [sym__unquoted_identifier] = ACTIONS(1533),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1533),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1533),
    [aux_sym_keyword_replace_token1] = ACTIONS(1533),
    [aux_sym__keyword_alter_token1] = ACTIONS(1533),
    [aux_sym__keyword_create_token1] = ACTIONS(1533),
    [aux_sym__keyword_drop_token1] = ACTIONS(1533),
    [aux_sym__keyword_delete_token1] = ACTIONS(1533),
    [aux_sym__keyword_begin_token1] = ACTIONS(1533),
    [aux_sym__keyword_between_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1533),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1533),
    [aux_sym__keyword_like_token1] = ACTIONS(1533),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1533),
    [aux_sym__keyword_as_token1] = ACTIONS(1533),
    [aux_sym__keyword_date_token1] = ACTIONS(1533),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1533),
    [aux_sym__keyword_time_token1] = ACTIONS(1533),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1533),
    [aux_sym__keyword_for_token1] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1533),
    [aux_sym_return_statement_token1] = ACTIONS(1533),
    [aux_sym_call_statement_token1] = ACTIONS(1533),
    [aux_sym_loop_statement_token1] = ACTIONS(1533),
    [aux_sym_while_statement_token1] = ACTIONS(1533),
    [aux_sym_break_statement_token1] = ACTIONS(1533),
    [aux_sym_leave_statement_token1] = ACTIONS(1533),
    [aux_sym_continue_statement_token1] = ACTIONS(1533),
    [aux_sym_iterate_statement_token1] = ACTIONS(1533),
    [aux_sym_raise_statement_token1] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1533),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1533),
    [aux_sym_insert_statement_token1] = ACTIONS(1533),
    [aux_sym_truncate_statement_token1] = ACTIONS(1533),
    [aux_sym_update_statement_token1] = ACTIONS(1533),
    [aux_sym_merge_statement_token1] = ACTIONS(1533),
    [aux_sym_grant_statement_token1] = ACTIONS(1533),
    [aux_sym_revoke_statement_token1] = ACTIONS(1533),
    [aux_sym_export_data_statement_token1] = ACTIONS(1533),
    [aux_sym_load_data_statement_token1] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym__quoted_identifier] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [4765] = {
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_end_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1377),
    [aux_sym_if_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_repeat_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [4766] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym__unquoted_identifier] = ACTIONS(1565),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1565),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1565),
    [aux_sym_keyword_replace_token1] = ACTIONS(1565),
    [aux_sym__keyword_alter_token1] = ACTIONS(1565),
    [aux_sym__keyword_create_token1] = ACTIONS(1565),
    [aux_sym__keyword_drop_token1] = ACTIONS(1565),
    [aux_sym__keyword_delete_token1] = ACTIONS(1565),
    [aux_sym__keyword_begin_token1] = ACTIONS(1565),
    [aux_sym__keyword_between_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1565),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1565),
    [aux_sym__keyword_like_token1] = ACTIONS(1565),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1565),
    [aux_sym__keyword_as_token1] = ACTIONS(1565),
    [aux_sym__keyword_date_token1] = ACTIONS(1565),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1565),
    [aux_sym__keyword_time_token1] = ACTIONS(1565),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1565),
    [aux_sym__keyword_for_token1] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1565),
    [aux_sym_return_statement_token1] = ACTIONS(1565),
    [aux_sym_call_statement_token1] = ACTIONS(1565),
    [aux_sym_loop_statement_token1] = ACTIONS(1565),
    [aux_sym_while_statement_token1] = ACTIONS(1565),
    [aux_sym_break_statement_token1] = ACTIONS(1565),
    [aux_sym_leave_statement_token1] = ACTIONS(1565),
    [aux_sym_continue_statement_token1] = ACTIONS(1565),
    [aux_sym_iterate_statement_token1] = ACTIONS(1565),
    [aux_sym_raise_statement_token1] = ACTIONS(1565),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1565),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1565),
    [aux_sym_insert_statement_token1] = ACTIONS(1565),
    [aux_sym_truncate_statement_token1] = ACTIONS(1565),
    [aux_sym_update_statement_token1] = ACTIONS(1565),
    [aux_sym_merge_statement_token1] = ACTIONS(1565),
    [aux_sym_grant_statement_token1] = ACTIONS(1565),
    [aux_sym_revoke_statement_token1] = ACTIONS(1565),
    [aux_sym_export_data_statement_token1] = ACTIONS(1565),
    [aux_sym_load_data_statement_token1] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym__quoted_identifier] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [4767] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [sym__unquoted_identifier] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1525),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1525),
    [aux_sym_keyword_replace_token1] = ACTIONS(1525),
    [aux_sym__keyword_alter_token1] = ACTIONS(1525),
    [aux_sym__keyword_create_token1] = ACTIONS(1525),
    [aux_sym__keyword_drop_token1] = ACTIONS(1525),
    [aux_sym__keyword_delete_token1] = ACTIONS(1525),
    [aux_sym__keyword_begin_token1] = ACTIONS(1525),
    [aux_sym__keyword_between_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1525),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1525),
    [aux_sym__keyword_like_token1] = ACTIONS(1525),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1525),
    [aux_sym__keyword_as_token1] = ACTIONS(1525),
    [aux_sym__keyword_date_token1] = ACTIONS(1525),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1525),
    [aux_sym__keyword_time_token1] = ACTIONS(1525),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1525),
    [aux_sym__keyword_for_token1] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1525),
    [aux_sym_return_statement_token1] = ACTIONS(1525),
    [aux_sym_call_statement_token1] = ACTIONS(1525),
    [aux_sym_loop_statement_token1] = ACTIONS(1525),
    [aux_sym_while_statement_token1] = ACTIONS(1525),
    [aux_sym_break_statement_token1] = ACTIONS(1525),
    [aux_sym_leave_statement_token1] = ACTIONS(1525),
    [aux_sym_continue_statement_token1] = ACTIONS(1525),
    [aux_sym_iterate_statement_token1] = ACTIONS(1525),
    [aux_sym_raise_statement_token1] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1525),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1525),
    [aux_sym_insert_statement_token1] = ACTIONS(1525),
    [aux_sym_truncate_statement_token1] = ACTIONS(1525),
    [aux_sym_update_statement_token1] = ACTIONS(1525),
    [aux_sym_merge_statement_token1] = ACTIONS(1525),
    [aux_sym_grant_statement_token1] = ACTIONS(1525),
    [aux_sym_revoke_statement_token1] = ACTIONS(1525),
    [aux_sym_export_data_statement_token1] = ACTIONS(1525),
    [aux_sym_load_data_statement_token1] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym__quoted_identifier] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [4768] = {
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_end_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1423),
    [aux_sym_if_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_repeat_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4769] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4770] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4771] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4772] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4773] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1751),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1751),
    [aux_sym_keyword_replace_token1] = ACTIONS(1751),
    [aux_sym__keyword_alter_token1] = ACTIONS(1751),
    [aux_sym__keyword_create_token1] = ACTIONS(1751),
    [aux_sym__keyword_drop_token1] = ACTIONS(1751),
    [aux_sym__keyword_delete_token1] = ACTIONS(1751),
    [aux_sym__keyword_begin_token1] = ACTIONS(1751),
    [aux_sym__keyword_end_token1] = ACTIONS(1751),
    [aux_sym__keyword_between_token1] = ACTIONS(1751),
    [aux_sym__keyword_else_token1] = ACTIONS(1753),
    [aux_sym__keyword_is_token1] = ACTIONS(1751),
    [aux_sym__keyword_in_token1] = ACTIONS(1753),
    [aux_sym__keyword_and_token1] = ACTIONS(1751),
    [aux_sym__keyword_like_token1] = ACTIONS(1751),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1751),
    [aux_sym__keyword_for_token1] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1751),
    [aux_sym_into_clause_token1] = ACTIONS(1751),
    [aux_sym_using_clause_token1] = ACTIONS(1751),
    [aux_sym_return_statement_token1] = ACTIONS(1751),
    [aux_sym_call_statement_token1] = ACTIONS(1751),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1751),
    [aux_sym_if_statement_token1] = ACTIONS(1751),
    [aux_sym_loop_statement_token1] = ACTIONS(1751),
    [aux_sym_repeat_statement_token1] = ACTIONS(1751),
    [aux_sym_while_statement_token1] = ACTIONS(1751),
    [aux_sym_break_statement_token1] = ACTIONS(1751),
    [aux_sym_leave_statement_token1] = ACTIONS(1751),
    [aux_sym_continue_statement_token1] = ACTIONS(1751),
    [aux_sym_iterate_statement_token1] = ACTIONS(1751),
    [aux_sym_raise_statement_token1] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1751),
    [aux_sym_assert_statement_token1] = ACTIONS(1751),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1751),
    [aux_sym_insert_statement_token1] = ACTIONS(1751),
    [aux_sym_truncate_statement_token1] = ACTIONS(1751),
    [aux_sym_update_statement_token1] = ACTIONS(1751),
    [aux_sym_merge_statement_token1] = ACTIONS(1751),
    [aux_sym_grant_statement_token1] = ACTIONS(1751),
    [aux_sym_revoke_statement_token1] = ACTIONS(1751),
    [aux_sym_export_data_statement_token1] = ACTIONS(1751),
    [aux_sym_load_data_statement_token1] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_GT] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
  },
  [4774] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1653),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1653),
    [aux_sym_keyword_replace_token1] = ACTIONS(1653),
    [aux_sym__keyword_alter_token1] = ACTIONS(1653),
    [aux_sym__keyword_create_token1] = ACTIONS(1653),
    [aux_sym__keyword_drop_token1] = ACTIONS(1653),
    [aux_sym__keyword_delete_token1] = ACTIONS(1653),
    [aux_sym__keyword_begin_token1] = ACTIONS(1653),
    [aux_sym__keyword_end_token1] = ACTIONS(1653),
    [aux_sym__keyword_between_token1] = ACTIONS(1653),
    [aux_sym__keyword_else_token1] = ACTIONS(1655),
    [aux_sym__keyword_is_token1] = ACTIONS(1653),
    [aux_sym__keyword_in_token1] = ACTIONS(1655),
    [aux_sym__keyword_and_token1] = ACTIONS(1653),
    [aux_sym__keyword_like_token1] = ACTIONS(1653),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1653),
    [aux_sym__keyword_for_token1] = ACTIONS(1653),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1653),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1653),
    [aux_sym_into_clause_token1] = ACTIONS(1653),
    [aux_sym_using_clause_token1] = ACTIONS(1653),
    [aux_sym_return_statement_token1] = ACTIONS(1653),
    [aux_sym_call_statement_token1] = ACTIONS(1653),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1653),
    [aux_sym_if_statement_token1] = ACTIONS(1653),
    [aux_sym_loop_statement_token1] = ACTIONS(1653),
    [aux_sym_repeat_statement_token1] = ACTIONS(1653),
    [aux_sym_while_statement_token1] = ACTIONS(1653),
    [aux_sym_break_statement_token1] = ACTIONS(1653),
    [aux_sym_leave_statement_token1] = ACTIONS(1653),
    [aux_sym_continue_statement_token1] = ACTIONS(1653),
    [aux_sym_iterate_statement_token1] = ACTIONS(1653),
    [aux_sym_raise_statement_token1] = ACTIONS(1653),
    [anon_sym_EQ] = ACTIONS(1653),
    [aux_sym_assert_statement_token1] = ACTIONS(1653),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1653),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1653),
    [aux_sym_insert_statement_token1] = ACTIONS(1653),
    [aux_sym_truncate_statement_token1] = ACTIONS(1653),
    [aux_sym_update_statement_token1] = ACTIONS(1653),
    [aux_sym_merge_statement_token1] = ACTIONS(1653),
    [aux_sym_grant_statement_token1] = ACTIONS(1653),
    [aux_sym_revoke_statement_token1] = ACTIONS(1653),
    [aux_sym_export_data_statement_token1] = ACTIONS(1653),
    [aux_sym_load_data_statement_token1] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym_PIPE_PIPE] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_BANG_EQ] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_GT_GT] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_CARET] = ACTIONS(1653),
    [anon_sym_PIPE] = ACTIONS(1655),
  },
  [4775] = {
    [ts_builtin_sym_end] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1465),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1465),
    [aux_sym_keyword_replace_token1] = ACTIONS(1465),
    [aux_sym__keyword_alter_token1] = ACTIONS(1465),
    [aux_sym__keyword_create_token1] = ACTIONS(1465),
    [aux_sym__keyword_drop_token1] = ACTIONS(1465),
    [aux_sym__keyword_delete_token1] = ACTIONS(1465),
    [aux_sym__keyword_begin_token1] = ACTIONS(1465),
    [aux_sym__keyword_end_token1] = ACTIONS(1465),
    [aux_sym__keyword_between_token1] = ACTIONS(1465),
    [aux_sym__keyword_else_token1] = ACTIONS(1467),
    [aux_sym__keyword_is_token1] = ACTIONS(1465),
    [aux_sym__keyword_in_token1] = ACTIONS(1467),
    [aux_sym__keyword_and_token1] = ACTIONS(1465),
    [aux_sym__keyword_like_token1] = ACTIONS(1465),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1465),
    [aux_sym__keyword_for_token1] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1465),
    [aux_sym_into_clause_token1] = ACTIONS(1465),
    [aux_sym_using_clause_token1] = ACTIONS(1465),
    [aux_sym_return_statement_token1] = ACTIONS(1465),
    [aux_sym_call_statement_token1] = ACTIONS(1465),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1465),
    [aux_sym_if_statement_token1] = ACTIONS(1465),
    [aux_sym_loop_statement_token1] = ACTIONS(1465),
    [aux_sym_repeat_statement_token1] = ACTIONS(1465),
    [aux_sym_while_statement_token1] = ACTIONS(1465),
    [aux_sym_break_statement_token1] = ACTIONS(1465),
    [aux_sym_leave_statement_token1] = ACTIONS(1465),
    [aux_sym_continue_statement_token1] = ACTIONS(1465),
    [aux_sym_iterate_statement_token1] = ACTIONS(1465),
    [aux_sym_raise_statement_token1] = ACTIONS(1465),
    [anon_sym_EQ] = ACTIONS(1465),
    [aux_sym_assert_statement_token1] = ACTIONS(1465),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1465),
    [aux_sym_insert_statement_token1] = ACTIONS(1465),
    [aux_sym_truncate_statement_token1] = ACTIONS(1465),
    [aux_sym_update_statement_token1] = ACTIONS(1465),
    [aux_sym_merge_statement_token1] = ACTIONS(1465),
    [aux_sym_grant_statement_token1] = ACTIONS(1465),
    [aux_sym_revoke_statement_token1] = ACTIONS(1465),
    [aux_sym_export_data_statement_token1] = ACTIONS(1465),
    [aux_sym_load_data_statement_token1] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1467),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_LT_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1467),
  },
  [4776] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1501),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1501),
    [aux_sym_keyword_replace_token1] = ACTIONS(1501),
    [aux_sym__keyword_alter_token1] = ACTIONS(1501),
    [aux_sym__keyword_create_token1] = ACTIONS(1501),
    [aux_sym__keyword_drop_token1] = ACTIONS(1501),
    [aux_sym__keyword_delete_token1] = ACTIONS(1501),
    [aux_sym__keyword_begin_token1] = ACTIONS(1501),
    [aux_sym__keyword_end_token1] = ACTIONS(1501),
    [aux_sym__keyword_between_token1] = ACTIONS(1501),
    [aux_sym__keyword_else_token1] = ACTIONS(1503),
    [aux_sym__keyword_is_token1] = ACTIONS(1501),
    [aux_sym__keyword_in_token1] = ACTIONS(1503),
    [aux_sym__keyword_and_token1] = ACTIONS(1501),
    [aux_sym__keyword_like_token1] = ACTIONS(1501),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1501),
    [aux_sym__keyword_for_token1] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1501),
    [aux_sym_into_clause_token1] = ACTIONS(1501),
    [aux_sym_using_clause_token1] = ACTIONS(1501),
    [aux_sym_return_statement_token1] = ACTIONS(1501),
    [aux_sym_call_statement_token1] = ACTIONS(1501),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1501),
    [aux_sym_if_statement_token1] = ACTIONS(1501),
    [aux_sym_loop_statement_token1] = ACTIONS(1501),
    [aux_sym_repeat_statement_token1] = ACTIONS(1501),
    [aux_sym_while_statement_token1] = ACTIONS(1501),
    [aux_sym_break_statement_token1] = ACTIONS(1501),
    [aux_sym_leave_statement_token1] = ACTIONS(1501),
    [aux_sym_continue_statement_token1] = ACTIONS(1501),
    [aux_sym_iterate_statement_token1] = ACTIONS(1501),
    [aux_sym_raise_statement_token1] = ACTIONS(1501),
    [anon_sym_EQ] = ACTIONS(1501),
    [aux_sym_assert_statement_token1] = ACTIONS(1501),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1501),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1501),
    [aux_sym_insert_statement_token1] = ACTIONS(1501),
    [aux_sym_truncate_statement_token1] = ACTIONS(1501),
    [aux_sym_update_statement_token1] = ACTIONS(1501),
    [aux_sym_merge_statement_token1] = ACTIONS(1501),
    [aux_sym_grant_statement_token1] = ACTIONS(1501),
    [aux_sym_revoke_statement_token1] = ACTIONS(1501),
    [aux_sym_export_data_statement_token1] = ACTIONS(1501),
    [aux_sym_load_data_statement_token1] = ACTIONS(1501),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_LT_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PIPE] = ACTIONS(1503),
  },
  [4777] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4778] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4779] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4780] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1469),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1469),
    [aux_sym_keyword_replace_token1] = ACTIONS(1469),
    [aux_sym__keyword_alter_token1] = ACTIONS(1469),
    [aux_sym__keyword_create_token1] = ACTIONS(1469),
    [aux_sym__keyword_drop_token1] = ACTIONS(1469),
    [aux_sym__keyword_delete_token1] = ACTIONS(1469),
    [aux_sym__keyword_begin_token1] = ACTIONS(1469),
    [aux_sym__keyword_end_token1] = ACTIONS(1469),
    [aux_sym__keyword_between_token1] = ACTIONS(1469),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1469),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1469),
    [aux_sym__keyword_like_token1] = ACTIONS(1469),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1469),
    [aux_sym__keyword_for_token1] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1469),
    [aux_sym_into_clause_token1] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1469),
    [aux_sym_return_statement_token1] = ACTIONS(1469),
    [aux_sym_call_statement_token1] = ACTIONS(1469),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1469),
    [aux_sym_if_statement_token1] = ACTIONS(1469),
    [aux_sym_loop_statement_token1] = ACTIONS(1469),
    [aux_sym_repeat_statement_token1] = ACTIONS(1469),
    [aux_sym_while_statement_token1] = ACTIONS(1469),
    [aux_sym_break_statement_token1] = ACTIONS(1469),
    [aux_sym_leave_statement_token1] = ACTIONS(1469),
    [aux_sym_continue_statement_token1] = ACTIONS(1469),
    [aux_sym_iterate_statement_token1] = ACTIONS(1469),
    [aux_sym_raise_statement_token1] = ACTIONS(1469),
    [anon_sym_EQ] = ACTIONS(1469),
    [aux_sym_assert_statement_token1] = ACTIONS(1469),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1469),
    [aux_sym_insert_statement_token1] = ACTIONS(1469),
    [aux_sym_truncate_statement_token1] = ACTIONS(1469),
    [aux_sym_update_statement_token1] = ACTIONS(1469),
    [aux_sym_merge_statement_token1] = ACTIONS(1469),
    [aux_sym_grant_statement_token1] = ACTIONS(1469),
    [aux_sym_revoke_statement_token1] = ACTIONS(1469),
    [aux_sym_export_data_statement_token1] = ACTIONS(1469),
    [aux_sym_load_data_statement_token1] = ACTIONS(1469),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [4781] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4782] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4783] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1713),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1713),
    [aux_sym_keyword_replace_token1] = ACTIONS(1713),
    [aux_sym__keyword_alter_token1] = ACTIONS(1713),
    [aux_sym__keyword_create_token1] = ACTIONS(1713),
    [aux_sym__keyword_drop_token1] = ACTIONS(1713),
    [aux_sym__keyword_delete_token1] = ACTIONS(1713),
    [aux_sym__keyword_begin_token1] = ACTIONS(1713),
    [aux_sym__keyword_end_token1] = ACTIONS(1713),
    [aux_sym__keyword_between_token1] = ACTIONS(1713),
    [aux_sym__keyword_else_token1] = ACTIONS(1715),
    [aux_sym__keyword_is_token1] = ACTIONS(1713),
    [aux_sym__keyword_in_token1] = ACTIONS(1715),
    [aux_sym__keyword_and_token1] = ACTIONS(1713),
    [aux_sym__keyword_like_token1] = ACTIONS(1713),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1713),
    [aux_sym__keyword_for_token1] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1713),
    [aux_sym_declare_statement_token1] = ACTIONS(1713),
    [aux_sym_set_statement_token1] = ACTIONS(1713),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1713),
    [aux_sym_into_clause_token1] = ACTIONS(1713),
    [aux_sym_using_clause_token1] = ACTIONS(1713),
    [aux_sym_return_statement_token1] = ACTIONS(1713),
    [aux_sym_call_statement_token1] = ACTIONS(1713),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1713),
    [aux_sym_if_statement_token1] = ACTIONS(1713),
    [aux_sym_loop_statement_token1] = ACTIONS(1713),
    [aux_sym_repeat_statement_token1] = ACTIONS(1713),
    [aux_sym_while_statement_token1] = ACTIONS(1713),
    [aux_sym_break_statement_token1] = ACTIONS(1713),
    [aux_sym_leave_statement_token1] = ACTIONS(1713),
    [aux_sym_continue_statement_token1] = ACTIONS(1713),
    [aux_sym_iterate_statement_token1] = ACTIONS(1713),
    [aux_sym_raise_statement_token1] = ACTIONS(1713),
    [anon_sym_EQ] = ACTIONS(1713),
    [aux_sym_assert_statement_token1] = ACTIONS(1713),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1713),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [aux_sym_select_token1] = ACTIONS(1713),
    [aux_sym_insert_statement_token1] = ACTIONS(1713),
    [aux_sym_truncate_statement_token1] = ACTIONS(1713),
    [aux_sym_update_statement_token1] = ACTIONS(1713),
    [aux_sym_merge_statement_token1] = ACTIONS(1713),
    [aux_sym_grant_statement_token1] = ACTIONS(1713),
    [aux_sym_revoke_statement_token1] = ACTIONS(1713),
    [aux_sym_export_data_statement_token1] = ACTIONS(1713),
    [aux_sym_load_data_statement_token1] = ACTIONS(1713),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym_PIPE_PIPE] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_BANG_EQ] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_GT_GT] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_CARET] = ACTIONS(1713),
    [anon_sym_PIPE] = ACTIONS(1715),
  },
  [4784] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4785] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4786] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1489),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1489),
    [aux_sym_keyword_replace_token1] = ACTIONS(1489),
    [aux_sym__keyword_alter_token1] = ACTIONS(1489),
    [aux_sym__keyword_create_token1] = ACTIONS(1489),
    [aux_sym__keyword_drop_token1] = ACTIONS(1489),
    [aux_sym__keyword_delete_token1] = ACTIONS(1489),
    [aux_sym__keyword_begin_token1] = ACTIONS(1489),
    [aux_sym__keyword_end_token1] = ACTIONS(1489),
    [aux_sym__keyword_between_token1] = ACTIONS(1489),
    [aux_sym__keyword_else_token1] = ACTIONS(1491),
    [aux_sym__keyword_is_token1] = ACTIONS(1489),
    [aux_sym__keyword_in_token1] = ACTIONS(1491),
    [aux_sym__keyword_and_token1] = ACTIONS(1489),
    [aux_sym__keyword_like_token1] = ACTIONS(1489),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1489),
    [aux_sym__keyword_for_token1] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1489),
    [aux_sym_into_clause_token1] = ACTIONS(1489),
    [aux_sym_using_clause_token1] = ACTIONS(1489),
    [aux_sym_return_statement_token1] = ACTIONS(1489),
    [aux_sym_call_statement_token1] = ACTIONS(1489),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1489),
    [aux_sym_if_statement_token1] = ACTIONS(1489),
    [aux_sym_loop_statement_token1] = ACTIONS(1489),
    [aux_sym_repeat_statement_token1] = ACTIONS(1489),
    [aux_sym_while_statement_token1] = ACTIONS(1489),
    [aux_sym_break_statement_token1] = ACTIONS(1489),
    [aux_sym_leave_statement_token1] = ACTIONS(1489),
    [aux_sym_continue_statement_token1] = ACTIONS(1489),
    [aux_sym_iterate_statement_token1] = ACTIONS(1489),
    [aux_sym_raise_statement_token1] = ACTIONS(1489),
    [anon_sym_EQ] = ACTIONS(1489),
    [aux_sym_assert_statement_token1] = ACTIONS(1489),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1489),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1489),
    [aux_sym_insert_statement_token1] = ACTIONS(1489),
    [aux_sym_truncate_statement_token1] = ACTIONS(1489),
    [aux_sym_update_statement_token1] = ACTIONS(1489),
    [aux_sym_merge_statement_token1] = ACTIONS(1489),
    [aux_sym_grant_statement_token1] = ACTIONS(1489),
    [aux_sym_revoke_statement_token1] = ACTIONS(1489),
    [aux_sym_export_data_statement_token1] = ACTIONS(1489),
    [aux_sym_load_data_statement_token1] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_LT_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PIPE] = ACTIONS(1491),
  },
  [4787] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4788] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1481),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1481),
    [aux_sym_keyword_replace_token1] = ACTIONS(1481),
    [aux_sym__keyword_alter_token1] = ACTIONS(1481),
    [aux_sym__keyword_create_token1] = ACTIONS(1481),
    [aux_sym__keyword_drop_token1] = ACTIONS(1481),
    [aux_sym__keyword_delete_token1] = ACTIONS(1481),
    [aux_sym__keyword_begin_token1] = ACTIONS(1481),
    [aux_sym__keyword_end_token1] = ACTIONS(1481),
    [aux_sym__keyword_between_token1] = ACTIONS(1481),
    [aux_sym__keyword_else_token1] = ACTIONS(1483),
    [aux_sym__keyword_is_token1] = ACTIONS(1481),
    [aux_sym__keyword_in_token1] = ACTIONS(1483),
    [aux_sym__keyword_and_token1] = ACTIONS(1481),
    [aux_sym__keyword_like_token1] = ACTIONS(1481),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1481),
    [aux_sym__keyword_for_token1] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1481),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1481),
    [aux_sym_into_clause_token1] = ACTIONS(1481),
    [aux_sym_using_clause_token1] = ACTIONS(1481),
    [aux_sym_return_statement_token1] = ACTIONS(1481),
    [aux_sym_call_statement_token1] = ACTIONS(1481),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1481),
    [aux_sym_if_statement_token1] = ACTIONS(1481),
    [aux_sym_loop_statement_token1] = ACTIONS(1481),
    [aux_sym_repeat_statement_token1] = ACTIONS(1481),
    [aux_sym_while_statement_token1] = ACTIONS(1481),
    [aux_sym_break_statement_token1] = ACTIONS(1481),
    [aux_sym_leave_statement_token1] = ACTIONS(1481),
    [aux_sym_continue_statement_token1] = ACTIONS(1481),
    [aux_sym_iterate_statement_token1] = ACTIONS(1481),
    [aux_sym_raise_statement_token1] = ACTIONS(1481),
    [anon_sym_EQ] = ACTIONS(1481),
    [aux_sym_assert_statement_token1] = ACTIONS(1481),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1481),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1481),
    [aux_sym_insert_statement_token1] = ACTIONS(1481),
    [aux_sym_truncate_statement_token1] = ACTIONS(1481),
    [aux_sym_update_statement_token1] = ACTIONS(1481),
    [aux_sym_merge_statement_token1] = ACTIONS(1481),
    [aux_sym_grant_statement_token1] = ACTIONS(1481),
    [aux_sym_revoke_statement_token1] = ACTIONS(1481),
    [aux_sym_export_data_statement_token1] = ACTIONS(1481),
    [aux_sym_load_data_statement_token1] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_LT_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PIPE] = ACTIONS(1483),
  },
  [4789] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4790] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4791] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1441),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1441),
    [aux_sym_keyword_replace_token1] = ACTIONS(1441),
    [aux_sym__keyword_alter_token1] = ACTIONS(1441),
    [aux_sym__keyword_create_token1] = ACTIONS(1441),
    [aux_sym__keyword_drop_token1] = ACTIONS(1441),
    [aux_sym__keyword_delete_token1] = ACTIONS(1441),
    [aux_sym__keyword_begin_token1] = ACTIONS(1441),
    [aux_sym__keyword_end_token1] = ACTIONS(1441),
    [aux_sym__keyword_between_token1] = ACTIONS(1441),
    [aux_sym__keyword_else_token1] = ACTIONS(1443),
    [aux_sym__keyword_is_token1] = ACTIONS(1441),
    [aux_sym__keyword_in_token1] = ACTIONS(1443),
    [aux_sym__keyword_and_token1] = ACTIONS(1441),
    [aux_sym__keyword_like_token1] = ACTIONS(1441),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1441),
    [aux_sym__keyword_for_token1] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1441),
    [aux_sym_into_clause_token1] = ACTIONS(1441),
    [aux_sym_using_clause_token1] = ACTIONS(1441),
    [aux_sym_return_statement_token1] = ACTIONS(1441),
    [aux_sym_call_statement_token1] = ACTIONS(1441),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1441),
    [aux_sym_if_statement_token1] = ACTIONS(1441),
    [aux_sym_loop_statement_token1] = ACTIONS(1441),
    [aux_sym_repeat_statement_token1] = ACTIONS(1441),
    [aux_sym_while_statement_token1] = ACTIONS(1441),
    [aux_sym_break_statement_token1] = ACTIONS(1441),
    [aux_sym_leave_statement_token1] = ACTIONS(1441),
    [aux_sym_continue_statement_token1] = ACTIONS(1441),
    [aux_sym_iterate_statement_token1] = ACTIONS(1441),
    [aux_sym_raise_statement_token1] = ACTIONS(1441),
    [anon_sym_EQ] = ACTIONS(1441),
    [aux_sym_assert_statement_token1] = ACTIONS(1441),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1441),
    [anon_sym_LT] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1441),
    [aux_sym_insert_statement_token1] = ACTIONS(1441),
    [aux_sym_truncate_statement_token1] = ACTIONS(1441),
    [aux_sym_update_statement_token1] = ACTIONS(1441),
    [aux_sym_merge_statement_token1] = ACTIONS(1441),
    [aux_sym_grant_statement_token1] = ACTIONS(1441),
    [aux_sym_revoke_statement_token1] = ACTIONS(1441),
    [aux_sym_export_data_statement_token1] = ACTIONS(1441),
    [aux_sym_load_data_statement_token1] = ACTIONS(1441),
    [anon_sym_LBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1443),
    [anon_sym_PIPE_PIPE] = ACTIONS(1441),
    [anon_sym_LT_EQ] = ACTIONS(1441),
    [anon_sym_LT_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1441),
    [anon_sym_BANG_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_PIPE] = ACTIONS(1443),
  },
  [4792] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1633),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1633),
    [aux_sym_keyword_replace_token1] = ACTIONS(1633),
    [aux_sym__keyword_alter_token1] = ACTIONS(1633),
    [aux_sym__keyword_create_token1] = ACTIONS(1633),
    [aux_sym__keyword_drop_token1] = ACTIONS(1633),
    [aux_sym__keyword_delete_token1] = ACTIONS(1633),
    [aux_sym__keyword_begin_token1] = ACTIONS(1633),
    [aux_sym__keyword_end_token1] = ACTIONS(1633),
    [aux_sym__keyword_between_token1] = ACTIONS(1633),
    [aux_sym__keyword_else_token1] = ACTIONS(1635),
    [aux_sym__keyword_is_token1] = ACTIONS(1633),
    [aux_sym__keyword_in_token1] = ACTIONS(1635),
    [aux_sym__keyword_and_token1] = ACTIONS(1633),
    [aux_sym__keyword_like_token1] = ACTIONS(1633),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1633),
    [aux_sym__keyword_for_token1] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1633),
    [aux_sym_into_clause_token1] = ACTIONS(1633),
    [aux_sym_using_clause_token1] = ACTIONS(1633),
    [aux_sym_return_statement_token1] = ACTIONS(1633),
    [aux_sym_call_statement_token1] = ACTIONS(1633),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1633),
    [aux_sym_if_statement_token1] = ACTIONS(1633),
    [aux_sym_loop_statement_token1] = ACTIONS(1633),
    [aux_sym_repeat_statement_token1] = ACTIONS(1633),
    [aux_sym_while_statement_token1] = ACTIONS(1633),
    [aux_sym_break_statement_token1] = ACTIONS(1633),
    [aux_sym_leave_statement_token1] = ACTIONS(1633),
    [aux_sym_continue_statement_token1] = ACTIONS(1633),
    [aux_sym_iterate_statement_token1] = ACTIONS(1633),
    [aux_sym_raise_statement_token1] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(1633),
    [aux_sym_assert_statement_token1] = ACTIONS(1633),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1633),
    [aux_sym_insert_statement_token1] = ACTIONS(1633),
    [aux_sym_truncate_statement_token1] = ACTIONS(1633),
    [aux_sym_update_statement_token1] = ACTIONS(1633),
    [aux_sym_merge_statement_token1] = ACTIONS(1633),
    [aux_sym_grant_statement_token1] = ACTIONS(1633),
    [aux_sym_revoke_statement_token1] = ACTIONS(1633),
    [aux_sym_export_data_statement_token1] = ACTIONS(1633),
    [aux_sym_load_data_statement_token1] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_PIPE] = ACTIONS(1635),
  },
  [4793] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4794] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4795] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4796] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4797] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4798] = {
    [ts_builtin_sym_end] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1461),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1461),
    [aux_sym_keyword_replace_token1] = ACTIONS(1461),
    [aux_sym__keyword_alter_token1] = ACTIONS(1461),
    [aux_sym__keyword_create_token1] = ACTIONS(1461),
    [aux_sym__keyword_drop_token1] = ACTIONS(1461),
    [aux_sym__keyword_delete_token1] = ACTIONS(1461),
    [aux_sym__keyword_begin_token1] = ACTIONS(1461),
    [aux_sym__keyword_end_token1] = ACTIONS(1461),
    [aux_sym__keyword_between_token1] = ACTIONS(1461),
    [aux_sym__keyword_else_token1] = ACTIONS(1463),
    [aux_sym__keyword_is_token1] = ACTIONS(1461),
    [aux_sym__keyword_in_token1] = ACTIONS(1463),
    [aux_sym__keyword_and_token1] = ACTIONS(1461),
    [aux_sym__keyword_like_token1] = ACTIONS(1461),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1461),
    [aux_sym__keyword_for_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1461),
    [aux_sym_into_clause_token1] = ACTIONS(1461),
    [aux_sym_using_clause_token1] = ACTIONS(1461),
    [aux_sym_return_statement_token1] = ACTIONS(1461),
    [aux_sym_call_statement_token1] = ACTIONS(1461),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1461),
    [aux_sym_if_statement_token1] = ACTIONS(1461),
    [aux_sym_loop_statement_token1] = ACTIONS(1461),
    [aux_sym_repeat_statement_token1] = ACTIONS(1461),
    [aux_sym_while_statement_token1] = ACTIONS(1461),
    [aux_sym_break_statement_token1] = ACTIONS(1461),
    [aux_sym_leave_statement_token1] = ACTIONS(1461),
    [aux_sym_continue_statement_token1] = ACTIONS(1461),
    [aux_sym_iterate_statement_token1] = ACTIONS(1461),
    [aux_sym_raise_statement_token1] = ACTIONS(1461),
    [anon_sym_EQ] = ACTIONS(1461),
    [aux_sym_assert_statement_token1] = ACTIONS(1461),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1461),
    [aux_sym_insert_statement_token1] = ACTIONS(1461),
    [aux_sym_truncate_statement_token1] = ACTIONS(1461),
    [aux_sym_update_statement_token1] = ACTIONS(1461),
    [aux_sym_merge_statement_token1] = ACTIONS(1461),
    [aux_sym_grant_statement_token1] = ACTIONS(1461),
    [aux_sym_revoke_statement_token1] = ACTIONS(1461),
    [aux_sym_export_data_statement_token1] = ACTIONS(1461),
    [aux_sym_load_data_statement_token1] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_LT_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1463),
  },
  [4799] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4800] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4801] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4802] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4803] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4804] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4805] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4806] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4807] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4808] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1421),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1421),
    [aux_sym_keyword_replace_token1] = ACTIONS(1421),
    [aux_sym__keyword_alter_token1] = ACTIONS(1421),
    [aux_sym__keyword_create_token1] = ACTIONS(1421),
    [aux_sym__keyword_drop_token1] = ACTIONS(1421),
    [aux_sym__keyword_delete_token1] = ACTIONS(1421),
    [aux_sym__keyword_begin_token1] = ACTIONS(1421),
    [aux_sym__keyword_end_token1] = ACTIONS(1421),
    [aux_sym__keyword_between_token1] = ACTIONS(1421),
    [aux_sym__keyword_else_token1] = ACTIONS(1423),
    [aux_sym__keyword_is_token1] = ACTIONS(1421),
    [aux_sym__keyword_in_token1] = ACTIONS(1423),
    [aux_sym__keyword_and_token1] = ACTIONS(1421),
    [aux_sym__keyword_like_token1] = ACTIONS(1421),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1421),
    [aux_sym__keyword_for_token1] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1421),
    [aux_sym_into_clause_token1] = ACTIONS(1421),
    [aux_sym_using_clause_token1] = ACTIONS(1421),
    [aux_sym_return_statement_token1] = ACTIONS(1421),
    [aux_sym_call_statement_token1] = ACTIONS(1421),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1421),
    [aux_sym_if_statement_token1] = ACTIONS(1421),
    [aux_sym_loop_statement_token1] = ACTIONS(1421),
    [aux_sym_repeat_statement_token1] = ACTIONS(1421),
    [aux_sym_while_statement_token1] = ACTIONS(1421),
    [aux_sym_break_statement_token1] = ACTIONS(1421),
    [aux_sym_leave_statement_token1] = ACTIONS(1421),
    [aux_sym_continue_statement_token1] = ACTIONS(1421),
    [aux_sym_iterate_statement_token1] = ACTIONS(1421),
    [aux_sym_raise_statement_token1] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [aux_sym_assert_statement_token1] = ACTIONS(1421),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1421),
    [aux_sym_insert_statement_token1] = ACTIONS(1421),
    [aux_sym_truncate_statement_token1] = ACTIONS(1421),
    [aux_sym_update_statement_token1] = ACTIONS(1421),
    [aux_sym_merge_statement_token1] = ACTIONS(1421),
    [aux_sym_grant_statement_token1] = ACTIONS(1421),
    [aux_sym_revoke_statement_token1] = ACTIONS(1421),
    [aux_sym_export_data_statement_token1] = ACTIONS(1421),
    [aux_sym_load_data_statement_token1] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1423),
  },
  [4809] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4810] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1613),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1613),
    [aux_sym_keyword_replace_token1] = ACTIONS(1613),
    [aux_sym__keyword_alter_token1] = ACTIONS(1613),
    [aux_sym__keyword_create_token1] = ACTIONS(1613),
    [aux_sym__keyword_drop_token1] = ACTIONS(1613),
    [aux_sym__keyword_delete_token1] = ACTIONS(1613),
    [aux_sym__keyword_begin_token1] = ACTIONS(1613),
    [aux_sym__keyword_end_token1] = ACTIONS(1613),
    [aux_sym__keyword_between_token1] = ACTIONS(1613),
    [aux_sym__keyword_else_token1] = ACTIONS(1615),
    [aux_sym__keyword_is_token1] = ACTIONS(1613),
    [aux_sym__keyword_in_token1] = ACTIONS(1615),
    [aux_sym__keyword_and_token1] = ACTIONS(1613),
    [aux_sym__keyword_like_token1] = ACTIONS(1613),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1613),
    [aux_sym__keyword_for_token1] = ACTIONS(1613),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1613),
    [aux_sym_into_clause_token1] = ACTIONS(1613),
    [aux_sym_using_clause_token1] = ACTIONS(1613),
    [aux_sym_return_statement_token1] = ACTIONS(1613),
    [aux_sym_call_statement_token1] = ACTIONS(1613),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1613),
    [aux_sym_if_statement_token1] = ACTIONS(1613),
    [aux_sym_loop_statement_token1] = ACTIONS(1613),
    [aux_sym_repeat_statement_token1] = ACTIONS(1613),
    [aux_sym_while_statement_token1] = ACTIONS(1613),
    [aux_sym_break_statement_token1] = ACTIONS(1613),
    [aux_sym_leave_statement_token1] = ACTIONS(1613),
    [aux_sym_continue_statement_token1] = ACTIONS(1613),
    [aux_sym_iterate_statement_token1] = ACTIONS(1613),
    [aux_sym_raise_statement_token1] = ACTIONS(1613),
    [anon_sym_EQ] = ACTIONS(1613),
    [aux_sym_assert_statement_token1] = ACTIONS(1613),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1613),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_GT] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1613),
    [aux_sym_insert_statement_token1] = ACTIONS(1613),
    [aux_sym_truncate_statement_token1] = ACTIONS(1613),
    [aux_sym_update_statement_token1] = ACTIONS(1613),
    [aux_sym_merge_statement_token1] = ACTIONS(1613),
    [aux_sym_grant_statement_token1] = ACTIONS(1613),
    [aux_sym_revoke_statement_token1] = ACTIONS(1613),
    [aux_sym_export_data_statement_token1] = ACTIONS(1613),
    [aux_sym_load_data_statement_token1] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PIPE_PIPE] = ACTIONS(1613),
    [anon_sym_LT_EQ] = ACTIONS(1613),
    [anon_sym_LT_GT] = ACTIONS(1613),
    [anon_sym_GT_EQ] = ACTIONS(1613),
    [anon_sym_BANG_EQ] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1613),
    [anon_sym_GT_GT] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_PIPE] = ACTIONS(1615),
  },
  [4811] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4812] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4813] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4814] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4815] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4816] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4817] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4818] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1405),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1405),
    [aux_sym_keyword_replace_token1] = ACTIONS(1405),
    [aux_sym__keyword_alter_token1] = ACTIONS(1405),
    [aux_sym__keyword_create_token1] = ACTIONS(1405),
    [aux_sym__keyword_drop_token1] = ACTIONS(1405),
    [aux_sym__keyword_delete_token1] = ACTIONS(1405),
    [aux_sym__keyword_begin_token1] = ACTIONS(1405),
    [aux_sym__keyword_end_token1] = ACTIONS(1405),
    [aux_sym__keyword_between_token1] = ACTIONS(1405),
    [aux_sym__keyword_else_token1] = ACTIONS(1407),
    [aux_sym__keyword_is_token1] = ACTIONS(1405),
    [aux_sym__keyword_in_token1] = ACTIONS(1407),
    [aux_sym__keyword_and_token1] = ACTIONS(1405),
    [aux_sym__keyword_like_token1] = ACTIONS(1405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1405),
    [aux_sym__keyword_for_token1] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1405),
    [aux_sym_into_clause_token1] = ACTIONS(1405),
    [aux_sym_using_clause_token1] = ACTIONS(1405),
    [aux_sym_return_statement_token1] = ACTIONS(1405),
    [aux_sym_call_statement_token1] = ACTIONS(1405),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1405),
    [aux_sym_if_statement_token1] = ACTIONS(1405),
    [aux_sym_loop_statement_token1] = ACTIONS(1405),
    [aux_sym_repeat_statement_token1] = ACTIONS(1405),
    [aux_sym_while_statement_token1] = ACTIONS(1405),
    [aux_sym_break_statement_token1] = ACTIONS(1405),
    [aux_sym_leave_statement_token1] = ACTIONS(1405),
    [aux_sym_continue_statement_token1] = ACTIONS(1405),
    [aux_sym_iterate_statement_token1] = ACTIONS(1405),
    [aux_sym_raise_statement_token1] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [aux_sym_assert_statement_token1] = ACTIONS(1405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1405),
    [aux_sym_insert_statement_token1] = ACTIONS(1405),
    [aux_sym_truncate_statement_token1] = ACTIONS(1405),
    [aux_sym_update_statement_token1] = ACTIONS(1405),
    [aux_sym_merge_statement_token1] = ACTIONS(1405),
    [aux_sym_grant_statement_token1] = ACTIONS(1405),
    [aux_sym_revoke_statement_token1] = ACTIONS(1405),
    [aux_sym_export_data_statement_token1] = ACTIONS(1405),
    [aux_sym_load_data_statement_token1] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_GT] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
  },
  [4819] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4820] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_into_clause_token1] = ACTIONS(1685),
    [aux_sym_using_clause_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [4821] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_into_clause_token1] = ACTIONS(1685),
    [aux_sym_using_clause_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [4822] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_into_clause_token1] = ACTIONS(1685),
    [aux_sym_using_clause_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [4823] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1685),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1685),
    [aux_sym_keyword_replace_token1] = ACTIONS(1685),
    [aux_sym__keyword_alter_token1] = ACTIONS(1685),
    [aux_sym__keyword_create_token1] = ACTIONS(1685),
    [aux_sym__keyword_drop_token1] = ACTIONS(1685),
    [aux_sym__keyword_delete_token1] = ACTIONS(1685),
    [aux_sym__keyword_begin_token1] = ACTIONS(1685),
    [aux_sym__keyword_end_token1] = ACTIONS(1685),
    [aux_sym__keyword_between_token1] = ACTIONS(1685),
    [aux_sym__keyword_else_token1] = ACTIONS(1687),
    [aux_sym__keyword_is_token1] = ACTIONS(1685),
    [aux_sym__keyword_in_token1] = ACTIONS(1687),
    [aux_sym__keyword_and_token1] = ACTIONS(1685),
    [aux_sym__keyword_like_token1] = ACTIONS(1685),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1685),
    [aux_sym__keyword_for_token1] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1685),
    [aux_sym_into_clause_token1] = ACTIONS(1685),
    [aux_sym_using_clause_token1] = ACTIONS(1685),
    [aux_sym_return_statement_token1] = ACTIONS(1685),
    [aux_sym_call_statement_token1] = ACTIONS(1685),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1685),
    [aux_sym_if_statement_token1] = ACTIONS(1685),
    [aux_sym_loop_statement_token1] = ACTIONS(1685),
    [aux_sym_repeat_statement_token1] = ACTIONS(1685),
    [aux_sym_while_statement_token1] = ACTIONS(1685),
    [aux_sym_break_statement_token1] = ACTIONS(1685),
    [aux_sym_leave_statement_token1] = ACTIONS(1685),
    [aux_sym_continue_statement_token1] = ACTIONS(1685),
    [aux_sym_iterate_statement_token1] = ACTIONS(1685),
    [aux_sym_raise_statement_token1] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [aux_sym_assert_statement_token1] = ACTIONS(1685),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1685),
    [aux_sym_insert_statement_token1] = ACTIONS(1685),
    [aux_sym_truncate_statement_token1] = ACTIONS(1685),
    [aux_sym_update_statement_token1] = ACTIONS(1685),
    [aux_sym_merge_statement_token1] = ACTIONS(1685),
    [aux_sym_grant_statement_token1] = ACTIONS(1685),
    [aux_sym_revoke_statement_token1] = ACTIONS(1685),
    [aux_sym_export_data_statement_token1] = ACTIONS(1685),
    [aux_sym_load_data_statement_token1] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym_PIPE_PIPE] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_BANG_EQ] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_GT_GT] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_CARET] = ACTIONS(1685),
    [anon_sym_PIPE] = ACTIONS(1687),
  },
  [4824] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1857),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_into_clause_token1] = ACTIONS(1857),
    [aux_sym_using_clause_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [4825] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1857),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1857),
    [aux_sym_keyword_replace_token1] = ACTIONS(1857),
    [aux_sym__keyword_alter_token1] = ACTIONS(1857),
    [aux_sym__keyword_create_token1] = ACTIONS(1857),
    [aux_sym__keyword_drop_token1] = ACTIONS(1857),
    [aux_sym__keyword_delete_token1] = ACTIONS(1857),
    [aux_sym__keyword_begin_token1] = ACTIONS(1857),
    [aux_sym__keyword_end_token1] = ACTIONS(1857),
    [aux_sym__keyword_between_token1] = ACTIONS(1857),
    [aux_sym__keyword_else_token1] = ACTIONS(1859),
    [aux_sym__keyword_is_token1] = ACTIONS(1857),
    [aux_sym__keyword_in_token1] = ACTIONS(1859),
    [aux_sym__keyword_and_token1] = ACTIONS(1857),
    [aux_sym__keyword_like_token1] = ACTIONS(1857),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1857),
    [aux_sym__keyword_for_token1] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1857),
    [aux_sym_into_clause_token1] = ACTIONS(1857),
    [aux_sym_using_clause_token1] = ACTIONS(1857),
    [aux_sym_return_statement_token1] = ACTIONS(1857),
    [aux_sym_call_statement_token1] = ACTIONS(1857),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1857),
    [aux_sym_if_statement_token1] = ACTIONS(1857),
    [aux_sym_loop_statement_token1] = ACTIONS(1857),
    [aux_sym_repeat_statement_token1] = ACTIONS(1857),
    [aux_sym_while_statement_token1] = ACTIONS(1857),
    [aux_sym_break_statement_token1] = ACTIONS(1857),
    [aux_sym_leave_statement_token1] = ACTIONS(1857),
    [aux_sym_continue_statement_token1] = ACTIONS(1857),
    [aux_sym_iterate_statement_token1] = ACTIONS(1857),
    [aux_sym_raise_statement_token1] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [aux_sym_assert_statement_token1] = ACTIONS(1857),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1857),
    [aux_sym_insert_statement_token1] = ACTIONS(1857),
    [aux_sym_truncate_statement_token1] = ACTIONS(1857),
    [aux_sym_update_statement_token1] = ACTIONS(1857),
    [aux_sym_merge_statement_token1] = ACTIONS(1857),
    [aux_sym_grant_statement_token1] = ACTIONS(1857),
    [aux_sym_revoke_statement_token1] = ACTIONS(1857),
    [aux_sym_export_data_statement_token1] = ACTIONS(1857),
    [aux_sym_load_data_statement_token1] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_LT_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1859),
  },
  [4826] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4827] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4828] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4829] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4830] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4831] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4832] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1861),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1861),
    [aux_sym_keyword_replace_token1] = ACTIONS(1861),
    [aux_sym__keyword_alter_token1] = ACTIONS(1861),
    [aux_sym__keyword_create_token1] = ACTIONS(1861),
    [aux_sym__keyword_drop_token1] = ACTIONS(1861),
    [aux_sym__keyword_delete_token1] = ACTIONS(1861),
    [aux_sym__keyword_begin_token1] = ACTIONS(1861),
    [aux_sym__keyword_end_token1] = ACTIONS(1861),
    [aux_sym__keyword_between_token1] = ACTIONS(1861),
    [aux_sym__keyword_else_token1] = ACTIONS(1863),
    [aux_sym__keyword_is_token1] = ACTIONS(1861),
    [aux_sym__keyword_in_token1] = ACTIONS(1863),
    [aux_sym__keyword_and_token1] = ACTIONS(1861),
    [aux_sym__keyword_like_token1] = ACTIONS(1861),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1861),
    [aux_sym__keyword_for_token1] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1861),
    [aux_sym_into_clause_token1] = ACTIONS(1861),
    [aux_sym_using_clause_token1] = ACTIONS(1861),
    [aux_sym_return_statement_token1] = ACTIONS(1861),
    [aux_sym_call_statement_token1] = ACTIONS(1861),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1861),
    [aux_sym_if_statement_token1] = ACTIONS(1861),
    [aux_sym_loop_statement_token1] = ACTIONS(1861),
    [aux_sym_repeat_statement_token1] = ACTIONS(1861),
    [aux_sym_while_statement_token1] = ACTIONS(1861),
    [aux_sym_break_statement_token1] = ACTIONS(1861),
    [aux_sym_leave_statement_token1] = ACTIONS(1861),
    [aux_sym_continue_statement_token1] = ACTIONS(1861),
    [aux_sym_iterate_statement_token1] = ACTIONS(1861),
    [aux_sym_raise_statement_token1] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [aux_sym_assert_statement_token1] = ACTIONS(1861),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1861),
    [aux_sym_insert_statement_token1] = ACTIONS(1861),
    [aux_sym_truncate_statement_token1] = ACTIONS(1861),
    [aux_sym_update_statement_token1] = ACTIONS(1861),
    [aux_sym_merge_statement_token1] = ACTIONS(1861),
    [aux_sym_grant_statement_token1] = ACTIONS(1861),
    [aux_sym_revoke_statement_token1] = ACTIONS(1861),
    [aux_sym_export_data_statement_token1] = ACTIONS(1861),
    [aux_sym_load_data_statement_token1] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
  },
  [4833] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1381),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1381),
    [aux_sym_keyword_replace_token1] = ACTIONS(1381),
    [aux_sym__keyword_alter_token1] = ACTIONS(1381),
    [aux_sym__keyword_create_token1] = ACTIONS(1381),
    [aux_sym__keyword_drop_token1] = ACTIONS(1381),
    [aux_sym__keyword_delete_token1] = ACTIONS(1381),
    [aux_sym__keyword_begin_token1] = ACTIONS(1381),
    [aux_sym__keyword_end_token1] = ACTIONS(1381),
    [aux_sym__keyword_between_token1] = ACTIONS(1381),
    [aux_sym__keyword_else_token1] = ACTIONS(1383),
    [aux_sym__keyword_is_token1] = ACTIONS(1381),
    [aux_sym__keyword_in_token1] = ACTIONS(1383),
    [aux_sym__keyword_and_token1] = ACTIONS(1381),
    [aux_sym__keyword_like_token1] = ACTIONS(1381),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1381),
    [aux_sym__keyword_for_token1] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1381),
    [aux_sym_into_clause_token1] = ACTIONS(1381),
    [aux_sym_using_clause_token1] = ACTIONS(1381),
    [aux_sym_return_statement_token1] = ACTIONS(1381),
    [aux_sym_call_statement_token1] = ACTIONS(1381),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1381),
    [aux_sym_if_statement_token1] = ACTIONS(1381),
    [aux_sym_loop_statement_token1] = ACTIONS(1381),
    [aux_sym_repeat_statement_token1] = ACTIONS(1381),
    [aux_sym_while_statement_token1] = ACTIONS(1381),
    [aux_sym_break_statement_token1] = ACTIONS(1381),
    [aux_sym_leave_statement_token1] = ACTIONS(1381),
    [aux_sym_continue_statement_token1] = ACTIONS(1381),
    [aux_sym_iterate_statement_token1] = ACTIONS(1381),
    [aux_sym_raise_statement_token1] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1381),
    [aux_sym_assert_statement_token1] = ACTIONS(1381),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1381),
    [aux_sym_insert_statement_token1] = ACTIONS(1381),
    [aux_sym_truncate_statement_token1] = ACTIONS(1381),
    [aux_sym_update_statement_token1] = ACTIONS(1381),
    [aux_sym_merge_statement_token1] = ACTIONS(1381),
    [aux_sym_grant_statement_token1] = ACTIONS(1381),
    [aux_sym_revoke_statement_token1] = ACTIONS(1381),
    [aux_sym_export_data_statement_token1] = ACTIONS(1381),
    [aux_sym_load_data_statement_token1] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1381),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
  },
  [4834] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1385),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1385),
    [aux_sym_keyword_replace_token1] = ACTIONS(1385),
    [aux_sym__keyword_alter_token1] = ACTIONS(1385),
    [aux_sym__keyword_create_token1] = ACTIONS(1385),
    [aux_sym__keyword_drop_token1] = ACTIONS(1385),
    [aux_sym__keyword_delete_token1] = ACTIONS(1385),
    [aux_sym__keyword_begin_token1] = ACTIONS(1385),
    [aux_sym__keyword_end_token1] = ACTIONS(1385),
    [aux_sym__keyword_between_token1] = ACTIONS(1385),
    [aux_sym__keyword_else_token1] = ACTIONS(1387),
    [aux_sym__keyword_is_token1] = ACTIONS(1385),
    [aux_sym__keyword_in_token1] = ACTIONS(1387),
    [aux_sym__keyword_and_token1] = ACTIONS(1385),
    [aux_sym__keyword_like_token1] = ACTIONS(1385),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1385),
    [aux_sym__keyword_for_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1385),
    [aux_sym_into_clause_token1] = ACTIONS(1385),
    [aux_sym_using_clause_token1] = ACTIONS(1385),
    [aux_sym_return_statement_token1] = ACTIONS(1385),
    [aux_sym_call_statement_token1] = ACTIONS(1385),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1385),
    [aux_sym_if_statement_token1] = ACTIONS(1385),
    [aux_sym_loop_statement_token1] = ACTIONS(1385),
    [aux_sym_repeat_statement_token1] = ACTIONS(1385),
    [aux_sym_while_statement_token1] = ACTIONS(1385),
    [aux_sym_break_statement_token1] = ACTIONS(1385),
    [aux_sym_leave_statement_token1] = ACTIONS(1385),
    [aux_sym_continue_statement_token1] = ACTIONS(1385),
    [aux_sym_iterate_statement_token1] = ACTIONS(1385),
    [aux_sym_raise_statement_token1] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [aux_sym_assert_statement_token1] = ACTIONS(1385),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1385),
    [aux_sym_insert_statement_token1] = ACTIONS(1385),
    [aux_sym_truncate_statement_token1] = ACTIONS(1385),
    [aux_sym_update_statement_token1] = ACTIONS(1385),
    [aux_sym_merge_statement_token1] = ACTIONS(1385),
    [aux_sym_grant_statement_token1] = ACTIONS(1385),
    [aux_sym_revoke_statement_token1] = ACTIONS(1385),
    [aux_sym_export_data_statement_token1] = ACTIONS(1385),
    [aux_sym_load_data_statement_token1] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
  },
  [4835] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1401),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1401),
    [aux_sym_keyword_replace_token1] = ACTIONS(1401),
    [aux_sym__keyword_alter_token1] = ACTIONS(1401),
    [aux_sym__keyword_create_token1] = ACTIONS(1401),
    [aux_sym__keyword_drop_token1] = ACTIONS(1401),
    [aux_sym__keyword_delete_token1] = ACTIONS(1401),
    [aux_sym__keyword_begin_token1] = ACTIONS(1401),
    [aux_sym__keyword_end_token1] = ACTIONS(1401),
    [aux_sym__keyword_between_token1] = ACTIONS(1401),
    [aux_sym__keyword_else_token1] = ACTIONS(1403),
    [aux_sym__keyword_is_token1] = ACTIONS(1401),
    [aux_sym__keyword_in_token1] = ACTIONS(1403),
    [aux_sym__keyword_and_token1] = ACTIONS(1401),
    [aux_sym__keyword_like_token1] = ACTIONS(1401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1401),
    [aux_sym__keyword_for_token1] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1401),
    [aux_sym_into_clause_token1] = ACTIONS(1401),
    [aux_sym_using_clause_token1] = ACTIONS(1401),
    [aux_sym_return_statement_token1] = ACTIONS(1401),
    [aux_sym_call_statement_token1] = ACTIONS(1401),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1401),
    [aux_sym_if_statement_token1] = ACTIONS(1401),
    [aux_sym_loop_statement_token1] = ACTIONS(1401),
    [aux_sym_repeat_statement_token1] = ACTIONS(1401),
    [aux_sym_while_statement_token1] = ACTIONS(1401),
    [aux_sym_break_statement_token1] = ACTIONS(1401),
    [aux_sym_leave_statement_token1] = ACTIONS(1401),
    [aux_sym_continue_statement_token1] = ACTIONS(1401),
    [aux_sym_iterate_statement_token1] = ACTIONS(1401),
    [aux_sym_raise_statement_token1] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1401),
    [aux_sym_assert_statement_token1] = ACTIONS(1401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1401),
    [aux_sym_insert_statement_token1] = ACTIONS(1401),
    [aux_sym_truncate_statement_token1] = ACTIONS(1401),
    [aux_sym_update_statement_token1] = ACTIONS(1401),
    [aux_sym_merge_statement_token1] = ACTIONS(1401),
    [aux_sym_grant_statement_token1] = ACTIONS(1401),
    [aux_sym_revoke_statement_token1] = ACTIONS(1401),
    [aux_sym_export_data_statement_token1] = ACTIONS(1401),
    [aux_sym_load_data_statement_token1] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1401),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_GT] = ACTIONS(1401),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
  },
  [4836] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4837] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4838] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4839] = {
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1471),
    [aux_sym_keyword_replace_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_rename_token1] = ACTIONS(1471),
    [aux_sym__keyword_add_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_from_token1] = ACTIONS(1471),
    [aux_sym__keyword_end_token1] = ACTIONS(1471),
    [aux_sym__keyword_struct_token1] = ACTIONS(1471),
    [aux_sym__keyword_range_token1] = ACTIONS(1471),
    [aux_sym__keyword_array_token1] = ACTIONS(1471),
    [aux_sym__keyword_between_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_then_token1] = ACTIONS(1471),
    [aux_sym__keyword_else_token1] = ACTIONS(1471),
    [aux_sym__keyword_is_token1] = ACTIONS(1471),
    [aux_sym__keyword_in_token1] = ACTIONS(1471),
    [aux_sym__keyword_and_token1] = ACTIONS(1471),
    [aux_sym__keyword_like_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [aux_sym_using_clause_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token2] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1471),
    [aux_sym_clone_clause_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(1471),
    [aux_sym_foreign_key_token1] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1471),
    [aux_sym_partition_expression_token5] = ACTIONS(1471),
    [aux_sym_partition_expression_token6] = ACTIONS(1471),
    [aux_sym_partition_expression_token7] = ACTIONS(1471),
    [aux_sym_partition_expression_token8] = ACTIONS(1471),
    [aux_sym_partition_expression_token10] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_rows_range_token1] = ACTIONS(1471),
    [aux_sym__direction_keywords_token1] = ACTIONS(1471),
    [aux_sym__direction_keywords_token2] = ACTIONS(1471),
    [aux_sym__nulls_preference_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1471),
    [aux_sym_join_condition_token1] = ACTIONS(1471),
    [anon_sym_EQ_GT] = ACTIONS(1469),
    [aux_sym_values_clause_token1] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1469),
    [anon_sym_RBRACK] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1471),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1471),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_LT_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1471),
  },
  [4840] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1549),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1549),
    [aux_sym_keyword_replace_token1] = ACTIONS(1549),
    [aux_sym__keyword_alter_token1] = ACTIONS(1549),
    [aux_sym__keyword_create_token1] = ACTIONS(1549),
    [aux_sym__keyword_drop_token1] = ACTIONS(1549),
    [aux_sym__keyword_delete_token1] = ACTIONS(1549),
    [aux_sym__keyword_begin_token1] = ACTIONS(1549),
    [aux_sym__keyword_end_token1] = ACTIONS(1549),
    [aux_sym__keyword_between_token1] = ACTIONS(1549),
    [aux_sym__keyword_else_token1] = ACTIONS(1551),
    [aux_sym__keyword_is_token1] = ACTIONS(1549),
    [aux_sym__keyword_in_token1] = ACTIONS(1551),
    [aux_sym__keyword_and_token1] = ACTIONS(1549),
    [aux_sym__keyword_like_token1] = ACTIONS(1549),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1549),
    [aux_sym__keyword_for_token1] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1549),
    [aux_sym_into_clause_token1] = ACTIONS(1549),
    [aux_sym_using_clause_token1] = ACTIONS(1549),
    [aux_sym_return_statement_token1] = ACTIONS(1549),
    [aux_sym_call_statement_token1] = ACTIONS(1549),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1549),
    [aux_sym_if_statement_token1] = ACTIONS(1549),
    [aux_sym_loop_statement_token1] = ACTIONS(1549),
    [aux_sym_repeat_statement_token1] = ACTIONS(1549),
    [aux_sym_while_statement_token1] = ACTIONS(1549),
    [aux_sym_break_statement_token1] = ACTIONS(1549),
    [aux_sym_leave_statement_token1] = ACTIONS(1549),
    [aux_sym_continue_statement_token1] = ACTIONS(1549),
    [aux_sym_iterate_statement_token1] = ACTIONS(1549),
    [aux_sym_raise_statement_token1] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1549),
    [aux_sym_assert_statement_token1] = ACTIONS(1549),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_GT] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1549),
    [aux_sym_insert_statement_token1] = ACTIONS(1549),
    [aux_sym_truncate_statement_token1] = ACTIONS(1549),
    [aux_sym_update_statement_token1] = ACTIONS(1549),
    [aux_sym_merge_statement_token1] = ACTIONS(1549),
    [aux_sym_grant_statement_token1] = ACTIONS(1549),
    [aux_sym_revoke_statement_token1] = ACTIONS(1549),
    [aux_sym_export_data_statement_token1] = ACTIONS(1549),
    [aux_sym_load_data_statement_token1] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_GT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
  },
  [4841] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4842] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4843] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1361),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1361),
    [aux_sym_keyword_replace_token1] = ACTIONS(1361),
    [aux_sym__keyword_alter_token1] = ACTIONS(1361),
    [aux_sym__keyword_create_token1] = ACTIONS(1361),
    [aux_sym__keyword_drop_token1] = ACTIONS(1361),
    [aux_sym__keyword_delete_token1] = ACTIONS(1361),
    [aux_sym__keyword_begin_token1] = ACTIONS(1361),
    [aux_sym__keyword_end_token1] = ACTIONS(1361),
    [aux_sym__keyword_between_token1] = ACTIONS(1361),
    [aux_sym__keyword_else_token1] = ACTIONS(1363),
    [aux_sym__keyword_is_token1] = ACTIONS(1361),
    [aux_sym__keyword_in_token1] = ACTIONS(1363),
    [aux_sym__keyword_and_token1] = ACTIONS(1361),
    [aux_sym__keyword_like_token1] = ACTIONS(1361),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1361),
    [aux_sym__keyword_for_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1361),
    [aux_sym_into_clause_token1] = ACTIONS(1361),
    [aux_sym_using_clause_token1] = ACTIONS(1361),
    [aux_sym_return_statement_token1] = ACTIONS(1361),
    [aux_sym_call_statement_token1] = ACTIONS(1361),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1361),
    [aux_sym_if_statement_token1] = ACTIONS(1361),
    [aux_sym_loop_statement_token1] = ACTIONS(1361),
    [aux_sym_repeat_statement_token1] = ACTIONS(1361),
    [aux_sym_while_statement_token1] = ACTIONS(1361),
    [aux_sym_break_statement_token1] = ACTIONS(1361),
    [aux_sym_leave_statement_token1] = ACTIONS(1361),
    [aux_sym_continue_statement_token1] = ACTIONS(1361),
    [aux_sym_iterate_statement_token1] = ACTIONS(1361),
    [aux_sym_raise_statement_token1] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1361),
    [aux_sym_assert_statement_token1] = ACTIONS(1361),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1361),
    [aux_sym_insert_statement_token1] = ACTIONS(1361),
    [aux_sym_truncate_statement_token1] = ACTIONS(1361),
    [aux_sym_update_statement_token1] = ACTIONS(1361),
    [aux_sym_merge_statement_token1] = ACTIONS(1361),
    [aux_sym_grant_statement_token1] = ACTIONS(1361),
    [aux_sym_revoke_statement_token1] = ACTIONS(1361),
    [aux_sym_export_data_statement_token1] = ACTIONS(1361),
    [aux_sym_load_data_statement_token1] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
  },
  [4844] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1425),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1425),
    [aux_sym_keyword_replace_token1] = ACTIONS(1425),
    [aux_sym__keyword_alter_token1] = ACTIONS(1425),
    [aux_sym__keyword_create_token1] = ACTIONS(1425),
    [aux_sym__keyword_drop_token1] = ACTIONS(1425),
    [aux_sym__keyword_delete_token1] = ACTIONS(1425),
    [aux_sym__keyword_begin_token1] = ACTIONS(1425),
    [aux_sym__keyword_end_token1] = ACTIONS(1425),
    [aux_sym__keyword_between_token1] = ACTIONS(1425),
    [aux_sym__keyword_else_token1] = ACTIONS(1427),
    [aux_sym__keyword_is_token1] = ACTIONS(1425),
    [aux_sym__keyword_in_token1] = ACTIONS(1427),
    [aux_sym__keyword_and_token1] = ACTIONS(1425),
    [aux_sym__keyword_like_token1] = ACTIONS(1425),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1425),
    [aux_sym__keyword_for_token1] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1425),
    [aux_sym_into_clause_token1] = ACTIONS(1425),
    [aux_sym_using_clause_token1] = ACTIONS(1425),
    [aux_sym_return_statement_token1] = ACTIONS(1425),
    [aux_sym_call_statement_token1] = ACTIONS(1425),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1425),
    [aux_sym_if_statement_token1] = ACTIONS(1425),
    [aux_sym_loop_statement_token1] = ACTIONS(1425),
    [aux_sym_repeat_statement_token1] = ACTIONS(1425),
    [aux_sym_while_statement_token1] = ACTIONS(1425),
    [aux_sym_break_statement_token1] = ACTIONS(1425),
    [aux_sym_leave_statement_token1] = ACTIONS(1425),
    [aux_sym_continue_statement_token1] = ACTIONS(1425),
    [aux_sym_iterate_statement_token1] = ACTIONS(1425),
    [aux_sym_raise_statement_token1] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [aux_sym_assert_statement_token1] = ACTIONS(1425),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1425),
    [aux_sym_insert_statement_token1] = ACTIONS(1425),
    [aux_sym_truncate_statement_token1] = ACTIONS(1425),
    [aux_sym_update_statement_token1] = ACTIONS(1425),
    [aux_sym_merge_statement_token1] = ACTIONS(1425),
    [aux_sym_grant_statement_token1] = ACTIONS(1425),
    [aux_sym_revoke_statement_token1] = ACTIONS(1425),
    [aux_sym_export_data_statement_token1] = ACTIONS(1425),
    [aux_sym_load_data_statement_token1] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1427),
  },
  [4845] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4846] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4847] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4848] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1853),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1853),
    [aux_sym_keyword_replace_token1] = ACTIONS(1853),
    [aux_sym__keyword_alter_token1] = ACTIONS(1853),
    [aux_sym__keyword_create_token1] = ACTIONS(1853),
    [aux_sym__keyword_drop_token1] = ACTIONS(1853),
    [aux_sym__keyword_delete_token1] = ACTIONS(1853),
    [aux_sym__keyword_begin_token1] = ACTIONS(1853),
    [aux_sym__keyword_end_token1] = ACTIONS(1853),
    [aux_sym__keyword_between_token1] = ACTIONS(1853),
    [aux_sym__keyword_else_token1] = ACTIONS(1855),
    [aux_sym__keyword_is_token1] = ACTIONS(1853),
    [aux_sym__keyword_in_token1] = ACTIONS(1855),
    [aux_sym__keyword_and_token1] = ACTIONS(1853),
    [aux_sym__keyword_like_token1] = ACTIONS(1853),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1853),
    [aux_sym__keyword_for_token1] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_declare_statement_token1] = ACTIONS(1853),
    [aux_sym_set_statement_token1] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1853),
    [aux_sym_into_clause_token1] = ACTIONS(1853),
    [aux_sym_using_clause_token1] = ACTIONS(1853),
    [aux_sym_return_statement_token1] = ACTIONS(1853),
    [aux_sym_call_statement_token1] = ACTIONS(1853),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1853),
    [aux_sym_if_statement_token1] = ACTIONS(1853),
    [aux_sym_loop_statement_token1] = ACTIONS(1853),
    [aux_sym_repeat_statement_token1] = ACTIONS(1853),
    [aux_sym_while_statement_token1] = ACTIONS(1853),
    [aux_sym_break_statement_token1] = ACTIONS(1853),
    [aux_sym_leave_statement_token1] = ACTIONS(1853),
    [aux_sym_continue_statement_token1] = ACTIONS(1853),
    [aux_sym_iterate_statement_token1] = ACTIONS(1853),
    [aux_sym_raise_statement_token1] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [aux_sym_assert_statement_token1] = ACTIONS(1853),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [aux_sym_select_token1] = ACTIONS(1853),
    [aux_sym_insert_statement_token1] = ACTIONS(1853),
    [aux_sym_truncate_statement_token1] = ACTIONS(1853),
    [aux_sym_update_statement_token1] = ACTIONS(1853),
    [aux_sym_merge_statement_token1] = ACTIONS(1853),
    [aux_sym_grant_statement_token1] = ACTIONS(1853),
    [aux_sym_revoke_statement_token1] = ACTIONS(1853),
    [aux_sym_export_data_statement_token1] = ACTIONS(1853),
    [aux_sym_load_data_statement_token1] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_LT_GT] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
  },
  [4849] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4850] = {
    [ts_builtin_sym_end] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1849),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1849),
    [aux_sym_keyword_replace_token1] = ACTIONS(1849),
    [aux_sym__keyword_alter_token1] = ACTIONS(1849),
    [aux_sym__keyword_create_token1] = ACTIONS(1849),
    [aux_sym__keyword_drop_token1] = ACTIONS(1849),
    [aux_sym__keyword_delete_token1] = ACTIONS(1849),
    [aux_sym__keyword_begin_token1] = ACTIONS(1849),
    [aux_sym__keyword_end_token1] = ACTIONS(1849),
    [aux_sym__keyword_between_token1] = ACTIONS(1849),
    [aux_sym__keyword_else_token1] = ACTIONS(1851),
    [aux_sym__keyword_is_token1] = ACTIONS(1849),
    [aux_sym__keyword_in_token1] = ACTIONS(1851),
    [aux_sym__keyword_and_token1] = ACTIONS(1849),
    [aux_sym__keyword_like_token1] = ACTIONS(1849),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1849),
    [aux_sym__keyword_for_token1] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [aux_sym_declare_statement_token1] = ACTIONS(1849),
    [aux_sym_set_statement_token1] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1849),
    [aux_sym_into_clause_token1] = ACTIONS(1849),
    [aux_sym_using_clause_token1] = ACTIONS(1849),
    [aux_sym_return_statement_token1] = ACTIONS(1849),
    [aux_sym_call_statement_token1] = ACTIONS(1849),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1849),
    [aux_sym_if_statement_token1] = ACTIONS(1849),
    [aux_sym_loop_statement_token1] = ACTIONS(1849),
    [aux_sym_repeat_statement_token1] = ACTIONS(1849),
    [aux_sym_while_statement_token1] = ACTIONS(1849),
    [aux_sym_break_statement_token1] = ACTIONS(1849),
    [aux_sym_leave_statement_token1] = ACTIONS(1849),
    [aux_sym_continue_statement_token1] = ACTIONS(1849),
    [aux_sym_iterate_statement_token1] = ACTIONS(1849),
    [aux_sym_raise_statement_token1] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [aux_sym_assert_statement_token1] = ACTIONS(1849),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [aux_sym_select_token1] = ACTIONS(1849),
    [aux_sym_insert_statement_token1] = ACTIONS(1849),
    [aux_sym_truncate_statement_token1] = ACTIONS(1849),
    [aux_sym_update_statement_token1] = ACTIONS(1849),
    [aux_sym_merge_statement_token1] = ACTIONS(1849),
    [aux_sym_grant_statement_token1] = ACTIONS(1849),
    [aux_sym_revoke_statement_token1] = ACTIONS(1849),
    [aux_sym_export_data_statement_token1] = ACTIONS(1849),
    [aux_sym_load_data_statement_token1] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1851),
  },
  [4851] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1767),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1767),
    [aux_sym_keyword_replace_token1] = ACTIONS(1767),
    [aux_sym__keyword_alter_token1] = ACTIONS(1767),
    [aux_sym__keyword_create_token1] = ACTIONS(1767),
    [aux_sym__keyword_drop_token1] = ACTIONS(1767),
    [aux_sym__keyword_delete_token1] = ACTIONS(1767),
    [aux_sym__keyword_begin_token1] = ACTIONS(1767),
    [aux_sym__keyword_end_token1] = ACTIONS(1767),
    [aux_sym__keyword_between_token1] = ACTIONS(1767),
    [aux_sym__keyword_else_token1] = ACTIONS(1769),
    [aux_sym__keyword_is_token1] = ACTIONS(1767),
    [aux_sym__keyword_in_token1] = ACTIONS(1769),
    [aux_sym__keyword_and_token1] = ACTIONS(1767),
    [aux_sym__keyword_like_token1] = ACTIONS(1767),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1767),
    [aux_sym__keyword_for_token1] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [aux_sym_declare_statement_token1] = ACTIONS(1767),
    [aux_sym_set_statement_token1] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1767),
    [aux_sym_into_clause_token1] = ACTIONS(1767),
    [aux_sym_using_clause_token1] = ACTIONS(1767),
    [aux_sym_return_statement_token1] = ACTIONS(1767),
    [aux_sym_call_statement_token1] = ACTIONS(1767),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1767),
    [aux_sym_if_statement_token1] = ACTIONS(1767),
    [aux_sym_loop_statement_token1] = ACTIONS(1767),
    [aux_sym_repeat_statement_token1] = ACTIONS(1767),
    [aux_sym_while_statement_token1] = ACTIONS(1767),
    [aux_sym_break_statement_token1] = ACTIONS(1767),
    [aux_sym_leave_statement_token1] = ACTIONS(1767),
    [aux_sym_continue_statement_token1] = ACTIONS(1767),
    [aux_sym_iterate_statement_token1] = ACTIONS(1767),
    [aux_sym_raise_statement_token1] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1767),
    [aux_sym_assert_statement_token1] = ACTIONS(1767),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [aux_sym_select_token1] = ACTIONS(1767),
    [aux_sym_insert_statement_token1] = ACTIONS(1767),
    [aux_sym_truncate_statement_token1] = ACTIONS(1767),
    [aux_sym_update_statement_token1] = ACTIONS(1767),
    [aux_sym_merge_statement_token1] = ACTIONS(1767),
    [aux_sym_grant_statement_token1] = ACTIONS(1767),
    [aux_sym_revoke_statement_token1] = ACTIONS(1767),
    [aux_sym_export_data_statement_token1] = ACTIONS(1767),
    [aux_sym_load_data_statement_token1] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1767),
    [anon_sym_LT_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_PIPE] = ACTIONS(1769),
  },
  [4852] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1841),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1841),
    [aux_sym_keyword_replace_token1] = ACTIONS(1841),
    [aux_sym__keyword_alter_token1] = ACTIONS(1841),
    [aux_sym__keyword_create_token1] = ACTIONS(1841),
    [aux_sym__keyword_drop_token1] = ACTIONS(1841),
    [aux_sym__keyword_delete_token1] = ACTIONS(1841),
    [aux_sym__keyword_begin_token1] = ACTIONS(1841),
    [aux_sym__keyword_end_token1] = ACTIONS(1841),
    [aux_sym__keyword_between_token1] = ACTIONS(1841),
    [aux_sym__keyword_else_token1] = ACTIONS(1843),
    [aux_sym__keyword_is_token1] = ACTIONS(1841),
    [aux_sym__keyword_in_token1] = ACTIONS(1843),
    [aux_sym__keyword_and_token1] = ACTIONS(1841),
    [aux_sym__keyword_like_token1] = ACTIONS(1841),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1841),
    [aux_sym__keyword_for_token1] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [aux_sym_declare_statement_token1] = ACTIONS(1841),
    [aux_sym_set_statement_token1] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1841),
    [aux_sym_into_clause_token1] = ACTIONS(1841),
    [aux_sym_using_clause_token1] = ACTIONS(1841),
    [aux_sym_return_statement_token1] = ACTIONS(1841),
    [aux_sym_call_statement_token1] = ACTIONS(1841),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1841),
    [aux_sym_if_statement_token1] = ACTIONS(1841),
    [aux_sym_loop_statement_token1] = ACTIONS(1841),
    [aux_sym_repeat_statement_token1] = ACTIONS(1841),
    [aux_sym_while_statement_token1] = ACTIONS(1841),
    [aux_sym_break_statement_token1] = ACTIONS(1841),
    [aux_sym_leave_statement_token1] = ACTIONS(1841),
    [aux_sym_continue_statement_token1] = ACTIONS(1841),
    [aux_sym_iterate_statement_token1] = ACTIONS(1841),
    [aux_sym_raise_statement_token1] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [aux_sym_assert_statement_token1] = ACTIONS(1841),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1843),
    [aux_sym_select_token1] = ACTIONS(1841),
    [aux_sym_insert_statement_token1] = ACTIONS(1841),
    [aux_sym_truncate_statement_token1] = ACTIONS(1841),
    [aux_sym_update_statement_token1] = ACTIONS(1841),
    [aux_sym_merge_statement_token1] = ACTIONS(1841),
    [aux_sym_grant_statement_token1] = ACTIONS(1841),
    [aux_sym_revoke_statement_token1] = ACTIONS(1841),
    [aux_sym_export_data_statement_token1] = ACTIONS(1841),
    [aux_sym_load_data_statement_token1] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_LT_GT] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1843),
  },
  [4853] = {
    [ts_builtin_sym_end] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1837),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1837),
    [aux_sym_keyword_replace_token1] = ACTIONS(1837),
    [aux_sym__keyword_alter_token1] = ACTIONS(1837),
    [aux_sym__keyword_create_token1] = ACTIONS(1837),
    [aux_sym__keyword_drop_token1] = ACTIONS(1837),
    [aux_sym__keyword_delete_token1] = ACTIONS(1837),
    [aux_sym__keyword_begin_token1] = ACTIONS(1837),
    [aux_sym__keyword_end_token1] = ACTIONS(1837),
    [aux_sym__keyword_between_token1] = ACTIONS(1837),
    [aux_sym__keyword_else_token1] = ACTIONS(1839),
    [aux_sym__keyword_is_token1] = ACTIONS(1837),
    [aux_sym__keyword_in_token1] = ACTIONS(1839),
    [aux_sym__keyword_and_token1] = ACTIONS(1837),
    [aux_sym__keyword_like_token1] = ACTIONS(1837),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1837),
    [aux_sym__keyword_for_token1] = ACTIONS(1837),
    [anon_sym_SEMI] = ACTIONS(1837),
    [aux_sym_declare_statement_token1] = ACTIONS(1837),
    [aux_sym_set_statement_token1] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1837),
    [aux_sym_into_clause_token1] = ACTIONS(1837),
    [aux_sym_using_clause_token1] = ACTIONS(1837),
    [aux_sym_return_statement_token1] = ACTIONS(1837),
    [aux_sym_call_statement_token1] = ACTIONS(1837),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1837),
    [aux_sym_if_statement_token1] = ACTIONS(1837),
    [aux_sym_loop_statement_token1] = ACTIONS(1837),
    [aux_sym_repeat_statement_token1] = ACTIONS(1837),
    [aux_sym_while_statement_token1] = ACTIONS(1837),
    [aux_sym_break_statement_token1] = ACTIONS(1837),
    [aux_sym_leave_statement_token1] = ACTIONS(1837),
    [aux_sym_continue_statement_token1] = ACTIONS(1837),
    [aux_sym_iterate_statement_token1] = ACTIONS(1837),
    [aux_sym_raise_statement_token1] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(1837),
    [aux_sym_assert_statement_token1] = ACTIONS(1837),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1837),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1839),
    [aux_sym_select_token1] = ACTIONS(1837),
    [aux_sym_insert_statement_token1] = ACTIONS(1837),
    [aux_sym_truncate_statement_token1] = ACTIONS(1837),
    [aux_sym_update_statement_token1] = ACTIONS(1837),
    [aux_sym_merge_statement_token1] = ACTIONS(1837),
    [aux_sym_grant_statement_token1] = ACTIONS(1837),
    [aux_sym_revoke_statement_token1] = ACTIONS(1837),
    [aux_sym_export_data_statement_token1] = ACTIONS(1837),
    [aux_sym_load_data_statement_token1] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_LT_GT] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1839),
  },
  [4854] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4855] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1833),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1833),
    [aux_sym_keyword_replace_token1] = ACTIONS(1833),
    [aux_sym__keyword_alter_token1] = ACTIONS(1833),
    [aux_sym__keyword_create_token1] = ACTIONS(1833),
    [aux_sym__keyword_drop_token1] = ACTIONS(1833),
    [aux_sym__keyword_delete_token1] = ACTIONS(1833),
    [aux_sym__keyword_begin_token1] = ACTIONS(1833),
    [aux_sym__keyword_end_token1] = ACTIONS(1833),
    [aux_sym__keyword_between_token1] = ACTIONS(1833),
    [aux_sym__keyword_else_token1] = ACTIONS(1835),
    [aux_sym__keyword_is_token1] = ACTIONS(1833),
    [aux_sym__keyword_in_token1] = ACTIONS(1835),
    [aux_sym__keyword_and_token1] = ACTIONS(1833),
    [aux_sym__keyword_like_token1] = ACTIONS(1833),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1833),
    [aux_sym__keyword_for_token1] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1833),
    [aux_sym_declare_statement_token1] = ACTIONS(1833),
    [aux_sym_set_statement_token1] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1833),
    [aux_sym_into_clause_token1] = ACTIONS(1833),
    [aux_sym_using_clause_token1] = ACTIONS(1833),
    [aux_sym_return_statement_token1] = ACTIONS(1833),
    [aux_sym_call_statement_token1] = ACTIONS(1833),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1833),
    [aux_sym_if_statement_token1] = ACTIONS(1833),
    [aux_sym_loop_statement_token1] = ACTIONS(1833),
    [aux_sym_repeat_statement_token1] = ACTIONS(1833),
    [aux_sym_while_statement_token1] = ACTIONS(1833),
    [aux_sym_break_statement_token1] = ACTIONS(1833),
    [aux_sym_leave_statement_token1] = ACTIONS(1833),
    [aux_sym_continue_statement_token1] = ACTIONS(1833),
    [aux_sym_iterate_statement_token1] = ACTIONS(1833),
    [aux_sym_raise_statement_token1] = ACTIONS(1833),
    [anon_sym_EQ] = ACTIONS(1833),
    [aux_sym_assert_statement_token1] = ACTIONS(1833),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1833),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1835),
    [aux_sym_select_token1] = ACTIONS(1833),
    [aux_sym_insert_statement_token1] = ACTIONS(1833),
    [aux_sym_truncate_statement_token1] = ACTIONS(1833),
    [aux_sym_update_statement_token1] = ACTIONS(1833),
    [aux_sym_merge_statement_token1] = ACTIONS(1833),
    [aux_sym_grant_statement_token1] = ACTIONS(1833),
    [aux_sym_revoke_statement_token1] = ACTIONS(1833),
    [aux_sym_export_data_statement_token1] = ACTIONS(1833),
    [aux_sym_load_data_statement_token1] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PIPE_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1833),
    [anon_sym_LT_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1833),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_PIPE] = ACTIONS(1835),
  },
  [4856] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4857] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1799),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_into_clause_token1] = ACTIONS(1799),
    [aux_sym_using_clause_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [4858] = {
    [sym__unquoted_identifier] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1541),
    [aux_sym_keyword_replace_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1541),
    [aux_sym__keyword_rename_token1] = ACTIONS(1541),
    [aux_sym__keyword_add_token1] = ACTIONS(1541),
    [aux_sym__keyword_drop_token1] = ACTIONS(1541),
    [aux_sym__keyword_from_token1] = ACTIONS(1541),
    [aux_sym__keyword_end_token1] = ACTIONS(1541),
    [aux_sym__keyword_struct_token1] = ACTIONS(1541),
    [aux_sym__keyword_range_token1] = ACTIONS(1541),
    [aux_sym__keyword_array_token1] = ACTIONS(1541),
    [aux_sym__keyword_between_token1] = ACTIONS(1541),
    [aux_sym__keyword_when_token1] = ACTIONS(1541),
    [aux_sym__keyword_then_token1] = ACTIONS(1541),
    [aux_sym__keyword_else_token1] = ACTIONS(1541),
    [aux_sym__keyword_is_token1] = ACTIONS(1541),
    [aux_sym__keyword_in_token1] = ACTIONS(1541),
    [aux_sym__keyword_and_token1] = ACTIONS(1541),
    [aux_sym__keyword_like_token1] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_RPAREN] = ACTIONS(1539),
    [aux_sym_using_clause_token1] = ACTIONS(1541),
    [aux_sym_while_statement_token2] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1541),
    [aux_sym_clone_clause_token1] = ACTIONS(1541),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1541),
    [aux_sym_alter_table_rename_statement_token1] = ACTIONS(1541),
    [aux_sym_foreign_key_token1] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1541),
    [aux_sym_partition_expression_token5] = ACTIONS(1541),
    [aux_sym_partition_expression_token6] = ACTIONS(1541),
    [aux_sym_partition_expression_token7] = ACTIONS(1541),
    [aux_sym_partition_expression_token8] = ACTIONS(1541),
    [aux_sym_partition_expression_token10] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1541),
    [aux_sym_limit_clause_token1] = ACTIONS(1541),
    [aux_sym_rows_range_token1] = ACTIONS(1541),
    [aux_sym__direction_keywords_token1] = ACTIONS(1541),
    [aux_sym__direction_keywords_token2] = ACTIONS(1541),
    [aux_sym__nulls_preference_token1] = ACTIONS(1541),
    [aux_sym_where_clause_token1] = ACTIONS(1541),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1541),
    [aux_sym_join_condition_token1] = ACTIONS(1541),
    [anon_sym_EQ_GT] = ACTIONS(1539),
    [aux_sym_values_clause_token1] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_RBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_PIPE_PIPE] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1541),
  },
  [4859] = {
    [ts_builtin_sym_end] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1809),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1809),
    [aux_sym_keyword_replace_token1] = ACTIONS(1809),
    [aux_sym__keyword_alter_token1] = ACTIONS(1809),
    [aux_sym__keyword_create_token1] = ACTIONS(1809),
    [aux_sym__keyword_drop_token1] = ACTIONS(1809),
    [aux_sym__keyword_delete_token1] = ACTIONS(1809),
    [aux_sym__keyword_begin_token1] = ACTIONS(1809),
    [aux_sym__keyword_end_token1] = ACTIONS(1809),
    [aux_sym__keyword_between_token1] = ACTIONS(1809),
    [aux_sym__keyword_else_token1] = ACTIONS(1811),
    [aux_sym__keyword_is_token1] = ACTIONS(1809),
    [aux_sym__keyword_in_token1] = ACTIONS(1811),
    [aux_sym__keyword_and_token1] = ACTIONS(1809),
    [aux_sym__keyword_like_token1] = ACTIONS(1809),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1809),
    [aux_sym__keyword_for_token1] = ACTIONS(1809),
    [anon_sym_SEMI] = ACTIONS(1809),
    [aux_sym_declare_statement_token1] = ACTIONS(1809),
    [aux_sym_set_statement_token1] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1809),
    [aux_sym_into_clause_token1] = ACTIONS(1809),
    [aux_sym_using_clause_token1] = ACTIONS(1809),
    [aux_sym_return_statement_token1] = ACTIONS(1809),
    [aux_sym_call_statement_token1] = ACTIONS(1809),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1809),
    [aux_sym_if_statement_token1] = ACTIONS(1809),
    [aux_sym_loop_statement_token1] = ACTIONS(1809),
    [aux_sym_repeat_statement_token1] = ACTIONS(1809),
    [aux_sym_while_statement_token1] = ACTIONS(1809),
    [aux_sym_break_statement_token1] = ACTIONS(1809),
    [aux_sym_leave_statement_token1] = ACTIONS(1809),
    [aux_sym_continue_statement_token1] = ACTIONS(1809),
    [aux_sym_iterate_statement_token1] = ACTIONS(1809),
    [aux_sym_raise_statement_token1] = ACTIONS(1809),
    [anon_sym_EQ] = ACTIONS(1809),
    [aux_sym_assert_statement_token1] = ACTIONS(1809),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1811),
    [aux_sym_select_token1] = ACTIONS(1809),
    [aux_sym_insert_statement_token1] = ACTIONS(1809),
    [aux_sym_truncate_statement_token1] = ACTIONS(1809),
    [aux_sym_update_statement_token1] = ACTIONS(1809),
    [aux_sym_merge_statement_token1] = ACTIONS(1809),
    [aux_sym_grant_statement_token1] = ACTIONS(1809),
    [aux_sym_revoke_statement_token1] = ACTIONS(1809),
    [aux_sym_export_data_statement_token1] = ACTIONS(1809),
    [aux_sym_load_data_statement_token1] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_PIPE_PIPE] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1811),
  },
  [4860] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1799),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1799),
    [aux_sym_keyword_replace_token1] = ACTIONS(1799),
    [aux_sym__keyword_alter_token1] = ACTIONS(1799),
    [aux_sym__keyword_create_token1] = ACTIONS(1799),
    [aux_sym__keyword_drop_token1] = ACTIONS(1799),
    [aux_sym__keyword_delete_token1] = ACTIONS(1799),
    [aux_sym__keyword_begin_token1] = ACTIONS(1799),
    [aux_sym__keyword_end_token1] = ACTIONS(1799),
    [aux_sym__keyword_between_token1] = ACTIONS(1799),
    [aux_sym__keyword_else_token1] = ACTIONS(1801),
    [aux_sym__keyword_is_token1] = ACTIONS(1799),
    [aux_sym__keyword_in_token1] = ACTIONS(1801),
    [aux_sym__keyword_and_token1] = ACTIONS(1799),
    [aux_sym__keyword_like_token1] = ACTIONS(1799),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1799),
    [aux_sym__keyword_for_token1] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [aux_sym_declare_statement_token1] = ACTIONS(1799),
    [aux_sym_set_statement_token1] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1799),
    [aux_sym_into_clause_token1] = ACTIONS(1799),
    [aux_sym_using_clause_token1] = ACTIONS(1799),
    [aux_sym_return_statement_token1] = ACTIONS(1799),
    [aux_sym_call_statement_token1] = ACTIONS(1799),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1799),
    [aux_sym_if_statement_token1] = ACTIONS(1799),
    [aux_sym_loop_statement_token1] = ACTIONS(1799),
    [aux_sym_repeat_statement_token1] = ACTIONS(1799),
    [aux_sym_while_statement_token1] = ACTIONS(1799),
    [aux_sym_break_statement_token1] = ACTIONS(1799),
    [aux_sym_leave_statement_token1] = ACTIONS(1799),
    [aux_sym_continue_statement_token1] = ACTIONS(1799),
    [aux_sym_iterate_statement_token1] = ACTIONS(1799),
    [aux_sym_raise_statement_token1] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1799),
    [aux_sym_assert_statement_token1] = ACTIONS(1799),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1801),
    [aux_sym_select_token1] = ACTIONS(1799),
    [aux_sym_insert_statement_token1] = ACTIONS(1799),
    [aux_sym_truncate_statement_token1] = ACTIONS(1799),
    [aux_sym_update_statement_token1] = ACTIONS(1799),
    [aux_sym_merge_statement_token1] = ACTIONS(1799),
    [aux_sym_grant_statement_token1] = ACTIONS(1799),
    [aux_sym_revoke_statement_token1] = ACTIONS(1799),
    [aux_sym_export_data_statement_token1] = ACTIONS(1799),
    [aux_sym_load_data_statement_token1] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1799),
    [anon_sym_PLUS] = ACTIONS(1799),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_GT] = ACTIONS(1799),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1799),
    [anon_sym_GT_GT] = ACTIONS(1799),
    [anon_sym_AMP] = ACTIONS(1799),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_PIPE] = ACTIONS(1801),
  },
  [4861] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1697),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1697),
    [aux_sym_keyword_replace_token1] = ACTIONS(1697),
    [aux_sym__keyword_alter_token1] = ACTIONS(1697),
    [aux_sym__keyword_create_token1] = ACTIONS(1697),
    [aux_sym__keyword_drop_token1] = ACTIONS(1697),
    [aux_sym__keyword_delete_token1] = ACTIONS(1697),
    [aux_sym__keyword_begin_token1] = ACTIONS(1697),
    [aux_sym__keyword_end_token1] = ACTIONS(1697),
    [aux_sym__keyword_between_token1] = ACTIONS(1697),
    [aux_sym__keyword_else_token1] = ACTIONS(1699),
    [aux_sym__keyword_is_token1] = ACTIONS(1697),
    [aux_sym__keyword_in_token1] = ACTIONS(1699),
    [aux_sym__keyword_and_token1] = ACTIONS(1697),
    [aux_sym__keyword_like_token1] = ACTIONS(1697),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1697),
    [aux_sym__keyword_for_token1] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1697),
    [aux_sym_declare_statement_token1] = ACTIONS(1697),
    [aux_sym_set_statement_token1] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1697),
    [aux_sym_into_clause_token1] = ACTIONS(1697),
    [aux_sym_using_clause_token1] = ACTIONS(1697),
    [aux_sym_return_statement_token1] = ACTIONS(1697),
    [aux_sym_call_statement_token1] = ACTIONS(1697),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1697),
    [aux_sym_if_statement_token1] = ACTIONS(1697),
    [aux_sym_loop_statement_token1] = ACTIONS(1697),
    [aux_sym_repeat_statement_token1] = ACTIONS(1697),
    [aux_sym_while_statement_token1] = ACTIONS(1697),
    [aux_sym_break_statement_token1] = ACTIONS(1697),
    [aux_sym_leave_statement_token1] = ACTIONS(1697),
    [aux_sym_continue_statement_token1] = ACTIONS(1697),
    [aux_sym_iterate_statement_token1] = ACTIONS(1697),
    [aux_sym_raise_statement_token1] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [aux_sym_assert_statement_token1] = ACTIONS(1697),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [aux_sym_select_token1] = ACTIONS(1697),
    [aux_sym_insert_statement_token1] = ACTIONS(1697),
    [aux_sym_truncate_statement_token1] = ACTIONS(1697),
    [aux_sym_update_statement_token1] = ACTIONS(1697),
    [aux_sym_merge_statement_token1] = ACTIONS(1697),
    [aux_sym_grant_statement_token1] = ACTIONS(1697),
    [aux_sym_revoke_statement_token1] = ACTIONS(1697),
    [aux_sym_export_data_statement_token1] = ACTIONS(1697),
    [aux_sym_load_data_statement_token1] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_GT_GT] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
  },
  [4862] = {
    [ts_builtin_sym_end] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1597),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1597),
    [aux_sym_keyword_replace_token1] = ACTIONS(1597),
    [aux_sym__keyword_alter_token1] = ACTIONS(1597),
    [aux_sym__keyword_create_token1] = ACTIONS(1597),
    [aux_sym__keyword_drop_token1] = ACTIONS(1597),
    [aux_sym__keyword_delete_token1] = ACTIONS(1597),
    [aux_sym__keyword_begin_token1] = ACTIONS(1597),
    [aux_sym__keyword_end_token1] = ACTIONS(1597),
    [aux_sym__keyword_between_token1] = ACTIONS(1597),
    [aux_sym__keyword_else_token1] = ACTIONS(1599),
    [aux_sym__keyword_is_token1] = ACTIONS(1597),
    [aux_sym__keyword_in_token1] = ACTIONS(1599),
    [aux_sym__keyword_and_token1] = ACTIONS(1597),
    [aux_sym__keyword_like_token1] = ACTIONS(1597),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1597),
    [aux_sym__keyword_for_token1] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_declare_statement_token1] = ACTIONS(1597),
    [aux_sym_set_statement_token1] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1597),
    [aux_sym_into_clause_token1] = ACTIONS(1597),
    [aux_sym_using_clause_token1] = ACTIONS(1597),
    [aux_sym_return_statement_token1] = ACTIONS(1597),
    [aux_sym_call_statement_token1] = ACTIONS(1597),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1597),
    [aux_sym_if_statement_token1] = ACTIONS(1597),
    [aux_sym_loop_statement_token1] = ACTIONS(1597),
    [aux_sym_repeat_statement_token1] = ACTIONS(1597),
    [aux_sym_while_statement_token1] = ACTIONS(1597),
    [aux_sym_break_statement_token1] = ACTIONS(1597),
    [aux_sym_leave_statement_token1] = ACTIONS(1597),
    [aux_sym_continue_statement_token1] = ACTIONS(1597),
    [aux_sym_iterate_statement_token1] = ACTIONS(1597),
    [aux_sym_raise_statement_token1] = ACTIONS(1597),
    [anon_sym_EQ] = ACTIONS(1597),
    [aux_sym_assert_statement_token1] = ACTIONS(1597),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1599),
    [aux_sym_select_token1] = ACTIONS(1597),
    [aux_sym_insert_statement_token1] = ACTIONS(1597),
    [aux_sym_truncate_statement_token1] = ACTIONS(1597),
    [aux_sym_update_statement_token1] = ACTIONS(1597),
    [aux_sym_merge_statement_token1] = ACTIONS(1597),
    [aux_sym_grant_statement_token1] = ACTIONS(1597),
    [aux_sym_revoke_statement_token1] = ACTIONS(1597),
    [aux_sym_export_data_statement_token1] = ACTIONS(1597),
    [aux_sym_load_data_statement_token1] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1599),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT_GT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1599),
  },
  [4863] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1755),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1755),
    [aux_sym_keyword_replace_token1] = ACTIONS(1755),
    [aux_sym__keyword_alter_token1] = ACTIONS(1755),
    [aux_sym__keyword_create_token1] = ACTIONS(1755),
    [aux_sym__keyword_drop_token1] = ACTIONS(1755),
    [aux_sym__keyword_delete_token1] = ACTIONS(1755),
    [aux_sym__keyword_begin_token1] = ACTIONS(1755),
    [aux_sym__keyword_end_token1] = ACTIONS(1755),
    [aux_sym__keyword_between_token1] = ACTIONS(1755),
    [aux_sym__keyword_else_token1] = ACTIONS(1757),
    [aux_sym__keyword_is_token1] = ACTIONS(1755),
    [aux_sym__keyword_in_token1] = ACTIONS(1757),
    [aux_sym__keyword_and_token1] = ACTIONS(1755),
    [aux_sym__keyword_like_token1] = ACTIONS(1755),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1755),
    [aux_sym__keyword_for_token1] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1755),
    [aux_sym_into_clause_token1] = ACTIONS(1755),
    [aux_sym_using_clause_token1] = ACTIONS(1755),
    [aux_sym_return_statement_token1] = ACTIONS(1755),
    [aux_sym_call_statement_token1] = ACTIONS(1755),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1755),
    [aux_sym_if_statement_token1] = ACTIONS(1755),
    [aux_sym_loop_statement_token1] = ACTIONS(1755),
    [aux_sym_repeat_statement_token1] = ACTIONS(1755),
    [aux_sym_while_statement_token1] = ACTIONS(1755),
    [aux_sym_break_statement_token1] = ACTIONS(1755),
    [aux_sym_leave_statement_token1] = ACTIONS(1755),
    [aux_sym_continue_statement_token1] = ACTIONS(1755),
    [aux_sym_iterate_statement_token1] = ACTIONS(1755),
    [aux_sym_raise_statement_token1] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [aux_sym_assert_statement_token1] = ACTIONS(1755),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1755),
    [aux_sym_insert_statement_token1] = ACTIONS(1755),
    [aux_sym_truncate_statement_token1] = ACTIONS(1755),
    [aux_sym_update_statement_token1] = ACTIONS(1755),
    [aux_sym_merge_statement_token1] = ACTIONS(1755),
    [aux_sym_grant_statement_token1] = ACTIONS(1755),
    [aux_sym_revoke_statement_token1] = ACTIONS(1755),
    [aux_sym_export_data_statement_token1] = ACTIONS(1755),
    [aux_sym_load_data_statement_token1] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_GT] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
  },
  [4864] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1601),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1601),
    [aux_sym_keyword_replace_token1] = ACTIONS(1601),
    [aux_sym__keyword_alter_token1] = ACTIONS(1601),
    [aux_sym__keyword_create_token1] = ACTIONS(1601),
    [aux_sym__keyword_drop_token1] = ACTIONS(1601),
    [aux_sym__keyword_delete_token1] = ACTIONS(1601),
    [aux_sym__keyword_begin_token1] = ACTIONS(1601),
    [aux_sym__keyword_end_token1] = ACTIONS(1601),
    [aux_sym__keyword_between_token1] = ACTIONS(1601),
    [aux_sym__keyword_else_token1] = ACTIONS(1603),
    [aux_sym__keyword_is_token1] = ACTIONS(1601),
    [aux_sym__keyword_in_token1] = ACTIONS(1603),
    [aux_sym__keyword_and_token1] = ACTIONS(1601),
    [aux_sym__keyword_like_token1] = ACTIONS(1601),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1601),
    [aux_sym__keyword_for_token1] = ACTIONS(1601),
    [anon_sym_SEMI] = ACTIONS(1601),
    [aux_sym_declare_statement_token1] = ACTIONS(1601),
    [aux_sym_set_statement_token1] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1601),
    [aux_sym_into_clause_token1] = ACTIONS(1601),
    [aux_sym_using_clause_token1] = ACTIONS(1601),
    [aux_sym_return_statement_token1] = ACTIONS(1601),
    [aux_sym_call_statement_token1] = ACTIONS(1601),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1601),
    [aux_sym_if_statement_token1] = ACTIONS(1601),
    [aux_sym_loop_statement_token1] = ACTIONS(1601),
    [aux_sym_repeat_statement_token1] = ACTIONS(1601),
    [aux_sym_while_statement_token1] = ACTIONS(1601),
    [aux_sym_break_statement_token1] = ACTIONS(1601),
    [aux_sym_leave_statement_token1] = ACTIONS(1601),
    [aux_sym_continue_statement_token1] = ACTIONS(1601),
    [aux_sym_iterate_statement_token1] = ACTIONS(1601),
    [aux_sym_raise_statement_token1] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(1601),
    [aux_sym_assert_statement_token1] = ACTIONS(1601),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1601),
    [anon_sym_LT] = ACTIONS(1603),
    [anon_sym_GT] = ACTIONS(1603),
    [aux_sym_select_token1] = ACTIONS(1601),
    [aux_sym_insert_statement_token1] = ACTIONS(1601),
    [aux_sym_truncate_statement_token1] = ACTIONS(1601),
    [aux_sym_update_statement_token1] = ACTIONS(1601),
    [aux_sym_merge_statement_token1] = ACTIONS(1601),
    [aux_sym_grant_statement_token1] = ACTIONS(1601),
    [aux_sym_revoke_statement_token1] = ACTIONS(1601),
    [aux_sym_export_data_statement_token1] = ACTIONS(1601),
    [aux_sym_load_data_statement_token1] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_SLASH] = ACTIONS(1603),
    [anon_sym_PIPE_PIPE] = ACTIONS(1601),
    [anon_sym_LT_EQ] = ACTIONS(1601),
    [anon_sym_LT_GT] = ACTIONS(1601),
    [anon_sym_GT_EQ] = ACTIONS(1601),
    [anon_sym_BANG_EQ] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1601),
    [anon_sym_GT_GT] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_PIPE] = ACTIONS(1603),
  },
  [4865] = {
    [ts_builtin_sym_end] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1605),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1605),
    [aux_sym_keyword_replace_token1] = ACTIONS(1605),
    [aux_sym__keyword_alter_token1] = ACTIONS(1605),
    [aux_sym__keyword_create_token1] = ACTIONS(1605),
    [aux_sym__keyword_drop_token1] = ACTIONS(1605),
    [aux_sym__keyword_delete_token1] = ACTIONS(1605),
    [aux_sym__keyword_begin_token1] = ACTIONS(1605),
    [aux_sym__keyword_end_token1] = ACTIONS(1605),
    [aux_sym__keyword_between_token1] = ACTIONS(1605),
    [aux_sym__keyword_else_token1] = ACTIONS(1607),
    [aux_sym__keyword_is_token1] = ACTIONS(1605),
    [aux_sym__keyword_in_token1] = ACTIONS(1607),
    [aux_sym__keyword_and_token1] = ACTIONS(1605),
    [aux_sym__keyword_like_token1] = ACTIONS(1605),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1605),
    [aux_sym__keyword_for_token1] = ACTIONS(1605),
    [anon_sym_SEMI] = ACTIONS(1605),
    [aux_sym_declare_statement_token1] = ACTIONS(1605),
    [aux_sym_set_statement_token1] = ACTIONS(1605),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1605),
    [aux_sym_into_clause_token1] = ACTIONS(1605),
    [aux_sym_using_clause_token1] = ACTIONS(1605),
    [aux_sym_return_statement_token1] = ACTIONS(1605),
    [aux_sym_call_statement_token1] = ACTIONS(1605),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1605),
    [aux_sym_if_statement_token1] = ACTIONS(1605),
    [aux_sym_loop_statement_token1] = ACTIONS(1605),
    [aux_sym_repeat_statement_token1] = ACTIONS(1605),
    [aux_sym_while_statement_token1] = ACTIONS(1605),
    [aux_sym_break_statement_token1] = ACTIONS(1605),
    [aux_sym_leave_statement_token1] = ACTIONS(1605),
    [aux_sym_continue_statement_token1] = ACTIONS(1605),
    [aux_sym_iterate_statement_token1] = ACTIONS(1605),
    [aux_sym_raise_statement_token1] = ACTIONS(1605),
    [anon_sym_EQ] = ACTIONS(1605),
    [aux_sym_assert_statement_token1] = ACTIONS(1605),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1605),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [aux_sym_select_token1] = ACTIONS(1605),
    [aux_sym_insert_statement_token1] = ACTIONS(1605),
    [aux_sym_truncate_statement_token1] = ACTIONS(1605),
    [aux_sym_update_statement_token1] = ACTIONS(1605),
    [aux_sym_merge_statement_token1] = ACTIONS(1605),
    [aux_sym_grant_statement_token1] = ACTIONS(1605),
    [aux_sym_revoke_statement_token1] = ACTIONS(1605),
    [aux_sym_export_data_statement_token1] = ACTIONS(1605),
    [aux_sym_load_data_statement_token1] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1607),
    [anon_sym_PIPE_PIPE] = ACTIONS(1605),
    [anon_sym_LT_EQ] = ACTIONS(1605),
    [anon_sym_LT_GT] = ACTIONS(1605),
    [anon_sym_GT_EQ] = ACTIONS(1605),
    [anon_sym_BANG_EQ] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_CARET] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
  },
  [4866] = {
    [ts_builtin_sym_end] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1609),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1609),
    [aux_sym_keyword_replace_token1] = ACTIONS(1609),
    [aux_sym__keyword_alter_token1] = ACTIONS(1609),
    [aux_sym__keyword_create_token1] = ACTIONS(1609),
    [aux_sym__keyword_drop_token1] = ACTIONS(1609),
    [aux_sym__keyword_delete_token1] = ACTIONS(1609),
    [aux_sym__keyword_begin_token1] = ACTIONS(1609),
    [aux_sym__keyword_end_token1] = ACTIONS(1609),
    [aux_sym__keyword_between_token1] = ACTIONS(1609),
    [aux_sym__keyword_else_token1] = ACTIONS(1611),
    [aux_sym__keyword_is_token1] = ACTIONS(1609),
    [aux_sym__keyword_in_token1] = ACTIONS(1611),
    [aux_sym__keyword_and_token1] = ACTIONS(1609),
    [aux_sym__keyword_like_token1] = ACTIONS(1609),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1609),
    [aux_sym__keyword_for_token1] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(1609),
    [aux_sym_declare_statement_token1] = ACTIONS(1609),
    [aux_sym_set_statement_token1] = ACTIONS(1609),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1609),
    [aux_sym_into_clause_token1] = ACTIONS(1609),
    [aux_sym_using_clause_token1] = ACTIONS(1609),
    [aux_sym_return_statement_token1] = ACTIONS(1609),
    [aux_sym_call_statement_token1] = ACTIONS(1609),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1609),
    [aux_sym_if_statement_token1] = ACTIONS(1609),
    [aux_sym_loop_statement_token1] = ACTIONS(1609),
    [aux_sym_repeat_statement_token1] = ACTIONS(1609),
    [aux_sym_while_statement_token1] = ACTIONS(1609),
    [aux_sym_break_statement_token1] = ACTIONS(1609),
    [aux_sym_leave_statement_token1] = ACTIONS(1609),
    [aux_sym_continue_statement_token1] = ACTIONS(1609),
    [aux_sym_iterate_statement_token1] = ACTIONS(1609),
    [aux_sym_raise_statement_token1] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [aux_sym_assert_statement_token1] = ACTIONS(1609),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1609),
    [anon_sym_LT] = ACTIONS(1611),
    [anon_sym_GT] = ACTIONS(1611),
    [aux_sym_select_token1] = ACTIONS(1609),
    [aux_sym_insert_statement_token1] = ACTIONS(1609),
    [aux_sym_truncate_statement_token1] = ACTIONS(1609),
    [aux_sym_update_statement_token1] = ACTIONS(1609),
    [aux_sym_merge_statement_token1] = ACTIONS(1609),
    [aux_sym_grant_statement_token1] = ACTIONS(1609),
    [aux_sym_revoke_statement_token1] = ACTIONS(1609),
    [aux_sym_export_data_statement_token1] = ACTIONS(1609),
    [aux_sym_load_data_statement_token1] = ACTIONS(1609),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1609),
    [anon_sym_LT_EQ] = ACTIONS(1609),
    [anon_sym_LT_GT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1609),
    [anon_sym_BANG_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT] = ACTIONS(1609),
    [anon_sym_GT_GT] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1609),
    [anon_sym_PIPE] = ACTIONS(1611),
  },
  [4867] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1523),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1523),
    [aux_sym_keyword_replace_token1] = ACTIONS(1523),
    [aux_sym__keyword_alter_token1] = ACTIONS(1523),
    [aux_sym__keyword_create_token1] = ACTIONS(1523),
    [aux_sym__keyword_drop_token1] = ACTIONS(1523),
    [aux_sym__keyword_delete_token1] = ACTIONS(1523),
    [aux_sym__keyword_begin_token1] = ACTIONS(1523),
    [aux_sym__keyword_end_token1] = ACTIONS(1523),
    [aux_sym__keyword_between_token1] = ACTIONS(1523),
    [aux_sym__keyword_else_token1] = ACTIONS(1525),
    [aux_sym__keyword_is_token1] = ACTIONS(1523),
    [aux_sym__keyword_in_token1] = ACTIONS(1525),
    [aux_sym__keyword_and_token1] = ACTIONS(1523),
    [aux_sym__keyword_like_token1] = ACTIONS(1523),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1523),
    [aux_sym__keyword_for_token1] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1523),
    [aux_sym_declare_statement_token1] = ACTIONS(1523),
    [aux_sym_set_statement_token1] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1523),
    [aux_sym_into_clause_token1] = ACTIONS(1523),
    [aux_sym_using_clause_token1] = ACTIONS(1523),
    [aux_sym_return_statement_token1] = ACTIONS(1523),
    [aux_sym_call_statement_token1] = ACTIONS(1523),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1523),
    [aux_sym_if_statement_token1] = ACTIONS(1523),
    [aux_sym_loop_statement_token1] = ACTIONS(1523),
    [aux_sym_repeat_statement_token1] = ACTIONS(1523),
    [aux_sym_while_statement_token1] = ACTIONS(1523),
    [aux_sym_break_statement_token1] = ACTIONS(1523),
    [aux_sym_leave_statement_token1] = ACTIONS(1523),
    [aux_sym_continue_statement_token1] = ACTIONS(1523),
    [aux_sym_iterate_statement_token1] = ACTIONS(1523),
    [aux_sym_raise_statement_token1] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(1523),
    [aux_sym_assert_statement_token1] = ACTIONS(1523),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1525),
    [aux_sym_select_token1] = ACTIONS(1523),
    [aux_sym_insert_statement_token1] = ACTIONS(1523),
    [aux_sym_truncate_statement_token1] = ACTIONS(1523),
    [aux_sym_update_statement_token1] = ACTIONS(1523),
    [aux_sym_merge_statement_token1] = ACTIONS(1523),
    [aux_sym_grant_statement_token1] = ACTIONS(1523),
    [aux_sym_revoke_statement_token1] = ACTIONS(1523),
    [aux_sym_export_data_statement_token1] = ACTIONS(1523),
    [aux_sym_load_data_statement_token1] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1523),
    [anon_sym_LT_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_PIPE] = ACTIONS(1525),
  },
  [4868] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4869] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1845),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1845),
    [aux_sym_keyword_replace_token1] = ACTIONS(1845),
    [aux_sym__keyword_alter_token1] = ACTIONS(1845),
    [aux_sym__keyword_create_token1] = ACTIONS(1845),
    [aux_sym__keyword_drop_token1] = ACTIONS(1845),
    [aux_sym__keyword_delete_token1] = ACTIONS(1845),
    [aux_sym__keyword_begin_token1] = ACTIONS(1845),
    [aux_sym__keyword_end_token1] = ACTIONS(1845),
    [aux_sym__keyword_between_token1] = ACTIONS(1845),
    [aux_sym__keyword_else_token1] = ACTIONS(1847),
    [aux_sym__keyword_is_token1] = ACTIONS(1845),
    [aux_sym__keyword_in_token1] = ACTIONS(1847),
    [aux_sym__keyword_and_token1] = ACTIONS(1845),
    [aux_sym__keyword_like_token1] = ACTIONS(1845),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1845),
    [aux_sym__keyword_for_token1] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [aux_sym_declare_statement_token1] = ACTIONS(1845),
    [aux_sym_set_statement_token1] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1845),
    [aux_sym_into_clause_token1] = ACTIONS(1845),
    [aux_sym_using_clause_token1] = ACTIONS(1845),
    [aux_sym_return_statement_token1] = ACTIONS(1845),
    [aux_sym_call_statement_token1] = ACTIONS(1845),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1845),
    [aux_sym_if_statement_token1] = ACTIONS(1845),
    [aux_sym_loop_statement_token1] = ACTIONS(1845),
    [aux_sym_repeat_statement_token1] = ACTIONS(1845),
    [aux_sym_while_statement_token1] = ACTIONS(1845),
    [aux_sym_break_statement_token1] = ACTIONS(1845),
    [aux_sym_leave_statement_token1] = ACTIONS(1845),
    [aux_sym_continue_statement_token1] = ACTIONS(1845),
    [aux_sym_iterate_statement_token1] = ACTIONS(1845),
    [aux_sym_raise_statement_token1] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [aux_sym_assert_statement_token1] = ACTIONS(1845),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1847),
    [aux_sym_select_token1] = ACTIONS(1845),
    [aux_sym_insert_statement_token1] = ACTIONS(1845),
    [aux_sym_truncate_statement_token1] = ACTIONS(1845),
    [aux_sym_update_statement_token1] = ACTIONS(1845),
    [aux_sym_merge_statement_token1] = ACTIONS(1845),
    [aux_sym_grant_statement_token1] = ACTIONS(1845),
    [aux_sym_revoke_statement_token1] = ACTIONS(1845),
    [aux_sym_export_data_statement_token1] = ACTIONS(1845),
    [aux_sym_load_data_statement_token1] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_LT_GT] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1847),
  },
  [4870] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1617),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1617),
    [aux_sym_keyword_replace_token1] = ACTIONS(1617),
    [aux_sym__keyword_alter_token1] = ACTIONS(1617),
    [aux_sym__keyword_create_token1] = ACTIONS(1617),
    [aux_sym__keyword_drop_token1] = ACTIONS(1617),
    [aux_sym__keyword_delete_token1] = ACTIONS(1617),
    [aux_sym__keyword_begin_token1] = ACTIONS(1617),
    [aux_sym__keyword_end_token1] = ACTIONS(1617),
    [aux_sym__keyword_between_token1] = ACTIONS(1617),
    [aux_sym__keyword_else_token1] = ACTIONS(1619),
    [aux_sym__keyword_is_token1] = ACTIONS(1617),
    [aux_sym__keyword_in_token1] = ACTIONS(1619),
    [aux_sym__keyword_and_token1] = ACTIONS(1617),
    [aux_sym__keyword_like_token1] = ACTIONS(1617),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1617),
    [aux_sym__keyword_for_token1] = ACTIONS(1617),
    [anon_sym_SEMI] = ACTIONS(1617),
    [aux_sym_declare_statement_token1] = ACTIONS(1617),
    [aux_sym_set_statement_token1] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1617),
    [aux_sym_into_clause_token1] = ACTIONS(1617),
    [aux_sym_using_clause_token1] = ACTIONS(1617),
    [aux_sym_return_statement_token1] = ACTIONS(1617),
    [aux_sym_call_statement_token1] = ACTIONS(1617),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1617),
    [aux_sym_if_statement_token1] = ACTIONS(1617),
    [aux_sym_loop_statement_token1] = ACTIONS(1617),
    [aux_sym_repeat_statement_token1] = ACTIONS(1617),
    [aux_sym_while_statement_token1] = ACTIONS(1617),
    [aux_sym_break_statement_token1] = ACTIONS(1617),
    [aux_sym_leave_statement_token1] = ACTIONS(1617),
    [aux_sym_continue_statement_token1] = ACTIONS(1617),
    [aux_sym_iterate_statement_token1] = ACTIONS(1617),
    [aux_sym_raise_statement_token1] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1617),
    [aux_sym_assert_statement_token1] = ACTIONS(1617),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(1619),
    [aux_sym_select_token1] = ACTIONS(1617),
    [aux_sym_insert_statement_token1] = ACTIONS(1617),
    [aux_sym_truncate_statement_token1] = ACTIONS(1617),
    [aux_sym_update_statement_token1] = ACTIONS(1617),
    [aux_sym_merge_statement_token1] = ACTIONS(1617),
    [aux_sym_grant_statement_token1] = ACTIONS(1617),
    [aux_sym_revoke_statement_token1] = ACTIONS(1617),
    [aux_sym_export_data_statement_token1] = ACTIONS(1617),
    [aux_sym_load_data_statement_token1] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_GT] = ACTIONS(1617),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1617),
    [anon_sym_GT_GT] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_CARET] = ACTIONS(1617),
    [anon_sym_PIPE] = ACTIONS(1619),
  },
  [4871] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1775),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1775),
    [aux_sym_keyword_replace_token1] = ACTIONS(1775),
    [aux_sym__keyword_alter_token1] = ACTIONS(1775),
    [aux_sym__keyword_create_token1] = ACTIONS(1775),
    [aux_sym__keyword_drop_token1] = ACTIONS(1775),
    [aux_sym__keyword_delete_token1] = ACTIONS(1775),
    [aux_sym__keyword_begin_token1] = ACTIONS(1775),
    [aux_sym__keyword_end_token1] = ACTIONS(1775),
    [aux_sym__keyword_between_token1] = ACTIONS(1775),
    [aux_sym__keyword_else_token1] = ACTIONS(1777),
    [aux_sym__keyword_is_token1] = ACTIONS(1775),
    [aux_sym__keyword_in_token1] = ACTIONS(1777),
    [aux_sym__keyword_and_token1] = ACTIONS(1775),
    [aux_sym__keyword_like_token1] = ACTIONS(1775),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1775),
    [aux_sym__keyword_for_token1] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1775),
    [aux_sym_into_clause_token1] = ACTIONS(1775),
    [aux_sym_using_clause_token1] = ACTIONS(1775),
    [aux_sym_return_statement_token1] = ACTIONS(1775),
    [aux_sym_call_statement_token1] = ACTIONS(1775),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1775),
    [aux_sym_if_statement_token1] = ACTIONS(1775),
    [aux_sym_loop_statement_token1] = ACTIONS(1775),
    [aux_sym_repeat_statement_token1] = ACTIONS(1775),
    [aux_sym_while_statement_token1] = ACTIONS(1775),
    [aux_sym_break_statement_token1] = ACTIONS(1775),
    [aux_sym_leave_statement_token1] = ACTIONS(1775),
    [aux_sym_continue_statement_token1] = ACTIONS(1775),
    [aux_sym_iterate_statement_token1] = ACTIONS(1775),
    [aux_sym_raise_statement_token1] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1775),
    [aux_sym_assert_statement_token1] = ACTIONS(1775),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1775),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1775),
    [aux_sym_insert_statement_token1] = ACTIONS(1775),
    [aux_sym_truncate_statement_token1] = ACTIONS(1775),
    [aux_sym_update_statement_token1] = ACTIONS(1775),
    [aux_sym_merge_statement_token1] = ACTIONS(1775),
    [aux_sym_grant_statement_token1] = ACTIONS(1775),
    [aux_sym_revoke_statement_token1] = ACTIONS(1775),
    [aux_sym_export_data_statement_token1] = ACTIONS(1775),
    [aux_sym_load_data_statement_token1] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1775),
    [anon_sym_LT_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_PIPE] = ACTIONS(1777),
  },
  [4872] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1621),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1621),
    [aux_sym_keyword_replace_token1] = ACTIONS(1621),
    [aux_sym__keyword_alter_token1] = ACTIONS(1621),
    [aux_sym__keyword_create_token1] = ACTIONS(1621),
    [aux_sym__keyword_drop_token1] = ACTIONS(1621),
    [aux_sym__keyword_delete_token1] = ACTIONS(1621),
    [aux_sym__keyword_begin_token1] = ACTIONS(1621),
    [aux_sym__keyword_end_token1] = ACTIONS(1621),
    [aux_sym__keyword_between_token1] = ACTIONS(1621),
    [aux_sym__keyword_else_token1] = ACTIONS(1623),
    [aux_sym__keyword_is_token1] = ACTIONS(1621),
    [aux_sym__keyword_in_token1] = ACTIONS(1623),
    [aux_sym__keyword_and_token1] = ACTIONS(1621),
    [aux_sym__keyword_like_token1] = ACTIONS(1621),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1621),
    [aux_sym__keyword_for_token1] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [aux_sym_declare_statement_token1] = ACTIONS(1621),
    [aux_sym_set_statement_token1] = ACTIONS(1621),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1621),
    [aux_sym_into_clause_token1] = ACTIONS(1621),
    [aux_sym_using_clause_token1] = ACTIONS(1621),
    [aux_sym_return_statement_token1] = ACTIONS(1621),
    [aux_sym_call_statement_token1] = ACTIONS(1621),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1621),
    [aux_sym_if_statement_token1] = ACTIONS(1621),
    [aux_sym_loop_statement_token1] = ACTIONS(1621),
    [aux_sym_repeat_statement_token1] = ACTIONS(1621),
    [aux_sym_while_statement_token1] = ACTIONS(1621),
    [aux_sym_break_statement_token1] = ACTIONS(1621),
    [aux_sym_leave_statement_token1] = ACTIONS(1621),
    [aux_sym_continue_statement_token1] = ACTIONS(1621),
    [aux_sym_iterate_statement_token1] = ACTIONS(1621),
    [aux_sym_raise_statement_token1] = ACTIONS(1621),
    [anon_sym_EQ] = ACTIONS(1621),
    [aux_sym_assert_statement_token1] = ACTIONS(1621),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1621),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_GT] = ACTIONS(1623),
    [aux_sym_select_token1] = ACTIONS(1621),
    [aux_sym_insert_statement_token1] = ACTIONS(1621),
    [aux_sym_truncate_statement_token1] = ACTIONS(1621),
    [aux_sym_update_statement_token1] = ACTIONS(1621),
    [aux_sym_merge_statement_token1] = ACTIONS(1621),
    [aux_sym_grant_statement_token1] = ACTIONS(1621),
    [aux_sym_revoke_statement_token1] = ACTIONS(1621),
    [aux_sym_export_data_statement_token1] = ACTIONS(1621),
    [aux_sym_load_data_statement_token1] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_SLASH] = ACTIONS(1623),
    [anon_sym_PIPE_PIPE] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_GT] = ACTIONS(1621),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1621),
    [anon_sym_GT_GT] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_CARET] = ACTIONS(1621),
    [anon_sym_PIPE] = ACTIONS(1623),
  },
  [4873] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1787),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1787),
    [aux_sym_keyword_replace_token1] = ACTIONS(1787),
    [aux_sym__keyword_alter_token1] = ACTIONS(1787),
    [aux_sym__keyword_create_token1] = ACTIONS(1787),
    [aux_sym__keyword_drop_token1] = ACTIONS(1787),
    [aux_sym__keyword_delete_token1] = ACTIONS(1787),
    [aux_sym__keyword_begin_token1] = ACTIONS(1787),
    [aux_sym__keyword_end_token1] = ACTIONS(1787),
    [aux_sym__keyword_between_token1] = ACTIONS(1787),
    [aux_sym__keyword_else_token1] = ACTIONS(1789),
    [aux_sym__keyword_is_token1] = ACTIONS(1787),
    [aux_sym__keyword_in_token1] = ACTIONS(1789),
    [aux_sym__keyword_and_token1] = ACTIONS(1787),
    [aux_sym__keyword_like_token1] = ACTIONS(1787),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1787),
    [aux_sym__keyword_for_token1] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [aux_sym_declare_statement_token1] = ACTIONS(1787),
    [aux_sym_set_statement_token1] = ACTIONS(1787),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1787),
    [aux_sym_into_clause_token1] = ACTIONS(1787),
    [aux_sym_using_clause_token1] = ACTIONS(1787),
    [aux_sym_return_statement_token1] = ACTIONS(1787),
    [aux_sym_call_statement_token1] = ACTIONS(1787),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1787),
    [aux_sym_if_statement_token1] = ACTIONS(1787),
    [aux_sym_loop_statement_token1] = ACTIONS(1787),
    [aux_sym_repeat_statement_token1] = ACTIONS(1787),
    [aux_sym_while_statement_token1] = ACTIONS(1787),
    [aux_sym_break_statement_token1] = ACTIONS(1787),
    [aux_sym_leave_statement_token1] = ACTIONS(1787),
    [aux_sym_continue_statement_token1] = ACTIONS(1787),
    [aux_sym_iterate_statement_token1] = ACTIONS(1787),
    [aux_sym_raise_statement_token1] = ACTIONS(1787),
    [anon_sym_EQ] = ACTIONS(1787),
    [aux_sym_assert_statement_token1] = ACTIONS(1787),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1789),
    [aux_sym_select_token1] = ACTIONS(1787),
    [aux_sym_insert_statement_token1] = ACTIONS(1787),
    [aux_sym_truncate_statement_token1] = ACTIONS(1787),
    [aux_sym_update_statement_token1] = ACTIONS(1787),
    [aux_sym_merge_statement_token1] = ACTIONS(1787),
    [aux_sym_grant_statement_token1] = ACTIONS(1787),
    [aux_sym_revoke_statement_token1] = ACTIONS(1787),
    [aux_sym_export_data_statement_token1] = ACTIONS(1787),
    [aux_sym_load_data_statement_token1] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_GT] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
  },
  [4874] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1625),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1625),
    [aux_sym_keyword_replace_token1] = ACTIONS(1625),
    [aux_sym__keyword_alter_token1] = ACTIONS(1625),
    [aux_sym__keyword_create_token1] = ACTIONS(1625),
    [aux_sym__keyword_drop_token1] = ACTIONS(1625),
    [aux_sym__keyword_delete_token1] = ACTIONS(1625),
    [aux_sym__keyword_begin_token1] = ACTIONS(1625),
    [aux_sym__keyword_end_token1] = ACTIONS(1625),
    [aux_sym__keyword_between_token1] = ACTIONS(1625),
    [aux_sym__keyword_else_token1] = ACTIONS(1627),
    [aux_sym__keyword_is_token1] = ACTIONS(1625),
    [aux_sym__keyword_in_token1] = ACTIONS(1627),
    [aux_sym__keyword_and_token1] = ACTIONS(1625),
    [aux_sym__keyword_like_token1] = ACTIONS(1625),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1625),
    [aux_sym__keyword_for_token1] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [aux_sym_declare_statement_token1] = ACTIONS(1625),
    [aux_sym_set_statement_token1] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1625),
    [aux_sym_into_clause_token1] = ACTIONS(1625),
    [aux_sym_using_clause_token1] = ACTIONS(1625),
    [aux_sym_return_statement_token1] = ACTIONS(1625),
    [aux_sym_call_statement_token1] = ACTIONS(1625),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1625),
    [aux_sym_if_statement_token1] = ACTIONS(1625),
    [aux_sym_loop_statement_token1] = ACTIONS(1625),
    [aux_sym_repeat_statement_token1] = ACTIONS(1625),
    [aux_sym_while_statement_token1] = ACTIONS(1625),
    [aux_sym_break_statement_token1] = ACTIONS(1625),
    [aux_sym_leave_statement_token1] = ACTIONS(1625),
    [aux_sym_continue_statement_token1] = ACTIONS(1625),
    [aux_sym_iterate_statement_token1] = ACTIONS(1625),
    [aux_sym_raise_statement_token1] = ACTIONS(1625),
    [anon_sym_EQ] = ACTIONS(1625),
    [aux_sym_assert_statement_token1] = ACTIONS(1625),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1625),
    [anon_sym_LT] = ACTIONS(1627),
    [anon_sym_GT] = ACTIONS(1627),
    [aux_sym_select_token1] = ACTIONS(1625),
    [aux_sym_insert_statement_token1] = ACTIONS(1625),
    [aux_sym_truncate_statement_token1] = ACTIONS(1625),
    [aux_sym_update_statement_token1] = ACTIONS(1625),
    [aux_sym_merge_statement_token1] = ACTIONS(1625),
    [aux_sym_grant_statement_token1] = ACTIONS(1625),
    [aux_sym_revoke_statement_token1] = ACTIONS(1625),
    [aux_sym_export_data_statement_token1] = ACTIONS(1625),
    [aux_sym_load_data_statement_token1] = ACTIONS(1625),
    [anon_sym_LBRACK] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1627),
    [anon_sym_PIPE_PIPE] = ACTIONS(1625),
    [anon_sym_LT_EQ] = ACTIONS(1625),
    [anon_sym_LT_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1625),
    [anon_sym_BANG_EQ] = ACTIONS(1625),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_PIPE] = ACTIONS(1627),
  },
  [4875] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1629),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1629),
    [aux_sym_keyword_replace_token1] = ACTIONS(1629),
    [aux_sym__keyword_alter_token1] = ACTIONS(1629),
    [aux_sym__keyword_create_token1] = ACTIONS(1629),
    [aux_sym__keyword_drop_token1] = ACTIONS(1629),
    [aux_sym__keyword_delete_token1] = ACTIONS(1629),
    [aux_sym__keyword_begin_token1] = ACTIONS(1629),
    [aux_sym__keyword_end_token1] = ACTIONS(1629),
    [aux_sym__keyword_between_token1] = ACTIONS(1629),
    [aux_sym__keyword_else_token1] = ACTIONS(1631),
    [aux_sym__keyword_is_token1] = ACTIONS(1629),
    [aux_sym__keyword_in_token1] = ACTIONS(1631),
    [aux_sym__keyword_and_token1] = ACTIONS(1629),
    [aux_sym__keyword_like_token1] = ACTIONS(1629),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1629),
    [aux_sym__keyword_for_token1] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [aux_sym_declare_statement_token1] = ACTIONS(1629),
    [aux_sym_set_statement_token1] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1629),
    [aux_sym_into_clause_token1] = ACTIONS(1629),
    [aux_sym_using_clause_token1] = ACTIONS(1629),
    [aux_sym_return_statement_token1] = ACTIONS(1629),
    [aux_sym_call_statement_token1] = ACTIONS(1629),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1629),
    [aux_sym_if_statement_token1] = ACTIONS(1629),
    [aux_sym_loop_statement_token1] = ACTIONS(1629),
    [aux_sym_repeat_statement_token1] = ACTIONS(1629),
    [aux_sym_while_statement_token1] = ACTIONS(1629),
    [aux_sym_break_statement_token1] = ACTIONS(1629),
    [aux_sym_leave_statement_token1] = ACTIONS(1629),
    [aux_sym_continue_statement_token1] = ACTIONS(1629),
    [aux_sym_iterate_statement_token1] = ACTIONS(1629),
    [aux_sym_raise_statement_token1] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1629),
    [aux_sym_assert_statement_token1] = ACTIONS(1629),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1631),
    [anon_sym_GT] = ACTIONS(1631),
    [aux_sym_select_token1] = ACTIONS(1629),
    [aux_sym_insert_statement_token1] = ACTIONS(1629),
    [aux_sym_truncate_statement_token1] = ACTIONS(1629),
    [aux_sym_update_statement_token1] = ACTIONS(1629),
    [aux_sym_merge_statement_token1] = ACTIONS(1629),
    [aux_sym_grant_statement_token1] = ACTIONS(1629),
    [aux_sym_revoke_statement_token1] = ACTIONS(1629),
    [aux_sym_export_data_statement_token1] = ACTIONS(1629),
    [aux_sym_load_data_statement_token1] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1631),
    [anon_sym_PIPE_PIPE] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_BANG_EQ] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_GT_GT] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_CARET] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
  },
  [4876] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1783),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1783),
    [aux_sym_keyword_replace_token1] = ACTIONS(1783),
    [aux_sym__keyword_alter_token1] = ACTIONS(1783),
    [aux_sym__keyword_create_token1] = ACTIONS(1783),
    [aux_sym__keyword_drop_token1] = ACTIONS(1783),
    [aux_sym__keyword_delete_token1] = ACTIONS(1783),
    [aux_sym__keyword_begin_token1] = ACTIONS(1783),
    [aux_sym__keyword_end_token1] = ACTIONS(1783),
    [aux_sym__keyword_between_token1] = ACTIONS(1783),
    [aux_sym__keyword_else_token1] = ACTIONS(1785),
    [aux_sym__keyword_is_token1] = ACTIONS(1783),
    [aux_sym__keyword_in_token1] = ACTIONS(1785),
    [aux_sym__keyword_and_token1] = ACTIONS(1783),
    [aux_sym__keyword_like_token1] = ACTIONS(1783),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1783),
    [aux_sym__keyword_for_token1] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1783),
    [aux_sym_into_clause_token1] = ACTIONS(1783),
    [aux_sym_using_clause_token1] = ACTIONS(1783),
    [aux_sym_return_statement_token1] = ACTIONS(1783),
    [aux_sym_call_statement_token1] = ACTIONS(1783),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1783),
    [aux_sym_if_statement_token1] = ACTIONS(1783),
    [aux_sym_loop_statement_token1] = ACTIONS(1783),
    [aux_sym_repeat_statement_token1] = ACTIONS(1783),
    [aux_sym_while_statement_token1] = ACTIONS(1783),
    [aux_sym_break_statement_token1] = ACTIONS(1783),
    [aux_sym_leave_statement_token1] = ACTIONS(1783),
    [aux_sym_continue_statement_token1] = ACTIONS(1783),
    [aux_sym_iterate_statement_token1] = ACTIONS(1783),
    [aux_sym_raise_statement_token1] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1783),
    [aux_sym_assert_statement_token1] = ACTIONS(1783),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1783),
    [aux_sym_insert_statement_token1] = ACTIONS(1783),
    [aux_sym_truncate_statement_token1] = ACTIONS(1783),
    [aux_sym_update_statement_token1] = ACTIONS(1783),
    [aux_sym_merge_statement_token1] = ACTIONS(1783),
    [aux_sym_grant_statement_token1] = ACTIONS(1783),
    [aux_sym_revoke_statement_token1] = ACTIONS(1783),
    [aux_sym_export_data_statement_token1] = ACTIONS(1783),
    [aux_sym_load_data_statement_token1] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_LT_GT] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1783),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1785),
  },
  [4877] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1637),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1637),
    [aux_sym_keyword_replace_token1] = ACTIONS(1637),
    [aux_sym__keyword_alter_token1] = ACTIONS(1637),
    [aux_sym__keyword_create_token1] = ACTIONS(1637),
    [aux_sym__keyword_drop_token1] = ACTIONS(1637),
    [aux_sym__keyword_delete_token1] = ACTIONS(1637),
    [aux_sym__keyword_begin_token1] = ACTIONS(1637),
    [aux_sym__keyword_end_token1] = ACTIONS(1637),
    [aux_sym__keyword_between_token1] = ACTIONS(1637),
    [aux_sym__keyword_else_token1] = ACTIONS(1639),
    [aux_sym__keyword_is_token1] = ACTIONS(1637),
    [aux_sym__keyword_in_token1] = ACTIONS(1639),
    [aux_sym__keyword_and_token1] = ACTIONS(1637),
    [aux_sym__keyword_like_token1] = ACTIONS(1637),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1637),
    [aux_sym__keyword_for_token1] = ACTIONS(1637),
    [anon_sym_SEMI] = ACTIONS(1637),
    [aux_sym_declare_statement_token1] = ACTIONS(1637),
    [aux_sym_set_statement_token1] = ACTIONS(1637),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1637),
    [aux_sym_into_clause_token1] = ACTIONS(1637),
    [aux_sym_using_clause_token1] = ACTIONS(1637),
    [aux_sym_return_statement_token1] = ACTIONS(1637),
    [aux_sym_call_statement_token1] = ACTIONS(1637),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1637),
    [aux_sym_if_statement_token1] = ACTIONS(1637),
    [aux_sym_loop_statement_token1] = ACTIONS(1637),
    [aux_sym_repeat_statement_token1] = ACTIONS(1637),
    [aux_sym_while_statement_token1] = ACTIONS(1637),
    [aux_sym_break_statement_token1] = ACTIONS(1637),
    [aux_sym_leave_statement_token1] = ACTIONS(1637),
    [aux_sym_continue_statement_token1] = ACTIONS(1637),
    [aux_sym_iterate_statement_token1] = ACTIONS(1637),
    [aux_sym_raise_statement_token1] = ACTIONS(1637),
    [anon_sym_EQ] = ACTIONS(1637),
    [aux_sym_assert_statement_token1] = ACTIONS(1637),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [aux_sym_select_token1] = ACTIONS(1637),
    [aux_sym_insert_statement_token1] = ACTIONS(1637),
    [aux_sym_truncate_statement_token1] = ACTIONS(1637),
    [aux_sym_update_statement_token1] = ACTIONS(1637),
    [aux_sym_merge_statement_token1] = ACTIONS(1637),
    [aux_sym_grant_statement_token1] = ACTIONS(1637),
    [aux_sym_revoke_statement_token1] = ACTIONS(1637),
    [aux_sym_export_data_statement_token1] = ACTIONS(1637),
    [aux_sym_load_data_statement_token1] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym_PIPE_PIPE] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_BANG_EQ] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_GT_GT] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_CARET] = ACTIONS(1637),
    [anon_sym_PIPE] = ACTIONS(1639),
  },
  [4878] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1641),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1641),
    [aux_sym_keyword_replace_token1] = ACTIONS(1641),
    [aux_sym__keyword_alter_token1] = ACTIONS(1641),
    [aux_sym__keyword_create_token1] = ACTIONS(1641),
    [aux_sym__keyword_drop_token1] = ACTIONS(1641),
    [aux_sym__keyword_delete_token1] = ACTIONS(1641),
    [aux_sym__keyword_begin_token1] = ACTIONS(1641),
    [aux_sym__keyword_end_token1] = ACTIONS(1641),
    [aux_sym__keyword_between_token1] = ACTIONS(1641),
    [aux_sym__keyword_else_token1] = ACTIONS(1643),
    [aux_sym__keyword_is_token1] = ACTIONS(1641),
    [aux_sym__keyword_in_token1] = ACTIONS(1643),
    [aux_sym__keyword_and_token1] = ACTIONS(1641),
    [aux_sym__keyword_like_token1] = ACTIONS(1641),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1641),
    [aux_sym__keyword_for_token1] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1641),
    [aux_sym_declare_statement_token1] = ACTIONS(1641),
    [aux_sym_set_statement_token1] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1641),
    [aux_sym_into_clause_token1] = ACTIONS(1641),
    [aux_sym_using_clause_token1] = ACTIONS(1641),
    [aux_sym_return_statement_token1] = ACTIONS(1641),
    [aux_sym_call_statement_token1] = ACTIONS(1641),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1641),
    [aux_sym_if_statement_token1] = ACTIONS(1641),
    [aux_sym_loop_statement_token1] = ACTIONS(1641),
    [aux_sym_repeat_statement_token1] = ACTIONS(1641),
    [aux_sym_while_statement_token1] = ACTIONS(1641),
    [aux_sym_break_statement_token1] = ACTIONS(1641),
    [aux_sym_leave_statement_token1] = ACTIONS(1641),
    [aux_sym_continue_statement_token1] = ACTIONS(1641),
    [aux_sym_iterate_statement_token1] = ACTIONS(1641),
    [aux_sym_raise_statement_token1] = ACTIONS(1641),
    [anon_sym_EQ] = ACTIONS(1641),
    [aux_sym_assert_statement_token1] = ACTIONS(1641),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1641),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [aux_sym_select_token1] = ACTIONS(1641),
    [aux_sym_insert_statement_token1] = ACTIONS(1641),
    [aux_sym_truncate_statement_token1] = ACTIONS(1641),
    [aux_sym_update_statement_token1] = ACTIONS(1641),
    [aux_sym_merge_statement_token1] = ACTIONS(1641),
    [aux_sym_grant_statement_token1] = ACTIONS(1641),
    [aux_sym_revoke_statement_token1] = ACTIONS(1641),
    [aux_sym_export_data_statement_token1] = ACTIONS(1641),
    [aux_sym_load_data_statement_token1] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym_PIPE_PIPE] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_BANG_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_PIPE] = ACTIONS(1643),
  },
  [4879] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4880] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1375),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1375),
    [aux_sym_keyword_replace_token1] = ACTIONS(1375),
    [aux_sym__keyword_alter_token1] = ACTIONS(1375),
    [aux_sym__keyword_create_token1] = ACTIONS(1375),
    [aux_sym__keyword_drop_token1] = ACTIONS(1375),
    [aux_sym__keyword_delete_token1] = ACTIONS(1375),
    [aux_sym__keyword_begin_token1] = ACTIONS(1375),
    [aux_sym__keyword_end_token1] = ACTIONS(1375),
    [aux_sym__keyword_between_token1] = ACTIONS(1375),
    [aux_sym__keyword_else_token1] = ACTIONS(1377),
    [aux_sym__keyword_is_token1] = ACTIONS(1375),
    [aux_sym__keyword_in_token1] = ACTIONS(1377),
    [aux_sym__keyword_and_token1] = ACTIONS(1375),
    [aux_sym__keyword_like_token1] = ACTIONS(1375),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1375),
    [aux_sym__keyword_for_token1] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1375),
    [aux_sym_into_clause_token1] = ACTIONS(1375),
    [aux_sym_using_clause_token1] = ACTIONS(1375),
    [aux_sym_return_statement_token1] = ACTIONS(1375),
    [aux_sym_call_statement_token1] = ACTIONS(1375),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_loop_statement_token1] = ACTIONS(1375),
    [aux_sym_repeat_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_break_statement_token1] = ACTIONS(1375),
    [aux_sym_leave_statement_token1] = ACTIONS(1375),
    [aux_sym_continue_statement_token1] = ACTIONS(1375),
    [aux_sym_iterate_statement_token1] = ACTIONS(1375),
    [aux_sym_raise_statement_token1] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1375),
    [aux_sym_assert_statement_token1] = ACTIONS(1375),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1375),
    [aux_sym_insert_statement_token1] = ACTIONS(1375),
    [aux_sym_truncate_statement_token1] = ACTIONS(1375),
    [aux_sym_update_statement_token1] = ACTIONS(1375),
    [aux_sym_merge_statement_token1] = ACTIONS(1375),
    [aux_sym_grant_statement_token1] = ACTIONS(1375),
    [aux_sym_revoke_statement_token1] = ACTIONS(1375),
    [aux_sym_export_data_statement_token1] = ACTIONS(1375),
    [aux_sym_load_data_statement_token1] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_LT_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
  },
  [4881] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1563),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1563),
    [aux_sym_keyword_replace_token1] = ACTIONS(1563),
    [aux_sym__keyword_alter_token1] = ACTIONS(1563),
    [aux_sym__keyword_create_token1] = ACTIONS(1563),
    [aux_sym__keyword_drop_token1] = ACTIONS(1563),
    [aux_sym__keyword_delete_token1] = ACTIONS(1563),
    [aux_sym__keyword_begin_token1] = ACTIONS(1563),
    [aux_sym__keyword_end_token1] = ACTIONS(1563),
    [aux_sym__keyword_between_token1] = ACTIONS(1563),
    [aux_sym__keyword_else_token1] = ACTIONS(1565),
    [aux_sym__keyword_is_token1] = ACTIONS(1563),
    [aux_sym__keyword_in_token1] = ACTIONS(1565),
    [aux_sym__keyword_and_token1] = ACTIONS(1563),
    [aux_sym__keyword_like_token1] = ACTIONS(1563),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1563),
    [aux_sym__keyword_for_token1] = ACTIONS(1563),
    [anon_sym_SEMI] = ACTIONS(1563),
    [aux_sym_declare_statement_token1] = ACTIONS(1563),
    [aux_sym_set_statement_token1] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1563),
    [aux_sym_into_clause_token1] = ACTIONS(1563),
    [aux_sym_using_clause_token1] = ACTIONS(1563),
    [aux_sym_return_statement_token1] = ACTIONS(1563),
    [aux_sym_call_statement_token1] = ACTIONS(1563),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1563),
    [aux_sym_if_statement_token1] = ACTIONS(1563),
    [aux_sym_loop_statement_token1] = ACTIONS(1563),
    [aux_sym_repeat_statement_token1] = ACTIONS(1563),
    [aux_sym_while_statement_token1] = ACTIONS(1563),
    [aux_sym_break_statement_token1] = ACTIONS(1563),
    [aux_sym_leave_statement_token1] = ACTIONS(1563),
    [aux_sym_continue_statement_token1] = ACTIONS(1563),
    [aux_sym_iterate_statement_token1] = ACTIONS(1563),
    [aux_sym_raise_statement_token1] = ACTIONS(1563),
    [anon_sym_EQ] = ACTIONS(1563),
    [aux_sym_assert_statement_token1] = ACTIONS(1563),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [aux_sym_select_token1] = ACTIONS(1563),
    [aux_sym_insert_statement_token1] = ACTIONS(1563),
    [aux_sym_truncate_statement_token1] = ACTIONS(1563),
    [aux_sym_update_statement_token1] = ACTIONS(1563),
    [aux_sym_merge_statement_token1] = ACTIONS(1563),
    [aux_sym_grant_statement_token1] = ACTIONS(1563),
    [aux_sym_revoke_statement_token1] = ACTIONS(1563),
    [aux_sym_export_data_statement_token1] = ACTIONS(1563),
    [aux_sym_load_data_statement_token1] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_GT] = ACTIONS(1563),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
  },
  [4882] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4883] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1645),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1645),
    [aux_sym_keyword_replace_token1] = ACTIONS(1645),
    [aux_sym__keyword_alter_token1] = ACTIONS(1645),
    [aux_sym__keyword_create_token1] = ACTIONS(1645),
    [aux_sym__keyword_drop_token1] = ACTIONS(1645),
    [aux_sym__keyword_delete_token1] = ACTIONS(1645),
    [aux_sym__keyword_begin_token1] = ACTIONS(1645),
    [aux_sym__keyword_end_token1] = ACTIONS(1645),
    [aux_sym__keyword_between_token1] = ACTIONS(1645),
    [aux_sym__keyword_else_token1] = ACTIONS(1647),
    [aux_sym__keyword_is_token1] = ACTIONS(1645),
    [aux_sym__keyword_in_token1] = ACTIONS(1647),
    [aux_sym__keyword_and_token1] = ACTIONS(1645),
    [aux_sym__keyword_like_token1] = ACTIONS(1645),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1645),
    [aux_sym__keyword_for_token1] = ACTIONS(1645),
    [anon_sym_SEMI] = ACTIONS(1645),
    [aux_sym_declare_statement_token1] = ACTIONS(1645),
    [aux_sym_set_statement_token1] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1645),
    [aux_sym_into_clause_token1] = ACTIONS(1645),
    [aux_sym_using_clause_token1] = ACTIONS(1645),
    [aux_sym_return_statement_token1] = ACTIONS(1645),
    [aux_sym_call_statement_token1] = ACTIONS(1645),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1645),
    [aux_sym_if_statement_token1] = ACTIONS(1645),
    [aux_sym_loop_statement_token1] = ACTIONS(1645),
    [aux_sym_repeat_statement_token1] = ACTIONS(1645),
    [aux_sym_while_statement_token1] = ACTIONS(1645),
    [aux_sym_break_statement_token1] = ACTIONS(1645),
    [aux_sym_leave_statement_token1] = ACTIONS(1645),
    [aux_sym_continue_statement_token1] = ACTIONS(1645),
    [aux_sym_iterate_statement_token1] = ACTIONS(1645),
    [aux_sym_raise_statement_token1] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(1645),
    [aux_sym_assert_statement_token1] = ACTIONS(1645),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [aux_sym_select_token1] = ACTIONS(1645),
    [aux_sym_insert_statement_token1] = ACTIONS(1645),
    [aux_sym_truncate_statement_token1] = ACTIONS(1645),
    [aux_sym_update_statement_token1] = ACTIONS(1645),
    [aux_sym_merge_statement_token1] = ACTIONS(1645),
    [aux_sym_grant_statement_token1] = ACTIONS(1645),
    [aux_sym_revoke_statement_token1] = ACTIONS(1645),
    [aux_sym_export_data_statement_token1] = ACTIONS(1645),
    [aux_sym_load_data_statement_token1] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym_PIPE_PIPE] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_BANG_EQ] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_GT_GT] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_CARET] = ACTIONS(1645),
    [anon_sym_PIPE] = ACTIONS(1647),
  },
  [4884] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1649),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1649),
    [aux_sym_keyword_replace_token1] = ACTIONS(1649),
    [aux_sym__keyword_alter_token1] = ACTIONS(1649),
    [aux_sym__keyword_create_token1] = ACTIONS(1649),
    [aux_sym__keyword_drop_token1] = ACTIONS(1649),
    [aux_sym__keyword_delete_token1] = ACTIONS(1649),
    [aux_sym__keyword_begin_token1] = ACTIONS(1649),
    [aux_sym__keyword_end_token1] = ACTIONS(1649),
    [aux_sym__keyword_between_token1] = ACTIONS(1649),
    [aux_sym__keyword_else_token1] = ACTIONS(1651),
    [aux_sym__keyword_is_token1] = ACTIONS(1649),
    [aux_sym__keyword_in_token1] = ACTIONS(1651),
    [aux_sym__keyword_and_token1] = ACTIONS(1649),
    [aux_sym__keyword_like_token1] = ACTIONS(1649),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1649),
    [aux_sym__keyword_for_token1] = ACTIONS(1649),
    [anon_sym_SEMI] = ACTIONS(1649),
    [aux_sym_declare_statement_token1] = ACTIONS(1649),
    [aux_sym_set_statement_token1] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1649),
    [aux_sym_into_clause_token1] = ACTIONS(1649),
    [aux_sym_using_clause_token1] = ACTIONS(1649),
    [aux_sym_return_statement_token1] = ACTIONS(1649),
    [aux_sym_call_statement_token1] = ACTIONS(1649),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1649),
    [aux_sym_if_statement_token1] = ACTIONS(1649),
    [aux_sym_loop_statement_token1] = ACTIONS(1649),
    [aux_sym_repeat_statement_token1] = ACTIONS(1649),
    [aux_sym_while_statement_token1] = ACTIONS(1649),
    [aux_sym_break_statement_token1] = ACTIONS(1649),
    [aux_sym_leave_statement_token1] = ACTIONS(1649),
    [aux_sym_continue_statement_token1] = ACTIONS(1649),
    [aux_sym_iterate_statement_token1] = ACTIONS(1649),
    [aux_sym_raise_statement_token1] = ACTIONS(1649),
    [anon_sym_EQ] = ACTIONS(1649),
    [aux_sym_assert_statement_token1] = ACTIONS(1649),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [aux_sym_select_token1] = ACTIONS(1649),
    [aux_sym_insert_statement_token1] = ACTIONS(1649),
    [aux_sym_truncate_statement_token1] = ACTIONS(1649),
    [aux_sym_update_statement_token1] = ACTIONS(1649),
    [aux_sym_merge_statement_token1] = ACTIONS(1649),
    [aux_sym_grant_statement_token1] = ACTIONS(1649),
    [aux_sym_revoke_statement_token1] = ACTIONS(1649),
    [aux_sym_export_data_statement_token1] = ACTIONS(1649),
    [aux_sym_load_data_statement_token1] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_BANG_EQ] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_GT_GT] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_PIPE] = ACTIONS(1651),
  },
  [4885] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1657),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1657),
    [aux_sym_keyword_replace_token1] = ACTIONS(1657),
    [aux_sym__keyword_alter_token1] = ACTIONS(1657),
    [aux_sym__keyword_create_token1] = ACTIONS(1657),
    [aux_sym__keyword_drop_token1] = ACTIONS(1657),
    [aux_sym__keyword_delete_token1] = ACTIONS(1657),
    [aux_sym__keyword_begin_token1] = ACTIONS(1657),
    [aux_sym__keyword_end_token1] = ACTIONS(1657),
    [aux_sym__keyword_between_token1] = ACTIONS(1657),
    [aux_sym__keyword_else_token1] = ACTIONS(1659),
    [aux_sym__keyword_is_token1] = ACTIONS(1657),
    [aux_sym__keyword_in_token1] = ACTIONS(1659),
    [aux_sym__keyword_and_token1] = ACTIONS(1657),
    [aux_sym__keyword_like_token1] = ACTIONS(1657),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1657),
    [aux_sym__keyword_for_token1] = ACTIONS(1657),
    [anon_sym_SEMI] = ACTIONS(1657),
    [aux_sym_declare_statement_token1] = ACTIONS(1657),
    [aux_sym_set_statement_token1] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1657),
    [aux_sym_into_clause_token1] = ACTIONS(1657),
    [aux_sym_using_clause_token1] = ACTIONS(1657),
    [aux_sym_return_statement_token1] = ACTIONS(1657),
    [aux_sym_call_statement_token1] = ACTIONS(1657),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1657),
    [aux_sym_if_statement_token1] = ACTIONS(1657),
    [aux_sym_loop_statement_token1] = ACTIONS(1657),
    [aux_sym_repeat_statement_token1] = ACTIONS(1657),
    [aux_sym_while_statement_token1] = ACTIONS(1657),
    [aux_sym_break_statement_token1] = ACTIONS(1657),
    [aux_sym_leave_statement_token1] = ACTIONS(1657),
    [aux_sym_continue_statement_token1] = ACTIONS(1657),
    [aux_sym_iterate_statement_token1] = ACTIONS(1657),
    [aux_sym_raise_statement_token1] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1657),
    [aux_sym_assert_statement_token1] = ACTIONS(1657),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1657),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [aux_sym_select_token1] = ACTIONS(1657),
    [aux_sym_insert_statement_token1] = ACTIONS(1657),
    [aux_sym_truncate_statement_token1] = ACTIONS(1657),
    [aux_sym_update_statement_token1] = ACTIONS(1657),
    [aux_sym_merge_statement_token1] = ACTIONS(1657),
    [aux_sym_grant_statement_token1] = ACTIONS(1657),
    [aux_sym_revoke_statement_token1] = ACTIONS(1657),
    [aux_sym_export_data_statement_token1] = ACTIONS(1657),
    [aux_sym_load_data_statement_token1] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym_PIPE_PIPE] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_BANG_EQ] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_GT_GT] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_CARET] = ACTIONS(1657),
    [anon_sym_PIPE] = ACTIONS(1659),
  },
  [4886] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1211),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1211),
    [aux_sym_keyword_replace_token1] = ACTIONS(1211),
    [aux_sym__keyword_alter_token1] = ACTIONS(1211),
    [aux_sym__keyword_create_token1] = ACTIONS(1211),
    [aux_sym__keyword_drop_token1] = ACTIONS(1211),
    [aux_sym__keyword_delete_token1] = ACTIONS(1211),
    [aux_sym__keyword_begin_token1] = ACTIONS(1211),
    [aux_sym__keyword_end_token1] = ACTIONS(1211),
    [aux_sym__keyword_between_token1] = ACTIONS(1211),
    [aux_sym__keyword_else_token1] = ACTIONS(1213),
    [aux_sym__keyword_is_token1] = ACTIONS(1211),
    [aux_sym__keyword_in_token1] = ACTIONS(1213),
    [aux_sym__keyword_and_token1] = ACTIONS(1211),
    [aux_sym__keyword_like_token1] = ACTIONS(1211),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1211),
    [aux_sym__keyword_for_token1] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_declare_statement_token1] = ACTIONS(1211),
    [aux_sym_set_statement_token1] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1211),
    [aux_sym_into_clause_token1] = ACTIONS(1211),
    [aux_sym_using_clause_token1] = ACTIONS(1211),
    [aux_sym_return_statement_token1] = ACTIONS(1211),
    [aux_sym_call_statement_token1] = ACTIONS(1211),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1211),
    [aux_sym_if_statement_token1] = ACTIONS(1211),
    [aux_sym_loop_statement_token1] = ACTIONS(1211),
    [aux_sym_repeat_statement_token1] = ACTIONS(1211),
    [aux_sym_while_statement_token1] = ACTIONS(1211),
    [aux_sym_break_statement_token1] = ACTIONS(1211),
    [aux_sym_leave_statement_token1] = ACTIONS(1211),
    [aux_sym_continue_statement_token1] = ACTIONS(1211),
    [aux_sym_iterate_statement_token1] = ACTIONS(1211),
    [aux_sym_raise_statement_token1] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [aux_sym_assert_statement_token1] = ACTIONS(1211),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [aux_sym_select_token1] = ACTIONS(1211),
    [aux_sym_insert_statement_token1] = ACTIONS(1211),
    [aux_sym_truncate_statement_token1] = ACTIONS(1211),
    [aux_sym_update_statement_token1] = ACTIONS(1211),
    [aux_sym_merge_statement_token1] = ACTIONS(1211),
    [aux_sym_grant_statement_token1] = ACTIONS(1211),
    [aux_sym_revoke_statement_token1] = ACTIONS(1211),
    [aux_sym_export_data_statement_token1] = ACTIONS(1211),
    [aux_sym_load_data_statement_token1] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
  },
  [4887] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1661),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1661),
    [aux_sym_keyword_replace_token1] = ACTIONS(1661),
    [aux_sym__keyword_alter_token1] = ACTIONS(1661),
    [aux_sym__keyword_create_token1] = ACTIONS(1661),
    [aux_sym__keyword_drop_token1] = ACTIONS(1661),
    [aux_sym__keyword_delete_token1] = ACTIONS(1661),
    [aux_sym__keyword_begin_token1] = ACTIONS(1661),
    [aux_sym__keyword_end_token1] = ACTIONS(1661),
    [aux_sym__keyword_between_token1] = ACTIONS(1661),
    [aux_sym__keyword_else_token1] = ACTIONS(1663),
    [aux_sym__keyword_is_token1] = ACTIONS(1661),
    [aux_sym__keyword_in_token1] = ACTIONS(1663),
    [aux_sym__keyword_and_token1] = ACTIONS(1661),
    [aux_sym__keyword_like_token1] = ACTIONS(1661),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1661),
    [aux_sym__keyword_for_token1] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [aux_sym_declare_statement_token1] = ACTIONS(1661),
    [aux_sym_set_statement_token1] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1661),
    [aux_sym_into_clause_token1] = ACTIONS(1661),
    [aux_sym_using_clause_token1] = ACTIONS(1661),
    [aux_sym_return_statement_token1] = ACTIONS(1661),
    [aux_sym_call_statement_token1] = ACTIONS(1661),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1661),
    [aux_sym_if_statement_token1] = ACTIONS(1661),
    [aux_sym_loop_statement_token1] = ACTIONS(1661),
    [aux_sym_repeat_statement_token1] = ACTIONS(1661),
    [aux_sym_while_statement_token1] = ACTIONS(1661),
    [aux_sym_break_statement_token1] = ACTIONS(1661),
    [aux_sym_leave_statement_token1] = ACTIONS(1661),
    [aux_sym_continue_statement_token1] = ACTIONS(1661),
    [aux_sym_iterate_statement_token1] = ACTIONS(1661),
    [aux_sym_raise_statement_token1] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [aux_sym_assert_statement_token1] = ACTIONS(1661),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [aux_sym_select_token1] = ACTIONS(1661),
    [aux_sym_insert_statement_token1] = ACTIONS(1661),
    [aux_sym_truncate_statement_token1] = ACTIONS(1661),
    [aux_sym_update_statement_token1] = ACTIONS(1661),
    [aux_sym_merge_statement_token1] = ACTIONS(1661),
    [aux_sym_grant_statement_token1] = ACTIONS(1661),
    [aux_sym_revoke_statement_token1] = ACTIONS(1661),
    [aux_sym_export_data_statement_token1] = ACTIONS(1661),
    [aux_sym_load_data_statement_token1] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_BANG_EQ] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_GT_GT] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_CARET] = ACTIONS(1661),
    [anon_sym_PIPE] = ACTIONS(1663),
  },
  [4888] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1665),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1665),
    [aux_sym_keyword_replace_token1] = ACTIONS(1665),
    [aux_sym__keyword_alter_token1] = ACTIONS(1665),
    [aux_sym__keyword_create_token1] = ACTIONS(1665),
    [aux_sym__keyword_drop_token1] = ACTIONS(1665),
    [aux_sym__keyword_delete_token1] = ACTIONS(1665),
    [aux_sym__keyword_begin_token1] = ACTIONS(1665),
    [aux_sym__keyword_end_token1] = ACTIONS(1665),
    [aux_sym__keyword_between_token1] = ACTIONS(1665),
    [aux_sym__keyword_else_token1] = ACTIONS(1667),
    [aux_sym__keyword_is_token1] = ACTIONS(1665),
    [aux_sym__keyword_in_token1] = ACTIONS(1667),
    [aux_sym__keyword_and_token1] = ACTIONS(1665),
    [aux_sym__keyword_like_token1] = ACTIONS(1665),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1665),
    [aux_sym__keyword_for_token1] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [aux_sym_declare_statement_token1] = ACTIONS(1665),
    [aux_sym_set_statement_token1] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1665),
    [aux_sym_into_clause_token1] = ACTIONS(1665),
    [aux_sym_using_clause_token1] = ACTIONS(1665),
    [aux_sym_return_statement_token1] = ACTIONS(1665),
    [aux_sym_call_statement_token1] = ACTIONS(1665),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1665),
    [aux_sym_if_statement_token1] = ACTIONS(1665),
    [aux_sym_loop_statement_token1] = ACTIONS(1665),
    [aux_sym_repeat_statement_token1] = ACTIONS(1665),
    [aux_sym_while_statement_token1] = ACTIONS(1665),
    [aux_sym_break_statement_token1] = ACTIONS(1665),
    [aux_sym_leave_statement_token1] = ACTIONS(1665),
    [aux_sym_continue_statement_token1] = ACTIONS(1665),
    [aux_sym_iterate_statement_token1] = ACTIONS(1665),
    [aux_sym_raise_statement_token1] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [aux_sym_assert_statement_token1] = ACTIONS(1665),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1667),
    [anon_sym_GT] = ACTIONS(1667),
    [aux_sym_select_token1] = ACTIONS(1665),
    [aux_sym_insert_statement_token1] = ACTIONS(1665),
    [aux_sym_truncate_statement_token1] = ACTIONS(1665),
    [aux_sym_update_statement_token1] = ACTIONS(1665),
    [aux_sym_merge_statement_token1] = ACTIONS(1665),
    [aux_sym_grant_statement_token1] = ACTIONS(1665),
    [aux_sym_revoke_statement_token1] = ACTIONS(1665),
    [aux_sym_export_data_statement_token1] = ACTIONS(1665),
    [aux_sym_load_data_statement_token1] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1667),
    [anon_sym_PIPE_PIPE] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_BANG_EQ] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1667),
  },
  [4889] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1669),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1669),
    [aux_sym_keyword_replace_token1] = ACTIONS(1669),
    [aux_sym__keyword_alter_token1] = ACTIONS(1669),
    [aux_sym__keyword_create_token1] = ACTIONS(1669),
    [aux_sym__keyword_drop_token1] = ACTIONS(1669),
    [aux_sym__keyword_delete_token1] = ACTIONS(1669),
    [aux_sym__keyword_begin_token1] = ACTIONS(1669),
    [aux_sym__keyword_end_token1] = ACTIONS(1669),
    [aux_sym__keyword_between_token1] = ACTIONS(1669),
    [aux_sym__keyword_else_token1] = ACTIONS(1671),
    [aux_sym__keyword_is_token1] = ACTIONS(1669),
    [aux_sym__keyword_in_token1] = ACTIONS(1671),
    [aux_sym__keyword_and_token1] = ACTIONS(1669),
    [aux_sym__keyword_like_token1] = ACTIONS(1669),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1669),
    [aux_sym__keyword_for_token1] = ACTIONS(1669),
    [anon_sym_SEMI] = ACTIONS(1669),
    [aux_sym_declare_statement_token1] = ACTIONS(1669),
    [aux_sym_set_statement_token1] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1669),
    [aux_sym_into_clause_token1] = ACTIONS(1669),
    [aux_sym_using_clause_token1] = ACTIONS(1669),
    [aux_sym_return_statement_token1] = ACTIONS(1669),
    [aux_sym_call_statement_token1] = ACTIONS(1669),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1669),
    [aux_sym_if_statement_token1] = ACTIONS(1669),
    [aux_sym_loop_statement_token1] = ACTIONS(1669),
    [aux_sym_repeat_statement_token1] = ACTIONS(1669),
    [aux_sym_while_statement_token1] = ACTIONS(1669),
    [aux_sym_break_statement_token1] = ACTIONS(1669),
    [aux_sym_leave_statement_token1] = ACTIONS(1669),
    [aux_sym_continue_statement_token1] = ACTIONS(1669),
    [aux_sym_iterate_statement_token1] = ACTIONS(1669),
    [aux_sym_raise_statement_token1] = ACTIONS(1669),
    [anon_sym_EQ] = ACTIONS(1669),
    [aux_sym_assert_statement_token1] = ACTIONS(1669),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1669),
    [anon_sym_LT] = ACTIONS(1671),
    [anon_sym_GT] = ACTIONS(1671),
    [aux_sym_select_token1] = ACTIONS(1669),
    [aux_sym_insert_statement_token1] = ACTIONS(1669),
    [aux_sym_truncate_statement_token1] = ACTIONS(1669),
    [aux_sym_update_statement_token1] = ACTIONS(1669),
    [aux_sym_merge_statement_token1] = ACTIONS(1669),
    [aux_sym_grant_statement_token1] = ACTIONS(1669),
    [aux_sym_revoke_statement_token1] = ACTIONS(1669),
    [aux_sym_export_data_statement_token1] = ACTIONS(1669),
    [aux_sym_load_data_statement_token1] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_SLASH] = ACTIONS(1671),
    [anon_sym_PIPE_PIPE] = ACTIONS(1669),
    [anon_sym_LT_EQ] = ACTIONS(1669),
    [anon_sym_LT_GT] = ACTIONS(1669),
    [anon_sym_GT_EQ] = ACTIONS(1669),
    [anon_sym_BANG_EQ] = ACTIONS(1669),
    [anon_sym_LT_LT] = ACTIONS(1669),
    [anon_sym_GT_GT] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_PIPE] = ACTIONS(1671),
  },
  [4890] = {
    [ts_builtin_sym_end] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1805),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1805),
    [aux_sym_keyword_replace_token1] = ACTIONS(1805),
    [aux_sym__keyword_alter_token1] = ACTIONS(1805),
    [aux_sym__keyword_create_token1] = ACTIONS(1805),
    [aux_sym__keyword_drop_token1] = ACTIONS(1805),
    [aux_sym__keyword_delete_token1] = ACTIONS(1805),
    [aux_sym__keyword_begin_token1] = ACTIONS(1805),
    [aux_sym__keyword_end_token1] = ACTIONS(1805),
    [aux_sym__keyword_between_token1] = ACTIONS(1805),
    [aux_sym__keyword_else_token1] = ACTIONS(1807),
    [aux_sym__keyword_is_token1] = ACTIONS(1805),
    [aux_sym__keyword_in_token1] = ACTIONS(1807),
    [aux_sym__keyword_and_token1] = ACTIONS(1805),
    [aux_sym__keyword_like_token1] = ACTIONS(1805),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1805),
    [aux_sym__keyword_for_token1] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1805),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1805),
    [aux_sym_into_clause_token1] = ACTIONS(1805),
    [aux_sym_using_clause_token1] = ACTIONS(1805),
    [aux_sym_return_statement_token1] = ACTIONS(1805),
    [aux_sym_call_statement_token1] = ACTIONS(1805),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1805),
    [aux_sym_if_statement_token1] = ACTIONS(1805),
    [aux_sym_loop_statement_token1] = ACTIONS(1805),
    [aux_sym_repeat_statement_token1] = ACTIONS(1805),
    [aux_sym_while_statement_token1] = ACTIONS(1805),
    [aux_sym_break_statement_token1] = ACTIONS(1805),
    [aux_sym_leave_statement_token1] = ACTIONS(1805),
    [aux_sym_continue_statement_token1] = ACTIONS(1805),
    [aux_sym_iterate_statement_token1] = ACTIONS(1805),
    [aux_sym_raise_statement_token1] = ACTIONS(1805),
    [anon_sym_EQ] = ACTIONS(1805),
    [aux_sym_assert_statement_token1] = ACTIONS(1805),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1805),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1805),
    [aux_sym_insert_statement_token1] = ACTIONS(1805),
    [aux_sym_truncate_statement_token1] = ACTIONS(1805),
    [aux_sym_update_statement_token1] = ACTIONS(1805),
    [aux_sym_merge_statement_token1] = ACTIONS(1805),
    [aux_sym_grant_statement_token1] = ACTIONS(1805),
    [aux_sym_revoke_statement_token1] = ACTIONS(1805),
    [aux_sym_export_data_statement_token1] = ACTIONS(1805),
    [aux_sym_load_data_statement_token1] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_LT_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
  },
  [4891] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4892] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1673),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1673),
    [aux_sym_keyword_replace_token1] = ACTIONS(1673),
    [aux_sym__keyword_alter_token1] = ACTIONS(1673),
    [aux_sym__keyword_create_token1] = ACTIONS(1673),
    [aux_sym__keyword_drop_token1] = ACTIONS(1673),
    [aux_sym__keyword_delete_token1] = ACTIONS(1673),
    [aux_sym__keyword_begin_token1] = ACTIONS(1673),
    [aux_sym__keyword_end_token1] = ACTIONS(1673),
    [aux_sym__keyword_between_token1] = ACTIONS(1673),
    [aux_sym__keyword_else_token1] = ACTIONS(1675),
    [aux_sym__keyword_is_token1] = ACTIONS(1673),
    [aux_sym__keyword_in_token1] = ACTIONS(1675),
    [aux_sym__keyword_and_token1] = ACTIONS(1673),
    [aux_sym__keyword_like_token1] = ACTIONS(1673),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1673),
    [aux_sym__keyword_for_token1] = ACTIONS(1673),
    [anon_sym_SEMI] = ACTIONS(1673),
    [aux_sym_declare_statement_token1] = ACTIONS(1673),
    [aux_sym_set_statement_token1] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1673),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1673),
    [aux_sym_into_clause_token1] = ACTIONS(1673),
    [aux_sym_using_clause_token1] = ACTIONS(1673),
    [aux_sym_return_statement_token1] = ACTIONS(1673),
    [aux_sym_call_statement_token1] = ACTIONS(1673),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1673),
    [aux_sym_if_statement_token1] = ACTIONS(1673),
    [aux_sym_loop_statement_token1] = ACTIONS(1673),
    [aux_sym_repeat_statement_token1] = ACTIONS(1673),
    [aux_sym_while_statement_token1] = ACTIONS(1673),
    [aux_sym_break_statement_token1] = ACTIONS(1673),
    [aux_sym_leave_statement_token1] = ACTIONS(1673),
    [aux_sym_continue_statement_token1] = ACTIONS(1673),
    [aux_sym_iterate_statement_token1] = ACTIONS(1673),
    [aux_sym_raise_statement_token1] = ACTIONS(1673),
    [anon_sym_EQ] = ACTIONS(1673),
    [aux_sym_assert_statement_token1] = ACTIONS(1673),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_GT] = ACTIONS(1675),
    [aux_sym_select_token1] = ACTIONS(1673),
    [aux_sym_insert_statement_token1] = ACTIONS(1673),
    [aux_sym_truncate_statement_token1] = ACTIONS(1673),
    [aux_sym_update_statement_token1] = ACTIONS(1673),
    [aux_sym_merge_statement_token1] = ACTIONS(1673),
    [aux_sym_grant_statement_token1] = ACTIONS(1673),
    [aux_sym_revoke_statement_token1] = ACTIONS(1673),
    [aux_sym_export_data_statement_token1] = ACTIONS(1673),
    [aux_sym_load_data_statement_token1] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1673),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_SLASH] = ACTIONS(1675),
    [anon_sym_PIPE_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_GT] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1675),
  },
  [4893] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4894] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1677),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1677),
    [aux_sym_keyword_replace_token1] = ACTIONS(1677),
    [aux_sym__keyword_alter_token1] = ACTIONS(1677),
    [aux_sym__keyword_create_token1] = ACTIONS(1677),
    [aux_sym__keyword_drop_token1] = ACTIONS(1677),
    [aux_sym__keyword_delete_token1] = ACTIONS(1677),
    [aux_sym__keyword_begin_token1] = ACTIONS(1677),
    [aux_sym__keyword_end_token1] = ACTIONS(1677),
    [aux_sym__keyword_between_token1] = ACTIONS(1677),
    [aux_sym__keyword_else_token1] = ACTIONS(1679),
    [aux_sym__keyword_is_token1] = ACTIONS(1677),
    [aux_sym__keyword_in_token1] = ACTIONS(1679),
    [aux_sym__keyword_and_token1] = ACTIONS(1677),
    [aux_sym__keyword_like_token1] = ACTIONS(1677),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1677),
    [aux_sym__keyword_for_token1] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1677),
    [aux_sym_declare_statement_token1] = ACTIONS(1677),
    [aux_sym_set_statement_token1] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1677),
    [aux_sym_into_clause_token1] = ACTIONS(1677),
    [aux_sym_using_clause_token1] = ACTIONS(1677),
    [aux_sym_return_statement_token1] = ACTIONS(1677),
    [aux_sym_call_statement_token1] = ACTIONS(1677),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1677),
    [aux_sym_if_statement_token1] = ACTIONS(1677),
    [aux_sym_loop_statement_token1] = ACTIONS(1677),
    [aux_sym_repeat_statement_token1] = ACTIONS(1677),
    [aux_sym_while_statement_token1] = ACTIONS(1677),
    [aux_sym_break_statement_token1] = ACTIONS(1677),
    [aux_sym_leave_statement_token1] = ACTIONS(1677),
    [aux_sym_continue_statement_token1] = ACTIONS(1677),
    [aux_sym_iterate_statement_token1] = ACTIONS(1677),
    [aux_sym_raise_statement_token1] = ACTIONS(1677),
    [anon_sym_EQ] = ACTIONS(1677),
    [aux_sym_assert_statement_token1] = ACTIONS(1677),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [aux_sym_select_token1] = ACTIONS(1677),
    [aux_sym_insert_statement_token1] = ACTIONS(1677),
    [aux_sym_truncate_statement_token1] = ACTIONS(1677),
    [aux_sym_update_statement_token1] = ACTIONS(1677),
    [aux_sym_merge_statement_token1] = ACTIONS(1677),
    [aux_sym_grant_statement_token1] = ACTIONS(1677),
    [aux_sym_revoke_statement_token1] = ACTIONS(1677),
    [aux_sym_export_data_statement_token1] = ACTIONS(1677),
    [aux_sym_load_data_statement_token1] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1677),
    [anon_sym_LT_GT] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1677),
    [anon_sym_PIPE] = ACTIONS(1679),
  },
  [4895] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1429),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1429),
    [aux_sym_keyword_replace_token1] = ACTIONS(1429),
    [aux_sym__keyword_alter_token1] = ACTIONS(1429),
    [aux_sym__keyword_create_token1] = ACTIONS(1429),
    [aux_sym__keyword_drop_token1] = ACTIONS(1429),
    [aux_sym__keyword_delete_token1] = ACTIONS(1429),
    [aux_sym__keyword_begin_token1] = ACTIONS(1429),
    [aux_sym__keyword_end_token1] = ACTIONS(1429),
    [aux_sym__keyword_between_token1] = ACTIONS(1429),
    [aux_sym__keyword_else_token1] = ACTIONS(1431),
    [aux_sym__keyword_is_token1] = ACTIONS(1429),
    [aux_sym__keyword_in_token1] = ACTIONS(1431),
    [aux_sym__keyword_and_token1] = ACTIONS(1429),
    [aux_sym__keyword_like_token1] = ACTIONS(1429),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1429),
    [aux_sym__keyword_for_token1] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1429),
    [aux_sym_into_clause_token1] = ACTIONS(1429),
    [aux_sym_using_clause_token1] = ACTIONS(1429),
    [aux_sym_return_statement_token1] = ACTIONS(1429),
    [aux_sym_call_statement_token1] = ACTIONS(1429),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1429),
    [aux_sym_if_statement_token1] = ACTIONS(1429),
    [aux_sym_loop_statement_token1] = ACTIONS(1429),
    [aux_sym_repeat_statement_token1] = ACTIONS(1429),
    [aux_sym_while_statement_token1] = ACTIONS(1429),
    [aux_sym_break_statement_token1] = ACTIONS(1429),
    [aux_sym_leave_statement_token1] = ACTIONS(1429),
    [aux_sym_continue_statement_token1] = ACTIONS(1429),
    [aux_sym_iterate_statement_token1] = ACTIONS(1429),
    [aux_sym_raise_statement_token1] = ACTIONS(1429),
    [anon_sym_EQ] = ACTIONS(1429),
    [aux_sym_assert_statement_token1] = ACTIONS(1429),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1429),
    [aux_sym_insert_statement_token1] = ACTIONS(1429),
    [aux_sym_truncate_statement_token1] = ACTIONS(1429),
    [aux_sym_update_statement_token1] = ACTIONS(1429),
    [aux_sym_merge_statement_token1] = ACTIONS(1429),
    [aux_sym_grant_statement_token1] = ACTIONS(1429),
    [aux_sym_revoke_statement_token1] = ACTIONS(1429),
    [aux_sym_export_data_statement_token1] = ACTIONS(1429),
    [aux_sym_load_data_statement_token1] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1431),
  },
  [4896] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4897] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4898] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4899] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1865),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1865),
    [aux_sym_keyword_replace_token1] = ACTIONS(1865),
    [aux_sym__keyword_alter_token1] = ACTIONS(1865),
    [aux_sym__keyword_create_token1] = ACTIONS(1865),
    [aux_sym__keyword_drop_token1] = ACTIONS(1865),
    [aux_sym__keyword_delete_token1] = ACTIONS(1865),
    [aux_sym__keyword_begin_token1] = ACTIONS(1865),
    [aux_sym__keyword_end_token1] = ACTIONS(1865),
    [aux_sym__keyword_between_token1] = ACTIONS(1865),
    [aux_sym__keyword_else_token1] = ACTIONS(1867),
    [aux_sym__keyword_is_token1] = ACTIONS(1865),
    [aux_sym__keyword_in_token1] = ACTIONS(1867),
    [aux_sym__keyword_and_token1] = ACTIONS(1865),
    [aux_sym__keyword_like_token1] = ACTIONS(1865),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1865),
    [aux_sym__keyword_for_token1] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1865),
    [aux_sym_into_clause_token1] = ACTIONS(1865),
    [aux_sym_using_clause_token1] = ACTIONS(1865),
    [aux_sym_return_statement_token1] = ACTIONS(1865),
    [aux_sym_call_statement_token1] = ACTIONS(1865),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1865),
    [aux_sym_if_statement_token1] = ACTIONS(1865),
    [aux_sym_loop_statement_token1] = ACTIONS(1865),
    [aux_sym_repeat_statement_token1] = ACTIONS(1865),
    [aux_sym_while_statement_token1] = ACTIONS(1865),
    [aux_sym_break_statement_token1] = ACTIONS(1865),
    [aux_sym_leave_statement_token1] = ACTIONS(1865),
    [aux_sym_continue_statement_token1] = ACTIONS(1865),
    [aux_sym_iterate_statement_token1] = ACTIONS(1865),
    [aux_sym_raise_statement_token1] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1865),
    [aux_sym_assert_statement_token1] = ACTIONS(1865),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1865),
    [aux_sym_insert_statement_token1] = ACTIONS(1865),
    [aux_sym_truncate_statement_token1] = ACTIONS(1865),
    [aux_sym_update_statement_token1] = ACTIONS(1865),
    [aux_sym_merge_statement_token1] = ACTIONS(1865),
    [aux_sym_grant_statement_token1] = ACTIONS(1865),
    [aux_sym_revoke_statement_token1] = ACTIONS(1865),
    [aux_sym_export_data_statement_token1] = ACTIONS(1865),
    [aux_sym_load_data_statement_token1] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1867),
  },
  [4900] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4901] = {
    [ts_builtin_sym_end] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1779),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1779),
    [aux_sym_keyword_replace_token1] = ACTIONS(1779),
    [aux_sym__keyword_alter_token1] = ACTIONS(1779),
    [aux_sym__keyword_create_token1] = ACTIONS(1779),
    [aux_sym__keyword_drop_token1] = ACTIONS(1779),
    [aux_sym__keyword_delete_token1] = ACTIONS(1779),
    [aux_sym__keyword_begin_token1] = ACTIONS(1779),
    [aux_sym__keyword_end_token1] = ACTIONS(1779),
    [aux_sym__keyword_between_token1] = ACTIONS(1779),
    [aux_sym__keyword_else_token1] = ACTIONS(1781),
    [aux_sym__keyword_is_token1] = ACTIONS(1779),
    [aux_sym__keyword_in_token1] = ACTIONS(1781),
    [aux_sym__keyword_and_token1] = ACTIONS(1779),
    [aux_sym__keyword_like_token1] = ACTIONS(1779),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1779),
    [aux_sym__keyword_for_token1] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1779),
    [aux_sym_declare_statement_token1] = ACTIONS(1779),
    [aux_sym_set_statement_token1] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1779),
    [aux_sym_into_clause_token1] = ACTIONS(1779),
    [aux_sym_using_clause_token1] = ACTIONS(1779),
    [aux_sym_return_statement_token1] = ACTIONS(1779),
    [aux_sym_call_statement_token1] = ACTIONS(1779),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1779),
    [aux_sym_if_statement_token1] = ACTIONS(1779),
    [aux_sym_loop_statement_token1] = ACTIONS(1779),
    [aux_sym_repeat_statement_token1] = ACTIONS(1779),
    [aux_sym_while_statement_token1] = ACTIONS(1779),
    [aux_sym_break_statement_token1] = ACTIONS(1779),
    [aux_sym_leave_statement_token1] = ACTIONS(1779),
    [aux_sym_continue_statement_token1] = ACTIONS(1779),
    [aux_sym_iterate_statement_token1] = ACTIONS(1779),
    [aux_sym_raise_statement_token1] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1779),
    [aux_sym_assert_statement_token1] = ACTIONS(1779),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [aux_sym_select_token1] = ACTIONS(1779),
    [aux_sym_insert_statement_token1] = ACTIONS(1779),
    [aux_sym_truncate_statement_token1] = ACTIONS(1779),
    [aux_sym_update_statement_token1] = ACTIONS(1779),
    [aux_sym_merge_statement_token1] = ACTIONS(1779),
    [aux_sym_grant_statement_token1] = ACTIONS(1779),
    [aux_sym_revoke_statement_token1] = ACTIONS(1779),
    [aux_sym_export_data_statement_token1] = ACTIONS(1779),
    [aux_sym_load_data_statement_token1] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1779),
    [anon_sym_LT_GT] = ACTIONS(1779),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1779),
    [anon_sym_GT_GT] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1781),
  },
  [4902] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4903] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1689),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1689),
    [aux_sym_keyword_replace_token1] = ACTIONS(1689),
    [aux_sym__keyword_alter_token1] = ACTIONS(1689),
    [aux_sym__keyword_create_token1] = ACTIONS(1689),
    [aux_sym__keyword_drop_token1] = ACTIONS(1689),
    [aux_sym__keyword_delete_token1] = ACTIONS(1689),
    [aux_sym__keyword_begin_token1] = ACTIONS(1689),
    [aux_sym__keyword_end_token1] = ACTIONS(1689),
    [aux_sym__keyword_between_token1] = ACTIONS(1689),
    [aux_sym__keyword_else_token1] = ACTIONS(1691),
    [aux_sym__keyword_is_token1] = ACTIONS(1689),
    [aux_sym__keyword_in_token1] = ACTIONS(1691),
    [aux_sym__keyword_and_token1] = ACTIONS(1689),
    [aux_sym__keyword_like_token1] = ACTIONS(1689),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1689),
    [aux_sym__keyword_for_token1] = ACTIONS(1689),
    [anon_sym_SEMI] = ACTIONS(1689),
    [aux_sym_declare_statement_token1] = ACTIONS(1689),
    [aux_sym_set_statement_token1] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1689),
    [aux_sym_into_clause_token1] = ACTIONS(1689),
    [aux_sym_using_clause_token1] = ACTIONS(1689),
    [aux_sym_return_statement_token1] = ACTIONS(1689),
    [aux_sym_call_statement_token1] = ACTIONS(1689),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1689),
    [aux_sym_if_statement_token1] = ACTIONS(1689),
    [aux_sym_loop_statement_token1] = ACTIONS(1689),
    [aux_sym_repeat_statement_token1] = ACTIONS(1689),
    [aux_sym_while_statement_token1] = ACTIONS(1689),
    [aux_sym_break_statement_token1] = ACTIONS(1689),
    [aux_sym_leave_statement_token1] = ACTIONS(1689),
    [aux_sym_continue_statement_token1] = ACTIONS(1689),
    [aux_sym_iterate_statement_token1] = ACTIONS(1689),
    [aux_sym_raise_statement_token1] = ACTIONS(1689),
    [anon_sym_EQ] = ACTIONS(1689),
    [aux_sym_assert_statement_token1] = ACTIONS(1689),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1689),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [aux_sym_select_token1] = ACTIONS(1689),
    [aux_sym_insert_statement_token1] = ACTIONS(1689),
    [aux_sym_truncate_statement_token1] = ACTIONS(1689),
    [aux_sym_update_statement_token1] = ACTIONS(1689),
    [aux_sym_merge_statement_token1] = ACTIONS(1689),
    [aux_sym_grant_statement_token1] = ACTIONS(1689),
    [aux_sym_revoke_statement_token1] = ACTIONS(1689),
    [aux_sym_export_data_statement_token1] = ACTIONS(1689),
    [aux_sym_load_data_statement_token1] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym_PIPE_PIPE] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_BANG_EQ] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_GT_GT] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
  },
  [4904] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1693),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1693),
    [aux_sym_keyword_replace_token1] = ACTIONS(1693),
    [aux_sym__keyword_alter_token1] = ACTIONS(1693),
    [aux_sym__keyword_create_token1] = ACTIONS(1693),
    [aux_sym__keyword_drop_token1] = ACTIONS(1693),
    [aux_sym__keyword_delete_token1] = ACTIONS(1693),
    [aux_sym__keyword_begin_token1] = ACTIONS(1693),
    [aux_sym__keyword_end_token1] = ACTIONS(1693),
    [aux_sym__keyword_between_token1] = ACTIONS(1693),
    [aux_sym__keyword_else_token1] = ACTIONS(1695),
    [aux_sym__keyword_is_token1] = ACTIONS(1693),
    [aux_sym__keyword_in_token1] = ACTIONS(1695),
    [aux_sym__keyword_and_token1] = ACTIONS(1693),
    [aux_sym__keyword_like_token1] = ACTIONS(1693),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1693),
    [aux_sym__keyword_for_token1] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [aux_sym_declare_statement_token1] = ACTIONS(1693),
    [aux_sym_set_statement_token1] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1693),
    [aux_sym_into_clause_token1] = ACTIONS(1693),
    [aux_sym_using_clause_token1] = ACTIONS(1693),
    [aux_sym_return_statement_token1] = ACTIONS(1693),
    [aux_sym_call_statement_token1] = ACTIONS(1693),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1693),
    [aux_sym_if_statement_token1] = ACTIONS(1693),
    [aux_sym_loop_statement_token1] = ACTIONS(1693),
    [aux_sym_repeat_statement_token1] = ACTIONS(1693),
    [aux_sym_while_statement_token1] = ACTIONS(1693),
    [aux_sym_break_statement_token1] = ACTIONS(1693),
    [aux_sym_leave_statement_token1] = ACTIONS(1693),
    [aux_sym_continue_statement_token1] = ACTIONS(1693),
    [aux_sym_iterate_statement_token1] = ACTIONS(1693),
    [aux_sym_raise_statement_token1] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [aux_sym_assert_statement_token1] = ACTIONS(1693),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [aux_sym_select_token1] = ACTIONS(1693),
    [aux_sym_insert_statement_token1] = ACTIONS(1693),
    [aux_sym_truncate_statement_token1] = ACTIONS(1693),
    [aux_sym_update_statement_token1] = ACTIONS(1693),
    [aux_sym_merge_statement_token1] = ACTIONS(1693),
    [aux_sym_grant_statement_token1] = ACTIONS(1693),
    [aux_sym_revoke_statement_token1] = ACTIONS(1693),
    [aux_sym_export_data_statement_token1] = ACTIONS(1693),
    [aux_sym_load_data_statement_token1] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
  },
  [4905] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1701),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1701),
    [aux_sym_keyword_replace_token1] = ACTIONS(1701),
    [aux_sym__keyword_alter_token1] = ACTIONS(1701),
    [aux_sym__keyword_create_token1] = ACTIONS(1701),
    [aux_sym__keyword_drop_token1] = ACTIONS(1701),
    [aux_sym__keyword_delete_token1] = ACTIONS(1701),
    [aux_sym__keyword_begin_token1] = ACTIONS(1701),
    [aux_sym__keyword_end_token1] = ACTIONS(1701),
    [aux_sym__keyword_between_token1] = ACTIONS(1701),
    [aux_sym__keyword_else_token1] = ACTIONS(1703),
    [aux_sym__keyword_is_token1] = ACTIONS(1701),
    [aux_sym__keyword_in_token1] = ACTIONS(1703),
    [aux_sym__keyword_and_token1] = ACTIONS(1701),
    [aux_sym__keyword_like_token1] = ACTIONS(1701),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1701),
    [aux_sym__keyword_for_token1] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [aux_sym_declare_statement_token1] = ACTIONS(1701),
    [aux_sym_set_statement_token1] = ACTIONS(1701),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1701),
    [aux_sym_into_clause_token1] = ACTIONS(1701),
    [aux_sym_using_clause_token1] = ACTIONS(1701),
    [aux_sym_return_statement_token1] = ACTIONS(1701),
    [aux_sym_call_statement_token1] = ACTIONS(1701),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1701),
    [aux_sym_if_statement_token1] = ACTIONS(1701),
    [aux_sym_loop_statement_token1] = ACTIONS(1701),
    [aux_sym_repeat_statement_token1] = ACTIONS(1701),
    [aux_sym_while_statement_token1] = ACTIONS(1701),
    [aux_sym_break_statement_token1] = ACTIONS(1701),
    [aux_sym_leave_statement_token1] = ACTIONS(1701),
    [aux_sym_continue_statement_token1] = ACTIONS(1701),
    [aux_sym_iterate_statement_token1] = ACTIONS(1701),
    [aux_sym_raise_statement_token1] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1701),
    [aux_sym_assert_statement_token1] = ACTIONS(1701),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [aux_sym_select_token1] = ACTIONS(1701),
    [aux_sym_insert_statement_token1] = ACTIONS(1701),
    [aux_sym_truncate_statement_token1] = ACTIONS(1701),
    [aux_sym_update_statement_token1] = ACTIONS(1701),
    [aux_sym_merge_statement_token1] = ACTIONS(1701),
    [aux_sym_grant_statement_token1] = ACTIONS(1701),
    [aux_sym_revoke_statement_token1] = ACTIONS(1701),
    [aux_sym_export_data_statement_token1] = ACTIONS(1701),
    [aux_sym_load_data_statement_token1] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
  },
  [4906] = {
    [ts_builtin_sym_end] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1813),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1813),
    [aux_sym_keyword_replace_token1] = ACTIONS(1813),
    [aux_sym__keyword_alter_token1] = ACTIONS(1813),
    [aux_sym__keyword_create_token1] = ACTIONS(1813),
    [aux_sym__keyword_drop_token1] = ACTIONS(1813),
    [aux_sym__keyword_delete_token1] = ACTIONS(1813),
    [aux_sym__keyword_begin_token1] = ACTIONS(1813),
    [aux_sym__keyword_end_token1] = ACTIONS(1813),
    [aux_sym__keyword_between_token1] = ACTIONS(1813),
    [aux_sym__keyword_else_token1] = ACTIONS(1815),
    [aux_sym__keyword_is_token1] = ACTIONS(1813),
    [aux_sym__keyword_in_token1] = ACTIONS(1815),
    [aux_sym__keyword_and_token1] = ACTIONS(1813),
    [aux_sym__keyword_like_token1] = ACTIONS(1813),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1813),
    [aux_sym__keyword_for_token1] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1813),
    [aux_sym_into_clause_token1] = ACTIONS(1813),
    [aux_sym_using_clause_token1] = ACTIONS(1813),
    [aux_sym_return_statement_token1] = ACTIONS(1813),
    [aux_sym_call_statement_token1] = ACTIONS(1813),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1813),
    [aux_sym_if_statement_token1] = ACTIONS(1813),
    [aux_sym_loop_statement_token1] = ACTIONS(1813),
    [aux_sym_repeat_statement_token1] = ACTIONS(1813),
    [aux_sym_while_statement_token1] = ACTIONS(1813),
    [aux_sym_break_statement_token1] = ACTIONS(1813),
    [aux_sym_leave_statement_token1] = ACTIONS(1813),
    [aux_sym_continue_statement_token1] = ACTIONS(1813),
    [aux_sym_iterate_statement_token1] = ACTIONS(1813),
    [aux_sym_raise_statement_token1] = ACTIONS(1813),
    [anon_sym_EQ] = ACTIONS(1813),
    [aux_sym_assert_statement_token1] = ACTIONS(1813),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1815),
    [anon_sym_GT] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1813),
    [aux_sym_insert_statement_token1] = ACTIONS(1813),
    [aux_sym_truncate_statement_token1] = ACTIONS(1813),
    [aux_sym_update_statement_token1] = ACTIONS(1813),
    [aux_sym_merge_statement_token1] = ACTIONS(1813),
    [aux_sym_grant_statement_token1] = ACTIONS(1813),
    [aux_sym_revoke_statement_token1] = ACTIONS(1813),
    [aux_sym_export_data_statement_token1] = ACTIONS(1813),
    [aux_sym_load_data_statement_token1] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1815),
    [anon_sym_PIPE_PIPE] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1813),
    [anon_sym_LT_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1813),
    [anon_sym_BANG_EQ] = ACTIONS(1813),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_PIPE] = ACTIONS(1815),
  },
  [4907] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4908] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1705),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1705),
    [aux_sym_keyword_replace_token1] = ACTIONS(1705),
    [aux_sym__keyword_alter_token1] = ACTIONS(1705),
    [aux_sym__keyword_create_token1] = ACTIONS(1705),
    [aux_sym__keyword_drop_token1] = ACTIONS(1705),
    [aux_sym__keyword_delete_token1] = ACTIONS(1705),
    [aux_sym__keyword_begin_token1] = ACTIONS(1705),
    [aux_sym__keyword_end_token1] = ACTIONS(1705),
    [aux_sym__keyword_between_token1] = ACTIONS(1705),
    [aux_sym__keyword_else_token1] = ACTIONS(1707),
    [aux_sym__keyword_is_token1] = ACTIONS(1705),
    [aux_sym__keyword_in_token1] = ACTIONS(1707),
    [aux_sym__keyword_and_token1] = ACTIONS(1705),
    [aux_sym__keyword_like_token1] = ACTIONS(1705),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1705),
    [aux_sym__keyword_for_token1] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [aux_sym_declare_statement_token1] = ACTIONS(1705),
    [aux_sym_set_statement_token1] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1705),
    [aux_sym_into_clause_token1] = ACTIONS(1705),
    [aux_sym_using_clause_token1] = ACTIONS(1705),
    [aux_sym_return_statement_token1] = ACTIONS(1705),
    [aux_sym_call_statement_token1] = ACTIONS(1705),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1705),
    [aux_sym_if_statement_token1] = ACTIONS(1705),
    [aux_sym_loop_statement_token1] = ACTIONS(1705),
    [aux_sym_repeat_statement_token1] = ACTIONS(1705),
    [aux_sym_while_statement_token1] = ACTIONS(1705),
    [aux_sym_break_statement_token1] = ACTIONS(1705),
    [aux_sym_leave_statement_token1] = ACTIONS(1705),
    [aux_sym_continue_statement_token1] = ACTIONS(1705),
    [aux_sym_iterate_statement_token1] = ACTIONS(1705),
    [aux_sym_raise_statement_token1] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1705),
    [aux_sym_assert_statement_token1] = ACTIONS(1705),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [aux_sym_select_token1] = ACTIONS(1705),
    [aux_sym_insert_statement_token1] = ACTIONS(1705),
    [aux_sym_truncate_statement_token1] = ACTIONS(1705),
    [aux_sym_update_statement_token1] = ACTIONS(1705),
    [aux_sym_merge_statement_token1] = ACTIONS(1705),
    [aux_sym_grant_statement_token1] = ACTIONS(1705),
    [aux_sym_revoke_statement_token1] = ACTIONS(1705),
    [aux_sym_export_data_statement_token1] = ACTIONS(1705),
    [aux_sym_load_data_statement_token1] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_LT_GT] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
  },
  [4909] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4910] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1709),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1709),
    [aux_sym_keyword_replace_token1] = ACTIONS(1709),
    [aux_sym__keyword_alter_token1] = ACTIONS(1709),
    [aux_sym__keyword_create_token1] = ACTIONS(1709),
    [aux_sym__keyword_drop_token1] = ACTIONS(1709),
    [aux_sym__keyword_delete_token1] = ACTIONS(1709),
    [aux_sym__keyword_begin_token1] = ACTIONS(1709),
    [aux_sym__keyword_end_token1] = ACTIONS(1709),
    [aux_sym__keyword_between_token1] = ACTIONS(1709),
    [aux_sym__keyword_else_token1] = ACTIONS(1711),
    [aux_sym__keyword_is_token1] = ACTIONS(1709),
    [aux_sym__keyword_in_token1] = ACTIONS(1711),
    [aux_sym__keyword_and_token1] = ACTIONS(1709),
    [aux_sym__keyword_like_token1] = ACTIONS(1709),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1709),
    [aux_sym__keyword_for_token1] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [aux_sym_declare_statement_token1] = ACTIONS(1709),
    [aux_sym_set_statement_token1] = ACTIONS(1709),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1709),
    [aux_sym_into_clause_token1] = ACTIONS(1709),
    [aux_sym_using_clause_token1] = ACTIONS(1709),
    [aux_sym_return_statement_token1] = ACTIONS(1709),
    [aux_sym_call_statement_token1] = ACTIONS(1709),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1709),
    [aux_sym_if_statement_token1] = ACTIONS(1709),
    [aux_sym_loop_statement_token1] = ACTIONS(1709),
    [aux_sym_repeat_statement_token1] = ACTIONS(1709),
    [aux_sym_while_statement_token1] = ACTIONS(1709),
    [aux_sym_break_statement_token1] = ACTIONS(1709),
    [aux_sym_leave_statement_token1] = ACTIONS(1709),
    [aux_sym_continue_statement_token1] = ACTIONS(1709),
    [aux_sym_iterate_statement_token1] = ACTIONS(1709),
    [aux_sym_raise_statement_token1] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1709),
    [aux_sym_assert_statement_token1] = ACTIONS(1709),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [aux_sym_select_token1] = ACTIONS(1709),
    [aux_sym_insert_statement_token1] = ACTIONS(1709),
    [aux_sym_truncate_statement_token1] = ACTIONS(1709),
    [aux_sym_update_statement_token1] = ACTIONS(1709),
    [aux_sym_merge_statement_token1] = ACTIONS(1709),
    [aux_sym_grant_statement_token1] = ACTIONS(1709),
    [aux_sym_revoke_statement_token1] = ACTIONS(1709),
    [aux_sym_export_data_statement_token1] = ACTIONS(1709),
    [aux_sym_load_data_statement_token1] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_LT_GT] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_GT_GT] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
  },
  [4911] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1531),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1531),
    [aux_sym_keyword_replace_token1] = ACTIONS(1531),
    [aux_sym__keyword_alter_token1] = ACTIONS(1531),
    [aux_sym__keyword_create_token1] = ACTIONS(1531),
    [aux_sym__keyword_drop_token1] = ACTIONS(1531),
    [aux_sym__keyword_delete_token1] = ACTIONS(1531),
    [aux_sym__keyword_begin_token1] = ACTIONS(1531),
    [aux_sym__keyword_end_token1] = ACTIONS(1531),
    [aux_sym__keyword_between_token1] = ACTIONS(1531),
    [aux_sym__keyword_else_token1] = ACTIONS(1533),
    [aux_sym__keyword_is_token1] = ACTIONS(1531),
    [aux_sym__keyword_in_token1] = ACTIONS(1533),
    [aux_sym__keyword_and_token1] = ACTIONS(1531),
    [aux_sym__keyword_like_token1] = ACTIONS(1531),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1531),
    [aux_sym__keyword_for_token1] = ACTIONS(1531),
    [anon_sym_SEMI] = ACTIONS(1531),
    [aux_sym_declare_statement_token1] = ACTIONS(1531),
    [aux_sym_set_statement_token1] = ACTIONS(1531),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1531),
    [aux_sym_into_clause_token1] = ACTIONS(1531),
    [aux_sym_using_clause_token1] = ACTIONS(1531),
    [aux_sym_return_statement_token1] = ACTIONS(1531),
    [aux_sym_call_statement_token1] = ACTIONS(1531),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1531),
    [aux_sym_if_statement_token1] = ACTIONS(1531),
    [aux_sym_loop_statement_token1] = ACTIONS(1531),
    [aux_sym_repeat_statement_token1] = ACTIONS(1531),
    [aux_sym_while_statement_token1] = ACTIONS(1531),
    [aux_sym_break_statement_token1] = ACTIONS(1531),
    [aux_sym_leave_statement_token1] = ACTIONS(1531),
    [aux_sym_continue_statement_token1] = ACTIONS(1531),
    [aux_sym_iterate_statement_token1] = ACTIONS(1531),
    [aux_sym_raise_statement_token1] = ACTIONS(1531),
    [anon_sym_EQ] = ACTIONS(1531),
    [aux_sym_assert_statement_token1] = ACTIONS(1531),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1531),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [aux_sym_select_token1] = ACTIONS(1531),
    [aux_sym_insert_statement_token1] = ACTIONS(1531),
    [aux_sym_truncate_statement_token1] = ACTIONS(1531),
    [aux_sym_update_statement_token1] = ACTIONS(1531),
    [aux_sym_merge_statement_token1] = ACTIONS(1531),
    [aux_sym_grant_statement_token1] = ACTIONS(1531),
    [aux_sym_revoke_statement_token1] = ACTIONS(1531),
    [aux_sym_export_data_statement_token1] = ACTIONS(1531),
    [aux_sym_load_data_statement_token1] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_LT_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
  },
  [4912] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4913] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4914] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1747),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1747),
    [aux_sym_keyword_replace_token1] = ACTIONS(1747),
    [aux_sym__keyword_alter_token1] = ACTIONS(1747),
    [aux_sym__keyword_create_token1] = ACTIONS(1747),
    [aux_sym__keyword_drop_token1] = ACTIONS(1747),
    [aux_sym__keyword_delete_token1] = ACTIONS(1747),
    [aux_sym__keyword_begin_token1] = ACTIONS(1747),
    [aux_sym__keyword_end_token1] = ACTIONS(1747),
    [aux_sym__keyword_between_token1] = ACTIONS(1747),
    [aux_sym__keyword_else_token1] = ACTIONS(1749),
    [aux_sym__keyword_is_token1] = ACTIONS(1747),
    [aux_sym__keyword_in_token1] = ACTIONS(1749),
    [aux_sym__keyword_and_token1] = ACTIONS(1747),
    [aux_sym__keyword_like_token1] = ACTIONS(1747),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1747),
    [aux_sym__keyword_for_token1] = ACTIONS(1747),
    [anon_sym_SEMI] = ACTIONS(1747),
    [aux_sym_declare_statement_token1] = ACTIONS(1747),
    [aux_sym_set_statement_token1] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1747),
    [aux_sym_into_clause_token1] = ACTIONS(1747),
    [aux_sym_using_clause_token1] = ACTIONS(1747),
    [aux_sym_return_statement_token1] = ACTIONS(1747),
    [aux_sym_call_statement_token1] = ACTIONS(1747),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1747),
    [aux_sym_if_statement_token1] = ACTIONS(1747),
    [aux_sym_loop_statement_token1] = ACTIONS(1747),
    [aux_sym_repeat_statement_token1] = ACTIONS(1747),
    [aux_sym_while_statement_token1] = ACTIONS(1747),
    [aux_sym_break_statement_token1] = ACTIONS(1747),
    [aux_sym_leave_statement_token1] = ACTIONS(1747),
    [aux_sym_continue_statement_token1] = ACTIONS(1747),
    [aux_sym_iterate_statement_token1] = ACTIONS(1747),
    [aux_sym_raise_statement_token1] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1747),
    [aux_sym_assert_statement_token1] = ACTIONS(1747),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1749),
    [aux_sym_select_token1] = ACTIONS(1747),
    [aux_sym_insert_statement_token1] = ACTIONS(1747),
    [aux_sym_truncate_statement_token1] = ACTIONS(1747),
    [aux_sym_update_statement_token1] = ACTIONS(1747),
    [aux_sym_merge_statement_token1] = ACTIONS(1747),
    [aux_sym_grant_statement_token1] = ACTIONS(1747),
    [aux_sym_revoke_statement_token1] = ACTIONS(1747),
    [aux_sym_export_data_statement_token1] = ACTIONS(1747),
    [aux_sym_load_data_statement_token1] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
  },
  [4915] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1817),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1817),
    [aux_sym_keyword_replace_token1] = ACTIONS(1817),
    [aux_sym__keyword_alter_token1] = ACTIONS(1817),
    [aux_sym__keyword_create_token1] = ACTIONS(1817),
    [aux_sym__keyword_drop_token1] = ACTIONS(1817),
    [aux_sym__keyword_delete_token1] = ACTIONS(1817),
    [aux_sym__keyword_begin_token1] = ACTIONS(1817),
    [aux_sym__keyword_end_token1] = ACTIONS(1817),
    [aux_sym__keyword_between_token1] = ACTIONS(1817),
    [aux_sym__keyword_else_token1] = ACTIONS(1819),
    [aux_sym__keyword_is_token1] = ACTIONS(1817),
    [aux_sym__keyword_in_token1] = ACTIONS(1819),
    [aux_sym__keyword_and_token1] = ACTIONS(1817),
    [aux_sym__keyword_like_token1] = ACTIONS(1817),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1817),
    [aux_sym__keyword_for_token1] = ACTIONS(1817),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1817),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1817),
    [aux_sym_into_clause_token1] = ACTIONS(1817),
    [aux_sym_using_clause_token1] = ACTIONS(1817),
    [aux_sym_return_statement_token1] = ACTIONS(1817),
    [aux_sym_call_statement_token1] = ACTIONS(1817),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1817),
    [aux_sym_if_statement_token1] = ACTIONS(1817),
    [aux_sym_loop_statement_token1] = ACTIONS(1817),
    [aux_sym_repeat_statement_token1] = ACTIONS(1817),
    [aux_sym_while_statement_token1] = ACTIONS(1817),
    [aux_sym_break_statement_token1] = ACTIONS(1817),
    [aux_sym_leave_statement_token1] = ACTIONS(1817),
    [aux_sym_continue_statement_token1] = ACTIONS(1817),
    [aux_sym_iterate_statement_token1] = ACTIONS(1817),
    [aux_sym_raise_statement_token1] = ACTIONS(1817),
    [anon_sym_EQ] = ACTIONS(1817),
    [aux_sym_assert_statement_token1] = ACTIONS(1817),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1817),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1817),
    [aux_sym_insert_statement_token1] = ACTIONS(1817),
    [aux_sym_truncate_statement_token1] = ACTIONS(1817),
    [aux_sym_update_statement_token1] = ACTIONS(1817),
    [aux_sym_merge_statement_token1] = ACTIONS(1817),
    [aux_sym_grant_statement_token1] = ACTIONS(1817),
    [aux_sym_revoke_statement_token1] = ACTIONS(1817),
    [aux_sym_export_data_statement_token1] = ACTIONS(1817),
    [aux_sym_load_data_statement_token1] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1817),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_LT_GT] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1817),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1819),
  },
  [4916] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4917] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1821),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1821),
    [aux_sym_keyword_replace_token1] = ACTIONS(1821),
    [aux_sym__keyword_alter_token1] = ACTIONS(1821),
    [aux_sym__keyword_create_token1] = ACTIONS(1821),
    [aux_sym__keyword_drop_token1] = ACTIONS(1821),
    [aux_sym__keyword_delete_token1] = ACTIONS(1821),
    [aux_sym__keyword_begin_token1] = ACTIONS(1821),
    [aux_sym__keyword_end_token1] = ACTIONS(1821),
    [aux_sym__keyword_between_token1] = ACTIONS(1821),
    [aux_sym__keyword_else_token1] = ACTIONS(1823),
    [aux_sym__keyword_is_token1] = ACTIONS(1821),
    [aux_sym__keyword_in_token1] = ACTIONS(1823),
    [aux_sym__keyword_and_token1] = ACTIONS(1821),
    [aux_sym__keyword_like_token1] = ACTIONS(1821),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1821),
    [aux_sym__keyword_for_token1] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1821),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1821),
    [aux_sym_into_clause_token1] = ACTIONS(1821),
    [aux_sym_using_clause_token1] = ACTIONS(1821),
    [aux_sym_return_statement_token1] = ACTIONS(1821),
    [aux_sym_call_statement_token1] = ACTIONS(1821),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1821),
    [aux_sym_if_statement_token1] = ACTIONS(1821),
    [aux_sym_loop_statement_token1] = ACTIONS(1821),
    [aux_sym_repeat_statement_token1] = ACTIONS(1821),
    [aux_sym_while_statement_token1] = ACTIONS(1821),
    [aux_sym_break_statement_token1] = ACTIONS(1821),
    [aux_sym_leave_statement_token1] = ACTIONS(1821),
    [aux_sym_continue_statement_token1] = ACTIONS(1821),
    [aux_sym_iterate_statement_token1] = ACTIONS(1821),
    [aux_sym_raise_statement_token1] = ACTIONS(1821),
    [anon_sym_EQ] = ACTIONS(1821),
    [aux_sym_assert_statement_token1] = ACTIONS(1821),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1821),
    [aux_sym_insert_statement_token1] = ACTIONS(1821),
    [aux_sym_truncate_statement_token1] = ACTIONS(1821),
    [aux_sym_update_statement_token1] = ACTIONS(1821),
    [aux_sym_merge_statement_token1] = ACTIONS(1821),
    [aux_sym_grant_statement_token1] = ACTIONS(1821),
    [aux_sym_revoke_statement_token1] = ACTIONS(1821),
    [aux_sym_export_data_statement_token1] = ACTIONS(1821),
    [aux_sym_load_data_statement_token1] = ACTIONS(1821),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_LT_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PIPE] = ACTIONS(1823),
  },
  [4918] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4919] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4920] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1445),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1445),
    [aux_sym_keyword_replace_token1] = ACTIONS(1445),
    [aux_sym__keyword_alter_token1] = ACTIONS(1445),
    [aux_sym__keyword_create_token1] = ACTIONS(1445),
    [aux_sym__keyword_drop_token1] = ACTIONS(1445),
    [aux_sym__keyword_delete_token1] = ACTIONS(1445),
    [aux_sym__keyword_begin_token1] = ACTIONS(1445),
    [aux_sym__keyword_end_token1] = ACTIONS(1445),
    [aux_sym__keyword_between_token1] = ACTIONS(1445),
    [aux_sym__keyword_else_token1] = ACTIONS(1447),
    [aux_sym__keyword_is_token1] = ACTIONS(1445),
    [aux_sym__keyword_in_token1] = ACTIONS(1447),
    [aux_sym__keyword_and_token1] = ACTIONS(1445),
    [aux_sym__keyword_like_token1] = ACTIONS(1445),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1445),
    [aux_sym__keyword_for_token1] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1445),
    [aux_sym_into_clause_token1] = ACTIONS(1445),
    [aux_sym_using_clause_token1] = ACTIONS(1445),
    [aux_sym_return_statement_token1] = ACTIONS(1445),
    [aux_sym_call_statement_token1] = ACTIONS(1445),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1445),
    [aux_sym_if_statement_token1] = ACTIONS(1445),
    [aux_sym_loop_statement_token1] = ACTIONS(1445),
    [aux_sym_repeat_statement_token1] = ACTIONS(1445),
    [aux_sym_while_statement_token1] = ACTIONS(1445),
    [aux_sym_break_statement_token1] = ACTIONS(1445),
    [aux_sym_leave_statement_token1] = ACTIONS(1445),
    [aux_sym_continue_statement_token1] = ACTIONS(1445),
    [aux_sym_iterate_statement_token1] = ACTIONS(1445),
    [aux_sym_raise_statement_token1] = ACTIONS(1445),
    [anon_sym_EQ] = ACTIONS(1445),
    [aux_sym_assert_statement_token1] = ACTIONS(1445),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1445),
    [anon_sym_LT] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1445),
    [aux_sym_insert_statement_token1] = ACTIONS(1445),
    [aux_sym_truncate_statement_token1] = ACTIONS(1445),
    [aux_sym_update_statement_token1] = ACTIONS(1445),
    [aux_sym_merge_statement_token1] = ACTIONS(1445),
    [aux_sym_grant_statement_token1] = ACTIONS(1445),
    [aux_sym_revoke_statement_token1] = ACTIONS(1445),
    [aux_sym_export_data_statement_token1] = ACTIONS(1445),
    [aux_sym_load_data_statement_token1] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1447),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1445),
    [anon_sym_LT_EQ] = ACTIONS(1445),
    [anon_sym_LT_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1445),
    [anon_sym_BANG_EQ] = ACTIONS(1445),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_PIPE] = ACTIONS(1447),
  },
  [4921] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4922] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4923] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1449),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1449),
    [aux_sym_keyword_replace_token1] = ACTIONS(1449),
    [aux_sym__keyword_alter_token1] = ACTIONS(1449),
    [aux_sym__keyword_create_token1] = ACTIONS(1449),
    [aux_sym__keyword_drop_token1] = ACTIONS(1449),
    [aux_sym__keyword_delete_token1] = ACTIONS(1449),
    [aux_sym__keyword_begin_token1] = ACTIONS(1449),
    [aux_sym__keyword_end_token1] = ACTIONS(1449),
    [aux_sym__keyword_between_token1] = ACTIONS(1449),
    [aux_sym__keyword_else_token1] = ACTIONS(1451),
    [aux_sym__keyword_is_token1] = ACTIONS(1449),
    [aux_sym__keyword_in_token1] = ACTIONS(1451),
    [aux_sym__keyword_and_token1] = ACTIONS(1449),
    [aux_sym__keyword_like_token1] = ACTIONS(1449),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1449),
    [aux_sym__keyword_for_token1] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1449),
    [aux_sym_into_clause_token1] = ACTIONS(1449),
    [aux_sym_using_clause_token1] = ACTIONS(1449),
    [aux_sym_return_statement_token1] = ACTIONS(1449),
    [aux_sym_call_statement_token1] = ACTIONS(1449),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1449),
    [aux_sym_if_statement_token1] = ACTIONS(1449),
    [aux_sym_loop_statement_token1] = ACTIONS(1449),
    [aux_sym_repeat_statement_token1] = ACTIONS(1449),
    [aux_sym_while_statement_token1] = ACTIONS(1449),
    [aux_sym_break_statement_token1] = ACTIONS(1449),
    [aux_sym_leave_statement_token1] = ACTIONS(1449),
    [aux_sym_continue_statement_token1] = ACTIONS(1449),
    [aux_sym_iterate_statement_token1] = ACTIONS(1449),
    [aux_sym_raise_statement_token1] = ACTIONS(1449),
    [anon_sym_EQ] = ACTIONS(1449),
    [aux_sym_assert_statement_token1] = ACTIONS(1449),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1449),
    [aux_sym_insert_statement_token1] = ACTIONS(1449),
    [aux_sym_truncate_statement_token1] = ACTIONS(1449),
    [aux_sym_update_statement_token1] = ACTIONS(1449),
    [aux_sym_merge_statement_token1] = ACTIONS(1449),
    [aux_sym_grant_statement_token1] = ACTIONS(1449),
    [aux_sym_revoke_statement_token1] = ACTIONS(1449),
    [aux_sym_export_data_statement_token1] = ACTIONS(1449),
    [aux_sym_load_data_statement_token1] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1451),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_LT_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1451),
  },
  [4924] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4925] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4926] = {
    [ts_builtin_sym_end] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1795),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1795),
    [aux_sym_keyword_replace_token1] = ACTIONS(1795),
    [aux_sym__keyword_alter_token1] = ACTIONS(1795),
    [aux_sym__keyword_create_token1] = ACTIONS(1795),
    [aux_sym__keyword_drop_token1] = ACTIONS(1795),
    [aux_sym__keyword_delete_token1] = ACTIONS(1795),
    [aux_sym__keyword_begin_token1] = ACTIONS(1795),
    [aux_sym__keyword_end_token1] = ACTIONS(1795),
    [aux_sym__keyword_between_token1] = ACTIONS(1795),
    [aux_sym__keyword_else_token1] = ACTIONS(1797),
    [aux_sym__keyword_is_token1] = ACTIONS(1795),
    [aux_sym__keyword_in_token1] = ACTIONS(1797),
    [aux_sym__keyword_and_token1] = ACTIONS(1795),
    [aux_sym__keyword_like_token1] = ACTIONS(1795),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1795),
    [aux_sym__keyword_for_token1] = ACTIONS(1795),
    [anon_sym_SEMI] = ACTIONS(1795),
    [aux_sym_declare_statement_token1] = ACTIONS(1795),
    [aux_sym_set_statement_token1] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1795),
    [aux_sym_into_clause_token1] = ACTIONS(1795),
    [aux_sym_using_clause_token1] = ACTIONS(1795),
    [aux_sym_return_statement_token1] = ACTIONS(1795),
    [aux_sym_call_statement_token1] = ACTIONS(1795),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1795),
    [aux_sym_if_statement_token1] = ACTIONS(1795),
    [aux_sym_loop_statement_token1] = ACTIONS(1795),
    [aux_sym_repeat_statement_token1] = ACTIONS(1795),
    [aux_sym_while_statement_token1] = ACTIONS(1795),
    [aux_sym_break_statement_token1] = ACTIONS(1795),
    [aux_sym_leave_statement_token1] = ACTIONS(1795),
    [aux_sym_continue_statement_token1] = ACTIONS(1795),
    [aux_sym_iterate_statement_token1] = ACTIONS(1795),
    [aux_sym_raise_statement_token1] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1795),
    [aux_sym_assert_statement_token1] = ACTIONS(1795),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_GT] = ACTIONS(1797),
    [aux_sym_select_token1] = ACTIONS(1795),
    [aux_sym_insert_statement_token1] = ACTIONS(1795),
    [aux_sym_truncate_statement_token1] = ACTIONS(1795),
    [aux_sym_update_statement_token1] = ACTIONS(1795),
    [aux_sym_merge_statement_token1] = ACTIONS(1795),
    [aux_sym_grant_statement_token1] = ACTIONS(1795),
    [aux_sym_revoke_statement_token1] = ACTIONS(1795),
    [aux_sym_export_data_statement_token1] = ACTIONS(1795),
    [aux_sym_load_data_statement_token1] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1795),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
  },
  [4927] = {
    [ts_builtin_sym_end] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1771),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1771),
    [aux_sym_keyword_replace_token1] = ACTIONS(1771),
    [aux_sym__keyword_alter_token1] = ACTIONS(1771),
    [aux_sym__keyword_create_token1] = ACTIONS(1771),
    [aux_sym__keyword_drop_token1] = ACTIONS(1771),
    [aux_sym__keyword_delete_token1] = ACTIONS(1771),
    [aux_sym__keyword_begin_token1] = ACTIONS(1771),
    [aux_sym__keyword_end_token1] = ACTIONS(1771),
    [aux_sym__keyword_between_token1] = ACTIONS(1771),
    [aux_sym__keyword_else_token1] = ACTIONS(1773),
    [aux_sym__keyword_is_token1] = ACTIONS(1771),
    [aux_sym__keyword_in_token1] = ACTIONS(1773),
    [aux_sym__keyword_and_token1] = ACTIONS(1771),
    [aux_sym__keyword_like_token1] = ACTIONS(1771),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1771),
    [aux_sym__keyword_for_token1] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [aux_sym_declare_statement_token1] = ACTIONS(1771),
    [aux_sym_set_statement_token1] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1771),
    [aux_sym_into_clause_token1] = ACTIONS(1771),
    [aux_sym_using_clause_token1] = ACTIONS(1771),
    [aux_sym_return_statement_token1] = ACTIONS(1771),
    [aux_sym_call_statement_token1] = ACTIONS(1771),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1771),
    [aux_sym_if_statement_token1] = ACTIONS(1771),
    [aux_sym_loop_statement_token1] = ACTIONS(1771),
    [aux_sym_repeat_statement_token1] = ACTIONS(1771),
    [aux_sym_while_statement_token1] = ACTIONS(1771),
    [aux_sym_break_statement_token1] = ACTIONS(1771),
    [aux_sym_leave_statement_token1] = ACTIONS(1771),
    [aux_sym_continue_statement_token1] = ACTIONS(1771),
    [aux_sym_iterate_statement_token1] = ACTIONS(1771),
    [aux_sym_raise_statement_token1] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1771),
    [aux_sym_assert_statement_token1] = ACTIONS(1771),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1771),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [aux_sym_select_token1] = ACTIONS(1771),
    [aux_sym_insert_statement_token1] = ACTIONS(1771),
    [aux_sym_truncate_statement_token1] = ACTIONS(1771),
    [aux_sym_update_statement_token1] = ACTIONS(1771),
    [aux_sym_merge_statement_token1] = ACTIONS(1771),
    [aux_sym_grant_statement_token1] = ACTIONS(1771),
    [aux_sym_revoke_statement_token1] = ACTIONS(1771),
    [aux_sym_export_data_statement_token1] = ACTIONS(1771),
    [aux_sym_load_data_statement_token1] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1771),
    [anon_sym_LT_GT] = ACTIONS(1771),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1771),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1771),
    [anon_sym_PIPE] = ACTIONS(1773),
  },
  [4928] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1457),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1457),
    [aux_sym_keyword_replace_token1] = ACTIONS(1457),
    [aux_sym__keyword_alter_token1] = ACTIONS(1457),
    [aux_sym__keyword_create_token1] = ACTIONS(1457),
    [aux_sym__keyword_drop_token1] = ACTIONS(1457),
    [aux_sym__keyword_delete_token1] = ACTIONS(1457),
    [aux_sym__keyword_begin_token1] = ACTIONS(1457),
    [aux_sym__keyword_end_token1] = ACTIONS(1457),
    [aux_sym__keyword_between_token1] = ACTIONS(1457),
    [aux_sym__keyword_else_token1] = ACTIONS(1459),
    [aux_sym__keyword_is_token1] = ACTIONS(1457),
    [aux_sym__keyword_in_token1] = ACTIONS(1459),
    [aux_sym__keyword_and_token1] = ACTIONS(1457),
    [aux_sym__keyword_like_token1] = ACTIONS(1457),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1457),
    [aux_sym__keyword_for_token1] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1457),
    [aux_sym_into_clause_token1] = ACTIONS(1457),
    [aux_sym_using_clause_token1] = ACTIONS(1457),
    [aux_sym_return_statement_token1] = ACTIONS(1457),
    [aux_sym_call_statement_token1] = ACTIONS(1457),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1457),
    [aux_sym_if_statement_token1] = ACTIONS(1457),
    [aux_sym_loop_statement_token1] = ACTIONS(1457),
    [aux_sym_repeat_statement_token1] = ACTIONS(1457),
    [aux_sym_while_statement_token1] = ACTIONS(1457),
    [aux_sym_break_statement_token1] = ACTIONS(1457),
    [aux_sym_leave_statement_token1] = ACTIONS(1457),
    [aux_sym_continue_statement_token1] = ACTIONS(1457),
    [aux_sym_iterate_statement_token1] = ACTIONS(1457),
    [aux_sym_raise_statement_token1] = ACTIONS(1457),
    [anon_sym_EQ] = ACTIONS(1457),
    [aux_sym_assert_statement_token1] = ACTIONS(1457),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1457),
    [aux_sym_insert_statement_token1] = ACTIONS(1457),
    [aux_sym_truncate_statement_token1] = ACTIONS(1457),
    [aux_sym_update_statement_token1] = ACTIONS(1457),
    [aux_sym_merge_statement_token1] = ACTIONS(1457),
    [aux_sym_grant_statement_token1] = ACTIONS(1457),
    [aux_sym_revoke_statement_token1] = ACTIONS(1457),
    [aux_sym_export_data_statement_token1] = ACTIONS(1457),
    [aux_sym_load_data_statement_token1] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_LT_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1459),
  },
  [4929] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1681),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1681),
    [aux_sym_keyword_replace_token1] = ACTIONS(1681),
    [aux_sym__keyword_alter_token1] = ACTIONS(1681),
    [aux_sym__keyword_create_token1] = ACTIONS(1681),
    [aux_sym__keyword_drop_token1] = ACTIONS(1681),
    [aux_sym__keyword_delete_token1] = ACTIONS(1681),
    [aux_sym__keyword_begin_token1] = ACTIONS(1681),
    [aux_sym__keyword_end_token1] = ACTIONS(1681),
    [aux_sym__keyword_between_token1] = ACTIONS(1681),
    [aux_sym__keyword_else_token1] = ACTIONS(1683),
    [aux_sym__keyword_is_token1] = ACTIONS(1681),
    [aux_sym__keyword_in_token1] = ACTIONS(1683),
    [aux_sym__keyword_and_token1] = ACTIONS(1681),
    [aux_sym__keyword_like_token1] = ACTIONS(1681),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1681),
    [aux_sym__keyword_for_token1] = ACTIONS(1681),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1681),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1681),
    [aux_sym_into_clause_token1] = ACTIONS(1681),
    [aux_sym_using_clause_token1] = ACTIONS(1681),
    [aux_sym_return_statement_token1] = ACTIONS(1681),
    [aux_sym_call_statement_token1] = ACTIONS(1681),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1681),
    [aux_sym_if_statement_token1] = ACTIONS(1681),
    [aux_sym_loop_statement_token1] = ACTIONS(1681),
    [aux_sym_repeat_statement_token1] = ACTIONS(1681),
    [aux_sym_while_statement_token1] = ACTIONS(1681),
    [aux_sym_break_statement_token1] = ACTIONS(1681),
    [aux_sym_leave_statement_token1] = ACTIONS(1681),
    [aux_sym_continue_statement_token1] = ACTIONS(1681),
    [aux_sym_iterate_statement_token1] = ACTIONS(1681),
    [aux_sym_raise_statement_token1] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(1681),
    [aux_sym_assert_statement_token1] = ACTIONS(1681),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1683),
    [anon_sym_GT] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1681),
    [aux_sym_insert_statement_token1] = ACTIONS(1681),
    [aux_sym_truncate_statement_token1] = ACTIONS(1681),
    [aux_sym_update_statement_token1] = ACTIONS(1681),
    [aux_sym_merge_statement_token1] = ACTIONS(1681),
    [aux_sym_grant_statement_token1] = ACTIONS(1681),
    [aux_sym_revoke_statement_token1] = ACTIONS(1681),
    [aux_sym_export_data_statement_token1] = ACTIONS(1681),
    [aux_sym_load_data_statement_token1] = ACTIONS(1681),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym_PIPE_PIPE] = ACTIONS(1681),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_GT_GT] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_CARET] = ACTIONS(1681),
    [anon_sym_PIPE] = ACTIONS(1683),
  },
  [4930] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1825),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1825),
    [aux_sym_keyword_replace_token1] = ACTIONS(1825),
    [aux_sym__keyword_alter_token1] = ACTIONS(1825),
    [aux_sym__keyword_create_token1] = ACTIONS(1825),
    [aux_sym__keyword_drop_token1] = ACTIONS(1825),
    [aux_sym__keyword_delete_token1] = ACTIONS(1825),
    [aux_sym__keyword_begin_token1] = ACTIONS(1825),
    [aux_sym__keyword_end_token1] = ACTIONS(1825),
    [aux_sym__keyword_between_token1] = ACTIONS(1825),
    [aux_sym__keyword_else_token1] = ACTIONS(1827),
    [aux_sym__keyword_is_token1] = ACTIONS(1825),
    [aux_sym__keyword_in_token1] = ACTIONS(1827),
    [aux_sym__keyword_and_token1] = ACTIONS(1825),
    [aux_sym__keyword_like_token1] = ACTIONS(1825),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1825),
    [aux_sym__keyword_for_token1] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1825),
    [aux_sym_into_clause_token1] = ACTIONS(1825),
    [aux_sym_using_clause_token1] = ACTIONS(1825),
    [aux_sym_return_statement_token1] = ACTIONS(1825),
    [aux_sym_call_statement_token1] = ACTIONS(1825),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1825),
    [aux_sym_if_statement_token1] = ACTIONS(1825),
    [aux_sym_loop_statement_token1] = ACTIONS(1825),
    [aux_sym_repeat_statement_token1] = ACTIONS(1825),
    [aux_sym_while_statement_token1] = ACTIONS(1825),
    [aux_sym_break_statement_token1] = ACTIONS(1825),
    [aux_sym_leave_statement_token1] = ACTIONS(1825),
    [aux_sym_continue_statement_token1] = ACTIONS(1825),
    [aux_sym_iterate_statement_token1] = ACTIONS(1825),
    [aux_sym_raise_statement_token1] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(1825),
    [aux_sym_assert_statement_token1] = ACTIONS(1825),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1825),
    [aux_sym_insert_statement_token1] = ACTIONS(1825),
    [aux_sym_truncate_statement_token1] = ACTIONS(1825),
    [aux_sym_update_statement_token1] = ACTIONS(1825),
    [aux_sym_merge_statement_token1] = ACTIONS(1825),
    [aux_sym_grant_statement_token1] = ACTIONS(1825),
    [aux_sym_revoke_statement_token1] = ACTIONS(1825),
    [aux_sym_export_data_statement_token1] = ACTIONS(1825),
    [aux_sym_load_data_statement_token1] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1827),
  },
  [4931] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1593),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1593),
    [aux_sym_keyword_replace_token1] = ACTIONS(1593),
    [aux_sym__keyword_alter_token1] = ACTIONS(1593),
    [aux_sym__keyword_create_token1] = ACTIONS(1593),
    [aux_sym__keyword_drop_token1] = ACTIONS(1593),
    [aux_sym__keyword_delete_token1] = ACTIONS(1593),
    [aux_sym__keyword_begin_token1] = ACTIONS(1593),
    [aux_sym__keyword_end_token1] = ACTIONS(1593),
    [aux_sym__keyword_between_token1] = ACTIONS(1593),
    [aux_sym__keyword_else_token1] = ACTIONS(1595),
    [aux_sym__keyword_is_token1] = ACTIONS(1593),
    [aux_sym__keyword_in_token1] = ACTIONS(1595),
    [aux_sym__keyword_and_token1] = ACTIONS(1593),
    [aux_sym__keyword_like_token1] = ACTIONS(1593),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1593),
    [aux_sym__keyword_for_token1] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1593),
    [aux_sym_into_clause_token1] = ACTIONS(1593),
    [aux_sym_using_clause_token1] = ACTIONS(1593),
    [aux_sym_return_statement_token1] = ACTIONS(1593),
    [aux_sym_call_statement_token1] = ACTIONS(1593),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1593),
    [aux_sym_if_statement_token1] = ACTIONS(1593),
    [aux_sym_loop_statement_token1] = ACTIONS(1593),
    [aux_sym_repeat_statement_token1] = ACTIONS(1593),
    [aux_sym_while_statement_token1] = ACTIONS(1593),
    [aux_sym_break_statement_token1] = ACTIONS(1593),
    [aux_sym_leave_statement_token1] = ACTIONS(1593),
    [aux_sym_continue_statement_token1] = ACTIONS(1593),
    [aux_sym_iterate_statement_token1] = ACTIONS(1593),
    [aux_sym_raise_statement_token1] = ACTIONS(1593),
    [anon_sym_EQ] = ACTIONS(1593),
    [aux_sym_assert_statement_token1] = ACTIONS(1593),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1593),
    [anon_sym_LT] = ACTIONS(1595),
    [anon_sym_GT] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1593),
    [aux_sym_insert_statement_token1] = ACTIONS(1593),
    [aux_sym_truncate_statement_token1] = ACTIONS(1593),
    [aux_sym_update_statement_token1] = ACTIONS(1593),
    [aux_sym_merge_statement_token1] = ACTIONS(1593),
    [aux_sym_grant_statement_token1] = ACTIONS(1593),
    [aux_sym_revoke_statement_token1] = ACTIONS(1593),
    [aux_sym_export_data_statement_token1] = ACTIONS(1593),
    [aux_sym_load_data_statement_token1] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1593),
    [anon_sym_PLUS] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1593),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1593),
    [anon_sym_GT_GT] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1593),
    [anon_sym_PIPE] = ACTIONS(1595),
  },
  [4932] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1759),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1759),
    [aux_sym_keyword_replace_token1] = ACTIONS(1759),
    [aux_sym__keyword_alter_token1] = ACTIONS(1759),
    [aux_sym__keyword_create_token1] = ACTIONS(1759),
    [aux_sym__keyword_drop_token1] = ACTIONS(1759),
    [aux_sym__keyword_delete_token1] = ACTIONS(1759),
    [aux_sym__keyword_begin_token1] = ACTIONS(1759),
    [aux_sym__keyword_end_token1] = ACTIONS(1759),
    [aux_sym__keyword_between_token1] = ACTIONS(1759),
    [aux_sym__keyword_else_token1] = ACTIONS(1761),
    [aux_sym__keyword_is_token1] = ACTIONS(1759),
    [aux_sym__keyword_in_token1] = ACTIONS(1761),
    [aux_sym__keyword_and_token1] = ACTIONS(1759),
    [aux_sym__keyword_like_token1] = ACTIONS(1759),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1759),
    [aux_sym__keyword_for_token1] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [aux_sym_declare_statement_token1] = ACTIONS(1759),
    [aux_sym_set_statement_token1] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1759),
    [aux_sym_into_clause_token1] = ACTIONS(1759),
    [aux_sym_using_clause_token1] = ACTIONS(1759),
    [aux_sym_return_statement_token1] = ACTIONS(1759),
    [aux_sym_call_statement_token1] = ACTIONS(1759),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1759),
    [aux_sym_if_statement_token1] = ACTIONS(1759),
    [aux_sym_loop_statement_token1] = ACTIONS(1759),
    [aux_sym_repeat_statement_token1] = ACTIONS(1759),
    [aux_sym_while_statement_token1] = ACTIONS(1759),
    [aux_sym_break_statement_token1] = ACTIONS(1759),
    [aux_sym_leave_statement_token1] = ACTIONS(1759),
    [aux_sym_continue_statement_token1] = ACTIONS(1759),
    [aux_sym_iterate_statement_token1] = ACTIONS(1759),
    [aux_sym_raise_statement_token1] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1759),
    [aux_sym_assert_statement_token1] = ACTIONS(1759),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [aux_sym_select_token1] = ACTIONS(1759),
    [aux_sym_insert_statement_token1] = ACTIONS(1759),
    [aux_sym_truncate_statement_token1] = ACTIONS(1759),
    [aux_sym_update_statement_token1] = ACTIONS(1759),
    [aux_sym_merge_statement_token1] = ACTIONS(1759),
    [aux_sym_grant_statement_token1] = ACTIONS(1759),
    [aux_sym_revoke_statement_token1] = ACTIONS(1759),
    [aux_sym_export_data_statement_token1] = ACTIONS(1759),
    [aux_sym_load_data_statement_token1] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_GT] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
  },
  [4933] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1829),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1829),
    [aux_sym_keyword_replace_token1] = ACTIONS(1829),
    [aux_sym__keyword_alter_token1] = ACTIONS(1829),
    [aux_sym__keyword_create_token1] = ACTIONS(1829),
    [aux_sym__keyword_drop_token1] = ACTIONS(1829),
    [aux_sym__keyword_delete_token1] = ACTIONS(1829),
    [aux_sym__keyword_begin_token1] = ACTIONS(1829),
    [aux_sym__keyword_end_token1] = ACTIONS(1829),
    [aux_sym__keyword_between_token1] = ACTIONS(1829),
    [aux_sym__keyword_else_token1] = ACTIONS(1831),
    [aux_sym__keyword_is_token1] = ACTIONS(1829),
    [aux_sym__keyword_in_token1] = ACTIONS(1831),
    [aux_sym__keyword_and_token1] = ACTIONS(1829),
    [aux_sym__keyword_like_token1] = ACTIONS(1829),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1829),
    [aux_sym__keyword_for_token1] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1829),
    [aux_sym_into_clause_token1] = ACTIONS(1829),
    [aux_sym_using_clause_token1] = ACTIONS(1829),
    [aux_sym_return_statement_token1] = ACTIONS(1829),
    [aux_sym_call_statement_token1] = ACTIONS(1829),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1829),
    [aux_sym_if_statement_token1] = ACTIONS(1829),
    [aux_sym_loop_statement_token1] = ACTIONS(1829),
    [aux_sym_repeat_statement_token1] = ACTIONS(1829),
    [aux_sym_while_statement_token1] = ACTIONS(1829),
    [aux_sym_break_statement_token1] = ACTIONS(1829),
    [aux_sym_leave_statement_token1] = ACTIONS(1829),
    [aux_sym_continue_statement_token1] = ACTIONS(1829),
    [aux_sym_iterate_statement_token1] = ACTIONS(1829),
    [aux_sym_raise_statement_token1] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [aux_sym_assert_statement_token1] = ACTIONS(1829),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1829),
    [aux_sym_insert_statement_token1] = ACTIONS(1829),
    [aux_sym_truncate_statement_token1] = ACTIONS(1829),
    [aux_sym_update_statement_token1] = ACTIONS(1829),
    [aux_sym_merge_statement_token1] = ACTIONS(1829),
    [aux_sym_grant_statement_token1] = ACTIONS(1829),
    [aux_sym_revoke_statement_token1] = ACTIONS(1829),
    [aux_sym_export_data_statement_token1] = ACTIONS(1829),
    [aux_sym_load_data_statement_token1] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
  },
  [4934] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1413),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1413),
    [aux_sym_keyword_replace_token1] = ACTIONS(1413),
    [aux_sym__keyword_alter_token1] = ACTIONS(1413),
    [aux_sym__keyword_create_token1] = ACTIONS(1413),
    [aux_sym__keyword_drop_token1] = ACTIONS(1413),
    [aux_sym__keyword_delete_token1] = ACTIONS(1413),
    [aux_sym__keyword_begin_token1] = ACTIONS(1413),
    [aux_sym__keyword_end_token1] = ACTIONS(1413),
    [aux_sym__keyword_between_token1] = ACTIONS(1413),
    [aux_sym__keyword_else_token1] = ACTIONS(1415),
    [aux_sym__keyword_is_token1] = ACTIONS(1413),
    [aux_sym__keyword_in_token1] = ACTIONS(1415),
    [aux_sym__keyword_and_token1] = ACTIONS(1413),
    [aux_sym__keyword_like_token1] = ACTIONS(1413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1413),
    [aux_sym__keyword_for_token1] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1413),
    [aux_sym_into_clause_token1] = ACTIONS(1413),
    [aux_sym_using_clause_token1] = ACTIONS(1413),
    [aux_sym_return_statement_token1] = ACTIONS(1413),
    [aux_sym_call_statement_token1] = ACTIONS(1413),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1413),
    [aux_sym_if_statement_token1] = ACTIONS(1413),
    [aux_sym_loop_statement_token1] = ACTIONS(1413),
    [aux_sym_repeat_statement_token1] = ACTIONS(1413),
    [aux_sym_while_statement_token1] = ACTIONS(1413),
    [aux_sym_break_statement_token1] = ACTIONS(1413),
    [aux_sym_leave_statement_token1] = ACTIONS(1413),
    [aux_sym_continue_statement_token1] = ACTIONS(1413),
    [aux_sym_iterate_statement_token1] = ACTIONS(1413),
    [aux_sym_raise_statement_token1] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1413),
    [aux_sym_assert_statement_token1] = ACTIONS(1413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1413),
    [aux_sym_insert_statement_token1] = ACTIONS(1413),
    [aux_sym_truncate_statement_token1] = ACTIONS(1413),
    [aux_sym_update_statement_token1] = ACTIONS(1413),
    [aux_sym_merge_statement_token1] = ACTIONS(1413),
    [aux_sym_grant_statement_token1] = ACTIONS(1413),
    [aux_sym_revoke_statement_token1] = ACTIONS(1413),
    [aux_sym_export_data_statement_token1] = ACTIONS(1413),
    [aux_sym_load_data_statement_token1] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_GT] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
  },
  [4935] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1763),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1763),
    [aux_sym_keyword_replace_token1] = ACTIONS(1763),
    [aux_sym__keyword_alter_token1] = ACTIONS(1763),
    [aux_sym__keyword_create_token1] = ACTIONS(1763),
    [aux_sym__keyword_drop_token1] = ACTIONS(1763),
    [aux_sym__keyword_delete_token1] = ACTIONS(1763),
    [aux_sym__keyword_begin_token1] = ACTIONS(1763),
    [aux_sym__keyword_end_token1] = ACTIONS(1763),
    [aux_sym__keyword_between_token1] = ACTIONS(1763),
    [aux_sym__keyword_else_token1] = ACTIONS(1765),
    [aux_sym__keyword_is_token1] = ACTIONS(1763),
    [aux_sym__keyword_in_token1] = ACTIONS(1765),
    [aux_sym__keyword_and_token1] = ACTIONS(1763),
    [aux_sym__keyword_like_token1] = ACTIONS(1763),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1763),
    [aux_sym__keyword_for_token1] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [aux_sym_declare_statement_token1] = ACTIONS(1763),
    [aux_sym_set_statement_token1] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1763),
    [aux_sym_into_clause_token1] = ACTIONS(1763),
    [aux_sym_using_clause_token1] = ACTIONS(1763),
    [aux_sym_return_statement_token1] = ACTIONS(1763),
    [aux_sym_call_statement_token1] = ACTIONS(1763),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1763),
    [aux_sym_if_statement_token1] = ACTIONS(1763),
    [aux_sym_loop_statement_token1] = ACTIONS(1763),
    [aux_sym_repeat_statement_token1] = ACTIONS(1763),
    [aux_sym_while_statement_token1] = ACTIONS(1763),
    [aux_sym_break_statement_token1] = ACTIONS(1763),
    [aux_sym_leave_statement_token1] = ACTIONS(1763),
    [aux_sym_continue_statement_token1] = ACTIONS(1763),
    [aux_sym_iterate_statement_token1] = ACTIONS(1763),
    [aux_sym_raise_statement_token1] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1763),
    [aux_sym_assert_statement_token1] = ACTIONS(1763),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [aux_sym_select_token1] = ACTIONS(1763),
    [aux_sym_insert_statement_token1] = ACTIONS(1763),
    [aux_sym_truncate_statement_token1] = ACTIONS(1763),
    [aux_sym_update_statement_token1] = ACTIONS(1763),
    [aux_sym_merge_statement_token1] = ACTIONS(1763),
    [aux_sym_grant_statement_token1] = ACTIONS(1763),
    [aux_sym_revoke_statement_token1] = ACTIONS(1763),
    [aux_sym_export_data_statement_token1] = ACTIONS(1763),
    [aux_sym_load_data_statement_token1] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_GT] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
  },
  [4936] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1513),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1513),
    [aux_sym_keyword_replace_token1] = ACTIONS(1513),
    [aux_sym__keyword_alter_token1] = ACTIONS(1513),
    [aux_sym__keyword_create_token1] = ACTIONS(1513),
    [aux_sym__keyword_drop_token1] = ACTIONS(1513),
    [aux_sym__keyword_delete_token1] = ACTIONS(1513),
    [aux_sym__keyword_begin_token1] = ACTIONS(1513),
    [aux_sym__keyword_end_token1] = ACTIONS(1513),
    [aux_sym__keyword_between_token1] = ACTIONS(1513),
    [aux_sym__keyword_else_token1] = ACTIONS(1515),
    [aux_sym__keyword_is_token1] = ACTIONS(1513),
    [aux_sym__keyword_in_token1] = ACTIONS(1515),
    [aux_sym__keyword_and_token1] = ACTIONS(1513),
    [aux_sym__keyword_like_token1] = ACTIONS(1513),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1513),
    [aux_sym__keyword_for_token1] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1513),
    [aux_sym_into_clause_token1] = ACTIONS(1513),
    [aux_sym_using_clause_token1] = ACTIONS(1513),
    [aux_sym_return_statement_token1] = ACTIONS(1513),
    [aux_sym_call_statement_token1] = ACTIONS(1513),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1513),
    [aux_sym_if_statement_token1] = ACTIONS(1513),
    [aux_sym_loop_statement_token1] = ACTIONS(1513),
    [aux_sym_repeat_statement_token1] = ACTIONS(1513),
    [aux_sym_while_statement_token1] = ACTIONS(1513),
    [aux_sym_break_statement_token1] = ACTIONS(1513),
    [aux_sym_leave_statement_token1] = ACTIONS(1513),
    [aux_sym_continue_statement_token1] = ACTIONS(1513),
    [aux_sym_iterate_statement_token1] = ACTIONS(1513),
    [aux_sym_raise_statement_token1] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [aux_sym_assert_statement_token1] = ACTIONS(1513),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1513),
    [aux_sym_insert_statement_token1] = ACTIONS(1513),
    [aux_sym_truncate_statement_token1] = ACTIONS(1513),
    [aux_sym_update_statement_token1] = ACTIONS(1513),
    [aux_sym_merge_statement_token1] = ACTIONS(1513),
    [aux_sym_grant_statement_token1] = ACTIONS(1513),
    [aux_sym_revoke_statement_token1] = ACTIONS(1513),
    [aux_sym_export_data_statement_token1] = ACTIONS(1513),
    [aux_sym_load_data_statement_token1] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1515),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_LT_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1515),
  },
  [4937] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1791),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1791),
    [aux_sym_keyword_replace_token1] = ACTIONS(1791),
    [aux_sym__keyword_alter_token1] = ACTIONS(1791),
    [aux_sym__keyword_create_token1] = ACTIONS(1791),
    [aux_sym__keyword_drop_token1] = ACTIONS(1791),
    [aux_sym__keyword_delete_token1] = ACTIONS(1791),
    [aux_sym__keyword_begin_token1] = ACTIONS(1791),
    [aux_sym__keyword_end_token1] = ACTIONS(1791),
    [aux_sym__keyword_between_token1] = ACTIONS(1791),
    [aux_sym__keyword_else_token1] = ACTIONS(1793),
    [aux_sym__keyword_is_token1] = ACTIONS(1791),
    [aux_sym__keyword_in_token1] = ACTIONS(1793),
    [aux_sym__keyword_and_token1] = ACTIONS(1791),
    [aux_sym__keyword_like_token1] = ACTIONS(1791),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1791),
    [aux_sym__keyword_for_token1] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1791),
    [aux_sym_into_clause_token1] = ACTIONS(1791),
    [aux_sym_using_clause_token1] = ACTIONS(1791),
    [aux_sym_return_statement_token1] = ACTIONS(1791),
    [aux_sym_call_statement_token1] = ACTIONS(1791),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1791),
    [aux_sym_if_statement_token1] = ACTIONS(1791),
    [aux_sym_loop_statement_token1] = ACTIONS(1791),
    [aux_sym_repeat_statement_token1] = ACTIONS(1791),
    [aux_sym_while_statement_token1] = ACTIONS(1791),
    [aux_sym_break_statement_token1] = ACTIONS(1791),
    [aux_sym_leave_statement_token1] = ACTIONS(1791),
    [aux_sym_continue_statement_token1] = ACTIONS(1791),
    [aux_sym_iterate_statement_token1] = ACTIONS(1791),
    [aux_sym_raise_statement_token1] = ACTIONS(1791),
    [anon_sym_EQ] = ACTIONS(1791),
    [aux_sym_assert_statement_token1] = ACTIONS(1791),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1791),
    [aux_sym_insert_statement_token1] = ACTIONS(1791),
    [aux_sym_truncate_statement_token1] = ACTIONS(1791),
    [aux_sym_update_statement_token1] = ACTIONS(1791),
    [aux_sym_merge_statement_token1] = ACTIONS(1791),
    [aux_sym_grant_statement_token1] = ACTIONS(1791),
    [aux_sym_revoke_statement_token1] = ACTIONS(1791),
    [aux_sym_export_data_statement_token1] = ACTIONS(1791),
    [aux_sym_load_data_statement_token1] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_GT] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
  },
  [4938] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1409),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1409),
    [aux_sym_keyword_replace_token1] = ACTIONS(1409),
    [aux_sym__keyword_alter_token1] = ACTIONS(1409),
    [aux_sym__keyword_create_token1] = ACTIONS(1409),
    [aux_sym__keyword_drop_token1] = ACTIONS(1409),
    [aux_sym__keyword_delete_token1] = ACTIONS(1409),
    [aux_sym__keyword_begin_token1] = ACTIONS(1409),
    [aux_sym__keyword_end_token1] = ACTIONS(1409),
    [aux_sym__keyword_between_token1] = ACTIONS(1409),
    [aux_sym__keyword_else_token1] = ACTIONS(1411),
    [aux_sym__keyword_is_token1] = ACTIONS(1409),
    [aux_sym__keyword_in_token1] = ACTIONS(1411),
    [aux_sym__keyword_and_token1] = ACTIONS(1409),
    [aux_sym__keyword_like_token1] = ACTIONS(1409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1409),
    [aux_sym__keyword_for_token1] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1409),
    [aux_sym_into_clause_token1] = ACTIONS(1409),
    [aux_sym_using_clause_token1] = ACTIONS(1409),
    [aux_sym_return_statement_token1] = ACTIONS(1409),
    [aux_sym_call_statement_token1] = ACTIONS(1409),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1409),
    [aux_sym_if_statement_token1] = ACTIONS(1409),
    [aux_sym_loop_statement_token1] = ACTIONS(1409),
    [aux_sym_repeat_statement_token1] = ACTIONS(1409),
    [aux_sym_while_statement_token1] = ACTIONS(1409),
    [aux_sym_break_statement_token1] = ACTIONS(1409),
    [aux_sym_leave_statement_token1] = ACTIONS(1409),
    [aux_sym_continue_statement_token1] = ACTIONS(1409),
    [aux_sym_iterate_statement_token1] = ACTIONS(1409),
    [aux_sym_raise_statement_token1] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1409),
    [aux_sym_assert_statement_token1] = ACTIONS(1409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1409),
    [aux_sym_insert_statement_token1] = ACTIONS(1409),
    [aux_sym_truncate_statement_token1] = ACTIONS(1409),
    [aux_sym_update_statement_token1] = ACTIONS(1409),
    [aux_sym_merge_statement_token1] = ACTIONS(1409),
    [aux_sym_grant_statement_token1] = ACTIONS(1409),
    [aux_sym_revoke_statement_token1] = ACTIONS(1409),
    [aux_sym_export_data_statement_token1] = ACTIONS(1409),
    [aux_sym_load_data_statement_token1] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_GT] = ACTIONS(1409),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1409),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
  },
  [4939] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4940] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4941] = {
    [ts_builtin_sym_end] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1485),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1485),
    [aux_sym_keyword_replace_token1] = ACTIONS(1485),
    [aux_sym__keyword_alter_token1] = ACTIONS(1485),
    [aux_sym__keyword_create_token1] = ACTIONS(1485),
    [aux_sym__keyword_drop_token1] = ACTIONS(1485),
    [aux_sym__keyword_delete_token1] = ACTIONS(1485),
    [aux_sym__keyword_begin_token1] = ACTIONS(1485),
    [aux_sym__keyword_end_token1] = ACTIONS(1485),
    [aux_sym__keyword_between_token1] = ACTIONS(1485),
    [aux_sym__keyword_else_token1] = ACTIONS(1487),
    [aux_sym__keyword_is_token1] = ACTIONS(1485),
    [aux_sym__keyword_in_token1] = ACTIONS(1487),
    [aux_sym__keyword_and_token1] = ACTIONS(1485),
    [aux_sym__keyword_like_token1] = ACTIONS(1485),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1485),
    [aux_sym__keyword_for_token1] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1485),
    [aux_sym_into_clause_token1] = ACTIONS(1485),
    [aux_sym_using_clause_token1] = ACTIONS(1485),
    [aux_sym_return_statement_token1] = ACTIONS(1485),
    [aux_sym_call_statement_token1] = ACTIONS(1485),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1485),
    [aux_sym_if_statement_token1] = ACTIONS(1485),
    [aux_sym_loop_statement_token1] = ACTIONS(1485),
    [aux_sym_repeat_statement_token1] = ACTIONS(1485),
    [aux_sym_while_statement_token1] = ACTIONS(1485),
    [aux_sym_break_statement_token1] = ACTIONS(1485),
    [aux_sym_leave_statement_token1] = ACTIONS(1485),
    [aux_sym_continue_statement_token1] = ACTIONS(1485),
    [aux_sym_iterate_statement_token1] = ACTIONS(1485),
    [aux_sym_raise_statement_token1] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1485),
    [aux_sym_assert_statement_token1] = ACTIONS(1485),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1485),
    [aux_sym_insert_statement_token1] = ACTIONS(1485),
    [aux_sym_truncate_statement_token1] = ACTIONS(1485),
    [aux_sym_update_statement_token1] = ACTIONS(1485),
    [aux_sym_merge_statement_token1] = ACTIONS(1485),
    [aux_sym_grant_statement_token1] = ACTIONS(1485),
    [aux_sym_revoke_statement_token1] = ACTIONS(1485),
    [aux_sym_export_data_statement_token1] = ACTIONS(1485),
    [aux_sym_load_data_statement_token1] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_LT_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
  },
  [4942] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4943] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4944] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4945] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4946] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4947] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4948] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4949] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4950] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4951] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4952] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4953] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1417),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1417),
    [aux_sym_keyword_replace_token1] = ACTIONS(1417),
    [aux_sym__keyword_alter_token1] = ACTIONS(1417),
    [aux_sym__keyword_create_token1] = ACTIONS(1417),
    [aux_sym__keyword_drop_token1] = ACTIONS(1417),
    [aux_sym__keyword_delete_token1] = ACTIONS(1417),
    [aux_sym__keyword_begin_token1] = ACTIONS(1417),
    [aux_sym__keyword_end_token1] = ACTIONS(1417),
    [aux_sym__keyword_between_token1] = ACTIONS(1417),
    [aux_sym__keyword_else_token1] = ACTIONS(1419),
    [aux_sym__keyword_is_token1] = ACTIONS(1417),
    [aux_sym__keyword_in_token1] = ACTIONS(1419),
    [aux_sym__keyword_and_token1] = ACTIONS(1417),
    [aux_sym__keyword_like_token1] = ACTIONS(1417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1417),
    [aux_sym__keyword_for_token1] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1417),
    [aux_sym_into_clause_token1] = ACTIONS(1417),
    [aux_sym_using_clause_token1] = ACTIONS(1417),
    [aux_sym_return_statement_token1] = ACTIONS(1417),
    [aux_sym_call_statement_token1] = ACTIONS(1417),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1417),
    [aux_sym_if_statement_token1] = ACTIONS(1417),
    [aux_sym_loop_statement_token1] = ACTIONS(1417),
    [aux_sym_repeat_statement_token1] = ACTIONS(1417),
    [aux_sym_while_statement_token1] = ACTIONS(1417),
    [aux_sym_break_statement_token1] = ACTIONS(1417),
    [aux_sym_leave_statement_token1] = ACTIONS(1417),
    [aux_sym_continue_statement_token1] = ACTIONS(1417),
    [aux_sym_iterate_statement_token1] = ACTIONS(1417),
    [aux_sym_raise_statement_token1] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1417),
    [aux_sym_assert_statement_token1] = ACTIONS(1417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1417),
    [aux_sym_insert_statement_token1] = ACTIONS(1417),
    [aux_sym_truncate_statement_token1] = ACTIONS(1417),
    [aux_sym_update_statement_token1] = ACTIONS(1417),
    [aux_sym_merge_statement_token1] = ACTIONS(1417),
    [aux_sym_grant_statement_token1] = ACTIONS(1417),
    [aux_sym_revoke_statement_token1] = ACTIONS(1417),
    [aux_sym_export_data_statement_token1] = ACTIONS(1417),
    [aux_sym_load_data_statement_token1] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_GT] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
  },
  [4954] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4955] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1493),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1493),
    [aux_sym_keyword_replace_token1] = ACTIONS(1493),
    [aux_sym__keyword_alter_token1] = ACTIONS(1493),
    [aux_sym__keyword_create_token1] = ACTIONS(1493),
    [aux_sym__keyword_drop_token1] = ACTIONS(1493),
    [aux_sym__keyword_delete_token1] = ACTIONS(1493),
    [aux_sym__keyword_begin_token1] = ACTIONS(1493),
    [aux_sym__keyword_end_token1] = ACTIONS(1493),
    [aux_sym__keyword_between_token1] = ACTIONS(1493),
    [aux_sym__keyword_else_token1] = ACTIONS(1495),
    [aux_sym__keyword_is_token1] = ACTIONS(1493),
    [aux_sym__keyword_in_token1] = ACTIONS(1495),
    [aux_sym__keyword_and_token1] = ACTIONS(1493),
    [aux_sym__keyword_like_token1] = ACTIONS(1493),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1493),
    [aux_sym__keyword_for_token1] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1493),
    [aux_sym_into_clause_token1] = ACTIONS(1493),
    [aux_sym_using_clause_token1] = ACTIONS(1493),
    [aux_sym_return_statement_token1] = ACTIONS(1493),
    [aux_sym_call_statement_token1] = ACTIONS(1493),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1493),
    [aux_sym_if_statement_token1] = ACTIONS(1493),
    [aux_sym_loop_statement_token1] = ACTIONS(1493),
    [aux_sym_repeat_statement_token1] = ACTIONS(1493),
    [aux_sym_while_statement_token1] = ACTIONS(1493),
    [aux_sym_break_statement_token1] = ACTIONS(1493),
    [aux_sym_leave_statement_token1] = ACTIONS(1493),
    [aux_sym_continue_statement_token1] = ACTIONS(1493),
    [aux_sym_iterate_statement_token1] = ACTIONS(1493),
    [aux_sym_raise_statement_token1] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1493),
    [aux_sym_assert_statement_token1] = ACTIONS(1493),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1493),
    [aux_sym_insert_statement_token1] = ACTIONS(1493),
    [aux_sym_truncate_statement_token1] = ACTIONS(1493),
    [aux_sym_update_statement_token1] = ACTIONS(1493),
    [aux_sym_merge_statement_token1] = ACTIONS(1493),
    [aux_sym_grant_statement_token1] = ACTIONS(1493),
    [aux_sym_revoke_statement_token1] = ACTIONS(1493),
    [aux_sym_export_data_statement_token1] = ACTIONS(1493),
    [aux_sym_load_data_statement_token1] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_LT_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
  },
  [4956] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1497),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1497),
    [aux_sym_keyword_replace_token1] = ACTIONS(1497),
    [aux_sym__keyword_alter_token1] = ACTIONS(1497),
    [aux_sym__keyword_create_token1] = ACTIONS(1497),
    [aux_sym__keyword_drop_token1] = ACTIONS(1497),
    [aux_sym__keyword_delete_token1] = ACTIONS(1497),
    [aux_sym__keyword_begin_token1] = ACTIONS(1497),
    [aux_sym__keyword_end_token1] = ACTIONS(1497),
    [aux_sym__keyword_between_token1] = ACTIONS(1497),
    [aux_sym__keyword_else_token1] = ACTIONS(1499),
    [aux_sym__keyword_is_token1] = ACTIONS(1497),
    [aux_sym__keyword_in_token1] = ACTIONS(1499),
    [aux_sym__keyword_and_token1] = ACTIONS(1497),
    [aux_sym__keyword_like_token1] = ACTIONS(1497),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1497),
    [aux_sym__keyword_for_token1] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1497),
    [aux_sym_into_clause_token1] = ACTIONS(1497),
    [aux_sym_using_clause_token1] = ACTIONS(1497),
    [aux_sym_return_statement_token1] = ACTIONS(1497),
    [aux_sym_call_statement_token1] = ACTIONS(1497),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1497),
    [aux_sym_if_statement_token1] = ACTIONS(1497),
    [aux_sym_loop_statement_token1] = ACTIONS(1497),
    [aux_sym_repeat_statement_token1] = ACTIONS(1497),
    [aux_sym_while_statement_token1] = ACTIONS(1497),
    [aux_sym_break_statement_token1] = ACTIONS(1497),
    [aux_sym_leave_statement_token1] = ACTIONS(1497),
    [aux_sym_continue_statement_token1] = ACTIONS(1497),
    [aux_sym_iterate_statement_token1] = ACTIONS(1497),
    [aux_sym_raise_statement_token1] = ACTIONS(1497),
    [anon_sym_EQ] = ACTIONS(1497),
    [aux_sym_assert_statement_token1] = ACTIONS(1497),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1497),
    [anon_sym_LT] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1497),
    [aux_sym_insert_statement_token1] = ACTIONS(1497),
    [aux_sym_truncate_statement_token1] = ACTIONS(1497),
    [aux_sym_update_statement_token1] = ACTIONS(1497),
    [aux_sym_merge_statement_token1] = ACTIONS(1497),
    [aux_sym_grant_statement_token1] = ACTIONS(1497),
    [aux_sym_revoke_statement_token1] = ACTIONS(1497),
    [aux_sym_export_data_statement_token1] = ACTIONS(1497),
    [aux_sym_load_data_statement_token1] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_PIPE_PIPE] = ACTIONS(1497),
    [anon_sym_LT_EQ] = ACTIONS(1497),
    [anon_sym_LT_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1497),
    [anon_sym_BANG_EQ] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_PIPE] = ACTIONS(1499),
  },
  [4957] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4958] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4959] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1509),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1509),
    [aux_sym_keyword_replace_token1] = ACTIONS(1509),
    [aux_sym__keyword_alter_token1] = ACTIONS(1509),
    [aux_sym__keyword_create_token1] = ACTIONS(1509),
    [aux_sym__keyword_drop_token1] = ACTIONS(1509),
    [aux_sym__keyword_delete_token1] = ACTIONS(1509),
    [aux_sym__keyword_begin_token1] = ACTIONS(1509),
    [aux_sym__keyword_end_token1] = ACTIONS(1509),
    [aux_sym__keyword_between_token1] = ACTIONS(1509),
    [aux_sym__keyword_else_token1] = ACTIONS(1511),
    [aux_sym__keyword_is_token1] = ACTIONS(1509),
    [aux_sym__keyword_in_token1] = ACTIONS(1511),
    [aux_sym__keyword_and_token1] = ACTIONS(1509),
    [aux_sym__keyword_like_token1] = ACTIONS(1509),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1509),
    [aux_sym__keyword_for_token1] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1509),
    [aux_sym_into_clause_token1] = ACTIONS(1509),
    [aux_sym_using_clause_token1] = ACTIONS(1509),
    [aux_sym_return_statement_token1] = ACTIONS(1509),
    [aux_sym_call_statement_token1] = ACTIONS(1509),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1509),
    [aux_sym_if_statement_token1] = ACTIONS(1509),
    [aux_sym_loop_statement_token1] = ACTIONS(1509),
    [aux_sym_repeat_statement_token1] = ACTIONS(1509),
    [aux_sym_while_statement_token1] = ACTIONS(1509),
    [aux_sym_break_statement_token1] = ACTIONS(1509),
    [aux_sym_leave_statement_token1] = ACTIONS(1509),
    [aux_sym_continue_statement_token1] = ACTIONS(1509),
    [aux_sym_iterate_statement_token1] = ACTIONS(1509),
    [aux_sym_raise_statement_token1] = ACTIONS(1509),
    [anon_sym_EQ] = ACTIONS(1509),
    [aux_sym_assert_statement_token1] = ACTIONS(1509),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1509),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1509),
    [aux_sym_insert_statement_token1] = ACTIONS(1509),
    [aux_sym_truncate_statement_token1] = ACTIONS(1509),
    [aux_sym_update_statement_token1] = ACTIONS(1509),
    [aux_sym_merge_statement_token1] = ACTIONS(1509),
    [aux_sym_grant_statement_token1] = ACTIONS(1509),
    [aux_sym_revoke_statement_token1] = ACTIONS(1509),
    [aux_sym_export_data_statement_token1] = ACTIONS(1509),
    [aux_sym_load_data_statement_token1] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_LT_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PIPE] = ACTIONS(1511),
  },
  [4960] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1397),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1397),
    [aux_sym_keyword_replace_token1] = ACTIONS(1397),
    [aux_sym__keyword_alter_token1] = ACTIONS(1397),
    [aux_sym__keyword_create_token1] = ACTIONS(1397),
    [aux_sym__keyword_drop_token1] = ACTIONS(1397),
    [aux_sym__keyword_delete_token1] = ACTIONS(1397),
    [aux_sym__keyword_begin_token1] = ACTIONS(1397),
    [aux_sym__keyword_end_token1] = ACTIONS(1397),
    [aux_sym__keyword_between_token1] = ACTIONS(1397),
    [aux_sym__keyword_else_token1] = ACTIONS(1399),
    [aux_sym__keyword_is_token1] = ACTIONS(1397),
    [aux_sym__keyword_in_token1] = ACTIONS(1399),
    [aux_sym__keyword_and_token1] = ACTIONS(1397),
    [aux_sym__keyword_like_token1] = ACTIONS(1397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1397),
    [aux_sym__keyword_for_token1] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1397),
    [aux_sym_into_clause_token1] = ACTIONS(1397),
    [aux_sym_using_clause_token1] = ACTIONS(1397),
    [aux_sym_return_statement_token1] = ACTIONS(1397),
    [aux_sym_call_statement_token1] = ACTIONS(1397),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1397),
    [aux_sym_if_statement_token1] = ACTIONS(1397),
    [aux_sym_loop_statement_token1] = ACTIONS(1397),
    [aux_sym_repeat_statement_token1] = ACTIONS(1397),
    [aux_sym_while_statement_token1] = ACTIONS(1397),
    [aux_sym_break_statement_token1] = ACTIONS(1397),
    [aux_sym_leave_statement_token1] = ACTIONS(1397),
    [aux_sym_continue_statement_token1] = ACTIONS(1397),
    [aux_sym_iterate_statement_token1] = ACTIONS(1397),
    [aux_sym_raise_statement_token1] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1397),
    [aux_sym_assert_statement_token1] = ACTIONS(1397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1397),
    [aux_sym_insert_statement_token1] = ACTIONS(1397),
    [aux_sym_truncate_statement_token1] = ACTIONS(1397),
    [aux_sym_update_statement_token1] = ACTIONS(1397),
    [aux_sym_merge_statement_token1] = ACTIONS(1397),
    [aux_sym_grant_statement_token1] = ACTIONS(1397),
    [aux_sym_revoke_statement_token1] = ACTIONS(1397),
    [aux_sym_export_data_statement_token1] = ACTIONS(1397),
    [aux_sym_load_data_statement_token1] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_GT] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1397),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
  },
  [4961] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1517),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1517),
    [aux_sym_keyword_replace_token1] = ACTIONS(1517),
    [aux_sym__keyword_alter_token1] = ACTIONS(1517),
    [aux_sym__keyword_create_token1] = ACTIONS(1517),
    [aux_sym__keyword_drop_token1] = ACTIONS(1517),
    [aux_sym__keyword_delete_token1] = ACTIONS(1517),
    [aux_sym__keyword_begin_token1] = ACTIONS(1517),
    [aux_sym__keyword_end_token1] = ACTIONS(1517),
    [aux_sym__keyword_between_token1] = ACTIONS(1517),
    [aux_sym__keyword_else_token1] = ACTIONS(1519),
    [aux_sym__keyword_is_token1] = ACTIONS(1517),
    [aux_sym__keyword_in_token1] = ACTIONS(1519),
    [aux_sym__keyword_and_token1] = ACTIONS(1517),
    [aux_sym__keyword_like_token1] = ACTIONS(1517),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1517),
    [aux_sym__keyword_for_token1] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1517),
    [aux_sym_into_clause_token1] = ACTIONS(1517),
    [aux_sym_using_clause_token1] = ACTIONS(1517),
    [aux_sym_return_statement_token1] = ACTIONS(1517),
    [aux_sym_call_statement_token1] = ACTIONS(1517),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1517),
    [aux_sym_if_statement_token1] = ACTIONS(1517),
    [aux_sym_loop_statement_token1] = ACTIONS(1517),
    [aux_sym_repeat_statement_token1] = ACTIONS(1517),
    [aux_sym_while_statement_token1] = ACTIONS(1517),
    [aux_sym_break_statement_token1] = ACTIONS(1517),
    [aux_sym_leave_statement_token1] = ACTIONS(1517),
    [aux_sym_continue_statement_token1] = ACTIONS(1517),
    [aux_sym_iterate_statement_token1] = ACTIONS(1517),
    [aux_sym_raise_statement_token1] = ACTIONS(1517),
    [anon_sym_EQ] = ACTIONS(1517),
    [aux_sym_assert_statement_token1] = ACTIONS(1517),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1517),
    [aux_sym_insert_statement_token1] = ACTIONS(1517),
    [aux_sym_truncate_statement_token1] = ACTIONS(1517),
    [aux_sym_update_statement_token1] = ACTIONS(1517),
    [aux_sym_merge_statement_token1] = ACTIONS(1517),
    [aux_sym_grant_statement_token1] = ACTIONS(1517),
    [aux_sym_revoke_statement_token1] = ACTIONS(1517),
    [aux_sym_export_data_statement_token1] = ACTIONS(1517),
    [aux_sym_load_data_statement_token1] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_LT_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1519),
  },
  [4962] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1393),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1393),
    [aux_sym_keyword_replace_token1] = ACTIONS(1393),
    [aux_sym__keyword_alter_token1] = ACTIONS(1393),
    [aux_sym__keyword_create_token1] = ACTIONS(1393),
    [aux_sym__keyword_drop_token1] = ACTIONS(1393),
    [aux_sym__keyword_delete_token1] = ACTIONS(1393),
    [aux_sym__keyword_begin_token1] = ACTIONS(1393),
    [aux_sym__keyword_end_token1] = ACTIONS(1393),
    [aux_sym__keyword_between_token1] = ACTIONS(1393),
    [aux_sym__keyword_else_token1] = ACTIONS(1395),
    [aux_sym__keyword_is_token1] = ACTIONS(1393),
    [aux_sym__keyword_in_token1] = ACTIONS(1395),
    [aux_sym__keyword_and_token1] = ACTIONS(1393),
    [aux_sym__keyword_like_token1] = ACTIONS(1393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1393),
    [aux_sym__keyword_for_token1] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1393),
    [aux_sym_into_clause_token1] = ACTIONS(1393),
    [aux_sym_using_clause_token1] = ACTIONS(1393),
    [aux_sym_return_statement_token1] = ACTIONS(1393),
    [aux_sym_call_statement_token1] = ACTIONS(1393),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1393),
    [aux_sym_if_statement_token1] = ACTIONS(1393),
    [aux_sym_loop_statement_token1] = ACTIONS(1393),
    [aux_sym_repeat_statement_token1] = ACTIONS(1393),
    [aux_sym_while_statement_token1] = ACTIONS(1393),
    [aux_sym_break_statement_token1] = ACTIONS(1393),
    [aux_sym_leave_statement_token1] = ACTIONS(1393),
    [aux_sym_continue_statement_token1] = ACTIONS(1393),
    [aux_sym_iterate_statement_token1] = ACTIONS(1393),
    [aux_sym_raise_statement_token1] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [aux_sym_assert_statement_token1] = ACTIONS(1393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1393),
    [aux_sym_insert_statement_token1] = ACTIONS(1393),
    [aux_sym_truncate_statement_token1] = ACTIONS(1393),
    [aux_sym_update_statement_token1] = ACTIONS(1393),
    [aux_sym_merge_statement_token1] = ACTIONS(1393),
    [aux_sym_grant_statement_token1] = ACTIONS(1393),
    [aux_sym_revoke_statement_token1] = ACTIONS(1393),
    [aux_sym_export_data_statement_token1] = ACTIONS(1393),
    [aux_sym_load_data_statement_token1] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
  },
  [4963] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4964] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1371),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(1371),
    [aux_sym_keyword_replace_token1] = ACTIONS(1371),
    [aux_sym__keyword_alter_token1] = ACTIONS(1371),
    [aux_sym__keyword_create_token1] = ACTIONS(1371),
    [aux_sym__keyword_drop_token1] = ACTIONS(1371),
    [aux_sym__keyword_delete_token1] = ACTIONS(1371),
    [aux_sym__keyword_begin_token1] = ACTIONS(1371),
    [aux_sym__keyword_end_token1] = ACTIONS(1371),
    [aux_sym__keyword_between_token1] = ACTIONS(1371),
    [aux_sym__keyword_else_token1] = ACTIONS(1373),
    [aux_sym__keyword_is_token1] = ACTIONS(1371),
    [aux_sym__keyword_in_token1] = ACTIONS(1373),
    [aux_sym__keyword_and_token1] = ACTIONS(1371),
    [aux_sym__keyword_like_token1] = ACTIONS(1371),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1371),
    [aux_sym__keyword_for_token1] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1371),
    [aux_sym_into_clause_token1] = ACTIONS(1371),
    [aux_sym_using_clause_token1] = ACTIONS(1371),
    [aux_sym_return_statement_token1] = ACTIONS(1371),
    [aux_sym_call_statement_token1] = ACTIONS(1371),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1371),
    [aux_sym_if_statement_token1] = ACTIONS(1371),
    [aux_sym_loop_statement_token1] = ACTIONS(1371),
    [aux_sym_repeat_statement_token1] = ACTIONS(1371),
    [aux_sym_while_statement_token1] = ACTIONS(1371),
    [aux_sym_break_statement_token1] = ACTIONS(1371),
    [aux_sym_leave_statement_token1] = ACTIONS(1371),
    [aux_sym_continue_statement_token1] = ACTIONS(1371),
    [aux_sym_iterate_statement_token1] = ACTIONS(1371),
    [aux_sym_raise_statement_token1] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [aux_sym_assert_statement_token1] = ACTIONS(1371),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1371),
    [aux_sym_insert_statement_token1] = ACTIONS(1371),
    [aux_sym_truncate_statement_token1] = ACTIONS(1371),
    [aux_sym_update_statement_token1] = ACTIONS(1371),
    [aux_sym_merge_statement_token1] = ACTIONS(1371),
    [aux_sym_grant_statement_token1] = ACTIONS(1371),
    [aux_sym_revoke_statement_token1] = ACTIONS(1371),
    [aux_sym_export_data_statement_token1] = ACTIONS(1371),
    [aux_sym_load_data_statement_token1] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1373),
  },
  [4965] = {
    [sym_analytics_clause] = STATE(5181),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4966] = {
    [sym_analytics_clause] = STATE(5245),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4967] = {
    [sym_analytics_clause] = STATE(5142),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4968] = {
    [sym_analytics_clause] = STATE(5176),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4969] = {
    [sym_analytics_clause] = STATE(5240),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4970] = {
    [sym_analytics_clause] = STATE(5166),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4971] = {
    [sym_analytics_clause] = STATE(5161),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_when_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_window_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_using_clause_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token3] = ACTIONS(1487),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_having_clause_token1] = ACTIONS(1487),
    [aux_sym_qualify_clause_token1] = ACTIONS(1487),
    [aux_sym_limit_clause_token1] = ACTIONS(1487),
    [aux_sym_group_by_clause_token1] = ACTIONS(1487),
    [aux_sym_order_by_clause_token1] = ACTIONS(1487),
    [aux_sym_where_clause_token1] = ACTIONS(1487),
    [aux_sym_pivot_operator_token1] = ACTIONS(1487),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1487),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1487),
    [aux_sym_join_type_token1] = ACTIONS(1487),
    [aux_sym_join_type_token2] = ACTIONS(1487),
    [aux_sym_join_type_token3] = ACTIONS(1487),
    [aux_sym_join_type_token4] = ACTIONS(1487),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1487),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1487),
    [aux_sym_join_condition_token1] = ACTIONS(1487),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
  },
  [4972] = {
    [sym_analytics_clause] = STATE(5237),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4973] = {
    [sym_analytics_clause] = STATE(5132),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4974] = {
    [sym_analytics_clause] = STATE(5195),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [4975] = {
    [sym_analytics_clause] = STATE(5248),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4976] = {
    [sym_analytics_clause] = STATE(5170),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_when_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_window_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_using_clause_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token3] = ACTIONS(1495),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_having_clause_token1] = ACTIONS(1495),
    [aux_sym_qualify_clause_token1] = ACTIONS(1495),
    [aux_sym_limit_clause_token1] = ACTIONS(1495),
    [aux_sym_group_by_clause_token1] = ACTIONS(1495),
    [aux_sym_order_by_clause_token1] = ACTIONS(1495),
    [aux_sym_where_clause_token1] = ACTIONS(1495),
    [aux_sym_pivot_operator_token1] = ACTIONS(1495),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1495),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1495),
    [aux_sym_join_type_token1] = ACTIONS(1495),
    [aux_sym_join_type_token2] = ACTIONS(1495),
    [aux_sym_join_type_token3] = ACTIONS(1495),
    [aux_sym_join_type_token4] = ACTIONS(1495),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1495),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1495),
    [aux_sym_join_condition_token1] = ACTIONS(1495),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
  },
  [4977] = {
    [sym_analytics_clause] = STATE(5171),
    [ts_builtin_sym_end] = ACTIONS(1497),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_when_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_window_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_using_clause_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token3] = ACTIONS(1499),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_having_clause_token1] = ACTIONS(1499),
    [aux_sym_qualify_clause_token1] = ACTIONS(1499),
    [aux_sym_limit_clause_token1] = ACTIONS(1499),
    [aux_sym_group_by_clause_token1] = ACTIONS(1499),
    [aux_sym_order_by_clause_token1] = ACTIONS(1499),
    [aux_sym_where_clause_token1] = ACTIONS(1499),
    [aux_sym_pivot_operator_token1] = ACTIONS(1499),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1499),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1499),
    [aux_sym_join_type_token1] = ACTIONS(1499),
    [aux_sym_join_type_token2] = ACTIONS(1499),
    [aux_sym_join_type_token3] = ACTIONS(1499),
    [aux_sym_join_type_token4] = ACTIONS(1499),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1499),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1499),
    [aux_sym_join_condition_token1] = ACTIONS(1499),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
  },
  [4978] = {
    [sym_analytics_clause] = STATE(5236),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4979] = {
    [sym_analytics_clause] = STATE(5151),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [4980] = {
    [sym_analytics_clause] = STATE(5158),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_when_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_window_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_using_clause_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token3] = ACTIONS(1369),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_having_clause_token1] = ACTIONS(1369),
    [aux_sym_qualify_clause_token1] = ACTIONS(1369),
    [aux_sym_limit_clause_token1] = ACTIONS(1369),
    [aux_sym_group_by_clause_token1] = ACTIONS(1369),
    [aux_sym_order_by_clause_token1] = ACTIONS(1369),
    [aux_sym_where_clause_token1] = ACTIONS(1369),
    [aux_sym_pivot_operator_token1] = ACTIONS(1369),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1369),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1369),
    [aux_sym_join_type_token1] = ACTIONS(1369),
    [aux_sym_join_type_token2] = ACTIONS(1369),
    [aux_sym_join_type_token3] = ACTIONS(1369),
    [aux_sym_join_type_token4] = ACTIONS(1369),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1369),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1369),
    [aux_sym_join_condition_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
  },
  [4981] = {
    [sym_analytics_clause] = STATE(5173),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4982] = {
    [sym_analytics_clause] = STATE(5250),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4983] = {
    [sym_analytics_clause] = STATE(5249),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4984] = {
    [sym_analytics_clause] = STATE(5234),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4985] = {
    [sym_analytics_clause] = STATE(5178),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4986] = {
    [sym_analytics_clause] = STATE(5180),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4987] = {
    [sym_analytics_clause] = STATE(5172),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [4988] = {
    [sym_analytics_clause] = STATE(5131),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4989] = {
    [sym_analytics_clause] = STATE(5231),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4990] = {
    [sym_analytics_clause] = STATE(5242),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4991] = {
    [sym_analytics_clause] = STATE(5246),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4992] = {
    [sym_analytics_clause] = STATE(5256),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_when_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_window_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_using_clause_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token3] = ACTIONS(1427),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_having_clause_token1] = ACTIONS(1427),
    [aux_sym_qualify_clause_token1] = ACTIONS(1427),
    [aux_sym_limit_clause_token1] = ACTIONS(1427),
    [aux_sym_group_by_clause_token1] = ACTIONS(1427),
    [aux_sym_order_by_clause_token1] = ACTIONS(1427),
    [aux_sym_where_clause_token1] = ACTIONS(1427),
    [aux_sym_pivot_operator_token1] = ACTIONS(1427),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1427),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1427),
    [aux_sym_join_type_token1] = ACTIONS(1427),
    [aux_sym_join_type_token2] = ACTIONS(1427),
    [aux_sym_join_type_token3] = ACTIONS(1427),
    [aux_sym_join_type_token4] = ACTIONS(1427),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1427),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1427),
    [aux_sym_join_condition_token1] = ACTIONS(1427),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
  },
  [4993] = {
    [sym_analytics_clause] = STATE(5239),
    [ts_builtin_sym_end] = ACTIONS(1401),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_when_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_window_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_using_clause_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token3] = ACTIONS(1403),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_having_clause_token1] = ACTIONS(1403),
    [aux_sym_qualify_clause_token1] = ACTIONS(1403),
    [aux_sym_limit_clause_token1] = ACTIONS(1403),
    [aux_sym_group_by_clause_token1] = ACTIONS(1403),
    [aux_sym_order_by_clause_token1] = ACTIONS(1403),
    [aux_sym_where_clause_token1] = ACTIONS(1403),
    [aux_sym_pivot_operator_token1] = ACTIONS(1403),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1403),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1403),
    [aux_sym_join_type_token1] = ACTIONS(1403),
    [aux_sym_join_type_token2] = ACTIONS(1403),
    [aux_sym_join_type_token3] = ACTIONS(1403),
    [aux_sym_join_type_token4] = ACTIONS(1403),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1403),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1403),
    [aux_sym_join_condition_token1] = ACTIONS(1403),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
  },
  [4994] = {
    [sym_analytics_clause] = STATE(5247),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [4995] = {
    [sym_analytics_clause] = STATE(5187),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [4996] = {
    [sym_analytics_clause] = STATE(5138),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4997] = {
    [sym_analytics_clause] = STATE(5137),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [4998] = {
    [sym_analytics_clause] = STATE(5202),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [4999] = {
    [sym_analytics_clause] = STATE(5255),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5000] = {
    [sym_analytics_clause] = STATE(5182),
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5001] = {
    [sym_analytics_clause] = STATE(5103),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5002] = {
    [sym_analytics_clause] = STATE(5174),
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym__unquoted_identifier] = ACTIONS(1507),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1507),
    [aux_sym__keyword_alter_token1] = ACTIONS(1507),
    [aux_sym__keyword_create_token1] = ACTIONS(1507),
    [aux_sym__keyword_drop_token1] = ACTIONS(1507),
    [aux_sym__keyword_delete_token1] = ACTIONS(1507),
    [aux_sym__keyword_begin_token1] = ACTIONS(1507),
    [aux_sym__keyword_when_token1] = ACTIONS(1507),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1507),
    [aux_sym__keyword_as_token1] = ACTIONS(1507),
    [aux_sym__keyword_window_token1] = ACTIONS(1507),
    [aux_sym__keyword_date_token1] = ACTIONS(1507),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1507),
    [aux_sym__keyword_time_token1] = ACTIONS(1507),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1507),
    [aux_sym__keyword_for_token1] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [aux_sym_declare_statement_token1] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1505),
    [aux_sym_set_statement_token1] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1507),
    [aux_sym_using_clause_token1] = ACTIONS(1507),
    [aux_sym_return_statement_token1] = ACTIONS(1507),
    [aux_sym_call_statement_token1] = ACTIONS(1507),
    [aux_sym_loop_statement_token1] = ACTIONS(1507),
    [aux_sym_while_statement_token1] = ACTIONS(1507),
    [aux_sym_break_statement_token1] = ACTIONS(1507),
    [aux_sym_leave_statement_token1] = ACTIONS(1507),
    [aux_sym_continue_statement_token1] = ACTIONS(1507),
    [aux_sym_iterate_statement_token1] = ACTIONS(1507),
    [aux_sym_raise_statement_token1] = ACTIONS(1507),
    [aux_sym_assert_statement_token1] = ACTIONS(1507),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1507),
    [aux_sym_set_operation_token1] = ACTIONS(1507),
    [aux_sym_set_operation_token3] = ACTIONS(1507),
    [aux_sym_set_operation_token4] = ACTIONS(1507),
    [aux_sym_select_token1] = ACTIONS(1507),
    [aux_sym_having_clause_token1] = ACTIONS(1507),
    [aux_sym_qualify_clause_token1] = ACTIONS(1507),
    [aux_sym_limit_clause_token1] = ACTIONS(1507),
    [aux_sym_group_by_clause_token1] = ACTIONS(1507),
    [aux_sym_order_by_clause_token1] = ACTIONS(1507),
    [aux_sym_where_clause_token1] = ACTIONS(1507),
    [aux_sym_pivot_operator_token1] = ACTIONS(1507),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1507),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1507),
    [aux_sym_join_type_token1] = ACTIONS(1507),
    [aux_sym_join_type_token2] = ACTIONS(1507),
    [aux_sym_join_type_token3] = ACTIONS(1507),
    [aux_sym_join_type_token4] = ACTIONS(1507),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1507),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1507),
    [aux_sym_join_condition_token1] = ACTIONS(1507),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1507),
    [aux_sym_truncate_statement_token1] = ACTIONS(1507),
    [aux_sym_update_statement_token1] = ACTIONS(1507),
    [aux_sym_merge_statement_token1] = ACTIONS(1507),
    [aux_sym_grant_statement_token1] = ACTIONS(1507),
    [aux_sym_revoke_statement_token1] = ACTIONS(1507),
    [aux_sym_export_data_statement_token1] = ACTIONS(1507),
    [aux_sym_load_data_statement_token1] = ACTIONS(1507),
    [sym__quoted_identifier] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
  },
  [5003] = {
    [sym__keyword_between] = STATE(1729),
    [sym__keyword_is] = STATE(12094),
    [sym__keyword_in] = STATE(1021),
    [sym__keyword_not] = STATE(13142),
    [sym__keyword_and] = STATE(1088),
    [sym__keyword_or] = STATE(1097),
    [sym__keyword_like] = STATE(14223),
    [sym__keyword_as] = STATE(11646),
    [sym__keyword_date] = STATE(6283),
    [sym__keyword_datetime] = STATE(6283),
    [sym__keyword_time] = STATE(6283),
    [sym__keyword_timestamp] = STATE(6283),
    [sym_as_alias] = STATE(5386),
    [sym__type_chrono] = STATE(6256),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [sym_like_operator] = STATE(16316),
    [sym_quantitve_like_operator] = STATE(16317),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token2] = ACTIONS(357),
    [aux_sym_keyword_replace_token1] = ACTIONS(359),
    [aux_sym__keyword_from_token1] = ACTIONS(355),
    [aux_sym__keyword_between_token1] = ACTIONS(3425),
    [aux_sym__keyword_is_token1] = ACTIONS(3427),
    [aux_sym__keyword_in_token1] = ACTIONS(3429),
    [aux_sym__keyword_and_token1] = ACTIONS(3431),
    [aux_sym__keyword_like_token1] = ACTIONS(369),
    [aux_sym__keyword_as_token1] = ACTIONS(3433),
    [aux_sym__keyword_window_token1] = ACTIONS(355),
    [aux_sym__keyword_date_token1] = ACTIONS(3435),
    [aux_sym__keyword_datetime_token1] = ACTIONS(3435),
    [aux_sym__keyword_time_token1] = ACTIONS(3435),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(3435),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_EQ] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_GT] = ACTIONS(3429),
    [aux_sym_set_operation_token1] = ACTIONS(355),
    [aux_sym_set_operation_token3] = ACTIONS(355),
    [aux_sym_set_operation_token4] = ACTIONS(355),
    [aux_sym_having_clause_token1] = ACTIONS(355),
    [aux_sym_qualify_clause_token1] = ACTIONS(355),
    [aux_sym_limit_clause_token1] = ACTIONS(355),
    [aux_sym_group_by_clause_token1] = ACTIONS(355),
    [aux_sym_order_by_clause_token1] = ACTIONS(355),
    [aux_sym_where_clause_token1] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(3439),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT2] = ACTIONS(3441),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_DASH] = ACTIONS(3445),
    [anon_sym_STAR] = ACTIONS(3447),
    [anon_sym_SLASH] = ACTIONS(3449),
    [anon_sym_PIPE_PIPE] = ACTIONS(3447),
    [anon_sym_LT_EQ] = ACTIONS(3437),
    [anon_sym_LT_GT] = ACTIONS(3437),
    [anon_sym_GT_EQ] = ACTIONS(3437),
    [anon_sym_BANG_EQ] = ACTIONS(3437),
    [anon_sym_LT_LT] = ACTIONS(3451),
    [anon_sym_GT_GT] = ACTIONS(3451),
    [anon_sym_AMP] = ACTIONS(3453),
    [anon_sym_CARET] = ACTIONS(3455),
    [anon_sym_PIPE] = ACTIONS(3457),
  },
  [5004] = {
    [sym_analytics_clause] = STATE(5177),
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_when_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_window_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_using_clause_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token3] = ACTIONS(1511),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_having_clause_token1] = ACTIONS(1511),
    [aux_sym_qualify_clause_token1] = ACTIONS(1511),
    [aux_sym_limit_clause_token1] = ACTIONS(1511),
    [aux_sym_group_by_clause_token1] = ACTIONS(1511),
    [aux_sym_order_by_clause_token1] = ACTIONS(1511),
    [aux_sym_where_clause_token1] = ACTIONS(1511),
    [aux_sym_pivot_operator_token1] = ACTIONS(1511),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1511),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1511),
    [aux_sym_join_type_token1] = ACTIONS(1511),
    [aux_sym_join_type_token2] = ACTIONS(1511),
    [aux_sym_join_type_token3] = ACTIONS(1511),
    [aux_sym_join_type_token4] = ACTIONS(1511),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1511),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1511),
    [aux_sym_join_condition_token1] = ACTIONS(1511),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
  },
  [5005] = {
    [sym_analytics_clause] = STATE(5201),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5006] = {
    [sym_analytics_clause] = STATE(5133),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5007] = {
    [sym_analytics_clause] = STATE(5156),
    [ts_builtin_sym_end] = ACTIONS(1465),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_when_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_window_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_using_clause_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token3] = ACTIONS(1467),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_having_clause_token1] = ACTIONS(1467),
    [aux_sym_qualify_clause_token1] = ACTIONS(1467),
    [aux_sym_limit_clause_token1] = ACTIONS(1467),
    [aux_sym_group_by_clause_token1] = ACTIONS(1467),
    [aux_sym_order_by_clause_token1] = ACTIONS(1467),
    [aux_sym_where_clause_token1] = ACTIONS(1467),
    [aux_sym_pivot_operator_token1] = ACTIONS(1467),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1467),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1467),
    [aux_sym_join_type_token1] = ACTIONS(1467),
    [aux_sym_join_type_token2] = ACTIONS(1467),
    [aux_sym_join_type_token3] = ACTIONS(1467),
    [aux_sym_join_type_token4] = ACTIONS(1467),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1467),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1467),
    [aux_sym_join_condition_token1] = ACTIONS(1467),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
  },
  [5008] = {
    [sym_analytics_clause] = STATE(5179),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5009] = {
    [sym_analytics_clause] = STATE(5118),
    [ts_builtin_sym_end] = ACTIONS(1413),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_when_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_window_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_using_clause_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token3] = ACTIONS(1415),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_having_clause_token1] = ACTIONS(1415),
    [aux_sym_qualify_clause_token1] = ACTIONS(1415),
    [aux_sym_limit_clause_token1] = ACTIONS(1415),
    [aux_sym_group_by_clause_token1] = ACTIONS(1415),
    [aux_sym_order_by_clause_token1] = ACTIONS(1415),
    [aux_sym_where_clause_token1] = ACTIONS(1415),
    [aux_sym_pivot_operator_token1] = ACTIONS(1415),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1415),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1415),
    [aux_sym_join_type_token1] = ACTIONS(1415),
    [aux_sym_join_type_token2] = ACTIONS(1415),
    [aux_sym_join_type_token3] = ACTIONS(1415),
    [aux_sym_join_type_token4] = ACTIONS(1415),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1415),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1415),
    [aux_sym_join_condition_token1] = ACTIONS(1415),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
  },
  [5010] = {
    [sym_analytics_clause] = STATE(5144),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_when_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_window_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_using_clause_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token3] = ACTIONS(1395),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_having_clause_token1] = ACTIONS(1395),
    [aux_sym_qualify_clause_token1] = ACTIONS(1395),
    [aux_sym_limit_clause_token1] = ACTIONS(1395),
    [aux_sym_group_by_clause_token1] = ACTIONS(1395),
    [aux_sym_order_by_clause_token1] = ACTIONS(1395),
    [aux_sym_where_clause_token1] = ACTIONS(1395),
    [aux_sym_pivot_operator_token1] = ACTIONS(1395),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1395),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1395),
    [aux_sym_join_type_token1] = ACTIONS(1395),
    [aux_sym_join_type_token2] = ACTIONS(1395),
    [aux_sym_join_type_token3] = ACTIONS(1395),
    [aux_sym_join_type_token4] = ACTIONS(1395),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1395),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1395),
    [aux_sym_join_condition_token1] = ACTIONS(1395),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
  },
  [5011] = {
    [sym_analytics_clause] = STATE(5184),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5012] = {
    [sym_analytics_clause] = STATE(5253),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5013] = {
    [sym_analytics_clause] = STATE(5206),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [5014] = {
    [sym_analytics_clause] = STATE(5235),
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_when_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_window_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_using_clause_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token3] = ACTIONS(1387),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_having_clause_token1] = ACTIONS(1387),
    [aux_sym_qualify_clause_token1] = ACTIONS(1387),
    [aux_sym_limit_clause_token1] = ACTIONS(1387),
    [aux_sym_group_by_clause_token1] = ACTIONS(1387),
    [aux_sym_order_by_clause_token1] = ACTIONS(1387),
    [aux_sym_where_clause_token1] = ACTIONS(1387),
    [aux_sym_pivot_operator_token1] = ACTIONS(1387),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1387),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1387),
    [aux_sym_join_type_token1] = ACTIONS(1387),
    [aux_sym_join_type_token2] = ACTIONS(1387),
    [aux_sym_join_type_token3] = ACTIONS(1387),
    [aux_sym_join_type_token4] = ACTIONS(1387),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1387),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1387),
    [aux_sym_join_condition_token1] = ACTIONS(1387),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
  },
  [5015] = {
    [sym_analytics_clause] = STATE(5169),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5016] = {
    [sym_analytics_clause] = STATE(5233),
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_when_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_window_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_using_clause_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token3] = ACTIONS(1383),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_having_clause_token1] = ACTIONS(1383),
    [aux_sym_qualify_clause_token1] = ACTIONS(1383),
    [aux_sym_limit_clause_token1] = ACTIONS(1383),
    [aux_sym_group_by_clause_token1] = ACTIONS(1383),
    [aux_sym_order_by_clause_token1] = ACTIONS(1383),
    [aux_sym_where_clause_token1] = ACTIONS(1383),
    [aux_sym_pivot_operator_token1] = ACTIONS(1383),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1383),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1383),
    [aux_sym_join_type_token1] = ACTIONS(1383),
    [aux_sym_join_type_token2] = ACTIONS(1383),
    [aux_sym_join_type_token3] = ACTIONS(1383),
    [aux_sym_join_type_token4] = ACTIONS(1383),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1383),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1383),
    [aux_sym_join_condition_token1] = ACTIONS(1383),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
  },
  [5017] = {
    [sym_analytics_clause] = STATE(5143),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5018] = {
    [sym_analytics_clause] = STATE(5102),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5019] = {
    [sym_analytics_clause] = STATE(5232),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5020] = {
    [sym_analytics_clause] = STATE(5168),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5021] = {
    [sym_analytics_clause] = STATE(5185),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5022] = {
    [sym_analytics_clause] = STATE(5251),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5023] = {
    [sym_analytics_clause] = STATE(5218),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5024] = {
    [sym_analytics_clause] = STATE(5186),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5025] = {
    [sym_analytics_clause] = STATE(5216),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5026] = {
    [sym_analytics_clause] = STATE(5134),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5027] = {
    [sym_analytics_clause] = STATE(5115),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5028] = {
    [sym_analytics_clause] = STATE(5189),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5029] = {
    [sym_analytics_clause] = STATE(5155),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5030] = {
    [sym_analytics_clause] = STATE(5230),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5031] = {
    [sym_analytics_clause] = STATE(5167),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5032] = {
    [sym_analytics_clause] = STATE(5136),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5033] = {
    [sym_analytics_clause] = STATE(5241),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5034] = {
    [sym_analytics_clause] = STATE(5244),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5035] = {
    [sym_analytics_clause] = STATE(5157),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5036] = {
    [sym_analytics_clause] = STATE(5188),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5037] = {
    [sym_analytics_clause] = STATE(5190),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5038] = {
    [sym_analytics_clause] = STATE(5165),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5039] = {
    [sym_analytics_clause] = STATE(5191),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5040] = {
    [sym_analytics_clause] = STATE(5135),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5041] = {
    [sym_analytics_clause] = STATE(5154),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__unquoted_identifier] = ACTIONS(1369),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1369),
    [aux_sym__keyword_alter_token1] = ACTIONS(1369),
    [aux_sym__keyword_create_token1] = ACTIONS(1369),
    [aux_sym__keyword_drop_token1] = ACTIONS(1369),
    [aux_sym__keyword_delete_token1] = ACTIONS(1369),
    [aux_sym__keyword_begin_token1] = ACTIONS(1369),
    [aux_sym__keyword_when_token1] = ACTIONS(1369),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1369),
    [aux_sym__keyword_as_token1] = ACTIONS(1369),
    [aux_sym__keyword_window_token1] = ACTIONS(1369),
    [aux_sym__keyword_date_token1] = ACTIONS(1369),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1369),
    [aux_sym__keyword_time_token1] = ACTIONS(1369),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1369),
    [aux_sym__keyword_for_token1] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_declare_statement_token1] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1367),
    [aux_sym_set_statement_token1] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1369),
    [aux_sym_using_clause_token1] = ACTIONS(1369),
    [aux_sym_return_statement_token1] = ACTIONS(1369),
    [aux_sym_call_statement_token1] = ACTIONS(1369),
    [aux_sym_loop_statement_token1] = ACTIONS(1369),
    [aux_sym_while_statement_token1] = ACTIONS(1369),
    [aux_sym_break_statement_token1] = ACTIONS(1369),
    [aux_sym_leave_statement_token1] = ACTIONS(1369),
    [aux_sym_continue_statement_token1] = ACTIONS(1369),
    [aux_sym_iterate_statement_token1] = ACTIONS(1369),
    [aux_sym_raise_statement_token1] = ACTIONS(1369),
    [aux_sym_assert_statement_token1] = ACTIONS(1369),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token1] = ACTIONS(1369),
    [aux_sym_set_operation_token3] = ACTIONS(1369),
    [aux_sym_set_operation_token4] = ACTIONS(1369),
    [aux_sym_select_token1] = ACTIONS(1369),
    [aux_sym_having_clause_token1] = ACTIONS(1369),
    [aux_sym_qualify_clause_token1] = ACTIONS(1369),
    [aux_sym_limit_clause_token1] = ACTIONS(1369),
    [aux_sym_group_by_clause_token1] = ACTIONS(1369),
    [aux_sym_order_by_clause_token1] = ACTIONS(1369),
    [aux_sym_where_clause_token1] = ACTIONS(1369),
    [aux_sym_pivot_operator_token1] = ACTIONS(1369),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1369),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1369),
    [aux_sym_join_type_token1] = ACTIONS(1369),
    [aux_sym_join_type_token2] = ACTIONS(1369),
    [aux_sym_join_type_token3] = ACTIONS(1369),
    [aux_sym_join_type_token4] = ACTIONS(1369),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1369),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1369),
    [aux_sym_join_condition_token1] = ACTIONS(1369),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1369),
    [aux_sym_truncate_statement_token1] = ACTIONS(1369),
    [aux_sym_update_statement_token1] = ACTIONS(1369),
    [aux_sym_merge_statement_token1] = ACTIONS(1369),
    [aux_sym_grant_statement_token1] = ACTIONS(1369),
    [aux_sym_revoke_statement_token1] = ACTIONS(1369),
    [aux_sym_export_data_statement_token1] = ACTIONS(1369),
    [aux_sym_load_data_statement_token1] = ACTIONS(1369),
    [sym__quoted_identifier] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
  },
  [5042] = {
    [sym_analytics_clause] = STATE(5229),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5043] = {
    [sym_analytics_clause] = STATE(5192),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5044] = {
    [sym_analytics_clause] = STATE(5228),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5045] = {
    [sym_analytics_clause] = STATE(5243),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5046] = {
    [sym_analytics_clause] = STATE(5125),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5047] = {
    [sym_analytics_clause] = STATE(5193),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5048] = {
    [sym_analytics_clause] = STATE(5194),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5049] = {
    [sym_analytics_clause] = STATE(5196),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5050] = {
    [sym_analytics_clause] = STATE(5198),
    [ts_builtin_sym_end] = ACTIONS(1513),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_when_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_window_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_using_clause_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token3] = ACTIONS(1515),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_having_clause_token1] = ACTIONS(1515),
    [aux_sym_qualify_clause_token1] = ACTIONS(1515),
    [aux_sym_limit_clause_token1] = ACTIONS(1515),
    [aux_sym_group_by_clause_token1] = ACTIONS(1515),
    [aux_sym_order_by_clause_token1] = ACTIONS(1515),
    [aux_sym_where_clause_token1] = ACTIONS(1515),
    [aux_sym_pivot_operator_token1] = ACTIONS(1515),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1515),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1515),
    [aux_sym_join_type_token1] = ACTIONS(1515),
    [aux_sym_join_type_token2] = ACTIONS(1515),
    [aux_sym_join_type_token3] = ACTIONS(1515),
    [aux_sym_join_type_token4] = ACTIONS(1515),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1515),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1515),
    [aux_sym_join_condition_token1] = ACTIONS(1515),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
  },
  [5051] = {
    [sym_analytics_clause] = STATE(5164),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5052] = {
    [sym_analytics_clause] = STATE(5199),
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_when_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_window_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_using_clause_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token3] = ACTIONS(1503),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_having_clause_token1] = ACTIONS(1503),
    [aux_sym_qualify_clause_token1] = ACTIONS(1503),
    [aux_sym_limit_clause_token1] = ACTIONS(1503),
    [aux_sym_group_by_clause_token1] = ACTIONS(1503),
    [aux_sym_order_by_clause_token1] = ACTIONS(1503),
    [aux_sym_where_clause_token1] = ACTIONS(1503),
    [aux_sym_pivot_operator_token1] = ACTIONS(1503),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1503),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1503),
    [aux_sym_join_type_token1] = ACTIONS(1503),
    [aux_sym_join_type_token2] = ACTIONS(1503),
    [aux_sym_join_type_token3] = ACTIONS(1503),
    [aux_sym_join_type_token4] = ACTIONS(1503),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1503),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1503),
    [aux_sym_join_condition_token1] = ACTIONS(1503),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
  },
  [5053] = {
    [sym_analytics_clause] = STATE(5227),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5054] = {
    [sym_analytics_clause] = STATE(5200),
    [ts_builtin_sym_end] = ACTIONS(1489),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_when_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_window_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_using_clause_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token3] = ACTIONS(1491),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_having_clause_token1] = ACTIONS(1491),
    [aux_sym_qualify_clause_token1] = ACTIONS(1491),
    [aux_sym_limit_clause_token1] = ACTIONS(1491),
    [aux_sym_group_by_clause_token1] = ACTIONS(1491),
    [aux_sym_order_by_clause_token1] = ACTIONS(1491),
    [aux_sym_where_clause_token1] = ACTIONS(1491),
    [aux_sym_pivot_operator_token1] = ACTIONS(1491),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1491),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1491),
    [aux_sym_join_type_token1] = ACTIONS(1491),
    [aux_sym_join_type_token2] = ACTIONS(1491),
    [aux_sym_join_type_token3] = ACTIONS(1491),
    [aux_sym_join_type_token4] = ACTIONS(1491),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1491),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1491),
    [aux_sym_join_condition_token1] = ACTIONS(1491),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
  },
  [5055] = {
    [sym_analytics_clause] = STATE(5163),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5056] = {
    [sym_analytics_clause] = STATE(5203),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [5057] = {
    [sym_analytics_clause] = STATE(5124),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5058] = {
    [sym_analytics_clause] = STATE(5205),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [5059] = {
    [sym_analytics_clause] = STATE(5122),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5060] = {
    [sym_analytics_clause] = STATE(5141),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5061] = {
    [sym_analytics_clause] = STATE(5226),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5062] = {
    [sym_analytics_clause] = STATE(5225),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5063] = {
    [sym_analytics_clause] = STATE(5224),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5064] = {
    [sym_analytics_clause] = STATE(5221),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5065] = {
    [sym_analytics_clause] = STATE(5109),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5066] = {
    [sym_analytics_clause] = STATE(5120),
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_when_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_window_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_using_clause_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token3] = ACTIONS(1411),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_having_clause_token1] = ACTIONS(1411),
    [aux_sym_qualify_clause_token1] = ACTIONS(1411),
    [aux_sym_limit_clause_token1] = ACTIONS(1411),
    [aux_sym_group_by_clause_token1] = ACTIONS(1411),
    [aux_sym_order_by_clause_token1] = ACTIONS(1411),
    [aux_sym_where_clause_token1] = ACTIONS(1411),
    [aux_sym_pivot_operator_token1] = ACTIONS(1411),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1411),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1411),
    [aux_sym_join_type_token1] = ACTIONS(1411),
    [aux_sym_join_type_token2] = ACTIONS(1411),
    [aux_sym_join_type_token3] = ACTIONS(1411),
    [aux_sym_join_type_token4] = ACTIONS(1411),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1411),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1411),
    [aux_sym_join_condition_token1] = ACTIONS(1411),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [5067] = {
    [sym_analytics_clause] = STATE(5210),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5068] = {
    [sym_analytics_clause] = STATE(5208),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [5069] = {
    [sym_analytics_clause] = STATE(5106),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5070] = {
    [sym_analytics_clause] = STATE(5220),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5071] = {
    [sym_analytics_clause] = STATE(5207),
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [5072] = {
    [sym_analytics_clause] = STATE(5217),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5073] = {
    [sym_analytics_clause] = STATE(5162),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5074] = {
    [sym_analytics_clause] = STATE(5215),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5075] = {
    [sym_analytics_clause] = STATE(5160),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5076] = {
    [sym_analytics_clause] = STATE(5214),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5077] = {
    [sym_analytics_clause] = STATE(5128),
    [ts_builtin_sym_end] = ACTIONS(1429),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_when_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_window_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_using_clause_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token3] = ACTIONS(1431),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_having_clause_token1] = ACTIONS(1431),
    [aux_sym_qualify_clause_token1] = ACTIONS(1431),
    [aux_sym_limit_clause_token1] = ACTIONS(1431),
    [aux_sym_group_by_clause_token1] = ACTIONS(1431),
    [aux_sym_order_by_clause_token1] = ACTIONS(1431),
    [aux_sym_where_clause_token1] = ACTIONS(1431),
    [aux_sym_pivot_operator_token1] = ACTIONS(1431),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1431),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1431),
    [aux_sym_join_type_token1] = ACTIONS(1431),
    [aux_sym_join_type_token2] = ACTIONS(1431),
    [aux_sym_join_type_token3] = ACTIONS(1431),
    [aux_sym_join_type_token4] = ACTIONS(1431),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1431),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1431),
    [aux_sym_join_condition_token1] = ACTIONS(1431),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [5078] = {
    [sym_analytics_clause] = STATE(5123),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5079] = {
    [sym_analytics_clause] = STATE(5213),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5080] = {
    [sym_analytics_clause] = STATE(5105),
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5081] = {
    [sym_analytics_clause] = STATE(5129),
    [ts_builtin_sym_end] = ACTIONS(1433),
    [sym__unquoted_identifier] = ACTIONS(1435),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1435),
    [aux_sym__keyword_alter_token1] = ACTIONS(1435),
    [aux_sym__keyword_create_token1] = ACTIONS(1435),
    [aux_sym__keyword_drop_token1] = ACTIONS(1435),
    [aux_sym__keyword_delete_token1] = ACTIONS(1435),
    [aux_sym__keyword_begin_token1] = ACTIONS(1435),
    [aux_sym__keyword_when_token1] = ACTIONS(1435),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1435),
    [aux_sym__keyword_as_token1] = ACTIONS(1435),
    [aux_sym__keyword_window_token1] = ACTIONS(1435),
    [aux_sym__keyword_date_token1] = ACTIONS(1435),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1435),
    [aux_sym__keyword_time_token1] = ACTIONS(1435),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1435),
    [aux_sym__keyword_for_token1] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1433),
    [aux_sym_declare_statement_token1] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1433),
    [aux_sym_set_statement_token1] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1435),
    [aux_sym_using_clause_token1] = ACTIONS(1435),
    [aux_sym_return_statement_token1] = ACTIONS(1435),
    [aux_sym_call_statement_token1] = ACTIONS(1435),
    [aux_sym_loop_statement_token1] = ACTIONS(1435),
    [aux_sym_while_statement_token1] = ACTIONS(1435),
    [aux_sym_break_statement_token1] = ACTIONS(1435),
    [aux_sym_leave_statement_token1] = ACTIONS(1435),
    [aux_sym_continue_statement_token1] = ACTIONS(1435),
    [aux_sym_iterate_statement_token1] = ACTIONS(1435),
    [aux_sym_raise_statement_token1] = ACTIONS(1435),
    [aux_sym_assert_statement_token1] = ACTIONS(1435),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1435),
    [aux_sym_set_operation_token1] = ACTIONS(1435),
    [aux_sym_set_operation_token3] = ACTIONS(1435),
    [aux_sym_set_operation_token4] = ACTIONS(1435),
    [aux_sym_select_token1] = ACTIONS(1435),
    [aux_sym_having_clause_token1] = ACTIONS(1435),
    [aux_sym_qualify_clause_token1] = ACTIONS(1435),
    [aux_sym_limit_clause_token1] = ACTIONS(1435),
    [aux_sym_group_by_clause_token1] = ACTIONS(1435),
    [aux_sym_order_by_clause_token1] = ACTIONS(1435),
    [aux_sym_where_clause_token1] = ACTIONS(1435),
    [aux_sym_pivot_operator_token1] = ACTIONS(1435),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1435),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1435),
    [aux_sym_join_type_token1] = ACTIONS(1435),
    [aux_sym_join_type_token2] = ACTIONS(1435),
    [aux_sym_join_type_token3] = ACTIONS(1435),
    [aux_sym_join_type_token4] = ACTIONS(1435),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1435),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1435),
    [aux_sym_join_condition_token1] = ACTIONS(1435),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1435),
    [aux_sym_truncate_statement_token1] = ACTIONS(1435),
    [aux_sym_update_statement_token1] = ACTIONS(1435),
    [aux_sym_merge_statement_token1] = ACTIONS(1435),
    [aux_sym_grant_statement_token1] = ACTIONS(1435),
    [aux_sym_revoke_statement_token1] = ACTIONS(1435),
    [aux_sym_export_data_statement_token1] = ACTIONS(1435),
    [aux_sym_load_data_statement_token1] = ACTIONS(1435),
    [sym__quoted_identifier] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
  },
  [5082] = {
    [sym_analytics_clause] = STATE(5130),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [sym__unquoted_identifier] = ACTIONS(1439),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1439),
    [aux_sym__keyword_alter_token1] = ACTIONS(1439),
    [aux_sym__keyword_create_token1] = ACTIONS(1439),
    [aux_sym__keyword_drop_token1] = ACTIONS(1439),
    [aux_sym__keyword_delete_token1] = ACTIONS(1439),
    [aux_sym__keyword_begin_token1] = ACTIONS(1439),
    [aux_sym__keyword_when_token1] = ACTIONS(1439),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1439),
    [aux_sym__keyword_as_token1] = ACTIONS(1439),
    [aux_sym__keyword_window_token1] = ACTIONS(1439),
    [aux_sym__keyword_date_token1] = ACTIONS(1439),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1439),
    [aux_sym__keyword_time_token1] = ACTIONS(1439),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1439),
    [aux_sym__keyword_for_token1] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1437),
    [aux_sym_declare_statement_token1] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1437),
    [aux_sym_set_statement_token1] = ACTIONS(1439),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1439),
    [aux_sym_using_clause_token1] = ACTIONS(1439),
    [aux_sym_return_statement_token1] = ACTIONS(1439),
    [aux_sym_call_statement_token1] = ACTIONS(1439),
    [aux_sym_loop_statement_token1] = ACTIONS(1439),
    [aux_sym_while_statement_token1] = ACTIONS(1439),
    [aux_sym_break_statement_token1] = ACTIONS(1439),
    [aux_sym_leave_statement_token1] = ACTIONS(1439),
    [aux_sym_continue_statement_token1] = ACTIONS(1439),
    [aux_sym_iterate_statement_token1] = ACTIONS(1439),
    [aux_sym_raise_statement_token1] = ACTIONS(1439),
    [aux_sym_assert_statement_token1] = ACTIONS(1439),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1439),
    [aux_sym_set_operation_token1] = ACTIONS(1439),
    [aux_sym_set_operation_token3] = ACTIONS(1439),
    [aux_sym_set_operation_token4] = ACTIONS(1439),
    [aux_sym_select_token1] = ACTIONS(1439),
    [aux_sym_having_clause_token1] = ACTIONS(1439),
    [aux_sym_qualify_clause_token1] = ACTIONS(1439),
    [aux_sym_limit_clause_token1] = ACTIONS(1439),
    [aux_sym_group_by_clause_token1] = ACTIONS(1439),
    [aux_sym_order_by_clause_token1] = ACTIONS(1439),
    [aux_sym_where_clause_token1] = ACTIONS(1439),
    [aux_sym_pivot_operator_token1] = ACTIONS(1439),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1439),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1439),
    [aux_sym_join_type_token1] = ACTIONS(1439),
    [aux_sym_join_type_token2] = ACTIONS(1439),
    [aux_sym_join_type_token3] = ACTIONS(1439),
    [aux_sym_join_type_token4] = ACTIONS(1439),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1439),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1439),
    [aux_sym_join_condition_token1] = ACTIONS(1439),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1439),
    [aux_sym_truncate_statement_token1] = ACTIONS(1439),
    [aux_sym_update_statement_token1] = ACTIONS(1439),
    [aux_sym_merge_statement_token1] = ACTIONS(1439),
    [aux_sym_grant_statement_token1] = ACTIONS(1439),
    [aux_sym_revoke_statement_token1] = ACTIONS(1439),
    [aux_sym_export_data_statement_token1] = ACTIONS(1439),
    [aux_sym_load_data_statement_token1] = ACTIONS(1439),
    [sym__quoted_identifier] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
  },
  [5083] = {
    [sym_analytics_clause] = STATE(5212),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5084] = {
    [sym_analytics_clause] = STATE(5219),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5085] = {
    [sym_analytics_clause] = STATE(5211),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5086] = {
    [sym_analytics_clause] = STATE(5150),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5087] = {
    [sym_analytics_clause] = STATE(5197),
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [5088] = {
    [sym_analytics_clause] = STATE(5183),
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5089] = {
    [sym_analytics_clause] = STATE(5126),
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5090] = {
    [sym_analytics_clause] = STATE(5148),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5091] = {
    [sym_analytics_clause] = STATE(5149),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5092] = {
    [sym_analytics_clause] = STATE(5114),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [sym__unquoted_identifier] = ACTIONS(1391),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1391),
    [aux_sym__keyword_alter_token1] = ACTIONS(1391),
    [aux_sym__keyword_create_token1] = ACTIONS(1391),
    [aux_sym__keyword_drop_token1] = ACTIONS(1391),
    [aux_sym__keyword_delete_token1] = ACTIONS(1391),
    [aux_sym__keyword_begin_token1] = ACTIONS(1391),
    [aux_sym__keyword_when_token1] = ACTIONS(1391),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1391),
    [aux_sym__keyword_as_token1] = ACTIONS(1391),
    [aux_sym__keyword_window_token1] = ACTIONS(1391),
    [aux_sym__keyword_date_token1] = ACTIONS(1391),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1391),
    [aux_sym__keyword_time_token1] = ACTIONS(1391),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1391),
    [aux_sym__keyword_for_token1] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_declare_statement_token1] = ACTIONS(1391),
    [anon_sym_COMMA] = ACTIONS(1389),
    [aux_sym_set_statement_token1] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1391),
    [aux_sym_using_clause_token1] = ACTIONS(1391),
    [aux_sym_return_statement_token1] = ACTIONS(1391),
    [aux_sym_call_statement_token1] = ACTIONS(1391),
    [aux_sym_loop_statement_token1] = ACTIONS(1391),
    [aux_sym_while_statement_token1] = ACTIONS(1391),
    [aux_sym_break_statement_token1] = ACTIONS(1391),
    [aux_sym_leave_statement_token1] = ACTIONS(1391),
    [aux_sym_continue_statement_token1] = ACTIONS(1391),
    [aux_sym_iterate_statement_token1] = ACTIONS(1391),
    [aux_sym_raise_statement_token1] = ACTIONS(1391),
    [aux_sym_assert_statement_token1] = ACTIONS(1391),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1391),
    [aux_sym_set_operation_token1] = ACTIONS(1391),
    [aux_sym_set_operation_token3] = ACTIONS(1391),
    [aux_sym_set_operation_token4] = ACTIONS(1391),
    [aux_sym_select_token1] = ACTIONS(1391),
    [aux_sym_having_clause_token1] = ACTIONS(1391),
    [aux_sym_qualify_clause_token1] = ACTIONS(1391),
    [aux_sym_limit_clause_token1] = ACTIONS(1391),
    [aux_sym_group_by_clause_token1] = ACTIONS(1391),
    [aux_sym_order_by_clause_token1] = ACTIONS(1391),
    [aux_sym_where_clause_token1] = ACTIONS(1391),
    [aux_sym_pivot_operator_token1] = ACTIONS(1391),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1391),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1391),
    [aux_sym_join_type_token1] = ACTIONS(1391),
    [aux_sym_join_type_token2] = ACTIONS(1391),
    [aux_sym_join_type_token3] = ACTIONS(1391),
    [aux_sym_join_type_token4] = ACTIONS(1391),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1391),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1391),
    [aux_sym_join_condition_token1] = ACTIONS(1391),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1391),
    [aux_sym_truncate_statement_token1] = ACTIONS(1391),
    [aux_sym_update_statement_token1] = ACTIONS(1391),
    [aux_sym_merge_statement_token1] = ACTIONS(1391),
    [aux_sym_grant_statement_token1] = ACTIONS(1391),
    [aux_sym_revoke_statement_token1] = ACTIONS(1391),
    [aux_sym_export_data_statement_token1] = ACTIONS(1391),
    [aux_sym_load_data_statement_token1] = ACTIONS(1391),
    [sym__quoted_identifier] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
  },
  [5093] = {
    [sym_analytics_clause] = STATE(5145),
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_when_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_window_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_using_clause_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token3] = ACTIONS(1447),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_having_clause_token1] = ACTIONS(1447),
    [aux_sym_qualify_clause_token1] = ACTIONS(1447),
    [aux_sym_limit_clause_token1] = ACTIONS(1447),
    [aux_sym_group_by_clause_token1] = ACTIONS(1447),
    [aux_sym_order_by_clause_token1] = ACTIONS(1447),
    [aux_sym_where_clause_token1] = ACTIONS(1447),
    [aux_sym_pivot_operator_token1] = ACTIONS(1447),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1447),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1447),
    [aux_sym_join_type_token1] = ACTIONS(1447),
    [aux_sym_join_type_token2] = ACTIONS(1447),
    [aux_sym_join_type_token3] = ACTIONS(1447),
    [aux_sym_join_type_token4] = ACTIONS(1447),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1447),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1447),
    [aux_sym_join_condition_token1] = ACTIONS(1447),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
  },
  [5094] = {
    [sym_analytics_clause] = STATE(5146),
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_when_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_window_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_using_clause_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token3] = ACTIONS(1451),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_having_clause_token1] = ACTIONS(1451),
    [aux_sym_qualify_clause_token1] = ACTIONS(1451),
    [aux_sym_limit_clause_token1] = ACTIONS(1451),
    [aux_sym_group_by_clause_token1] = ACTIONS(1451),
    [aux_sym_order_by_clause_token1] = ACTIONS(1451),
    [aux_sym_where_clause_token1] = ACTIONS(1451),
    [aux_sym_pivot_operator_token1] = ACTIONS(1451),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1451),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1451),
    [aux_sym_join_type_token1] = ACTIONS(1451),
    [aux_sym_join_type_token2] = ACTIONS(1451),
    [aux_sym_join_type_token3] = ACTIONS(1451),
    [aux_sym_join_type_token4] = ACTIONS(1451),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1451),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1451),
    [aux_sym_join_condition_token1] = ACTIONS(1451),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
  },
  [5095] = {
    [sym_analytics_clause] = STATE(5147),
    [ts_builtin_sym_end] = ACTIONS(1453),
    [sym__unquoted_identifier] = ACTIONS(1455),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1455),
    [aux_sym__keyword_alter_token1] = ACTIONS(1455),
    [aux_sym__keyword_create_token1] = ACTIONS(1455),
    [aux_sym__keyword_drop_token1] = ACTIONS(1455),
    [aux_sym__keyword_delete_token1] = ACTIONS(1455),
    [aux_sym__keyword_begin_token1] = ACTIONS(1455),
    [aux_sym__keyword_when_token1] = ACTIONS(1455),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1455),
    [aux_sym__keyword_as_token1] = ACTIONS(1455),
    [aux_sym__keyword_window_token1] = ACTIONS(1455),
    [aux_sym__keyword_date_token1] = ACTIONS(1455),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1455),
    [aux_sym__keyword_time_token1] = ACTIONS(1455),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1455),
    [aux_sym__keyword_for_token1] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_declare_statement_token1] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1453),
    [aux_sym_set_statement_token1] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1455),
    [aux_sym_using_clause_token1] = ACTIONS(1455),
    [aux_sym_return_statement_token1] = ACTIONS(1455),
    [aux_sym_call_statement_token1] = ACTIONS(1455),
    [aux_sym_loop_statement_token1] = ACTIONS(1455),
    [aux_sym_while_statement_token1] = ACTIONS(1455),
    [aux_sym_break_statement_token1] = ACTIONS(1455),
    [aux_sym_leave_statement_token1] = ACTIONS(1455),
    [aux_sym_continue_statement_token1] = ACTIONS(1455),
    [aux_sym_iterate_statement_token1] = ACTIONS(1455),
    [aux_sym_raise_statement_token1] = ACTIONS(1455),
    [aux_sym_assert_statement_token1] = ACTIONS(1455),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1455),
    [aux_sym_set_operation_token1] = ACTIONS(1455),
    [aux_sym_set_operation_token3] = ACTIONS(1455),
    [aux_sym_set_operation_token4] = ACTIONS(1455),
    [aux_sym_select_token1] = ACTIONS(1455),
    [aux_sym_having_clause_token1] = ACTIONS(1455),
    [aux_sym_qualify_clause_token1] = ACTIONS(1455),
    [aux_sym_limit_clause_token1] = ACTIONS(1455),
    [aux_sym_group_by_clause_token1] = ACTIONS(1455),
    [aux_sym_order_by_clause_token1] = ACTIONS(1455),
    [aux_sym_where_clause_token1] = ACTIONS(1455),
    [aux_sym_pivot_operator_token1] = ACTIONS(1455),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1455),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1455),
    [aux_sym_join_type_token1] = ACTIONS(1455),
    [aux_sym_join_type_token2] = ACTIONS(1455),
    [aux_sym_join_type_token3] = ACTIONS(1455),
    [aux_sym_join_type_token4] = ACTIONS(1455),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1455),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1455),
    [aux_sym_join_condition_token1] = ACTIONS(1455),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1455),
    [aux_sym_truncate_statement_token1] = ACTIONS(1455),
    [aux_sym_update_statement_token1] = ACTIONS(1455),
    [aux_sym_merge_statement_token1] = ACTIONS(1455),
    [aux_sym_grant_statement_token1] = ACTIONS(1455),
    [aux_sym_revoke_statement_token1] = ACTIONS(1455),
    [aux_sym_export_data_statement_token1] = ACTIONS(1455),
    [aux_sym_load_data_statement_token1] = ACTIONS(1455),
    [sym__quoted_identifier] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
  },
  [5096] = {
    [sym_analytics_clause] = STATE(5209),
    [ts_builtin_sym_end] = ACTIONS(1461),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_when_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_window_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_using_clause_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token3] = ACTIONS(1463),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_having_clause_token1] = ACTIONS(1463),
    [aux_sym_qualify_clause_token1] = ACTIONS(1463),
    [aux_sym_limit_clause_token1] = ACTIONS(1463),
    [aux_sym_group_by_clause_token1] = ACTIONS(1463),
    [aux_sym_order_by_clause_token1] = ACTIONS(1463),
    [aux_sym_where_clause_token1] = ACTIONS(1463),
    [aux_sym_pivot_operator_token1] = ACTIONS(1463),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1463),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1463),
    [aux_sym_join_type_token1] = ACTIONS(1463),
    [aux_sym_join_type_token2] = ACTIONS(1463),
    [aux_sym_join_type_token3] = ACTIONS(1463),
    [aux_sym_join_type_token4] = ACTIONS(1463),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1463),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1463),
    [aux_sym_join_condition_token1] = ACTIONS(1463),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
  },
  [5097] = {
    [sym_analytics_clause] = STATE(5152),
    [ts_builtin_sym_end] = ACTIONS(1457),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_when_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_window_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_using_clause_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token3] = ACTIONS(1459),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_having_clause_token1] = ACTIONS(1459),
    [aux_sym_qualify_clause_token1] = ACTIONS(1459),
    [aux_sym_limit_clause_token1] = ACTIONS(1459),
    [aux_sym_group_by_clause_token1] = ACTIONS(1459),
    [aux_sym_order_by_clause_token1] = ACTIONS(1459),
    [aux_sym_where_clause_token1] = ACTIONS(1459),
    [aux_sym_pivot_operator_token1] = ACTIONS(1459),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1459),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1459),
    [aux_sym_join_type_token1] = ACTIONS(1459),
    [aux_sym_join_type_token2] = ACTIONS(1459),
    [aux_sym_join_type_token3] = ACTIONS(1459),
    [aux_sym_join_type_token4] = ACTIONS(1459),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1459),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1459),
    [aux_sym_join_condition_token1] = ACTIONS(1459),
    [aux_sym_analytics_clause_token1] = ACTIONS(3423),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
  },
  [5098] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_using_clause_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_pivot_operator_token1] = ACTIONS(1471),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1471),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1471),
    [aux_sym_join_type_token1] = ACTIONS(1471),
    [aux_sym_join_type_token2] = ACTIONS(1471),
    [aux_sym_join_type_token3] = ACTIONS(1471),
    [aux_sym_join_type_token4] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1471),
    [aux_sym_join_condition_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
  },
  [5099] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_using_clause_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_pivot_operator_token1] = ACTIONS(1471),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1471),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1471),
    [aux_sym_join_type_token1] = ACTIONS(1471),
    [aux_sym_join_type_token2] = ACTIONS(1471),
    [aux_sym_join_type_token3] = ACTIONS(1471),
    [aux_sym_join_type_token4] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1471),
    [aux_sym_join_condition_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [sym__quoted_identifier] = ACTIONS(1469),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
  },
  [5100] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [sym__unquoted_identifier] = ACTIONS(1541),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1541),
    [aux_sym__keyword_alter_token1] = ACTIONS(1541),
    [aux_sym__keyword_create_token1] = ACTIONS(1541),
    [aux_sym__keyword_drop_token1] = ACTIONS(1541),
    [aux_sym__keyword_delete_token1] = ACTIONS(1541),
    [aux_sym__keyword_begin_token1] = ACTIONS(1541),
    [aux_sym__keyword_when_token1] = ACTIONS(1541),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1541),
    [aux_sym__keyword_as_token1] = ACTIONS(1541),
    [aux_sym__keyword_window_token1] = ACTIONS(1541),
    [aux_sym__keyword_date_token1] = ACTIONS(1541),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1541),
    [aux_sym__keyword_time_token1] = ACTIONS(1541),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1541),
    [aux_sym__keyword_for_token1] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1539),
    [aux_sym_declare_statement_token1] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1539),
    [aux_sym_set_statement_token1] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1541),
    [aux_sym_using_clause_token1] = ACTIONS(1541),
    [aux_sym_return_statement_token1] = ACTIONS(1541),
    [aux_sym_call_statement_token1] = ACTIONS(1541),
    [aux_sym_loop_statement_token1] = ACTIONS(1541),
    [aux_sym_while_statement_token1] = ACTIONS(1541),
    [aux_sym_break_statement_token1] = ACTIONS(1541),
    [aux_sym_leave_statement_token1] = ACTIONS(1541),
    [aux_sym_continue_statement_token1] = ACTIONS(1541),
    [aux_sym_iterate_statement_token1] = ACTIONS(1541),
    [aux_sym_raise_statement_token1] = ACTIONS(1541),
    [aux_sym_assert_statement_token1] = ACTIONS(1541),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1541),
    [aux_sym_set_operation_token1] = ACTIONS(1541),
    [aux_sym_set_operation_token3] = ACTIONS(1541),
    [aux_sym_set_operation_token4] = ACTIONS(1541),
    [aux_sym_select_token1] = ACTIONS(1541),
    [aux_sym_having_clause_token1] = ACTIONS(1541),
    [aux_sym_qualify_clause_token1] = ACTIONS(1541),
    [aux_sym_limit_clause_token1] = ACTIONS(1541),
    [aux_sym_group_by_clause_token1] = ACTIONS(1541),
    [aux_sym_order_by_clause_token1] = ACTIONS(1541),
    [aux_sym_where_clause_token1] = ACTIONS(1541),
    [aux_sym_pivot_operator_token1] = ACTIONS(1541),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1541),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1541),
    [aux_sym_join_type_token1] = ACTIONS(1541),
    [aux_sym_join_type_token2] = ACTIONS(1541),
    [aux_sym_join_type_token3] = ACTIONS(1541),
    [aux_sym_join_type_token4] = ACTIONS(1541),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1541),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1541),
    [aux_sym_join_condition_token1] = ACTIONS(1541),
    [aux_sym_insert_statement_token1] = ACTIONS(1541),
    [aux_sym_truncate_statement_token1] = ACTIONS(1541),
    [aux_sym_update_statement_token1] = ACTIONS(1541),
    [aux_sym_merge_statement_token1] = ACTIONS(1541),
    [aux_sym_grant_statement_token1] = ACTIONS(1541),
    [aux_sym_revoke_statement_token1] = ACTIONS(1541),
    [aux_sym_export_data_statement_token1] = ACTIONS(1541),
    [aux_sym_load_data_statement_token1] = ACTIONS(1541),
    [sym__quoted_identifier] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
  },
  [5101] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [sym__unquoted_identifier] = ACTIONS(1551),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1551),
    [aux_sym__keyword_alter_token1] = ACTIONS(1551),
    [aux_sym__keyword_create_token1] = ACTIONS(1551),
    [aux_sym__keyword_drop_token1] = ACTIONS(1551),
    [aux_sym__keyword_delete_token1] = ACTIONS(1551),
    [aux_sym__keyword_begin_token1] = ACTIONS(1551),
    [aux_sym__keyword_when_token1] = ACTIONS(1551),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1551),
    [aux_sym__keyword_as_token1] = ACTIONS(1551),
    [aux_sym__keyword_window_token1] = ACTIONS(1551),
    [aux_sym__keyword_date_token1] = ACTIONS(1551),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1551),
    [aux_sym__keyword_time_token1] = ACTIONS(1551),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1551),
    [aux_sym__keyword_for_token1] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_declare_statement_token1] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1549),
    [aux_sym_set_statement_token1] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1551),
    [aux_sym_using_clause_token1] = ACTIONS(1551),
    [aux_sym_return_statement_token1] = ACTIONS(1551),
    [aux_sym_call_statement_token1] = ACTIONS(1551),
    [aux_sym_loop_statement_token1] = ACTIONS(1551),
    [aux_sym_while_statement_token1] = ACTIONS(1551),
    [aux_sym_break_statement_token1] = ACTIONS(1551),
    [aux_sym_leave_statement_token1] = ACTIONS(1551),
    [aux_sym_continue_statement_token1] = ACTIONS(1551),
    [aux_sym_iterate_statement_token1] = ACTIONS(1551),
    [aux_sym_raise_statement_token1] = ACTIONS(1551),
    [aux_sym_assert_statement_token1] = ACTIONS(1551),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1551),
    [aux_sym_set_operation_token1] = ACTIONS(1551),
    [aux_sym_set_operation_token3] = ACTIONS(1551),
    [aux_sym_set_operation_token4] = ACTIONS(1551),
    [aux_sym_select_token1] = ACTIONS(1551),
    [aux_sym_having_clause_token1] = ACTIONS(1551),
    [aux_sym_qualify_clause_token1] = ACTIONS(1551),
    [aux_sym_limit_clause_token1] = ACTIONS(1551),
    [aux_sym_group_by_clause_token1] = ACTIONS(1551),
    [aux_sym_order_by_clause_token1] = ACTIONS(1551),
    [aux_sym_where_clause_token1] = ACTIONS(1551),
    [aux_sym_pivot_operator_token1] = ACTIONS(1551),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1551),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1551),
    [aux_sym_join_type_token1] = ACTIONS(1551),
    [aux_sym_join_type_token2] = ACTIONS(1551),
    [aux_sym_join_type_token3] = ACTIONS(1551),
    [aux_sym_join_type_token4] = ACTIONS(1551),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1551),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1551),
    [aux_sym_join_condition_token1] = ACTIONS(1551),
    [aux_sym_insert_statement_token1] = ACTIONS(1551),
    [aux_sym_truncate_statement_token1] = ACTIONS(1551),
    [aux_sym_update_statement_token1] = ACTIONS(1551),
    [aux_sym_merge_statement_token1] = ACTIONS(1551),
    [aux_sym_grant_statement_token1] = ACTIONS(1551),
    [aux_sym_revoke_statement_token1] = ACTIONS(1551),
    [aux_sym_export_data_statement_token1] = ACTIONS(1551),
    [aux_sym_load_data_statement_token1] = ACTIONS(1551),
    [sym__quoted_identifier] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
  },
  [5102] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5103] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5104] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [sym__unquoted_identifier] = ACTIONS(1757),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1757),
    [aux_sym__keyword_alter_token1] = ACTIONS(1757),
    [aux_sym__keyword_create_token1] = ACTIONS(1757),
    [aux_sym__keyword_drop_token1] = ACTIONS(1757),
    [aux_sym__keyword_delete_token1] = ACTIONS(1757),
    [aux_sym__keyword_begin_token1] = ACTIONS(1757),
    [aux_sym__keyword_when_token1] = ACTIONS(1757),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1757),
    [aux_sym__keyword_as_token1] = ACTIONS(1757),
    [aux_sym__keyword_window_token1] = ACTIONS(1757),
    [aux_sym__keyword_date_token1] = ACTIONS(1757),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1757),
    [aux_sym__keyword_time_token1] = ACTIONS(1757),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1757),
    [aux_sym__keyword_for_token1] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [aux_sym_declare_statement_token1] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1755),
    [aux_sym_set_statement_token1] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1757),
    [aux_sym_using_clause_token1] = ACTIONS(1757),
    [aux_sym_return_statement_token1] = ACTIONS(1757),
    [aux_sym_call_statement_token1] = ACTIONS(1757),
    [aux_sym_loop_statement_token1] = ACTIONS(1757),
    [aux_sym_while_statement_token1] = ACTIONS(1757),
    [aux_sym_break_statement_token1] = ACTIONS(1757),
    [aux_sym_leave_statement_token1] = ACTIONS(1757),
    [aux_sym_continue_statement_token1] = ACTIONS(1757),
    [aux_sym_iterate_statement_token1] = ACTIONS(1757),
    [aux_sym_raise_statement_token1] = ACTIONS(1757),
    [aux_sym_assert_statement_token1] = ACTIONS(1757),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1757),
    [aux_sym_set_operation_token1] = ACTIONS(1757),
    [aux_sym_set_operation_token3] = ACTIONS(1757),
    [aux_sym_set_operation_token4] = ACTIONS(1757),
    [aux_sym_select_token1] = ACTIONS(1757),
    [aux_sym_having_clause_token1] = ACTIONS(1757),
    [aux_sym_qualify_clause_token1] = ACTIONS(1757),
    [aux_sym_limit_clause_token1] = ACTIONS(1757),
    [aux_sym_group_by_clause_token1] = ACTIONS(1757),
    [aux_sym_order_by_clause_token1] = ACTIONS(1757),
    [aux_sym_where_clause_token1] = ACTIONS(1757),
    [aux_sym_pivot_operator_token1] = ACTIONS(1757),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1757),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1757),
    [aux_sym_join_type_token1] = ACTIONS(1757),
    [aux_sym_join_type_token2] = ACTIONS(1757),
    [aux_sym_join_type_token3] = ACTIONS(1757),
    [aux_sym_join_type_token4] = ACTIONS(1757),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1757),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1757),
    [aux_sym_join_condition_token1] = ACTIONS(1757),
    [aux_sym_insert_statement_token1] = ACTIONS(1757),
    [aux_sym_truncate_statement_token1] = ACTIONS(1757),
    [aux_sym_update_statement_token1] = ACTIONS(1757),
    [aux_sym_merge_statement_token1] = ACTIONS(1757),
    [aux_sym_grant_statement_token1] = ACTIONS(1757),
    [aux_sym_revoke_statement_token1] = ACTIONS(1757),
    [aux_sym_export_data_statement_token1] = ACTIONS(1757),
    [aux_sym_load_data_statement_token1] = ACTIONS(1757),
    [sym__quoted_identifier] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
  },
  [5105] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5106] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5107] = {
    [ts_builtin_sym_end] = ACTIONS(1775),
    [sym__unquoted_identifier] = ACTIONS(1777),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1777),
    [aux_sym__keyword_alter_token1] = ACTIONS(1777),
    [aux_sym__keyword_create_token1] = ACTIONS(1777),
    [aux_sym__keyword_drop_token1] = ACTIONS(1777),
    [aux_sym__keyword_delete_token1] = ACTIONS(1777),
    [aux_sym__keyword_begin_token1] = ACTIONS(1777),
    [aux_sym__keyword_when_token1] = ACTIONS(1777),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1777),
    [aux_sym__keyword_as_token1] = ACTIONS(1777),
    [aux_sym__keyword_window_token1] = ACTIONS(1777),
    [aux_sym__keyword_date_token1] = ACTIONS(1777),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1777),
    [aux_sym__keyword_time_token1] = ACTIONS(1777),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1777),
    [aux_sym__keyword_for_token1] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1775),
    [aux_sym_declare_statement_token1] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1775),
    [aux_sym_set_statement_token1] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1777),
    [aux_sym_using_clause_token1] = ACTIONS(1777),
    [aux_sym_return_statement_token1] = ACTIONS(1777),
    [aux_sym_call_statement_token1] = ACTIONS(1777),
    [aux_sym_loop_statement_token1] = ACTIONS(1777),
    [aux_sym_while_statement_token1] = ACTIONS(1777),
    [aux_sym_break_statement_token1] = ACTIONS(1777),
    [aux_sym_leave_statement_token1] = ACTIONS(1777),
    [aux_sym_continue_statement_token1] = ACTIONS(1777),
    [aux_sym_iterate_statement_token1] = ACTIONS(1777),
    [aux_sym_raise_statement_token1] = ACTIONS(1777),
    [aux_sym_assert_statement_token1] = ACTIONS(1777),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1777),
    [aux_sym_set_operation_token1] = ACTIONS(1777),
    [aux_sym_set_operation_token3] = ACTIONS(1777),
    [aux_sym_set_operation_token4] = ACTIONS(1777),
    [aux_sym_select_token1] = ACTIONS(1777),
    [aux_sym_having_clause_token1] = ACTIONS(1777),
    [aux_sym_qualify_clause_token1] = ACTIONS(1777),
    [aux_sym_limit_clause_token1] = ACTIONS(1777),
    [aux_sym_group_by_clause_token1] = ACTIONS(1777),
    [aux_sym_order_by_clause_token1] = ACTIONS(1777),
    [aux_sym_where_clause_token1] = ACTIONS(1777),
    [aux_sym_pivot_operator_token1] = ACTIONS(1777),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1777),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1777),
    [aux_sym_join_type_token1] = ACTIONS(1777),
    [aux_sym_join_type_token2] = ACTIONS(1777),
    [aux_sym_join_type_token3] = ACTIONS(1777),
    [aux_sym_join_type_token4] = ACTIONS(1777),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1777),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1777),
    [aux_sym_join_condition_token1] = ACTIONS(1777),
    [aux_sym_insert_statement_token1] = ACTIONS(1777),
    [aux_sym_truncate_statement_token1] = ACTIONS(1777),
    [aux_sym_update_statement_token1] = ACTIONS(1777),
    [aux_sym_merge_statement_token1] = ACTIONS(1777),
    [aux_sym_grant_statement_token1] = ACTIONS(1777),
    [aux_sym_revoke_statement_token1] = ACTIONS(1777),
    [aux_sym_export_data_statement_token1] = ACTIONS(1777),
    [aux_sym_load_data_statement_token1] = ACTIONS(1777),
    [sym__quoted_identifier] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
  },
  [5108] = {
    [ts_builtin_sym_end] = ACTIONS(1783),
    [sym__unquoted_identifier] = ACTIONS(1785),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1785),
    [aux_sym__keyword_alter_token1] = ACTIONS(1785),
    [aux_sym__keyword_create_token1] = ACTIONS(1785),
    [aux_sym__keyword_drop_token1] = ACTIONS(1785),
    [aux_sym__keyword_delete_token1] = ACTIONS(1785),
    [aux_sym__keyword_begin_token1] = ACTIONS(1785),
    [aux_sym__keyword_when_token1] = ACTIONS(1785),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1785),
    [aux_sym__keyword_as_token1] = ACTIONS(1785),
    [aux_sym__keyword_window_token1] = ACTIONS(1785),
    [aux_sym__keyword_date_token1] = ACTIONS(1785),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1785),
    [aux_sym__keyword_time_token1] = ACTIONS(1785),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1785),
    [aux_sym__keyword_for_token1] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1783),
    [aux_sym_declare_statement_token1] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_set_statement_token1] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1785),
    [aux_sym_using_clause_token1] = ACTIONS(1785),
    [aux_sym_return_statement_token1] = ACTIONS(1785),
    [aux_sym_call_statement_token1] = ACTIONS(1785),
    [aux_sym_loop_statement_token1] = ACTIONS(1785),
    [aux_sym_while_statement_token1] = ACTIONS(1785),
    [aux_sym_break_statement_token1] = ACTIONS(1785),
    [aux_sym_leave_statement_token1] = ACTIONS(1785),
    [aux_sym_continue_statement_token1] = ACTIONS(1785),
    [aux_sym_iterate_statement_token1] = ACTIONS(1785),
    [aux_sym_raise_statement_token1] = ACTIONS(1785),
    [aux_sym_assert_statement_token1] = ACTIONS(1785),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1785),
    [aux_sym_set_operation_token1] = ACTIONS(1785),
    [aux_sym_set_operation_token3] = ACTIONS(1785),
    [aux_sym_set_operation_token4] = ACTIONS(1785),
    [aux_sym_select_token1] = ACTIONS(1785),
    [aux_sym_having_clause_token1] = ACTIONS(1785),
    [aux_sym_qualify_clause_token1] = ACTIONS(1785),
    [aux_sym_limit_clause_token1] = ACTIONS(1785),
    [aux_sym_group_by_clause_token1] = ACTIONS(1785),
    [aux_sym_order_by_clause_token1] = ACTIONS(1785),
    [aux_sym_where_clause_token1] = ACTIONS(1785),
    [aux_sym_pivot_operator_token1] = ACTIONS(1785),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1785),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1785),
    [aux_sym_join_type_token1] = ACTIONS(1785),
    [aux_sym_join_type_token2] = ACTIONS(1785),
    [aux_sym_join_type_token3] = ACTIONS(1785),
    [aux_sym_join_type_token4] = ACTIONS(1785),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1785),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1785),
    [aux_sym_join_condition_token1] = ACTIONS(1785),
    [aux_sym_insert_statement_token1] = ACTIONS(1785),
    [aux_sym_truncate_statement_token1] = ACTIONS(1785),
    [aux_sym_update_statement_token1] = ACTIONS(1785),
    [aux_sym_merge_statement_token1] = ACTIONS(1785),
    [aux_sym_grant_statement_token1] = ACTIONS(1785),
    [aux_sym_revoke_statement_token1] = ACTIONS(1785),
    [aux_sym_export_data_statement_token1] = ACTIONS(1785),
    [aux_sym_load_data_statement_token1] = ACTIONS(1785),
    [sym__quoted_identifier] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
  },
  [5109] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5110] = {
    [sym__keyword_as] = STATE(15824),
    [ts_builtin_sym_end] = ACTIONS(1475),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1475),
    [aux_sym__keyword_alter_token1] = ACTIONS(1475),
    [aux_sym__keyword_create_token1] = ACTIONS(1475),
    [aux_sym__keyword_drop_token1] = ACTIONS(1475),
    [aux_sym__keyword_delete_token1] = ACTIONS(1475),
    [aux_sym__keyword_begin_token1] = ACTIONS(1475),
    [aux_sym__keyword_end_token1] = ACTIONS(1475),
    [aux_sym__keyword_when_token1] = ACTIONS(1475),
    [aux_sym__keyword_else_token1] = ACTIONS(1477),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1475),
    [aux_sym__keyword_as_token1] = ACTIONS(3459),
    [aux_sym__keyword_window_token1] = ACTIONS(1475),
    [aux_sym__keyword_for_token1] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_declare_statement_token1] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [aux_sym_set_statement_token1] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1475),
    [aux_sym_using_clause_token1] = ACTIONS(1475),
    [aux_sym_return_statement_token1] = ACTIONS(1475),
    [aux_sym_call_statement_token1] = ACTIONS(1475),
    [aux_sym_begin_exception_end_statement_token1] = ACTIONS(1475),
    [aux_sym_if_statement_token1] = ACTIONS(1475),
    [aux_sym_loop_statement_token1] = ACTIONS(1475),
    [aux_sym_repeat_statement_token1] = ACTIONS(1475),
    [aux_sym_while_statement_token1] = ACTIONS(1475),
    [aux_sym_break_statement_token1] = ACTIONS(1475),
    [aux_sym_leave_statement_token1] = ACTIONS(1475),
    [aux_sym_continue_statement_token1] = ACTIONS(1475),
    [aux_sym_iterate_statement_token1] = ACTIONS(1475),
    [aux_sym_raise_statement_token1] = ACTIONS(1475),
    [aux_sym_assert_statement_token1] = ACTIONS(1475),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1475),
    [aux_sym_set_operation_token1] = ACTIONS(1475),
    [aux_sym_set_operation_token3] = ACTIONS(1475),
    [aux_sym_set_operation_token4] = ACTIONS(1477),
    [aux_sym_select_token1] = ACTIONS(1475),
    [aux_sym_having_clause_token1] = ACTIONS(1475),
    [aux_sym_qualify_clause_token1] = ACTIONS(1475),
    [aux_sym_limit_clause_token1] = ACTIONS(1475),
    [aux_sym_group_by_clause_token1] = ACTIONS(1475),
    [aux_sym_order_by_clause_token1] = ACTIONS(1475),
    [aux_sym_where_clause_token1] = ACTIONS(1475),
    [aux_sym_pivot_operator_token1] = ACTIONS(1475),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1475),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1475),
    [aux_sym_join_type_token1] = ACTIONS(1475),
    [aux_sym_join_type_token2] = ACTIONS(1475),
    [aux_sym_join_type_token3] = ACTIONS(1475),
    [aux_sym_join_type_token4] = ACTIONS(1475),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1475),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1475),
    [aux_sym_join_condition_token1] = ACTIONS(1475),
    [aux_sym_insert_statement_token1] = ACTIONS(1475),
    [aux_sym_truncate_statement_token1] = ACTIONS(1475),
    [aux_sym_update_statement_token1] = ACTIONS(1475),
    [aux_sym_merge_statement_token1] = ACTIONS(1475),
    [aux_sym_grant_statement_token1] = ACTIONS(1475),
    [aux_sym_revoke_statement_token1] = ACTIONS(1475),
    [aux_sym_export_data_statement_token1] = ACTIONS(1475),
    [aux_sym_load_data_statement_token1] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
  },
  [5111] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5397),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(3407),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3405),
    [aux_sym__keyword_alter_token1] = ACTIONS(3405),
    [aux_sym__keyword_create_token1] = ACTIONS(3405),
    [aux_sym__keyword_drop_token1] = ACTIONS(3405),
    [aux_sym__keyword_delete_token1] = ACTIONS(3405),
    [aux_sym__keyword_begin_token1] = ACTIONS(3405),
    [aux_sym__keyword_when_token1] = ACTIONS(3405),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3405),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3405),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [aux_sym_declare_statement_token1] = ACTIONS(3405),
    [aux_sym_set_statement_token1] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3405),
    [aux_sym_return_statement_token1] = ACTIONS(3405),
    [aux_sym_call_statement_token1] = ACTIONS(3405),
    [aux_sym_loop_statement_token1] = ACTIONS(3405),
    [aux_sym_while_statement_token1] = ACTIONS(3405),
    [aux_sym_break_statement_token1] = ACTIONS(3405),
    [aux_sym_leave_statement_token1] = ACTIONS(3405),
    [aux_sym_continue_statement_token1] = ACTIONS(3405),
    [aux_sym_iterate_statement_token1] = ACTIONS(3405),
    [aux_sym_raise_statement_token1] = ACTIONS(3405),
    [aux_sym_assert_statement_token1] = ACTIONS(3405),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3405),
    [aux_sym_set_operation_token1] = ACTIONS(3405),
    [aux_sym_set_operation_token3] = ACTIONS(3405),
    [aux_sym_set_operation_token4] = ACTIONS(3405),
    [aux_sym_select_token1] = ACTIONS(3405),
    [aux_sym_having_clause_token1] = ACTIONS(3405),
    [aux_sym_qualify_clause_token1] = ACTIONS(3405),
    [aux_sym_limit_clause_token1] = ACTIONS(3405),
    [aux_sym_group_by_clause_token1] = ACTIONS(3405),
    [aux_sym_order_by_clause_token1] = ACTIONS(3405),
    [aux_sym_where_clause_token1] = ACTIONS(3405),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3405),
    [aux_sym_insert_statement_token1] = ACTIONS(3405),
    [aux_sym_truncate_statement_token1] = ACTIONS(3405),
    [aux_sym_update_statement_token1] = ACTIONS(3405),
    [aux_sym_merge_statement_token1] = ACTIONS(3405),
    [aux_sym_grant_statement_token1] = ACTIONS(3405),
    [aux_sym_revoke_statement_token1] = ACTIONS(3405),
    [aux_sym_export_data_statement_token1] = ACTIONS(3405),
    [aux_sym_load_data_statement_token1] = ACTIONS(3405),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [5112] = {
    [ts_builtin_sym_end] = ACTIONS(1805),
    [sym__unquoted_identifier] = ACTIONS(1807),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1807),
    [aux_sym__keyword_alter_token1] = ACTIONS(1807),
    [aux_sym__keyword_create_token1] = ACTIONS(1807),
    [aux_sym__keyword_drop_token1] = ACTIONS(1807),
    [aux_sym__keyword_delete_token1] = ACTIONS(1807),
    [aux_sym__keyword_begin_token1] = ACTIONS(1807),
    [aux_sym__keyword_when_token1] = ACTIONS(1807),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1807),
    [aux_sym__keyword_as_token1] = ACTIONS(1807),
    [aux_sym__keyword_window_token1] = ACTIONS(1807),
    [aux_sym__keyword_date_token1] = ACTIONS(1807),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1807),
    [aux_sym__keyword_time_token1] = ACTIONS(1807),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1807),
    [aux_sym__keyword_for_token1] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1805),
    [aux_sym_declare_statement_token1] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1805),
    [aux_sym_set_statement_token1] = ACTIONS(1807),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1807),
    [aux_sym_using_clause_token1] = ACTIONS(1807),
    [aux_sym_return_statement_token1] = ACTIONS(1807),
    [aux_sym_call_statement_token1] = ACTIONS(1807),
    [aux_sym_loop_statement_token1] = ACTIONS(1807),
    [aux_sym_while_statement_token1] = ACTIONS(1807),
    [aux_sym_break_statement_token1] = ACTIONS(1807),
    [aux_sym_leave_statement_token1] = ACTIONS(1807),
    [aux_sym_continue_statement_token1] = ACTIONS(1807),
    [aux_sym_iterate_statement_token1] = ACTIONS(1807),
    [aux_sym_raise_statement_token1] = ACTIONS(1807),
    [aux_sym_assert_statement_token1] = ACTIONS(1807),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1807),
    [aux_sym_set_operation_token1] = ACTIONS(1807),
    [aux_sym_set_operation_token3] = ACTIONS(1807),
    [aux_sym_set_operation_token4] = ACTIONS(1807),
    [aux_sym_select_token1] = ACTIONS(1807),
    [aux_sym_having_clause_token1] = ACTIONS(1807),
    [aux_sym_qualify_clause_token1] = ACTIONS(1807),
    [aux_sym_limit_clause_token1] = ACTIONS(1807),
    [aux_sym_group_by_clause_token1] = ACTIONS(1807),
    [aux_sym_order_by_clause_token1] = ACTIONS(1807),
    [aux_sym_where_clause_token1] = ACTIONS(1807),
    [aux_sym_pivot_operator_token1] = ACTIONS(1807),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1807),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1807),
    [aux_sym_join_type_token1] = ACTIONS(1807),
    [aux_sym_join_type_token2] = ACTIONS(1807),
    [aux_sym_join_type_token3] = ACTIONS(1807),
    [aux_sym_join_type_token4] = ACTIONS(1807),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1807),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1807),
    [aux_sym_join_condition_token1] = ACTIONS(1807),
    [aux_sym_insert_statement_token1] = ACTIONS(1807),
    [aux_sym_truncate_statement_token1] = ACTIONS(1807),
    [aux_sym_update_statement_token1] = ACTIONS(1807),
    [aux_sym_merge_statement_token1] = ACTIONS(1807),
    [aux_sym_grant_statement_token1] = ACTIONS(1807),
    [aux_sym_revoke_statement_token1] = ACTIONS(1807),
    [aux_sym_export_data_statement_token1] = ACTIONS(1807),
    [aux_sym_load_data_statement_token1] = ACTIONS(1807),
    [sym__quoted_identifier] = ACTIONS(1805),
    [sym_comment] = ACTIONS(3),
  },
  [5113] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [sym__unquoted_identifier] = ACTIONS(1793),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1793),
    [aux_sym__keyword_alter_token1] = ACTIONS(1793),
    [aux_sym__keyword_create_token1] = ACTIONS(1793),
    [aux_sym__keyword_drop_token1] = ACTIONS(1793),
    [aux_sym__keyword_delete_token1] = ACTIONS(1793),
    [aux_sym__keyword_begin_token1] = ACTIONS(1793),
    [aux_sym__keyword_when_token1] = ACTIONS(1793),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1793),
    [aux_sym__keyword_as_token1] = ACTIONS(1793),
    [aux_sym__keyword_window_token1] = ACTIONS(1793),
    [aux_sym__keyword_date_token1] = ACTIONS(1793),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1793),
    [aux_sym__keyword_time_token1] = ACTIONS(1793),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1793),
    [aux_sym__keyword_for_token1] = ACTIONS(1793),
    [anon_sym_SEMI] = ACTIONS(1791),
    [aux_sym_declare_statement_token1] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1791),
    [aux_sym_set_statement_token1] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1793),
    [aux_sym_using_clause_token1] = ACTIONS(1793),
    [aux_sym_return_statement_token1] = ACTIONS(1793),
    [aux_sym_call_statement_token1] = ACTIONS(1793),
    [aux_sym_loop_statement_token1] = ACTIONS(1793),
    [aux_sym_while_statement_token1] = ACTIONS(1793),
    [aux_sym_break_statement_token1] = ACTIONS(1793),
    [aux_sym_leave_statement_token1] = ACTIONS(1793),
    [aux_sym_continue_statement_token1] = ACTIONS(1793),
    [aux_sym_iterate_statement_token1] = ACTIONS(1793),
    [aux_sym_raise_statement_token1] = ACTIONS(1793),
    [aux_sym_assert_statement_token1] = ACTIONS(1793),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1793),
    [aux_sym_set_operation_token1] = ACTIONS(1793),
    [aux_sym_set_operation_token3] = ACTIONS(1793),
    [aux_sym_set_operation_token4] = ACTIONS(1793),
    [aux_sym_select_token1] = ACTIONS(1793),
    [aux_sym_having_clause_token1] = ACTIONS(1793),
    [aux_sym_qualify_clause_token1] = ACTIONS(1793),
    [aux_sym_limit_clause_token1] = ACTIONS(1793),
    [aux_sym_group_by_clause_token1] = ACTIONS(1793),
    [aux_sym_order_by_clause_token1] = ACTIONS(1793),
    [aux_sym_where_clause_token1] = ACTIONS(1793),
    [aux_sym_pivot_operator_token1] = ACTIONS(1793),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1793),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1793),
    [aux_sym_join_type_token1] = ACTIONS(1793),
    [aux_sym_join_type_token2] = ACTIONS(1793),
    [aux_sym_join_type_token3] = ACTIONS(1793),
    [aux_sym_join_type_token4] = ACTIONS(1793),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1793),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1793),
    [aux_sym_join_condition_token1] = ACTIONS(1793),
    [aux_sym_insert_statement_token1] = ACTIONS(1793),
    [aux_sym_truncate_statement_token1] = ACTIONS(1793),
    [aux_sym_update_statement_token1] = ACTIONS(1793),
    [aux_sym_merge_statement_token1] = ACTIONS(1793),
    [aux_sym_grant_statement_token1] = ACTIONS(1793),
    [aux_sym_revoke_statement_token1] = ACTIONS(1793),
    [aux_sym_export_data_statement_token1] = ACTIONS(1793),
    [aux_sym_load_data_statement_token1] = ACTIONS(1793),
    [sym__quoted_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
  },
  [5114] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [sym__unquoted_identifier] = ACTIONS(1431),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1431),
    [aux_sym__keyword_alter_token1] = ACTIONS(1431),
    [aux_sym__keyword_create_token1] = ACTIONS(1431),
    [aux_sym__keyword_drop_token1] = ACTIONS(1431),
    [aux_sym__keyword_delete_token1] = ACTIONS(1431),
    [aux_sym__keyword_begin_token1] = ACTIONS(1431),
    [aux_sym__keyword_when_token1] = ACTIONS(1431),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1431),
    [aux_sym__keyword_as_token1] = ACTIONS(1431),
    [aux_sym__keyword_window_token1] = ACTIONS(1431),
    [aux_sym__keyword_date_token1] = ACTIONS(1431),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1431),
    [aux_sym__keyword_time_token1] = ACTIONS(1431),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1431),
    [aux_sym__keyword_for_token1] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [aux_sym_declare_statement_token1] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1429),
    [aux_sym_set_statement_token1] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1431),
    [aux_sym_using_clause_token1] = ACTIONS(1431),
    [aux_sym_return_statement_token1] = ACTIONS(1431),
    [aux_sym_call_statement_token1] = ACTIONS(1431),
    [aux_sym_loop_statement_token1] = ACTIONS(1431),
    [aux_sym_while_statement_token1] = ACTIONS(1431),
    [aux_sym_break_statement_token1] = ACTIONS(1431),
    [aux_sym_leave_statement_token1] = ACTIONS(1431),
    [aux_sym_continue_statement_token1] = ACTIONS(1431),
    [aux_sym_iterate_statement_token1] = ACTIONS(1431),
    [aux_sym_raise_statement_token1] = ACTIONS(1431),
    [aux_sym_assert_statement_token1] = ACTIONS(1431),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token1] = ACTIONS(1431),
    [aux_sym_set_operation_token3] = ACTIONS(1431),
    [aux_sym_set_operation_token4] = ACTIONS(1431),
    [aux_sym_select_token1] = ACTIONS(1431),
    [aux_sym_having_clause_token1] = ACTIONS(1431),
    [aux_sym_qualify_clause_token1] = ACTIONS(1431),
    [aux_sym_limit_clause_token1] = ACTIONS(1431),
    [aux_sym_group_by_clause_token1] = ACTIONS(1431),
    [aux_sym_order_by_clause_token1] = ACTIONS(1431),
    [aux_sym_where_clause_token1] = ACTIONS(1431),
    [aux_sym_pivot_operator_token1] = ACTIONS(1431),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1431),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1431),
    [aux_sym_join_type_token1] = ACTIONS(1431),
    [aux_sym_join_type_token2] = ACTIONS(1431),
    [aux_sym_join_type_token3] = ACTIONS(1431),
    [aux_sym_join_type_token4] = ACTIONS(1431),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1431),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1431),
    [aux_sym_join_condition_token1] = ACTIONS(1431),
    [aux_sym_insert_statement_token1] = ACTIONS(1431),
    [aux_sym_truncate_statement_token1] = ACTIONS(1431),
    [aux_sym_update_statement_token1] = ACTIONS(1431),
    [aux_sym_merge_statement_token1] = ACTIONS(1431),
    [aux_sym_grant_statement_token1] = ACTIONS(1431),
    [aux_sym_revoke_statement_token1] = ACTIONS(1431),
    [aux_sym_export_data_statement_token1] = ACTIONS(1431),
    [aux_sym_load_data_statement_token1] = ACTIONS(1431),
    [sym__quoted_identifier] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [5115] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5116] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [sym__unquoted_identifier] = ACTIONS(1867),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1867),
    [aux_sym__keyword_alter_token1] = ACTIONS(1867),
    [aux_sym__keyword_create_token1] = ACTIONS(1867),
    [aux_sym__keyword_drop_token1] = ACTIONS(1867),
    [aux_sym__keyword_delete_token1] = ACTIONS(1867),
    [aux_sym__keyword_begin_token1] = ACTIONS(1867),
    [aux_sym__keyword_when_token1] = ACTIONS(1867),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1867),
    [aux_sym__keyword_as_token1] = ACTIONS(1867),
    [aux_sym__keyword_window_token1] = ACTIONS(1867),
    [aux_sym__keyword_date_token1] = ACTIONS(1867),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1867),
    [aux_sym__keyword_time_token1] = ACTIONS(1867),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1867),
    [aux_sym__keyword_for_token1] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1865),
    [aux_sym_declare_statement_token1] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1865),
    [aux_sym_set_statement_token1] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1867),
    [aux_sym_using_clause_token1] = ACTIONS(1867),
    [aux_sym_return_statement_token1] = ACTIONS(1867),
    [aux_sym_call_statement_token1] = ACTIONS(1867),
    [aux_sym_loop_statement_token1] = ACTIONS(1867),
    [aux_sym_while_statement_token1] = ACTIONS(1867),
    [aux_sym_break_statement_token1] = ACTIONS(1867),
    [aux_sym_leave_statement_token1] = ACTIONS(1867),
    [aux_sym_continue_statement_token1] = ACTIONS(1867),
    [aux_sym_iterate_statement_token1] = ACTIONS(1867),
    [aux_sym_raise_statement_token1] = ACTIONS(1867),
    [aux_sym_assert_statement_token1] = ACTIONS(1867),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1867),
    [aux_sym_set_operation_token1] = ACTIONS(1867),
    [aux_sym_set_operation_token3] = ACTIONS(1867),
    [aux_sym_set_operation_token4] = ACTIONS(1867),
    [aux_sym_select_token1] = ACTIONS(1867),
    [aux_sym_having_clause_token1] = ACTIONS(1867),
    [aux_sym_qualify_clause_token1] = ACTIONS(1867),
    [aux_sym_limit_clause_token1] = ACTIONS(1867),
    [aux_sym_group_by_clause_token1] = ACTIONS(1867),
    [aux_sym_order_by_clause_token1] = ACTIONS(1867),
    [aux_sym_where_clause_token1] = ACTIONS(1867),
    [aux_sym_pivot_operator_token1] = ACTIONS(1867),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1867),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1867),
    [aux_sym_join_type_token1] = ACTIONS(1867),
    [aux_sym_join_type_token2] = ACTIONS(1867),
    [aux_sym_join_type_token3] = ACTIONS(1867),
    [aux_sym_join_type_token4] = ACTIONS(1867),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1867),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1867),
    [aux_sym_join_condition_token1] = ACTIONS(1867),
    [aux_sym_insert_statement_token1] = ACTIONS(1867),
    [aux_sym_truncate_statement_token1] = ACTIONS(1867),
    [aux_sym_update_statement_token1] = ACTIONS(1867),
    [aux_sym_merge_statement_token1] = ACTIONS(1867),
    [aux_sym_grant_statement_token1] = ACTIONS(1867),
    [aux_sym_revoke_statement_token1] = ACTIONS(1867),
    [aux_sym_export_data_statement_token1] = ACTIONS(1867),
    [aux_sym_load_data_statement_token1] = ACTIONS(1867),
    [sym__quoted_identifier] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
  },
  [5117] = {
    [ts_builtin_sym_end] = ACTIONS(1813),
    [sym__unquoted_identifier] = ACTIONS(1815),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1815),
    [aux_sym__keyword_alter_token1] = ACTIONS(1815),
    [aux_sym__keyword_create_token1] = ACTIONS(1815),
    [aux_sym__keyword_drop_token1] = ACTIONS(1815),
    [aux_sym__keyword_delete_token1] = ACTIONS(1815),
    [aux_sym__keyword_begin_token1] = ACTIONS(1815),
    [aux_sym__keyword_when_token1] = ACTIONS(1815),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1815),
    [aux_sym__keyword_as_token1] = ACTIONS(1815),
    [aux_sym__keyword_window_token1] = ACTIONS(1815),
    [aux_sym__keyword_date_token1] = ACTIONS(1815),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1815),
    [aux_sym__keyword_time_token1] = ACTIONS(1815),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1815),
    [aux_sym__keyword_for_token1] = ACTIONS(1815),
    [anon_sym_SEMI] = ACTIONS(1813),
    [aux_sym_declare_statement_token1] = ACTIONS(1815),
    [anon_sym_COMMA] = ACTIONS(1813),
    [aux_sym_set_statement_token1] = ACTIONS(1815),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1815),
    [aux_sym_using_clause_token1] = ACTIONS(1815),
    [aux_sym_return_statement_token1] = ACTIONS(1815),
    [aux_sym_call_statement_token1] = ACTIONS(1815),
    [aux_sym_loop_statement_token1] = ACTIONS(1815),
    [aux_sym_while_statement_token1] = ACTIONS(1815),
    [aux_sym_break_statement_token1] = ACTIONS(1815),
    [aux_sym_leave_statement_token1] = ACTIONS(1815),
    [aux_sym_continue_statement_token1] = ACTIONS(1815),
    [aux_sym_iterate_statement_token1] = ACTIONS(1815),
    [aux_sym_raise_statement_token1] = ACTIONS(1815),
    [aux_sym_assert_statement_token1] = ACTIONS(1815),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1815),
    [aux_sym_set_operation_token1] = ACTIONS(1815),
    [aux_sym_set_operation_token3] = ACTIONS(1815),
    [aux_sym_set_operation_token4] = ACTIONS(1815),
    [aux_sym_select_token1] = ACTIONS(1815),
    [aux_sym_having_clause_token1] = ACTIONS(1815),
    [aux_sym_qualify_clause_token1] = ACTIONS(1815),
    [aux_sym_limit_clause_token1] = ACTIONS(1815),
    [aux_sym_group_by_clause_token1] = ACTIONS(1815),
    [aux_sym_order_by_clause_token1] = ACTIONS(1815),
    [aux_sym_where_clause_token1] = ACTIONS(1815),
    [aux_sym_pivot_operator_token1] = ACTIONS(1815),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1815),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1815),
    [aux_sym_join_type_token1] = ACTIONS(1815),
    [aux_sym_join_type_token2] = ACTIONS(1815),
    [aux_sym_join_type_token3] = ACTIONS(1815),
    [aux_sym_join_type_token4] = ACTIONS(1815),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1815),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1815),
    [aux_sym_join_condition_token1] = ACTIONS(1815),
    [aux_sym_insert_statement_token1] = ACTIONS(1815),
    [aux_sym_truncate_statement_token1] = ACTIONS(1815),
    [aux_sym_update_statement_token1] = ACTIONS(1815),
    [aux_sym_merge_statement_token1] = ACTIONS(1815),
    [aux_sym_grant_statement_token1] = ACTIONS(1815),
    [aux_sym_revoke_statement_token1] = ACTIONS(1815),
    [aux_sym_export_data_statement_token1] = ACTIONS(1815),
    [aux_sym_load_data_statement_token1] = ACTIONS(1815),
    [sym__quoted_identifier] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
  },
  [5118] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [sym__unquoted_identifier] = ACTIONS(1655),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1655),
    [aux_sym__keyword_alter_token1] = ACTIONS(1655),
    [aux_sym__keyword_create_token1] = ACTIONS(1655),
    [aux_sym__keyword_drop_token1] = ACTIONS(1655),
    [aux_sym__keyword_delete_token1] = ACTIONS(1655),
    [aux_sym__keyword_begin_token1] = ACTIONS(1655),
    [aux_sym__keyword_when_token1] = ACTIONS(1655),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1655),
    [aux_sym__keyword_as_token1] = ACTIONS(1655),
    [aux_sym__keyword_window_token1] = ACTIONS(1655),
    [aux_sym__keyword_date_token1] = ACTIONS(1655),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1655),
    [aux_sym__keyword_time_token1] = ACTIONS(1655),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1655),
    [aux_sym__keyword_for_token1] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1653),
    [aux_sym_declare_statement_token1] = ACTIONS(1655),
    [anon_sym_COMMA] = ACTIONS(1653),
    [aux_sym_set_statement_token1] = ACTIONS(1655),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1655),
    [aux_sym_using_clause_token1] = ACTIONS(1655),
    [aux_sym_return_statement_token1] = ACTIONS(1655),
    [aux_sym_call_statement_token1] = ACTIONS(1655),
    [aux_sym_loop_statement_token1] = ACTIONS(1655),
    [aux_sym_while_statement_token1] = ACTIONS(1655),
    [aux_sym_break_statement_token1] = ACTIONS(1655),
    [aux_sym_leave_statement_token1] = ACTIONS(1655),
    [aux_sym_continue_statement_token1] = ACTIONS(1655),
    [aux_sym_iterate_statement_token1] = ACTIONS(1655),
    [aux_sym_raise_statement_token1] = ACTIONS(1655),
    [aux_sym_assert_statement_token1] = ACTIONS(1655),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1655),
    [aux_sym_set_operation_token1] = ACTIONS(1655),
    [aux_sym_set_operation_token3] = ACTIONS(1655),
    [aux_sym_set_operation_token4] = ACTIONS(1655),
    [aux_sym_select_token1] = ACTIONS(1655),
    [aux_sym_having_clause_token1] = ACTIONS(1655),
    [aux_sym_qualify_clause_token1] = ACTIONS(1655),
    [aux_sym_limit_clause_token1] = ACTIONS(1655),
    [aux_sym_group_by_clause_token1] = ACTIONS(1655),
    [aux_sym_order_by_clause_token1] = ACTIONS(1655),
    [aux_sym_where_clause_token1] = ACTIONS(1655),
    [aux_sym_pivot_operator_token1] = ACTIONS(1655),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1655),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1655),
    [aux_sym_join_type_token1] = ACTIONS(1655),
    [aux_sym_join_type_token2] = ACTIONS(1655),
    [aux_sym_join_type_token3] = ACTIONS(1655),
    [aux_sym_join_type_token4] = ACTIONS(1655),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1655),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1655),
    [aux_sym_join_condition_token1] = ACTIONS(1655),
    [aux_sym_insert_statement_token1] = ACTIONS(1655),
    [aux_sym_truncate_statement_token1] = ACTIONS(1655),
    [aux_sym_update_statement_token1] = ACTIONS(1655),
    [aux_sym_merge_statement_token1] = ACTIONS(1655),
    [aux_sym_grant_statement_token1] = ACTIONS(1655),
    [aux_sym_revoke_statement_token1] = ACTIONS(1655),
    [aux_sym_export_data_statement_token1] = ACTIONS(1655),
    [aux_sym_load_data_statement_token1] = ACTIONS(1655),
    [sym__quoted_identifier] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [5119] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [sym__unquoted_identifier] = ACTIONS(1863),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1863),
    [aux_sym__keyword_alter_token1] = ACTIONS(1863),
    [aux_sym__keyword_create_token1] = ACTIONS(1863),
    [aux_sym__keyword_drop_token1] = ACTIONS(1863),
    [aux_sym__keyword_delete_token1] = ACTIONS(1863),
    [aux_sym__keyword_begin_token1] = ACTIONS(1863),
    [aux_sym__keyword_when_token1] = ACTIONS(1863),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1863),
    [aux_sym__keyword_as_token1] = ACTIONS(1863),
    [aux_sym__keyword_window_token1] = ACTIONS(1863),
    [aux_sym__keyword_date_token1] = ACTIONS(1863),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1863),
    [aux_sym__keyword_time_token1] = ACTIONS(1863),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1863),
    [aux_sym__keyword_for_token1] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1861),
    [aux_sym_declare_statement_token1] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1861),
    [aux_sym_set_statement_token1] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1863),
    [aux_sym_using_clause_token1] = ACTIONS(1863),
    [aux_sym_return_statement_token1] = ACTIONS(1863),
    [aux_sym_call_statement_token1] = ACTIONS(1863),
    [aux_sym_loop_statement_token1] = ACTIONS(1863),
    [aux_sym_while_statement_token1] = ACTIONS(1863),
    [aux_sym_break_statement_token1] = ACTIONS(1863),
    [aux_sym_leave_statement_token1] = ACTIONS(1863),
    [aux_sym_continue_statement_token1] = ACTIONS(1863),
    [aux_sym_iterate_statement_token1] = ACTIONS(1863),
    [aux_sym_raise_statement_token1] = ACTIONS(1863),
    [aux_sym_assert_statement_token1] = ACTIONS(1863),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1863),
    [aux_sym_set_operation_token1] = ACTIONS(1863),
    [aux_sym_set_operation_token3] = ACTIONS(1863),
    [aux_sym_set_operation_token4] = ACTIONS(1863),
    [aux_sym_select_token1] = ACTIONS(1863),
    [aux_sym_having_clause_token1] = ACTIONS(1863),
    [aux_sym_qualify_clause_token1] = ACTIONS(1863),
    [aux_sym_limit_clause_token1] = ACTIONS(1863),
    [aux_sym_group_by_clause_token1] = ACTIONS(1863),
    [aux_sym_order_by_clause_token1] = ACTIONS(1863),
    [aux_sym_where_clause_token1] = ACTIONS(1863),
    [aux_sym_pivot_operator_token1] = ACTIONS(1863),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1863),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1863),
    [aux_sym_join_type_token1] = ACTIONS(1863),
    [aux_sym_join_type_token2] = ACTIONS(1863),
    [aux_sym_join_type_token3] = ACTIONS(1863),
    [aux_sym_join_type_token4] = ACTIONS(1863),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1863),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1863),
    [aux_sym_join_condition_token1] = ACTIONS(1863),
    [aux_sym_insert_statement_token1] = ACTIONS(1863),
    [aux_sym_truncate_statement_token1] = ACTIONS(1863),
    [aux_sym_update_statement_token1] = ACTIONS(1863),
    [aux_sym_merge_statement_token1] = ACTIONS(1863),
    [aux_sym_grant_statement_token1] = ACTIONS(1863),
    [aux_sym_revoke_statement_token1] = ACTIONS(1863),
    [aux_sym_export_data_statement_token1] = ACTIONS(1863),
    [aux_sym_load_data_statement_token1] = ACTIONS(1863),
    [sym__quoted_identifier] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
  },
  [5120] = {
    [ts_builtin_sym_end] = ACTIONS(1465),
    [sym__unquoted_identifier] = ACTIONS(1467),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1467),
    [aux_sym__keyword_alter_token1] = ACTIONS(1467),
    [aux_sym__keyword_create_token1] = ACTIONS(1467),
    [aux_sym__keyword_drop_token1] = ACTIONS(1467),
    [aux_sym__keyword_delete_token1] = ACTIONS(1467),
    [aux_sym__keyword_begin_token1] = ACTIONS(1467),
    [aux_sym__keyword_when_token1] = ACTIONS(1467),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1467),
    [aux_sym__keyword_as_token1] = ACTIONS(1467),
    [aux_sym__keyword_window_token1] = ACTIONS(1467),
    [aux_sym__keyword_date_token1] = ACTIONS(1467),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1467),
    [aux_sym__keyword_time_token1] = ACTIONS(1467),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1467),
    [aux_sym__keyword_for_token1] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_declare_statement_token1] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1465),
    [aux_sym_set_statement_token1] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1467),
    [aux_sym_using_clause_token1] = ACTIONS(1467),
    [aux_sym_return_statement_token1] = ACTIONS(1467),
    [aux_sym_call_statement_token1] = ACTIONS(1467),
    [aux_sym_loop_statement_token1] = ACTIONS(1467),
    [aux_sym_while_statement_token1] = ACTIONS(1467),
    [aux_sym_break_statement_token1] = ACTIONS(1467),
    [aux_sym_leave_statement_token1] = ACTIONS(1467),
    [aux_sym_continue_statement_token1] = ACTIONS(1467),
    [aux_sym_iterate_statement_token1] = ACTIONS(1467),
    [aux_sym_raise_statement_token1] = ACTIONS(1467),
    [aux_sym_assert_statement_token1] = ACTIONS(1467),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token1] = ACTIONS(1467),
    [aux_sym_set_operation_token3] = ACTIONS(1467),
    [aux_sym_set_operation_token4] = ACTIONS(1467),
    [aux_sym_select_token1] = ACTIONS(1467),
    [aux_sym_having_clause_token1] = ACTIONS(1467),
    [aux_sym_qualify_clause_token1] = ACTIONS(1467),
    [aux_sym_limit_clause_token1] = ACTIONS(1467),
    [aux_sym_group_by_clause_token1] = ACTIONS(1467),
    [aux_sym_order_by_clause_token1] = ACTIONS(1467),
    [aux_sym_where_clause_token1] = ACTIONS(1467),
    [aux_sym_pivot_operator_token1] = ACTIONS(1467),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1467),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1467),
    [aux_sym_join_type_token1] = ACTIONS(1467),
    [aux_sym_join_type_token2] = ACTIONS(1467),
    [aux_sym_join_type_token3] = ACTIONS(1467),
    [aux_sym_join_type_token4] = ACTIONS(1467),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1467),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1467),
    [aux_sym_join_condition_token1] = ACTIONS(1467),
    [aux_sym_insert_statement_token1] = ACTIONS(1467),
    [aux_sym_truncate_statement_token1] = ACTIONS(1467),
    [aux_sym_update_statement_token1] = ACTIONS(1467),
    [aux_sym_merge_statement_token1] = ACTIONS(1467),
    [aux_sym_grant_statement_token1] = ACTIONS(1467),
    [aux_sym_revoke_statement_token1] = ACTIONS(1467),
    [aux_sym_export_data_statement_token1] = ACTIONS(1467),
    [aux_sym_load_data_statement_token1] = ACTIONS(1467),
    [sym__quoted_identifier] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
  },
  [5121] = {
    [ts_builtin_sym_end] = ACTIONS(1817),
    [sym__unquoted_identifier] = ACTIONS(1819),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1819),
    [aux_sym__keyword_alter_token1] = ACTIONS(1819),
    [aux_sym__keyword_create_token1] = ACTIONS(1819),
    [aux_sym__keyword_drop_token1] = ACTIONS(1819),
    [aux_sym__keyword_delete_token1] = ACTIONS(1819),
    [aux_sym__keyword_begin_token1] = ACTIONS(1819),
    [aux_sym__keyword_when_token1] = ACTIONS(1819),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1819),
    [aux_sym__keyword_as_token1] = ACTIONS(1819),
    [aux_sym__keyword_window_token1] = ACTIONS(1819),
    [aux_sym__keyword_date_token1] = ACTIONS(1819),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1819),
    [aux_sym__keyword_time_token1] = ACTIONS(1819),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1819),
    [aux_sym__keyword_for_token1] = ACTIONS(1819),
    [anon_sym_SEMI] = ACTIONS(1817),
    [aux_sym_declare_statement_token1] = ACTIONS(1819),
    [anon_sym_COMMA] = ACTIONS(1817),
    [aux_sym_set_statement_token1] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1819),
    [aux_sym_using_clause_token1] = ACTIONS(1819),
    [aux_sym_return_statement_token1] = ACTIONS(1819),
    [aux_sym_call_statement_token1] = ACTIONS(1819),
    [aux_sym_loop_statement_token1] = ACTIONS(1819),
    [aux_sym_while_statement_token1] = ACTIONS(1819),
    [aux_sym_break_statement_token1] = ACTIONS(1819),
    [aux_sym_leave_statement_token1] = ACTIONS(1819),
    [aux_sym_continue_statement_token1] = ACTIONS(1819),
    [aux_sym_iterate_statement_token1] = ACTIONS(1819),
    [aux_sym_raise_statement_token1] = ACTIONS(1819),
    [aux_sym_assert_statement_token1] = ACTIONS(1819),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1819),
    [aux_sym_set_operation_token1] = ACTIONS(1819),
    [aux_sym_set_operation_token3] = ACTIONS(1819),
    [aux_sym_set_operation_token4] = ACTIONS(1819),
    [aux_sym_select_token1] = ACTIONS(1819),
    [aux_sym_having_clause_token1] = ACTIONS(1819),
    [aux_sym_qualify_clause_token1] = ACTIONS(1819),
    [aux_sym_limit_clause_token1] = ACTIONS(1819),
    [aux_sym_group_by_clause_token1] = ACTIONS(1819),
    [aux_sym_order_by_clause_token1] = ACTIONS(1819),
    [aux_sym_where_clause_token1] = ACTIONS(1819),
    [aux_sym_pivot_operator_token1] = ACTIONS(1819),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1819),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1819),
    [aux_sym_join_type_token1] = ACTIONS(1819),
    [aux_sym_join_type_token2] = ACTIONS(1819),
    [aux_sym_join_type_token3] = ACTIONS(1819),
    [aux_sym_join_type_token4] = ACTIONS(1819),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1819),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1819),
    [aux_sym_join_condition_token1] = ACTIONS(1819),
    [aux_sym_insert_statement_token1] = ACTIONS(1819),
    [aux_sym_truncate_statement_token1] = ACTIONS(1819),
    [aux_sym_update_statement_token1] = ACTIONS(1819),
    [aux_sym_merge_statement_token1] = ACTIONS(1819),
    [aux_sym_grant_statement_token1] = ACTIONS(1819),
    [aux_sym_revoke_statement_token1] = ACTIONS(1819),
    [aux_sym_export_data_statement_token1] = ACTIONS(1819),
    [aux_sym_load_data_statement_token1] = ACTIONS(1819),
    [sym__quoted_identifier] = ACTIONS(1817),
    [sym_comment] = ACTIONS(3),
  },
  [5122] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5123] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5124] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5125] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5126] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5127] = {
    [ts_builtin_sym_end] = ACTIONS(1821),
    [sym__unquoted_identifier] = ACTIONS(1823),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1823),
    [aux_sym__keyword_alter_token1] = ACTIONS(1823),
    [aux_sym__keyword_create_token1] = ACTIONS(1823),
    [aux_sym__keyword_drop_token1] = ACTIONS(1823),
    [aux_sym__keyword_delete_token1] = ACTIONS(1823),
    [aux_sym__keyword_begin_token1] = ACTIONS(1823),
    [aux_sym__keyword_when_token1] = ACTIONS(1823),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1823),
    [aux_sym__keyword_as_token1] = ACTIONS(1823),
    [aux_sym__keyword_window_token1] = ACTIONS(1823),
    [aux_sym__keyword_date_token1] = ACTIONS(1823),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1823),
    [aux_sym__keyword_time_token1] = ACTIONS(1823),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1823),
    [aux_sym__keyword_for_token1] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1821),
    [aux_sym_declare_statement_token1] = ACTIONS(1823),
    [anon_sym_COMMA] = ACTIONS(1821),
    [aux_sym_set_statement_token1] = ACTIONS(1823),
    [anon_sym_LPAREN] = ACTIONS(1821),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1823),
    [aux_sym_using_clause_token1] = ACTIONS(1823),
    [aux_sym_return_statement_token1] = ACTIONS(1823),
    [aux_sym_call_statement_token1] = ACTIONS(1823),
    [aux_sym_loop_statement_token1] = ACTIONS(1823),
    [aux_sym_while_statement_token1] = ACTIONS(1823),
    [aux_sym_break_statement_token1] = ACTIONS(1823),
    [aux_sym_leave_statement_token1] = ACTIONS(1823),
    [aux_sym_continue_statement_token1] = ACTIONS(1823),
    [aux_sym_iterate_statement_token1] = ACTIONS(1823),
    [aux_sym_raise_statement_token1] = ACTIONS(1823),
    [aux_sym_assert_statement_token1] = ACTIONS(1823),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1823),
    [aux_sym_set_operation_token1] = ACTIONS(1823),
    [aux_sym_set_operation_token3] = ACTIONS(1823),
    [aux_sym_set_operation_token4] = ACTIONS(1823),
    [aux_sym_select_token1] = ACTIONS(1823),
    [aux_sym_having_clause_token1] = ACTIONS(1823),
    [aux_sym_qualify_clause_token1] = ACTIONS(1823),
    [aux_sym_limit_clause_token1] = ACTIONS(1823),
    [aux_sym_group_by_clause_token1] = ACTIONS(1823),
    [aux_sym_order_by_clause_token1] = ACTIONS(1823),
    [aux_sym_where_clause_token1] = ACTIONS(1823),
    [aux_sym_pivot_operator_token1] = ACTIONS(1823),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1823),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1823),
    [aux_sym_join_type_token1] = ACTIONS(1823),
    [aux_sym_join_type_token2] = ACTIONS(1823),
    [aux_sym_join_type_token3] = ACTIONS(1823),
    [aux_sym_join_type_token4] = ACTIONS(1823),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1823),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1823),
    [aux_sym_join_condition_token1] = ACTIONS(1823),
    [aux_sym_insert_statement_token1] = ACTIONS(1823),
    [aux_sym_truncate_statement_token1] = ACTIONS(1823),
    [aux_sym_update_statement_token1] = ACTIONS(1823),
    [aux_sym_merge_statement_token1] = ACTIONS(1823),
    [aux_sym_grant_statement_token1] = ACTIONS(1823),
    [aux_sym_revoke_statement_token1] = ACTIONS(1823),
    [aux_sym_export_data_statement_token1] = ACTIONS(1823),
    [aux_sym_load_data_statement_token1] = ACTIONS(1823),
    [sym__quoted_identifier] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
  },
  [5128] = {
    [ts_builtin_sym_end] = ACTIONS(1445),
    [sym__unquoted_identifier] = ACTIONS(1447),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1447),
    [aux_sym__keyword_alter_token1] = ACTIONS(1447),
    [aux_sym__keyword_create_token1] = ACTIONS(1447),
    [aux_sym__keyword_drop_token1] = ACTIONS(1447),
    [aux_sym__keyword_delete_token1] = ACTIONS(1447),
    [aux_sym__keyword_begin_token1] = ACTIONS(1447),
    [aux_sym__keyword_when_token1] = ACTIONS(1447),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1447),
    [aux_sym__keyword_as_token1] = ACTIONS(1447),
    [aux_sym__keyword_window_token1] = ACTIONS(1447),
    [aux_sym__keyword_date_token1] = ACTIONS(1447),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1447),
    [aux_sym__keyword_time_token1] = ACTIONS(1447),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1447),
    [aux_sym__keyword_for_token1] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_declare_statement_token1] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1445),
    [aux_sym_set_statement_token1] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1447),
    [aux_sym_using_clause_token1] = ACTIONS(1447),
    [aux_sym_return_statement_token1] = ACTIONS(1447),
    [aux_sym_call_statement_token1] = ACTIONS(1447),
    [aux_sym_loop_statement_token1] = ACTIONS(1447),
    [aux_sym_while_statement_token1] = ACTIONS(1447),
    [aux_sym_break_statement_token1] = ACTIONS(1447),
    [aux_sym_leave_statement_token1] = ACTIONS(1447),
    [aux_sym_continue_statement_token1] = ACTIONS(1447),
    [aux_sym_iterate_statement_token1] = ACTIONS(1447),
    [aux_sym_raise_statement_token1] = ACTIONS(1447),
    [aux_sym_assert_statement_token1] = ACTIONS(1447),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token1] = ACTIONS(1447),
    [aux_sym_set_operation_token3] = ACTIONS(1447),
    [aux_sym_set_operation_token4] = ACTIONS(1447),
    [aux_sym_select_token1] = ACTIONS(1447),
    [aux_sym_having_clause_token1] = ACTIONS(1447),
    [aux_sym_qualify_clause_token1] = ACTIONS(1447),
    [aux_sym_limit_clause_token1] = ACTIONS(1447),
    [aux_sym_group_by_clause_token1] = ACTIONS(1447),
    [aux_sym_order_by_clause_token1] = ACTIONS(1447),
    [aux_sym_where_clause_token1] = ACTIONS(1447),
    [aux_sym_pivot_operator_token1] = ACTIONS(1447),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1447),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1447),
    [aux_sym_join_type_token1] = ACTIONS(1447),
    [aux_sym_join_type_token2] = ACTIONS(1447),
    [aux_sym_join_type_token3] = ACTIONS(1447),
    [aux_sym_join_type_token4] = ACTIONS(1447),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1447),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1447),
    [aux_sym_join_condition_token1] = ACTIONS(1447),
    [aux_sym_insert_statement_token1] = ACTIONS(1447),
    [aux_sym_truncate_statement_token1] = ACTIONS(1447),
    [aux_sym_update_statement_token1] = ACTIONS(1447),
    [aux_sym_merge_statement_token1] = ACTIONS(1447),
    [aux_sym_grant_statement_token1] = ACTIONS(1447),
    [aux_sym_revoke_statement_token1] = ACTIONS(1447),
    [aux_sym_export_data_statement_token1] = ACTIONS(1447),
    [aux_sym_load_data_statement_token1] = ACTIONS(1447),
    [sym__quoted_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
  },
  [5129] = {
    [ts_builtin_sym_end] = ACTIONS(1449),
    [sym__unquoted_identifier] = ACTIONS(1451),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1451),
    [aux_sym__keyword_alter_token1] = ACTIONS(1451),
    [aux_sym__keyword_create_token1] = ACTIONS(1451),
    [aux_sym__keyword_drop_token1] = ACTIONS(1451),
    [aux_sym__keyword_delete_token1] = ACTIONS(1451),
    [aux_sym__keyword_begin_token1] = ACTIONS(1451),
    [aux_sym__keyword_when_token1] = ACTIONS(1451),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1451),
    [aux_sym__keyword_as_token1] = ACTIONS(1451),
    [aux_sym__keyword_window_token1] = ACTIONS(1451),
    [aux_sym__keyword_date_token1] = ACTIONS(1451),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1451),
    [aux_sym__keyword_time_token1] = ACTIONS(1451),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1451),
    [aux_sym__keyword_for_token1] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_declare_statement_token1] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1449),
    [aux_sym_set_statement_token1] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1451),
    [aux_sym_using_clause_token1] = ACTIONS(1451),
    [aux_sym_return_statement_token1] = ACTIONS(1451),
    [aux_sym_call_statement_token1] = ACTIONS(1451),
    [aux_sym_loop_statement_token1] = ACTIONS(1451),
    [aux_sym_while_statement_token1] = ACTIONS(1451),
    [aux_sym_break_statement_token1] = ACTIONS(1451),
    [aux_sym_leave_statement_token1] = ACTIONS(1451),
    [aux_sym_continue_statement_token1] = ACTIONS(1451),
    [aux_sym_iterate_statement_token1] = ACTIONS(1451),
    [aux_sym_raise_statement_token1] = ACTIONS(1451),
    [aux_sym_assert_statement_token1] = ACTIONS(1451),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token1] = ACTIONS(1451),
    [aux_sym_set_operation_token3] = ACTIONS(1451),
    [aux_sym_set_operation_token4] = ACTIONS(1451),
    [aux_sym_select_token1] = ACTIONS(1451),
    [aux_sym_having_clause_token1] = ACTIONS(1451),
    [aux_sym_qualify_clause_token1] = ACTIONS(1451),
    [aux_sym_limit_clause_token1] = ACTIONS(1451),
    [aux_sym_group_by_clause_token1] = ACTIONS(1451),
    [aux_sym_order_by_clause_token1] = ACTIONS(1451),
    [aux_sym_where_clause_token1] = ACTIONS(1451),
    [aux_sym_pivot_operator_token1] = ACTIONS(1451),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1451),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1451),
    [aux_sym_join_type_token1] = ACTIONS(1451),
    [aux_sym_join_type_token2] = ACTIONS(1451),
    [aux_sym_join_type_token3] = ACTIONS(1451),
    [aux_sym_join_type_token4] = ACTIONS(1451),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1451),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1451),
    [aux_sym_join_condition_token1] = ACTIONS(1451),
    [aux_sym_insert_statement_token1] = ACTIONS(1451),
    [aux_sym_truncate_statement_token1] = ACTIONS(1451),
    [aux_sym_update_statement_token1] = ACTIONS(1451),
    [aux_sym_merge_statement_token1] = ACTIONS(1451),
    [aux_sym_grant_statement_token1] = ACTIONS(1451),
    [aux_sym_revoke_statement_token1] = ACTIONS(1451),
    [aux_sym_export_data_statement_token1] = ACTIONS(1451),
    [aux_sym_load_data_statement_token1] = ACTIONS(1451),
    [sym__quoted_identifier] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
  },
  [5130] = {
    [ts_builtin_sym_end] = ACTIONS(1457),
    [sym__unquoted_identifier] = ACTIONS(1459),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1459),
    [aux_sym__keyword_alter_token1] = ACTIONS(1459),
    [aux_sym__keyword_create_token1] = ACTIONS(1459),
    [aux_sym__keyword_drop_token1] = ACTIONS(1459),
    [aux_sym__keyword_delete_token1] = ACTIONS(1459),
    [aux_sym__keyword_begin_token1] = ACTIONS(1459),
    [aux_sym__keyword_when_token1] = ACTIONS(1459),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1459),
    [aux_sym__keyword_as_token1] = ACTIONS(1459),
    [aux_sym__keyword_window_token1] = ACTIONS(1459),
    [aux_sym__keyword_date_token1] = ACTIONS(1459),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1459),
    [aux_sym__keyword_time_token1] = ACTIONS(1459),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1459),
    [aux_sym__keyword_for_token1] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_declare_statement_token1] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1457),
    [aux_sym_set_statement_token1] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1459),
    [aux_sym_using_clause_token1] = ACTIONS(1459),
    [aux_sym_return_statement_token1] = ACTIONS(1459),
    [aux_sym_call_statement_token1] = ACTIONS(1459),
    [aux_sym_loop_statement_token1] = ACTIONS(1459),
    [aux_sym_while_statement_token1] = ACTIONS(1459),
    [aux_sym_break_statement_token1] = ACTIONS(1459),
    [aux_sym_leave_statement_token1] = ACTIONS(1459),
    [aux_sym_continue_statement_token1] = ACTIONS(1459),
    [aux_sym_iterate_statement_token1] = ACTIONS(1459),
    [aux_sym_raise_statement_token1] = ACTIONS(1459),
    [aux_sym_assert_statement_token1] = ACTIONS(1459),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token1] = ACTIONS(1459),
    [aux_sym_set_operation_token3] = ACTIONS(1459),
    [aux_sym_set_operation_token4] = ACTIONS(1459),
    [aux_sym_select_token1] = ACTIONS(1459),
    [aux_sym_having_clause_token1] = ACTIONS(1459),
    [aux_sym_qualify_clause_token1] = ACTIONS(1459),
    [aux_sym_limit_clause_token1] = ACTIONS(1459),
    [aux_sym_group_by_clause_token1] = ACTIONS(1459),
    [aux_sym_order_by_clause_token1] = ACTIONS(1459),
    [aux_sym_where_clause_token1] = ACTIONS(1459),
    [aux_sym_pivot_operator_token1] = ACTIONS(1459),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1459),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1459),
    [aux_sym_join_type_token1] = ACTIONS(1459),
    [aux_sym_join_type_token2] = ACTIONS(1459),
    [aux_sym_join_type_token3] = ACTIONS(1459),
    [aux_sym_join_type_token4] = ACTIONS(1459),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1459),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1459),
    [aux_sym_join_condition_token1] = ACTIONS(1459),
    [aux_sym_insert_statement_token1] = ACTIONS(1459),
    [aux_sym_truncate_statement_token1] = ACTIONS(1459),
    [aux_sym_update_statement_token1] = ACTIONS(1459),
    [aux_sym_merge_statement_token1] = ACTIONS(1459),
    [aux_sym_grant_statement_token1] = ACTIONS(1459),
    [aux_sym_revoke_statement_token1] = ACTIONS(1459),
    [aux_sym_export_data_statement_token1] = ACTIONS(1459),
    [aux_sym_load_data_statement_token1] = ACTIONS(1459),
    [sym__quoted_identifier] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
  },
  [5131] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5132] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5133] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5134] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5135] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5136] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5137] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5138] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5139] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [sym__unquoted_identifier] = ACTIONS(1827),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1827),
    [aux_sym__keyword_alter_token1] = ACTIONS(1827),
    [aux_sym__keyword_create_token1] = ACTIONS(1827),
    [aux_sym__keyword_drop_token1] = ACTIONS(1827),
    [aux_sym__keyword_delete_token1] = ACTIONS(1827),
    [aux_sym__keyword_begin_token1] = ACTIONS(1827),
    [aux_sym__keyword_when_token1] = ACTIONS(1827),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1827),
    [aux_sym__keyword_as_token1] = ACTIONS(1827),
    [aux_sym__keyword_window_token1] = ACTIONS(1827),
    [aux_sym__keyword_date_token1] = ACTIONS(1827),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1827),
    [aux_sym__keyword_time_token1] = ACTIONS(1827),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1827),
    [aux_sym__keyword_for_token1] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1825),
    [aux_sym_declare_statement_token1] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1825),
    [aux_sym_set_statement_token1] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1827),
    [aux_sym_using_clause_token1] = ACTIONS(1827),
    [aux_sym_return_statement_token1] = ACTIONS(1827),
    [aux_sym_call_statement_token1] = ACTIONS(1827),
    [aux_sym_loop_statement_token1] = ACTIONS(1827),
    [aux_sym_while_statement_token1] = ACTIONS(1827),
    [aux_sym_break_statement_token1] = ACTIONS(1827),
    [aux_sym_leave_statement_token1] = ACTIONS(1827),
    [aux_sym_continue_statement_token1] = ACTIONS(1827),
    [aux_sym_iterate_statement_token1] = ACTIONS(1827),
    [aux_sym_raise_statement_token1] = ACTIONS(1827),
    [aux_sym_assert_statement_token1] = ACTIONS(1827),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1827),
    [aux_sym_set_operation_token1] = ACTIONS(1827),
    [aux_sym_set_operation_token3] = ACTIONS(1827),
    [aux_sym_set_operation_token4] = ACTIONS(1827),
    [aux_sym_select_token1] = ACTIONS(1827),
    [aux_sym_having_clause_token1] = ACTIONS(1827),
    [aux_sym_qualify_clause_token1] = ACTIONS(1827),
    [aux_sym_limit_clause_token1] = ACTIONS(1827),
    [aux_sym_group_by_clause_token1] = ACTIONS(1827),
    [aux_sym_order_by_clause_token1] = ACTIONS(1827),
    [aux_sym_where_clause_token1] = ACTIONS(1827),
    [aux_sym_pivot_operator_token1] = ACTIONS(1827),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1827),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1827),
    [aux_sym_join_type_token1] = ACTIONS(1827),
    [aux_sym_join_type_token2] = ACTIONS(1827),
    [aux_sym_join_type_token3] = ACTIONS(1827),
    [aux_sym_join_type_token4] = ACTIONS(1827),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1827),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1827),
    [aux_sym_join_condition_token1] = ACTIONS(1827),
    [aux_sym_insert_statement_token1] = ACTIONS(1827),
    [aux_sym_truncate_statement_token1] = ACTIONS(1827),
    [aux_sym_update_statement_token1] = ACTIONS(1827),
    [aux_sym_merge_statement_token1] = ACTIONS(1827),
    [aux_sym_grant_statement_token1] = ACTIONS(1827),
    [aux_sym_revoke_statement_token1] = ACTIONS(1827),
    [aux_sym_export_data_statement_token1] = ACTIONS(1827),
    [aux_sym_load_data_statement_token1] = ACTIONS(1827),
    [sym__quoted_identifier] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
  },
  [5140] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym__unquoted_identifier] = ACTIONS(1831),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1831),
    [aux_sym__keyword_alter_token1] = ACTIONS(1831),
    [aux_sym__keyword_create_token1] = ACTIONS(1831),
    [aux_sym__keyword_drop_token1] = ACTIONS(1831),
    [aux_sym__keyword_delete_token1] = ACTIONS(1831),
    [aux_sym__keyword_begin_token1] = ACTIONS(1831),
    [aux_sym__keyword_when_token1] = ACTIONS(1831),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1831),
    [aux_sym__keyword_as_token1] = ACTIONS(1831),
    [aux_sym__keyword_window_token1] = ACTIONS(1831),
    [aux_sym__keyword_date_token1] = ACTIONS(1831),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1831),
    [aux_sym__keyword_time_token1] = ACTIONS(1831),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1831),
    [aux_sym__keyword_for_token1] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [aux_sym_declare_statement_token1] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1829),
    [aux_sym_set_statement_token1] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1831),
    [aux_sym_using_clause_token1] = ACTIONS(1831),
    [aux_sym_return_statement_token1] = ACTIONS(1831),
    [aux_sym_call_statement_token1] = ACTIONS(1831),
    [aux_sym_loop_statement_token1] = ACTIONS(1831),
    [aux_sym_while_statement_token1] = ACTIONS(1831),
    [aux_sym_break_statement_token1] = ACTIONS(1831),
    [aux_sym_leave_statement_token1] = ACTIONS(1831),
    [aux_sym_continue_statement_token1] = ACTIONS(1831),
    [aux_sym_iterate_statement_token1] = ACTIONS(1831),
    [aux_sym_raise_statement_token1] = ACTIONS(1831),
    [aux_sym_assert_statement_token1] = ACTIONS(1831),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1831),
    [aux_sym_set_operation_token1] = ACTIONS(1831),
    [aux_sym_set_operation_token3] = ACTIONS(1831),
    [aux_sym_set_operation_token4] = ACTIONS(1831),
    [aux_sym_select_token1] = ACTIONS(1831),
    [aux_sym_having_clause_token1] = ACTIONS(1831),
    [aux_sym_qualify_clause_token1] = ACTIONS(1831),
    [aux_sym_limit_clause_token1] = ACTIONS(1831),
    [aux_sym_group_by_clause_token1] = ACTIONS(1831),
    [aux_sym_order_by_clause_token1] = ACTIONS(1831),
    [aux_sym_where_clause_token1] = ACTIONS(1831),
    [aux_sym_pivot_operator_token1] = ACTIONS(1831),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1831),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1831),
    [aux_sym_join_type_token1] = ACTIONS(1831),
    [aux_sym_join_type_token2] = ACTIONS(1831),
    [aux_sym_join_type_token3] = ACTIONS(1831),
    [aux_sym_join_type_token4] = ACTIONS(1831),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1831),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1831),
    [aux_sym_join_condition_token1] = ACTIONS(1831),
    [aux_sym_insert_statement_token1] = ACTIONS(1831),
    [aux_sym_truncate_statement_token1] = ACTIONS(1831),
    [aux_sym_update_statement_token1] = ACTIONS(1831),
    [aux_sym_merge_statement_token1] = ACTIONS(1831),
    [aux_sym_grant_statement_token1] = ACTIONS(1831),
    [aux_sym_revoke_statement_token1] = ACTIONS(1831),
    [aux_sym_export_data_statement_token1] = ACTIONS(1831),
    [aux_sym_load_data_statement_token1] = ACTIONS(1831),
    [sym__quoted_identifier] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
  },
  [5141] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5142] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5143] = {
    [ts_builtin_sym_end] = ACTIONS(1441),
    [sym__unquoted_identifier] = ACTIONS(1443),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1443),
    [aux_sym__keyword_alter_token1] = ACTIONS(1443),
    [aux_sym__keyword_create_token1] = ACTIONS(1443),
    [aux_sym__keyword_drop_token1] = ACTIONS(1443),
    [aux_sym__keyword_delete_token1] = ACTIONS(1443),
    [aux_sym__keyword_begin_token1] = ACTIONS(1443),
    [aux_sym__keyword_when_token1] = ACTIONS(1443),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1443),
    [aux_sym__keyword_as_token1] = ACTIONS(1443),
    [aux_sym__keyword_window_token1] = ACTIONS(1443),
    [aux_sym__keyword_date_token1] = ACTIONS(1443),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1443),
    [aux_sym__keyword_time_token1] = ACTIONS(1443),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1443),
    [aux_sym__keyword_for_token1] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_declare_statement_token1] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1441),
    [aux_sym_set_statement_token1] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1441),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1443),
    [aux_sym_using_clause_token1] = ACTIONS(1443),
    [aux_sym_return_statement_token1] = ACTIONS(1443),
    [aux_sym_call_statement_token1] = ACTIONS(1443),
    [aux_sym_loop_statement_token1] = ACTIONS(1443),
    [aux_sym_while_statement_token1] = ACTIONS(1443),
    [aux_sym_break_statement_token1] = ACTIONS(1443),
    [aux_sym_leave_statement_token1] = ACTIONS(1443),
    [aux_sym_continue_statement_token1] = ACTIONS(1443),
    [aux_sym_iterate_statement_token1] = ACTIONS(1443),
    [aux_sym_raise_statement_token1] = ACTIONS(1443),
    [aux_sym_assert_statement_token1] = ACTIONS(1443),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token1] = ACTIONS(1443),
    [aux_sym_set_operation_token3] = ACTIONS(1443),
    [aux_sym_set_operation_token4] = ACTIONS(1443),
    [aux_sym_select_token1] = ACTIONS(1443),
    [aux_sym_having_clause_token1] = ACTIONS(1443),
    [aux_sym_qualify_clause_token1] = ACTIONS(1443),
    [aux_sym_limit_clause_token1] = ACTIONS(1443),
    [aux_sym_group_by_clause_token1] = ACTIONS(1443),
    [aux_sym_order_by_clause_token1] = ACTIONS(1443),
    [aux_sym_where_clause_token1] = ACTIONS(1443),
    [aux_sym_pivot_operator_token1] = ACTIONS(1443),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1443),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1443),
    [aux_sym_join_type_token1] = ACTIONS(1443),
    [aux_sym_join_type_token2] = ACTIONS(1443),
    [aux_sym_join_type_token3] = ACTIONS(1443),
    [aux_sym_join_type_token4] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1443),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1443),
    [aux_sym_join_condition_token1] = ACTIONS(1443),
    [aux_sym_insert_statement_token1] = ACTIONS(1443),
    [aux_sym_truncate_statement_token1] = ACTIONS(1443),
    [aux_sym_update_statement_token1] = ACTIONS(1443),
    [aux_sym_merge_statement_token1] = ACTIONS(1443),
    [aux_sym_grant_statement_token1] = ACTIONS(1443),
    [aux_sym_revoke_statement_token1] = ACTIONS(1443),
    [aux_sym_export_data_statement_token1] = ACTIONS(1443),
    [aux_sym_load_data_statement_token1] = ACTIONS(1443),
    [sym__quoted_identifier] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
  },
  [5144] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [sym__unquoted_identifier] = ACTIONS(1635),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1635),
    [aux_sym__keyword_alter_token1] = ACTIONS(1635),
    [aux_sym__keyword_create_token1] = ACTIONS(1635),
    [aux_sym__keyword_drop_token1] = ACTIONS(1635),
    [aux_sym__keyword_delete_token1] = ACTIONS(1635),
    [aux_sym__keyword_begin_token1] = ACTIONS(1635),
    [aux_sym__keyword_when_token1] = ACTIONS(1635),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1635),
    [aux_sym__keyword_as_token1] = ACTIONS(1635),
    [aux_sym__keyword_window_token1] = ACTIONS(1635),
    [aux_sym__keyword_date_token1] = ACTIONS(1635),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1635),
    [aux_sym__keyword_time_token1] = ACTIONS(1635),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1635),
    [aux_sym__keyword_for_token1] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1633),
    [aux_sym_declare_statement_token1] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1633),
    [aux_sym_set_statement_token1] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1635),
    [aux_sym_using_clause_token1] = ACTIONS(1635),
    [aux_sym_return_statement_token1] = ACTIONS(1635),
    [aux_sym_call_statement_token1] = ACTIONS(1635),
    [aux_sym_loop_statement_token1] = ACTIONS(1635),
    [aux_sym_while_statement_token1] = ACTIONS(1635),
    [aux_sym_break_statement_token1] = ACTIONS(1635),
    [aux_sym_leave_statement_token1] = ACTIONS(1635),
    [aux_sym_continue_statement_token1] = ACTIONS(1635),
    [aux_sym_iterate_statement_token1] = ACTIONS(1635),
    [aux_sym_raise_statement_token1] = ACTIONS(1635),
    [aux_sym_assert_statement_token1] = ACTIONS(1635),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1635),
    [aux_sym_set_operation_token1] = ACTIONS(1635),
    [aux_sym_set_operation_token3] = ACTIONS(1635),
    [aux_sym_set_operation_token4] = ACTIONS(1635),
    [aux_sym_select_token1] = ACTIONS(1635),
    [aux_sym_having_clause_token1] = ACTIONS(1635),
    [aux_sym_qualify_clause_token1] = ACTIONS(1635),
    [aux_sym_limit_clause_token1] = ACTIONS(1635),
    [aux_sym_group_by_clause_token1] = ACTIONS(1635),
    [aux_sym_order_by_clause_token1] = ACTIONS(1635),
    [aux_sym_where_clause_token1] = ACTIONS(1635),
    [aux_sym_pivot_operator_token1] = ACTIONS(1635),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1635),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1635),
    [aux_sym_join_type_token1] = ACTIONS(1635),
    [aux_sym_join_type_token2] = ACTIONS(1635),
    [aux_sym_join_type_token3] = ACTIONS(1635),
    [aux_sym_join_type_token4] = ACTIONS(1635),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1635),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1635),
    [aux_sym_join_condition_token1] = ACTIONS(1635),
    [aux_sym_insert_statement_token1] = ACTIONS(1635),
    [aux_sym_truncate_statement_token1] = ACTIONS(1635),
    [aux_sym_update_statement_token1] = ACTIONS(1635),
    [aux_sym_merge_statement_token1] = ACTIONS(1635),
    [aux_sym_grant_statement_token1] = ACTIONS(1635),
    [aux_sym_revoke_statement_token1] = ACTIONS(1635),
    [aux_sym_export_data_statement_token1] = ACTIONS(1635),
    [aux_sym_load_data_statement_token1] = ACTIONS(1635),
    [sym__quoted_identifier] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
  },
  [5145] = {
    [ts_builtin_sym_end] = ACTIONS(1485),
    [sym__unquoted_identifier] = ACTIONS(1487),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1487),
    [aux_sym__keyword_alter_token1] = ACTIONS(1487),
    [aux_sym__keyword_create_token1] = ACTIONS(1487),
    [aux_sym__keyword_drop_token1] = ACTIONS(1487),
    [aux_sym__keyword_delete_token1] = ACTIONS(1487),
    [aux_sym__keyword_begin_token1] = ACTIONS(1487),
    [aux_sym__keyword_when_token1] = ACTIONS(1487),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1487),
    [aux_sym__keyword_as_token1] = ACTIONS(1487),
    [aux_sym__keyword_window_token1] = ACTIONS(1487),
    [aux_sym__keyword_date_token1] = ACTIONS(1487),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1487),
    [aux_sym__keyword_time_token1] = ACTIONS(1487),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1487),
    [aux_sym__keyword_for_token1] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [aux_sym_declare_statement_token1] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [aux_sym_set_statement_token1] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1487),
    [aux_sym_using_clause_token1] = ACTIONS(1487),
    [aux_sym_return_statement_token1] = ACTIONS(1487),
    [aux_sym_call_statement_token1] = ACTIONS(1487),
    [aux_sym_loop_statement_token1] = ACTIONS(1487),
    [aux_sym_while_statement_token1] = ACTIONS(1487),
    [aux_sym_break_statement_token1] = ACTIONS(1487),
    [aux_sym_leave_statement_token1] = ACTIONS(1487),
    [aux_sym_continue_statement_token1] = ACTIONS(1487),
    [aux_sym_iterate_statement_token1] = ACTIONS(1487),
    [aux_sym_raise_statement_token1] = ACTIONS(1487),
    [aux_sym_assert_statement_token1] = ACTIONS(1487),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token1] = ACTIONS(1487),
    [aux_sym_set_operation_token3] = ACTIONS(1487),
    [aux_sym_set_operation_token4] = ACTIONS(1487),
    [aux_sym_select_token1] = ACTIONS(1487),
    [aux_sym_having_clause_token1] = ACTIONS(1487),
    [aux_sym_qualify_clause_token1] = ACTIONS(1487),
    [aux_sym_limit_clause_token1] = ACTIONS(1487),
    [aux_sym_group_by_clause_token1] = ACTIONS(1487),
    [aux_sym_order_by_clause_token1] = ACTIONS(1487),
    [aux_sym_where_clause_token1] = ACTIONS(1487),
    [aux_sym_pivot_operator_token1] = ACTIONS(1487),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1487),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1487),
    [aux_sym_join_type_token1] = ACTIONS(1487),
    [aux_sym_join_type_token2] = ACTIONS(1487),
    [aux_sym_join_type_token3] = ACTIONS(1487),
    [aux_sym_join_type_token4] = ACTIONS(1487),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1487),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1487),
    [aux_sym_join_condition_token1] = ACTIONS(1487),
    [aux_sym_insert_statement_token1] = ACTIONS(1487),
    [aux_sym_truncate_statement_token1] = ACTIONS(1487),
    [aux_sym_update_statement_token1] = ACTIONS(1487),
    [aux_sym_merge_statement_token1] = ACTIONS(1487),
    [aux_sym_grant_statement_token1] = ACTIONS(1487),
    [aux_sym_revoke_statement_token1] = ACTIONS(1487),
    [aux_sym_export_data_statement_token1] = ACTIONS(1487),
    [aux_sym_load_data_statement_token1] = ACTIONS(1487),
    [sym__quoted_identifier] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
  },
  [5146] = {
    [ts_builtin_sym_end] = ACTIONS(1493),
    [sym__unquoted_identifier] = ACTIONS(1495),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1495),
    [aux_sym__keyword_alter_token1] = ACTIONS(1495),
    [aux_sym__keyword_create_token1] = ACTIONS(1495),
    [aux_sym__keyword_drop_token1] = ACTIONS(1495),
    [aux_sym__keyword_delete_token1] = ACTIONS(1495),
    [aux_sym__keyword_begin_token1] = ACTIONS(1495),
    [aux_sym__keyword_when_token1] = ACTIONS(1495),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1495),
    [aux_sym__keyword_as_token1] = ACTIONS(1495),
    [aux_sym__keyword_window_token1] = ACTIONS(1495),
    [aux_sym__keyword_date_token1] = ACTIONS(1495),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1495),
    [aux_sym__keyword_time_token1] = ACTIONS(1495),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1495),
    [aux_sym__keyword_for_token1] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [aux_sym_declare_statement_token1] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [aux_sym_set_statement_token1] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1495),
    [aux_sym_using_clause_token1] = ACTIONS(1495),
    [aux_sym_return_statement_token1] = ACTIONS(1495),
    [aux_sym_call_statement_token1] = ACTIONS(1495),
    [aux_sym_loop_statement_token1] = ACTIONS(1495),
    [aux_sym_while_statement_token1] = ACTIONS(1495),
    [aux_sym_break_statement_token1] = ACTIONS(1495),
    [aux_sym_leave_statement_token1] = ACTIONS(1495),
    [aux_sym_continue_statement_token1] = ACTIONS(1495),
    [aux_sym_iterate_statement_token1] = ACTIONS(1495),
    [aux_sym_raise_statement_token1] = ACTIONS(1495),
    [aux_sym_assert_statement_token1] = ACTIONS(1495),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token1] = ACTIONS(1495),
    [aux_sym_set_operation_token3] = ACTIONS(1495),
    [aux_sym_set_operation_token4] = ACTIONS(1495),
    [aux_sym_select_token1] = ACTIONS(1495),
    [aux_sym_having_clause_token1] = ACTIONS(1495),
    [aux_sym_qualify_clause_token1] = ACTIONS(1495),
    [aux_sym_limit_clause_token1] = ACTIONS(1495),
    [aux_sym_group_by_clause_token1] = ACTIONS(1495),
    [aux_sym_order_by_clause_token1] = ACTIONS(1495),
    [aux_sym_where_clause_token1] = ACTIONS(1495),
    [aux_sym_pivot_operator_token1] = ACTIONS(1495),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1495),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1495),
    [aux_sym_join_type_token1] = ACTIONS(1495),
    [aux_sym_join_type_token2] = ACTIONS(1495),
    [aux_sym_join_type_token3] = ACTIONS(1495),
    [aux_sym_join_type_token4] = ACTIONS(1495),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1495),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1495),
    [aux_sym_join_condition_token1] = ACTIONS(1495),
    [aux_sym_insert_statement_token1] = ACTIONS(1495),
    [aux_sym_truncate_statement_token1] = ACTIONS(1495),
    [aux_sym_update_statement_token1] = ACTIONS(1495),
    [aux_sym_merge_statement_token1] = ACTIONS(1495),
    [aux_sym_grant_statement_token1] = ACTIONS(1495),
    [aux_sym_revoke_statement_token1] = ACTIONS(1495),
    [aux_sym_export_data_statement_token1] = ACTIONS(1495),
    [aux_sym_load_data_statement_token1] = ACTIONS(1495),
    [sym__quoted_identifier] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
  },
  [5147] = {
    [ts_builtin_sym_end] = ACTIONS(1497),
    [sym__unquoted_identifier] = ACTIONS(1499),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1499),
    [aux_sym__keyword_alter_token1] = ACTIONS(1499),
    [aux_sym__keyword_create_token1] = ACTIONS(1499),
    [aux_sym__keyword_drop_token1] = ACTIONS(1499),
    [aux_sym__keyword_delete_token1] = ACTIONS(1499),
    [aux_sym__keyword_begin_token1] = ACTIONS(1499),
    [aux_sym__keyword_when_token1] = ACTIONS(1499),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1499),
    [aux_sym__keyword_as_token1] = ACTIONS(1499),
    [aux_sym__keyword_window_token1] = ACTIONS(1499),
    [aux_sym__keyword_date_token1] = ACTIONS(1499),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1499),
    [aux_sym__keyword_time_token1] = ACTIONS(1499),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1499),
    [aux_sym__keyword_for_token1] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1497),
    [aux_sym_declare_statement_token1] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1497),
    [aux_sym_set_statement_token1] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1499),
    [aux_sym_using_clause_token1] = ACTIONS(1499),
    [aux_sym_return_statement_token1] = ACTIONS(1499),
    [aux_sym_call_statement_token1] = ACTIONS(1499),
    [aux_sym_loop_statement_token1] = ACTIONS(1499),
    [aux_sym_while_statement_token1] = ACTIONS(1499),
    [aux_sym_break_statement_token1] = ACTIONS(1499),
    [aux_sym_leave_statement_token1] = ACTIONS(1499),
    [aux_sym_continue_statement_token1] = ACTIONS(1499),
    [aux_sym_iterate_statement_token1] = ACTIONS(1499),
    [aux_sym_raise_statement_token1] = ACTIONS(1499),
    [aux_sym_assert_statement_token1] = ACTIONS(1499),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token1] = ACTIONS(1499),
    [aux_sym_set_operation_token3] = ACTIONS(1499),
    [aux_sym_set_operation_token4] = ACTIONS(1499),
    [aux_sym_select_token1] = ACTIONS(1499),
    [aux_sym_having_clause_token1] = ACTIONS(1499),
    [aux_sym_qualify_clause_token1] = ACTIONS(1499),
    [aux_sym_limit_clause_token1] = ACTIONS(1499),
    [aux_sym_group_by_clause_token1] = ACTIONS(1499),
    [aux_sym_order_by_clause_token1] = ACTIONS(1499),
    [aux_sym_where_clause_token1] = ACTIONS(1499),
    [aux_sym_pivot_operator_token1] = ACTIONS(1499),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1499),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1499),
    [aux_sym_join_type_token1] = ACTIONS(1499),
    [aux_sym_join_type_token2] = ACTIONS(1499),
    [aux_sym_join_type_token3] = ACTIONS(1499),
    [aux_sym_join_type_token4] = ACTIONS(1499),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1499),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1499),
    [aux_sym_join_condition_token1] = ACTIONS(1499),
    [aux_sym_insert_statement_token1] = ACTIONS(1499),
    [aux_sym_truncate_statement_token1] = ACTIONS(1499),
    [aux_sym_update_statement_token1] = ACTIONS(1499),
    [aux_sym_merge_statement_token1] = ACTIONS(1499),
    [aux_sym_grant_statement_token1] = ACTIONS(1499),
    [aux_sym_revoke_statement_token1] = ACTIONS(1499),
    [aux_sym_export_data_statement_token1] = ACTIONS(1499),
    [aux_sym_load_data_statement_token1] = ACTIONS(1499),
    [sym__quoted_identifier] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
  },
  [5148] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5149] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5150] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5151] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5152] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym__unquoted_identifier] = ACTIONS(1511),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1511),
    [aux_sym__keyword_alter_token1] = ACTIONS(1511),
    [aux_sym__keyword_create_token1] = ACTIONS(1511),
    [aux_sym__keyword_drop_token1] = ACTIONS(1511),
    [aux_sym__keyword_delete_token1] = ACTIONS(1511),
    [aux_sym__keyword_begin_token1] = ACTIONS(1511),
    [aux_sym__keyword_when_token1] = ACTIONS(1511),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1511),
    [aux_sym__keyword_as_token1] = ACTIONS(1511),
    [aux_sym__keyword_window_token1] = ACTIONS(1511),
    [aux_sym__keyword_date_token1] = ACTIONS(1511),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1511),
    [aux_sym__keyword_time_token1] = ACTIONS(1511),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1511),
    [aux_sym__keyword_for_token1] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [aux_sym_declare_statement_token1] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1509),
    [aux_sym_set_statement_token1] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1511),
    [aux_sym_using_clause_token1] = ACTIONS(1511),
    [aux_sym_return_statement_token1] = ACTIONS(1511),
    [aux_sym_call_statement_token1] = ACTIONS(1511),
    [aux_sym_loop_statement_token1] = ACTIONS(1511),
    [aux_sym_while_statement_token1] = ACTIONS(1511),
    [aux_sym_break_statement_token1] = ACTIONS(1511),
    [aux_sym_leave_statement_token1] = ACTIONS(1511),
    [aux_sym_continue_statement_token1] = ACTIONS(1511),
    [aux_sym_iterate_statement_token1] = ACTIONS(1511),
    [aux_sym_raise_statement_token1] = ACTIONS(1511),
    [aux_sym_assert_statement_token1] = ACTIONS(1511),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token1] = ACTIONS(1511),
    [aux_sym_set_operation_token3] = ACTIONS(1511),
    [aux_sym_set_operation_token4] = ACTIONS(1511),
    [aux_sym_select_token1] = ACTIONS(1511),
    [aux_sym_having_clause_token1] = ACTIONS(1511),
    [aux_sym_qualify_clause_token1] = ACTIONS(1511),
    [aux_sym_limit_clause_token1] = ACTIONS(1511),
    [aux_sym_group_by_clause_token1] = ACTIONS(1511),
    [aux_sym_order_by_clause_token1] = ACTIONS(1511),
    [aux_sym_where_clause_token1] = ACTIONS(1511),
    [aux_sym_pivot_operator_token1] = ACTIONS(1511),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1511),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1511),
    [aux_sym_join_type_token1] = ACTIONS(1511),
    [aux_sym_join_type_token2] = ACTIONS(1511),
    [aux_sym_join_type_token3] = ACTIONS(1511),
    [aux_sym_join_type_token4] = ACTIONS(1511),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1511),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1511),
    [aux_sym_join_condition_token1] = ACTIONS(1511),
    [aux_sym_insert_statement_token1] = ACTIONS(1511),
    [aux_sym_truncate_statement_token1] = ACTIONS(1511),
    [aux_sym_update_statement_token1] = ACTIONS(1511),
    [aux_sym_merge_statement_token1] = ACTIONS(1511),
    [aux_sym_grant_statement_token1] = ACTIONS(1511),
    [aux_sym_revoke_statement_token1] = ACTIONS(1511),
    [aux_sym_export_data_statement_token1] = ACTIONS(1511),
    [aux_sym_load_data_statement_token1] = ACTIONS(1511),
    [sym__quoted_identifier] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
  },
  [5153] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [sym__unquoted_identifier] = ACTIONS(1683),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1683),
    [aux_sym__keyword_alter_token1] = ACTIONS(1683),
    [aux_sym__keyword_create_token1] = ACTIONS(1683),
    [aux_sym__keyword_drop_token1] = ACTIONS(1683),
    [aux_sym__keyword_delete_token1] = ACTIONS(1683),
    [aux_sym__keyword_begin_token1] = ACTIONS(1683),
    [aux_sym__keyword_when_token1] = ACTIONS(1683),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1683),
    [aux_sym__keyword_as_token1] = ACTIONS(1683),
    [aux_sym__keyword_window_token1] = ACTIONS(1683),
    [aux_sym__keyword_date_token1] = ACTIONS(1683),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1683),
    [aux_sym__keyword_time_token1] = ACTIONS(1683),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1683),
    [aux_sym__keyword_for_token1] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1681),
    [aux_sym_declare_statement_token1] = ACTIONS(1683),
    [anon_sym_COMMA] = ACTIONS(1681),
    [aux_sym_set_statement_token1] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1683),
    [aux_sym_using_clause_token1] = ACTIONS(1683),
    [aux_sym_return_statement_token1] = ACTIONS(1683),
    [aux_sym_call_statement_token1] = ACTIONS(1683),
    [aux_sym_loop_statement_token1] = ACTIONS(1683),
    [aux_sym_while_statement_token1] = ACTIONS(1683),
    [aux_sym_break_statement_token1] = ACTIONS(1683),
    [aux_sym_leave_statement_token1] = ACTIONS(1683),
    [aux_sym_continue_statement_token1] = ACTIONS(1683),
    [aux_sym_iterate_statement_token1] = ACTIONS(1683),
    [aux_sym_raise_statement_token1] = ACTIONS(1683),
    [aux_sym_assert_statement_token1] = ACTIONS(1683),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1683),
    [aux_sym_set_operation_token1] = ACTIONS(1683),
    [aux_sym_set_operation_token3] = ACTIONS(1683),
    [aux_sym_set_operation_token4] = ACTIONS(1683),
    [aux_sym_select_token1] = ACTIONS(1683),
    [aux_sym_having_clause_token1] = ACTIONS(1683),
    [aux_sym_qualify_clause_token1] = ACTIONS(1683),
    [aux_sym_limit_clause_token1] = ACTIONS(1683),
    [aux_sym_group_by_clause_token1] = ACTIONS(1683),
    [aux_sym_order_by_clause_token1] = ACTIONS(1683),
    [aux_sym_where_clause_token1] = ACTIONS(1683),
    [aux_sym_pivot_operator_token1] = ACTIONS(1683),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1683),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1683),
    [aux_sym_join_type_token1] = ACTIONS(1683),
    [aux_sym_join_type_token2] = ACTIONS(1683),
    [aux_sym_join_type_token3] = ACTIONS(1683),
    [aux_sym_join_type_token4] = ACTIONS(1683),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1683),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1683),
    [aux_sym_join_condition_token1] = ACTIONS(1683),
    [aux_sym_insert_statement_token1] = ACTIONS(1683),
    [aux_sym_truncate_statement_token1] = ACTIONS(1683),
    [aux_sym_update_statement_token1] = ACTIONS(1683),
    [aux_sym_merge_statement_token1] = ACTIONS(1683),
    [aux_sym_grant_statement_token1] = ACTIONS(1683),
    [aux_sym_revoke_statement_token1] = ACTIONS(1683),
    [aux_sym_export_data_statement_token1] = ACTIONS(1683),
    [aux_sym_load_data_statement_token1] = ACTIONS(1683),
    [sym__quoted_identifier] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
  },
  [5154] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5155] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5156] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [sym__unquoted_identifier] = ACTIONS(1615),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1615),
    [aux_sym__keyword_alter_token1] = ACTIONS(1615),
    [aux_sym__keyword_create_token1] = ACTIONS(1615),
    [aux_sym__keyword_drop_token1] = ACTIONS(1615),
    [aux_sym__keyword_delete_token1] = ACTIONS(1615),
    [aux_sym__keyword_begin_token1] = ACTIONS(1615),
    [aux_sym__keyword_when_token1] = ACTIONS(1615),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1615),
    [aux_sym__keyword_as_token1] = ACTIONS(1615),
    [aux_sym__keyword_window_token1] = ACTIONS(1615),
    [aux_sym__keyword_date_token1] = ACTIONS(1615),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1615),
    [aux_sym__keyword_time_token1] = ACTIONS(1615),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1615),
    [aux_sym__keyword_for_token1] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1613),
    [aux_sym_declare_statement_token1] = ACTIONS(1615),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_set_statement_token1] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1615),
    [aux_sym_using_clause_token1] = ACTIONS(1615),
    [aux_sym_return_statement_token1] = ACTIONS(1615),
    [aux_sym_call_statement_token1] = ACTIONS(1615),
    [aux_sym_loop_statement_token1] = ACTIONS(1615),
    [aux_sym_while_statement_token1] = ACTIONS(1615),
    [aux_sym_break_statement_token1] = ACTIONS(1615),
    [aux_sym_leave_statement_token1] = ACTIONS(1615),
    [aux_sym_continue_statement_token1] = ACTIONS(1615),
    [aux_sym_iterate_statement_token1] = ACTIONS(1615),
    [aux_sym_raise_statement_token1] = ACTIONS(1615),
    [aux_sym_assert_statement_token1] = ACTIONS(1615),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1615),
    [aux_sym_set_operation_token1] = ACTIONS(1615),
    [aux_sym_set_operation_token3] = ACTIONS(1615),
    [aux_sym_set_operation_token4] = ACTIONS(1615),
    [aux_sym_select_token1] = ACTIONS(1615),
    [aux_sym_having_clause_token1] = ACTIONS(1615),
    [aux_sym_qualify_clause_token1] = ACTIONS(1615),
    [aux_sym_limit_clause_token1] = ACTIONS(1615),
    [aux_sym_group_by_clause_token1] = ACTIONS(1615),
    [aux_sym_order_by_clause_token1] = ACTIONS(1615),
    [aux_sym_where_clause_token1] = ACTIONS(1615),
    [aux_sym_pivot_operator_token1] = ACTIONS(1615),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1615),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1615),
    [aux_sym_join_type_token1] = ACTIONS(1615),
    [aux_sym_join_type_token2] = ACTIONS(1615),
    [aux_sym_join_type_token3] = ACTIONS(1615),
    [aux_sym_join_type_token4] = ACTIONS(1615),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1615),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1615),
    [aux_sym_join_condition_token1] = ACTIONS(1615),
    [aux_sym_insert_statement_token1] = ACTIONS(1615),
    [aux_sym_truncate_statement_token1] = ACTIONS(1615),
    [aux_sym_update_statement_token1] = ACTIONS(1615),
    [aux_sym_merge_statement_token1] = ACTIONS(1615),
    [aux_sym_grant_statement_token1] = ACTIONS(1615),
    [aux_sym_revoke_statement_token1] = ACTIONS(1615),
    [aux_sym_export_data_statement_token1] = ACTIONS(1615),
    [aux_sym_load_data_statement_token1] = ACTIONS(1615),
    [sym__quoted_identifier] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
  },
  [5157] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5158] = {
    [ts_builtin_sym_end] = ACTIONS(1517),
    [sym__unquoted_identifier] = ACTIONS(1519),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1519),
    [aux_sym__keyword_alter_token1] = ACTIONS(1519),
    [aux_sym__keyword_create_token1] = ACTIONS(1519),
    [aux_sym__keyword_drop_token1] = ACTIONS(1519),
    [aux_sym__keyword_delete_token1] = ACTIONS(1519),
    [aux_sym__keyword_begin_token1] = ACTIONS(1519),
    [aux_sym__keyword_when_token1] = ACTIONS(1519),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1519),
    [aux_sym__keyword_as_token1] = ACTIONS(1519),
    [aux_sym__keyword_window_token1] = ACTIONS(1519),
    [aux_sym__keyword_date_token1] = ACTIONS(1519),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1519),
    [aux_sym__keyword_time_token1] = ACTIONS(1519),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1519),
    [aux_sym__keyword_for_token1] = ACTIONS(1519),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_declare_statement_token1] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1517),
    [aux_sym_set_statement_token1] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1519),
    [aux_sym_using_clause_token1] = ACTIONS(1519),
    [aux_sym_return_statement_token1] = ACTIONS(1519),
    [aux_sym_call_statement_token1] = ACTIONS(1519),
    [aux_sym_loop_statement_token1] = ACTIONS(1519),
    [aux_sym_while_statement_token1] = ACTIONS(1519),
    [aux_sym_break_statement_token1] = ACTIONS(1519),
    [aux_sym_leave_statement_token1] = ACTIONS(1519),
    [aux_sym_continue_statement_token1] = ACTIONS(1519),
    [aux_sym_iterate_statement_token1] = ACTIONS(1519),
    [aux_sym_raise_statement_token1] = ACTIONS(1519),
    [aux_sym_assert_statement_token1] = ACTIONS(1519),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token1] = ACTIONS(1519),
    [aux_sym_set_operation_token3] = ACTIONS(1519),
    [aux_sym_set_operation_token4] = ACTIONS(1519),
    [aux_sym_select_token1] = ACTIONS(1519),
    [aux_sym_having_clause_token1] = ACTIONS(1519),
    [aux_sym_qualify_clause_token1] = ACTIONS(1519),
    [aux_sym_limit_clause_token1] = ACTIONS(1519),
    [aux_sym_group_by_clause_token1] = ACTIONS(1519),
    [aux_sym_order_by_clause_token1] = ACTIONS(1519),
    [aux_sym_where_clause_token1] = ACTIONS(1519),
    [aux_sym_pivot_operator_token1] = ACTIONS(1519),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1519),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1519),
    [aux_sym_join_type_token1] = ACTIONS(1519),
    [aux_sym_join_type_token2] = ACTIONS(1519),
    [aux_sym_join_type_token3] = ACTIONS(1519),
    [aux_sym_join_type_token4] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1519),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1519),
    [aux_sym_join_condition_token1] = ACTIONS(1519),
    [aux_sym_insert_statement_token1] = ACTIONS(1519),
    [aux_sym_truncate_statement_token1] = ACTIONS(1519),
    [aux_sym_update_statement_token1] = ACTIONS(1519),
    [aux_sym_merge_statement_token1] = ACTIONS(1519),
    [aux_sym_grant_statement_token1] = ACTIONS(1519),
    [aux_sym_revoke_statement_token1] = ACTIONS(1519),
    [aux_sym_export_data_statement_token1] = ACTIONS(1519),
    [aux_sym_load_data_statement_token1] = ACTIONS(1519),
    [sym__quoted_identifier] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
  },
  [5159] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5399),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(3403),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3401),
    [aux_sym__keyword_alter_token1] = ACTIONS(3401),
    [aux_sym__keyword_create_token1] = ACTIONS(3401),
    [aux_sym__keyword_drop_token1] = ACTIONS(3401),
    [aux_sym__keyword_delete_token1] = ACTIONS(3401),
    [aux_sym__keyword_begin_token1] = ACTIONS(3401),
    [aux_sym__keyword_when_token1] = ACTIONS(3401),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3401),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3401),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [aux_sym_declare_statement_token1] = ACTIONS(3401),
    [aux_sym_set_statement_token1] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3401),
    [aux_sym_return_statement_token1] = ACTIONS(3401),
    [aux_sym_call_statement_token1] = ACTIONS(3401),
    [aux_sym_loop_statement_token1] = ACTIONS(3401),
    [aux_sym_while_statement_token1] = ACTIONS(3401),
    [aux_sym_break_statement_token1] = ACTIONS(3401),
    [aux_sym_leave_statement_token1] = ACTIONS(3401),
    [aux_sym_continue_statement_token1] = ACTIONS(3401),
    [aux_sym_iterate_statement_token1] = ACTIONS(3401),
    [aux_sym_raise_statement_token1] = ACTIONS(3401),
    [aux_sym_assert_statement_token1] = ACTIONS(3401),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3401),
    [aux_sym_set_operation_token1] = ACTIONS(3401),
    [aux_sym_set_operation_token3] = ACTIONS(3401),
    [aux_sym_set_operation_token4] = ACTIONS(3401),
    [aux_sym_select_token1] = ACTIONS(3401),
    [aux_sym_having_clause_token1] = ACTIONS(3401),
    [aux_sym_qualify_clause_token1] = ACTIONS(3401),
    [aux_sym_limit_clause_token1] = ACTIONS(3401),
    [aux_sym_group_by_clause_token1] = ACTIONS(3401),
    [aux_sym_order_by_clause_token1] = ACTIONS(3401),
    [aux_sym_where_clause_token1] = ACTIONS(3401),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3401),
    [aux_sym_insert_statement_token1] = ACTIONS(3401),
    [aux_sym_truncate_statement_token1] = ACTIONS(3401),
    [aux_sym_update_statement_token1] = ACTIONS(3401),
    [aux_sym_merge_statement_token1] = ACTIONS(3401),
    [aux_sym_grant_statement_token1] = ACTIONS(3401),
    [aux_sym_revoke_statement_token1] = ACTIONS(3401),
    [aux_sym_export_data_statement_token1] = ACTIONS(3401),
    [aux_sym_load_data_statement_token1] = ACTIONS(3401),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [5160] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5161] = {
    [ts_builtin_sym_end] = ACTIONS(1513),
    [sym__unquoted_identifier] = ACTIONS(1515),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1515),
    [aux_sym__keyword_alter_token1] = ACTIONS(1515),
    [aux_sym__keyword_create_token1] = ACTIONS(1515),
    [aux_sym__keyword_drop_token1] = ACTIONS(1515),
    [aux_sym__keyword_delete_token1] = ACTIONS(1515),
    [aux_sym__keyword_begin_token1] = ACTIONS(1515),
    [aux_sym__keyword_when_token1] = ACTIONS(1515),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1515),
    [aux_sym__keyword_as_token1] = ACTIONS(1515),
    [aux_sym__keyword_window_token1] = ACTIONS(1515),
    [aux_sym__keyword_date_token1] = ACTIONS(1515),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1515),
    [aux_sym__keyword_time_token1] = ACTIONS(1515),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1515),
    [aux_sym__keyword_for_token1] = ACTIONS(1515),
    [anon_sym_SEMI] = ACTIONS(1513),
    [aux_sym_declare_statement_token1] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1513),
    [aux_sym_set_statement_token1] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1515),
    [aux_sym_using_clause_token1] = ACTIONS(1515),
    [aux_sym_return_statement_token1] = ACTIONS(1515),
    [aux_sym_call_statement_token1] = ACTIONS(1515),
    [aux_sym_loop_statement_token1] = ACTIONS(1515),
    [aux_sym_while_statement_token1] = ACTIONS(1515),
    [aux_sym_break_statement_token1] = ACTIONS(1515),
    [aux_sym_leave_statement_token1] = ACTIONS(1515),
    [aux_sym_continue_statement_token1] = ACTIONS(1515),
    [aux_sym_iterate_statement_token1] = ACTIONS(1515),
    [aux_sym_raise_statement_token1] = ACTIONS(1515),
    [aux_sym_assert_statement_token1] = ACTIONS(1515),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token1] = ACTIONS(1515),
    [aux_sym_set_operation_token3] = ACTIONS(1515),
    [aux_sym_set_operation_token4] = ACTIONS(1515),
    [aux_sym_select_token1] = ACTIONS(1515),
    [aux_sym_having_clause_token1] = ACTIONS(1515),
    [aux_sym_qualify_clause_token1] = ACTIONS(1515),
    [aux_sym_limit_clause_token1] = ACTIONS(1515),
    [aux_sym_group_by_clause_token1] = ACTIONS(1515),
    [aux_sym_order_by_clause_token1] = ACTIONS(1515),
    [aux_sym_where_clause_token1] = ACTIONS(1515),
    [aux_sym_pivot_operator_token1] = ACTIONS(1515),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1515),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1515),
    [aux_sym_join_type_token1] = ACTIONS(1515),
    [aux_sym_join_type_token2] = ACTIONS(1515),
    [aux_sym_join_type_token3] = ACTIONS(1515),
    [aux_sym_join_type_token4] = ACTIONS(1515),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1515),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1515),
    [aux_sym_join_condition_token1] = ACTIONS(1515),
    [aux_sym_insert_statement_token1] = ACTIONS(1515),
    [aux_sym_truncate_statement_token1] = ACTIONS(1515),
    [aux_sym_update_statement_token1] = ACTIONS(1515),
    [aux_sym_merge_statement_token1] = ACTIONS(1515),
    [aux_sym_grant_statement_token1] = ACTIONS(1515),
    [aux_sym_revoke_statement_token1] = ACTIONS(1515),
    [aux_sym_export_data_statement_token1] = ACTIONS(1515),
    [aux_sym_load_data_statement_token1] = ACTIONS(1515),
    [sym__quoted_identifier] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
  },
  [5162] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5163] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5164] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5165] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5166] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5167] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5168] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5169] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym__unquoted_identifier] = ACTIONS(1423),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1423),
    [aux_sym__keyword_alter_token1] = ACTIONS(1423),
    [aux_sym__keyword_create_token1] = ACTIONS(1423),
    [aux_sym__keyword_drop_token1] = ACTIONS(1423),
    [aux_sym__keyword_delete_token1] = ACTIONS(1423),
    [aux_sym__keyword_begin_token1] = ACTIONS(1423),
    [aux_sym__keyword_when_token1] = ACTIONS(1423),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1423),
    [aux_sym__keyword_as_token1] = ACTIONS(1423),
    [aux_sym__keyword_window_token1] = ACTIONS(1423),
    [aux_sym__keyword_date_token1] = ACTIONS(1423),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1423),
    [aux_sym__keyword_time_token1] = ACTIONS(1423),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1423),
    [aux_sym__keyword_for_token1] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [aux_sym_declare_statement_token1] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1421),
    [aux_sym_set_statement_token1] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1423),
    [aux_sym_using_clause_token1] = ACTIONS(1423),
    [aux_sym_return_statement_token1] = ACTIONS(1423),
    [aux_sym_call_statement_token1] = ACTIONS(1423),
    [aux_sym_loop_statement_token1] = ACTIONS(1423),
    [aux_sym_while_statement_token1] = ACTIONS(1423),
    [aux_sym_break_statement_token1] = ACTIONS(1423),
    [aux_sym_leave_statement_token1] = ACTIONS(1423),
    [aux_sym_continue_statement_token1] = ACTIONS(1423),
    [aux_sym_iterate_statement_token1] = ACTIONS(1423),
    [aux_sym_raise_statement_token1] = ACTIONS(1423),
    [aux_sym_assert_statement_token1] = ACTIONS(1423),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token1] = ACTIONS(1423),
    [aux_sym_set_operation_token3] = ACTIONS(1423),
    [aux_sym_set_operation_token4] = ACTIONS(1423),
    [aux_sym_select_token1] = ACTIONS(1423),
    [aux_sym_having_clause_token1] = ACTIONS(1423),
    [aux_sym_qualify_clause_token1] = ACTIONS(1423),
    [aux_sym_limit_clause_token1] = ACTIONS(1423),
    [aux_sym_group_by_clause_token1] = ACTIONS(1423),
    [aux_sym_order_by_clause_token1] = ACTIONS(1423),
    [aux_sym_where_clause_token1] = ACTIONS(1423),
    [aux_sym_pivot_operator_token1] = ACTIONS(1423),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1423),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1423),
    [aux_sym_join_type_token1] = ACTIONS(1423),
    [aux_sym_join_type_token2] = ACTIONS(1423),
    [aux_sym_join_type_token3] = ACTIONS(1423),
    [aux_sym_join_type_token4] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1423),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1423),
    [aux_sym_join_condition_token1] = ACTIONS(1423),
    [aux_sym_insert_statement_token1] = ACTIONS(1423),
    [aux_sym_truncate_statement_token1] = ACTIONS(1423),
    [aux_sym_update_statement_token1] = ACTIONS(1423),
    [aux_sym_merge_statement_token1] = ACTIONS(1423),
    [aux_sym_grant_statement_token1] = ACTIONS(1423),
    [aux_sym_revoke_statement_token1] = ACTIONS(1423),
    [aux_sym_export_data_statement_token1] = ACTIONS(1423),
    [aux_sym_load_data_statement_token1] = ACTIONS(1423),
    [sym__quoted_identifier] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [5170] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym__unquoted_identifier] = ACTIONS(1503),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1503),
    [aux_sym__keyword_alter_token1] = ACTIONS(1503),
    [aux_sym__keyword_create_token1] = ACTIONS(1503),
    [aux_sym__keyword_drop_token1] = ACTIONS(1503),
    [aux_sym__keyword_delete_token1] = ACTIONS(1503),
    [aux_sym__keyword_begin_token1] = ACTIONS(1503),
    [aux_sym__keyword_when_token1] = ACTIONS(1503),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1503),
    [aux_sym__keyword_as_token1] = ACTIONS(1503),
    [aux_sym__keyword_window_token1] = ACTIONS(1503),
    [aux_sym__keyword_date_token1] = ACTIONS(1503),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1503),
    [aux_sym__keyword_time_token1] = ACTIONS(1503),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1503),
    [aux_sym__keyword_for_token1] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [aux_sym_declare_statement_token1] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1501),
    [aux_sym_set_statement_token1] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1503),
    [aux_sym_using_clause_token1] = ACTIONS(1503),
    [aux_sym_return_statement_token1] = ACTIONS(1503),
    [aux_sym_call_statement_token1] = ACTIONS(1503),
    [aux_sym_loop_statement_token1] = ACTIONS(1503),
    [aux_sym_while_statement_token1] = ACTIONS(1503),
    [aux_sym_break_statement_token1] = ACTIONS(1503),
    [aux_sym_leave_statement_token1] = ACTIONS(1503),
    [aux_sym_continue_statement_token1] = ACTIONS(1503),
    [aux_sym_iterate_statement_token1] = ACTIONS(1503),
    [aux_sym_raise_statement_token1] = ACTIONS(1503),
    [aux_sym_assert_statement_token1] = ACTIONS(1503),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token1] = ACTIONS(1503),
    [aux_sym_set_operation_token3] = ACTIONS(1503),
    [aux_sym_set_operation_token4] = ACTIONS(1503),
    [aux_sym_select_token1] = ACTIONS(1503),
    [aux_sym_having_clause_token1] = ACTIONS(1503),
    [aux_sym_qualify_clause_token1] = ACTIONS(1503),
    [aux_sym_limit_clause_token1] = ACTIONS(1503),
    [aux_sym_group_by_clause_token1] = ACTIONS(1503),
    [aux_sym_order_by_clause_token1] = ACTIONS(1503),
    [aux_sym_where_clause_token1] = ACTIONS(1503),
    [aux_sym_pivot_operator_token1] = ACTIONS(1503),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1503),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1503),
    [aux_sym_join_type_token1] = ACTIONS(1503),
    [aux_sym_join_type_token2] = ACTIONS(1503),
    [aux_sym_join_type_token3] = ACTIONS(1503),
    [aux_sym_join_type_token4] = ACTIONS(1503),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1503),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1503),
    [aux_sym_join_condition_token1] = ACTIONS(1503),
    [aux_sym_insert_statement_token1] = ACTIONS(1503),
    [aux_sym_truncate_statement_token1] = ACTIONS(1503),
    [aux_sym_update_statement_token1] = ACTIONS(1503),
    [aux_sym_merge_statement_token1] = ACTIONS(1503),
    [aux_sym_grant_statement_token1] = ACTIONS(1503),
    [aux_sym_revoke_statement_token1] = ACTIONS(1503),
    [aux_sym_export_data_statement_token1] = ACTIONS(1503),
    [aux_sym_load_data_statement_token1] = ACTIONS(1503),
    [sym__quoted_identifier] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
  },
  [5171] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [sym__unquoted_identifier] = ACTIONS(1491),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1491),
    [aux_sym__keyword_alter_token1] = ACTIONS(1491),
    [aux_sym__keyword_create_token1] = ACTIONS(1491),
    [aux_sym__keyword_drop_token1] = ACTIONS(1491),
    [aux_sym__keyword_delete_token1] = ACTIONS(1491),
    [aux_sym__keyword_begin_token1] = ACTIONS(1491),
    [aux_sym__keyword_when_token1] = ACTIONS(1491),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1491),
    [aux_sym__keyword_as_token1] = ACTIONS(1491),
    [aux_sym__keyword_window_token1] = ACTIONS(1491),
    [aux_sym__keyword_date_token1] = ACTIONS(1491),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1491),
    [aux_sym__keyword_time_token1] = ACTIONS(1491),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1491),
    [aux_sym__keyword_for_token1] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [aux_sym_declare_statement_token1] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1489),
    [aux_sym_set_statement_token1] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1491),
    [aux_sym_using_clause_token1] = ACTIONS(1491),
    [aux_sym_return_statement_token1] = ACTIONS(1491),
    [aux_sym_call_statement_token1] = ACTIONS(1491),
    [aux_sym_loop_statement_token1] = ACTIONS(1491),
    [aux_sym_while_statement_token1] = ACTIONS(1491),
    [aux_sym_break_statement_token1] = ACTIONS(1491),
    [aux_sym_leave_statement_token1] = ACTIONS(1491),
    [aux_sym_continue_statement_token1] = ACTIONS(1491),
    [aux_sym_iterate_statement_token1] = ACTIONS(1491),
    [aux_sym_raise_statement_token1] = ACTIONS(1491),
    [aux_sym_assert_statement_token1] = ACTIONS(1491),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token1] = ACTIONS(1491),
    [aux_sym_set_operation_token3] = ACTIONS(1491),
    [aux_sym_set_operation_token4] = ACTIONS(1491),
    [aux_sym_select_token1] = ACTIONS(1491),
    [aux_sym_having_clause_token1] = ACTIONS(1491),
    [aux_sym_qualify_clause_token1] = ACTIONS(1491),
    [aux_sym_limit_clause_token1] = ACTIONS(1491),
    [aux_sym_group_by_clause_token1] = ACTIONS(1491),
    [aux_sym_order_by_clause_token1] = ACTIONS(1491),
    [aux_sym_where_clause_token1] = ACTIONS(1491),
    [aux_sym_pivot_operator_token1] = ACTIONS(1491),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1491),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1491),
    [aux_sym_join_type_token1] = ACTIONS(1491),
    [aux_sym_join_type_token2] = ACTIONS(1491),
    [aux_sym_join_type_token3] = ACTIONS(1491),
    [aux_sym_join_type_token4] = ACTIONS(1491),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1491),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1491),
    [aux_sym_join_condition_token1] = ACTIONS(1491),
    [aux_sym_insert_statement_token1] = ACTIONS(1491),
    [aux_sym_truncate_statement_token1] = ACTIONS(1491),
    [aux_sym_update_statement_token1] = ACTIONS(1491),
    [aux_sym_merge_statement_token1] = ACTIONS(1491),
    [aux_sym_grant_statement_token1] = ACTIONS(1491),
    [aux_sym_revoke_statement_token1] = ACTIONS(1491),
    [aux_sym_export_data_statement_token1] = ACTIONS(1491),
    [aux_sym_load_data_statement_token1] = ACTIONS(1491),
    [sym__quoted_identifier] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
  },
  [5172] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [5173] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [5174] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym__unquoted_identifier] = ACTIONS(1483),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1483),
    [aux_sym__keyword_alter_token1] = ACTIONS(1483),
    [aux_sym__keyword_create_token1] = ACTIONS(1483),
    [aux_sym__keyword_drop_token1] = ACTIONS(1483),
    [aux_sym__keyword_delete_token1] = ACTIONS(1483),
    [aux_sym__keyword_begin_token1] = ACTIONS(1483),
    [aux_sym__keyword_when_token1] = ACTIONS(1483),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1483),
    [aux_sym__keyword_as_token1] = ACTIONS(1483),
    [aux_sym__keyword_window_token1] = ACTIONS(1483),
    [aux_sym__keyword_date_token1] = ACTIONS(1483),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1483),
    [aux_sym__keyword_time_token1] = ACTIONS(1483),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1483),
    [aux_sym__keyword_for_token1] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [aux_sym_declare_statement_token1] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1481),
    [aux_sym_set_statement_token1] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1483),
    [aux_sym_using_clause_token1] = ACTIONS(1483),
    [aux_sym_return_statement_token1] = ACTIONS(1483),
    [aux_sym_call_statement_token1] = ACTIONS(1483),
    [aux_sym_loop_statement_token1] = ACTIONS(1483),
    [aux_sym_while_statement_token1] = ACTIONS(1483),
    [aux_sym_break_statement_token1] = ACTIONS(1483),
    [aux_sym_leave_statement_token1] = ACTIONS(1483),
    [aux_sym_continue_statement_token1] = ACTIONS(1483),
    [aux_sym_iterate_statement_token1] = ACTIONS(1483),
    [aux_sym_raise_statement_token1] = ACTIONS(1483),
    [aux_sym_assert_statement_token1] = ACTIONS(1483),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token1] = ACTIONS(1483),
    [aux_sym_set_operation_token3] = ACTIONS(1483),
    [aux_sym_set_operation_token4] = ACTIONS(1483),
    [aux_sym_select_token1] = ACTIONS(1483),
    [aux_sym_having_clause_token1] = ACTIONS(1483),
    [aux_sym_qualify_clause_token1] = ACTIONS(1483),
    [aux_sym_limit_clause_token1] = ACTIONS(1483),
    [aux_sym_group_by_clause_token1] = ACTIONS(1483),
    [aux_sym_order_by_clause_token1] = ACTIONS(1483),
    [aux_sym_where_clause_token1] = ACTIONS(1483),
    [aux_sym_pivot_operator_token1] = ACTIONS(1483),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1483),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1483),
    [aux_sym_join_type_token1] = ACTIONS(1483),
    [aux_sym_join_type_token2] = ACTIONS(1483),
    [aux_sym_join_type_token3] = ACTIONS(1483),
    [aux_sym_join_type_token4] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1483),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1483),
    [aux_sym_join_condition_token1] = ACTIONS(1483),
    [aux_sym_insert_statement_token1] = ACTIONS(1483),
    [aux_sym_truncate_statement_token1] = ACTIONS(1483),
    [aux_sym_update_statement_token1] = ACTIONS(1483),
    [aux_sym_merge_statement_token1] = ACTIONS(1483),
    [aux_sym_grant_statement_token1] = ACTIONS(1483),
    [aux_sym_revoke_statement_token1] = ACTIONS(1483),
    [aux_sym_export_data_statement_token1] = ACTIONS(1483),
    [aux_sym_load_data_statement_token1] = ACTIONS(1483),
    [sym__quoted_identifier] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
  },
  [5175] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5417),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(3399),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3397),
    [aux_sym__keyword_alter_token1] = ACTIONS(3397),
    [aux_sym__keyword_create_token1] = ACTIONS(3397),
    [aux_sym__keyword_drop_token1] = ACTIONS(3397),
    [aux_sym__keyword_delete_token1] = ACTIONS(3397),
    [aux_sym__keyword_begin_token1] = ACTIONS(3397),
    [aux_sym__keyword_when_token1] = ACTIONS(3397),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3397),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3397),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [aux_sym_declare_statement_token1] = ACTIONS(3397),
    [aux_sym_set_statement_token1] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3397),
    [aux_sym_return_statement_token1] = ACTIONS(3397),
    [aux_sym_call_statement_token1] = ACTIONS(3397),
    [aux_sym_loop_statement_token1] = ACTIONS(3397),
    [aux_sym_while_statement_token1] = ACTIONS(3397),
    [aux_sym_break_statement_token1] = ACTIONS(3397),
    [aux_sym_leave_statement_token1] = ACTIONS(3397),
    [aux_sym_continue_statement_token1] = ACTIONS(3397),
    [aux_sym_iterate_statement_token1] = ACTIONS(3397),
    [aux_sym_raise_statement_token1] = ACTIONS(3397),
    [aux_sym_assert_statement_token1] = ACTIONS(3397),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3397),
    [aux_sym_set_operation_token1] = ACTIONS(3397),
    [aux_sym_set_operation_token3] = ACTIONS(3397),
    [aux_sym_set_operation_token4] = ACTIONS(3397),
    [aux_sym_select_token1] = ACTIONS(3397),
    [aux_sym_having_clause_token1] = ACTIONS(3397),
    [aux_sym_qualify_clause_token1] = ACTIONS(3397),
    [aux_sym_limit_clause_token1] = ACTIONS(3397),
    [aux_sym_group_by_clause_token1] = ACTIONS(3397),
    [aux_sym_order_by_clause_token1] = ACTIONS(3397),
    [aux_sym_where_clause_token1] = ACTIONS(3397),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3397),
    [aux_sym_insert_statement_token1] = ACTIONS(3397),
    [aux_sym_truncate_statement_token1] = ACTIONS(3397),
    [aux_sym_update_statement_token1] = ACTIONS(3397),
    [aux_sym_merge_statement_token1] = ACTIONS(3397),
    [aux_sym_grant_statement_token1] = ACTIONS(3397),
    [aux_sym_revoke_statement_token1] = ACTIONS(3397),
    [aux_sym_export_data_statement_token1] = ACTIONS(3397),
    [aux_sym_load_data_statement_token1] = ACTIONS(3397),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [5176] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [5177] = {
    [ts_builtin_sym_end] = ACTIONS(1461),
    [sym__unquoted_identifier] = ACTIONS(1463),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1463),
    [aux_sym__keyword_alter_token1] = ACTIONS(1463),
    [aux_sym__keyword_create_token1] = ACTIONS(1463),
    [aux_sym__keyword_drop_token1] = ACTIONS(1463),
    [aux_sym__keyword_delete_token1] = ACTIONS(1463),
    [aux_sym__keyword_begin_token1] = ACTIONS(1463),
    [aux_sym__keyword_when_token1] = ACTIONS(1463),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1463),
    [aux_sym__keyword_as_token1] = ACTIONS(1463),
    [aux_sym__keyword_window_token1] = ACTIONS(1463),
    [aux_sym__keyword_date_token1] = ACTIONS(1463),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1463),
    [aux_sym__keyword_time_token1] = ACTIONS(1463),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1463),
    [aux_sym__keyword_for_token1] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_declare_statement_token1] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1461),
    [aux_sym_set_statement_token1] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1463),
    [aux_sym_using_clause_token1] = ACTIONS(1463),
    [aux_sym_return_statement_token1] = ACTIONS(1463),
    [aux_sym_call_statement_token1] = ACTIONS(1463),
    [aux_sym_loop_statement_token1] = ACTIONS(1463),
    [aux_sym_while_statement_token1] = ACTIONS(1463),
    [aux_sym_break_statement_token1] = ACTIONS(1463),
    [aux_sym_leave_statement_token1] = ACTIONS(1463),
    [aux_sym_continue_statement_token1] = ACTIONS(1463),
    [aux_sym_iterate_statement_token1] = ACTIONS(1463),
    [aux_sym_raise_statement_token1] = ACTIONS(1463),
    [aux_sym_assert_statement_token1] = ACTIONS(1463),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token1] = ACTIONS(1463),
    [aux_sym_set_operation_token3] = ACTIONS(1463),
    [aux_sym_set_operation_token4] = ACTIONS(1463),
    [aux_sym_select_token1] = ACTIONS(1463),
    [aux_sym_having_clause_token1] = ACTIONS(1463),
    [aux_sym_qualify_clause_token1] = ACTIONS(1463),
    [aux_sym_limit_clause_token1] = ACTIONS(1463),
    [aux_sym_group_by_clause_token1] = ACTIONS(1463),
    [aux_sym_order_by_clause_token1] = ACTIONS(1463),
    [aux_sym_where_clause_token1] = ACTIONS(1463),
    [aux_sym_pivot_operator_token1] = ACTIONS(1463),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1463),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1463),
    [aux_sym_join_type_token1] = ACTIONS(1463),
    [aux_sym_join_type_token2] = ACTIONS(1463),
    [aux_sym_join_type_token3] = ACTIONS(1463),
    [aux_sym_join_type_token4] = ACTIONS(1463),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1463),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1463),
    [aux_sym_join_condition_token1] = ACTIONS(1463),
    [aux_sym_insert_statement_token1] = ACTIONS(1463),
    [aux_sym_truncate_statement_token1] = ACTIONS(1463),
    [aux_sym_update_statement_token1] = ACTIONS(1463),
    [aux_sym_merge_statement_token1] = ACTIONS(1463),
    [aux_sym_grant_statement_token1] = ACTIONS(1463),
    [aux_sym_revoke_statement_token1] = ACTIONS(1463),
    [aux_sym_export_data_statement_token1] = ACTIONS(1463),
    [aux_sym_load_data_statement_token1] = ACTIONS(1463),
    [sym__quoted_identifier] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
  },
  [5178] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [5179] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5180] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [5181] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [5182] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym__unquoted_identifier] = ACTIONS(1407),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1407),
    [aux_sym__keyword_alter_token1] = ACTIONS(1407),
    [aux_sym__keyword_create_token1] = ACTIONS(1407),
    [aux_sym__keyword_drop_token1] = ACTIONS(1407),
    [aux_sym__keyword_delete_token1] = ACTIONS(1407),
    [aux_sym__keyword_begin_token1] = ACTIONS(1407),
    [aux_sym__keyword_when_token1] = ACTIONS(1407),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1407),
    [aux_sym__keyword_as_token1] = ACTIONS(1407),
    [aux_sym__keyword_window_token1] = ACTIONS(1407),
    [aux_sym__keyword_date_token1] = ACTIONS(1407),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1407),
    [aux_sym__keyword_time_token1] = ACTIONS(1407),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1407),
    [aux_sym__keyword_for_token1] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_declare_statement_token1] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1405),
    [aux_sym_set_statement_token1] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1407),
    [aux_sym_using_clause_token1] = ACTIONS(1407),
    [aux_sym_return_statement_token1] = ACTIONS(1407),
    [aux_sym_call_statement_token1] = ACTIONS(1407),
    [aux_sym_loop_statement_token1] = ACTIONS(1407),
    [aux_sym_while_statement_token1] = ACTIONS(1407),
    [aux_sym_break_statement_token1] = ACTIONS(1407),
    [aux_sym_leave_statement_token1] = ACTIONS(1407),
    [aux_sym_continue_statement_token1] = ACTIONS(1407),
    [aux_sym_iterate_statement_token1] = ACTIONS(1407),
    [aux_sym_raise_statement_token1] = ACTIONS(1407),
    [aux_sym_assert_statement_token1] = ACTIONS(1407),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token1] = ACTIONS(1407),
    [aux_sym_set_operation_token3] = ACTIONS(1407),
    [aux_sym_set_operation_token4] = ACTIONS(1407),
    [aux_sym_select_token1] = ACTIONS(1407),
    [aux_sym_having_clause_token1] = ACTIONS(1407),
    [aux_sym_qualify_clause_token1] = ACTIONS(1407),
    [aux_sym_limit_clause_token1] = ACTIONS(1407),
    [aux_sym_group_by_clause_token1] = ACTIONS(1407),
    [aux_sym_order_by_clause_token1] = ACTIONS(1407),
    [aux_sym_where_clause_token1] = ACTIONS(1407),
    [aux_sym_pivot_operator_token1] = ACTIONS(1407),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1407),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1407),
    [aux_sym_join_type_token1] = ACTIONS(1407),
    [aux_sym_join_type_token2] = ACTIONS(1407),
    [aux_sym_join_type_token3] = ACTIONS(1407),
    [aux_sym_join_type_token4] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1407),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1407),
    [aux_sym_join_condition_token1] = ACTIONS(1407),
    [aux_sym_insert_statement_token1] = ACTIONS(1407),
    [aux_sym_truncate_statement_token1] = ACTIONS(1407),
    [aux_sym_update_statement_token1] = ACTIONS(1407),
    [aux_sym_merge_statement_token1] = ACTIONS(1407),
    [aux_sym_grant_statement_token1] = ACTIONS(1407),
    [aux_sym_revoke_statement_token1] = ACTIONS(1407),
    [aux_sym_export_data_statement_token1] = ACTIONS(1407),
    [aux_sym_load_data_statement_token1] = ACTIONS(1407),
    [sym__quoted_identifier] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [5183] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_using_clause_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_pivot_operator_token1] = ACTIONS(1687),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1687),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1687),
    [aux_sym_join_type_token1] = ACTIONS(1687),
    [aux_sym_join_type_token2] = ACTIONS(1687),
    [aux_sym_join_type_token3] = ACTIONS(1687),
    [aux_sym_join_type_token4] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1687),
    [aux_sym_join_condition_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [5184] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5185] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5186] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5187] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_using_clause_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_pivot_operator_token1] = ACTIONS(1687),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1687),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1687),
    [aux_sym_join_type_token1] = ACTIONS(1687),
    [aux_sym_join_type_token2] = ACTIONS(1687),
    [aux_sym_join_type_token3] = ACTIONS(1687),
    [aux_sym_join_type_token4] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1687),
    [aux_sym_join_condition_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [5188] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_using_clause_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_pivot_operator_token1] = ACTIONS(1687),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1687),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1687),
    [aux_sym_join_type_token1] = ACTIONS(1687),
    [aux_sym_join_type_token2] = ACTIONS(1687),
    [aux_sym_join_type_token3] = ACTIONS(1687),
    [aux_sym_join_type_token4] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1687),
    [aux_sym_join_condition_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [5189] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5190] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5191] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5192] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5193] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym__unquoted_identifier] = ACTIONS(1687),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1687),
    [aux_sym__keyword_alter_token1] = ACTIONS(1687),
    [aux_sym__keyword_create_token1] = ACTIONS(1687),
    [aux_sym__keyword_drop_token1] = ACTIONS(1687),
    [aux_sym__keyword_delete_token1] = ACTIONS(1687),
    [aux_sym__keyword_begin_token1] = ACTIONS(1687),
    [aux_sym__keyword_when_token1] = ACTIONS(1687),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1687),
    [aux_sym__keyword_as_token1] = ACTIONS(1687),
    [aux_sym__keyword_window_token1] = ACTIONS(1687),
    [aux_sym__keyword_date_token1] = ACTIONS(1687),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1687),
    [aux_sym__keyword_time_token1] = ACTIONS(1687),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1687),
    [aux_sym__keyword_for_token1] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1685),
    [aux_sym_declare_statement_token1] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1685),
    [aux_sym_set_statement_token1] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1687),
    [aux_sym_using_clause_token1] = ACTIONS(1687),
    [aux_sym_return_statement_token1] = ACTIONS(1687),
    [aux_sym_call_statement_token1] = ACTIONS(1687),
    [aux_sym_loop_statement_token1] = ACTIONS(1687),
    [aux_sym_while_statement_token1] = ACTIONS(1687),
    [aux_sym_break_statement_token1] = ACTIONS(1687),
    [aux_sym_leave_statement_token1] = ACTIONS(1687),
    [aux_sym_continue_statement_token1] = ACTIONS(1687),
    [aux_sym_iterate_statement_token1] = ACTIONS(1687),
    [aux_sym_raise_statement_token1] = ACTIONS(1687),
    [aux_sym_assert_statement_token1] = ACTIONS(1687),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token1] = ACTIONS(1687),
    [aux_sym_set_operation_token3] = ACTIONS(1687),
    [aux_sym_set_operation_token4] = ACTIONS(1687),
    [aux_sym_select_token1] = ACTIONS(1687),
    [aux_sym_having_clause_token1] = ACTIONS(1687),
    [aux_sym_qualify_clause_token1] = ACTIONS(1687),
    [aux_sym_limit_clause_token1] = ACTIONS(1687),
    [aux_sym_group_by_clause_token1] = ACTIONS(1687),
    [aux_sym_order_by_clause_token1] = ACTIONS(1687),
    [aux_sym_where_clause_token1] = ACTIONS(1687),
    [aux_sym_pivot_operator_token1] = ACTIONS(1687),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1687),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1687),
    [aux_sym_join_type_token1] = ACTIONS(1687),
    [aux_sym_join_type_token2] = ACTIONS(1687),
    [aux_sym_join_type_token3] = ACTIONS(1687),
    [aux_sym_join_type_token4] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1687),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1687),
    [aux_sym_join_condition_token1] = ACTIONS(1687),
    [aux_sym_insert_statement_token1] = ACTIONS(1687),
    [aux_sym_truncate_statement_token1] = ACTIONS(1687),
    [aux_sym_update_statement_token1] = ACTIONS(1687),
    [aux_sym_merge_statement_token1] = ACTIONS(1687),
    [aux_sym_grant_statement_token1] = ACTIONS(1687),
    [aux_sym_revoke_statement_token1] = ACTIONS(1687),
    [aux_sym_export_data_statement_token1] = ACTIONS(1687),
    [aux_sym_load_data_statement_token1] = ACTIONS(1687),
    [sym__quoted_identifier] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [5194] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5195] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_when_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_window_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_using_clause_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token3] = ACTIONS(1859),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_having_clause_token1] = ACTIONS(1859),
    [aux_sym_qualify_clause_token1] = ACTIONS(1859),
    [aux_sym_limit_clause_token1] = ACTIONS(1859),
    [aux_sym_group_by_clause_token1] = ACTIONS(1859),
    [aux_sym_order_by_clause_token1] = ACTIONS(1859),
    [aux_sym_where_clause_token1] = ACTIONS(1859),
    [aux_sym_pivot_operator_token1] = ACTIONS(1859),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1859),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1859),
    [aux_sym_join_type_token1] = ACTIONS(1859),
    [aux_sym_join_type_token2] = ACTIONS(1859),
    [aux_sym_join_type_token3] = ACTIONS(1859),
    [aux_sym_join_type_token4] = ACTIONS(1859),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1859),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1859),
    [aux_sym_join_condition_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
  },
  [5196] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym__unquoted_identifier] = ACTIONS(1377),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1377),
    [aux_sym__keyword_alter_token1] = ACTIONS(1377),
    [aux_sym__keyword_create_token1] = ACTIONS(1377),
    [aux_sym__keyword_drop_token1] = ACTIONS(1377),
    [aux_sym__keyword_delete_token1] = ACTIONS(1377),
    [aux_sym__keyword_begin_token1] = ACTIONS(1377),
    [aux_sym__keyword_when_token1] = ACTIONS(1377),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1377),
    [aux_sym__keyword_as_token1] = ACTIONS(1377),
    [aux_sym__keyword_window_token1] = ACTIONS(1377),
    [aux_sym__keyword_date_token1] = ACTIONS(1377),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1377),
    [aux_sym__keyword_time_token1] = ACTIONS(1377),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1377),
    [aux_sym__keyword_for_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_declare_statement_token1] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [aux_sym_set_statement_token1] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1377),
    [aux_sym_using_clause_token1] = ACTIONS(1377),
    [aux_sym_return_statement_token1] = ACTIONS(1377),
    [aux_sym_call_statement_token1] = ACTIONS(1377),
    [aux_sym_loop_statement_token1] = ACTIONS(1377),
    [aux_sym_while_statement_token1] = ACTIONS(1377),
    [aux_sym_break_statement_token1] = ACTIONS(1377),
    [aux_sym_leave_statement_token1] = ACTIONS(1377),
    [aux_sym_continue_statement_token1] = ACTIONS(1377),
    [aux_sym_iterate_statement_token1] = ACTIONS(1377),
    [aux_sym_raise_statement_token1] = ACTIONS(1377),
    [aux_sym_assert_statement_token1] = ACTIONS(1377),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token1] = ACTIONS(1377),
    [aux_sym_set_operation_token3] = ACTIONS(1377),
    [aux_sym_set_operation_token4] = ACTIONS(1377),
    [aux_sym_select_token1] = ACTIONS(1377),
    [aux_sym_having_clause_token1] = ACTIONS(1377),
    [aux_sym_qualify_clause_token1] = ACTIONS(1377),
    [aux_sym_limit_clause_token1] = ACTIONS(1377),
    [aux_sym_group_by_clause_token1] = ACTIONS(1377),
    [aux_sym_order_by_clause_token1] = ACTIONS(1377),
    [aux_sym_where_clause_token1] = ACTIONS(1377),
    [aux_sym_pivot_operator_token1] = ACTIONS(1377),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1377),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1377),
    [aux_sym_join_type_token1] = ACTIONS(1377),
    [aux_sym_join_type_token2] = ACTIONS(1377),
    [aux_sym_join_type_token3] = ACTIONS(1377),
    [aux_sym_join_type_token4] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1377),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1377),
    [aux_sym_join_condition_token1] = ACTIONS(1377),
    [aux_sym_insert_statement_token1] = ACTIONS(1377),
    [aux_sym_truncate_statement_token1] = ACTIONS(1377),
    [aux_sym_update_statement_token1] = ACTIONS(1377),
    [aux_sym_merge_statement_token1] = ACTIONS(1377),
    [aux_sym_grant_statement_token1] = ACTIONS(1377),
    [aux_sym_revoke_statement_token1] = ACTIONS(1377),
    [aux_sym_export_data_statement_token1] = ACTIONS(1377),
    [aux_sym_load_data_statement_token1] = ACTIONS(1377),
    [sym__quoted_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
  },
  [5197] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym__unquoted_identifier] = ACTIONS(1859),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1859),
    [aux_sym__keyword_alter_token1] = ACTIONS(1859),
    [aux_sym__keyword_create_token1] = ACTIONS(1859),
    [aux_sym__keyword_drop_token1] = ACTIONS(1859),
    [aux_sym__keyword_delete_token1] = ACTIONS(1859),
    [aux_sym__keyword_begin_token1] = ACTIONS(1859),
    [aux_sym__keyword_when_token1] = ACTIONS(1859),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1859),
    [aux_sym__keyword_as_token1] = ACTIONS(1859),
    [aux_sym__keyword_window_token1] = ACTIONS(1859),
    [aux_sym__keyword_date_token1] = ACTIONS(1859),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1859),
    [aux_sym__keyword_time_token1] = ACTIONS(1859),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1859),
    [aux_sym__keyword_for_token1] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [aux_sym_declare_statement_token1] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1857),
    [aux_sym_set_statement_token1] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1859),
    [aux_sym_using_clause_token1] = ACTIONS(1859),
    [aux_sym_return_statement_token1] = ACTIONS(1859),
    [aux_sym_call_statement_token1] = ACTIONS(1859),
    [aux_sym_loop_statement_token1] = ACTIONS(1859),
    [aux_sym_while_statement_token1] = ACTIONS(1859),
    [aux_sym_break_statement_token1] = ACTIONS(1859),
    [aux_sym_leave_statement_token1] = ACTIONS(1859),
    [aux_sym_continue_statement_token1] = ACTIONS(1859),
    [aux_sym_iterate_statement_token1] = ACTIONS(1859),
    [aux_sym_raise_statement_token1] = ACTIONS(1859),
    [aux_sym_assert_statement_token1] = ACTIONS(1859),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token1] = ACTIONS(1859),
    [aux_sym_set_operation_token3] = ACTIONS(1859),
    [aux_sym_set_operation_token4] = ACTIONS(1859),
    [aux_sym_select_token1] = ACTIONS(1859),
    [aux_sym_having_clause_token1] = ACTIONS(1859),
    [aux_sym_qualify_clause_token1] = ACTIONS(1859),
    [aux_sym_limit_clause_token1] = ACTIONS(1859),
    [aux_sym_group_by_clause_token1] = ACTIONS(1859),
    [aux_sym_order_by_clause_token1] = ACTIONS(1859),
    [aux_sym_where_clause_token1] = ACTIONS(1859),
    [aux_sym_pivot_operator_token1] = ACTIONS(1859),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1859),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1859),
    [aux_sym_join_type_token1] = ACTIONS(1859),
    [aux_sym_join_type_token2] = ACTIONS(1859),
    [aux_sym_join_type_token3] = ACTIONS(1859),
    [aux_sym_join_type_token4] = ACTIONS(1859),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1859),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1859),
    [aux_sym_join_condition_token1] = ACTIONS(1859),
    [aux_sym_insert_statement_token1] = ACTIONS(1859),
    [aux_sym_truncate_statement_token1] = ACTIONS(1859),
    [aux_sym_update_statement_token1] = ACTIONS(1859),
    [aux_sym_merge_statement_token1] = ACTIONS(1859),
    [aux_sym_grant_statement_token1] = ACTIONS(1859),
    [aux_sym_revoke_statement_token1] = ACTIONS(1859),
    [aux_sym_export_data_statement_token1] = ACTIONS(1859),
    [aux_sym_load_data_statement_token1] = ACTIONS(1859),
    [sym__quoted_identifier] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
  },
  [5198] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym__unquoted_identifier] = ACTIONS(1383),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1383),
    [aux_sym__keyword_alter_token1] = ACTIONS(1383),
    [aux_sym__keyword_create_token1] = ACTIONS(1383),
    [aux_sym__keyword_drop_token1] = ACTIONS(1383),
    [aux_sym__keyword_delete_token1] = ACTIONS(1383),
    [aux_sym__keyword_begin_token1] = ACTIONS(1383),
    [aux_sym__keyword_when_token1] = ACTIONS(1383),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1383),
    [aux_sym__keyword_as_token1] = ACTIONS(1383),
    [aux_sym__keyword_window_token1] = ACTIONS(1383),
    [aux_sym__keyword_date_token1] = ACTIONS(1383),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1383),
    [aux_sym__keyword_time_token1] = ACTIONS(1383),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1383),
    [aux_sym__keyword_for_token1] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_declare_statement_token1] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1381),
    [aux_sym_set_statement_token1] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1383),
    [aux_sym_using_clause_token1] = ACTIONS(1383),
    [aux_sym_return_statement_token1] = ACTIONS(1383),
    [aux_sym_call_statement_token1] = ACTIONS(1383),
    [aux_sym_loop_statement_token1] = ACTIONS(1383),
    [aux_sym_while_statement_token1] = ACTIONS(1383),
    [aux_sym_break_statement_token1] = ACTIONS(1383),
    [aux_sym_leave_statement_token1] = ACTIONS(1383),
    [aux_sym_continue_statement_token1] = ACTIONS(1383),
    [aux_sym_iterate_statement_token1] = ACTIONS(1383),
    [aux_sym_raise_statement_token1] = ACTIONS(1383),
    [aux_sym_assert_statement_token1] = ACTIONS(1383),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token1] = ACTIONS(1383),
    [aux_sym_set_operation_token3] = ACTIONS(1383),
    [aux_sym_set_operation_token4] = ACTIONS(1383),
    [aux_sym_select_token1] = ACTIONS(1383),
    [aux_sym_having_clause_token1] = ACTIONS(1383),
    [aux_sym_qualify_clause_token1] = ACTIONS(1383),
    [aux_sym_limit_clause_token1] = ACTIONS(1383),
    [aux_sym_group_by_clause_token1] = ACTIONS(1383),
    [aux_sym_order_by_clause_token1] = ACTIONS(1383),
    [aux_sym_where_clause_token1] = ACTIONS(1383),
    [aux_sym_pivot_operator_token1] = ACTIONS(1383),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1383),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1383),
    [aux_sym_join_type_token1] = ACTIONS(1383),
    [aux_sym_join_type_token2] = ACTIONS(1383),
    [aux_sym_join_type_token3] = ACTIONS(1383),
    [aux_sym_join_type_token4] = ACTIONS(1383),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1383),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1383),
    [aux_sym_join_condition_token1] = ACTIONS(1383),
    [aux_sym_insert_statement_token1] = ACTIONS(1383),
    [aux_sym_truncate_statement_token1] = ACTIONS(1383),
    [aux_sym_update_statement_token1] = ACTIONS(1383),
    [aux_sym_merge_statement_token1] = ACTIONS(1383),
    [aux_sym_grant_statement_token1] = ACTIONS(1383),
    [aux_sym_revoke_statement_token1] = ACTIONS(1383),
    [aux_sym_export_data_statement_token1] = ACTIONS(1383),
    [aux_sym_load_data_statement_token1] = ACTIONS(1383),
    [sym__quoted_identifier] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
  },
  [5199] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym__unquoted_identifier] = ACTIONS(1387),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1387),
    [aux_sym__keyword_alter_token1] = ACTIONS(1387),
    [aux_sym__keyword_create_token1] = ACTIONS(1387),
    [aux_sym__keyword_drop_token1] = ACTIONS(1387),
    [aux_sym__keyword_delete_token1] = ACTIONS(1387),
    [aux_sym__keyword_begin_token1] = ACTIONS(1387),
    [aux_sym__keyword_when_token1] = ACTIONS(1387),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1387),
    [aux_sym__keyword_as_token1] = ACTIONS(1387),
    [aux_sym__keyword_window_token1] = ACTIONS(1387),
    [aux_sym__keyword_date_token1] = ACTIONS(1387),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1387),
    [aux_sym__keyword_time_token1] = ACTIONS(1387),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1387),
    [aux_sym__keyword_for_token1] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [aux_sym_declare_statement_token1] = ACTIONS(1387),
    [anon_sym_COMMA] = ACTIONS(1385),
    [aux_sym_set_statement_token1] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1387),
    [aux_sym_using_clause_token1] = ACTIONS(1387),
    [aux_sym_return_statement_token1] = ACTIONS(1387),
    [aux_sym_call_statement_token1] = ACTIONS(1387),
    [aux_sym_loop_statement_token1] = ACTIONS(1387),
    [aux_sym_while_statement_token1] = ACTIONS(1387),
    [aux_sym_break_statement_token1] = ACTIONS(1387),
    [aux_sym_leave_statement_token1] = ACTIONS(1387),
    [aux_sym_continue_statement_token1] = ACTIONS(1387),
    [aux_sym_iterate_statement_token1] = ACTIONS(1387),
    [aux_sym_raise_statement_token1] = ACTIONS(1387),
    [aux_sym_assert_statement_token1] = ACTIONS(1387),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token1] = ACTIONS(1387),
    [aux_sym_set_operation_token3] = ACTIONS(1387),
    [aux_sym_set_operation_token4] = ACTIONS(1387),
    [aux_sym_select_token1] = ACTIONS(1387),
    [aux_sym_having_clause_token1] = ACTIONS(1387),
    [aux_sym_qualify_clause_token1] = ACTIONS(1387),
    [aux_sym_limit_clause_token1] = ACTIONS(1387),
    [aux_sym_group_by_clause_token1] = ACTIONS(1387),
    [aux_sym_order_by_clause_token1] = ACTIONS(1387),
    [aux_sym_where_clause_token1] = ACTIONS(1387),
    [aux_sym_pivot_operator_token1] = ACTIONS(1387),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1387),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1387),
    [aux_sym_join_type_token1] = ACTIONS(1387),
    [aux_sym_join_type_token2] = ACTIONS(1387),
    [aux_sym_join_type_token3] = ACTIONS(1387),
    [aux_sym_join_type_token4] = ACTIONS(1387),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1387),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1387),
    [aux_sym_join_condition_token1] = ACTIONS(1387),
    [aux_sym_insert_statement_token1] = ACTIONS(1387),
    [aux_sym_truncate_statement_token1] = ACTIONS(1387),
    [aux_sym_update_statement_token1] = ACTIONS(1387),
    [aux_sym_merge_statement_token1] = ACTIONS(1387),
    [aux_sym_grant_statement_token1] = ACTIONS(1387),
    [aux_sym_revoke_statement_token1] = ACTIONS(1387),
    [aux_sym_export_data_statement_token1] = ACTIONS(1387),
    [aux_sym_load_data_statement_token1] = ACTIONS(1387),
    [sym__quoted_identifier] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
  },
  [5200] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [sym__unquoted_identifier] = ACTIONS(1403),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1403),
    [aux_sym__keyword_alter_token1] = ACTIONS(1403),
    [aux_sym__keyword_create_token1] = ACTIONS(1403),
    [aux_sym__keyword_drop_token1] = ACTIONS(1403),
    [aux_sym__keyword_delete_token1] = ACTIONS(1403),
    [aux_sym__keyword_begin_token1] = ACTIONS(1403),
    [aux_sym__keyword_when_token1] = ACTIONS(1403),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1403),
    [aux_sym__keyword_as_token1] = ACTIONS(1403),
    [aux_sym__keyword_window_token1] = ACTIONS(1403),
    [aux_sym__keyword_date_token1] = ACTIONS(1403),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1403),
    [aux_sym__keyword_time_token1] = ACTIONS(1403),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1403),
    [aux_sym__keyword_for_token1] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [aux_sym_declare_statement_token1] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1401),
    [aux_sym_set_statement_token1] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1403),
    [aux_sym_using_clause_token1] = ACTIONS(1403),
    [aux_sym_return_statement_token1] = ACTIONS(1403),
    [aux_sym_call_statement_token1] = ACTIONS(1403),
    [aux_sym_loop_statement_token1] = ACTIONS(1403),
    [aux_sym_while_statement_token1] = ACTIONS(1403),
    [aux_sym_break_statement_token1] = ACTIONS(1403),
    [aux_sym_leave_statement_token1] = ACTIONS(1403),
    [aux_sym_continue_statement_token1] = ACTIONS(1403),
    [aux_sym_iterate_statement_token1] = ACTIONS(1403),
    [aux_sym_raise_statement_token1] = ACTIONS(1403),
    [aux_sym_assert_statement_token1] = ACTIONS(1403),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token1] = ACTIONS(1403),
    [aux_sym_set_operation_token3] = ACTIONS(1403),
    [aux_sym_set_operation_token4] = ACTIONS(1403),
    [aux_sym_select_token1] = ACTIONS(1403),
    [aux_sym_having_clause_token1] = ACTIONS(1403),
    [aux_sym_qualify_clause_token1] = ACTIONS(1403),
    [aux_sym_limit_clause_token1] = ACTIONS(1403),
    [aux_sym_group_by_clause_token1] = ACTIONS(1403),
    [aux_sym_order_by_clause_token1] = ACTIONS(1403),
    [aux_sym_where_clause_token1] = ACTIONS(1403),
    [aux_sym_pivot_operator_token1] = ACTIONS(1403),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1403),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1403),
    [aux_sym_join_type_token1] = ACTIONS(1403),
    [aux_sym_join_type_token2] = ACTIONS(1403),
    [aux_sym_join_type_token3] = ACTIONS(1403),
    [aux_sym_join_type_token4] = ACTIONS(1403),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1403),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1403),
    [aux_sym_join_condition_token1] = ACTIONS(1403),
    [aux_sym_insert_statement_token1] = ACTIONS(1403),
    [aux_sym_truncate_statement_token1] = ACTIONS(1403),
    [aux_sym_update_statement_token1] = ACTIONS(1403),
    [aux_sym_merge_statement_token1] = ACTIONS(1403),
    [aux_sym_grant_statement_token1] = ACTIONS(1403),
    [aux_sym_revoke_statement_token1] = ACTIONS(1403),
    [aux_sym_export_data_statement_token1] = ACTIONS(1403),
    [aux_sym_load_data_statement_token1] = ACTIONS(1403),
    [sym__quoted_identifier] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
  },
  [5201] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5202] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5203] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5204] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [sym__unquoted_identifier] = ACTIONS(1753),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1753),
    [aux_sym__keyword_alter_token1] = ACTIONS(1753),
    [aux_sym__keyword_create_token1] = ACTIONS(1753),
    [aux_sym__keyword_drop_token1] = ACTIONS(1753),
    [aux_sym__keyword_delete_token1] = ACTIONS(1753),
    [aux_sym__keyword_begin_token1] = ACTIONS(1753),
    [aux_sym__keyword_when_token1] = ACTIONS(1753),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1753),
    [aux_sym__keyword_as_token1] = ACTIONS(1753),
    [aux_sym__keyword_window_token1] = ACTIONS(1753),
    [aux_sym__keyword_date_token1] = ACTIONS(1753),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1753),
    [aux_sym__keyword_time_token1] = ACTIONS(1753),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1753),
    [aux_sym__keyword_for_token1] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [aux_sym_declare_statement_token1] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1751),
    [aux_sym_set_statement_token1] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1753),
    [aux_sym_using_clause_token1] = ACTIONS(1753),
    [aux_sym_return_statement_token1] = ACTIONS(1753),
    [aux_sym_call_statement_token1] = ACTIONS(1753),
    [aux_sym_loop_statement_token1] = ACTIONS(1753),
    [aux_sym_while_statement_token1] = ACTIONS(1753),
    [aux_sym_break_statement_token1] = ACTIONS(1753),
    [aux_sym_leave_statement_token1] = ACTIONS(1753),
    [aux_sym_continue_statement_token1] = ACTIONS(1753),
    [aux_sym_iterate_statement_token1] = ACTIONS(1753),
    [aux_sym_raise_statement_token1] = ACTIONS(1753),
    [aux_sym_assert_statement_token1] = ACTIONS(1753),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1753),
    [aux_sym_set_operation_token1] = ACTIONS(1753),
    [aux_sym_set_operation_token3] = ACTIONS(1753),
    [aux_sym_set_operation_token4] = ACTIONS(1753),
    [aux_sym_select_token1] = ACTIONS(1753),
    [aux_sym_having_clause_token1] = ACTIONS(1753),
    [aux_sym_qualify_clause_token1] = ACTIONS(1753),
    [aux_sym_limit_clause_token1] = ACTIONS(1753),
    [aux_sym_group_by_clause_token1] = ACTIONS(1753),
    [aux_sym_order_by_clause_token1] = ACTIONS(1753),
    [aux_sym_where_clause_token1] = ACTIONS(1753),
    [aux_sym_pivot_operator_token1] = ACTIONS(1753),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1753),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1753),
    [aux_sym_join_type_token1] = ACTIONS(1753),
    [aux_sym_join_type_token2] = ACTIONS(1753),
    [aux_sym_join_type_token3] = ACTIONS(1753),
    [aux_sym_join_type_token4] = ACTIONS(1753),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1753),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1753),
    [aux_sym_join_condition_token1] = ACTIONS(1753),
    [aux_sym_insert_statement_token1] = ACTIONS(1753),
    [aux_sym_truncate_statement_token1] = ACTIONS(1753),
    [aux_sym_update_statement_token1] = ACTIONS(1753),
    [aux_sym_merge_statement_token1] = ACTIONS(1753),
    [aux_sym_grant_statement_token1] = ACTIONS(1753),
    [aux_sym_revoke_statement_token1] = ACTIONS(1753),
    [aux_sym_export_data_statement_token1] = ACTIONS(1753),
    [aux_sym_load_data_statement_token1] = ACTIONS(1753),
    [sym__quoted_identifier] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
  },
  [5205] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5206] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5207] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5208] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__unquoted_identifier] = ACTIONS(1363),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1363),
    [aux_sym__keyword_alter_token1] = ACTIONS(1363),
    [aux_sym__keyword_create_token1] = ACTIONS(1363),
    [aux_sym__keyword_drop_token1] = ACTIONS(1363),
    [aux_sym__keyword_delete_token1] = ACTIONS(1363),
    [aux_sym__keyword_begin_token1] = ACTIONS(1363),
    [aux_sym__keyword_when_token1] = ACTIONS(1363),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1363),
    [aux_sym__keyword_as_token1] = ACTIONS(1363),
    [aux_sym__keyword_window_token1] = ACTIONS(1363),
    [aux_sym__keyword_date_token1] = ACTIONS(1363),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1363),
    [aux_sym__keyword_time_token1] = ACTIONS(1363),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1363),
    [aux_sym__keyword_for_token1] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [aux_sym_declare_statement_token1] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1361),
    [aux_sym_set_statement_token1] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1363),
    [aux_sym_using_clause_token1] = ACTIONS(1363),
    [aux_sym_return_statement_token1] = ACTIONS(1363),
    [aux_sym_call_statement_token1] = ACTIONS(1363),
    [aux_sym_loop_statement_token1] = ACTIONS(1363),
    [aux_sym_while_statement_token1] = ACTIONS(1363),
    [aux_sym_break_statement_token1] = ACTIONS(1363),
    [aux_sym_leave_statement_token1] = ACTIONS(1363),
    [aux_sym_continue_statement_token1] = ACTIONS(1363),
    [aux_sym_iterate_statement_token1] = ACTIONS(1363),
    [aux_sym_raise_statement_token1] = ACTIONS(1363),
    [aux_sym_assert_statement_token1] = ACTIONS(1363),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token1] = ACTIONS(1363),
    [aux_sym_set_operation_token3] = ACTIONS(1363),
    [aux_sym_set_operation_token4] = ACTIONS(1363),
    [aux_sym_select_token1] = ACTIONS(1363),
    [aux_sym_having_clause_token1] = ACTIONS(1363),
    [aux_sym_qualify_clause_token1] = ACTIONS(1363),
    [aux_sym_limit_clause_token1] = ACTIONS(1363),
    [aux_sym_group_by_clause_token1] = ACTIONS(1363),
    [aux_sym_order_by_clause_token1] = ACTIONS(1363),
    [aux_sym_where_clause_token1] = ACTIONS(1363),
    [aux_sym_pivot_operator_token1] = ACTIONS(1363),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1363),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1363),
    [aux_sym_join_type_token1] = ACTIONS(1363),
    [aux_sym_join_type_token2] = ACTIONS(1363),
    [aux_sym_join_type_token3] = ACTIONS(1363),
    [aux_sym_join_type_token4] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1363),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1363),
    [aux_sym_join_condition_token1] = ACTIONS(1363),
    [aux_sym_insert_statement_token1] = ACTIONS(1363),
    [aux_sym_truncate_statement_token1] = ACTIONS(1363),
    [aux_sym_update_statement_token1] = ACTIONS(1363),
    [aux_sym_merge_statement_token1] = ACTIONS(1363),
    [aux_sym_grant_statement_token1] = ACTIONS(1363),
    [aux_sym_revoke_statement_token1] = ACTIONS(1363),
    [aux_sym_export_data_statement_token1] = ACTIONS(1363),
    [aux_sym_load_data_statement_token1] = ACTIONS(1363),
    [sym__quoted_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [5209] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym__unquoted_identifier] = ACTIONS(1427),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1427),
    [aux_sym__keyword_alter_token1] = ACTIONS(1427),
    [aux_sym__keyword_create_token1] = ACTIONS(1427),
    [aux_sym__keyword_drop_token1] = ACTIONS(1427),
    [aux_sym__keyword_delete_token1] = ACTIONS(1427),
    [aux_sym__keyword_begin_token1] = ACTIONS(1427),
    [aux_sym__keyword_when_token1] = ACTIONS(1427),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1427),
    [aux_sym__keyword_as_token1] = ACTIONS(1427),
    [aux_sym__keyword_window_token1] = ACTIONS(1427),
    [aux_sym__keyword_date_token1] = ACTIONS(1427),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1427),
    [aux_sym__keyword_time_token1] = ACTIONS(1427),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1427),
    [aux_sym__keyword_for_token1] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [aux_sym_declare_statement_token1] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1425),
    [aux_sym_set_statement_token1] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1427),
    [aux_sym_using_clause_token1] = ACTIONS(1427),
    [aux_sym_return_statement_token1] = ACTIONS(1427),
    [aux_sym_call_statement_token1] = ACTIONS(1427),
    [aux_sym_loop_statement_token1] = ACTIONS(1427),
    [aux_sym_while_statement_token1] = ACTIONS(1427),
    [aux_sym_break_statement_token1] = ACTIONS(1427),
    [aux_sym_leave_statement_token1] = ACTIONS(1427),
    [aux_sym_continue_statement_token1] = ACTIONS(1427),
    [aux_sym_iterate_statement_token1] = ACTIONS(1427),
    [aux_sym_raise_statement_token1] = ACTIONS(1427),
    [aux_sym_assert_statement_token1] = ACTIONS(1427),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token1] = ACTIONS(1427),
    [aux_sym_set_operation_token3] = ACTIONS(1427),
    [aux_sym_set_operation_token4] = ACTIONS(1427),
    [aux_sym_select_token1] = ACTIONS(1427),
    [aux_sym_having_clause_token1] = ACTIONS(1427),
    [aux_sym_qualify_clause_token1] = ACTIONS(1427),
    [aux_sym_limit_clause_token1] = ACTIONS(1427),
    [aux_sym_group_by_clause_token1] = ACTIONS(1427),
    [aux_sym_order_by_clause_token1] = ACTIONS(1427),
    [aux_sym_where_clause_token1] = ACTIONS(1427),
    [aux_sym_pivot_operator_token1] = ACTIONS(1427),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1427),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1427),
    [aux_sym_join_type_token1] = ACTIONS(1427),
    [aux_sym_join_type_token2] = ACTIONS(1427),
    [aux_sym_join_type_token3] = ACTIONS(1427),
    [aux_sym_join_type_token4] = ACTIONS(1427),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1427),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1427),
    [aux_sym_join_condition_token1] = ACTIONS(1427),
    [aux_sym_insert_statement_token1] = ACTIONS(1427),
    [aux_sym_truncate_statement_token1] = ACTIONS(1427),
    [aux_sym_update_statement_token1] = ACTIONS(1427),
    [aux_sym_merge_statement_token1] = ACTIONS(1427),
    [aux_sym_grant_statement_token1] = ACTIONS(1427),
    [aux_sym_revoke_statement_token1] = ACTIONS(1427),
    [aux_sym_export_data_statement_token1] = ACTIONS(1427),
    [aux_sym_load_data_statement_token1] = ACTIONS(1427),
    [sym__quoted_identifier] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
  },
  [5210] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5211] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5212] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5213] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5214] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5215] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5216] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5217] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5218] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5219] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5220] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5221] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5222] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5413),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(3415),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3413),
    [aux_sym__keyword_alter_token1] = ACTIONS(3413),
    [aux_sym__keyword_create_token1] = ACTIONS(3413),
    [aux_sym__keyword_drop_token1] = ACTIONS(3413),
    [aux_sym__keyword_delete_token1] = ACTIONS(3413),
    [aux_sym__keyword_begin_token1] = ACTIONS(3413),
    [aux_sym__keyword_when_token1] = ACTIONS(3413),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3413),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3413),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3415),
    [aux_sym_declare_statement_token1] = ACTIONS(3413),
    [aux_sym_set_statement_token1] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3413),
    [aux_sym_return_statement_token1] = ACTIONS(3413),
    [aux_sym_call_statement_token1] = ACTIONS(3413),
    [aux_sym_loop_statement_token1] = ACTIONS(3413),
    [aux_sym_while_statement_token1] = ACTIONS(3413),
    [aux_sym_break_statement_token1] = ACTIONS(3413),
    [aux_sym_leave_statement_token1] = ACTIONS(3413),
    [aux_sym_continue_statement_token1] = ACTIONS(3413),
    [aux_sym_iterate_statement_token1] = ACTIONS(3413),
    [aux_sym_raise_statement_token1] = ACTIONS(3413),
    [aux_sym_assert_statement_token1] = ACTIONS(3413),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3413),
    [aux_sym_set_operation_token1] = ACTIONS(3413),
    [aux_sym_set_operation_token3] = ACTIONS(3413),
    [aux_sym_set_operation_token4] = ACTIONS(3413),
    [aux_sym_select_token1] = ACTIONS(3413),
    [aux_sym_having_clause_token1] = ACTIONS(3413),
    [aux_sym_qualify_clause_token1] = ACTIONS(3413),
    [aux_sym_limit_clause_token1] = ACTIONS(3413),
    [aux_sym_group_by_clause_token1] = ACTIONS(3413),
    [aux_sym_order_by_clause_token1] = ACTIONS(3413),
    [aux_sym_where_clause_token1] = ACTIONS(3413),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3413),
    [aux_sym_insert_statement_token1] = ACTIONS(3413),
    [aux_sym_truncate_statement_token1] = ACTIONS(3413),
    [aux_sym_update_statement_token1] = ACTIONS(3413),
    [aux_sym_merge_statement_token1] = ACTIONS(3413),
    [aux_sym_grant_statement_token1] = ACTIONS(3413),
    [aux_sym_revoke_statement_token1] = ACTIONS(3413),
    [aux_sym_export_data_statement_token1] = ACTIONS(3413),
    [aux_sym_load_data_statement_token1] = ACTIONS(3413),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [5223] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5400),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(3411),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3409),
    [aux_sym__keyword_alter_token1] = ACTIONS(3409),
    [aux_sym__keyword_create_token1] = ACTIONS(3409),
    [aux_sym__keyword_drop_token1] = ACTIONS(3409),
    [aux_sym__keyword_delete_token1] = ACTIONS(3409),
    [aux_sym__keyword_begin_token1] = ACTIONS(3409),
    [aux_sym__keyword_when_token1] = ACTIONS(3409),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3409),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3409),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3411),
    [aux_sym_declare_statement_token1] = ACTIONS(3409),
    [aux_sym_set_statement_token1] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3411),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3409),
    [aux_sym_return_statement_token1] = ACTIONS(3409),
    [aux_sym_call_statement_token1] = ACTIONS(3409),
    [aux_sym_loop_statement_token1] = ACTIONS(3409),
    [aux_sym_while_statement_token1] = ACTIONS(3409),
    [aux_sym_break_statement_token1] = ACTIONS(3409),
    [aux_sym_leave_statement_token1] = ACTIONS(3409),
    [aux_sym_continue_statement_token1] = ACTIONS(3409),
    [aux_sym_iterate_statement_token1] = ACTIONS(3409),
    [aux_sym_raise_statement_token1] = ACTIONS(3409),
    [aux_sym_assert_statement_token1] = ACTIONS(3409),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3409),
    [aux_sym_set_operation_token1] = ACTIONS(3409),
    [aux_sym_set_operation_token3] = ACTIONS(3409),
    [aux_sym_set_operation_token4] = ACTIONS(3409),
    [aux_sym_select_token1] = ACTIONS(3409),
    [aux_sym_having_clause_token1] = ACTIONS(3409),
    [aux_sym_qualify_clause_token1] = ACTIONS(3409),
    [aux_sym_limit_clause_token1] = ACTIONS(3409),
    [aux_sym_group_by_clause_token1] = ACTIONS(3409),
    [aux_sym_order_by_clause_token1] = ACTIONS(3409),
    [aux_sym_where_clause_token1] = ACTIONS(3409),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3409),
    [aux_sym_insert_statement_token1] = ACTIONS(3409),
    [aux_sym_truncate_statement_token1] = ACTIONS(3409),
    [aux_sym_update_statement_token1] = ACTIONS(3409),
    [aux_sym_merge_statement_token1] = ACTIONS(3409),
    [aux_sym_grant_statement_token1] = ACTIONS(3409),
    [aux_sym_revoke_statement_token1] = ACTIONS(3409),
    [aux_sym_export_data_statement_token1] = ACTIONS(3409),
    [aux_sym_load_data_statement_token1] = ACTIONS(3409),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [5224] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5225] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5226] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5227] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5228] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5229] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5230] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5231] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5232] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym__unquoted_identifier] = ACTIONS(1419),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1419),
    [aux_sym__keyword_alter_token1] = ACTIONS(1419),
    [aux_sym__keyword_create_token1] = ACTIONS(1419),
    [aux_sym__keyword_drop_token1] = ACTIONS(1419),
    [aux_sym__keyword_delete_token1] = ACTIONS(1419),
    [aux_sym__keyword_begin_token1] = ACTIONS(1419),
    [aux_sym__keyword_when_token1] = ACTIONS(1419),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1419),
    [aux_sym__keyword_as_token1] = ACTIONS(1419),
    [aux_sym__keyword_window_token1] = ACTIONS(1419),
    [aux_sym__keyword_date_token1] = ACTIONS(1419),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1419),
    [aux_sym__keyword_time_token1] = ACTIONS(1419),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1419),
    [aux_sym__keyword_for_token1] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [aux_sym_declare_statement_token1] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1417),
    [aux_sym_set_statement_token1] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1419),
    [aux_sym_using_clause_token1] = ACTIONS(1419),
    [aux_sym_return_statement_token1] = ACTIONS(1419),
    [aux_sym_call_statement_token1] = ACTIONS(1419),
    [aux_sym_loop_statement_token1] = ACTIONS(1419),
    [aux_sym_while_statement_token1] = ACTIONS(1419),
    [aux_sym_break_statement_token1] = ACTIONS(1419),
    [aux_sym_leave_statement_token1] = ACTIONS(1419),
    [aux_sym_continue_statement_token1] = ACTIONS(1419),
    [aux_sym_iterate_statement_token1] = ACTIONS(1419),
    [aux_sym_raise_statement_token1] = ACTIONS(1419),
    [aux_sym_assert_statement_token1] = ACTIONS(1419),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token1] = ACTIONS(1419),
    [aux_sym_set_operation_token3] = ACTIONS(1419),
    [aux_sym_set_operation_token4] = ACTIONS(1419),
    [aux_sym_select_token1] = ACTIONS(1419),
    [aux_sym_having_clause_token1] = ACTIONS(1419),
    [aux_sym_qualify_clause_token1] = ACTIONS(1419),
    [aux_sym_limit_clause_token1] = ACTIONS(1419),
    [aux_sym_group_by_clause_token1] = ACTIONS(1419),
    [aux_sym_order_by_clause_token1] = ACTIONS(1419),
    [aux_sym_where_clause_token1] = ACTIONS(1419),
    [aux_sym_pivot_operator_token1] = ACTIONS(1419),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1419),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1419),
    [aux_sym_join_type_token1] = ACTIONS(1419),
    [aux_sym_join_type_token2] = ACTIONS(1419),
    [aux_sym_join_type_token3] = ACTIONS(1419),
    [aux_sym_join_type_token4] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1419),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1419),
    [aux_sym_join_condition_token1] = ACTIONS(1419),
    [aux_sym_insert_statement_token1] = ACTIONS(1419),
    [aux_sym_truncate_statement_token1] = ACTIONS(1419),
    [aux_sym_update_statement_token1] = ACTIONS(1419),
    [aux_sym_merge_statement_token1] = ACTIONS(1419),
    [aux_sym_grant_statement_token1] = ACTIONS(1419),
    [aux_sym_revoke_statement_token1] = ACTIONS(1419),
    [aux_sym_export_data_statement_token1] = ACTIONS(1419),
    [aux_sym_load_data_statement_token1] = ACTIONS(1419),
    [sym__quoted_identifier] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [5233] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [sym__unquoted_identifier] = ACTIONS(1595),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1595),
    [aux_sym__keyword_alter_token1] = ACTIONS(1595),
    [aux_sym__keyword_create_token1] = ACTIONS(1595),
    [aux_sym__keyword_drop_token1] = ACTIONS(1595),
    [aux_sym__keyword_delete_token1] = ACTIONS(1595),
    [aux_sym__keyword_begin_token1] = ACTIONS(1595),
    [aux_sym__keyword_when_token1] = ACTIONS(1595),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1595),
    [aux_sym__keyword_as_token1] = ACTIONS(1595),
    [aux_sym__keyword_window_token1] = ACTIONS(1595),
    [aux_sym__keyword_date_token1] = ACTIONS(1595),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1595),
    [aux_sym__keyword_time_token1] = ACTIONS(1595),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1595),
    [aux_sym__keyword_for_token1] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_declare_statement_token1] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_set_statement_token1] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1595),
    [aux_sym_using_clause_token1] = ACTIONS(1595),
    [aux_sym_return_statement_token1] = ACTIONS(1595),
    [aux_sym_call_statement_token1] = ACTIONS(1595),
    [aux_sym_loop_statement_token1] = ACTIONS(1595),
    [aux_sym_while_statement_token1] = ACTIONS(1595),
    [aux_sym_break_statement_token1] = ACTIONS(1595),
    [aux_sym_leave_statement_token1] = ACTIONS(1595),
    [aux_sym_continue_statement_token1] = ACTIONS(1595),
    [aux_sym_iterate_statement_token1] = ACTIONS(1595),
    [aux_sym_raise_statement_token1] = ACTIONS(1595),
    [aux_sym_assert_statement_token1] = ACTIONS(1595),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1595),
    [aux_sym_set_operation_token1] = ACTIONS(1595),
    [aux_sym_set_operation_token3] = ACTIONS(1595),
    [aux_sym_set_operation_token4] = ACTIONS(1595),
    [aux_sym_select_token1] = ACTIONS(1595),
    [aux_sym_having_clause_token1] = ACTIONS(1595),
    [aux_sym_qualify_clause_token1] = ACTIONS(1595),
    [aux_sym_limit_clause_token1] = ACTIONS(1595),
    [aux_sym_group_by_clause_token1] = ACTIONS(1595),
    [aux_sym_order_by_clause_token1] = ACTIONS(1595),
    [aux_sym_where_clause_token1] = ACTIONS(1595),
    [aux_sym_pivot_operator_token1] = ACTIONS(1595),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1595),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1595),
    [aux_sym_join_type_token1] = ACTIONS(1595),
    [aux_sym_join_type_token2] = ACTIONS(1595),
    [aux_sym_join_type_token3] = ACTIONS(1595),
    [aux_sym_join_type_token4] = ACTIONS(1595),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1595),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1595),
    [aux_sym_join_condition_token1] = ACTIONS(1595),
    [aux_sym_insert_statement_token1] = ACTIONS(1595),
    [aux_sym_truncate_statement_token1] = ACTIONS(1595),
    [aux_sym_update_statement_token1] = ACTIONS(1595),
    [aux_sym_merge_statement_token1] = ACTIONS(1595),
    [aux_sym_grant_statement_token1] = ACTIONS(1595),
    [aux_sym_revoke_statement_token1] = ACTIONS(1595),
    [aux_sym_export_data_statement_token1] = ACTIONS(1595),
    [aux_sym_load_data_statement_token1] = ACTIONS(1595),
    [sym__quoted_identifier] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
  },
  [5234] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5235] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [sym__unquoted_identifier] = ACTIONS(1415),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1415),
    [aux_sym__keyword_alter_token1] = ACTIONS(1415),
    [aux_sym__keyword_create_token1] = ACTIONS(1415),
    [aux_sym__keyword_drop_token1] = ACTIONS(1415),
    [aux_sym__keyword_delete_token1] = ACTIONS(1415),
    [aux_sym__keyword_begin_token1] = ACTIONS(1415),
    [aux_sym__keyword_when_token1] = ACTIONS(1415),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1415),
    [aux_sym__keyword_as_token1] = ACTIONS(1415),
    [aux_sym__keyword_window_token1] = ACTIONS(1415),
    [aux_sym__keyword_date_token1] = ACTIONS(1415),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1415),
    [aux_sym__keyword_time_token1] = ACTIONS(1415),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1415),
    [aux_sym__keyword_for_token1] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [aux_sym_declare_statement_token1] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1413),
    [aux_sym_set_statement_token1] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1415),
    [aux_sym_using_clause_token1] = ACTIONS(1415),
    [aux_sym_return_statement_token1] = ACTIONS(1415),
    [aux_sym_call_statement_token1] = ACTIONS(1415),
    [aux_sym_loop_statement_token1] = ACTIONS(1415),
    [aux_sym_while_statement_token1] = ACTIONS(1415),
    [aux_sym_break_statement_token1] = ACTIONS(1415),
    [aux_sym_leave_statement_token1] = ACTIONS(1415),
    [aux_sym_continue_statement_token1] = ACTIONS(1415),
    [aux_sym_iterate_statement_token1] = ACTIONS(1415),
    [aux_sym_raise_statement_token1] = ACTIONS(1415),
    [aux_sym_assert_statement_token1] = ACTIONS(1415),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token1] = ACTIONS(1415),
    [aux_sym_set_operation_token3] = ACTIONS(1415),
    [aux_sym_set_operation_token4] = ACTIONS(1415),
    [aux_sym_select_token1] = ACTIONS(1415),
    [aux_sym_having_clause_token1] = ACTIONS(1415),
    [aux_sym_qualify_clause_token1] = ACTIONS(1415),
    [aux_sym_limit_clause_token1] = ACTIONS(1415),
    [aux_sym_group_by_clause_token1] = ACTIONS(1415),
    [aux_sym_order_by_clause_token1] = ACTIONS(1415),
    [aux_sym_where_clause_token1] = ACTIONS(1415),
    [aux_sym_pivot_operator_token1] = ACTIONS(1415),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1415),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1415),
    [aux_sym_join_type_token1] = ACTIONS(1415),
    [aux_sym_join_type_token2] = ACTIONS(1415),
    [aux_sym_join_type_token3] = ACTIONS(1415),
    [aux_sym_join_type_token4] = ACTIONS(1415),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1415),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1415),
    [aux_sym_join_condition_token1] = ACTIONS(1415),
    [aux_sym_insert_statement_token1] = ACTIONS(1415),
    [aux_sym_truncate_statement_token1] = ACTIONS(1415),
    [aux_sym_update_statement_token1] = ACTIONS(1415),
    [aux_sym_merge_statement_token1] = ACTIONS(1415),
    [aux_sym_grant_statement_token1] = ACTIONS(1415),
    [aux_sym_revoke_statement_token1] = ACTIONS(1415),
    [aux_sym_export_data_statement_token1] = ACTIONS(1415),
    [aux_sym_load_data_statement_token1] = ACTIONS(1415),
    [sym__quoted_identifier] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
  },
  [5236] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5237] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5238] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5401),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(3395),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3393),
    [aux_sym__keyword_alter_token1] = ACTIONS(3393),
    [aux_sym__keyword_create_token1] = ACTIONS(3393),
    [aux_sym__keyword_drop_token1] = ACTIONS(3393),
    [aux_sym__keyword_delete_token1] = ACTIONS(3393),
    [aux_sym__keyword_begin_token1] = ACTIONS(3393),
    [aux_sym__keyword_when_token1] = ACTIONS(3393),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3393),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3393),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [aux_sym_declare_statement_token1] = ACTIONS(3393),
    [aux_sym_set_statement_token1] = ACTIONS(3393),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3393),
    [aux_sym_return_statement_token1] = ACTIONS(3393),
    [aux_sym_call_statement_token1] = ACTIONS(3393),
    [aux_sym_loop_statement_token1] = ACTIONS(3393),
    [aux_sym_while_statement_token1] = ACTIONS(3393),
    [aux_sym_break_statement_token1] = ACTIONS(3393),
    [aux_sym_leave_statement_token1] = ACTIONS(3393),
    [aux_sym_continue_statement_token1] = ACTIONS(3393),
    [aux_sym_iterate_statement_token1] = ACTIONS(3393),
    [aux_sym_raise_statement_token1] = ACTIONS(3393),
    [aux_sym_assert_statement_token1] = ACTIONS(3393),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3393),
    [aux_sym_set_operation_token1] = ACTIONS(3393),
    [aux_sym_set_operation_token3] = ACTIONS(3393),
    [aux_sym_set_operation_token4] = ACTIONS(3393),
    [aux_sym_select_token1] = ACTIONS(3393),
    [aux_sym_having_clause_token1] = ACTIONS(3393),
    [aux_sym_qualify_clause_token1] = ACTIONS(3393),
    [aux_sym_limit_clause_token1] = ACTIONS(3393),
    [aux_sym_group_by_clause_token1] = ACTIONS(3393),
    [aux_sym_order_by_clause_token1] = ACTIONS(3393),
    [aux_sym_where_clause_token1] = ACTIONS(3393),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3393),
    [aux_sym_insert_statement_token1] = ACTIONS(3393),
    [aux_sym_truncate_statement_token1] = ACTIONS(3393),
    [aux_sym_update_statement_token1] = ACTIONS(3393),
    [aux_sym_merge_statement_token1] = ACTIONS(3393),
    [aux_sym_grant_statement_token1] = ACTIONS(3393),
    [aux_sym_revoke_statement_token1] = ACTIONS(3393),
    [aux_sym_export_data_statement_token1] = ACTIONS(3393),
    [aux_sym_load_data_statement_token1] = ACTIONS(3393),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [5239] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym__unquoted_identifier] = ACTIONS(1411),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1411),
    [aux_sym__keyword_alter_token1] = ACTIONS(1411),
    [aux_sym__keyword_create_token1] = ACTIONS(1411),
    [aux_sym__keyword_drop_token1] = ACTIONS(1411),
    [aux_sym__keyword_delete_token1] = ACTIONS(1411),
    [aux_sym__keyword_begin_token1] = ACTIONS(1411),
    [aux_sym__keyword_when_token1] = ACTIONS(1411),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1411),
    [aux_sym__keyword_as_token1] = ACTIONS(1411),
    [aux_sym__keyword_window_token1] = ACTIONS(1411),
    [aux_sym__keyword_date_token1] = ACTIONS(1411),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1411),
    [aux_sym__keyword_time_token1] = ACTIONS(1411),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1411),
    [aux_sym__keyword_for_token1] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_declare_statement_token1] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1409),
    [aux_sym_set_statement_token1] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1411),
    [aux_sym_using_clause_token1] = ACTIONS(1411),
    [aux_sym_return_statement_token1] = ACTIONS(1411),
    [aux_sym_call_statement_token1] = ACTIONS(1411),
    [aux_sym_loop_statement_token1] = ACTIONS(1411),
    [aux_sym_while_statement_token1] = ACTIONS(1411),
    [aux_sym_break_statement_token1] = ACTIONS(1411),
    [aux_sym_leave_statement_token1] = ACTIONS(1411),
    [aux_sym_continue_statement_token1] = ACTIONS(1411),
    [aux_sym_iterate_statement_token1] = ACTIONS(1411),
    [aux_sym_raise_statement_token1] = ACTIONS(1411),
    [aux_sym_assert_statement_token1] = ACTIONS(1411),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token1] = ACTIONS(1411),
    [aux_sym_set_operation_token3] = ACTIONS(1411),
    [aux_sym_set_operation_token4] = ACTIONS(1411),
    [aux_sym_select_token1] = ACTIONS(1411),
    [aux_sym_having_clause_token1] = ACTIONS(1411),
    [aux_sym_qualify_clause_token1] = ACTIONS(1411),
    [aux_sym_limit_clause_token1] = ACTIONS(1411),
    [aux_sym_group_by_clause_token1] = ACTIONS(1411),
    [aux_sym_order_by_clause_token1] = ACTIONS(1411),
    [aux_sym_where_clause_token1] = ACTIONS(1411),
    [aux_sym_pivot_operator_token1] = ACTIONS(1411),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1411),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1411),
    [aux_sym_join_type_token1] = ACTIONS(1411),
    [aux_sym_join_type_token2] = ACTIONS(1411),
    [aux_sym_join_type_token3] = ACTIONS(1411),
    [aux_sym_join_type_token4] = ACTIONS(1411),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1411),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1411),
    [aux_sym_join_condition_token1] = ACTIONS(1411),
    [aux_sym_insert_statement_token1] = ACTIONS(1411),
    [aux_sym_truncate_statement_token1] = ACTIONS(1411),
    [aux_sym_update_statement_token1] = ACTIONS(1411),
    [aux_sym_merge_statement_token1] = ACTIONS(1411),
    [aux_sym_grant_statement_token1] = ACTIONS(1411),
    [aux_sym_revoke_statement_token1] = ACTIONS(1411),
    [aux_sym_export_data_statement_token1] = ACTIONS(1411),
    [aux_sym_load_data_statement_token1] = ACTIONS(1411),
    [sym__quoted_identifier] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [5240] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5241] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5242] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5243] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5244] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5245] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5246] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5247] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5248] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5249] = {
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym__unquoted_identifier] = ACTIONS(1373),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1373),
    [aux_sym__keyword_alter_token1] = ACTIONS(1373),
    [aux_sym__keyword_create_token1] = ACTIONS(1373),
    [aux_sym__keyword_drop_token1] = ACTIONS(1373),
    [aux_sym__keyword_delete_token1] = ACTIONS(1373),
    [aux_sym__keyword_begin_token1] = ACTIONS(1373),
    [aux_sym__keyword_when_token1] = ACTIONS(1373),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1373),
    [aux_sym__keyword_as_token1] = ACTIONS(1373),
    [aux_sym__keyword_window_token1] = ACTIONS(1373),
    [aux_sym__keyword_date_token1] = ACTIONS(1373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1373),
    [aux_sym__keyword_time_token1] = ACTIONS(1373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1373),
    [aux_sym__keyword_for_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_declare_statement_token1] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1371),
    [aux_sym_set_statement_token1] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1373),
    [aux_sym_using_clause_token1] = ACTIONS(1373),
    [aux_sym_return_statement_token1] = ACTIONS(1373),
    [aux_sym_call_statement_token1] = ACTIONS(1373),
    [aux_sym_loop_statement_token1] = ACTIONS(1373),
    [aux_sym_while_statement_token1] = ACTIONS(1373),
    [aux_sym_break_statement_token1] = ACTIONS(1373),
    [aux_sym_leave_statement_token1] = ACTIONS(1373),
    [aux_sym_continue_statement_token1] = ACTIONS(1373),
    [aux_sym_iterate_statement_token1] = ACTIONS(1373),
    [aux_sym_raise_statement_token1] = ACTIONS(1373),
    [aux_sym_assert_statement_token1] = ACTIONS(1373),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token1] = ACTIONS(1373),
    [aux_sym_set_operation_token3] = ACTIONS(1373),
    [aux_sym_set_operation_token4] = ACTIONS(1373),
    [aux_sym_select_token1] = ACTIONS(1373),
    [aux_sym_having_clause_token1] = ACTIONS(1373),
    [aux_sym_qualify_clause_token1] = ACTIONS(1373),
    [aux_sym_limit_clause_token1] = ACTIONS(1373),
    [aux_sym_group_by_clause_token1] = ACTIONS(1373),
    [aux_sym_order_by_clause_token1] = ACTIONS(1373),
    [aux_sym_where_clause_token1] = ACTIONS(1373),
    [aux_sym_pivot_operator_token1] = ACTIONS(1373),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1373),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1373),
    [aux_sym_join_type_token1] = ACTIONS(1373),
    [aux_sym_join_type_token2] = ACTIONS(1373),
    [aux_sym_join_type_token3] = ACTIONS(1373),
    [aux_sym_join_type_token4] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1373),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1373),
    [aux_sym_join_condition_token1] = ACTIONS(1373),
    [aux_sym_insert_statement_token1] = ACTIONS(1373),
    [aux_sym_truncate_statement_token1] = ACTIONS(1373),
    [aux_sym_update_statement_token1] = ACTIONS(1373),
    [aux_sym_merge_statement_token1] = ACTIONS(1373),
    [aux_sym_grant_statement_token1] = ACTIONS(1373),
    [aux_sym_revoke_statement_token1] = ACTIONS(1373),
    [aux_sym_export_data_statement_token1] = ACTIONS(1373),
    [aux_sym_load_data_statement_token1] = ACTIONS(1373),
    [sym__quoted_identifier] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [5250] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5251] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5252] = {
    [ts_builtin_sym_end] = ACTIONS(1469),
    [sym__unquoted_identifier] = ACTIONS(1471),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1471),
    [aux_sym__keyword_alter_token1] = ACTIONS(1471),
    [aux_sym__keyword_create_token1] = ACTIONS(1471),
    [aux_sym__keyword_drop_token1] = ACTIONS(1471),
    [aux_sym__keyword_delete_token1] = ACTIONS(1471),
    [aux_sym__keyword_begin_token1] = ACTIONS(1471),
    [aux_sym__keyword_when_token1] = ACTIONS(1471),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1471),
    [aux_sym__keyword_as_token1] = ACTIONS(1471),
    [aux_sym__keyword_window_token1] = ACTIONS(1471),
    [aux_sym__keyword_date_token1] = ACTIONS(1471),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1471),
    [aux_sym__keyword_time_token1] = ACTIONS(1471),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1471),
    [aux_sym__keyword_for_token1] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(1469),
    [aux_sym_declare_statement_token1] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1469),
    [aux_sym_set_statement_token1] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1469),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1471),
    [aux_sym_using_clause_token1] = ACTIONS(1471),
    [aux_sym_return_statement_token1] = ACTIONS(1471),
    [aux_sym_call_statement_token1] = ACTIONS(1471),
    [aux_sym_loop_statement_token1] = ACTIONS(1471),
    [aux_sym_while_statement_token1] = ACTIONS(1471),
    [aux_sym_break_statement_token1] = ACTIONS(1471),
    [aux_sym_leave_statement_token1] = ACTIONS(1471),
    [aux_sym_continue_statement_token1] = ACTIONS(1471),
    [aux_sym_iterate_statement_token1] = ACTIONS(1471),
    [aux_sym_raise_statement_token1] = ACTIONS(1471),
    [aux_sym_assert_statement_token1] = ACTIONS(1471),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token1] = ACTIONS(1471),
    [aux_sym_set_operation_token3] = ACTIONS(1471),
    [aux_sym_set_operation_token4] = ACTIONS(1471),
    [aux_sym_select_token1] = ACTIONS(1471),
    [aux_sym_having_clause_token1] = ACTIONS(1471),
    [aux_sym_qualify_clause_token1] = ACTIONS(1471),
    [aux_sym_limit_clause_token1] = ACTIONS(1471),
    [aux_sym_group_by_clause_token1] = ACTIONS(1471),
    [aux_sym_order_by_clause_token1] = ACTIONS(1471),
    [aux_sym_where_clause_token1] = ACTIONS(1471),
    [aux_sym_pivot_operator_token1] = ACTIONS(1471),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1471),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1471),
    [aux_sym_join_type_token1] = ACTIONS(1471),
    [aux_sym_join_type_token2] = ACTIONS(1471),
    [aux_sym_join_type_token3] = ACTIONS(1471),
    [aux_sym_join_type_token4] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1471),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1471),
    [aux_sym_join_condition_token1] = ACTIONS(1471),
    [aux_sym_insert_statement_token1] = ACTIONS(1471),
    [aux_sym_truncate_statement_token1] = ACTIONS(1471),
    [aux_sym_update_statement_token1] = ACTIONS(1471),
    [aux_sym_merge_statement_token1] = ACTIONS(1471),
    [aux_sym_grant_statement_token1] = ACTIONS(1471),
    [aux_sym_revoke_statement_token1] = ACTIONS(1471),
    [aux_sym_export_data_statement_token1] = ACTIONS(1471),
    [aux_sym_load_data_statement_token1] = ACTIONS(1471),
    [sym__quoted_identifier] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
  },
  [5253] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5254] = {
    [sym__keyword_as] = STATE(11583),
    [sym__keyword_date] = STATE(2335),
    [sym__keyword_datetime] = STATE(2335),
    [sym__keyword_time] = STATE(2335),
    [sym__keyword_timestamp] = STATE(2335),
    [sym_as_alias] = STATE(5418),
    [sym__type_chrono] = STATE(2338),
    [sym__identifier] = STATE(2414),
    [sym__dotted_identifier] = STATE(13672),
    [sym_identifier] = STATE(2290),
    [aux_sym_identifier_repeat1] = STATE(13672),
    [ts_builtin_sym_end] = ACTIONS(3419),
    [sym__unquoted_identifier] = ACTIONS(353),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(3417),
    [aux_sym__keyword_alter_token1] = ACTIONS(3417),
    [aux_sym__keyword_create_token1] = ACTIONS(3417),
    [aux_sym__keyword_drop_token1] = ACTIONS(3417),
    [aux_sym__keyword_delete_token1] = ACTIONS(3417),
    [aux_sym__keyword_begin_token1] = ACTIONS(3417),
    [aux_sym__keyword_when_token1] = ACTIONS(3417),
    [aux_sym__keyword_repeat_token1] = ACTIONS(3417),
    [aux_sym__keyword_as_token1] = ACTIONS(371),
    [aux_sym__keyword_window_token1] = ACTIONS(3417),
    [aux_sym__keyword_date_token1] = ACTIONS(373),
    [aux_sym__keyword_datetime_token1] = ACTIONS(373),
    [aux_sym__keyword_time_token1] = ACTIONS(373),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(373),
    [aux_sym__keyword_for_token1] = ACTIONS(3417),
    [anon_sym_SEMI] = ACTIONS(3419),
    [aux_sym_declare_statement_token1] = ACTIONS(3417),
    [aux_sym_set_statement_token1] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(3417),
    [aux_sym_return_statement_token1] = ACTIONS(3417),
    [aux_sym_call_statement_token1] = ACTIONS(3417),
    [aux_sym_loop_statement_token1] = ACTIONS(3417),
    [aux_sym_while_statement_token1] = ACTIONS(3417),
    [aux_sym_break_statement_token1] = ACTIONS(3417),
    [aux_sym_leave_statement_token1] = ACTIONS(3417),
    [aux_sym_continue_statement_token1] = ACTIONS(3417),
    [aux_sym_iterate_statement_token1] = ACTIONS(3417),
    [aux_sym_raise_statement_token1] = ACTIONS(3417),
    [aux_sym_assert_statement_token1] = ACTIONS(3417),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(3417),
    [aux_sym_set_operation_token1] = ACTIONS(3417),
    [aux_sym_set_operation_token3] = ACTIONS(3417),
    [aux_sym_set_operation_token4] = ACTIONS(3417),
    [aux_sym_select_token1] = ACTIONS(3417),
    [aux_sym_having_clause_token1] = ACTIONS(3417),
    [aux_sym_qualify_clause_token1] = ACTIONS(3417),
    [aux_sym_limit_clause_token1] = ACTIONS(3417),
    [aux_sym_group_by_clause_token1] = ACTIONS(3417),
    [aux_sym_order_by_clause_token1] = ACTIONS(3417),
    [aux_sym_where_clause_token1] = ACTIONS(3417),
    [aux_sym_tablesample_operator_token1] = ACTIONS(3417),
    [aux_sym_insert_statement_token1] = ACTIONS(3417),
    [aux_sym_truncate_statement_token1] = ACTIONS(3417),
    [aux_sym_update_statement_token1] = ACTIONS(3417),
    [aux_sym_merge_statement_token1] = ACTIONS(3417),
    [aux_sym_grant_statement_token1] = ACTIONS(3417),
    [aux_sym_revoke_statement_token1] = ACTIONS(3417),
    [aux_sym_export_data_statement_token1] = ACTIONS(3417),
    [aux_sym_load_data_statement_token1] = ACTIONS(3417),
    [sym__quoted_identifier] = ACTIONS(381),
    [sym_comment] = ACTIONS(3),
  },
  [5255] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym__unquoted_identifier] = ACTIONS(1399),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1399),
    [aux_sym__keyword_alter_token1] = ACTIONS(1399),
    [aux_sym__keyword_create_token1] = ACTIONS(1399),
    [aux_sym__keyword_drop_token1] = ACTIONS(1399),
    [aux_sym__keyword_delete_token1] = ACTIONS(1399),
    [aux_sym__keyword_begin_token1] = ACTIONS(1399),
    [aux_sym__keyword_when_token1] = ACTIONS(1399),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1399),
    [aux_sym__keyword_as_token1] = ACTIONS(1399),
    [aux_sym__keyword_window_token1] = ACTIONS(1399),
    [aux_sym__keyword_date_token1] = ACTIONS(1399),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1399),
    [aux_sym__keyword_time_token1] = ACTIONS(1399),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1399),
    [aux_sym__keyword_for_token1] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [aux_sym_declare_statement_token1] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1397),
    [aux_sym_set_statement_token1] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1399),
    [aux_sym_using_clause_token1] = ACTIONS(1399),
    [aux_sym_return_statement_token1] = ACTIONS(1399),
    [aux_sym_call_statement_token1] = ACTIONS(1399),
    [aux_sym_loop_statement_token1] = ACTIONS(1399),
    [aux_sym_while_statement_token1] = ACTIONS(1399),
    [aux_sym_break_statement_token1] = ACTIONS(1399),
    [aux_sym_leave_statement_token1] = ACTIONS(1399),
    [aux_sym_continue_statement_token1] = ACTIONS(1399),
    [aux_sym_iterate_statement_token1] = ACTIONS(1399),
    [aux_sym_raise_statement_token1] = ACTIONS(1399),
    [aux_sym_assert_statement_token1] = ACTIONS(1399),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token1] = ACTIONS(1399),
    [aux_sym_set_operation_token3] = ACTIONS(1399),
    [aux_sym_set_operation_token4] = ACTIONS(1399),
    [aux_sym_select_token1] = ACTIONS(1399),
    [aux_sym_having_clause_token1] = ACTIONS(1399),
    [aux_sym_qualify_clause_token1] = ACTIONS(1399),
    [aux_sym_limit_clause_token1] = ACTIONS(1399),
    [aux_sym_group_by_clause_token1] = ACTIONS(1399),
    [aux_sym_order_by_clause_token1] = ACTIONS(1399),
    [aux_sym_where_clause_token1] = ACTIONS(1399),
    [aux_sym_pivot_operator_token1] = ACTIONS(1399),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1399),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1399),
    [aux_sym_join_type_token1] = ACTIONS(1399),
    [aux_sym_join_type_token2] = ACTIONS(1399),
    [aux_sym_join_type_token3] = ACTIONS(1399),
    [aux_sym_join_type_token4] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1399),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1399),
    [aux_sym_join_condition_token1] = ACTIONS(1399),
    [aux_sym_insert_statement_token1] = ACTIONS(1399),
    [aux_sym_truncate_statement_token1] = ACTIONS(1399),
    [aux_sym_update_statement_token1] = ACTIONS(1399),
    [aux_sym_merge_statement_token1] = ACTIONS(1399),
    [aux_sym_grant_statement_token1] = ACTIONS(1399),
    [aux_sym_revoke_statement_token1] = ACTIONS(1399),
    [aux_sym_export_data_statement_token1] = ACTIONS(1399),
    [aux_sym_load_data_statement_token1] = ACTIONS(1399),
    [sym__quoted_identifier] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [5256] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym__unquoted_identifier] = ACTIONS(1395),
    [aux_sym_keyword_if_not_exists_token1] = ACTIONS(1395),
    [aux_sym__keyword_alter_token1] = ACTIONS(1395),
    [aux_sym__keyword_create_token1] = ACTIONS(1395),
    [aux_sym__keyword_drop_token1] = ACTIONS(1395),
    [aux_sym__keyword_delete_token1] = ACTIONS(1395),
    [aux_sym__keyword_begin_token1] = ACTIONS(1395),
    [aux_sym__keyword_when_token1] = ACTIONS(1395),
    [aux_sym__keyword_repeat_token1] = ACTIONS(1395),
    [aux_sym__keyword_as_token1] = ACTIONS(1395),
    [aux_sym__keyword_window_token1] = ACTIONS(1395),
    [aux_sym__keyword_date_token1] = ACTIONS(1395),
    [aux_sym__keyword_datetime_token1] = ACTIONS(1395),
    [aux_sym__keyword_time_token1] = ACTIONS(1395),
    [aux_sym__keyword_timestamp_token1] = ACTIONS(1395),
    [aux_sym__keyword_for_token1] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_declare_statement_token1] = ACTIONS(1395),
    [anon_sym_COMMA] = ACTIONS(1393),
    [aux_sym_set_statement_token1] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [aux_sym_execute_immediate_statement_token1] = ACTIONS(1395),
    [aux_sym_using_clause_token1] = ACTIONS(1395),
    [aux_sym_return_statement_token1] = ACTIONS(1395),
    [aux_sym_call_statement_token1] = ACTIONS(1395),
    [aux_sym_loop_statement_token1] = ACTIONS(1395),
    [aux_sym_while_statement_token1] = ACTIONS(1395),
    [aux_sym_break_statement_token1] = ACTIONS(1395),
    [aux_sym_leave_statement_token1] = ACTIONS(1395),
    [aux_sym_continue_statement_token1] = ACTIONS(1395),
    [aux_sym_iterate_statement_token1] = ACTIONS(1395),
    [aux_sym_raise_statement_token1] = ACTIONS(1395),
    [aux_sym_assert_statement_token1] = ACTIONS(1395),
    [aux_sym_partition_columns_clause_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token1] = ACTIONS(1395),
    [aux_sym_set_operation_token3] = ACTIONS(1395),
    [aux_sym_set_operation_token4] = ACTIONS(1395),
    [aux_sym_select_token1] = ACTIONS(1395),
    [aux_sym_having_clause_token1] = ACTIONS(1395),
    [aux_sym_qualify_clause_token1] = ACTIONS(1395),
    [aux_sym_limit_clause_token1] = ACTIONS(1395),
    [aux_sym_group_by_clause_token1] = ACTIONS(1395),
    [aux_sym_order_by_clause_token1] = ACTIONS(1395),
    [aux_sym_where_clause_token1] = ACTIONS(1395),
    [aux_sym_pivot_operator_token1] = ACTIONS(1395),
    [aux_sym_unpivot_operator_token1] = ACTIONS(1395),
    [aux_sym_tablesample_operator_token1] = ACTIONS(1395),
    [aux_sym_join_type_token1] = ACTIONS(1395),
    [aux_sym_join_type_token2] = ACTIONS(1395),
    [aux_sym_join_type_token3] = ACTIONS(1395),
    [aux_sym_join_type_token4] = ACTIONS(1395),
    [aux_sym__cross_join_operation_token1] = ACTIONS(1395),
    [aux_sym__cross_join_operation_token2] = ACTIONS(1395),
    [aux_sym_join_condition_token1] = ACTIONS(1395),
    [aux_sym_insert_statement_token1] = ACTIONS(1395),
    [aux_sym_truncate_statement_token1] = ACTIONS(1395),
    [aux_sym_update_statement_token1] = ACTIONS(1395),
    [aux_sym_merge_statement_token1] = ACTIONS(1395),
    [aux_sym_grant_statement_token1] = ACTIONS(1395),
    [aux_sym_revoke_statement_token1] = ACTIONS(1395),
    [aux_sym_export_data_statement_token1] = ACTIONS(1395),
    [aux_sym_load_data_statement_token1] = ACTIONS(1395),
    [sym__quoted_identifier] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5260), 1,
      sym_join_condition,
    STATE(18407), 1,
      sym_join_type,
    ACTIONS(3463), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3461), 59,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [75] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3465), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3471), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3469), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3473), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3461), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3479), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3477), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3483), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3481), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [501] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_using_clause_token1,
    ACTIONS(3487), 1,
      aux_sym_join_condition_token1,
    STATE(5260), 1,
      sym_join_condition,
    STATE(18407), 1,
      sym_join_type,
    ACTIONS(3463), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3461), 57,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5261), 1,
      sym_join_condition,
    STATE(18407), 1,
      sym_join_type,
    ACTIONS(3491), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3489), 59,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3493), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(415), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(1523), 59,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3499), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3503), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [943] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_COMMA,
    ACTIONS(3513), 1,
      aux_sym_pivot_operator_token1,
    ACTIONS(3515), 1,
      aux_sym_unpivot_operator_token1,
    ACTIONS(3517), 1,
      aux_sym_tablesample_operator_token1,
    ACTIONS(3519), 1,
      aux_sym_join_type_token1,
    ACTIONS(3523), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(3525), 1,
      aux_sym__cross_join_operation_token2,
    STATE(5561), 1,
      sym_tablesample_operator,
    STATE(16540), 1,
      sym_join_type,
    ACTIONS(3509), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    STATE(5384), 2,
      sym_pivot_operator,
      sym_unpivot_operator,
    ACTIONS(3521), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
    ACTIONS(3507), 47,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2987), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(2989), 61,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_using_clause_token1,
    ACTIONS(3487), 1,
      aux_sym_join_condition_token1,
    STATE(5261), 1,
      sym_join_condition,
    STATE(18407), 1,
      sym_join_type,
    ACTIONS(3491), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3489), 57,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18407), 1,
      sym_join_type,
    ACTIONS(3529), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3527), 59,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18407), 1,
      sym_join_type,
    ACTIONS(3533), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3531), 59,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16540), 1,
      sym_join_type,
    ACTIONS(3529), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3527), 57,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16540), 1,
      sym_join_type,
    ACTIONS(3533), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3531), 57,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1470] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(3535), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3539), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(6121), 1,
      sym__type_chrono,
    STATE(7344), 1,
      sym_as_alias,
    STATE(7503), 1,
      sym_identifier,
    STATE(7877), 1,
      sym_unnest_withoffset,
    STATE(11518), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [1564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5261), 1,
      sym_join_condition,
    STATE(18372), 1,
      sym_join_type,
    ACTIONS(3489), 57,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_using_clause_token1,
    ACTIONS(3541), 1,
      aux_sym_join_condition_token1,
    STATE(5261), 1,
      sym_join_condition,
    STATE(18372), 1,
      sym_join_type,
    ACTIONS(3489), 55,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5260), 1,
      sym_join_condition,
    STATE(18372), 1,
      sym_join_type,
    ACTIONS(3461), 57,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1775] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__unquoted_identifier,
    ACTIONS(633), 1,
      sym__quoted_identifier,
    ACTIONS(3543), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3547), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5847), 1,
      sym__identifier,
    STATE(6113), 1,
      sym_as_alias,
    STATE(6220), 1,
      sym__type_chrono,
    STATE(6248), 1,
      sym_identifier,
    STATE(6405), 1,
      sym_unnest_withoffset,
    STATE(11537), 1,
      sym__keyword_as,
    STATE(14060), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3545), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6222), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [1868] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      aux_sym_tablesample_operator_token1,
    ACTIONS(3519), 1,
      aux_sym_join_type_token1,
    ACTIONS(3549), 1,
      anon_sym_COMMA,
    ACTIONS(3551), 1,
      aux_sym_pivot_operator_token1,
    ACTIONS(3553), 1,
      aux_sym_unpivot_operator_token1,
    ACTIONS(3555), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(3557), 1,
      aux_sym__cross_join_operation_token2,
    STATE(5561), 1,
      sym_tablesample_operator,
    STATE(17601), 1,
      sym_join_type,
    STATE(5384), 2,
      sym_pivot_operator,
      sym_unpivot_operator,
    ACTIONS(3521), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
    ACTIONS(3507), 45,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [1955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_using_clause_token1,
    ACTIONS(3541), 1,
      aux_sym_join_condition_token1,
    STATE(5260), 1,
      sym_join_condition,
    STATE(18372), 1,
      sym_join_type,
    ACTIONS(3461), 55,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [2028] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1167), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1165), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [2128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18372), 1,
      sym_join_type,
    ACTIONS(3527), 57,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [2194] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [2292] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    ACTIONS(3575), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3577), 1,
      aux_sym__keyword_is_token1,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3579), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3581), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 27,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [2402] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    ACTIONS(3575), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3577), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3583), 1,
      aux_sym__keyword_and_token1,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3579), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3581), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 26,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [2514] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5366), 1,
      sym_from_clause,
    STATE(5383), 1,
      sym_where_clause,
    STATE(5481), 1,
      sym_group_by_clause,
    STATE(5832), 1,
      sym_having_clause,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11168), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3589), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3585), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [2608] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 37,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [2702] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 39,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [2794] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1223), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1221), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [2894] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 40,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [2982] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    ACTIONS(3575), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3577), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3583), 1,
      aux_sym__keyword_and_token1,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3579), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3581), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 26,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [3094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(1189), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [3178] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5361), 1,
      sym_from_clause,
    STATE(5385), 1,
      sym_where_clause,
    STATE(5493), 1,
      sym_group_by_clause,
    STATE(5812), 1,
      sym_having_clause,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11168), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3603), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3601), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [3272] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [3372] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    ACTIONS(3575), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3577), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3583), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3605), 1,
      anon_sym_LBRACK,
    ACTIONS(3607), 1,
      anon_sym_DOT2,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3579), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3581), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1229), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [3490] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(1213), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [3574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5360), 1,
      sym_from_clause,
    STATE(5379), 1,
      sym_where_clause,
    STATE(5497), 1,
      sym_group_by_clause,
    STATE(5799), 1,
      sym_having_clause,
    STATE(6093), 1,
      sym_qualify_clause,
    STATE(6381), 1,
      sym_window_clause,
    STATE(11168), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3611), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3609), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [3668] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5337), 1,
      sym_from_clause,
    STATE(5388), 1,
      sym_where_clause,
    STATE(5488), 1,
      sym_group_by_clause,
    STATE(5817), 1,
      sym_having_clause,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11168), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3615), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3613), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [3762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18372), 1,
      sym_join_type,
    ACTIONS(3531), 57,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [3828] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 36,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [3924] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5324), 1,
      sym_from_clause,
    STATE(5378), 1,
      sym_where_clause,
    STATE(5482), 1,
      sym_group_by_clause,
    STATE(5848), 1,
      sym_having_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11168), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3617), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4018] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [4118] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1225), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [4218] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PLUS,
    ACTIONS(3561), 1,
      anon_sym_DASH,
    ACTIONS(3565), 1,
      anon_sym_SLASH,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    ACTIONS(3571), 1,
      anon_sym_CARET,
    ACTIONS(3573), 1,
      anon_sym_PIPE,
    STATE(933), 1,
      sym__keyword_in,
    STATE(1062), 1,
      sym__keyword_between,
    STATE(1257), 1,
      sym__keyword_or,
    STATE(1317), 1,
      sym__keyword_and,
    STATE(12038), 1,
      sym__keyword_is,
    STATE(13131), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16214), 1,
      sym_quantitve_like_operator,
    STATE(16215), 1,
      sym_like_operator,
    ACTIONS(3563), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3567), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1241), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [4318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 40,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [4383] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__unquoted_identifier,
    ACTIONS(2213), 1,
      sym__quoted_identifier,
    ACTIONS(3621), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3623), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7143), 1,
      sym__identifier,
    STATE(7490), 1,
      sym_identifier,
    STATE(7624), 1,
      sym_unnest_withoffset,
    STATE(8398), 1,
      sym_as_alias,
    STATE(11623), 1,
      sym__keyword_as,
    STATE(14008), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 15,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 21,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [4473] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__unquoted_identifier,
    ACTIONS(2213), 1,
      sym__quoted_identifier,
    ACTIONS(3625), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3629), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7143), 1,
      sym__identifier,
    STATE(7490), 1,
      sym_identifier,
    STATE(7624), 1,
      sym_unnest_withoffset,
    STATE(8625), 1,
      sym_as_alias,
    STATE(9096), 1,
      sym__type_chrono,
    STATE(11517), 1,
      sym__keyword_as,
    STATE(14008), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3627), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9460), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [4563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3633), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3631), 54,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_replace_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_function_call_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__unquoted_identifier,
    ACTIONS(633), 1,
      sym__quoted_identifier,
    ACTIONS(3635), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3637), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5847), 1,
      sym__identifier,
    STATE(6248), 1,
      sym_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6405), 1,
      sym_unnest_withoffset,
    STATE(8889), 1,
      sym_as_alias,
    STATE(11529), 1,
      sym__keyword_as,
    STATE(14060), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [4717] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3645), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3655), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(5876), 1,
      sym_create_table_parameters,
    STATE(6102), 1,
      sym_like_clause,
    STATE(6176), 1,
      sym_default_collate_clause,
    STATE(6927), 1,
      sym_table_partition_clause,
    STATE(7322), 1,
      sym_table_cluster_clause,
    STATE(7359), 1,
      sym_clone_clause,
    STATE(7452), 1,
      sym_copy_clause,
    STATE(7797), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12283), 1,
      sym__keyword_as,
    ACTIONS(3639), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4819] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3655), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3663), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3665), 1,
      aux_sym__keyword_as_token1,
    STATE(5950), 1,
      sym_create_table_parameters,
    STATE(6112), 1,
      sym_like_clause,
    STATE(6224), 1,
      sym_default_collate_clause,
    STATE(6873), 1,
      sym_table_partition_clause,
    STATE(7350), 1,
      sym_table_cluster_clause,
    STATE(7373), 1,
      sym_clone_clause,
    STATE(7468), 1,
      sym_copy_clause,
    STATE(7689), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12489), 1,
      sym__keyword_as,
    ACTIONS(3661), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4921] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_keyword_replace_token2,
    ACTIONS(3671), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3673), 1,
      aux_sym_set_operation_token4,
    STATE(5339), 1,
      sym_select_all_except,
    STATE(5387), 1,
      sym_select_all_replace,
    ACTIONS(3667), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [4993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(17601), 1,
      sym_join_type,
    ACTIONS(3531), 55,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5057] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3655), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3677), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3679), 1,
      aux_sym__keyword_as_token1,
    STATE(5967), 1,
      sym_create_table_parameters,
    STATE(5970), 1,
      sym_like_clause,
    STATE(6193), 1,
      sym_default_collate_clause,
    STATE(6901), 1,
      sym_table_partition_clause,
    STATE(7287), 1,
      sym_clone_clause,
    STATE(7314), 1,
      sym_table_cluster_clause,
    STATE(7523), 1,
      sym_copy_clause,
    STATE(7739), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12304), 1,
      sym__keyword_as,
    ACTIONS(3675), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3683), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3681), 54,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_replace_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_function_call_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(17601), 1,
      sym_join_type,
    ACTIONS(3527), 55,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3685), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3689), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(7179), 1,
      sym_unnest_withoffset,
    STATE(8368), 1,
      sym_as_alias,
    STATE(11624), 1,
      sym__keyword_as,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [5377] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1241), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [5474] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1207), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [5571] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [5710] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5383), 1,
      sym_where_clause,
    STATE(5481), 1,
      sym_group_by_clause,
    STATE(5832), 1,
      sym_having_clause,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3589), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3585), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [5795] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [5934] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3729), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6073] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3731), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6212] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3733), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6351] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3735), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6490] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(3737), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3741), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7774), 1,
      sym__identifier,
    STATE(9624), 1,
      sym_as_alias,
    STATE(9691), 1,
      sym_identifier,
    STATE(9818), 1,
      sym__type_chrono,
    STATE(9911), 1,
      sym_unnest_withoffset,
    STATE(11603), 1,
      sym__keyword_as,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3739), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9676), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [6579] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3735), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6718] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6857] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3745), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [6996] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      sym__unquoted_identifier,
    ACTIONS(2307), 1,
      sym__quoted_identifier,
    ACTIONS(3747), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3751), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8442), 1,
      sym__identifier,
    STATE(9486), 1,
      sym_as_alias,
    STATE(9633), 1,
      sym_identifier,
    STATE(9695), 1,
      sym__type_chrono,
    STATE(10518), 1,
      sym_unnest_withoffset,
    STATE(11536), 1,
      sym__keyword_as,
    STATE(13922), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3749), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9720), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [7085] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [7224] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [7363] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5378), 1,
      sym_where_clause,
    STATE(5482), 1,
      sym_group_by_clause,
    STATE(5848), 1,
      sym_having_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3617), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [7448] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [7587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_keyword_replace_token2,
    STATE(5380), 1,
      sym_select_all_replace,
    ACTIONS(3761), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3759), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [7654] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [7793] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(1211), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [7874] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [8013] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [8152] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3767), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [8291] = 40,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(375), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [8428] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [8525] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1211), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 28,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_PIPE,
  [8610] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1211), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [8699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [8790] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
    ACTIONS(1213), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [8883] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [8978] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3425), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3427), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3429), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3437), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 20,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [9085] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3425), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3427), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3431), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3429), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3437), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 19,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [9194] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3425), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3427), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3431), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3429), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3437), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1197), 18,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [9305] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(1187), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1189), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [9386] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3769), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [9525] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1225), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [9622] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3729), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [9761] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3771), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [9900] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5385), 1,
      sym_where_clause,
    STATE(5493), 1,
      sym_group_by_clause,
    STATE(5812), 1,
      sym_having_clause,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3603), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3601), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [9985] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5388), 1,
      sym_where_clause,
    STATE(5488), 1,
      sym_group_by_clause,
    STATE(5817), 1,
      sym_having_clause,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3615), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3613), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10070] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1221), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1223), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [10167] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3773), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [10306] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(375), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5386), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [10445] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PLUS,
    ACTIONS(3445), 1,
      anon_sym_DASH,
    ACTIONS(3449), 1,
      anon_sym_SLASH,
    ACTIONS(3453), 1,
      anon_sym_AMP,
    ACTIONS(3455), 1,
      anon_sym_CARET,
    ACTIONS(3457), 1,
      anon_sym_PIPE,
    STATE(1021), 1,
      sym__keyword_in,
    STATE(1088), 1,
      sym__keyword_and,
    STATE(1097), 1,
      sym__keyword_or,
    STATE(1729), 1,
      sym__keyword_between,
    STATE(12094), 1,
      sym__keyword_is,
    STATE(13142), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(3447), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3451), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1165), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1167), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
  [10542] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_where_clause_token1,
    STATE(5376), 1,
      sym_where_clause,
    STATE(5478), 1,
      sym_group_by_clause,
    STATE(5850), 1,
      sym_having_clause,
    STATE(6119), 1,
      sym_qualify_clause,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3779), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3777), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3781), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5432), 1,
      sym_from_clause,
    STATE(5952), 1,
      sym_where_clause,
    STATE(6093), 1,
      sym_qualify_clause,
    STATE(6237), 1,
      sym_group_by_clause,
    STATE(6381), 1,
      sym_window_clause,
    STATE(6604), 1,
      sym_having_clause,
    STATE(11170), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3609), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3791), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3795), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9674), 1,
      sym_as_alias,
    STATE(9732), 1,
      sym_identifier,
    STATE(9733), 1,
      sym__type_chrono,
    STATE(10456), 1,
      sym_unnest_withoffset,
    STATE(11546), 1,
      sym__keyword_as,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3793), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9718), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(205), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [10803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3781), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5479), 1,
      sym_from_clause,
    STATE(5852), 1,
      sym_where_clause,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6209), 1,
      sym_group_by_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(6607), 1,
      sym_having_clause,
    STATE(11170), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3601), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10891] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3781), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5559), 1,
      sym_from_clause,
    STATE(5696), 1,
      sym_where_clause,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6156), 1,
      sym_group_by_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(6627), 1,
      sym_having_clause,
    STATE(11170), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3613), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [10979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3797), 52,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_replace_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3801), 52,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_replace_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11103] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3781), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5535), 1,
      sym_from_clause,
    STATE(5729), 1,
      sym_where_clause,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6255), 1,
      sym_group_by_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(6678), 1,
      sym_having_clause,
    STATE(11170), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3585), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3781), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5548), 1,
      sym_from_clause,
    STATE(5716), 1,
      sym_where_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6353), 1,
      sym_group_by_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(6693), 1,
      sym_having_clause,
    STATE(11170), 1,
      sym__keyword_from,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3617), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3805), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    STATE(5472), 1,
      sym_group_by_clause,
    STATE(5862), 1,
      sym_having_clause,
    STATE(6101), 1,
      sym_qualify_clause,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3811), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3809), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11419] = 39,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(3709), 1,
      anon_sym_DOT2,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    STATE(16345), 1,
      sym_as_alias,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [11552] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    STATE(5481), 1,
      sym_group_by_clause,
    STATE(5832), 1,
      sym_having_clause,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3589), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3585), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11631] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    STATE(5493), 1,
      sym_group_by_clause,
    STATE(5812), 1,
      sym_having_clause,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3603), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3601), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3813), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3817), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3821), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11893] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    STATE(5478), 1,
      sym_group_by_clause,
    STATE(5850), 1,
      sym_having_clause,
    STATE(6119), 1,
      sym_qualify_clause,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3779), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3777), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [11972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      aux_sym_tablesample_operator_token1,
    STATE(5530), 1,
      sym_tablesample_operator,
    ACTIONS(3827), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3825), 49,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12037] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    STATE(5488), 1,
      sym_group_by_clause,
    STATE(5817), 1,
      sym_having_clause,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3615), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3613), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3831), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3829), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3761), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3759), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12238] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_group_by_clause_token1,
    STATE(5482), 1,
      sym_group_by_clause,
    STATE(5848), 1,
      sym_having_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3617), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3835), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3833), 51,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1469), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [12440] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3839), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3841), 1,
      aux_sym__keyword_as_token1,
    STATE(5949), 1,
      sym_create_table_parameters,
    STATE(6140), 1,
      sym_like_clause,
    STATE(6223), 1,
      sym_default_collate_clause,
    STATE(6879), 1,
      sym_table_partition_clause,
    STATE(7339), 1,
      sym_table_cluster_clause,
    STATE(7698), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12490), 1,
      sym__keyword_as,
    ACTIONS(3837), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12530] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3655), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3843), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(6689), 1,
      sym_create_table_parameters,
    STATE(6775), 1,
      sym_like_clause,
    STATE(7155), 1,
      sym_default_collate_clause,
    STATE(7468), 1,
      sym_copy_clause,
    STATE(7612), 1,
      sym_table_partition_clause,
    STATE(9026), 1,
      sym_clone_clause,
    STATE(9038), 1,
      sym_table_cluster_clause,
    STATE(9811), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12169), 1,
      sym__keyword_as,
    ACTIONS(3661), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 1,
      anon_sym_COMMA,
    STATE(5407), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(137), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(139), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12690] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3851), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3853), 1,
      aux_sym__keyword_as_token1,
    STATE(5853), 1,
      sym_create_table_parameters,
    STATE(6124), 1,
      sym_like_clause,
    STATE(6208), 1,
      sym_default_collate_clause,
    STATE(6994), 1,
      sym_table_partition_clause,
    STATE(7416), 1,
      sym_table_cluster_clause,
    STATE(7959), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12553), 1,
      sym__keyword_as,
    ACTIONS(3849), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12780] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3857), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3859), 1,
      aux_sym__keyword_as_token1,
    STATE(5845), 1,
      sym_create_table_parameters,
    STATE(6136), 1,
      sym_like_clause,
    STATE(6210), 1,
      sym_default_collate_clause,
    STATE(7003), 1,
      sym_table_partition_clause,
    STATE(7423), 1,
      sym_table_cluster_clause,
    STATE(7950), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12552), 1,
      sym__keyword_as,
    ACTIONS(3855), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12870] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3863), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3865), 1,
      aux_sym__keyword_as_token1,
    STATE(5865), 1,
      sym_create_table_parameters,
    STATE(6141), 1,
      sym_like_clause,
    STATE(6214), 1,
      sym_default_collate_clause,
    STATE(7056), 1,
      sym_table_partition_clause,
    STATE(7331), 1,
      sym_table_cluster_clause,
    STATE(7898), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12546), 1,
      sym__keyword_as,
    ACTIONS(3861), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [12960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3869), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3867), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_COMMA,
    STATE(5393), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3873), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3871), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3397), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3399), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3877), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3407), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3655), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3881), 1,
      aux_sym__keyword_as_token1,
    STATE(6615), 1,
      sym_create_table_parameters,
    STATE(6884), 1,
      sym_like_clause,
    STATE(7241), 1,
      sym_default_collate_clause,
    STATE(7452), 1,
      sym_copy_clause,
    STATE(7682), 1,
      sym_table_partition_clause,
    STATE(8379), 1,
      sym_clone_clause,
    STATE(8381), 1,
      sym_table_cluster_clause,
    STATE(9678), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12784), 1,
      sym__keyword_as,
    ACTIONS(3639), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13360] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3641), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3645), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(5876), 1,
      sym_create_table_parameters,
    STATE(6102), 1,
      sym_like_clause,
    STATE(6176), 1,
      sym_default_collate_clause,
    STATE(6927), 1,
      sym_table_partition_clause,
    STATE(7322), 1,
      sym_table_cluster_clause,
    STATE(7797), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12283), 1,
      sym__keyword_as,
    ACTIONS(3639), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      sym__string_start,
    STATE(5909), 1,
      sym_string,
    ACTIONS(1471), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [13514] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3885), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3887), 1,
      aux_sym__keyword_as_token1,
    STATE(5969), 1,
      sym_create_table_parameters,
    STATE(6079), 1,
      sym_like_clause,
    STATE(6338), 1,
      sym_default_collate_clause,
    STATE(6835), 1,
      sym_table_partition_clause,
    STATE(7390), 1,
      sym_table_cluster_clause,
    STATE(7671), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12164), 1,
      sym__keyword_as,
    ACTIONS(3883), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3893), 1,
      anon_sym_COMMA,
    STATE(5415), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3891), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3889), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_COMMA,
    STATE(5407), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3835), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3833), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1541), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1539), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [13794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1539), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1541), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [13856] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3663), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3665), 1,
      aux_sym__keyword_as_token1,
    STATE(5950), 1,
      sym_create_table_parameters,
    STATE(6112), 1,
      sym_like_clause,
    STATE(6224), 1,
      sym_default_collate_clause,
    STATE(6873), 1,
      sym_table_partition_clause,
    STATE(7350), 1,
      sym_table_cluster_clause,
    STATE(7689), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12489), 1,
      sym__keyword_as,
    ACTIONS(3661), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [13946] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3900), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3902), 1,
      aux_sym__keyword_as_token1,
    STATE(5964), 1,
      sym_create_table_parameters,
    STATE(6095), 1,
      sym_like_clause,
    STATE(6234), 1,
      sym_default_collate_clause,
    STATE(6751), 1,
      sym_table_partition_clause,
    STATE(7327), 1,
      sym_table_cluster_clause,
    STATE(7579), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12475), 1,
      sym__keyword_as,
    ACTIONS(3898), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14036] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3906), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3908), 1,
      aux_sym__keyword_as_token1,
    STATE(5828), 1,
      sym_create_table_parameters,
    STATE(6135), 1,
      sym_like_clause,
    STATE(6186), 1,
      sym_default_collate_clause,
    STATE(6913), 1,
      sym_table_partition_clause,
    STATE(7288), 1,
      sym_table_cluster_clause,
    STATE(7800), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12537), 1,
      sym__keyword_as,
    ACTIONS(3904), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3910), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14186] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    ACTIONS(3655), 1,
      aux_sym_copy_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3914), 1,
      aux_sym__keyword_as_token1,
    STATE(6644), 1,
      sym_create_table_parameters,
    STATE(7099), 1,
      sym_like_clause,
    STATE(7108), 1,
      sym_default_collate_clause,
    STATE(7523), 1,
      sym_copy_clause,
    STATE(7885), 1,
      sym_table_partition_clause,
    STATE(8419), 1,
      sym_clone_clause,
    STATE(8420), 1,
      sym_table_cluster_clause,
    STATE(9679), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12515), 1,
      sym__keyword_as,
    ACTIONS(3675), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    STATE(5407), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(73), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(91), 48,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14346] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3677), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(3679), 1,
      aux_sym__keyword_as_token1,
    STATE(5967), 1,
      sym_create_table_parameters,
    STATE(5970), 1,
      sym_like_clause,
    STATE(6193), 1,
      sym_default_collate_clause,
    STATE(6901), 1,
      sym_table_partition_clause,
    STATE(7314), 1,
      sym_table_cluster_clause,
    STATE(7739), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12304), 1,
      sym__keyword_as,
    ACTIONS(3675), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3918), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3922), 50,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1471), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5628), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5735), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3928), 49,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [14803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 44,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5637), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5895), 1,
      sym_analytics_clause,
    ACTIONS(1431), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [14988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5638), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5893), 1,
      sym_analytics_clause,
    ACTIONS(1439), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1437), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5880), 1,
      sym_analytics_clause,
    ACTIONS(1447), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5874), 1,
      sym_analytics_clause,
    ACTIONS(1451), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5864), 1,
      sym_analytics_clause,
    ACTIONS(1455), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1453), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5863), 1,
      sym_analytics_clause,
    ACTIONS(1459), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15366] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5852), 1,
      sym_where_clause,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6209), 1,
      sym_group_by_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(6607), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3601), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [15445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5861), 1,
      sym_analytics_clause,
    ACTIONS(1369), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5860), 1,
      sym_analytics_clause,
    ACTIONS(1369), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5851), 1,
      sym_analytics_clause,
    ACTIONS(1487), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5846), 1,
      sym_analytics_clause,
    ACTIONS(1495), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5715), 1,
      sym_analytics_clause,
    ACTIONS(1499), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5894), 1,
      sym_analytics_clause,
    ACTIONS(1435), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1433), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5830), 1,
      sym_analytics_clause,
    ACTIONS(1511), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5827), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [15949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5826), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5825), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5824), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5821), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5820), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5819), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5818), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5816), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5911), 1,
      sym_analytics_clause,
    ACTIONS(1391), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1389), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5815), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5814), 1,
      sym_analytics_clause,
    ACTIONS(1515), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5813), 1,
      sym_analytics_clause,
    ACTIONS(1503), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5807), 1,
      sym_analytics_clause,
    ACTIONS(1491), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5805), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5629), 1,
      sym_analytics_clause,
    ACTIONS(1467), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5800), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [16957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5797), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5899), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5793), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5792), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5639), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5791), 1,
      sym_analytics_clause,
    ACTIONS(1463), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5790), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5640), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5626), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5641), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5833), 1,
      sym_analytics_clause,
    ACTIONS(1507), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1505), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5787), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5785), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5784), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5782), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [17902] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(5866), 1,
      sym_having_clause,
    STATE(6151), 1,
      sym_qualify_clause,
    STATE(6559), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3936), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3934), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [17975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5779), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5776), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5772), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5770), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5769), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18290] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(5862), 1,
      sym_having_clause,
    STATE(6101), 1,
      sym_qualify_clause,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3811), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3809), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18363] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5696), 1,
      sym_where_clause,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6156), 1,
      sym_group_by_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(6627), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3613), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5767), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18505] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(5850), 1,
      sym_having_clause,
    STATE(6119), 1,
      sym_qualify_clause,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3779), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3777), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18578] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(5832), 1,
      sym_having_clause,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3589), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3585), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5642), 1,
      sym_analytics_clause,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5633), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5630), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    STATE(5854), 1,
      sym__nulls_preference,
    ACTIONS(3940), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3938), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [18903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5766), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [18966] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(5848), 1,
      sym_having_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3617), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [19039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5763), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5761), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5758), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5914), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19291] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(5817), 1,
      sym_having_clause,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3615), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3613), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [19364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5755), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5753), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5752), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19553] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3593), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(5812), 1,
      sym_having_clause,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3603), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3601), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [19626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5750), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5747), 1,
      sym_analytics_clause,
    ACTIONS(1383), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5746), 1,
      sym_analytics_clause,
    ACTIONS(1387), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5744), 1,
      sym_analytics_clause,
    ACTIONS(1403), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5742), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [19941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5741), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5737), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5636), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5734), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5733), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5732), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5731), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5724), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5723), 1,
      sym_analytics_clause,
    ACTIONS(1427), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5722), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5719), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5713), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5678), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5710), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5709), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5707), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [20949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5706), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5704), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5702), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5643), 1,
      sym_analytics_clause,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5699), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5698), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5694), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5692), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5627), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5688), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5684), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3944), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3942), 49,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [21701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5683), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5623), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5681), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5780), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [21953] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5829), 1,
      sym_where_clause,
    STATE(6119), 1,
      sym_qualify_clause,
    STATE(6207), 1,
      sym_group_by_clause,
    STATE(6412), 1,
      sym_window_clause,
    STATE(6617), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3777), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [22032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5593), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5594), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5595), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5597), 1,
      sym_analytics_clause,
    ACTIONS(1415), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5598), 1,
      sym_analytics_clause,
    ACTIONS(1411), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5600), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5601), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5602), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5603), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5604), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5632), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5606), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22788] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5729), 1,
      sym_where_clause,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6255), 1,
      sym_group_by_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(6678), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3585), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [22867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5730), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5607), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [22993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5609), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5756), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5611), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5612), 1,
      sym_analytics_clause,
    ACTIONS(1395), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5613), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5614), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5615), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5616), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23497] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(3789), 1,
      aux_sym_where_clause_token1,
    STATE(5716), 1,
      sym_where_clause,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6353), 1,
      sym_group_by_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(6693), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3617), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [23576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5624), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3827), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3825), 49,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [23698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5617), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5618), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5619), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      aux_sym__keyword_as_token1,
    STATE(15222), 1,
      sym__keyword_as,
    ACTIONS(1477), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [23950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5621), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5622), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5608), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5635), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      aux_sym_analytics_clause_token1,
    STATE(5634), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24265] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      sym__unquoted_identifier,
    ACTIONS(2363), 1,
      sym__quoted_identifier,
    ACTIONS(3948), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3952), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10539), 1,
      sym__identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(10692), 1,
      sym__type_chrono,
    STATE(10708), 1,
      sym_as_alias,
    STATE(10965), 1,
      sym_unnest_withoffset,
    STATE(11575), 1,
      sym__keyword_as,
    STATE(13861), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3950), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10681), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 14,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_option_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3954), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3958), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [24523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3962), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3968), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3966), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3972), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3970), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3976), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3974), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3980), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3978), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3984), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3982), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3988), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3986), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3992), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3990), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [24987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3996), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3994), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [25103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4000), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3998), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [25161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1589), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1587), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1787), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1767), 43,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4008), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4006), 48,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [25455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6290), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [25516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6161), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [25577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6333), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [25809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1653), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [25923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6335), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [25984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6336), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [26330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6153), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [26619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1633), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [26961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6340), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [27193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6346), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [27482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1613), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4012), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [27824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [27995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [28508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4016), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [28565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6349), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [28626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6236), 1,
      sym_analytics_clause,
    ACTIONS(1409), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1411), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [28687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6232), 1,
      sym_analytics_clause,
    ACTIONS(1413), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1415), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [28748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6356), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [28809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6355), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [28870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6354), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [28931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6352), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [28992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1551), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6351), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6350), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6348), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6347), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6345), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6344), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6343), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6342), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6341), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6270), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6334), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6332), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6331), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6329), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6328), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [29964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6326), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6325), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6324), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6321), 1,
      sym_analytics_clause,
    ACTIONS(1425), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1427), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6319), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6318), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6316), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6315), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6314), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6308), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6330), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6305), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6327), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [30871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [30985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6301), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6299), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6298), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6296), 1,
      sym_analytics_clause,
    ACTIONS(1401), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1403), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6294), 1,
      sym_analytics_clause,
    ACTIONS(1385), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1387), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6293), 1,
      sym_analytics_clause,
    ACTIONS(1381), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1383), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6291), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6309), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6353), 1,
      sym_group_by_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(6693), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3617), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [31717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6288), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [31892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6287), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [31953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6286), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6279), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6276), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6271), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6269), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6268), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6260), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [32836] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6255), 1,
      sym_group_by_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(6678), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3585), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [32909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6262), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [32970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6322), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6198), 1,
      sym_analytics_clause,
    ACTIONS(1389), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1391), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6320), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6317), 1,
      sym_analytics_clause,
    ACTIONS(1393), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1395), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6259), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6258), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6313), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [33625] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    STATE(6119), 1,
      sym_qualify_clause,
    STATE(6207), 1,
      sym_group_by_clause,
    STATE(6412), 1,
      sym_window_clause,
    STATE(6617), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3777), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [33698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [33983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6250), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6249), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6311), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6247), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6310), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6246), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1593), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6339), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6245), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [34927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6243), 1,
      sym_analytics_clause,
    ACTIONS(1461), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1463), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [34988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6242), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [35163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6241), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [35338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6240), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [35456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6239), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [35517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6238), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [35635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35692] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4022), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4024), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4026), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4028), 1,
      aux_sym_default_collate_clause_token1,
    ACTIONS(4030), 1,
      aux_sym_primary_key_token1,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    STATE(6228), 1,
      sym_collate_clause,
    STATE(6776), 1,
      sym_foreign_key_references,
    STATE(7261), 1,
      sym_default_clause,
    STATE(7311), 1,
      sym_option_clause,
    ACTIONS(4020), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [35769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6235), 1,
      sym_analytics_clause,
    ACTIONS(1489), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1491), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [35830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [35944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6337), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6233), 1,
      sym_analytics_clause,
    ACTIONS(1501), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1503), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6254), 1,
      sym_analytics_clause,
    ACTIONS(1513), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1515), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6155), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6157), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6159), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6160), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6164), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6165), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [36892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [36949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6166), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6168), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6169), 1,
      sym_analytics_clause,
    ACTIONS(1509), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1511), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6171), 1,
      sym_analytics_clause,
    ACTIONS(1505), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1507), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6172), 1,
      sym_analytics_clause,
    ACTIONS(1497), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1499), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6175), 1,
      sym_analytics_clause,
    ACTIONS(1493), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1495), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6177), 1,
      sym_analytics_clause,
    ACTIONS(1485), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1487), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37775] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3603), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3601), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [37842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [37899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6178), 1,
      sym_analytics_clause,
    ACTIONS(1367), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1369), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [37960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6180), 1,
      sym_analytics_clause,
    ACTIONS(1367), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1369), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6181), 1,
      sym_analytics_clause,
    ACTIONS(1457), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1459), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6182), 1,
      sym_analytics_clause,
    ACTIONS(1453), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1455), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6183), 1,
      sym_analytics_clause,
    ACTIONS(1449), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1451), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6184), 1,
      sym_analytics_clause,
    ACTIONS(1445), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1447), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6188), 1,
      sym_analytics_clause,
    ACTIONS(1437), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1439), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6189), 1,
      sym_analytics_clause,
    ACTIONS(1433), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1435), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6190), 1,
      sym_analytics_clause,
    ACTIONS(1429), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1431), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [38562] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3615), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3613), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [38629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38857] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3617), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [38924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [38981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6162), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [39213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4034), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [39270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39498] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4040), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4042), 1,
      aux_sym__keyword_as_token1,
    STATE(6215), 1,
      sym_default_collate_clause,
    STATE(7053), 1,
      sym_table_partition_clause,
    STATE(7325), 1,
      sym_table_cluster_clause,
    STATE(7904), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12207), 1,
      sym__keyword_as,
    ACTIONS(4038), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [39577] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    STATE(6101), 1,
      sym_qualify_clause,
    STATE(6219), 1,
      sym_group_by_clause,
    STATE(6403), 1,
      sym_window_clause,
    STATE(6612), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3809), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [39650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4048), 1,
      anon_sym_COMMA,
    STATE(5834), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4046), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4044), 45,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [39768] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(6119), 1,
      sym_qualify_clause,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3779), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3777), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [39835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [39892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(5834), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(3968), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3966), 45,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [39953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_COMMA,
    STATE(5835), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(3972), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3970), 45,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [40014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1751), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1681), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1861), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1865), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1791), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40299] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(1213), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40374] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(1189), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6307), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40510] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4056), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4058), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4062), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4060), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 17,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [40613] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4084), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4086), 1,
      aux_sym__keyword_as_token1,
    STATE(6179), 1,
      sym_default_collate_clause,
    STATE(6886), 1,
      sym_table_partition_clause,
    STATE(7399), 1,
      sym_table_cluster_clause,
    STATE(7764), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12539), 1,
      sym__keyword_as,
    ACTIONS(4082), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [40692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [40749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1469), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40808] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3589), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3585), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [40875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1539), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1541), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [40934] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(6101), 1,
      sym_qualify_clause,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3811), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3809), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [41001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41058] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6156), 1,
      sym_group_by_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(6627), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3613), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [41131] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4090), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4092), 1,
      aux_sym__keyword_as_token1,
    STATE(6206), 1,
      sym_default_collate_clause,
    STATE(6951), 1,
      sym_table_partition_clause,
    STATE(7378), 1,
      sym_table_cluster_clause,
    STATE(7929), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12532), 1,
      sym__keyword_as,
    ACTIONS(4088), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [41210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4096), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4094), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [41267] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1225), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [41358] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4056), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4058), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4062), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    ACTIONS(4098), 1,
      anon_sym_LBRACK,
    ACTIONS(4100), 1,
      anon_sym_DOT2,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4060), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1229), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [41467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1795), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41524] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1241), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [41615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1709), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(6151), 1,
      sym_qualify_clause,
    STATE(6559), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3936), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3934), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [41853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [41967] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4104), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4106), 1,
      aux_sym__keyword_as_token1,
    STATE(6167), 1,
      sym_default_collate_clause,
    STATE(6816), 1,
      sym_table_partition_clause,
    STATE(7357), 1,
      sym_table_cluster_clause,
    STATE(7719), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12555), 1,
      sym__keyword_as,
    ACTIONS(4102), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [42046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3595), 1,
      aux_sym_qualify_clause_token1,
    STATE(6082), 1,
      sym_qualify_clause,
    STATE(6382), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(4110), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4108), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [42113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1779), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1771), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1763), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1759), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4114), 12,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(4112), 37,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_create_model_statement_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [42398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1747), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1713), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1531), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42626] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4118), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4120), 1,
      aux_sym__keyword_as_token1,
    STATE(6196), 1,
      sym_default_collate_clause,
    STATE(6896), 1,
      sym_table_partition_clause,
    STATE(7321), 1,
      sym_table_cluster_clause,
    STATE(7727), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12309), 1,
      sym__keyword_as,
    ACTIONS(4116), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [42705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1705), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1701), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1693), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1689), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [42990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1829), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43047] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [43138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1677), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43195] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1167), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1165), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [43286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      sym__string_start,
    STATE(6406), 1,
      sym_string,
    ACTIONS(1469), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [43347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1669), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1665), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1661), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1825), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1657), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1649), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1645), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [43974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1821), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1563), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1641), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1637), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1629), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1817), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1813), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1625), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1621), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44487] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1223), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1221), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [44578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1617), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1845), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1609), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1605), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [44977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1601), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1597), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45091] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4056), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4058), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4062), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4060), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 18,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [45192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1697), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45249] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4056), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4058), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4060), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 19,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [45348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1809), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1833), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1837), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45576] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [45665] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 28,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [45752] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [45837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45920] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 5,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 32,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [45999] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_PLUS,
    ACTIONS(4068), 1,
      anon_sym_DASH,
    ACTIONS(4072), 1,
      anon_sym_SLASH,
    ACTIONS(4076), 1,
      anon_sym_AMP,
    ACTIONS(4078), 1,
      anon_sym_CARET,
    ACTIONS(4080), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      sym__keyword_between,
    STATE(1461), 1,
      sym__keyword_in,
    STATE(1792), 1,
      sym__keyword_and,
    STATE(1795), 1,
      sym__keyword_or,
    STATE(12112), 1,
      sym__keyword_is,
    STATE(13146), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16163), 1,
      sym_quantitve_like_operator,
    STATE(16165), 1,
      sym_like_operator,
    ACTIONS(4070), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [46090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1783), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1789), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1775), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1755), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6251), 1,
      sym_analytics_clause,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6252), 1,
      sym_analytics_clause,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6154), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6257), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6261), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6267), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1805), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6274), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1841), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [46859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6275), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6277), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [46981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6278), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6280), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1849), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1853), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47217] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4124), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4126), 1,
      aux_sym__keyword_as_token1,
    STATE(6211), 1,
      sym_default_collate_clause,
    STATE(7021), 1,
      sym_table_partition_clause,
    STATE(7417), 1,
      sym_table_cluster_clause,
    STATE(7925), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12462), 1,
      sym__keyword_as,
    ACTIONS(4122), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [47296] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4130), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4132), 1,
      aux_sym__keyword_as_token1,
    STATE(6216), 1,
      sym_default_collate_clause,
    STATE(7062), 1,
      sym_table_partition_clause,
    STATE(7300), 1,
      sym_table_cluster_clause,
    STATE(7839), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12544), 1,
      sym__keyword_as,
    ACTIONS(4128), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [47375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6282), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47436] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(3787), 1,
      aux_sym_group_by_clause_token1,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6209), 1,
      sym_group_by_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(6607), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3601), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [47509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6284), 1,
      sym_analytics_clause,
    ACTIONS(1465), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1467), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6285), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1673), 42,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [47688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6289), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6292), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5835), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(4136), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4134), 46,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [47869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6295), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1769), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [47987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6297), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6300), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6302), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48170] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4140), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4142), 1,
      aux_sym__keyword_as_token1,
    STATE(6218), 1,
      sym_default_collate_clause,
    STATE(6926), 1,
      sym_table_partition_clause,
    STATE(7323), 1,
      sym_table_cluster_clause,
    STATE(7778), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12536), 1,
      sym__keyword_as,
    ACTIONS(4138), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6304), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      aux_sym_analytics_clause_token1,
    STATE(6306), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48371] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4146), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4148), 1,
      aux_sym__keyword_as_token1,
    STATE(6312), 1,
      sym_default_collate_clause,
    STATE(6793), 1,
      sym_table_partition_clause,
    STATE(7398), 1,
      sym_table_cluster_clause,
    STATE(7653), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12457), 1,
      sym__keyword_as,
    ACTIONS(4144), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4048), 1,
      anon_sym_COMMA,
    STATE(5831), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4152), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4150), 45,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48511] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4156), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4158), 1,
      aux_sym__keyword_as_token1,
    STATE(6225), 1,
      sym_default_collate_clause,
    STATE(6801), 1,
      sym_table_partition_clause,
    STATE(7336), 1,
      sym_table_cluster_clause,
    STATE(7651), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12479), 1,
      sym__keyword_as,
    ACTIONS(4154), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48590] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4162), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4164), 1,
      aux_sym__keyword_as_token1,
    STATE(6323), 1,
      sym_create_table_parameters,
    STATE(6795), 1,
      sym_table_partition_clause,
    STATE(7409), 1,
      sym_table_cluster_clause,
    STATE(7659), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12455), 1,
      sym__keyword_as,
    ACTIONS(4160), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6487), 1,
      sym_analytics_clause,
    ACTIONS(1493), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1495), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6500), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3589), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3585), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [48850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6499), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6498), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [48970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6495), 1,
      sym_analytics_clause,
    ACTIONS(1381), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1383), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6494), 1,
      sym_analytics_clause,
    ACTIONS(1385), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1387), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6493), 1,
      sym_analytics_clause,
    ACTIONS(1401), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1403), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6492), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6491), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6490), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6489), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6488), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6434), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6486), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6485), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6484), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6483), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6482), 1,
      sym_analytics_clause,
    ACTIONS(1425), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1427), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6481), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6480), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6479), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [49990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6478), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6477), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4168), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [50166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6476), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6475), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6474), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6473), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6472), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6471), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6470), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6469), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6468), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6467), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6466), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6465), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6464), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [50946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6463), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6462), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6461), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6460), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6458), 1,
      sym_analytics_clause,
    ACTIONS(1413), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1415), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6457), 1,
      sym_analytics_clause,
    ACTIONS(1409), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1411), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6456), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51366] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4172), 1,
      aux_sym__keyword_as_token1,
    STATE(6610), 1,
      sym_create_table_parameters,
    STATE(6940), 1,
      sym_like_clause,
    STATE(7235), 1,
      sym_default_collate_clause,
    STATE(7805), 1,
      sym_table_partition_clause,
    STATE(8735), 1,
      sym_table_cluster_clause,
    STATE(9844), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12695), 1,
      sym__keyword_as,
    ACTIONS(3861), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [51450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6455), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6454), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6453), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51630] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      sym__unquoted_identifier,
    ACTIONS(567), 1,
      sym__quoted_identifier,
    ACTIONS(4174), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(4176), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(7179), 1,
      sym_unnest_withoffset,
    STATE(8782), 1,
      sym__identifier,
    STATE(9124), 1,
      sym_as_alias,
    STATE(11522), 1,
      sym__keyword_as,
    STATE(13982), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 12,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [51712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6357), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6451), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6450), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [51892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4178), 1,
      anon_sym_LPAREN,
    ACTIONS(4168), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [51950] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4180), 1,
      aux_sym__keyword_as_token1,
    STATE(6608), 1,
      sym_create_table_parameters,
    STATE(7061), 1,
      sym_like_clause,
    STATE(7140), 1,
      sym_default_collate_clause,
    STATE(7860), 1,
      sym_table_partition_clause,
    STATE(8695), 1,
      sym_table_cluster_clause,
    STATE(9834), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12716), 1,
      sym__keyword_as,
    ACTIONS(3855), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [52034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6449), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6448), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6447), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6446), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6445), 1,
      sym_analytics_clause,
    ACTIONS(1393), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1395), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6444), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6452), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6442), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6441), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6440), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6439), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6438), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6437), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6436), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6435), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6415), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [52994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6433), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6432), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6431), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6430), 1,
      sym_analytics_clause,
    ACTIONS(1465), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1467), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6429), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6428), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6427), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    STATE(6096), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3889), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [53528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_COMMA,
    STATE(6097), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3871), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [53586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6426), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6425), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6424), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6423), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6422), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6421), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [53946] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4186), 1,
      aux_sym__keyword_as_token1,
    STATE(6686), 1,
      sym_create_table_parameters,
    STATE(6763), 1,
      sym_like_clause,
    STATE(7149), 1,
      sym_default_collate_clause,
    STATE(7608), 1,
      sym_table_partition_clause,
    STATE(9030), 1,
      sym_table_cluster_clause,
    STATE(9887), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12168), 1,
      sym__keyword_as,
    ACTIONS(3837), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54030] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3843), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(6689), 1,
      sym_create_table_parameters,
    STATE(6775), 1,
      sym_like_clause,
    STATE(7155), 1,
      sym_default_collate_clause,
    STATE(7612), 1,
      sym_table_partition_clause,
    STATE(9038), 1,
      sym_table_cluster_clause,
    STATE(9811), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12169), 1,
      sym__keyword_as,
    ACTIONS(3661), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6420), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6419), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6418), 1,
      sym_analytics_clause,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6417), 1,
      sym_analytics_clause,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4188), 1,
      aux_sym__keyword_as_token1,
    STATE(6609), 1,
      sym_create_table_parameters,
    STATE(7066), 1,
      sym_like_clause,
    STATE(7127), 1,
      sym_default_collate_clause,
    STATE(7868), 1,
      sym_table_partition_clause,
    STATE(8687), 1,
      sym_table_cluster_clause,
    STATE(9832), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12772), 1,
      sym__keyword_as,
    ACTIONS(3849), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [54438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6502), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6503), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6501), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6504), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6505), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6506), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6507), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6508), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6509), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [54978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4192), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4190), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [55034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6510), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6443), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6511), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6512), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55274] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4196), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4198), 1,
      aux_sym__keyword_as_token1,
    STATE(6230), 1,
      sym_create_table_parameters,
    STATE(6779), 1,
      sym_table_partition_clause,
    STATE(7405), 1,
      sym_table_cluster_clause,
    STATE(7634), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12476), 1,
      sym__keyword_as,
    ACTIONS(4194), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [55352] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4200), 1,
      aux_sym__keyword_as_token1,
    STATE(6695), 1,
      sym_create_table_parameters,
    STATE(6833), 1,
      sym_like_clause,
    STATE(7198), 1,
      sym_default_collate_clause,
    STATE(7667), 1,
      sym_table_partition_clause,
    STATE(8779), 1,
      sym_table_cluster_clause,
    STATE(9855), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12191), 1,
      sym__keyword_as,
    ACTIONS(3898), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [55436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6513), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6379), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(4204), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4202), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [55558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6515), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6516), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6517), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6518), 1,
      sym_analytics_clause,
    ACTIONS(1461), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1463), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6519), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6520), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6521), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [55978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6522), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6523), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6524), 1,
      sym_analytics_clause,
    ACTIONS(1489), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1491), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56158] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3603), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3601), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [56220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6525), 1,
      sym_analytics_clause,
    ACTIONS(1501), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1503), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56280] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4208), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4210), 1,
      aux_sym__keyword_as_token1,
    STATE(6221), 1,
      sym_create_table_parameters,
    STATE(6906), 1,
      sym_table_partition_clause,
    STATE(7278), 1,
      sym_table_cluster_clause,
    STATE(7771), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12535), 1,
      sym__keyword_as,
    ACTIONS(4206), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [56358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_COMMA,
    STATE(6133), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(91), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [56416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_COMMA,
    STATE(6133), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(139), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [56474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3779), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3777), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [56536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6526), 1,
      sym_analytics_clause,
    ACTIONS(1513), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1515), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6358), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6559), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3936), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3934), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [56718] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4218), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4220), 1,
      aux_sym__keyword_as_token1,
    STATE(6194), 1,
      sym_create_table_parameters,
    STATE(6897), 1,
      sym_table_partition_clause,
    STATE(7318), 1,
      sym_table_cluster_clause,
    STATE(7829), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12305), 1,
      sym__keyword_as,
    ACTIONS(4216), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [56796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6540), 1,
      sym_analytics_clause,
    ACTIONS(1497), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1499), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1551), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [56968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6539), 1,
      sym_analytics_clause,
    ACTIONS(1505), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1507), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6529), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6538), 1,
      sym_analytics_clause,
    ACTIONS(1509), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1511), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57148] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3881), 1,
      aux_sym__keyword_as_token1,
    STATE(6615), 1,
      sym_create_table_parameters,
    STATE(6884), 1,
      sym_like_clause,
    STATE(7241), 1,
      sym_default_collate_clause,
    STATE(7682), 1,
      sym_table_partition_clause,
    STATE(8381), 1,
      sym_table_cluster_clause,
    STATE(9678), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12784), 1,
      sym__keyword_as,
    ACTIONS(3639), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3617), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6530), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57354] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4224), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4226), 1,
      aux_sym__keyword_as_token1,
    STATE(6217), 1,
      sym_create_table_parameters,
    STATE(6959), 1,
      sym_table_partition_clause,
    STATE(7391), 1,
      sym_table_cluster_clause,
    STATE(7821), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12542), 1,
      sym__keyword_as,
    ACTIONS(4222), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(6574), 1,
      sym_unnest_withoffset,
    ACTIONS(1523), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1525), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 19,
      sym__string_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1551), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6564), 1,
      sym_analytics_clause,
    ACTIONS(1429), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1431), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57608] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(3914), 1,
      aux_sym__keyword_as_token1,
    STATE(6644), 1,
      sym_create_table_parameters,
    STATE(7099), 1,
      sym_like_clause,
    STATE(7108), 1,
      sym_default_collate_clause,
    STATE(7885), 1,
      sym_table_partition_clause,
    STATE(8420), 1,
      sym_table_cluster_clause,
    STATE(9679), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12515), 1,
      sym__keyword_as,
    ACTIONS(3675), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4230), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4228), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4234), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4232), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3811), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3809), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [57866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6563), 1,
      sym_analytics_clause,
    ACTIONS(1433), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1435), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [57982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6541), 1,
      sym_analytics_clause,
    ACTIONS(1437), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1439), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4238), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4236), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58098] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4242), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4244), 1,
      aux_sym__keyword_as_token1,
    STATE(6205), 1,
      sym_create_table_parameters,
    STATE(6945), 1,
      sym_table_partition_clause,
    STATE(7366), 1,
      sym_table_cluster_clause,
    STATE(7919), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12533), 1,
      sym__keyword_as,
    ACTIONS(4240), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6553), 1,
      sym_analytics_clause,
    ACTIONS(1445), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1447), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3615), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3613), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6577), 1,
      sym_analytics_clause,
    ACTIONS(1389), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1391), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6537), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4246), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6552), 1,
      sym_analytics_clause,
    ACTIONS(1449), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1451), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6551), 1,
      sym_analytics_clause,
    ACTIONS(1453), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1455), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6550), 1,
      sym_analytics_clause,
    ACTIONS(1457), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1459), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [58654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_COMMA,
    STATE(6133), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3833), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58712] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4253), 1,
      aux_sym__keyword_as_token1,
    STATE(6664), 1,
      sym_create_table_parameters,
    STATE(7030), 1,
      sym_like_clause,
    STATE(7163), 1,
      sym_default_collate_clause,
    STATE(7980), 1,
      sym_table_partition_clause,
    STATE(8438), 1,
      sym_table_cluster_clause,
    STATE(9708), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12484), 1,
      sym__keyword_as,
    ACTIONS(3883), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58796] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4257), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4259), 1,
      aux_sym__keyword_as_token1,
    STATE(6212), 1,
      sym_create_table_parameters,
    STATE(7046), 1,
      sym_table_partition_clause,
    STATE(7346), 1,
      sym_table_cluster_clause,
    STATE(7910), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12203), 1,
      sym__keyword_as,
    ACTIONS(4255), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58874] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4263), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4265), 1,
      aux_sym__keyword_as_token1,
    STATE(6170), 1,
      sym_create_table_parameters,
    STATE(6882), 1,
      sym_table_partition_clause,
    STATE(7342), 1,
      sym_table_cluster_clause,
    STATE(7745), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12543), 1,
      sym__keyword_as,
    ACTIONS(4261), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [58952] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    STATE(6395), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(6396), 1,
      sym__nulls_preference,
    ACTIONS(4269), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4267), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [59016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6536), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6535), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59136] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4273), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4275), 1,
      aux_sym__keyword_as_token1,
    STATE(6213), 1,
      sym_create_table_parameters,
    STATE(7041), 1,
      sym_table_partition_clause,
    STATE(7364), 1,
      sym_table_cluster_clause,
    STATE(7908), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12549), 1,
      sym__keyword_as,
    ACTIONS(4271), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [59214] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4279), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4281), 1,
      aux_sym__keyword_as_token1,
    STATE(6229), 1,
      sym_create_table_parameters,
    STATE(6852), 1,
      sym_table_partition_clause,
    STATE(7368), 1,
      sym_table_cluster_clause,
    STATE(7705), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12558), 1,
      sym__keyword_as,
    ACTIONS(4277), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [59292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6534), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6533), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6549), 1,
      sym_analytics_clause,
    ACTIONS(1367), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1369), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59472] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4283), 1,
      aux_sym__keyword_as_token1,
    STATE(6606), 1,
      sym_create_table_parameters,
    STATE(6976), 1,
      sym_like_clause,
    STATE(7192), 1,
      sym_default_collate_clause,
    STATE(7981), 1,
      sym_table_partition_clause,
    STATE(8593), 1,
      sym_table_cluster_clause,
    STATE(9744), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12875), 1,
      sym__keyword_as,
    ACTIONS(3904), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [59556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4287), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4285), 47,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_default_collate_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [59612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6548), 1,
      sym_analytics_clause,
    ACTIONS(1367), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1369), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6542), 1,
      sym_analytics_clause,
    ACTIONS(1485), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1487), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6532), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [59792] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4289), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4291), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4295), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    ACTIONS(4301), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_DOT2,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12025), 1,
      sym__direction_keywords,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(12319), 1,
      sym__nulls_preference,
    STATE(12320), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(2719), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4293), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4299), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2703), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [59912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    STATE(6382), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(4110), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4108), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [59974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 1,
      aux_sym_analytics_clause_token1,
    STATE(6531), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60199] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(6693), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3617), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [60266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(1799), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1801), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4325), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4323), 46,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [60653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60818] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4329), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4331), 1,
      aux_sym__keyword_as_token1,
    STATE(7020), 1,
      sym_table_partition_clause,
    STATE(7383), 1,
      sym_table_cluster_clause,
    STATE(7932), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12190), 1,
      sym__keyword_as,
    ACTIONS(4327), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [60891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [60946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1463), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61001] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4335), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4337), 1,
      aux_sym__keyword_as_token1,
    STATE(7038), 1,
      sym_table_partition_clause,
    STATE(7348), 1,
      sym_table_cluster_clause,
    STATE(7918), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12200), 1,
      sym__keyword_as,
    ACTIONS(4333), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [61074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1491), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 1,
      aux_sym_limit_clause_token2,
    ACTIONS(4341), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4339), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [61241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4345), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1587), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1589), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1503), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61353] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4118), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4120), 1,
      aux_sym__keyword_as_token1,
    STATE(6896), 1,
      sym_table_partition_clause,
    STATE(7321), 1,
      sym_table_cluster_clause,
    STATE(7727), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12309), 1,
      sym__keyword_as,
    ACTIONS(4116), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [61426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1515), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61536] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4349), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4351), 1,
      aux_sym__keyword_as_token1,
    STATE(7043), 1,
      sym_table_partition_clause,
    STATE(7347), 1,
      sym_table_cluster_clause,
    STATE(7915), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12201), 1,
      sym__keyword_as,
    ACTIONS(4347), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [61609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1511), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1499), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1495), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1487), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1831), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [61939] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4040), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4042), 1,
      aux_sym__keyword_as_token1,
    STATE(7053), 1,
      sym_table_partition_clause,
    STATE(7325), 1,
      sym_table_cluster_clause,
    STATE(7904), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12207), 1,
      sym__keyword_as,
    ACTIONS(4038), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [62012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1827), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1459), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1451), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1447), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1823), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1819), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62342] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4146), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4148), 1,
      aux_sym__keyword_as_token1,
    STATE(6793), 1,
      sym_table_partition_clause,
    STATE(7398), 1,
      sym_table_cluster_clause,
    STATE(7653), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12457), 1,
      sym__keyword_as,
    ACTIONS(4144), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [62415] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4355), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4357), 1,
      aux_sym__keyword_as_token1,
    STATE(6747), 1,
      sym_table_partition_clause,
    STATE(7294), 1,
      sym_table_cluster_clause,
    STATE(7593), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12465), 1,
      sym__keyword_as,
    ACTIONS(4353), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [62488] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4289), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4291), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4295), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4301), 1,
      anon_sym_LBRACK,
    ACTIONS(4303), 1,
      anon_sym_DOT2,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(5486), 1,
      sym__direction_keywords,
    STATE(5823), 1,
      sym__nulls_preference,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(2719), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4293), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4299), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2795), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [62603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4361), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4363), 1,
      aux_sym__keyword_as_token1,
    STATE(6706), 1,
      sym_table_partition_clause,
    STATE(7280), 1,
      sym_table_cluster_clause,
    STATE(7550), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12473), 1,
      sym__keyword_as,
    ACTIONS(4359), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [62676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1815), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1431), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1807), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1785), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1789), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [62951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1777), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1757), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [63116] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4367), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4369), 1,
      aux_sym__keyword_as_token1,
    STATE(7077), 1,
      sym_table_partition_clause,
    STATE(7291), 1,
      sym_table_cluster_clause,
    STATE(7892), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12210), 1,
      sym__keyword_as,
    ACTIONS(4365), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63189] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4373), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4375), 1,
      aux_sym__keyword_as_token1,
    STATE(7092), 1,
      sym_table_partition_clause,
    STATE(7289), 1,
      sym_table_cluster_clause,
    STATE(7887), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12211), 1,
      sym__keyword_as,
    ACTIONS(4371), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63262] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6101), 1,
      sym_qualify_clause,
    STATE(6403), 1,
      sym_window_clause,
    STATE(6612), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3809), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63329] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4090), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4092), 1,
      aux_sym__keyword_as_token1,
    STATE(6951), 1,
      sym_table_partition_clause,
    STATE(7378), 1,
      sym_table_cluster_clause,
    STATE(7929), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12532), 1,
      sym__keyword_as,
    ACTIONS(4088), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(6627), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3613), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63469] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4084), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4086), 1,
      aux_sym__keyword_as_token1,
    STATE(6886), 1,
      sym_table_partition_clause,
    STATE(7399), 1,
      sym_table_cluster_clause,
    STATE(7764), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12539), 1,
      sym__keyword_as,
    ACTIONS(4082), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63542] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4379), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4381), 1,
      aux_sym__keyword_as_token1,
    STATE(6876), 1,
      sym_table_partition_clause,
    STATE(7351), 1,
      sym_table_cluster_clause,
    STATE(7735), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12551), 1,
      sym__keyword_as,
    ACTIONS(4377), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63615] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4385), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4387), 1,
      aux_sym__keyword_as_token1,
    STATE(6885), 1,
      sym_table_partition_clause,
    STATE(7345), 1,
      sym_table_cluster_clause,
    STATE(7713), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12287), 1,
      sym__keyword_as,
    ACTIONS(4383), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63688] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4391), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4393), 1,
      aux_sym__keyword_as_token1,
    STATE(6871), 1,
      sym_table_partition_clause,
    STATE(7356), 1,
      sym_table_cluster_clause,
    STATE(7731), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12554), 1,
      sym__keyword_as,
    ACTIONS(4389), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63761] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4104), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4106), 1,
      aux_sym__keyword_as_token1,
    STATE(6816), 1,
      sym_table_partition_clause,
    STATE(7357), 1,
      sym_table_cluster_clause,
    STATE(7719), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12555), 1,
      sym__keyword_as,
    ACTIONS(4102), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63834] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4397), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4399), 1,
      aux_sym__keyword_as_token1,
    STATE(6857), 1,
      sym_table_partition_clause,
    STATE(7360), 1,
      sym_table_cluster_clause,
    STATE(7693), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12292), 1,
      sym__keyword_as,
    ACTIONS(4395), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63907] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4405), 1,
      aux_sym__keyword_as_token1,
    STATE(6844), 1,
      sym_table_partition_clause,
    STATE(7385), 1,
      sym_table_cluster_clause,
    STATE(7694), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12562), 1,
      sym__keyword_as,
    ACTIONS(4401), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [63980] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4409), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4411), 1,
      aux_sym__keyword_as_token1,
    STATE(6834), 1,
      sym_table_partition_clause,
    STATE(7389), 1,
      sym_table_cluster_clause,
    STATE(7679), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12574), 1,
      sym__keyword_as,
    ACTIONS(4407), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64053] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4415), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4417), 1,
      aux_sym__keyword_as_token1,
    STATE(6925), 1,
      sym_table_partition_clause,
    STATE(7315), 1,
      sym_table_cluster_clause,
    STATE(7852), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12579), 1,
      sym__keyword_as,
    ACTIONS(4413), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6151), 1,
      sym_qualify_clause,
    STATE(6559), 1,
      sym_window_clause,
    STATE(6599), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3934), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64248] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4421), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4423), 1,
      aux_sym__keyword_as_token1,
    STATE(6988), 1,
      sym_table_partition_clause,
    STATE(7316), 1,
      sym_table_cluster_clause,
    STATE(7873), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12581), 1,
      sym__keyword_as,
    ACTIONS(4419), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1551), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64376] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4124), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4126), 1,
      aux_sym__keyword_as_token1,
    STATE(7021), 1,
      sym_table_partition_clause,
    STATE(7417), 1,
      sym_table_cluster_clause,
    STATE(7925), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12462), 1,
      sym__keyword_as,
    ACTIONS(4122), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64449] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4130), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4132), 1,
      aux_sym__keyword_as_token1,
    STATE(7062), 1,
      sym_table_partition_clause,
    STATE(7300), 1,
      sym_table_cluster_clause,
    STATE(7839), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12544), 1,
      sym__keyword_as,
    ACTIONS(4128), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64522] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4427), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4429), 1,
      aux_sym__keyword_as_token1,
    STATE(6957), 1,
      sym_table_partition_clause,
    STATE(7379), 1,
      sym_table_cluster_clause,
    STATE(7803), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12540), 1,
      sym__keyword_as,
    ACTIONS(4425), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2757), 1,
      anon_sym_COMMA,
    STATE(6618), 1,
      sym__nulls_preference,
    STATE(6628), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4269), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4267), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1753), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64713] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4026), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(4433), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4435), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4437), 1,
      aux_sym_primary_key_token1,
    STATE(6832), 1,
      sym_foreign_key_references,
    STATE(7229), 1,
      sym_default_clause,
    STATE(7388), 1,
      sym_option_clause,
    ACTIONS(4431), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64784] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4441), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4443), 1,
      aux_sym__keyword_as_token1,
    STATE(7016), 1,
      sym_table_partition_clause,
    STATE(7386), 1,
      sym_table_cluster_clause,
    STATE(7936), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12188), 1,
      sym__keyword_as,
    ACTIONS(4439), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64857] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4447), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_as_token1,
    STATE(6930), 1,
      sym_table_partition_clause,
    STATE(7354), 1,
      sym_table_cluster_clause,
    STATE(7793), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12538), 1,
      sym__keyword_as,
    ACTIONS(4445), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [64930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1683), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [64985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1655), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1387), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65095] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4140), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4142), 1,
      aux_sym__keyword_as_token1,
    STATE(6926), 1,
      sym_table_partition_clause,
    STATE(7323), 1,
      sym_table_cluster_clause,
    STATE(7778), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12536), 1,
      sym__keyword_as,
    ACTIONS(4138), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [65168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1403), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1467), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65278] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(6607), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3601), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [65345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1427), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1863), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1769), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [65950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1859), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1859), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(14537), 1,
      sym__keyword_as,
    ACTIONS(1475), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1477), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1383), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66282] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6119), 1,
      sym_qualify_clause,
    STATE(6412), 1,
      sym_window_clause,
    STATE(6617), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3777), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [66349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 40,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [66404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      aux_sym_limit_clause_token1,
    STATE(6404), 1,
      sym_limit_clause,
    ACTIONS(4453), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4451), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [66793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1867), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [66848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4465), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4468), 1,
      aux_sym_limit_clause_token1,
    STATE(6359), 1,
      sym_limit_clause,
    ACTIONS(4462), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4458), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [66911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4475), 1,
      aux_sym_limit_clause_token1,
    STATE(6591), 1,
      sym_limit_clause,
    ACTIONS(4473), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4471), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [66970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67245] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4478), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4480), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4484), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    ACTIONS(4490), 1,
      anon_sym_LBRACK,
    ACTIONS(4492), 1,
      anon_sym_DOT2,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12129), 1,
      sym__direction_keywords,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(12925), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(12964), 1,
      sym__nulls_preference,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(2719), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4482), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
    ACTIONS(4488), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [67364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4517), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4520), 1,
      aux_sym_limit_clause_token1,
    STATE(6360), 1,
      sym_limit_clause,
    ACTIONS(4514), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4510), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [67427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(7180), 1,
      sym_string,
    ACTIONS(1469), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [67926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 40,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [67981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1595), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1415), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1411), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [68971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1793), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69521] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4525), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4527), 1,
      aux_sym__keyword_as_token1,
    STATE(6905), 1,
      sym_table_partition_clause,
    STATE(7293), 1,
      sym_table_cluster_clause,
    STATE(7751), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12527), 1,
      sym__keyword_as,
    ACTIONS(4523), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [69594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1635), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [69979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1395), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70144] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4531), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4533), 1,
      aux_sym__keyword_as_token1,
    STATE(6902), 1,
      sym_table_partition_clause,
    STATE(7302), 1,
      sym_table_cluster_clause,
    STATE(7728), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12526), 1,
      sym__keyword_as,
    ACTIONS(4529), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [70217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [70987] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4156), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4158), 1,
      aux_sym__keyword_as_token1,
    STATE(6801), 1,
      sym_table_partition_clause,
    STATE(7336), 1,
      sym_table_cluster_clause,
    STATE(7651), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12479), 1,
      sym__keyword_as,
    ACTIONS(4154), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3783), 1,
      aux_sym_having_clause_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(6678), 1,
      sym_having_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3585), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [71897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [71952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4473), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4538), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4535), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4471), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4548), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4545), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4541), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3777), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4555), 1,
      anon_sym_COMMA,
    STATE(6362), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4553), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4551), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4517), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    STATE(6360), 1,
      sym_limit_clause,
    ACTIONS(4514), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4510), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4517), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4514), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4510), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72518] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3791), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(4560), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9732), 1,
      sym_identifier,
    STATE(9733), 1,
      sym__type_chrono,
    STATE(10456), 1,
      sym_unnest_withoffset,
    STATE(11189), 1,
      sym_as_alias,
    STATE(11546), 1,
      sym__keyword_as,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3793), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9718), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 12,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [72598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4562), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3585), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 20,
      sym__string_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1551), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [72760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4568), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4566), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72814] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4570), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4572), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4576), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(12660), 1,
      sym__direction_keywords,
    STATE(13064), 1,
      sym__nulls_preference,
    STATE(13074), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(2719), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4580), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2703), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
    ACTIONS(4574), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [72932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4473), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4475), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4538), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4602), 1,
      aux_sym_order_by_clause_token1,
    STATE(6273), 1,
      sym_order_by_clause,
    STATE(6364), 1,
      sym_limit_clause,
    ACTIONS(4535), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4471), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [72998] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4478), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4480), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4484), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4490), 1,
      anon_sym_LBRACK,
    ACTIONS(4492), 1,
      anon_sym_DOT2,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(5486), 1,
      sym__direction_keywords,
    STATE(5823), 1,
      sym__nulls_preference,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(2719), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4482), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4488), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2795), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [73112] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4605), 1,
      aux_sym_order_by_clause_token1,
    STATE(6266), 1,
      sym_order_by_clause,
    STATE(6414), 1,
      sym_limit_clause,
    ACTIONS(4460), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4458), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73174] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4455), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4611), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4614), 1,
      aux_sym_order_by_clause_token1,
    STATE(6265), 1,
      sym_order_by_clause,
    STATE(6584), 1,
      sym_limit_clause,
    ACTIONS(4608), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4451), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4624), 1,
      aux_sym_order_by_clause_token1,
    STATE(6263), 1,
      sym_order_by_clause,
    STATE(6377), 1,
      sym_limit_clause,
    ACTIONS(4619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4617), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4627), 1,
      aux_sym_order_by_clause_token1,
    STATE(6377), 1,
      sym_limit_clause,
    STATE(6378), 1,
      sym_order_by_clause,
    ACTIONS(4619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4617), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4451), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    STATE(6404), 1,
      sym_limit_clause,
    ACTIONS(4453), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4451), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4631), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4629), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4611), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4627), 1,
      aux_sym_order_by_clause_token1,
    STATE(6584), 1,
      sym_limit_clause,
    STATE(6585), 1,
      sym_order_by_clause,
    ACTIONS(4608), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4451), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3603), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3601), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4202), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73704] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4627), 1,
      aux_sym_order_by_clause_token1,
    STATE(6413), 1,
      sym_order_by_clause,
    STATE(6414), 1,
      sym_limit_clause,
    ACTIONS(4460), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4458), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3619), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3617), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [73820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1855), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1851), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1843), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [73982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1839), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1835), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1801), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1811), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1599), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1757), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(6362), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4635), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4633), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [74364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(6362), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4639), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4637), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [74422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(6402), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4643), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4641), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [74480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(6362), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4647), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4645), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [74538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(6394), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4651), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4649), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [74596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1603), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1607), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1611), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(6362), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4655), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4653), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [74816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3934), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [74870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4458), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [74924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1525), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [74978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1847), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4657), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [75086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1619), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3615), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3613), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [75194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1777), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1623), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3811), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(3809), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [75356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    STATE(6591), 1,
      sym_limit_clause,
    ACTIONS(4473), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4471), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [75414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4473), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4471), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [75468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4663), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(4661), 42,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_alter_table_rename_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
      sym__unquoted_identifier,
  [75576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1859), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1859), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [75954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [76980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1635), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1467), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1655), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1753), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [77952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [78978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1395), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1503), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1411), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1415), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1595), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1683), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1797), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [79950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1627), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [80976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1427), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1403), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1387), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1383), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1863), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      sym__unquoted_identifier,
    ACTIONS(2363), 1,
      sym__quoted_identifier,
    ACTIONS(3948), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(4665), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10539), 1,
      sym__identifier,
    STATE(10678), 1,
      sym_identifier,
    STATE(10692), 1,
      sym__type_chrono,
    STATE(10965), 1,
      sym_unnest_withoffset,
    STATE(11192), 1,
      sym_as_alias,
    STATE(11575), 1,
      sym__keyword_as,
    STATE(13861), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3950), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10681), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 12,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(211), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [81650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [81974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1463), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1491), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1459), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1515), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1867), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1781), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1773), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1631), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1785), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1511), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1499), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1495), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [82946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1487), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1793), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1765), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1831), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1639), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1761), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4110), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4108), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [83324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1643), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1827), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1699), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1451), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1447), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1823), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1819), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1749), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1715), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1533), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1711), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1707), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [83972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1815), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1703), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1565), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1695), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1691), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1431), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1679), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1675), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1807), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1671), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1667), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1663), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4465), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4462), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4458), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [84678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4465), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    STATE(6359), 1,
      sym_limit_clause,
    ACTIONS(4462), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4458), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [84740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1659), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1647), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [84902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4473), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4538), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4627), 1,
      aux_sym_order_by_clause_token1,
    STATE(6363), 1,
      sym_order_by_clause,
    STATE(6364), 1,
      sym_limit_clause,
    ACTIONS(4535), 2,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
    ACTIONS(4471), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [84968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1651), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [85022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4510), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85076] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [85163] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1221), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [85250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4685), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4683), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85303] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [85378] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [85449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 28,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [85528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_COMMA,
    STATE(6598), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4553), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4551), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85585] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6082), 1,
      sym_qualify_clause,
    STATE(6382), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(4108), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [85646] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [85729] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [85814] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 15,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
  [85909] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [85990] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6126), 1,
      sym_qualify_clause,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3601), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86051] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1207), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86138] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4698), 1,
      aux_sym__keyword_as_token1,
    STATE(7158), 1,
      sym_default_collate_clause,
    STATE(7710), 1,
      sym_table_partition_clause,
    STATE(9043), 1,
      sym_table_cluster_clause,
    STATE(9889), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12616), 1,
      sym__keyword_as,
    ACTIONS(4038), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6110), 1,
      sym_qualify_clause,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3613), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86272] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4700), 1,
      aux_sym__keyword_as_token1,
    STATE(7195), 1,
      sym_default_collate_clause,
    STATE(7996), 1,
      sym_table_partition_clause,
    STATE(8578), 1,
      sym_table_cluster_clause,
    STATE(9758), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12872), 1,
      sym__keyword_as,
    ACTIONS(4082), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86345] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4702), 1,
      aux_sym__keyword_as_token1,
    STATE(7184), 1,
      sym_default_collate_clause,
    STATE(7971), 1,
      sym_table_partition_clause,
    STATE(8361), 1,
      sym_table_cluster_clause,
    STATE(9766), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4088), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86418] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4704), 1,
      aux_sym__keyword_as_token1,
    STATE(7227), 1,
      sym_default_collate_clause,
    STATE(7922), 1,
      sym_table_partition_clause,
    STATE(8550), 1,
      sym_table_cluster_clause,
    STATE(9741), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12826), 1,
      sym__keyword_as,
    ACTIONS(4102), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_COMMA,
    STATE(6598), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4647), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4645), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6151), 1,
      sym_qualify_clause,
    STATE(6559), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3934), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      sym__quoted_identifier,
    ACTIONS(4706), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
      sym__unquoted_identifier,
  [86662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4710), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86715] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4714), 1,
      aux_sym__keyword_as_token1,
    STATE(7160), 1,
      sym_default_collate_clause,
    STATE(7903), 1,
      sym_table_partition_clause,
    STATE(8436), 1,
      sym_table_cluster_clause,
    STATE(9698), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12485), 1,
      sym__keyword_as,
    ACTIONS(4116), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_COMMA,
    STATE(6630), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4651), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4649), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6101), 1,
      sym_qualify_clause,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3809), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_COMMA,
    STATE(6661), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4643), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4641), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [86963] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 14,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
  [87060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(4718), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [87113] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87200] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [87275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [87354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [87435] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [87518] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(5973), 1,
      sym_qualify_clause,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3617), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [87664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_COMMA,
    STATE(6598), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4639), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4637), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [87721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_COMMA,
    STATE(6688), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4150), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [87776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_COMMA,
    STATE(6598), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4635), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4633), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [87833] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4742), 1,
      aux_sym__keyword_is_token1,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4744), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 14,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [87930] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1223), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1221), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88017] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4748), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4750), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4754), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4752), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4756), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 13,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [88116] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4742), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4774), 1,
      aux_sym__keyword_and_token1,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4744), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 13,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [88215] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(1189), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [88286] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4742), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4774), 1,
      aux_sym__keyword_and_token1,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4744), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 13,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [88385] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1225), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88472] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1241), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88559] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(1189), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [88630] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4289), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4291), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4295), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4293), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4299), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 13,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [88729] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88816] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1167), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1165), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88903] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [88974] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4776), 1,
      aux_sym__keyword_as_token1,
    STATE(7234), 1,
      sym_default_collate_clause,
    STATE(7607), 1,
      sym_table_partition_clause,
    STATE(8701), 1,
      sym_table_cluster_clause,
    STATE(9835), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4144), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [89047] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1223), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1221), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89134] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4748), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4750), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4754), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4752), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4756), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 13,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [89233] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4748), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4750), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4752), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4756), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 14,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [89330] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89415] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [89498] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [89579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [89658] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [89733] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1223), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1221), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89820] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89907] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89994] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [90069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4778), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [90122] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [90201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [90282] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [90365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_COMMA,
    STATE(6598), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4655), 2,
      aux_sym__keyword_else_token1,
      aux_sym_set_operation_token4,
    ACTIONS(4653), 41,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [90422] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90507] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4289), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4291), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4293), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4299), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 14,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [90604] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4782), 1,
      aux_sym__keyword_as_token1,
    STATE(7187), 1,
      sym_default_collate_clause,
    STATE(7662), 1,
      sym_table_partition_clause,
    STATE(8796), 1,
      sym_table_cluster_clause,
    STATE(9863), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4154), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [90677] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4289), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4291), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4295), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4293), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4299), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 13,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [90776] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1167), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1165), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90863] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90950] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1241), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91037] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_PLUS,
    ACTIONS(4307), 1,
      anon_sym_DASH,
    ACTIONS(4311), 1,
      anon_sym_SLASH,
    ACTIONS(4315), 1,
      anon_sym_AMP,
    ACTIONS(4317), 1,
      anon_sym_CARET,
    ACTIONS(4319), 1,
      anon_sym_PIPE,
    STATE(1095), 1,
      sym__keyword_between,
    STATE(1563), 1,
      sym__keyword_or,
    STATE(1565), 1,
      sym__keyword_and,
    STATE(1588), 1,
      sym__keyword_in,
    STATE(12073), 1,
      sym__keyword_is,
    STATE(13153), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4309), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4313), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1225), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 13,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
  [91223] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1189), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [91294] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1167), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1165), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91381] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91468] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [91539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_COMMA,
    STATE(6675), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(3970), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [91594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4787), 1,
      anon_sym_COMMA,
    STATE(6676), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(3966), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [91649] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3439), 1,
      anon_sym_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4742), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4774), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4790), 1,
      anon_sym_DOT2,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4744), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2863), 10,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [91754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6119), 1,
      sym_qualify_clause,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3777), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [91815] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1241), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91902] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1225), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91989] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4301), 1,
      anon_sym_LBRACK,
    ACTIONS(4748), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4750), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4754), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4758), 1,
      anon_sym_PLUS,
    ACTIONS(4760), 1,
      anon_sym_DASH,
    ACTIONS(4764), 1,
      anon_sym_SLASH,
    ACTIONS(4768), 1,
      anon_sym_AMP,
    ACTIONS(4770), 1,
      anon_sym_CARET,
    ACTIONS(4772), 1,
      anon_sym_PIPE,
    ACTIONS(4792), 1,
      anon_sym_DOT2,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(4762), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4766), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4752), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4756), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2823), 10,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
  [92094] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1225), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [92181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1241), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [92268] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4570), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4572), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4576), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(5486), 1,
      sym__direction_keywords,
    STATE(5823), 1,
      sym__nulls_preference,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(2719), 2,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
    ACTIONS(4580), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2795), 5,
      aux_sym__keyword_range_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
    ACTIONS(4574), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [92381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1811), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_window_numeric_preceding_token1,
      aux_sym_window_numeric_following_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [92434] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4794), 1,
      aux_sym__keyword_as_token1,
    STATE(7208), 1,
      sym_default_collate_clause,
    STATE(7824), 1,
      sym_table_partition_clause,
    STATE(8725), 1,
      sym_table_cluster_clause,
    STATE(9842), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12699), 1,
      sym__keyword_as,
    ACTIONS(4122), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6675), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(4134), 44,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_COMMA,
    STATE(6676), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4044), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92615] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4796), 1,
      aux_sym__keyword_as_token1,
    STATE(7247), 1,
      sym_default_collate_clause,
    STATE(7794), 1,
      sym_table_partition_clause,
    STATE(8743), 1,
      sym_table_cluster_clause,
    STATE(9845), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12694), 1,
      sym__keyword_as,
    ACTIONS(4128), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92688] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(1189), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [92759] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4022), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4028), 1,
      aux_sym_default_collate_clause_token1,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(4798), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4800), 1,
      aux_sym_primary_key_token1,
    STATE(7261), 1,
      sym_default_clause,
    STATE(7262), 1,
      sym_collate_clause,
    STATE(7311), 1,
      sym_option_clause,
    STATE(7763), 1,
      sym_foreign_key_references,
    ACTIONS(4020), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92830] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(972), 1,
      sym__keyword_or,
    STATE(974), 1,
      sym__keyword_and,
    STATE(992), 1,
      sym__keyword_in,
    STATE(1368), 1,
      sym__keyword_between,
    STATE(12098), 1,
      sym__keyword_is,
    STATE(13189), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16096), 1,
      sym_like_operator,
    STATE(16098), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [92901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(3785), 1,
      aux_sym_qualify_clause_token1,
    STATE(6098), 1,
      sym_qualify_clause,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11455), 1,
      sym__keyword_window,
    ACTIONS(3585), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [92962] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1167), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1165), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [93049] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4802), 1,
      aux_sym__keyword_as_token1,
    STATE(7167), 1,
      sym_default_collate_clause,
    STATE(7628), 1,
      sym_table_partition_clause,
    STATE(8808), 1,
      sym_table_cluster_clause,
    STATE(9867), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4138), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1667), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_window_numeric_preceding_token1,
      aux_sym_window_numeric_following_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(4804), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3739), 1,
      sym_analytics_clause,
    ACTIONS(1503), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1501), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3763), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(1213), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [93410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1777), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_join_condition_token1,
      aux_sym_function_call_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93462] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [93548] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 12,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [93646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1815), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93698] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(1189), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [93768] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4838), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4840), 1,
      aux_sym__keyword_as_token1,
    STATE(7282), 1,
      sym_table_cluster_clause,
    STATE(7768), 1,
      sym_option_clause,
    STATE(12534), 1,
      sym__keyword_as,
    ACTIONS(4836), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [93832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1511), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [93988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1819), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1823), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1499), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1447), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1495), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1451), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3786), 1,
      sym_analytics_clause,
    ACTIONS(1407), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1405), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3787), 1,
      sym_analytics_clause,
    ACTIONS(1407), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1405), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3792), 1,
      sym_analytics_clause,
    ACTIONS(1423), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1421), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1459), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3799), 1,
      sym_analytics_clause,
    ACTIONS(1423), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1421), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3801), 1,
      sym_analytics_clause,
    ACTIONS(1423), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1421), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3802), 1,
      sym_analytics_clause,
    ACTIONS(1423), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1421), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1487), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1827), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1793), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [94844] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 5,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [94918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3805), 1,
      sym_analytics_clause,
    ACTIONS(1443), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1441), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [94974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3807), 1,
      sym_analytics_clause,
    ACTIONS(1443), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1441), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95030] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [95108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3809), 1,
      sym_analytics_clause,
    ACTIONS(1443), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1441), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3815), 1,
      sym_analytics_clause,
    ACTIONS(1443), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1441), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3818), 1,
      sym_analytics_clause,
    ACTIONS(1443), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1441), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3820), 1,
      sym_analytics_clause,
    ACTIONS(1443), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1441), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3821), 1,
      sym_analytics_clause,
    ACTIONS(1443), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1441), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3822), 1,
      sym_analytics_clause,
    ACTIONS(1467), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1465), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95444] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [95524] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [95606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3833), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3834), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1831), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [95770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3836), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3837), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [95882] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [95966] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 13,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [96062] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1213), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 12,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [96160] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1225), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [96246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4844), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4846), 1,
      aux_sym__keyword_as_token1,
    STATE(7283), 1,
      sym_table_cluster_clause,
    STATE(7766), 1,
      sym_option_clause,
    STATE(12528), 1,
      sym__keyword_as,
    ACTIONS(4842), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96310] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1241), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [96396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3838), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4848), 43,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
      anon_sym_LBRACK,
  [96504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4140), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4142), 1,
      aux_sym__keyword_as_token1,
    STATE(7323), 1,
      sym_table_cluster_clause,
    STATE(7778), 1,
      sym_option_clause,
    STATE(12536), 1,
      sym__keyword_as,
    ACTIONS(4138), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3839), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96624] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1223), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1221), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [96710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3842), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [96766] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1225), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [96852] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1167), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1165), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [96938] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1241), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3857), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3858), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97136] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97222] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(1189), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [97292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3860), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97348] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4852), 1,
      aux_sym__keyword_as_token1,
    STATE(7220), 1,
      sym_create_table_parameters,
    STATE(7819), 1,
      sym_table_partition_clause,
    STATE(8729), 1,
      sym_table_cluster_clause,
    STATE(9843), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12696), 1,
      sym__keyword_as,
    ACTIONS(4271), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3861), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97476] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4478), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4480), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4484), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4482), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4488), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 12,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [97574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3862), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [97630] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1211), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [97700] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97786] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1167), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1165), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [97924] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1207), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [98010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1839), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token3,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [98062] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1165), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1167), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [98148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3863), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98204] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4854), 1,
      aux_sym__keyword_as_token1,
    STATE(7265), 1,
      sym_create_table_parameters,
    STATE(7785), 1,
      sym_table_partition_clause,
    STATE(8747), 1,
      sym_table_cluster_clause,
    STATE(9848), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12690), 1,
      sym__keyword_as,
    ACTIONS(4222), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4026), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4858), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4860), 1,
      aux_sym__keyword_else_token1,
    STATE(7226), 1,
      sym_default_clause,
    STATE(7382), 1,
      sym_option_clause,
    ACTIONS(4856), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3864), 1,
      sym_analytics_clause,
    ACTIONS(1373), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1371), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4866), 1,
      anon_sym_LT,
    ACTIONS(4862), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4447), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_as_token1,
    STATE(7354), 1,
      sym_table_cluster_clause,
    STATE(7793), 1,
      sym_option_clause,
    STATE(12538), 1,
      sym__keyword_as,
    ACTIONS(4445), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3865), 1,
      sym_analytics_clause,
    ACTIONS(1395), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1393), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98568] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1223), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1221), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [98654] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1221), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1223), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [98740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3866), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3867), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3871), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3878), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [98964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3880), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99020] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [99118] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1241), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [99204] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 9,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [99300] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 3,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1225), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [99386] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [99470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4525), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4527), 1,
      aux_sym__keyword_as_token1,
    STATE(7293), 1,
      sym_table_cluster_clause,
    STATE(7751), 1,
      sym_option_clause,
    STATE(12527), 1,
      sym__keyword_as,
    ACTIONS(4523), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99534] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
    ACTIONS(1213), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [99616] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4531), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4533), 1,
      aux_sym__keyword_as_token1,
    STATE(7302), 1,
      sym_table_cluster_clause,
    STATE(7728), 1,
      sym_option_clause,
    STATE(12526), 1,
      sym__keyword_as,
    ACTIONS(4529), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [99680] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [99760] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1211), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [99838] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1211), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 17,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_PIPE,
  [99912] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [99998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3881), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100054] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4427), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4429), 1,
      aux_sym__keyword_as_token1,
    STATE(7379), 1,
      sym_table_cluster_clause,
    STATE(7803), 1,
      sym_option_clause,
    STATE(12540), 1,
      sym__keyword_as,
    ACTIONS(4425), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3887), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1683), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3888), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3891), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100338] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4478), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4480), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4484), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4482), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4488), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 13,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [100434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1757), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [100486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3893), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100542] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4478), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4480), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4482), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4488), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 14,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [100636] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4870), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4872), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(4874), 1,
      aux_sym_transoform_clause_token1,
    STATE(7401), 1,
      sym_transoform_clause,
    STATE(7707), 1,
      sym_option_clause,
    STATE(12492), 1,
      sym__keyword_as,
    ACTIONS(4868), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [100700] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [100784] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [100866] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [100946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3832), 1,
      sym_analytics_clause,
    ACTIONS(1399), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1397), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101002] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 4,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [101080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4329), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4331), 1,
      aux_sym__keyword_as_token1,
    STATE(7383), 1,
      sym_table_cluster_clause,
    STATE(7932), 1,
      sym_option_clause,
    STATE(12190), 1,
      sym__keyword_as,
    ACTIONS(4327), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(4876), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1595), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101250] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 5,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [101324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1415), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3897), 1,
      sym_analytics_clause,
    ACTIONS(1411), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1409), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101432] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_PLUS,
    ACTIONS(4496), 1,
      anon_sym_DASH,
    ACTIONS(4500), 1,
      anon_sym_SLASH,
    ACTIONS(4504), 1,
      anon_sym_AMP,
    ACTIONS(4506), 1,
      anon_sym_CARET,
    ACTIONS(4508), 1,
      anon_sym_PIPE,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(4498), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4502), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [101518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3898), 1,
      sym_analytics_clause,
    ACTIONS(1415), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1413), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1411), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3904), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [101942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3905), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [101998] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4026), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4884), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4886), 1,
      aux_sym__keyword_else_token1,
    STATE(7183), 1,
      sym_default_clause,
    STATE(7353), 1,
      sym_option_clause,
    ACTIONS(4882), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102060] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4888), 1,
      aux_sym__keyword_as_token1,
    STATE(7165), 1,
      sym_create_table_parameters,
    STATE(7626), 1,
      sym_table_partition_clause,
    STATE(8812), 1,
      sym_table_cluster_clause,
    STATE(9870), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12675), 1,
      sym__keyword_as,
    ACTIONS(4206), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102132] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4892), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4894), 1,
      aux_sym__keyword_as_token1,
    STATE(7395), 1,
      sym_table_cluster_clause,
    STATE(7948), 1,
      sym_option_clause,
    STATE(12183), 1,
      sym__keyword_as,
    ACTIONS(4890), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4156), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4158), 1,
      aux_sym__keyword_as_token1,
    STATE(7336), 1,
      sym_table_cluster_clause,
    STATE(7651), 1,
      sym_option_clause,
    STATE(12479), 1,
      sym__keyword_as,
    ACTIONS(4154), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4026), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4898), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4900), 1,
      aux_sym__keyword_else_token1,
    STATE(7122), 1,
      sym_default_clause,
    STATE(7279), 1,
      sym_option_clause,
    ACTIONS(4896), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102322] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4026), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4904), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4906), 1,
      aux_sym__keyword_else_token1,
    STATE(7182), 1,
      sym_default_clause,
    STATE(7305), 1,
      sym_option_clause,
    ACTIONS(4902), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3908), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3911), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102704] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4910), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4912), 1,
      aux_sym__keyword_as_token1,
    STATE(7394), 1,
      sym_table_cluster_clause,
    STATE(7938), 1,
      sym_option_clause,
    STATE(12186), 1,
      sym__keyword_as,
    ACTIONS(4908), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3913), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [102824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1395), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [102980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103136] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4441), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4443), 1,
      aux_sym__keyword_as_token1,
    STATE(7386), 1,
      sym_table_cluster_clause,
    STATE(7936), 1,
      sym_option_clause,
    STATE(12188), 1,
      sym__keyword_as,
    ACTIONS(4439), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3914), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3916), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3917), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103420] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4916), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4918), 1,
      aux_sym__keyword_as_token1,
    STATE(7332), 1,
      sym_table_cluster_clause,
    STATE(7610), 1,
      sym_option_clause,
    STATE(12374), 1,
      sym__keyword_as,
    ACTIONS(4914), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3919), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3920), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [103700] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3691), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(3693), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(3697), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(3711), 1,
      anon_sym_PLUS,
    ACTIONS(3713), 1,
      anon_sym_DASH,
    ACTIONS(3717), 1,
      anon_sym_SLASH,
    ACTIONS(3721), 1,
      anon_sym_AMP,
    ACTIONS(3723), 1,
      anon_sym_CARET,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(3715), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(3719), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3695), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
    ACTIONS(3705), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1197), 7,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [103800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103852] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1070), 1,
      sym__keyword_and,
    STATE(1076), 1,
      sym__keyword_or,
    STATE(1348), 1,
      sym__keyword_between,
    STATE(1413), 1,
      sym__keyword_in,
    STATE(12162), 1,
      sym__keyword_is,
    STATE(13135), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16198), 1,
      sym_like_operator,
    STATE(16199), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [103922] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1171), 1,
      sym__keyword_or,
    STATE(1173), 1,
      sym__keyword_and,
    STATE(1183), 1,
      sym__keyword_in,
    STATE(1567), 1,
      sym__keyword_between,
    STATE(12093), 1,
      sym__keyword_is,
    STATE(13066), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(1187), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1189), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [103992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4922), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4924), 1,
      aux_sym__keyword_as_token1,
    STATE(7376), 1,
      sym_table_cluster_clause,
    STATE(7926), 1,
      sym_option_clause,
    STATE(12192), 1,
      sym__keyword_as,
    ACTIONS(4920), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4130), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4132), 1,
      aux_sym__keyword_as_token1,
    STATE(7300), 1,
      sym_table_cluster_clause,
    STATE(7839), 1,
      sym_option_clause,
    STATE(12544), 1,
      sym__keyword_as,
    ACTIONS(4128), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3921), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4928), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4930), 1,
      aux_sym__keyword_as_token1,
    STATE(7362), 1,
      sym_table_cluster_clause,
    STATE(7920), 1,
      sym_option_clause,
    STATE(12193), 1,
      sym__keyword_as,
    ACTIONS(4926), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3922), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4124), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4126), 1,
      aux_sym__keyword_as_token1,
    STATE(7417), 1,
      sym_table_cluster_clause,
    STATE(7925), 1,
      sym_option_clause,
    STATE(12462), 1,
      sym__keyword_as,
    ACTIONS(4122), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3923), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [104884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4335), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4337), 1,
      aux_sym__keyword_as_token1,
    STATE(7348), 1,
      sym_table_cluster_clause,
    STATE(7918), 1,
      sym_option_clause,
    STATE(12200), 1,
      sym__keyword_as,
    ACTIONS(4333), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [104948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105000] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4932), 1,
      aux_sym__keyword_as_token1,
    STATE(7139), 1,
      sym_create_table_parameters,
    STATE(7899), 1,
      sym_table_partition_clause,
    STATE(8432), 1,
      sym_table_cluster_clause,
    STATE(9687), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12488), 1,
      sym__keyword_as,
    ACTIONS(4216), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4936), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4938), 1,
      aux_sym__keyword_as_token1,
    STATE(7365), 1,
      sym_table_cluster_clause,
    STATE(7623), 1,
      sym_option_clause,
    STATE(12364), 1,
      sym__keyword_as,
    ACTIONS(4934), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105136] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4349), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4351), 1,
      aux_sym__keyword_as_token1,
    STATE(7347), 1,
      sym_table_cluster_clause,
    STATE(7915), 1,
      sym_option_clause,
    STATE(12201), 1,
      sym__keyword_as,
    ACTIONS(4347), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3926), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3903), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3900), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1431), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1587), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1589), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [105682] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4361), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4363), 1,
      aux_sym__keyword_as_token1,
    STATE(7280), 1,
      sym_table_cluster_clause,
    STATE(7550), 1,
      sym_option_clause,
    STATE(12473), 1,
      sym__keyword_as,
    ACTIONS(4359), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105746] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4355), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4357), 1,
      aux_sym__keyword_as_token1,
    STATE(7294), 1,
      sym_table_cluster_clause,
    STATE(7593), 1,
      sym_option_clause,
    STATE(12465), 1,
      sym__keyword_as,
    ACTIONS(4353), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3637), 1,
      sym_analytics_clause,
    ACTIONS(1431), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1429), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3899), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3892), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [105978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4146), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4148), 1,
      aux_sym__keyword_as_token1,
    STATE(7398), 1,
      sym_table_cluster_clause,
    STATE(7653), 1,
      sym_option_clause,
    STATE(12457), 1,
      sym__keyword_as,
    ACTIONS(4144), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106042] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4944), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4946), 1,
      aux_sym__keyword_as_token1,
    STATE(7377), 1,
      sym_table_cluster_clause,
    STATE(8007), 1,
      sym_option_clause,
    STATE(12605), 1,
      sym__keyword_as,
    ACTIONS(4942), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3890), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3641), 1,
      sym_analytics_clause,
    ACTIONS(1435), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1433), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4950), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4952), 1,
      aux_sym__keyword_as_token1,
    STATE(7375), 1,
      sym_table_cluster_clause,
    STATE(7994), 1,
      sym_option_clause,
    STATE(12587), 1,
      sym__keyword_as,
    ACTIONS(4948), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106282] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4421), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4423), 1,
      aux_sym__keyword_as_token1,
    STATE(7316), 1,
      sym_table_cluster_clause,
    STATE(7873), 1,
      sym_option_clause,
    STATE(12581), 1,
      sym__keyword_as,
    ACTIONS(4419), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4958), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4960), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4962), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4954), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3883), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4960), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4962), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4966), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4964), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3877), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4960), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4962), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4970), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4968), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4960), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4962), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4974), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4972), 40,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106690] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4040), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4042), 1,
      aux_sym__keyword_as_token1,
    STATE(7325), 1,
      sym_table_cluster_clause,
    STATE(7904), 1,
      sym_option_clause,
    STATE(12207), 1,
      sym__keyword_as,
    ACTIONS(4038), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [106806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3623), 1,
      sym_analytics_clause,
    ACTIONS(1391), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1389), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3876), 1,
      sym_analytics_clause,
    ACTIONS(1419), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1417), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3644), 1,
      sym_analytics_clause,
    ACTIONS(1439), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1437), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [106974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107026] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4874), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(4978), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4980), 1,
      aux_sym__keyword_as_token1,
    STATE(7396), 1,
      sym_transoform_clause,
    STATE(7668), 1,
      sym_option_clause,
    STATE(12315), 1,
      sym__keyword_as,
    ACTIONS(4976), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [107350] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4984), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4986), 1,
      aux_sym__keyword_as_token1,
    STATE(7420), 1,
      sym_table_cluster_clause,
    STATE(7964), 1,
      sym_option_clause,
    STATE(12311), 1,
      sym__keyword_as,
    ACTIONS(4982), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4415), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4417), 1,
      aux_sym__keyword_as_token1,
    STATE(7315), 1,
      sym_table_cluster_clause,
    STATE(7852), 1,
      sym_option_clause,
    STATE(12579), 1,
      sym__keyword_as,
    ACTIONS(4413), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107478] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4118), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4120), 1,
      aux_sym__keyword_as_token1,
    STATE(7321), 1,
      sym_table_cluster_clause,
    STATE(7727), 1,
      sym_option_clause,
    STATE(12309), 1,
      sym__keyword_as,
    ACTIONS(4116), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3868), 1,
      sym_analytics_clause,
    ACTIONS(1427), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1425), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3655), 1,
      sym_analytics_clause,
    ACTIONS(1447), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1445), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4990), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4992), 1,
      aux_sym__keyword_as_token1,
    STATE(7326), 1,
      sym_table_cluster_clause,
    STATE(7786), 1,
      sym_option_clause,
    STATE(12576), 1,
      sym__keyword_as,
    ACTIONS(4988), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3657), 1,
      sym_analytics_clause,
    ACTIONS(1451), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1449), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3659), 1,
      sym_analytics_clause,
    ACTIONS(1455), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1453), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3662), 1,
      sym_analytics_clause,
    ACTIONS(1459), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1457), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3664), 1,
      sym_analytics_clause,
    ACTIONS(1369), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1367), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3854), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [107998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1807), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3853), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3670), 1,
      sym_analytics_clause,
    ACTIONS(1369), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1367), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108214] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4994), 1,
      aux_sym__keyword_as_token1,
    STATE(7231), 1,
      sym_create_table_parameters,
    STATE(7916), 1,
      sym_table_partition_clause,
    STATE(8547), 1,
      sym_table_cluster_clause,
    STATE(9737), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12825), 1,
      sym__keyword_as,
    ACTIONS(4277), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4367), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4369), 1,
      aux_sym__keyword_as_token1,
    STATE(7291), 1,
      sym_table_cluster_clause,
    STATE(7892), 1,
      sym_option_clause,
    STATE(12210), 1,
      sym__keyword_as,
    ACTIONS(4365), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3680), 1,
      sym_analytics_clause,
    ACTIONS(1487), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1485), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [108718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3682), 1,
      sym_analytics_clause,
    ACTIONS(1495), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1493), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3851), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4373), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4375), 1,
      aux_sym__keyword_as_token1,
    STATE(7289), 1,
      sym_table_cluster_clause,
    STATE(7887), 1,
      sym_option_clause,
    STATE(12211), 1,
      sym__keyword_as,
    ACTIONS(4371), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3684), 1,
      sym_analytics_clause,
    ACTIONS(1499), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1497), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [108950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3686), 1,
      sym_analytics_clause,
    ACTIONS(1507), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1505), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109162] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4998), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5000), 1,
      aux_sym__keyword_as_token1,
    STATE(7412), 1,
      sym_table_cluster_clause,
    STATE(7670), 1,
      sym_option_clause,
    STATE(12575), 1,
      sym__keyword_as,
    ACTIONS(4996), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3696), 1,
      sym_analytics_clause,
    ACTIONS(1511), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1509), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109282] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4409), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4411), 1,
      aux_sym__keyword_as_token1,
    STATE(7389), 1,
      sym_table_cluster_clause,
    STATE(7679), 1,
      sym_option_clause,
    STATE(12574), 1,
      sym__keyword_as,
    ACTIONS(4407), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3699), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3713), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109458] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4874), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(5004), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5006), 1,
      aux_sym__keyword_as_token1,
    STATE(7400), 1,
      sym_transoform_clause,
    STATE(7783), 1,
      sym_option_clause,
    STATE(12285), 1,
      sym__keyword_as,
    ACTIONS(5002), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3714), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3850), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1753), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1655), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3716), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3719), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [109902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1467), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [109954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3722), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3849), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110222] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5008), 1,
      aux_sym__keyword_as_token1,
    STATE(7147), 1,
      sym_create_table_parameters,
    STATE(7611), 1,
      sym_table_partition_clause,
    STATE(9037), 1,
      sym_table_cluster_clause,
    STATE(9888), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12529), 1,
      sym__keyword_as,
    ACTIONS(4255), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3727), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3728), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3730), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5012), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5014), 1,
      aux_sym__keyword_as_token1,
    STATE(7410), 1,
      sym_table_cluster_clause,
    STATE(7967), 1,
      sym_option_clause,
    STATE(12496), 1,
      sym__keyword_as,
    ACTIONS(5010), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [110942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [110994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3733), 1,
      sym_analytics_clause,
    ACTIONS(1519), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1517), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111206] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4090), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4092), 1,
      aux_sym__keyword_as_token1,
    STATE(7378), 1,
      sym_table_cluster_clause,
    STATE(7929), 1,
      sym_option_clause,
    STATE(12532), 1,
      sym__keyword_as,
    ACTIONS(4088), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3844), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1635), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1863), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3840), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4084), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4086), 1,
      aux_sym__keyword_as_token1,
    STATE(7399), 1,
      sym_table_cluster_clause,
    STATE(7764), 1,
      sym_option_clause,
    STATE(12539), 1,
      sym__keyword_as,
    ACTIONS(4082), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3829), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [111866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [111970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1383), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3827), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [112234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3737), 1,
      sym_analytics_clause,
    ACTIONS(1515), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1513), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [112290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1859), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112394] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5018), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5020), 1,
      aux_sym__keyword_as_token1,
    STATE(7387), 1,
      sym_table_cluster_clause,
    STATE(7830), 1,
      sym_option_clause,
    STATE(12275), 1,
      sym__keyword_as,
    ACTIONS(5016), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [112458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1387), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5024), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5026), 1,
      aux_sym__keyword_as_token1,
    STATE(7384), 1,
      sym_table_cluster_clause,
    STATE(7828), 1,
      sym_option_clause,
    STATE(12276), 1,
      sym__keyword_as,
    ACTIONS(5022), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [112678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4379), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4381), 1,
      aux_sym__keyword_as_token1,
    STATE(7351), 1,
      sym_table_cluster_clause,
    STATE(7735), 1,
      sym_option_clause,
    STATE(12551), 1,
      sym__keyword_as,
    ACTIONS(4377), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [112742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1859), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [112898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3826), 1,
      sym_analytics_clause,
    ACTIONS(1363), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1361), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [112954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1403), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3824), 1,
      sym_analytics_clause,
    ACTIONS(1403), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1401), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113166] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5028), 1,
      aux_sym__keyword_as_token1,
    STATE(7194), 1,
      sym_create_table_parameters,
    STATE(7663), 1,
      sym_table_partition_clause,
    STATE(8792), 1,
      sym_table_cluster_clause,
    STATE(9860), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12189), 1,
      sym__keyword_as,
    ACTIONS(4194), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3741), 1,
      sym_analytics_clause,
    ACTIONS(1491), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1489), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3819), 1,
      sym_analytics_clause,
    ACTIONS(1387), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1385), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3817), 1,
      sym_analytics_clause,
    ACTIONS(1383), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1381), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1463), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5032), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5034), 1,
      aux_sym__keyword_as_token1,
    STATE(7341), 1,
      sym_table_cluster_clause,
    STATE(7810), 1,
      sym_option_clause,
    STATE(12284), 1,
      sym__keyword_as,
    ACTIONS(5030), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113782] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4391), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4393), 1,
      aux_sym__keyword_as_token1,
    STATE(7356), 1,
      sym_table_cluster_clause,
    STATE(7731), 1,
      sym_option_clause,
    STATE(12554), 1,
      sym__keyword_as,
    ACTIONS(4389), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [113898] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5038), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5040), 1,
      aux_sym__keyword_as_token1,
    STATE(7292), 1,
      sym_table_cluster_clause,
    STATE(7791), 1,
      sym_option_clause,
    STATE(12286), 1,
      sym__keyword_as,
    ACTIONS(5036), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [113962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1785), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4385), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4387), 1,
      aux_sym__keyword_as_token1,
    STATE(7345), 1,
      sym_table_cluster_clause,
    STATE(7713), 1,
      sym_option_clause,
    STATE(12287), 1,
      sym__keyword_as,
    ACTIONS(4383), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3743), 1,
      sym_analytics_clause,
    ACTIONS(1483), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1481), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3749), 1,
      sym_analytics_clause,
    ACTIONS(1483), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1481), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1491), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [114398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3750), 1,
      sym_analytics_clause,
    ACTIONS(1483), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1481), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4397), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4399), 1,
      aux_sym__keyword_as_token1,
    STATE(7360), 1,
      sym_table_cluster_clause,
    STATE(7693), 1,
      sym_option_clause,
    STATE(12292), 1,
      sym__keyword_as,
    ACTIONS(4395), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3813), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3812), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4104), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4106), 1,
      aux_sym__keyword_as_token1,
    STATE(7357), 1,
      sym_table_cluster_clause,
    STATE(7719), 1,
      sym_option_clause,
    STATE(12555), 1,
      sym__keyword_as,
    ACTIONS(4102), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3810), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3752), 1,
      sym_analytics_clause,
    ACTIONS(1483), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1481), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3806), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3755), 1,
      sym_analytics_clause,
    ACTIONS(1483), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1481), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114918] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5042), 1,
      aux_sym__keyword_as_token1,
    STATE(7199), 1,
      sym_create_table_parameters,
    STATE(8001), 1,
      sym_table_partition_clause,
    STATE(8575), 1,
      sym_table_cluster_clause,
    STATE(9754), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12869), 1,
      sym__keyword_as,
    ACTIONS(4261), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [114990] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4405), 1,
      aux_sym__keyword_as_token1,
    STATE(7385), 1,
      sym_table_cluster_clause,
    STATE(7694), 1,
      sym_option_clause,
    STATE(12562), 1,
      sym__keyword_as,
    ACTIONS(4401), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3760), 1,
      sym_analytics_clause,
    ACTIONS(1463), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1461), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1427), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115214] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5044), 1,
      aux_sym__keyword_as_token1,
    STATE(7189), 1,
      sym_create_table_parameters,
    STATE(7975), 1,
      sym_table_partition_clause,
    STATE(8595), 1,
      sym_table_cluster_clause,
    STATE(9630), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12871), 1,
      sym__keyword_as,
    ACTIONS(4240), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3762), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1503), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2875), 1,
      anon_sym_COMMA,
    STATE(7312), 1,
      sym__nulls_preference,
    STATE(7414), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4267), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1515), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3804), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5048), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5050), 1,
      aux_sym__keyword_as_token1,
    STATE(7374), 1,
      sym_table_cluster_clause,
    STATE(7680), 1,
      sym_option_clause,
    STATE(12308), 1,
      sym__keyword_as,
    ACTIONS(5046), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [115884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [115988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3796), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3793), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3789), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3785), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3784), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3782), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116636] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3659), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5054), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5056), 1,
      aux_sym__keyword_as_token1,
    STATE(7380), 1,
      sym_table_cluster_clause,
    STATE(7675), 1,
      sym_option_clause,
    STATE(12312), 1,
      sym__keyword_as,
    ACTIONS(5052), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3781), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [116808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3779), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3778), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3777), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [116976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1867), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117028] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5058), 1,
      aux_sym__keyword_as_token1,
    STATE(7260), 1,
      sym_create_table_parameters,
    STATE(7715), 1,
      sym_table_partition_clause,
    STATE(8694), 1,
      sym_table_cluster_clause,
    STATE(9833), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12217), 1,
      sym__keyword_as,
    ACTIONS(4160), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3772), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3769), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_analytics_clause_token1,
    STATE(3766), 1,
      sym_analytics_clause,
    ACTIONS(1377), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1375), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5064), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5060), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1639), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1781), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1703), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117528] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4776), 1,
      aux_sym__keyword_as_token1,
    STATE(7607), 1,
      sym_table_partition_clause,
    STATE(8701), 1,
      sym_table_cluster_clause,
    STATE(9835), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4144), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5068), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5066), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117646] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1225), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [117731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1707), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [117782] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1241), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [117867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5072), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5070), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5076), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5074), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [117977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1711), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1773), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5080), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5078), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1533), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5084), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5082), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5088), 1,
      aux_sym__keyword_else_token1,
    STATE(7459), 1,
      sym_default_collate_clause,
    STATE(8257), 1,
      sym_option_clause,
    ACTIONS(5086), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5092), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5090), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5096), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5098), 1,
      aux_sym__keyword_else_token1,
    STATE(7309), 1,
      sym_option_clause,
    ACTIONS(5094), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1715), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1749), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [118513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(5100), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(5102), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(408), 1,
      sym_unnest_withoffset,
    STATE(2414), 1,
      sym__identifier,
    STATE(5574), 1,
      sym__type_chrono,
    STATE(5589), 1,
      sym_identifier,
    STATE(11225), 1,
      sym_as_alias,
    STATE(11586), 1,
      sym__keyword_as,
    ACTIONS(211), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3371), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5583), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 21,
      aux_sym__keyword_window_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [118590] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14511), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [118695] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4702), 1,
      aux_sym__keyword_as_token1,
    STATE(7971), 1,
      sym_table_partition_clause,
    STATE(8361), 1,
      sym_table_cluster_clause,
    STATE(9766), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4088), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118762] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1207), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [118847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5110), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [118898] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1167), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1165), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [118983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1761), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1765), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [119085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5116), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5114), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5118), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5122), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 1,
      sym__string_start,
    STATE(7561), 1,
      sym_string,
    ACTIONS(1471), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [119293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5126), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5130), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119395] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5134), 1,
      aux_sym__keyword_as_token1,
    STATE(7678), 1,
      sym_table_partition_clause,
    STATE(8726), 1,
      sym_table_cluster_clause,
    STATE(9840), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12199), 1,
      sym__keyword_as,
    ACTIONS(4353), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119462] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4700), 1,
      aux_sym__keyword_as_token1,
    STATE(7996), 1,
      sym_table_partition_clause,
    STATE(8578), 1,
      sym_table_cluster_clause,
    STATE(9758), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12872), 1,
      sym__keyword_as,
    ACTIONS(4082), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5138), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5136), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119584] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1221), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [119669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1471), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [119722] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4570), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4572), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4576), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(4580), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4574), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 12,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [119817] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4570), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4572), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(4580), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4574), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 13,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [119910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5142), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7271), 1,
      sym_with_connection_clause,
    STATE(7426), 1,
      sym_partition_columns_clause,
    STATE(8125), 1,
      sym_option_clause,
    ACTIONS(5140), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [119971] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5146), 1,
      aux_sym__keyword_as_token1,
    STATE(7814), 1,
      sym_table_partition_clause,
    STATE(8671), 1,
      sym_table_cluster_clause,
    STATE(9816), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12511), 1,
      sym__keyword_as,
    ACTIONS(4383), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120038] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [120121] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4794), 1,
      aux_sym__keyword_as_token1,
    STATE(7824), 1,
      sym_table_partition_clause,
    STATE(8725), 1,
      sym_table_cluster_clause,
    STATE(9842), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12699), 1,
      sym__keyword_as,
    ACTIONS(4122), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120188] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [120269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1855), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [120320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1851), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [120371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1843), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [120422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(7480), 1,
      sym__nulls_preference,
    STATE(7481), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4267), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120479] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4796), 1,
      aux_sym__keyword_as_token1,
    STATE(7794), 1,
      sym_table_partition_clause,
    STATE(8743), 1,
      sym_table_cluster_clause,
    STATE(9845), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12694), 1,
      sym__keyword_as,
    ACTIONS(4128), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1835), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [120597] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 24,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [120676] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5148), 1,
      aux_sym__keyword_as_token1,
    STATE(7723), 1,
      sym_table_partition_clause,
    STATE(8670), 1,
      sym_table_cluster_clause,
    STATE(9815), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12508), 1,
      sym__keyword_as,
    ACTIONS(4395), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [120794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5150), 1,
      aux_sym__keyword_as_token1,
    STATE(7669), 1,
      sym_table_partition_clause,
    STATE(8749), 1,
      sym_table_cluster_clause,
    STATE(9846), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12194), 1,
      sym__keyword_as,
    ACTIONS(4359), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [120861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [120938] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [121011] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4782), 1,
      aux_sym__keyword_as_token1,
    STATE(7662), 1,
      sym_table_partition_clause,
    STATE(8796), 1,
      sym_table_cluster_clause,
    STATE(9863), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4154), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [121078] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [121163] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5152), 1,
      aux_sym__keyword_as_token1,
    STATE(7673), 1,
      sym_table_partition_clause,
    STATE(8427), 1,
      sym_table_cluster_clause,
    STATE(9685), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12806), 1,
      sym__keyword_as,
    ACTIONS(4419), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [121230] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15516), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [121335] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5154), 1,
      aux_sym__keyword_as_token1,
    STATE(7702), 1,
      sym_table_partition_clause,
    STATE(8365), 1,
      sym_table_cluster_clause,
    STATE(9682), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12808), 1,
      sym__keyword_as,
    ACTIONS(4413), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [121402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1801), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1541), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1539), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [121506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4114), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(4112), 32,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [121557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1699), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1671), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1797), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1599), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121761] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14805), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [121866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1603), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1607), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [121968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1611), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [122019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1525), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [122070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1847), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [122121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5156), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5162), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5164), 1,
      aux_sym__keyword_else_token1,
    STATE(7338), 1,
      sym_option_clause,
    ACTIONS(5160), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5168), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5170), 1,
      aux_sym__keyword_else_token1,
    STATE(7333), 1,
      sym_option_clause,
    ACTIONS(5166), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122286] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5172), 1,
      aux_sym__keyword_as_token1,
    STATE(7648), 1,
      sym_table_partition_clause,
    STATE(8814), 1,
      sym_table_cluster_clause,
    STATE(9871), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12613), 1,
      sym__keyword_as,
    ACTIONS(4371), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122353] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15838), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [122458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5176), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5174), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122513] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5178), 1,
      aux_sym__keyword_as_token1,
    STATE(7640), 1,
      sym_table_partition_clause,
    STATE(8798), 1,
      sym_table_cluster_clause,
    STATE(9864), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12684), 1,
      sym__keyword_as,
    ACTIONS(4425), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122580] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15642), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [122685] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5180), 1,
      aux_sym__keyword_as_token1,
    STATE(7631), 1,
      sym_table_partition_clause,
    STATE(8827), 1,
      sym_table_cluster_clause,
    STATE(9882), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12614), 1,
      sym__keyword_as,
    ACTIONS(4365), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5182), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [122854] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4698), 1,
      aux_sym__keyword_as_token1,
    STATE(7710), 1,
      sym_table_partition_clause,
    STATE(9043), 1,
      sym_table_cluster_clause,
    STATE(9889), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12616), 1,
      sym__keyword_as,
    ACTIONS(4038), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5188), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5186), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [122976] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5190), 1,
      aux_sym__keyword_as_token1,
    STATE(7635), 1,
      sym_table_partition_clause,
    STATE(8802), 1,
      sym_table_cluster_clause,
    STATE(9865), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12680), 1,
      sym__keyword_as,
    ACTIONS(4445), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123043] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5192), 1,
      aux_sym__keyword_as_token1,
    STATE(7599), 1,
      sym_table_partition_clause,
    STATE(9041), 1,
      sym_table_cluster_clause,
    STATE(9885), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12630), 1,
      sym__keyword_as,
    ACTIONS(4347), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5196), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5194), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5198), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123216] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4802), 1,
      aux_sym__keyword_as_token1,
    STATE(7628), 1,
      sym_table_partition_clause,
    STATE(8808), 1,
      sym_table_cluster_clause,
    STATE(9867), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4138), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123283] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5202), 1,
      aux_sym__keyword_as_token1,
    STATE(7595), 1,
      sym_table_partition_clause,
    STATE(9002), 1,
      sym_table_cluster_clause,
    STATE(9884), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12635), 1,
      sym__keyword_as,
    ACTIONS(4333), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5206), 1,
      aux_sym__keyword_else_token1,
    STATE(7403), 1,
      sym_with_connection_clause,
    STATE(7432), 1,
      sym_partition_columns_clause,
    STATE(8278), 1,
      sym_option_clause,
    ACTIONS(5204), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5210), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5208), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5217), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5212), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5221), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5219), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123576] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14613), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [123681] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15239), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [123786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5225), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5223), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5229), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5227), 42,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_where_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123892] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5231), 1,
      aux_sym__keyword_as_token1,
    STATE(7991), 1,
      sym_table_partition_clause,
    STATE(8557), 1,
      sym_table_cluster_clause,
    STATE(9747), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12829), 1,
      sym__keyword_as,
    ACTIONS(4377), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [123959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5235), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5233), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5239), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5237), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5243), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5241), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124124] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15008), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5247), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5245), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124284] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14777), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5251), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5249), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124444] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15859), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5255), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5253), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5259), 1,
      aux_sym__keyword_else_token1,
    STATE(7313), 1,
      sym_with_connection_clause,
    STATE(7478), 1,
      sym_partition_columns_clause,
    STATE(8117), 1,
      sym_option_clause,
    ACTIONS(5257), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124665] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14546), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [124770] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5261), 1,
      aux_sym__keyword_as_token1,
    STATE(7944), 1,
      sym_table_partition_clause,
    STATE(8554), 1,
      sym_table_cluster_clause,
    STATE(9745), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12828), 1,
      sym__keyword_as,
    ACTIONS(4389), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [124837] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [124906] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(4570), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4572), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4576), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4586), 1,
      anon_sym_PLUS,
    ACTIONS(4588), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4596), 1,
      anon_sym_AMP,
    ACTIONS(4598), 1,
      anon_sym_CARET,
    ACTIONS(4600), 1,
      anon_sym_PIPE,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(4580), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4590), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4594), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4574), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 11,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [125003] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1209), 1,
      sym__keyword_or,
    STATE(1210), 1,
      sym__keyword_and,
    STATE(1226), 1,
      sym__keyword_in,
    STATE(1450), 1,
      sym__keyword_between,
    STATE(12029), 1,
      sym__keyword_is,
    STATE(13112), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1189), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [125072] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5265), 1,
      aux_sym__keyword_else_token1,
    STATE(7320), 1,
      sym_with_connection_clause,
    STATE(7471), 1,
      sym_partition_columns_clause,
    STATE(8316), 1,
      sym_option_clause,
    ACTIONS(5263), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125133] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14427), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [125238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5269), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5271), 1,
      aux_sym__keyword_else_token1,
    STATE(7349), 1,
      sym_option_clause,
    ACTIONS(5267), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125295] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5273), 1,
      aux_sym__keyword_as_token1,
    STATE(7597), 1,
      sym_table_partition_clause,
    STATE(8841), 1,
      sym_table_cluster_clause,
    STATE(9876), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12645), 1,
      sym__keyword_as,
    ACTIONS(4327), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3649), 1,
      aux_sym_default_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5277), 1,
      aux_sym__keyword_else_token1,
    STATE(7465), 1,
      sym_default_collate_clause,
    STATE(8334), 1,
      sym_option_clause,
    ACTIONS(5275), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5281), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5283), 1,
      aux_sym__keyword_else_token1,
    STATE(7352), 1,
      sym_option_clause,
    ACTIONS(5279), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125478] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14923), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [125583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5285), 1,
      aux_sym__keyword_as_token1,
    STATE(7625), 1,
      sym_table_partition_clause,
    STATE(8817), 1,
      sym_table_cluster_clause,
    STATE(9868), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12652), 1,
      sym__keyword_as,
    ACTIONS(4439), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1663), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [125701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5287), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125752] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5291), 1,
      aux_sym__keyword_as_token1,
    STATE(7586), 1,
      sym_table_partition_clause,
    STATE(8851), 1,
      sym_table_cluster_clause,
    STATE(9878), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12640), 1,
      sym__keyword_as,
    ACTIONS(4523), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125819] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4704), 1,
      aux_sym__keyword_as_token1,
    STATE(7922), 1,
      sym_table_partition_clause,
    STATE(8550), 1,
      sym_table_cluster_clause,
    STATE(9741), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12826), 1,
      sym__keyword_as,
    ACTIONS(4102), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [125886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      sym__string_start,
    STATE(7875), 1,
      sym_string,
    ACTIONS(1471), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [125941] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3439), 1,
      anon_sym_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4742), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4774), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4790), 1,
      anon_sym_DOT2,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4744), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 8,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [126044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5293), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126095] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15403), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [126200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1619), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126251] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4714), 1,
      aux_sym__keyword_as_token1,
    STATE(7903), 1,
      sym_table_partition_clause,
    STATE(8436), 1,
      sym_table_cluster_clause,
    STATE(9698), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12485), 1,
      sym__keyword_as,
    ACTIONS(4116), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1777), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126369] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15560), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [126474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1623), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1675), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126576] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15085), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [126681] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5297), 1,
      aux_sym__keyword_as_token1,
    STATE(7912), 1,
      sym_table_partition_clause,
    STATE(8543), 1,
      sym_table_cluster_clause,
    STATE(9736), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12815), 1,
      sym__keyword_as,
    ACTIONS(4401), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [126748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1627), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1679), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [126850] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15809), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [126955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1631), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(5301), 1,
      aux_sym__keyword_else_token1,
    STATE(7202), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5299), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(1469), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1643), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1691), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1565), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1695), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1659), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127367] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15357), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [127472] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5303), 1,
      aux_sym__keyword_as_token1,
    STATE(7583), 1,
      sym_table_partition_clause,
    STATE(8855), 1,
      sym_table_cluster_clause,
    STATE(9879), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12631), 1,
      sym__keyword_as,
    ACTIONS(4529), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5307), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(5309), 1,
      aux_sym__keyword_else_token1,
    STATE(7371), 1,
      sym_option_clause,
    ACTIONS(5305), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127596] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(4433), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(4798), 1,
      aux_sym_default_clause_token1,
    ACTIONS(5311), 1,
      aux_sym_primary_key_token1,
    STATE(7229), 1,
      sym_default_clause,
    STATE(7388), 1,
      sym_option_clause,
    STATE(7913), 1,
      sym_foreign_key_references,
    ACTIONS(4431), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1651), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1647), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_while_statement_token2,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_where_clause_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127763] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5313), 1,
      aux_sym__keyword_as_token1,
    STATE(7893), 1,
      sym_table_partition_clause,
    STATE(8541), 1,
      sym_table_cluster_clause,
    STATE(9734), 1,
      sym_option_clause,
    STATE(11206), 1,
      sym__keyword_partition_by,
    STATE(12814), 1,
      sym__keyword_as,
    ACTIONS(4407), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [127830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [127881] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14875), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [127986] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15033), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [128091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5315), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128142] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15445), 1,
      aux_sym_function_call_repeat1,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [128247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5321), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5323), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7444), 1,
      sym_partition_columns_clause,
    STATE(8026), 1,
      sym_option_clause,
    ACTIONS(5319), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128305] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5325), 1,
      aux_sym_order_by_clause_token1,
    STATE(6265), 1,
      sym_order_by_clause,
    STATE(6584), 1,
      sym_limit_clause,
    ACTIONS(4608), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(4451), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5330), 1,
      aux_sym__keyword_else_token1,
    STATE(7285), 1,
      sym_option_clause,
    ACTIONS(5328), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5332), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5338), 1,
      aux_sym__keyword_else_token1,
    STATE(7393), 1,
      sym_option_clause,
    ACTIONS(5336), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5342), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5340), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5346), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5344), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4421), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4423), 1,
      aux_sym__keyword_as_token1,
    STATE(7873), 1,
      sym_option_clause,
    STATE(12581), 1,
      sym__keyword_as,
    ACTIONS(4419), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5348), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128729] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4838), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4840), 1,
      aux_sym__keyword_as_token1,
    STATE(7768), 1,
      sym_option_clause,
    STATE(12534), 1,
      sym__keyword_as,
    ACTIONS(4836), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_COMMA,
    STATE(7381), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4649), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5354), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5356), 1,
      aux_sym__keyword_as_token1,
    STATE(7886), 1,
      sym_option_clause,
    STATE(12582), 1,
      sym__keyword_as,
    ACTIONS(5352), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5360), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5362), 1,
      aux_sym__keyword_as_token1,
    STATE(7909), 1,
      sym_option_clause,
    STATE(12586), 1,
      sym__keyword_as,
    ACTIONS(5358), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [128955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      anon_sym_COMMA,
    STATE(7335), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(5366), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5364), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5370), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5368), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5376), 1,
      anon_sym_COMMA,
    STATE(7392), 1,
      aux_sym_values_clause_repeat1,
    ACTIONS(5372), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5380), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    STATE(1592), 1,
      sym__keyword_system_as_of,
    STATE(7462), 1,
      sym_system_time_clause,
    STATE(8227), 1,
      sym_option_clause,
    ACTIONS(5378), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129173] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4040), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4042), 1,
      aux_sym__keyword_as_token1,
    STATE(7904), 1,
      sym_option_clause,
    STATE(12207), 1,
      sym__keyword_as,
    ACTIONS(4038), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129231] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5054), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5056), 1,
      aux_sym__keyword_as_token1,
    STATE(7675), 1,
      sym_option_clause,
    STATE(12312), 1,
      sym__keyword_as,
    ACTIONS(5052), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5386), 1,
      aux_sym__keyword_else_token1,
    STATE(8290), 1,
      sym_drop_schema_option,
    ACTIONS(5388), 2,
      aux_sym_drop_schema_option_token1,
      aux_sym_drop_schema_option_token2,
    ACTIONS(5384), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129343] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5048), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5050), 1,
      aux_sym__keyword_as_token1,
    STATE(7680), 1,
      sym_option_clause,
    STATE(12308), 1,
      sym__keyword_as,
    ACTIONS(5046), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5392), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5394), 1,
      aux_sym__keyword_as_token1,
    STATE(7627), 1,
      sym_option_clause,
    STATE(12359), 1,
      sym__keyword_as,
    ACTIONS(5390), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4950), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4952), 1,
      aux_sym__keyword_as_token1,
    STATE(7994), 1,
      sym_option_clause,
    STATE(12587), 1,
      sym__keyword_as,
    ACTIONS(4948), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129517] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4844), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4846), 1,
      aux_sym__keyword_as_token1,
    STATE(7766), 1,
      sym_option_clause,
    STATE(12528), 1,
      sym__keyword_as,
    ACTIONS(4842), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5398), 1,
      aux_sym__keyword_else_token1,
    STATE(7307), 1,
      sym_option_clause,
    ACTIONS(5396), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [129679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_COMMA,
    STATE(7324), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4645), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129731] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5400), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [129833] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [129935] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4405), 1,
      aux_sym__keyword_as_token1,
    STATE(7694), 1,
      sym_option_clause,
    STATE(12562), 1,
      sym__keyword_as,
    ACTIONS(4401), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [129993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5402), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4944), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4946), 1,
      aux_sym__keyword_as_token1,
    STATE(8007), 1,
      sym_option_clause,
    STATE(12605), 1,
      sym__keyword_as,
    ACTIONS(4942), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5406), 1,
      aux_sym_order_by_clause_token1,
    STATE(6263), 1,
      sym_order_by_clause,
    STATE(6377), 1,
      sym_limit_clause,
    ACTIONS(4617), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5409), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5413), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5419), 1,
      aux_sym__keyword_else_token1,
    STATE(7330), 1,
      sym_option_clause,
    ACTIONS(5417), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5423), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5421), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 1,
      anon_sym_LPAREN,
    ACTIONS(5120), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5118), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5427), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 1,
      aux_sym__keyword_as_token1,
    STATE(15430), 1,
      sym__keyword_as,
    ACTIONS(1477), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [130517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5433), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_COMMA,
    STATE(7422), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4641), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5323), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5439), 1,
      aux_sym__keyword_else_token1,
    STATE(7441), 1,
      sym_partition_columns_clause,
    STATE(8282), 1,
      sym_option_clause,
    ACTIONS(5437), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130677] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4146), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4148), 1,
      aux_sym__keyword_as_token1,
    STATE(7653), 1,
      sym_option_clause,
    STATE(12457), 1,
      sym__keyword_as,
    ACTIONS(4144), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4984), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4986), 1,
      aux_sym__keyword_as_token1,
    STATE(7964), 1,
      sym_option_clause,
    STATE(12311), 1,
      sym__keyword_as,
    ACTIONS(4982), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5012), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5014), 1,
      aux_sym__keyword_as_token1,
    STATE(7967), 1,
      sym_option_clause,
    STATE(12496), 1,
      sym__keyword_as,
    ACTIONS(5010), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5441), 1,
      aux_sym_order_by_clause_token1,
    STATE(6363), 1,
      sym_order_by_clause,
    STATE(6364), 1,
      sym_limit_clause,
    ACTIONS(4535), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(4471), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4355), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4357), 1,
      aux_sym__keyword_as_token1,
    STATE(7593), 1,
      sym_option_clause,
    STATE(12465), 1,
      sym__keyword_as,
    ACTIONS(4353), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [130967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5445), 1,
      aux_sym__keyword_else_token1,
    STATE(7304), 1,
      sym_option_clause,
    ACTIONS(5443), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131021] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5323), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5449), 1,
      aux_sym__keyword_else_token1,
    STATE(7464), 1,
      sym_partition_columns_clause,
    STATE(8122), 1,
      sym_option_clause,
    ACTIONS(5447), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4361), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4363), 1,
      aux_sym__keyword_as_token1,
    STATE(7550), 1,
      sym_option_clause,
    STATE(12473), 1,
      sym__keyword_as,
    ACTIONS(4359), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4118), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4120), 1,
      aux_sym__keyword_as_token1,
    STATE(7727), 1,
      sym_option_clause,
    STATE(12309), 1,
      sym__keyword_as,
    ACTIONS(4116), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4415), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4417), 1,
      aux_sym__keyword_as_token1,
    STATE(7852), 1,
      sym_option_clause,
    STATE(12579), 1,
      sym__keyword_as,
    ACTIONS(4413), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_COMMA,
    STATE(7324), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4551), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131305] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4397), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4399), 1,
      aux_sym__keyword_as_token1,
    STATE(7693), 1,
      sym_option_clause,
    STATE(12292), 1,
      sym__keyword_as,
    ACTIONS(4395), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5456), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5458), 1,
      aux_sym__keyword_as_token1,
    STATE(7961), 1,
      sym_option_clause,
    STATE(12468), 1,
      sym__keyword_as,
    ACTIONS(5454), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131421] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4140), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4142), 1,
      aux_sym__keyword_as_token1,
    STATE(7778), 1,
      sym_option_clause,
    STATE(12536), 1,
      sym__keyword_as,
    ACTIONS(4138), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5462), 1,
      aux_sym__keyword_else_token1,
    STATE(7301), 1,
      sym_option_clause,
    ACTIONS(5460), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5464), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5468), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131633] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4104), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4106), 1,
      aux_sym__keyword_as_token1,
    STATE(7719), 1,
      sym_option_clause,
    STATE(12555), 1,
      sym__keyword_as,
    ACTIONS(4102), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131691] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5474), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5476), 1,
      aux_sym__keyword_as_token1,
    STATE(7590), 1,
      sym_option_clause,
    STATE(12448), 1,
      sym__keyword_as,
    ACTIONS(5472), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5478), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5441), 1,
      aux_sym_order_by_clause_token1,
    STATE(6377), 1,
      sym_limit_clause,
    STATE(6378), 1,
      sym_order_by_clause,
    ACTIONS(4617), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 1,
      anon_sym_COMMA,
    STATE(7335), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3091), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(3089), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4427), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4429), 1,
      aux_sym__keyword_as_token1,
    STATE(7803), 1,
      sym_option_clause,
    STATE(12540), 1,
      sym__keyword_as,
    ACTIONS(4425), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [131967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5487), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5485), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5491), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5489), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132067] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4124), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4126), 1,
      aux_sym__keyword_as_token1,
    STATE(7925), 1,
      sym_option_clause,
    STATE(12462), 1,
      sym__keyword_as,
    ACTIONS(4122), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5493), 1,
      aux_sym_order_by_clause_token1,
    STATE(6266), 1,
      sym_order_by_clause,
    STATE(6414), 1,
      sym_limit_clause,
    ACTIONS(4458), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5498), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5500), 1,
      aux_sym__keyword_as_token1,
    STATE(7633), 1,
      sym_option_clause,
    STATE(12350), 1,
      sym__keyword_as,
    ACTIONS(5496), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132239] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4335), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4337), 1,
      aux_sym__keyword_as_token1,
    STATE(7918), 1,
      sym_option_clause,
    STATE(12200), 1,
      sym__keyword_as,
    ACTIONS(4333), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5502), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7857), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [132401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4936), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4938), 1,
      aux_sym__keyword_as_token1,
    STATE(7623), 1,
      sym_option_clause,
    STATE(12364), 1,
      sym__keyword_as,
    ACTIONS(4934), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4385), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4387), 1,
      aux_sym__keyword_as_token1,
    STATE(7713), 1,
      sym_option_clause,
    STATE(12287), 1,
      sym__keyword_as,
    ACTIONS(4383), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132517] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5038), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5040), 1,
      aux_sym__keyword_as_token1,
    STATE(7791), 1,
      sym_option_clause,
    STATE(12286), 1,
      sym__keyword_as,
    ACTIONS(5036), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5032), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5034), 1,
      aux_sym__keyword_as_token1,
    STATE(7810), 1,
      sym_option_clause,
    STATE(12284), 1,
      sym__keyword_as,
    ACTIONS(5030), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5508), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4130), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4132), 1,
      aux_sym__keyword_as_token1,
    STATE(7839), 1,
      sym_option_clause,
    STATE(12544), 1,
      sym__keyword_as,
    ACTIONS(4128), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132741] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4928), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4930), 1,
      aux_sym__keyword_as_token1,
    STATE(7920), 1,
      sym_option_clause,
    STATE(12193), 1,
      sym__keyword_as,
    ACTIONS(4926), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5512), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5516), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4990), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4992), 1,
      aux_sym__keyword_as_token1,
    STATE(7786), 1,
      sym_option_clause,
    STATE(12576), 1,
      sym__keyword_as,
    ACTIONS(4988), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [132957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 1,
      aux_sym__keyword_else_token1,
    STATE(8351), 1,
      sym_drop_schema_option,
    ACTIONS(5388), 2,
      aux_sym_drop_schema_option_token1,
      aux_sym_drop_schema_option_token2,
    ACTIONS(5520), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4922), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4924), 1,
      aux_sym__keyword_as_token1,
    STATE(7926), 1,
      sym_option_clause,
    STATE(12192), 1,
      sym__keyword_as,
    ACTIONS(4920), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133069] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4329), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4331), 1,
      aux_sym__keyword_as_token1,
    STATE(7932), 1,
      sym_option_clause,
    STATE(12190), 1,
      sym__keyword_as,
    ACTIONS(4327), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133127] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [133229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(5526), 1,
      aux_sym__keyword_else_token1,
    STATE(1592), 1,
      sym__keyword_system_as_of,
    STATE(7473), 1,
      sym_system_time_clause,
    STATE(8074), 1,
      sym_option_clause,
    ACTIONS(5524), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133289] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4916), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4918), 1,
      aux_sym__keyword_as_token1,
    STATE(7610), 1,
      sym_option_clause,
    STATE(12374), 1,
      sym__keyword_as,
    ACTIONS(4914), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133347] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4458), 1,
      anon_sym_RPAREN,
    ACTIONS(5528), 1,
      aux_sym_order_by_clause_token1,
    STATE(6413), 1,
      sym_order_by_clause,
    STATE(6414), 1,
      sym_limit_clause,
    ACTIONS(4460), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(1775), 16,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1777), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [133409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5532), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5534), 1,
      aux_sym__keyword_as_token1,
    STATE(7822), 1,
      sym_option_clause,
    STATE(12281), 1,
      sym__keyword_as,
    ACTIONS(5530), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133467] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(3439), 1,
      anon_sym_LBRACK,
    ACTIONS(4722), 1,
      anon_sym_PLUS,
    ACTIONS(4724), 1,
      anon_sym_DASH,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(4732), 1,
      anon_sym_AMP,
    ACTIONS(4734), 1,
      anon_sym_CARET,
    ACTIONS(4736), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4742), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4774), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(4790), 1,
      anon_sym_DOT2,
    STATE(1184), 1,
      sym__keyword_or,
    STATE(1185), 1,
      sym__keyword_and,
    STATE(1195), 1,
      sym__keyword_in,
    STATE(1419), 1,
      sym__keyword_between,
    STATE(12163), 1,
      sym__keyword_is,
    STATE(13129), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16316), 1,
      sym_like_operator,
    STATE(16317), 1,
      sym_quantitve_like_operator,
    ACTIONS(4726), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4730), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4744), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2929), 7,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [133569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4391), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4393), 1,
      aux_sym__keyword_as_token1,
    STATE(7731), 1,
      sym_option_clause,
    STATE(12554), 1,
      sym__keyword_as,
    ACTIONS(4389), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133627] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5538), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5540), 1,
      aux_sym__keyword_as_token1,
    STATE(7591), 1,
      sym_option_clause,
    STATE(12447), 1,
      sym__keyword_as,
    ACTIONS(5536), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133685] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4367), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4369), 1,
      aux_sym__keyword_as_token1,
    STATE(7892), 1,
      sym_option_clause,
    STATE(12210), 1,
      sym__keyword_as,
    ACTIONS(4365), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 36,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [133793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4441), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4443), 1,
      aux_sym__keyword_as_token1,
    STATE(7936), 1,
      sym_option_clause,
    STATE(12188), 1,
      sym__keyword_as,
    ACTIONS(4439), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4475), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5542), 1,
      aux_sym_order_by_clause_token1,
    STATE(6273), 1,
      sym_order_by_clause,
    STATE(6364), 1,
      sym_limit_clause,
    ACTIONS(4535), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(4471), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5547), 1,
      aux_sym__keyword_else_token1,
    STATE(7337), 1,
      sym_option_clause,
    ACTIONS(5545), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [133963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5551), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5549), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(5555), 1,
      aux_sym__keyword_else_token1,
    STATE(1592), 1,
      sym__keyword_system_as_of,
    STATE(7440), 1,
      sym_system_time_clause,
    STATE(8285), 1,
      sym_option_clause,
    ACTIONS(5553), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134073] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(5559), 1,
      aux_sym__keyword_else_token1,
    STATE(1592), 1,
      sym__keyword_system_as_of,
    STATE(7427), 1,
      sym_system_time_clause,
    STATE(8130), 1,
      sym_option_clause,
    ACTIONS(5557), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5563), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5565), 1,
      aux_sym__keyword_as_token1,
    STATE(7603), 1,
      sym_option_clause,
    STATE(12388), 1,
      sym__keyword_as,
    ACTIONS(5561), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134191] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5569), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5571), 1,
      aux_sym__keyword_as_token1,
    STATE(7990), 1,
      sym_option_clause,
    STATE(12486), 1,
      sym__keyword_as,
    ACTIONS(5567), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5575), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5577), 1,
      aux_sym__keyword_as_token1,
    STATE(7826), 1,
      sym_option_clause,
    STATE(12278), 1,
      sym__keyword_as,
    ACTIONS(5573), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5581), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5583), 1,
      aux_sym__keyword_as_token1,
    STATE(7993), 1,
      sym_option_clause,
    STATE(12487), 1,
      sym__keyword_as,
    ACTIONS(5579), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4373), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4375), 1,
      aux_sym__keyword_as_token1,
    STATE(7887), 1,
      sym_option_clause,
    STATE(12211), 1,
      sym__keyword_as,
    ACTIONS(4371), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4998), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5000), 1,
      aux_sym__keyword_as_token1,
    STATE(7670), 1,
      sym_option_clause,
    STATE(12575), 1,
      sym__keyword_as,
    ACTIONS(4996), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5587), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5589), 1,
      aux_sym__keyword_as_token1,
    STATE(7601), 1,
      sym_option_clause,
    STATE(12405), 1,
      sym__keyword_as,
    ACTIONS(5585), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_COMMA,
    STATE(7324), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4633), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5593), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5591), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5024), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5026), 1,
      aux_sym__keyword_as_token1,
    STATE(7828), 1,
      sym_option_clause,
    STATE(12276), 1,
      sym__keyword_as,
    ACTIONS(5022), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5597), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5599), 1,
      aux_sym__keyword_as_token1,
    STATE(7638), 1,
      sym_option_clause,
    STATE(12337), 1,
      sym__keyword_as,
    ACTIONS(5595), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4910), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4912), 1,
      aux_sym__keyword_as_token1,
    STATE(7938), 1,
      sym_option_clause,
    STATE(12186), 1,
      sym__keyword_as,
    ACTIONS(4908), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5018), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5020), 1,
      aux_sym__keyword_as_token1,
    STATE(7830), 1,
      sym_option_clause,
    STATE(12275), 1,
      sym__keyword_as,
    ACTIONS(5016), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134873] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5603), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5605), 1,
      aux_sym__keyword_as_token1,
    STATE(7658), 1,
      sym_option_clause,
    STATE(12333), 1,
      sym__keyword_as,
    ACTIONS(5601), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5607), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [134981] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4892), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4894), 1,
      aux_sym__keyword_as_token1,
    STATE(7948), 1,
      sym_option_clause,
    STATE(12183), 1,
      sym__keyword_as,
    ACTIONS(4890), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4156), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4158), 1,
      aux_sym__keyword_as_token1,
    STATE(7651), 1,
      sym_option_clause,
    STATE(12479), 1,
      sym__keyword_as,
    ACTIONS(4154), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135097] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4409), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4411), 1,
      aux_sym__keyword_as_token1,
    STATE(7679), 1,
      sym_option_clause,
    STATE(12574), 1,
      sym__keyword_as,
    ACTIONS(4407), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    STATE(7392), 1,
      aux_sym_values_clause_repeat1,
    ACTIONS(5611), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5618), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_GT,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135259] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5624), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5626), 1,
      aux_sym__keyword_as_token1,
    STATE(7831), 1,
      sym_option_clause,
    STATE(12266), 1,
      sym__keyword_as,
    ACTIONS(5622), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135317] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5630), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5632), 1,
      aux_sym__keyword_as_token1,
    STATE(7832), 1,
      sym_option_clause,
    STATE(12263), 1,
      sym__keyword_as,
    ACTIONS(5628), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5636), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5638), 1,
      aux_sym__keyword_as_token1,
    STATE(7674), 1,
      sym_option_clause,
    STATE(12480), 1,
      sym__keyword_as,
    ACTIONS(5634), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4960), 1,
      aux_sym_set_operation_token3,
    ACTIONS(4962), 1,
      aux_sym_set_operation_token4,
    ACTIONS(5642), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5640), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135489] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4525), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4527), 1,
      aux_sym__keyword_as_token1,
    STATE(7751), 1,
      sym_option_clause,
    STATE(12527), 1,
      sym__keyword_as,
    ACTIONS(4523), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135547] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4349), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4351), 1,
      aux_sym__keyword_as_token1,
    STATE(7915), 1,
      sym_option_clause,
    STATE(12201), 1,
      sym__keyword_as,
    ACTIONS(4347), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5646), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5648), 1,
      aux_sym__keyword_as_token1,
    STATE(7665), 1,
      sym_option_clause,
    STATE(12317), 1,
      sym__keyword_as,
    ACTIONS(5644), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135663] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5652), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5654), 1,
      aux_sym__keyword_as_token1,
    STATE(7946), 1,
      sym_option_clause,
    STATE(12550), 1,
      sym__keyword_as,
    ACTIONS(5650), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135721] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(5658), 1,
      aux_sym__keyword_else_token1,
    STATE(1592), 1,
      sym__keyword_system_as_of,
    STATE(7430), 1,
      sym_system_time_clause,
    STATE(8269), 1,
      sym_option_clause,
    ACTIONS(5656), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5323), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5662), 1,
      aux_sym__keyword_else_token1,
    STATE(7431), 1,
      sym_partition_columns_clause,
    STATE(8283), 1,
      sym_option_clause,
    ACTIONS(5660), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5666), 1,
      aux_sym__keyword_else_token1,
    STATE(7329), 1,
      sym_option_clause,
    ACTIONS(5664), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135893] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4447), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_as_token1,
    STATE(7793), 1,
      sym_option_clause,
    STATE(12538), 1,
      sym__keyword_as,
    ACTIONS(4445), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [135951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5670), 1,
      aux_sym__keyword_else_token1,
    STATE(7277), 1,
      sym_option_clause,
    ACTIONS(5668), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5674), 1,
      aux_sym__keyword_else_token1,
    STATE(7276), 1,
      sym_option_clause,
    ACTIONS(5672), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5678), 1,
      aux_sym__keyword_else_token1,
    STATE(7274), 1,
      sym_option_clause,
    ACTIONS(5676), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4531), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4533), 1,
      aux_sym__keyword_as_token1,
    STATE(7728), 1,
      sym_option_clause,
    STATE(12526), 1,
      sym__keyword_as,
    ACTIONS(4529), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5682), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5684), 1,
      aux_sym__keyword_as_token1,
    STATE(7849), 1,
      sym_option_clause,
    STATE(12247), 1,
      sym__keyword_as,
    ACTIONS(5680), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5441), 1,
      aux_sym_order_by_clause_token1,
    STATE(6413), 1,
      sym_order_by_clause,
    STATE(6414), 1,
      sym_limit_clause,
    ACTIONS(4458), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5688), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5690), 1,
      aux_sym__keyword_as_token1,
    STATE(7958), 1,
      sym_option_clause,
    STATE(12179), 1,
      sym__keyword_as,
    ACTIONS(5686), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136343] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(5441), 1,
      aux_sym_order_by_clause_token1,
    STATE(6584), 1,
      sym_limit_clause,
    STATE(6585), 1,
      sym_order_by_clause,
    ACTIONS(4608), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(4451), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_COMMA,
    STATE(7324), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4637), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5692), 41,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136503] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4090), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4092), 1,
      aux_sym__keyword_as_token1,
    STATE(7929), 1,
      sym_option_clause,
    STATE(12532), 1,
      sym__keyword_as,
    ACTIONS(4088), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4379), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4381), 1,
      aux_sym__keyword_as_token1,
    STATE(7735), 1,
      sym_option_clause,
    STATE(12551), 1,
      sym__keyword_as,
    ACTIONS(4377), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 1,
      anon_sym_COMMA,
    ACTIONS(5698), 1,
      aux_sym__keyword_else_token1,
    STATE(7286), 1,
      aux_sym_values_clause_repeat1,
    ACTIONS(5696), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(5100), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(5700), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(5269), 1,
      sym_as_alias,
    STATE(5574), 1,
      sym__type_chrono,
    STATE(5589), 1,
      sym_identifier,
    STATE(11586), 1,
      sym__keyword_as,
    ACTIONS(2993), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3371), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5583), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(2991), 21,
      aux_sym__keyword_window_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [136747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5704), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5706), 1,
      aux_sym__keyword_as_token1,
    STATE(7833), 1,
      sym_option_clause,
    STATE(12249), 1,
      sym__keyword_as,
    ACTIONS(5702), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 35,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [136855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_COMMA,
    STATE(7324), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4653), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4084), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4086), 1,
      aux_sym__keyword_as_token1,
    STATE(7764), 1,
      sym_option_clause,
    STATE(12539), 1,
      sym__keyword_as,
    ACTIONS(4082), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [136965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5710), 1,
      aux_sym__keyword_else_token1,
    STATE(7343), 1,
      sym_option_clause,
    ACTIONS(5708), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5714), 1,
      aux_sym__keyword_else_token1,
    STATE(7567), 1,
      sym_partition_columns_clause,
    STATE(8335), 1,
      sym_with_connection_clause,
    ACTIONS(5712), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5321), 1,
      aux_sym__keyword_else_token1,
    STATE(8026), 1,
      sym_option_clause,
    ACTIONS(5319), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5718), 1,
      aux_sym__keyword_else_token1,
    STATE(8025), 1,
      sym_option_clause,
    ACTIONS(5716), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(5722), 1,
      aux_sym__keyword_else_token1,
    STATE(7848), 1,
      sym_create_table_parameters,
    ACTIONS(5720), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137233] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(5100), 1,
      aux_sym__keyword_as_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(5266), 1,
      sym_as_alias,
    STATE(5574), 1,
      sym__type_chrono,
    STATE(5589), 1,
      sym_identifier,
    STATE(11586), 1,
      sym__keyword_as,
    ACTIONS(2989), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3371), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5583), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(2987), 21,
      aux_sym__keyword_window_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [137304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5726), 1,
      aux_sym__keyword_else_token1,
    STATE(8284), 1,
      sym_option_clause,
    ACTIONS(5724), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5730), 1,
      aux_sym__keyword_else_token1,
    STATE(8121), 1,
      sym_option_clause,
    ACTIONS(5728), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5662), 1,
      aux_sym__keyword_else_token1,
    STATE(8283), 1,
      sym_option_clause,
    ACTIONS(5660), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(7483), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4645), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5732), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5738), 1,
      aux_sym__keyword_else_token1,
    STATE(8195), 1,
      sym_option_clause,
    ACTIONS(5736), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5742), 1,
      aux_sym__keyword_else_token1,
    STATE(8105), 1,
      sym_option_clause,
    ACTIONS(5740), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5744), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [137718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5750), 1,
      aux_sym__keyword_else_token1,
    STATE(8159), 1,
      sym_option_clause,
    ACTIONS(5748), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5611), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5754), 1,
      aux_sym__keyword_else_token1,
    STATE(8137), 1,
      sym_option_clause,
    ACTIONS(5752), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5758), 1,
      aux_sym__keyword_else_token1,
    STATE(8276), 1,
      sym_option_clause,
    ACTIONS(5756), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [137926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5760), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [137975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5764), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5770), 1,
      aux_sym__keyword_else_token1,
    STATE(8355), 1,
      sym_option_clause,
    ACTIONS(5768), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1787), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [138126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5776), 1,
      anon_sym_COMMA,
    STATE(7467), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(5772), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5780), 1,
      aux_sym__keyword_else_token1,
    STATE(8083), 1,
      sym_option_clause,
    ACTIONS(5778), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5782), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5788), 1,
      aux_sym__keyword_else_token1,
    STATE(8330), 1,
      sym_option_clause,
    ACTIONS(5786), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138334] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    ACTIONS(5792), 1,
      anon_sym_COMMA,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(13172), 1,
      aux_sym_window_partition_clause_repeat1,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5790), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [138439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5796), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    STATE(7501), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5794), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5802), 1,
      aux_sym__keyword_else_token1,
    STATE(8073), 1,
      sym_option_clause,
    ACTIONS(5800), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5806), 1,
      aux_sym__keyword_else_token1,
    STATE(7528), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5804), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5810), 1,
      aux_sym__keyword_else_token1,
    STATE(7511), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5808), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [138702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5796), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5794), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5814), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(7482), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4649), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5820), 1,
      aux_sym__keyword_else_token1,
    STATE(8318), 1,
      sym_option_clause,
    ACTIONS(5818), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5824), 1,
      aux_sym__keyword_else_token1,
    STATE(7862), 1,
      sym_partition_columns_clause,
    STATE(8123), 1,
      sym_with_connection_clause,
    ACTIONS(5822), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [138963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5828), 1,
      aux_sym__keyword_else_token1,
    STATE(8124), 1,
      sym_option_clause,
    ACTIONS(5826), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5832), 1,
      aux_sym__keyword_else_token1,
    STATE(8325), 1,
      sym_option_clause,
    ACTIONS(5830), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1589), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1587), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [139120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5838), 1,
      aux_sym__keyword_else_token1,
    STATE(8028), 1,
      sym_option_clause,
    ACTIONS(5836), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5842), 1,
      aux_sym__keyword_else_token1,
    STATE(8258), 1,
      sym_option_clause,
    ACTIONS(5840), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5846), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5844), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5848), 1,
      anon_sym_COMMA,
    STATE(7467), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(4663), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5853), 1,
      aux_sym__keyword_else_token1,
    STATE(8129), 1,
      sym_option_clause,
    ACTIONS(5851), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5846), 1,
      aux_sym__keyword_else_token1,
    STATE(7494), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5844), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5857), 1,
      aux_sym__keyword_else_token1,
    STATE(7729), 1,
      sym_partition_columns_clause,
    STATE(8211), 1,
      sym_with_connection_clause,
    ACTIONS(5855), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5449), 1,
      aux_sym__keyword_else_token1,
    STATE(8122), 1,
      sym_option_clause,
    ACTIONS(5447), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5861), 2,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_as_token1,
    ACTIONS(5859), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5865), 1,
      aux_sym__keyword_else_token1,
    STATE(8255), 1,
      sym_option_clause,
    ACTIONS(5863), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5869), 1,
      aux_sym__keyword_else_token1,
    STATE(7732), 1,
      sym_partition_columns_clause,
    STATE(8206), 1,
      sym_with_connection_clause,
    ACTIONS(5867), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5873), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5875), 1,
      anon_sym_COMMA,
    STATE(7477), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5871), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5879), 1,
      aux_sym__keyword_else_token1,
    STATE(7589), 1,
      sym_keyword_if_exists,
    ACTIONS(5877), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5875), 1,
      anon_sym_COMMA,
    ACTIONS(5883), 1,
      aux_sym__keyword_else_token1,
    STATE(7518), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5881), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5439), 1,
      aux_sym__keyword_else_token1,
    STATE(8282), 1,
      sym_option_clause,
    ACTIONS(5437), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5887), 1,
      aux_sym__keyword_else_token1,
    STATE(7488), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5885), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [139966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(7502), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4641), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(7483), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4637), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(7483), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4633), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5889), 1,
      anon_sym_COMMA,
    STATE(7483), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4551), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5892), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [140219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5896), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [140268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1589), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1587), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [140319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5904), 1,
      aux_sym__keyword_else_token1,
    STATE(7500), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5902), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5904), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5902), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5908), 1,
      aux_sym__keyword_else_token1,
    STATE(7499), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5906), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1767), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [140527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5912), 1,
      aux_sym__keyword_else_token1,
    STATE(8099), 1,
      sym_option_clause,
    ACTIONS(5910), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5908), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5906), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5916), 1,
      aux_sym__keyword_else_token1,
    STATE(7498), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5914), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5916), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5914), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5920), 1,
      aux_sym__keyword_else_token1,
    STATE(8150), 1,
      sym_option_clause,
    ACTIONS(5918), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5924), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5922), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5928), 1,
      aux_sym__keyword_else_token1,
    STATE(7496), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5926), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5932), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5930), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [140951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5936), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5934), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5940), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5938), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5928), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5926), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(7483), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4653), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1767), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [141210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5942), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5948), 1,
      aux_sym__keyword_else_token1,
    STATE(7521), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5946), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5950), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1787), 35,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [141410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5956), 1,
      aux_sym__keyword_else_token1,
    STATE(7562), 1,
      sym_partition_columns_clause,
    STATE(8338), 1,
      sym_with_connection_clause,
    ACTIONS(5954), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5960), 1,
      aux_sym__keyword_else_token1,
    STATE(7519), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5958), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5966), 1,
      anon_sym_COMMA,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5962), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5960), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5958), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_COMMA,
    ACTIONS(5971), 1,
      aux_sym__keyword_else_token1,
    STATE(7446), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(5969), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5975), 1,
      aux_sym__keyword_else_token1,
    STATE(7790), 1,
      sym_partition_columns_clause,
    STATE(8164), 1,
      sym_with_connection_clause,
    ACTIONS(5973), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5977), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [141781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5983), 1,
      aux_sym__keyword_else_token1,
    STATE(7780), 1,
      sym_partition_columns_clause,
    STATE(8169), 1,
      sym_with_connection_clause,
    ACTIONS(5981), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5987), 11,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_DOLLAR,
    ACTIONS(5985), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [141885] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(5991), 1,
      aux_sym__keyword_else_token1,
    STATE(7757), 1,
      sym_partition_columns_clause,
    STATE(8188), 1,
      sym_with_connection_clause,
    ACTIONS(5989), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5229), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5993), 1,
      anon_sym_COMMA,
    STATE(7518), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5227), 38,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [141993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(5887), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(5885), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5998), 1,
      aux_sym__keyword_else_token1,
    STATE(8056), 1,
      sym_option_clause,
    ACTIONS(5996), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(6002), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(6000), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6006), 1,
      aux_sym__keyword_else_token1,
    STATE(8293), 1,
      sym_option_clause,
    ACTIONS(6004), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6010), 1,
      aux_sym__keyword_else_token1,
    STATE(8245), 1,
      sym_option_clause,
    ACTIONS(6008), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(6002), 1,
      aux_sym__keyword_else_token1,
    STATE(7492), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(6000), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(6014), 1,
      aux_sym__keyword_else_token1,
    STATE(7456), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(6012), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6018), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6016), 40,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(6022), 1,
      aux_sym__keyword_else_token1,
    STATE(7466), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(6020), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      anon_sym_COMMA,
    ACTIONS(6022), 1,
      aux_sym__keyword_else_token1,
    STATE(7510), 1,
      aux_sym_grant_statement_repeat2,
    ACTIONS(6020), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142519] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8045), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [142621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [142669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1805), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [142717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6030), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6032), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4954), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6030), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6032), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4964), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1645), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [142869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [142917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6030), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6032), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4968), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [142969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6036), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6034), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1813), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1817), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6030), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6032), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4972), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1821), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1649), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1841), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143357] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8041), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [143459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1775), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1657), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4840), 1,
      aux_sym__keyword_as_token1,
    STATE(12534), 1,
      sym__keyword_as,
    ACTIONS(4836), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [143703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1661), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143799] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8060), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [143901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1665), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1669), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [143997] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8065), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [144099] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8068), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [144201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1673), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1677), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1845), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6038), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8164), 1,
      sym_with_connection_clause,
    ACTIONS(5973), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1837), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1809), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1825), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1689), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5983), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6038), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8169), 1,
      sym_with_connection_clause,
    ACTIONS(5981), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1853), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6044), 1,
      anon_sym_COMMA,
    STATE(7569), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6040), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1693), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [144837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6049), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6047), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6051), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6055), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [144981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6059), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1701), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6063), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1833), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1705), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4142), 1,
      aux_sym__keyword_as_token1,
    STATE(12536), 1,
      sym__keyword_as,
    ACTIONS(4138), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1709), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1697), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1713), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145417] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6067), 1,
      aux_sym__keyword_as_token1,
    STATE(8492), 1,
      sym_table_cluster_clause,
    STATE(9727), 1,
      sym_option_clause,
    STATE(12793), 1,
      sym__keyword_as,
    ACTIONS(4942), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1747), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1597), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145571] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6069), 1,
      aux_sym__keyword_as_token1,
    STATE(8488), 1,
      sym_table_cluster_clause,
    STATE(9726), 1,
      sym_option_clause,
    STATE(12794), 1,
      sym__keyword_as,
    ACTIONS(4948), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1751), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1849), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6071), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6077), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6079), 1,
      aux_sym__keyword_as_token1,
    STATE(12461), 1,
      sym__keyword_as,
    ACTIONS(6075), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6085), 1,
      aux_sym__keyword_as_token1,
    STATE(12456), 1,
      sym__keyword_as,
    ACTIONS(6081), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1601), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [145925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4844), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4846), 1,
      aux_sym__keyword_as_token1,
    STATE(12528), 1,
      sym__keyword_as,
    ACTIONS(4842), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [145977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1617), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146025] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6087), 1,
      aux_sym__keyword_as_token1,
    STATE(8676), 1,
      sym_table_cluster_clause,
    STATE(9819), 1,
      sym_option_clause,
    STATE(12519), 1,
      sym__keyword_as,
    ACTIONS(5030), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1605), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146131] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6089), 1,
      aux_sym__keyword_as_token1,
    STATE(8679), 1,
      sym_table_cluster_clause,
    STATE(9824), 1,
      sym_option_clause,
    STATE(12561), 1,
      sym__keyword_as,
    ACTIONS(5022), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1621), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6091), 1,
      aux_sym__keyword_as_token1,
    STATE(8674), 1,
      sym_table_cluster_clause,
    STATE(9817), 1,
      sym_option_clause,
    STATE(12512), 1,
      sym__keyword_as,
    ACTIONS(5036), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4874), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(6093), 1,
      aux_sym__keyword_as_token1,
    STATE(8459), 1,
      sym_transoform_clause,
    STATE(9714), 1,
      sym_option_clause,
    STATE(12425), 1,
      sym__keyword_as,
    ACTIONS(4976), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6097), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6099), 1,
      aux_sym__keyword_as_token1,
    STATE(12452), 1,
      sym__keyword_as,
    ACTIONS(6095), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1625), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6105), 1,
      aux_sym__keyword_as_token1,
    STATE(12449), 1,
      sym__keyword_as,
    ACTIONS(6101), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1629), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1637), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1641), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5291), 1,
      aux_sym__keyword_as_token1,
    STATE(8851), 1,
      sym_table_cluster_clause,
    STATE(9878), 1,
      sym_option_clause,
    STATE(12640), 1,
      sym__keyword_as,
    ACTIONS(4523), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146707] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4794), 1,
      aux_sym__keyword_as_token1,
    STATE(8725), 1,
      sym_table_cluster_clause,
    STATE(9842), 1,
      sym_option_clause,
    STATE(12699), 1,
      sym__keyword_as,
    ACTIONS(4122), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1829), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [146813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5476), 1,
      aux_sym__keyword_as_token1,
    STATE(12448), 1,
      sym__keyword_as,
    ACTIONS(5472), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5146), 1,
      aux_sym__keyword_as_token1,
    STATE(8671), 1,
      sym_table_cluster_clause,
    STATE(9816), 1,
      sym_option_clause,
    STATE(12511), 1,
      sym__keyword_as,
    ACTIONS(4383), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146923] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4796), 1,
      aux_sym__keyword_as_token1,
    STATE(8743), 1,
      sym_table_cluster_clause,
    STATE(9845), 1,
      sym_option_clause,
    STATE(12694), 1,
      sym__keyword_as,
    ACTIONS(4128), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [146981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6111), 1,
      anon_sym_COMMA,
    STATE(7569), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6107), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1759), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6117), 1,
      aux_sym_default_clause_token1,
    STATE(8179), 1,
      sym_default_clause,
    ACTIONS(6113), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1763), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 1,
      aux_sym_using_clause_token1,
    ACTIONS(6121), 1,
      aux_sym__keyword_else_token1,
    STATE(8177), 1,
      sym_using_clause,
    ACTIONS(6119), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1791), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1795), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6123), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [147473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5540), 1,
      aux_sym__keyword_as_token1,
    STATE(12447), 1,
      sym__keyword_as,
    ACTIONS(5536), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147573] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6127), 1,
      aux_sym__keyword_as_token1,
    STATE(8681), 1,
      sym_table_cluster_clause,
    STATE(9825), 1,
      sym_option_clause,
    STATE(12568), 1,
      sym__keyword_as,
    ACTIONS(5016), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5152), 1,
      aux_sym__keyword_as_token1,
    STATE(8427), 1,
      sym_table_cluster_clause,
    STATE(9685), 1,
      sym_option_clause,
    STATE(12806), 1,
      sym__keyword_as,
    ACTIONS(4419), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6133), 1,
      aux_sym__keyword_as_token1,
    STATE(12446), 1,
      sym__keyword_as,
    ACTIONS(6129), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147741] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5154), 1,
      aux_sym__keyword_as_token1,
    STATE(8365), 1,
      sym_table_cluster_clause,
    STATE(9682), 1,
      sym_option_clause,
    STATE(12808), 1,
      sym__keyword_as,
    ACTIONS(4413), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [147895] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6135), 1,
      aux_sym__keyword_as_token1,
    STATE(8668), 1,
      sym_table_cluster_clause,
    STATE(9814), 1,
      sym_option_clause,
    STATE(12505), 1,
      sym__keyword_as,
    ACTIONS(5046), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [147953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6141), 1,
      aux_sym__keyword_as_token1,
    STATE(12444), 1,
      sym__keyword_as,
    ACTIONS(6137), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4447), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4449), 1,
      aux_sym__keyword_as_token1,
    STATE(12538), 1,
      sym__keyword_as,
    ACTIONS(4445), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148105] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6143), 1,
      aux_sym__keyword_as_token1,
    STATE(8505), 1,
      sym_table_cluster_clause,
    STATE(9728), 1,
      sym_option_clause,
    STATE(12801), 1,
      sym__keyword_as,
    ACTIONS(4988), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6149), 1,
      aux_sym__keyword_as_token1,
    STATE(12418), 1,
      sym__keyword_as,
    ACTIONS(6145), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148359] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6151), 1,
      aux_sym__keyword_as_token1,
    STATE(8523), 1,
      sym_table_cluster_clause,
    STATE(9729), 1,
      sym_option_clause,
    STATE(12809), 1,
      sym__keyword_as,
    ACTIONS(4996), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1771), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1779), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1865), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [148609] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7193), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [148711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_COMMA,
    ACTIONS(6155), 1,
      aux_sym__keyword_else_token1,
    STATE(7614), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6153), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148763] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7104), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [148865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6157), 1,
      aux_sym__keyword_as_token1,
    STATE(8667), 1,
      sym_table_cluster_clause,
    STATE(9813), 1,
      sym_option_clause,
    STATE(12500), 1,
      sym__keyword_as,
    ACTIONS(5052), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [148923] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7252), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [149025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4429), 1,
      aux_sym__keyword_as_token1,
    STATE(12540), 1,
      sym__keyword_as,
    ACTIONS(4425), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4527), 1,
      aux_sym__keyword_as_token1,
    STATE(12527), 1,
      sym__keyword_as,
    ACTIONS(4523), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6163), 1,
      aux_sym__keyword_as_token1,
    STATE(12408), 1,
      sym__keyword_as,
    ACTIONS(6159), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4533), 1,
      aux_sym__keyword_as_token1,
    STATE(12526), 1,
      sym__keyword_as,
    ACTIONS(4529), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149521] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6165), 5,
      aux_sym__keyword_range_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [149621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6169), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6167), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [149669] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5178), 1,
      aux_sym__keyword_as_token1,
    STATE(8798), 1,
      sym_table_cluster_clause,
    STATE(9864), 1,
      sym_option_clause,
    STATE(12684), 1,
      sym__keyword_as,
    ACTIONS(4425), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149727] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5190), 1,
      aux_sym__keyword_as_token1,
    STATE(8802), 1,
      sym_table_cluster_clause,
    STATE(9865), 1,
      sym_option_clause,
    STATE(12680), 1,
      sym__keyword_as,
    ACTIONS(4445), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [149833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6173), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6175), 1,
      aux_sym__keyword_as_token1,
    STATE(12482), 1,
      sym__keyword_as,
    ACTIONS(6171), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6177), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [149933] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4802), 1,
      aux_sym__keyword_as_token1,
    STATE(8808), 1,
      sym_table_cluster_clause,
    STATE(9867), 1,
      sym_option_clause,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4138), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [149991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5638), 1,
      aux_sym__keyword_as_token1,
    STATE(12480), 1,
      sym__keyword_as,
    ACTIONS(5634), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150043] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6181), 1,
      aux_sym__keyword_as_token1,
    STATE(8820), 1,
      sym_table_cluster_clause,
    STATE(9872), 1,
      sym_option_clause,
    STATE(12663), 1,
      sym__keyword_as,
    ACTIONS(4836), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5688), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5690), 1,
      aux_sym__keyword_as_token1,
    STATE(12179), 1,
      sym__keyword_as,
    ACTIONS(5686), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4158), 1,
      aux_sym__keyword_as_token1,
    STATE(12479), 1,
      sym__keyword_as,
    ACTIONS(4154), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150253] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6183), 1,
      aux_sym__keyword_as_token1,
    STATE(8772), 1,
      sym_table_cluster_clause,
    STATE(9852), 1,
      sym_option_clause,
    STATE(12662), 1,
      sym__keyword_as,
    ACTIONS(5010), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6187), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6189), 1,
      aux_sym__keyword_as_token1,
    STATE(12541), 1,
      sym__keyword_as,
    ACTIONS(6185), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5589), 1,
      aux_sym__keyword_as_token1,
    STATE(12405), 1,
      sym__keyword_as,
    ACTIONS(5585), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6191), 1,
      aux_sym__keyword_as_token1,
    STATE(8829), 1,
      sym_table_cluster_clause,
    STATE(9874), 1,
      sym_option_clause,
    STATE(12658), 1,
      sym__keyword_as,
    ACTIONS(4842), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4894), 1,
      aux_sym__keyword_as_token1,
    STATE(12183), 1,
      sym__keyword_as,
    ACTIONS(4890), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5565), 1,
      aux_sym__keyword_as_token1,
    STATE(12388), 1,
      sym__keyword_as,
    ACTIONS(5561), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150721] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4714), 1,
      aux_sym__keyword_as_token1,
    STATE(8436), 1,
      sym_table_cluster_clause,
    STATE(9698), 1,
      sym_option_clause,
    STATE(12485), 1,
      sym__keyword_as,
    ACTIONS(4116), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6197), 1,
      anon_sym_COMMA,
    STATE(7683), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6193), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [150831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1783), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6200), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [150927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1563), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [150975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1531), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4130), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4132), 1,
      aux_sym__keyword_as_token1,
    STATE(12544), 1,
      sym__keyword_as,
    ACTIONS(4128), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151123] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7186), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [151225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4918), 1,
      aux_sym__keyword_as_token1,
    STATE(12374), 1,
      sym__keyword_as,
    ACTIONS(4914), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4912), 1,
      aux_sym__keyword_as_token1,
    STATE(12186), 1,
      sym__keyword_as,
    ACTIONS(4908), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4874), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(6204), 1,
      aux_sym__keyword_as_token1,
    STATE(9017), 1,
      sym_transoform_clause,
    STATE(9886), 1,
      sym_option_clause,
    STATE(12175), 1,
      sym__keyword_as,
    ACTIONS(4868), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6206), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4124), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4126), 1,
      aux_sym__keyword_as_token1,
    STATE(12462), 1,
      sym__keyword_as,
    ACTIONS(4122), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1609), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1861), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151775] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6210), 1,
      aux_sym__keyword_as_token1,
    STATE(8746), 1,
      sym_table_cluster_clause,
    STATE(9854), 1,
      sym_option_clause,
    STATE(12661), 1,
      sym__keyword_as,
    ACTIONS(4982), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [151881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 10,
      sym__string_start,
      anon_sym_LPAREN,
      aux_sym__float_token1,
      aux_sym__float_token3,
      anon_sym_LBRACK,
      sym_system_variable,
      sym__positional_query_parameter,
      sym__quoted_identifier,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
    ACTIONS(6212), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_if_not_exists_token3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_case_token1,
      aux_sym__keyword_cast_token1,
      aux_sym__keyword_cast_token2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_function_call_token2,
      aux_sym_unnest_operator_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
      sym__integer,
      aux_sym__float_token2,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
      aux_sym_interval_token1,
      aux_sym_json_token1,
      sym__named_query_parameter,
      sym__unquoted_identifier,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_operator_compare,
  [151929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4441), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4443), 1,
      aux_sym__keyword_as_token1,
    STATE(12188), 1,
      sym__keyword_as,
    ACTIONS(4439), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [151981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5654), 1,
      aux_sym__keyword_as_token1,
    STATE(12550), 1,
      sym__keyword_as,
    ACTIONS(5650), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152129] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4874), 1,
      aux_sym_transoform_clause_token1,
    ACTIONS(6216), 1,
      aux_sym__keyword_as_token1,
    STATE(8387), 1,
      sym_transoform_clause,
    STATE(9666), 1,
      sym_option_clause,
    STATE(12673), 1,
      sym__keyword_as,
    ACTIONS(5002), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5148), 1,
      aux_sym__keyword_as_token1,
    STATE(8670), 1,
      sym_table_cluster_clause,
    STATE(9815), 1,
      sym_option_clause,
    STATE(12508), 1,
      sym__keyword_as,
    ACTIONS(4395), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4938), 1,
      aux_sym__keyword_as_token1,
    STATE(12364), 1,
      sym__keyword_as,
    ACTIONS(4934), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152393] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8197), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [152495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5303), 1,
      aux_sym__keyword_as_token1,
    STATE(8855), 1,
      sym_table_cluster_clause,
    STATE(9879), 1,
      sym_option_clause,
    STATE(12631), 1,
      sym__keyword_as,
    ACTIONS(4529), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4331), 1,
      aux_sym__keyword_as_token1,
    STATE(12190), 1,
      sym__keyword_as,
    ACTIONS(4327), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152749] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7210), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [152851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [152899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6218), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [152947] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6222), 1,
      aux_sym__keyword_as_token1,
    STATE(8624), 1,
      sym_table_cluster_clause,
    STATE(9787), 1,
      sym_option_clause,
    STATE(12832), 1,
      sym__keyword_as,
    ACTIONS(4914), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6224), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153053] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7213), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [153155] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7215), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [153257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4363), 1,
      aux_sym__keyword_as_token1,
    STATE(12473), 1,
      sym__keyword_as,
    ACTIONS(4359), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4946), 1,
      aux_sym__keyword_as_token1,
    STATE(12605), 1,
      sym__keyword_as,
    ACTIONS(4942), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6038), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(6230), 1,
      aux_sym__keyword_else_token1,
    STATE(8185), 1,
      sym_with_connection_clause,
    ACTIONS(6228), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4924), 1,
      aux_sym__keyword_as_token1,
    STATE(12192), 1,
      sym__keyword_as,
    ACTIONS(4920), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5991), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6038), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8188), 1,
      sym_with_connection_clause,
    ACTIONS(5989), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4930), 1,
      aux_sym__keyword_as_token1,
    STATE(12193), 1,
      sym__keyword_as,
    ACTIONS(4926), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [153713] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8114), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [153815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [153863] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8112), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [153965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4148), 1,
      aux_sym__keyword_as_token1,
    STATE(12457), 1,
      sym__keyword_as,
    ACTIONS(4144), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6232), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6236), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6242), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6240), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4335), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4337), 1,
      aux_sym__keyword_as_token1,
    STATE(12200), 1,
      sym__keyword_as,
    ACTIONS(4333), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154405] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8199), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [154507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6244), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154555] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8347), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [154657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4950), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4952), 1,
      aux_sym__keyword_as_token1,
    STATE(12587), 1,
      sym__keyword_as,
    ACTIONS(4948), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [154709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1755), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154757] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8201), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [154859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1779), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [154907] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8205), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1771), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [155057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6038), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(6250), 1,
      aux_sym__keyword_else_token1,
    STATE(8110), 1,
      sym_with_connection_clause,
    ACTIONS(6248), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6254), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6252), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155157] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8207), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [155307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6256), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6260), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4798), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4858), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7226), 1,
      sym_default_clause,
    STATE(7382), 1,
      sym_option_clause,
    ACTIONS(4856), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4349), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4351), 1,
      aux_sym__keyword_as_token1,
    STATE(12201), 1,
      sym__keyword_as,
    ACTIONS(4347), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6264), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5362), 1,
      aux_sym__keyword_as_token1,
    STATE(12586), 1,
      sym__keyword_as,
    ACTIONS(5358), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6272), 1,
      anon_sym_COMMA,
    STATE(7683), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6268), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5356), 1,
      aux_sym__keyword_as_token1,
    STATE(12582), 1,
      sym__keyword_as,
    ACTIONS(5352), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6272), 1,
      anon_sym_COMMA,
    ACTIONS(6276), 1,
      aux_sym__keyword_else_token1,
    STATE(7767), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6274), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155767] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8344), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [155869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4423), 1,
      aux_sym__keyword_as_token1,
    STATE(12581), 1,
      sym__keyword_as,
    ACTIONS(4419), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6278), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [155969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1471), 8,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1541), 8,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1539), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4417), 1,
      aux_sym__keyword_as_token1,
    STATE(12579), 1,
      sym__keyword_as,
    ACTIONS(4413), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6038), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8211), 1,
      sym_with_connection_clause,
    ACTIONS(5855), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5648), 1,
      aux_sym__keyword_as_token1,
    STATE(12317), 1,
      sym__keyword_as,
    ACTIONS(5644), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1593), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5313), 1,
      aux_sym__keyword_as_token1,
    STATE(8541), 1,
      sym_table_cluster_clause,
    STATE(9734), 1,
      sym_option_clause,
    STATE(12814), 1,
      sym__keyword_as,
    ACTIONS(4407), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5458), 1,
      aux_sym__keyword_as_token1,
    STATE(12468), 1,
      sym__keyword_as,
    ACTIONS(5454), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1763), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1759), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6038), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8206), 1,
      sym_with_connection_clause,
    ACTIONS(5867), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5394), 1,
      aux_sym__keyword_as_token1,
    STATE(12359), 1,
      sym__keyword_as,
    ACTIONS(5390), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [156919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [156967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4992), 1,
      aux_sym__keyword_as_token1,
    STATE(12576), 1,
      sym__keyword_as,
    ACTIONS(4988), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157019] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5297), 1,
      aux_sym__keyword_as_token1,
    STATE(8543), 1,
      sym_table_cluster_clause,
    STATE(9736), 1,
      sym_option_clause,
    STATE(12815), 1,
      sym__keyword_as,
    ACTIONS(4401), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4118), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4120), 1,
      aux_sym__keyword_as_token1,
    STATE(12309), 1,
      sym__keyword_as,
    ACTIONS(4116), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6284), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6282), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4042), 1,
      aux_sym__keyword_as_token1,
    STATE(12207), 1,
      sym__keyword_as,
    ACTIONS(4038), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6286), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4998), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5000), 1,
      aux_sym__keyword_as_token1,
    STATE(12575), 1,
      sym__keyword_as,
    ACTIONS(4996), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157569] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4704), 1,
      aux_sym__keyword_as_token1,
    STATE(8550), 1,
      sym_table_cluster_clause,
    STATE(9741), 1,
      sym_option_clause,
    STATE(12826), 1,
      sym__keyword_as,
    ACTIONS(4102), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1747), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1713), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1531), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6040), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5500), 1,
      aux_sym__keyword_as_token1,
    STATE(12350), 1,
      sym__keyword_as,
    ACTIONS(5496), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1709), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [157919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6290), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [157967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1705), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6294), 1,
      aux_sym__keyword_as_token1,
    STATE(8627), 1,
      sym_table_cluster_clause,
    STATE(9793), 1,
      sym_option_clause,
    STATE(12838), 1,
      sym__keyword_as,
    ACTIONS(4934), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1701), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6296), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6300), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158265] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5261), 1,
      aux_sym__keyword_as_token1,
    STATE(8554), 1,
      sym_table_cluster_clause,
    STATE(9745), 1,
      sym_option_clause,
    STATE(12828), 1,
      sym__keyword_as,
    ACTIONS(4389), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1693), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4409), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4411), 1,
      aux_sym__keyword_as_token1,
    STATE(12574), 1,
      sym__keyword_as,
    ACTIONS(4407), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6308), 1,
      aux_sym__keyword_as_token1,
    STATE(12344), 1,
      sym__keyword_as,
    ACTIONS(6304), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1689), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5231), 1,
      aux_sym__keyword_as_token1,
    STATE(8557), 1,
      sym_table_cluster_clause,
    STATE(9747), 1,
      sym_option_clause,
    STATE(12829), 1,
      sym__keyword_as,
    ACTIONS(4377), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [158629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6314), 1,
      aux_sym__keyword_as_token1,
    STATE(12343), 1,
      sym__keyword_as,
    ACTIONS(6310), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5962), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5599), 1,
      aux_sym__keyword_as_token1,
    STATE(12337), 1,
      sym__keyword_as,
    ACTIONS(5595), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4357), 1,
      aux_sym__keyword_as_token1,
    STATE(12465), 1,
      sym__keyword_as,
    ACTIONS(4353), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5605), 1,
      aux_sym__keyword_as_token1,
    STATE(12333), 1,
      sym__keyword_as,
    ACTIONS(5601), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6320), 1,
      aux_sym__keyword_as_token1,
    STATE(12328), 1,
      sym__keyword_as,
    ACTIONS(6316), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6326), 1,
      aux_sym__keyword_as_token1,
    STATE(12326), 1,
      sym__keyword_as,
    ACTIONS(6322), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [158989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6332), 1,
      aux_sym__keyword_as_token1,
    STATE(12316), 1,
      sym__keyword_as,
    ACTIONS(6328), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6117), 1,
      aux_sym_default_clause_token1,
    ACTIONS(6336), 1,
      aux_sym__keyword_else_token1,
    STATE(8104), 1,
      sym_default_clause,
    ACTIONS(6334), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6338), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6342), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4405), 1,
      aux_sym__keyword_as_token1,
    STATE(12562), 1,
      sym__keyword_as,
    ACTIONS(4401), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1677), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1673), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1669), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1665), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1661), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1657), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6346), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6354), 1,
      aux_sym__keyword_as_token1,
    STATE(12314), 1,
      sym__keyword_as,
    ACTIONS(6350), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1649), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [159917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4986), 1,
      aux_sym__keyword_as_token1,
    STATE(12311), 1,
      sym__keyword_as,
    ACTIONS(4982), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [159969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1645), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6356), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1563), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160305] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4700), 1,
      aux_sym__keyword_as_token1,
    STATE(8578), 1,
      sym_table_cluster_clause,
    STATE(9758), 1,
      sym_option_clause,
    STATE(12872), 1,
      sym__keyword_as,
    ACTIONS(4082), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1641), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6038), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(8335), 1,
      sym_with_connection_clause,
    ACTIONS(5712), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160463] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4798), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4904), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7182), 1,
      sym_default_clause,
    STATE(7305), 1,
      sym_option_clause,
    ACTIONS(4902), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6360), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1637), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1629), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160711] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4702), 1,
      aux_sym__keyword_as_token1,
    STATE(8361), 1,
      sym_table_cluster_clause,
    STATE(9766), 1,
      sym_option_clause,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4088), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [160769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1625), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1621), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1617), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [160961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5012), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5014), 1,
      aux_sym__keyword_as_token1,
    STATE(12496), 1,
      sym__keyword_as,
    ACTIONS(5010), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [161013] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7196), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [161115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1845), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1609), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1605), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161403] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7209), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [161505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1601), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1597), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1697), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4776), 1,
      aux_sym__keyword_as_token1,
    STATE(8701), 1,
      sym_table_cluster_clause,
    STATE(9835), 1,
      sym_option_clause,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4144), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [161707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6366), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6368), 1,
      aux_sym__keyword_as_token1,
    STATE(12469), 1,
      sym__keyword_as,
    ACTIONS(6364), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [161759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5056), 1,
      aux_sym__keyword_as_token1,
    STATE(12312), 1,
      sym__keyword_as,
    ACTIONS(5052), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [161811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1809), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [161955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6370), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5048), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5050), 1,
      aux_sym__keyword_as_token1,
    STATE(12308), 1,
      sym__keyword_as,
    ACTIONS(5046), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162055] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6374), 1,
      aux_sym__keyword_as_token1,
    STATE(8803), 1,
      sym_table_cluster_clause,
    STATE(9861), 1,
      sym_option_clause,
    STATE(12653), 1,
      sym__keyword_as,
    ACTIONS(4890), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6378), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6376), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6380), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1833), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1837), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4104), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4106), 1,
      aux_sym__keyword_as_token1,
    STATE(12555), 1,
      sym__keyword_as,
    ACTIONS(4102), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5134), 1,
      aux_sym__keyword_as_token1,
    STATE(8726), 1,
      sym_table_cluster_clause,
    STATE(9840), 1,
      sym_option_clause,
    STATE(12199), 1,
      sym__keyword_as,
    ACTIONS(4353), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6384), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1841), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6390), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6388), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5150), 1,
      aux_sym__keyword_as_token1,
    STATE(8749), 1,
      sym_table_cluster_clause,
    STATE(9846), 1,
      sym_option_clause,
    STATE(12194), 1,
      sym__keyword_as,
    ACTIONS(4359), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4397), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4399), 1,
      aux_sym__keyword_as_token1,
    STATE(12292), 1,
      sym__keyword_as,
    ACTIONS(4395), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1849), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1853), 34,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [162765] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8149), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [162867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4391), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4393), 1,
      aux_sym__keyword_as_token1,
    STATE(12554), 1,
      sym__keyword_as,
    ACTIONS(4389), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6396), 1,
      aux_sym__keyword_as_token1,
    STATE(12472), 1,
      sym__keyword_as,
    ACTIONS(6392), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [162971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4385), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4387), 1,
      aux_sym__keyword_as_token1,
    STATE(12287), 1,
      sym__keyword_as,
    ACTIONS(4383), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163023] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8022), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [163125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6398), 1,
      aux_sym__keyword_as_token1,
    STATE(8809), 1,
      sym_table_cluster_clause,
    STATE(9866), 1,
      sym_option_clause,
    STATE(12623), 1,
      sym__keyword_as,
    ACTIONS(4908), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163183] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4798), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4884), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7183), 1,
      sym_default_clause,
    STATE(7353), 1,
      sym_option_clause,
    ACTIONS(4882), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163239] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8189), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [163341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5040), 1,
      aux_sym__keyword_as_token1,
    STATE(12286), 1,
      sym__keyword_as,
    ACTIONS(5036), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163393] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5285), 1,
      aux_sym__keyword_as_token1,
    STATE(8817), 1,
      sym_table_cluster_clause,
    STATE(9868), 1,
      sym_option_clause,
    STATE(12652), 1,
      sym__keyword_as,
    ACTIONS(4439), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5034), 1,
      aux_sym__keyword_as_token1,
    STATE(12284), 1,
      sym__keyword_as,
    ACTIONS(5030), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4369), 1,
      aux_sym__keyword_as_token1,
    STATE(12210), 1,
      sym__keyword_as,
    ACTIONS(4365), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5534), 1,
      aux_sym__keyword_as_token1,
    STATE(12281), 1,
      sym__keyword_as,
    ACTIONS(5530), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163703] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5273), 1,
      aux_sym__keyword_as_token1,
    STATE(8841), 1,
      sym_table_cluster_clause,
    STATE(9876), 1,
      sym_option_clause,
    STATE(12645), 1,
      sym__keyword_as,
    ACTIONS(4327), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [163809] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8187), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [163911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4381), 1,
      aux_sym__keyword_as_token1,
    STATE(12551), 1,
      sym__keyword_as,
    ACTIONS(4377), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [163963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5577), 1,
      aux_sym__keyword_as_token1,
    STATE(12278), 1,
      sym__keyword_as,
    ACTIONS(5573), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [164015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4373), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4375), 1,
      aux_sym__keyword_as_token1,
    STATE(12211), 1,
      sym__keyword_as,
    ACTIONS(4371), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [164163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5026), 1,
      aux_sym__keyword_as_token1,
    STATE(12276), 1,
      sym__keyword_as,
    ACTIONS(5022), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [164311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5018), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5020), 1,
      aux_sym__keyword_as_token1,
    STATE(12275), 1,
      sym__keyword_as,
    ACTIONS(5016), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [164507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5626), 1,
      aux_sym__keyword_as_token1,
    STATE(12266), 1,
      sym__keyword_as,
    ACTIONS(5622), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [164607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164847] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6400), 1,
      aux_sym__keyword_as_token1,
    STATE(8859), 1,
      sym_table_cluster_clause,
    STATE(9880), 1,
      sym_option_clause,
    STATE(12644), 1,
      sym__keyword_as,
    ACTIONS(4920), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [164905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [164953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6406), 1,
      aux_sym__keyword_as_token1,
    STATE(12548), 1,
      sym__keyword_as,
    ACTIONS(6402), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165005] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8186), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [165107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5632), 1,
      aux_sym__keyword_as_token1,
    STATE(12263), 1,
      sym__keyword_as,
    ACTIONS(5628), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1613), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4084), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4086), 1,
      aux_sym__keyword_as_token1,
    STATE(12539), 1,
      sym__keyword_as,
    ACTIONS(4082), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165451] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8183), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [165553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6412), 1,
      aux_sym__keyword_as_token1,
    STATE(12260), 1,
      sym__keyword_as,
    ACTIONS(6408), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4092), 1,
      aux_sym__keyword_as_token1,
    STATE(12532), 1,
      sym__keyword_as,
    ACTIONS(4088), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6418), 1,
      aux_sym__keyword_as_token1,
    STATE(12257), 1,
      sym__keyword_as,
    ACTIONS(6414), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [165853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [165949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5706), 1,
      aux_sym__keyword_as_token1,
    STATE(12249), 1,
      sym__keyword_as,
    ACTIONS(5702), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6420), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5684), 1,
      aux_sym__keyword_as_token1,
    STATE(12247), 1,
      sym__keyword_as,
    ACTIONS(5680), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166293] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5172), 1,
      aux_sym__keyword_as_token1,
    STATE(8814), 1,
      sym_table_cluster_clause,
    STATE(9871), 1,
      sym_option_clause,
    STATE(12613), 1,
      sym__keyword_as,
    ACTIONS(4371), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1633), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5180), 1,
      aux_sym__keyword_as_token1,
    STATE(8827), 1,
      sym_table_cluster_clause,
    STATE(9882), 1,
      sym_option_clause,
    STATE(12614), 1,
      sym__keyword_as,
    ACTIONS(4365), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166649] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7217), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [166751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4782), 1,
      aux_sym__keyword_as_token1,
    STATE(8796), 1,
      sym_table_cluster_clause,
    STATE(9863), 1,
      sym_option_clause,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4154), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166857] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(4698), 1,
      aux_sym__keyword_as_token1,
    STATE(9043), 1,
      sym_table_cluster_clause,
    STATE(9889), 1,
      sym_option_clause,
    STATE(12616), 1,
      sym__keyword_as,
    ACTIONS(4038), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [166915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [166963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6424), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4798), 1,
      aux_sym_default_clause_token1,
    ACTIONS(4898), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7122), 1,
      sym_default_clause,
    STATE(7279), 1,
      sym_option_clause,
    ACTIONS(4896), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6428), 39,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6436), 1,
      aux_sym__keyword_as_token1,
    STATE(12246), 1,
      sym__keyword_as,
    ACTIONS(6432), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167359] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(6438), 1,
      aux_sym__keyword_as_token1,
    STATE(8863), 1,
      sym_table_cluster_clause,
    STATE(9881), 1,
      sym_option_clause,
    STATE(12639), 1,
      sym__keyword_as,
    ACTIONS(4926), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6444), 1,
      aux_sym__keyword_as_token1,
    STATE(12244), 1,
      sym__keyword_as,
    ACTIONS(6440), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5571), 1,
      aux_sym__keyword_as_token1,
    STATE(12486), 1,
      sym__keyword_as,
    ACTIONS(5567), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5192), 1,
      aux_sym__keyword_as_token1,
    STATE(9041), 1,
      sym_table_cluster_clause,
    STATE(9885), 1,
      sym_option_clause,
    STATE(12630), 1,
      sym__keyword_as,
    ACTIONS(4347), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167723] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7141), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [167825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [167921] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(3845), 1,
      aux_sym_table_cluster_clause_token1,
    ACTIONS(5202), 1,
      aux_sym__keyword_as_token1,
    STATE(9002), 1,
      sym_table_cluster_clause,
    STATE(9884), 1,
      sym_option_clause,
    STATE(12635), 1,
      sym__keyword_as,
    ACTIONS(4333), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [167979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1795), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1681), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168123] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7211), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [168225] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7121), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [168327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5583), 1,
      aux_sym__keyword_as_token1,
    STATE(12487), 1,
      sym__keyword_as,
    ACTIONS(5579), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [168379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168427] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7119), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [168529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1653), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168673] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7114), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [168775] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7201), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [168877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [168973] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7203), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [169075] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7113), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [169177] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7117), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [169279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 33,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [169327] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5062), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(7206), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [169429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5219), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6446), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6450), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6454), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5768), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6460), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6458), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6464), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6462), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6468), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6466), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6470), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6474), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4349), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4347), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [169948] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12095), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [170051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6480), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6484), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6488), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6492), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6496), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6500), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4373), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4371), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5174), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6506), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6504), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6508), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4926), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5186), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170619] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12103), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [170722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6512), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6518), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6516), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6520), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4920), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6524), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [170957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6077), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6075), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6083), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6081), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6528), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6532), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6536), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6542), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6540), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5212), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6549), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6547), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5237), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6553), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6551), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6557), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6555), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6561), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6559), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4327), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5245), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6565), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6563), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6569), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6567), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5249), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6573), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6571), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4908), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6575), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6579), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6583), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [171999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5865), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5863), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6587), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4359), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6593), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6591), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6097), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6095), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6595), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6101), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6599), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5472), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6605), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6603), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6607), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5536), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6129), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6121), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6119), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6137), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6611), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4890), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6615), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6619), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6625), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6623), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6629), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6627), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [172986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6145), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6161), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6159), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6631), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6635), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6639), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6643), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6649), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6647), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6651), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6655), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6661), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6659), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6665), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6663), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173503] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12100), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [173606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6669), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6667), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6673), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6671), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6677), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6675), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6681), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6679), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6685), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6683), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5194), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6687), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5233), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [173986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6693), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6691), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6402), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5437), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6697), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6695), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6699), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174221] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12049), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [174324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6705), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6703), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5836), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5712), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6707), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5319), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6713), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6711), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6717), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6715), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6721), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6719), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6725), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6723), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5716), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6729), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6727), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6733), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6731), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5585), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [174935] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1213), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [175000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5561), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175047] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6737), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6741), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6743), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6739), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1191), 7,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [175140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6761), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175187] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1189), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [175252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4914), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4934), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5390), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5496), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4377), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6765), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175534] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12036), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [175637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6771), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6769), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6775), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6773), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6777), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5208), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6783), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6781), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6304), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [175921] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12143), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [176024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6310), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5595), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5601), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6316), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4523), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6322), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6787), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6785), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6791), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6789), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6795), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6793), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6799), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6797), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6328), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5869), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5867), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176588] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12063), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [176691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6803), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6801), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176738] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12066), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [176841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6350), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5855), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6807), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6805), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [176982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6811), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6809), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6813), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6817), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6823), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6821), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6827), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6825), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6831), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6829), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6835), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6833), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177311] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12160), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [177414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6837), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6841), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6847), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6845), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6849), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5253), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5688), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5686), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6853), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5136), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5241), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6250), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6248), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5223), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6857), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [177986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6863), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6861), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6867), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6865), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4403), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4401), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6871), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6869), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6875), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6873), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6879), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6877), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5090), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6883), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6881), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5082), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5579), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5070), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6885), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6891), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6889), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5567), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5078), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5991), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5989), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5074), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178795] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12135), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [178898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6893), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6897), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [178992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6228), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6173), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6171), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6901), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6905), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179180] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12058), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [179283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6911), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6909), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6915), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6913), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6919), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6917), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6440), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6923), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6921), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6925), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6929), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [179612] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1225), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [179693] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12071), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [179796] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1241), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [179877] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12139), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [179980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5830), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180027] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12151), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [180130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6933), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180177] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12031), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [180280] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1207), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [180361] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12149), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [180464] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1167), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1165), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [180545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6939), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6937), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180592] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1221), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [180673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6943), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6941), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [180720] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(6735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6737), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6741), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6743), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6739), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 8,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [180811] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(6735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6737), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6743), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6739), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 9,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
  [180900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [180979] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [181056] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [181131] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [181204] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6737), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6741), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6945), 1,
      anon_sym_COMMA,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14339), 1,
      aux_sym_set_statement_repeat1,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(3011), 2,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
    ACTIONS(6743), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6739), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [181307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6394), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6392), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6951), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181401] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 23,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [181470] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1213), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [181551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6955), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6959), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6963), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6366), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6364), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4844), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4842), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6967), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5012), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5010), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6971), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5680), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [181974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5820), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5818), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6975), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6981), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6979), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4836), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4982), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5702), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6983), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6987), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4425), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6991), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6414), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182491] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12072), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [182594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5724), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6995), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6408), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6999), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7005), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7003), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7009), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7007), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7011), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7015), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [182970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7019), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5660), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7023), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7027), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5628), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5756), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5728), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7031), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5752), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5052), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7035), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4998), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4996), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7039), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7043), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7047), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5622), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7053), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7051), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4988), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5018), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5016), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7057), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7055), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5022), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [183957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7063), 1,
      aux_sym_using_clause_token1,
    ACTIONS(7059), 37,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7067), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7065), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5454), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5048), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5046), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7073), 1,
      anon_sym_SEMI,
    ACTIONS(7069), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7077), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7075), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7079), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7085), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7083), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4413), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7087), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7093), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7091), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6187), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6185), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7095), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5352), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7101), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7099), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184666] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(12053), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [184769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4397), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4395), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5358), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5449), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5447), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7103), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [184957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7109), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7107), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7111), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5036), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym__string_start,
    STATE(9910), 1,
      sym_string,
    ACTIONS(1471), 7,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [185149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5573), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(6432), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4950), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4948), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7115), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(4942), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7121), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7119), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5530), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7123), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7129), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7127), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7131), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7135), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7139), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5840), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5983), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5981), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7143), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7149), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7147), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5975), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5973), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7153), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7151), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [185995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7155), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7159), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7165), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7163), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7169), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7167), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5060), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7173), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7171), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7175), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      aux_sym__keyword_when_token1,
    STATE(8058), 4,
      sym_merge_matched_clause,
      sym_merge_not_matched_by_target_clause,
      sym_merge_not_matched_by_source_clause,
      aux_sym_merge_statement_repeat1,
    ACTIONS(5299), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7179), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7185), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7183), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7187), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7193), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7191), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7197), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7195), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7199), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7205), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7203), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7207), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7213), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7211), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7217), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7215), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7221), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7219), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(5030), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7225), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7223), 38,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [186986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5172), 1,
      aux_sym__keyword_as_token1,
    STATE(9871), 1,
      sym_option_clause,
    STATE(12613), 1,
      sym__keyword_as,
    ACTIONS(4371), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [187038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6431), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [187088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6030), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6032), 1,
      aux_sym_set_operation_token4,
    ACTIONS(5640), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [187138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7231), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7229), 37,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [187184] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6210), 1,
      aux_sym__keyword_as_token1,
    STATE(9854), 1,
      sym_option_clause,
    STATE(12661), 1,
      sym__keyword_as,
    ACTIONS(4982), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [187236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7233), 1,
      aux_sym__keyword_as_token1,
    STATE(14960), 1,
      sym__keyword_as,
    ACTIONS(1477), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [187286] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2253), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14478), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7237), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7256), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [187438] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7241), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15654), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7243), 1,
      aux_sym__keyword_as_token1,
    STATE(15646), 1,
      sym__keyword_as,
    ACTIONS(1477), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [187590] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7245), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15644), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6894), 1,
      sym_analytics_clause,
    ACTIONS(1391), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1389), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [187742] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2025), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15129), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187844] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7249), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15117), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [187946] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7251), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15109), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188048] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2107), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14912), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188150] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7253), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14899), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188252] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7255), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14895), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    STATE(872), 1,
      sym__keyword_system_as_of,
    STATE(7473), 1,
      sym_system_time_clause,
    STATE(8074), 1,
      sym_option_clause,
    ACTIONS(5524), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [188408] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2169), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14557), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188510] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4714), 1,
      aux_sym__keyword_as_token1,
    STATE(9698), 1,
      sym_option_clause,
    STATE(12485), 1,
      sym__keyword_as,
    ACTIONS(4116), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [188562] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7257), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14541), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188664] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7259), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14535), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188766] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2227), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14689), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188868] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7261), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14749), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [188970] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7263), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14778), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7265), 1,
      aux_sym__keyword_as_token1,
    STATE(9716), 1,
      sym_option_clause,
    STATE(12419), 1,
      sym__keyword_as,
    ACTIONS(5644), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [189124] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2231), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15451), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189226] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7267), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15662), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189328] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7269), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15494), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189430] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2235), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15903), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189532] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7271), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15941), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189634] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7273), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15550), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189736] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2263), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15023), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189838] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7275), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15218), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [189940] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7277), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15271), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      sym__string_start,
    STATE(10485), 1,
      sym_string,
    ACTIONS(1471), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7686), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190142] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3089), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6713), 1,
      sym_analytics_clause,
    ACTIONS(1431), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6715), 1,
      sym_analytics_clause,
    ACTIONS(1435), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1433), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6719), 1,
      sym_analytics_clause,
    ACTIONS(1439), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1437), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190390] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7281), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14457), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [190492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7283), 1,
      aux_sym__keyword_as_token1,
    STATE(14960), 1,
      sym__keyword_as,
    ACTIONS(1477), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7930), 1,
      sym_analytics_clause,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7931), 1,
      sym_analytics_clause,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7933), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7934), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7935), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7937), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7939), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7940), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7941), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [190992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7942), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7943), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7530), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7945), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7949), 1,
      sym_analytics_clause,
    ACTIONS(1467), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191242] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    STATE(872), 1,
      sym__keyword_system_as_of,
    STATE(7462), 1,
      sym_system_time_clause,
    STATE(8227), 1,
      sym_option_clause,
    ACTIONS(5378), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [191296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4776), 1,
      aux_sym__keyword_as_token1,
    STATE(9835), 1,
      sym_option_clause,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4144), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [191348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7951), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7952), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7953), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7954), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7956), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7957), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6183), 1,
      aux_sym__keyword_as_token1,
    STATE(9852), 1,
      sym_option_clause,
    STATE(12662), 1,
      sym__keyword_as,
    ACTIONS(5010), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [191700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7960), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7962), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7963), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [191850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 1,
      sym__string_start,
    STATE(10449), 1,
      sym_string,
    ACTIONS(1469), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [191900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5134), 1,
      aux_sym__keyword_as_token1,
    STATE(9840), 1,
      sym_option_clause,
    STATE(12199), 1,
      sym__keyword_as,
    ACTIONS(4353), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [191952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7966), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1245), 21,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [192048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7968), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5150), 1,
      aux_sym__keyword_as_token1,
    STATE(9846), 1,
      sym_option_clause,
    STATE(12194), 1,
      sym__keyword_as,
    ACTIONS(4359), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [192150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7969), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4782), 1,
      aux_sym__keyword_as_token1,
    STATE(9863), 1,
      sym_option_clause,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4154), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [192252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7970), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    STATE(872), 1,
      sym__keyword_system_as_of,
    STATE(7430), 1,
      sym_system_time_clause,
    STATE(8269), 1,
      sym_option_clause,
    ACTIONS(5656), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [192356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7972), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1471), 7,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7973), 1,
      sym_analytics_clause,
    ACTIONS(1395), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7974), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7976), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7982), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7987), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7988), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7989), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7992), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7997), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7999), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [192954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7984), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8008), 1,
      sym_analytics_clause,
    ACTIONS(1411), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8010), 1,
      sym_analytics_clause,
    ACTIONS(1415), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8011), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8012), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8020), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7287), 1,
      aux_sym__keyword_as_token1,
    STATE(9765), 1,
      sym_option_clause,
    STATE(12172), 1,
      sym__keyword_as,
    ACTIONS(5634), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [193306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8015), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8000), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7995), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7979), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7977), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7928), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7927), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7923), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7921), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7917), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7888), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7878), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1541), 7,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1539), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [193954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7876), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7871), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7867), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8016), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7858), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7856), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7853), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7851), 1,
      sym_analytics_clause,
    ACTIONS(1427), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194354] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7289), 3,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_else_token1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [194452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7535), 1,
      sym_analytics_clause,
    ACTIONS(1391), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1389), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7844), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7835), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194602] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7293), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [194700] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4810), 1,
      anon_sym_PLUS,
    ACTIONS(4812), 1,
      anon_sym_DASH,
    ACTIONS(4816), 1,
      anon_sym_SLASH,
    ACTIONS(4820), 1,
      anon_sym_AMP,
    ACTIONS(4822), 1,
      anon_sym_CARET,
    ACTIONS(4824), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4828), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4832), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(5106), 1,
      anon_sym_LBRACK,
    ACTIONS(5108), 1,
      anon_sym_DOT2,
    STATE(1785), 1,
      sym__keyword_or,
    STATE(1787), 1,
      sym__keyword_and,
    STATE(1822), 1,
      sym__keyword_between,
    STATE(1841), 1,
      sym__keyword_in,
    STATE(12108), 1,
      sym__keyword_is,
    STATE(13092), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15998), 1,
      sym_quantitve_like_operator,
    STATE(16000), 1,
      sym_like_operator,
    ACTIONS(4814), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4818), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4834), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7295), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
    ACTIONS(4830), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [194798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6723), 1,
      sym_analytics_clause,
    ACTIONS(1447), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7297), 1,
      aux_sym__keyword_as_token1,
    STATE(9850), 1,
      sym_option_clause,
    STATE(12705), 1,
      sym__keyword_as,
    ACTIONS(5567), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [194900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7834), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [194950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7825), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7815), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7299), 1,
      aux_sym__keyword_as_token1,
    STATE(9849), 1,
      sym_option_clause,
    STATE(12715), 1,
      sym__keyword_as,
    ACTIONS(5579), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [195102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6714), 1,
      sym_analytics_clause,
    ACTIONS(1451), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7804), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7801), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7798), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7796), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6712), 1,
      sym_analytics_clause,
    ACTIONS(1455), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1453), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7795), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7792), 1,
      sym_analytics_clause,
    ACTIONS(1403), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7788), 1,
      sym_analytics_clause,
    ACTIONS(1387), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7784), 1,
      sym_analytics_clause,
    ACTIONS(1383), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7782), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7781), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7301), 1,
      aux_sym__keyword_as_token1,
    STATE(9857), 1,
      sym_option_clause,
    STATE(12659), 1,
      sym__keyword_as,
    ACTIONS(5454), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [195754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7779), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6709), 1,
      sym_analytics_clause,
    ACTIONS(1459), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7777), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7776), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [195954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7773), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7760), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6708), 1,
      sym_analytics_clause,
    ACTIONS(1369), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7747), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7746), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7743), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7742), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7737), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7734), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7733), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7730), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(8004), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7721), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7303), 1,
      aux_sym__keyword_as_token1,
    STATE(9858), 1,
      sym_option_clause,
    STATE(12654), 1,
      sym__keyword_as,
    ACTIONS(5686), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [196656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7718), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7717), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7716), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7712), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7711), 1,
      sym_analytics_clause,
    ACTIONS(1463), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7708), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [196956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6707), 1,
      sym_analytics_clause,
    ACTIONS(1369), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7703), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197056] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7305), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15827), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [197158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7859), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7695), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7692), 1,
      sym_analytics_clause,
    ACTIONS(1491), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7691), 1,
      sym_analytics_clause,
    ACTIONS(1503), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7688), 1,
      sym_analytics_clause,
    ACTIONS(1515), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7699), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7681), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7677), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197558] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6374), 1,
      aux_sym__keyword_as_token1,
    STATE(9861), 1,
      sym_option_clause,
    STATE(12653), 1,
      sym__keyword_as,
    ACTIONS(4890), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [197610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7676), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6398), 1,
      aux_sym__keyword_as_token1,
    STATE(9866), 1,
      sym_option_clause,
    STATE(12623), 1,
      sym__keyword_as,
    ACTIONS(4908), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [197712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7672), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7664), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7657), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [197862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5285), 1,
      aux_sym__keyword_as_token1,
    STATE(9868), 1,
      sym_option_clause,
    STATE(12652), 1,
      sym__keyword_as,
    ACTIONS(4439), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [197914] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2095), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15846), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [198016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7656), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5273), 1,
      aux_sym__keyword_as_token1,
    STATE(9876), 1,
      sym_option_clause,
    STATE(12645), 1,
      sym__keyword_as,
    ACTIONS(4327), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198118] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7307), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15820), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [198220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7655), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7654), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6400), 1,
      aux_sym__keyword_as_token1,
    STATE(9880), 1,
      sym_option_clause,
    STATE(12644), 1,
      sym__keyword_as,
    ACTIONS(4920), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198372] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6737), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6741), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6743), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3089), 3,
      aux_sym__keyword_from_token1,
      anon_sym_COMMA,
      aux_sym_option_clause_token1,
    ACTIONS(6739), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [198470] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2097), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15476), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [198572] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6438), 1,
      aux_sym__keyword_as_token1,
    STATE(9881), 1,
      sym_option_clause,
    STATE(12639), 1,
      sym__keyword_as,
    ACTIONS(4926), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7652), 1,
      sym_analytics_clause,
    ACTIONS(1511), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7650), 1,
      sym_analytics_clause,
    ACTIONS(1507), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1505), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(7309), 1,
      anon_sym_COMMA,
    STATE(8560), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3089), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [198774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7641), 1,
      sym_analytics_clause,
    ACTIONS(1499), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7639), 1,
      sym_analytics_clause,
    ACTIONS(1495), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7637), 1,
      sym_analytics_clause,
    ACTIONS(1487), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [198924] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7312), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15444), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [199026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7636), 1,
      sym_analytics_clause,
    ACTIONS(1369), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199076] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7314), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15425), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [199178] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2101), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15010), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [199280] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6737), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6741), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6743), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3195), 4,
      aux_sym_keyword_if_not_exists_token2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
    ACTIONS(6739), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [199376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7632), 1,
      sym_analytics_clause,
    ACTIONS(1369), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199426] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7316), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14962), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [199528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6948), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [199578] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7318), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14527), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [199680] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3129), 3,
      aux_sym__keyword_from_token1,
      anon_sym_COMMA,
      aux_sym_where_clause_token1,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [199778] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7320), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14955), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [199880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5202), 1,
      aux_sym__keyword_as_token1,
    STATE(9884), 1,
      sym_option_clause,
    STATE(12635), 1,
      sym__keyword_as,
    ACTIONS(4333), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [199932] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7322), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15787), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [200034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7630), 1,
      sym_analytics_clause,
    ACTIONS(1459), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5192), 1,
      aux_sym__keyword_as_token1,
    STATE(9885), 1,
      sym_option_clause,
    STATE(12630), 1,
      sym__keyword_as,
    ACTIONS(4347), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [200136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7629), 1,
      sym_analytics_clause,
    ACTIONS(1455), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1453), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7620), 1,
      sym_analytics_clause,
    ACTIONS(1451), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7613), 1,
      sym_analytics_clause,
    ACTIONS(1447), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6918), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200336] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2167), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14520), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [200438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6920), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7558), 1,
      sym_analytics_clause,
    ACTIONS(1439), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1437), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200538] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7324), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14466), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [200640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6921), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6922), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200740] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7326), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14458), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [200842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6923), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 5,
      anon_sym_COMMA,
      aux_sym_set_statement_token2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(1551), 33,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_rename_token1,
      aux_sym__keyword_add_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_clone_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_alter_table_rename_statement_token1,
      aux_sym_foreign_key_token1,
      aux_sym_partition_expression_token5,
      aux_sym_partition_expression_token6,
      aux_sym_partition_expression_token7,
      aux_sym_partition_expression_token8,
      aux_sym_partition_expression_token10,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_condition_token1,
      aux_sym_function_call_token1,
      aux_sym_values_clause_token1,
      sym__unquoted_identifier,
  [200938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7547), 1,
      sym_analytics_clause,
    ACTIONS(1435), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1433), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [200988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4698), 1,
      aux_sym__keyword_as_token1,
    STATE(9889), 1,
      sym_option_clause,
    STATE(12616), 1,
      sym__keyword_as,
    ACTIONS(4038), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [201040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7544), 1,
      sym_analytics_clause,
    ACTIONS(1431), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5180), 1,
      aux_sym__keyword_as_token1,
    STATE(9882), 1,
      sym_option_clause,
    STATE(12614), 1,
      sym__keyword_as,
    ACTIONS(4365), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [201142] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2239), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14510), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [201244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6936), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201294] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7328), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14762), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [201396] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7330), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14531), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [201498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6941), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201548] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2243), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14741), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [201650] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14758), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [201752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6942), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7015), 1,
      sym_analytics_clause,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6943), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6944), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [201952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7706), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202002] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2247), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14972), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [202104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6947), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6825), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 7,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 31,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202250] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7334), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14993), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [202352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6953), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6955), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202452] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2251), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15203), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [202554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6956), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202604] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7336), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15220), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [202706] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7338), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15224), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [202808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7022), 1,
      sym_analytics_clause,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      aux_sym_analytics_clause_token1,
    STATE(7535), 1,
      sym_analytics_clause,
    ACTIONS(1391), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1389), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [202908] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7340), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15429), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [203010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6818), 1,
      sym_analytics_clause,
    ACTIONS(1383), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6964), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7342), 1,
      aux_sym__keyword_as_token1,
    STATE(9779), 1,
      sym_option_clause,
    STATE(12351), 1,
      sym__keyword_as,
    ACTIONS(5472), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7344), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7686), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7019), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7346), 1,
      aux_sym__keyword_as_token1,
    STATE(9780), 1,
      sym_option_clause,
    STATE(12371), 1,
      sym__keyword_as,
    ACTIONS(5536), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [203314] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7348), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15627), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [203416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7039), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6820), 1,
      sym_analytics_clause,
    ACTIONS(1387), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7049), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7051), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203616] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7350), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15823), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [203718] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7352), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14989), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [203820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6824), 1,
      sym_analytics_clause,
    ACTIONS(1403), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7065), 1,
      sym_analytics_clause,
    ACTIONS(1463), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7064), 1,
      sym_analytics_clause,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [203970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6870), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7069), 1,
      sym_analytics_clause,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7100), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204120] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7354), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15564), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [204222] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7356), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15581), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [204324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7094), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7072), 1,
      sym_analytics_clause,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7090), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7086), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6827), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7073), 1,
      sym_analytics_clause,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7075), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7076), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7078), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6417), 1,
      sym_analytics_clause,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7079), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7034), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6828), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [204974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7080), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7081), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6829), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7027), 1,
      sym_analytics_clause,
    ACTIONS(1491), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7082), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7083), 1,
      sym_analytics_clause,
    ACTIONS(1467), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205274] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2319), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15601), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [205376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7017), 1,
      sym_analytics_clause,
    ACTIONS(1503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6830), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6419), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7009), 1,
      sym_analytics_clause,
    ACTIONS(1515), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7358), 1,
      aux_sym__keyword_as_token1,
    STATE(9789), 1,
      sym_option_clause,
    STATE(12733), 1,
      sym__keyword_as,
    ACTIONS(5585), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [205628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7360), 1,
      aux_sym__keyword_as_token1,
    STATE(9791), 1,
      sym_option_clause,
    STATE(12830), 1,
      sym__keyword_as,
    ACTIONS(5561), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [205680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6420), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6222), 1,
      aux_sym__keyword_as_token1,
    STATE(9787), 1,
      sym_option_clause,
    STATE(12832), 1,
      sym__keyword_as,
    ACTIONS(4914), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [205782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6294), 1,
      aux_sym__keyword_as_token1,
    STATE(9793), 1,
      sym_option_clause,
    STATE(12838), 1,
      sym__keyword_as,
    ACTIONS(4934), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [205834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6421), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6838), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [205934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7362), 1,
      aux_sym__keyword_as_token1,
    STATE(9795), 1,
      sym_option_clause,
    STATE(12841), 1,
      sym__keyword_as,
    ACTIONS(5390), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [205986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6839), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206036] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7364), 1,
      aux_sym__keyword_as_token1,
    STATE(9796), 1,
      sym_option_clause,
    STATE(12855), 1,
      sym__keyword_as,
    ACTIONS(5496), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [206088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6422), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6840), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7366), 1,
      aux_sym__keyword_as_token1,
    STATE(9798), 1,
      sym_option_clause,
    STATE(12770), 1,
      sym__keyword_as,
    ACTIONS(5595), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [206240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6423), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7368), 1,
      aux_sym__keyword_as_token1,
    STATE(9799), 1,
      sym_option_clause,
    STATE(12755), 1,
      sym__keyword_as,
    ACTIONS(5601), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [206342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6841), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6424), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6425), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6426), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6427), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4702), 1,
      aux_sym__keyword_as_token1,
    STATE(9766), 1,
      sym_option_clause,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4088), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [206644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6428), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7040), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6846), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7042), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7037), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7033), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [206944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5303), 1,
      aux_sym__keyword_as_token1,
    STATE(9879), 1,
      sym_option_clause,
    STATE(12631), 1,
      sym__keyword_as,
    ACTIONS(4529), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [206996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4700), 1,
      aux_sym__keyword_as_token1,
    STATE(9758), 1,
      sym_option_clause,
    STATE(12872), 1,
      sym__keyword_as,
    ACTIONS(4082), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [207048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7029), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7024), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6847), 1,
      sym_analytics_clause,
    ACTIONS(1427), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6429), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7023), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5291), 1,
      aux_sym__keyword_as_token1,
    STATE(9878), 1,
      sym_option_clause,
    STATE(12640), 1,
      sym__keyword_as,
    ACTIONS(4523), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [207350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7018), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7014), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7008), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6848), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6430), 1,
      sym_analytics_clause,
    ACTIONS(1467), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207600] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2027), 1,
      anon_sym_RBRACK,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14422), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [207702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7007), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7004), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6432), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6418), 1,
      sym_analytics_clause,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6433), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [207952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6850), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6415), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6851), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6855), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6435), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6998), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6436), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6437), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6997), 1,
      sym_analytics_clause,
    ACTIONS(1395), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6858), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6438), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6993), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5231), 1,
      aux_sym__keyword_as_token1,
    STATE(9747), 1,
      sym_option_clause,
    STATE(12829), 1,
      sym__keyword_as,
    ACTIONS(4377), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [208604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6191), 1,
      aux_sym__keyword_as_token1,
    STATE(9874), 1,
      sym_option_clause,
    STATE(12658), 1,
      sym__keyword_as,
    ACTIONS(4842), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [208656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6439), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6860), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5261), 1,
      aux_sym__keyword_as_token1,
    STATE(9745), 1,
      sym_option_clause,
    STATE(12828), 1,
      sym__keyword_as,
    ACTIONS(4389), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [208808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6863), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6992), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6866), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [208958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6867), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6868), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4704), 1,
      aux_sym__keyword_as_token1,
    STATE(9741), 1,
      sym_option_clause,
    STATE(12826), 1,
      sym__keyword_as,
    ACTIONS(4102), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6869), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6991), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6887), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6872), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6875), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6878), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6881), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5297), 1,
      aux_sym__keyword_as_token1,
    STATE(9736), 1,
      sym_option_clause,
    STATE(12815), 1,
      sym__keyword_as,
    ACTIONS(4401), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6883), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6440), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7370), 1,
      aux_sym__keyword_as_token1,
    STATE(9828), 1,
      sym_option_clause,
    STATE(12807), 1,
      sym__keyword_as,
    ACTIONS(5702), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5313), 1,
      aux_sym__keyword_as_token1,
    STATE(9734), 1,
      sym_option_clause,
    STATE(12814), 1,
      sym__keyword_as,
    ACTIONS(4407), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6891), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6181), 1,
      aux_sym__keyword_as_token1,
    STATE(9872), 1,
      sym_option_clause,
    STATE(12663), 1,
      sym__keyword_as,
    ACTIONS(4836), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [209818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6892), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6893), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7372), 1,
      aux_sym__keyword_as_token1,
    STATE(14537), 1,
      sym__keyword_as,
    ACTIONS(1477), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [209968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6849), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6989), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7930), 1,
      sym_analytics_clause,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6441), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7931), 1,
      sym_analytics_clause,
    ACTIONS(1407), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7933), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7934), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7935), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7937), 1,
      sym_analytics_clause,
    ACTIONS(1423), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210418] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7374), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15198), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [210520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7939), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7940), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7941), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7942), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7943), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7530), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6986), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6985), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7945), 1,
      sym_analytics_clause,
    ACTIONS(1443), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [210970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7376), 1,
      aux_sym__keyword_as_token1,
    STATE(9829), 1,
      sym_option_clause,
    STATE(12603), 1,
      sym__keyword_as,
    ACTIONS(5680), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [211022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7949), 1,
      sym_analytics_clause,
    ACTIONS(1467), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6983), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7876), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6980), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7951), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7952), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4802), 1,
      aux_sym__keyword_as_token1,
    STATE(9867), 1,
      sym_option_clause,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4138), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [211374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7953), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7954), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1469), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [211522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7956), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6977), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6442), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7957), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7960), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7962), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7963), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6973), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6972), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [211972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5190), 1,
      aux_sym__keyword_as_token1,
    STATE(9865), 1,
      sym_option_clause,
    STATE(12680), 1,
      sym__keyword_as,
    ACTIONS(4445), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6443), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6970), 1,
      sym_analytics_clause,
    ACTIONS(1411), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7966), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5178), 1,
      aux_sym__keyword_as_token1,
    STATE(9864), 1,
      sym_option_clause,
    STATE(12684), 1,
      sym__keyword_as,
    ACTIONS(4425), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1539), 17,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1541), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [212274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6151), 1,
      aux_sym__keyword_as_token1,
    STATE(9729), 1,
      sym_option_clause,
    STATE(12809), 1,
      sym__keyword_as,
    ACTIONS(4996), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7001), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7968), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7969), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6143), 1,
      aux_sym__keyword_as_token1,
    STATE(9728), 1,
      sym_option_clause,
    STATE(12801), 1,
      sym__keyword_as,
    ACTIONS(4988), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7378), 1,
      aux_sym__keyword_as_token1,
    STATE(9827), 1,
      sym_option_clause,
    STATE(12571), 1,
      sym__keyword_as,
    ACTIONS(5628), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212580] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    STATE(872), 1,
      sym__keyword_system_as_of,
    STATE(7440), 1,
      sym_system_time_clause,
    STATE(8285), 1,
      sym_option_clause,
    ACTIONS(5553), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7970), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7544), 1,
      sym_analytics_clause,
    ACTIONS(1431), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7972), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5154), 1,
      aux_sym__keyword_as_token1,
    STATE(9682), 1,
      sym_option_clause,
    STATE(12808), 1,
      sym__keyword_as,
    ACTIONS(4413), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7380), 1,
      aux_sym__keyword_as_token1,
    STATE(9826), 1,
      sym_option_clause,
    STATE(12569), 1,
      sym__keyword_as,
    ACTIONS(5622), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [212888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7547), 1,
      sym_analytics_clause,
    ACTIONS(1435), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1433), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7973), 1,
      sym_analytics_clause,
    ACTIONS(1395), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [212988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5152), 1,
      aux_sym__keyword_as_token1,
    STATE(9685), 1,
      sym_option_clause,
    STATE(12806), 1,
      sym__keyword_as,
    ACTIONS(4419), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [213040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7558), 1,
      sym_analytics_clause,
    ACTIONS(1439), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1437), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6157), 1,
      aux_sym__keyword_as_token1,
    STATE(9813), 1,
      sym_option_clause,
    STATE(12500), 1,
      sym__keyword_as,
    ACTIONS(5052), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [213142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6444), 1,
      sym_analytics_clause,
    ACTIONS(1373), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7974), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6127), 1,
      aux_sym__keyword_as_token1,
    STATE(9825), 1,
      sym_option_clause,
    STATE(12568), 1,
      sym__keyword_as,
    ACTIONS(5016), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [213294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7976), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7982), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7382), 1,
      aux_sym__keyword_as_token1,
    STATE(9696), 1,
      sym_option_clause,
    STATE(12805), 1,
      sym__keyword_as,
    ACTIONS(5352), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [213446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6445), 1,
      sym_analytics_clause,
    ACTIONS(1395), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7984), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7987), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7988), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7989), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7992), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6135), 1,
      aux_sym__keyword_as_token1,
    STATE(9814), 1,
      sym_option_clause,
    STATE(12505), 1,
      sym__keyword_as,
    ACTIONS(5046), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [213798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7997), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7384), 1,
      aux_sym__keyword_as_token1,
    STATE(9711), 1,
      sym_option_clause,
    STATE(12803), 1,
      sym__keyword_as,
    ACTIONS(5358), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [213900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6446), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [213950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6447), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7999), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8004), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8008), 1,
      sym_analytics_clause,
    ACTIONS(1411), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214150] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7386), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14542), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [214252] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7388), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(14523), 1,
      aux_sym_function_call_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [214354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8010), 1,
      sym_analytics_clause,
    ACTIONS(1415), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6448), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_COMMA,
    ACTIONS(5366), 1,
      aux_sym__keyword_as_token1,
    STATE(8560), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(5364), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [214504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6449), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6089), 1,
      aux_sym__keyword_as_token1,
    STATE(9824), 1,
      sym_option_clause,
    STATE(12561), 1,
      sym__keyword_as,
    ACTIONS(5022), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [214606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8011), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8012), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8020), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8015), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6450), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8000), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7995), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [214956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7979), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7977), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6069), 1,
      aux_sym__keyword_as_token1,
    STATE(9726), 1,
      sym_option_clause,
    STATE(12794), 1,
      sym__keyword_as,
    ACTIONS(4948), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [215108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6451), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7928), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7927), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6067), 1,
      aux_sym__keyword_as_token1,
    STATE(9727), 1,
      sym_option_clause,
    STATE(12793), 1,
      sym__keyword_as,
    ACTIONS(4942), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [215310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7923), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6452), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6453), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7390), 1,
      aux_sym__keyword_as_token1,
    STATE(9823), 1,
      sym_option_clause,
    STATE(12560), 1,
      sym__keyword_as,
    ACTIONS(5573), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [215512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7921), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7917), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6454), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7392), 1,
      aux_sym__keyword_as_token1,
    STATE(9822), 1,
      sym_option_clause,
    STATE(12559), 1,
      sym__keyword_as,
    ACTIONS(5530), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [215714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7888), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7878), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7788), 1,
      sym_analytics_clause,
    ACTIONS(1387), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7871), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7867), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [215964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(8016), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7858), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7856), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7853), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7851), 1,
      sym_analytics_clause,
    ACTIONS(1427), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7844), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6455), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7835), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7834), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7825), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7815), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7804), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7801), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7798), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7796), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7795), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7792), 1,
      sym_analytics_clause,
    ACTIONS(1403), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7859), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7784), 1,
      sym_analytics_clause,
    ACTIONS(1383), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7782), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [216964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7394), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(6574), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7781), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6577), 1,
      sym_analytics_clause,
    ACTIONS(1391), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1389), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7779), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7777), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7776), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6564), 1,
      sym_analytics_clause,
    ACTIONS(1431), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6563), 1,
      sym_analytics_clause,
    ACTIONS(1435), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1433), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6541), 1,
      sym_analytics_clause,
    ACTIONS(1439), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1437), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6553), 1,
      sym_analytics_clause,
    ACTIONS(1447), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6552), 1,
      sym_analytics_clause,
    ACTIONS(1451), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6551), 1,
      sym_analytics_clause,
    ACTIONS(1455), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1453), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6550), 1,
      sym_analytics_clause,
    ACTIONS(1459), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6549), 1,
      sym_analytics_clause,
    ACTIONS(1369), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6548), 1,
      sym_analytics_clause,
    ACTIONS(1369), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6542), 1,
      sym_analytics_clause,
    ACTIONS(1487), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7773), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7760), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6487), 1,
      sym_analytics_clause,
    ACTIONS(1495), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6540), 1,
      sym_analytics_clause,
    ACTIONS(1499), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [217964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6539), 1,
      sym_analytics_clause,
    ACTIONS(1507), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1505), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7747), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7746), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7743), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6434), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6538), 1,
      sym_analytics_clause,
    ACTIONS(1511), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7742), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6537), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7737), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6456), 1,
      sym_analytics_clause,
    ACTIONS(1399), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7734), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218514] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7396), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(15481), 1,
      aux_sym_set_statement_repeat1,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [218616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7733), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6536), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7730), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6535), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7721), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7718), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7717), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [218966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6534), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7716), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6533), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6532), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6974), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6531), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6530), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6979), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6529), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6981), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6982), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6358), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6526), 1,
      sym_analytics_clause,
    ACTIONS(1515), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6525), 1,
      sym_analytics_clause,
    ACTIONS(1503), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6524), 1,
      sym_analytics_clause,
    ACTIONS(1491), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6523), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6995), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7712), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6522), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6521), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [219966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7000), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6520), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6519), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7006), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6518), 1,
      sym_analytics_clause,
    ACTIONS(1463), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7010), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7011), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6517), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6516), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6515), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6357), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6513), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7026), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7711), 1,
      sym_analytics_clause,
    ACTIONS(1463), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6512), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6511), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6510), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7036), 1,
      sym_analytics_clause,
    ACTIONS(1511), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6457), 1,
      sym_analytics_clause,
    ACTIONS(1411), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6509), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [220966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6508), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6507), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6506), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6505), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6504), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7044), 1,
      sym_analytics_clause,
    ACTIONS(1507), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1505), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6503), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6502), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6501), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6500), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7050), 1,
      sym_analytics_clause,
    ACTIONS(1499), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7708), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6499), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6498), 1,
      sym_analytics_clause,
    ACTIONS(1377), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6495), 1,
      sym_analytics_clause,
    ACTIONS(1383), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7068), 1,
      sym_analytics_clause,
    ACTIONS(1495), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7706), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6494), 1,
      sym_analytics_clause,
    ACTIONS(1387), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6493), 1,
      sym_analytics_clause,
    ACTIONS(1403), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(7071), 1,
      sym_analytics_clause,
    ACTIONS(1487), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [221966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7703), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6492), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6491), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6490), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6489), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6488), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      aux_sym_analytics_clause_token1,
    STATE(6967), 1,
      sym_analytics_clause,
    ACTIONS(1415), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7695), 1,
      sym_analytics_clause,
    ACTIONS(1483), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6486), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6485), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7692), 1,
      sym_analytics_clause,
    ACTIONS(1491), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6484), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6483), 1,
      sym_analytics_clause,
    ACTIONS(1363), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6482), 1,
      sym_analytics_clause,
    ACTIONS(1427), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6087), 1,
      aux_sym__keyword_as_token1,
    STATE(9819), 1,
      sym_option_clause,
    STATE(12519), 1,
      sym__keyword_as,
    ACTIONS(5030), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [222718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6481), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7691), 1,
      sym_analytics_clause,
    ACTIONS(1503), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7688), 1,
      sym_analytics_clause,
    ACTIONS(1515), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6458), 1,
      sym_analytics_clause,
    ACTIONS(1415), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7699), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [222968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7681), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7677), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6480), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7676), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7672), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6479), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7664), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6478), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7657), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(7398), 1,
      aux_sym__keyword_as_token1,
    STATE(9836), 1,
      sym_option_clause,
    STATE(12714), 1,
      sym__keyword_as,
    ACTIONS(5650), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [223470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6460), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6477), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6476), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7656), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7655), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7654), 1,
      sym_analytics_clause,
    ACTIONS(1519), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7652), 1,
      sym_analytics_clause,
    ACTIONS(1511), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7650), 1,
      sym_analytics_clause,
    ACTIONS(1507), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1505), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223870] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5382), 1,
      aux_sym__keyword_for_token1,
    STATE(872), 1,
      sym__keyword_system_as_of,
    STATE(7427), 1,
      sym_system_time_clause,
    STATE(8130), 1,
      sym_option_clause,
    ACTIONS(5557), 33,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [223924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6475), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [223974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6474), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6473), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4794), 1,
      aux_sym__keyword_as_token1,
    STATE(9842), 1,
      sym_option_clause,
    STATE(12699), 1,
      sym__keyword_as,
    ACTIONS(4122), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [224126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7641), 1,
      sym_analytics_clause,
    ACTIONS(1499), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6461), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7639), 1,
      sym_analytics_clause,
    ACTIONS(1495), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6462), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7637), 1,
      sym_analytics_clause,
    ACTIONS(1487), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6472), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5146), 1,
      aux_sym__keyword_as_token1,
    STATE(9816), 1,
      sym_option_clause,
    STATE(12511), 1,
      sym__keyword_as,
    ACTIONS(4383), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [224478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(4796), 1,
      aux_sym__keyword_as_token1,
    STATE(9845), 1,
      sym_option_clause,
    STATE(12694), 1,
      sym__keyword_as,
    ACTIONS(4128), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [224530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7613), 1,
      sym_analytics_clause,
    ACTIONS(1447), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6463), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224630] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(6091), 1,
      aux_sym__keyword_as_token1,
    STATE(9817), 1,
      sym_option_clause,
    STATE(12512), 1,
      sym__keyword_as,
    ACTIONS(5036), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [224682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7636), 1,
      sym_analytics_clause,
    ACTIONS(1369), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(5148), 1,
      aux_sym__keyword_as_token1,
    STATE(9815), 1,
      sym_option_clause,
    STATE(12508), 1,
      sym__keyword_as,
    ACTIONS(4395), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [224784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6471), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6470), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7632), 1,
      sym_analytics_clause,
    ACTIONS(1369), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6469), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [224984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6464), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6468), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7630), 1,
      sym_analytics_clause,
    ACTIONS(1459), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7629), 1,
      sym_analytics_clause,
    ACTIONS(1455), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1453), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      aux_sym_analytics_clause_token1,
    STATE(7620), 1,
      sym_analytics_clause,
    ACTIONS(1451), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6467), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6466), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      aux_sym_analytics_clause_token1,
    STATE(6465), 1,
      sym_analytics_clause,
    ACTIONS(1419), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7036), 1,
      sym_analytics_clause,
    ACTIONS(1509), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1511), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [225433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6936), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [225482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10276), 1,
      sym_analytics_clause,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10286), 1,
      sym_analytics_clause,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10284), 1,
      sym_analytics_clause,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9891), 1,
      sym_analytics_clause,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10282), 1,
      sym_analytics_clause,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10279), 1,
      sym_analytics_clause,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10257), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10275), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [225874] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7404), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [225971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10300), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [226020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10274), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [226069] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7416), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12223), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [226168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10273), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [226217] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7436), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12181), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [226316] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7438), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12176), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [226415] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7440), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12198), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [226514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10271), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [226563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6894), 1,
      sym_analytics_clause,
    ACTIONS(1389), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1391), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [226612] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7442), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12221), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [226711] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7444), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12341), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [226810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10270), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [226859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10269), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [226908] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12399), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [227007] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7448), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12434), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [227106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10267), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10266), 1,
      sym_analytics_clause,
    ACTIONS(1467), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10536), 1,
      sym_analytics_clause,
    ACTIONS(1391), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1389), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227253] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7450), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12460), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [227352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10263), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10178), 1,
      sym_analytics_clause,
    ACTIONS(1429), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1431), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10176), 1,
      sym_analytics_clause,
    ACTIONS(1433), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1435), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227499] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7454), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12481), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [227598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10173), 1,
      sym_analytics_clause,
    ACTIONS(1437), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1439), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [227647] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7456), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12566), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [227746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10262), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10261), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10260), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10259), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [227987] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7458), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12643), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [228086] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7460), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12688), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [228185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 31,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_then_token1,
      aux_sym__keyword_else_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_while_statement_token2,
      anon_sym_EQ,
      aux_sym_where_clause_token1,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228232] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12724), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [228331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10258), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7468), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(7466), 36,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_begin_exception_end_statement_token1,
      aux_sym_if_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_repeat_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [228425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 4,
      anon_sym_COMMA,
      aux_sym_set_statement_token2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1471), 33,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_rename_token1,
      aux_sym__keyword_add_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_partition_by_token1,
      aux_sym_set_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_clone_clause_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_alter_table_rename_statement_token1,
      aux_sym_foreign_key_token1,
      aux_sym_partition_expression_token5,
      aux_sym_partition_expression_token6,
      aux_sym_partition_expression_token7,
      aux_sym_partition_expression_token8,
      aux_sym_partition_expression_token10,
      aux_sym_select_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_condition_token1,
      aux_sym_function_call_token1,
      aux_sym_values_clause_token1,
      sym__unquoted_identifier,
  [228470] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7470), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12834), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [228569] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7472), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12667), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [228668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7474), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7476), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10195), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10256), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10254), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10287), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [228958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10038), 1,
      sym_analytics_clause,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10251), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [229056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10039), 1,
      sym_analytics_clause,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10040), 1,
      sym_analytics_clause,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10041), 1,
      sym_analytics_clause,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10042), 1,
      sym_analytics_clause,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10043), 1,
      sym_analytics_clause,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10044), 1,
      sym_analytics_clause,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10045), 1,
      sym_analytics_clause,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10046), 1,
      sym_analytics_clause,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10047), 1,
      sym_analytics_clause,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10048), 1,
      sym_analytics_clause,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(7256), 1,
      sym_unnest_withoffset,
    ACTIONS(1523), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1525), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10250), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [229644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10049), 1,
      sym_analytics_clause,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10297), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [229742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10050), 1,
      sym_analytics_clause,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10051), 1,
      sym_analytics_clause,
    ACTIONS(1465), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1467), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10248), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [229889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10052), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [229938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10247), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [229987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10053), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10246), 1,
      sym_analytics_clause,
    ACTIONS(1395), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10054), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10055), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10244), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10056), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10242), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10057), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10058), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10059), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10060), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230526] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7478), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12601), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [230625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10061), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10241), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10236), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10299), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10062), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10252), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [230919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10063), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [230968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(9890), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10231), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10064), 1,
      sym_analytics_clause,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10230), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10229), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10065), 1,
      sym_analytics_clause,
    ACTIONS(1393), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1395), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10066), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10226), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10067), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10068), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10225), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10224), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10223), 1,
      sym_analytics_clause,
    ACTIONS(1411), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10301), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10069), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10070), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10298), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10071), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10072), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10222), 1,
      sym_analytics_clause,
    ACTIONS(1415), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [231948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10073), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [231997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10220), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [232046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10074), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10075), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10219), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [232193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10076), 1,
      sym_analytics_clause,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10077), 1,
      sym_analytics_clause,
    ACTIONS(1409), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1411), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10218), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [232340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10217), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [232389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10078), 1,
      sym_analytics_clause,
    ACTIONS(1413), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1415), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10079), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10080), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10081), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10082), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10083), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10084), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10085), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10086), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10216), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [232879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10166), 1,
      sym_analytics_clause,
    ACTIONS(1445), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1447), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10087), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [232977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10088), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10296), 1,
      sym_analytics_clause,
    ACTIONS(1467), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10089), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10090), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10091), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10092), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10093), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10234), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10214), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10213), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10212), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10211), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10210), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10209), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10094), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [233712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10208), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10207), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10206), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10205), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10202), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [233957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10201), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10095), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10215), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10198), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10194), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10096), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10097), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10098), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10200), 1,
      sym_analytics_clause,
    ACTIONS(1427), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10175), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10172), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10099), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10100), 1,
      sym_analytics_clause,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10169), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10101), 1,
      sym_analytics_clause,
    ACTIONS(1425), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1427), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10162), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10037), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10036), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10102), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10103), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [234937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10035), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [234986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym_COMMA,
    STATE(9243), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5871), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [235033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10104), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10033), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10032), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10031), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10030), 1,
      sym_analytics_clause,
    ACTIONS(1403), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10029), 1,
      sym_analytics_clause,
    ACTIONS(1387), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10105), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10026), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7480), 1,
      anon_sym_COMMA,
    STATE(9445), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5881), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [235472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10028), 1,
      sym_analytics_clause,
    ACTIONS(1383), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10106), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10024), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10023), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10022), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10021), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10109), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10020), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10019), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [235913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10110), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [235962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10111), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10018), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10112), 1,
      sym_analytics_clause,
    ACTIONS(1401), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1403), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10017), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10183), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10015), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10113), 1,
      sym_analytics_clause,
    ACTIONS(1385), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1387), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10114), 1,
      sym_analytics_clause,
    ACTIONS(1381), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1383), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10014), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10013), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10008), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10016), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7482), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10115), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10000), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7071), 1,
      sym_analytics_clause,
    ACTIONS(1485), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1487), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10116), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10117), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9998), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [236891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10118), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10165), 1,
      sym_analytics_clause,
    ACTIONS(1449), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1451), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [236989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9997), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10119), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10120), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9996), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10121), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9995), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9994), 1,
      sym_analytics_clause,
    ACTIONS(1463), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7484), 1,
      anon_sym_COMMA,
    STATE(9282), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(4663), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [237379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9992), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10122), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9991), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10123), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10124), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10125), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9990), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10126), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10127), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [237820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9989), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [237869] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5400), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [237966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9988), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10325), 1,
      sym_analytics_clause,
    ACTIONS(1411), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10128), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10129), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10130), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238211] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7487), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1343), 1,
      sym__keyword_then,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [238310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10131), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10132), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10133), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10134), 1,
      sym_analytics_clause,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10135), 1,
      sym_analytics_clause,
    ACTIONS(1461), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1463), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9987), 1,
      sym_analytics_clause,
    ACTIONS(1491), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10136), 1,
      sym_analytics_clause,
    ACTIONS(1481), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9986), 1,
      sym_analytics_clause,
    ACTIONS(1503), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [238702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10137), 1,
      sym_analytics_clause,
    ACTIONS(1481), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10138), 1,
      sym_analytics_clause,
    ACTIONS(1481), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [238800] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(2863), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [238897] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    ACTIONS(7489), 1,
      aux_sym__keyword_as_token1,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(12856), 1,
      sym__keyword_as,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [238996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10302), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10107), 1,
      sym_analytics_clause,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9985), 1,
      sym_analytics_clause,
    ACTIONS(1515), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10140), 1,
      sym_analytics_clause,
    ACTIONS(1481), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10303), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10295), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9982), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9981), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(10001), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10141), 1,
      sym_analytics_clause,
    ACTIONS(1489), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1491), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10142), 1,
      sym_analytics_clause,
    ACTIONS(1501), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1503), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6713), 1,
      sym_analytics_clause,
    ACTIONS(1429), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1431), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9979), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9978), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6715), 1,
      sym_analytics_clause,
    ACTIONS(1433), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1435), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6719), 1,
      sym_analytics_clause,
    ACTIONS(1437), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1439), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239780] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3197), 1,
      anon_sym_GT,
    ACTIONS(6735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(6737), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6741), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6743), 1,
      anon_sym_LT,
    ACTIONS(6745), 1,
      anon_sym_PLUS,
    ACTIONS(6747), 1,
      anon_sym_DASH,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6755), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_CARET,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6947), 1,
      anon_sym_LBRACK,
    ACTIONS(6949), 1,
      anon_sym_DOT2,
    STATE(1109), 1,
      sym__keyword_between,
    STATE(1616), 1,
      sym__keyword_or,
    STATE(1621), 1,
      sym__keyword_and,
    STATE(1632), 1,
      sym__keyword_in,
    STATE(12154), 1,
      sym__keyword_is,
    STATE(13193), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(6749), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(6753), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3195), 3,
      aux_sym_keyword_if_not_exists_token2,
      anon_sym_COMMA,
      aux_sym_option_clause_token1,
    ACTIONS(6739), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [239877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6723), 1,
      sym_analytics_clause,
    ACTIONS(1445), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1447), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [239926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9977), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [239975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10164), 1,
      sym_analytics_clause,
    ACTIONS(1453), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1455), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6714), 1,
      sym_analytics_clause,
    ACTIONS(1449), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1451), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6712), 1,
      sym_analytics_clause,
    ACTIONS(1453), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1455), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6709), 1,
      sym_analytics_clause,
    ACTIONS(1457), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1459), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6708), 1,
      sym_analytics_clause,
    ACTIONS(1367), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1369), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6707), 1,
      sym_analytics_clause,
    ACTIONS(1367), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1369), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7049), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7068), 1,
      sym_analytics_clause,
    ACTIONS(1493), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1495), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10163), 1,
      sym_analytics_clause,
    ACTIONS(1457), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1459), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7050), 1,
      sym_analytics_clause,
    ACTIONS(1497), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1499), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7044), 1,
      sym_analytics_clause,
    ACTIONS(1505), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1507), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6820), 1,
      sym_analytics_clause,
    ACTIONS(1385), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1387), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7491), 1,
      aux_sym__keyword_as_token1,
    STATE(15896), 1,
      sym__keyword_as,
    ACTIONS(1477), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10145), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10161), 1,
      sym_analytics_clause,
    ACTIONS(1367), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1369), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7010), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9975), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [240808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7006), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7000), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6995), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [240955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9974), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7493), 1,
      anon_sym_COMMA,
    STATE(9282), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(5772), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [241051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6982), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10143), 1,
      sym_analytics_clause,
    ACTIONS(1513), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1515), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6981), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6979), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9980), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6974), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10460), 1,
      sym_analytics_clause,
    ACTIONS(1431), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7017), 1,
      sym_analytics_clause,
    ACTIONS(1501), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1503), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7027), 1,
      sym_analytics_clause,
    ACTIONS(1489), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1491), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7034), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10459), 1,
      sym_analytics_clause,
    ACTIONS(1435), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1433), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7086), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7090), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10458), 1,
      sym_analytics_clause,
    ACTIONS(1439), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1437), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7094), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7100), 1,
      sym_analytics_clause,
    ACTIONS(1481), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [241835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10454), 1,
      sym_analytics_clause,
    ACTIONS(1447), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10452), 1,
      sym_analytics_clause,
    ACTIONS(1451), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10451), 1,
      sym_analytics_clause,
    ACTIONS(1455), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1453), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [241982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7065), 1,
      sym_analytics_clause,
    ACTIONS(1461), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1463), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10450), 1,
      sym_analytics_clause,
    ACTIONS(1459), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10448), 1,
      sym_analytics_clause,
    ACTIONS(1369), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7051), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10447), 1,
      sym_analytics_clause,
    ACTIONS(1369), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9972), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6887), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10446), 1,
      sym_analytics_clause,
    ACTIONS(1487), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7039), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7019), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10445), 1,
      sym_analytics_clause,
    ACTIONS(1495), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6964), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6956), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6955), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6953), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6948), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [242766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10444), 1,
      sym_analytics_clause,
    ACTIONS(1499), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10442), 1,
      sym_analytics_clause,
    ACTIONS(1507), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1505), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10439), 1,
      sym_analytics_clause,
    ACTIONS(1511), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10438), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [242962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10437), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6947), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10435), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10432), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6944), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10160), 1,
      sym_analytics_clause,
    ACTIONS(1367), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1369), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10139), 1,
      sym_analytics_clause,
    ACTIONS(1481), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10429), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10428), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10427), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6943), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10426), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6942), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6941), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10425), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9971), 1,
      sym_analytics_clause,
    ACTIONS(1511), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10424), 1,
      sym_analytics_clause,
    ACTIONS(1515), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10423), 1,
      sym_analytics_clause,
    ACTIONS(1503), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10422), 1,
      sym_analytics_clause,
    ACTIONS(1491), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10421), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [243942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7026), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [243991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10420), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10418), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6923), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10417), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10416), 1,
      sym_analytics_clause,
    ACTIONS(1483), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10332), 1,
      sym_analytics_clause,
    ACTIONS(1463), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10413), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9968), 1,
      sym_analytics_clause,
    ACTIONS(1507), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1505), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6922), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10411), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6921), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10410), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9973), 1,
      sym_analytics_clause,
    ACTIONS(1499), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9959), 1,
      sym_analytics_clause,
    ACTIONS(1495), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10409), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6920), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10408), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10407), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [244873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10182), 1,
      sym_analytics_clause,
    ACTIONS(1389), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1391), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6918), 1,
      sym_analytics_clause,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [244971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6818), 1,
      sym_analytics_clause,
    ACTIONS(1381), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1383), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10324), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10402), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6824), 1,
      sym_analytics_clause,
    ACTIONS(1401), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1403), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6825), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6827), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10400), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10431), 1,
      sym_analytics_clause,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6828), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10398), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6829), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10397), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7495), 1,
      anon_sym_COMMA,
    STATE(9445), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5227), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_when_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [245606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6830), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10395), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245704] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [245801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10394), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10393), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6838), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [245948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10392), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [245997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9958), 1,
      sym_analytics_clause,
    ACTIONS(1487), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10390), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6839), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9954), 1,
      sym_analytics_clause,
    ACTIONS(1369), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6840), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6841), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6846), 1,
      sym_analytics_clause,
    ACTIONS(1361), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 7,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6847), 1,
      sym_analytics_clause,
    ACTIONS(1425), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1427), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9953), 1,
      sym_analytics_clause,
    ACTIONS(1369), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6848), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10388), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10387), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6849), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10385), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10384), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [246777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7009), 1,
      sym_analytics_clause,
    ACTIONS(1513), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1515), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6851), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6855), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6858), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [246973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6860), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6863), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9952), 1,
      sym_analytics_clause,
    ACTIONS(1459), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6866), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6867), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6868), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6869), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10383), 1,
      sym_analytics_clause,
    ACTIONS(1383), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 18,
      sym__string_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1551), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10371), 1,
      sym_analytics_clause,
    ACTIONS(1387), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10370), 1,
      sym_analytics_clause,
    ACTIONS(1403), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6870), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10369), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10515), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10368), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9951), 1,
      sym_analytics_clause,
    ACTIONS(1455), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1453), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6872), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10367), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10108), 1,
      sym_analytics_clause,
    ACTIONS(1485), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1487), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6875), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [247949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10366), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [247998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6878), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9950), 1,
      sym_analytics_clause,
    ACTIONS(1451), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10362), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6881), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10158), 1,
      sym_analytics_clause,
    ACTIONS(1493), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1495), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9949), 1,
      sym_analytics_clause,
    ACTIONS(1447), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10157), 1,
      sym_analytics_clause,
    ACTIONS(1497), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1499), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6883), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      aux_sym__keyword_as_token1,
    STATE(14463), 1,
      sym__keyword_as,
    ACTIONS(1477), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10155), 1,
      sym_analytics_clause,
    ACTIONS(1505), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1507), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10154), 1,
      sym_analytics_clause,
    ACTIONS(1509), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1511), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10361), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10153), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248635] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5104), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [248732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10152), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10151), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9940), 1,
      sym_analytics_clause,
    ACTIONS(1439), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1437), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10150), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [248928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10360), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [248977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7040), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10149), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10148), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6891), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10147), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10146), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6892), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6893), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9939), 1,
      sym_analytics_clause,
    ACTIONS(1435), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1433), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7011), 1,
      sym_analytics_clause,
    ACTIONS(1517), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6967), 1,
      sym_analytics_clause,
    ACTIONS(1413), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1415), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9938), 1,
      sym_analytics_clause,
    ACTIONS(1431), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7452), 1,
      aux_sym_analytics_clause_token1,
    STATE(10144), 1,
      sym_analytics_clause,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10358), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6970), 1,
      sym_analytics_clause,
    ACTIONS(1409), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1411), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10304), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6972), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6973), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6977), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [249908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10357), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [249957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6980), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6983), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6850), 1,
      sym_analytics_clause,
    ACTIONS(1417), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10356), 1,
      sym_analytics_clause,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6986), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10306), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10294), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6989), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10307), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6991), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6992), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10308), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10355), 1,
      sym_analytics_clause,
    ACTIONS(1427), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6993), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10293), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6997), 1,
      sym_analytics_clause,
    ACTIONS(1393), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1395), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 31,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10353), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6998), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7001), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [250933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10309), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [250982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10352), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7004), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7007), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7008), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7014), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10351), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10350), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10292), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10349), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10347), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10346), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7018), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10345), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7023), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10291), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7024), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7029), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7033), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10342), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [251913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7037), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [251962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10341), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10340), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10338), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(9993), 1,
      sym_analytics_clause,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10310), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10337), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10290), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10336), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10034), 1,
      sym_analytics_clause,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10334), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10333), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10315), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7042), 1,
      sym_analytics_clause,
    ACTIONS(1371), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10331), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10330), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7083), 1,
      sym_analytics_clause,
    ACTIONS(1465), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1467), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7082), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10329), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10156), 1,
      sym_analytics_clause,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10328), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [252942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7081), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [252991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10289), 1,
      sym_analytics_clause,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7080), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7079), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7078), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7076), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7075), 1,
      sym_analytics_clause,
    ACTIONS(1441), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10327), 1,
      sym_analytics_clause,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7073), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7072), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7069), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7064), 1,
      sym_analytics_clause,
    ACTIONS(1421), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7022), 1,
      sym_analytics_clause,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(7015), 1,
      sym_analytics_clause,
    ACTIONS(1405), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      aux_sym_analytics_clause_token1,
    STATE(6985), 1,
      sym_analytics_clause,
    ACTIONS(1397), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [253677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10311), 1,
      sym_analytics_clause,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10312), 1,
      sym_analytics_clause,
    ACTIONS(1395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10314), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7493), 1,
      anon_sym_COMMA,
    STATE(9352), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(5969), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [253871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(9967), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10316), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [253969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10317), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10318), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10319), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10288), 1,
      sym_analytics_clause,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9893), 1,
      sym_analytics_clause,
    ACTIONS(1391), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1389), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10191), 1,
      sym_analytics_clause,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10326), 1,
      sym_analytics_clause,
    ACTIONS(1415), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10399), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      aux_sym_analytics_clause_token1,
    STATE(9999), 1,
      sym_analytics_clause,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7504), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(9903), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10320), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10321), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10193), 1,
      sym_analytics_clause,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10322), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      aux_sym_analytics_clause_token1,
    STATE(10323), 1,
      sym_analytics_clause,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 1,
      aux_sym__keyword_as_token1,
    STATE(12614), 1,
      sym__keyword_as,
    ACTIONS(4365), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [254750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1787), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7506), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1589), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1587), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1767), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [254884] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7508), 1,
      sym__unquoted_identifier,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [254980] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1225), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [255058] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7536), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255154] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7538), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7540), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [255296] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1241), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [255374] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7542), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255470] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1207), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [255548] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7544), 1,
      aux_sym__keyword_end_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255644] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1165), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1167), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [255722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1621), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [255766] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7546), 1,
      aux_sym__keyword_end_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [255862] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1221), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1223), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [255940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1661), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [255984] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7548), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256080] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7550), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256176] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1211), 2,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      sym__unquoted_identifier,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256266] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7552), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256362] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7554), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1713), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [256502] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1211), 2,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1213), 4,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      sym__unquoted_identifier,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256590] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7556), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256686] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7558), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256782] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7560), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [256878] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 11,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [256954] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 8,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
    ACTIONS(1213), 11,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [257028] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7562), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257124] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 9,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 11,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [257196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7564), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1589), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1587), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [257242] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7566), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257338] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7568), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257434] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1211), 11,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 11,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_PIPE,
  [257504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7265), 1,
      aux_sym__keyword_as_token1,
    STATE(12419), 1,
      sym__keyword_as,
    ACTIONS(5644), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [257550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7570), 1,
      anon_sym_COMMA,
    STATE(9731), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6274), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [257596] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1211), 12,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 12,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_PIPE,
  [257662] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7572), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257758] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 10,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
  [257836] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7574), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [257932] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7576), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258028] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7578), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7580), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10419), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [258172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7582), 1,
      anon_sym_COMMA,
    STATE(9821), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6107), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [258218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [258262] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7584), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      aux_sym__keyword_as_token1,
    STATE(12485), 1,
      sym__keyword_as,
    ACTIONS(4116), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [258404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      aux_sym__keyword_as_token1,
    STATE(12213), 1,
      sym__keyword_as,
    ACTIONS(4144), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [258450] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7586), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258546] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7588), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 1,
      aux_sym__keyword_as_token1,
    STATE(12661), 1,
      sym__keyword_as,
    ACTIONS(4982), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [258688] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7590), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258784] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7592), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [258880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 1,
      aux_sym__keyword_as_token1,
    STATE(12662), 1,
      sym__keyword_as,
    ACTIONS(5010), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [258926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7582), 1,
      anon_sym_COMMA,
    STATE(9675), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6153), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [258972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      aux_sym__keyword_as_token1,
    STATE(12199), 1,
      sym__keyword_as,
    ACTIONS(4353), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [259018] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7594), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7596), 1,
      anon_sym_LPAREN,
    ACTIONS(1799), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1801), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [259160] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1767), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [259300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1787), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [259344] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7600), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259440] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7602), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [259580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7604), 1,
      aux_sym__keyword_as_token1,
    STATE(12665), 1,
      sym__keyword_as,
    ACTIONS(6364), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [259626] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7606), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      aux_sym__keyword_as_token1,
    STATE(12194), 1,
      sym__keyword_as,
    ACTIONS(4359), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [259768] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7608), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259864] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1213), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [259942] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PIPE,
    ACTIONS(1211), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [260008] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [260078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7610), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [260124] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 16,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_CARET,
  [260198] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260274] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 6,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260360] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1211), 5,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      aux_sym__keyword_as_token1,
    STATE(12185), 1,
      sym__keyword_as,
    ACTIONS(4154), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260494] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1189), 13,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [260556] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1191), 2,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(1197), 2,
      aux_sym__keyword_like_token1,
      sym__unquoted_identifier,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [260648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      aux_sym__keyword_as_token1,
    STATE(12668), 1,
      sym__keyword_as,
    ACTIONS(6392), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260694] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1213), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1211), 17,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP,
      anon_sym_CARET,
  [260766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1587), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1589), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [260812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7287), 1,
      aux_sym__keyword_as_token1,
    STATE(12172), 1,
      sym__keyword_as,
    ACTIONS(5634), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3221), 1,
      aux_sym_using_clause_token1,
    STATE(8177), 1,
      sym_using_clause,
    ACTIONS(6119), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      aux_sym__keyword_as_token1,
    STATE(12171), 1,
      sym__keyword_as,
    ACTIONS(6171), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [260950] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(1213), 13,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [261012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1551), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [261056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      aux_sym_default_clause_token1,
    STATE(8179), 1,
      sym_default_clause,
    ACTIONS(6113), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [261146] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1167), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1165), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261224] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1207), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261302] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7620), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261398] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7622), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261494] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [261590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7297), 1,
      aux_sym__keyword_as_token1,
    STATE(12705), 1,
      sym__keyword_as,
    ACTIONS(5567), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      aux_sym__keyword_as_token1,
    STATE(12715), 1,
      sym__keyword_as,
    ACTIONS(5579), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7301), 1,
      aux_sym__keyword_as_token1,
    STATE(12659), 1,
      sym__keyword_as,
    ACTIONS(5454), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7303), 1,
      aux_sym__keyword_as_token1,
    STATE(12654), 1,
      sym__keyword_as,
    ACTIONS(5686), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1789), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [261818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7570), 1,
      anon_sym_COMMA,
    STATE(9883), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6268), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1769), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [261908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1471), 20,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym_partition_columns_clause_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [261952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      aux_sym__keyword_as_token1,
    STATE(12653), 1,
      sym__keyword_as,
    ACTIONS(4890), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [261998] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7626), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 1,
      aux_sym__keyword_as_token1,
    STATE(12623), 1,
      sym__keyword_as,
    ACTIONS(4908), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      aux_sym__keyword_as_token1,
    STATE(12652), 1,
      sym__keyword_as,
    ACTIONS(4439), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262186] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7628), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262282] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1241), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262360] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1225), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 1,
      aux_sym__keyword_as_token1,
    STATE(12645), 1,
      sym__keyword_as,
    ACTIONS(4327), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(15646), 1,
      sym__keyword_as,
    ACTIONS(1475), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1477), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [262530] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7630), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      aux_sym__keyword_as_token1,
    STATE(12616), 1,
      sym__keyword_as,
    ACTIONS(4038), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 1,
      aux_sym__keyword_as_token1,
    STATE(12644), 1,
      sym__keyword_as,
    ACTIONS(4920), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262718] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7632), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 1,
      aux_sym__keyword_as_token1,
    STATE(12639), 1,
      sym__keyword_as,
    ACTIONS(4926), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [262860] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7634), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [262956] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7636), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263052] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7638), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263148] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7640), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263244] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7642), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263340] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7644), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      aux_sym__keyword_as_token1,
    STATE(12635), 1,
      sym__keyword_as,
    ACTIONS(4333), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [263482] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7646), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263578] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7648), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4663), 36,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_using_clause_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [263716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 1,
      aux_sym__keyword_as_token1,
    STATE(12630), 1,
      sym__keyword_as,
    ACTIONS(4347), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [263762] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7650), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263858] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7652), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [263954] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7654), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264050] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7656), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264146] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7658), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264242] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7660), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7662), 1,
      aux_sym__keyword_as_token1,
    STATE(12686), 1,
      sym__keyword_as,
    ACTIONS(6185), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [264384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 1,
      aux_sym__keyword_as_token1,
    STATE(12613), 1,
      sym__keyword_as,
    ACTIONS(4371), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [264430] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7664), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264526] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7666), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264622] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7668), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264718] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7670), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264814] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7672), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [264910] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7674), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265006] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7676), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265102] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7678), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265198] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7680), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265294] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7682), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265390] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7684), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265486] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7686), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      aux_sym__keyword_as_token1,
    STATE(12204), 1,
      sym__keyword_as,
    ACTIONS(6075), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7690), 1,
      aux_sym__keyword_as_token1,
    STATE(12209), 1,
      sym__keyword_as,
    ACTIONS(6081), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [265674] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7692), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265770] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7694), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265866] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [265962] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7698), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [266058] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7700), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [266154] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7702), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [266250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 1,
      aux_sym__keyword_as_token1,
    STATE(12351), 1,
      sym__keyword_as,
    ACTIONS(5472), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266296] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7704), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [266392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7706), 1,
      aux_sym__keyword_as_token1,
    STATE(12348), 1,
      sym__keyword_as,
    ACTIONS(6095), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266438] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7708), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [266534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 1,
      aux_sym__keyword_as_token1,
    STATE(12297), 1,
      sym__keyword_as,
    ACTIONS(6101), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266580] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1221), 15,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [266658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7346), 1,
      aux_sym__keyword_as_token1,
    STATE(12371), 1,
      sym__keyword_as,
    ACTIONS(5536), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266704] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7712), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [266800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7714), 1,
      aux_sym__keyword_as_token1,
    STATE(12347), 1,
      sym__keyword_as,
    ACTIONS(6129), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      aux_sym__keyword_as_token1,
    STATE(12577), 1,
      sym__keyword_as,
    ACTIONS(6137), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [266892] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7718), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [266988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7720), 1,
      aux_sym__keyword_as_token1,
    STATE(12578), 1,
      sym__keyword_as,
    ACTIONS(6145), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7722), 1,
      aux_sym__keyword_as_token1,
    STATE(12580), 1,
      sym__keyword_as,
    ACTIONS(6159), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267080] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7724), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267176] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7726), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267272] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7728), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7618), 1,
      aux_sym_default_clause_token1,
    STATE(8104), 1,
      sym_default_clause,
    ACTIONS(6334), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [267414] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7730), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267510] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7732), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267606] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7734), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267702] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7736), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267798] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7738), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267894] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7740), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [267990] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7742), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4796), 1,
      aux_sym__keyword_as_token1,
    STATE(12694), 1,
      sym__keyword_as,
    ACTIONS(4128), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268132] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7358), 1,
      aux_sym__keyword_as_token1,
    STATE(12733), 1,
      sym__keyword_as,
    ACTIONS(5585), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      aux_sym__keyword_as_token1,
    STATE(12830), 1,
      sym__keyword_as,
    ACTIONS(5561), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 1,
      aux_sym__keyword_as_token1,
    STATE(12832), 1,
      sym__keyword_as,
    ACTIONS(4914), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 1,
      aux_sym__keyword_as_token1,
    STATE(12838), 1,
      sym__keyword_as,
    ACTIONS(4934), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7362), 1,
      aux_sym__keyword_as_token1,
    STATE(12841), 1,
      sym__keyword_as,
    ACTIONS(5390), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 30,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [268502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7364), 1,
      aux_sym__keyword_as_token1,
    STATE(12855), 1,
      sym__keyword_as,
    ACTIONS(5496), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268548] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(359), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(369), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(4582), 1,
      anon_sym_LBRACK,
    ACTIONS(4584), 1,
      anon_sym_DOT2,
    ACTIONS(7510), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7512), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7516), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7520), 1,
      anon_sym_PLUS,
    ACTIONS(7522), 1,
      anon_sym_DASH,
    ACTIONS(7526), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_AMP,
    ACTIONS(7532), 1,
      anon_sym_CARET,
    ACTIONS(7534), 1,
      anon_sym_PIPE,
    ACTIONS(7746), 1,
      sym__unquoted_identifier,
    STATE(1361), 1,
      sym__keyword_in,
    STATE(1386), 1,
      sym__keyword_and,
    STATE(1389), 1,
      sym__keyword_or,
    STATE(1597), 1,
      sym__keyword_between,
    STATE(12056), 1,
      sym__keyword_is,
    STATE(13150), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16184), 1,
      sym_like_operator,
    STATE(16185), 1,
      sym_quantitve_like_operator,
    ACTIONS(7524), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7528), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7514), 3,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7518), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [268644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7748), 1,
      anon_sym_COMMA,
    STATE(9821), 1,
      aux_sym_alter_column_actions_list_repeat1,
    ACTIONS(6040), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7751), 1,
      aux_sym__keyword_as_token1,
    STATE(12835), 1,
      sym__keyword_as,
    ACTIONS(6304), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7753), 1,
      aux_sym__keyword_as_token1,
    STATE(12778), 1,
      sym__keyword_as,
    ACTIONS(6310), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7366), 1,
      aux_sym__keyword_as_token1,
    STATE(12770), 1,
      sym__keyword_as,
    ACTIONS(5595), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7368), 1,
      aux_sym__keyword_as_token1,
    STATE(12755), 1,
      sym__keyword_as,
    ACTIONS(5601), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      aux_sym__keyword_as_token1,
    STATE(12752), 1,
      sym__keyword_as,
    ACTIONS(6316), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7757), 1,
      aux_sym__keyword_as_token1,
    STATE(12737), 1,
      sym__keyword_as,
    ACTIONS(6322), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [268966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7759), 1,
      aux_sym__keyword_as_token1,
    STATE(12780), 1,
      sym__keyword_as,
    ACTIONS(6328), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      aux_sym__keyword_as_token1,
    STATE(12606), 1,
      sym__keyword_as,
    ACTIONS(6350), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269058] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7763), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(1799), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1801), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [269200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      aux_sym__keyword_as_token1,
    STATE(12863), 1,
      sym__keyword_as,
    ACTIONS(4088), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5303), 1,
      aux_sym__keyword_as_token1,
    STATE(12631), 1,
      sym__keyword_as,
    ACTIONS(4529), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4700), 1,
      aux_sym__keyword_as_token1,
    STATE(12872), 1,
      sym__keyword_as,
    ACTIONS(4082), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 1,
      aux_sym__keyword_as_token1,
    STATE(12640), 1,
      sym__keyword_as,
    ACTIONS(4523), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7767), 1,
      aux_sym__keyword_as_token1,
    STATE(12862), 1,
      sym__keyword_as,
    ACTIONS(6402), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7769), 1,
      aux_sym__keyword_as_token1,
    STATE(15115), 1,
      sym__keyword_as,
    ACTIONS(1477), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [269478] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7771), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269574] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7773), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      aux_sym__keyword_as_token1,
    STATE(12658), 1,
      sym__keyword_as,
    ACTIONS(4842), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269716] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7775), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [269812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 1,
      aux_sym__keyword_as_token1,
    STATE(12829), 1,
      sym__keyword_as,
    ACTIONS(4377), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 1,
      aux_sym__keyword_as_token1,
    STATE(12828), 1,
      sym__keyword_as,
    ACTIONS(4389), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym__keyword_as_token1,
    STATE(12826), 1,
      sym__keyword_as,
    ACTIONS(4102), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 1,
      aux_sym__keyword_as_token1,
    STATE(12815), 1,
      sym__keyword_as,
    ACTIONS(4401), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [269996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6181), 1,
      aux_sym__keyword_as_token1,
    STATE(12663), 1,
      sym__keyword_as,
    ACTIONS(4836), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270042] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7777), 1,
      aux_sym_while_statement_token2,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      aux_sym__keyword_as_token1,
    STATE(12814), 1,
      sym__keyword_as,
    ACTIONS(4407), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      aux_sym__keyword_as_token1,
    STATE(12530), 1,
      sym__keyword_as,
    ACTIONS(6440), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      aux_sym__keyword_as_token1,
    STATE(12531), 1,
      sym__keyword_as,
    ACTIONS(6432), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270276] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7783), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7376), 1,
      aux_sym__keyword_as_token1,
    STATE(12603), 1,
      sym__keyword_as,
    ACTIONS(5680), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270418] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7785), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7370), 1,
      aux_sym__keyword_as_token1,
    STATE(12807), 1,
      sym__keyword_as,
    ACTIONS(5702), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 1,
      aux_sym__keyword_as_token1,
    STATE(12676), 1,
      sym__keyword_as,
    ACTIONS(4138), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270606] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7787), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [270702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7789), 1,
      aux_sym__keyword_as_token1,
    STATE(12800), 1,
      sym__keyword_as,
    ACTIONS(6414), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7791), 1,
      aux_sym__keyword_as_token1,
    STATE(12572), 1,
      sym__keyword_as,
    ACTIONS(6408), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270794] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1189), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1187), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [270856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 1,
      aux_sym__keyword_as_token1,
    STATE(12680), 1,
      sym__keyword_as,
    ACTIONS(4445), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7378), 1,
      aux_sym__keyword_as_token1,
    STATE(12571), 1,
      sym__keyword_as,
    ACTIONS(5628), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [270948] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(7408), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(7410), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(7414), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(7420), 1,
      anon_sym_PLUS,
    ACTIONS(7422), 1,
      anon_sym_DASH,
    ACTIONS(7426), 1,
      anon_sym_SLASH,
    ACTIONS(7430), 1,
      anon_sym_AMP,
    ACTIONS(7432), 1,
      anon_sym_CARET,
    ACTIONS(7434), 1,
      anon_sym_PIPE,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(7418), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7424), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1191), 4,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
    ACTIONS(7412), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [271038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 1,
      aux_sym__keyword_as_token1,
    STATE(12684), 1,
      sym__keyword_as,
    ACTIONS(4425), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      aux_sym__keyword_as_token1,
    STATE(12809), 1,
      sym__keyword_as,
    ACTIONS(4996), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6143), 1,
      aux_sym__keyword_as_token1,
    STATE(12801), 1,
      sym__keyword_as,
    ACTIONS(4988), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7380), 1,
      aux_sym__keyword_as_token1,
    STATE(12569), 1,
      sym__keyword_as,
    ACTIONS(5622), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 1,
      aux_sym__keyword_as_token1,
    STATE(12808), 1,
      sym__keyword_as,
    ACTIONS(4413), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6127), 1,
      aux_sym__keyword_as_token1,
    STATE(12568), 1,
      sym__keyword_as,
    ACTIONS(5016), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271314] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1006), 1,
      sym__keyword_or,
    STATE(1007), 1,
      sym__keyword_and,
    STATE(1014), 1,
      sym__keyword_in,
    STATE(1801), 1,
      sym__keyword_between,
    STATE(12077), 1,
      sym__keyword_is,
    STATE(13156), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16110), 1,
      sym_quantitve_like_operator,
    STATE(16111), 1,
      sym_like_operator,
    ACTIONS(1213), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [271376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5152), 1,
      aux_sym__keyword_as_token1,
    STATE(12806), 1,
      sym__keyword_as,
    ACTIONS(4419), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6157), 1,
      aux_sym__keyword_as_token1,
    STATE(12500), 1,
      sym__keyword_as,
    ACTIONS(5052), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7382), 1,
      aux_sym__keyword_as_token1,
    STATE(12805), 1,
      sym__keyword_as,
    ACTIONS(5352), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271514] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7793), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [271610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7384), 1,
      aux_sym__keyword_as_token1,
    STATE(12803), 1,
      sym__keyword_as,
    ACTIONS(5358), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271656] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7795), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [271752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      aux_sym__keyword_as_token1,
    STATE(12561), 1,
      sym__keyword_as,
    ACTIONS(5022), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271798] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(4716), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7797), 1,
      aux_sym__keyword_then_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1330), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [271894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 1,
      aux_sym__keyword_as_token1,
    STATE(12794), 1,
      sym__keyword_as,
    ACTIONS(4948), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6067), 1,
      aux_sym__keyword_as_token1,
    STATE(12793), 1,
      sym__keyword_as,
    ACTIONS(4942), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [271986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7390), 1,
      aux_sym__keyword_as_token1,
    STATE(12560), 1,
      sym__keyword_as,
    ACTIONS(5573), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7392), 1,
      aux_sym__keyword_as_token1,
    STATE(12559), 1,
      sym__keyword_as,
    ACTIONS(5530), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 1,
      aux_sym__keyword_as_token1,
    STATE(12505), 1,
      sym__keyword_as,
    ACTIONS(5046), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7799), 1,
      anon_sym_COMMA,
    STATE(9883), 1,
      aux_sym_using_clause_repeat1,
    ACTIONS(6193), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 1,
      aux_sym__keyword_as_token1,
    STATE(12519), 1,
      sym__keyword_as,
    ACTIONS(5030), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 1,
      aux_sym__keyword_as_token1,
    STATE(12512), 1,
      sym__keyword_as,
    ACTIONS(5036), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7398), 1,
      aux_sym__keyword_as_token1,
    STATE(12714), 1,
      sym__keyword_as,
    ACTIONS(5650), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym__keyword_as_token1,
    STATE(12699), 1,
      sym__keyword_as,
    ACTIONS(4122), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      aux_sym__keyword_as_token1,
    STATE(12511), 1,
      sym__keyword_as,
    ACTIONS(4383), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 1,
      aux_sym__keyword_as_token1,
    STATE(12508), 1,
      sym__keyword_as,
    ACTIONS(4395), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [272446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [272489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1629), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1677), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1673), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1805), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1669), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1665), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1657), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1649), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [272962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1645), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1563), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1641), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1637), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1783), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1625), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1617), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1845), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1609), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1605), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1601), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1755), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1597), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1697), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1809), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1837), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273736] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7802), 1,
      aux_sym__keyword_and_token1,
    STATE(935), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [273829] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7804), 1,
      aux_sym__keyword_and_token1,
    STATE(842), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [273922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1833), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [273965] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7806), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1273), 1,
      sym__keyword_and,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274058] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7808), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1286), 1,
      sym__keyword_and,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274151] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7810), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1351), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274244] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7812), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1396), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1693), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274380] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7814), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1542), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274473] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7816), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1589), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [274566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1701), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1689), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1705), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1709), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1531), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1747), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1817), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1821), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [274996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1853), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1841), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1849), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1825), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1759), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1829), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1763), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1791), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1771), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1779), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1865), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1813), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [275899] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(531), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(535), 1,
      aux_sym_select_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7820), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5271), 1,
      sym_unnest_clause,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(12617), 1,
      sym_join_operation,
    STATE(12620), 1,
      sym_from_item,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14280), 1,
      sym_query_expr,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [275990] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7822), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1528), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276083] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7824), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1644), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276176] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7826), 1,
      aux_sym__keyword_and_token1,
    STATE(1207), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276269] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(531), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(535), 1,
      aux_sym_select_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7820), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5271), 1,
      sym_unnest_clause,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(12617), 1,
      sym_join_operation,
    STATE(12620), 1,
      sym_from_item,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14271), 1,
      sym_query_expr,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [276360] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7828), 1,
      aux_sym__keyword_and_token1,
    STATE(1113), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276539] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7830), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1457), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276632] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7832), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1398), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [276725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [276940] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7834), 1,
      aux_sym__keyword_and_token1,
    STATE(1122), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [277033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1861), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277334] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7836), 1,
      aux_sym__keyword_and_token1,
    STATE(996), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [277427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [277986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278158] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(531), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(535), 1,
      aux_sym_select_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7820), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5271), 1,
      sym_unnest_clause,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(12617), 1,
      sym_join_operation,
    STATE(12620), 1,
      sym_from_item,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14326), 1,
      sym_query_expr,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [278249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 35,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      anon_sym_COMMA,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [278290] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7838), 1,
      aux_sym__keyword_and_token1,
    STATE(1244), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278383] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7840), 1,
      aux_sym__keyword_and_token1,
    STATE(1033), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278476] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7842), 1,
      aux_sym__keyword_and_token1,
    STATE(1234), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278569] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(531), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(535), 1,
      aux_sym_select_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7820), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5271), 1,
      sym_unnest_clause,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(12617), 1,
      sym_join_operation,
    STATE(12620), 1,
      sym_from_item,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14349), 1,
      sym_query_expr,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [278660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [278703] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7844), 1,
      aux_sym__keyword_and_token1,
    STATE(1074), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278796] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7846), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1477), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278889] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7848), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1486), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [278982] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7850), 1,
      aux_sym__keyword_and_token1,
    STATE(1048), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [279075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1795), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [279677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1681), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1593), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [279978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [280021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [280064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [280107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [280150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1859), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1859), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1687), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1407), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1615), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [280967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1423), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1635), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1443), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1467), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1655), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [281999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1373), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1395), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [282988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1515), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1399), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1411), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1415), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1595), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [283977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1419), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1427), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1363), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1403), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1387), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1383), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [284966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1377), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1463), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1483), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1491), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1503), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1757), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1519), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1511), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1499), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1495), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1487), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1831), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1827), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [285783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [285826] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7852), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1468), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [285919] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7854), 1,
      aux_sym__keyword_and_token1,
    STATE(967), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [286055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1459), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286098] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7856), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1656), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [286234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1451), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286277] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7858), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1725), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1447), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1823), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1819), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1815), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1431), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [286628] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7860), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1269), 1,
      sym__keyword_and,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1807), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [286764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7610), 1,
      anon_sym_LPAREN,
    ACTIONS(7862), 1,
      anon_sym_EQ_GT,
    ACTIONS(1801), 7,
      aux_sym_keyword_replace_token1,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [286811] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7864), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1660), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286904] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7866), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1830), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [286997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1785), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [287040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      sym__quoted_identifier,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1777), 18,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [287083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [287126] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7868), 1,
      aux_sym__keyword_and_token1,
    STATE(1149), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [287262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [287305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [287348] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7870), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1307), 1,
      sym__keyword_and,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287441] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7872), 1,
      aux_sym__keyword_and_token1,
    STATE(1045), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [287577] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7874), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1323), 1,
      sym__keyword_and,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [287713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [287756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [287799] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7876), 1,
      aux_sym__keyword_and_token1,
    STATE(1073), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287892] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7878), 1,
      aux_sym__keyword_and_token1,
    STATE(1182), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [287985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1751), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1653), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [288931] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7880), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1548), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289024] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7882), 1,
      aux_sym__keyword_and_token1,
    STATE(1172), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289246] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7884), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1610), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289339] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7886), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1444), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289475] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7888), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1352), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289611] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7890), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1614), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289704] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7892), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1730), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1753), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [289840] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7894), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1505), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [289933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [289976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290019] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7896), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1415), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [290112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290155] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7898), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1557), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [290248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1633), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290377] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7900), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1761), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [290470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290599] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7902), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1720), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [290692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290735] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7904), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1643), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [290828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [290957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291172] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7906), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1399), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [291265] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7908), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1719), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [291358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1613), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291444] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7910), 1,
      aux_sym__keyword_and_token1,
    STATE(1077), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [291537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291666] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7912), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1302), 1,
      sym__keyword_and,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [291759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [291931] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7914), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1254), 1,
      sym__keyword_and,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292024] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7916), 1,
      aux_sym__keyword_and_token1,
    STATE(851), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292160] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7918), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1811), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292253] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7920), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1859), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292389] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7922), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1479), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [292482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1619), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [292568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym_keyword_replace_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [292998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1613), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293385] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7924), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1796), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [293478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1633), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1699), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [293822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [293994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1653), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1863), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [294768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1683), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [294940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [294983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1797), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [295112] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7926), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1465), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [295205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1773), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [295377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1867), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [295635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1781), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [295850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [295979] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7928), 1,
      aux_sym__keyword_and_token1,
    STATE(907), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [296072] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7930), 1,
      aux_sym__keyword_and_token1,
    STATE(894), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [296165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1627), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1793), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1765), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1761), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1749), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1715), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1533), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1711), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1707), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1703), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1695), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1691), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [296939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1593), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [296982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1679), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297197] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7932), 1,
      aux_sym__keyword_and_token1,
    STATE(1089), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [297290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297333] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7934), 1,
      aux_sym__keyword_and_token1,
    STATE(1126), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [297426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1675), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1671), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [297899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1667), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1663), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [297985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1213), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1659), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1651), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1805), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1647), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1565), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [298630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [298974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1643), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299189] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(531), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(535), 1,
      aux_sym_select_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7820), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5271), 1,
      sym_unnest_clause,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(12617), 1,
      sym_join_operation,
    STATE(12620), 1,
      sym_from_item,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14255), 1,
      sym_query_expr,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [299280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1639), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299366] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7936), 1,
      aux_sym__keyword_and_token1,
    STATE(1200), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [299459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1631), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1851), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1623), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [299760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [299975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1847), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300147] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7938), 1,
      aux_sym__keyword_and_token1,
    STATE(1205), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [300240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1829), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1525), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1825), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1611), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1821), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1817), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1607), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1603), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1599), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1813), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [300842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1811), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1801), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1835), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [300971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7940), 1,
      aux_sym_using_clause_token1,
    ACTIONS(7059), 34,
      ts_builtin_sym_end,
      aux_sym_keyword_if_not_exists_token1,
      aux_sym__keyword_alter_token1,
      aux_sym__keyword_create_token1,
      aux_sym__keyword_drop_token1,
      aux_sym__keyword_delete_token1,
      aux_sym__keyword_begin_token1,
      aux_sym__keyword_repeat_token1,
      aux_sym__keyword_for_token1,
      anon_sym_SEMI,
      aux_sym_declare_statement_token1,
      aux_sym_set_statement_token1,
      anon_sym_LPAREN,
      aux_sym_execute_immediate_statement_token1,
      aux_sym_return_statement_token1,
      aux_sym_call_statement_token1,
      aux_sym_loop_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_break_statement_token1,
      aux_sym_leave_statement_token1,
      aux_sym_continue_statement_token1,
      aux_sym_iterate_statement_token1,
      aux_sym_raise_statement_token1,
      aux_sym_assert_statement_token1,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_insert_statement_token1,
      aux_sym_truncate_statement_token1,
      aux_sym_update_statement_token1,
      aux_sym_merge_statement_token1,
      aux_sym_grant_statement_token1,
      aux_sym_revoke_statement_token1,
      aux_sym_export_data_statement_token1,
      aux_sym_load_data_statement_token1,
  [301014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1839), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [301057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1843), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [301100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1849), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1841), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1837), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1833), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1809), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1697), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1597), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1601), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1605), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1609), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1845), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1617), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1621), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1625), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1629), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1637), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1641), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1645), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1649), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [301960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1657), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1855), 19,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
  [302046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1661), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1665), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1669), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1673), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1677), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1689), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1693), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1701), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1705), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1709), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1713), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1747), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1759), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1763), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1853), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1779), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1771), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1795), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1563), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1531), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1791), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [302992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1861), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1681), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1865), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1751), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [303207] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7942), 1,
      aux_sym__keyword_and_token1,
    STATE(848), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [303300] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7944), 1,
      aux_sym__keyword_and_token1,
    STATE(841), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [303393] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7946), 1,
      aux_sym__keyword_and_token1,
    STATE(1168), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [303486] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7948), 1,
      aux_sym__keyword_and_token1,
    STATE(1164), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [303579] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7950), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1756), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [303672] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7952), 1,
      aux_sym__keyword_and_token1,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(1784), 1,
      sym__keyword_and,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [303765] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7954), 1,
      aux_sym__keyword_and_token1,
    STATE(966), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [303858] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7956), 1,
      aux_sym__keyword_and_token1,
    STATE(959), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [303951] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7958), 1,
      aux_sym__keyword_and_token1,
    STATE(1090), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [304044] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(1233), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(2747), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(3707), 1,
      anon_sym_LBRACK,
    ACTIONS(4667), 1,
      anon_sym_PLUS,
    ACTIONS(4669), 1,
      anon_sym_DASH,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4677), 1,
      anon_sym_AMP,
    ACTIONS(4679), 1,
      anon_sym_CARET,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(4692), 1,
      aux_sym__keyword_is_token1,
    ACTIONS(6026), 1,
      anon_sym_DOT2,
    ACTIONS(7960), 1,
      aux_sym__keyword_and_token1,
    STATE(1094), 1,
      sym__keyword_and,
    STATE(1250), 1,
      sym__keyword_in,
    STATE(1313), 1,
      sym__keyword_between,
    STATE(1333), 1,
      sym__keyword_or,
    STATE(12090), 1,
      sym__keyword_is,
    STATE(13151), 1,
      sym__keyword_not,
    STATE(14223), 1,
      sym__keyword_like,
    STATE(16233), 1,
      sym_like_operator,
    STATE(16236), 1,
      sym_quantitve_like_operator,
    ACTIONS(4671), 2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(4675), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4694), 6,
      aux_sym__keyword_in_token1,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [304137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1755), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1775), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1783), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 6,
      aux_sym__keyword_in_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 29,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym__direction_keywords_token1,
      aux_sym__direction_keywords_token2,
      aux_sym__nulls_preference_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2373), 1,
      sym__string_start,
    STATE(10944), 1,
      sym_string,
    ACTIONS(1471), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(5102), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(7962), 1,
      aux_sym__keyword_as_token1,
    STATE(408), 1,
      sym_unnest_withoffset,
    STATE(2414), 1,
      sym__identifier,
    STATE(5098), 1,
      sym__type_chrono,
    STATE(5589), 1,
      sym_identifier,
    STATE(11225), 1,
      sym_as_alias,
    STATE(11642), 1,
      sym__keyword_as,
    ACTIONS(211), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(205), 12,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [304423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1471), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1541), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1539), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10935), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10960), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10905), 1,
      sym_analytics_clause,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10900), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10883), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10837), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10856), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10868), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10871), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10916), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [304961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10875), 1,
      sym_analytics_clause,
    ACTIONS(1467), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10907), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10938), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10954), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10984), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10981), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10898), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10850), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10951), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10980), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10999), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(11007), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(11008), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10975), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10971), 1,
      sym_analytics_clause,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10970), 1,
      sym_analytics_clause,
    ACTIONS(1395), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10969), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10956), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10933), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10930), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10928), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10927), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10924), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [305996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10922), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10920), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10917), 1,
      sym_analytics_clause,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10959), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10912), 1,
      sym_analytics_clause,
    ACTIONS(1411), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10909), 1,
      sym_analytics_clause,
    ACTIONS(1415), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10884), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10861), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10833), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10872), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10878), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10879), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10893), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10908), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10940), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10942), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10945), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10947), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10952), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10961), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10968), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10997), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [306986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10996), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10992), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10990), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10977), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10840), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10949), 1,
      sym_analytics_clause,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10910), 1,
      sym_analytics_clause,
    ACTIONS(1427), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10995), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(11003), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10846), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10939), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10874), 1,
      sym_analytics_clause,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10934), 1,
      sym_analytics_clause,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307571] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(5812), 1,
      anon_sym_LPAREN,
    ACTIONS(7962), 1,
      aux_sym__keyword_as_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(5098), 1,
      sym__type_chrono,
    STATE(5269), 1,
      sym_as_alias,
    STATE(5589), 1,
      sym_identifier,
    STATE(11642), 1,
      sym__keyword_as,
    ACTIONS(2993), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(2991), 12,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [307636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10827), 1,
      sym_analytics_clause,
    ACTIONS(1431), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(11004), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10873), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10936), 1,
      sym_analytics_clause,
    ACTIONS(1403), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10964), 1,
      sym_analytics_clause,
    ACTIONS(1387), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10967), 1,
      sym_analytics_clause,
    ACTIONS(1383), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10913), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10889), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [307996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10994), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10987), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10955), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10943), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10859), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10894), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10915), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10921), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10925), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10929), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10931), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10932), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10937), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10950), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10993), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10886), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10851), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10896), 1,
      sym_analytics_clause,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10844), 1,
      sym_analytics_clause,
    ACTIONS(1463), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10901), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(11005), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10991), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [308986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10962), 1,
      sym_analytics_clause,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10976), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10918), 1,
      sym_analytics_clause,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10914), 1,
      sym_analytics_clause,
    ACTIONS(1491), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10911), 1,
      sym_analytics_clause,
    ACTIONS(1503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10903), 1,
      sym_analytics_clause,
    ACTIONS(1515), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10864), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10854), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10820), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10824), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10860), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10899), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10828), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10858), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10818), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10906), 1,
      sym_analytics_clause,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10904), 1,
      sym_analytics_clause,
    ACTIONS(1511), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10819), 1,
      sym_analytics_clause,
    ACTIONS(1507), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1505), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10926), 1,
      sym_analytics_clause,
    ACTIONS(1499), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10902), 1,
      sym_analytics_clause,
    ACTIONS(1495), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10897), 1,
      sym_analytics_clause,
    ACTIONS(1487), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10835), 1,
      sym_analytics_clause,
    ACTIONS(1369), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [309976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10825), 1,
      sym_analytics_clause,
    ACTIONS(1369), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1367), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10881), 1,
      sym_analytics_clause,
    ACTIONS(1459), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10953), 1,
      sym_analytics_clause,
    ACTIONS(1455), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1453), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10972), 1,
      sym_analytics_clause,
    ACTIONS(1451), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10973), 1,
      sym_analytics_clause,
    ACTIONS(1447), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10836), 1,
      sym_analytics_clause,
    ACTIONS(1439), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1437), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10823), 1,
      sym_analytics_clause,
    ACTIONS(1435), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1433), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10941), 1,
      sym_analytics_clause,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10946), 1,
      sym_analytics_clause,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 28,
      sym__string_start,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10849), 1,
      sym_analytics_clause,
    ACTIONS(1391), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1389), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10957), 1,
      sym_analytics_clause,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7966), 1,
      aux_sym_analytics_clause_token1,
    STATE(10974), 1,
      sym_analytics_clause,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11061), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11147), 1,
      sym_analytics_clause,
    ACTIONS(1445), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1447), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1787), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1767), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1469), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1471), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
    ACTIONS(1539), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1541), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1549), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [310849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11121), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11123), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11015), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [310981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11131), 1,
      sym_analytics_clause,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11130), 1,
      sym_analytics_clause,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11120), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7970), 1,
      aux_sym__keyword_as_token1,
    STATE(15489), 1,
      sym__keyword_as,
    ACTIONS(1477), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [311157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11119), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11129), 1,
      sym_analytics_clause,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311245] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(7962), 1,
      aux_sym__keyword_as_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(5098), 1,
      sym__type_chrono,
    STATE(5266), 1,
      sym_as_alias,
    STATE(5589), 1,
      sym_identifier,
    STATE(11642), 1,
      sym__keyword_as,
    ACTIONS(2989), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(2987), 12,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [311307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1469), 27,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_partition_columns_clause_token1,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [311347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11127), 1,
      sym_analytics_clause,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11045), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11046), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11126), 1,
      sym_analytics_clause,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11047), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11048), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11049), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11125), 1,
      sym_analytics_clause,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11050), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11051), 1,
      sym_analytics_clause,
    ACTIONS(1401), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1403), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7972), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [311829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11052), 1,
      sym_analytics_clause,
    ACTIONS(1385), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1387), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11053), 1,
      sym_analytics_clause,
    ACTIONS(1381), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1383), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11146), 1,
      sym_analytics_clause,
    ACTIONS(1389), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1391), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [311961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11054), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7974), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10877), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 25,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [312049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11117), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11055), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11114), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11111), 1,
      sym_analytics_clause,
    ACTIONS(1465), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1467), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11056), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11057), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11058), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11059), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11060), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11110), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11062), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11063), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11109), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11064), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11065), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11106), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11066), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11067), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11068), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11069), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11071), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [312973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11105), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11026), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11116), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11108), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11107), 1,
      sym_analytics_clause,
    ACTIONS(1461), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1463), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11104), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11103), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11102), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11099), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11096), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11094), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11092), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11089), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11088), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11087), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11133), 1,
      sym_analytics_clause,
    ACTIONS(1393), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1395), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11077), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11076), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11124), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11075), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11074), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11073), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11010), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [313985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11011), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11152), 1,
      sym_analytics_clause,
    ACTIONS(1485), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1487), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11100), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1483), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11098), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1483), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11097), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1483), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11093), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1483), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11091), 1,
      sym_analytics_clause,
    ACTIONS(1489), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1491), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11012), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11083), 1,
      sym_analytics_clause,
    ACTIONS(1501), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1503), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11082), 1,
      sym_analytics_clause,
    ACTIONS(1513), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1515), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11013), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11081), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11080), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11079), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11128), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11014), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7976), 1,
      aux_sym_alter_table_rename_statement_token1,
    ACTIONS(1589), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1587), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [314731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11022), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11016), 1,
      sym_analytics_clause,
    ACTIONS(1409), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1411), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11018), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11019), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11020), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11021), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [314995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11101), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1483), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11023), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11024), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11025), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11084), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11027), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11028), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11029), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11134), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11135), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11030), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11031), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11032), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11033), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11034), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11035), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11036), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11037), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11038), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11039), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11017), 1,
      sym_analytics_clause,
    ACTIONS(1413), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1415), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11041), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [315963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11070), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11042), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11043), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11044), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11153), 1,
      sym_analytics_clause,
    ACTIONS(1429), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1431), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11154), 1,
      sym_analytics_clause,
    ACTIONS(1433), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1435), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11155), 1,
      sym_analytics_clause,
    ACTIONS(1437), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1439), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11139), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11072), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11156), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11157), 1,
      sym_analytics_clause,
    ACTIONS(1509), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1511), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11158), 1,
      sym_analytics_clause,
    ACTIONS(1505), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1507), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11159), 1,
      sym_analytics_clause,
    ACTIONS(1497), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1499), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11163), 1,
      sym_analytics_clause,
    ACTIONS(1493), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1495), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11040), 1,
      sym_analytics_clause,
    ACTIONS(1425), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1427), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11161), 1,
      sym_analytics_clause,
    ACTIONS(1367), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1369), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11162), 1,
      sym_analytics_clause,
    ACTIONS(1367), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1369), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11160), 1,
      sym_analytics_clause,
    ACTIONS(1457), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1459), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11137), 1,
      sym_analytics_clause,
    ACTIONS(1453), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1455), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7968), 1,
      aux_sym_analytics_clause_token1,
    STATE(11145), 1,
      sym_analytics_clause,
    ACTIONS(1449), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1451), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [316843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1481), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1759), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [316999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1689), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1449), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1791), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1445), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1771), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1779), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1865), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1821), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1817), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1517), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1457), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1669), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1813), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1673), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1665), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1661), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1425), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1211), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [317974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1747), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1861), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1429), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1713), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1531), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1805), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1709), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1649), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1705), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1783), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1701), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1693), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1795), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1645), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [318988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1613), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1775), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1563), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1755), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1509), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1677), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1641), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1637), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1629), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1625), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1621), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1681), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1825), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1513), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [319963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1405), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1501), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1381), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1461), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1375), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1653), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1393), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1385), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1465), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1401), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1657), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1763), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [320977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1489), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1409), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1845), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1685), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1751), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [321991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1497), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1697), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1857), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1471), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [322537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1413), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1551), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [322654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1593), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1441), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1633), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1493), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1485), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [322966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1853), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1849), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1841), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1837), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1833), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1809), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1829), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1417), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1371), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1597), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1601), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [323980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1605), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1609), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1397), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1361), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1617), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1421), 26,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      aux_sym_option_clause_token1,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [324292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1777), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1467), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1655), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [324976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1395), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1399), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1411), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1415), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [325964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1595), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1443), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1785), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [326990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1383), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1387), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1373), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327180] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(3419), 1,
      anon_sym_RPAREN,
    ACTIONS(3433), 1,
      aux_sym__keyword_as_token1,
    STATE(2290), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5418), 1,
      sym_as_alias,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11646), 1,
      sym__keyword_as,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3417), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [327240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1757), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327392] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(3411), 1,
      anon_sym_RPAREN,
    ACTIONS(3433), 1,
      aux_sym__keyword_as_token1,
    STATE(2290), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5400), 1,
      sym_as_alias,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11646), 1,
      sym__keyword_as,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3409), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [327452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1403), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327604] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(3395), 1,
      anon_sym_RPAREN,
    ACTIONS(3433), 1,
      aux_sym__keyword_as_token1,
    STATE(2290), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5401), 1,
      sym_as_alias,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11646), 1,
      sym__keyword_as,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3393), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [327664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1363), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [327968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1427), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1423), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1615), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1753), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328310] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(3415), 1,
      anon_sym_RPAREN,
    ACTIONS(3433), 1,
      aux_sym__keyword_as_token1,
    STATE(2290), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5413), 1,
      sym_as_alias,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11646), 1,
      sym__keyword_as,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3413), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1683), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1419), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328522] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(3403), 1,
      anon_sym_RPAREN,
    ACTIONS(3433), 1,
      aux_sym__keyword_as_token1,
    STATE(2290), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5399), 1,
      sym_as_alias,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11646), 1,
      sym__keyword_as,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3401), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328696] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(3399), 1,
      anon_sym_RPAREN,
    ACTIONS(3433), 1,
      aux_sym__keyword_as_token1,
    STATE(2290), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5417), 1,
      sym_as_alias,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11646), 1,
      sym__keyword_as,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3397), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [328756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1407), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1687), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1687), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1687), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [328984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1687), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1859), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1859), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1827), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1635), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1863), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1499), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1471), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329402] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(3407), 1,
      anon_sym_RPAREN,
    ACTIONS(3433), 1,
      aux_sym__keyword_as_token1,
    STATE(2290), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5397), 1,
      sym_as_alias,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11646), 1,
      sym__keyword_as,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
    ACTIONS(3405), 11,
      aux_sym__keyword_window_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
  [329462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    ACTIONS(7978), 1,
      anon_sym_EQ_GT,
    ACTIONS(1801), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1799), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [329504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1867), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1793), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1807), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1495), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1431), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1487), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1815), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1831), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1819), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1823), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1515), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1447), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1451), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [329998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1459), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1377), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1463), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1483), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1491), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1511), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1519), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1503), 27,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_window_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [330340] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2393), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7980), 1,
      sym__unquoted_identifier,
    ACTIONS(7982), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7986), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 1,
      aux_sym_function_call_token2,
    ACTIONS(7990), 1,
      sym__quoted_identifier,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(7125), 1,
      sym_unnest_operator,
    STATE(7419), 1,
      sym_identifier,
    STATE(10679), 1,
      sym__identifier,
    STATE(10963), 1,
      sym__type_chrono,
    STATE(11230), 1,
      sym_from_item,
    STATE(18239), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7429), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(14058), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7984), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10966), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330413] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2661), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7992), 1,
      sym__unquoted_identifier,
    ACTIONS(7994), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      aux_sym_function_call_token2,
    ACTIONS(8002), 1,
      sym__quoted_identifier,
    STATE(2522), 1,
      sym_unnest_operator,
    STATE(2543), 1,
      sym_identifier,
    STATE(4221), 1,
      sym__identifier,
    STATE(4669), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5276), 1,
      sym_from_item,
    STATE(16484), 1,
      sym__keyword_range,
    STATE(2542), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13756), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7996), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330486] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2393), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7980), 1,
      sym__unquoted_identifier,
    ACTIONS(7982), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7986), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 1,
      aux_sym_function_call_token2,
    ACTIONS(7990), 1,
      sym__quoted_identifier,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(7125), 1,
      sym_unnest_operator,
    STATE(7419), 1,
      sym_identifier,
    STATE(10679), 1,
      sym__identifier,
    STATE(10963), 1,
      sym__type_chrono,
    STATE(11219), 1,
      sym_from_item,
    STATE(18239), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7429), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(14058), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7984), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10966), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330559] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2393), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7980), 1,
      sym__unquoted_identifier,
    ACTIONS(7982), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7986), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 1,
      aux_sym_function_call_token2,
    ACTIONS(7990), 1,
      sym__quoted_identifier,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(7125), 1,
      sym_unnest_operator,
    STATE(7419), 1,
      sym_identifier,
    STATE(10679), 1,
      sym__identifier,
    STATE(10963), 1,
      sym__type_chrono,
    STATE(11233), 1,
      sym_from_item,
    STATE(18239), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7429), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(14058), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7984), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10966), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2661), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7992), 1,
      sym__unquoted_identifier,
    ACTIONS(7994), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      aux_sym_function_call_token2,
    ACTIONS(8002), 1,
      sym__quoted_identifier,
    STATE(2522), 1,
      sym_unnest_operator,
    STATE(2543), 1,
      sym_identifier,
    STATE(4221), 1,
      sym__identifier,
    STATE(4669), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5270), 1,
      sym_from_item,
    STATE(16484), 1,
      sym__keyword_range,
    STATE(2542), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13756), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7996), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330705] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2697), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(8004), 1,
      sym__unquoted_identifier,
    ACTIONS(8006), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      aux_sym_function_call_token2,
    ACTIONS(8012), 1,
      sym__quoted_identifier,
    STATE(2852), 1,
      sym_unnest_operator,
    STATE(2968), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5280), 1,
      sym_from_item,
    STATE(18434), 1,
      sym__keyword_range,
    STATE(2969), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13252), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330778] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2697), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(8004), 1,
      sym__unquoted_identifier,
    ACTIONS(8006), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      aux_sym_function_call_token2,
    ACTIONS(8012), 1,
      sym__quoted_identifier,
    STATE(2852), 1,
      sym_unnest_operator,
    STATE(2968), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5282), 1,
      sym_from_item,
    STATE(18434), 1,
      sym__keyword_range,
    STATE(2969), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13252), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330851] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2697), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(8004), 1,
      sym__unquoted_identifier,
    ACTIONS(8006), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      aux_sym_function_call_token2,
    ACTIONS(8012), 1,
      sym__quoted_identifier,
    STATE(2852), 1,
      sym_unnest_operator,
    STATE(2968), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5319), 1,
      sym_from_item,
    STATE(18434), 1,
      sym__keyword_range,
    STATE(2969), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13252), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330924] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(11486), 1,
      sym_from_item,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [330997] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(11567), 1,
      sym_from_item,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331070] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2393), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7980), 1,
      sym__unquoted_identifier,
    ACTIONS(7982), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7986), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 1,
      aux_sym_function_call_token2,
    ACTIONS(7990), 1,
      sym__quoted_identifier,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(7125), 1,
      sym_unnest_operator,
    STATE(7419), 1,
      sym_identifier,
    STATE(10679), 1,
      sym__identifier,
    STATE(10963), 1,
      sym__type_chrono,
    STATE(11221), 1,
      sym_from_item,
    STATE(18239), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7429), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(14058), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7984), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10966), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331143] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2697), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(8004), 1,
      sym__unquoted_identifier,
    ACTIONS(8006), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      aux_sym_function_call_token2,
    ACTIONS(8012), 1,
      sym__quoted_identifier,
    STATE(2852), 1,
      sym_unnest_operator,
    STATE(2968), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5279), 1,
      sym_from_item,
    STATE(18434), 1,
      sym__keyword_range,
    STATE(2969), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13252), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331216] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(11678), 1,
      sym_from_item,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331289] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(11468), 1,
      sym_from_item,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331362] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2661), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7992), 1,
      sym__unquoted_identifier,
    ACTIONS(7994), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      aux_sym_function_call_token2,
    ACTIONS(8002), 1,
      sym__quoted_identifier,
    STATE(2522), 1,
      sym_unnest_operator,
    STATE(2543), 1,
      sym_identifier,
    STATE(4221), 1,
      sym__identifier,
    STATE(4669), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5264), 1,
      sym_from_item,
    STATE(16484), 1,
      sym__keyword_range,
    STATE(2542), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13756), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7996), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2661), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7992), 1,
      sym__unquoted_identifier,
    ACTIONS(7994), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      aux_sym_function_call_token2,
    ACTIONS(8002), 1,
      sym__quoted_identifier,
    STATE(2522), 1,
      sym_unnest_operator,
    STATE(2543), 1,
      sym_identifier,
    STATE(4221), 1,
      sym__identifier,
    STATE(4669), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5272), 1,
      sym_from_item,
    STATE(16484), 1,
      sym__keyword_range,
    STATE(2542), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13756), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7996), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331508] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2697), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(8004), 1,
      sym__unquoted_identifier,
    ACTIONS(8006), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      aux_sym_function_call_token2,
    ACTIONS(8012), 1,
      sym__quoted_identifier,
    STATE(2852), 1,
      sym_unnest_operator,
    STATE(2968), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5283), 1,
      sym_from_item,
    STATE(18434), 1,
      sym__keyword_range,
    STATE(2969), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13252), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331581] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(11445), 1,
      sym_from_item,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331654] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2661), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7992), 1,
      sym__unquoted_identifier,
    ACTIONS(7994), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      aux_sym_function_call_token2,
    ACTIONS(8002), 1,
      sym__quoted_identifier,
    STATE(2522), 1,
      sym_unnest_operator,
    STATE(2543), 1,
      sym_identifier,
    STATE(4221), 1,
      sym__identifier,
    STATE(4669), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5274), 1,
      sym_from_item,
    STATE(16484), 1,
      sym__keyword_range,
    STATE(2542), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13756), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7996), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7769), 1,
      aux_sym__keyword_as_token1,
    STATE(15115), 1,
      sym__keyword_as,
    ACTIONS(1477), 13,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [331768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2393), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7980), 1,
      sym__unquoted_identifier,
    ACTIONS(7982), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7986), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 1,
      aux_sym_function_call_token2,
    ACTIONS(7990), 1,
      sym__quoted_identifier,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(7125), 1,
      sym_unnest_operator,
    STATE(7419), 1,
      sym_identifier,
    STATE(10679), 1,
      sym__identifier,
    STATE(10963), 1,
      sym__type_chrono,
    STATE(11227), 1,
      sym_from_item,
    STATE(18239), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7429), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(14058), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7984), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10966), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331841] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2393), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7980), 1,
      sym__unquoted_identifier,
    ACTIONS(7982), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7986), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 1,
      aux_sym_function_call_token2,
    ACTIONS(7990), 1,
      sym__quoted_identifier,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(7125), 1,
      sym_unnest_operator,
    STATE(7419), 1,
      sym_identifier,
    STATE(10679), 1,
      sym__identifier,
    STATE(10963), 1,
      sym__type_chrono,
    STATE(11224), 1,
      sym_from_item,
    STATE(18239), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7429), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(14058), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7984), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10966), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331914] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2697), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(8004), 1,
      sym__unquoted_identifier,
    ACTIONS(8006), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      aux_sym_function_call_token2,
    ACTIONS(8012), 1,
      sym__quoted_identifier,
    STATE(2852), 1,
      sym_unnest_operator,
    STATE(2968), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5316), 1,
      sym_from_item,
    STATE(18434), 1,
      sym__keyword_range,
    STATE(2969), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13252), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [331987] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2661), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7992), 1,
      sym__unquoted_identifier,
    ACTIONS(7994), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      aux_sym_function_call_token2,
    ACTIONS(8002), 1,
      sym__quoted_identifier,
    STATE(2522), 1,
      sym_unnest_operator,
    STATE(2543), 1,
      sym_identifier,
    STATE(4221), 1,
      sym__identifier,
    STATE(4669), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5275), 1,
      sym_from_item,
    STATE(16484), 1,
      sym__keyword_range,
    STATE(2542), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13756), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7996), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332060] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2697), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(8004), 1,
      sym__unquoted_identifier,
    ACTIONS(8006), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      aux_sym_function_call_token2,
    ACTIONS(8012), 1,
      sym__quoted_identifier,
    STATE(2852), 1,
      sym_unnest_operator,
    STATE(2968), 1,
      sym_identifier,
    STATE(5099), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5302), 1,
      sym_from_item,
    STATE(18434), 1,
      sym__keyword_range,
    STATE(2969), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13252), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4560), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10419), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 13,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      anon_sym_LT,
      anon_sym_GT,
      sym__unquoted_identifier,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [332174] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2661), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7992), 1,
      sym__unquoted_identifier,
    ACTIONS(7994), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      aux_sym_function_call_token2,
    ACTIONS(8002), 1,
      sym__quoted_identifier,
    STATE(2522), 1,
      sym_unnest_operator,
    STATE(2543), 1,
      sym_identifier,
    STATE(4221), 1,
      sym__identifier,
    STATE(4669), 1,
      sym__type_chrono,
    STATE(5257), 1,
      sym_from_item,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(16484), 1,
      sym__keyword_range,
    STATE(2542), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(13756), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7996), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332247] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(11674), 1,
      sym_from_item,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8016), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(10877), 1,
      sym_unnest_withoffset,
    ACTIONS(1525), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1523), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [332361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2393), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(7980), 1,
      sym__unquoted_identifier,
    ACTIONS(7982), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(7986), 1,
      anon_sym_LPAREN,
    ACTIONS(7988), 1,
      aux_sym_function_call_token2,
    ACTIONS(7990), 1,
      sym__quoted_identifier,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(7125), 1,
      sym_unnest_operator,
    STATE(7419), 1,
      sym_identifier,
    STATE(10679), 1,
      sym__identifier,
    STATE(10963), 1,
      sym__type_chrono,
    STATE(11222), 1,
      sym_from_item,
    STATE(18239), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(7429), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(14058), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7984), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10966), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332434] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2607), 1,
      aux_sym_function_call_token2,
    ACTIONS(2609), 1,
      aux_sym_unnest_operator_token1,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(7818), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    STATE(5258), 1,
      sym__cross_join_operation,
    STATE(5259), 1,
      sym__conditional_join_operator,
    STATE(5390), 1,
      sym__identifier,
    STATE(10538), 1,
      sym_unnest_operator,
    STATE(10609), 1,
      sym_identifier,
    STATE(11231), 1,
      sym__type_chrono,
    STATE(11465), 1,
      sym_from_item,
    STATE(18310), 1,
      sym__keyword_range,
    STATE(5271), 2,
      sym_join_operation,
      sym_unnest_clause,
    STATE(10691), 2,
      sym_select_subexpression,
      sym_function_call,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(15489), 1,
      sym__keyword_as,
    ACTIONS(1477), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1475), 22,
      aux_sym_keyword_if_not_exists_token2,
      aux_sym_keyword_replace_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_is_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_and_token1,
      aux_sym__keyword_like_token1,
      aux_sym__keyword_as_token1,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DOT2,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_CARET,
  [332545] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8020), 1,
      anon_sym_RPAREN,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11937), 1,
      sym_identifier,
    STATE(12703), 1,
      sym_window_partition_clause,
    STATE(13099), 1,
      sym_order_by_clause,
    STATE(16699), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332613] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8024), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11903), 1,
      sym_identifier,
    STATE(12736), 1,
      sym_window_partition_clause,
    STATE(13121), 1,
      sym_order_by_clause,
    STATE(17734), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332681] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8026), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11904), 1,
      sym_identifier,
    STATE(12428), 1,
      sym_window_partition_clause,
    STATE(13117), 1,
      sym_order_by_clause,
    STATE(18937), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332749] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(2445), 1,
      aux_sym_function_call_token2,
    ACTIONS(8028), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8030), 1,
      aux_sym_partition_expression_token1,
    ACTIONS(8034), 1,
      aux_sym_partition_expression_token9,
    STATE(2414), 1,
      sym__identifier,
    STATE(7134), 1,
      sym_function_call,
    STATE(7135), 1,
      sym_partition_expression,
    STATE(7253), 1,
      sym__type_chrono,
    STATE(14338), 1,
      sym_identifier,
    STATE(18367), 1,
      sym__keyword_range,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8032), 3,
      aux_sym_partition_expression_token2,
      aux_sym_partition_expression_token3,
      aux_sym_partition_expression_token4,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332813] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8036), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11912), 1,
      sym_identifier,
    STATE(12250), 1,
      sym_window_partition_clause,
    STATE(13163), 1,
      sym_order_by_clause,
    STATE(18772), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332881] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8038), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11870), 1,
      sym_identifier,
    STATE(12797), 1,
      sym_window_partition_clause,
    STATE(13159), 1,
      sym_order_by_clause,
    STATE(17883), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [332949] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8040), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11854), 1,
      sym_identifier,
    STATE(12642), 1,
      sym_window_partition_clause,
    STATE(13032), 1,
      sym_order_by_clause,
    STATE(17077), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333017] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8042), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11865), 1,
      sym_identifier,
    STATE(12357), 1,
      sym_window_partition_clause,
    STATE(13116), 1,
      sym_order_by_clause,
    STATE(18608), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333085] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8044), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11900), 1,
      sym_identifier,
    STATE(12346), 1,
      sym_window_partition_clause,
    STATE(13120), 1,
      sym_order_by_clause,
    STATE(18196), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333153] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8046), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11896), 1,
      sym_identifier,
    STATE(12409), 1,
      sym_window_partition_clause,
    STATE(13102), 1,
      sym_order_by_clause,
    STATE(17504), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333221] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(2445), 1,
      aux_sym_function_call_token2,
    ACTIONS(8028), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(8030), 1,
      aux_sym_partition_expression_token1,
    ACTIONS(8034), 1,
      aux_sym_partition_expression_token9,
    STATE(2414), 1,
      sym__identifier,
    STATE(7134), 1,
      sym_function_call,
    STATE(7135), 1,
      sym_partition_expression,
    STATE(7253), 1,
      sym__type_chrono,
    STATE(7308), 1,
      sym_identifier,
    STATE(18367), 1,
      sym__keyword_range,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8032), 3,
      aux_sym_partition_expression_token2,
      aux_sym_partition_expression_token3,
      aux_sym_partition_expression_token4,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333285] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8048), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11922), 1,
      sym_identifier,
    STATE(12767), 1,
      sym_window_partition_clause,
    STATE(13137), 1,
      sym_order_by_clause,
    STATE(16948), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333353] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8050), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11897), 1,
      sym_identifier,
    STATE(12403), 1,
      sym_window_partition_clause,
    STATE(13105), 1,
      sym_order_by_clause,
    STATE(17170), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333421] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8052), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11843), 1,
      sym_identifier,
    STATE(12602), 1,
      sym_window_partition_clause,
    STATE(13040), 1,
      sym_order_by_clause,
    STATE(17607), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333489] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8054), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11848), 1,
      sym_identifier,
    STATE(12866), 1,
      sym_window_partition_clause,
    STATE(13196), 1,
      sym_order_by_clause,
    STATE(18328), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333557] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8056), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11998), 1,
      sym_identifier,
    STATE(12495), 1,
      sym_window_partition_clause,
    STATE(13045), 1,
      sym_order_by_clause,
    STATE(19320), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333625] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8058), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11847), 1,
      sym_identifier,
    STATE(12612), 1,
      sym_window_partition_clause,
    STATE(13052), 1,
      sym_order_by_clause,
    STATE(18459), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333693] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8060), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11910), 1,
      sym_identifier,
    STATE(12243), 1,
      sym_window_partition_clause,
    STATE(13164), 1,
      sym_order_by_clause,
    STATE(17265), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333761] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8062), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11909), 1,
      sym_identifier,
    STATE(12747), 1,
      sym_window_partition_clause,
    STATE(13130), 1,
      sym_order_by_clause,
    STATE(19087), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333829] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8064), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11846), 1,
      sym_identifier,
    STATE(12178), 1,
      sym_window_partition_clause,
    STATE(13190), 1,
      sym_order_by_clause,
    STATE(17320), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333897] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8066), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11905), 1,
      sym_identifier,
    STATE(12386), 1,
      sym_window_partition_clause,
    STATE(13103), 1,
      sym_order_by_clause,
    STATE(18041), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [333965] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8068), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11893), 1,
      sym_identifier,
    STATE(12230), 1,
      sym_window_partition_clause,
    STATE(13174), 1,
      sym_order_by_clause,
    STATE(17385), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334033] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(245), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8018), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8022), 1,
      aux_sym_rows_range_token1,
    ACTIONS(8070), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(11853), 1,
      sym_identifier,
    STATE(12874), 1,
      sym_window_partition_clause,
    STATE(13098), 1,
      sym_order_by_clause,
    STATE(16827), 1,
      sym_window_frame_clause,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_using_clause_token1,
    ACTIONS(8072), 1,
      aux_sym_join_condition_token1,
    STATE(5261), 1,
      sym_join_condition,
    STATE(18441), 1,
      sym_join_type,
    ACTIONS(3489), 21,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [334140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5261), 1,
      sym_join_condition,
    STATE(18441), 1,
      sym_join_type,
    ACTIONS(3489), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5260), 1,
      sym_join_condition,
    STATE(18441), 1,
      sym_join_type,
    ACTIONS(3461), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334210] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      aux_sym_tablesample_operator_token1,
    ACTIONS(3519), 1,
      aux_sym_join_type_token1,
    ACTIONS(8074), 1,
      anon_sym_COMMA,
    ACTIONS(8076), 1,
      aux_sym_pivot_operator_token1,
    ACTIONS(8078), 1,
      aux_sym_unpivot_operator_token1,
    ACTIONS(8080), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(8082), 1,
      aux_sym__cross_join_operation_token2,
    STATE(5561), 1,
      sym_tablesample_operator,
    STATE(18254), 1,
      sym_join_type,
    STATE(5384), 2,
      sym_pivot_operator,
      sym_unpivot_operator,
    ACTIONS(3521), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
    ACTIONS(3507), 11,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [334263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8084), 1,
      aux_sym__keyword_as_token1,
    STATE(15824), 1,
      sym__keyword_as,
    ACTIONS(1475), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_using_clause_token1,
    ACTIONS(8072), 1,
      aux_sym_join_condition_token1,
    STATE(5260), 1,
      sym_join_condition,
    STATE(18441), 1,
      sym_join_type,
    ACTIONS(3461), 21,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [334337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8086), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(415), 1,
      sym_unnest_withoffset,
    ACTIONS(1523), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334372] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8088), 1,
      sym__unquoted_identifier,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12133), 1,
      sym_identifier,
    STATE(14598), 1,
      sym_create_function_parameter,
    STATE(16303), 1,
      sym_type,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18441), 1,
      sym_join_type,
    ACTIONS(3531), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18441), 1,
      sym_join_type,
    ACTIONS(3527), 23,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [334494] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8088), 1,
      sym__unquoted_identifier,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12133), 1,
      sym_identifier,
    STATE(16138), 1,
      sym_create_function_parameter,
    STATE(16303), 1,
      sym_type,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18254), 1,
      sym_join_type,
    ACTIONS(3531), 21,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [334582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__quoted_identifier,
    ACTIONS(1471), 18,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
      sym__unquoted_identifier,
  [334612] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(535), 1,
      aux_sym_select_token1,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14288), 1,
      sym_query_expr,
    STATE(15035), 1,
      sym_identifier,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18254), 1,
      sym_join_type,
    ACTIONS(3527), 21,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [334696] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8094), 1,
      aux_sym_primary_key_token1,
    ACTIONS(8096), 1,
      aux_sym_foreign_key_token1,
    ACTIONS(8098), 1,
      aux_sym_add_foreign_key_action_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12493), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(16150), 2,
      sym_column_definition,
      sym_constraint_definition,
    STATE(16291), 2,
      sym_primary_key,
      sym_foreign_key,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(4458), 1,
      anon_sym_RPAREN,
    ACTIONS(5528), 1,
      aux_sym_order_by_clause_token1,
    STATE(6413), 1,
      sym_order_by_clause,
    STATE(6414), 1,
      sym_limit_clause,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(4460), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
    ACTIONS(1777), 12,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      sym__unquoted_identifier,
  [334790] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8094), 1,
      aux_sym_primary_key_token1,
    ACTIONS(8096), 1,
      aux_sym_foreign_key_token1,
    ACTIONS(8098), 1,
      aux_sym_add_foreign_key_action_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12493), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14624), 2,
      sym_column_definition,
      sym_constraint_definition,
    STATE(16291), 2,
      sym_primary_key,
      sym_foreign_key,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334842] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(535), 1,
      aux_sym_select_token1,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14245), 1,
      sym_query_expr,
    STATE(15035), 1,
      sym_identifier,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334896] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8100), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(8102), 1,
      anon_sym_RPAREN,
    ACTIONS(8104), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(8106), 1,
      aux_sym_keyword_current_row_token1,
    STATE(11347), 1,
      sym__keyword_between,
    STATE(16987), 1,
      sym_number,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(16989), 2,
      sym_window_frame_start,
      sym_window_frame_between,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    STATE(16988), 3,
      sym_window_numeric_preceding,
      sym_keyword_unbounded_preceding,
      sym_keyword_current_row,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [334946] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(541), 1,
      aux_sym_function_call_token2,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8110), 1,
      aux_sym__keyword_array_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(11262), 1,
      sym_function_call,
    STATE(14347), 1,
      sym_pivot_value,
    STATE(17268), 1,
      sym_identifier,
    STATE(19337), 1,
      sym__keyword_range,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [334999] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8112), 1,
      anon_sym_LPAREN,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7774), 1,
      sym__identifier,
    STATE(14502), 1,
      sym_unpivot_column,
    STATE(19081), 1,
      sym__type_struct,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14276), 2,
      sym_struct,
      sym_identifier,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335050] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(541), 1,
      aux_sym_function_call_token2,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8110), 1,
      aux_sym__keyword_array_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(11262), 1,
      sym_function_call,
    STATE(14222), 1,
      sym_pivot_value,
    STATE(17268), 1,
      sym_identifier,
    STATE(19337), 1,
      sym__keyword_range,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335103] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(541), 1,
      aux_sym_function_call_token2,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8110), 1,
      aux_sym__keyword_array_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(11262), 1,
      sym_function_call,
    STATE(14343), 1,
      sym_pivot_value,
    STATE(17268), 1,
      sym_identifier,
    STATE(19337), 1,
      sym__keyword_range,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335156] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(541), 1,
      aux_sym_function_call_token2,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8110), 1,
      aux_sym__keyword_array_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(11262), 1,
      sym_function_call,
    STATE(16034), 1,
      sym_pivot_value,
    STATE(17268), 1,
      sym_identifier,
    STATE(19337), 1,
      sym__keyword_range,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335209] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8112), 1,
      anon_sym_LPAREN,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7774), 1,
      sym__identifier,
    STATE(15182), 1,
      sym_unpivot_column,
    STATE(19081), 1,
      sym__type_struct,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14276), 2,
      sym_struct,
      sym_identifier,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335260] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(541), 1,
      aux_sym_function_call_token2,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8110), 1,
      aux_sym__keyword_array_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5252), 1,
      sym__type_chrono,
    STATE(11262), 1,
      sym_function_call,
    STATE(14345), 1,
      sym_pivot_value,
    STATE(17268), 1,
      sym_identifier,
    STATE(19337), 1,
      sym__keyword_range,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335313] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8112), 1,
      anon_sym_LPAREN,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7774), 1,
      sym__identifier,
    STATE(16254), 1,
      sym_unpivot_column,
    STATE(19081), 1,
      sym__type_struct,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14276), 2,
      sym_struct,
      sym_identifier,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335364] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8112), 1,
      anon_sym_LPAREN,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7774), 1,
      sym__identifier,
    STATE(14729), 1,
      sym_unpivot_column,
    STATE(19081), 1,
      sym__type_struct,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(14276), 2,
      sym_struct,
      sym_identifier,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335415] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8116), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11551), 1,
      sym_object_type,
    STATE(14792), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8114), 3,
      aux_sym__keyword_schema_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335461] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8116), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11542), 1,
      sym_object_type,
    STATE(14799), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8114), 3,
      aux_sym__keyword_schema_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335507] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8116), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11572), 1,
      sym_object_type,
    STATE(14742), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8114), 3,
      aux_sym__keyword_schema_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8118), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11193), 1,
      sym__keyword_from,
    STATE(11411), 1,
      sym_from_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11538), 1,
      sym_where_clause,
    STATE(11671), 1,
      sym_group_by_clause,
    STATE(11895), 1,
      sym_having_clause,
    STATE(12097), 1,
      sym_qualify_clause,
    ACTIONS(3585), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [335607] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8130), 1,
      aux_sym_where_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(8352), 1,
      sym_where_clause,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(16164), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8118), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11193), 1,
      sym__keyword_from,
    STATE(11375), 1,
      sym_from_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11593), 1,
      sym_where_clause,
    STATE(11684), 1,
      sym_group_by_clause,
    STATE(11918), 1,
      sym_having_clause,
    STATE(12121), 1,
      sym_qualify_clause,
    ACTIONS(3617), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [335711] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8116), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11549), 1,
      sym_object_type,
    STATE(15100), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8114), 3,
      aux_sym__keyword_schema_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335757] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8116), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11553), 1,
      sym_object_type,
    STATE(14744), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8114), 3,
      aux_sym__keyword_schema_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8118), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6381), 1,
      sym_window_clause,
    STATE(11193), 1,
      sym__keyword_from,
    STATE(11399), 1,
      sym_from_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11470), 1,
      sym_where_clause,
    STATE(11677), 1,
      sym_group_by_clause,
    STATE(11906), 1,
      sym_having_clause,
    STATE(12146), 1,
      sym_qualify_clause,
    ACTIONS(3609), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [335857] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5413), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    ACTIONS(3413), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335905] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8132), 1,
      aux_sym_set_statement_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(13249), 1,
      sym_set_clause,
    STATE(16213), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [335955] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8130), 1,
      aux_sym_where_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(8196), 1,
      sym_where_clause,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(16266), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336005] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5417), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    ACTIONS(3397), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336053] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5399), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    ACTIONS(3401), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336101] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8134), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8136), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(8138), 1,
      anon_sym_COMMA,
    STATE(2414), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11584), 1,
      sym__keyword_as,
    STATE(16095), 1,
      sym_as_alias,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336151] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8140), 1,
      aux_sym_where_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(8196), 1,
      sym_where_clause,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(16352), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336201] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8140), 1,
      aux_sym_where_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(8352), 1,
      sym_where_clause,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(16051), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336251] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8116), 1,
      aux_sym_create_external_table_statement_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11557), 1,
      sym_object_type,
    STATE(15217), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8114), 3,
      aux_sym__keyword_schema_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8118), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11193), 1,
      sym__keyword_from,
    STATE(11429), 1,
      sym_from_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11614), 1,
      sym_where_clause,
    STATE(11662), 1,
      sym_group_by_clause,
    STATE(12002), 1,
      sym_having_clause,
    STATE(12109), 1,
      sym_qualify_clause,
    ACTIONS(3601), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [336351] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5397), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    ACTIONS(3405), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336399] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8144), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12101), 1,
      sym_identifier,
    STATE(14431), 1,
      sym_procedure_argument,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8142), 3,
      aux_sym__keyword_in_token1,
      aux_sym_procedure_argument_token1,
      aux_sym_procedure_argument_token2,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336445] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5401), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    ACTIONS(3393), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336493] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5400), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    ACTIONS(3409), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336541] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8132), 1,
      aux_sym_set_statement_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(14181), 1,
      sym_set_clause,
    STATE(16249), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336591] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5418), 1,
      sym_as_alias,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    ACTIONS(3417), 2,
      aux_sym_where_clause_token1,
      aux_sym_tablesample_operator_token1,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8118), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11193), 1,
      sym__keyword_from,
    STATE(11381), 1,
      sym_from_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11616), 1,
      sym_where_clause,
    STATE(11673), 1,
      sym_group_by_clause,
    STATE(11930), 1,
      sym_having_clause,
    STATE(12123), 1,
      sym_qualify_clause,
    ACTIONS(3613), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [336693] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8148), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11305), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336740] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8150), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19202), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336787] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8152), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11304), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336834] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8154), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11282), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336881] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8156), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11307), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336928] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8158), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11308), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [336975] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8160), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11301), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337022] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8162), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19207), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337069] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8164), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19197), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337116] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8166), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11289), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337163] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8168), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19203), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337210] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8170), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19209), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337257] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8172), 1,
      aux_sym_using_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(18727), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337304] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8152), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19196), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337351] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8174), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11287), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337398] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8176), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(17424), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337445] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8104), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(8106), 1,
      aux_sym_keyword_current_row_token1,
    STATE(16039), 1,
      sym_number,
    STATE(16459), 1,
      sym__window_frame_end_a,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
    STATE(16458), 4,
      sym_window_numeric_preceding,
      sym_window_numeric_following,
      sym_keyword_unbounded_preceding,
      sym_keyword_current_row,
  [337486] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8178), 1,
      aux_sym_using_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19322), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337533] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8180), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11309), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337580] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8182), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11281), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337627] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8184), 1,
      aux_sym_using_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(18415), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337674] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8186), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11310), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337721] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8150), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11285), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337768] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8188), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19210), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337815] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8190), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11297), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337862] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8192), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11284), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337909] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8194), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11306), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [337956] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8186), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(17425), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338003] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12101), 1,
      sym_identifier,
    STATE(16133), 1,
      sym_procedure_argument,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(8142), 3,
      aux_sym__keyword_in_token1,
      aux_sym_procedure_argument_token1,
      aux_sym_procedure_argument_token2,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338046] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8146), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8196), 1,
      aux_sym_join_condition_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11275), 1,
      sym_as_alias,
    STATE(11648), 1,
      sym__keyword_as,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338093] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8198), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19206), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338140] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8200), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(16898), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338187] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8202), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(16897), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338234] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8204), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(17255), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338281] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8148), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(17256), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338328] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8206), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(17128), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338375] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8208), 1,
      aux_sym_join_condition_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(17072), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338422] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(3699), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(8210), 1,
      aux_sym_using_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(5960), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11581), 1,
      sym__keyword_as,
    STATE(19319), 1,
      sym_as_alias,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(3633), 1,
      sym_over_clause,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(3636), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338511] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2029), 1,
      sym__unquoted_identifier,
    ACTIONS(2071), 1,
      sym__quoted_identifier,
    ACTIONS(8214), 1,
      anon_sym_LPAREN,
    STATE(4380), 1,
      sym__identifier,
    STATE(4720), 1,
      sym__type_chrono,
    STATE(4726), 1,
      sym_over_clause,
    STATE(4724), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14192), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2935), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4430), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338553] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      aux_sym__keyword_alter_token1,
    ACTIONS(8218), 1,
      aux_sym__keyword_rename_token1,
    ACTIONS(8220), 1,
      aux_sym__keyword_add_token1,
    ACTIONS(8222), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(8224), 1,
      aux_sym_set_statement_token1,
    STATE(8222), 1,
      sym_alter_column_actions_list,
    STATE(16114), 1,
      sym__keyword_drop,
    STATE(16137), 1,
      sym__keyword_add,
    STATE(16142), 1,
      sym__keyword_rename,
    STATE(16145), 1,
      sym__keyword_alter,
    STATE(9686), 8,
      sym_add_column_action,
      sym_rename_column_action,
      sym_drop_column_action,
      sym_alter_column_action,
      sym_add_primary_key_action,
      sym_drop_primary_key_action,
      sym_add_foreign_key_action,
      sym_drop_constraint_action,
  [338597] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(16720), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338639] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(16721), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338681] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7980), 1,
      sym__unquoted_identifier,
    ACTIONS(7990), 1,
      sym__quoted_identifier,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    STATE(10679), 1,
      sym__identifier,
    STATE(11138), 1,
      sym__type_chrono,
    STATE(11150), 1,
      sym_over_clause,
    STATE(11151), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14058), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7984), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10966), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338723] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__unquoted_identifier,
    ACTIONS(633), 1,
      sym__quoted_identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(5847), 1,
      sym__identifier,
    STATE(6220), 1,
      sym__type_chrono,
    STATE(6566), 1,
      sym_over_clause,
    STATE(6565), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14060), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3545), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6222), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8106), 1,
      aux_sym_keyword_current_row_token1,
    ACTIONS(8232), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    STATE(16448), 1,
      sym_number,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
    STATE(16459), 4,
      sym__window_frame_end_b,
      sym_window_numeric_following,
      sym_keyword_unbounded_following,
      sym_keyword_current_row,
  [338803] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym__unquoted_identifier,
    ACTIONS(1277), 1,
      sym__quoted_identifier,
    ACTIONS(8234), 1,
      anon_sym_LPAREN,
    STATE(2338), 1,
      sym__type_chrono,
    STATE(2525), 1,
      sym__identifier,
    STATE(2724), 1,
      sym_over_clause,
    STATE(2722), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13522), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(373), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2335), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338845] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      sym__unquoted_identifier,
    ACTIONS(191), 1,
      sym__quoted_identifier,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    STATE(1233), 1,
      sym__identifier,
    STATE(1938), 1,
      sym__type_chrono,
    STATE(1956), 1,
      sym_over_clause,
    STATE(1957), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13520), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1267), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2007), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338887] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8240), 1,
      aux_sym_create_function_statement_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5414), 1,
      sym_identifier,
    STATE(11617), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338931] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8004), 1,
      sym__unquoted_identifier,
    ACTIONS(8012), 1,
      sym__quoted_identifier,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    STATE(5098), 1,
      sym__type_chrono,
    STATE(5099), 1,
      sym__identifier,
    STATE(5121), 1,
      sym_over_clause,
    STATE(5127), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13252), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [338973] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8218), 1,
      aux_sym__keyword_rename_token1,
    ACTIONS(8220), 1,
      aux_sym__keyword_add_token1,
    ACTIONS(8222), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(8224), 1,
      aux_sym_set_statement_token1,
    ACTIONS(8244), 1,
      aux_sym__keyword_alter_token1,
    STATE(8222), 1,
      sym_alter_column_actions_list,
    STATE(16114), 1,
      sym__keyword_drop,
    STATE(16142), 1,
      sym__keyword_rename,
    STATE(16204), 1,
      sym__keyword_alter,
    STATE(16205), 1,
      sym__keyword_add,
    STATE(7646), 8,
      sym_add_column_action,
      sym_rename_column_action,
      sym_drop_column_action,
      sym_alter_column_action,
      sym_add_primary_key_action,
      sym_drop_primary_key_action,
      sym_add_foreign_key_action,
      sym_drop_constraint_action,
  [339017] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(7817), 1,
      sym_column_definition,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11453), 1,
      sym_keyword_if_not_exists,
    STATE(12611), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339061] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      sym__unquoted_identifier,
    ACTIONS(2471), 1,
      sym__quoted_identifier,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(3633), 1,
      sym_over_clause,
    STATE(4037), 1,
      sym__identifier,
    STATE(3636), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13787), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339103] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 1,
      sym__unquoted_identifier,
    ACTIONS(2417), 1,
      sym__quoted_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN,
    STATE(5419), 1,
      sym__identifier,
    STATE(5574), 1,
      sym__type_chrono,
    STATE(5903), 1,
      sym_over_clause,
    STATE(5898), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13830), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3371), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5583), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339145] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7992), 1,
      sym__unquoted_identifier,
    ACTIONS(8002), 1,
      sym__quoted_identifier,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    STATE(4221), 1,
      sym__identifier,
    STATE(4609), 1,
      sym_over_clause,
    STATE(4757), 1,
      sym__type_chrono,
    STATE(4608), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13756), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7996), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339187] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 1,
      sym__unquoted_identifier,
    ACTIONS(2547), 1,
      sym__quoted_identifier,
    ACTIONS(8250), 1,
      anon_sym_LPAREN,
    STATE(4760), 1,
      sym__identifier,
    STATE(4780), 1,
      sym__type_chrono,
    STATE(4915), 1,
      sym_over_clause,
    STATE(4917), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14099), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2791), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4840), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339229] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8252), 1,
      anon_sym_LPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(9733), 1,
      sym__type_chrono,
    STATE(10180), 1,
      sym_over_clause,
    STATE(10179), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3793), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9718), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339271] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__unquoted_identifier,
    ACTIONS(633), 1,
      sym__quoted_identifier,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    STATE(5847), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6566), 1,
      sym_over_clause,
    STATE(6565), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14060), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339313] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__unquoted_identifier,
    ACTIONS(2213), 1,
      sym__quoted_identifier,
    ACTIONS(8254), 1,
      anon_sym_LPAREN,
    STATE(7143), 1,
      sym__identifier,
    STATE(7539), 1,
      sym_over_clause,
    STATE(9096), 1,
      sym__type_chrono,
    STATE(7541), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14008), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3627), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9460), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339355] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    STATE(7774), 1,
      sym__identifier,
    STATE(9818), 1,
      sym__type_chrono,
    STATE(9936), 1,
      sym_over_clause,
    STATE(9937), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3739), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9676), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339397] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(7817), 1,
      sym_column_definition,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11447), 1,
      sym_keyword_if_not_exists,
    STATE(12375), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339441] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8258), 1,
      aux_sym_create_function_statement_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5402), 1,
      sym_identifier,
    STATE(11500), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339485] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(19059), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339527] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8212), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(3633), 1,
      sym_over_clause,
    STATE(3636), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18999), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      sym__unquoted_identifier,
    ACTIONS(567), 1,
      sym__quoted_identifier,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(6710), 1,
      sym_over_clause,
    STATE(8782), 1,
      sym__identifier,
    STATE(6711), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13982), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339653] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18998), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339695] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(17266), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339737] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      sym__unquoted_identifier,
    ACTIONS(123), 1,
      sym__quoted_identifier,
    ACTIONS(8262), 1,
      anon_sym_LPAREN,
    STATE(1928), 1,
      sym__identifier,
    STATE(2092), 1,
      sym__type_chrono,
    STATE(2209), 1,
      sym_over_clause,
    STATE(2208), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14070), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1217), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2172), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339779] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8266), 1,
      aux_sym_create_function_statement_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8213), 1,
      sym_identifier,
    STATE(11548), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339823] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__unquoted_identifier,
    ACTIONS(2213), 1,
      sym__quoted_identifier,
    ACTIONS(8254), 1,
      anon_sym_LPAREN,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7143), 1,
      sym__identifier,
    STATE(7539), 1,
      sym_over_clause,
    STATE(7541), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14008), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(6710), 1,
      sym_over_clause,
    STATE(6711), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339907] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__unquoted_identifier,
    ACTIONS(215), 1,
      sym__quoted_identifier,
    ACTIONS(8268), 1,
      anon_sym_LPAREN,
    STATE(396), 1,
      sym__identifier,
    STATE(549), 1,
      sym__type_chrono,
    STATE(576), 1,
      sym_over_clause,
    STATE(577), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13949), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(209), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(593), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [339949] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8104), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(8106), 1,
      aux_sym_keyword_current_row_token1,
    STATE(16039), 1,
      sym_number,
    STATE(16040), 1,
      sym_keyword_current_row,
    STATE(16041), 1,
      sym_window_numeric_following,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(16043), 2,
      sym_window_numeric_preceding,
      sym_keyword_unbounded_preceding,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [339991] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      sym__unquoted_identifier,
    ACTIONS(1963), 1,
      sym__quoted_identifier,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    STATE(3381), 1,
      sym__identifier,
    STATE(3435), 1,
      sym__type_chrono,
    STATE(3460), 1,
      sym_over_clause,
    STATE(3463), 2,
      sym_window_specification,
      sym_identifier,
    STATE(14061), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2801), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340033] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__unquoted_identifier,
    ACTIONS(1321), 1,
      sym__quoted_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    STATE(2973), 1,
      sym__identifier,
    STATE(3288), 1,
      sym__type_chrono,
    STATE(3290), 1,
      sym_over_clause,
    STATE(3345), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13504), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1317), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3144), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      sym__unquoted_identifier,
    ACTIONS(2307), 1,
      sym__quoted_identifier,
    ACTIONS(8274), 1,
      anon_sym_LPAREN,
    STATE(8442), 1,
      sym__identifier,
    STATE(9695), 1,
      sym__type_chrono,
    STATE(10463), 1,
      sym_over_clause,
    STATE(10462), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13922), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3749), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9720), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340117] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8276), 1,
      aux_sym_create_function_statement_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5313), 1,
      sym_identifier,
    STATE(11479), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340161] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8278), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6121), 1,
      sym__type_chrono,
    STATE(6192), 1,
      sym_over_clause,
    STATE(6191), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340203] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(19162), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340245] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(19161), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18919), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340329] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      sym__unquoted_identifier,
    ACTIONS(2363), 1,
      sym__quoted_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN,
    STATE(10539), 1,
      sym__identifier,
    STATE(10692), 1,
      sym__type_chrono,
    STATE(10834), 1,
      sym_over_clause,
    STATE(10832), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13861), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3950), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10681), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340371] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(19256), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340413] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18865), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340455] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16243), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    STATE(18866), 2,
      sym_single_column_unpivot,
      sym_multi_column_unpivot,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(6710), 1,
      sym_over_clause,
    STATE(6711), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340539] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    ACTIONS(8282), 1,
      aux_sym_create_function_statement_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5317), 1,
      sym_identifier,
    STATE(11492), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11573), 1,
      sym_keyword_if_exists,
    STATE(18683), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340624] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7218), 1,
      sym_identifier,
    STATE(11578), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340665] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11489), 1,
      sym_keyword_if_not_exists,
    STATE(16169), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340706] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5405), 1,
      sym_identifier,
    STATE(11488), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11632), 1,
      sym_keyword_if_exists,
    STATE(12914), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340788] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7838), 1,
      sym_identifier,
    STATE(11647), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340829] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8341), 1,
      sym_identifier,
    STATE(11588), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340870] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8342), 1,
      sym_identifier,
    STATE(11473), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340911] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11610), 1,
      sym_keyword_if_not_exists,
    STATE(16320), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340952] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11296), 1,
      sym_select_subexpression,
    STATE(11298), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [340993] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11634), 1,
      sym_keyword_if_exists,
    STATE(18343), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5391), 1,
      sym_identifier,
    STATE(11511), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8343), 1,
      sym_identifier,
    STATE(11475), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341116] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11538), 1,
      sym_where_clause,
    STATE(11671), 1,
      sym_group_by_clause,
    STATE(11895), 1,
      sym_having_clause,
    STATE(12097), 1,
      sym_qualify_clause,
    ACTIONS(3585), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [341161] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    ACTIONS(8286), 1,
      aux_sym_cte_clause_token1,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7774), 1,
      sym__identifier,
    STATE(13940), 1,
      sym_cte,
    STATE(16166), 1,
      sym_identifier,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341202] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6962), 1,
      sym_identifier,
    STATE(11477), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341243] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5410), 1,
      sym_identifier,
    STATE(11519), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341284] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(14716), 1,
      sym_option_item,
    STATE(17563), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341325] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5403), 1,
      sym_identifier,
    STATE(11480), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341366] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11593), 1,
      sym_where_clause,
    STATE(11684), 1,
      sym_group_by_clause,
    STATE(11918), 1,
      sym_having_clause,
    STATE(12121), 1,
      sym_qualify_clause,
    ACTIONS(3617), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [341411] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11299), 1,
      sym_identifier,
    STATE(11303), 1,
      sym_select_subexpression,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341452] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11280), 1,
      sym_select_subexpression,
    STATE(11283), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341493] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8210), 1,
      sym_identifier,
    STATE(11498), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341534] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5394), 1,
      sym_identifier,
    STATE(11560), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341575] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11484), 1,
      sym_keyword_if_not_exists,
    STATE(16054), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8290), 1,
      aux_sym__keyword_from_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11259), 1,
      sym_identifier,
    STATE(11472), 1,
      sym__keyword_from,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341657] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7137), 1,
      sym__assigment_expression,
    STATE(7207), 1,
      sym_update_item,
    STATE(18422), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341698] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8209), 1,
      sym_identifier,
    STATE(11503), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341739] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8203), 1,
      sym_identifier,
    STATE(11509), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341780] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11528), 1,
      sym_keyword_if_exists,
    STATE(17389), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341821] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6064), 1,
      sym_identifier,
    STATE(11478), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341862] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7355), 1,
      sym_identifier,
    STATE(11513), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8213), 1,
      sym_identifier,
    STATE(11548), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8340), 1,
      sym_identifier,
    STATE(11595), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [341985] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    STATE(1938), 1,
      sym__type_chrono,
    STATE(2414), 1,
      sym__identifier,
    STATE(6369), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1267), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2007), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342024] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7228), 1,
      sym_identifier,
    STATE(11591), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342065] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8337), 1,
      sym_identifier,
    STATE(11570), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342106] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11614), 1,
      sym_where_clause,
    STATE(11662), 1,
      sym_group_by_clause,
    STATE(12002), 1,
      sym_having_clause,
    STATE(12109), 1,
      sym_qualify_clause,
    ACTIONS(3601), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [342151] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11292), 1,
      sym_identifier,
    STATE(11295), 1,
      sym_select_subexpression,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7709), 1,
      sym_identifier,
    STATE(11531), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342233] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11526), 1,
      sym_keyword_if_not_exists,
    STATE(16295), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342274] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7137), 1,
      sym__assigment_expression,
    STATE(7207), 1,
      sym_update_item,
    STATE(19336), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342315] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6134), 1,
      sym_identifier,
    STATE(11534), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342356] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7137), 1,
      sym__assigment_expression,
    STATE(7475), 1,
      sym_update_item,
    STATE(19111), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342397] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6109), 1,
      sym_identifier,
    STATE(11507), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342438] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11278), 1,
      sym_identifier,
    STATE(11279), 1,
      sym_select_subexpression,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342479] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11544), 1,
      sym_keyword_if_not_exists,
    STATE(16030), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342520] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6369), 2,
      sym_window_specification,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342559] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6058), 1,
      sym_identifier,
    STATE(11554), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342600] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11487), 1,
      sym_where_clause,
    STATE(11659), 1,
      sym_group_by_clause,
    STATE(11844), 1,
      sym_having_clause,
    STATE(12050), 1,
      sym_qualify_clause,
    ACTIONS(3777), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [342645] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11552), 1,
      sym_keyword_if_not_exists,
    STATE(16353), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342686] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11495), 1,
      sym_keyword_if_exists,
    STATE(14623), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342727] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5416), 1,
      sym_identifier,
    STATE(11490), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342768] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6919), 1,
      sym_identifier,
    STATE(11496), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342809] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7600), 1,
      sym_identifier,
    STATE(11635), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342850] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11324), 1,
      sym_identifier,
    STATE(11481), 1,
      sym_keyword_if_exists,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342891] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7137), 1,
      sym__assigment_expression,
    STATE(9234), 1,
      sym_update_item,
    STATE(19336), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342932] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11314), 1,
      sym_identifier,
    STATE(11481), 1,
      sym_keyword_if_exists,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [342973] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7137), 1,
      sym__assigment_expression,
    STATE(14317), 1,
      sym_update_item,
    STATE(18422), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343014] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6116), 1,
      sym_identifier,
    STATE(11592), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343055] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11277), 1,
      sym_identifier,
    STATE(11288), 1,
      sym_select_subexpression,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343096] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7224), 1,
      sym_identifier,
    STATE(11543), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343137] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7137), 1,
      sym__assigment_expression,
    STATE(7207), 1,
      sym_update_item,
    STATE(19111), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343178] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8292), 1,
      aux_sym__keyword_from_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11263), 1,
      sym_identifier,
    STATE(11521), 1,
      sym__keyword_from,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7812), 1,
      sym_identifier,
    STATE(11589), 1,
      sym_keyword_if_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343260] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11523), 1,
      sym_keyword_if_not_exists,
    STATE(16351), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343301] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8294), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(14441), 1,
      sym_option_item,
    STATE(17563), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343342] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    ACTIONS(8128), 1,
      aux_sym_where_clause_token1,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11616), 1,
      sym_where_clause,
    STATE(11673), 1,
      sym_group_by_clause,
    STATE(11930), 1,
      sym_having_clause,
    STATE(12123), 1,
      sym_qualify_clause,
    ACTIONS(3613), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [343387] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11276), 1,
      sym_select_subexpression,
    STATE(11293), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343428] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8296), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(14439), 1,
      sym_option_item,
    STATE(17563), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8264), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11611), 1,
      sym_keyword_if_exists,
    STATE(12955), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343510] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(14627), 1,
      sym_option_item,
    STATE(17563), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343551] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8300), 1,
      anon_sym_RPAREN,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(15504), 1,
      sym_option_item,
    STATE(17563), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343592] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11619), 1,
      sym_keyword_if_not_exists,
    STATE(16197), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11649), 1,
      sym_keyword_if_not_exists,
    STATE(16206), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343674] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6059), 1,
      sym_identifier,
    STATE(11539), 1,
      sym_keyword_if_not_exists,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343715] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11630), 1,
      sym_keyword_if_not_exists,
    STATE(16022), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343756] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11530), 1,
      sym_keyword_if_not_exists,
    STATE(16300), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343797] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8238), 1,
      aux_sym_keyword_if_not_exists_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11598), 1,
      sym_keyword_if_not_exists,
    STATE(16029), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343838] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11274), 1,
      sym_select_subexpression,
    STATE(11300), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343879] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8302), 1,
      aux_sym_into_clause_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11286), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343917] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8304), 1,
      aux_sym_into_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11856), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343955] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(15559), 1,
      sym_identifier,
    STATE(16885), 1,
      sym_column_list,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [343993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5260), 1,
      sym_join_condition,
    STATE(18475), 1,
      sym_join_type,
    ACTIONS(3461), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [344019] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8306), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(19047), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344057] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(7574), 1,
      sym_column_definition,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12375), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8232), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    STATE(16448), 1,
      sym_number,
    STATE(16459), 1,
      sym__window_frame_end_c,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(16449), 2,
      sym_window_numeric_following,
      sym_keyword_unbounded_following,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [344131] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12651), 1,
      sym_identifier,
    STATE(15847), 1,
      sym_column_definition,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344169] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(15553), 1,
      sym_option_item,
    STATE(17563), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344207] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      aux_sym__keyword_alter_token1,
    ACTIONS(8220), 1,
      aux_sym__keyword_add_token1,
    ACTIONS(8222), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(8308), 1,
      aux_sym__keyword_rename_token1,
    STATE(16114), 1,
      sym__keyword_drop,
    STATE(16137), 1,
      sym__keyword_add,
    STATE(16142), 1,
      sym__keyword_rename,
    STATE(16145), 1,
      sym__keyword_alter,
    STATE(7809), 8,
      sym_add_column_action,
      sym_rename_column_action,
      sym_drop_column_action,
      sym_alter_column_action,
      sym_add_primary_key_action,
      sym_drop_primary_key_action,
      sym_add_foreign_key_action,
      sym_drop_constraint_action,
  [344245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5261), 1,
      sym_join_condition,
    STATE(18475), 1,
      sym_join_type,
    ACTIONS(3489), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [344271] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(7574), 1,
      sym_column_definition,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12611), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344309] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12651), 1,
      sym_identifier,
    STATE(15578), 1,
      sym_column_definition,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344347] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6407), 1,
      sym_named_window_expression,
    STATE(7774), 1,
      sym__identifier,
    STATE(16203), 1,
      sym_identifier,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 1,
      aux_sym__keyword_add_token1,
    ACTIONS(8222), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(8244), 1,
      aux_sym__keyword_alter_token1,
    ACTIONS(8308), 1,
      aux_sym__keyword_rename_token1,
    STATE(16114), 1,
      sym__keyword_drop,
    STATE(16142), 1,
      sym__keyword_rename,
    STATE(16204), 1,
      sym__keyword_alter,
    STATE(16205), 1,
      sym__keyword_add,
    STATE(7809), 8,
      sym_add_column_action,
      sym_rename_column_action,
      sym_drop_column_action,
      sym_alter_column_action,
      sym_add_primary_key_action,
      sym_drop_primary_key_action,
      sym_add_foreign_key_action,
      sym_drop_constraint_action,
  [344423] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    ACTIONS(8310), 1,
      aux_sym_into_clause_token1,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11948), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344461] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7774), 1,
      sym__identifier,
    STATE(14232), 1,
      sym_cte,
    STATE(16166), 1,
      sym_identifier,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344499] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(15559), 1,
      sym_identifier,
    STATE(16513), 1,
      sym_column_list,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344537] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7774), 1,
      sym__identifier,
    STATE(14115), 1,
      sym_cte,
    STATE(16166), 1,
      sym_identifier,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344575] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12651), 1,
      sym_identifier,
    STATE(16132), 1,
      sym_column_definition,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344613] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(16172), 1,
      sym_option_item,
    STATE(17563), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344651] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    ACTIONS(8306), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16421), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344689] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    ACTIONS(8312), 1,
      aux_sym_into_clause_token1,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11311), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344727] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_using_clause_token1,
    ACTIONS(8314), 1,
      aux_sym_join_condition_token1,
    STATE(5260), 1,
      sym_join_condition,
    STATE(18475), 1,
      sym_join_type,
    ACTIONS(3461), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [344757] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(15559), 1,
      sym_identifier,
    STATE(16887), 1,
      sym_column_list,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344795] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6407), 1,
      sym_named_window_expression,
    STATE(7774), 1,
      sym__identifier,
    STATE(16201), 1,
      sym_identifier,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_using_clause_token1,
    ACTIONS(8314), 1,
      aux_sym_join_condition_token1,
    STATE(5261), 1,
      sym_join_condition,
    STATE(18475), 1,
      sym_join_type,
    ACTIONS(3489), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [344863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__unquoted_identifier,
    ACTIONS(2213), 1,
      sym__quoted_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7143), 1,
      sym__identifier,
    STATE(7534), 1,
      sym_identifier,
    STATE(14008), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344898] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11662), 1,
      sym_group_by_clause,
    STATE(12002), 1,
      sym_having_clause,
    STATE(12109), 1,
      sym_qualify_clause,
    ACTIONS(3601), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [344937] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16241), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [344972] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11252), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345007] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8274), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345042] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym__unquoted_identifier,
    ACTIONS(1277), 1,
      sym__quoted_identifier,
    STATE(2338), 1,
      sym__type_chrono,
    STATE(2525), 1,
      sym__identifier,
    STATE(2760), 1,
      sym_identifier,
    STATE(13522), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(373), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2335), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345077] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8275), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345112] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(11693), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6919), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345182] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6145), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345217] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5317), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5416), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16101), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345322] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7749), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7512), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345392] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16282), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(9612), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345462] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 1,
      aux_sym_where_clause_token1,
    ACTIONS(3517), 1,
      aux_sym_tablesample_operator_token1,
    ACTIONS(3519), 1,
      aux_sym_join_type_token1,
    ACTIONS(8316), 1,
      anon_sym_COMMA,
    ACTIONS(8318), 1,
      aux_sym_pivot_operator_token1,
    ACTIONS(8320), 1,
      aux_sym_unpivot_operator_token1,
    ACTIONS(8322), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(8324), 1,
      aux_sym__cross_join_operation_token2,
    STATE(5561), 1,
      sym_tablesample_operator,
    STATE(18317), 1,
      sym_join_type,
    STATE(5384), 2,
      sym_pivot_operator,
      sym_unpivot_operator,
    ACTIONS(3521), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
  [345505] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11666), 1,
      sym_group_by_clause,
    STATE(11851), 1,
      sym_having_clause,
    STATE(12039), 1,
      sym_qualify_clause,
    ACTIONS(3809), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [345544] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5411), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345579] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16092), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5410), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345649] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__unquoted_identifier,
    ACTIONS(2213), 1,
      sym__quoted_identifier,
    STATE(7143), 1,
      sym__identifier,
    STATE(7534), 1,
      sym_identifier,
    STATE(9096), 1,
      sym__type_chrono,
    STATE(14008), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3627), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9460), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345684] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5314), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2029), 1,
      sym__unquoted_identifier,
    ACTIONS(2071), 1,
      sym__quoted_identifier,
    STATE(4380), 1,
      sym__identifier,
    STATE(4510), 1,
      sym_identifier,
    STATE(4720), 1,
      sym__type_chrono,
    STATE(14192), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2935), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4430), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345754] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      sym__unquoted_identifier,
    ACTIONS(1963), 1,
      sym__quoted_identifier,
    STATE(3381), 1,
      sym__identifier,
    STATE(3435), 1,
      sym__type_chrono,
    STATE(3593), 1,
      sym_identifier,
    STATE(14061), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2801), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345789] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(15465), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345824] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6810), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345859] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__unquoted_identifier,
    ACTIONS(1321), 1,
      sym__quoted_identifier,
    STATE(2973), 1,
      sym__identifier,
    STATE(3234), 1,
      sym_identifier,
    STATE(3288), 1,
      sym__type_chrono,
    STATE(13504), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1317), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3144), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345894] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8345), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      sym__unquoted_identifier,
    ACTIONS(1963), 1,
      sym__quoted_identifier,
    STATE(3381), 1,
      sym__identifier,
    STATE(3435), 1,
      sym__type_chrono,
    STATE(3590), 1,
      sym_identifier,
    STATE(14061), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2801), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3432), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5414), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [345999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14289), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__unquoted_identifier,
    ACTIONS(633), 1,
      sym__quoted_identifier,
    STATE(5847), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(6588), 1,
      sym_identifier,
    STATE(14060), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346069] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8346), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11894), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346139] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7190), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346174] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16867), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346209] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6116), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346244] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16557), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8348), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8128), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5396), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11294), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346419] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7290), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16097), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14867), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346524] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__unquoted_identifier,
    ACTIONS(215), 1,
      sym__quoted_identifier,
    STATE(396), 1,
      sym__identifier,
    STATE(471), 1,
      sym_identifier,
    STATE(549), 1,
      sym__type_chrono,
    STATE(13949), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(209), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(593), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346559] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__unquoted_identifier,
    ACTIONS(2213), 1,
      sym__quoted_identifier,
    STATE(7143), 1,
      sym__identifier,
    STATE(7445), 1,
      sym_identifier,
    STATE(9096), 1,
      sym__type_chrono,
    STATE(14008), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3627), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9460), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346594] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(6121), 1,
      sym__type_chrono,
    STATE(7507), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5395), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346664] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14616), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346699] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11264), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346734] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      sym__unquoted_identifier,
    ACTIONS(567), 1,
      sym__quoted_identifier,
    STATE(5931), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(8782), 1,
      sym__identifier,
    STATE(13982), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346769] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16270), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      sym__unquoted_identifier,
    ACTIONS(567), 1,
      sym__quoted_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(7264), 1,
      sym_identifier,
    STATE(8782), 1,
      sym__identifier,
    STATE(13982), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346839] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7522), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346874] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16029), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7895), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(17090), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [346979] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__unquoted_identifier,
    ACTIONS(633), 1,
      sym__quoted_identifier,
    STATE(5847), 1,
      sym__identifier,
    STATE(6201), 1,
      sym_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(14060), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16022), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347049] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7600), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347084] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(6121), 1,
      sym__type_chrono,
    STATE(7854), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3537), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5652), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 1,
      sym__unquoted_identifier,
    ACTIONS(2417), 1,
      sym__quoted_identifier,
    STATE(5419), 1,
      sym__identifier,
    STATE(5574), 1,
      sym__type_chrono,
    STATE(5588), 1,
      sym_identifier,
    STATE(13830), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3371), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5583), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347154] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6080), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347189] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8354), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347224] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      sym__unquoted_identifier,
    ACTIONS(2307), 1,
      sym__quoted_identifier,
    STATE(8442), 1,
      sym__identifier,
    STATE(9631), 1,
      sym_identifier,
    STATE(9695), 1,
      sym__type_chrono,
    STATE(13922), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3749), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9720), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__unquoted_identifier,
    ACTIONS(633), 1,
      sym__quoted_identifier,
    STATE(5847), 1,
      sym__identifier,
    STATE(6201), 1,
      sym_identifier,
    STATE(6220), 1,
      sym__type_chrono,
    STATE(14060), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3545), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6222), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11659), 1,
      sym_group_by_clause,
    STATE(11844), 1,
      sym_having_clause,
    STATE(12050), 1,
      sym_qualify_clause,
    ACTIONS(3777), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [347333] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6025), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2029), 1,
      sym__unquoted_identifier,
    ACTIONS(2071), 1,
      sym__quoted_identifier,
    STATE(4380), 1,
      sym__identifier,
    STATE(4512), 1,
      sym_identifier,
    STATE(4720), 1,
      sym__type_chrono,
    STATE(14192), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2935), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4430), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347403] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__unquoted_identifier,
    ACTIONS(633), 1,
      sym__quoted_identifier,
    STATE(5847), 1,
      sym__identifier,
    STATE(6220), 1,
      sym__type_chrono,
    STATE(6588), 1,
      sym_identifier,
    STATE(14060), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3545), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6222), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347438] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14467), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347473] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7146), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16296), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      sym__unquoted_identifier,
    ACTIONS(123), 1,
      sym__quoted_identifier,
    STATE(1928), 1,
      sym__identifier,
    STATE(2092), 1,
      sym__type_chrono,
    STATE(2163), 1,
      sym_identifier,
    STATE(14070), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1217), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2172), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9730), 1,
      sym_identifier,
    STATE(9733), 1,
      sym__type_chrono,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3793), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9718), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347613] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      sym__unquoted_identifier,
    ACTIONS(123), 1,
      sym__quoted_identifier,
    STATE(1928), 1,
      sym__identifier,
    STATE(2092), 1,
      sym__type_chrono,
    STATE(2240), 1,
      sym_identifier,
    STATE(14070), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1217), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2172), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347648] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8339), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14792), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18475), 1,
      sym_join_type,
    ACTIONS(3527), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [347741] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14475), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16272), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14476), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6016), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347881] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(19277), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(549), 1,
      sym__type_chrono,
    STATE(561), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(209), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(593), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14742), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [347986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7520), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348021] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8326), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(8328), 1,
      aux_sym_keyword_temporary_token2,
    ACTIONS(8330), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(8332), 1,
      aux_sym__keyword_schema_token1,
    ACTIONS(8334), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(8336), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(8338), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(8340), 1,
      aux_sym_create_snapshot_table_statement_token1,
    ACTIONS(8342), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(8344), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(8346), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(8348), 1,
      aux_sym_create_model_statement_token1,
    STATE(11397), 1,
      sym__keyword_schema,
    STATE(12023), 1,
      sym_keyword_replace,
    STATE(14234), 1,
      sym_keyword_temporary,
  [348070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5412), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348105] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(4386), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348140] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(19278), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11271), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 1,
      sym__unquoted_identifier,
    ACTIONS(215), 1,
      sym__quoted_identifier,
    STATE(396), 1,
      sym__identifier,
    STATE(549), 1,
      sym__type_chrono,
    STATE(561), 1,
      sym_identifier,
    STATE(13949), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(209), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(593), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348245] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 1,
      sym__unquoted_identifier,
    ACTIONS(2417), 1,
      sym__quoted_identifier,
    STATE(5419), 1,
      sym__identifier,
    STATE(5574), 1,
      sym__type_chrono,
    STATE(5897), 1,
      sym_identifier,
    STATE(13830), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3371), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5583), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348280] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7894), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18475), 1,
      sym_join_type,
    ACTIONS(3531), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_using_clause_token1,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
      aux_sym_join_condition_token1,
  [348338] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7837), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(19281), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348408] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8264), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348443] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(17086), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348478] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(14500), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(18345), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348548] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(19282), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      sym__unquoted_identifier,
    ACTIONS(2363), 1,
      sym__quoted_identifier,
    STATE(10539), 1,
      sym__identifier,
    STATE(10677), 1,
      sym_identifier,
    STATE(10692), 1,
      sym__type_chrono,
    STATE(13861), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3950), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10681), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348618] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      sym__unquoted_identifier,
    ACTIONS(2363), 1,
      sym__quoted_identifier,
    STATE(10539), 1,
      sym__identifier,
    STATE(10692), 1,
      sym__type_chrono,
    STATE(10870), 1,
      sym_identifier,
    STATE(13861), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3950), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(10681), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(15513), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348688] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7200), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348723] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12158), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348758] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8127), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348793] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(5931), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348828] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11291), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2301), 1,
      sym_identifier,
    STATE(2338), 1,
      sym__type_chrono,
    STATE(2414), 1,
      sym__identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(373), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2335), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348898] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5931), 1,
      sym_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348933] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      sym__unquoted_identifier,
    ACTIONS(2471), 1,
      sym__quoted_identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(4037), 1,
      sym__identifier,
    STATE(4386), 1,
      sym_identifier,
    STATE(13787), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [348968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5574), 1,
      sym__type_chrono,
    STATE(5588), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3371), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5583), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349003] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      sym__unquoted_identifier,
    ACTIONS(2471), 1,
      sym__quoted_identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(4037), 1,
      sym__identifier,
    STATE(4388), 1,
      sym_identifier,
    STATE(13787), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8270), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349073] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7576), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7438), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7120), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6059), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349213] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11671), 1,
      sym_group_by_clause,
    STATE(11895), 1,
      sym_having_clause,
    STATE(12097), 1,
      sym_qualify_clause,
    ACTIONS(3585), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [349252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7491), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8266), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349322] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(9757), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym__unquoted_identifier,
    ACTIONS(1277), 1,
      sym__quoted_identifier,
    STATE(2301), 1,
      sym_identifier,
    STATE(2338), 1,
      sym__type_chrono,
    STATE(2525), 1,
      sym__identifier,
    STATE(13522), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(373), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2335), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349392] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16351), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(19285), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349462] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(19023), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349497] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(8333), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349532] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(19286), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(7774), 1,
      sym__identifier,
    STATE(9692), 1,
      sym_identifier,
    STATE(9818), 1,
      sym__type_chrono,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3739), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9676), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      sym__unquoted_identifier,
    ACTIONS(191), 1,
      sym__quoted_identifier,
    STATE(1233), 1,
      sym__identifier,
    STATE(1913), 1,
      sym_identifier,
    STATE(1938), 1,
      sym__type_chrono,
    STATE(13520), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1267), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2007), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349637] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7447), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12882), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349707] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12882), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349742] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      sym__unquoted_identifier,
    ACTIONS(275), 1,
      sym__quoted_identifier,
    STATE(7774), 1,
      sym__identifier,
    STATE(9818), 1,
      sym__type_chrono,
    STATE(9902), 1,
      sym_identifier,
    STATE(13557), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3739), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9676), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349777] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(6416), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16161), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349847] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(12962), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349882] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11914), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349917] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9733), 1,
      sym__type_chrono,
    STATE(10415), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3793), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9718), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [349952] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11673), 1,
      sym_group_by_clause,
    STATE(11930), 1,
      sym_having_clause,
    STATE(12123), 1,
      sym_qualify_clause,
    ACTIONS(3613), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [349991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(17371), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    ACTIONS(8126), 1,
      aux_sym_group_by_clause_token1,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11684), 1,
      sym_group_by_clause,
    STATE(11918), 1,
      sym_having_clause,
    STATE(12121), 1,
      sym_qualify_clause,
    ACTIONS(3617), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [350065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(5392), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350100] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      sym__unquoted_identifier,
    ACTIONS(2307), 1,
      sym__quoted_identifier,
    STATE(8442), 1,
      sym__identifier,
    STATE(9695), 1,
      sym__type_chrono,
    STATE(10492), 1,
      sym_identifier,
    STATE(13922), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3749), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(9720), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350135] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16192), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350170] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16728), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7837), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350240] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16722), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350275] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      sym__unquoted_identifier,
    ACTIONS(2213), 1,
      sym__quoted_identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(7143), 1,
      sym__identifier,
    STATE(7445), 1,
      sym_identifier,
    STATE(14008), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350310] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(5931), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350345] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11862), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350380] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16219), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350415] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(15798), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350450] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7722), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16290), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350520] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16358), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350555] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(7264), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350590] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(13012), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(11258), 1,
      sym_identifier,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(17544), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350695] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7696), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350730] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 1,
      sym__unquoted_identifier,
    ACTIONS(2547), 1,
      sym__quoted_identifier,
    STATE(4760), 1,
      sym__identifier,
    STATE(4780), 1,
      sym__type_chrono,
    STATE(4873), 1,
      sym_identifier,
    STATE(14099), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2791), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4840), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16298), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350800] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8326), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(8328), 1,
      aux_sym_keyword_temporary_token2,
    ACTIONS(8330), 1,
      aux_sym_keyword_replace_token1,
    ACTIONS(8332), 1,
      aux_sym__keyword_schema_token1,
    ACTIONS(8342), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(8344), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(8346), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(8350), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(8352), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(8354), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(8356), 1,
      aux_sym_create_snapshot_table_statement_token1,
    ACTIONS(8358), 1,
      aux_sym_create_model_statement_token1,
    STATE(11397), 1,
      sym__keyword_schema,
    STATE(12028), 1,
      sym_keyword_replace,
    STATE(14333), 1,
      sym_keyword_temporary,
  [350849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 1,
      sym__unquoted_identifier,
    ACTIONS(2547), 1,
      sym__quoted_identifier,
    STATE(4760), 1,
      sym__identifier,
    STATE(4780), 1,
      sym__type_chrono,
    STATE(4883), 1,
      sym_identifier,
    STATE(14099), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(2791), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(4840), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(11868), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350919] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(6416), 1,
      sym_identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(5098), 1,
      sym__type_chrono,
    STATE(5588), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(7964), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(5101), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [350989] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__unquoted_identifier,
    ACTIONS(1321), 1,
      sym__quoted_identifier,
    STATE(2973), 1,
      sym__identifier,
    STATE(3232), 1,
      sym_identifier,
    STATE(3288), 1,
      sym__type_chrono,
    STATE(13504), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1317), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(3144), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [351024] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(149), 1,
      sym__unquoted_identifier,
    ACTIONS(191), 1,
      sym__quoted_identifier,
    STATE(1233), 1,
      sym__identifier,
    STATE(1911), 1,
      sym_identifier,
    STATE(1938), 1,
      sym__type_chrono,
    STATE(13520), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1267), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2007), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [351059] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16442), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [351094] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2301), 1,
      sym_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(6256), 1,
      sym__type_chrono,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3435), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6283), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [351129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      sym__unquoted_identifier,
    ACTIONS(381), 1,
      sym__quoted_identifier,
    STATE(2414), 1,
      sym__identifier,
    STATE(2770), 1,
      sym__type_chrono,
    STATE(7572), 1,
      sym_identifier,
    STATE(13672), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(1333), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(2772), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [351164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__unquoted_identifier,
    ACTIONS(2633), 1,
      sym__quoted_identifier,
    STATE(5390), 1,
      sym__identifier,
    STATE(5931), 1,
      sym_identifier,
    STATE(6046), 1,
      sym__type_chrono,
    STATE(13409), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3687), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(6105), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [351199] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__unquoted_identifier,
    ACTIONS(1257), 1,
      sym__quoted_identifier,
    STATE(4839), 1,
      sym__identifier,
    STATE(9103), 1,
      sym__type_chrono,
    STATE(16200), 1,
      sym_identifier,
    STATE(13850), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
    ACTIONS(3701), 4,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [351234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8362), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(8360), 12,
      aux_sym__keyword_between_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      aux_sym_keyword_unbounded_preceding_token1,
      aux_sym_keyword_current_row_token1,
      aux_sym__float_token1,
      aux_sym__float_token3,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [351256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8364), 1,
      anon_sym_COMMA,
    STATE(11653), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(139), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [351280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(11653), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(91), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [351304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8368), 1,
      anon_sym_COMMA,
    STATE(11653), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3833), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [351328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8371), 1,
      anon_sym_COMMA,
    STATE(11652), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3889), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [351352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8373), 1,
      anon_sym_COMMA,
    STATE(11651), 1,
      aux_sym_select_list_repeat1,
    ACTIONS(3871), 12,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_group_by_clause_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_where_clause_token1,
  [351376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 1,
      sym__quoted_identifier,
    ACTIONS(6212), 13,
      aux_sym__keyword_range_token1,
      aux_sym__keyword_array_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym_partition_expression_token1,
      aux_sym_partition_expression_token2,
      aux_sym_partition_expression_token3,
      aux_sym_partition_expression_token4,
      aux_sym_partition_expression_token9,
      aux_sym_function_call_token2,
      sym__unquoted_identifier,
  [351398] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8377), 1,
      anon_sym_RPAREN,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8381), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8385), 1,
      aux_sym_function_call_token1,
    STATE(11759), 1,
      aux_sym_call_statement_repeat1,
    STATE(14774), 1,
      sym_order_by_clause,
    STATE(14777), 1,
      aux_sym_function_call_repeat1,
    STATE(17276), 1,
      sym_limit_clause,
    STATE(14173), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351439] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8387), 1,
      anon_sym_RPAREN,
    ACTIONS(8389), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8391), 1,
      aux_sym_function_call_token1,
    STATE(11826), 1,
      aux_sym_call_statement_repeat1,
    STATE(14613), 1,
      aux_sym_function_call_repeat1,
    STATE(15835), 1,
      sym_order_by_clause,
    STATE(16707), 1,
      sym_limit_clause,
    STATE(13558), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351480] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11851), 1,
      sym_having_clause,
    STATE(12039), 1,
      sym_qualify_clause,
    ACTIONS(3809), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351513] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8393), 1,
      anon_sym_RPAREN,
    ACTIONS(8395), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8397), 1,
      aux_sym_function_call_token1,
    STATE(11835), 1,
      aux_sym_call_statement_repeat1,
    STATE(15236), 1,
      sym_order_by_clause,
    STATE(15239), 1,
      aux_sym_function_call_repeat1,
    STATE(17088), 1,
      sym_limit_clause,
    STATE(13917), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351554] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8399), 1,
      anon_sym_RPAREN,
    ACTIONS(8401), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8403), 1,
      aux_sym_function_call_token1,
    STATE(11779), 1,
      aux_sym_call_statement_repeat1,
    STATE(15642), 1,
      aux_sym_function_call_repeat1,
    STATE(15822), 1,
      sym_order_by_clause,
    STATE(16602), 1,
      sym_limit_clause,
    STATE(13400), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351595] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11930), 1,
      sym_having_clause,
    STATE(12123), 1,
      sym_qualify_clause,
    ACTIONS(3613), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351628] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8405), 1,
      anon_sym_RPAREN,
    ACTIONS(8407), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8409), 1,
      aux_sym_function_call_token1,
    STATE(11706), 1,
      aux_sym_call_statement_repeat1,
    STATE(15403), 1,
      aux_sym_function_call_repeat1,
    STATE(15406), 1,
      sym_order_by_clause,
    STATE(17751), 1,
      sym_limit_clause,
    STATE(13836), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351669] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8411), 1,
      anon_sym_RPAREN,
    ACTIONS(8413), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8415), 1,
      aux_sym_function_call_token1,
    STATE(11783), 1,
      aux_sym_call_statement_repeat1,
    STATE(15033), 1,
      aux_sym_function_call_repeat1,
    STATE(15068), 1,
      sym_order_by_clause,
    STATE(17642), 1,
      sym_limit_clause,
    STATE(14004), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351710] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8417), 1,
      anon_sym_RPAREN,
    ACTIONS(8419), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8421), 1,
      aux_sym_function_call_token1,
    STATE(11722), 1,
      aux_sym_call_statement_repeat1,
    STATE(15859), 1,
      aux_sym_function_call_repeat1,
    STATE(15874), 1,
      sym_order_by_clause,
    STATE(18218), 1,
      sym_limit_clause,
    STATE(13411), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351751] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6559), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11859), 1,
      sym_having_clause,
    STATE(12048), 1,
      sym_qualify_clause,
    ACTIONS(3934), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351784] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8423), 1,
      anon_sym_RPAREN,
    ACTIONS(8425), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8427), 1,
      aux_sym_function_call_token1,
    STATE(11781), 1,
      aux_sym_call_statement_repeat1,
    STATE(15445), 1,
      aux_sym_function_call_repeat1,
    STATE(15639), 1,
      sym_order_by_clause,
    STATE(16835), 1,
      sym_limit_clause,
    STATE(13728), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351825] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8429), 1,
      anon_sym_RPAREN,
    ACTIONS(8431), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8433), 1,
      aux_sym_function_call_token1,
    STATE(11837), 1,
      aux_sym_call_statement_repeat1,
    STATE(14923), 1,
      aux_sym_function_call_repeat1,
    STATE(14930), 1,
      sym_order_by_clause,
    STATE(17620), 1,
      sym_limit_clause,
    STATE(14072), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351866] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8435), 1,
      anon_sym_RPAREN,
    ACTIONS(8437), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8439), 1,
      aux_sym_function_call_token1,
    STATE(11784), 1,
      aux_sym_call_statement_repeat1,
    STATE(15344), 1,
      sym_order_by_clause,
    STATE(15357), 1,
      aux_sym_function_call_repeat1,
    STATE(18053), 1,
      sym_limit_clause,
    STATE(13332), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351907] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8441), 1,
      anon_sym_RPAREN,
    ACTIONS(8443), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8445), 1,
      aux_sym_function_call_token1,
    STATE(11792), 1,
      aux_sym_call_statement_repeat1,
    STATE(14804), 1,
      sym_order_by_clause,
    STATE(14805), 1,
      aux_sym_function_call_repeat1,
    STATE(18472), 1,
      sym_limit_clause,
    STATE(14154), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [351948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11844), 1,
      sym_having_clause,
    STATE(12050), 1,
      sym_qualify_clause,
    ACTIONS(3777), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [351981] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8447), 1,
      anon_sym_RPAREN,
    ACTIONS(8449), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8451), 1,
      aux_sym_function_call_token1,
    STATE(11760), 1,
      aux_sym_call_statement_repeat1,
    STATE(15033), 1,
      aux_sym_function_call_repeat1,
    STATE(15094), 1,
      sym_order_by_clause,
    STATE(17658), 1,
      sym_limit_clause,
    STATE(13981), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352022] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11918), 1,
      sym_having_clause,
    STATE(12121), 1,
      sym_qualify_clause,
    ACTIONS(3617), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [352055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18317), 1,
      sym_join_type,
    ACTIONS(3531), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [352076] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8453), 1,
      anon_sym_RPAREN,
    ACTIONS(8455), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8457), 1,
      aux_sym_function_call_token1,
    STATE(11699), 1,
      aux_sym_call_statement_repeat1,
    STATE(15085), 1,
      aux_sym_function_call_repeat1,
    STATE(15331), 1,
      sym_order_by_clause,
    STATE(16527), 1,
      sym_limit_clause,
    STATE(13327), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352117] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8459), 1,
      anon_sym_RPAREN,
    ACTIONS(8461), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8463), 1,
      aux_sym_function_call_token1,
    STATE(11782), 1,
      aux_sym_call_statement_repeat1,
    STATE(15516), 1,
      aux_sym_function_call_repeat1,
    STATE(15519), 1,
      sym_order_by_clause,
    STATE(19104), 1,
      sym_limit_clause,
    STATE(13778), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12002), 1,
      sym_having_clause,
    STATE(12109), 1,
      sym_qualify_clause,
    ACTIONS(3601), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [352191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18317), 1,
      sym_join_type,
    ACTIONS(3527), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_where_clause_token1,
      aux_sym_pivot_operator_token1,
      aux_sym_unpivot_operator_token1,
      aux_sym_tablesample_operator_token1,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [352212] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8465), 1,
      anon_sym_RPAREN,
    ACTIONS(8467), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8469), 1,
      aux_sym_function_call_token1,
    STATE(11752), 1,
      aux_sym_call_statement_repeat1,
    STATE(15809), 1,
      aux_sym_function_call_repeat1,
    STATE(15811), 1,
      sym_order_by_clause,
    STATE(17894), 1,
      sym_limit_clause,
    STATE(13584), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352253] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8471), 1,
      anon_sym_RPAREN,
    ACTIONS(8473), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8475), 1,
      aux_sym_function_call_token1,
    STATE(11718), 1,
      aux_sym_call_statement_repeat1,
    STATE(15033), 1,
      aux_sym_function_call_repeat1,
    STATE(15099), 1,
      sym_order_by_clause,
    STATE(18956), 1,
      sym_limit_clause,
    STATE(13978), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352294] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8477), 1,
      anon_sym_RPAREN,
    ACTIONS(8479), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8481), 1,
      aux_sym_function_call_token1,
    STATE(11727), 1,
      aux_sym_call_statement_repeat1,
    STATE(14511), 1,
      aux_sym_function_call_repeat1,
    STATE(14516), 1,
      sym_order_by_clause,
    STATE(18624), 1,
      sym_limit_clause,
    STATE(13931), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352335] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8483), 1,
      anon_sym_RPAREN,
    ACTIONS(8485), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8487), 1,
      aux_sym_function_call_token1,
    STATE(11750), 1,
      aux_sym_call_statement_repeat1,
    STATE(14427), 1,
      aux_sym_function_call_repeat1,
    STATE(14428), 1,
      sym_order_by_clause,
    STATE(17513), 1,
      sym_limit_clause,
    STATE(13751), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352376] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8489), 1,
      anon_sym_RPAREN,
    ACTIONS(8491), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8493), 1,
      aux_sym_function_call_token1,
    STATE(11773), 1,
      aux_sym_call_statement_repeat1,
    STATE(14427), 1,
      aux_sym_function_call_repeat1,
    STATE(15566), 1,
      sym_order_by_clause,
    STATE(18043), 1,
      sym_limit_clause,
    STATE(13354), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352417] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8122), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(11895), 1,
      sym_having_clause,
    STATE(12097), 1,
      sym_qualify_clause,
    ACTIONS(3585), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [352450] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8495), 1,
      anon_sym_RPAREN,
    ACTIONS(8497), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8499), 1,
      aux_sym_function_call_token1,
    STATE(11810), 1,
      aux_sym_call_statement_repeat1,
    STATE(14511), 1,
      aux_sym_function_call_repeat1,
    STATE(15697), 1,
      sym_order_by_clause,
    STATE(17862), 1,
      sym_limit_clause,
    STATE(13661), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352491] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8501), 1,
      anon_sym_RPAREN,
    ACTIONS(8503), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8505), 1,
      aux_sym_function_call_token1,
    STATE(11827), 1,
      aux_sym_call_statement_repeat1,
    STATE(14875), 1,
      aux_sym_function_call_repeat1,
    STATE(14878), 1,
      sym_order_by_clause,
    STATE(18804), 1,
      sym_limit_clause,
    STATE(14098), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352532] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8507), 1,
      anon_sym_RPAREN,
    ACTIONS(8509), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8511), 1,
      aux_sym_function_call_token1,
    STATE(11713), 1,
      aux_sym_call_statement_repeat1,
    STATE(14613), 1,
      aux_sym_function_call_repeat1,
    STATE(15442), 1,
      sym_order_by_clause,
    STATE(16964), 1,
      sym_limit_clause,
    STATE(13819), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352573] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
    ACTIONS(8515), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8517), 1,
      aux_sym_function_call_token1,
    STATE(11769), 1,
      aux_sym_call_statement_repeat1,
    STATE(14543), 1,
      sym_order_by_clause,
    STATE(14546), 1,
      aux_sym_function_call_repeat1,
    STATE(17397), 1,
      sym_limit_clause,
    STATE(13975), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352614] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8519), 1,
      anon_sym_RPAREN,
    ACTIONS(8521), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8523), 1,
      aux_sym_function_call_token1,
    STATE(11787), 1,
      aux_sym_call_statement_repeat1,
    STATE(15558), 1,
      sym_order_by_clause,
    STATE(15560), 1,
      aux_sym_function_call_repeat1,
    STATE(18337), 1,
      sym_limit_clause,
    STATE(13764), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352655] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8525), 1,
      anon_sym_RPAREN,
    ACTIONS(8527), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8529), 1,
      aux_sym_function_call_token1,
    STATE(11714), 1,
      aux_sym_call_statement_repeat1,
    STATE(14613), 1,
      aux_sym_function_call_repeat1,
    STATE(14839), 1,
      sym_order_by_clause,
    STATE(19331), 1,
      sym_limit_clause,
    STATE(13235), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352696] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8531), 1,
      anon_sym_RPAREN,
    ACTIONS(8533), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8535), 1,
      aux_sym_function_call_token1,
    STATE(11751), 1,
      aux_sym_call_statement_repeat1,
    STATE(15007), 1,
      sym_order_by_clause,
    STATE(15838), 1,
      aux_sym_function_call_repeat1,
    STATE(16487), 1,
      sym_limit_clause,
    STATE(13294), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352737] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8375), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8537), 1,
      anon_sym_RPAREN,
    ACTIONS(8539), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8541), 1,
      aux_sym_function_call_token1,
    STATE(11807), 1,
      aux_sym_call_statement_repeat1,
    STATE(15005), 1,
      sym_order_by_clause,
    STATE(15008), 1,
      aux_sym_function_call_repeat1,
    STATE(17179), 1,
      sym_limit_clause,
    STATE(14039), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352778] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(3651), 1,
      anon_sym_LPAREN,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8547), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(7460), 1,
      sym_from_files_clause,
    STATE(11199), 1,
      sym__keyword_partition_by,
    STATE(12024), 1,
      sym_create_table_parameters,
    STATE(13019), 1,
      sym_table_partition_clause,
    STATE(14201), 1,
      sym_table_cluster_clause,
    STATE(14708), 1,
      sym_option_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [352818] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8447), 1,
      anon_sym_RPAREN,
    ACTIONS(8449), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8451), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11761), 1,
      aux_sym_call_statement_repeat1,
    STATE(15094), 1,
      sym_order_by_clause,
    STATE(17658), 1,
      sym_limit_clause,
    STATE(13981), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352856] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8551), 1,
      anon_sym_RPAREN,
    ACTIONS(8553), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8555), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13275), 1,
      sym_having_min_clause,
    STATE(13278), 1,
      sym_having_max_clause,
    STATE(14924), 1,
      sym_order_by_clause,
    STATE(16480), 1,
      sym_limit_clause,
  [352896] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(8559), 1,
      aux_sym_keyword_current_row_token2,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    STATE(7697), 1,
      sym_query_statement,
    STATE(7900), 1,
      sym_values_clause,
    STATE(8363), 1,
      sym_query_expr,
    STATE(11849), 1,
      sym_insert_columns,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [352934] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8459), 1,
      anon_sym_RPAREN,
    ACTIONS(8461), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8463), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11791), 1,
      aux_sym_call_statement_repeat1,
    STATE(15519), 1,
      sym_order_by_clause,
    STATE(19104), 1,
      sym_limit_clause,
    STATE(13778), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [352972] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8563), 1,
      anon_sym_RPAREN,
    ACTIONS(8565), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8567), 1,
      aux_sym_function_call_token1,
    STATE(11802), 1,
      aux_sym_call_statement_repeat1,
    STATE(14949), 1,
      sym_order_by_clause,
    STATE(16482), 1,
      sym_limit_clause,
    STATE(13285), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353010] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    ACTIONS(8571), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8573), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13401), 1,
      sym_having_max_clause,
    STATE(13406), 1,
      sym_having_min_clause,
    STATE(15807), 1,
      sym_order_by_clause,
    STATE(16599), 1,
      sym_limit_clause,
  [353050] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8575), 1,
      anon_sym_RPAREN,
    ACTIONS(8577), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8579), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13391), 1,
      sym_having_max_clause,
    STATE(13395), 1,
      sym_having_min_clause,
    STATE(15757), 1,
      sym_order_by_clause,
    STATE(16593), 1,
      sym_limit_clause,
  [353090] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8581), 1,
      anon_sym_RPAREN,
    ACTIONS(8583), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8585), 1,
      aux_sym_function_call_token1,
    STATE(11813), 1,
      aux_sym_call_statement_repeat1,
    STATE(15595), 1,
      sym_order_by_clause,
    STATE(16583), 1,
      sym_limit_clause,
    STATE(13373), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353128] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8587), 1,
      anon_sym_RPAREN,
    ACTIONS(8589), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8591), 1,
      aux_sym_function_call_token1,
    STATE(11728), 1,
      aux_sym_call_statement_repeat1,
    STATE(15359), 1,
      sym_order_by_clause,
    STATE(17743), 1,
      sym_limit_clause,
    STATE(13856), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353166] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8593), 1,
      anon_sym_RPAREN,
    ACTIONS(8595), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8597), 1,
      aux_sym_function_call_token1,
    STATE(11796), 1,
      aux_sym_call_statement_repeat1,
    STATE(14668), 1,
      sym_order_by_clause,
    STATE(19326), 1,
      sym_limit_clause,
    STATE(13250), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353204] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_RPAREN,
    ACTIONS(8601), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8603), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13865), 1,
      sym_having_max_clause,
    STATE(13866), 1,
      sym_having_min_clause,
    STATE(15333), 1,
      sym_order_by_clause,
    STATE(17739), 1,
      sym_limit_clause,
  [353244] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8519), 1,
      anon_sym_RPAREN,
    ACTIONS(8521), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8523), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11772), 1,
      aux_sym_call_statement_repeat1,
    STATE(15558), 1,
      sym_order_by_clause,
    STATE(18337), 1,
      sym_limit_clause,
    STATE(13764), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353282] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8605), 1,
      anon_sym_RPAREN,
    ACTIONS(8607), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8609), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13870), 1,
      sym_having_max_clause,
    STATE(13871), 1,
      sym_having_min_clause,
    STATE(15327), 1,
      sym_order_by_clause,
    STATE(17736), 1,
      sym_limit_clause,
  [353322] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_RPAREN,
    ACTIONS(8613), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8615), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14071), 1,
      sym_having_max_clause,
    STATE(14074), 1,
      sym_having_min_clause,
    STATE(14597), 1,
      sym_order_by_clause,
    STATE(17380), 1,
      sym_limit_clause,
  [353362] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8617), 1,
      anon_sym_RPAREN,
    ACTIONS(8619), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8621), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13831), 1,
      sym_having_max_clause,
    STATE(13834), 1,
      sym_having_min_clause,
    STATE(15408), 1,
      sym_order_by_clause,
    STATE(19076), 1,
      sym_limit_clause,
  [353402] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8623), 1,
      anon_sym_RPAREN,
    ACTIONS(8625), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8627), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13792), 1,
      sym_having_min_clause,
    STATE(13793), 1,
      sym_having_max_clause,
    STATE(15492), 1,
      sym_order_by_clause,
    STATE(16941), 1,
      sym_limit_clause,
  [353442] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8629), 1,
      anon_sym_RPAREN,
    ACTIONS(8631), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8633), 1,
      aux_sym_function_call_token1,
    STATE(11707), 1,
      aux_sym_call_statement_repeat1,
    STATE(14563), 1,
      sym_order_by_clause,
    STATE(17392), 1,
      sym_limit_clause,
    STATE(14021), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353480] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8635), 1,
      anon_sym_RPAREN,
    ACTIONS(8637), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8639), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13257), 1,
      sym_having_max_clause,
    STATE(13258), 1,
      sym_having_min_clause,
    STATE(14718), 1,
      sym_order_by_clause,
    STATE(19324), 1,
      sym_limit_clause,
  [353520] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8641), 1,
      anon_sym_RPAREN,
    ACTIONS(8643), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8645), 1,
      aux_sym_function_call_token1,
    STATE(11734), 1,
      aux_sym_call_statement_repeat1,
    STATE(15083), 1,
      sym_order_by_clause,
    STATE(18950), 1,
      sym_limit_clause,
    STATE(13988), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353558] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8647), 1,
      anon_sym_RPAREN,
    ACTIONS(8649), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8651), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13799), 1,
      sym_having_min_clause,
    STATE(13802), 1,
      sym_having_max_clause,
    STATE(15474), 1,
      sym_order_by_clause,
    STATE(16949), 1,
      sym_limit_clause,
  [353598] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8653), 1,
      anon_sym_RPAREN,
    ACTIONS(8655), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8657), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13267), 1,
      sym_having_max_clause,
    STATE(13268), 1,
      sym_having_min_clause,
    STATE(14755), 1,
      sym_order_by_clause,
    STATE(19323), 1,
      sym_limit_clause,
  [353638] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8659), 1,
      anon_sym_RPAREN,
    ACTIONS(8661), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8663), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13804), 1,
      sym_having_min_clause,
    STATE(13805), 1,
      sym_having_max_clause,
    STATE(15469), 1,
      sym_order_by_clause,
    STATE(16951), 1,
      sym_limit_clause,
  [353678] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8665), 1,
      anon_sym_RPAREN,
    ACTIONS(8667), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8669), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13996), 1,
      sym_having_max_clause,
    STATE(13997), 1,
      sym_having_min_clause,
    STATE(15075), 1,
      sym_order_by_clause,
    STATE(18944), 1,
      sym_limit_clause,
  [353718] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8531), 1,
      anon_sym_RPAREN,
    ACTIONS(8533), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8535), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11695), 1,
      aux_sym_call_statement_repeat1,
    STATE(15007), 1,
      sym_order_by_clause,
    STATE(16487), 1,
      sym_limit_clause,
    STATE(13294), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353756] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8671), 1,
      anon_sym_RPAREN,
    ACTIONS(8673), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8675), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13998), 1,
      sym_having_max_clause,
    STATE(14005), 1,
      sym_having_min_clause,
    STATE(15070), 1,
      sym_order_by_clause,
    STATE(18943), 1,
      sym_limit_clause,
  [353796] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8677), 1,
      anon_sym_RPAREN,
    ACTIONS(8679), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8681), 1,
      aux_sym_function_call_token1,
    STATE(11709), 1,
      aux_sym_call_statement_repeat1,
    STATE(15460), 1,
      sym_order_by_clause,
    STATE(16958), 1,
      sym_limit_clause,
    STATE(13809), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353834] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8683), 1,
      anon_sym_RPAREN,
    ACTIONS(8685), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8687), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13364), 1,
      sym_having_min_clause,
    STATE(13370), 1,
      sym_having_max_clause,
    STATE(15596), 1,
      sym_order_by_clause,
    STATE(18208), 1,
      sym_limit_clause,
  [353874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16126), 1,
      sym_number,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [353900] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8689), 1,
      anon_sym_RPAREN,
    ACTIONS(8691), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8693), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13295), 1,
      sym_having_max_clause,
    STATE(13357), 1,
      sym_having_min_clause,
    STATE(15579), 1,
      sym_order_by_clause,
    STATE(18207), 1,
      sym_limit_clause,
  [353940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8525), 1,
      anon_sym_RPAREN,
    ACTIONS(8527), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8529), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11711), 1,
      aux_sym_call_statement_repeat1,
    STATE(14839), 1,
      sym_order_by_clause,
    STATE(19331), 1,
      sym_limit_clause,
    STATE(13235), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [353978] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
    ACTIONS(8515), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8517), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11766), 1,
      aux_sym_call_statement_repeat1,
    STATE(14543), 1,
      sym_order_by_clause,
    STATE(17397), 1,
      sym_limit_clause,
    STATE(13975), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354016] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8695), 1,
      anon_sym_RPAREN,
    ACTIONS(8697), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8699), 1,
      aux_sym_function_call_token1,
    STATE(11768), 1,
      aux_sym_call_statement_repeat1,
    STATE(14481), 1,
      sym_order_by_clause,
    STATE(18619), 1,
      sym_limit_clause,
    STATE(13916), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354054] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8701), 1,
      anon_sym_RPAREN,
    ACTIONS(8703), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8705), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13862), 1,
      sym_having_min_clause,
    STATE(13863), 1,
      sym_having_max_clause,
    STATE(14465), 1,
      sym_order_by_clause,
    STATE(18617), 1,
      sym_limit_clause,
  [354094] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8707), 1,
      anon_sym_RPAREN,
    ACTIONS(8709), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8711), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13843), 1,
      sym_having_min_clause,
    STATE(13849), 1,
      sym_having_max_clause,
    STATE(14446), 1,
      sym_order_by_clause,
    STATE(18610), 1,
      sym_limit_clause,
  [354134] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8713), 1,
      anon_sym_RPAREN,
    ACTIONS(8715), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8717), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13890), 1,
      sym_having_max_clause,
    STATE(13891), 1,
      sym_having_min_clause,
    STATE(15286), 1,
      sym_order_by_clause,
    STATE(17681), 1,
      sym_limit_clause,
  [354174] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8483), 1,
      anon_sym_RPAREN,
    ACTIONS(8485), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8487), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11743), 1,
      aux_sym_call_statement_repeat1,
    STATE(14428), 1,
      sym_order_by_clause,
    STATE(17513), 1,
      sym_limit_clause,
    STATE(13751), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354212] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8489), 1,
      anon_sym_RPAREN,
    ACTIONS(8491), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8493), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11755), 1,
      aux_sym_call_statement_repeat1,
    STATE(15566), 1,
      sym_order_by_clause,
    STATE(18043), 1,
      sym_limit_clause,
    STATE(13354), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354250] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8465), 1,
      anon_sym_RPAREN,
    ACTIONS(8467), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8469), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11739), 1,
      aux_sym_call_statement_repeat1,
    STATE(15811), 1,
      sym_order_by_clause,
    STATE(17894), 1,
      sym_limit_clause,
    STATE(13584), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354288] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8719), 1,
      anon_sym_RPAREN,
    ACTIONS(8721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8723), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13337), 1,
      sym_having_min_clause,
    STATE(13339), 1,
      sym_having_max_clause,
    STATE(15414), 1,
      sym_order_by_clause,
    STATE(18197), 1,
      sym_limit_clause,
  [354328] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8725), 1,
      anon_sym_RPAREN,
    ACTIONS(8727), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8729), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13512), 1,
      sym_having_min_clause,
    STATE(13513), 1,
      sym_having_max_clause,
    STATE(15885), 1,
      sym_order_by_clause,
    STATE(16692), 1,
      sym_limit_clause,
  [354368] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8731), 1,
      anon_sym_RPAREN,
    ACTIONS(8733), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8735), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14015), 1,
      sym_having_max_clause,
    STATE(14017), 1,
      sym_having_min_clause,
    STATE(15047), 1,
      sym_order_by_clause,
    STATE(18933), 1,
      sym_limit_clause,
  [354408] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8737), 1,
      anon_sym_RPAREN,
    ACTIONS(8739), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8741), 1,
      aux_sym_function_call_token1,
    STATE(11812), 1,
      aux_sym_call_statement_repeat1,
    STATE(15631), 1,
      sym_order_by_clause,
    STATE(18333), 1,
      sym_limit_clause,
    STATE(13736), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354446] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8743), 1,
      anon_sym_RPAREN,
    ACTIONS(8745), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8747), 1,
      aux_sym_function_call_token1,
    STATE(11774), 1,
      aux_sym_call_statement_repeat1,
    STATE(15778), 1,
      sym_order_by_clause,
    STATE(17889), 1,
      sym_limit_clause,
    STATE(13604), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354484] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8507), 1,
      anon_sym_RPAREN,
    ACTIONS(8509), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8511), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11715), 1,
      aux_sym_call_statement_repeat1,
    STATE(15442), 1,
      sym_order_by_clause,
    STATE(16964), 1,
      sym_limit_clause,
    STATE(13819), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354522] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8749), 1,
      anon_sym_RPAREN,
    ACTIONS(8751), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8753), 1,
      aux_sym_function_call_token1,
    STATE(11756), 1,
      aux_sym_call_statement_repeat1,
    STATE(14401), 1,
      sym_order_by_clause,
    STATE(17509), 1,
      sym_limit_clause,
    STATE(13514), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354560] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8755), 1,
      anon_sym_RPAREN,
    ACTIONS(8757), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8759), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13613), 1,
      sym_having_max_clause,
    STATE(13614), 1,
      sym_having_min_clause,
    STATE(15759), 1,
      sym_order_by_clause,
    STATE(17887), 1,
      sym_limit_clause,
  [354600] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8761), 1,
      anon_sym_RPAREN,
    ACTIONS(8763), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8765), 1,
      aux_sym_function_call_token1,
    STATE(11816), 1,
      aux_sym_call_statement_repeat1,
    STATE(15760), 1,
      sym_order_by_clause,
    STATE(16596), 1,
      sym_limit_clause,
    STATE(13389), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354638] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8441), 1,
      anon_sym_RPAREN,
    ACTIONS(8443), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8445), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11775), 1,
      aux_sym_call_statement_repeat1,
    STATE(14804), 1,
      sym_order_by_clause,
    STATE(18472), 1,
      sym_limit_clause,
    STATE(14154), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354676] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8767), 1,
      anon_sym_RPAREN,
    ACTIONS(8769), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8771), 1,
      aux_sym_function_call_token1,
    STATE(11803), 1,
      aux_sym_call_statement_repeat1,
    STATE(15163), 1,
      sym_order_by_clause,
    STATE(18056), 1,
      sym_limit_clause,
    STATE(13306), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354714] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_RPAREN,
    ACTIONS(8775), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8777), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13338), 1,
      sym_having_min_clause,
    STATE(13340), 1,
      sym_having_max_clause,
    STATE(14391), 1,
      sym_order_by_clause,
    STATE(17507), 1,
      sym_limit_clause,
  [354754] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8405), 1,
      anon_sym_RPAREN,
    ACTIONS(8407), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8409), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11704), 1,
      aux_sym_call_statement_repeat1,
    STATE(15406), 1,
      sym_order_by_clause,
    STATE(17751), 1,
      sym_limit_clause,
    STATE(13836), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354792] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_RPAREN,
    ACTIONS(8781), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8783), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14135), 1,
      sym_having_min_clause,
    STATE(14138), 1,
      sym_having_max_clause,
    STATE(14828), 1,
      sym_order_by_clause,
    STATE(17258), 1,
      sym_limit_clause,
  [354832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_RPAREN,
    ACTIONS(8787), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8789), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13531), 1,
      sym_having_min_clause,
    STATE(13532), 1,
      sym_having_max_clause,
    STATE(15862), 1,
      sym_order_by_clause,
    STATE(16701), 1,
      sym_limit_clause,
  [354872] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8791), 1,
      anon_sym_RPAREN,
    ACTIONS(8793), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8795), 1,
      aux_sym_function_call_token1,
    STATE(11795), 1,
      aux_sym_call_statement_repeat1,
    STATE(14857), 1,
      sym_order_by_clause,
    STATE(18786), 1,
      sym_limit_clause,
    STATE(14113), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354910] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8471), 1,
      anon_sym_RPAREN,
    ACTIONS(8473), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8475), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11716), 1,
      aux_sym_call_statement_repeat1,
    STATE(15099), 1,
      sym_order_by_clause,
    STATE(18956), 1,
      sym_limit_clause,
    STATE(13978), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [354948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(19329), 1,
      sym_number,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [354974] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8797), 1,
      anon_sym_RPAREN,
    ACTIONS(8799), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8801), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13224), 1,
      sym_having_min_clause,
    STATE(13240), 1,
      sym_having_max_clause,
    STATE(14381), 1,
      sym_order_by_clause,
    STATE(17506), 1,
      sym_limit_clause,
  [355014] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8803), 1,
      anon_sym_RPAREN,
    ACTIONS(8805), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8807), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13273), 1,
      sym_having_min_clause,
    STATE(13274), 1,
      sym_having_max_clause,
    STATE(14901), 1,
      sym_order_by_clause,
    STATE(16479), 1,
      sym_limit_clause,
  [355054] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8809), 1,
      anon_sym_RPAREN,
    ACTIONS(8811), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8813), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13618), 1,
      sym_having_max_clause,
    STATE(13619), 1,
      sym_having_min_clause,
    STATE(15755), 1,
      sym_order_by_clause,
    STATE(17885), 1,
      sym_limit_clause,
  [355094] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8815), 1,
      anon_sym_RPAREN,
    ACTIONS(8817), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8819), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13386), 1,
      sym_having_max_clause,
    STATE(13387), 1,
      sym_having_min_clause,
    STATE(15670), 1,
      sym_order_by_clause,
    STATE(18036), 1,
      sym_limit_clause,
  [355134] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8821), 1,
      anon_sym_RPAREN,
    ACTIONS(8823), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8825), 1,
      aux_sym_function_call_token1,
    STATE(11733), 1,
      aux_sym_call_statement_repeat1,
    STATE(15853), 1,
      sym_order_by_clause,
    STATE(16703), 1,
      sym_limit_clause,
    STATE(13539), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355172] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8827), 1,
      anon_sym_RPAREN,
    ACTIONS(8829), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8831), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13245), 1,
      sym_having_min_clause,
    STATE(13246), 1,
      sym_having_max_clause,
    STATE(14658), 1,
      sym_order_by_clause,
    STATE(18065), 1,
      sym_limit_clause,
  [355212] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8833), 1,
      anon_sym_RPAREN,
    ACTIONS(8835), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8837), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13207), 1,
      sym_having_min_clause,
    STATE(13777), 1,
      sym_having_max_clause,
    STATE(14361), 1,
      sym_order_by_clause,
    STATE(17500), 1,
      sym_limit_clause,
  [355252] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8411), 1,
      anon_sym_RPAREN,
    ACTIONS(8413), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8415), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11800), 1,
      aux_sym_call_statement_repeat1,
    STATE(15068), 1,
      sym_order_by_clause,
    STATE(17642), 1,
      sym_limit_clause,
    STATE(14004), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355290] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8839), 1,
      anon_sym_RPAREN,
    ACTIONS(8841), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8843), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13924), 1,
      sym_having_min_clause,
    STATE(13929), 1,
      sym_having_max_clause,
    STATE(15227), 1,
      sym_order_by_clause,
    STATE(17699), 1,
      sym_limit_clause,
  [355330] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8845), 1,
      anon_sym_RPAREN,
    ACTIONS(8847), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8849), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14147), 1,
      sym_having_min_clause,
    STATE(14148), 1,
      sym_having_max_clause,
    STATE(14808), 1,
      sym_order_by_clause,
    STATE(17269), 1,
      sym_limit_clause,
  [355370] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8851), 1,
      anon_sym_RPAREN,
    ACTIONS(8853), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8855), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13946), 1,
      sym_having_min_clause,
    STATE(13947), 1,
      sym_having_max_clause,
    STATE(15186), 1,
      sym_order_by_clause,
    STATE(17685), 1,
      sym_limit_clause,
  [355410] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8857), 1,
      anon_sym_RPAREN,
    ACTIONS(8859), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8861), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13952), 1,
      sym_having_min_clause,
    STATE(13956), 1,
      sym_having_max_clause,
    STATE(15172), 1,
      sym_order_by_clause,
    STATE(17680), 1,
      sym_limit_clause,
  [355450] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8387), 1,
      anon_sym_RPAREN,
    ACTIONS(8389), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8391), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11746), 1,
      aux_sym_call_statement_repeat1,
    STATE(15835), 1,
      sym_order_by_clause,
    STATE(16707), 1,
      sym_limit_clause,
    STATE(13558), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355488] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8863), 1,
      anon_sym_RPAREN,
    ACTIONS(8865), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8867), 1,
      aux_sym_function_call_token1,
    STATE(11758), 1,
      aux_sym_call_statement_repeat1,
    STATE(15125), 1,
      sym_order_by_clause,
    STATE(17671), 1,
      sym_limit_clause,
    STATE(13965), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355526] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8477), 1,
      anon_sym_RPAREN,
    ACTIONS(8479), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8481), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11726), 1,
      aux_sym_call_statement_repeat1,
    STATE(14516), 1,
      sym_order_by_clause,
    STATE(18624), 1,
      sym_limit_clause,
    STATE(13931), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355564] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8869), 1,
      anon_sym_RPAREN,
    ACTIONS(8871), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8873), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14152), 1,
      sym_having_min_clause,
    STATE(14153), 1,
      sym_having_max_clause,
    STATE(14803), 1,
      sym_order_by_clause,
    STATE(17270), 1,
      sym_limit_clause,
  [355604] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8875), 1,
      anon_sym_RPAREN,
    ACTIONS(8877), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8879), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14037), 1,
      sym_having_max_clause,
    STATE(14043), 1,
      sym_having_min_clause,
    STATE(14572), 1,
      sym_order_by_clause,
    STATE(17390), 1,
      sym_limit_clause,
  [355644] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8881), 1,
      anon_sym_RPAREN,
    ACTIONS(8883), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8885), 1,
      aux_sym_function_call_token1,
    STATE(11821), 1,
      aux_sym_call_statement_repeat1,
    STATE(14833), 1,
      sym_order_by_clause,
    STATE(18465), 1,
      sym_limit_clause,
    STATE(14123), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355682] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8887), 1,
      anon_sym_RPAREN,
    ACTIONS(8889), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8891), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13634), 1,
      sym_having_min_clause,
    STATE(13677), 1,
      sym_having_max_clause,
    STATE(14424), 1,
      sym_order_by_clause,
    STATE(18602), 1,
      sym_limit_clause,
  [355722] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8893), 1,
      anon_sym_RPAREN,
    ACTIONS(8895), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8897), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14046), 1,
      sym_having_max_clause,
    STATE(14056), 1,
      sym_having_min_clause,
    STATE(14577), 1,
      sym_order_by_clause,
    STATE(17388), 1,
      sym_limit_clause,
  [355762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(17625), 1,
      sym_number,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [355788] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8899), 1,
      anon_sym_RPAREN,
    ACTIONS(8901), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8903), 1,
      aux_sym_function_call_token1,
    STATE(11745), 1,
      aux_sym_call_statement_repeat1,
    STATE(14794), 1,
      sym_order_by_clause,
    STATE(17272), 1,
      sym_limit_clause,
    STATE(14161), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [355826] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8905), 1,
      anon_sym_RPAREN,
    ACTIONS(8907), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8909), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13722), 1,
      sym_having_min_clause,
    STATE(13726), 1,
      sym_having_max_clause,
    STATE(15643), 1,
      sym_order_by_clause,
    STATE(18331), 1,
      sym_limit_clause,
  [355866] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8911), 1,
      anon_sym_RPAREN,
    ACTIONS(8913), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8915), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13239), 1,
      sym_having_min_clause,
    STATE(13241), 1,
      sym_having_max_clause,
    STATE(14652), 1,
      sym_order_by_clause,
    STATE(18070), 1,
      sym_limit_clause,
  [355906] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8917), 1,
      anon_sym_RPAREN,
    ACTIONS(8919), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8921), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13638), 1,
      sym_having_max_clause,
    STATE(13639), 1,
      sym_having_min_clause,
    STATE(15727), 1,
      sym_order_by_clause,
    STATE(17878), 1,
      sym_limit_clause,
  [355946] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8923), 1,
      anon_sym_RPAREN,
    ACTIONS(8925), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8927), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14063), 1,
      sym_having_max_clause,
    STATE(14110), 1,
      sym_having_min_clause,
    STATE(14860), 1,
      sym_order_by_clause,
    STATE(18463), 1,
      sym_limit_clause,
  [355986] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(8559), 1,
      aux_sym_keyword_current_row_token2,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    ACTIONS(8929), 1,
      anon_sym_LPAREN,
    STATE(7397), 1,
      sym_query_expr,
    STATE(7697), 1,
      sym_query_statement,
    STATE(7900), 1,
      sym_values_clause,
    STATE(11907), 1,
      sym_insert_columns,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [356024] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8931), 1,
      anon_sym_RPAREN,
    ACTIONS(8933), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8935), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13382), 1,
      sym_having_min_clause,
    STATE(13385), 1,
      sym_having_max_clause,
    STATE(15701), 1,
      sym_order_by_clause,
    STATE(16594), 1,
      sym_limit_clause,
  [356064] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8937), 1,
      anon_sym_RPAREN,
    ACTIONS(8939), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8941), 1,
      aux_sym_function_call_token1,
    STATE(11732), 1,
      aux_sym_call_statement_repeat1,
    STATE(15656), 1,
      sym_order_by_clause,
    STATE(18211), 1,
      sym_limit_clause,
    STATE(13379), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356102] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8943), 1,
      anon_sym_RPAREN,
    ACTIONS(8945), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8947), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13377), 1,
      sym_having_min_clause,
    STATE(13380), 1,
      sym_having_max_clause,
    STATE(15659), 1,
      sym_order_by_clause,
    STATE(16591), 1,
      sym_limit_clause,
  [356142] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8377), 1,
      anon_sym_RPAREN,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8381), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8385), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11765), 1,
      aux_sym_call_statement_repeat1,
    STATE(14774), 1,
      sym_order_by_clause,
    STATE(17276), 1,
      sym_limit_clause,
    STATE(14173), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356180] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8949), 1,
      anon_sym_RPAREN,
    ACTIONS(8951), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8953), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13694), 1,
      sym_having_min_clause,
    STATE(13696), 1,
      sym_having_max_clause,
    STATE(15671), 1,
      sym_order_by_clause,
    STATE(16828), 1,
      sym_limit_clause,
  [356220] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8955), 1,
      anon_sym_RPAREN,
    ACTIONS(8957), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8959), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13817), 1,
      sym_having_max_clause,
    STATE(13818), 1,
      sym_having_min_clause,
    STATE(15448), 1,
      sym_order_by_clause,
    STATE(19090), 1,
      sym_limit_clause,
  [356260] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8961), 1,
      anon_sym_RPAREN,
    ACTIONS(8963), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8965), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13780), 1,
      sym_having_max_clause,
    STATE(13785), 1,
      sym_having_min_clause,
    STATE(14430), 1,
      sym_order_by_clause,
    STATE(17458), 1,
      sym_limit_clause,
  [356300] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8967), 1,
      anon_sym_RPAREN,
    ACTIONS(8969), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8971), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13366), 1,
      sym_having_max_clause,
    STATE(13367), 1,
      sym_having_min_clause,
    STATE(15583), 1,
      sym_order_by_clause,
    STATE(18044), 1,
      sym_limit_clause,
  [356340] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8973), 1,
      anon_sym_RPAREN,
    ACTIONS(8975), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8977), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14007), 1,
      sym_having_min_clause,
    STATE(14009), 1,
      sym_having_max_clause,
    STATE(15059), 1,
      sym_order_by_clause,
    STATE(17166), 1,
      sym_limit_clause,
  [356380] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8979), 1,
      anon_sym_RPAREN,
    ACTIONS(8981), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8983), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13361), 1,
      sym_having_max_clause,
    STATE(13362), 1,
      sym_having_min_clause,
    STATE(15574), 1,
      sym_order_by_clause,
    STATE(18045), 1,
      sym_limit_clause,
  [356420] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8985), 1,
      anon_sym_RPAREN,
    ACTIONS(8987), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8989), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13705), 1,
      sym_having_min_clause,
    STATE(13706), 1,
      sym_having_max_clause,
    STATE(15663), 1,
      sym_order_by_clause,
    STATE(18330), 1,
      sym_limit_clause,
  [356460] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8991), 1,
      anon_sym_RPAREN,
    ACTIONS(8993), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8995), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14197), 1,
      sym_having_min_clause,
    STATE(14198), 1,
      sym_having_max_clause,
    STATE(14705), 1,
      sym_order_by_clause,
    STATE(17305), 1,
      sym_limit_clause,
  [356500] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(8997), 1,
      anon_sym_RPAREN,
    ACTIONS(8999), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9001), 1,
      aux_sym_function_call_token1,
    STATE(11753), 1,
      aux_sym_call_statement_repeat1,
    STATE(15479), 1,
      sym_order_by_clause,
    STATE(18047), 1,
      sym_limit_clause,
    STATE(13352), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356538] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4028), 1,
      aux_sym_default_collate_clause_token1,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9003), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9005), 1,
      aux_sym_default_clause_token1,
    ACTIONS(9007), 1,
      aux_sym_primary_key_token1,
    STATE(7311), 1,
      sym_option_clause,
    STATE(12019), 1,
      sym_collate_clause,
    STATE(12989), 1,
      sym_foreign_key_references,
    STATE(13058), 1,
      sym_default_clause,
    ACTIONS(4020), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [356576] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9009), 1,
      anon_sym_RPAREN,
    ACTIONS(9011), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9013), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13815), 1,
      sym_having_max_clause,
    STATE(13816), 1,
      sym_having_min_clause,
    STATE(15457), 1,
      sym_order_by_clause,
    STATE(19091), 1,
      sym_limit_clause,
  [356616] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9015), 1,
      anon_sym_RPAREN,
    ACTIONS(9017), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9019), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14103), 1,
      sym_having_min_clause,
    STATE(14104), 1,
      sym_having_max_clause,
    STATE(14865), 1,
      sym_order_by_clause,
    STATE(18461), 1,
      sym_limit_clause,
  [356656] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9021), 1,
      anon_sym_RPAREN,
    ACTIONS(9023), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9025), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13499), 1,
      sym_having_min_clause,
    STATE(13500), 1,
      sym_having_max_clause,
    STATE(15865), 1,
      sym_order_by_clause,
    STATE(17905), 1,
      sym_limit_clause,
  [356696] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8429), 1,
      anon_sym_RPAREN,
    ACTIONS(8431), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8433), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11805), 1,
      aux_sym_call_statement_repeat1,
    STATE(14930), 1,
      sym_order_by_clause,
    STATE(17620), 1,
      sym_limit_clause,
    STATE(14072), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356734] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9027), 1,
      anon_sym_RPAREN,
    ACTIONS(9029), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9031), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14155), 1,
      sym_having_max_clause,
    STATE(14156), 1,
      sym_having_min_clause,
    STATE(14802), 1,
      sym_order_by_clause,
    STATE(18756), 1,
      sym_limit_clause,
  [356774] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9033), 1,
      anon_sym_RPAREN,
    ACTIONS(9035), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9037), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13286), 1,
      sym_having_max_clause,
    STATE(13287), 1,
      sym_having_min_clause,
    STATE(15275), 1,
      sym_order_by_clause,
    STATE(19274), 1,
      sym_limit_clause,
  [356814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(15577), 1,
      sym_number,
    ACTIONS(549), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(551), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(6685), 3,
      sym__float,
      sym_numeric,
      sym__number,
    ACTIONS(8108), 4,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [356840] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8423), 1,
      anon_sym_RPAREN,
    ACTIONS(8425), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8427), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11819), 1,
      aux_sym_call_statement_repeat1,
    STATE(15639), 1,
      sym_order_by_clause,
    STATE(16835), 1,
      sym_limit_clause,
    STATE(13728), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356878] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8435), 1,
      anon_sym_RPAREN,
    ACTIONS(8437), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8439), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11786), 1,
      aux_sym_call_statement_repeat1,
    STATE(15344), 1,
      sym_order_by_clause,
    STATE(18053), 1,
      sym_limit_clause,
    STATE(13332), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356916] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9039), 1,
      anon_sym_RPAREN,
    ACTIONS(9041), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9043), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13740), 1,
      sym_having_max_clause,
    STATE(13747), 1,
      sym_having_min_clause,
    STATE(14419), 1,
      sym_order_by_clause,
    STATE(17466), 1,
      sym_limit_clause,
  [356956] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
    ACTIONS(9047), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9049), 1,
      aux_sym_function_call_token1,
    STATE(11708), 1,
      aux_sym_call_statement_repeat1,
    STATE(15477), 1,
      sym_order_by_clause,
    STATE(19089), 1,
      sym_limit_clause,
    STATE(13854), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [356994] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9051), 1,
      anon_sym_RPAREN,
    ACTIONS(9053), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9055), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13262), 1,
      sym_having_min_clause,
    STATE(13264), 1,
      sym_having_max_clause,
    STATE(14790), 1,
      sym_order_by_clause,
    STATE(16474), 1,
      sym_limit_clause,
  [357034] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9057), 1,
      anon_sym_RPAREN,
    ACTIONS(9059), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9061), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13229), 1,
      sym_having_min_clause,
    STATE(13230), 1,
      sym_having_max_clause,
    STATE(14569), 1,
      sym_order_by_clause,
    STATE(18084), 1,
      sym_limit_clause,
  [357074] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    ACTIONS(9065), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9067), 1,
      aux_sym_function_call_token1,
    STATE(11788), 1,
      aux_sym_call_statement_repeat1,
    STATE(14404), 1,
      sym_order_by_clause,
    STATE(17477), 1,
      sym_limit_clause,
    STATE(13540), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357112] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    ACTIONS(9071), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9073), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14101), 1,
      sym_having_max_clause,
    STATE(14102), 1,
      sym_having_min_clause,
    STATE(14871), 1,
      sym_order_by_clause,
    STATE(17611), 1,
      sym_limit_clause,
  [357152] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9075), 1,
      anon_sym_RPAREN,
    ACTIONS(9077), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9079), 1,
      aux_sym_function_call_token1,
    STATE(11814), 1,
      aux_sym_call_statement_repeat1,
    STATE(14884), 1,
      sym_order_by_clause,
    STATE(17613), 1,
      sym_limit_clause,
    STATE(14092), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357190] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9081), 1,
      anon_sym_RPAREN,
    ACTIONS(9083), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9085), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14019), 1,
      sym_having_min_clause,
    STATE(14020), 1,
      sym_having_max_clause,
    STATE(15039), 1,
      sym_order_by_clause,
    STATE(17172), 1,
      sym_limit_clause,
  [357230] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9087), 1,
      anon_sym_RPAREN,
    ACTIONS(9089), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9091), 1,
      aux_sym_function_call_token1,
    STATE(11831), 1,
      aux_sym_call_statement_repeat1,
    STATE(15657), 1,
      sym_order_by_clause,
    STATE(16831), 1,
      sym_limit_clause,
    STATE(13712), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357268] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9093), 1,
      anon_sym_RPAREN,
    ACTIONS(9095), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9097), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14023), 1,
      sym_having_min_clause,
    STATE(14024), 1,
      sym_having_max_clause,
    STATE(15034), 1,
      sym_order_by_clause,
    STATE(17173), 1,
      sym_limit_clause,
  [357308] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_RPAREN,
    ACTIONS(9101), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9103), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13577), 1,
      sym_having_min_clause,
    STATE(13582), 1,
      sym_having_max_clause,
    STATE(15806), 1,
      sym_order_by_clause,
    STATE(17891), 1,
      sym_limit_clause,
  [357348] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9105), 1,
      anon_sym_RPAREN,
    ACTIONS(9107), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9109), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13597), 1,
      sym_having_min_clause,
    STATE(13602), 1,
      sym_having_max_clause,
    STATE(15771), 1,
      sym_order_by_clause,
    STATE(17886), 1,
      sym_limit_clause,
  [357388] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9111), 1,
      anon_sym_RPAREN,
    ACTIONS(9113), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9115), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13678), 1,
      sym_having_min_clause,
    STATE(13684), 1,
      sym_having_max_clause,
    STATE(15680), 1,
      sym_order_by_clause,
    STATE(18323), 1,
      sym_limit_clause,
  [357428] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_RPAREN,
    ACTIONS(9119), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9121), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13492), 1,
      sym_having_max_clause,
    STATE(13494), 1,
      sym_having_min_clause,
    STATE(15914), 1,
      sym_order_by_clause,
    STATE(16673), 1,
      sym_limit_clause,
  [357468] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9123), 1,
      anon_sym_RPAREN,
    ACTIONS(9125), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9127), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14126), 1,
      sym_having_max_clause,
    STATE(14127), 1,
      sym_having_min_clause,
    STATE(14846), 1,
      sym_order_by_clause,
    STATE(17599), 1,
      sym_limit_clause,
  [357508] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9129), 1,
      anon_sym_RPAREN,
    ACTIONS(9131), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9133), 1,
      aux_sym_function_call_token1,
    STATE(11785), 1,
      aux_sym_call_statement_repeat1,
    STATE(15025), 1,
      sym_order_by_clause,
    STATE(17175), 1,
      sym_limit_clause,
    STATE(14029), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357546] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9135), 1,
      anon_sym_RPAREN,
    ACTIONS(9137), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9139), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13368), 1,
      sym_having_min_clause,
    STATE(13371), 1,
      sym_having_max_clause,
    STATE(15604), 1,
      sym_order_by_clause,
    STATE(16529), 1,
      sym_limit_clause,
  [357586] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8393), 1,
      anon_sym_RPAREN,
    ACTIONS(8395), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8397), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11834), 1,
      aux_sym_call_statement_repeat1,
    STATE(15236), 1,
      sym_order_by_clause,
    STATE(17088), 1,
      sym_limit_clause,
    STATE(13917), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357624] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8399), 1,
      anon_sym_RPAREN,
    ACTIONS(8401), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8403), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11777), 1,
      aux_sym_call_statement_repeat1,
    STATE(15822), 1,
      sym_order_by_clause,
    STATE(16602), 1,
      sym_limit_clause,
    STATE(13400), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357662] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9141), 1,
      anon_sym_RPAREN,
    ACTIONS(9143), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9145), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13699), 1,
      sym_having_min_clause,
    STATE(13700), 1,
      sym_having_max_clause,
    STATE(15666), 1,
      sym_order_by_clause,
    STATE(16829), 1,
      sym_limit_clause,
  [357702] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9147), 1,
      anon_sym_RPAREN,
    ACTIONS(9149), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9151), 1,
      aux_sym_function_call_token1,
    STATE(11793), 1,
      aux_sym_call_statement_repeat1,
    STATE(15734), 1,
      sym_order_by_clause,
    STATE(17877), 1,
      sym_limit_clause,
    STATE(13628), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357740] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9153), 1,
      anon_sym_RPAREN,
    ACTIONS(9155), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9157), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14076), 1,
      sym_having_min_clause,
    STATE(14077), 1,
      sym_having_max_clause,
    STATE(14910), 1,
      sym_order_by_clause,
    STATE(18454), 1,
      sym_limit_clause,
  [357780] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8501), 1,
      anon_sym_RPAREN,
    ACTIONS(8503), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8505), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11836), 1,
      aux_sym_call_statement_repeat1,
    STATE(14878), 1,
      sym_order_by_clause,
    STATE(18804), 1,
      sym_limit_clause,
    STATE(14098), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9161), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(9159), 10,
      aux_sym__keyword_between_token1,
      anon_sym_RPAREN,
      aux_sym_keyword_unbounded_preceding_token1,
      aux_sym_keyword_current_row_token1,
      aux_sym__float_token1,
      aux_sym__float_token3,
      aux_sym_numeric_token1,
      aux_sym_numeric_token2,
      aux_sym_numeric_token3,
      aux_sym_numeric_token4,
  [357838] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8417), 1,
      anon_sym_RPAREN,
    ACTIONS(8419), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8421), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11720), 1,
      aux_sym_call_statement_repeat1,
    STATE(15874), 1,
      sym_order_by_clause,
    STATE(18218), 1,
      sym_limit_clause,
    STATE(13411), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357876] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8453), 1,
      anon_sym_RPAREN,
    ACTIONS(8455), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8457), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11700), 1,
      aux_sym_call_statement_repeat1,
    STATE(15331), 1,
      sym_order_by_clause,
    STATE(16527), 1,
      sym_limit_clause,
    STATE(13327), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [357914] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9163), 1,
      anon_sym_RPAREN,
    ACTIONS(9165), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9167), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13527), 1,
      sym_having_min_clause,
    STATE(13529), 1,
      sym_having_max_clause,
    STATE(15867), 1,
      sym_order_by_clause,
    STATE(16700), 1,
      sym_limit_clause,
  [357954] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9169), 1,
      anon_sym_RPAREN,
    ACTIONS(9171), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9173), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14125), 1,
      sym_having_max_clause,
    STATE(14128), 1,
      sym_having_min_clause,
    STATE(14844), 1,
      sym_order_by_clause,
    STATE(18780), 1,
      sym_limit_clause,
  [357994] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8537), 1,
      anon_sym_RPAREN,
    ACTIONS(8539), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8541), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11809), 1,
      aux_sym_call_statement_repeat1,
    STATE(15005), 1,
      sym_order_by_clause,
    STATE(17179), 1,
      sym_limit_clause,
    STATE(14039), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [358032] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8495), 1,
      anon_sym_RPAREN,
    ACTIONS(8497), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(8499), 1,
      aux_sym_function_call_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    STATE(11811), 1,
      aux_sym_call_statement_repeat1,
    STATE(15697), 1,
      sym_order_by_clause,
    STATE(17862), 1,
      sym_limit_clause,
    STATE(13661), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [358070] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9003), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9175), 1,
      aux_sym_default_clause_token1,
    ACTIONS(9177), 1,
      aux_sym_default_collate_clause_token1,
    ACTIONS(9179), 1,
      aux_sym_primary_key_token1,
    STATE(7311), 1,
      sym_option_clause,
    STATE(12018), 1,
      sym_collate_clause,
    STATE(12879), 1,
      sym_foreign_key_references,
    STATE(13058), 1,
      sym_default_clause,
    ACTIONS(4020), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [358108] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9181), 1,
      anon_sym_RPAREN,
    ACTIONS(9183), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9185), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13669), 1,
      sym_having_min_clause,
    STATE(13670), 1,
      sym_having_max_clause,
    STATE(15689), 1,
      sym_order_by_clause,
    STATE(16823), 1,
      sym_limit_clause,
  [358148] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9187), 1,
      anon_sym_RPAREN,
    ACTIONS(9189), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9191), 1,
      aux_sym_function_call_token1,
    STATE(11833), 1,
      aux_sym_call_statement_repeat1,
    STATE(15256), 1,
      sym_order_by_clause,
    STATE(17082), 1,
      sym_limit_clause,
    STATE(13905), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [358186] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9193), 1,
      anon_sym_RPAREN,
    ACTIONS(9195), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9197), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13884), 1,
      sym_having_min_clause,
    STATE(13886), 1,
      sym_having_max_clause,
    STATE(15290), 1,
      sym_order_by_clause,
    STATE(17073), 1,
      sym_limit_clause,
  [358226] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9199), 1,
      anon_sym_RPAREN,
    ACTIONS(9201), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9203), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13899), 1,
      sym_having_min_clause,
    STATE(13902), 1,
      sym_having_max_clause,
    STATE(15265), 1,
      sym_order_by_clause,
    STATE(17080), 1,
      sym_limit_clause,
  [358266] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9205), 1,
      anon_sym_RPAREN,
    ACTIONS(9207), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9209), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(13895), 1,
      sym_having_min_clause,
    STATE(13896), 1,
      sym_having_max_clause,
    STATE(15270), 1,
      sym_order_by_clause,
    STATE(17079), 1,
      sym_limit_clause,
  [358306] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9211), 1,
      anon_sym_RPAREN,
    ACTIONS(9213), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9215), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14117), 1,
      sym_having_max_clause,
    STATE(14119), 1,
      sym_having_min_clause,
    STATE(14850), 1,
      sym_order_by_clause,
    STATE(18781), 1,
      sym_limit_clause,
  [358346] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(8549), 1,
      anon_sym_COMMA,
    ACTIONS(9217), 1,
      anon_sym_RPAREN,
    ACTIONS(9219), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(9221), 1,
      aux_sym_function_call_token1,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    STATE(14106), 1,
      sym_having_max_clause,
    STATE(14107), 1,
      sym_having_min_clause,
    STATE(14868), 1,
      sym_order_by_clause,
    STATE(17609), 1,
      sym_limit_clause,
  [358386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6714), 1,
      sym_analytics_clause,
    ACTIONS(1449), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1451), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7026), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6830), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6838), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6839), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358501] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9229), 1,
      anon_sym_RPAREN,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12573), 1,
      sym_window_partition_clause,
    STATE(13044), 1,
      sym_order_by_clause,
    STATE(17588), 1,
      sym_window_frame_clause,
  [358538] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12039), 1,
      sym_qualify_clause,
    ACTIONS(3809), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [358565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6840), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358588] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9233), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12722), 1,
      sym_window_partition_clause,
    STATE(13108), 1,
      sym_order_by_clause,
    STATE(17006), 1,
      sym_window_frame_clause,
  [358625] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12655), 1,
      sym_window_partition_clause,
    STATE(13059), 1,
      sym_order_by_clause,
    STATE(18435), 1,
      sym_window_frame_clause,
  [358662] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9237), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12798), 1,
      sym_window_partition_clause,
    STATE(13166), 1,
      sym_order_by_clause,
    STATE(18301), 1,
      sym_window_frame_clause,
  [358699] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    ACTIONS(9239), 1,
      aux_sym_keyword_current_row_token2,
    STATE(7697), 1,
      sym_query_statement,
    STATE(7965), 1,
      sym_values_clause,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [358734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6841), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6559), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12048), 1,
      sym_qualify_clause,
    ACTIONS(3934), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [358784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6846), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358807] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9241), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12822), 1,
      sym_window_partition_clause,
    STATE(13183), 1,
      sym_order_by_clause,
    STATE(16805), 1,
      sym_window_frame_clause,
  [358844] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9243), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12674), 1,
      sym_window_partition_clause,
    STATE(13082), 1,
      sym_order_by_clause,
    STATE(17059), 1,
      sym_window_frame_clause,
  [358881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6847), 1,
      sym_analytics_clause,
    ACTIONS(1425), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1427), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358904] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    STATE(7697), 1,
      sym_query_statement,
    STATE(8234), 1,
      sym_values_clause,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12021), 1,
      sym_insert_columns,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [358939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6848), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6942), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [358985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6382), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12132), 1,
      sym_qualify_clause,
    ACTIONS(4108), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [359012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6829), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6849), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359058] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9245), 1,
      sym__unquoted_identifier,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(7836), 1,
      sym_type,
    STATE(11911), 1,
      aux_sym_declare_statement_repeat1,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [359091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6850), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6851), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359137] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9249), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12401), 1,
      sym_window_partition_clause,
    STATE(13106), 1,
      sym_order_by_clause,
    STATE(18590), 1,
      sym_window_frame_clause,
  [359174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6828), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6827), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359220] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9245), 1,
      sym__unquoted_identifier,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(9803), 1,
      sym_type,
    STATE(11944), 1,
      aux_sym_declare_statement_repeat1,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [359253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9251), 1,
      anon_sym_COMMA,
    STATE(11869), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(3970), 9,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [359274] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9254), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12831), 1,
      sym_window_partition_clause,
    STATE(13186), 1,
      sym_order_by_clause,
    STATE(17864), 1,
      sym_window_frame_clause,
  [359311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6855), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6825), 1,
      sym_analytics_clause,
    ACTIONS(1361), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1363), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6858), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6824), 1,
      sym_analytics_clause,
    ACTIONS(1401), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1403), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6820), 1,
      sym_analytics_clause,
    ACTIONS(1385), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1387), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6818), 1,
      sym_analytics_clause,
    ACTIONS(1381), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1383), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9256), 1,
      anon_sym_COMMA,
    STATE(11877), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(3966), 9,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [359470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6860), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6863), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6866), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6867), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6868), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6918), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6869), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6870), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6872), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 11,
      aux_sym__keyword_schema_token1,
      aux_sym__keyword_replica_token1,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
      aux_sym_create_table_statement_token3,
      aux_sym_create_snapshot_table_statement_token1,
      aux_sym_create_external_table_statement_token1,
      aux_sym_drop_table_statement_token1,
      aux_sym_create_function_statement_token1,
      aux_sym_create_procedure_statement_token1,
      aux_sym_create_model_statement_token1,
  [359694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6920), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6875), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6878), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6921), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6922), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [359809] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9261), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12187), 1,
      sym_window_partition_clause,
    STATE(13187), 1,
      sym_order_by_clause,
    STATE(17367), 1,
      sym_window_frame_clause,
  [359846] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    STATE(7697), 1,
      sym_query_statement,
    STATE(8043), 1,
      sym_values_clause,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12020), 1,
      sym_insert_columns,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [359881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12050), 1,
      sym_qualify_clause,
    ACTIONS(3777), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [359908] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9263), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12381), 1,
      sym_window_partition_clause,
    STATE(13109), 1,
      sym_order_by_clause,
    STATE(17488), 1,
      sym_window_frame_clause,
  [359945] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9265), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12451), 1,
      sym_window_partition_clause,
    STATE(13090), 1,
      sym_order_by_clause,
    STATE(17156), 1,
      sym_window_frame_clause,
  [359982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6923), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6936), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360028] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9267), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12248), 1,
      sym_window_partition_clause,
    STATE(13160), 1,
      sym_order_by_clause,
    STATE(18160), 1,
      sym_window_frame_clause,
  [360065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6941), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6894), 1,
      sym_analytics_clause,
    ACTIONS(1389), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1391), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360111] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9269), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12718), 1,
      sym_window_partition_clause,
    STATE(13028), 1,
      sym_order_by_clause,
    STATE(17709), 1,
      sym_window_frame_clause,
  [360148] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9271), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12363), 1,
      sym_window_partition_clause,
    STATE(13114), 1,
      sym_order_by_clause,
    STATE(18918), 1,
      sym_window_frame_clause,
  [360185] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9273), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12474), 1,
      sym_window_partition_clause,
    STATE(13076), 1,
      sym_order_by_clause,
    STATE(18023), 1,
      sym_window_frame_clause,
  [360222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12109), 1,
      sym_qualify_clause,
    ACTIONS(3601), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [360249] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    ACTIONS(9239), 1,
      aux_sym_keyword_current_row_token2,
    STATE(7397), 1,
      sym_query_expr,
    STATE(7697), 1,
      sym_query_statement,
    STATE(7965), 1,
      sym_values_clause,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [360284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6956), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360307] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9275), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12678), 1,
      sym_window_partition_clause,
    STATE(13056), 1,
      sym_order_by_clause,
    STATE(19056), 1,
      sym_window_frame_clause,
  [360344] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9277), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12264), 1,
      sym_window_partition_clause,
    STATE(13155), 1,
      sym_order_by_clause,
    STATE(17246), 1,
      sym_window_frame_clause,
  [360381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9245), 1,
      sym__unquoted_identifier,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(7616), 1,
      sym_type,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [360414] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9279), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12205), 1,
      sym_window_partition_clause,
    STATE(13178), 1,
      sym_order_by_clause,
    STATE(18737), 1,
      sym_window_frame_clause,
  [360451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6943), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360474] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    ACTIONS(8929), 1,
      anon_sym_LPAREN,
    STATE(7397), 1,
      sym_query_expr,
    STATE(7697), 1,
      sym_query_statement,
    STATE(8043), 1,
      sym_values_clause,
    STATE(12027), 1,
      sym_insert_columns,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [360509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6944), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9281), 1,
      anon_sym_COMMA,
    STATE(11877), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4044), 9,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [360553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6947), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12097), 1,
      sym_qualify_clause,
    ACTIONS(3585), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [360603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6948), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7015), 1,
      sym_analytics_clause,
    ACTIONS(1405), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1407), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6953), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360672] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12785), 1,
      sym_window_partition_clause,
    STATE(13138), 1,
      sym_order_by_clause,
    STATE(16931), 1,
      sym_window_frame_clause,
  [360709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6955), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7022), 1,
      sym_analytics_clause,
    ACTIONS(1405), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1407), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6709), 1,
      sym_analytics_clause,
    ACTIONS(1457), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1459), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6964), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7019), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7039), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6881), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360870] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12121), 1,
      sym_qualify_clause,
    ACTIONS(3617), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [360897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6883), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7064), 1,
      sym_analytics_clause,
    ACTIONS(1421), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1423), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6887), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7069), 1,
      sym_analytics_clause,
    ACTIONS(1421), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1423), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [360989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7072), 1,
      sym_analytics_clause,
    ACTIONS(1421), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1423), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7073), 1,
      sym_analytics_clause,
    ACTIONS(1421), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1423), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361035] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9285), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12672), 1,
      sym_window_partition_clause,
    STATE(13087), 1,
      sym_order_by_clause,
    STATE(16676), 1,
      sym_window_frame_clause,
  [361072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7049), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7075), 1,
      sym_analytics_clause,
    ACTIONS(1441), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1443), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7076), 1,
      sym_analytics_clause,
    ACTIONS(1441), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1443), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7078), 1,
      sym_analytics_clause,
    ACTIONS(1441), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1443), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7079), 1,
      sym_analytics_clause,
    ACTIONS(1441), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1443), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7080), 1,
      sym_analytics_clause,
    ACTIONS(1441), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1443), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361210] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9245), 1,
      sym__unquoted_identifier,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(9719), 1,
      sym_type,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [361243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(11869), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(4134), 10,
      aux_sym__keyword_window_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [361262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9281), 1,
      anon_sym_COMMA,
    STATE(11916), 1,
      aux_sym_group_by_clause_repeat1,
    ACTIONS(4150), 9,
      aux_sym__keyword_window_token1,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_having_clause_token1,
      aux_sym_qualify_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [361283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7081), 1,
      sym_analytics_clause,
    ACTIONS(1441), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1443), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361306] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    ACTIONS(8929), 1,
      anon_sym_LPAREN,
    STATE(7397), 1,
      sym_query_expr,
    STATE(7697), 1,
      sym_query_statement,
    STATE(8234), 1,
      sym_values_clause,
    STATE(12026), 1,
      sym_insert_columns,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [361341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6713), 1,
      sym_analytics_clause,
    ACTIONS(1429), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1431), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7051), 1,
      sym_analytics_clause,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1377), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6715), 1,
      sym_analytics_clause,
    ACTIONS(1433), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1435), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6719), 1,
      sym_analytics_clause,
    ACTIONS(1437), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1439), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7082), 1,
      sym_analytics_clause,
    ACTIONS(1441), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1443), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7065), 1,
      sym_analytics_clause,
    ACTIONS(1461), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1463), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7100), 1,
      sym_analytics_clause,
    ACTIONS(1481), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1483), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6723), 1,
      sym_analytics_clause,
    ACTIONS(1445), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1447), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7083), 1,
      sym_analytics_clause,
    ACTIONS(1465), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1467), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7094), 1,
      sym_analytics_clause,
    ACTIONS(1481), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1483), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7090), 1,
      sym_analytics_clause,
    ACTIONS(1481), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1483), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7042), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7086), 1,
      sym_analytics_clause,
    ACTIONS(1481), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1483), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7034), 1,
      sym_analytics_clause,
    ACTIONS(1481), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1483), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7040), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7027), 1,
      sym_analytics_clause,
    ACTIONS(1489), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1491), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7017), 1,
      sym_analytics_clause,
    ACTIONS(1501), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1503), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7009), 1,
      sym_analytics_clause,
    ACTIONS(1513), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1515), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6974), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6979), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6981), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6982), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6995), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361870] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9287), 1,
      aux_sym__keyword_schema_token1,
    ACTIONS(9289), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(9291), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(9293), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9295), 1,
      aux_sym_create_snapshot_table_statement_token1,
    ACTIONS(9297), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(9299), 1,
      aux_sym_drop_table_statement_token1,
    ACTIONS(9301), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9303), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(9305), 1,
      aux_sym_create_model_statement_token1,
    STATE(11393), 1,
      sym__keyword_schema,
  [361907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7037), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6712), 1,
      sym_analytics_clause,
    ACTIONS(1453), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1455), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7033), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7029), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [361999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7024), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7000), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7006), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6708), 1,
      sym_analytics_clause,
    ACTIONS(1367), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1369), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6891), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6892), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6893), 1,
      sym_analytics_clause,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1419), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7023), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6967), 1,
      sym_analytics_clause,
    ACTIONS(1413), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1415), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7018), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6970), 1,
      sym_analytics_clause,
    ACTIONS(1409), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1411), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6972), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6973), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7014), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7008), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7010), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7007), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7004), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7011), 1,
      sym_analytics_clause,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1519), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7001), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6998), 1,
      sym_analytics_clause,
    ACTIONS(1371), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1373), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362482] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9227), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9307), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym__keyword_partition_by,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(12556), 1,
      sym_window_partition_clause,
    STATE(13029), 1,
      sym_order_by_clause,
    STATE(19254), 1,
      sym_window_frame_clause,
  [362519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6977), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6980), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6997), 1,
      sym_analytics_clause,
    ACTIONS(1393), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1395), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362588] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    ACTIONS(8124), 1,
      aux_sym_qualify_clause_token1,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    STATE(12123), 1,
      sym_qualify_clause,
    ACTIONS(3613), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [362615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6983), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7036), 1,
      sym_analytics_clause,
    ACTIONS(1509), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1511), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6985), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6707), 1,
      sym_analytics_clause,
    ACTIONS(1367), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1369), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6986), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7071), 1,
      sym_analytics_clause,
    ACTIONS(1485), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1487), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6989), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6993), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6991), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7044), 1,
      sym_analytics_clause,
    ACTIONS(1505), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1507), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7050), 1,
      sym_analytics_clause,
    ACTIONS(1497), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1499), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(7068), 1,
      sym_analytics_clause,
    ACTIONS(1493), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1495), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 1,
      aux_sym_analytics_clause_token1,
    STATE(6992), 1,
      sym_analytics_clause,
    ACTIONS(1397), 2,
      anon_sym_COMMA,
      sym__quoted_identifier,
    ACTIONS(1399), 7,
      aux_sym__keyword_as_token1,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      aux_sym__keyword_for_token1,
      sym__unquoted_identifier,
  [362914] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8088), 1,
      sym__unquoted_identifier,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9309), 1,
      sym__quoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(12327), 1,
      sym__identifier,
    STATE(14434), 1,
      sym__bqtype,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [362944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8088), 1,
      sym__unquoted_identifier,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9311), 1,
      sym__quoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(12390), 1,
      sym__identifier,
    STATE(16359), 1,
      sym__bqtype,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [362974] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9175), 1,
      aux_sym_default_clause_token1,
    ACTIONS(9313), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9315), 1,
      aux_sym_primary_key_token1,
    STATE(7388), 1,
      sym_option_clause,
    STATE(12883), 1,
      sym_foreign_key_references,
    STATE(13157), 1,
      sym_default_clause,
    ACTIONS(4431), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [363006] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9005), 1,
      aux_sym_default_clause_token1,
    ACTIONS(9313), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9317), 1,
      aux_sym_primary_key_token1,
    STATE(7388), 1,
      sym_option_clause,
    STATE(12909), 1,
      sym_foreign_key_references,
    STATE(13157), 1,
      sym_default_clause,
    ACTIONS(4431), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [363038] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    STATE(7697), 1,
      sym_query_statement,
    STATE(8166), 1,
      sym_values_clause,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [363070] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    STATE(7697), 1,
      sym_query_statement,
    STATE(8067), 1,
      sym_values_clause,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [363102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8088), 1,
      sym__unquoted_identifier,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9319), 1,
      sym__quoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(12443), 1,
      sym__identifier,
    STATE(14479), 1,
      sym__bqtype,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [363132] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8326), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(8328), 1,
      aux_sym_keyword_temporary_token2,
    ACTIONS(9321), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(9323), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(9325), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9327), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(9329), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9331), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(9333), 1,
      aux_sym_create_model_statement_token1,
    STATE(14261), 1,
      sym_keyword_temporary,
  [363166] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8547), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(7508), 1,
      sym_from_files_clause,
    STATE(11199), 1,
      sym__keyword_partition_by,
    STATE(12922), 1,
      sym_table_partition_clause,
    STATE(13935), 1,
      sym_table_cluster_clause,
    STATE(14566), 1,
      sym_option_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [363200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    STATE(12352), 1,
      sym__nulls_preference,
    STATE(12353), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4267), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [363224] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(7697), 1,
      sym_query_statement,
    STATE(8067), 1,
      sym_values_clause,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [363256] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(8561), 1,
      aux_sym_values_clause_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(7697), 1,
      sym_query_statement,
    STATE(8166), 1,
      sym_values_clause,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [363288] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8326), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(8328), 1,
      aux_sym_keyword_temporary_token2,
    ACTIONS(9327), 1,
      aux_sym_create_external_table_statement_token1,
    ACTIONS(9329), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9331), 1,
      aux_sym_create_procedure_statement_token1,
    ACTIONS(9335), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(9337), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(9339), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9341), 1,
      aux_sym_create_model_statement_token1,
    STATE(14335), 1,
      sym_keyword_temporary,
  [363322] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9343), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9345), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9347), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9349), 1,
      aux_sym_FALSE_token1,
    STATE(12986), 1,
      sym__keyword_not,
    STATE(10412), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8336), 1,
      sym_create_table_function_body,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [363378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9351), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(10396), 1,
      sym__keyword_end,
    STATE(16010), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9355), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(9904), 1,
      sym__keyword_end,
    STATE(16307), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363436] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8350), 1,
      sym_create_table_function_body,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [363465] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9357), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(7254), 1,
      sym__keyword_end,
    STATE(16324), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363494] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9359), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9361), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9363), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9365), 1,
      aux_sym_FALSE_token1,
    STATE(13023), 1,
      sym__keyword_not,
    STATE(4884), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363521] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9355), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(9895), 1,
      sym__keyword_end,
    STATE(16308), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9367), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9369), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9371), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9373), 1,
      aux_sym_FALSE_token1,
    STATE(13022), 1,
      sym__keyword_not,
    STATE(4513), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363577] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9375), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9377), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9379), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9381), 1,
      aux_sym_FALSE_token1,
    STATE(12977), 1,
      sym__keyword_not,
    STATE(5896), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6559), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(3934), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [363625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18523), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [363646] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9385), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9387), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9389), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9391), 1,
      aux_sym_FALSE_token1,
    STATE(13016), 1,
      sym__keyword_not,
    STATE(2236), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [363673] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8214), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [363702] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8218), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [363731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9393), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(4384), 1,
      sym__keyword_end,
    STATE(16321), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8198), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [363789] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9395), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(4506), 1,
      sym__keyword_end,
    STATE(15997), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14218), 1,
      sym_type,
    STATE(14265), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [363845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6382), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(4108), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [363866] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9393), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(4397), 1,
      sym__keyword_end,
    STATE(16202), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [363895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6403), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(3809), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [363916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8144), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [363945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8148), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [363974] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9403), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(1925), 1,
      sym__keyword_end,
    STATE(16088), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9405), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    STATE(12907), 1,
      sym__keyword_not,
    STATE(4389), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364030] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8218), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [364059] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9345), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9347), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9349), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9413), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12959), 1,
      sym__keyword_not,
    STATE(10412), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364086] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9415), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9417), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9419), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9421), 1,
      aux_sym_FALSE_token1,
    STATE(12923), 1,
      sym__keyword_not,
    STATE(2758), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9395), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(4520), 1,
      sym__keyword_end,
    STATE(15999), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364142] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8329), 1,
      sym_create_table_function_body,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [364171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8214), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [364200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9423), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(3235), 1,
      sym__keyword_end,
    STATE(16131), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9425), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12997), 1,
      sym__keyword_not,
    STATE(4389), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364256] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9427), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(7559), 1,
      sym__keyword_end,
    STATE(16005), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364285] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8182), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [364314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9417), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9419), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9421), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9429), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12984), 1,
      sym__keyword_not,
    STATE(2758), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9423), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(3211), 1,
      sym__keyword_end,
    STATE(16128), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364370] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9431), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9433), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9435), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9437), 1,
      aux_sym_FALSE_token1,
    STATE(12981), 1,
      sym__keyword_not,
    STATE(3229), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9439), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(6560), 1,
      sym__keyword_end,
    STATE(16012), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364426] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9441), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(10885), 1,
      sym__keyword_end,
    STATE(16223), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18631), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364476] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9443), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(3556), 1,
      sym__keyword_end,
    STATE(16078), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364505] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9357), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(7245), 1,
      sym__keyword_end,
    STATE(16057), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9445), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9447), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9449), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9451), 1,
      aux_sym_FALSE_token1,
    STATE(12980), 1,
      sym__keyword_not,
    STATE(7542), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18577), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364582] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9453), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9455), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9457), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9459), 1,
      aux_sym_FALSE_token1,
    STATE(12975), 1,
      sym__keyword_not,
    STATE(473), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364609] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9427), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(7606), 1,
      sym__keyword_end,
    STATE(16006), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364638] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9461), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9463), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9465), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9467), 1,
      aux_sym_FALSE_token1,
    STATE(12928), 1,
      sym__keyword_not,
    STATE(10862), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364665] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9469), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(9471), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    STATE(12047), 1,
      sym__keyword_returns,
    STATE(12958), 1,
      sym_create_function_return_clause,
    STATE(14273), 1,
      sym_option_clause,
    STATE(16328), 1,
      sym__keyword_as,
    STATE(16341), 1,
      sym__function_language,
  [364696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18550), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364717] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9477), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12942), 1,
      sym__keyword_not,
    STATE(4389), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8023), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [364773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18658), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8182), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [364823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8023), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [364852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8198), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [364881] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8089), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [364910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9479), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9481), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9483), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9485), 1,
      aux_sym_FALSE_token1,
    STATE(13021), 1,
      sym__keyword_not,
    STATE(1914), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [364937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18685), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [364958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9487), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(4878), 1,
      sym__keyword_end,
    STATE(16007), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [364987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9489), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9491), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9493), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9495), 1,
      aux_sym_FALSE_token1,
    STATE(12983), 1,
      sym__keyword_not,
    STATE(7263), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365014] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9433), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9435), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9437), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9497), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12935), 1,
      sym__keyword_not,
    STATE(3229), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365041] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9481), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9483), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9485), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9499), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12937), 1,
      sym__keyword_not,
    STATE(1914), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9491), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9493), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9495), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9501), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12957), 1,
      sym__keyword_not,
    STATE(7263), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365095] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9503), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9505), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9507), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9509), 1,
      aux_sym_FALSE_token1,
    STATE(12876), 1,
      sym__keyword_not,
    STATE(6590), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365122] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9441), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(10841), 1,
      sym__keyword_end,
    STATE(16224), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9511), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(2242), 1,
      sym__keyword_end,
    STATE(16004), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6412), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(3777), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [365201] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9447), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9449), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9451), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9513), 1,
      aux_sym__keyword_distinct_token1,
    STATE(13003), 1,
      sym__keyword_not,
    STATE(7542), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18496), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9439), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(6579), 1,
      sym__keyword_end,
    STATE(16011), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365278] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9515), 1,
      sym__unquoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(16277), 1,
      sym_type,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [365305] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9481), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9483), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9485), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9517), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12899), 1,
      sym__keyword_not,
    STATE(1914), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9487), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(4892), 1,
      sym__keyword_end,
    STATE(16180), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365361] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8191), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [365390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9443), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(3589), 1,
      sym__keyword_end,
    STATE(16077), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365419] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8329), 1,
      sym_create_table_function_body,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [365448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18466), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365469] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9519), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9521), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9523), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9525), 1,
      aux_sym_FALSE_token1,
    STATE(12902), 1,
      sym__keyword_not,
    STATE(9901), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6384), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(3613), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [365517] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9527), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12947), 1,
      sym__keyword_not,
    STATE(4389), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365544] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9469), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(9529), 1,
      aux_sym__keyword_as_token1,
    STATE(12047), 1,
      sym__keyword_returns,
    STATE(12898), 1,
      sym_create_function_return_clause,
    STATE(14315), 1,
      sym_option_clause,
    STATE(16046), 1,
      sym__function_language,
    STATE(16050), 1,
      sym__keyword_as,
  [365575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9531), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9533), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9535), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9537), 1,
      aux_sym_FALSE_token1,
    STATE(12938), 1,
      sym__keyword_not,
    STATE(7850), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8191), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [365631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18432), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18398), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365673] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9403), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(1909), 1,
      sym__keyword_end,
    STATE(16089), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [365702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18543), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18604), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9417), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9419), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9421), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9539), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12926), 1,
      sym__keyword_not,
    STATE(2758), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365771] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9469), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(9541), 1,
      aux_sym__keyword_as_token1,
    STATE(12047), 1,
      sym__keyword_returns,
    STATE(12951), 1,
      sym_create_function_return_clause,
    STATE(14293), 1,
      sym_option_clause,
    STATE(16124), 1,
      sym__function_language,
    STATE(16127), 1,
      sym__keyword_as,
  [365802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6361), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(3585), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [365823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9543), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9545), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9547), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9549), 1,
      aux_sym_FALSE_token1,
    STATE(12888), 1,
      sym__keyword_not,
    STATE(3595), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6367), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(3617), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [365871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9361), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9363), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9365), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9551), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12963), 1,
      sym__keyword_not,
    STATE(4884), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9553), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12965), 1,
      sym__keyword_not,
    STATE(4389), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18362), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [365946] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9417), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9419), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9421), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9555), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12985), 1,
      sym__keyword_not,
    STATE(2758), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [365973] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9455), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9457), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9459), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9557), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12967), 1,
      sym__keyword_not,
    STATE(473), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    STATE(12930), 1,
      sym__nulls_preference,
    STATE(12931), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4267), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [366023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9559), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(10491), 1,
      sym__keyword_end,
    STATE(16264), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366052] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9351), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(10430), 1,
      sym__keyword_end,
    STATE(16020), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6379), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(4202), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [366102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9515), 1,
      sym__unquoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(16286), 1,
      sym_type,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [366129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8336), 1,
      sym_create_table_function_body,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [366158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9559), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(10500), 1,
      sym__keyword_end,
    STATE(16263), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9561), 1,
      aux_sym__keyword_distinct_token1,
    STATE(13015), 1,
      sym__keyword_not,
    STATE(4389), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9563), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(5900), 1,
      sym__keyword_end,
    STATE(16306), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366243] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9565), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(7861), 1,
      sym__keyword_end,
    STATE(16339), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366272] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9567), 1,
      aux_sym__keyword_end_token1,
    STATE(496), 1,
      sym__keyword_end,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(16193), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366301] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8089), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [366330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16464), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [366351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9567), 1,
      aux_sym__keyword_end_token1,
    STATE(468), 1,
      sym__keyword_end,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(16191), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366380] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9569), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(2747), 1,
      sym__keyword_end,
    STATE(16312), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18304), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [366430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9571), 1,
      aux_sym_keyword_temporary_token1,
    ACTIONS(9573), 8,
      aux_sym_keyword_temporary_token2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
      aux_sym_create_table_statement_token3,
      aux_sym_create_external_table_statement_token1,
      aux_sym_create_function_statement_token1,
      aux_sym_create_procedure_statement_token1,
      aux_sym_create_model_statement_token1,
  [366447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      aux_sym__keyword_window_token1,
    STATE(6409), 1,
      sym_window_clause,
    STATE(11467), 1,
      sym__keyword_window,
    ACTIONS(3601), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [366468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9569), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(2763), 1,
      sym__keyword_end,
    STATE(16293), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18712), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [366518] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9565), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(7841), 1,
      sym__keyword_end,
    STATE(16337), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366547] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9575), 1,
      aux_sym__keyword_distinct_token1,
    STATE(13014), 1,
      sym__keyword_not,
    STATE(4389), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9563), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(5955), 1,
      sym__keyword_end,
    STATE(16310), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366603] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9469), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(9577), 1,
      aux_sym__keyword_as_token1,
    STATE(12047), 1,
      sym__keyword_returns,
    STATE(12881), 1,
      sym_create_function_return_clause,
    STATE(14224), 1,
      sym_option_clause,
    STATE(16287), 1,
      sym__function_language,
    STATE(16289), 1,
      sym__keyword_as,
  [366634] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9579), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12995), 1,
      sym__keyword_not,
    STATE(4389), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366661] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9463), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9465), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9467), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9581), 1,
      aux_sym__keyword_distinct_token1,
    STATE(12880), 1,
      sym__keyword_not,
    STATE(10862), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18739), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [366709] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8144), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [366738] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8148), 1,
      sym_create_table_function_body,
    STATE(8327), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [366767] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9515), 1,
      sym__unquoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(7415), 1,
      sym__bqtype,
    STATE(16134), 1,
      sym_type,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [366794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18233), 1,
      sym__type_chrono,
    ACTIONS(3701), 2,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_time_token1,
    ACTIONS(9383), 2,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_timestamp_token1,
    STATE(8591), 4,
      sym__keyword_date,
      sym__keyword_datetime,
      sym__keyword_time,
      sym__keyword_timestamp,
  [366815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      aux_sym__keyword_when_token1,
    ACTIONS(9353), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(9511), 1,
      aux_sym__keyword_end_token1,
    STATE(1146), 1,
      sym__keyword_when,
    STATE(1814), 1,
      sym__keyword_else,
    STATE(2226), 1,
      sym__keyword_end,
    STATE(16002), 1,
      sym_caseelse_clause,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [366844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8327), 1,
      sym_query_statement,
    STATE(8350), 1,
      sym_create_table_function_body,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [366873] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9583), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(9585), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9587), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9589), 1,
      aux_sym_FALSE_token1,
    STATE(12887), 1,
      sym__keyword_not,
    STATE(10493), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(9505), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9507), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9509), 1,
      aux_sym_FALSE_token1,
    ACTIONS(9591), 1,
      aux_sym__keyword_distinct_token1,
    STATE(13006), 1,
      sym__keyword_not,
    STATE(6590), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [366927] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8265), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [366953] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
    STATE(15079), 1,
      sym_order_by_clause,
    STATE(17648), 1,
      sym_limit_clause,
    STATE(13992), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [366979] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9595), 1,
      anon_sym_RPAREN,
    STATE(13201), 1,
      sym_having_max_clause,
    STATE(13989), 1,
      sym_having_min_clause,
    STATE(14363), 1,
      sym_order_by_clause,
    STATE(18117), 1,
      sym_limit_clause,
  [367007] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9597), 1,
      anon_sym_RPAREN,
    STATE(13263), 1,
      sym_having_max_clause,
    STATE(13265), 1,
      sym_having_min_clause,
    STATE(14746), 1,
      sym_order_by_clause,
    STATE(18134), 1,
      sym_limit_clause,
  [367035] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8143), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367061] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8193), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367087] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9599), 1,
      anon_sym_RPAREN,
    STATE(14364), 1,
      sym_order_by_clause,
    STATE(18114), 1,
      sym_limit_clause,
    STATE(13206), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [367113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8220), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8221), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367165] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9601), 1,
      anon_sym_RPAREN,
    STATE(13212), 1,
      sym_having_min_clause,
    STATE(13214), 1,
      sym_having_max_clause,
    STATE(14474), 1,
      sym_order_by_clause,
    STATE(18101), 1,
      sym_limit_clause,
  [367193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9603), 1,
      anon_sym_RPAREN,
    STATE(13297), 1,
      sym_having_max_clause,
    STATE(13299), 1,
      sym_having_min_clause,
    STATE(14983), 1,
      sym_order_by_clause,
    STATE(18159), 1,
      sym_limit_clause,
  [367221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8116), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14217), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [367271] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9605), 1,
      anon_sym_RPAREN,
    STATE(13222), 1,
      sym_having_min_clause,
    STATE(13223), 1,
      sym_having_max_clause,
    STATE(14496), 1,
      sym_order_by_clause,
    STATE(18091), 1,
      sym_limit_clause,
  [367299] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9233), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13108), 1,
      sym_order_by_clause,
    STATE(17006), 1,
      sym_window_frame_clause,
  [367327] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8161), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9607), 1,
      anon_sym_RPAREN,
    STATE(14204), 1,
      sym_having_min_clause,
    STATE(14205), 1,
      sym_having_max_clause,
    STATE(14678), 1,
      sym_order_by_clause,
    STATE(17334), 1,
      sym_limit_clause,
  [367381] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14254), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [367405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
    STATE(15402), 1,
      sym_order_by_clause,
    STATE(16982), 1,
      sym_limit_clause,
    STATE(13837), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [367431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8158), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9611), 1,
      anon_sym_RPAREN,
    STATE(13825), 1,
      sym_having_min_clause,
    STATE(13835), 1,
      sym_having_max_clause,
    STATE(15404), 1,
      sym_order_by_clause,
    STATE(16979), 1,
      sym_limit_clause,
  [367485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8288), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8156), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367537] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9613), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13195), 1,
      sym_order_by_clause,
    STATE(17341), 1,
      sym_window_frame_clause,
  [367565] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8155), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367591] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8294), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8154), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367643] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8306), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367669] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8153), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367695] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8151), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367721] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8311), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9615), 1,
      anon_sym_RPAREN,
    STATE(14145), 1,
      sym_having_min_clause,
    STATE(14149), 1,
      sym_having_max_clause,
    STATE(14626), 1,
      sym_order_by_clause,
    STATE(18681), 1,
      sym_limit_clause,
  [367775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9617), 1,
      anon_sym_RPAREN,
    STATE(13811), 1,
      sym_having_min_clause,
    STATE(13814), 1,
      sym_having_max_clause,
    STATE(15447), 1,
      sym_order_by_clause,
    STATE(16961), 1,
      sym_limit_clause,
  [367803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9619), 1,
      anon_sym_RPAREN,
    STATE(14189), 1,
      sym_having_max_clause,
    STATE(14194), 1,
      sym_having_min_clause,
    STATE(14661), 1,
      sym_order_by_clause,
    STATE(17345), 1,
      sym_limit_clause,
  [367831] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14259), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [367855] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8315), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [367881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8142), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367907] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8141), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367933] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9621), 1,
      anon_sym_RPAREN,
    STATE(14764), 1,
      sym_order_by_clause,
    STATE(17279), 1,
      sym_limit_clause,
    STATE(14177), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [367959] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8140), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [367985] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8147), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [368011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9623), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13191), 1,
      sym_order_by_clause,
    STATE(18698), 1,
      sym_window_frame_clause,
  [368039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9625), 1,
      anon_sym_RPAREN,
    STATE(14169), 1,
      sym_having_max_clause,
    STATE(14187), 1,
      sym_having_min_clause,
    STATE(14650), 1,
      sym_order_by_clause,
    STATE(17352), 1,
      sym_limit_clause,
  [368067] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8139), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [368093] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9627), 1,
      anon_sym_RPAREN,
    STATE(13798), 1,
      sym_having_min_clause,
    STATE(13803), 1,
      sym_having_max_clause,
    STATE(15468), 1,
      sym_order_by_clause,
    STATE(16950), 1,
      sym_limit_clause,
  [368121] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8146), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [368147] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8135), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [368173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8133), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [368199] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9629), 1,
      anon_sym_RPAREN,
    STATE(14206), 1,
      sym_having_min_clause,
    STATE(14209), 1,
      sym_having_max_clause,
    STATE(14669), 1,
      sym_order_by_clause,
    STATE(18704), 1,
      sym_limit_clause,
  [368227] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8324), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [368253] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9631), 1,
      anon_sym_RPAREN,
    STATE(15907), 1,
      sym_order_by_clause,
    STATE(16677), 1,
      sym_limit_clause,
    STATE(13496), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9633), 1,
      anon_sym_RPAREN,
    STATE(14160), 1,
      sym_having_max_clause,
    STATE(14166), 1,
      sym_having_min_clause,
    STATE(14633), 1,
      sym_order_by_clause,
    STATE(17361), 1,
      sym_limit_clause,
  [368307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9635), 1,
      anon_sym_RPAREN,
    STATE(14630), 1,
      sym_order_by_clause,
    STATE(17362), 1,
      sym_limit_clause,
    STATE(14151), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8326), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [368359] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9637), 1,
      anon_sym_RPAREN,
    STATE(14551), 1,
      sym_order_by_clause,
    STATE(19333), 1,
      sym_limit_clause,
    STATE(13228), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9639), 1,
      anon_sym_RPAREN,
    STATE(14786), 1,
      sym_order_by_clause,
    STATE(17217), 1,
      sym_limit_clause,
    STATE(14168), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368411] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9641), 1,
      anon_sym_RPAREN,
    STATE(14789), 1,
      sym_order_by_clause,
    STATE(17273), 1,
      sym_limit_clause,
    STATE(14167), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368437] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14316), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [368461] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9643), 1,
      anon_sym_RPAREN,
    STATE(14798), 1,
      sym_order_by_clause,
    STATE(17271), 1,
      sym_limit_clause,
    STATE(14158), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14285), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [368511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9645), 1,
      anon_sym_RPAREN,
    STATE(14202), 1,
      sym_having_max_clause,
    STATE(14203), 1,
      sym_having_min_clause,
    STATE(14691), 1,
      sym_order_by_clause,
    STATE(18715), 1,
      sym_limit_clause,
  [368539] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9647), 1,
      anon_sym_RPAREN,
    STATE(14820), 1,
      sym_order_by_clause,
    STATE(17260), 1,
      sym_limit_clause,
    STATE(14141), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368565] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9649), 1,
      anon_sym_RPAREN,
    STATE(13351), 1,
      sym_having_min_clause,
    STATE(13353), 1,
      sym_having_max_clause,
    STATE(15549), 1,
      sym_order_by_clause,
    STATE(16578), 1,
      sym_limit_clause,
  [368593] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9651), 1,
      anon_sym_RPAREN,
    STATE(14823), 1,
      sym_order_by_clause,
    STATE(17259), 1,
      sym_limit_clause,
    STATE(14140), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368619] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9653), 1,
      anon_sym_RPAREN,
    STATE(13503), 1,
      sym_having_max_clause,
    STATE(13505), 1,
      sym_having_min_clause,
    STATE(15901), 1,
      sym_order_by_clause,
    STATE(16680), 1,
      sym_limit_clause,
  [368647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9655), 1,
      anon_sym_RPAREN,
    STATE(13218), 1,
      sym_having_max_clause,
    STATE(13219), 1,
      sym_having_min_clause,
    STATE(14480), 1,
      sym_order_by_clause,
    STATE(18103), 1,
      sym_limit_clause,
  [368675] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9261), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13187), 1,
      sym_order_by_clause,
    STATE(17367), 1,
      sym_window_frame_clause,
  [368703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9657), 1,
      anon_sym_RPAREN,
    STATE(13360), 1,
      sym_having_min_clause,
    STATE(13363), 1,
      sym_having_max_clause,
    STATE(15585), 1,
      sym_order_by_clause,
    STATE(16584), 1,
      sym_limit_clause,
  [368731] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9659), 1,
      anon_sym_RPAREN,
    STATE(14832), 1,
      sym_order_by_clause,
    STATE(17257), 1,
      sym_limit_clause,
    STATE(14132), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368757] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9661), 1,
      anon_sym_RPAREN,
    STATE(14129), 1,
      sym_having_min_clause,
    STATE(14131), 1,
      sym_having_max_clause,
    STATE(14835), 1,
      sym_order_by_clause,
    STATE(17254), 1,
      sym_limit_clause,
  [368785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9663), 1,
      anon_sym_RPAREN,
    STATE(14185), 1,
      sym_having_max_clause,
    STATE(14186), 1,
      sym_having_min_clause,
    STATE(14734), 1,
      sym_order_by_clause,
    STATE(18733), 1,
      sym_limit_clause,
  [368813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9665), 1,
      anon_sym_RPAREN,
    STATE(15592), 1,
      sym_order_by_clause,
    STATE(16585), 1,
      sym_limit_clause,
    STATE(13365), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9667), 1,
      anon_sym_RPAREN,
    STATE(14747), 1,
      sym_order_by_clause,
    STATE(18734), 1,
      sym_limit_clause,
    STATE(14182), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368865] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9669), 1,
      anon_sym_RPAREN,
    STATE(14120), 1,
      sym_having_min_clause,
    STATE(14122), 1,
      sym_having_max_clause,
    STATE(14845), 1,
      sym_order_by_clause,
    STATE(17250), 1,
      sym_limit_clause,
  [368893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9671), 1,
      anon_sym_RPAREN,
    STATE(15613), 1,
      sym_order_by_clause,
    STATE(16588), 1,
      sym_limit_clause,
    STATE(13374), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368919] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9673), 1,
      anon_sym_RPAREN,
    STATE(15620), 1,
      sym_order_by_clause,
    STATE(16589), 1,
      sym_limit_clause,
    STATE(13375), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9675), 1,
      anon_sym_RPAREN,
    STATE(13277), 1,
      sym_having_max_clause,
    STATE(13284), 1,
      sym_having_min_clause,
    STATE(14822), 1,
      sym_order_by_clause,
    STATE(18145), 1,
      sym_limit_clause,
  [368973] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9677), 1,
      anon_sym_RPAREN,
    STATE(14545), 1,
      sym_order_by_clause,
    STATE(18088), 1,
      sym_limit_clause,
    STATE(13225), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [368999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9679), 1,
      anon_sym_RPAREN,
    STATE(13518), 1,
      sym_having_max_clause,
    STATE(13521), 1,
      sym_having_min_clause,
    STATE(15884), 1,
      sym_order_by_clause,
    STATE(16690), 1,
      sym_limit_clause,
  [369027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9277), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13155), 1,
      sym_order_by_clause,
    STATE(17246), 1,
      sym_window_frame_clause,
  [369055] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8109), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369081] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9681), 1,
      anon_sym_RPAREN,
    STATE(14861), 1,
      sym_order_by_clause,
    STATE(17243), 1,
      sym_limit_clause,
    STATE(14109), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8107), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8103), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369159] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9683), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13194), 1,
      sym_order_by_clause,
    STATE(18115), 1,
      sym_window_frame_clause,
  [369187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8102), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9279), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13178), 1,
      sym_order_by_clause,
    STATE(18737), 1,
      sym_window_frame_clause,
  [369241] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9685), 1,
      anon_sym_RPAREN,
    STATE(14112), 1,
      sym_having_max_clause,
    STATE(14137), 1,
      sym_having_min_clause,
    STATE(14614), 1,
      sym_order_by_clause,
    STATE(17372), 1,
      sym_limit_clause,
  [369269] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9687), 1,
      anon_sym_RPAREN,
    STATE(14105), 1,
      sym_having_min_clause,
    STATE(14108), 1,
      sym_having_max_clause,
    STATE(14864), 1,
      sym_order_by_clause,
    STATE(17242), 1,
      sym_limit_clause,
  [369297] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9515), 1,
      sym__unquoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(19342), 1,
      sym__bqtype,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [369321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9689), 1,
      anon_sym_RPAREN,
    STATE(14082), 1,
      sym_having_max_clause,
    STATE(14094), 1,
      sym_having_min_clause,
    STATE(14604), 1,
      sym_order_by_clause,
    STATE(17378), 1,
      sym_limit_clause,
  [369349] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9691), 1,
      anon_sym_RPAREN,
    STATE(14601), 1,
      sym_order_by_clause,
    STATE(17379), 1,
      sym_limit_clause,
    STATE(14080), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369375] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9693), 1,
      anon_sym_RPAREN,
    STATE(14091), 1,
      sym_having_min_clause,
    STATE(14093), 1,
      sym_having_max_clause,
    STATE(14881), 1,
      sym_order_by_clause,
    STATE(17234), 1,
      sym_limit_clause,
  [369403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8101), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9695), 1,
      anon_sym_RPAREN,
    STATE(14175), 1,
      sym_having_max_clause,
    STATE(14176), 1,
      sym_having_min_clause,
    STATE(14768), 1,
      sym_order_by_clause,
    STATE(18743), 1,
      sym_limit_clause,
  [369457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9697), 1,
      anon_sym_RPAREN,
    STATE(14083), 1,
      sym_having_min_clause,
    STATE(14086), 1,
      sym_having_max_clause,
    STATE(14892), 1,
      sym_order_by_clause,
    STATE(17228), 1,
      sym_limit_clause,
  [369485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8100), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9699), 1,
      anon_sym_RPAREN,
    STATE(14171), 1,
      sym_having_max_clause,
    STATE(14172), 1,
      sym_having_min_clause,
    STATE(14784), 1,
      sym_order_by_clause,
    STATE(18754), 1,
      sym_limit_clause,
  [369539] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9701), 1,
      anon_sym_RPAREN,
    STATE(14796), 1,
      sym_order_by_clause,
    STATE(18755), 1,
      sym_limit_clause,
    STATE(14164), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369565] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8098), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9703), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13152), 1,
      sym_order_by_clause,
    STATE(17224), 1,
      sym_window_frame_clause,
  [369619] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9705), 1,
      anon_sym_RPAREN,
    STATE(14813), 1,
      sym_order_by_clause,
    STATE(18758), 1,
      sym_limit_clause,
    STATE(14150), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8097), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369671] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9707), 1,
      anon_sym_RPAREN,
    STATE(14592), 1,
      sym_order_by_clause,
    STATE(17381), 1,
      sym_limit_clause,
    STATE(14066), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369697] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9709), 1,
      anon_sym_RPAREN,
    STATE(14589), 1,
      sym_order_by_clause,
    STATE(17382), 1,
      sym_limit_clause,
    STATE(14065), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369723] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9711), 1,
      anon_sym_RPAREN,
    STATE(14816), 1,
      sym_order_by_clause,
    STATE(18706), 1,
      sym_limit_clause,
    STATE(14142), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9713), 1,
      anon_sym_RPAREN,
    STATE(14075), 1,
      sym_having_min_clause,
    STATE(14078), 1,
      sym_having_max_clause,
    STATE(14909), 1,
      sym_order_by_clause,
    STATE(17218), 1,
      sym_limit_clause,
  [369777] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9715), 1,
      anon_sym_RPAREN,
    STATE(13203), 1,
      sym_having_max_clause,
    STATE(13204), 1,
      sym_having_min_clause,
    STATE(14362), 1,
      sym_order_by_clause,
    STATE(18120), 1,
      sym_limit_clause,
  [369805] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9717), 1,
      anon_sym_RPAREN,
    STATE(14854), 1,
      sym_order_by_clause,
    STATE(18782), 1,
      sym_limit_clause,
    STATE(14116), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369831] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9719), 1,
      anon_sym_RPAREN,
    STATE(14863), 1,
      sym_order_by_clause,
    STATE(18793), 1,
      sym_limit_clause,
    STATE(14111), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369857] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9721), 1,
      anon_sym_RPAREN,
    STATE(14869), 1,
      sym_order_by_clause,
    STATE(18794), 1,
      sym_limit_clause,
    STATE(14100), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369883] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8096), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8095), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369935] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9723), 1,
      anon_sym_RPAREN,
    STATE(14889), 1,
      sym_order_by_clause,
    STATE(18813), 1,
      sym_limit_clause,
    STATE(14089), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [369961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8094), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [369987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9725), 1,
      anon_sym_RPAREN,
    STATE(15291), 1,
      sym_order_by_clause,
    STATE(18055), 1,
      sym_limit_clause,
    STATE(13322), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9727), 1,
      anon_sym_RPAREN,
    STATE(14532), 1,
      sym_order_by_clause,
    STATE(18626), 1,
      sym_limit_clause,
    STATE(13950), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370039] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8093), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8126), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8076), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8088), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370143] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8212), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8086), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370195] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8085), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9729), 1,
      anon_sym_RPAREN,
    STATE(14649), 1,
      sym_order_by_clause,
    STATE(19328), 1,
      sym_limit_clause,
    STATE(13242), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370247] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
    STATE(14655), 1,
      sym_order_by_clause,
    STATE(19327), 1,
      sym_limit_clause,
    STATE(13247), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370273] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9733), 1,
      anon_sym_RPAREN,
    STATE(14687), 1,
      sym_order_by_clause,
    STATE(19325), 1,
      sym_limit_clause,
    STATE(13256), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
    STATE(14567), 1,
      sym_order_by_clause,
    STATE(17391), 1,
      sym_limit_clause,
    STATE(14035), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370325] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8082), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9737), 1,
      anon_sym_RPAREN,
    STATE(13253), 1,
      sym_having_min_clause,
    STATE(13255), 1,
      sym_having_max_clause,
    STATE(14712), 1,
      sym_order_by_clause,
    STATE(18133), 1,
      sym_limit_clause,
  [370379] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    STATE(14588), 1,
      sym_order_by_clause,
    STATE(18079), 1,
      sym_limit_clause,
    STATE(13234), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9741), 1,
      anon_sym_RPAREN,
    STATE(14558), 1,
      sym_order_by_clause,
    STATE(17393), 1,
      sym_limit_clause,
    STATE(14016), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9743), 1,
      anon_sym_RPAREN,
    STATE(14555), 1,
      sym_order_by_clause,
    STATE(17394), 1,
      sym_limit_clause,
    STATE(14000), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8061), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [370483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9745), 1,
      anon_sym_RPAREN,
    STATE(14595), 1,
      sym_order_by_clause,
    STATE(18076), 1,
      sym_limit_clause,
    STATE(13236), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9747), 1,
      anon_sym_RPAREN,
    STATE(15434), 1,
      sym_order_by_clause,
    STATE(18050), 1,
      sym_limit_clause,
    STATE(13344), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370535] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9749), 1,
      anon_sym_RPAREN,
    STATE(15435), 1,
      sym_order_by_clause,
    STATE(18049), 1,
      sym_limit_clause,
    STATE(13347), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9751), 1,
      anon_sym_RPAREN,
    STATE(14499), 1,
      sym_order_by_clause,
    STATE(18621), 1,
      sym_limit_clause,
    STATE(13930), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370587] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9753), 1,
      anon_sym_RPAREN,
    STATE(14485), 1,
      sym_order_by_clause,
    STATE(18620), 1,
      sym_limit_clause,
    STATE(13925), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370613] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8077), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370639] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8157), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370665] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8252), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370691] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9755), 1,
      anon_sym_RPAREN,
    STATE(14533), 1,
      sym_order_by_clause,
    STATE(17348), 1,
      sym_limit_clause,
    STATE(13960), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370717] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9757), 1,
      anon_sym_RPAREN,
    STATE(14477), 1,
      sym_order_by_clause,
    STATE(18618), 1,
      sym_limit_clause,
    STATE(13876), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8080), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370769] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8260), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370795] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9759), 1,
      anon_sym_RPAREN,
    STATE(15548), 1,
      sym_order_by_clause,
    STATE(18046), 1,
      sym_limit_clause,
    STATE(13356), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370821] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8163), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370847] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8078), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370873] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9761), 1,
      anon_sym_RPAREN,
    STATE(15756), 1,
      sym_order_by_clause,
    STATE(16595), 1,
      sym_limit_clause,
    STATE(13388), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [370899] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8072), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370925] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8309), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370951] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8071), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [370977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8312), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [371003] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9763), 1,
      anon_sym_RPAREN,
    STATE(13226), 1,
      sym_having_min_clause,
    STATE(13227), 1,
      sym_having_max_clause,
    STATE(14548), 1,
      sym_order_by_clause,
    STATE(16402), 1,
      sym_limit_clause,
  [371031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    STATE(12354), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4649), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    STATE(12355), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4645), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371067] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9765), 1,
      anon_sym_RPAREN,
    STATE(14925), 1,
      sym_order_by_clause,
    STATE(19276), 1,
      sym_limit_clause,
    STATE(13280), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371093] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9767), 1,
      anon_sym_RPAREN,
    STATE(14929), 1,
      sym_order_by_clause,
    STATE(19275), 1,
      sym_limit_clause,
    STATE(13283), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9769), 1,
      anon_sym_RPAREN,
    STATE(13231), 1,
      sym_having_min_clause,
    STATE(13232), 1,
      sym_having_max_clause,
    STATE(14585), 1,
      sym_order_by_clause,
    STATE(16426), 1,
      sym_limit_clause,
  [371147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9771), 1,
      anon_sym_RPAREN,
    STATE(13271), 1,
      sym_having_min_clause,
    STATE(13272), 1,
      sym_having_max_clause,
    STATE(15338), 1,
      sym_order_by_clause,
    STATE(18148), 1,
      sym_limit_clause,
  [371175] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9773), 1,
      anon_sym_RPAREN,
    STATE(14939), 1,
      sym_order_by_clause,
    STATE(18153), 1,
      sym_limit_clause,
    STATE(13279), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371201] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8069), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [371227] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9515), 1,
      sym__unquoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(14521), 1,
      sym__bqtype,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [371251] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8066), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [371277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9775), 1,
      anon_sym_RPAREN,
    STATE(14967), 1,
      sym_order_by_clause,
    STATE(19218), 1,
      sym_limit_clause,
    STATE(13290), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9777), 1,
      anon_sym_RPAREN,
    STATE(14418), 1,
      sym_order_by_clause,
    STATE(18606), 1,
      sym_limit_clause,
    STATE(13783), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371329] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9779), 1,
      anon_sym_RPAREN,
    STATE(14429), 1,
      sym_order_by_clause,
    STATE(18603), 1,
      sym_limit_clause,
    STATE(13773), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371355] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9781), 1,
      anon_sym_RPAREN,
    STATE(13292), 1,
      sym_having_max_clause,
    STATE(13293), 1,
      sym_having_min_clause,
    STATE(14994), 1,
      sym_order_by_clause,
    STATE(19272), 1,
      sym_limit_clause,
  [371383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8063), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [371409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9783), 1,
      anon_sym_RPAREN,
    STATE(15269), 1,
      sym_order_by_clause,
    STATE(16515), 1,
      sym_limit_clause,
    STATE(13318), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371435] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9785), 1,
      anon_sym_RPAREN,
    STATE(13237), 1,
      sym_having_min_clause,
    STATE(13238), 1,
      sym_having_max_clause,
    STATE(14607), 1,
      sym_order_by_clause,
    STATE(16435), 1,
      sym_limit_clause,
  [371463] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9787), 1,
      anon_sym_RPAREN,
    STATE(15647), 1,
      sym_order_by_clause,
    STATE(17937), 1,
      sym_limit_clause,
    STATE(13378), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371489] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8062), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [371515] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9515), 1,
      sym__unquoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(18570), 1,
      sym__bqtype,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [371539] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9789), 1,
      anon_sym_RPAREN,
    STATE(14409), 1,
      sym_order_by_clause,
    STATE(18601), 1,
      sym_limit_clause,
    STATE(13563), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371565] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9791), 1,
      anon_sym_RPAREN,
    STATE(13528), 1,
      sym_having_min_clause,
    STATE(13533), 1,
      sym_having_max_clause,
    STATE(14402), 1,
      sym_order_by_clause,
    STATE(18600), 1,
      sym_limit_clause,
  [371593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14235), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [371617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9793), 1,
      anon_sym_RPAREN,
    STATE(15648), 1,
      sym_order_by_clause,
    STATE(18037), 1,
      sym_limit_clause,
    STATE(13381), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371643] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8059), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [371669] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8057), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [371695] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9795), 1,
      anon_sym_RPAREN,
    STATE(13220), 1,
      sym_having_min_clause,
    STATE(13307), 1,
      sym_having_max_clause,
    STATE(14383), 1,
      sym_order_by_clause,
    STATE(18596), 1,
      sym_limit_clause,
  [371723] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9267), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13160), 1,
      sym_order_by_clause,
    STATE(18160), 1,
      sym_window_frame_clause,
  [371751] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8042), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [371777] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8079), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [371803] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9797), 1,
      anon_sym_RPAREN,
    STATE(14995), 1,
      sym_order_by_clause,
    STATE(17181), 1,
      sym_limit_clause,
    STATE(14042), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8055), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [371855] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8037), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [371881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    STATE(12398), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4641), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    STATE(12355), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4637), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    STATE(12355), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4633), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9799), 1,
      anon_sym_COMMA,
    STATE(12355), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4551), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [371953] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
    STATE(15017), 1,
      sym_order_by_clause,
    STATE(17177), 1,
      sym_limit_clause,
    STATE(14034), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [371979] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9249), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13106), 1,
      sym_order_by_clause,
    STATE(18590), 1,
      sym_window_frame_clause,
  [372007] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    STATE(15020), 1,
      sym_order_by_clause,
    STATE(17176), 1,
      sym_limit_clause,
    STATE(14033), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372033] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8054), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [372059] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9806), 1,
      anon_sym_RPAREN,
    STATE(14054), 1,
      sym_having_max_clause,
    STATE(14055), 1,
      sym_having_min_clause,
    STATE(14963), 1,
      sym_order_by_clause,
    STATE(18885), 1,
      sym_limit_clause,
  [372087] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(15029), 1,
      sym_order_by_clause,
    STATE(17174), 1,
      sym_limit_clause,
    STATE(14028), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
    STATE(13298), 1,
      sym_having_max_clause,
    STATE(13300), 1,
      sym_having_min_clause,
    STATE(15045), 1,
      sym_order_by_clause,
    STATE(19268), 1,
      sym_limit_clause,
  [372141] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9812), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13118), 1,
      sym_order_by_clause,
    STATE(18892), 1,
      sym_window_frame_clause,
  [372169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8053), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [372195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9814), 1,
      anon_sym_RPAREN,
    STATE(14183), 1,
      sym_having_min_clause,
    STATE(14184), 1,
      sym_having_max_clause,
    STATE(14739), 1,
      sym_order_by_clause,
    STATE(17288), 1,
      sym_limit_clause,
  [372223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9816), 1,
      anon_sym_RPAREN,
    STATE(15752), 1,
      sym_order_by_clause,
    STATE(18035), 1,
      sym_limit_clause,
    STATE(13390), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9818), 1,
      anon_sym_RPAREN,
    STATE(13393), 1,
      sym_having_max_clause,
    STATE(13394), 1,
      sym_having_min_clause,
    STATE(15761), 1,
      sym_order_by_clause,
    STATE(18034), 1,
      sym_limit_clause,
  [372277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9820), 1,
      anon_sym_COMMA,
    STATE(12368), 1,
      aux_sym_call_statement_repeat1,
    ACTIONS(9823), 6,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [372295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9825), 1,
      anon_sym_RPAREN,
    STATE(14370), 1,
      sym_order_by_clause,
    STATE(18581), 1,
      sym_limit_clause,
    STATE(13213), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9827), 1,
      anon_sym_RPAREN,
    STATE(13217), 1,
      sym_having_max_clause,
    STATE(13281), 1,
      sym_having_min_clause,
    STATE(14372), 1,
      sym_order_by_clause,
    STATE(18580), 1,
      sym_limit_clause,
  [372349] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8031), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [372375] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9829), 1,
      anon_sym_RPAREN,
    STATE(14188), 1,
      sym_having_min_clause,
    STATE(14195), 1,
      sym_having_max_clause,
    STATE(14711), 1,
      sym_order_by_clause,
    STATE(17298), 1,
      sym_limit_clause,
  [372403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9831), 1,
      anon_sym_RPAREN,
    STATE(14709), 1,
      sym_order_by_clause,
    STATE(17301), 1,
      sym_limit_clause,
    STATE(14196), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372429] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8052), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [372455] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 1,
      sym__unquoted_identifier,
    ACTIONS(9835), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9837), 1,
      aux_sym__keyword_array_token1,
    STATE(6691), 1,
      sym_column_type,
    STATE(17374), 1,
      sym__keyword_array,
    STATE(17375), 1,
      sym__keyword_struct,
    STATE(5995), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [372481] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    STATE(14052), 1,
      sym_having_max_clause,
    STATE(14053), 1,
      sym_having_min_clause,
    STATE(14979), 1,
      sym_order_by_clause,
    STATE(18896), 1,
      sym_limit_clause,
  [372509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9841), 1,
      anon_sym_RPAREN,
    STATE(14700), 1,
      sym_order_by_clause,
    STATE(17311), 1,
      sym_limit_clause,
    STATE(14199), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372535] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9843), 1,
      anon_sym_RPAREN,
    STATE(13301), 1,
      sym_having_min_clause,
    STATE(13303), 1,
      sym_having_max_clause,
    STATE(15055), 1,
      sym_order_by_clause,
    STATE(18172), 1,
      sym_limit_clause,
  [372563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9845), 1,
      anon_sym_RPAREN,
    STATE(14698), 1,
      sym_order_by_clause,
    STATE(17314), 1,
      sym_limit_clause,
    STATE(14200), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9847), 1,
      anon_sym_RPAREN,
    STATE(13828), 1,
      sym_having_max_clause,
    STATE(13833), 1,
      sym_having_min_clause,
    STATE(14442), 1,
      sym_order_by_clause,
    STATE(17448), 1,
      sym_limit_clause,
  [372617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9849), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13115), 1,
      sym_order_by_clause,
    STATE(17457), 1,
      sym_window_frame_clause,
  [372645] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9851), 1,
      anon_sym_RPAREN,
    STATE(13709), 1,
      sym_having_min_clause,
    STATE(14057), 1,
      sym_having_max_clause,
    STATE(14415), 1,
      sym_order_by_clause,
    STATE(18569), 1,
      sym_limit_clause,
  [372673] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9853), 1,
      anon_sym_RPAREN,
    STATE(13403), 1,
      sym_having_max_clause,
    STATE(13404), 1,
      sym_having_min_clause,
    STATE(15834), 1,
      sym_order_by_clause,
    STATE(18029), 1,
      sym_limit_clause,
  [372701] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9855), 1,
      anon_sym_RPAREN,
    STATE(15051), 1,
      sym_order_by_clause,
    STATE(17168), 1,
      sym_limit_clause,
    STATE(14013), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372727] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9857), 1,
      anon_sym_RPAREN,
    STATE(15004), 1,
      sym_order_by_clause,
    STATE(18060), 1,
      sym_limit_clause,
    STATE(13288), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9273), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13076), 1,
      sym_order_by_clause,
    STATE(18023), 1,
      sym_window_frame_clause,
  [372781] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9859), 1,
      anon_sym_RPAREN,
    STATE(15054), 1,
      sym_order_by_clause,
    STATE(17167), 1,
      sym_limit_clause,
    STATE(14010), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8051), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [372833] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9861), 1,
      anon_sym_RPAREN,
    STATE(13748), 1,
      sym_having_max_clause,
    STATE(13759), 1,
      sym_having_min_clause,
    STATE(14425), 1,
      sym_order_by_clause,
    STATE(17463), 1,
      sym_limit_clause,
  [372861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9515), 1,
      sym__unquoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(16268), 1,
      sym__bqtype,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [372885] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9863), 1,
      anon_sym_RPAREN,
    STATE(13594), 1,
      sym_having_max_clause,
    STATE(13623), 1,
      sym_having_min_clause,
    STATE(14414), 1,
      sym_order_by_clause,
    STATE(17471), 1,
      sym_limit_clause,
  [372913] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9865), 1,
      anon_sym_RPAREN,
    STATE(13844), 1,
      sym_having_max_clause,
    STATE(13887), 1,
      sym_having_min_clause,
    STATE(14453), 1,
      sym_order_by_clause,
    STATE(18556), 1,
      sym_limit_clause,
  [372941] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9867), 1,
      anon_sym_RPAREN,
    STATE(15063), 1,
      sym_order_by_clause,
    STATE(17165), 1,
      sym_limit_clause,
    STATE(14006), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [372967] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9869), 1,
      anon_sym_RPAREN,
    STATE(14044), 1,
      sym_having_max_clause,
    STATE(14045), 1,
      sym_having_min_clause,
    STATE(14986), 1,
      sym_order_by_clause,
    STATE(18902), 1,
      sym_limit_clause,
  [372995] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9871), 1,
      anon_sym_RPAREN,
    STATE(13427), 1,
      sym_having_max_clause,
    STATE(13511), 1,
      sym_having_min_clause,
    STATE(14397), 1,
      sym_order_by_clause,
    STATE(17482), 1,
      sym_limit_clause,
  [373023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9873), 1,
      anon_sym_RPAREN,
    STATE(14394), 1,
      sym_order_by_clause,
    STATE(17484), 1,
      sym_limit_clause,
    STATE(13359), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373049] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9875), 1,
      anon_sym_RPAREN,
    STATE(13999), 1,
      sym_having_min_clause,
    STATE(14003), 1,
      sym_having_max_clause,
    STATE(15066), 1,
      sym_order_by_clause,
    STATE(17164), 1,
      sym_limit_clause,
  [373077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    STATE(12355), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4653), 6,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [373095] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14296), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [373119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9877), 1,
      anon_sym_RPAREN,
    STATE(13320), 1,
      sym_having_min_clause,
    STATE(13323), 1,
      sym_having_max_clause,
    STATE(15318), 1,
      sym_order_by_clause,
    STATE(18187), 1,
      sym_limit_clause,
  [373147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9879), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13093), 1,
      sym_order_by_clause,
    STATE(18548), 1,
      sym_window_frame_clause,
  [373175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9881), 1,
      anon_sym_RPAREN,
    STATE(13993), 1,
      sym_having_min_clause,
    STATE(13994), 1,
      sym_having_max_clause,
    STATE(15076), 1,
      sym_order_by_clause,
    STATE(17160), 1,
      sym_limit_clause,
  [373203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9265), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13090), 1,
      sym_order_by_clause,
    STATE(17156), 1,
      sym_window_frame_clause,
  [373231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9883), 1,
      anon_sym_RPAREN,
    STATE(15356), 1,
      sym_order_by_clause,
    STATE(18067), 1,
      sym_limit_clause,
    STATE(13329), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8049), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [373283] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    STATE(15773), 1,
      sym_order_by_clause,
    STATE(16597), 1,
      sym_limit_clause,
    STATE(13392), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9887), 1,
      anon_sym_RPAREN,
    STATE(14038), 1,
      sym_having_max_clause,
    STATE(14040), 1,
      sym_having_min_clause,
    STATE(15009), 1,
      sym_order_by_clause,
    STATE(18912), 1,
      sym_limit_clause,
  [373337] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8027), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [373363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9263), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13109), 1,
      sym_order_by_clause,
    STATE(17488), 1,
      sym_window_frame_clause,
  [373391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
    STATE(15011), 1,
      sym_order_by_clause,
    STATE(18913), 1,
      sym_limit_clause,
    STATE(14036), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373417] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9891), 1,
      anon_sym_RPAREN,
    STATE(13221), 1,
      sym_having_max_clause,
    STATE(13276), 1,
      sym_having_min_clause,
    STATE(14378), 1,
      sym_order_by_clause,
    STATE(17492), 1,
      sym_limit_clause,
  [373445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9893), 1,
      anon_sym_RPAREN,
    STATE(13934), 1,
      sym_having_max_clause,
    STATE(13945), 1,
      sym_having_min_clause,
    STATE(14517), 1,
      sym_order_by_clause,
    STATE(18540), 1,
      sym_limit_clause,
  [373473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
    STATE(15422), 1,
      sym_order_by_clause,
    STATE(18051), 1,
      sym_limit_clause,
    STATE(13325), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
    STATE(15981), 1,
      sym_order_by_clause,
    STATE(18048), 1,
      sym_limit_clause,
    STATE(13336), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9899), 1,
      anon_sym_RPAREN,
    STATE(13210), 1,
      sym_having_max_clause,
    STATE(13216), 1,
      sym_having_min_clause,
    STATE(14368), 1,
      sym_order_by_clause,
    STATE(17496), 1,
      sym_limit_clause,
  [373553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
    STATE(14365), 1,
      sym_order_by_clause,
    STATE(17499), 1,
      sym_limit_clause,
    STATE(13209), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9903), 1,
      anon_sym_RPAREN,
    STATE(15092), 1,
      sym_order_by_clause,
    STATE(17153), 1,
      sym_limit_clause,
    STATE(13983), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8192), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [373631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8312), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [373657] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9905), 1,
      anon_sym_RPAREN,
    STATE(15458), 1,
      sym_order_by_clause,
    STATE(18200), 1,
      sym_limit_clause,
    STATE(13345), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9907), 1,
      anon_sym_RPAREN,
    STATE(15467), 1,
      sym_order_by_clause,
    STATE(18201), 1,
      sym_limit_clause,
    STATE(13198), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9909), 1,
      anon_sym_RPAREN,
    STATE(15361), 1,
      sym_order_by_clause,
    STATE(17501), 1,
      sym_limit_clause,
    STATE(13200), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373735] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9911), 1,
      anon_sym_RPAREN,
    STATE(15883), 1,
      sym_order_by_clause,
    STATE(18019), 1,
      sym_limit_clause,
    STATE(13419), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373761] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9913), 1,
      anon_sym_RPAREN,
    STATE(14357), 1,
      sym_order_by_clause,
    STATE(17502), 1,
      sym_limit_clause,
    STATE(13205), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373787] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8309), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [373813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9915), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      sym_order_by_clause,
    STATE(18946), 1,
      sym_limit_clause,
    STATE(13991), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373839] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9917), 1,
      anon_sym_RPAREN,
    STATE(13979), 1,
      sym_having_min_clause,
    STATE(13980), 1,
      sym_having_max_clause,
    STATE(15095), 1,
      sym_order_by_clause,
    STATE(17152), 1,
      sym_limit_clause,
  [373867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9271), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13114), 1,
      sym_order_by_clause,
    STATE(18918), 1,
      sym_window_frame_clause,
  [373895] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9919), 1,
      anon_sym_RPAREN,
    STATE(14667), 1,
      sym_order_by_clause,
    STATE(16451), 1,
      sym_limit_clause,
    STATE(13248), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [373921] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9921), 1,
      anon_sym_RPAREN,
    STATE(13422), 1,
      sym_having_max_clause,
    STATE(13423), 1,
      sym_having_min_clause,
    STATE(15887), 1,
      sym_order_by_clause,
    STATE(18018), 1,
      sym_limit_clause,
  [373949] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9923), 1,
      anon_sym_RPAREN,
    STATE(13969), 1,
      sym_having_min_clause,
    STATE(13970), 1,
      sym_having_max_clause,
    STATE(15112), 1,
      sym_order_by_clause,
    STATE(17144), 1,
      sym_limit_clause,
  [373977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9925), 1,
      anon_sym_RPAREN,
    STATE(14398), 1,
      sym_order_by_clause,
    STATE(17508), 1,
      sym_limit_clause,
    STATE(13399), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374003] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9927), 1,
      anon_sym_RPAREN,
    STATE(14031), 1,
      sym_having_max_clause,
    STATE(14032), 1,
      sym_having_min_clause,
    STATE(15027), 1,
      sym_order_by_clause,
    STATE(18923), 1,
      sym_limit_clause,
  [374031] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14320), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [374055] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
    STATE(14413), 1,
      sym_order_by_clause,
    STATE(17510), 1,
      sym_limit_clause,
    STATE(13548), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374081] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9931), 1,
      anon_sym_RPAREN,
    STATE(14416), 1,
      sym_order_by_clause,
    STATE(17511), 1,
      sym_limit_clause,
    STATE(13592), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374107] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9933), 1,
      anon_sym_RPAREN,
    STATE(14022), 1,
      sym_having_max_clause,
    STATE(14025), 1,
      sym_having_min_clause,
    STATE(15038), 1,
      sym_order_by_clause,
    STATE(18931), 1,
      sym_limit_clause,
  [374135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9935), 1,
      anon_sym_RPAREN,
    STATE(15044), 1,
      sym_order_by_clause,
    STATE(18932), 1,
      sym_limit_clause,
    STATE(14018), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9937), 1,
      anon_sym_RPAREN,
    STATE(13966), 1,
      sym_having_min_clause,
    STATE(13967), 1,
      sym_having_max_clause,
    STATE(15123), 1,
      sym_order_by_clause,
    STATE(17138), 1,
      sym_limit_clause,
  [374189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
    STATE(15050), 1,
      sym_order_by_clause,
    STATE(18934), 1,
      sym_limit_clause,
    STATE(14014), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_LPAREN,
    ACTIONS(9947), 1,
      anon_sym_DOT,
    ACTIONS(9941), 3,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_array_token1,
      sym__unquoted_identifier,
    ACTIONS(9943), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [374235] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9949), 1,
      anon_sym_RPAREN,
    STATE(15056), 1,
      sym_order_by_clause,
    STATE(18935), 1,
      sym_limit_clause,
    STATE(14012), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374261] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(8090), 1,
      aux_sym__keyword_array_token1,
    ACTIONS(9515), 1,
      sym__unquoted_identifier,
    STATE(6778), 1,
      sym__keyword_struct,
    STATE(15658), 1,
      sym__bqtype,
    STATE(7181), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [374285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8024), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9951), 1,
      anon_sym_RPAREN,
    STATE(13439), 1,
      sym_having_max_clause,
    STATE(13440), 1,
      sym_having_min_clause,
    STATE(15972), 1,
      sym_order_by_clause,
    STATE(17993), 1,
      sym_limit_clause,
  [374339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8042), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8031), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8037), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374417] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8061), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374443] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9953), 1,
      anon_sym_RPAREN,
    STATE(14456), 1,
      sym_order_by_clause,
    STATE(17515), 1,
      sym_limit_clause,
    STATE(13839), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374469] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9955), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13071), 1,
      sym_order_by_clause,
    STATE(17134), 1,
      sym_window_frame_clause,
  [374497] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8079), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9957), 1,
      anon_sym_RPAREN,
    STATE(13251), 1,
      sym_having_min_clause,
    STATE(13254), 1,
      sym_having_max_clause,
    STATE(14701), 1,
      sym_order_by_clause,
    STATE(16465), 1,
      sym_limit_clause,
  [374551] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9959), 1,
      anon_sym_RPAREN,
    STATE(13450), 1,
      sym_having_max_clause,
    STATE(13451), 1,
      sym_having_min_clause,
    STATE(15962), 1,
      sym_order_by_clause,
    STATE(17977), 1,
      sym_limit_clause,
  [374579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8326), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8146), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8324), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374657] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9961), 1,
      anon_sym_RPAREN,
    STATE(15683), 1,
      sym_order_by_clause,
    STATE(18033), 1,
      sym_limit_clause,
    STATE(13384), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9963), 1,
      anon_sym_RPAREN,
    STATE(13962), 1,
      sym_having_min_clause,
    STATE(13963), 1,
      sym_having_max_clause,
    STATE(15140), 1,
      sym_order_by_clause,
    STATE(17127), 1,
      sym_limit_clause,
  [374711] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14337), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [374735] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8147), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374761] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8044), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374787] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
    STATE(15086), 1,
      sym_order_by_clause,
    STATE(18951), 1,
      sym_limit_clause,
    STATE(14048), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9967), 1,
      anon_sym_RPAREN,
    STATE(15088), 1,
      sym_order_by_clause,
    STATE(18895), 1,
      sym_limit_clause,
    STATE(13987), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8315), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9969), 1,
      anon_sym_RPAREN,
    STATE(15799), 1,
      sym_order_by_clause,
    STATE(16600), 1,
      sym_limit_clause,
    STATE(13398), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
    STATE(15640), 1,
      sym_order_by_clause,
    STATE(17820), 1,
      sym_limit_clause,
    STATE(13731), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [374917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8162), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8170), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [374969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_RPAREN,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9973), 1,
      aux_sym_order_by_clause_token1,
    STATE(6584), 1,
      sym_limit_clause,
    STATE(6585), 1,
      sym_order_by_clause,
    ACTIONS(4608), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [374993] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9975), 1,
      anon_sym_RPAREN,
    STATE(15602), 1,
      sym_order_by_clause,
    STATE(18209), 1,
      sym_limit_clause,
    STATE(13372), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375019] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8174), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375045] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8311), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9977), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13063), 1,
      sym_order_by_clause,
    STATE(17967), 1,
      sym_window_frame_clause,
  [375099] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8306), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8294), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
    STATE(15107), 1,
      sym_order_by_clause,
    STATE(18959), 1,
      sym_limit_clause,
    STATE(13973), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9981), 1,
      anon_sym_RPAREN,
    STATE(15758), 1,
      sym_order_by_clause,
    STATE(18212), 1,
      sym_limit_clause,
    STATE(13383), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375203] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8288), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8221), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14331), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [375279] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8220), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375305] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9983), 1,
      anon_sym_RPAREN,
    STATE(15816), 1,
      sym_order_by_clause,
    STATE(18214), 1,
      sym_limit_clause,
    STATE(13397), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375331] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8265), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [375357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8260), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [375383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8180), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8181), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375435] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8252), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [375461] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8193), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375487] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8143), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9985), 1,
      anon_sym_RPAREN,
    STATE(13467), 1,
      sym_having_max_clause,
    STATE(13468), 1,
      sym_having_min_clause,
    STATE(15946), 1,
      sym_order_by_clause,
    STATE(17954), 1,
      sym_limit_clause,
  [375541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8116), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375567] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 1,
      sym__unquoted_identifier,
    ACTIONS(9835), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9837), 1,
      aux_sym__keyword_array_token1,
    STATE(11790), 1,
      sym_column_type,
    STATE(17374), 1,
      sym__keyword_array,
    STATE(17375), 1,
      sym__keyword_struct,
    STATE(5995), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [375593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9987), 1,
      anon_sym_RPAREN,
    STATE(13243), 1,
      sym_having_min_clause,
    STATE(13244), 1,
      sym_having_max_clause,
    STATE(14660), 1,
      sym_order_by_clause,
    STATE(16447), 1,
      sym_limit_clause,
  [375621] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9307), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13029), 1,
      sym_order_by_clause,
    STATE(19254), 1,
      sym_window_frame_clause,
  [375649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8168), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [375675] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
    STATE(15485), 1,
      sym_order_by_clause,
    STATE(16563), 1,
      sym_limit_clause,
    STATE(13350), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9991), 1,
      anon_sym_RPAREN,
    STATE(13346), 1,
      sym_having_min_clause,
    STATE(13348), 1,
      sym_having_max_clause,
    STATE(15471), 1,
      sym_order_by_clause,
    STATE(16556), 1,
      sym_limit_clause,
  [375729] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
    STATE(15925), 1,
      sym_order_by_clause,
    STATE(16667), 1,
      sym_limit_clause,
    STATE(13483), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375755] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8078), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [375781] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9995), 1,
      anon_sym_RPAREN,
    STATE(13259), 1,
      sym_having_min_clause,
    STATE(13260), 1,
      sym_having_max_clause,
    STATE(14735), 1,
      sym_order_by_clause,
    STATE(16471), 1,
      sym_limit_clause,
  [375809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9997), 1,
      anon_sym_RPAREN,
    STATE(13441), 1,
      sym_having_min_clause,
    STATE(13442), 1,
      sym_having_max_clause,
    STATE(15971), 1,
      sym_order_by_clause,
    STATE(17980), 1,
      sym_limit_clause,
  [375837] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9999), 1,
      anon_sym_RPAREN,
    STATE(13334), 1,
      sym_having_min_clause,
    STATE(13335), 1,
      sym_having_max_clause,
    STATE(15385), 1,
      sym_order_by_clause,
    STATE(16547), 1,
      sym_limit_clause,
  [375865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
    STATE(14751), 1,
      sym_order_by_clause,
    STATE(16472), 1,
      sym_limit_clause,
    STATE(13261), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8080), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [375917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10003), 1,
      anon_sym_RPAREN,
    STATE(15151), 1,
      sym_order_by_clause,
    STATE(19246), 1,
      sym_limit_clause,
    STATE(13308), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [375943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(13310), 1,
      sym_having_max_clause,
    STATE(13311), 1,
      sym_having_min_clause,
    STATE(15158), 1,
      sym_order_by_clause,
    STATE(19244), 1,
      sym_limit_clause,
  [375971] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8082), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [375997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
    STATE(14837), 1,
      sym_order_by_clause,
    STATE(16475), 1,
      sym_limit_clause,
    STATE(13269), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    STATE(14862), 1,
      sym_order_by_clause,
    STATE(16477), 1,
      sym_limit_clause,
    STATE(13270), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8085), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [376075] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8086), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [376101] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10011), 1,
      anon_sym_RPAREN,
    STATE(13315), 1,
      sym_having_max_clause,
    STATE(13317), 1,
      sym_having_min_clause,
    STATE(15197), 1,
      sym_order_by_clause,
    STATE(19204), 1,
      sym_limit_clause,
  [376129] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10013), 1,
      anon_sym_RPAREN,
    STATE(14940), 1,
      sym_order_by_clause,
    STATE(16481), 1,
      sym_limit_clause,
    STATE(13282), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376155] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8157), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [376181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10015), 1,
      anon_sym_RPAREN,
    STATE(13452), 1,
      sym_having_min_clause,
    STATE(13453), 1,
      sym_having_max_clause,
    STATE(15960), 1,
      sym_order_by_clause,
    STATE(17966), 1,
      sym_limit_clause,
  [376209] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10017), 1,
      anon_sym_RPAREN,
    STATE(15928), 1,
      sym_order_by_clause,
    STATE(16664), 1,
      sym_limit_clause,
    STATE(13479), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376235] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    STATE(15886), 1,
      sym_order_by_clause,
    STATE(18221), 1,
      sym_limit_clause,
    STATE(13417), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376261] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8088), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [376287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10021), 1,
      anon_sym_RPAREN,
    STATE(13458), 1,
      sym_having_min_clause,
    STATE(13460), 1,
      sym_having_max_clause,
    STATE(15954), 1,
      sym_order_by_clause,
    STATE(17955), 1,
      sym_limit_clause,
  [376315] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
    STATE(14975), 1,
      sym_order_by_clause,
    STATE(16483), 1,
      sym_limit_clause,
    STATE(13289), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376341] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
    STATE(14985), 1,
      sym_order_by_clause,
    STATE(16485), 1,
      sym_limit_clause,
    STATE(13291), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10027), 1,
      anon_sym_RPAREN,
    STATE(13326), 1,
      sym_having_max_clause,
    STATE(13330), 1,
      sym_having_min_clause,
    STATE(15289), 1,
      sym_order_by_clause,
    STATE(19194), 1,
      sym_limit_clause,
  [376395] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
    STATE(13331), 1,
      sym_having_min_clause,
    STATE(13333), 1,
      sym_having_max_clause,
    STATE(15360), 1,
      sym_order_by_clause,
    STATE(16537), 1,
      sym_limit_clause,
  [376423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10031), 1,
      anon_sym_RPAREN,
    STATE(13321), 1,
      sym_having_min_clause,
    STATE(13324), 1,
      sym_having_max_clause,
    STATE(15325), 1,
      sym_order_by_clause,
    STATE(16528), 1,
      sym_limit_clause,
  [376451] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8200), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376477] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8204), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8244), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8140), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [376555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8109), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [376581] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8107), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [376607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8286), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8301), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376659] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8251), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376685] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8254), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376711] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8261), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376737] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8314), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376763] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8300), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376789] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8320), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376815] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8184), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8092), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376867] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8090), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8359), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376919] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8070), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376945] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
    STATE(14780), 1,
      sym_order_by_clause,
    STATE(18481), 1,
      sym_limit_clause,
    STATE(14165), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [376971] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8064), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [376997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8077), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8356), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8050), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377075] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8030), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377101] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8328), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377127] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8032), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377153] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8040), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377179] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8322), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377205] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8297), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13041), 1,
      sym_order_by_clause,
    STATE(19190), 1,
      sym_window_frame_clause,
  [377259] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10037), 1,
      anon_sym_RPAREN,
    STATE(15058), 1,
      sym_order_by_clause,
    STATE(16416), 1,
      sym_limit_clause,
    STATE(13302), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8295), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377311] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8093), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377337] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8094), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8095), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377389] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8292), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377415] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10039), 1,
      anon_sym_RPAREN,
    STATE(14207), 1,
      sym_having_max_clause,
    STATE(14208), 1,
      sym_having_min_clause,
    STATE(14679), 1,
      sym_order_by_clause,
    STATE(17520), 1,
      sym_limit_clause,
  [377443] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
    STATE(14814), 1,
      sym_order_by_clause,
    STATE(18470), 1,
      sym_limit_clause,
    STATE(14146), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377469] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10043), 1,
      anon_sym_RPAREN,
    STATE(14824), 1,
      sym_order_by_clause,
    STATE(18469), 1,
      sym_limit_clause,
    STATE(14136), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14307), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [377519] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10045), 1,
      anon_sym_RPAREN,
    STATE(13341), 1,
      sym_having_max_clause,
    STATE(13342), 1,
      sym_having_min_clause,
    STATE(15615), 1,
      sym_order_by_clause,
    STATE(19182), 1,
      sym_limit_clause,
  [377547] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8096), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377573] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8097), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377599] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
    STATE(14855), 1,
      sym_order_by_clause,
    STATE(18464), 1,
      sym_limit_clause,
    STATE(14114), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377625] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8098), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377651] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8100), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377677] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10049), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13034), 1,
      sym_order_by_clause,
    STATE(17564), 1,
      sym_window_frame_clause,
  [377705] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8281), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377731] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8271), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377757] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8267), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377783] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8024), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377809] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8192), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377835] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8262), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8027), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [377887] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8256), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377913] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8253), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [377939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4663), 1,
      anon_sym_RPAREN,
    ACTIONS(10051), 1,
      anon_sym_COMMA,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
    ACTIONS(4661), 5,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_struct_token1,
      aux_sym__keyword_array_token1,
      aux_sym_alter_table_rename_statement_token1,
      sym__unquoted_identifier,
  [377959] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10054), 1,
      anon_sym_RPAREN,
    STATE(15226), 1,
      sym_order_by_clause,
    STATE(17091), 1,
      sym_limit_clause,
    STATE(13928), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [377985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10056), 1,
      anon_sym_RPAREN,
    STATE(14190), 1,
      sym_having_max_clause,
    STATE(14191), 1,
      sym_having_min_clause,
    STATE(14722), 1,
      sym_order_by_clause,
    STATE(17568), 1,
      sym_limit_clause,
  [378013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8248), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [378039] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8323), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [378065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10058), 1,
      anon_sym_RPAREN,
    STATE(14179), 1,
      sym_having_max_clause,
    STATE(14180), 1,
      sym_having_min_clause,
    STATE(14765), 1,
      sym_order_by_clause,
    STATE(17576), 1,
      sym_limit_clause,
  [378093] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10060), 1,
      anon_sym_RPAREN,
    STATE(14893), 1,
      sym_order_by_clause,
    STATE(18456), 1,
      sym_limit_clause,
    STATE(14088), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378119] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10062), 1,
      anon_sym_RPAREN,
    STATE(14903), 1,
      sym_order_by_clause,
    STATE(18455), 1,
      sym_limit_clause,
    STATE(14081), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10064), 1,
      anon_sym_RPAREN,
    STATE(15630), 1,
      sym_order_by_clause,
    STATE(16587), 1,
      sym_limit_clause,
    STATE(13376), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10066), 1,
      anon_sym_RPAREN,
    STATE(14162), 1,
      sym_having_max_clause,
    STATE(14163), 1,
      sym_having_min_clause,
    STATE(14797), 1,
      sym_order_by_clause,
    STATE(17584), 1,
      sym_limit_clause,
  [378199] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
    STATE(14800), 1,
      sym_order_by_clause,
    STATE(17585), 1,
      sym_limit_clause,
    STATE(14159), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9973), 1,
      aux_sym_order_by_clause_token1,
    STATE(6377), 1,
      sym_limit_clause,
    STATE(6378), 1,
      sym_order_by_clause,
    ACTIONS(4617), 4,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [378247] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10070), 1,
      anon_sym_RPAREN,
    STATE(15562), 1,
      sym_order_by_clause,
    STATE(16577), 1,
      sym_limit_clause,
    STATE(13358), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378273] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10072), 1,
      anon_sym_RPAREN,
    STATE(15248), 1,
      sym_order_by_clause,
    STATE(17085), 1,
      sym_limit_clause,
    STATE(13911), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10074), 1,
      anon_sym_RPAREN,
    STATE(15251), 1,
      sym_order_by_clause,
    STATE(17084), 1,
      sym_limit_clause,
    STATE(13910), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378325] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10076), 1,
      anon_sym_RPAREN,
    STATE(14918), 1,
      sym_order_by_clause,
    STATE(18453), 1,
      sym_limit_clause,
    STATE(14073), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10078), 1,
      anon_sym_RPAREN,
    STATE(14067), 1,
      sym_having_min_clause,
    STATE(14069), 1,
      sym_having_max_clause,
    STATE(14932), 1,
      sym_order_by_clause,
    STATE(18452), 1,
      sym_limit_clause,
  [378379] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10080), 1,
      anon_sym_RPAREN,
    STATE(15526), 1,
      sym_order_by_clause,
    STATE(16574), 1,
      sym_limit_clause,
    STATE(13355), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378405] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14342), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [378429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9229), 1,
      anon_sym_RPAREN,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13044), 1,
      sym_order_by_clause,
    STATE(17588), 1,
      sym_window_frame_clause,
  [378457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8103), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [378483] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10082), 1,
      anon_sym_RPAREN,
    STATE(14050), 1,
      sym_having_min_clause,
    STATE(14051), 1,
      sym_having_max_clause,
    STATE(14980), 1,
      sym_order_by_clause,
    STATE(18445), 1,
      sym_limit_clause,
  [378511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    STATE(7397), 1,
      sym_query_expr,
    STATE(8219), 1,
      sym_query_statement,
    STATE(12990), 1,
      sym_cte_clause,
    STATE(6376), 2,
      sym_set_operation,
      sym_select,
  [378537] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8072), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [378563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10084), 1,
      anon_sym_RPAREN,
    STATE(14143), 1,
      sym_having_max_clause,
    STATE(14144), 1,
      sym_having_min_clause,
    STATE(14821), 1,
      sym_order_by_clause,
    STATE(17592), 1,
      sym_limit_clause,
  [378591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10086), 1,
      anon_sym_RPAREN,
    STATE(14133), 1,
      sym_having_max_clause,
    STATE(14134), 1,
      sym_having_min_clause,
    STATE(14836), 1,
      sym_order_by_clause,
    STATE(17596), 1,
      sym_limit_clause,
  [378619] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10088), 1,
      anon_sym_RPAREN,
    STATE(14838), 1,
      sym_order_by_clause,
    STATE(17597), 1,
      sym_limit_clause,
    STATE(14130), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10090), 1,
      anon_sym_RPAREN,
    STATE(15260), 1,
      sym_order_by_clause,
    STATE(17081), 1,
      sym_limit_clause,
    STATE(13904), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378671] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 1,
      sym__unquoted_identifier,
    ACTIONS(9835), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9837), 1,
      aux_sym__keyword_array_token1,
    STATE(5764), 1,
      sym_column_type,
    STATE(17374), 1,
      sym__keyword_array,
    STATE(17375), 1,
      sym__keyword_struct,
    STATE(5995), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [378697] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13059), 1,
      sym_order_by_clause,
    STATE(18435), 1,
      sym_window_frame_clause,
  [378725] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8133), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [378751] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8135), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [378777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10092), 1,
      aux_sym_order_by_clause_token1,
    STATE(6263), 1,
      sym_order_by_clause,
    STATE(6377), 1,
      sym_limit_clause,
    ACTIONS(4617), 4,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [378799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8139), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [378825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10095), 1,
      anon_sym_RPAREN,
    ACTIONS(2989), 7,
      anon_sym_COMMA,
      aux_sym_join_type_token1,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
      aux_sym__cross_join_operation_token1,
      aux_sym__cross_join_operation_token2,
  [378841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10097), 1,
      anon_sym_RPAREN,
    STATE(14848), 1,
      sym_order_by_clause,
    STATE(17600), 1,
      sym_limit_clause,
    STATE(14121), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378867] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10099), 1,
      anon_sym_RPAREN,
    STATE(14852), 1,
      sym_order_by_clause,
    STATE(17602), 1,
      sym_limit_clause,
    STATE(14118), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [378893] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      aux_sym_join_type_token1,
    ACTIONS(8316), 1,
      anon_sym_COMMA,
    ACTIONS(8322), 1,
      aux_sym__cross_join_operation_token1,
    ACTIONS(8324), 1,
      aux_sym__cross_join_operation_token2,
    STATE(18317), 1,
      sym_join_type,
    ACTIONS(3521), 3,
      aux_sym_join_type_token2,
      aux_sym_join_type_token3,
      aux_sym_join_type_token4,
  [378917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_RPAREN,
    ACTIONS(4455), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10101), 1,
      aux_sym_order_by_clause_token1,
    STATE(6265), 1,
      sym_order_by_clause,
    STATE(6584), 1,
      sym_limit_clause,
    ACTIONS(4608), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [378941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10104), 1,
      aux_sym_order_by_clause_token1,
    STATE(6266), 1,
      sym_order_by_clause,
    STATE(6414), 1,
      sym_limit_clause,
    ACTIONS(4458), 4,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [378963] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8156), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [378989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10107), 1,
      anon_sym_RPAREN,
    STATE(15026), 1,
      sym_order_by_clause,
    STATE(18429), 1,
      sym_limit_clause,
    STATE(14030), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10109), 1,
      anon_sym_RPAREN,
    STATE(14026), 1,
      sym_having_min_clause,
    STATE(14027), 1,
      sym_having_max_clause,
    STATE(15030), 1,
      sym_order_by_clause,
    STATE(18428), 1,
      sym_limit_clause,
  [379043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9973), 1,
      aux_sym_order_by_clause_token1,
    STATE(6413), 1,
      sym_order_by_clause,
    STATE(6414), 1,
      sym_limit_clause,
    ACTIONS(4458), 4,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [379065] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_RPAREN,
    ACTIONS(4475), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10111), 1,
      aux_sym_order_by_clause_token1,
    STATE(6273), 1,
      sym_order_by_clause,
    STATE(6364), 1,
      sym_limit_clause,
    ACTIONS(4535), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [379089] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    STATE(15282), 1,
      sym_order_by_clause,
    STATE(17075), 1,
      sym_limit_clause,
    STATE(13889), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379115] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10116), 1,
      anon_sym_RPAREN,
    STATE(15285), 1,
      sym_order_by_clause,
    STATE(17074), 1,
      sym_limit_clause,
    STATE(13888), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379141] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8141), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379167] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8200), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379193] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10118), 1,
      anon_sym_RPAREN,
    STATE(15294), 1,
      sym_order_by_clause,
    STATE(17070), 1,
      sym_limit_clause,
    STATE(13883), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379219] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10120), 1,
      anon_sym_RPAREN,
    STATE(13880), 1,
      sym_having_min_clause,
    STATE(13881), 1,
      sym_having_max_clause,
    STATE(15297), 1,
      sym_order_by_clause,
    STATE(17043), 1,
      sym_limit_clause,
  [379247] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    STATE(14882), 1,
      sym_order_by_clause,
    STATE(17612), 1,
      sym_limit_clause,
    STATE(14096), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379273] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8142), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10124), 1,
      anon_sym_RPAREN,
    STATE(14894), 1,
      sym_order_by_clause,
    STATE(17614), 1,
      sym_limit_clause,
    STATE(14087), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379325] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10126), 1,
      anon_sym_RPAREN,
    STATE(14001), 1,
      sym_having_min_clause,
    STATE(14002), 1,
      sym_having_max_clause,
    STATE(15067), 1,
      sym_order_by_clause,
    STATE(18418), 1,
      sym_limit_clause,
  [379353] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10128), 1,
      anon_sym_RPAREN,
    STATE(14900), 1,
      sym_order_by_clause,
    STATE(17618), 1,
      sym_limit_clause,
    STATE(14084), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379379] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8151), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8204), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10130), 1,
      anon_sym_RPAREN,
    STATE(13877), 1,
      sym_having_min_clause,
    STATE(13879), 1,
      sym_having_max_clause,
    STATE(15307), 1,
      sym_order_by_clause,
    STATE(17064), 1,
      sym_limit_clause,
  [379459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9243), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13082), 1,
      sym_order_by_clause,
    STATE(17059), 1,
      sym_window_frame_clause,
  [379487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14225), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [379511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8153), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379537] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8154), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10132), 1,
      anon_sym_RPAREN,
    STATE(15323), 1,
      sym_order_by_clause,
    STATE(17055), 1,
      sym_limit_clause,
    STATE(13869), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10134), 1,
      anon_sym_RPAREN,
    STATE(13986), 1,
      sym_having_min_clause,
    STATE(13990), 1,
      sym_having_max_clause,
    STATE(15081), 1,
      sym_order_by_clause,
    STATE(18404), 1,
      sym_limit_clause,
  [379617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10136), 1,
      anon_sym_RPAREN,
    STATE(13864), 1,
      sym_having_min_clause,
    STATE(13867), 1,
      sym_having_max_clause,
    STATE(15326), 1,
      sym_order_by_clause,
    STATE(17054), 1,
      sym_limit_clause,
  [379645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
    STATE(14950), 1,
      sym_order_by_clause,
    STATE(17627), 1,
      sym_limit_clause,
    STATE(14062), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [379671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10140), 1,
      anon_sym_RPAREN,
    STATE(13858), 1,
      sym_having_min_clause,
    STATE(13859), 1,
      sym_having_max_clause,
    STATE(15343), 1,
      sym_order_by_clause,
    STATE(17045), 1,
      sym_limit_clause,
  [379699] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 1,
      sym__unquoted_identifier,
    ACTIONS(9835), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9837), 1,
      aux_sym__keyword_array_token1,
    STATE(11830), 1,
      sym_column_type,
    STATE(17374), 1,
      sym__keyword_array,
    STATE(17375), 1,
      sym__keyword_struct,
    STATE(5995), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [379725] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8155), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379751] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8158), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379777] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8161), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10142), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13027), 1,
      sym_order_by_clause,
    STATE(18400), 1,
      sym_window_frame_clause,
  [379831] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    STATE(13918), 1,
      sym_having_max_clause,
    STATE(13921), 1,
      sym_having_min_clause,
    STATE(15235), 1,
      sym_order_by_clause,
    STATE(19015), 1,
      sym_limit_clause,
  [379859] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10146), 1,
      anon_sym_RPAREN,
    STATE(13855), 1,
      sym_having_min_clause,
    STATE(13857), 1,
      sym_having_max_clause,
    STATE(15354), 1,
      sym_order_by_clause,
    STATE(17036), 1,
      sym_limit_clause,
  [379887] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8244), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379913] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8162), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379939] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2721), 1,
      aux_sym__nulls_preference_token1,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(13143), 1,
      aux_sym_order_by_clause_body_repeat1,
    STATE(13182), 1,
      sym__nulls_preference,
    ACTIONS(4267), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [379961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8163), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [379987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8168), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8251), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_RPAREN,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9973), 1,
      aux_sym_order_by_clause_token1,
    STATE(6363), 1,
      sym_order_by_clause,
    STATE(6364), 1,
      sym_limit_clause,
    ACTIONS(4535), 3,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
  [380063] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8170), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380089] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10148), 1,
      anon_sym_RPAREN,
    STATE(13958), 1,
      sym_having_min_clause,
    STATE(13959), 1,
      sym_having_max_clause,
    STATE(15149), 1,
      sym_order_by_clause,
    STATE(18391), 1,
      sym_limit_clause,
  [380117] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14303), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [380141] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8174), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380167] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10150), 1,
      anon_sym_RPAREN,
    STATE(13445), 1,
      sym_having_min_clause,
    STATE(13446), 1,
      sym_having_max_clause,
    STATE(15965), 1,
      sym_order_by_clause,
    STATE(16640), 1,
      sym_limit_clause,
  [380195] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
    STATE(15739), 1,
      sym_order_by_clause,
    STATE(16783), 1,
      sym_limit_clause,
    STATE(13627), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380221] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10154), 1,
      anon_sym_RPAREN,
    STATE(13629), 1,
      sym_having_max_clause,
    STATE(13631), 1,
      sym_having_min_clause,
    STATE(15736), 1,
      sym_order_by_clause,
    STATE(16786), 1,
      sym_limit_clause,
  [380249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10156), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13077), 1,
      sym_order_by_clause,
    STATE(16646), 1,
      sym_window_frame_clause,
  [380277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8212), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13094), 1,
      sym_order_by_clause,
    STATE(17032), 1,
      sym_window_frame_clause,
  [380331] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8254), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8261), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380383] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10160), 1,
      anon_sym_RPAREN,
    STATE(13462), 1,
      sym_having_min_clause,
    STATE(13463), 1,
      sym_having_max_clause,
    STATE(15949), 1,
      sym_order_by_clause,
    STATE(16652), 1,
      sym_limit_clause,
  [380411] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13054), 1,
      sym_order_by_clause,
    STATE(19026), 1,
      sym_window_frame_clause,
  [380439] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10164), 1,
      anon_sym_RPAREN,
    STATE(13473), 1,
      sym_having_min_clause,
    STATE(13474), 1,
      sym_having_max_clause,
    STATE(15940), 1,
      sym_order_by_clause,
    STATE(17938), 1,
      sym_limit_clause,
  [380467] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8300), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10166), 1,
      anon_sym_RPAREN,
    STATE(13648), 1,
      sym_having_max_clause,
    STATE(13650), 1,
      sym_having_min_clause,
    STATE(15715), 1,
      sym_order_by_clause,
    STATE(16803), 1,
      sym_limit_clause,
  [380521] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10168), 1,
      anon_sym_RPAREN,
    STATE(13472), 1,
      sym_having_min_clause,
    STATE(13475), 1,
      sym_having_max_clause,
    STATE(15938), 1,
      sym_order_by_clause,
    STATE(16659), 1,
      sym_limit_clause,
  [380549] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10170), 1,
      anon_sym_RPAREN,
    STATE(13481), 1,
      sym_having_min_clause,
    STATE(13482), 1,
      sym_having_max_clause,
    STATE(15921), 1,
      sym_order_by_clause,
    STATE(16670), 1,
      sym_limit_clause,
  [380577] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8184), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10172), 1,
      anon_sym_RPAREN,
    STATE(13846), 1,
      sym_having_min_clause,
    STATE(13847), 1,
      sym_having_max_clause,
    STATE(15371), 1,
      sym_order_by_clause,
    STATE(17026), 1,
      sym_limit_clause,
  [380631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8092), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380657] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10174), 1,
      anon_sym_RPAREN,
    STATE(13906), 1,
      sym_having_max_clause,
    STATE(13909), 1,
      sym_having_min_clause,
    STATE(15258), 1,
      sym_order_by_clause,
    STATE(18972), 1,
      sym_limit_clause,
  [380685] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14278), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [380709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
    STATE(15104), 1,
      sym_order_by_clause,
    STATE(17663), 1,
      sym_limit_clause,
    STATE(13976), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380735] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8090), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380761] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10178), 1,
      anon_sym_RPAREN,
    STATE(15106), 1,
      sym_order_by_clause,
    STATE(17666), 1,
      sym_limit_clause,
    STATE(13974), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380787] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10180), 1,
      anon_sym_RPAREN,
    STATE(15932), 1,
      sym_order_by_clause,
    STATE(17935), 1,
      sym_limit_clause,
    STATE(13477), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
    STATE(15144), 1,
      sym_order_by_clause,
    STATE(17675), 1,
      sym_limit_clause,
    STATE(13961), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8070), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8064), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8050), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
    STATE(15918), 1,
      sym_order_by_clause,
    STATE(16671), 1,
      sym_limit_clause,
    STATE(13485), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [380943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10186), 1,
      anon_sym_RPAREN,
    STATE(13657), 1,
      sym_having_max_clause,
    STATE(13658), 1,
      sym_having_min_clause,
    STATE(15703), 1,
      sym_order_by_clause,
    STATE(16814), 1,
      sym_limit_clause,
  [380971] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8044), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [380997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    STATE(15201), 1,
      sym_order_by_clause,
    STATE(17691), 1,
      sym_limit_clause,
    STATE(13939), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
    STATE(15210), 1,
      sym_order_by_clause,
    STATE(17694), 1,
      sym_limit_clause,
    STATE(13936), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
    STATE(15818), 1,
      sym_order_by_clause,
    STATE(17898), 1,
      sym_limit_clause,
    STATE(13574), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9285), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13087), 1,
      sym_order_by_clause,
    STATE(16676), 1,
      sym_window_frame_clause,
  [381103] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10194), 1,
      anon_sym_RPAREN,
    STATE(13501), 1,
      sym_having_min_clause,
    STATE(13502), 1,
      sym_having_max_clause,
    STATE(15902), 1,
      sym_order_by_clause,
    STATE(16682), 1,
      sym_limit_clause,
  [381131] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8180), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [381157] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10196), 1,
      anon_sym_RPAREN,
    STATE(13508), 1,
      sym_having_min_clause,
    STATE(13509), 1,
      sym_having_max_clause,
    STATE(15892), 1,
      sym_order_by_clause,
    STATE(16689), 1,
      sym_limit_clause,
  [381185] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    STATE(15889), 1,
      sym_order_by_clause,
    STATE(16691), 1,
      sym_limit_clause,
    STATE(13510), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381211] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
    STATE(15233), 1,
      sym_order_by_clause,
    STATE(17703), 1,
      sym_limit_clause,
    STATE(13919), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381237] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10202), 1,
      anon_sym_RPAREN,
    STATE(13913), 1,
      sym_having_min_clause,
    STATE(13915), 1,
      sym_having_max_clause,
    STATE(15237), 1,
      sym_order_by_clause,
    STATE(17706), 1,
      sym_limit_clause,
  [381265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10204), 1,
      anon_sym_RPAREN,
    STATE(13900), 1,
      sym_having_min_clause,
    STATE(13901), 1,
      sym_having_max_clause,
    STATE(15266), 1,
      sym_order_by_clause,
    STATE(17716), 1,
      sym_limit_clause,
  [381293] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10206), 1,
      anon_sym_RPAREN,
    STATE(15308), 1,
      sym_order_by_clause,
    STATE(17729), 1,
      sym_limit_clause,
    STATE(13878), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    STATE(13868), 1,
      sym_having_min_clause,
    STATE(13873), 1,
      sym_having_max_clause,
    STATE(15316), 1,
      sym_order_by_clause,
    STATE(17732), 1,
      sym_limit_clause,
  [381347] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10210), 1,
      anon_sym_RPAREN,
    STATE(13892), 1,
      sym_having_max_clause,
    STATE(13893), 1,
      sym_having_min_clause,
    STATE(15278), 1,
      sym_order_by_clause,
    STATE(19038), 1,
      sym_limit_clause,
  [381375] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8030), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [381401] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8181), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [381427] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8032), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [381453] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10212), 1,
      anon_sym_RPAREN,
    STATE(13971), 1,
      sym_having_max_clause,
    STATE(13972), 1,
      sym_having_min_clause,
    STATE(15114), 1,
      sym_order_by_clause,
    STATE(17672), 1,
      sym_limit_clause,
  [381481] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10214), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13107), 1,
      sym_order_by_clause,
    STATE(17679), 1,
      sym_window_frame_clause,
  [381509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    STATE(15800), 1,
      sym_order_by_clause,
    STATE(17892), 1,
      sym_limit_clause,
    STATE(13596), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381535] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
    STATE(15793), 1,
      sym_order_by_clause,
    STATE(17890), 1,
      sym_limit_clause,
    STATE(13599), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10220), 1,
      anon_sym_RPAREN,
    STATE(13824), 1,
      sym_having_min_clause,
    STATE(13829), 1,
      sym_having_max_clause,
    STATE(15407), 1,
      sym_order_by_clause,
    STATE(17749), 1,
      sym_limit_clause,
  [381589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13161), 1,
      sym_order_by_clause,
    STATE(16772), 1,
      sym_window_frame_clause,
  [381617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10224), 1,
      anon_sym_RPAREN,
    STATE(13874), 1,
      sym_having_max_clause,
    STATE(13875), 1,
      sym_having_min_clause,
    STATE(15317), 1,
      sym_order_by_clause,
    STATE(19050), 1,
      sym_limit_clause,
  [381645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14230), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [381669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10226), 1,
      anon_sym_RPAREN,
    STATE(13954), 1,
      sym_having_max_clause,
    STATE(13955), 1,
      sym_having_min_clause,
    STATE(15174), 1,
      sym_order_by_clause,
    STATE(17684), 1,
      sym_limit_clause,
  [381697] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8126), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [381723] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10228), 1,
      anon_sym_RPAREN,
    STATE(13943), 1,
      sym_having_max_clause,
    STATE(13944), 1,
      sym_having_min_clause,
    STATE(15195), 1,
      sym_order_by_clause,
    STATE(17693), 1,
      sym_limit_clause,
  [381751] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10230), 1,
      anon_sym_RPAREN,
    STATE(13800), 1,
      sym_having_min_clause,
    STATE(13801), 1,
      sym_having_max_clause,
    STATE(15461), 1,
      sym_order_by_clause,
    STATE(17760), 1,
      sym_limit_clause,
  [381779] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
    STATE(15319), 1,
      sym_order_by_clause,
    STATE(19052), 1,
      sym_limit_clause,
    STATE(13872), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381805] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10234), 1,
      anon_sym_RPAREN,
    STATE(13926), 1,
      sym_having_max_clause,
    STATE(13927), 1,
      sym_having_min_clause,
    STATE(15229), 1,
      sym_order_by_clause,
    STATE(17704), 1,
      sym_limit_clause,
  [381833] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10236), 1,
      anon_sym_RPAREN,
    STATE(15232), 1,
      sym_order_by_clause,
    STATE(17705), 1,
      sym_limit_clause,
    STATE(13923), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10238), 1,
      anon_sym_RPAREN,
    STATE(15880), 1,
      sym_order_by_clause,
    STATE(16693), 1,
      sym_limit_clause,
    STATE(13517), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381885] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8049), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [381911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
    STATE(15877), 1,
      sym_order_by_clause,
    STATE(16694), 1,
      sym_limit_clause,
    STATE(13519), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10242), 1,
      anon_sym_RPAREN,
    STATE(15770), 1,
      sym_order_by_clause,
    STATE(17888), 1,
      sym_limit_clause,
    STATE(13608), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [381963] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9269), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13028), 1,
      sym_order_by_clause,
    STATE(17709), 1,
      sym_window_frame_clause,
  [381991] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8069), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [382017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10244), 1,
      anon_sym_RPAREN,
    STATE(13907), 1,
      sym_having_max_clause,
    STATE(13908), 1,
      sym_having_min_clause,
    STATE(15257), 1,
      sym_order_by_clause,
    STATE(17717), 1,
      sym_limit_clause,
  [382045] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 1,
      sym__unquoted_identifier,
    ACTIONS(9835), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9837), 1,
      aux_sym__keyword_array_token1,
    STATE(7761), 1,
      sym_column_type,
    STATE(17374), 1,
      sym__keyword_array,
    STATE(17375), 1,
      sym__keyword_struct,
    STATE(5995), 2,
      sym__column_definition_type_array,
      sym__column_definition_type_struct,
  [382071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10246), 1,
      anon_sym_RPAREN,
    STATE(13749), 1,
      sym_having_min_clause,
    STATE(13750), 1,
      sym_having_max_clause,
    STATE(15610), 1,
      sym_order_by_clause,
    STATE(17774), 1,
      sym_limit_clause,
  [382099] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10248), 1,
      anon_sym_RPAREN,
    STATE(13897), 1,
      sym_having_max_clause,
    STATE(13898), 1,
      sym_having_min_clause,
    STATE(15272), 1,
      sym_order_by_clause,
    STATE(17723), 1,
      sym_limit_clause,
  [382127] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10250), 1,
      anon_sym_RPAREN,
    STATE(15277), 1,
      sym_order_by_clause,
    STATE(17725), 1,
      sym_limit_clause,
    STATE(13894), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382153] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10252), 1,
      anon_sym_RPAREN,
    STATE(13600), 1,
      sym_having_min_clause,
    STATE(13601), 1,
      sym_having_max_clause,
    STATE(15777), 1,
      sym_order_by_clause,
    STATE(16752), 1,
      sym_limit_clause,
  [382181] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10254), 1,
      anon_sym_RPAREN,
    STATE(15857), 1,
      sym_order_by_clause,
    STATE(16702), 1,
      sym_limit_clause,
    STATE(13537), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382207] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10256), 1,
      anon_sym_RPAREN,
    STATE(15432), 1,
      sym_order_by_clause,
    STATE(16969), 1,
      sym_limit_clause,
    STATE(13821), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382233] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    STATE(15848), 1,
      sym_order_by_clause,
    STATE(16704), 1,
      sym_limit_clause,
    STATE(13546), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9275), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13056), 1,
      sym_order_by_clause,
    STATE(19056), 1,
      sym_window_frame_clause,
  [382287] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    STATE(15452), 1,
      sym_order_by_clause,
    STATE(16960), 1,
      sym_limit_clause,
    STATE(13812), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10262), 1,
      anon_sym_RPAREN,
    STATE(15295), 1,
      sym_order_by_clause,
    STATE(17730), 1,
      sym_limit_clause,
    STATE(13885), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10264), 1,
      anon_sym_RPAREN,
    STATE(15856), 1,
      sym_order_by_clause,
    STATE(16604), 1,
      sym_limit_clause,
    STATE(13407), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10266), 1,
      anon_sym_RPAREN,
    STATE(15299), 1,
      sym_order_by_clause,
    STATE(17731), 1,
      sym_limit_clause,
    STATE(13882), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8066), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [382417] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10268), 1,
      anon_sym_RPAREN,
    STATE(15825), 1,
      sym_order_by_clause,
    STATE(16709), 1,
      sym_limit_clause,
    STATE(13567), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382443] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10270), 1,
      anon_sym_RPAREN,
    STATE(13486), 1,
      sym_having_min_clause,
    STATE(13487), 1,
      sym_having_max_clause,
    STATE(15919), 1,
      sym_order_by_clause,
    STATE(17922), 1,
      sym_limit_clause,
  [382471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8063), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [382497] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    STATE(15737), 1,
      sym_order_by_clause,
    STATE(17880), 1,
      sym_limit_clause,
    STATE(13630), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10274), 1,
      anon_sym_RPAREN,
    STATE(15455), 1,
      sym_order_by_clause,
    STATE(16959), 1,
      sym_limit_clause,
    STATE(13810), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10276), 1,
      anon_sym_RPAREN,
    STATE(15464), 1,
      sym_order_by_clause,
    STATE(16953), 1,
      sym_limit_clause,
    STATE(13806), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382575] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10278), 1,
      anon_sym_RPAREN,
    STATE(13852), 1,
      sym_having_max_clause,
    STATE(13853), 1,
      sym_having_min_clause,
    STATE(15363), 1,
      sym_order_by_clause,
    STATE(19066), 1,
      sym_limit_clause,
  [382603] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10280), 1,
      anon_sym_RPAREN,
    STATE(15484), 1,
      sym_order_by_clause,
    STATE(16943), 1,
      sym_limit_clause,
    STATE(13796), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10282), 1,
      anon_sym_RPAREN,
    STATE(13841), 1,
      sym_having_max_clause,
    STATE(13842), 1,
      sym_having_min_clause,
    STATE(15386), 1,
      sym_order_by_clause,
    STATE(19073), 1,
      sym_limit_clause,
  [382657] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10284), 1,
      anon_sym_RPAREN,
    STATE(15398), 1,
      sym_order_by_clause,
    STATE(19075), 1,
      sym_limit_clause,
    STATE(13838), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
    STATE(15487), 1,
      sym_order_by_clause,
    STATE(16942), 1,
      sym_limit_clause,
    STATE(13795), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
    STATE(15496), 1,
      sym_order_by_clause,
    STATE(16940), 1,
      sym_limit_clause,
    STATE(13791), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10290), 1,
      anon_sym_RPAREN,
    STATE(13784), 1,
      sym_having_min_clause,
    STATE(13786), 1,
      sym_having_max_clause,
    STATE(15499), 1,
      sym_order_by_clause,
    STATE(16939), 1,
      sym_limit_clause,
  [382763] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10292), 1,
      anon_sym_RPAREN,
    STATE(13779), 1,
      sym_having_min_clause,
    STATE(13781), 1,
      sym_having_max_clause,
    STATE(15509), 1,
      sym_order_by_clause,
    STATE(16935), 1,
      sym_limit_clause,
  [382791] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13138), 1,
      sym_order_by_clause,
    STATE(16931), 1,
      sym_window_frame_clause,
  [382819] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
    STATE(15415), 1,
      sym_order_by_clause,
    STATE(19080), 1,
      sym_limit_clause,
    STATE(13827), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382845] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10296), 1,
      anon_sym_RPAREN,
    STATE(15424), 1,
      sym_order_by_clause,
    STATE(19082), 1,
      sym_limit_clause,
    STATE(13823), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8062), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [382897] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10298), 1,
      anon_sym_RPAREN,
    STATE(15732), 1,
      sym_order_by_clause,
    STATE(17809), 1,
      sym_limit_clause,
    STATE(13633), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382923] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8040), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [382949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    STATE(15525), 1,
      sym_order_by_clause,
    STATE(16927), 1,
      sym_limit_clause,
    STATE(13774), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [382975] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10302), 1,
      anon_sym_RPAREN,
    STATE(13771), 1,
      sym_having_min_clause,
    STATE(13772), 1,
      sym_having_max_clause,
    STATE(15528), 1,
      sym_order_by_clause,
    STATE(16922), 1,
      sym_limit_clause,
  [383003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10304), 1,
      anon_sym_RPAREN,
    STATE(15345), 1,
      sym_order_by_clause,
    STATE(17741), 1,
      sym_limit_clause,
    STATE(13860), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10306), 1,
      anon_sym_RPAREN,
    STATE(13766), 1,
      sym_having_min_clause,
    STATE(13767), 1,
      sym_having_max_clause,
    STATE(15545), 1,
      sym_order_by_clause,
    STATE(16899), 1,
      sym_limit_clause,
  [383057] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10308), 1,
      anon_sym_RPAREN,
    STATE(15370), 1,
      sym_order_by_clause,
    STATE(17746), 1,
      sym_limit_clause,
    STATE(13851), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383083] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8059), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383109] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
    STATE(15561), 1,
      sym_order_by_clause,
    STATE(19108), 1,
      sym_limit_clause,
    STATE(13762), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8071), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10312), 1,
      anon_sym_RPAREN,
    STATE(13763), 1,
      sym_having_min_clause,
    STATE(13765), 1,
      sym_having_max_clause,
    STATE(15556), 1,
      sym_order_by_clause,
    STATE(16889), 1,
      sym_limit_clause,
  [383189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
    STATE(15466), 1,
      sym_order_by_clause,
    STATE(19094), 1,
      sym_limit_clause,
    STATE(13807), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383215] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10316), 1,
      anon_sym_RPAREN,
    STATE(15723), 1,
      sym_order_by_clause,
    STATE(17876), 1,
      sym_limit_clause,
    STATE(13642), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383241] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8076), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13145), 1,
      sym_order_by_clause,
    STATE(16882), 1,
      sym_window_frame_clause,
  [383295] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10320), 1,
      anon_sym_RPAREN,
    STATE(13645), 1,
      sym_having_max_clause,
    STATE(13646), 1,
      sym_having_min_clause,
    STATE(15717), 1,
      sym_order_by_clause,
    STATE(17875), 1,
      sym_limit_clause,
  [383323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10322), 1,
      anon_sym_RPAREN,
    STATE(15373), 1,
      sym_order_by_clause,
    STATE(17748), 1,
      sym_limit_clause,
    STATE(13848), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10324), 1,
      anon_sym_RPAREN,
    STATE(13758), 1,
      sym_having_min_clause,
    STATE(13760), 1,
      sym_having_max_clause,
    STATE(15572), 1,
      sym_order_by_clause,
    STATE(16876), 1,
      sym_limit_clause,
  [383377] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10326), 1,
      anon_sym_RPAREN,
    STATE(13541), 1,
      sym_having_min_clause,
    STATE(13542), 1,
      sym_having_max_clause,
    STATE(15854), 1,
      sym_order_by_clause,
    STATE(18270), 1,
      sym_limit_clause,
  [383405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
    STATE(15483), 1,
      sym_order_by_clause,
    STATE(19097), 1,
      sym_limit_clause,
    STATE(13797), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
    STATE(15490), 1,
      sym_order_by_clause,
    STATE(19101), 1,
      sym_limit_clause,
    STATE(13794), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10332), 1,
      anon_sym_RPAREN,
    STATE(13493), 1,
      sym_having_min_clause,
    STATE(13495), 1,
      sym_having_max_clause,
    STATE(15909), 1,
      sym_order_by_clause,
    STATE(17912), 1,
      sym_limit_clause,
  [383485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8219), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8323), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383537] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10334), 1,
      anon_sym_RPAREN,
    STATE(13655), 1,
      sym_having_max_clause,
    STATE(13656), 1,
      sym_having_min_clause,
    STATE(15708), 1,
      sym_order_by_clause,
    STATE(17870), 1,
      sym_limit_clause,
  [383565] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10336), 1,
      anon_sym_RPAREN,
    STATE(15906), 1,
      sym_order_by_clause,
    STATE(17909), 1,
      sym_limit_clause,
    STATE(13497), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9254), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13186), 1,
      sym_order_by_clause,
    STATE(17864), 1,
      sym_window_frame_clause,
  [383619] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13104), 1,
      sym_order_by_clause,
    STATE(18276), 1,
      sym_window_frame_clause,
  [383647] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10340), 1,
      anon_sym_RPAREN,
    STATE(15511), 1,
      sym_order_by_clause,
    STATE(18340), 1,
      sym_limit_clause,
    STATE(13775), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383673] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8101), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383699] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8267), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383725] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
    STATE(15420), 1,
      sym_order_by_clause,
    STATE(17757), 1,
      sym_limit_clause,
    STATE(13826), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383751] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8248), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383777] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10344), 1,
      anon_sym_RPAREN,
    STATE(15691), 1,
      sym_order_by_clause,
    STATE(17860), 1,
      sym_limit_clause,
    STATE(13671), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383803] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8253), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8256), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383855] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8102), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8262), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383907] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8271), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [383933] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10346), 1,
      anon_sym_RPAREN,
    STATE(13674), 1,
      sym_having_max_clause,
    STATE(13675), 1,
      sym_having_min_clause,
    STATE(15688), 1,
      sym_order_by_clause,
    STATE(17859), 1,
      sym_limit_clause,
  [383961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10348), 1,
      anon_sym_RPAREN,
    STATE(15837), 1,
      sym_order_by_clause,
    STATE(17900), 1,
      sym_limit_clause,
    STATE(13549), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [383987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10350), 1,
      anon_sym_RPAREN,
    STATE(13575), 1,
      sym_having_min_clause,
    STATE(13576), 1,
      sym_having_max_clause,
    STATE(15814), 1,
      sym_order_by_clause,
    STATE(18280), 1,
      sym_limit_clause,
  [384015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10352), 1,
      anon_sym_RPAREN,
    STATE(15828), 1,
      sym_order_by_clause,
    STATE(17897), 1,
      sym_limit_clause,
    STATE(13565), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384041] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8281), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384067] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8292), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384093] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10354), 1,
      anon_sym_RPAREN,
    STATE(13691), 1,
      sym_having_max_clause,
    STATE(13692), 1,
      sym_having_min_clause,
    STATE(15676), 1,
      sym_order_by_clause,
    STATE(17848), 1,
      sym_limit_clause,
  [384121] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10356), 1,
      anon_sym_RPAREN,
    STATE(13702), 1,
      sym_having_max_clause,
    STATE(13703), 1,
      sym_having_min_clause,
    STATE(15667), 1,
      sym_order_by_clause,
    STATE(17841), 1,
      sym_limit_clause,
  [384149] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10358), 1,
      anon_sym_RPAREN,
    STATE(15587), 1,
      sym_order_by_clause,
    STATE(18335), 1,
      sym_limit_clause,
    STATE(13755), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384175] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10360), 1,
      anon_sym_RPAREN,
    STATE(15470), 1,
      sym_order_by_clause,
    STATE(18334), 1,
      sym_limit_clause,
    STATE(13753), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384201] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10362), 1,
      anon_sym_RPAREN,
    STATE(13768), 1,
      sym_having_max_clause,
    STATE(13770), 1,
      sym_having_min_clause,
    STATE(15535), 1,
      sym_order_by_clause,
    STATE(16909), 1,
      sym_limit_clause,
  [384229] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10364), 1,
      anon_sym_RPAREN,
    STATE(13605), 1,
      sym_having_min_clause,
    STATE(13606), 1,
      sym_having_max_clause,
    STATE(15769), 1,
      sym_order_by_clause,
    STATE(16763), 1,
      sym_limit_clause,
  [384257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10366), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13168), 1,
      sym_order_by_clause,
    STATE(16769), 1,
      sym_window_frame_clause,
  [384285] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10368), 1,
      anon_sym_RPAREN,
    STATE(13612), 1,
      sym_having_min_clause,
    STATE(13617), 1,
      sym_having_max_clause,
    STATE(15753), 1,
      sym_order_by_clause,
    STATE(16773), 1,
      sym_limit_clause,
  [384313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10370), 1,
      anon_sym_RPAREN,
    STATE(15637), 1,
      sym_order_by_clause,
    STATE(18332), 1,
      sym_limit_clause,
    STATE(13732), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8295), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8297), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384391] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10372), 1,
      anon_sym_RPAREN,
    STATE(13589), 1,
      sym_having_min_clause,
    STATE(13591), 1,
      sym_having_max_clause,
    STATE(15804), 1,
      sym_order_by_clause,
    STATE(18286), 1,
      sym_limit_clause,
  [384419] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8322), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384445] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8328), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8051), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384497] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10374), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13192), 1,
      sym_order_by_clause,
    STATE(17836), 1,
      sym_window_frame_clause,
  [384525] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8052), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384551] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10376), 1,
      anon_sym_RPAREN,
    STATE(15746), 1,
      sym_order_by_clause,
    STATE(17881), 1,
      sym_limit_clause,
    STATE(13621), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14260), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [384601] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8057), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384627] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10378), 1,
      anon_sym_RPAREN,
    STATE(13625), 1,
      sym_having_min_clause,
    STATE(13626), 1,
      sym_having_max_clause,
    STATE(15742), 1,
      sym_order_by_clause,
    STATE(16784), 1,
      sym_limit_clause,
  [384655] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10380), 1,
      anon_sym_RPAREN,
    STATE(13719), 1,
      sym_having_max_clause,
    STATE(13720), 1,
      sym_having_min_clause,
    STATE(15650), 1,
      sym_order_by_clause,
    STATE(17829), 1,
      sym_limit_clause,
  [384683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8053), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10382), 1,
      anon_sym_RPAREN,
    STATE(15629), 1,
      sym_order_by_clause,
    STATE(16837), 1,
      sym_limit_clause,
    STATE(13739), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10384), 1,
      anon_sym_RPAREN,
    STATE(13636), 1,
      sym_having_min_clause,
    STATE(13637), 1,
      sym_having_max_clause,
    STATE(15725), 1,
      sym_order_by_clause,
    STATE(16797), 1,
      sym_limit_clause,
  [384763] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8054), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [384789] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10386), 1,
      anon_sym_RPAREN,
    STATE(14411), 1,
      sym_order_by_clause,
    STATE(17472), 1,
      sym_limit_clause,
    STATE(13587), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384815] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10388), 1,
      anon_sym_RPAREN,
    STATE(15673), 1,
      sym_order_by_clause,
    STATE(18326), 1,
      sym_limit_clause,
    STATE(13695), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
    STATE(15674), 1,
      sym_order_by_clause,
    STATE(18324), 1,
      sym_limit_clause,
    STATE(13689), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384867] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10392), 1,
      anon_sym_RPAREN,
    STATE(15716), 1,
      sym_order_by_clause,
    STATE(17872), 1,
      sym_limit_clause,
    STATE(13643), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10394), 1,
      anon_sym_RPAREN,
    STATE(15649), 1,
      sym_order_by_clause,
    STATE(16833), 1,
      sym_limit_clause,
    STATE(13717), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384919] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10396), 1,
      anon_sym_RPAREN,
    STATE(14393), 1,
      sym_order_by_clause,
    STATE(17483), 1,
      sym_limit_clause,
    STATE(13405), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384945] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10398), 1,
      anon_sym_RPAREN,
    STATE(15652), 1,
      sym_order_by_clause,
    STATE(16832), 1,
      sym_limit_clause,
    STATE(13715), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384971] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10400), 1,
      anon_sym_RPAREN,
    STATE(15661), 1,
      sym_order_by_clause,
    STATE(16830), 1,
      sym_limit_clause,
    STATE(13708), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [384997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10402), 1,
      anon_sym_RPAREN,
    STATE(14390), 1,
      sym_order_by_clause,
    STATE(17486), 1,
      sym_limit_clause,
    STATE(13349), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10404), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      sym_order_by_clause,
    STATE(17869), 1,
      sym_limit_clause,
    STATE(13649), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10406), 1,
      anon_sym_RPAREN,
    STATE(15842), 1,
      sym_order_by_clause,
    STATE(18322), 1,
      sym_limit_clause,
    STATE(13676), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10408), 1,
      anon_sym_RPAREN,
    STATE(13665), 1,
      sym_having_min_clause,
    STATE(13666), 1,
      sym_having_max_clause,
    STATE(15692), 1,
      sym_order_by_clause,
    STATE(18238), 1,
      sym_limit_clause,
  [385103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10410), 1,
      anon_sym_RPAREN,
    STATE(15845), 1,
      sym_order_by_clause,
    STATE(16705), 1,
      sym_limit_clause,
    STATE(13547), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385129] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8055), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [385155] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      sym__unquoted_identifier,
    ACTIONS(9399), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(9401), 1,
      aux_sym__keyword_array_token1,
    STATE(12969), 1,
      sym__keyword_struct,
    STATE(14336), 1,
      sym__bqtype,
    STATE(13083), 3,
      sym__type_struct,
      sym__type_array,
      sym__base_type,
  [385179] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10412), 1,
      anon_sym_RPAREN,
    STATE(15681), 1,
      sym_order_by_clause,
    STATE(16785), 1,
      sym_limit_clause,
    STATE(13682), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10414), 1,
      anon_sym_RPAREN,
    STATE(13647), 1,
      sym_having_min_clause,
    STATE(13653), 1,
      sym_having_max_clause,
    STATE(15707), 1,
      sym_order_by_clause,
    STATE(18309), 1,
      sym_limit_clause,
  [385233] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10416), 1,
      anon_sym_RPAREN,
    STATE(15722), 1,
      sym_order_by_clause,
    STATE(16800), 1,
      sym_limit_clause,
    STATE(13640), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385259] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10418), 1,
      anon_sym_RPAREN,
    STATE(15684), 1,
      sym_order_by_clause,
    STATE(16824), 1,
      sym_limit_clause,
    STATE(13681), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14277), 1,
      sym_query_expr,
    STATE(17497), 1,
      sym_query_statement,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [385311] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8356), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [385337] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8286), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [385363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10422), 1,
      anon_sym_RPAREN,
    STATE(15693), 1,
      sym_order_by_clause,
    STATE(16822), 1,
      sym_limit_clause,
    STATE(13664), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385389] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10424), 1,
      anon_sym_RPAREN,
    STATE(13660), 1,
      sym_having_min_clause,
    STATE(13662), 1,
      sym_having_max_clause,
    STATE(15696), 1,
      sym_order_by_clause,
    STATE(16821), 1,
      sym_limit_clause,
  [385417] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9237), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13166), 1,
      sym_order_by_clause,
    STATE(18301), 1,
      sym_window_frame_clause,
  [385445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10426), 1,
      anon_sym_RPAREN,
    STATE(13615), 1,
      sym_having_min_clause,
    STATE(13616), 1,
      sym_having_max_clause,
    STATE(15750), 1,
      sym_order_by_clause,
    STATE(18297), 1,
      sym_limit_clause,
  [385473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10428), 1,
      anon_sym_RPAREN,
    STATE(15745), 1,
      sym_order_by_clause,
    STATE(18298), 1,
      sym_limit_clause,
    STATE(13624), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8359), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [385525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10430), 1,
      anon_sym_RPAREN,
    STATE(13652), 1,
      sym_having_min_clause,
    STATE(13654), 1,
      sym_having_max_clause,
    STATE(15706), 1,
      sym_order_by_clause,
    STATE(16815), 1,
      sym_limit_clause,
  [385553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8301), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [385579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8320), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [385605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8379), 1,
      aux_sym_having_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10432), 1,
      anon_sym_RPAREN,
    STATE(15685), 1,
      sym_order_by_clause,
    STATE(17852), 1,
      sym_limit_clause,
    STATE(13680), 2,
      sym_having_max_clause,
      sym_having_min_clause,
  [385631] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9241), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(13183), 1,
      sym_order_by_clause,
    STATE(16805), 1,
      sym_window_frame_clause,
  [385659] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    STATE(8314), 1,
      sym_query_statement,
    STATE(8363), 1,
      sym_query_expr,
    STATE(12999), 1,
      sym_cte_clause,
    STATE(7334), 2,
      sym_set_operation,
      sym_select,
  [385685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9505), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9507), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9509), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10434), 1,
      aux_sym__keyword_distinct_token1,
    STATE(6575), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385706] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14244), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [385729] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10438), 1,
      aux_sym__keyword_as_token1,
    STATE(12113), 1,
      sym__keyword_as,
    STATE(13840), 1,
      sym_option_clause,
    STATE(16121), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [385754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9175), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10440), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7382), 1,
      sym_option_clause,
    STATE(13147), 1,
      sym_default_clause,
    ACTIONS(4856), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [385777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9463), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9465), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9467), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10442), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10867), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385798] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(10444), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(10446), 1,
      aux_sym_create_remote_function_statement_token1,
    STATE(14291), 1,
      sym_option_clause,
    STATE(16140), 1,
      sym__function_language,
    STATE(16141), 1,
      sym__keyword_as,
  [385823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10448), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [385836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9175), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10450), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7353), 1,
      sym_option_clause,
    STATE(13081), 1,
      sym_default_clause,
    ACTIONS(4882), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [385859] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9175), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10452), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7279), 1,
      sym_option_clause,
    STATE(13037), 1,
      sym_default_clause,
    ACTIONS(4896), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [385882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9175), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10454), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7305), 1,
      sym_option_clause,
    STATE(13049), 1,
      sym_default_clause,
    ACTIONS(4902), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [385905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    ACTIONS(10456), 1,
      anon_sym_LPAREN,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(15879), 1,
      sym_query_expr,
    STATE(12470), 2,
      sym_set_operation,
      sym_select,
  [385928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9585), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9587), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9589), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10458), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10503), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9547), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9549), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10460), 1,
      aux_sym__keyword_distinct_token1,
    STATE(3538), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [385970] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10464), 1,
      sym__string_content,
    ACTIONS(10466), 1,
      sym__string_end,
    STATE(14492), 1,
      aux_sym_string_repeat1,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(19127), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [385993] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10468), 1,
      sym__string_content,
    ACTIONS(10470), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(15041), 1,
      aux_sym_string_repeat1,
    STATE(19113), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14216), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    ACTIONS(10472), 1,
      anon_sym_LPAREN,
    STATE(12911), 1,
      sym_cte_clause,
    STATE(13065), 1,
      sym_query_expr,
    STATE(12615), 2,
      sym_set_operation,
      sym_select,
  [386062] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14271), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    ACTIONS(10472), 1,
      anon_sym_LPAREN,
    STATE(12911), 1,
      sym_cte_clause,
    STATE(13067), 1,
      sym_query_expr,
    STATE(12615), 2,
      sym_set_operation,
      sym_select,
  [386108] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10474), 1,
      sym__string_content,
    ACTIONS(10476), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(15609), 1,
      aux_sym_string_repeat1,
    STATE(19017), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386131] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    ACTIONS(10472), 1,
      anon_sym_LPAREN,
    STATE(12911), 1,
      sym_cte_clause,
    STATE(13068), 1,
      sym_query_expr,
    STATE(12615), 2,
      sym_set_operation,
      sym_select,
  [386154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    ACTIONS(10472), 1,
      anon_sym_LPAREN,
    STATE(12911), 1,
      sym_cte_clause,
    STATE(13048), 1,
      sym_query_expr,
    STATE(12615), 2,
      sym_set_operation,
      sym_select,
  [386177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(10478), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(10480), 1,
      aux_sym_create_remote_function_statement_token1,
    STATE(14330), 1,
      sym_option_clause,
    STATE(16047), 1,
      sym__keyword_as,
    STATE(16178), 1,
      sym__function_language,
  [386202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9483), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9485), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10482), 1,
      aux_sym__keyword_distinct_token1,
    STATE(1948), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14280), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14300), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9521), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9523), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9525), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10484), 1,
      aux_sym__keyword_distinct_token1,
    STATE(9927), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10486), 1,
      sym__string_content,
    ACTIONS(10488), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(15890), 1,
      aux_sym_string_repeat1,
    STATE(19085), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386313] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    STATE(6907), 1,
      sym_query_expr,
    STATE(12917), 1,
      sym_cte_clause,
    STATE(6375), 2,
      sym_set_operation,
      sym_select,
  [386336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    STATE(6909), 1,
      sym_query_expr,
    STATE(12917), 1,
      sym_cte_clause,
    STATE(6375), 2,
      sym_set_operation,
      sym_select,
  [386359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    STATE(6911), 1,
      sym_query_expr,
    STATE(12917), 1,
      sym_cte_clause,
    STATE(6375), 2,
      sym_set_operation,
      sym_select,
  [386382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10492), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4400), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    STATE(6912), 1,
      sym_query_expr,
    STATE(12917), 1,
      sym_cte_clause,
    STATE(6375), 2,
      sym_set_operation,
      sym_select,
  [386426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9005), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10450), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7353), 1,
      sym_option_clause,
    STATE(13081), 1,
      sym_default_clause,
    ACTIONS(4882), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [386449] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14310), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    ACTIONS(10494), 1,
      anon_sym_LPAREN,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(15879), 1,
      sym_query_expr,
    STATE(12621), 2,
      sym_set_operation,
      sym_select,
  [386495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10496), 1,
      aux_sym__keyword_as_token1,
    STATE(12030), 1,
      sym__keyword_as,
    STATE(13761), 1,
      sym_option_clause,
    STATE(16079), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [386520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10498), 1,
      aux_sym__keyword_as_token1,
    STATE(12081), 1,
      sym__keyword_as,
    STATE(13914), 1,
      sym_option_clause,
    STATE(16155), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [386545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10500), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(10502), 1,
      aux_sym_set_statement_token1,
    STATE(7573), 5,
      sym_set_option,
      sym_set_data_type,
      sym_set_default,
      sym_drop_notnull,
      sym_drop_default,
  [386562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14321), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386585] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14213), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14600), 1,
      sym_query_expr,
    STATE(6374), 2,
      sym_set_operation,
      sym_select,
  [386631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14352), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386654] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14350), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386677] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14351), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14257), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386723] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8547), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(7513), 1,
      sym_from_files_clause,
    STATE(13951), 1,
      sym_table_cluster_clause,
    STATE(15173), 1,
      sym_option_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [386748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9419), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9421), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10506), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2740), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14282), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [386792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    STATE(12933), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4645), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [386809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9419), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9421), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10508), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2740), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386830] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10510), 1,
      sym__string_content,
    ACTIONS(10512), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(15405), 1,
      aux_sym_string_repeat1,
    STATE(19078), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9463), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9465), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9467), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10514), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10867), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 7,
      aux_sym__keyword_distinct_token1,
      aux_sym__keyword_between_token1,
      aux_sym__keyword_in_token1,
      aux_sym__keyword_like_token1,
      aux_sym_drop_notnull_token1,
      aux_sym_TRUE_token1,
      aux_sym_FALSE_token1,
  [386887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    STATE(12961), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4641), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [386904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    STATE(12933), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4637), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [386921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    STATE(12933), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4633), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [386938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10516), 1,
      anon_sym_COMMA,
    STATE(12933), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4551), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [386955] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10519), 1,
      sym__string_content,
    ACTIONS(10521), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(15864), 1,
      aux_sym_string_repeat1,
    STATE(19099), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [386978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9433), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9435), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9437), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10523), 1,
      aux_sym__keyword_distinct_token1,
    STATE(3175), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [386999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10525), 1,
      sym__string_content,
    ACTIONS(10527), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(15185), 1,
      aux_sym_string_repeat1,
    STATE(19148), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9483), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9485), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10529), 1,
      aux_sym__keyword_distinct_token1,
    STATE(1948), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9533), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9535), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9537), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10531), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7820), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387064] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14267), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387087] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14238), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387110] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14334), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10533), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4400), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10535), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10538), 5,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [387169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10538), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [387182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14255), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10540), 1,
      sym__string_content,
    ACTIONS(10542), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(14933), 1,
      aux_sym_string_repeat1,
    STATE(17325), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10544), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4400), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14236), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10546), 1,
      anon_sym_LPAREN,
    STATE(7540), 1,
      sym_query_expr,
    STATE(12988), 1,
      sym_cte_clause,
    STATE(7303), 2,
      sym_set_operation,
      sym_select,
  [387295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10548), 1,
      aux_sym__keyword_as_token1,
    STATE(12134), 1,
      sym__keyword_as,
    STATE(13724), 1,
      sym_option_clause,
    STATE(16056), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [387320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(10550), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(10552), 1,
      aux_sym_create_remote_function_statement_token1,
    STATE(14312), 1,
      sym_option_clause,
    STATE(16060), 1,
      sym__function_language,
    STATE(16064), 1,
      sym__keyword_as,
  [387345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10546), 1,
      anon_sym_LPAREN,
    STATE(7536), 1,
      sym_query_expr,
    STATE(12988), 1,
      sym_cte_clause,
    STATE(7303), 2,
      sym_set_operation,
      sym_select,
  [387368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10546), 1,
      anon_sym_LPAREN,
    STATE(7533), 1,
      sym_query_expr,
    STATE(12988), 1,
      sym_cte_clause,
    STATE(7303), 2,
      sym_set_operation,
      sym_select,
  [387391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10546), 1,
      anon_sym_LPAREN,
    STATE(7532), 1,
      sym_query_expr,
    STATE(12988), 1,
      sym_cte_clause,
    STATE(7303), 2,
      sym_set_operation,
      sym_select,
  [387414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10500), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(10554), 1,
      aux_sym_set_statement_token1,
    STATE(7573), 5,
      sym_set_option,
      sym_set_data_type,
      sym_set_default,
      sym_drop_notnull,
      sym_drop_default,
  [387431] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14302), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9491), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9493), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9495), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10556), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7257), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(10558), 1,
      aux_sym__keyword_as_token1,
    ACTIONS(10560), 1,
      aux_sym_create_remote_function_statement_token1,
    STATE(14215), 1,
      sym_option_clause,
    STATE(16283), 1,
      sym__function_language,
    STATE(16284), 1,
      sym__keyword_as,
  [387500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9345), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9347), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9349), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10562), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10381), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14326), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    STATE(12933), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4653), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [387561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10500), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(10554), 1,
      aux_sym_set_statement_token1,
    STATE(7765), 5,
      sym_set_option,
      sym_set_data_type,
      sym_set_default,
      sym_drop_notnull,
      sym_drop_default,
  [387578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9361), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9363), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9365), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10564), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4904), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    STATE(12932), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4649), 5,
      anon_sym_RPAREN,
      aux_sym_set_operation_token1,
      aux_sym_set_operation_token3,
      aux_sym_set_operation_token4,
      aux_sym_limit_clause_token1,
  [387616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10566), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4400), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(4876), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [387652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9455), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9457), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9459), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10570), 1,
      aux_sym__keyword_distinct_token1,
    STATE(510), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387673] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10572), 1,
      sym__string_content,
    ACTIONS(10574), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(14723), 1,
      aux_sym_string_repeat1,
    STATE(19134), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10576), 1,
      anon_sym_LT,
    ACTIONS(4862), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [387711] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14253), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387734] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10578), 1,
      sym__string_content,
    ACTIONS(10580), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(14954), 1,
      aux_sym_string_repeat1,
    STATE(19141), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387757] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10582), 1,
      aux_sym__keyword_as_token1,
    STATE(12104), 1,
      sym__keyword_as,
    STATE(13609), 1,
      sym_option_clause,
    STATE(16036), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [387782] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9005), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10452), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7279), 1,
      sym_option_clause,
    STATE(13037), 1,
      sym_default_clause,
    ACTIONS(4896), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [387805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10584), 1,
      sym__string_content,
    ACTIONS(10586), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(15145), 1,
      aux_sym_string_repeat1,
    STATE(19042), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9455), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9457), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9459), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10588), 1,
      aux_sym__keyword_distinct_token1,
    STATE(510), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10590), 1,
      sym__string_content,
    ACTIONS(10592), 1,
      sym__string_end,
    STATE(14367), 1,
      aux_sym_string_repeat1,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(18938), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [387872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9377), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9379), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9381), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10594), 1,
      aux_sym__keyword_distinct_token1,
    STATE(5879), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_having_clause_token1,
      aux_sym_limit_clause_token1,
      aux_sym__nulls_preference_token1,
      aux_sym_order_by_clause_token1,
      aux_sym_function_call_token1,
  [387906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14340), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9447), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9449), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9451), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10596), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7570), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9433), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9435), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9437), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10598), 1,
      aux_sym__keyword_distinct_token1,
    STATE(3175), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [387971] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14308), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [387994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9491), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9493), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9495), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10600), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7257), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9419), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9421), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10602), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2740), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388036] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9419), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9421), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10604), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2740), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9345), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9347), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9349), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10606), 1,
      aux_sym__keyword_distinct_token1,
    STATE(10381), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      sym__string_content,
    ACTIONS(10610), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(14922), 1,
      aux_sym_string_repeat1,
    STATE(19092), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10612), 1,
      anon_sym_LPAREN,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14934), 1,
      sym_query_expr,
    STATE(7272), 2,
      sym_set_operation,
      sym_select,
  [388124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9005), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10440), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7382), 1,
      sym_option_clause,
    STATE(13147), 1,
      sym_default_clause,
    ACTIONS(4856), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [388147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(895), 1,
      aux_sym_select_token1,
    ACTIONS(10614), 1,
      anon_sym_LPAREN,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14600), 1,
      sym_query_expr,
    STATE(6380), 2,
      sym_set_operation,
      sym_select,
  [388170] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10616), 1,
      aux_sym__keyword_as_token1,
    STATE(12106), 1,
      sym__keyword_as,
    STATE(14064), 1,
      sym_option_clause,
    STATE(16305), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [388195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14250), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14275), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388241] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14287), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10618), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4400), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14239), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10620), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4400), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 7,
      aux_sym_keyword_if_not_exists_token2,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
  [388342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(53), 1,
      aux_sym_select_token1,
    ACTIONS(10622), 1,
      anon_sym_LPAREN,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14934), 1,
      sym_query_expr,
    STATE(7413), 2,
      sym_set_operation,
      sym_select,
  [388365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14329), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10624), 1,
      aux_sym__keyword_as_token1,
    STATE(12084), 1,
      sym__keyword_as,
    STATE(13568), 1,
      sym_option_clause,
    STATE(16025), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [388413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14288), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9447), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9449), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9451), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10626), 1,
      aux_sym__keyword_distinct_token1,
    STATE(7570), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 7,
      aux_sym_keyword_if_not_exists_token2,
      anon_sym_COMMA,
      aux_sym_default_clause_token1,
      aux_sym_primary_key_token1,
      aux_sym_foreign_key_references_token1,
      aux_sym_option_clause_token1,
      anon_sym_GT,
  [388470] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10628), 1,
      sym__string_content,
    ACTIONS(10630), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(15503), 1,
      aux_sym_string_repeat1,
    STATE(19106), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9505), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9507), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9509), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10632), 1,
      aux_sym__keyword_distinct_token1,
    STATE(6575), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10634), 1,
      anon_sym_LPAREN,
    ACTIONS(9943), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [388529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(9005), 1,
      aux_sym_default_clause_token1,
    ACTIONS(10454), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7305), 1,
      sym_option_clause,
    STATE(13049), 1,
      sym_default_clause,
    ACTIONS(4902), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [388552] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14283), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14274), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388598] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14245), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10500), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(10502), 1,
      aux_sym_set_statement_token1,
    STATE(7765), 5,
      sym_set_option,
      sym_set_data_type,
      sym_set_default,
      sym_drop_notnull,
      sym_drop_default,
  [388638] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14272), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10636), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4400), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9409), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9411), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10638), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4400), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9387), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9389), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9391), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10640), 1,
      aux_sym__keyword_distinct_token1,
    STATE(2221), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10642), 1,
      sym__string_content,
    ACTIONS(10644), 1,
      sym__string_end,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(14920), 1,
      aux_sym_string_repeat1,
    STATE(19057), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10646), 1,
      sym__string_content,
    ACTIONS(10648), 1,
      sym__string_end,
    STATE(14564), 1,
      aux_sym_string_repeat1,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(19120), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388770] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(8547), 1,
      aux_sym_table_cluster_clause_token1,
    STATE(7425), 1,
      sym_from_files_clause,
    STATE(13957), 1,
      sym_table_cluster_clause,
    STATE(14525), 1,
      sym_option_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [388795] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      aux_sym_partition_columns_clause_token1,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_select_token1,
    STATE(12886), 1,
      sym_cte_clause,
    STATE(14299), 1,
      sym_query_expr,
    STATE(12594), 2,
      sym_set_operation,
      sym_select,
  [388818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9483), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9485), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10650), 1,
      aux_sym__keyword_distinct_token1,
    STATE(1948), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9369), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9371), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9373), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10652), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4537), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9361), 1,
      aux_sym_drop_notnull_token1,
    ACTIONS(9363), 1,
      aux_sym_TRUE_token1,
    ACTIONS(9365), 1,
      aux_sym_FALSE_token1,
    ACTIONS(10654), 1,
      aux_sym__keyword_distinct_token1,
    STATE(4904), 3,
      sym_NULL,
      sym_TRUE,
      sym_FALSE,
  [388881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(10656), 1,
      aux_sym__keyword_as_token1,
    STATE(12059), 1,
      sym__keyword_as,
    STATE(13426), 1,
      sym_option_clause,
    STATE(15996), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [388906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10658), 1,
      sym__string_content,
    ACTIONS(10660), 1,
      sym__string_end,
    STATE(14662), 1,
      aux_sym_string_repeat1,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(19071), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388929] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10662), 1,
      sym__string_content,
    ACTIONS(10664), 1,
      sym__string_end,
    STATE(14570), 1,
      aux_sym_string_repeat1,
    STATE(14686), 1,
      sym_range_boundary_start,
    STATE(19064), 1,
      sym_range_start,
    ACTIONS(10462), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [388952] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10666), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18368), 1,
      sym_window_frame_clause,
  [388974] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10214), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17679), 1,
      sym_window_frame_clause,
  [388996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(19190), 1,
      sym_window_frame_clause,
  [389018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10668), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10670), 1,
      aux_sym__keyword_in_token1,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    STATE(1263), 1,
      sym__keyword_between,
    STATE(1445), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [389040] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10674), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10676), 1,
      aux_sym__keyword_in_token1,
    STATE(1497), 1,
      sym__keyword_in,
    STATE(1856), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [389062] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9243), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17059), 1,
      sym_window_frame_clause,
  [389084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 6,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_begin_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_AS,
  [389096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10678), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17537), 1,
      sym_window_frame_clause,
  [389118] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10680), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10682), 1,
      aux_sym__keyword_in_token1,
    STATE(849), 1,
      sym__keyword_in,
    STATE(1443), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [389140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10684), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10686), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18347), 2,
      sym__float,
      sym__float_or_integer,
  [389156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10688), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7309), 1,
      sym_option_clause,
    ACTIONS(5094), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [389174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10690), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10692), 1,
      aux_sym__keyword_in_token1,
    STATE(840), 1,
      sym__keyword_between,
    STATE(1034), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [389196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10694), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10696), 1,
      aux_sym__keyword_in_token1,
    STATE(1766), 1,
      sym__keyword_between,
    STATE(1875), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [389218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9229), 1,
      anon_sym_RPAREN,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17588), 1,
      sym_window_frame_clause,
  [389240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10698), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(19124), 1,
      sym_window_frame_clause,
  [389262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10700), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10702), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18346), 2,
      sym__float,
      sym__float_or_integer,
  [389278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 6,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_begin_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_AS,
  [389290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10049), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17564), 1,
      sym_window_frame_clause,
  [389312] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9307), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(19254), 1,
      sym_window_frame_clause,
  [389334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10706), 1,
      sym__quoted_identifier,
    ACTIONS(10704), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [389348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10708), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10710), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18226), 2,
      sym__float,
      sym__float_or_integer,
  [389364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4954), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [389382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10718), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7338), 1,
      sym_option_clause,
    ACTIONS(5160), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [389400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10720), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10722), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18225), 2,
      sym__float,
      sym__float_or_integer,
  [389416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10726), 1,
      anon_sym_COMMA,
    STATE(13051), 1,
      aux_sym_window_partition_clause_repeat1,
    ACTIONS(10724), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
  [389432] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18435), 1,
      sym_window_frame_clause,
  [389454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      sym__quoted_identifier,
    ACTIONS(10729), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [389468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10733), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18997), 1,
      sym_window_frame_clause,
  [389490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [389502] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(19026), 1,
      sym_window_frame_clause,
  [389524] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10735), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10737), 1,
      aux_sym__keyword_in_token1,
    STATE(993), 1,
      sym__keyword_in,
    STATE(1134), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [389546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10739), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7371), 1,
      sym_option_clause,
    ACTIONS(5305), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [389564] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10142), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18400), 1,
      sym_window_frame_clause,
  [389586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10741), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10743), 1,
      aux_sym__keyword_in_token1,
    STATE(1247), 1,
      sym__keyword_in,
    STATE(1825), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [389608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10747), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(19117), 2,
      sym__float,
      sym__float_or_integer,
  [389624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10749), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10751), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(19118), 2,
      sym__float,
      sym__float_or_integer,
  [389640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10753), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17926), 1,
      sym_window_frame_clause,
  [389662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(13158), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4649), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [389678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4972), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [389696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10755), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10757), 1,
      aux_sym__keyword_in_token1,
    STATE(1150), 1,
      sym__keyword_in,
    STATE(1572), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [389718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4968), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [389736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(4964), 3,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_order_by_clause_token1,
  [389754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10759), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10761), 1,
      aux_sym__keyword_in_token1,
    STATE(1190), 1,
      sym__keyword_in,
    STATE(1693), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [389776] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10763), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10765), 1,
      aux_sym__keyword_in_token1,
    STATE(1099), 1,
      sym__keyword_between,
    STATE(1681), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [389798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10767), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17113), 1,
      sym_window_frame_clause,
  [389820] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10769), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10771), 1,
      aux_sym__keyword_in_token1,
    STATE(1137), 1,
      sym__keyword_between,
    STATE(1662), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [389842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10773), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10775), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18488), 2,
      sym__float,
      sym__float_or_integer,
  [389858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(13167), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4645), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [389874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5066), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [389886] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9977), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17967), 1,
      sym_window_frame_clause,
  [389908] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10777), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16624), 1,
      sym_window_frame_clause,
  [389930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10779), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10781), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18062), 2,
      sym__float,
      sym__float_or_integer,
  [389946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10783), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10785), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18061), 2,
      sym__float,
      sym__float_or_integer,
  [389962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10787), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10789), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18490), 2,
      sym__float,
      sym__float_or_integer,
  [389978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10791), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7333), 1,
      sym_option_clause,
    ACTIONS(5166), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [389996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17032), 1,
      sym_window_frame_clause,
  [390018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [390030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10795), 1,
      aux_sym__keyword_when_token1,
    STATE(1146), 1,
      sym__keyword_when,
    ACTIONS(10793), 2,
      aux_sym__keyword_end_token1,
      aux_sym__keyword_else_token1,
    STATE(13084), 2,
      sym_casewhen_clause,
      aux_sym_casewhen_expression_repeat1,
  [390048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10798), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10800), 1,
      aux_sym__keyword_in_token1,
    STATE(1767), 1,
      sym__keyword_between,
    STATE(1789), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [390070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [390082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10156), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16646), 1,
      sym_window_frame_clause,
  [390104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10802), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10804), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17185), 2,
      sym__float,
      sym__float_or_integer,
  [390120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10806), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10808), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17904), 2,
      sym__float,
      sym__float_or_integer,
  [390136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9955), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17134), 1,
      sym_window_frame_clause,
  [390158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10810), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10812), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17903), 2,
      sym__float,
      sym__float_or_integer,
  [390174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10814), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10816), 1,
      aux_sym__keyword_in_token1,
    STATE(1648), 1,
      sym__keyword_in,
    STATE(1843), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [390196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10818), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18516), 1,
      sym_window_frame_clause,
  [390218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10820), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17012), 1,
      sym_window_frame_clause,
  [390240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10824), 1,
      sym__quoted_identifier,
    ACTIONS(10822), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [390254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10826), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10828), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17768), 2,
      sym__float,
      sym__float_or_integer,
  [390270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10832), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17763), 2,
      sym__float,
      sym__float_or_integer,
  [390286] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9241), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16805), 1,
      sym_window_frame_clause,
  [390308] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9285), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16676), 1,
      sym_window_frame_clause,
  [390330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10836), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18633), 2,
      sym__float,
      sym__float_or_integer,
  [390346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10838), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10840), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18634), 2,
      sym__float,
      sym__float_or_integer,
  [390362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9263), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17488), 1,
      sym_window_frame_clause,
  [390384] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9273), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18023), 1,
      sym_window_frame_clause,
  [390406] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18247), 1,
      sym_window_frame_clause,
  [390428] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9265), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17156), 1,
      sym_window_frame_clause,
  [390450] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9879), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18548), 1,
      sym_window_frame_clause,
  [390472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10844), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17654), 1,
      sym_window_frame_clause,
  [390494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16772), 1,
      sym_window_frame_clause,
  [390516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9849), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17457), 1,
      sym_window_frame_clause,
  [390538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10848), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17635), 2,
      sym__float,
      sym__float_or_integer,
  [390554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10850), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10852), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17634), 2,
      sym__float,
      sym__float_or_integer,
  [390570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10854), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10856), 1,
      aux_sym__keyword_in_token1,
    STATE(1188), 1,
      sym__keyword_between,
    STATE(1208), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [390592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10858), 1,
      aux_sym__keyword_column_token1,
    ACTIONS(10860), 1,
      aux_sym_primary_key_token1,
    ACTIONS(10862), 1,
      aux_sym_foreign_key_token1,
    ACTIONS(10864), 1,
      aux_sym_add_foreign_key_action_token1,
    STATE(7818), 1,
      sym_primary_key,
    STATE(7864), 1,
      sym_foreign_key,
  [390614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9812), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18892), 1,
      sym_window_frame_clause,
  [390636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10866), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17429), 1,
      sym_window_frame_clause,
  [390658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9249), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18590), 1,
      sym_window_frame_clause,
  [390680] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9271), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18918), 1,
      sym_window_frame_clause,
  [390702] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10868), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18864), 1,
      sym_window_frame_clause,
  [390724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10870), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10872), 1,
      aux_sym__keyword_in_token1,
    STATE(911), 1,
      sym__keyword_in,
    STATE(1526), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [390746] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9267), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18160), 1,
      sym_window_frame_clause,
  [390768] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9269), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17709), 1,
      sym_window_frame_clause,
  [390790] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10874), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10876), 1,
      aux_sym__keyword_in_token1,
    STATE(1114), 1,
      sym__keyword_between,
    STATE(1344), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [390812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10878), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10880), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18824), 2,
      sym__float,
      sym__float_or_integer,
  [390828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10884), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18555), 2,
      sym__float,
      sym__float_or_integer,
  [390844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10886), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10888), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18553), 2,
      sym__float,
      sym__float_or_integer,
  [390860] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10890), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10892), 1,
      aux_sym__keyword_in_token1,
    STATE(1071), 1,
      sym__keyword_between,
    STATE(1371), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [390882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10896), 1,
      sym__quoted_identifier,
    ACTIONS(10894), 5,
      aux_sym__keyword_date_token1,
      aux_sym__keyword_datetime_token1,
      aux_sym__keyword_time_token1,
      aux_sym__keyword_timestamp_token1,
      sym__unquoted_identifier,
  [390896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10898), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10900), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18826), 2,
      sym__float,
      sym__float_or_integer,
  [390912] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10902), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10904), 1,
      aux_sym__keyword_in_token1,
    STATE(1169), 1,
      sym__keyword_in,
    STATE(1383), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [390934] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9275), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(19056), 1,
      sym_window_frame_clause,
  [390956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10906), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10908), 1,
      aux_sym__keyword_in_token1,
    STATE(1061), 1,
      sym__keyword_between,
    STATE(1255), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [390978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10910), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10912), 1,
      aux_sym__keyword_in_token1,
    STATE(1119), 1,
      sym__keyword_between,
    STATE(1262), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [391000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10914), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10916), 1,
      aux_sym__keyword_in_token1,
    STATE(1019), 1,
      sym__keyword_in,
    STATE(1717), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [391022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [391034] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10918), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10920), 1,
      aux_sym__keyword_in_token1,
    STATE(1079), 1,
      sym__keyword_in,
    STATE(1339), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [391056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 6,
      aux_sym__keyword_from_token1,
      aux_sym__keyword_begin_token1,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_AS,
  [391068] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16931), 1,
      sym_window_frame_clause,
  [391090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16882), 1,
      sym_window_frame_clause,
  [391112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10922), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10924), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(19340), 2,
      sym__float,
      sym__float_or_integer,
  [391128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10926), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10928), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(19341), 2,
      sym__float,
      sym__float_or_integer,
  [391144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10930), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10932), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17481), 2,
      sym__float,
      sym__float_or_integer,
  [391160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10934), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10936), 1,
      aux_sym__keyword_in_token1,
    STATE(1382), 1,
      sym__keyword_in,
    STATE(1734), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [391182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(13167), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4637), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10938), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10940), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17519), 2,
      sym__float,
      sym__float_or_integer,
  [391214] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10942), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16855), 1,
      sym_window_frame_clause,
  [391236] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10944), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10946), 1,
      aux_sym__keyword_in_token1,
    STATE(1057), 1,
      sym__keyword_between,
    STATE(1803), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [391258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10948), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7349), 1,
      sym_option_clause,
    ACTIONS(5267), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [391276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10950), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10952), 1,
      aux_sym__keyword_in_token1,
    STATE(858), 1,
      sym__keyword_between,
    STATE(1743), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [391298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10954), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10956), 1,
      aux_sym__keyword_in_token1,
    STATE(1117), 1,
      sym__keyword_between,
    STATE(1391), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [391320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10958), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10960), 1,
      aux_sym__keyword_in_token1,
    STATE(1525), 1,
      sym__keyword_in,
    STATE(1600), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [391342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10962), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10964), 1,
      aux_sym__keyword_in_token1,
    STATE(1742), 1,
      sym__keyword_in,
    STATE(1744), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [391364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10966), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17204), 1,
      sym_window_frame_clause,
  [391386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10968), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10970), 1,
      aux_sym__keyword_in_token1,
    STATE(1087), 1,
      sym__keyword_between,
    STATE(1559), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [391408] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10972), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10974), 1,
      aux_sym__keyword_in_token1,
    STATE(1349), 1,
      sym__keyword_in,
    STATE(1626), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [391430] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9703), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17224), 1,
      sym_window_frame_clause,
  [391452] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10976), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10978), 1,
      aux_sym__keyword_in_token1,
    STATE(985), 1,
      sym__keyword_in,
    STATE(1807), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [391474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(10980), 1,
      aux_sym_keyword_if_not_exists_token2,
    STATE(7352), 1,
      sym_option_clause,
    ACTIONS(5279), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [391492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(13167), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4633), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391508] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9254), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17864), 1,
      sym_window_frame_clause,
  [391530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9683), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18115), 1,
      sym_window_frame_clause,
  [391552] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10982), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16572), 1,
      sym_window_frame_clause,
  [391574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10984), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10986), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18968), 2,
      sym__float,
      sym__float_or_integer,
  [391590] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9279), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18737), 1,
      sym_window_frame_clause,
  [391612] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9277), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17246), 1,
      sym_window_frame_clause,
  [391634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10988), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(10990), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(18966), 2,
      sym__float,
      sym__float_or_integer,
  [391650] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18276), 1,
      sym_window_frame_clause,
  [391672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10992), 1,
      anon_sym_COMMA,
    STATE(13167), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4551), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391688] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10995), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16731), 1,
      sym_window_frame_clause,
  [391710] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(10997), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(10999), 1,
      aux_sym__keyword_in_token1,
    STATE(1083), 1,
      sym__keyword_between,
    STATE(1473), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [391732] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(11001), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(11003), 1,
      aux_sym__keyword_in_token1,
    STATE(1103), 1,
      sym__keyword_between,
    STATE(1163), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [391754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 6,
      aux_sym__keyword_format_token1,
      aux_sym__keyword_as_token1,
      anon_sym_RPAREN,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [391766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_COMMA,
    STATE(13051), 1,
      aux_sym_window_partition_clause_repeat1,
    ACTIONS(11005), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_rows_range_token1,
      aux_sym_order_by_clause_token1,
  [391782] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(11007), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(11009), 1,
      aux_sym__keyword_in_token1,
    STATE(1138), 1,
      sym__keyword_in,
    STATE(1876), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [391804] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9261), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17367), 1,
      sym_window_frame_clause,
  [391826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(13167), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4653), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11011), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11013), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17408), 2,
      sym__float,
      sym__float_or_integer,
  [391858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11015), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11017), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17407), 2,
      sym__float,
      sym__float_or_integer,
  [391874] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9623), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18698), 1,
      sym_window_frame_clause,
  [391896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11019), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11021), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17095), 2,
      sym__float,
      sym__float_or_integer,
  [391912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11023), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11025), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17096), 2,
      sym__float,
      sym__float_or_integer,
  [391928] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(11027), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(11029), 1,
      aux_sym__keyword_in_token1,
    STATE(1651), 1,
      sym__keyword_between,
    STATE(1741), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [391950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(13175), 1,
      aux_sym_order_by_clause_body_repeat1,
    ACTIONS(4641), 4,
      aux_sym__keyword_range_token1,
      anon_sym_RPAREN,
      aux_sym_limit_clause_token1,
      aux_sym_rows_range_token1,
  [391966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10366), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(16769), 1,
      sym_window_frame_clause,
  [391988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11031), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11033), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17289), 2,
      sym__float,
      sym__float_or_integer,
  [392004] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(11035), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(11037), 1,
      aux_sym__keyword_in_token1,
    STATE(1476), 1,
      sym__keyword_between,
    STATE(1809), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [392026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(10374), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17836), 1,
      sym_window_frame_clause,
  [392048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9613), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17341), 1,
      sym_window_frame_clause,
  [392070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11039), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11041), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17287), 2,
      sym__float,
      sym__float_or_integer,
  [392086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(11043), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(11045), 1,
      aux_sym__keyword_in_token1,
    STATE(970), 1,
      sym__keyword_in,
    STATE(1366), 1,
      sym__keyword_between,
    STATE(14231), 1,
      sym__keyword_like,
  [392108] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9233), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17006), 1,
      sym_window_frame_clause,
  [392130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(11047), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18657), 1,
      sym_window_frame_clause,
  [392152] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(11049), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17812), 1,
      sym_window_frame_clause,
  [392174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      aux_sym__keyword_like_token1,
    ACTIONS(11051), 1,
      aux_sym__keyword_between_token1,
    ACTIONS(11053), 1,
      aux_sym__keyword_in_token1,
    STATE(1107), 1,
      sym__keyword_between,
    STATE(1615), 1,
      sym__keyword_in,
    STATE(14231), 1,
      sym__keyword_like,
  [392196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(11055), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18082), 1,
      sym_window_frame_clause,
  [392218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(11057), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(17315), 1,
      sym_window_frame_clause,
  [392240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9225), 1,
      aux_sym__keyword_range_token1,
    ACTIONS(9231), 1,
      aux_sym_rows_range_token1,
    ACTIONS(9237), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      sym_rows_range,
    STATE(11823), 1,
      sym__keyword_range,
    STATE(18301), 1,
      sym_window_frame_clause,
  [392262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11059), 2,
      sym__integer,
      aux_sym__float_token2,
    ACTIONS(11061), 2,
      aux_sym__float_token1,
      aux_sym__float_token3,
    STATE(17186), 2,
      sym__float,
      sym__float_or_integer,
  [392278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11063), 1,
      anon_sym_RPAREN,
    STATE(14941), 1,
      sym_order_by_clause,
    STATE(18156), 1,
      sym_limit_clause,
  [392297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11067), 1,
      aux_sym_update_statement_token1,
    STATE(7740), 1,
      sym__keyword_delete,
    STATE(7902), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [392314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9873), 1,
      anon_sym_RPAREN,
    STATE(14394), 1,
      sym_order_by_clause,
    STATE(17484), 1,
      sym_limit_clause,
  [392333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11069), 1,
      anon_sym_RPAREN,
    STATE(14952), 1,
      sym_order_by_clause,
    STATE(18155), 1,
      sym_limit_clause,
  [392352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7329), 1,
      sym_option_clause,
    ACTIONS(5664), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [392367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11071), 1,
      anon_sym_RPAREN,
    STATE(14583), 1,
      sym_order_by_clause,
    STATE(18085), 1,
      sym_limit_clause,
  [392386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11073), 1,
      anon_sym_RPAREN,
    STATE(14584), 1,
      sym_order_by_clause,
    STATE(18083), 1,
      sym_limit_clause,
  [392405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11075), 1,
      anon_sym_RPAREN,
    STATE(14392), 1,
      sym_order_by_clause,
    STATE(17485), 1,
      sym_limit_clause,
  [392424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11077), 1,
      anon_sym_RPAREN,
    STATE(14945), 1,
      sym_order_by_clause,
    STATE(18152), 1,
      sym_limit_clause,
  [392443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11079), 1,
      anon_sym_RPAREN,
    STATE(14405), 1,
      sym_order_by_clause,
    STATE(17479), 1,
      sym_limit_clause,
  [392462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11081), 1,
      aux_sym_update_statement_token1,
    STATE(7740), 1,
      sym__keyword_delete,
    STATE(7902), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [392479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11083), 1,
      anon_sym_RPAREN,
    STATE(14407), 1,
      sym_order_by_clause,
    STATE(17476), 1,
      sym_limit_clause,
  [392498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11085), 1,
      anon_sym_RPAREN,
    STATE(14410), 1,
      sym_order_by_clause,
    STATE(17474), 1,
      sym_limit_clause,
  [392517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11087), 1,
      aux_sym__keyword_schema_token1,
    ACTIONS(11089), 1,
      aux_sym_create_table_statement_token1,
    ACTIONS(11091), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(11093), 1,
      aux_sym_create_table_statement_token3,
    STATE(11413), 1,
      sym__keyword_schema,
  [392536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11095), 1,
      anon_sym_RPAREN,
    STATE(14817), 1,
      sym_order_by_clause,
    STATE(18143), 1,
      sym_limit_clause,
  [392555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11097), 1,
      anon_sym_RPAREN,
    STATE(14488), 1,
      sym_order_by_clause,
    STATE(18546), 1,
      sym_limit_clause,
  [392574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11099), 1,
      anon_sym_RPAREN,
    STATE(14806), 1,
      sym_order_by_clause,
    STATE(18141), 1,
      sym_limit_clause,
  [392593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9637), 1,
      anon_sym_RPAREN,
    STATE(14551), 1,
      sym_order_by_clause,
    STATE(19333), 1,
      sym_limit_clause,
  [392612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11101), 1,
      anon_sym_RPAREN,
    STATE(14412), 1,
      sym_order_by_clause,
    STATE(17473), 1,
      sym_limit_clause,
  [392631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11103), 1,
      anon_sym_RPAREN,
    STATE(14493), 1,
      sym_order_by_clause,
    STATE(18544), 1,
      sym_limit_clause,
  [392650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11105), 1,
      anon_sym_RPAREN,
    STATE(14605), 1,
      sym_order_by_clause,
    STATE(18075), 1,
      sym_limit_clause,
  [392669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11107), 1,
      anon_sym_RPAREN,
    STATE(14645), 1,
      sym_order_by_clause,
    STATE(18073), 1,
      sym_limit_clause,
  [392688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11109), 1,
      anon_sym_RPAREN,
    STATE(14433), 1,
      sym_order_by_clause,
    STATE(18563), 1,
      sym_limit_clause,
  [392707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11111), 1,
      anon_sym_RPAREN,
    STATE(14421), 1,
      sym_order_by_clause,
    STATE(17465), 1,
      sym_limit_clause,
  [392726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11113), 1,
      anon_sym_RPAREN,
    STATE(14727), 1,
      sym_order_by_clause,
    STATE(18132), 1,
      sym_limit_clause,
  [392745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11115), 1,
      anon_sym_RPAREN,
    STATE(14720), 1,
      sym_order_by_clause,
    STATE(18130), 1,
      sym_limit_clause,
  [392764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11117), 1,
      anon_sym_RPAREN,
    STATE(14386), 1,
      sym_order_by_clause,
    STATE(17489), 1,
      sym_limit_clause,
  [392783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11119), 1,
      anon_sym_RPAREN,
    STATE(14685), 1,
      sym_order_by_clause,
    STATE(18127), 1,
      sym_limit_clause,
  [392802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11121), 1,
      anon_sym_RPAREN,
    STATE(14443), 1,
      sym_order_by_clause,
    STATE(16376), 1,
      sym_limit_clause,
  [392821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11123), 1,
      anon_sym_RPAREN,
    STATE(14451), 1,
      sym_order_by_clause,
    STATE(16375), 1,
      sym_limit_clause,
  [392840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9729), 1,
      anon_sym_RPAREN,
    STATE(14649), 1,
      sym_order_by_clause,
    STATE(19328), 1,
      sym_limit_clause,
  [392859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11125), 1,
      anon_sym_RPAREN,
    STATE(14680), 1,
      sym_order_by_clause,
    STATE(18125), 1,
      sym_limit_clause,
  [392878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11127), 1,
      anon_sym_RPAREN,
    STATE(14666), 1,
      sym_order_by_clause,
    STATE(18123), 1,
      sym_limit_clause,
  [392897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11129), 1,
      anon_sym_RPAREN,
    STATE(14482), 1,
      sym_order_by_clause,
    STATE(16370), 1,
      sym_limit_clause,
  [392916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11131), 1,
      anon_sym_RPAREN,
    STATE(14484), 1,
      sym_order_by_clause,
    STATE(16369), 1,
      sym_limit_clause,
  [392935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
    STATE(14655), 1,
      sym_order_by_clause,
    STATE(19327), 1,
      sym_limit_clause,
  [392954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9599), 1,
      anon_sym_RPAREN,
    STATE(14364), 1,
      sym_order_by_clause,
    STATE(18114), 1,
      sym_limit_clause,
  [392973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9733), 1,
      anon_sym_RPAREN,
    STATE(14687), 1,
      sym_order_by_clause,
    STATE(19325), 1,
      sym_limit_clause,
  [392992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11133), 1,
      anon_sym_RPAREN,
    STATE(14369), 1,
      sym_order_by_clause,
    STATE(18112), 1,
      sym_limit_clause,
  [393011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11135), 1,
      anon_sym_RPAREN,
    STATE(14501), 1,
      sym_order_by_clause,
    STATE(16403), 1,
      sym_limit_clause,
  [393030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11137), 1,
      anon_sym_RPAREN,
    STATE(14504), 1,
      sym_order_by_clause,
    STATE(16404), 1,
      sym_limit_clause,
  [393049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11139), 1,
      anon_sym_RPAREN,
    STATE(14377), 1,
      sym_order_by_clause,
    STATE(18109), 1,
      sym_limit_clause,
  [393068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11141), 1,
      anon_sym_RPAREN,
    STATE(14384), 1,
      sym_order_by_clause,
    STATE(17490), 1,
      sym_limit_clause,
  [393087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11143), 1,
      anon_sym_RPAREN,
    STATE(14379), 1,
      sym_order_by_clause,
    STATE(18107), 1,
      sym_limit_clause,
  [393106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11145), 1,
      anon_sym_RPAREN,
    STATE(14916), 1,
      sym_order_by_clause,
    STATE(19318), 1,
      sym_limit_clause,
  [393125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11147), 1,
      anon_sym_RPAREN,
    STATE(14556), 1,
      sym_order_by_clause,
    STATE(16417), 1,
      sym_limit_clause,
  [393144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11149), 1,
      anon_sym_RPAREN,
    STATE(14562), 1,
      sym_order_by_clause,
    STATE(16418), 1,
      sym_limit_clause,
  [393163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11151), 1,
      anon_sym_RPAREN,
    STATE(14487), 1,
      sym_order_by_clause,
    STATE(18099), 1,
      sym_limit_clause,
  [393182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11153), 1,
      anon_sym_RPAREN,
    STATE(14490), 1,
      sym_order_by_clause,
    STATE(18097), 1,
      sym_limit_clause,
  [393201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9765), 1,
      anon_sym_RPAREN,
    STATE(14925), 1,
      sym_order_by_clause,
    STATE(19276), 1,
      sym_limit_clause,
  [393220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11155), 1,
      anon_sym_RPAREN,
    STATE(14571), 1,
      sym_order_by_clause,
    STATE(16422), 1,
      sym_limit_clause,
  [393239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11157), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(11159), 1,
      aux_sym_where_clause_token1,
    STATE(8075), 1,
      sym_where_clause,
    STATE(11172), 1,
      sym__keyword_from,
    STATE(16190), 1,
      sym_from_clause,
  [393258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9767), 1,
      anon_sym_RPAREN,
    STATE(14929), 1,
      sym_order_by_clause,
    STATE(19275), 1,
      sym_limit_clause,
  [393277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11161), 1,
      anon_sym_RPAREN,
    STATE(14591), 1,
      sym_order_by_clause,
    STATE(16428), 1,
      sym_limit_clause,
  [393296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5100), 1,
      sym__identifier,
    ACTIONS(11163), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [393311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11165), 1,
      anon_sym_RPAREN,
    STATE(14547), 1,
      sym_order_by_clause,
    STATE(18090), 1,
      sym_limit_clause,
  [393330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11167), 1,
      anon_sym_RPAREN,
    STATE(14594), 1,
      sym_order_by_clause,
    STATE(16431), 1,
      sym_limit_clause,
  [393349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11169), 1,
      anon_sym_RPAREN,
    STATE(14503), 1,
      sym_order_by_clause,
    STATE(18092), 1,
      sym_limit_clause,
  [393368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9775), 1,
      anon_sym_RPAREN,
    STATE(14967), 1,
      sym_order_by_clause,
    STATE(19218), 1,
      sym_limit_clause,
  [393387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11171), 1,
      anon_sym_RPAREN,
    STATE(15019), 1,
      sym_order_by_clause,
    STATE(19270), 1,
      sym_limit_clause,
  [393406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11173), 1,
      anon_sym_RPAREN,
    STATE(15024), 1,
      sym_order_by_clause,
    STATE(19269), 1,
      sym_limit_clause,
  [393425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11175), 1,
      anon_sym_RPAREN,
    STATE(14619), 1,
      sym_order_by_clause,
    STATE(16436), 1,
      sym_limit_clause,
  [393444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11177), 1,
      anon_sym_RPAREN,
    STATE(14625), 1,
      sym_order_by_clause,
    STATE(16437), 1,
      sym_limit_clause,
  [393463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11179), 1,
      anon_sym_RPAREN,
    STATE(14635), 1,
      sym_order_by_clause,
    STATE(16439), 1,
      sym_limit_clause,
  [393482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11181), 1,
      anon_sym_RPAREN,
    STATE(14644), 1,
      sym_order_by_clause,
    STATE(16440), 1,
      sym_limit_clause,
  [393501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11183), 1,
      anon_sym_RPAREN,
    STATE(15060), 1,
      sym_order_by_clause,
    STATE(18169), 1,
      sym_limit_clause,
  [393520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11185), 1,
      anon_sym_RPAREN,
    STATE(14647), 1,
      sym_order_by_clause,
    STATE(16441), 1,
      sym_limit_clause,
  [393539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11187), 1,
      anon_sym_RPAREN,
    STATE(15156), 1,
      sym_order_by_clause,
    STATE(18171), 1,
      sym_limit_clause,
  [393558] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9783), 1,
      anon_sym_RPAREN,
    STATE(15269), 1,
      sym_order_by_clause,
    STATE(16515), 1,
      sym_limit_clause,
  [393577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11189), 1,
      anon_sym_RPAREN,
    STATE(15061), 1,
      sym_order_by_clause,
    STATE(19266), 1,
      sym_limit_clause,
  [393596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11191), 1,
      anon_sym_RPAREN,
    STATE(15093), 1,
      sym_order_by_clause,
    STATE(19260), 1,
      sym_limit_clause,
  [393615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9919), 1,
      anon_sym_RPAREN,
    STATE(14667), 1,
      sym_order_by_clause,
    STATE(16451), 1,
      sym_limit_clause,
  [393634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11193), 1,
      anon_sym_RPAREN,
    STATE(14670), 1,
      sym_order_by_clause,
    STATE(16454), 1,
      sym_limit_clause,
  [393653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11195), 1,
      anon_sym_RPAREN,
    STATE(14469), 1,
      sym_order_by_clause,
    STATE(18104), 1,
      sym_limit_clause,
  [393672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11197), 1,
      anon_sym_RPAREN,
    STATE(14417), 1,
      sym_order_by_clause,
    STATE(18105), 1,
      sym_limit_clause,
  [393691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    STATE(14683), 1,
      sym_order_by_clause,
    STATE(16461), 1,
      sym_limit_clause,
  [393710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11201), 1,
      anon_sym_RPAREN,
    STATE(14684), 1,
      sym_order_by_clause,
    STATE(16462), 1,
      sym_limit_clause,
  [393729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11203), 1,
      anon_sym_RPAREN,
    STATE(14715), 1,
      sym_order_by_clause,
    STATE(16466), 1,
      sym_limit_clause,
  [393748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11205), 1,
      anon_sym_RPAREN,
    STATE(14423), 1,
      sym_order_by_clause,
    STATE(17464), 1,
      sym_limit_clause,
  [393767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11207), 1,
      anon_sym_RPAREN,
    STATE(15161), 1,
      sym_order_by_clause,
    STATE(18176), 1,
      sym_limit_clause,
  [393786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11209), 1,
      anon_sym_RPAREN,
    STATE(14719), 1,
      sym_order_by_clause,
    STATE(16468), 1,
      sym_limit_clause,
  [393805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11211), 1,
      anon_sym_RPAREN,
    STATE(14387), 1,
      sym_order_by_clause,
    STATE(18110), 1,
      sym_limit_clause,
  [393824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11213), 1,
      anon_sym_RPAREN,
    STATE(15137), 1,
      sym_order_by_clause,
    STATE(19250), 1,
      sym_limit_clause,
  [393843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11215), 1,
      anon_sym_RPAREN,
    STATE(14495), 1,
      sym_order_by_clause,
    STATE(18542), 1,
      sym_limit_clause,
  [393862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
    STATE(14751), 1,
      sym_order_by_clause,
    STATE(16472), 1,
      sym_limit_clause,
  [393881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10003), 1,
      anon_sym_RPAREN,
    STATE(15151), 1,
      sym_order_by_clause,
    STATE(19246), 1,
      sym_limit_clause,
  [393900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11217), 1,
      anon_sym_RPAREN,
    STATE(15213), 1,
      sym_order_by_clause,
    STATE(18178), 1,
      sym_limit_clause,
  [393919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
    STATE(14837), 1,
      sym_order_by_clause,
    STATE(16475), 1,
      sym_limit_clause,
  [393938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11219), 1,
      anon_sym_RPAREN,
    STATE(15165), 1,
      sym_order_by_clause,
    STATE(19240), 1,
      sym_limit_clause,
  [393957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11221), 1,
      anon_sym_RPAREN,
    STATE(15169), 1,
      sym_order_by_clause,
    STATE(19226), 1,
      sym_limit_clause,
  [393976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9677), 1,
      anon_sym_RPAREN,
    STATE(14545), 1,
      sym_order_by_clause,
    STATE(18088), 1,
      sym_limit_clause,
  [393995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    STATE(14862), 1,
      sym_order_by_clause,
    STATE(16477), 1,
      sym_limit_clause,
  [394014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11223), 1,
      anon_sym_RPAREN,
    STATE(15175), 1,
      sym_order_by_clause,
    STATE(19193), 1,
      sym_limit_clause,
  [394033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11225), 1,
      anon_sym_RPAREN,
    STATE(14887), 1,
      sym_order_by_clause,
    STATE(16478), 1,
      sym_limit_clause,
  [394052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11227), 1,
      anon_sym_RPAREN,
    STATE(15193), 1,
      sym_order_by_clause,
    STATE(19215), 1,
      sym_limit_clause,
  [394071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11229), 1,
      anon_sym_RPAREN,
    STATE(15196), 1,
      sym_order_by_clause,
    STATE(19205), 1,
      sym_limit_clause,
  [394090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10013), 1,
      anon_sym_RPAREN,
    STATE(14940), 1,
      sym_order_by_clause,
    STATE(16481), 1,
      sym_limit_clause,
  [394109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11231), 1,
      anon_sym_RPAREN,
    STATE(14656), 1,
      sym_order_by_clause,
    STATE(18162), 1,
      sym_limit_clause,
  [394128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
    STATE(14975), 1,
      sym_order_by_clause,
    STATE(16483), 1,
      sym_limit_clause,
  [394147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11233), 1,
      anon_sym_RPAREN,
    STATE(15328), 1,
      sym_order_by_clause,
    STATE(18184), 1,
      sym_limit_clause,
  [394166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11235), 1,
      anon_sym_RPAREN,
    STATE(15274), 1,
      sym_order_by_clause,
    STATE(19198), 1,
      sym_limit_clause,
  [394185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11237), 1,
      anon_sym_RPAREN,
    STATE(15380), 1,
      sym_order_by_clause,
    STATE(18186), 1,
      sym_limit_clause,
  [394204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11239), 1,
      anon_sym_RPAREN,
    STATE(15379), 1,
      sym_order_by_clause,
    STATE(19195), 1,
      sym_limit_clause,
  [394223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11241), 1,
      anon_sym_RPAREN,
    STATE(14858), 1,
      sym_order_by_clause,
    STATE(18121), 1,
      sym_limit_clause,
  [394242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
    STATE(14985), 1,
      sym_order_by_clause,
    STATE(16485), 1,
      sym_limit_clause,
  [394261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11243), 1,
      anon_sym_RPAREN,
    STATE(14665), 1,
      sym_order_by_clause,
    STATE(18124), 1,
      sym_limit_clause,
  [394280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11157), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(11159), 1,
      aux_sym_where_clause_token1,
    STATE(8131), 1,
      sym_where_clause,
    STATE(11172), 1,
      sym__keyword_from,
    STATE(16123), 1,
      sym_from_clause,
  [394299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10037), 1,
      anon_sym_RPAREN,
    STATE(15058), 1,
      sym_order_by_clause,
    STATE(16416), 1,
      sym_limit_clause,
  [394318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    STATE(14588), 1,
      sym_order_by_clause,
    STATE(18079), 1,
      sym_limit_clause,
  [394337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11245), 1,
      anon_sym_RPAREN,
    STATE(14432), 1,
      sym_order_by_clause,
    STATE(18564), 1,
      sym_limit_clause,
  [394356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11247), 1,
      anon_sym_RPAREN,
    STATE(15351), 1,
      sym_order_by_clause,
    STATE(19186), 1,
      sym_limit_clause,
  [394375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9725), 1,
      anon_sym_RPAREN,
    STATE(15291), 1,
      sym_order_by_clause,
    STATE(18055), 1,
      sym_limit_clause,
  [394394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11249), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      sym_order_by_clause,
    STATE(19184), 1,
      sym_limit_clause,
  [394413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11251), 1,
      anon_sym_RPAREN,
    STATE(15377), 1,
      sym_order_by_clause,
    STATE(19183), 1,
      sym_limit_clause,
  [394432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11087), 1,
      aux_sym__keyword_schema_token1,
    ACTIONS(11091), 1,
      aux_sym_create_table_statement_token2,
    ACTIONS(11093), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(11253), 1,
      aux_sym_create_table_statement_token1,
    STATE(11413), 1,
      sym__keyword_schema,
  [394451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7301), 1,
      sym_option_clause,
    ACTIONS(5460), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [394466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7304), 1,
      sym_option_clause,
    ACTIONS(5443), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [394481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11255), 1,
      anon_sym_RPAREN,
    STATE(15530), 1,
      sym_order_by_clause,
    STATE(19173), 1,
      sym_limit_clause,
  [394500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7307), 1,
      sym_option_clause,
    ACTIONS(5396), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [394515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11257), 1,
      anon_sym_RPAREN,
    STATE(15567), 1,
      sym_order_by_clause,
    STATE(19172), 1,
      sym_limit_clause,
  [394534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10080), 1,
      anon_sym_RPAREN,
    STATE(15526), 1,
      sym_order_by_clause,
    STATE(16574), 1,
      sym_limit_clause,
  [394553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10070), 1,
      anon_sym_RPAREN,
    STATE(15562), 1,
      sym_order_by_clause,
    STATE(16577), 1,
      sym_limit_clause,
  [394572] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11259), 1,
      anon_sym_RPAREN,
    STATE(14721), 1,
      sym_order_by_clause,
    STATE(18135), 1,
      sym_limit_clause,
  [394591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11261), 1,
      anon_sym_RPAREN,
    STATE(15180), 1,
      sym_order_by_clause,
    STATE(16503), 1,
      sym_limit_clause,
  [394610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9747), 1,
      anon_sym_RPAREN,
    STATE(15434), 1,
      sym_order_by_clause,
    STATE(18050), 1,
      sym_limit_clause,
  [394629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11263), 1,
      anon_sym_RPAREN,
    STATE(14730), 1,
      sym_order_by_clause,
    STATE(18136), 1,
      sym_limit_clause,
  [394648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11265), 1,
      anon_sym_RPAREN,
    STATE(15183), 1,
      sym_order_by_clause,
    STATE(16504), 1,
      sym_limit_clause,
  [394667] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9745), 1,
      anon_sym_RPAREN,
    STATE(14595), 1,
      sym_order_by_clause,
    STATE(18076), 1,
      sym_limit_clause,
  [394686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11267), 1,
      anon_sym_RPAREN,
    STATE(15586), 1,
      sym_order_by_clause,
    STATE(19165), 1,
      sym_limit_clause,
  [394705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10064), 1,
      anon_sym_RPAREN,
    STATE(15630), 1,
      sym_order_by_clause,
    STATE(16587), 1,
      sym_limit_clause,
  [394724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9749), 1,
      anon_sym_RPAREN,
    STATE(15435), 1,
      sym_order_by_clause,
    STATE(18049), 1,
      sym_limit_clause,
  [394743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11269), 1,
      anon_sym_RPAREN,
    STATE(14763), 1,
      sym_order_by_clause,
    STATE(18142), 1,
      sym_limit_clause,
  [394762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11271), 1,
      anon_sym_RPAREN,
    STATE(15611), 1,
      sym_order_by_clause,
    STATE(19163), 1,
      sym_limit_clause,
  [394781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11273), 1,
      anon_sym_RPAREN,
    STATE(15200), 1,
      sym_order_by_clause,
    STATE(16509), 1,
      sym_limit_clause,
  [394800] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9759), 1,
      anon_sym_RPAREN,
    STATE(15548), 1,
      sym_order_by_clause,
    STATE(18046), 1,
      sym_limit_clause,
  [394819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11275), 1,
      anon_sym_RPAREN,
    STATE(15208), 1,
      sym_order_by_clause,
    STATE(16510), 1,
      sym_limit_clause,
  [394838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11277), 1,
      anon_sym_RPAREN,
    STATE(15247), 1,
      sym_order_by_clause,
    STATE(16516), 1,
      sym_limit_clause,
  [394857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11279), 1,
      anon_sym_RPAREN,
    STATE(15268), 1,
      sym_order_by_clause,
    STATE(16517), 1,
      sym_limit_clause,
  [394876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11281), 1,
      anon_sym_RPAREN,
    STATE(14602), 1,
      sym_order_by_clause,
    STATE(18074), 1,
      sym_limit_clause,
  [394895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11283), 1,
      anon_sym_RPAREN,
    STATE(14772), 1,
      sym_order_by_clause,
    STATE(18144), 1,
      sym_limit_clause,
  [394914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11285), 1,
      anon_sym_RPAREN,
    STATE(14376), 1,
      sym_order_by_clause,
    STATE(17493), 1,
      sym_limit_clause,
  [394933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11287), 1,
      anon_sym_RPAREN,
    STATE(14812), 1,
      sym_order_by_clause,
    STATE(18146), 1,
      sym_limit_clause,
  [394952] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11289), 1,
      anon_sym_RPAREN,
    STATE(14374), 1,
      sym_order_by_clause,
    STATE(17494), 1,
      sym_limit_clause,
  [394971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11291), 1,
      anon_sym_RPAREN,
    STATE(15747), 1,
      sym_order_by_clause,
    STATE(19146), 1,
      sym_limit_clause,
  [394990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11293), 1,
      anon_sym_RPAREN,
    STATE(15763), 1,
      sym_order_by_clause,
    STATE(19145), 1,
      sym_limit_clause,
  [395009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13), 1,
      aux_sym__keyword_drop_token1,
    ACTIONS(11295), 1,
      aux_sym__keyword_add_token1,
    ACTIONS(11297), 1,
      aux_sym_set_statement_token1,
    STATE(16220), 1,
      sym__keyword_add,
    STATE(16221), 1,
      sym__keyword_drop,
  [395028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11299), 1,
      anon_sym_RPAREN,
    STATE(15612), 1,
      sym_order_by_clause,
    STATE(18040), 1,
      sym_limit_clause,
  [395047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9773), 1,
      anon_sym_RPAREN,
    STATE(14939), 1,
      sym_order_by_clause,
    STATE(18153), 1,
      sym_limit_clause,
  [395066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11301), 1,
      anon_sym_RPAREN,
    STATE(15330), 1,
      sym_order_by_clause,
    STATE(16489), 1,
      sym_limit_clause,
  [395085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9787), 1,
      anon_sym_RPAREN,
    STATE(15647), 1,
      sym_order_by_clause,
    STATE(17937), 1,
      sym_limit_clause,
  [395104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11303), 1,
      anon_sym_RPAREN,
    STATE(15337), 1,
      sym_order_by_clause,
    STATE(16530), 1,
      sym_limit_clause,
  [395123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11305), 1,
      anon_sym_RPAREN,
    STATE(14696), 1,
      sym_order_by_clause,
    STATE(17316), 1,
      sym_limit_clause,
  [395142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11307), 1,
      anon_sym_RPAREN,
    STATE(15348), 1,
      sym_order_by_clause,
    STATE(16532), 1,
      sym_limit_clause,
  [395161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11309), 1,
      anon_sym_RPAREN,
    STATE(15368), 1,
      sym_order_by_clause,
    STATE(16538), 1,
      sym_limit_clause,
  [395180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9793), 1,
      anon_sym_RPAREN,
    STATE(15648), 1,
      sym_order_by_clause,
    STATE(18037), 1,
      sym_limit_clause,
  [395199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11311), 1,
      anon_sym_RPAREN,
    STATE(15374), 1,
      sym_order_by_clause,
    STATE(16541), 1,
      sym_limit_clause,
  [395218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9857), 1,
      anon_sym_RPAREN,
    STATE(15004), 1,
      sym_order_by_clause,
    STATE(18060), 1,
      sym_limit_clause,
  [395237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11313), 1,
      anon_sym_RPAREN,
    STATE(15930), 1,
      sym_order_by_clause,
    STATE(16662), 1,
      sym_limit_clause,
  [395256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9816), 1,
      anon_sym_RPAREN,
    STATE(15752), 1,
      sym_order_by_clause,
    STATE(18035), 1,
      sym_limit_clause,
  [395275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11315), 1,
      anon_sym_RPAREN,
    STATE(14973), 1,
      sym_order_by_clause,
    STATE(18161), 1,
      sym_limit_clause,
  [395294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10017), 1,
      anon_sym_RPAREN,
    STATE(15928), 1,
      sym_order_by_clause,
    STATE(16664), 1,
      sym_limit_clause,
  [395313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11317), 1,
      anon_sym_RPAREN,
    STATE(14435), 1,
      sym_order_by_clause,
    STATE(17455), 1,
      sym_limit_clause,
  [395332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11319), 1,
      anon_sym_RPAREN,
    STATE(15393), 1,
      sym_order_by_clause,
    STATE(16548), 1,
      sym_limit_clause,
  [395351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11321), 1,
      anon_sym_RPAREN,
    STATE(15790), 1,
      sym_order_by_clause,
    STATE(18031), 1,
      sym_limit_clause,
  [395370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11323), 1,
      anon_sym_RPAREN,
    STATE(15801), 1,
      sym_order_by_clause,
    STATE(18030), 1,
      sym_limit_clause,
  [395389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11325), 1,
      anon_sym_RPAREN,
    STATE(15394), 1,
      sym_order_by_clause,
    STATE(16549), 1,
      sym_limit_clause,
  [395408] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11327), 1,
      anon_sym_RPAREN,
    STATE(15120), 1,
      sym_order_by_clause,
    STATE(18177), 1,
      sym_limit_clause,
  [395427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11329), 1,
      anon_sym_RPAREN,
    STATE(15413), 1,
      sym_order_by_clause,
    STATE(16551), 1,
      sym_limit_clause,
  [395446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11331), 1,
      anon_sym_RPAREN,
    STATE(15851), 1,
      sym_order_by_clause,
    STATE(18026), 1,
      sym_limit_clause,
  [395465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11333), 1,
      anon_sym_RPAREN,
    STATE(15868), 1,
      sym_order_by_clause,
    STATE(18025), 1,
      sym_limit_clause,
  [395484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11335), 1,
      anon_sym_RPAREN,
    STATE(15416), 1,
      sym_order_by_clause,
    STATE(16553), 1,
      sym_limit_clause,
  [395503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
    STATE(15422), 1,
      sym_order_by_clause,
    STATE(18051), 1,
      sym_limit_clause,
  [395522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11337), 1,
      anon_sym_RPAREN,
    STATE(15160), 1,
      sym_order_by_clause,
    STATE(18179), 1,
      sym_limit_clause,
  [395541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11339), 1,
      anon_sym_RPAREN,
    STATE(15426), 1,
      sym_order_by_clause,
    STATE(16554), 1,
      sym_limit_clause,
  [395560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9883), 1,
      anon_sym_RPAREN,
    STATE(15356), 1,
      sym_order_by_clause,
    STATE(18067), 1,
      sym_limit_clause,
  [395579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
    STATE(15925), 1,
      sym_order_by_clause,
    STATE(16667), 1,
      sym_limit_clause,
  [395598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
    STATE(15485), 1,
      sym_order_by_clause,
    STATE(16563), 1,
      sym_limit_clause,
  [395617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11341), 1,
      anon_sym_RPAREN,
    STATE(15488), 1,
      sym_order_by_clause,
    STATE(16565), 1,
      sym_limit_clause,
  [395636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9631), 1,
      anon_sym_RPAREN,
    STATE(15907), 1,
      sym_order_by_clause,
    STATE(16677), 1,
      sym_limit_clause,
  [395655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11343), 1,
      anon_sym_RPAREN,
    STATE(15514), 1,
      sym_order_by_clause,
    STATE(16573), 1,
      sym_limit_clause,
  [395674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11345), 1,
      anon_sym_RPAREN,
    STATE(15881), 1,
      sym_order_by_clause,
    STATE(18020), 1,
      sym_limit_clause,
  [395693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9905), 1,
      anon_sym_RPAREN,
    STATE(15458), 1,
      sym_order_by_clause,
    STATE(18200), 1,
      sym_limit_clause,
  [395712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11347), 1,
      anon_sym_RPAREN,
    STATE(15518), 1,
      sym_order_by_clause,
    STATE(16575), 1,
      sym_limit_clause,
  [395731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9911), 1,
      anon_sym_RPAREN,
    STATE(15883), 1,
      sym_order_by_clause,
    STATE(18019), 1,
      sym_limit_clause,
  [395750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11349), 1,
      anon_sym_RPAREN,
    STATE(15551), 1,
      sym_order_by_clause,
    STATE(16579), 1,
      sym_limit_clause,
  [395769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9907), 1,
      anon_sym_RPAREN,
    STATE(15467), 1,
      sym_order_by_clause,
    STATE(18201), 1,
      sym_limit_clause,
  [395788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
    STATE(15981), 1,
      sym_order_by_clause,
    STATE(18048), 1,
      sym_limit_clause,
  [395807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11351), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      sym_order_by_clause,
    STATE(16580), 1,
      sym_limit_clause,
  [395826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11353), 1,
      anon_sym_RPAREN,
    STATE(15897), 1,
      sym_order_by_clause,
    STATE(18016), 1,
      sym_limit_clause,
  [395845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11355), 1,
      anon_sym_RPAREN,
    STATE(15989), 1,
      sym_order_by_clause,
    STATE(18015), 1,
      sym_limit_clause,
  [395864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9665), 1,
      anon_sym_RPAREN,
    STATE(15592), 1,
      sym_order_by_clause,
    STATE(16585), 1,
      sym_limit_clause,
  [395883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9671), 1,
      anon_sym_RPAREN,
    STATE(15613), 1,
      sym_order_by_clause,
    STATE(16588), 1,
      sym_limit_clause,
  [395902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11357), 1,
      anon_sym_RPAREN,
    STATE(15987), 1,
      sym_order_by_clause,
    STATE(18008), 1,
      sym_limit_clause,
  [395921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11359), 1,
      anon_sym_RPAREN,
    STATE(15891), 1,
      sym_order_by_clause,
    STATE(16686), 1,
      sym_limit_clause,
  [395940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9673), 1,
      anon_sym_RPAREN,
    STATE(15620), 1,
      sym_order_by_clause,
    STATE(16589), 1,
      sym_limit_clause,
  [395959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11361), 1,
      anon_sym_RPAREN,
    STATE(15983), 1,
      sym_order_by_clause,
    STATE(18000), 1,
      sym_limit_clause,
  [395978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11363), 1,
      anon_sym_RPAREN,
    STATE(15979), 1,
      sym_order_by_clause,
    STATE(17998), 1,
      sym_limit_clause,
  [395997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11365), 1,
      anon_sym_RPAREN,
    STATE(15888), 1,
      sym_order_by_clause,
    STATE(16688), 1,
      sym_limit_clause,
  [396016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9961), 1,
      anon_sym_RPAREN,
    STATE(15683), 1,
      sym_order_by_clause,
    STATE(18033), 1,
      sym_limit_clause,
  [396035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
    STATE(15472), 1,
      sym_order_by_clause,
    STATE(18202), 1,
      sym_limit_clause,
  [396054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11369), 1,
      anon_sym_RPAREN,
    STATE(15633), 1,
      sym_order_by_clause,
    STATE(16590), 1,
      sym_limit_clause,
  [396073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
    STATE(14365), 1,
      sym_order_by_clause,
    STATE(17499), 1,
      sym_limit_clause,
  [396092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9761), 1,
      anon_sym_RPAREN,
    STATE(15756), 1,
      sym_order_by_clause,
    STATE(16595), 1,
      sym_limit_clause,
  [396111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11371), 1,
      anon_sym_RPAREN,
    STATE(15871), 1,
      sym_order_by_clause,
    STATE(16696), 1,
      sym_limit_clause,
  [396130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    STATE(15773), 1,
      sym_order_by_clause,
    STATE(16597), 1,
      sym_limit_clause,
  [396149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11373), 1,
      anon_sym_RPAREN,
    STATE(15969), 1,
      sym_order_by_clause,
    STATE(17981), 1,
      sym_limit_clause,
  [396168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11375), 1,
      anon_sym_RPAREN,
    STATE(15966), 1,
      sym_order_by_clause,
    STATE(17979), 1,
      sym_limit_clause,
  [396187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9845), 1,
      anon_sym_RPAREN,
    STATE(14698), 1,
      sym_order_by_clause,
    STATE(17314), 1,
      sym_limit_clause,
  [396206] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11377), 1,
      anon_sym_RPAREN,
    STATE(15866), 1,
      sym_order_by_clause,
    STATE(16698), 1,
      sym_limit_clause,
  [396225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9969), 1,
      anon_sym_RPAREN,
    STATE(15799), 1,
      sym_order_by_clause,
    STATE(16600), 1,
      sym_limit_clause,
  [396244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10264), 1,
      anon_sym_RPAREN,
    STATE(15856), 1,
      sym_order_by_clause,
    STATE(16604), 1,
      sym_limit_clause,
  [396263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5409), 1,
      sym__identifier,
    ACTIONS(11379), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [396278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3641), 1,
      sym_analytics_clause,
    ACTIONS(1433), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9975), 1,
      anon_sym_RPAREN,
    STATE(15602), 1,
      sym_order_by_clause,
    STATE(18209), 1,
      sym_limit_clause,
  [396312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7343), 1,
      sym_option_clause,
    ACTIONS(5708), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [396327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9981), 1,
      anon_sym_RPAREN,
    STATE(15758), 1,
      sym_order_by_clause,
    STATE(18212), 1,
      sym_limit_clause,
  [396346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3644), 1,
      sym_analytics_clause,
    ACTIONS(1437), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3655), 1,
      sym_analytics_clause,
    ACTIONS(1445), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3657), 1,
      sym_analytics_clause,
    ACTIONS(1449), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9983), 1,
      anon_sym_RPAREN,
    STATE(15816), 1,
      sym_order_by_clause,
    STATE(18214), 1,
      sym_limit_clause,
  [396410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3659), 1,
      sym_analytics_clause,
    ACTIONS(1453), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11383), 1,
      anon_sym_RPAREN,
    STATE(15955), 1,
      sym_order_by_clause,
    STATE(17963), 1,
      sym_limit_clause,
  [396444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3662), 1,
      sym_analytics_clause,
    ACTIONS(1457), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3664), 1,
      sym_analytics_clause,
    ACTIONS(1367), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11385), 1,
      anon_sym_RPAREN,
    STATE(15953), 1,
      sym_order_by_clause,
    STATE(17957), 1,
      sym_limit_clause,
  [396493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11387), 1,
      anon_sym_RPAREN,
    STATE(15950), 1,
      sym_order_by_clause,
    STATE(17956), 1,
      sym_limit_clause,
  [396512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3670), 1,
      sym_analytics_clause,
    ACTIONS(1367), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3680), 1,
      sym_analytics_clause,
    ACTIONS(1485), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11389), 1,
      aux_sym__keyword_as_token1,
    STATE(12085), 1,
      sym__keyword_as,
    STATE(16026), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [396561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11391), 1,
      anon_sym_RPAREN,
    STATE(14438), 1,
      sym_order_by_clause,
    STATE(17451), 1,
      sym_limit_clause,
  [396580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3682), 1,
      sym_analytics_clause,
    ACTIONS(1493), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3684), 1,
      sym_analytics_clause,
    ACTIONS(1497), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3686), 1,
      sym_analytics_clause,
    ACTIONS(1505), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3696), 1,
      sym_analytics_clause,
    ACTIONS(1509), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3699), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3713), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3637), 1,
      sym_analytics_clause,
    ACTIONS(1429), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3716), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3719), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3722), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3727), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11393), 1,
      anon_sym_RPAREN,
    STATE(15939), 1,
      sym_order_by_clause,
    STATE(17940), 1,
      sym_limit_clause,
  [396764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11395), 1,
      anon_sym_RPAREN,
    STATE(15935), 1,
      sym_order_by_clause,
    STATE(17939), 1,
      sym_limit_clause,
  [396783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11397), 1,
      anon_sym_RPAREN,
    STATE(15978), 1,
      sym_order_by_clause,
    STATE(18007), 1,
      sym_limit_clause,
  [396802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11399), 1,
      anon_sym_RPAREN,
    STATE(15988), 1,
      sym_order_by_clause,
    STATE(18005), 1,
      sym_limit_clause,
  [396821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3728), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3730), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11401), 1,
      anon_sym_RPAREN,
    STATE(15980), 1,
      sym_order_by_clause,
    STATE(16618), 1,
      sym_limit_clause,
  [396870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11403), 1,
      anon_sym_RPAREN,
    STATE(15990), 1,
      sym_order_by_clause,
    STATE(16619), 1,
      sym_limit_clause,
  [396889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3733), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3737), 1,
      sym_analytics_clause,
    ACTIONS(1513), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3739), 1,
      sym_analytics_clause,
    ACTIONS(1501), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [396934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11405), 1,
      anon_sym_RPAREN,
    STATE(15922), 1,
      sym_order_by_clause,
    STATE(17931), 1,
      sym_limit_clause,
  [396953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11407), 1,
      anon_sym_RPAREN,
    STATE(15920), 1,
      sym_order_by_clause,
    STATE(17929), 1,
      sym_limit_clause,
  [396972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11409), 1,
      anon_sym_RPAREN,
    STATE(15986), 1,
      sym_order_by_clause,
    STATE(17999), 1,
      sym_limit_clause,
  [396991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11411), 1,
      anon_sym_RPAREN,
    STATE(15985), 1,
      sym_order_by_clause,
    STATE(17997), 1,
      sym_limit_clause,
  [397010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3741), 1,
      sym_analytics_clause,
    ACTIONS(1489), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3743), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3749), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3750), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11413), 1,
      anon_sym_RPAREN,
    STATE(15957), 1,
      sym_order_by_clause,
    STATE(17992), 1,
      sym_limit_clause,
  [397089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3752), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11415), 1,
      anon_sym_RPAREN,
    STATE(15973), 1,
      sym_order_by_clause,
    STATE(17990), 1,
      sym_limit_clause,
  [397123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3755), 1,
      sym_analytics_clause,
    ACTIONS(1481), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11417), 1,
      anon_sym_RPAREN,
    STATE(15984), 1,
      sym_order_by_clause,
    STATE(16625), 1,
      sym_limit_clause,
  [397157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11419), 1,
      anon_sym_RPAREN,
    STATE(15982), 1,
      sym_order_by_clause,
    STATE(16626), 1,
      sym_limit_clause,
  [397176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7274), 1,
      sym_option_clause,
    ACTIONS(5676), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [397191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7276), 1,
      sym_option_clause,
    ACTIONS(5672), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [397206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7277), 1,
      sym_option_clause,
    ACTIONS(5668), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [397221] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11421), 1,
      anon_sym_RPAREN,
    STATE(15912), 1,
      sym_order_by_clause,
    STATE(17919), 1,
      sym_limit_clause,
  [397240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11423), 1,
      anon_sym_RPAREN,
    STATE(15911), 1,
      sym_order_by_clause,
    STATE(17916), 1,
      sym_limit_clause,
  [397259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3760), 1,
      sym_analytics_clause,
    ACTIONS(1461), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3762), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3763), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11425), 1,
      anon_sym_RPAREN,
    STATE(15977), 1,
      sym_order_by_clause,
    STATE(16631), 1,
      sym_limit_clause,
  [397323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11427), 1,
      anon_sym_RPAREN,
    STATE(15970), 1,
      sym_order_by_clause,
    STATE(17978), 1,
      sym_limit_clause,
  [397342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11429), 1,
      anon_sym_RPAREN,
    STATE(15967), 1,
      sym_order_by_clause,
    STATE(17976), 1,
      sym_limit_clause,
  [397361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11431), 1,
      anon_sym_RPAREN,
    STATE(15975), 1,
      sym_order_by_clause,
    STATE(16632), 1,
      sym_limit_clause,
  [397380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3766), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11433), 1,
      anon_sym_RPAREN,
    STATE(15964), 1,
      sym_order_by_clause,
    STATE(17973), 1,
      sym_limit_clause,
  [397414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3769), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11435), 1,
      anon_sym_RPAREN,
    STATE(15741), 1,
      sym_order_by_clause,
    STATE(16781), 1,
      sym_limit_clause,
  [397448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3772), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11437), 1,
      anon_sym_RPAREN,
    STATE(15963), 1,
      sym_order_by_clause,
    STATE(16641), 1,
      sym_limit_clause,
  [397482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11439), 1,
      anon_sym_RPAREN,
    STATE(15961), 1,
      sym_order_by_clause,
    STATE(16642), 1,
      sym_limit_clause,
  [397501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
    STATE(15739), 1,
      sym_order_by_clause,
    STATE(16783), 1,
      sym_limit_clause,
  [397520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    STATE(15886), 1,
      sym_order_by_clause,
    STATE(18221), 1,
      sym_limit_clause,
  [397539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11441), 1,
      anon_sym_RPAREN,
    STATE(15958), 1,
      sym_order_by_clause,
    STATE(16644), 1,
      sym_limit_clause,
  [397558] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11443), 1,
      anon_sym_RPAREN,
    STATE(15959), 1,
      sym_order_by_clause,
    STATE(17964), 1,
      sym_limit_clause,
  [397577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11445), 1,
      anon_sym_RPAREN,
    STATE(15956), 1,
      sym_order_by_clause,
    STATE(17962), 1,
      sym_limit_clause,
  [397596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3777), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3778), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3779), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3781), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11447), 1,
      anon_sym_RPAREN,
    STATE(15729), 1,
      sym_order_by_clause,
    STATE(16792), 1,
      sym_limit_clause,
  [397675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11449), 1,
      anon_sym_RPAREN,
    STATE(15951), 1,
      sym_order_by_clause,
    STATE(17953), 1,
      sym_limit_clause,
  [397694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11451), 1,
      anon_sym_RPAREN,
    STATE(15724), 1,
      sym_order_by_clause,
    STATE(16794), 1,
      sym_limit_clause,
  [397713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11453), 1,
      anon_sym_RPAREN,
    STATE(15948), 1,
      sym_order_by_clause,
    STATE(17951), 1,
      sym_limit_clause,
  [397732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11455), 1,
      anon_sym_RPAREN,
    STATE(15721), 1,
      sym_order_by_clause,
    STATE(16796), 1,
      sym_limit_clause,
  [397751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11457), 1,
      anon_sym_RPAREN,
    STATE(15944), 1,
      sym_order_by_clause,
    STATE(17948), 1,
      sym_limit_clause,
  [397770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3782), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11459), 1,
      anon_sym_RPAREN,
    STATE(15943), 1,
      sym_order_by_clause,
    STATE(17946), 1,
      sym_limit_clause,
  [397804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11461), 1,
      anon_sym_RPAREN,
    STATE(15942), 1,
      sym_order_by_clause,
    STATE(17944), 1,
      sym_limit_clause,
  [397823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11463), 1,
      anon_sym_RPAREN,
    STATE(15947), 1,
      sym_order_by_clause,
    STATE(16653), 1,
      sym_limit_clause,
  [397842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11465), 1,
      anon_sym_RPAREN,
    STATE(15945), 1,
      sym_order_by_clause,
    STATE(16654), 1,
      sym_limit_clause,
  [397861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11467), 1,
      anon_sym_RPAREN,
    STATE(15719), 1,
      sym_order_by_clause,
    STATE(16799), 1,
      sym_limit_clause,
  [397880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2975), 1,
      sym__identifier,
    ACTIONS(11469), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [397895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11471), 1,
      anon_sym_RPAREN,
    STATE(15718), 1,
      sym_order_by_clause,
    STATE(16801), 1,
      sym_limit_clause,
  [397914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3784), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3785), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [397944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11473), 1,
      anon_sym_RPAREN,
    STATE(15936), 1,
      sym_order_by_clause,
    STATE(16658), 1,
      sym_limit_clause,
  [397963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11475), 1,
      anon_sym_RPAREN,
    STATE(15934), 1,
      sym_order_by_clause,
    STATE(16661), 1,
      sym_limit_clause,
  [397982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11477), 1,
      anon_sym_RPAREN,
    STATE(15931), 1,
      sym_order_by_clause,
    STATE(16665), 1,
      sym_limit_clause,
  [398001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11479), 1,
      anon_sym_RPAREN,
    STATE(14440), 1,
      sym_order_by_clause,
    STATE(17449), 1,
      sym_limit_clause,
  [398020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11481), 1,
      anon_sym_RPAREN,
    STATE(15929), 1,
      sym_order_by_clause,
    STATE(16666), 1,
      sym_limit_clause,
  [398039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11483), 1,
      anon_sym_RPAREN,
    STATE(15927), 1,
      sym_order_by_clause,
    STATE(16668), 1,
      sym_limit_clause,
  [398058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9909), 1,
      anon_sym_RPAREN,
    STATE(15361), 1,
      sym_order_by_clause,
    STATE(17501), 1,
      sym_limit_clause,
  [398077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3789), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3793), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
    STATE(15918), 1,
      sym_order_by_clause,
    STATE(16671), 1,
      sym_limit_clause,
  [398126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11485), 1,
      anon_sym_RPAREN,
    STATE(15710), 1,
      sym_order_by_clause,
    STATE(16810), 1,
      sym_limit_clause,
  [398145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11487), 1,
      anon_sym_RPAREN,
    STATE(15916), 1,
      sym_order_by_clause,
    STATE(16674), 1,
      sym_limit_clause,
  [398164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1170), 1,
      sym__identifier,
    ACTIONS(11489), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [398179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11491), 1,
      anon_sym_RPAREN,
    STATE(15705), 1,
      sym_order_by_clause,
    STATE(16812), 1,
      sym_limit_clause,
  [398198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2524), 1,
      sym__identifier,
    ACTIONS(11493), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [398213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3796), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3804), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3806), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3810), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11495), 1,
      anon_sym_RPAREN,
    STATE(15910), 1,
      sym_order_by_clause,
    STATE(16678), 1,
      sym_limit_clause,
  [398292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11497), 1,
      anon_sym_RPAREN,
    STATE(14408), 1,
      sym_order_by_clause,
    STATE(18571), 1,
      sym_limit_clause,
  [398311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11499), 1,
      anon_sym_RPAREN,
    STATE(15908), 1,
      sym_order_by_clause,
    STATE(16679), 1,
      sym_limit_clause,
  [398330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3812), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11501), 1,
      anon_sym_RPAREN,
    STATE(15900), 1,
      sym_order_by_clause,
    STATE(16683), 1,
      sym_limit_clause,
  [398364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11503), 1,
      anon_sym_RPAREN,
    STATE(15898), 1,
      sym_order_by_clause,
    STATE(16684), 1,
      sym_limit_clause,
  [398383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11505), 1,
      anon_sym_RPAREN,
    STATE(14406), 1,
      sym_order_by_clause,
    STATE(18572), 1,
      sym_limit_clause,
  [398402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3813), 1,
      sym_analytics_clause,
    ACTIONS(1375), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3817), 1,
      sym_analytics_clause,
    ACTIONS(1381), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3819), 1,
      sym_analytics_clause,
    ACTIONS(1385), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    STATE(15889), 1,
      sym_order_by_clause,
    STATE(16691), 1,
      sym_limit_clause,
  [398466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3714), 1,
      sym_analytics_clause,
    ACTIONS(1517), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10238), 1,
      anon_sym_RPAREN,
    STATE(15880), 1,
      sym_order_by_clause,
    STATE(16693), 1,
      sym_limit_clause,
  [398500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9841), 1,
      anon_sym_RPAREN,
    STATE(14700), 1,
      sym_order_by_clause,
    STATE(17311), 1,
      sym_limit_clause,
  [398519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11507), 1,
      anon_sym_RPAREN,
    STATE(15873), 1,
      sym_order_by_clause,
    STATE(18240), 1,
      sym_limit_clause,
  [398538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11509), 1,
      anon_sym_RPAREN,
    STATE(15894), 1,
      sym_order_by_clause,
    STATE(18241), 1,
      sym_limit_clause,
  [398557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3826), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3827), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3829), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
    STATE(15877), 1,
      sym_order_by_clause,
    STATE(16694), 1,
      sym_limit_clause,
  [398621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11511), 1,
      anon_sym_RPAREN,
    STATE(15875), 1,
      sym_order_by_clause,
    STATE(16697), 1,
      sym_limit_clause,
  [398640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9913), 1,
      anon_sym_RPAREN,
    STATE(14357), 1,
      sym_order_by_clause,
    STATE(17502), 1,
      sym_limit_clause,
  [398659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10180), 1,
      anon_sym_RPAREN,
    STATE(15932), 1,
      sym_order_by_clause,
    STATE(17935), 1,
      sym_limit_clause,
  [398678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3840), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3844), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3849), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3850), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3851), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3853), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3854), 1,
      sym_analytics_clause,
    ACTIONS(1361), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7775), 1,
      sym__identifier,
    ACTIONS(11513), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [398798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10254), 1,
      anon_sym_RPAREN,
    STATE(15857), 1,
      sym_order_by_clause,
    STATE(16702), 1,
      sym_limit_clause,
  [398817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3868), 1,
      sym_analytics_clause,
    ACTIONS(1425), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    STATE(15848), 1,
      sym_order_by_clause,
    STATE(16704), 1,
      sym_limit_clause,
  [398851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
    STATE(15818), 1,
      sym_order_by_clause,
    STATE(17898), 1,
      sym_limit_clause,
  [398870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3876), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398885] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11515), 1,
      anon_sym_RPAREN,
    STATE(14400), 1,
      sym_order_by_clause,
    STATE(18574), 1,
      sym_limit_clause,
  [398904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3877), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11517), 1,
      anon_sym_RPAREN,
    STATE(15926), 1,
      sym_order_by_clause,
    STATE(17933), 1,
      sym_limit_clause,
  [398938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3883), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [398953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10410), 1,
      anon_sym_RPAREN,
    STATE(15845), 1,
      sym_order_by_clause,
    STATE(16705), 1,
      sym_limit_clause,
  [398972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11519), 1,
      aux_sym__keyword_as_token1,
    STATE(12042), 1,
      sym__keyword_as,
    STATE(16058), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [398991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3890), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3892), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10268), 1,
      anon_sym_RPAREN,
    STATE(15825), 1,
      sym_order_by_clause,
    STATE(16709), 1,
      sym_limit_clause,
  [399040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3899), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3900), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    STATE(15800), 1,
      sym_order_by_clause,
    STATE(17892), 1,
      sym_limit_clause,
  [399089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11521), 1,
      anon_sym_RPAREN,
    STATE(15861), 1,
      sym_order_by_clause,
    STATE(18248), 1,
      sym_limit_clause,
  [399108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11523), 1,
      anon_sym_RPAREN,
    STATE(15860), 1,
      sym_order_by_clause,
    STATE(18249), 1,
      sym_limit_clause,
  [399127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11525), 1,
      anon_sym_RPAREN,
    STATE(15924), 1,
      sym_order_by_clause,
    STATE(17930), 1,
      sym_limit_clause,
  [399146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3903), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3926), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
    STATE(15793), 1,
      sym_order_by_clause,
    STATE(17890), 1,
      sym_limit_clause,
  [399195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3923), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11527), 1,
      anon_sym_RPAREN,
    STATE(15923), 1,
      sym_order_by_clause,
    STATE(17928), 1,
      sym_limit_clause,
  [399229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3922), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10242), 1,
      anon_sym_RPAREN,
    STATE(15770), 1,
      sym_order_by_clause,
    STATE(17888), 1,
      sym_limit_clause,
  [399263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3921), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3920), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9831), 1,
      anon_sym_RPAREN,
    STATE(14709), 1,
      sym_order_by_clause,
    STATE(17301), 1,
      sym_limit_clause,
  [399312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3919), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11529), 1,
      anon_sym_RPAREN,
    STATE(15858), 1,
      sym_order_by_clause,
    STATE(18260), 1,
      sym_limit_clause,
  [399346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3917), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11531), 1,
      anon_sym_RPAREN,
    STATE(15855), 1,
      sym_order_by_clause,
    STATE(18261), 1,
      sym_limit_clause,
  [399380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11533), 1,
      anon_sym_RPAREN,
    STATE(14366), 1,
      sym_order_by_clause,
    STATE(17503), 1,
      sym_limit_clause,
  [399399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11081), 1,
      aux_sym_update_statement_token1,
    STATE(7740), 1,
      sym__keyword_delete,
    STATE(7741), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [399416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11535), 1,
      anon_sym_RPAREN,
    STATE(14452), 1,
      sym_order_by_clause,
    STATE(17436), 1,
      sym_limit_clause,
  [399435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3916), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11537), 1,
      anon_sym_RPAREN,
    STATE(15743), 1,
      sym_order_by_clause,
    STATE(17882), 1,
      sym_limit_clause,
  [399469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11539), 1,
      anon_sym_RPAREN,
    STATE(15917), 1,
      sym_order_by_clause,
    STATE(17920), 1,
      sym_limit_clause,
  [399488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3914), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    STATE(15737), 1,
      sym_order_by_clause,
    STATE(17880), 1,
      sym_limit_clause,
  [399522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11541), 1,
      anon_sym_RPAREN,
    STATE(15508), 1,
      sym_order_by_clause,
    STATE(16564), 1,
      sym_limit_clause,
  [399541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11543), 1,
      anon_sym_RPAREN,
    STATE(15510), 1,
      sym_order_by_clause,
    STATE(16567), 1,
      sym_limit_clause,
  [399560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11545), 1,
      anon_sym_RPAREN,
    STATE(15915), 1,
      sym_order_by_clause,
    STATE(17918), 1,
      sym_limit_clause,
  [399579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3913), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10298), 1,
      anon_sym_RPAREN,
    STATE(15732), 1,
      sym_order_by_clause,
    STATE(17809), 1,
      sym_limit_clause,
  [399613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11547), 1,
      anon_sym_RPAREN,
    STATE(15797), 1,
      sym_order_by_clause,
    STATE(16724), 1,
      sym_limit_clause,
  [399632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11549), 1,
      anon_sym_RPAREN,
    STATE(15795), 1,
      sym_order_by_clause,
    STATE(16725), 1,
      sym_limit_clause,
  [399651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3911), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10316), 1,
      anon_sym_RPAREN,
    STATE(15723), 1,
      sym_order_by_clause,
    STATE(17876), 1,
      sym_limit_clause,
  [399685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11551), 1,
      aux_sym__keyword_as_token1,
    STATE(12033), 1,
      sym__keyword_as,
    STATE(16080), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [399704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3908), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3905), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11553), 1,
      anon_sym_RPAREN,
    STATE(15788), 1,
      sym_order_by_clause,
    STATE(16732), 1,
      sym_limit_clause,
  [399753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11555), 1,
      anon_sym_RPAREN,
    STATE(15713), 1,
      sym_order_by_clause,
    STATE(17873), 1,
      sym_limit_clause,
  [399772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11557), 1,
      anon_sym_RPAREN,
    STATE(15709), 1,
      sym_order_by_clause,
    STATE(17871), 1,
      sym_limit_clause,
  [399791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11559), 1,
      anon_sym_RPAREN,
    STATE(15849), 1,
      sym_order_by_clause,
    STATE(18271), 1,
      sym_limit_clause,
  [399810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11561), 1,
      anon_sym_RPAREN,
    STATE(15869), 1,
      sym_order_by_clause,
    STATE(18272), 1,
      sym_limit_clause,
  [399829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11563), 1,
      anon_sym_RPAREN,
    STATE(15786), 1,
      sym_order_by_clause,
    STATE(16734), 1,
      sym_limit_clause,
  [399848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11565), 1,
      anon_sym_RPAREN,
    STATE(15699), 1,
      sym_order_by_clause,
    STATE(17866), 1,
      sym_limit_clause,
  [399867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11567), 1,
      anon_sym_RPAREN,
    STATE(15698), 1,
      sym_order_by_clause,
    STATE(17865), 1,
      sym_limit_clause,
  [399886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3904), 1,
      sym_analytics_clause,
    ACTIONS(1417), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10336), 1,
      anon_sym_RPAREN,
    STATE(15906), 1,
      sym_order_by_clause,
    STATE(17909), 1,
      sym_limit_clause,
  [399920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3898), 1,
      sym_analytics_clause,
    ACTIONS(1413), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [399935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11569), 1,
      anon_sym_RPAREN,
    STATE(14454), 1,
      sym_order_by_clause,
    STATE(17435), 1,
      sym_limit_clause,
  [399954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11571), 1,
      anon_sym_RPAREN,
    STATE(15839), 1,
      sym_order_by_clause,
    STATE(18274), 1,
      sym_limit_clause,
  [399973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11573), 1,
      anon_sym_RPAREN,
    STATE(15781), 1,
      sym_order_by_clause,
    STATE(16750), 1,
      sym_limit_clause,
  [399992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11575), 1,
      anon_sym_RPAREN,
    STATE(15779), 1,
      sym_order_by_clause,
    STATE(16751), 1,
      sym_limit_clause,
  [400011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11577), 1,
      anon_sym_RPAREN,
    STATE(15540), 1,
      sym_order_by_clause,
    STATE(16902), 1,
      sym_limit_clause,
  [400030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10348), 1,
      anon_sym_RPAREN,
    STATE(15837), 1,
      sym_order_by_clause,
    STATE(17900), 1,
      sym_limit_clause,
  [400049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11579), 1,
      anon_sym_RPAREN,
    STATE(15539), 1,
      sym_order_by_clause,
    STATE(16905), 1,
      sym_limit_clause,
  [400068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11581), 1,
      anon_sym_RPAREN,
    STATE(15694), 1,
      sym_order_by_clause,
    STATE(17861), 1,
      sym_limit_clause,
  [400087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11583), 1,
      anon_sym_RPAREN,
    STATE(15537), 1,
      sym_order_by_clause,
    STATE(16907), 1,
      sym_limit_clause,
  [400106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3897), 1,
      sym_analytics_clause,
    ACTIONS(1409), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10344), 1,
      anon_sym_RPAREN,
    STATE(15691), 1,
      sym_order_by_clause,
    STATE(17860), 1,
      sym_limit_clause,
  [400140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11585), 1,
      anon_sym_RPAREN,
    STATE(14396), 1,
      sym_order_by_clause,
    STATE(18575), 1,
      sym_limit_clause,
  [400159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3824), 1,
      sym_analytics_clause,
    ACTIONS(1401), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11587), 1,
      anon_sym_RPAREN,
    STATE(15767), 1,
      sym_order_by_clause,
    STATE(16764), 1,
      sym_limit_clause,
  [400193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11589), 1,
      anon_sym_RPAREN,
    STATE(15765), 1,
      sym_order_by_clause,
    STATE(16765), 1,
      sym_limit_clause,
  [400212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11591), 1,
      anon_sym_RPAREN,
    STATE(15687), 1,
      sym_order_by_clause,
    STATE(17856), 1,
      sym_limit_clause,
  [400231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11593), 1,
      anon_sym_RPAREN,
    STATE(15686), 1,
      sym_order_by_clause,
    STATE(17855), 1,
      sym_limit_clause,
  [400250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11595), 1,
      anon_sym_RPAREN,
    STATE(15762), 1,
      sym_order_by_clause,
    STATE(16767), 1,
      sym_limit_clause,
  [400269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3893), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11597), 1,
      anon_sym_RPAREN,
    STATE(15682), 1,
      sym_order_by_clause,
    STATE(17854), 1,
      sym_limit_clause,
  [400303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10352), 1,
      anon_sym_RPAREN,
    STATE(15828), 1,
      sym_order_by_clause,
    STATE(17897), 1,
      sym_limit_clause,
  [400322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3891), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11599), 1,
      anon_sym_RPAREN,
    STATE(15678), 1,
      sym_order_by_clause,
    STATE(17850), 1,
      sym_limit_clause,
  [400356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11601), 1,
      anon_sym_RPAREN,
    STATE(15677), 1,
      sym_order_by_clause,
    STATE(17849), 1,
      sym_limit_clause,
  [400375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11603), 1,
      anon_sym_RPAREN,
    STATE(15812), 1,
      sym_order_by_clause,
    STATE(18281), 1,
      sym_limit_clause,
  [400394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11605), 1,
      anon_sym_RPAREN,
    STATE(15527), 1,
      sym_order_by_clause,
    STATE(16919), 1,
      sym_limit_clause,
  [400413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11607), 1,
      anon_sym_RPAREN,
    STATE(15819), 1,
      sym_order_by_clause,
    STATE(17895), 1,
      sym_limit_clause,
  [400432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11609), 1,
      anon_sym_RPAREN,
    STATE(15524), 1,
      sym_order_by_clause,
    STATE(16921), 1,
      sym_limit_clause,
  [400451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3888), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11611), 1,
      anon_sym_RPAREN,
    STATE(15751), 1,
      sym_order_by_clause,
    STATE(16775), 1,
      sym_limit_clause,
  [400485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11613), 1,
      anon_sym_RPAREN,
    STATE(15726), 1,
      sym_order_by_clause,
    STATE(18282), 1,
      sym_limit_clause,
  [400504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11615), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      sym_order_by_clause,
    STATE(16777), 1,
      sym_limit_clause,
  [400523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11617), 1,
      anon_sym_RPAREN,
    STATE(15672), 1,
      sym_order_by_clause,
    STATE(17843), 1,
      sym_limit_clause,
  [400542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11619), 1,
      anon_sym_RPAREN,
    STATE(15669), 1,
      sym_order_by_clause,
    STATE(17842), 1,
      sym_limit_clause,
  [400561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11621), 1,
      anon_sym_RPAREN,
    STATE(15522), 1,
      sym_order_by_clause,
    STATE(16926), 1,
      sym_limit_clause,
  [400580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11623), 1,
      anon_sym_RPAREN,
    STATE(15521), 1,
      sym_order_by_clause,
    STATE(16928), 1,
      sym_limit_clause,
  [400599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3887), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11625), 1,
      anon_sym_RPAREN,
    STATE(15740), 1,
      sym_order_by_clause,
    STATE(16712), 1,
      sym_limit_clause,
  [400633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10376), 1,
      anon_sym_RPAREN,
    STATE(15746), 1,
      sym_order_by_clause,
    STATE(17881), 1,
      sym_limit_clause,
  [400652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11627), 1,
      anon_sym_RPAREN,
    STATE(15738), 1,
      sym_order_by_clause,
    STATE(16787), 1,
      sym_limit_clause,
  [400671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3881), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11629), 1,
      anon_sym_RPAREN,
    STATE(15735), 1,
      sym_order_by_clause,
    STATE(16789), 1,
      sym_limit_clause,
  [400705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11631), 1,
      anon_sym_RPAREN,
    STATE(15791), 1,
      sym_order_by_clause,
    STATE(18287), 1,
      sym_limit_clause,
  [400724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11633), 1,
      anon_sym_RPAREN,
    STATE(15780), 1,
      sym_order_by_clause,
    STATE(18288), 1,
      sym_limit_clause,
  [400743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10392), 1,
      anon_sym_RPAREN,
    STATE(15716), 1,
      sym_order_by_clause,
    STATE(17872), 1,
      sym_limit_clause,
  [400762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3880), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11635), 1,
      anon_sym_RPAREN,
    STATE(15733), 1,
      sym_order_by_clause,
    STATE(16790), 1,
      sym_limit_clause,
  [400796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11637), 1,
      anon_sym_RPAREN,
    STATE(15731), 1,
      sym_order_by_clause,
    STATE(16793), 1,
      sym_limit_clause,
  [400815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11639), 1,
      anon_sym_RPAREN,
    STATE(15660), 1,
      sym_order_by_clause,
    STATE(17833), 1,
      sym_limit_clause,
  [400834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2507), 1,
      sym__identifier,
    ACTIONS(11641), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [400849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3878), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11643), 1,
      anon_sym_RPAREN,
    STATE(15655), 1,
      sym_order_by_clause,
    STATE(17831), 1,
      sym_limit_clause,
  [400883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11645), 1,
      anon_sym_RPAREN,
    STATE(15653), 1,
      sym_order_by_clause,
    STATE(17830), 1,
      sym_limit_clause,
  [400902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11647), 1,
      anon_sym_RPAREN,
    STATE(15772), 1,
      sym_order_by_clause,
    STATE(18290), 1,
      sym_limit_clause,
  [400921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11649), 1,
      anon_sym_RPAREN,
    STATE(14385), 1,
      sym_order_by_clause,
    STATE(18576), 1,
      sym_limit_clause,
  [400940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11651), 1,
      anon_sym_RPAREN,
    STATE(15768), 1,
      sym_order_by_clause,
    STATE(18291), 1,
      sym_limit_clause,
  [400959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3871), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [400974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10404), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      sym_order_by_clause,
    STATE(17869), 1,
      sym_limit_clause,
  [400993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10416), 1,
      anon_sym_RPAREN,
    STATE(15722), 1,
      sym_order_by_clause,
    STATE(16800), 1,
      sym_limit_clause,
  [401012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11653), 1,
      anon_sym_RPAREN,
    STATE(15720), 1,
      sym_order_by_clause,
    STATE(16802), 1,
      sym_limit_clause,
  [401031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3867), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11655), 1,
      anon_sym_RPAREN,
    STATE(15766), 1,
      sym_order_by_clause,
    STATE(18292), 1,
      sym_limit_clause,
  [401065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3866), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3865), 1,
      sym_analytics_clause,
    ACTIONS(1393), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10432), 1,
      anon_sym_RPAREN,
    STATE(15685), 1,
      sym_order_by_clause,
    STATE(17852), 1,
      sym_limit_clause,
  [401114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3864), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10428), 1,
      anon_sym_RPAREN,
    STATE(15745), 1,
      sym_order_by_clause,
    STATE(18298), 1,
      sym_limit_clause,
  [401148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3863), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11657), 1,
      anon_sym_RPAREN,
    STATE(15641), 1,
      sym_order_by_clause,
    STATE(17822), 1,
      sym_limit_clause,
  [401182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11659), 1,
      anon_sym_RPAREN,
    STATE(15638), 1,
      sym_order_by_clause,
    STATE(17821), 1,
      sym_limit_clause,
  [401201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3862), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401216] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11661), 1,
      anon_sym_RPAREN,
    STATE(15714), 1,
      sym_order_by_clause,
    STATE(16806), 1,
      sym_limit_clause,
  [401235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11663), 1,
      anon_sym_RPAREN,
    STATE(15744), 1,
      sym_order_by_clause,
    STATE(18299), 1,
      sym_limit_clause,
  [401254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11665), 1,
      anon_sym_RPAREN,
    STATE(15712), 1,
      sym_order_by_clause,
    STATE(16811), 1,
      sym_limit_clause,
  [401273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3861), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3860), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11667), 1,
      anon_sym_RPAREN,
    STATE(15704), 1,
      sym_order_by_clause,
    STATE(16816), 1,
      sym_limit_clause,
  [401322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11669), 1,
      anon_sym_RPAREN,
    STATE(15702), 1,
      sym_order_by_clause,
    STATE(16817), 1,
      sym_limit_clause,
  [401341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3858), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11671), 1,
      anon_sym_RPAREN,
    STATE(15635), 1,
      sym_order_by_clause,
    STATE(17816), 1,
      sym_limit_clause,
  [401375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11673), 1,
      anon_sym_RPAREN,
    STATE(15632), 1,
      sym_order_by_clause,
    STATE(17813), 1,
      sym_limit_clause,
  [401394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3857), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11675), 1,
      anon_sym_RPAREN,
    STATE(15730), 1,
      sym_order_by_clause,
    STATE(18306), 1,
      sym_limit_clause,
  [401428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11677), 1,
      anon_sym_RPAREN,
    STATE(15728), 1,
      sym_order_by_clause,
    STATE(18307), 1,
      sym_limit_clause,
  [401447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3842), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10422), 1,
      anon_sym_RPAREN,
    STATE(15693), 1,
      sym_order_by_clause,
    STATE(16822), 1,
      sym_limit_clause,
  [401481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11679), 1,
      anon_sym_RPAREN,
    STATE(14568), 1,
      sym_order_by_clause,
    STATE(18526), 1,
      sym_limit_clause,
  [401500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3839), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3838), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401530] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10418), 1,
      anon_sym_RPAREN,
    STATE(15684), 1,
      sym_order_by_clause,
    STATE(16824), 1,
      sym_limit_clause,
  [401549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3837), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3836), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10412), 1,
      anon_sym_RPAREN,
    STATE(15681), 1,
      sym_order_by_clause,
    STATE(16785), 1,
      sym_limit_clause,
  [401598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3834), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11681), 1,
      anon_sym_RPAREN,
    STATE(15679), 1,
      sym_order_by_clause,
    STATE(16826), 1,
      sym_limit_clause,
  [401632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3833), 1,
      sym_analytics_clause,
    ACTIONS(1371), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11683), 1,
      anon_sym_RPAREN,
    STATE(15623), 1,
      sym_order_by_clause,
    STATE(17800), 1,
      sym_limit_clause,
  [401666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11685), 1,
      anon_sym_RPAREN,
    STATE(15619), 1,
      sym_order_by_clause,
    STATE(17794), 1,
      sym_limit_clause,
  [401685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3822), 1,
      sym_analytics_clause,
    ACTIONS(1465), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11687), 1,
      anon_sym_RPAREN,
    STATE(15700), 1,
      sym_order_by_clause,
    STATE(18311), 1,
      sym_limit_clause,
  [401719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3821), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11689), 1,
      aux_sym__keyword_as_token1,
    STATE(12052), 1,
      sym__keyword_as,
    STATE(15993), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [401753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3820), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11691), 1,
      anon_sym_RPAREN,
    STATE(15695), 1,
      sym_order_by_clause,
    STATE(18312), 1,
      sym_limit_clause,
  [401787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3818), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10400), 1,
      anon_sym_RPAREN,
    STATE(15661), 1,
      sym_order_by_clause,
    STATE(16830), 1,
      sym_limit_clause,
  [401821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3815), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3832), 1,
      sym_analytics_clause,
    ACTIONS(1397), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10402), 1,
      anon_sym_RPAREN,
    STATE(14390), 1,
      sym_order_by_clause,
    STATE(17486), 1,
      sym_limit_clause,
  [401870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10406), 1,
      anon_sym_RPAREN,
    STATE(15842), 1,
      sym_order_by_clause,
    STATE(18322), 1,
      sym_limit_clause,
  [401889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10398), 1,
      anon_sym_RPAREN,
    STATE(15652), 1,
      sym_order_by_clause,
    STATE(16832), 1,
      sym_limit_clause,
  [401908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3807), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3805), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
    STATE(15674), 1,
      sym_order_by_clause,
    STATE(18324), 1,
      sym_limit_clause,
  [401957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3802), 1,
      sym_analytics_clause,
    ACTIONS(1421), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [401972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10396), 1,
      anon_sym_RPAREN,
    STATE(14393), 1,
      sym_order_by_clause,
    STATE(17483), 1,
      sym_limit_clause,
  [401991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10394), 1,
      anon_sym_RPAREN,
    STATE(15649), 1,
      sym_order_by_clause,
    STATE(16833), 1,
      sym_limit_clause,
  [402010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11693), 1,
      anon_sym_RPAREN,
    STATE(14731), 1,
      sym_order_by_clause,
    STATE(17292), 1,
      sym_limit_clause,
  [402029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3801), 1,
      sym_analytics_clause,
    ACTIONS(1421), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3799), 1,
      sym_analytics_clause,
    ACTIONS(1421), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10382), 1,
      anon_sym_RPAREN,
    STATE(15629), 1,
      sym_order_by_clause,
    STATE(16837), 1,
      sym_limit_clause,
  [402078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3792), 1,
      sym_analytics_clause,
    ACTIONS(1421), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3787), 1,
      sym_analytics_clause,
    ACTIONS(1405), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3786), 1,
      sym_analytics_clause,
    ACTIONS(1405), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11695), 1,
      anon_sym_RPAREN,
    STATE(14733), 1,
      sym_order_by_clause,
    STATE(17290), 1,
      sym_limit_clause,
  [402142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11697), 1,
      anon_sym_RPAREN,
    STATE(14459), 1,
      sym_order_by_clause,
    STATE(17431), 1,
      sym_limit_clause,
  [402161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11699), 1,
      anon_sym_RPAREN,
    STATE(15626), 1,
      sym_order_by_clause,
    STATE(17801), 1,
      sym_limit_clause,
  [402180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11701), 1,
      anon_sym_RPAREN,
    STATE(15625), 1,
      sym_order_by_clause,
    STATE(17799), 1,
      sym_limit_clause,
  [402199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9925), 1,
      anon_sym_RPAREN,
    STATE(14398), 1,
      sym_order_by_clause,
    STATE(17508), 1,
      sym_limit_clause,
  [402218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3809), 1,
      sym_analytics_clause,
    ACTIONS(1441), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [402233] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10388), 1,
      anon_sym_RPAREN,
    STATE(15673), 1,
      sym_order_by_clause,
    STATE(18326), 1,
      sym_limit_clause,
  [402252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
    STATE(15561), 1,
      sym_order_by_clause,
    STATE(19108), 1,
      sym_limit_clause,
  [402271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11703), 1,
      anon_sym_RPAREN,
    STATE(15668), 1,
      sym_order_by_clause,
    STATE(18327), 1,
      sym_limit_clause,
  [402290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4220), 1,
      sym__identifier,
    ACTIONS(11705), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [402305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7337), 1,
      sym_option_clause,
    ACTIONS(5545), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [402320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11707), 1,
      anon_sym_RPAREN,
    STATE(15600), 1,
      sym_order_by_clause,
    STATE(16848), 1,
      sym_limit_clause,
  [402339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11709), 1,
      anon_sym_RPAREN,
    STATE(14461), 1,
      sym_order_by_clause,
    STATE(17430), 1,
      sym_limit_clause,
  [402358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11711), 1,
      anon_sym_RPAREN,
    STATE(15598), 1,
      sym_order_by_clause,
    STATE(16849), 1,
      sym_limit_clause,
  [402377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11713), 1,
      aux_sym__keyword_as_token1,
    STATE(12157), 1,
      sym__keyword_as,
    STATE(16108), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [402396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
    STATE(15490), 1,
      sym_order_by_clause,
    STATE(19101), 1,
      sym_limit_clause,
  [402415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11715), 1,
      anon_sym_RPAREN,
    STATE(15591), 1,
      sym_order_by_clause,
    STATE(16856), 1,
      sym_limit_clause,
  [402434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10370), 1,
      anon_sym_RPAREN,
    STATE(15637), 1,
      sym_order_by_clause,
    STATE(18332), 1,
      sym_limit_clause,
  [402453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11717), 1,
      anon_sym_RPAREN,
    STATE(15589), 1,
      sym_order_by_clause,
    STATE(16857), 1,
      sym_limit_clause,
  [402472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11719), 1,
      anon_sym_RPAREN,
    STATE(15584), 1,
      sym_order_by_clause,
    STATE(16864), 1,
      sym_limit_clause,
  [402491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11721), 1,
      anon_sym_RPAREN,
    STATE(15582), 1,
      sym_order_by_clause,
    STATE(16868), 1,
      sym_limit_clause,
  [402510] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11723), 1,
      anon_sym_RPAREN,
    STATE(15396), 1,
      sym_order_by_clause,
    STATE(16995), 1,
      sym_limit_clause,
  [402529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10360), 1,
      anon_sym_RPAREN,
    STATE(15470), 1,
      sym_order_by_clause,
    STATE(18334), 1,
      sym_limit_clause,
  [402548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11725), 1,
      anon_sym_RPAREN,
    STATE(15395), 1,
      sym_order_by_clause,
    STATE(16997), 1,
      sym_limit_clause,
  [402567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11727), 1,
      anon_sym_RPAREN,
    STATE(15570), 1,
      sym_order_by_clause,
    STATE(16877), 1,
      sym_limit_clause,
  [402586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11729), 1,
      anon_sym_RPAREN,
    STATE(15568), 1,
      sym_order_by_clause,
    STATE(16878), 1,
      sym_limit_clause,
  [402605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9825), 1,
      anon_sym_RPAREN,
    STATE(14370), 1,
      sym_order_by_clause,
    STATE(18581), 1,
      sym_limit_clause,
  [402624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11731), 1,
      anon_sym_RPAREN,
    STATE(15565), 1,
      sym_order_by_clause,
    STATE(16880), 1,
      sym_limit_clause,
  [402643] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10358), 1,
      anon_sym_RPAREN,
    STATE(15587), 1,
      sym_order_by_clause,
    STATE(18335), 1,
      sym_limit_clause,
  [402662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
    STATE(15483), 1,
      sym_order_by_clause,
    STATE(19097), 1,
      sym_limit_clause,
  [402681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11733), 1,
      anon_sym_RPAREN,
    STATE(14403), 1,
      sym_order_by_clause,
    STATE(17480), 1,
      sym_limit_clause,
  [402700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
    STATE(15466), 1,
      sym_order_by_clause,
    STATE(19094), 1,
      sym_limit_clause,
  [402719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11735), 1,
      anon_sym_RPAREN,
    STATE(15554), 1,
      sym_order_by_clause,
    STATE(16890), 1,
      sym_limit_clause,
  [402738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11737), 1,
      anon_sym_RPAREN,
    STATE(14756), 1,
      sym_order_by_clause,
    STATE(17282), 1,
      sym_limit_clause,
  [402757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11739), 1,
      anon_sym_RPAREN,
    STATE(15552), 1,
      sym_order_by_clause,
    STATE(16825), 1,
      sym_limit_clause,
  [402776] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
    STATE(14413), 1,
      sym_order_by_clause,
    STATE(17510), 1,
      sym_limit_clause,
  [402795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11741), 1,
      anon_sym_RPAREN,
    STATE(14359), 1,
      sym_order_by_clause,
    STATE(18582), 1,
      sym_limit_clause,
  [402814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11743), 1,
      anon_sym_RPAREN,
    STATE(15543), 1,
      sym_order_by_clause,
    STATE(16903), 1,
      sym_limit_clause,
  [402833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11745), 1,
      anon_sym_RPAREN,
    STATE(14757), 1,
      sym_order_by_clause,
    STATE(17280), 1,
      sym_limit_clause,
  [402852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11747), 1,
      anon_sym_RPAREN,
    STATE(15541), 1,
      sym_order_by_clause,
    STATE(16906), 1,
      sym_limit_clause,
  [402871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4113), 1,
      sym__identifier,
    ACTIONS(11749), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [402886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11067), 1,
      aux_sym_update_statement_token1,
    STATE(7740), 1,
      sym__keyword_delete,
    STATE(7799), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [402903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11067), 1,
      aux_sym_update_statement_token1,
    STATE(7740), 1,
      sym__keyword_delete,
    STATE(7983), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [402920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11067), 1,
      aux_sym_update_statement_token1,
    STATE(7740), 1,
      sym__keyword_delete,
    STATE(7741), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [402937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11751), 1,
      anon_sym_RPAREN,
    STATE(15538), 1,
      sym_order_by_clause,
    STATE(16910), 1,
      sym_limit_clause,
  [402956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11753), 1,
      anon_sym_RPAREN,
    STATE(15536), 1,
      sym_order_by_clause,
    STATE(16911), 1,
      sym_limit_clause,
  [402975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11755), 1,
      anon_sym_RPAREN,
    STATE(15534), 1,
      sym_order_by_clause,
    STATE(16912), 1,
      sym_limit_clause,
  [402994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11757), 1,
      anon_sym_RPAREN,
    STATE(15427), 1,
      sym_order_by_clause,
    STATE(19083), 1,
      sym_limit_clause,
  [403013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    STATE(15525), 1,
      sym_order_by_clause,
    STATE(16927), 1,
      sym_limit_clause,
  [403032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11759), 1,
      anon_sym_RPAREN,
    STATE(15523), 1,
      sym_order_by_clause,
    STATE(16929), 1,
      sym_limit_clause,
  [403051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10296), 1,
      anon_sym_RPAREN,
    STATE(15424), 1,
      sym_order_by_clause,
    STATE(19082), 1,
      sym_limit_clause,
  [403070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11761), 1,
      anon_sym_RPAREN,
    STATE(15785), 1,
      sym_order_by_clause,
    STATE(16733), 1,
      sym_limit_clause,
  [403089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11763), 1,
      anon_sym_RPAREN,
    STATE(15517), 1,
      sym_order_by_clause,
    STATE(16932), 1,
      sym_limit_clause,
  [403108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11765), 1,
      anon_sym_RPAREN,
    STATE(15624), 1,
      sym_order_by_clause,
    STATE(17793), 1,
      sym_limit_clause,
  [403127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11767), 1,
      anon_sym_RPAREN,
    STATE(15622), 1,
      sym_order_by_clause,
    STATE(17791), 1,
      sym_limit_clause,
  [403146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11769), 1,
      anon_sym_RPAREN,
    STATE(15515), 1,
      sym_order_by_clause,
    STATE(16933), 1,
      sym_limit_clause,
  [403165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11771), 1,
      anon_sym_RPAREN,
    STATE(15784), 1,
      sym_order_by_clause,
    STATE(16735), 1,
      sym_limit_clause,
  [403184] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11773), 1,
      anon_sym_RPAREN,
    STATE(15507), 1,
      sym_order_by_clause,
    STATE(16936), 1,
      sym_limit_clause,
  [403203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11775), 1,
      anon_sym_RPAREN,
    STATE(15505), 1,
      sym_order_by_clause,
    STATE(16937), 1,
      sym_limit_clause,
  [403222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
    STATE(15496), 1,
      sym_order_by_clause,
    STATE(16940), 1,
      sym_limit_clause,
  [403241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10284), 1,
      anon_sym_RPAREN,
    STATE(15398), 1,
      sym_order_by_clause,
    STATE(19075), 1,
      sym_limit_clause,
  [403260] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10340), 1,
      anon_sym_RPAREN,
    STATE(15511), 1,
      sym_order_by_clause,
    STATE(18340), 1,
      sym_limit_clause,
  [403279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
    STATE(15487), 1,
      sym_order_by_clause,
    STATE(16942), 1,
      sym_limit_clause,
  [403298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10280), 1,
      anon_sym_RPAREN,
    STATE(15484), 1,
      sym_order_by_clause,
    STATE(16943), 1,
      sym_limit_clause,
  [403317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11777), 1,
      anon_sym_RPAREN,
    STATE(15783), 1,
      sym_order_by_clause,
    STATE(16740), 1,
      sym_limit_clause,
  [403336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11779), 1,
      anon_sym_RPAREN,
    STATE(15482), 1,
      sym_order_by_clause,
    STATE(16947), 1,
      sym_limit_clause,
  [403355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
    STATE(15420), 1,
      sym_order_by_clause,
    STATE(17757), 1,
      sym_limit_clause,
  [403374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11781), 1,
      anon_sym_RPAREN,
    STATE(15782), 1,
      sym_order_by_clause,
    STATE(16742), 1,
      sym_limit_clause,
  [403393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11783), 1,
      anon_sym_RPAREN,
    STATE(15376), 1,
      sym_order_by_clause,
    STATE(19069), 1,
      sym_limit_clause,
  [403412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11785), 1,
      anon_sym_RPAREN,
    STATE(15366), 1,
      sym_order_by_clause,
    STATE(19068), 1,
      sym_limit_clause,
  [403431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11787), 1,
      anon_sym_RPAREN,
    STATE(15264), 1,
      sym_order_by_clause,
    STATE(19062), 1,
      sym_limit_clause,
  [403450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11789), 1,
      anon_sym_RPAREN,
    STATE(15329), 1,
      sym_order_by_clause,
    STATE(19061), 1,
      sym_limit_clause,
  [403469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10276), 1,
      anon_sym_RPAREN,
    STATE(15464), 1,
      sym_order_by_clause,
    STATE(16953), 1,
      sym_limit_clause,
  [403488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10274), 1,
      anon_sym_RPAREN,
    STATE(15455), 1,
      sym_order_by_clause,
    STATE(16959), 1,
      sym_limit_clause,
  [403507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    STATE(15452), 1,
      sym_order_by_clause,
    STATE(16960), 1,
      sym_limit_clause,
  [403526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10256), 1,
      anon_sym_RPAREN,
    STATE(15432), 1,
      sym_order_by_clause,
    STATE(16969), 1,
      sym_limit_clause,
  [403545] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11791), 1,
      anon_sym_RPAREN,
    STATE(15320), 1,
      sym_order_by_clause,
    STATE(19054), 1,
      sym_limit_clause,
  [403564] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11793), 1,
      anon_sym_RPAREN,
    STATE(15618), 1,
      sym_order_by_clause,
    STATE(17786), 1,
      sym_limit_clause,
  [403583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11795), 1,
      anon_sym_RPAREN,
    STATE(15776), 1,
      sym_order_by_clause,
    STATE(16754), 1,
      sym_limit_clause,
  [403602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10322), 1,
      anon_sym_RPAREN,
    STATE(15373), 1,
      sym_order_by_clause,
    STATE(17748), 1,
      sym_limit_clause,
  [403621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
    STATE(15319), 1,
      sym_order_by_clause,
    STATE(19052), 1,
      sym_limit_clause,
  [403640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11797), 1,
      anon_sym_RPAREN,
    STATE(14468), 1,
      sym_order_by_clause,
    STATE(17422), 1,
      sym_limit_clause,
  [403659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11799), 1,
      anon_sym_RPAREN,
    STATE(15614), 1,
      sym_order_by_clause,
    STATE(17784), 1,
      sym_limit_clause,
  [403678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5408), 1,
      sym__identifier,
    ACTIONS(11801), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [403693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11803), 1,
      anon_sym_RPAREN,
    STATE(15306), 1,
      sym_order_by_clause,
    STATE(19048), 1,
      sym_limit_clause,
  [403712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10308), 1,
      anon_sym_RPAREN,
    STATE(15370), 1,
      sym_order_by_clause,
    STATE(17746), 1,
      sym_limit_clause,
  [403731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11805), 1,
      anon_sym_RPAREN,
    STATE(14470), 1,
      sym_order_by_clause,
    STATE(17421), 1,
      sym_limit_clause,
  [403750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11807), 1,
      anon_sym_RPAREN,
    STATE(15302), 1,
      sym_order_by_clause,
    STATE(19046), 1,
      sym_limit_clause,
  [403769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11809), 1,
      anon_sym_RPAREN,
    STATE(15775), 1,
      sym_order_by_clause,
    STATE(16756), 1,
      sym_limit_clause,
  [403788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10304), 1,
      anon_sym_RPAREN,
    STATE(15345), 1,
      sym_order_by_clause,
    STATE(17741), 1,
      sym_limit_clause,
  [403807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11811), 1,
      anon_sym_RPAREN,
    STATE(15774), 1,
      sym_order_by_clause,
    STATE(16714), 1,
      sym_limit_clause,
  [403826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11813), 1,
      anon_sym_RPAREN,
    STATE(15301), 1,
      sym_order_by_clause,
    STATE(19045), 1,
      sym_limit_clause,
  [403845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9931), 1,
      anon_sym_RPAREN,
    STATE(14416), 1,
      sym_order_by_clause,
    STATE(17511), 1,
      sym_limit_clause,
  [403864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11815), 1,
      aux_sym__keyword_as_token1,
    STATE(12161), 1,
      sym__keyword_as,
    STATE(16055), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [403883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11817), 1,
      anon_sym_RPAREN,
    STATE(15287), 1,
      sym_order_by_clause,
    STATE(19040), 1,
      sym_limit_clause,
  [403902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11819), 1,
      anon_sym_RPAREN,
    STATE(15279), 1,
      sym_order_by_clause,
    STATE(19039), 1,
      sym_limit_clause,
  [403921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11821), 1,
      anon_sym_RPAREN,
    STATE(14358), 1,
      sym_order_by_clause,
    STATE(18591), 1,
      sym_limit_clause,
  [403940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11823), 1,
      anon_sym_RPAREN,
    STATE(14576), 1,
      sym_order_by_clause,
    STATE(18518), 1,
      sym_limit_clause,
  [403959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11825), 5,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_keyword_current_row_token2,
      aux_sym_values_clause_token1,
  [403970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11827), 1,
      anon_sym_RPAREN,
    STATE(15399), 1,
      sym_order_by_clause,
    STATE(16996), 1,
      sym_limit_clause,
  [403989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11829), 1,
      anon_sym_RPAREN,
    STATE(15397), 1,
      sym_order_by_clause,
    STATE(16998), 1,
      sym_limit_clause,
  [404008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11831), 1,
      anon_sym_RPAREN,
    STATE(15309), 1,
      sym_order_by_clause,
    STATE(17733), 1,
      sym_limit_clause,
  [404027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11833), 1,
      anon_sym_RPAREN,
    STATE(14360), 1,
      sym_order_by_clause,
    STATE(18593), 1,
      sym_limit_clause,
  [404046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4858), 1,
      sym__identifier,
    ACTIONS(11835), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [404061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10266), 1,
      anon_sym_RPAREN,
    STATE(15299), 1,
      sym_order_by_clause,
    STATE(17731), 1,
      sym_limit_clause,
  [404080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11837), 1,
      anon_sym_RPAREN,
    STATE(15263), 1,
      sym_order_by_clause,
    STATE(19032), 1,
      sym_limit_clause,
  [404099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11839), 1,
      anon_sym_RPAREN,
    STATE(15259), 1,
      sym_order_by_clause,
    STATE(19031), 1,
      sym_limit_clause,
  [404118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
    STATE(15415), 1,
      sym_order_by_clause,
    STATE(19080), 1,
      sym_limit_clause,
  [404137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11841), 1,
      anon_sym_RPAREN,
    STATE(15390), 1,
      sym_order_by_clause,
    STATE(17013), 1,
      sym_limit_clause,
  [404156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10262), 1,
      anon_sym_RPAREN,
    STATE(15295), 1,
      sym_order_by_clause,
    STATE(17730), 1,
      sym_limit_clause,
  [404175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11843), 1,
      anon_sym_RPAREN,
    STATE(15388), 1,
      sym_order_by_clause,
    STATE(17014), 1,
      sym_limit_clause,
  [404194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11845), 1,
      anon_sym_RPAREN,
    STATE(15383), 1,
      sym_order_by_clause,
    STATE(17018), 1,
      sym_limit_clause,
  [404213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11847), 1,
      anon_sym_RPAREN,
    STATE(15381), 1,
      sym_order_by_clause,
    STATE(17019), 1,
      sym_limit_clause,
  [404232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10250), 1,
      anon_sym_RPAREN,
    STATE(15277), 1,
      sym_order_by_clause,
    STATE(17725), 1,
      sym_limit_clause,
  [404251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10540), 1,
      sym__identifier,
    ACTIONS(11849), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [404266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11851), 1,
      anon_sym_RPAREN,
    STATE(14388), 1,
      sym_order_by_clause,
    STATE(18597), 1,
      sym_limit_clause,
  [404285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11853), 1,
      anon_sym_RPAREN,
    STATE(14389), 1,
      sym_order_by_clause,
    STATE(18598), 1,
      sym_limit_clause,
  [404304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11855), 1,
      anon_sym_RPAREN,
    STATE(15369), 1,
      sym_order_by_clause,
    STATE(17027), 1,
      sym_limit_clause,
  [404323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11857), 1,
      anon_sym_RPAREN,
    STATE(15267), 1,
      sym_order_by_clause,
    STATE(17719), 1,
      sym_limit_clause,
  [404342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11859), 1,
      anon_sym_RPAREN,
    STATE(15262), 1,
      sym_order_by_clause,
    STATE(17718), 1,
      sym_limit_clause,
  [404361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11861), 1,
      anon_sym_RPAREN,
    STATE(15367), 1,
      sym_order_by_clause,
    STATE(17028), 1,
      sym_limit_clause,
  [404380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11863), 1,
      anon_sym_RPAREN,
    STATE(15608), 1,
      sym_order_by_clause,
    STATE(17772), 1,
      sym_limit_clause,
  [404399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11865), 1,
      anon_sym_RPAREN,
    STATE(15364), 1,
      sym_order_by_clause,
    STATE(17030), 1,
      sym_limit_clause,
  [404418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11867), 1,
      anon_sym_RPAREN,
    STATE(15249), 1,
      sym_order_by_clause,
    STATE(17713), 1,
      sym_limit_clause,
  [404437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11869), 1,
      anon_sym_RPAREN,
    STATE(15245), 1,
      sym_order_by_clause,
    STATE(17710), 1,
      sym_limit_clause,
  [404456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11871), 1,
      anon_sym_RPAREN,
    STATE(15246), 1,
      sym_order_by_clause,
    STATE(19024), 1,
      sym_limit_clause,
  [404475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11873), 1,
      anon_sym_RPAREN,
    STATE(15506), 1,
      sym_order_by_clause,
    STATE(17770), 1,
      sym_limit_clause,
  [404494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11875), 1,
      anon_sym_RPAREN,
    STATE(15242), 1,
      sym_order_by_clause,
    STATE(19020), 1,
      sym_limit_clause,
  [404513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11877), 1,
      anon_sym_RPAREN,
    STATE(15238), 1,
      sym_order_by_clause,
    STATE(19016), 1,
      sym_limit_clause,
  [404532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9789), 1,
      anon_sym_RPAREN,
    STATE(14409), 1,
      sym_order_by_clause,
    STATE(18601), 1,
      sym_limit_clause,
  [404551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11879), 1,
      anon_sym_RPAREN,
    STATE(15352), 1,
      sym_order_by_clause,
    STATE(17037), 1,
      sym_limit_clause,
  [404570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11881), 1,
      anon_sym_RPAREN,
    STATE(15497), 1,
      sym_order_by_clause,
    STATE(17767), 1,
      sym_limit_clause,
  [404589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11883), 1,
      anon_sym_RPAREN,
    STATE(15350), 1,
      sym_order_by_clause,
    STATE(17038), 1,
      sym_limit_clause,
  [404608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11885), 1,
      anon_sym_RPAREN,
    STATE(15341), 1,
      sym_order_by_clause,
    STATE(17046), 1,
      sym_limit_clause,
  [404627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11887), 1,
      anon_sym_RPAREN,
    STATE(15339), 1,
      sym_order_by_clause,
    STATE(17047), 1,
      sym_limit_clause,
  [404646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11889), 1,
      anon_sym_RPAREN,
    STATE(15234), 1,
      sym_order_by_clause,
    STATE(17707), 1,
      sym_limit_clause,
  [404665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11891), 1,
      anon_sym_RPAREN,
    STATE(15336), 1,
      sym_order_by_clause,
    STATE(17049), 1,
      sym_limit_clause,
  [404684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11893), 1,
      anon_sym_RPAREN,
    STATE(15334), 1,
      sym_order_by_clause,
    STATE(17051), 1,
      sym_limit_clause,
  [404703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10236), 1,
      anon_sym_RPAREN,
    STATE(15232), 1,
      sym_order_by_clause,
    STATE(17705), 1,
      sym_limit_clause,
  [404722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11895), 1,
      anon_sym_RPAREN,
    STATE(15332), 1,
      sym_order_by_clause,
    STATE(17052), 1,
      sym_limit_clause,
  [404741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11897), 1,
      anon_sym_RPAREN,
    STATE(14579), 1,
      sym_order_by_clause,
    STATE(18517), 1,
      sym_limit_clause,
  [404760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10132), 1,
      anon_sym_RPAREN,
    STATE(15323), 1,
      sym_order_by_clause,
    STATE(17055), 1,
      sym_limit_clause,
  [404779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11899), 1,
      anon_sym_RPAREN,
    STATE(15321), 1,
      sym_order_by_clause,
    STATE(17056), 1,
      sym_limit_clause,
  [404798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11901), 1,
      anon_sym_RPAREN,
    STATE(15219), 1,
      sym_order_by_clause,
    STATE(17701), 1,
      sym_limit_clause,
  [404817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11903), 1,
      anon_sym_RPAREN,
    STATE(15216), 1,
      sym_order_by_clause,
    STATE(17700), 1,
      sym_limit_clause,
  [404836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11905), 1,
      anon_sym_RPAREN,
    STATE(15215), 1,
      sym_order_by_clause,
    STATE(19006), 1,
      sym_limit_clause,
  [404855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11907), 1,
      anon_sym_RPAREN,
    STATE(15170), 1,
      sym_order_by_clause,
    STATE(19005), 1,
      sym_limit_clause,
  [404874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11909), 1,
      anon_sym_RPAREN,
    STATE(15124), 1,
      sym_order_by_clause,
    STATE(17698), 1,
      sym_limit_clause,
  [404893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11911), 1,
      anon_sym_RPAREN,
    STATE(15315), 1,
      sym_order_by_clause,
    STATE(17061), 1,
      sym_limit_clause,
  [404912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11913), 1,
      anon_sym_RPAREN,
    STATE(15313), 1,
      sym_order_by_clause,
    STATE(17062), 1,
      sym_limit_clause,
  [404931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11915), 1,
      anon_sym_RPAREN,
    STATE(15206), 1,
      sym_order_by_clause,
    STATE(17696), 1,
      sym_limit_clause,
  [404950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11917), 1,
      anon_sym_RPAREN,
    STATE(15204), 1,
      sym_order_by_clause,
    STATE(17695), 1,
      sym_limit_clause,
  [404969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11919), 1,
      anon_sym_RPAREN,
    STATE(15305), 1,
      sym_order_by_clause,
    STATE(17065), 1,
      sym_limit_clause,
  [404988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11921), 1,
      anon_sym_RPAREN,
    STATE(15449), 1,
      sym_order_by_clause,
    STATE(17758), 1,
      sym_limit_clause,
  [405007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11923), 1,
      anon_sym_RPAREN,
    STATE(15446), 1,
      sym_order_by_clause,
    STATE(17756), 1,
      sym_limit_clause,
  [405026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11925), 1,
      anon_sym_RPAREN,
    STATE(15303), 1,
      sym_order_by_clause,
    STATE(17066), 1,
      sym_limit_clause,
  [405045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11927), 5,
      anon_sym_user,
      anon_sym_group,
      anon_sym_serviceAccount,
      anon_sym_domain,
      anon_sym_specialGroup,
  [405056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10118), 1,
      anon_sym_RPAREN,
    STATE(15294), 1,
      sym_order_by_clause,
    STATE(17070), 1,
      sym_limit_clause,
  [405075] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10116), 1,
      anon_sym_RPAREN,
    STATE(15285), 1,
      sym_order_by_clause,
    STATE(17074), 1,
      sym_limit_clause,
  [405094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11929), 1,
      anon_sym_RPAREN,
    STATE(15211), 1,
      sym_order_by_clause,
    STATE(19001), 1,
      sym_limit_clause,
  [405113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11931), 1,
      anon_sym_RPAREN,
    STATE(15181), 1,
      sym_order_by_clause,
    STATE(17687), 1,
      sym_limit_clause,
  [405132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11933), 1,
      anon_sym_RPAREN,
    STATE(15176), 1,
      sym_order_by_clause,
    STATE(17686), 1,
      sym_limit_clause,
  [405151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11935), 1,
      anon_sym_RPAREN,
    STATE(15209), 1,
      sym_order_by_clause,
    STATE(19000), 1,
      sym_limit_clause,
  [405170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    STATE(15282), 1,
      sym_order_by_clause,
    STATE(17075), 1,
      sym_limit_clause,
  [405189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11937), 1,
      anon_sym_RPAREN,
    STATE(15280), 1,
      sym_order_by_clause,
    STATE(17076), 1,
      sym_limit_clause,
  [405208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9953), 1,
      anon_sym_RPAREN,
    STATE(14456), 1,
      sym_order_by_clause,
    STATE(17515), 1,
      sym_limit_clause,
  [405227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11939), 1,
      anon_sym_RPAREN,
    STATE(15342), 1,
      sym_order_by_clause,
    STATE(17747), 1,
      sym_limit_clause,
  [405246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(11941), 1,
      aux_sym__keyword_as_token1,
    STATE(12060), 1,
      sym__keyword_as,
    STATE(16081), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [405265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11943), 1,
      anon_sym_RPAREN,
    STATE(15378), 1,
      sym_order_by_clause,
    STATE(17745), 1,
      sym_limit_clause,
  [405284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9779), 1,
      anon_sym_RPAREN,
    STATE(14429), 1,
      sym_order_by_clause,
    STATE(18603), 1,
      sym_limit_clause,
  [405303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10090), 1,
      anon_sym_RPAREN,
    STATE(15260), 1,
      sym_order_by_clause,
    STATE(17081), 1,
      sym_limit_clause,
  [405322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11945), 1,
      anon_sym_RPAREN,
    STATE(15190), 1,
      sym_order_by_clause,
    STATE(18992), 1,
      sym_limit_clause,
  [405341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11947), 1,
      anon_sym_RPAREN,
    STATE(15372), 1,
      sym_order_by_clause,
    STATE(17742), 1,
      sym_limit_clause,
  [405360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10074), 1,
      anon_sym_RPAREN,
    STATE(15251), 1,
      sym_order_by_clause,
    STATE(17084), 1,
      sym_limit_clause,
  [405379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11949), 1,
      anon_sym_RPAREN,
    STATE(15189), 1,
      sym_order_by_clause,
    STATE(18991), 1,
      sym_limit_clause,
  [405398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8472), 1,
      sym__identifier,
    ACTIONS(11951), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [405413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11953), 1,
      anon_sym_RPAREN,
    STATE(15142), 1,
      sym_order_by_clause,
    STATE(17677), 1,
      sym_limit_clause,
  [405432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11955), 1,
      anon_sym_RPAREN,
    STATE(14356), 1,
      sym_order_by_clause,
    STATE(17740), 1,
      sym_limit_clause,
  [405451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9777), 1,
      anon_sym_RPAREN,
    STATE(14418), 1,
      sym_order_by_clause,
    STATE(18606), 1,
      sym_limit_clause,
  [405470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11957), 1,
      anon_sym_RPAREN,
    STATE(15130), 1,
      sym_order_by_clause,
    STATE(17674), 1,
      sym_limit_clause,
  [405489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11959), 1,
      anon_sym_RPAREN,
    STATE(15087), 1,
      sym_order_by_clause,
    STATE(17673), 1,
      sym_limit_clause,
  [405508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10072), 1,
      anon_sym_RPAREN,
    STATE(15248), 1,
      sym_order_by_clause,
    STATE(17085), 1,
      sym_limit_clause,
  [405527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11961), 1,
      anon_sym_RPAREN,
    STATE(15355), 1,
      sym_order_by_clause,
    STATE(17738), 1,
      sym_limit_clause,
  [405546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11963), 1,
      anon_sym_RPAREN,
    STATE(14447), 1,
      sym_order_by_clause,
    STATE(18607), 1,
      sym_limit_clause,
  [405565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9757), 1,
      anon_sym_RPAREN,
    STATE(14477), 1,
      sym_order_by_clause,
    STATE(18618), 1,
      sym_limit_clause,
  [405584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11081), 1,
      aux_sym_update_statement_token1,
    STATE(7740), 1,
      sym__keyword_delete,
    STATE(7799), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [405601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10054), 1,
      anon_sym_RPAREN,
    STATE(15226), 1,
      sym_order_by_clause,
    STATE(17091), 1,
      sym_limit_clause,
  [405620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11965), 1,
      anon_sym_RPAREN,
    STATE(14586), 1,
      sym_order_by_clause,
    STATE(18460), 1,
      sym_limit_clause,
  [405639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7513), 1,
      sym_from_files_clause,
    STATE(15173), 1,
      sym_option_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [405658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10206), 1,
      anon_sym_RPAREN,
    STATE(15308), 1,
      sym_order_by_clause,
    STATE(17729), 1,
      sym_limit_clause,
  [405677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9753), 1,
      anon_sym_RPAREN,
    STATE(14485), 1,
      sym_order_by_clause,
    STATE(18620), 1,
      sym_limit_clause,
  [405696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 1,
      aux_sym__keyword_delete_token1,
    ACTIONS(11081), 1,
      aux_sym_update_statement_token1,
    STATE(7740), 1,
      sym__keyword_delete,
    STATE(7983), 2,
      sym_merge_update_clause,
      sym_merge_delete_clause,
  [405713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11967), 1,
      anon_sym_RPAREN,
    STATE(15298), 1,
      sym_order_by_clause,
    STATE(17727), 1,
      sym_limit_clause,
  [405732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11969), 1,
      anon_sym_COMMA,
    STATE(14139), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(11971), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [405747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7330), 1,
      sym_option_clause,
    ACTIONS(5417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [405762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7393), 1,
      sym_option_clause,
    ACTIONS(5336), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [405777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11973), 1,
      anon_sym_RPAREN,
    STATE(15097), 1,
      sym_order_by_clause,
    STATE(17662), 1,
      sym_limit_clause,
  [405796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11975), 1,
      anon_sym_RPAREN,
    STATE(15096), 1,
      sym_order_by_clause,
    STATE(17661), 1,
      sym_limit_clause,
  [405815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11977), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_order_by_clause,
    STATE(18509), 1,
      sym_limit_clause,
  [405834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11979), 1,
      anon_sym_RPAREN,
    STATE(15288), 1,
      sym_order_by_clause,
    STATE(17724), 1,
      sym_limit_clause,
  [405853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11981), 1,
      anon_sym_RPAREN,
    STATE(15283), 1,
      sym_order_by_clause,
    STATE(17722), 1,
      sym_limit_clause,
  [405872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9755), 1,
      anon_sym_RPAREN,
    STATE(14533), 1,
      sym_order_by_clause,
    STATE(17348), 1,
      sym_limit_clause,
  [405891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(398), 1,
      sym__identifier,
    ACTIONS(11983), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [405906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9751), 1,
      anon_sym_RPAREN,
    STATE(14499), 1,
      sym_order_by_clause,
    STATE(18621), 1,
      sym_limit_clause,
  [405925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7474), 1,
      sym_from_files_clause,
    STATE(15555), 1,
      sym_option_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [405944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11985), 1,
      anon_sym_RPAREN,
    STATE(15261), 1,
      sym_order_by_clause,
    STATE(17714), 1,
      sym_limit_clause,
  [405963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11381), 1,
      aux_sym_analytics_clause_token1,
    STATE(3623), 1,
      sym_analytics_clause,
    ACTIONS(1389), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [405978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11987), 1,
      anon_sym_RPAREN,
    STATE(15089), 1,
      sym_order_by_clause,
    STATE(17656), 1,
      sym_limit_clause,
  [405997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11989), 1,
      anon_sym_RPAREN,
    STATE(14355), 1,
      sym_order_by_clause,
    STATE(17655), 1,
      sym_limit_clause,
  [406016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11991), 1,
      anon_sym_RPAREN,
    STATE(15253), 1,
      sym_order_by_clause,
    STATE(17712), 1,
      sym_limit_clause,
  [406035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7515), 1,
      sym_from_files_clause,
    STATE(15184), 1,
      sym_option_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [406054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11993), 1,
      anon_sym_RPAREN,
    STATE(15314), 1,
      sym_order_by_clause,
    STATE(18329), 1,
      sym_limit_clause,
  [406073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11995), 1,
      anon_sym_RPAREN,
    STATE(15311), 1,
      sym_order_by_clause,
    STATE(18359), 1,
      sym_limit_clause,
  [406092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9743), 1,
      anon_sym_RPAREN,
    STATE(14555), 1,
      sym_order_by_clause,
    STATE(17394), 1,
      sym_limit_clause,
  [406111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
    STATE(15233), 1,
      sym_order_by_clause,
    STATE(17703), 1,
      sym_limit_clause,
  [406130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11997), 1,
      anon_sym_RPAREN,
    STATE(15168), 1,
      sym_order_by_clause,
    STATE(17069), 1,
      sym_limit_clause,
  [406149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(11999), 1,
      anon_sym_RPAREN,
    STATE(15166), 1,
      sym_order_by_clause,
    STATE(17107), 1,
      sym_limit_clause,
  [406168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9741), 1,
      anon_sym_RPAREN,
    STATE(14558), 1,
      sym_order_by_clause,
    STATE(17393), 1,
      sym_limit_clause,
  [406187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
    STATE(15210), 1,
      sym_order_by_clause,
    STATE(17694), 1,
      sym_limit_clause,
  [406206] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12001), 1,
      anon_sym_RPAREN,
    STATE(15159), 1,
      sym_order_by_clause,
    STATE(17114), 1,
      sym_limit_clause,
  [406225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12003), 1,
      anon_sym_RPAREN,
    STATE(15157), 1,
      sym_order_by_clause,
    STATE(17115), 1,
      sym_limit_clause,
  [406244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
    STATE(15107), 1,
      sym_order_by_clause,
    STATE(18959), 1,
      sym_limit_clause,
  [406263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12005), 1,
      anon_sym_RPAREN,
    STATE(15152), 1,
      sym_order_by_clause,
    STATE(17119), 1,
      sym_limit_clause,
  [406282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12007), 1,
      anon_sym_RPAREN,
    STATE(15150), 1,
      sym_order_by_clause,
    STATE(17120), 1,
      sym_limit_clause,
  [406301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12009), 1,
      anon_sym_RPAREN,
    STATE(15077), 1,
      sym_order_by_clause,
    STATE(17647), 1,
      sym_limit_clause,
  [406320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12011), 1,
      anon_sym_RPAREN,
    STATE(15071), 1,
      sym_order_by_clause,
    STATE(17646), 1,
      sym_limit_clause,
  [406339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9967), 1,
      anon_sym_RPAREN,
    STATE(15088), 1,
      sym_order_by_clause,
    STATE(18895), 1,
      sym_limit_clause,
  [406358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    STATE(15201), 1,
      sym_order_by_clause,
    STATE(17691), 1,
      sym_limit_clause,
  [406377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
    STATE(14567), 1,
      sym_order_by_clause,
    STATE(17391), 1,
      sym_limit_clause,
  [406396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12013), 1,
      anon_sym_RPAREN,
    STATE(15194), 1,
      sym_order_by_clause,
    STATE(17689), 1,
      sym_limit_clause,
  [406415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
    STATE(15086), 1,
      sym_order_by_clause,
    STATE(18951), 1,
      sym_limit_clause,
  [406434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9915), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      sym_order_by_clause,
    STATE(18946), 1,
      sym_limit_clause,
  [406453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12015), 1,
      anon_sym_RPAREN,
    STATE(15138), 1,
      sym_order_by_clause,
    STATE(17129), 1,
      sym_limit_clause,
  [406472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12017), 1,
      anon_sym_RPAREN,
    STATE(15136), 1,
      sym_order_by_clause,
    STATE(17130), 1,
      sym_limit_clause,
  [406491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
    STATE(15144), 1,
      sym_order_by_clause,
    STATE(17675), 1,
      sym_limit_clause,
  [406510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8797), 1,
      sym__identifier,
    ACTIONS(12019), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [406525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12021), 1,
      anon_sym_RPAREN,
    STATE(15133), 1,
      sym_order_by_clause,
    STATE(17132), 1,
      sym_limit_clause,
  [406544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9727), 1,
      anon_sym_RPAREN,
    STATE(14532), 1,
      sym_order_by_clause,
    STATE(18626), 1,
      sym_limit_clause,
  [406563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10178), 1,
      anon_sym_RPAREN,
    STATE(15106), 1,
      sym_order_by_clause,
    STATE(17666), 1,
      sym_limit_clause,
  [406582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12023), 1,
      anon_sym_RPAREN,
    STATE(15254), 1,
      sym_order_by_clause,
    STATE(18369), 1,
      sym_limit_clause,
  [406601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12025), 1,
      anon_sym_RPAREN,
    STATE(15057), 1,
      sym_order_by_clause,
    STATE(18936), 1,
      sym_limit_clause,
  [406620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
    STATE(15050), 1,
      sym_order_by_clause,
    STATE(18934), 1,
      sym_limit_clause,
  [406639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12027), 1,
      anon_sym_RPAREN,
    STATE(14966), 1,
      sym_order_by_clause,
    STATE(18157), 1,
      sym_limit_clause,
  [406658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12029), 1,
      anon_sym_RPAREN,
    STATE(15252), 1,
      sym_order_by_clause,
    STATE(18376), 1,
      sym_limit_clause,
  [406677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9935), 1,
      anon_sym_RPAREN,
    STATE(15044), 1,
      sym_order_by_clause,
    STATE(18932), 1,
      sym_limit_clause,
  [406696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
    STATE(15104), 1,
      sym_order_by_clause,
    STATE(17663), 1,
      sym_limit_clause,
  [406715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12031), 1,
      anon_sym_RPAREN,
    STATE(15121), 1,
      sym_order_by_clause,
    STATE(17139), 1,
      sym_limit_clause,
  [406734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12033), 1,
      anon_sym_RPAREN,
    STATE(15119), 1,
      sym_order_by_clause,
    STATE(17140), 1,
      sym_limit_clause,
  [406753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
    STATE(15079), 1,
      sym_order_by_clause,
    STATE(17648), 1,
      sym_limit_clause,
  [406772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12035), 1,
      anon_sym_RPAREN,
    STATE(15032), 1,
      sym_order_by_clause,
    STATE(18928), 1,
      sym_limit_clause,
  [406791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12037), 1,
      anon_sym_RPAREN,
    STATE(15031), 1,
      sym_order_by_clause,
    STATE(18924), 1,
      sym_limit_clause,
  [406810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12039), 1,
      anon_sym_RPAREN,
    STATE(15022), 1,
      sym_order_by_clause,
    STATE(18921), 1,
      sym_limit_clause,
  [406829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12041), 1,
      anon_sym_RPAREN,
    STATE(15110), 1,
      sym_order_by_clause,
    STATE(17145), 1,
      sym_limit_clause,
  [406848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12043), 1,
      anon_sym_RPAREN,
    STATE(14587), 1,
      sym_order_by_clause,
    STATE(17383), 1,
      sym_limit_clause,
  [406867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12045), 1,
      anon_sym_RPAREN,
    STATE(15241), 1,
      sym_order_by_clause,
    STATE(18381), 1,
      sym_limit_clause,
  [406886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12047), 1,
      anon_sym_RPAREN,
    STATE(15228), 1,
      sym_order_by_clause,
    STATE(18382), 1,
      sym_limit_clause,
  [406905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12049), 1,
      anon_sym_RPAREN,
    STATE(15108), 1,
      sym_order_by_clause,
    STATE(17146), 1,
      sym_limit_clause,
  [406924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10386), 1,
      anon_sym_RPAREN,
    STATE(14411), 1,
      sym_order_by_clause,
    STATE(17472), 1,
      sym_limit_clause,
  [406943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12051), 1,
      anon_sym_RPAREN,
    STATE(15016), 1,
      sym_order_by_clause,
    STATE(18920), 1,
      sym_limit_clause,
  [406962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12053), 1,
      anon_sym_RPAREN,
    STATE(15105), 1,
      sym_order_by_clause,
    STATE(17148), 1,
      sym_limit_clause,
  [406981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12055), 1,
      anon_sym_RPAREN,
    STATE(15103), 1,
      sym_order_by_clause,
    STATE(17149), 1,
      sym_limit_clause,
  [407000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7169), 1,
      sym__identifier,
    ACTIONS(12057), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [407015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12059), 1,
      anon_sym_RPAREN,
    STATE(15101), 1,
      sym_order_by_clause,
    STATE(17150), 1,
      sym_limit_clause,
  [407034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9903), 1,
      anon_sym_RPAREN,
    STATE(15092), 1,
      sym_order_by_clause,
    STATE(17153), 1,
      sym_limit_clause,
  [407053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11157), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(12061), 1,
      aux_sym_where_clause_token1,
    STATE(8131), 1,
      sym_where_clause,
    STATE(11172), 1,
      sym__keyword_from,
    STATE(16262), 1,
      sym_from_clause,
  [407072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12063), 1,
      anon_sym_RPAREN,
    STATE(15013), 1,
      sym_order_by_clause,
    STATE(18914), 1,
      sym_limit_clause,
  [407091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12065), 1,
      anon_sym_RPAREN,
    STATE(15090), 1,
      sym_order_by_clause,
    STATE(17154), 1,
      sym_limit_clause,
  [407110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
    STATE(15011), 1,
      sym_order_by_clause,
    STATE(18913), 1,
      sym_limit_clause,
  [407129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12067), 1,
      anon_sym_RPAREN,
    STATE(15003), 1,
      sym_order_by_clause,
    STATE(18910), 1,
      sym_limit_clause,
  [407148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9709), 1,
      anon_sym_RPAREN,
    STATE(14589), 1,
      sym_order_by_clause,
    STATE(17382), 1,
      sym_limit_clause,
  [407167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12069), 1,
      anon_sym_RPAREN,
    STATE(15001), 1,
      sym_order_by_clause,
    STATE(18909), 1,
      sym_limit_clause,
  [407186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12071), 1,
      anon_sym_RPAREN,
    STATE(14998), 1,
      sym_order_by_clause,
    STATE(18908), 1,
      sym_limit_clause,
  [407205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12073), 1,
      anon_sym_RPAREN,
    STATE(15084), 1,
      sym_order_by_clause,
    STATE(17157), 1,
      sym_limit_clause,
  [407224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12075), 1,
      anon_sym_RPAREN,
    STATE(15082), 1,
      sym_order_by_clause,
    STATE(17158), 1,
      sym_limit_clause,
  [407243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9707), 1,
      anon_sym_RPAREN,
    STATE(14592), 1,
      sym_order_by_clause,
    STATE(17381), 1,
      sym_limit_clause,
  [407262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12077), 1,
      anon_sym_RPAREN,
    STATE(14997), 1,
      sym_order_by_clause,
    STATE(18906), 1,
      sym_limit_clause,
  [407281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12079), 1,
      anon_sym_RPAREN,
    STATE(15074), 1,
      sym_order_by_clause,
    STATE(17161), 1,
      sym_limit_clause,
  [407300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12081), 1,
      anon_sym_RPAREN,
    STATE(15072), 1,
      sym_order_by_clause,
    STATE(17162), 1,
      sym_limit_clause,
  [407319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12083), 1,
      anon_sym_RPAREN,
    STATE(14988), 1,
      sym_order_by_clause,
    STATE(18905), 1,
      sym_limit_clause,
  [407338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12085), 1,
      anon_sym_RPAREN,
    STATE(15141), 1,
      sym_order_by_clause,
    STATE(18392), 1,
      sym_limit_clause,
  [407357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12087), 1,
      anon_sym_RPAREN,
    STATE(15122), 1,
      sym_order_by_clause,
    STATE(18393), 1,
      sym_limit_clause,
  [407376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9867), 1,
      anon_sym_RPAREN,
    STATE(15063), 1,
      sym_order_by_clause,
    STATE(17165), 1,
      sym_limit_clause,
  [407395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9859), 1,
      anon_sym_RPAREN,
    STATE(15054), 1,
      sym_order_by_clause,
    STATE(17167), 1,
      sym_limit_clause,
  [407414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12089), 1,
      anon_sym_RPAREN,
    STATE(15113), 1,
      sym_order_by_clause,
    STATE(18395), 1,
      sym_limit_clause,
  [407433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12091), 1,
      anon_sym_RPAREN,
    STATE(14982), 1,
      sym_order_by_clause,
    STATE(18898), 1,
      sym_limit_clause,
  [407452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12093), 1,
      anon_sym_RPAREN,
    STATE(14958), 1,
      sym_order_by_clause,
    STATE(18897), 1,
      sym_limit_clause,
  [407471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9855), 1,
      anon_sym_RPAREN,
    STATE(15051), 1,
      sym_order_by_clause,
    STATE(17168), 1,
      sym_limit_clause,
  [407490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12095), 1,
      anon_sym_RPAREN,
    STATE(15049), 1,
      sym_order_by_clause,
    STATE(17106), 1,
      sym_limit_clause,
  [407509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9691), 1,
      anon_sym_RPAREN,
    STATE(14601), 1,
      sym_order_by_clause,
    STATE(17379), 1,
      sym_limit_clause,
  [407528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12097), 1,
      anon_sym_RPAREN,
    STATE(14971), 1,
      sym_order_by_clause,
    STATE(18890), 1,
      sym_limit_clause,
  [407547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12099), 1,
      anon_sym_RPAREN,
    STATE(14610), 1,
      sym_order_by_clause,
    STATE(17376), 1,
      sym_limit_clause,
  [407566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12101), 1,
      anon_sym_RPAREN,
    STATE(14970), 1,
      sym_order_by_clause,
    STATE(18888), 1,
      sym_limit_clause,
  [407585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(15029), 1,
      sym_order_by_clause,
    STATE(17174), 1,
      sym_limit_clause,
  [407604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12103), 1,
      anon_sym_RPAREN,
    STATE(14965), 1,
      sym_order_by_clause,
    STATE(18886), 1,
      sym_limit_clause,
  [407623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    STATE(15020), 1,
      sym_order_by_clause,
    STATE(17176), 1,
      sym_limit_clause,
  [407642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
    STATE(15017), 1,
      sym_order_by_clause,
    STATE(17177), 1,
      sym_limit_clause,
  [407661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12105), 1,
      anon_sym_RPAREN,
    STATE(14612), 1,
      sym_order_by_clause,
    STATE(17373), 1,
      sym_limit_clause,
  [407680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12107), 1,
      anon_sym_RPAREN,
    STATE(14953), 1,
      sym_order_by_clause,
    STATE(18877), 1,
      sym_limit_clause,
  [407699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12109), 1,
      anon_sym_RPAREN,
    STATE(14946), 1,
      sym_order_by_clause,
    STATE(18874), 1,
      sym_limit_clause,
  [407718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12111), 1,
      anon_sym_RPAREN,
    STATE(14620), 1,
      sym_order_by_clause,
    STATE(17370), 1,
      sym_limit_clause,
  [407737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9797), 1,
      anon_sym_RPAREN,
    STATE(14995), 1,
      sym_order_by_clause,
    STATE(17181), 1,
      sym_limit_clause,
  [407756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9949), 1,
      anon_sym_RPAREN,
    STATE(15056), 1,
      sym_order_by_clause,
    STATE(18935), 1,
      sym_limit_clause,
  [407775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
    STATE(14950), 1,
      sym_order_by_clause,
    STATE(17627), 1,
      sym_limit_clause,
  [407794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12113), 1,
      anon_sym_RPAREN,
    STATE(15078), 1,
      sym_order_by_clause,
    STATE(18411), 1,
      sym_limit_clause,
  [407813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12115), 1,
      anon_sym_RPAREN,
    STATE(15073), 1,
      sym_order_by_clause,
    STATE(18413), 1,
      sym_limit_clause,
  [407832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12117), 1,
      anon_sym_RPAREN,
    STATE(14944), 1,
      sym_order_by_clause,
    STATE(18868), 1,
      sym_limit_clause,
  [407851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12119), 1,
      anon_sym_RPAREN,
    STATE(14943), 1,
      sym_order_by_clause,
    STATE(18867), 1,
      sym_limit_clause,
  [407870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12121), 1,
      anon_sym_RPAREN,
    STATE(14938), 1,
      sym_order_by_clause,
    STATE(18859), 1,
      sym_limit_clause,
  [407889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12123), 1,
      anon_sym_RPAREN,
    STATE(14936), 1,
      sym_order_by_clause,
    STATE(18856), 1,
      sym_limit_clause,
  [407908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12125), 1,
      anon_sym_RPAREN,
    STATE(14622), 1,
      sym_order_by_clause,
    STATE(17368), 1,
      sym_limit_clause,
  [407927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12127), 1,
      anon_sym_RPAREN,
    STATE(14552), 1,
      sym_order_by_clause,
    STATE(18527), 1,
      sym_limit_clause,
  [407946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10680), 1,
      sym__identifier,
    ACTIONS(12129), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [407961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
    STATE(15640), 1,
      sym_order_by_clause,
    STATE(17820), 1,
      sym_limit_clause,
  [407980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5849), 1,
      sym__identifier,
    ACTIONS(12131), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [407995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3375), 1,
      sym__identifier,
    ACTIONS(12133), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [408010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10128), 1,
      anon_sym_RPAREN,
    STATE(14900), 1,
      sym_order_by_clause,
    STATE(17618), 1,
      sym_limit_clause,
  [408029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12135), 1,
      anon_sym_RPAREN,
    STATE(15214), 1,
      sym_order_by_clause,
    STATE(18448), 1,
      sym_limit_clause,
  [408048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10436), 1,
      aux_sym__keyword_returns_token1,
    ACTIONS(12137), 1,
      aux_sym__keyword_as_token1,
    STATE(12045), 1,
      sym__keyword_as,
    STATE(16154), 1,
      sym_create_table_function_returns,
    STATE(17384), 1,
      sym__keyword_returns,
  [408067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12139), 1,
      anon_sym_RPAREN,
    STATE(14628), 1,
      sym_order_by_clause,
    STATE(17365), 1,
      sym_limit_clause,
  [408086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9635), 1,
      anon_sym_RPAREN,
    STATE(14630), 1,
      sym_order_by_clause,
    STATE(17362), 1,
      sym_limit_clause,
  [408105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12141), 1,
      anon_sym_RPAREN,
    STATE(15065), 1,
      sym_order_by_clause,
    STATE(18419), 1,
      sym_limit_clause,
  [408124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10124), 1,
      anon_sym_RPAREN,
    STATE(14894), 1,
      sym_order_by_clause,
    STATE(17614), 1,
      sym_limit_clause,
  [408143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12143), 1,
      anon_sym_RPAREN,
    STATE(15064), 1,
      sym_order_by_clause,
    STATE(18420), 1,
      sym_limit_clause,
  [408162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1989), 1,
      sym__identifier,
    ACTIONS(12145), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [408177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12147), 1,
      anon_sym_RPAREN,
    STATE(14639), 1,
      sym_order_by_clause,
    STATE(17359), 1,
      sym_limit_clause,
  [408196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    STATE(14882), 1,
      sym_order_by_clause,
    STATE(17612), 1,
      sym_limit_clause,
  [408215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12149), 1,
      anon_sym_RPAREN,
    STATE(15053), 1,
      sym_order_by_clause,
    STATE(18424), 1,
      sym_limit_clause,
  [408234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12151), 1,
      anon_sym_RPAREN,
    STATE(14641), 1,
      sym_order_by_clause,
    STATE(17358), 1,
      sym_limit_clause,
  [408253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12153), 1,
      anon_sym_RPAREN,
    STATE(14937), 1,
      sym_order_by_clause,
    STATE(17198), 1,
      sym_limit_clause,
  [408272] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12155), 1,
      anon_sym_RPAREN,
    STATE(15043), 1,
      sym_order_by_clause,
    STATE(18425), 1,
      sym_limit_clause,
  [408291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12157), 1,
      anon_sym_RPAREN,
    STATE(15036), 1,
      sym_order_by_clause,
    STATE(18426), 1,
      sym_limit_clause,
  [408310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12159), 1,
      anon_sym_RPAREN,
    STATE(14935), 1,
      sym_order_by_clause,
    STATE(17199), 1,
      sym_limit_clause,
  [408329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9723), 1,
      anon_sym_RPAREN,
    STATE(14889), 1,
      sym_order_by_clause,
    STATE(18813), 1,
      sym_limit_clause,
  [408348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12161), 1,
      anon_sym_RPAREN,
    STATE(14643), 1,
      sym_order_by_clause,
    STATE(17357), 1,
      sym_limit_clause,
  [408367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10107), 1,
      anon_sym_RPAREN,
    STATE(15026), 1,
      sym_order_by_clause,
    STATE(18429), 1,
      sym_limit_clause,
  [408386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12163), 1,
      anon_sym_RPAREN,
    STATE(14646), 1,
      sym_order_by_clause,
    STATE(17355), 1,
      sym_limit_clause,
  [408405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12165), 1,
      anon_sym_RPAREN,
    STATE(14928), 1,
      sym_order_by_clause,
    STATE(17205), 1,
      sym_limit_clause,
  [408424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12167), 1,
      anon_sym_RPAREN,
    STATE(14856), 1,
      sym_order_by_clause,
    STATE(17604), 1,
      sym_limit_clause,
  [408443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12169), 1,
      anon_sym_COMMA,
    STATE(14085), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(12172), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [408458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12174), 1,
      anon_sym_RPAREN,
    STATE(14926), 1,
      sym_order_by_clause,
    STATE(17206), 1,
      sym_limit_clause,
  [408477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10099), 1,
      anon_sym_RPAREN,
    STATE(14852), 1,
      sym_order_by_clause,
    STATE(17602), 1,
      sym_limit_clause,
  [408496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12176), 1,
      anon_sym_RPAREN,
    STATE(15014), 1,
      sym_order_by_clause,
    STATE(18430), 1,
      sym_limit_clause,
  [408515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9721), 1,
      anon_sym_RPAREN,
    STATE(14869), 1,
      sym_order_by_clause,
    STATE(18794), 1,
      sym_limit_clause,
  [408534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9719), 1,
      anon_sym_RPAREN,
    STATE(14863), 1,
      sym_order_by_clause,
    STATE(18793), 1,
      sym_limit_clause,
  [408553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12178), 1,
      anon_sym_RPAREN,
    STATE(14921), 1,
      sym_order_by_clause,
    STATE(17210), 1,
      sym_limit_clause,
  [408572] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10097), 1,
      anon_sym_RPAREN,
    STATE(14848), 1,
      sym_order_by_clause,
    STATE(17600), 1,
      sym_limit_clause,
  [408591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12180), 1,
      anon_sym_RPAREN,
    STATE(14919), 1,
      sym_order_by_clause,
    STATE(17211), 1,
      sym_limit_clause,
  [408610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12182), 1,
      anon_sym_RPAREN,
    STATE(14648), 1,
      sym_order_by_clause,
    STATE(17353), 1,
      sym_limit_clause,
  [408629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(18484), 1,
      sym__identifier,
    ACTIONS(12184), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [408644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10088), 1,
      anon_sym_RPAREN,
    STATE(14838), 1,
      sym_order_by_clause,
    STATE(17597), 1,
      sym_limit_clause,
  [408663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11969), 1,
      anon_sym_COMMA,
    STATE(14085), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(12187), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [408678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9717), 1,
      anon_sym_RPAREN,
    STATE(14854), 1,
      sym_order_by_clause,
    STATE(18782), 1,
      sym_limit_clause,
  [408697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4756), 1,
      sym__identifier,
    ACTIONS(12189), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [408712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12191), 1,
      anon_sym_RPAREN,
    STATE(14825), 1,
      sym_order_by_clause,
    STATE(18767), 1,
      sym_limit_clause,
  [408731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12193), 1,
      anon_sym_RPAREN,
    STATE(14830), 1,
      sym_order_by_clause,
    STATE(17594), 1,
      sym_limit_clause,
  [408750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12195), 1,
      anon_sym_RPAREN,
    STATE(14826), 1,
      sym_order_by_clause,
    STATE(17593), 1,
      sym_limit_clause,
  [408769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12197), 1,
      anon_sym_RPAREN,
    STATE(14996), 1,
      sym_order_by_clause,
    STATE(18436), 1,
      sym_limit_clause,
  [408788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12199), 1,
      anon_sym_RPAREN,
    STATE(14987), 1,
      sym_order_by_clause,
    STATE(18437), 1,
      sym_limit_clause,
  [408807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12201), 1,
      anon_sym_RPAREN,
    STATE(14907), 1,
      sym_order_by_clause,
    STATE(17219), 1,
      sym_limit_clause,
  [408826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12203), 1,
      anon_sym_RPAREN,
    STATE(14810), 1,
      sym_order_by_clause,
    STATE(17590), 1,
      sym_limit_clause,
  [408845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12205), 1,
      anon_sym_RPAREN,
    STATE(14809), 1,
      sym_order_by_clause,
    STATE(17589), 1,
      sym_limit_clause,
  [408864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12207), 1,
      anon_sym_RPAREN,
    STATE(14905), 1,
      sym_order_by_clause,
    STATE(17220), 1,
      sym_limit_clause,
  [408883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12209), 1,
      anon_sym_RPAREN,
    STATE(14902), 1,
      sym_order_by_clause,
    STATE(17222), 1,
      sym_limit_clause,
  [408902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12211), 1,
      anon_sym_RPAREN,
    STATE(14978), 1,
      sym_order_by_clause,
    STATE(18447), 1,
      sym_limit_clause,
  [408921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9711), 1,
      anon_sym_RPAREN,
    STATE(14816), 1,
      sym_order_by_clause,
    STATE(18706), 1,
      sym_limit_clause,
  [408940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    STATE(14657), 1,
      sym_order_by_clause,
    STATE(17347), 1,
      sym_limit_clause,
  [408959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9705), 1,
      anon_sym_RPAREN,
    STATE(14813), 1,
      sym_order_by_clause,
    STATE(18758), 1,
      sym_limit_clause,
  [408978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10076), 1,
      anon_sym_RPAREN,
    STATE(14918), 1,
      sym_order_by_clause,
    STATE(18453), 1,
      sym_limit_clause,
  [408997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11969), 1,
      anon_sym_COMMA,
    STATE(14097), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(12215), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [409012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9701), 1,
      anon_sym_RPAREN,
    STATE(14796), 1,
      sym_order_by_clause,
    STATE(18755), 1,
      sym_limit_clause,
  [409031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12217), 1,
      anon_sym_RPAREN,
    STATE(14776), 1,
      sym_order_by_clause,
    STATE(18745), 1,
      sym_limit_clause,
  [409050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12219), 1,
      anon_sym_RPAREN,
    STATE(14801), 1,
      sym_order_by_clause,
    STATE(17586), 1,
      sym_limit_clause,
  [409069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12221), 1,
      anon_sym_RPAREN,
    STATE(14770), 1,
      sym_order_by_clause,
    STATE(18744), 1,
      sym_limit_clause,
  [409088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12223), 1,
      anon_sym_RPAREN,
    STATE(14890), 1,
      sym_order_by_clause,
    STATE(17229), 1,
      sym_limit_clause,
  [409107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
    STATE(14800), 1,
      sym_order_by_clause,
    STATE(17585), 1,
      sym_limit_clause,
  [409126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12225), 1,
      anon_sym_RPAREN,
    STATE(14888), 1,
      sym_order_by_clause,
    STATE(17230), 1,
      sym_limit_clause,
  [409145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10062), 1,
      anon_sym_RPAREN,
    STATE(14903), 1,
      sym_order_by_clause,
    STATE(18455), 1,
      sym_limit_clause,
  [409164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12227), 5,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
      aux_sym_keyword_current_row_token2,
      aux_sym_values_clause_token1,
  [409175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12229), 1,
      anon_sym_RPAREN,
    STATE(14754), 1,
      sym_order_by_clause,
    STATE(18741), 1,
      sym_limit_clause,
  [409194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12231), 1,
      anon_sym_RPAREN,
    STATE(14791), 1,
      sym_order_by_clause,
    STATE(17582), 1,
      sym_limit_clause,
  [409213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12233), 1,
      anon_sym_RPAREN,
    STATE(14787), 1,
      sym_order_by_clause,
    STATE(17581), 1,
      sym_limit_clause,
  [409232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12235), 1,
      anon_sym_RPAREN,
    STATE(14753), 1,
      sym_order_by_clause,
    STATE(18738), 1,
      sym_limit_clause,
  [409251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12237), 1,
      anon_sym_RPAREN,
    STATE(14879), 1,
      sym_order_by_clause,
    STATE(17235), 1,
      sym_limit_clause,
  [409270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12239), 1,
      anon_sym_RPAREN,
    STATE(14782), 1,
      sym_order_by_clause,
    STATE(17580), 1,
      sym_limit_clause,
  [409289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12241), 1,
      anon_sym_RPAREN,
    STATE(14877), 1,
      sym_order_by_clause,
    STATE(17236), 1,
      sym_limit_clause,
  [409308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12243), 1,
      anon_sym_RPAREN,
    STATE(14874), 1,
      sym_order_by_clause,
    STATE(17238), 1,
      sym_limit_clause,
  [409327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12245), 1,
      anon_sym_RPAREN,
    STATE(14775), 1,
      sym_order_by_clause,
    STATE(17578), 1,
      sym_limit_clause,
  [409346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12247), 1,
      anon_sym_RPAREN,
    STATE(14767), 1,
      sym_order_by_clause,
    STATE(17577), 1,
      sym_limit_clause,
  [409365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12249), 1,
      anon_sym_RPAREN,
    STATE(14872), 1,
      sym_order_by_clause,
    STATE(17239), 1,
      sym_limit_clause,
  [409384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10060), 1,
      anon_sym_RPAREN,
    STATE(14893), 1,
      sym_order_by_clause,
    STATE(18456), 1,
      sym_limit_clause,
  [409403] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12251), 1,
      anon_sym_RPAREN,
    STATE(14659), 1,
      sym_order_by_clause,
    STATE(17346), 1,
      sym_limit_clause,
  [409422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12253), 1,
      anon_sym_RPAREN,
    STATE(14870), 1,
      sym_order_by_clause,
    STATE(17240), 1,
      sym_limit_clause,
  [409441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11969), 1,
      anon_sym_COMMA,
    STATE(14085), 1,
      aux_sym_cte_clause_repeat1,
    ACTIONS(12215), 3,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [409456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9681), 1,
      anon_sym_RPAREN,
    STATE(14861), 1,
      sym_order_by_clause,
    STATE(17243), 1,
      sym_limit_clause,
  [409475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12255), 1,
      anon_sym_RPAREN,
    STATE(14859), 1,
      sym_order_by_clause,
    STATE(17244), 1,
      sym_limit_clause,
  [409494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12257), 1,
      anon_sym_RPAREN,
    STATE(14748), 1,
      sym_order_by_clause,
    STATE(18735), 1,
      sym_limit_clause,
  [409513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12259), 1,
      anon_sym_RPAREN,
    STATE(14740), 1,
      sym_order_by_clause,
    STATE(17570), 1,
      sym_limit_clause,
  [409532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12261), 1,
      anon_sym_RPAREN,
    STATE(14728), 1,
      sym_order_by_clause,
    STATE(17569), 1,
      sym_limit_clause,
  [409551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12263), 1,
      anon_sym_RPAREN,
    STATE(14596), 1,
      sym_order_by_clause,
    STATE(18651), 1,
      sym_limit_clause,
  [409570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12265), 1,
      anon_sym_RPAREN,
    STATE(14883), 1,
      sym_order_by_clause,
    STATE(18458), 1,
      sym_limit_clause,
  [409589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12267), 1,
      anon_sym_RPAREN,
    STATE(14853), 1,
      sym_order_by_clause,
    STATE(17247), 1,
      sym_limit_clause,
  [409608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12269), 1,
      anon_sym_RPAREN,
    STATE(14851), 1,
      sym_order_by_clause,
    STATE(17248), 1,
      sym_limit_clause,
  [409627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12271), 1,
      anon_sym_RPAREN,
    STATE(14603), 1,
      sym_order_by_clause,
    STATE(18652), 1,
      sym_limit_clause,
  [409646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9667), 1,
      anon_sym_RPAREN,
    STATE(14747), 1,
      sym_order_by_clause,
    STATE(18734), 1,
      sym_limit_clause,
  [409665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12273), 1,
      anon_sym_RPAREN,
    STATE(14671), 1,
      sym_order_by_clause,
    STATE(17338), 1,
      sym_limit_clause,
  [409684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12275), 1,
      anon_sym_RPAREN,
    STATE(14843), 1,
      sym_order_by_clause,
    STATE(17251), 1,
      sym_limit_clause,
  [409703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12277), 1,
      anon_sym_RPAREN,
    STATE(14841), 1,
      sym_order_by_clause,
    STATE(17252), 1,
      sym_limit_clause,
  [409722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
    STATE(14855), 1,
      sym_order_by_clause,
    STATE(18464), 1,
      sym_limit_clause,
  [409741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12279), 1,
      anon_sym_RPAREN,
    STATE(14726), 1,
      sym_order_by_clause,
    STATE(18731), 1,
      sym_limit_clause,
  [409760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12281), 1,
      anon_sym_RPAREN,
    STATE(14714), 1,
      sym_order_by_clause,
    STATE(18729), 1,
      sym_limit_clause,
  [409779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10043), 1,
      anon_sym_RPAREN,
    STATE(14824), 1,
      sym_order_by_clause,
    STATE(18469), 1,
      sym_limit_clause,
  [409798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9659), 1,
      anon_sym_RPAREN,
    STATE(14832), 1,
      sym_order_by_clause,
    STATE(17257), 1,
      sym_limit_clause,
  [409817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12283), 1,
      anon_sym_RPAREN,
    STATE(14707), 1,
      sym_order_by_clause,
    STATE(17560), 1,
      sym_limit_clause,
  [409836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12285), 1,
      anon_sym_RPAREN,
    STATE(14674), 1,
      sym_order_by_clause,
    STATE(17336), 1,
      sym_limit_clause,
  [409855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9651), 1,
      anon_sym_RPAREN,
    STATE(14823), 1,
      sym_order_by_clause,
    STATE(17259), 1,
      sym_limit_clause,
  [409874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12287), 1,
      anon_sym_RPAREN,
    STATE(14699), 1,
      sym_order_by_clause,
    STATE(17558), 1,
      sym_limit_clause,
  [409893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12289), 1,
      anon_sym_RPAREN,
    STATE(14682), 1,
      sym_order_by_clause,
    STATE(17557), 1,
      sym_limit_clause,
  [409912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12291), 1,
      anon_sym_RPAREN,
    STATE(14703), 1,
      sym_order_by_clause,
    STATE(18728), 1,
      sym_limit_clause,
  [409931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
    STATE(14814), 1,
      sym_order_by_clause,
    STATE(18470), 1,
      sym_limit_clause,
  [409950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12293), 1,
      anon_sym_RPAREN,
    STATE(14676), 1,
      sym_order_by_clause,
    STATE(17335), 1,
      sym_limit_clause,
  [409969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9647), 1,
      anon_sym_RPAREN,
    STATE(14820), 1,
      sym_order_by_clause,
    STATE(17260), 1,
      sym_limit_clause,
  [409988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12295), 1,
      anon_sym_RPAREN,
    STATE(14818), 1,
      sym_order_by_clause,
    STATE(17262), 1,
      sym_limit_clause,
  [410007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12297), 1,
      anon_sym_RPAREN,
    STATE(14688), 1,
      sym_order_by_clause,
    STATE(17326), 1,
      sym_limit_clause,
  [410026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7285), 1,
      sym_option_clause,
    ACTIONS(5328), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [410041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12299), 1,
      anon_sym_RPAREN,
    STATE(14694), 1,
      sym_order_by_clause,
    STATE(18718), 1,
      sym_limit_clause,
  [410060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12301), 1,
      anon_sym_RPAREN,
    STATE(14693), 1,
      sym_order_by_clause,
    STATE(18716), 1,
      sym_limit_clause,
  [410079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9643), 1,
      anon_sym_RPAREN,
    STATE(14798), 1,
      sym_order_by_clause,
    STATE(17271), 1,
      sym_limit_clause,
  [410098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9641), 1,
      anon_sym_RPAREN,
    STATE(14789), 1,
      sym_order_by_clause,
    STATE(17273), 1,
      sym_limit_clause,
  [410117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12303), 1,
      anon_sym_RPAREN,
    STATE(14675), 1,
      sym_order_by_clause,
    STATE(18707), 1,
      sym_limit_clause,
  [410136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12305), 1,
      anon_sym_RPAREN,
    STATE(14672), 1,
      sym_order_by_clause,
    STATE(18637), 1,
      sym_limit_clause,
  [410155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9639), 1,
      anon_sym_RPAREN,
    STATE(14786), 1,
      sym_order_by_clause,
    STATE(17217), 1,
      sym_limit_clause,
  [410174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9621), 1,
      anon_sym_RPAREN,
    STATE(14764), 1,
      sym_order_by_clause,
    STATE(17279), 1,
      sym_limit_clause,
  [410193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12307), 1,
      anon_sym_RPAREN,
    STATE(14653), 1,
      sym_order_by_clause,
    STATE(17545), 1,
      sym_limit_clause,
  [410212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12309), 1,
      anon_sym_RPAREN,
    STATE(14651), 1,
      sym_order_by_clause,
    STATE(17543), 1,
      sym_limit_clause,
  [410231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11157), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(12061), 1,
      aux_sym_where_clause_token1,
    STATE(8075), 1,
      sym_where_clause,
    STATE(11172), 1,
      sym__keyword_from,
    STATE(16189), 1,
      sym_from_clause,
  [410250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12311), 1,
      anon_sym_RPAREN,
    STATE(14638), 1,
      sym_order_by_clause,
    STATE(18689), 1,
      sym_limit_clause,
  [410269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12313), 1,
      anon_sym_RPAREN,
    STATE(15463), 1,
      sym_order_by_clause,
    STATE(16952), 1,
      sym_limit_clause,
  [410288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12315), 1,
      anon_sym_RPAREN,
    STATE(15459), 1,
      sym_order_by_clause,
    STATE(16954), 1,
      sym_limit_clause,
  [410307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12317), 1,
      anon_sym_RPAREN,
    STATE(14636), 1,
      sym_order_by_clause,
    STATE(18687), 1,
      sym_limit_clause,
  [410326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12319), 1,
      anon_sym_RPAREN,
    STATE(14632), 1,
      sym_order_by_clause,
    STATE(18682), 1,
      sym_limit_clause,
  [410345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12321), 1,
      anon_sym_RPAREN,
    STATE(14690), 1,
      sym_order_by_clause,
    STATE(17324), 1,
      sym_limit_clause,
  [410364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12323), 1,
      anon_sym_RPAREN,
    STATE(15441), 1,
      sym_order_by_clause,
    STATE(16963), 1,
      sym_limit_clause,
  [410383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12325), 1,
      anon_sym_RPAREN,
    STATE(14695), 1,
      sym_order_by_clause,
    STATE(17318), 1,
      sym_limit_clause,
  [410402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12327), 1,
      anon_sym_RPAREN,
    STATE(14634), 1,
      sym_order_by_clause,
    STATE(17539), 1,
      sym_limit_clause,
  [410421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12329), 1,
      anon_sym_RPAREN,
    STATE(14629), 1,
      sym_order_by_clause,
    STATE(17538), 1,
      sym_limit_clause,
  [410440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4362), 1,
      sym__identifier,
    ACTIONS(12331), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
    STATE(14095), 2,
      sym__dotted_identifier,
      aux_sym_identifier_repeat1,
  [410455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
    STATE(14780), 1,
      sym_order_by_clause,
    STATE(18481), 1,
      sym_limit_clause,
  [410474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12333), 1,
      anon_sym_RPAREN,
    STATE(14697), 1,
      sym_order_by_clause,
    STATE(17317), 1,
      sym_limit_clause,
  [410493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12335), 1,
      anon_sym_RPAREN,
    STATE(15436), 1,
      sym_order_by_clause,
    STATE(16965), 1,
      sym_limit_clause,
  [410512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12337), 1,
      anon_sym_RPAREN,
    STATE(15431), 1,
      sym_order_by_clause,
    STATE(16968), 1,
      sym_limit_clause,
  [410531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12339), 1,
      anon_sym_RPAREN,
    STATE(15428), 1,
      sym_order_by_clause,
    STATE(16971), 1,
      sym_limit_clause,
  [410550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12341), 1,
      anon_sym_RPAREN,
    STATE(15418), 1,
      sym_order_by_clause,
    STATE(16973), 1,
      sym_limit_clause,
  [410569] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
    STATE(15402), 1,
      sym_order_by_clause,
    STATE(16982), 1,
      sym_limit_clause,
  [410588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12343), 1,
      anon_sym_RPAREN,
    STATE(15401), 1,
      sym_order_by_clause,
    STATE(16984), 1,
      sym_limit_clause,
  [410607] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(7425), 1,
      sym_from_files_clause,
    STATE(14525), 1,
      sym_option_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [410626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12345), 1,
      anon_sym_RPAREN,
    STATE(14618), 1,
      sym_order_by_clause,
    STATE(18672), 1,
      sym_limit_clause,
  [410645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12347), 1,
      anon_sym_RPAREN,
    STATE(14617), 1,
      sym_order_by_clause,
    STATE(18671), 1,
      sym_limit_clause,
  [410664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12349), 1,
      anon_sym_RPAREN,
    STATE(14706), 1,
      sym_order_by_clause,
    STATE(17307), 1,
      sym_limit_clause,
  [410683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12351), 1,
      anon_sym_RPAREN,
    STATE(14704), 1,
      sym_order_by_clause,
    STATE(17308), 1,
      sym_limit_clause,
  [410702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12353), 1,
      anon_sym_RPAREN,
    STATE(14609), 1,
      sym_order_by_clause,
    STATE(18660), 1,
      sym_limit_clause,
  [410721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12355), 1,
      anon_sym_RPAREN,
    STATE(14615), 1,
      sym_order_by_clause,
    STATE(17531), 1,
      sym_limit_clause,
  [410740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12357), 1,
      anon_sym_RPAREN,
    STATE(14606), 1,
      sym_order_by_clause,
    STATE(17529), 1,
      sym_limit_clause,
  [410759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(8383), 1,
      aux_sym_order_by_clause_token1,
    ACTIONS(12359), 1,
      anon_sym_RPAREN,
    STATE(14611), 1,
      sym_order_by_clause,
    STATE(18661), 1,
      sym_limit_clause,
  [410778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12361), 1,
      aux_sym__keyword_begin_token1,
    STATE(8119), 1,
      sym_procedure_body,
    STATE(16120), 1,
      sym_option_clause,
  [410794] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17135), 1,
      sym_range_end,
  [410810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12369), 1,
      anon_sym_LPAREN,
    STATE(550), 1,
      sym_select_subexpression,
  [410826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12371), 1,
      anon_sym_RPAREN,
  [410842] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17225), 1,
      sym_range_end,
  [410858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(12373), 1,
      aux_sym__keyword_as_token1,
    STATE(16135), 1,
      sym__function_language,
    STATE(16136), 1,
      sym__keyword_as,
  [410874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12375), 1,
      anon_sym_RPAREN,
  [410890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12379), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17267), 1,
      sym_cast_format_clause,
  [410906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12381), 4,
      aux_sym__keyword_as_token1,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [410916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12383), 1,
      anon_sym_LPAREN,
    STATE(4863), 1,
      sym_select_subexpression,
  [410932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12385), 4,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym_option_clause_token1,
      aux_sym__function_language_token1,
  [410942] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17033), 1,
      sym_range_end,
  [410958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    STATE(11620), 1,
      sym__keyword_for,
    STATE(14304), 1,
      aux_sym_pivot_operator_repeat1,
  [410974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12391), 1,
      sym__string_start,
    ACTIONS(12389), 3,
      aux_sym_set_operation_token2,
      aux_sym_quantitve_like_operator_token1,
      aux_sym_quantitve_like_operator_token2,
  [410986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(10444), 1,
      aux_sym__keyword_as_token1,
    STATE(16140), 1,
      sym__function_language,
    STATE(16141), 1,
      sym__keyword_as,
  [411002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12393), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(18451), 1,
      sym_cast_format_clause,
  [411018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12395), 1,
      sym__integer,
    STATE(16900), 1,
      sym_query_parameter,
    ACTIONS(565), 2,
      sym__named_query_parameter,
      sym__positional_query_parameter,
  [411032] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17342), 1,
      sym_range_end,
  [411048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12399), 1,
      anon_sym_COMMA,
    STATE(14294), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(12397), 2,
      aux_sym__keyword_from_token1,
      aux_sym_where_clause_token1,
  [411062] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(18277), 1,
      sym_range_end,
  [411078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12401), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(18773), 1,
      sym_cast_format_clause,
  [411094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12405), 1,
      sym__string_start,
    ACTIONS(12403), 3,
      aux_sym_set_operation_token2,
      aux_sym_quantitve_like_operator_token1,
      aux_sym_quantitve_like_operator_token2,
  [411106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12172), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [411116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(877), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(879), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(889), 1,
      aux_sym_if_statement_token1,
    STATE(14247), 1,
      aux_sym_if_statement_repeat1,
  [411132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9325), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9329), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9323), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
  [411146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12407), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17608), 1,
      sym_cast_format_clause,
  [411162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12409), 1,
      anon_sym_RPAREN,
  [411178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12411), 1,
      anon_sym_LPAREN,
    STATE(2270), 1,
      sym_select_subexpression,
  [411194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12413), 1,
      anon_sym_RPAREN,
  [411210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12415), 1,
      anon_sym_RPAREN,
  [411226] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(18401), 1,
      sym_range_end,
  [411242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12417), 1,
      anon_sym_LPAREN,
    STATE(5933), 1,
      sym_select_subexpression,
  [411258] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(18116), 1,
      sym_range_end,
  [411274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(6807), 1,
      sym_select_subexpression,
  [411290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12421), 1,
      anon_sym_RPAREN,
  [411306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12423), 1,
      anon_sym_RPAREN,
  [411322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12425), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(16212), 1,
      sym_with_connection_clause,
    STATE(16457), 1,
      sym_option_clause,
  [411338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12427), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(12429), 1,
      aux_sym__keyword_else_token1,
    ACTIONS(12431), 1,
      aux_sym_if_statement_token1,
    STATE(14247), 1,
      aux_sym_if_statement_repeat1,
  [411354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12434), 1,
      anon_sym_LPAREN,
    STATE(6393), 1,
      sym_select_subexpression,
  [411370] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17460), 1,
      sym_range_end,
  [411386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12436), 1,
      anon_sym_RPAREN,
  [411402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(889), 1,
      aux_sym_if_statement_token1,
    ACTIONS(12438), 1,
      aux_sym__keyword_end_token1,
    ACTIONS(12440), 1,
      aux_sym__keyword_else_token1,
    STATE(14247), 1,
      aux_sym_if_statement_repeat1,
  [411418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12442), 1,
      anon_sym_LPAREN,
    STATE(4755), 1,
      sym_select_subexpression,
  [411434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12444), 1,
      anon_sym_RPAREN,
  [411450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12446), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17169), 1,
      sym_cast_format_clause,
  [411466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12448), 1,
      anon_sym_RPAREN,
  [411482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12450), 1,
      anon_sym_LPAREN,
    STATE(10533), 1,
      sym_select_subexpression,
  [411498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12452), 1,
      anon_sym_RPAREN,
  [411514] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(18549), 1,
      sym_range_end,
  [411530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12454), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17387), 1,
      sym_cast_format_clause,
  [411546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12456), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(18940), 1,
      sym_cast_format_clause,
  [411562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(12462), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(12458), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
  [411576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 4,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
      aux_sym_create_table_statement_token3,
      aux_sym_create_function_statement_token1,
  [411586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(12468), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(12470), 1,
      aux_sym__keyword_partition_by_token2,
    STATE(1003), 1,
      sym__keyword_and,
  [411602] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17968), 1,
      sym_range_end,
  [411618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 4,
      aux_sym__keyword_as_token1,
      aux_sym_option_clause_token1,
      aux_sym_create_remote_function_statement_token1,
      aux_sym__function_language_token1,
  [411628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_LPAREN,
    ACTIONS(9943), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [411640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12472), 1,
      anon_sym_RPAREN,
  [411656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(10159), 1,
      sym_select_subexpression,
  [411672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12425), 1,
      aux_sym_partition_columns_clause_token1,
    STATE(16276), 1,
      sym_with_connection_clause,
    STATE(18702), 1,
      sym_option_clause,
  [411688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12476), 1,
      anon_sym_LPAREN,
    STATE(6203), 1,
      sym_select_subexpression,
  [411704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12478), 1,
      anon_sym_RPAREN,
  [411720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12480), 1,
      anon_sym_RPAREN,
  [411736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(10558), 1,
      aux_sym__keyword_as_token1,
    STATE(16283), 1,
      sym__function_language,
    STATE(16284), 1,
      sym__keyword_as,
  [411752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12482), 1,
      anon_sym_RPAREN,
  [411768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12484), 1,
      anon_sym_RPAREN,
  [411784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 1,
      aux_sym__keyword_as_token1,
    STATE(16257), 1,
      sym__keyword_as,
    ACTIONS(12488), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [411798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 1,
      anon_sym_RPAREN,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
  [411814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12490), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(18579), 1,
      sym_cast_format_clause,
  [411830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12492), 1,
      aux_sym_default_clause_token1,
    ACTIONS(12494), 1,
      aux_sym_set_data_type_token1,
    STATE(7758), 1,
      sym_option_clause,
  [411846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12496), 1,
      anon_sym_RPAREN,
  [411862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12498), 1,
      anon_sym_LPAREN,
    STATE(3424), 1,
      sym_select_subexpression,
  [411878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12500), 1,
      anon_sym_RPAREN,
  [411894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12502), 1,
      anon_sym_RPAREN,
  [411910] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(18699), 1,
      sym_range_end,
  [411926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12504), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17078), 1,
      sym_cast_format_clause,
  [411942] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17565), 1,
      sym_range_end,
  [411958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12506), 1,
      anon_sym_RPAREN,
  [411974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12508), 1,
      anon_sym_RPAREN,
  [411990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 4,
      aux_sym_partition_expression_token5,
      aux_sym_partition_expression_token6,
      aux_sym_partition_expression_token7,
      aux_sym_partition_expression_token8,
  [412000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12361), 1,
      aux_sym__keyword_begin_token1,
    STATE(8296), 1,
      sym_procedure_body,
    STATE(16281), 1,
      sym_option_clause,
  [412016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(12512), 1,
      aux_sym__keyword_as_token1,
    STATE(16070), 1,
      sym__function_language,
    STATE(16071), 1,
      sym__keyword_as,
  [412032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12514), 4,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym_option_clause_token1,
      aux_sym__function_language_token1,
  [412042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(10550), 1,
      aux_sym__keyword_as_token1,
    STATE(16060), 1,
      sym__function_language,
    STATE(16064), 1,
      sym__keyword_as,
  [412058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COMMA,
    STATE(14294), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(5227), 2,
      aux_sym__keyword_from_token1,
      aux_sym_where_clause_token1,
  [412072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9835), 1,
      aux_sym__keyword_struct_token1,
    ACTIONS(12519), 1,
      sym__unquoted_identifier,
    STATE(16870), 1,
      sym__column_definition_type_struct,
    STATE(17375), 1,
      sym__keyword_struct,
  [412088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12521), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17735), 1,
      sym_cast_format_clause,
  [412104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12523), 1,
      anon_sym_LPAREN,
    STATE(10880), 1,
      sym_select_subexpression,
  [412120] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(16774), 1,
      sym_range_end,
  [412136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12525), 1,
      anon_sym_RPAREN,
  [412152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12527), 1,
      anon_sym_RPAREN,
  [412168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12529), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      aux_sym_partition_columns_clause_token1,
      aux_sym_select_token1,
  [412178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12531), 1,
      anon_sym_RPAREN,
  [412194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12533), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(19030), 1,
      sym_cast_format_clause,
  [412210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    STATE(11508), 1,
      sym__keyword_for,
    STATE(15792), 1,
      aux_sym_pivot_operator_repeat1,
  [412226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12535), 1,
      anon_sym_LPAREN,
    STATE(7752), 1,
      sym_select_subexpression,
  [412242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12537), 1,
      anon_sym_COMMA,
    STATE(14306), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3089), 2,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
  [412256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12540), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(18321), 1,
      sym_cast_format_clause,
  [412272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12542), 1,
      anon_sym_RPAREN,
  [412288] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17838), 1,
      sym_range_end,
  [412304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12544), 1,
      anon_sym_RPAREN,
  [412320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12546), 1,
      anon_sym_LPAREN,
    STATE(1894), 1,
      sym_select_subexpression,
  [412336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(12548), 1,
      aux_sym__keyword_as_token1,
    STATE(15994), 1,
      sym__function_language,
    STATE(15995), 1,
      sym__keyword_as,
  [412352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12550), 1,
      anon_sym_COMMA,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3089), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [412366] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(18893), 1,
      sym_range_end,
  [412382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(10478), 1,
      aux_sym__keyword_as_token1,
    STATE(16047), 1,
      sym__keyword_as,
    STATE(16178), 1,
      sym__function_language,
  [412398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12553), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17505), 1,
      sym_cast_format_clause,
  [412414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12399), 1,
      anon_sym_COMMA,
    STATE(14228), 1,
      aux_sym_set_clause_repeat1,
    ACTIONS(12555), 2,
      aux_sym__keyword_from_token1,
      aux_sym_where_clause_token1,
  [412428] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(19191), 1,
      sym_range_end,
  [412444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12557), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(12559), 1,
      aux_sym__keyword_and_token1,
    ACTIONS(12561), 1,
      aux_sym__keyword_partition_by_token2,
    STATE(914), 1,
      sym__keyword_and,
  [412460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12563), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17884), 1,
      sym_cast_format_clause,
  [412476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12565), 1,
      anon_sym_RPAREN,
  [412492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12494), 1,
      aux_sym_set_data_type_token1,
    ACTIONS(12567), 1,
      aux_sym_default_clause_token1,
    STATE(7758), 1,
      sym_option_clause,
  [412508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    ACTIONS(12361), 1,
      aux_sym__keyword_begin_token1,
    STATE(8172), 1,
      sym_procedure_body,
    STATE(16350), 1,
      sym_option_clause,
  [412524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12569), 1,
      anon_sym_RPAREN,
  [412540] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(19027), 1,
      sym_range_end,
  [412556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12571), 1,
      anon_sym_RPAREN,
  [412572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    STATE(3289), 1,
      sym_select_subexpression,
  [412588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(9915), 1,
      sym_select_subexpression,
  [412604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12575), 1,
      anon_sym_RPAREN,
  [412620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      aux_sym__function_language_token1,
    ACTIONS(12577), 1,
      aux_sym__keyword_as_token1,
    STATE(16256), 1,
      sym__keyword_as,
    STATE(16269), 1,
      sym__function_language,
  [412636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12579), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(18206), 1,
      sym_cast_format_clause,
  [412652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(6807), 1,
      sym_select_subexpression,
  [412668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9329), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(9339), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(9337), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
  [412682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12581), 1,
      anon_sym_RPAREN,
  [412698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12462), 1,
      aux_sym_create_function_statement_token1,
    ACTIONS(12585), 1,
      aux_sym_create_table_statement_token3,
    ACTIONS(12583), 2,
      aux_sym_create_table_statement_token1,
      aux_sym_create_table_statement_token2,
  [412712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12587), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(17323), 1,
      sym_cast_format_clause,
  [412728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12589), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(18042), 1,
      sym_cast_format_clause,
  [412744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12591), 1,
      anon_sym_LPAREN,
    ACTIONS(5118), 3,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
      aux_sym_table_cluster_clause_token1,
  [412756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_COMMA,
    STATE(14306), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(5364), 2,
      aux_sym__keyword_from_token1,
      aux_sym_option_clause_token1,
  [412770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12593), 1,
      anon_sym_RPAREN,
  [412786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12595), 1,
      anon_sym_LPAREN,
    STATE(2552), 1,
      sym_select_subexpression,
  [412802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      aux_sym__keyword_format_token1,
    ACTIONS(12597), 1,
      anon_sym_RPAREN,
    STATE(16265), 1,
      sym__keyword_format,
    STATE(19321), 1,
      sym_cast_format_clause,
  [412818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    STATE(11555), 1,
      sym__keyword_for,
    STATE(14344), 1,
      aux_sym_pivot_operator_repeat1,
  [412834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    STATE(11562), 1,
      sym__keyword_for,
    STATE(15792), 1,
      aux_sym_pivot_operator_repeat1,
  [412850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    STATE(11569), 1,
      sym__keyword_for,
    STATE(14346), 1,
      aux_sym_pivot_operator_repeat1,
  [412866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    STATE(11574), 1,
      sym__keyword_for,
    STATE(15792), 1,
      aux_sym_pivot_operator_repeat1,
  [412882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    STATE(11599), 1,
      sym__keyword_for,
    STATE(14348), 1,
      aux_sym_pivot_operator_repeat1,
  [412898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(12387), 1,
      anon_sym_COMMA,
    STATE(11602), 1,
      sym__keyword_for,
    STATE(15792), 1,
      aux_sym_pivot_operator_repeat1,
  [412914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12599), 1,
      anon_sym_RPAREN,
  [412930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
  [412946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12603), 1,
      anon_sym_RPAREN,
  [412962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
    ACTIONS(12605), 1,
      anon_sym_RPAREN,
  [412978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_LT,
    ACTIONS(12607), 1,
      anon_sym_LPAREN,
    STATE(3608), 1,
      sym_select_subexpression,
  [412994] = 5,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(15748), 1,
      sym_range_content,
    STATE(17637), 1,
      sym_range_end,
  [413010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12609), 1,
      anon_sym_RPAREN,
    STATE(17640), 1,
      sym_limit_clause,
  [413023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12611), 1,
      anon_sym_RPAREN,
    STATE(17779), 1,
      sym_limit_clause,
  [413036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11075), 1,
      anon_sym_RPAREN,
    STATE(17485), 1,
      sym_limit_clause,
  [413049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12613), 1,
      anon_sym_RPAREN,
    STATE(18552), 1,
      sym_limit_clause,
  [413062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12615), 1,
      anon_sym_RPAREN,
    STATE(18547), 1,
      sym_limit_clause,
  [413075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12617), 1,
      anon_sym_RPAREN,
    STATE(18554), 1,
      sym_limit_clause,
  [413088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12619), 1,
      anon_sym_RPAREN,
    STATE(17426), 1,
      sym_limit_clause,
  [413101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12621), 1,
      anon_sym_RPAREN,
    STATE(18086), 1,
      sym_limit_clause,
  [413114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12623), 1,
      anon_sym_RPAREN,
    STATE(18154), 1,
      sym_limit_clause,
  [413127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11077), 1,
      anon_sym_RPAREN,
    STATE(18152), 1,
      sym_limit_clause,
  [413140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11083), 1,
      anon_sym_RPAREN,
    STATE(17476), 1,
      sym_limit_clause,
  [413153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12625), 1,
      anon_sym_RPAREN,
    STATE(17487), 1,
      sym_limit_clause,
  [413166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(12629), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [413179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12631), 1,
      anon_sym_RPAREN,
    STATE(17475), 1,
      sym_limit_clause,
  [413192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
    STATE(18151), 1,
      sym_limit_clause,
  [413205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11097), 1,
      anon_sym_RPAREN,
    STATE(18546), 1,
      sym_limit_clause,
  [413218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12637), 1,
      anon_sym_RPAREN,
    STATE(14395), 1,
      aux_sym_struct_repeat1,
  [413231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12639), 1,
      anon_sym_RPAREN,
    STATE(18545), 1,
      sym_limit_clause,
  [413244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12641), 1,
      anon_sym_COMMA,
    ACTIONS(12644), 1,
      anon_sym_GT,
    STATE(14373), 1,
      aux_sym__type_struct_repeat1,
  [413257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12646), 1,
      anon_sym_RPAREN,
    STATE(17470), 1,
      sym_limit_clause,
  [413270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_COMMA,
    ACTIONS(12650), 1,
      anon_sym_GT,
    STATE(14373), 1,
      aux_sym__type_struct_repeat1,
  [413283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12652), 1,
      anon_sym_RPAREN,
    STATE(17469), 1,
      sym_limit_clause,
  [413296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12654), 1,
      anon_sym_RPAREN,
    STATE(18150), 1,
      sym_limit_clause,
  [413309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12656), 1,
      anon_sym_RPAREN,
    STATE(17468), 1,
      sym_limit_clause,
  [413322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12658), 1,
      anon_sym_RPAREN,
    STATE(18149), 1,
      sym_limit_clause,
  [413335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(12662), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [413348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12664), 1,
      anon_sym_RPAREN,
    STATE(17491), 1,
      sym_limit_clause,
  [413361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7498), 1,
      anon_sym_RPAREN,
    ACTIONS(12666), 1,
      anon_sym_COMMA,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [413374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12669), 1,
      anon_sym_RPAREN,
    STATE(18565), 1,
      sym_limit_clause,
  [413387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12671), 1,
      anon_sym_RPAREN,
    STATE(17462), 1,
      sym_limit_clause,
  [413400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12673), 1,
      anon_sym_RPAREN,
    STATE(18539), 1,
      sym_limit_clause,
  [413413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12675), 1,
      anon_sym_RPAREN,
    STATE(17461), 1,
      sym_limit_clause,
  [413426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12677), 1,
      anon_sym_RPAREN,
    STATE(18081), 1,
      sym_limit_clause,
  [413439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12679), 1,
      anon_sym_RPAREN,
    STATE(18566), 1,
      sym_limit_clause,
  [413452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12681), 1,
      anon_sym_RPAREN,
    STATE(18567), 1,
      sym_limit_clause,
  [413465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11305), 1,
      anon_sym_RPAREN,
    STATE(17316), 1,
      sym_limit_clause,
  [413478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12683), 1,
      anon_sym_RPAREN,
    STATE(17495), 1,
      sym_limit_clause,
  [413491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
    STATE(17456), 1,
      sym_limit_clause,
  [413504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9845), 1,
      anon_sym_RPAREN,
    STATE(17314), 1,
      sym_limit_clause,
  [413517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11317), 1,
      anon_sym_RPAREN,
    STATE(17455), 1,
      sym_limit_clause,
  [413530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12687), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [413543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12689), 1,
      anon_sym_RPAREN,
    STATE(18538), 1,
      sym_limit_clause,
  [413556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12691), 1,
      anon_sym_RPAREN,
    STATE(17452), 1,
      sym_limit_clause,
  [413569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
    STATE(17499), 1,
      sym_limit_clause,
  [413582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12693), 1,
      sym__string_content,
    ACTIONS(12696), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [413595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12698), 1,
      anon_sym_RPAREN,
    STATE(18537), 1,
      sym_limit_clause,
  [413608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9909), 1,
      anon_sym_RPAREN,
    STATE(17501), 1,
      sym_limit_clause,
  [413621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12700), 1,
      anon_sym_RPAREN,
    STATE(18573), 1,
      sym_limit_clause,
  [413634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
    STATE(17447), 1,
      sym_limit_clause,
  [413647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9841), 1,
      anon_sym_RPAREN,
    STATE(17311), 1,
      sym_limit_clause,
  [413660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12704), 1,
      anon_sym_RPAREN,
    STATE(17446), 1,
      sym_limit_clause,
  [413673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12706), 1,
      anon_sym_RPAREN,
    STATE(18536), 1,
      sym_limit_clause,
  [413686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12708), 1,
      anon_sym_RPAREN,
    STATE(17444), 1,
      sym_limit_clause,
  [413699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12710), 1,
      anon_sym_RPAREN,
    STATE(18529), 1,
      sym_limit_clause,
  [413712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11515), 1,
      anon_sym_RPAREN,
    STATE(18574), 1,
      sym_limit_clause,
  [413725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12712), 1,
      anon_sym_RPAREN,
    STATE(17443), 1,
      sym_limit_clause,
  [413738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9831), 1,
      anon_sym_RPAREN,
    STATE(17301), 1,
      sym_limit_clause,
  [413751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    STATE(17438), 1,
      sym_limit_clause,
  [413764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9913), 1,
      anon_sym_RPAREN,
    STATE(17502), 1,
      sym_limit_clause,
  [413777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12716), 1,
      anon_sym_RPAREN,
    STATE(17437), 1,
      sym_limit_clause,
  [413790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12718), 1,
      anon_sym_RPAREN,
    STATE(18528), 1,
      sym_limit_clause,
  [413803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11533), 1,
      anon_sym_RPAREN,
    STATE(17503), 1,
      sym_limit_clause,
  [413816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
    STATE(18080), 1,
      sym_limit_clause,
  [413829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11741), 1,
      anon_sym_RPAREN,
    STATE(18582), 1,
      sym_limit_clause,
  [413842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12722), 1,
      anon_sym_RPAREN,
    STATE(17293), 1,
      sym_limit_clause,
  [413855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(12724), 1,
      anon_sym_RPAREN,
    STATE(14380), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [413868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12726), 1,
      anon_sym_RPAREN,
    STATE(17434), 1,
      sym_limit_clause,
  [413881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7386), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [413894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12728), 1,
      anon_sym_RPAREN,
    STATE(17433), 1,
      sym_limit_clause,
  [413907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12730), 1,
      anon_sym_RPAREN,
    STATE(18510), 1,
      sym_limit_clause,
  [413920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12732), 1,
      anon_sym_RPAREN,
    STATE(17432), 1,
      sym_limit_clause,
  [413933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [413946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(12736), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [413959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9925), 1,
      anon_sym_RPAREN,
    STATE(17508), 1,
      sym_limit_clause,
  [413972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9825), 1,
      anon_sym_RPAREN,
    STATE(18581), 1,
      sym_limit_clause,
  [413985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12738), 1,
      anon_sym_RPAREN,
    STATE(17283), 1,
      sym_limit_clause,
  [413998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_COMMA,
    ACTIONS(12742), 1,
      anon_sym_RPAREN,
    STATE(14664), 1,
      aux_sym_procedure_parameters_repeat1,
  [414011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12744), 1,
      anon_sym_RPAREN,
    STATE(18525), 1,
      sym_limit_clause,
  [414024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12746), 1,
      anon_sym_RPAREN,
    STATE(18522), 1,
      sym_limit_clause,
  [414037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_COMMA,
    ACTIONS(12748), 1,
      anon_sym_GT,
    STATE(14505), 1,
      aux_sym__type_struct_repeat1,
  [414050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12750), 1,
      anon_sym_RPAREN,
    STATE(17428), 1,
      sym_limit_clause,
  [414063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(12752), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [414076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
    STATE(17510), 1,
      sym_limit_clause,
  [414089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12754), 1,
      anon_sym_RPAREN,
    STATE(17427), 1,
      sym_limit_clause,
  [414102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(12758), 1,
      anon_sym_RPAREN,
    STATE(14773), 1,
      aux_sym_option_clause_repeat1,
  [414115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12760), 1,
      anon_sym_RPAREN,
    STATE(17400), 1,
      sym_limit_clause,
  [414128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(12762), 1,
      anon_sym_RPAREN,
    STATE(14779), 1,
      aux_sym_option_clause_repeat1,
  [414141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12764), 1,
      anon_sym_RPAREN,
    STATE(17423), 1,
      sym_limit_clause,
  [414154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12766), 1,
      anon_sym_RPAREN,
    STATE(16382), 1,
      sym_limit_clause,
  [414167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
    STATE(17820), 1,
      sym_limit_clause,
  [414180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COMMA,
    ACTIONS(12770), 1,
      anon_sym_RPAREN,
    STATE(14840), 1,
      aux_sym_grouping_sets_repeat1,
  [414193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12772), 1,
      anon_sym_RPAREN,
    STATE(18594), 1,
      sym_limit_clause,
  [414206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12774), 1,
      anon_sym_RPAREN,
    STATE(18583), 1,
      sym_limit_clause,
  [414219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7388), 1,
      anon_sym_RPAREN,
    STATE(14523), 1,
      aux_sym_function_call_repeat1,
  [414232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(12776), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [414245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_RPAREN,
    STATE(14819), 1,
      aux_sym_select_all_replace_repeat1,
  [414258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12782), 1,
      anon_sym_RPAREN,
    STATE(16381), 1,
      sym_limit_clause,
  [414271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12784), 1,
      anon_sym_RPAREN,
    STATE(17420), 1,
      sym_limit_clause,
  [414284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12786), 1,
      anon_sym_RPAREN,
    STATE(18519), 1,
      sym_limit_clause,
  [414297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12788), 1,
      anon_sym_RPAREN,
    STATE(17419), 1,
      sym_limit_clause,
  [414310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12790), 1,
      anon_sym_COMMA,
    ACTIONS(12792), 1,
      anon_sym_RPAREN,
    STATE(14827), 1,
      aux_sym_select_all_except_repeat1,
  [414323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9931), 1,
      anon_sym_RPAREN,
    STATE(17511), 1,
      sym_limit_clause,
  [414336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(12794), 1,
      anon_sym_RPAREN,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [414349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(12796), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [414362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12798), 1,
      anon_sym_RPAREN,
    STATE(17418), 1,
      sym_limit_clause,
  [414375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12800), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [414388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12802), 1,
      anon_sym_RPAREN,
    STATE(17417), 1,
      sym_limit_clause,
  [414401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12687), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_struct_repeat1,
  [414414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10516), 1,
      sym__identifier,
    ACTIONS(12804), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [414425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12806), 1,
      sym__string_start,
    STATE(4559), 2,
      sym__range_string,
      sym_string,
  [414436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12808), 1,
      anon_sym_RPAREN,
    STATE(18599), 1,
      sym_limit_clause,
  [414449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(12810), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [414462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(12812), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(15155), 1,
      aux_sym_declare_statement_repeat1,
  [414475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12814), 1,
      anon_sym_RPAREN,
    STATE(17416), 1,
      sym_limit_clause,
  [414488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12816), 1,
      anon_sym_RPAREN,
    STATE(18078), 1,
      sym_limit_clause,
  [414501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12818), 1,
      anon_sym_RPAREN,
    STATE(17415), 1,
      sym_limit_clause,
  [414514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(12812), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [414527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9637), 1,
      anon_sym_RPAREN,
    STATE(19333), 1,
      sym_limit_clause,
  [414540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(12820), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [414553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12822), 1,
      anon_sym_RPAREN,
    STATE(18140), 1,
      sym_limit_clause,
  [414566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(12820), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(15162), 1,
      aux_sym_declare_statement_repeat1,
  [414579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(12824), 1,
      aux_sym__keyword_from_token1,
    STATE(15164), 1,
      aux_sym_declare_statement_repeat1,
  [414592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9789), 1,
      anon_sym_RPAREN,
    STATE(18601), 1,
      sym_limit_clause,
  [414605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7245), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [414618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_COMMA,
    ACTIONS(12826), 1,
      anon_sym_GT,
    STATE(15597), 1,
      aux_sym__type_struct_repeat1,
  [414631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12828), 1,
      anon_sym_RPAREN,
    STATE(18077), 1,
      sym_limit_clause,
  [414644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9779), 1,
      anon_sym_RPAREN,
    STATE(18603), 1,
      sym_limit_clause,
  [414657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12830), 1,
      anon_sym_RPAREN,
    STATE(16380), 1,
      sym_limit_clause,
  [414670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9953), 1,
      anon_sym_RPAREN,
    STATE(17515), 1,
      sym_limit_clause,
  [414683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12832), 1,
      anon_sym_RPAREN,
    STATE(16379), 1,
      sym_limit_clause,
  [414696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9777), 1,
      anon_sym_RPAREN,
    STATE(18606), 1,
      sym_limit_clause,
  [414709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10464), 1,
      sym__string_content,
    ACTIONS(10466), 1,
      sym__string_end,
    STATE(14492), 1,
      aux_sym_string_repeat1,
  [414722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12834), 1,
      anon_sym_RPAREN,
    STATE(18139), 1,
      sym_limit_clause,
  [414735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12836), 1,
      anon_sym_RPAREN,
    STATE(18515), 1,
      sym_limit_clause,
  [414748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3833), 1,
      anon_sym_RPAREN,
    ACTIONS(12838), 1,
      anon_sym_COMMA,
    STATE(14489), 1,
      aux_sym_select_list_repeat1,
  [414761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12841), 1,
      anon_sym_RPAREN,
    STATE(18138), 1,
      sym_limit_clause,
  [414774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(12824), 1,
      aux_sym__keyword_from_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [414787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(12843), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [414800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12845), 1,
      anon_sym_RPAREN,
    STATE(18513), 1,
      sym_limit_clause,
  [414813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12847), 1,
      anon_sym_RPAREN,
    STATE(14506), 1,
      aux_sym_struct_repeat1,
  [414826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12849), 1,
      anon_sym_RPAREN,
    STATE(18512), 1,
      sym_limit_clause,
  [414839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12851), 1,
      anon_sym_RPAREN,
    STATE(18129), 1,
      sym_limit_clause,
  [414852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_COMMA,
    ACTIONS(12855), 1,
      anon_sym_RPAREN,
    STATE(14515), 1,
      aux_sym_single_column_unpivot_repeat1,
  [414865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(12857), 1,
      aux_sym__keyword_from_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [414878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11963), 1,
      anon_sym_RPAREN,
    STATE(18607), 1,
      sym_limit_clause,
  [414891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(12857), 1,
      aux_sym__keyword_from_token1,
    STATE(15167), 1,
      aux_sym_declare_statement_repeat1,
  [414904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12859), 1,
      anon_sym_RPAREN,
    STATE(16378), 1,
      sym_limit_clause,
  [414917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_COMMA,
    ACTIONS(12861), 1,
      anon_sym_RPAREN,
    STATE(14497), 1,
      aux_sym_single_column_unpivot_repeat1,
  [414930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12863), 1,
      anon_sym_RPAREN,
    STATE(18072), 1,
      sym_limit_clause,
  [414943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12865), 1,
      anon_sym_RPAREN,
    STATE(16377), 1,
      sym_limit_clause,
  [414956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_COMMA,
    ACTIONS(12867), 1,
      anon_sym_GT,
    STATE(14373), 1,
      aux_sym__type_struct_repeat1,
  [414969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12869), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [414982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_COMMA,
    ACTIONS(12871), 1,
      anon_sym_RPAREN,
    STATE(14515), 1,
      aux_sym_single_column_unpivot_repeat1,
  [414995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(12873), 1,
      anon_sym_RPAREN,
    STATE(14449), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [415008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(12875), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      aux_sym_option_clause_repeat1,
  [415021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7330), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [415034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(12877), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [415047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7318), 1,
      anon_sym_RPAREN,
    STATE(14527), 1,
      aux_sym_function_call_repeat1,
  [415060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12879), 1,
      anon_sym_RPAREN,
    STATE(14460), 1,
      aux_sym_struct_repeat1,
  [415073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12869), 1,
      anon_sym_RPAREN,
    STATE(14530), 1,
      aux_sym_struct_repeat1,
  [415086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12881), 1,
      anon_sym_COMMA,
    ACTIONS(12884), 1,
      anon_sym_RPAREN,
    STATE(14515), 1,
      aux_sym_single_column_unpivot_repeat1,
  [415099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9757), 1,
      anon_sym_RPAREN,
    STATE(18618), 1,
      sym_limit_clause,
  [415112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12886), 1,
      anon_sym_RPAREN,
    STATE(18511), 1,
      sym_limit_clause,
  [415125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7324), 1,
      anon_sym_RPAREN,
    STATE(14466), 1,
      aux_sym_function_call_repeat1,
  [415138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9755), 1,
      anon_sym_RPAREN,
    STATE(17348), 1,
      sym_limit_clause,
  [415151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7326), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [415164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_COMMA,
    ACTIONS(12867), 1,
      anon_sym_GT,
    STATE(14637), 1,
      aux_sym__type_struct_repeat1,
  [415177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9753), 1,
      anon_sym_RPAREN,
    STATE(18620), 1,
      sym_limit_clause,
  [415190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(12888), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [415203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12879), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [415216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    STATE(7515), 1,
      sym_from_files_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [415229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12890), 1,
      sym__string_start,
    STATE(4402), 2,
      sym__range_string,
      sym_string,
  [415240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(12892), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [415253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12894), 1,
      sym__string_start,
    STATE(3526), 2,
      sym__range_string,
      sym_string,
  [415264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4764), 1,
      sym__identifier,
    ACTIONS(12896), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [415275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12898), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [415288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(12900), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [415301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9751), 1,
      anon_sym_RPAREN,
    STATE(18621), 1,
      sym_limit_clause,
  [415314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9743), 1,
      anon_sym_RPAREN,
    STATE(17394), 1,
      sym_limit_clause,
  [415327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4404), 1,
      sym__identifier,
    ACTIONS(12902), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [415338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(12904), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [415351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12906), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [415364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6569), 1,
      sym__identifier,
    ACTIONS(12908), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [415375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9741), 1,
      anon_sym_RPAREN,
    STATE(17393), 1,
      sym_limit_clause,
  [415388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12910), 1,
      sym__string_start,
    STATE(6571), 2,
      sym__range_string,
      sym_string,
  [415399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12912), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [415412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(12914), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [415425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(12916), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [415438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
    STATE(17391), 1,
      sym_limit_clause,
  [415451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_RPAREN,
    STATE(15645), 1,
      aux_sym_struct_repeat1,
  [415464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11119), 1,
      anon_sym_RPAREN,
    STATE(18127), 1,
      sym_limit_clause,
  [415477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(12918), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [415490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12920), 1,
      anon_sym_RPAREN,
    STATE(18071), 1,
      sym_limit_clause,
  [415503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12922), 1,
      anon_sym_RPAREN,
    STATE(16374), 1,
      sym_limit_clause,
  [415516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9727), 1,
      anon_sym_RPAREN,
    STATE(18626), 1,
      sym_limit_clause,
  [415529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(12924), 1,
      anon_sym_RPAREN,
    STATE(14580), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [415542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9729), 1,
      anon_sym_RPAREN,
    STATE(19328), 1,
      sym_limit_clause,
  [415555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12926), 1,
      anon_sym_RPAREN,
    STATE(18502), 1,
      sym_limit_clause,
  [415568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12928), 1,
      anon_sym_RPAREN,
    STATE(14536), 1,
      aux_sym_struct_repeat1,
  [415581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7257), 1,
      anon_sym_RPAREN,
    STATE(14541), 1,
      aux_sym_function_call_repeat1,
  [415594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12043), 1,
      anon_sym_RPAREN,
    STATE(17383), 1,
      sym_limit_clause,
  [415607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12930), 1,
      anon_sym_RPAREN,
    STATE(16373), 1,
      sym_limit_clause,
  [415620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7259), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [415633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9709), 1,
      anon_sym_RPAREN,
    STATE(17382), 1,
      sym_limit_clause,
  [415646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12932), 1,
      anon_sym_RPAREN,
    STATE(14524), 1,
      aux_sym_struct_repeat1,
  [415659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12928), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [415672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8115), 1,
      sym__function_body_js,
    STATE(8250), 1,
      sym_string,
  [415685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12934), 1,
      anon_sym_RPAREN,
    STATE(16372), 1,
      sym_limit_clause,
  [415698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9707), 1,
      anon_sym_RPAREN,
    STATE(17381), 1,
      sym_limit_clause,
  [415711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(12936), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [415724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12938), 1,
      anon_sym_RPAREN,
    STATE(14560), 1,
      aux_sym_struct_repeat1,
  [415737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    STATE(7513), 1,
      sym_from_files_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [415750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9691), 1,
      anon_sym_RPAREN,
    STATE(17379), 1,
      sym_limit_clause,
  [415763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
    STATE(18501), 1,
      sym_limit_clause,
  [415776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12942), 1,
      anon_sym_RPAREN,
    STATE(18122), 1,
      sym_limit_clause,
  [415789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(12944), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [415802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
    STATE(16371), 1,
      sym_limit_clause,
  [415815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12948), 1,
      anon_sym_RPAREN,
    STATE(17377), 1,
      sym_limit_clause,
  [415828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(12952), 1,
      aux_sym__keyword_and_token1,
    STATE(1246), 1,
      sym__keyword_and,
  [415841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(12956), 1,
      aux_sym__keyword_and_token1,
    STATE(1241), 1,
      sym__keyword_and,
  [415854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10646), 1,
      sym__string_content,
    ACTIONS(10648), 1,
      sym__string_end,
    STATE(14564), 1,
      aux_sym_string_repeat1,
  [415867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12958), 1,
      anon_sym_RPAREN,
    STATE(18500), 1,
      sym_limit_clause,
  [415880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12960), 1,
      anon_sym_RPAREN,
    STATE(16365), 1,
      sym_limit_clause,
  [415893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(139), 1,
      sym__keyword_struct,
    ACTIONS(12962), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [415904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12964), 1,
      anon_sym_RPAREN,
    STATE(18498), 1,
      sym_limit_clause,
  [415917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(12966), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [415930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
    STATE(19327), 1,
      sym_limit_clause,
  [415943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10662), 1,
      sym__string_content,
    ACTIONS(10664), 1,
      sym__string_end,
    STATE(14570), 1,
      aux_sym_string_repeat1,
  [415956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12968), 1,
      anon_sym_RPAREN,
    STATE(18069), 1,
      sym_limit_clause,
  [415969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12970), 1,
      anon_sym_RPAREN,
    STATE(18068), 1,
      sym_limit_clause,
  [415982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12972), 1,
      anon_sym_RPAREN,
    STATE(16368), 1,
      sym_limit_clause,
  [415995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12974), 1,
      anon_sym_RPAREN,
    STATE(18495), 1,
      sym_limit_clause,
  [416008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
    STATE(17366), 1,
      sym_limit_clause,
  [416021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9599), 1,
      anon_sym_RPAREN,
    STATE(18114), 1,
      sym_limit_clause,
  [416034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12139), 1,
      anon_sym_RPAREN,
    STATE(17365), 1,
      sym_limit_clause,
  [416047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12978), 1,
      anon_sym_RPAREN,
    STATE(18493), 1,
      sym_limit_clause,
  [416060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12980), 1,
      anon_sym_RPAREN,
    STATE(16367), 1,
      sym_limit_clause,
  [416073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9635), 1,
      anon_sym_RPAREN,
    STATE(17362), 1,
      sym_limit_clause,
  [416086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10590), 1,
      sym__string_content,
    ACTIONS(10592), 1,
      sym__string_end,
    STATE(14367), 1,
      aux_sym_string_repeat1,
  [416099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12982), 1,
      anon_sym_RPAREN,
    STATE(16366), 1,
      sym_limit_clause,
  [416112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11133), 1,
      anon_sym_RPAREN,
    STATE(18112), 1,
      sym_limit_clause,
  [416125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12984), 1,
      anon_sym_RPAREN,
    STATE(18644), 1,
      sym_limit_clause,
  [416138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12986), 1,
      anon_sym_RPAREN,
    STATE(17360), 1,
      sym_limit_clause,
  [416151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12988), 1,
      anon_sym_COMMA,
    ACTIONS(12990), 1,
      anon_sym_RPAREN,
    STATE(14642), 1,
      aux_sym_create_function_parameters_repeat1,
  [416164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12992), 1,
      anon_sym_COMMA,
    ACTIONS(12995), 1,
      anon_sym_RPAREN,
    STATE(14599), 1,
      aux_sym_join_condition_repeat1,
  [416177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      aux_sym_set_operation_token1,
    ACTIONS(4960), 1,
      aux_sym_set_operation_token3,
    ACTIONS(12997), 1,
      aux_sym_set_operation_token4,
  [416190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12161), 1,
      anon_sym_RPAREN,
    STATE(17357), 1,
      sym_limit_clause,
  [416203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12999), 1,
      anon_sym_RPAREN,
    STATE(18111), 1,
      sym_limit_clause,
  [416216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13001), 1,
      anon_sym_RPAREN,
    STATE(18645), 1,
      sym_limit_clause,
  [416229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13003), 1,
      anon_sym_RPAREN,
    STATE(17356), 1,
      sym_limit_clause,
  [416242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13005), 1,
      anon_sym_RPAREN,
    STATE(18066), 1,
      sym_limit_clause,
  [416255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13007), 1,
      anon_sym_RPAREN,
    STATE(17523), 1,
      sym_limit_clause,
  [416268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13009), 1,
      anon_sym_RPAREN,
    STATE(16407), 1,
      sym_limit_clause,
  [416281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13011), 1,
      anon_sym_COMMA,
    ACTIONS(13013), 1,
      anon_sym_RPAREN,
    STATE(15276), 1,
      aux_sym_create_table_parameters_repeat1,
  [416294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13015), 1,
      anon_sym_RPAREN,
    STATE(18646), 1,
      sym_limit_clause,
  [416307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13017), 1,
      anon_sym_RPAREN,
    STATE(17351), 1,
      sym_limit_clause,
  [416320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13019), 1,
      anon_sym_RPAREN,
    STATE(18647), 1,
      sym_limit_clause,
  [416333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13021), 1,
      anon_sym_RPAREN,
    STATE(17349), 1,
      sym_limit_clause,
  [416346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13023), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [416359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13025), 1,
      anon_sym_RPAREN,
    STATE(17297), 1,
      sym_limit_clause,
  [416372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13027), 1,
      anon_sym_RPAREN,
    STATE(17524), 1,
      sym_limit_clause,
  [416385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12790), 1,
      anon_sym_COMMA,
    ACTIONS(13029), 1,
      anon_sym_RPAREN,
    STATE(14455), 1,
      aux_sym_select_all_except_repeat1,
  [416398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13031), 1,
      anon_sym_RPAREN,
    STATE(18648), 1,
      sym_limit_clause,
  [416411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13033), 1,
      anon_sym_RPAREN,
    STATE(18650), 1,
      sym_limit_clause,
  [416424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13035), 1,
      anon_sym_RPAREN,
    STATE(16408), 1,
      sym_limit_clause,
  [416437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13037), 1,
      anon_sym_RPAREN,
    STATE(17344), 1,
      sym_limit_clause,
  [416450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13039), 1,
      anon_sym_RPAREN,
    STATE(14942), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [416463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13041), 1,
      anon_sym_RPAREN,
    STATE(17343), 1,
      sym_limit_clause,
  [416476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13043), 3,
      aux_sym__keyword_add_token1,
      aux_sym__keyword_drop_token1,
      aux_sym_set_statement_token1,
  [416485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13011), 1,
      anon_sym_COMMA,
    ACTIONS(13045), 1,
      anon_sym_RPAREN,
    STATE(14608), 1,
      aux_sym_create_table_parameters_repeat1,
  [416498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13047), 1,
      anon_sym_RPAREN,
    STATE(16409), 1,
      sym_limit_clause,
  [416511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13049), 1,
      anon_sym_RPAREN,
    STATE(18653), 1,
      sym_limit_clause,
  [416524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13051), 1,
      anon_sym_RPAREN,
    STATE(14915), 1,
      aux_sym_option_clause_repeat1,
  [416537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13053), 1,
      anon_sym_RPAREN,
    STATE(17339), 1,
      sym_limit_clause,
  [416550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13055), 1,
      anon_sym_RPAREN,
    STATE(17525), 1,
      sym_limit_clause,
  [416563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12273), 1,
      anon_sym_RPAREN,
    STATE(17338), 1,
      sym_limit_clause,
  [416576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7261), 1,
      anon_sym_RPAREN,
    STATE(14749), 1,
      aux_sym_function_call_repeat1,
  [416589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13057), 1,
      anon_sym_RPAREN,
    STATE(18654), 1,
      sym_limit_clause,
  [416602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13059), 1,
      anon_sym_RPAREN,
    STATE(17337), 1,
      sym_limit_clause,
  [416615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13061), 1,
      anon_sym_RPAREN,
    STATE(17526), 1,
      sym_limit_clause,
  [416628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13063), 1,
      anon_sym_RPAREN,
    STATE(16412), 1,
      sym_limit_clause,
  [416641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13065), 1,
      anon_sym_RPAREN,
    STATE(18655), 1,
      sym_limit_clause,
  [416654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_COMMA,
    ACTIONS(13067), 1,
      anon_sym_GT,
    STATE(14373), 1,
      aux_sym__type_struct_repeat1,
  [416667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13069), 1,
      anon_sym_RPAREN,
    STATE(18656), 1,
      sym_limit_clause,
  [416680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13071), 1,
      anon_sym_RPAREN,
    STATE(17333), 1,
      sym_limit_clause,
  [416693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10658), 1,
      sym__string_content,
    ACTIONS(10660), 1,
      sym__string_end,
    STATE(14662), 1,
      aux_sym_string_repeat1,
  [416706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13073), 1,
      anon_sym_RPAREN,
    STATE(17332), 1,
      sym_limit_clause,
  [416719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12988), 1,
      anon_sym_COMMA,
    ACTIONS(13075), 1,
      anon_sym_RPAREN,
    STATE(15346), 1,
      aux_sym_create_function_parameters_repeat1,
  [416732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
    STATE(17331), 1,
      sym_limit_clause,
  [416745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13079), 1,
      anon_sym_RPAREN,
    STATE(16413), 1,
      sym_limit_clause,
  [416758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13081), 1,
      anon_sym_RPAREN,
    STATE(18039), 1,
      sym_limit_clause,
  [416771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13083), 1,
      anon_sym_RPAREN,
    STATE(17330), 1,
      sym_limit_clause,
  [416784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13085), 1,
      anon_sym_RPAREN,
    STATE(16415), 1,
      sym_limit_clause,
  [416797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13087), 1,
      anon_sym_RPAREN,
    STATE(17328), 1,
      sym_limit_clause,
  [416810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11145), 1,
      anon_sym_RPAREN,
    STATE(19318), 1,
      sym_limit_clause,
  [416823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13089), 1,
      anon_sym_RPAREN,
    STATE(17327), 1,
      sym_limit_clause,
  [416836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13091), 1,
      anon_sym_RPAREN,
    STATE(17527), 1,
      sym_limit_clause,
  [416849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13093), 1,
      anon_sym_RPAREN,
    STATE(18106), 1,
      sym_limit_clause,
  [416862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13095), 1,
      anon_sym_RPAREN,
    STATE(17528), 1,
      sym_limit_clause,
  [416875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8250), 1,
      sym_string,
    STATE(8259), 1,
      sym__function_body_js,
  [416888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9765), 1,
      anon_sym_RPAREN,
    STATE(19276), 1,
      sym_limit_clause,
  [416901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13097), 1,
      anon_sym_RPAREN,
    STATE(18119), 1,
      sym_limit_clause,
  [416914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13099), 1,
      anon_sym_RPAREN,
    STATE(17322), 1,
      sym_limit_clause,
  [416927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13101), 1,
      anon_sym_RPAREN,
    STATE(18096), 1,
      sym_limit_clause,
  [416940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13103), 1,
      anon_sym_RPAREN,
    STATE(17321), 1,
      sym_limit_clause,
  [416953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13105), 1,
      anon_sym_RPAREN,
    STATE(16419), 1,
      sym_limit_clause,
  [416966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13107), 1,
      anon_sym_RPAREN,
    STATE(17319), 1,
      sym_limit_clause,
  [416979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13109), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [416992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13111), 1,
      anon_sym_RPAREN,
    STATE(14677), 1,
      aux_sym_struct_repeat1,
  [417005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_COMMA,
    ACTIONS(13113), 1,
      anon_sym_RPAREN,
    STATE(15358), 1,
      aux_sym_procedure_parameters_repeat1,
  [417018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13115), 1,
      anon_sym_RPAREN,
    STATE(18089), 1,
      sym_limit_clause,
  [417031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13117), 1,
      anon_sym_RPAREN,
    STATE(18163), 1,
      sym_limit_clause,
  [417044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11155), 1,
      anon_sym_RPAREN,
    STATE(16422), 1,
      sym_limit_clause,
  [417057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9767), 1,
      anon_sym_RPAREN,
    STATE(19275), 1,
      sym_limit_clause,
  [417070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13119), 1,
      anon_sym_RPAREN,
    STATE(18662), 1,
      sym_limit_clause,
  [417083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13121), 1,
      anon_sym_RPAREN,
    STATE(16423), 1,
      sym_limit_clause,
  [417096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
    STATE(17313), 1,
      sym_limit_clause,
  [417109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13125), 1,
      anon_sym_RPAREN,
    STATE(18663), 1,
      sym_limit_clause,
  [417122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(144), 1,
      sym__keyword_struct,
    ACTIONS(13127), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [417133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13129), 1,
      anon_sym_RPAREN,
    STATE(17312), 1,
      sym_limit_clause,
  [417146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13131), 1,
      anon_sym_RPAREN,
    STATE(18664), 1,
      sym_limit_clause,
  [417159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13133), 1,
      anon_sym_RPAREN,
    STATE(17310), 1,
      sym_limit_clause,
  [417172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13135), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [417185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13137), 1,
      anon_sym_RPAREN,
    STATE(17309), 1,
      sym_limit_clause,
  [417198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13139), 1,
      anon_sym_RPAREN,
    STATE(17532), 1,
      sym_limit_clause,
  [417211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13141), 1,
      anon_sym_RPAREN,
    STATE(18164), 1,
      sym_limit_clause,
  [417224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_COMMA,
    ACTIONS(13145), 1,
      aux_sym_join_condition_token1,
    STATE(15178), 1,
      aux_sym_grant_statement_repeat1,
  [417237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13147), 1,
      anon_sym_RPAREN,
    STATE(17534), 1,
      sym_limit_clause,
  [417250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13149), 1,
      anon_sym_RPAREN,
    STATE(16424), 1,
      sym_limit_clause,
  [417263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13151), 1,
      anon_sym_RPAREN,
    STATE(16425), 1,
      sym_limit_clause,
  [417276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13153), 1,
      anon_sym_RPAREN,
    STATE(18165), 1,
      sym_limit_clause,
  [417289] = 4,
    ACTIONS(12363), 1,
      aux_sym_keyword_unbounded_preceding_token1,
    ACTIONS(12365), 1,
      aux_sym_range_content_token1,
    ACTIONS(12367), 1,
      sym_comment,
    STATE(17011), 1,
      sym_range_content,
  [417302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9775), 1,
      anon_sym_RPAREN,
    STATE(19218), 1,
      sym_limit_clause,
  [417315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13155), 1,
      anon_sym_RPAREN,
    STATE(17304), 1,
      sym_limit_clause,
  [417328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7263), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [417341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13157), 1,
      anon_sym_RPAREN,
    STATE(17303), 1,
      sym_limit_clause,
  [417354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13159), 1,
      anon_sym_RPAREN,
    STATE(18674), 1,
      sym_limit_clause,
  [417367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_COMMA,
    ACTIONS(13161), 1,
      aux_sym_join_condition_token1,
    STATE(15178), 1,
      aux_sym_grant_statement_repeat1,
  [417380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13163), 1,
      anon_sym_RPAREN,
    STATE(18675), 1,
      sym_limit_clause,
  [417393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13165), 1,
      anon_sym_RPAREN,
    STATE(18677), 1,
      sym_limit_clause,
  [417406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13167), 1,
      anon_sym_RPAREN,
    STATE(17302), 1,
      sym_limit_clause,
  [417419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13169), 1,
      anon_sym_RPAREN,
    STATE(16985), 1,
      sym_limit_clause,
  [417432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13171), 1,
      anon_sym_RPAREN,
    STATE(17300), 1,
      sym_limit_clause,
  [417445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12343), 1,
      anon_sym_RPAREN,
    STATE(16984), 1,
      sym_limit_clause,
  [417458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13173), 1,
      anon_sym_RPAREN,
    STATE(17535), 1,
      sym_limit_clause,
  [417471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
    STATE(16982), 1,
      sym_limit_clause,
  [417484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13175), 1,
      anon_sym_RPAREN,
    STATE(16432), 1,
      sym_limit_clause,
  [417497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(137), 1,
      sym__keyword_struct,
    ACTIONS(13177), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [417508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
    STATE(18678), 1,
      sym_limit_clause,
  [417521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13181), 1,
      anon_sym_RPAREN,
    STATE(17299), 1,
      sym_limit_clause,
  [417534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13183), 1,
      anon_sym_RPAREN,
    STATE(16974), 1,
      sym_limit_clause,
  [417547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13185), 1,
      anon_sym_RPAREN,
    STATE(17274), 1,
      sym_limit_clause,
  [417560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13187), 1,
      anon_sym_RPAREN,
    STATE(17536), 1,
      sym_limit_clause,
  [417573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    STATE(7425), 1,
      sym_from_files_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [417586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12337), 1,
      anon_sym_RPAREN,
    STATE(16968), 1,
      sym_limit_clause,
  [417599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13135), 1,
      anon_sym_RPAREN,
    STATE(14771), 1,
      aux_sym_struct_repeat1,
  [417612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13189), 1,
      anon_sym_RPAREN,
    STATE(16966), 1,
      sym_limit_clause,
  [417625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13191), 1,
      anon_sym_RPAREN,
    STATE(18093), 1,
      sym_limit_clause,
  [417638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
    STATE(18481), 1,
      sym_limit_clause,
  [417651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13193), 1,
      anon_sym_RPAREN,
    STATE(18679), 1,
      sym_limit_clause,
  [417664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13195), 1,
      anon_sym_RPAREN,
    STATE(16433), 1,
      sym_limit_clause,
  [417677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13197), 1,
      anon_sym_RPAREN,
    STATE(14509), 1,
      aux_sym_option_clause_repeat1,
  [417690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10572), 1,
      sym__string_content,
    ACTIONS(10574), 1,
      sym__string_end,
    STATE(14723), 1,
      aux_sym_string_repeat1,
  [417703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13199), 1,
      anon_sym_RPAREN,
    STATE(19271), 1,
      sym_limit_clause,
  [417716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13201), 1,
      anon_sym_RPAREN,
    STATE(16434), 1,
      sym_limit_clause,
  [417729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13203), 1,
      anon_sym_RPAREN,
    STATE(18166), 1,
      sym_limit_clause,
  [417742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13205), 1,
      anon_sym_RPAREN,
    STATE(18094), 1,
      sym_limit_clause,
  [417755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13207), 1,
      anon_sym_RPAREN,
    STATE(17540), 1,
      sym_limit_clause,
  [417768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13209), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [417781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13211), 1,
      aux_sym__keyword_from_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [417794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13213), 1,
      anon_sym_RPAREN,
    STATE(14737), 1,
      aux_sym_struct_repeat1,
  [417807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13215), 1,
      anon_sym_RPAREN,
    STATE(18680), 1,
      sym_limit_clause,
  [417820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13217), 1,
      anon_sym_RPAREN,
    STATE(18167), 1,
      sym_limit_clause,
  [417833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13219), 1,
      anon_sym_RPAREN,
    STATE(17541), 1,
      sym_limit_clause,
  [417846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_COMMA,
    ACTIONS(13221), 1,
      anon_sym_RPAREN,
    STATE(14507), 1,
      aux_sym_single_column_unpivot_repeat1,
  [417859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13223), 1,
      anon_sym_RPAREN,
    STATE(18095), 1,
      sym_limit_clause,
  [417872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13225), 1,
      anon_sym_RPAREN,
    STATE(16957), 1,
      sym_limit_clause,
  [417885] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(13229), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [417898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13231), 1,
      anon_sym_RPAREN,
    STATE(16956), 1,
      sym_limit_clause,
  [417911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13233), 1,
      anon_sym_RPAREN,
    STATE(18688), 1,
      sym_limit_clause,
  [417924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13235), 1,
      anon_sym_RPAREN,
    STATE(16438), 1,
      sym_limit_clause,
  [417937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9783), 1,
      anon_sym_RPAREN,
    STATE(16515), 1,
      sym_limit_clause,
  [417950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13237), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [417963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_COMMA,
    ACTIONS(13242), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [417976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13244), 1,
      anon_sym_RPAREN,
    STATE(16955), 1,
      sym_limit_clause,
  [417989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13246), 1,
      anon_sym_RPAREN,
    STATE(17542), 1,
      sym_limit_clause,
  [418002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7328), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [418015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13211), 1,
      aux_sym__keyword_from_token1,
    STATE(14498), 1,
      aux_sym_declare_statement_repeat1,
  [418028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_RPAREN,
    STATE(14758), 1,
      aux_sym_function_call_repeat1,
  [418041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13248), 1,
      aux_sym__keyword_from_token1,
    STATE(14491), 1,
      aux_sym_declare_statement_repeat1,
  [418054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13237), 1,
      anon_sym_RPAREN,
    STATE(14761), 1,
      aux_sym_struct_repeat1,
  [418067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13250), 1,
      anon_sym_RPAREN,
    STATE(18168), 1,
      sym_limit_clause,
  [418080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12311), 1,
      anon_sym_RPAREN,
    STATE(18689), 1,
      sym_limit_clause,
  [418093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13252), 1,
      anon_sym_RPAREN,
    STATE(18691), 1,
      sym_limit_clause,
  [418106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13254), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [418119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9621), 1,
      anon_sym_RPAREN,
    STATE(17279), 1,
      sym_limit_clause,
  [418132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11179), 1,
      anon_sym_RPAREN,
    STATE(16439), 1,
      sym_limit_clause,
  [418145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13256), 1,
      sym__string_start,
    STATE(4908), 2,
      sym__range_string,
      sym_string,
  [418156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13258), 1,
      anon_sym_RPAREN,
    STATE(18700), 1,
      sym_limit_clause,
  [418169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13260), 1,
      anon_sym_RPAREN,
    STATE(18701), 1,
      sym_limit_clause,
  [418182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13262), 1,
      anon_sym_RPAREN,
    STATE(19267), 1,
      sym_limit_clause,
  [418195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13264), 1,
      anon_sym_RPAREN,
    STATE(16946), 1,
      sym_limit_clause,
  [418208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13266), 1,
      anon_sym_RPAREN,
    STATE(16945), 1,
      sym_limit_clause,
  [418221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13268), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [418234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13270), 1,
      sym__string_start,
    STATE(518), 2,
      sym__range_string,
      sym_string,
  [418245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3517), 1,
      sym__identifier,
    ACTIONS(13272), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [418256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13274), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [418269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(13276), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [418282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13278), 1,
      anon_sym_RPAREN,
    STATE(18098), 1,
      sym_limit_clause,
  [418295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9639), 1,
      anon_sym_RPAREN,
    STATE(17217), 1,
      sym_limit_clause,
  [418308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13280), 1,
      anon_sym_RPAREN,
    STATE(17546), 1,
      sym_limit_clause,
  [418321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4911), 1,
      sym__identifier,
    ACTIONS(13282), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [418332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13284), 1,
      anon_sym_RPAREN,
    STATE(17547), 1,
      sym_limit_clause,
  [418345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13286), 1,
      anon_sym_RPAREN,
    STATE(18709), 1,
      sym_limit_clause,
  [418358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9641), 1,
      anon_sym_RPAREN,
    STATE(17273), 1,
      sym_limit_clause,
  [418371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13288), 1,
      anon_sym_RPAREN,
    STATE(18710), 1,
      sym_limit_clause,
  [418384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13290), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [418397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13292), 1,
      anon_sym_RPAREN,
    STATE(18100), 1,
      sym_limit_clause,
  [418410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13294), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      aux_sym_option_clause_repeat1,
  [418423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9643), 1,
      anon_sym_RPAREN,
    STATE(17271), 1,
      sym_limit_clause,
  [418436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13296), 1,
      anon_sym_RPAREN,
    STATE(17548), 1,
      sym_limit_clause,
  [418449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13298), 1,
      anon_sym_RPAREN,
    STATE(18714), 1,
      sym_limit_clause,
  [418462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13300), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [418475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(13302), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [418488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13304), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      aux_sym_option_clause_repeat1,
  [418501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
    STATE(18470), 1,
      sym_limit_clause,
  [418514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13306), 1,
      anon_sym_RPAREN,
    STATE(14811), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13308), 1,
      anon_sym_RPAREN,
    STATE(17549), 1,
      sym_limit_clause,
  [418540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13310), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [418553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13312), 1,
      anon_sym_RPAREN,
    STATE(18725), 1,
      sym_limit_clause,
  [418566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13314), 1,
      anon_sym_COMMA,
    ACTIONS(13317), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12295), 1,
      anon_sym_RPAREN,
    STATE(17262), 1,
      sym_limit_clause,
  [418592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13319), 1,
      anon_sym_RPAREN,
    STATE(17550), 1,
      sym_limit_clause,
  [418605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COMMA,
    ACTIONS(13321), 1,
      anon_sym_RPAREN,
    STATE(15495), 1,
      aux_sym_grouping_sets_repeat1,
  [418618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9647), 1,
      anon_sym_RPAREN,
    STATE(17260), 1,
      sym_limit_clause,
  [418631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13323), 1,
      anon_sym_RPAREN,
    STATE(16445), 1,
      sym_limit_clause,
  [418644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13325), 1,
      anon_sym_RPAREN,
    STATE(17552), 1,
      sym_limit_clause,
  [418657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13310), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(14473), 1,
      aux_sym_declare_statement_repeat1,
  [418670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COMMA,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
    STATE(15498), 1,
      aux_sym_grouping_sets_repeat1,
  [418683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9651), 1,
      anon_sym_RPAREN,
    STATE(17259), 1,
      sym_limit_clause,
  [418696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10043), 1,
      anon_sym_RPAREN,
    STATE(18469), 1,
      sym_limit_clause,
  [418709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12291), 1,
      anon_sym_RPAREN,
    STATE(18728), 1,
      sym_limit_clause,
  [418722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13329), 1,
      anon_sym_RPAREN,
    STATE(17559), 1,
      sym_limit_clause,
  [418735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9659), 1,
      anon_sym_RPAREN,
    STATE(17257), 1,
      sym_limit_clause,
  [418748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13331), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(14471), 1,
      aux_sym_declare_statement_repeat1,
  [418761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12283), 1,
      anon_sym_RPAREN,
    STATE(17560), 1,
      sym_limit_clause,
  [418774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13333), 1,
      anon_sym_RPAREN,
    STATE(17562), 1,
      sym_limit_clause,
  [418787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13335), 1,
      anon_sym_RPAREN,
    STATE(18732), 1,
      sym_limit_clause,
  [418800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13337), 1,
      anon_sym_RPAREN,
    STATE(17253), 1,
      sym_limit_clause,
  [418813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
    STATE(18464), 1,
      sym_limit_clause,
  [418826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13339), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [418839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
    STATE(18173), 1,
      sym_limit_clause,
  [418852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13343), 1,
      anon_sym_RPAREN,
    STATE(14829), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13345), 1,
      anon_sym_RPAREN,
    STATE(17249), 1,
      sym_limit_clause,
  [418878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13347), 1,
      anon_sym_RPAREN,
    STATE(17566), 1,
      sym_limit_clause,
  [418891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13349), 1,
      anon_sym_RPAREN,
    STATE(17567), 1,
      sym_limit_clause,
  [418904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13351), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [418917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
    STATE(18102), 1,
      sym_limit_clause,
  [418930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9667), 1,
      anon_sym_RPAREN,
    STATE(18734), 1,
      sym_limit_clause,
  [418943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12265), 1,
      anon_sym_RPAREN,
    STATE(18458), 1,
      sym_limit_clause,
  [418956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [418969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12257), 1,
      anon_sym_RPAREN,
    STATE(18735), 1,
      sym_limit_clause,
  [418982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
    STATE(18174), 1,
      sym_limit_clause,
  [418995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13359), 1,
      anon_sym_RPAREN,
    STATE(17245), 1,
      sym_limit_clause,
  [419008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_COMMA,
    ACTIONS(13364), 1,
      anon_sym_RPAREN,
    STATE(14819), 1,
      aux_sym_select_all_replace_repeat1,
  [419021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12255), 1,
      anon_sym_RPAREN,
    STATE(17244), 1,
      sym_limit_clause,
  [419034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13366), 1,
      anon_sym_RPAREN,
    STATE(17571), 1,
      sym_limit_clause,
  [419047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13368), 1,
      anon_sym_RPAREN,
    STATE(18175), 1,
      sym_limit_clause,
  [419060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9681), 1,
      anon_sym_RPAREN,
    STATE(17243), 1,
      sym_limit_clause,
  [419073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10060), 1,
      anon_sym_RPAREN,
    STATE(18456), 1,
      sym_limit_clause,
  [419086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13370), 1,
      anon_sym_RPAREN,
    STATE(18736), 1,
      sym_limit_clause,
  [419099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13372), 1,
      anon_sym_RPAREN,
    STATE(17572), 1,
      sym_limit_clause,
  [419112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_COMMA,
    ACTIONS(13377), 1,
      anon_sym_RPAREN,
    STATE(14827), 1,
      aux_sym_select_all_except_repeat1,
  [419125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13379), 1,
      anon_sym_RPAREN,
    STATE(17241), 1,
      sym_limit_clause,
  [419138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13381), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [419151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13383), 1,
      anon_sym_RPAREN,
    STATE(17573), 1,
      sym_limit_clause,
  [419164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10642), 1,
      sym__string_content,
    ACTIONS(10644), 1,
      sym__string_end,
    STATE(14920), 1,
      aux_sym_string_repeat1,
  [419177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12243), 1,
      anon_sym_RPAREN,
    STATE(17238), 1,
      sym_limit_clause,
  [419190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10062), 1,
      anon_sym_RPAREN,
    STATE(18455), 1,
      sym_limit_clause,
  [419203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13385), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [419216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13387), 1,
      anon_sym_RPAREN,
    STATE(17237), 1,
      sym_limit_clause,
  [419229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
    STATE(17579), 1,
      sym_limit_clause,
  [419242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9919), 1,
      anon_sym_RPAREN,
    STATE(16451), 1,
      sym_limit_clause,
  [419255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12239), 1,
      anon_sym_RPAREN,
    STATE(17580), 1,
      sym_limit_clause,
  [419268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9733), 1,
      anon_sym_RPAREN,
    STATE(19325), 1,
      sym_limit_clause,
  [419281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COMMA,
    ACTIONS(13391), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      aux_sym_grouping_sets_repeat1,
  [419294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13393), 1,
      anon_sym_RPAREN,
    STATE(17233), 1,
      sym_limit_clause,
  [419307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13395), 1,
      anon_sym_RPAREN,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [419320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13397), 1,
      anon_sym_RPAREN,
    STATE(17232), 1,
      sym_limit_clause,
  [419333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13399), 1,
      anon_sym_RPAREN,
    STATE(18742), 1,
      sym_limit_clause,
  [419346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13401), 1,
      anon_sym_RPAREN,
    STATE(17231), 1,
      sym_limit_clause,
  [419359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13403), 1,
      anon_sym_RPAREN,
    STATE(17583), 1,
      sym_limit_clause,
  [419372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_COMMA,
    ACTIONS(13407), 1,
      anon_sym_RPAREN,
    STATE(14951), 1,
      aux_sym_call_statement_repeat1,
  [419385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
    STATE(17585), 1,
      sym_limit_clause,
  [419398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      anon_sym_COMMA,
    ACTIONS(13409), 1,
      anon_sym_RPAREN,
    STATE(14450), 1,
      aux_sym_select_all_replace_repeat1,
  [419411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13411), 1,
      anon_sym_RPAREN,
    STATE(18752), 1,
      sym_limit_clause,
  [419424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13413), 1,
      anon_sym_RPAREN,
    STATE(17227), 1,
      sym_limit_clause,
  [419437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12219), 1,
      anon_sym_RPAREN,
    STATE(17586), 1,
      sym_limit_clause,
  [419450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13415), 1,
      anon_sym_RPAREN,
    STATE(17226), 1,
      sym_limit_clause,
  [419463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9701), 1,
      anon_sym_RPAREN,
    STATE(18755), 1,
      sym_limit_clause,
  [419476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10076), 1,
      anon_sym_RPAREN,
    STATE(18453), 1,
      sym_limit_clause,
  [419489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13417), 1,
      anon_sym_RPAREN,
    STATE(17587), 1,
      sym_limit_clause,
  [419502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9705), 1,
      anon_sym_RPAREN,
    STATE(18758), 1,
      sym_limit_clause,
  [419515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13419), 1,
      anon_sym_RPAREN,
    STATE(18087), 1,
      sym_limit_clause,
  [419528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13421), 1,
      anon_sym_RPAREN,
    STATE(17223), 1,
      sym_limit_clause,
  [419541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13423), 1,
      anon_sym_RPAREN,
    STATE(18358), 1,
      sym_limit_clause,
  [419554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12209), 1,
      anon_sym_RPAREN,
    STATE(17222), 1,
      sym_limit_clause,
  [419567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11193), 1,
      anon_sym_RPAREN,
    STATE(16454), 1,
      sym_limit_clause,
  [419580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9711), 1,
      anon_sym_RPAREN,
    STATE(18706), 1,
      sym_limit_clause,
  [419593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13425), 1,
      anon_sym_RPAREN,
    STATE(17221), 1,
      sym_limit_clause,
  [419606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13427), 1,
      anon_sym_RPAREN,
    STATE(18438), 1,
      sym_limit_clause,
  [419619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13429), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [419632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13431), 1,
      anon_sym_RPAREN,
    STATE(14815), 1,
      aux_sym_declare_statement_repeat1,
  [419645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13433), 1,
      anon_sym_RPAREN,
    STATE(17555), 1,
      sym_limit_clause,
  [419658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12191), 1,
      anon_sym_RPAREN,
    STATE(18767), 1,
      sym_limit_clause,
  [419671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13435), 1,
      anon_sym_RPAREN,
    STATE(17171), 1,
      sym_limit_clause,
  [419684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13437), 1,
      anon_sym_RPAREN,
    STATE(17595), 1,
      sym_limit_clause,
  [419697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13439), 1,
      anon_sym_RPAREN,
    STATE(17216), 1,
      sym_limit_clause,
  [419710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13441), 1,
      anon_sym_RPAREN,
    STATE(14834), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [419723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13443), 1,
      anon_sym_RPAREN,
    STATE(17215), 1,
      sym_limit_clause,
  [419736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13445), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [419749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      anon_sym_LPAREN,
    ACTIONS(13449), 1,
      aux_sym_unpivot_operator_token2,
    ACTIONS(13451), 1,
      aux_sym_unpivot_operator_token3,
  [419762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13453), 1,
      anon_sym_RPAREN,
    STATE(17214), 1,
      sym_limit_clause,
  [419775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9717), 1,
      anon_sym_RPAREN,
    STATE(18782), 1,
      sym_limit_clause,
  [419788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13455), 1,
      anon_sym_RPAREN,
    STATE(17213), 1,
      sym_limit_clause,
  [419801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13457), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [419814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13459), 1,
      anon_sym_RPAREN,
    STATE(17212), 1,
      sym_limit_clause,
  [419827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10088), 1,
      anon_sym_RPAREN,
    STATE(17597), 1,
      sym_limit_clause,
  [419840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13461), 1,
      anon_sym_RPAREN,
    STATE(18431), 1,
      sym_limit_clause,
  [419853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10097), 1,
      anon_sym_RPAREN,
    STATE(17600), 1,
      sym_limit_clause,
  [419866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9719), 1,
      anon_sym_RPAREN,
    STATE(18793), 1,
      sym_limit_clause,
  [419879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(15478), 1,
      aux_sym__grouping_list_repeat1,
    ACTIONS(4134), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [419890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13463), 1,
      anon_sym_RPAREN,
    STATE(16460), 1,
      sym_limit_clause,
  [419903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13465), 1,
      anon_sym_RPAREN,
    STATE(17209), 1,
      sym_limit_clause,
  [419916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9721), 1,
      anon_sym_RPAREN,
    STATE(18794), 1,
      sym_limit_clause,
  [419929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13467), 1,
      anon_sym_RPAREN,
    STATE(17208), 1,
      sym_limit_clause,
  [419942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      sym__string_content,
    ACTIONS(10610), 1,
      sym__string_end,
    STATE(14922), 1,
      aux_sym_string_repeat1,
  [419955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13469), 1,
      anon_sym_RPAREN,
    STATE(17207), 1,
      sym_limit_clause,
  [419968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12176), 1,
      anon_sym_RPAREN,
    STATE(18430), 1,
      sym_limit_clause,
  [419981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10099), 1,
      anon_sym_RPAREN,
    STATE(17602), 1,
      sym_limit_clause,
  [419994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(13471), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [420007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13473), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [420020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2216), 1,
      sym__identifier,
    ACTIONS(13475), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [420031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      sym__string_start,
    STATE(2218), 2,
      sym__range_string,
      sym_string,
  [420042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13479), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [420055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12167), 1,
      anon_sym_RPAREN,
    STATE(17604), 1,
      sym_limit_clause,
  [420068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13481), 1,
      anon_sym_RPAREN,
    STATE(16463), 1,
      sym_limit_clause,
  [420081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13483), 1,
      anon_sym_RPAREN,
    STATE(17203), 1,
      sym_limit_clause,
  [420094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10107), 1,
      anon_sym_RPAREN,
    STATE(18429), 1,
      sym_limit_clause,
  [420107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9723), 1,
      anon_sym_RPAREN,
    STATE(18813), 1,
      sym_limit_clause,
  [420120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13485), 1,
      anon_sym_RPAREN,
    STATE(17202), 1,
      sym_limit_clause,
  [420133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13487), 1,
      anon_sym_RPAREN,
    STATE(14896), 1,
      aux_sym_struct_repeat1,
  [420146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13489), 1,
      anon_sym_RPAREN,
    STATE(17201), 1,
      sym_limit_clause,
  [420159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7253), 1,
      anon_sym_RPAREN,
    STATE(14899), 1,
      aux_sym_function_call_repeat1,
  [420172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13491), 1,
      anon_sym_RPAREN,
    STATE(17200), 1,
      sym_limit_clause,
  [420185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13493), 1,
      anon_sym_RPAREN,
    STATE(18427), 1,
      sym_limit_clause,
  [420198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13495), 1,
      anon_sym_RPAREN,
    STATE(14866), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [420211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7255), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [420224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 3,
      sym__unquoted_identifier,
      sym__quoted_identifier,
      anon_sym_STAR,
  [420233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13487), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [420246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(13499), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      aux_sym_option_clause_repeat1,
  [420259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13501), 1,
      anon_sym_RPAREN,
    STATE(19252), 1,
      sym_limit_clause,
  [420272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13503), 1,
      anon_sym_RPAREN,
    STATE(14914), 1,
      aux_sym_struct_repeat1,
  [420285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12149), 1,
      anon_sym_RPAREN,
    STATE(18424), 1,
      sym_limit_clause,
  [420298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13505), 1,
      anon_sym_RPAREN,
    STATE(17197), 1,
      sym_limit_clause,
  [420311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13507), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [420324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13509), 1,
      anon_sym_RPAREN,
    STATE(17196), 1,
      sym_limit_clause,
  [420337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13511), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [420350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13513), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [420363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13515), 1,
      anon_sym_RPAREN,
    STATE(16470), 1,
      sym_limit_clause,
  [420376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11213), 1,
      anon_sym_RPAREN,
    STATE(19250), 1,
      sym_limit_clause,
  [420389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13517), 1,
      anon_sym_RPAREN,
    STATE(17195), 1,
      sym_limit_clause,
  [420402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13519), 1,
      anon_sym_RPAREN,
    STATE(14999), 1,
      aux_sym_struct_repeat1,
  [420415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13521), 1,
      anon_sym_RPAREN,
    STATE(17194), 1,
      sym_limit_clause,
  [420428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10003), 1,
      anon_sym_RPAREN,
    STATE(19246), 1,
      sym_limit_clause,
  [420441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    STATE(17612), 1,
      sym_limit_clause,
  [420454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
    STATE(14426), 1,
      aux_sym_struct_repeat1,
  [420467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13525), 1,
      anon_sym_RPAREN,
    STATE(18421), 1,
      sym_limit_clause,
  [420480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13527), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [420493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      aux_sym_set_operation_token1,
    ACTIONS(6030), 1,
      aux_sym_set_operation_token3,
    ACTIONS(6032), 1,
      aux_sym_set_operation_token4,
  [420506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13529), 1,
      anon_sym_RPAREN,
    STATE(17193), 1,
      sym_limit_clause,
  [420519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13531), 1,
      anon_sym_RPAREN,
    STATE(18848), 1,
      sym_limit_clause,
  [420532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13533), 1,
      anon_sym_RPAREN,
    STATE(17192), 1,
      sym_limit_clause,
  [420545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13535), 1,
      anon_sym_RPAREN,
    STATE(18849), 1,
      sym_limit_clause,
  [420558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11211), 1,
      anon_sym_RPAREN,
    STATE(18110), 1,
      sym_limit_clause,
  [420571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
    STATE(16472), 1,
      sym_limit_clause,
  [420584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13537), 1,
      anon_sym_RPAREN,
    STATE(18113), 1,
      sym_limit_clause,
  [420597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13539), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [420610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13541), 1,
      anon_sym_RPAREN,
    STATE(18850), 1,
      sym_limit_clause,
  [420623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13543), 1,
      anon_sym_RPAREN,
    STATE(18851), 1,
      sym_limit_clause,
  [420636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13545), 1,
      anon_sym_RPAREN,
    STATE(18180), 1,
      sym_limit_clause,
  [420649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13547), 1,
      anon_sym_RPAREN,
    STATE(18852), 1,
      sym_limit_clause,
  [420662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10124), 1,
      anon_sym_RPAREN,
    STATE(17614), 1,
      sym_limit_clause,
  [420675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10578), 1,
      sym__string_content,
    ACTIONS(10580), 1,
      sym__string_end,
    STATE(14954), 1,
      aux_sym_string_repeat1,
  [420688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
    STATE(16475), 1,
      sym_limit_clause,
  [420701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10128), 1,
      anon_sym_RPAREN,
    STATE(17618), 1,
      sym_limit_clause,
  [420714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_COMMA,
    ACTIONS(13549), 1,
      anon_sym_RPAREN,
    STATE(15037), 1,
      aux_sym_call_statement_repeat1,
  [420727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13551), 1,
      anon_sym_RPAREN,
    STATE(18181), 1,
      sym_limit_clause,
  [420740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13553), 1,
      anon_sym_RPAREN,
    STATE(18853), 1,
      sym_limit_clause,
  [420753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13555), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [420766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(13557), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [420779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13559), 1,
      anon_sym_RPAREN,
    STATE(14968), 1,
      aux_sym_struct_repeat1,
  [420792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_COMMA,
    ACTIONS(13561), 1,
      anon_sym_RPAREN,
    STATE(14515), 1,
      aux_sym_single_column_unpivot_repeat1,
  [420805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13563), 1,
      anon_sym_RPAREN,
    STATE(18871), 1,
      sym_limit_clause,
  [420818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10178), 1,
      anon_sym_RPAREN,
    STATE(17666), 1,
      sym_limit_clause,
  [420831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7687), 1,
      sym__identifier,
    ACTIONS(13565), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [420842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      sym__string_start,
    STATE(10505), 2,
      sym__range_string,
      sym_string,
  [420853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13569), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [420866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13571), 1,
      anon_sym_RPAREN,
    STATE(18860), 1,
      sym_limit_clause,
  [420879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(13573), 1,
      anon_sym_RPAREN,
    STATE(14732), 1,
      aux_sym_pivot_operator_repeat2,
  [420892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13575), 1,
      anon_sym_RPAREN,
    STATE(18861), 1,
      sym_limit_clause,
  [420905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13577), 1,
      anon_sym_RPAREN,
    STATE(18182), 1,
      sym_limit_clause,
  [420918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11223), 1,
      anon_sym_RPAREN,
    STATE(19193), 1,
      sym_limit_clause,
  [420931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13579), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [420944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(13581), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [420957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13583), 1,
      anon_sym_RPAREN,
    STATE(18862), 1,
      sym_limit_clause,
  [420970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13585), 1,
      anon_sym_RPAREN,
    STATE(18863), 1,
      sym_limit_clause,
  [420983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7334), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [420996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13587), 1,
      anon_sym_RPAREN,
    STATE(18118), 1,
      sym_limit_clause,
  [421009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7352), 1,
      anon_sym_RPAREN,
    STATE(14989), 1,
      aux_sym_function_call_repeat1,
  [421022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    STATE(16477), 1,
      sym_limit_clause,
  [421035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13579), 1,
      anon_sym_RPAREN,
    STATE(14992), 1,
      aux_sym_struct_repeat1,
  [421048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13589), 1,
      anon_sym_RPAREN,
    STATE(14436), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [421061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13591), 1,
      anon_sym_RPAREN,
    STATE(18416), 1,
      sym_limit_clause,
  [421074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13593), 1,
      anon_sym_RPAREN,
    STATE(18869), 1,
      sym_limit_clause,
  [421087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13595), 1,
      anon_sym_RPAREN,
    STATE(18414), 1,
      sym_limit_clause,
  [421100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9797), 1,
      anon_sym_RPAREN,
    STATE(17181), 1,
      sym_limit_clause,
  [421113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13597), 1,
      anon_sym_RPAREN,
    STATE(18872), 1,
      sym_limit_clause,
  [421126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13599), 1,
      anon_sym_RPAREN,
    STATE(18183), 1,
      sym_limit_clause,
  [421139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
    STATE(17627), 1,
      sym_limit_clause,
  [421152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11225), 1,
      anon_sym_RPAREN,
    STATE(16478), 1,
      sym_limit_clause,
  [421165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13601), 1,
      anon_sym_RPAREN,
    STATE(18878), 1,
      sym_limit_clause,
  [421178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13603), 1,
      anon_sym_RPAREN,
    STATE(18403), 1,
      sym_limit_clause,
  [421191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13605), 1,
      anon_sym_RPAREN,
    STATE(18880), 1,
      sym_limit_clause,
  [421204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13607), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [421217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      sym__string_start,
    STATE(5877), 2,
      sym__range_string,
      sym_string,
  [421228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(389), 1,
      sym__identifier,
    ACTIONS(13611), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [421239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13613), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [421252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(13615), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [421265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13617), 1,
      anon_sym_RPAREN,
    STATE(19216), 1,
      sym_limit_clause,
  [421278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
    STATE(17177), 1,
      sym_limit_clause,
  [421291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13619), 1,
      anon_sym_RPAREN,
    STATE(18402), 1,
      sym_limit_clause,
  [421304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13621), 1,
      anon_sym_RPAREN,
    STATE(18881), 1,
      sym_limit_clause,
  [421317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13623), 1,
      anon_sym_RPAREN,
    STATE(18882), 1,
      sym_limit_clause,
  [421330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13625), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [421343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    STATE(17176), 1,
      sym_limit_clause,
  [421356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13627), 1,
      anon_sym_RPAREN,
    STATE(18883), 1,
      sym_limit_clause,
  [421369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13629), 1,
      anon_sym_RPAREN,
    STATE(14880), 1,
      aux_sym_struct_repeat1,
  [421382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13631), 1,
      anon_sym_RPAREN,
    STATE(18884), 1,
      sym_limit_clause,
  [421395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9677), 1,
      anon_sym_RPAREN,
    STATE(18088), 1,
      sym_limit_clause,
  [421408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(17174), 1,
      sym_limit_clause,
  [421421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7316), 1,
      anon_sym_RPAREN,
    STATE(14962), 1,
      aux_sym_function_call_repeat1,
  [421434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10013), 1,
      anon_sym_RPAREN,
    STATE(16481), 1,
      sym_limit_clause,
  [421447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13633), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [421460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13635), 1,
      anon_sym_RPAREN,
    STATE(18889), 1,
      sym_limit_clause,
  [421473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7320), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [421486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12097), 1,
      anon_sym_RPAREN,
    STATE(18890), 1,
      sym_limit_clause,
  [421499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13637), 1,
      anon_sym_RPAREN,
    STATE(15042), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [421512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13639), 1,
      anon_sym_RPAREN,
    STATE(18891), 1,
      sym_limit_clause,
  [421525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13641), 1,
      anon_sym_RPAREN,
    STATE(18397), 1,
      sym_limit_clause,
  [421538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      anon_sym_LPAREN,
    ACTIONS(13645), 1,
      aux_sym_unpivot_operator_token2,
    ACTIONS(13647), 1,
      aux_sym_unpivot_operator_token3,
  [421551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13649), 1,
      anon_sym_RPAREN,
    STATE(18894), 1,
      sym_limit_clause,
  [421564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12095), 1,
      anon_sym_RPAREN,
    STATE(17106), 1,
      sym_limit_clause,
  [421577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7241), 1,
      anon_sym_RPAREN,
    STATE(15654), 1,
      aux_sym_function_call_repeat1,
  [421590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13651), 1,
      anon_sym_RPAREN,
    STATE(19201), 1,
      sym_limit_clause,
  [421603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9855), 1,
      anon_sym_RPAREN,
    STATE(17168), 1,
      sym_limit_clause,
  [421616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13629), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [421629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13653), 1,
      anon_sym_RPAREN,
    STATE(18836), 1,
      sym_limit_clause,
  [421642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7277), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [421655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13655), 1,
      anon_sym_RPAREN,
    STATE(19200), 1,
      sym_limit_clause,
  [421668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9859), 1,
      anon_sym_RPAREN,
    STATE(17167), 1,
      sym_limit_clause,
  [421681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12089), 1,
      anon_sym_RPAREN,
    STATE(18395), 1,
      sym_limit_clause,
  [421694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13657), 1,
      anon_sym_RPAREN,
    STATE(18899), 1,
      sym_limit_clause,
  [421707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
    STATE(16483), 1,
      sym_limit_clause,
  [421720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9867), 1,
      anon_sym_RPAREN,
    STATE(17165), 1,
      sym_limit_clause,
  [421733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13659), 1,
      anon_sym_RPAREN,
    STATE(18394), 1,
      sym_limit_clause,
  [421746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13661), 1,
      anon_sym_RPAREN,
    STATE(18900), 1,
      sym_limit_clause,
  [421759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13663), 1,
      anon_sym_RPAREN,
    STATE(18901), 1,
      sym_limit_clause,
  [421772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13665), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [421785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13667), 1,
      anon_sym_RPAREN,
    STATE(17163), 1,
      sym_limit_clause,
  [421798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13669), 1,
      anon_sym_RPAREN,
    STATE(14842), 1,
      aux_sym_declare_statement_repeat1,
  [421811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13671), 1,
      anon_sym_RPAREN,
    STATE(18390), 1,
      sym_limit_clause,
  [421824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9823), 1,
      anon_sym_RPAREN,
    ACTIONS(13673), 1,
      anon_sym_COMMA,
    STATE(15037), 1,
      aux_sym_call_statement_repeat1,
  [421837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13676), 1,
      anon_sym_RPAREN,
    STATE(18907), 1,
      sym_limit_clause,
  [421850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13678), 1,
      anon_sym_RPAREN,
    STATE(17159), 1,
      sym_limit_clause,
  [421863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13680), 1,
      anon_sym_RPAREN,
    STATE(15021), 1,
      aux_sym_struct_repeat1,
  [421876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13682), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [421889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13684), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [421902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13686), 1,
      anon_sym_RPAREN,
    STATE(18387), 1,
      sym_limit_clause,
  [421915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12071), 1,
      anon_sym_RPAREN,
    STATE(18908), 1,
      sym_limit_clause,
  [421928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13688), 1,
      anon_sym_RPAREN,
    STATE(19199), 1,
      sym_limit_clause,
  [421941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7275), 1,
      anon_sym_RPAREN,
    STATE(15218), 1,
      aux_sym_function_call_repeat1,
  [421954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13690), 1,
      anon_sym_RPAREN,
    STATE(18911), 1,
      sym_limit_clause,
  [421967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13625), 1,
      anon_sym_RPAREN,
    STATE(15255), 1,
      aux_sym_struct_repeat1,
  [421980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13692), 1,
      anon_sym_RPAREN,
    STATE(17155), 1,
      sym_limit_clause,
  [421993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
    STATE(18913), 1,
      sym_limit_clause,
  [422006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12065), 1,
      anon_sym_RPAREN,
    STATE(17154), 1,
      sym_limit_clause,
  [422019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10468), 1,
      sym__string_content,
    ACTIONS(10470), 1,
      sym__string_end,
    STATE(15041), 1,
      aux_sym_string_repeat1,
  [422032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13694), 1,
      anon_sym_RPAREN,
    STATE(18386), 1,
      sym_limit_clause,
  [422045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9903), 1,
      anon_sym_RPAREN,
    STATE(17153), 1,
      sym_limit_clause,
  [422058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13696), 1,
      anon_sym_RPAREN,
    STATE(18126), 1,
      sym_limit_clause,
  [422071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12063), 1,
      anon_sym_RPAREN,
    STATE(18914), 1,
      sym_limit_clause,
  [422084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13698), 1,
      anon_sym_RPAREN,
    STATE(18917), 1,
      sym_limit_clause,
  [422097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
    STATE(16485), 1,
      sym_limit_clause,
  [422110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13700), 1,
      anon_sym_RPAREN,
    STATE(17151), 1,
      sym_limit_clause,
  [422123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13702), 1,
      anon_sym_RPAREN,
    STATE(18188), 1,
      sym_limit_clause,
  [422136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13704), 1,
      anon_sym_RPAREN,
    STATE(19160), 1,
      sym_limit_clause,
  [422149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13706), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [422162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12053), 1,
      anon_sym_RPAREN,
    STATE(17148), 1,
      sym_limit_clause,
  [422175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13708), 1,
      anon_sym_RPAREN,
    STATE(18385), 1,
      sym_limit_clause,
  [422188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13710), 1,
      anon_sym_RPAREN,
    STATE(18384), 1,
      sym_limit_clause,
  [422201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13712), 1,
      anon_sym_RPAREN,
    STATE(17147), 1,
      sym_limit_clause,
  [422214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13714), 1,
      anon_sym_RPAREN,
    STATE(18383), 1,
      sym_limit_clause,
  [422227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10386), 1,
      anon_sym_RPAREN,
    STATE(17472), 1,
      sym_limit_clause,
  [422240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
    STATE(17648), 1,
      sym_limit_clause,
  [422253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13716), 1,
      anon_sym_RPAREN,
    STATE(18922), 1,
      sym_limit_clause,
  [422266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13718), 1,
      anon_sym_RPAREN,
    STATE(17638), 1,
      sym_limit_clause,
  [422279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13720), 1,
      anon_sym_RPAREN,
    STATE(17143), 1,
      sym_limit_clause,
  [422292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13722), 1,
      anon_sym_RPAREN,
    STATE(18380), 1,
      sym_limit_clause,
  [422305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13724), 1,
      anon_sym_RPAREN,
    STATE(17142), 1,
      sym_limit_clause,
  [422318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13726), 1,
      anon_sym_RPAREN,
    STATE(18929), 1,
      sym_limit_clause,
  [422331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13728), 1,
      anon_sym_RPAREN,
    STATE(17141), 1,
      sym_limit_clause,
  [422344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13730), 1,
      anon_sym_RPAREN,
    STATE(17639), 1,
      sym_limit_clause,
  [422357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13732), 1,
      anon_sym_RPAREN,
    STATE(18379), 1,
      sym_limit_clause,
  [422370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
    STATE(17663), 1,
      sym_limit_clause,
  [422383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9935), 1,
      anon_sym_RPAREN,
    STATE(18932), 1,
      sym_limit_clause,
  [422396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13734), 1,
      anon_sym_RPAREN,
    STATE(18378), 1,
      sym_limit_clause,
  [422409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13736), 1,
      anon_sym_RPAREN,
    STATE(17137), 1,
      sym_limit_clause,
  [422422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
    STATE(18934), 1,
      sym_limit_clause,
  [422435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13738), 1,
      anon_sym_RPAREN,
    STATE(17136), 1,
      sym_limit_clause,
  [422448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13740), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [422461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9949), 1,
      anon_sym_RPAREN,
    STATE(18935), 1,
      sym_limit_clause,
  [422474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13742), 1,
      anon_sym_RPAREN,
    STATE(17650), 1,
      sym_limit_clause,
  [422487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12025), 1,
      anon_sym_RPAREN,
    STATE(18936), 1,
      sym_limit_clause,
  [422500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13744), 1,
      anon_sym_RPAREN,
    STATE(17641), 1,
      sym_limit_clause,
  [422513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13746), 1,
      anon_sym_RPAREN,
    STATE(17133), 1,
      sym_limit_clause,
  [422526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13748), 1,
      anon_sym_RPAREN,
    STATE(15062), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [422539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12021), 1,
      anon_sym_RPAREN,
    STATE(17132), 1,
      sym_limit_clause,
  [422552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13750), 1,
      anon_sym_RPAREN,
    STATE(19192), 1,
      sym_limit_clause,
  [422565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
    STATE(17675), 1,
      sym_limit_clause,
  [422578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13752), 1,
      anon_sym_RPAREN,
    STATE(17131), 1,
      sym_limit_clause,
  [422591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13754), 1,
      anon_sym_RPAREN,
    STATE(17644), 1,
      sym_limit_clause,
  [422604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13756), 1,
      anon_sym_RPAREN,
    STATE(17645), 1,
      sym_limit_clause,
  [422617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9725), 1,
      anon_sym_RPAREN,
    STATE(18055), 1,
      sym_limit_clause,
  [422630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9915), 1,
      anon_sym_RPAREN,
    STATE(18946), 1,
      sym_limit_clause,
  [422643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13758), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(14783), 1,
      aux_sym_declare_statement_repeat1,
  [422656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13760), 1,
      anon_sym_RPAREN,
    STATE(17126), 1,
      sym_limit_clause,
  [422669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
    STATE(18951), 1,
      sym_limit_clause,
  [422682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13762), 1,
      anon_sym_RPAREN,
    STATE(17125), 1,
      sym_limit_clause,
  [422695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(12013), 1,
      anon_sym_RPAREN,
    STATE(17689), 1,
      sym_limit_clause,
  [422708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13764), 1,
      anon_sym_RPAREN,
    STATE(17124), 1,
      sym_limit_clause,
  [422721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    STATE(17691), 1,
      sym_limit_clause,
  [422734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9967), 1,
      anon_sym_RPAREN,
    STATE(18895), 1,
      sym_limit_clause,
  [422747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13766), 1,
      anon_sym_RPAREN,
    STATE(17123), 1,
      sym_limit_clause,
  [422760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(13768), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [422773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13770), 1,
      anon_sym_RPAREN,
    STATE(17122), 1,
      sym_limit_clause,
  [422786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13772), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [422799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13774), 1,
      anon_sym_RPAREN,
    STATE(17121), 1,
      sym_limit_clause,
  [422812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13776), 1,
      anon_sym_RPAREN,
    STATE(18366), 1,
      sym_limit_clause,
  [422825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13778), 1,
      anon_sym_RPAREN,
    STATE(17649), 1,
      sym_limit_clause,
  [422838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10377), 1,
      sym__identifier,
    ACTIONS(13780), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [422849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13782), 1,
      sym__string_start,
    STATE(10379), 2,
      sym__range_string,
      sym_string,
  [422860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13784), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [422873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(7985), 1,
      sym_constraint_enfoce_option,
  [422886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13790), 1,
      anon_sym_RPAREN,
    STATE(17118), 1,
      sym_limit_clause,
  [422899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13792), 1,
      anon_sym_RPAREN,
    STATE(18128), 1,
      sym_limit_clause,
  [422912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13794), 1,
      anon_sym_RPAREN,
    STATE(17117), 1,
      sym_limit_clause,
  [422925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13796), 1,
      anon_sym_RPAREN,
    STATE(18364), 1,
      sym_limit_clause,
  [422938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13798), 1,
      anon_sym_RPAREN,
    STATE(17116), 1,
      sym_limit_clause,
  [422951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13800), 1,
      anon_sym_RPAREN,
    STATE(17668), 1,
      sym_limit_clause,
  [422964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
    STATE(17694), 1,
      sym_limit_clause,
  [422977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
    STATE(18959), 1,
      sym_limit_clause,
  [422990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13802), 1,
      anon_sym_RPAREN,
    STATE(15111), 1,
      aux_sym_struct_repeat1,
  [423003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7249), 1,
      anon_sym_RPAREN,
    STATE(15117), 1,
      aux_sym_function_call_repeat1,
  [423016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7251), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [423029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13804), 1,
      anon_sym_RPAREN,
    STATE(17651), 1,
      sym_limit_clause,
  [423042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13802), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [423055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_RPAREN,
    ACTIONS(13806), 1,
      anon_sym_COMMA,
    STATE(14489), 1,
      aux_sym_select_list_repeat1,
  [423068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13808), 1,
      anon_sym_RPAREN,
    STATE(17112), 1,
      sym_limit_clause,
  [423081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_RPAREN,
    ACTIONS(13810), 1,
      anon_sym_COMMA,
    STATE(14489), 1,
      aux_sym_select_list_repeat1,
  [423094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10037), 1,
      anon_sym_RPAREN,
    STATE(16416), 1,
      sym_limit_clause,
  [423107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13812), 1,
      anon_sym_RPAREN,
    STATE(17110), 1,
      sym_limit_clause,
  [423120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13814), 1,
      anon_sym_RPAREN,
    STATE(19187), 1,
      sym_limit_clause,
  [423133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13816), 1,
      anon_sym_RPAREN,
    STATE(17109), 1,
      sym_limit_clause,
  [423146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(7863), 1,
      sym_constraint_enfoce_option,
  [423159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13818), 1,
      anon_sym_RPAREN,
    STATE(17108), 1,
      sym_limit_clause,
  [423172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13820), 1,
      anon_sym_RPAREN,
    STATE(18361), 1,
      sym_limit_clause,
  [423185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13822), 1,
      anon_sym_RPAREN,
    STATE(17652), 1,
      sym_limit_clause,
  [423198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13824), 1,
      anon_sym_RPAREN,
    STATE(15131), 1,
      aux_sym_struct_repeat1,
  [423211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
    STATE(17703), 1,
      sym_limit_clause,
  [423224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13826), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [423237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_RPAREN,
    ACTIONS(13828), 1,
      anon_sym_COMMA,
    STATE(15132), 1,
      aux_sym_select_list_repeat1,
  [423250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_RPAREN,
    ACTIONS(13830), 1,
      anon_sym_COMMA,
    STATE(15134), 1,
      aux_sym_select_list_repeat1,
  [423263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(6657), 1,
      sym_constraint_enfoce_option,
  [423276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13832), 1,
      anon_sym_RPAREN,
    STATE(18360), 1,
      sym_limit_clause,
  [423289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13834), 1,
      anon_sym_RPAREN,
    STATE(17105), 1,
      sym_limit_clause,
  [423302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11247), 1,
      anon_sym_RPAREN,
    STATE(19186), 1,
      sym_limit_clause,
  [423315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13836), 1,
      anon_sym_RPAREN,
    STATE(17104), 1,
      sym_limit_clause,
  [423328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8091), 1,
      sym__function_body_js,
    STATE(8250), 1,
      sym_string,
  [423341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10584), 1,
      sym__string_content,
    ACTIONS(10586), 1,
      sym__string_end,
    STATE(15145), 1,
      aux_sym_string_repeat1,
  [423354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [423367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13840), 1,
      anon_sym_RPAREN,
    STATE(18189), 1,
      sym_limit_clause,
  [423380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13842), 1,
      anon_sym_RPAREN,
    STATE(17103), 1,
      sym_limit_clause,
  [423393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13844), 1,
      anon_sym_RPAREN,
    STATE(19185), 1,
      sym_limit_clause,
  [423406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13846), 1,
      anon_sym_RPAREN,
    STATE(17102), 1,
      sym_limit_clause,
  [423419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13848), 1,
      anon_sym_RPAREN,
    STATE(18131), 1,
      sym_limit_clause,
  [423432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13850), 1,
      anon_sym_RPAREN,
    STATE(18190), 1,
      sym_limit_clause,
  [423445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13852), 1,
      aux_sym_alter_table_rename_statement_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [423458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    STATE(18079), 1,
      sym_limit_clause,
  [423471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13854), 1,
      aux_sym__keyword_from_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [423484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13856), 1,
      anon_sym_RPAREN,
    STATE(19181), 1,
      sym_limit_clause,
  [423497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13858), 1,
      anon_sym_RPAREN,
    STATE(17101), 1,
      sym_limit_clause,
  [423510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13860), 1,
      aux_sym__keyword_from_token1,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [423523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13862), 1,
      anon_sym_RPAREN,
    STATE(17100), 1,
      sym_limit_clause,
  [423536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13864), 1,
      anon_sym_RPAREN,
    STATE(19180), 1,
      sym_limit_clause,
  [423549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13866), 1,
      anon_sym_RPAREN,
    STATE(18989), 1,
      sym_limit_clause,
  [423562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      anon_sym_COMMA,
    ACTIONS(13871), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      aux_sym_option_clause_repeat1,
  [423575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13873), 1,
      anon_sym_RPAREN,
    STATE(17711), 1,
      sym_limit_clause,
  [423588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    STATE(7474), 1,
      sym_from_files_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [423601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13875), 1,
      anon_sym_RPAREN,
    STATE(17657), 1,
      sym_limit_clause,
  [423614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13877), 1,
      anon_sym_RPAREN,
    STATE(19179), 1,
      sym_limit_clause,
  [423627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13879), 1,
      anon_sym_RPAREN,
    STATE(17659), 1,
      sym_limit_clause,
  [423640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_COMMA,
    ACTIONS(13881), 1,
      aux_sym_join_condition_token1,
    STATE(14681), 1,
      aux_sym_grant_statement_repeat1,
  [423653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13883), 1,
      anon_sym_COMMA,
    ACTIONS(13886), 1,
      aux_sym_join_condition_token1,
    STATE(15178), 1,
      aux_sym_grant_statement_repeat1,
  [423666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10525), 1,
      sym__string_content,
    ACTIONS(10527), 1,
      sym__string_end,
    STATE(15185), 1,
      aux_sym_string_repeat1,
  [423679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13888), 1,
      anon_sym_RPAREN,
    STATE(16497), 1,
      sym_limit_clause,
  [423692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13890), 1,
      anon_sym_RPAREN,
    STATE(17660), 1,
      sym_limit_clause,
  [423705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_COMMA,
    ACTIONS(13892), 1,
      anon_sym_RPAREN,
    STATE(14957), 1,
      aux_sym_single_column_unpivot_repeat1,
  [423718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13894), 1,
      anon_sym_RPAREN,
    STATE(16498), 1,
      sym_limit_clause,
  [423731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    STATE(7470), 1,
      sym_from_files_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [423744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(13896), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [423757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13898), 1,
      anon_sym_RPAREN,
    STATE(17721), 1,
      sym_limit_clause,
  [423770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13900), 1,
      anon_sym_RPAREN,
    STATE(15199), 1,
      aux_sym_struct_repeat1,
  [423783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_COMMA,
    ACTIONS(13902), 1,
      aux_sym_join_condition_token1,
    STATE(14692), 1,
      aux_sym_grant_statement_repeat1,
  [423796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13904), 1,
      anon_sym_RPAREN,
    STATE(18985), 1,
      sym_limit_clause,
  [423809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13906), 1,
      anon_sym_RPAREN,
    STATE(18986), 1,
      sym_limit_clause,
  [423822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13910), 1,
      anon_sym_STAR,
    ACTIONS(13908), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [423833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(134), 1,
      sym__keyword_struct,
    ACTIONS(13912), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [423844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13914), 1,
      anon_sym_RPAREN,
    STATE(19177), 1,
      sym_limit_clause,
  [423857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13916), 1,
      anon_sym_RPAREN,
    STATE(17726), 1,
      sym_limit_clause,
  [423870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13918), 1,
      anon_sym_RPAREN,
    STATE(17664), 1,
      sym_limit_clause,
  [423883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13920), 1,
      anon_sym_RPAREN,
    STATE(19176), 1,
      sym_limit_clause,
  [423896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13922), 1,
      anon_sym_RPAREN,
    STATE(19175), 1,
      sym_limit_clause,
  [423909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(13924), 1,
      anon_sym_RPAREN,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [423922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13926), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [423935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13928), 1,
      anon_sym_RPAREN,
    STATE(16499), 1,
      sym_limit_clause,
  [423948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11967), 1,
      anon_sym_RPAREN,
    STATE(17727), 1,
      sym_limit_clause,
  [423961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      anon_sym_COMMA,
    ACTIONS(13933), 1,
      anon_sym_RPAREN,
    STATE(15202), 1,
      aux_sym_multi_column_unpivot_repeat1,
  [423974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7338), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [423987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13935), 1,
      anon_sym_RPAREN,
    STATE(17665), 1,
      sym_limit_clause,
  [424000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7336), 1,
      anon_sym_RPAREN,
    STATE(15220), 1,
      aux_sym_function_call_repeat1,
  [424013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13937), 1,
      anon_sym_RPAREN,
    STATE(17667), 1,
      sym_limit_clause,
  [424026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13926), 1,
      anon_sym_RPAREN,
    STATE(15223), 1,
      aux_sym_struct_repeat1,
  [424039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13939), 1,
      anon_sym_RPAREN,
    STATE(16500), 1,
      sym_limit_clause,
  [424052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13941), 1,
      anon_sym_RPAREN,
    STATE(18987), 1,
      sym_limit_clause,
  [424065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10206), 1,
      anon_sym_RPAREN,
    STATE(17729), 1,
      sym_limit_clause,
  [424078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13943), 1,
      anon_sym_RPAREN,
    STATE(18988), 1,
      sym_limit_clause,
  [424091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10054), 1,
      anon_sym_RPAREN,
    STATE(17091), 1,
      sym_limit_clause,
  [424104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13945), 1,
      anon_sym_RPAREN,
    STATE(18191), 1,
      sym_limit_clause,
  [424117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13947), 1,
      anon_sym_RPAREN,
    STATE(18417), 1,
      sym_limit_clause,
  [424130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13949), 1,
      anon_sym_RPAREN,
    STATE(18990), 1,
      sym_limit_clause,
  [424143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13951), 1,
      anon_sym_RPAREN,
    STATE(17669), 1,
      sym_limit_clause,
  [424156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(13953), 1,
      aux_sym__keyword_from_token1,
    STATE(14724), 1,
      aux_sym_declare_statement_repeat1,
  [424169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13955), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [424182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13957), 1,
      anon_sym_RPAREN,
    STATE(17670), 1,
      sym_limit_clause,
  [424195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13959), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [424208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13961), 1,
      sym__string_start,
    STATE(7813), 2,
      sym__range_string,
      sym_string,
  [424219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5875), 1,
      sym__identifier,
    ACTIONS(13963), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [424230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(13965), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [424243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(13967), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [424256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13969), 1,
      sym__string_start,
    STATE(2735), 2,
      sym__range_string,
      sym_string,
  [424267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10072), 1,
      anon_sym_RPAREN,
    STATE(17085), 1,
      sym_limit_clause,
  [424280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13971), 1,
      anon_sym_RPAREN,
    STATE(17737), 1,
      sym_limit_clause,
  [424293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13973), 1,
      anon_sym_RPAREN,
    STATE(18357), 1,
      sym_limit_clause,
  [424306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13975), 1,
      anon_sym_RPAREN,
    STATE(17676), 1,
      sym_limit_clause,
  [424319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2733), 1,
      sym__identifier,
    ACTIONS(13977), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [424330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10074), 1,
      anon_sym_RPAREN,
    STATE(17084), 1,
      sym_limit_clause,
  [424343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11953), 1,
      anon_sym_RPAREN,
    STATE(17677), 1,
      sym_limit_clause,
  [424356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11947), 1,
      anon_sym_RPAREN,
    STATE(17742), 1,
      sym_limit_clause,
  [424369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13979), 1,
      anon_sym_RPAREN,
    STATE(17678), 1,
      sym_limit_clause,
  [424382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13981), 1,
      anon_sym_RPAREN,
    STATE(18993), 1,
      sym_limit_clause,
  [424395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10090), 1,
      anon_sym_RPAREN,
    STATE(17081), 1,
      sym_limit_clause,
  [424408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13983), 1,
      anon_sym_RPAREN,
    STATE(17744), 1,
      sym_limit_clause,
  [424421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13985), 1,
      anon_sym_RPAREN,
    STATE(18994), 1,
      sym_limit_clause,
  [424434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(13987), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [424447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13989), 1,
      anon_sym_LPAREN,
    ACTIONS(13991), 1,
      aux_sym_unpivot_operator_token2,
    ACTIONS(13993), 1,
      aux_sym_unpivot_operator_token3,
  [424460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13995), 1,
      anon_sym_RPAREN,
    STATE(18356), 1,
      sym_limit_clause,
  [424473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(13997), 1,
      anon_sym_RPAREN,
    STATE(18995), 1,
      sym_limit_clause,
  [424486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(13999), 1,
      anon_sym_RPAREN,
    STATE(15273), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [424499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(6836), 1,
      sym_constraint_enfoce_option,
  [424512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14001), 1,
      anon_sym_RPAREN,
    STATE(17682), 1,
      sym_limit_clause,
  [424525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14003), 1,
      anon_sym_RPAREN,
    STATE(18996), 1,
      sym_limit_clause,
  [424538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14005), 1,
      anon_sym_RPAREN,
    STATE(16501), 1,
      sym_limit_clause,
  [424551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11937), 1,
      anon_sym_RPAREN,
    STATE(17076), 1,
      sym_limit_clause,
  [424564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14007), 1,
      anon_sym_RPAREN,
    STATE(17683), 1,
      sym_limit_clause,
  [424577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(6837), 1,
      sym_constraint_enfoce_option,
  [424590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    STATE(17075), 1,
      sym_limit_clause,
  [424603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14009), 1,
      anon_sym_RPAREN,
    STATE(18355), 1,
      sym_limit_clause,
  [424616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14011), 1,
      anon_sym_RPAREN,
    STATE(17753), 1,
      sym_limit_clause,
  [424629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14013), 1,
      anon_sym_RPAREN,
    STATE(18354), 1,
      sym_limit_clause,
  [424642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14015), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [424655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10116), 1,
      anon_sym_RPAREN,
    STATE(17074), 1,
      sym_limit_clause,
  [424668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14017), 1,
      anon_sym_RPAREN,
    STATE(17688), 1,
      sym_limit_clause,
  [424681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14019), 1,
      anon_sym_RPAREN,
    STATE(19002), 1,
      sym_limit_clause,
  [424694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14021), 1,
      anon_sym_RPAREN,
    STATE(19003), 1,
      sym_limit_clause,
  [424707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10118), 1,
      anon_sym_RPAREN,
    STATE(17070), 1,
      sym_limit_clause,
  [424720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14023), 1,
      anon_sym_RPAREN,
    STATE(17754), 1,
      sym_limit_clause,
  [424733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14025), 1,
      anon_sym_RPAREN,
    STATE(17690), 1,
      sym_limit_clause,
  [424746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14027), 1,
      anon_sym_RPAREN,
    STATE(19004), 1,
      sym_limit_clause,
  [424759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14029), 1,
      anon_sym_RPAREN,
    STATE(19029), 1,
      sym_limit_clause,
  [424772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14031), 1,
      anon_sym_RPAREN,
    STATE(17068), 1,
      sym_limit_clause,
  [424785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14033), 1,
      anon_sym_RPAREN,
    STATE(17755), 1,
      sym_limit_clause,
  [424798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14035), 1,
      anon_sym_RPAREN,
    STATE(17692), 1,
      sym_limit_clause,
  [424811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14037), 1,
      anon_sym_RPAREN,
    STATE(16502), 1,
      sym_limit_clause,
  [424824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10080), 1,
      anon_sym_RPAREN,
    STATE(16574), 1,
      sym_limit_clause,
  [424837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14039), 1,
      anon_sym_RPAREN,
    STATE(17063), 1,
      sym_limit_clause,
  [424850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(14041), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [424863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14043), 1,
      anon_sym_RPAREN,
    STATE(17697), 1,
      sym_limit_clause,
  [424876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14045), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [424889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14047), 1,
      anon_sym_RPAREN,
    STATE(19170), 1,
      sym_limit_clause,
  [424902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14049), 1,
      anon_sym_RPAREN,
    STATE(19242), 1,
      sym_limit_clause,
  [424915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14051), 1,
      anon_sym_COMMA,
    ACTIONS(14054), 1,
      anon_sym_RPAREN,
    STATE(15276), 1,
      aux_sym_create_table_parameters_repeat1,
  [424928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11909), 1,
      anon_sym_RPAREN,
    STATE(17698), 1,
      sym_limit_clause,
  [424941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14056), 1,
      anon_sym_RPAREN,
    STATE(19008), 1,
      sym_limit_clause,
  [424954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14058), 1,
      anon_sym_RPAREN,
    STATE(19010), 1,
      sym_limit_clause,
  [424967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14060), 1,
      anon_sym_RPAREN,
    STATE(17057), 1,
      sym_limit_clause,
  [424980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10070), 1,
      anon_sym_RPAREN,
    STATE(16577), 1,
      sym_limit_clause,
  [424993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11899), 1,
      anon_sym_RPAREN,
    STATE(17056), 1,
      sym_limit_clause,
  [425006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14062), 1,
      anon_sym_RPAREN,
    STATE(17764), 1,
      sym_limit_clause,
  [425019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14064), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [425032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10132), 1,
      anon_sym_RPAREN,
    STATE(17055), 1,
      sym_limit_clause,
  [425045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14066), 1,
      anon_sym_RPAREN,
    STATE(17702), 1,
      sym_limit_clause,
  [425058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14068), 1,
      anon_sym_RPAREN,
    STATE(19011), 1,
      sym_limit_clause,
  [425071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14070), 1,
      anon_sym_RPAREN,
    STATE(17765), 1,
      sym_limit_clause,
  [425084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14072), 1,
      anon_sym_RPAREN,
    STATE(19168), 1,
      sym_limit_clause,
  [425097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14074), 1,
      anon_sym_RPAREN,
    STATE(17053), 1,
      sym_limit_clause,
  [425110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9747), 1,
      anon_sym_RPAREN,
    STATE(18050), 1,
      sym_limit_clause,
  [425123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9259), 1,
      aux_sym__keyword_column_token1,
    ACTIONS(14076), 1,
      aux_sym_primary_key_token1,
    ACTIONS(14078), 1,
      aux_sym_add_foreign_key_action_token1,
  [425136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14080), 1,
      anon_sym_RPAREN,
    STATE(15284), 1,
      aux_sym_pivot_operator_repeat2,
  [425149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11891), 1,
      anon_sym_RPAREN,
    STATE(17049), 1,
      sym_limit_clause,
  [425162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10236), 1,
      anon_sym_RPAREN,
    STATE(17705), 1,
      sym_limit_clause,
  [425175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14082), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [425188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14084), 1,
      anon_sym_RPAREN,
    STATE(17048), 1,
      sym_limit_clause,
  [425201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14086), 1,
      anon_sym_RPAREN,
    STATE(17766), 1,
      sym_limit_clause,
  [425214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11889), 1,
      anon_sym_RPAREN,
    STATE(17707), 1,
      sym_limit_clause,
  [425227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      anon_sym_LPAREN,
    ACTIONS(14090), 1,
      aux_sym_unpivot_operator_token2,
    ACTIONS(14092), 1,
      aux_sym_unpivot_operator_token3,
  [425240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14094), 1,
      anon_sym_RPAREN,
    STATE(19012), 1,
      sym_limit_clause,
  [425253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14096), 1,
      anon_sym_RPAREN,
    STATE(19013), 1,
      sym_limit_clause,
  [425266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14098), 1,
      anon_sym_RPAREN,
    STATE(17044), 1,
      sym_limit_clause,
  [425279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(12884), 1,
      sym_constraint_enfoce_option,
  [425292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14100), 1,
      anon_sym_RPAREN,
    STATE(16970), 1,
      sym_limit_clause,
  [425305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14102), 1,
      anon_sym_RPAREN,
    STATE(19014), 1,
      sym_limit_clause,
  [425318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14104), 1,
      anon_sym_RPAREN,
    STATE(17040), 1,
      sym_limit_clause,
  [425331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11881), 1,
      anon_sym_RPAREN,
    STATE(17767), 1,
      sym_limit_clause,
  [425344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14106), 1,
      anon_sym_RPAREN,
    STATE(17708), 1,
      sym_limit_clause,
  [425357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(12885), 1,
      sym_constraint_enfoce_option,
  [425370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14108), 1,
      anon_sym_RPAREN,
    STATE(18351), 1,
      sym_limit_clause,
  [425383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14110), 1,
      anon_sym_RPAREN,
    STATE(15296), 1,
      aux_sym_pivot_operator_repeat2,
  [425396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14112), 1,
      anon_sym_RPAREN,
    STATE(17035), 1,
      sym_limit_clause,
  [425409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14114), 1,
      anon_sym_RPAREN,
    STATE(18350), 1,
      sym_limit_clause,
  [425422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14116), 1,
      anon_sym_RPAREN,
    STATE(17034), 1,
      sym_limit_clause,
  [425435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14118), 1,
      anon_sym_RPAREN,
    STATE(17769), 1,
      sym_limit_clause,
  [425448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14120), 1,
      anon_sym_RPAREN,
    STATE(19021), 1,
      sym_limit_clause,
  [425461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14122), 1,
      anon_sym_RPAREN,
    STATE(18137), 1,
      sym_limit_clause,
  [425474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11871), 1,
      anon_sym_RPAREN,
    STATE(19024), 1,
      sym_limit_clause,
  [425487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14124), 1,
      anon_sym_RPAREN,
    STATE(19025), 1,
      sym_limit_clause,
  [425500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14126), 1,
      anon_sym_RPAREN,
    STATE(17031), 1,
      sym_limit_clause,
  [425513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9749), 1,
      anon_sym_RPAREN,
    STATE(18049), 1,
      sym_limit_clause,
  [425526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11865), 1,
      anon_sym_RPAREN,
    STATE(17030), 1,
      sym_limit_clause,
  [425539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14128), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [425552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14130), 1,
      anon_sym_RPAREN,
    STATE(16505), 1,
      sym_limit_clause,
  [425565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14132), 1,
      anon_sym_RPAREN,
    STATE(17029), 1,
      sym_limit_clause,
  [425578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14134), 1,
      anon_sym_RPAREN,
    STATE(17715), 1,
      sym_limit_clause,
  [425591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14136), 1,
      anon_sym_RPAREN,
    STATE(18192), 1,
      sym_limit_clause,
  [425604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14138), 1,
      anon_sym_RPAREN,
    STATE(19028), 1,
      sym_limit_clause,
  [425617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14140), 1,
      anon_sym_RPAREN,
    STATE(16506), 1,
      sym_limit_clause,
  [425630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10064), 1,
      anon_sym_RPAREN,
    STATE(16587), 1,
      sym_limit_clause,
  [425643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14142), 1,
      anon_sym_RPAREN,
    STATE(17025), 1,
      sym_limit_clause,
  [425656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14144), 1,
      anon_sym_RPAREN,
    STATE(17720), 1,
      sym_limit_clause,
  [425669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14146), 1,
      anon_sym_RPAREN,
    STATE(17024), 1,
      sym_limit_clause,
  [425682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8118), 1,
      sym__function_body_js,
    STATE(8250), 1,
      sym_string,
  [425695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14148), 1,
      anon_sym_RPAREN,
    STATE(17023), 1,
      sym_limit_clause,
  [425708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14150), 1,
      anon_sym_RPAREN,
    STATE(16507), 1,
      sym_limit_clause,
  [425721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14152), 1,
      anon_sym_RPAREN,
    STATE(18108), 1,
      sym_limit_clause,
  [425734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
    STATE(17022), 1,
      sym_limit_clause,
  [425747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14156), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14158), 1,
      aux_sym__keyword_and_token1,
    STATE(1002), 1,
      sym__keyword_and,
  [425760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14160), 1,
      anon_sym_RPAREN,
    STATE(17021), 1,
      sym_limit_clause,
  [425773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14162), 1,
      anon_sym_RPAREN,
    STATE(17782), 1,
      sym_limit_clause,
  [425786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14164), 1,
      anon_sym_RPAREN,
    STATE(17020), 1,
      sym_limit_clause,
  [425799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9759), 1,
      anon_sym_RPAREN,
    STATE(18046), 1,
      sym_limit_clause,
  [425812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10250), 1,
      anon_sym_RPAREN,
    STATE(17725), 1,
      sym_limit_clause,
  [425825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14166), 1,
      anon_sym_COMMA,
    ACTIONS(14169), 1,
      anon_sym_RPAREN,
    STATE(15346), 1,
      aux_sym_create_function_parameters_repeat1,
  [425838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8111), 1,
      sym__function_body_js,
    STATE(8250), 1,
      sym_string,
  [425851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14171), 1,
      anon_sym_RPAREN,
    STATE(16508), 1,
      sym_limit_clause,
  [425864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14173), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14175), 1,
      aux_sym__keyword_and_token1,
    STATE(1806), 1,
      sym__keyword_and,
  [425877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14177), 1,
      anon_sym_RPAREN,
    STATE(17017), 1,
      sym_limit_clause,
  [425890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14179), 1,
      anon_sym_RPAREN,
    STATE(19154), 1,
      sym_limit_clause,
  [425903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14181), 1,
      anon_sym_RPAREN,
    STATE(17016), 1,
      sym_limit_clause,
  [425916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14183), 1,
      anon_sym_COMMA,
    ACTIONS(14186), 1,
      anon_sym_GT,
    STATE(15353), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [425929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14188), 1,
      anon_sym_RPAREN,
    STATE(17015), 1,
      sym_limit_clause,
  [425942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14190), 1,
      anon_sym_RPAREN,
    STATE(17778), 1,
      sym_limit_clause,
  [425955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11269), 1,
      anon_sym_RPAREN,
    STATE(18142), 1,
      sym_limit_clause,
  [425968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14192), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [425981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14194), 1,
      anon_sym_COMMA,
    ACTIONS(14197), 1,
      anon_sym_RPAREN,
    STATE(15358), 1,
      aux_sym_procedure_parameters_repeat1,
  [425994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10262), 1,
      anon_sym_RPAREN,
    STATE(17730), 1,
      sym_limit_clause,
  [426007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14199), 1,
      anon_sym_RPAREN,
    STATE(16511), 1,
      sym_limit_clause,
  [426020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9873), 1,
      anon_sym_RPAREN,
    STATE(17484), 1,
      sym_limit_clause,
  [426033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14201), 1,
      anon_sym_COMMA,
    ACTIONS(14204), 1,
      anon_sym_RPAREN,
    STATE(15362), 1,
      aux_sym_column_type_repeat1,
  [426046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14206), 1,
      anon_sym_RPAREN,
    STATE(19033), 1,
      sym_limit_clause,
  [426059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14208), 1,
      anon_sym_RPAREN,
    STATE(17010), 1,
      sym_limit_clause,
  [426072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10510), 1,
      sym__string_content,
    ACTIONS(10512), 1,
      sym__string_end,
    STATE(15405), 1,
      aux_sym_string_repeat1,
  [426085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14210), 1,
      anon_sym_RPAREN,
    STATE(19035), 1,
      sym_limit_clause,
  [426098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14212), 1,
      anon_sym_RPAREN,
    STATE(17009), 1,
      sym_limit_clause,
  [426111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14214), 1,
      anon_sym_RPAREN,
    STATE(16512), 1,
      sym_limit_clause,
  [426124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14216), 1,
      anon_sym_RPAREN,
    STATE(17008), 1,
      sym_limit_clause,
  [426137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10266), 1,
      anon_sym_RPAREN,
    STATE(17731), 1,
      sym_limit_clause,
  [426150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14218), 1,
      anon_sym_RPAREN,
    STATE(17005), 1,
      sym_limit_clause,
  [426163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14220), 1,
      anon_sym_RPAREN,
    STATE(17780), 1,
      sym_limit_clause,
  [426176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11831), 1,
      anon_sym_RPAREN,
    STATE(17733), 1,
      sym_limit_clause,
  [426189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14222), 1,
      anon_sym_RPAREN,
    STATE(16514), 1,
      sym_limit_clause,
  [426202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14224), 1,
      anon_sym_RPAREN,
    STATE(19152), 1,
      sym_limit_clause,
  [426215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14226), 1,
      anon_sym_RPAREN,
    STATE(19037), 1,
      sym_limit_clause,
  [426228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14228), 1,
      anon_sym_RPAREN,
    STATE(19150), 1,
      sym_limit_clause,
  [426241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14230), 1,
      anon_sym_RPAREN,
    STATE(17781), 1,
      sym_limit_clause,
  [426254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14232), 1,
      anon_sym_RPAREN,
    STATE(19169), 1,
      sym_limit_clause,
  [426267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14234), 1,
      anon_sym_RPAREN,
    STATE(18193), 1,
      sym_limit_clause,
  [426280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14236), 1,
      anon_sym_RPAREN,
    STATE(16990), 1,
      sym_limit_clause,
  [426293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14238), 1,
      anon_sym_RPAREN,
    STATE(15590), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [426306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14240), 1,
      anon_sym_RPAREN,
    STATE(16986), 1,
      sym_limit_clause,
  [426319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14242), 1,
      anon_sym_RPAREN,
    STATE(15324), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [426332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14244), 1,
      anon_sym_RPAREN,
    STATE(16518), 1,
      sym_limit_clause,
  [426345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14246), 1,
      anon_sym_RPAREN,
    STATE(19041), 1,
      sym_limit_clause,
  [426358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14248), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [426367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14250), 1,
      anon_sym_RPAREN,
    STATE(16983), 1,
      sym_limit_clause,
  [426380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14252), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [426389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14254), 1,
      anon_sym_RPAREN,
    STATE(16981), 1,
      sym_limit_clause,
  [426402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14256), 1,
      anon_sym_RPAREN,
    STATE(15433), 1,
      aux_sym_struct_repeat1,
  [426415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14260), 1,
      anon_sym_GT,
    STATE(15353), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [426428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14262), 1,
      anon_sym_RPAREN,
    STATE(16519), 1,
      sym_limit_clause,
  [426441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14264), 1,
      anon_sym_RPAREN,
    STATE(16522), 1,
      sym_limit_clause,
  [426454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14266), 1,
      anon_sym_RPAREN,
    STATE(17042), 1,
      sym_limit_clause,
  [426467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14268), 1,
      anon_sym_RPAREN,
    STATE(17041), 1,
      sym_limit_clause,
  [426480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14270), 1,
      anon_sym_RPAREN,
    STATE(16980), 1,
      sym_limit_clause,
  [426493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11813), 1,
      anon_sym_RPAREN,
    STATE(19045), 1,
      sym_limit_clause,
  [426506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14272), 1,
      anon_sym_RPAREN,
    STATE(16978), 1,
      sym_limit_clause,
  [426519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14274), 1,
      anon_sym_COMMA,
    ACTIONS(14276), 1,
      anon_sym_RPAREN,
    STATE(14599), 1,
      aux_sym_join_condition_repeat1,
  [426532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14278), 1,
      anon_sym_RPAREN,
    STATE(16760), 1,
      sym_limit_clause,
  [426545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11811), 1,
      anon_sym_RPAREN,
    STATE(16714), 1,
      sym_limit_clause,
  [426558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14280), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [426571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14282), 1,
      anon_sym_RPAREN,
    STATE(16757), 1,
      sym_limit_clause,
  [426584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(14284), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [426597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10304), 1,
      anon_sym_RPAREN,
    STATE(17741), 1,
      sym_limit_clause,
  [426610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14286), 1,
      anon_sym_RPAREN,
    STATE(17783), 1,
      sym_limit_clause,
  [426623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14288), 1,
      anon_sym_RPAREN,
    STATE(19049), 1,
      sym_limit_clause,
  [426636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14290), 1,
      anon_sym_RPAREN,
    STATE(15450), 1,
      aux_sym_struct_repeat1,
  [426649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14292), 1,
      sym__string_content,
    ACTIONS(14294), 1,
      sym__string_end,
    STATE(15411), 1,
      aux_sym_string_repeat1,
  [426662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(14296), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [426675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10308), 1,
      anon_sym_RPAREN,
    STATE(17746), 1,
      sym_limit_clause,
  [426688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14298), 1,
      anon_sym_RPAREN,
    STATE(16523), 1,
      sym_limit_clause,
  [426701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14300), 1,
      anon_sym_RPAREN,
    STATE(18147), 1,
      sym_limit_clause,
  [426714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
    STATE(19052), 1,
      sym_limit_clause,
  [426727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14302), 1,
      anon_sym_RPAREN,
    STATE(16524), 1,
      sym_limit_clause,
  [426740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14304), 1,
      anon_sym_RPAREN,
    STATE(14969), 1,
      aux_sym_pivot_operator_repeat2,
  [426753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14306), 1,
      anon_sym_RPAREN,
    STATE(16748), 1,
      sym_limit_clause,
  [426766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7340), 1,
      anon_sym_RPAREN,
    STATE(15429), 1,
      aux_sym_function_call_repeat1,
  [426779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10322), 1,
      anon_sym_RPAREN,
    STATE(17748), 1,
      sym_limit_clause,
  [426792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8048), 1,
      sym__function_body_js,
    STATE(8250), 1,
      sym_string,
  [426805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9745), 1,
      anon_sym_RPAREN,
    STATE(18076), 1,
      sym_limit_clause,
  [426818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10256), 1,
      anon_sym_RPAREN,
    STATE(16969), 1,
      sym_limit_clause,
  [426831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11791), 1,
      anon_sym_RPAREN,
    STATE(19054), 1,
      sym_limit_clause,
  [426844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(14308), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [426857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14310), 1,
      anon_sym_RPAREN,
    STATE(16525), 1,
      sym_limit_clause,
  [426870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14312), 1,
      anon_sym_RPAREN,
    STATE(19055), 1,
      sym_limit_clause,
  [426883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14314), 1,
      anon_sym_RPAREN,
    STATE(16747), 1,
      sym_limit_clause,
  [426896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14316), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [426909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7808), 1,
      sym__identifier,
    ACTIONS(14318), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [426920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14320), 1,
      anon_sym_RPAREN,
    STATE(16746), 1,
      sym_limit_clause,
  [426933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    STATE(16960), 1,
      sym_limit_clause,
  [426946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14322), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [426959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11299), 1,
      anon_sym_RPAREN,
    STATE(18040), 1,
      sym_limit_clause,
  [426972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9787), 1,
      anon_sym_RPAREN,
    STATE(17937), 1,
      sym_limit_clause,
  [426985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14324), 1,
      anon_sym_RPAREN,
    STATE(16745), 1,
      sym_limit_clause,
  [426998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10274), 1,
      anon_sym_RPAREN,
    STATE(16959), 1,
      sym_limit_clause,
  [427011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14326), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      aux_sym_option_clause_repeat1,
  [427024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3341), 1,
      sym__identifier,
    ACTIONS(14328), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [427035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14330), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [427048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14332), 1,
      anon_sym_RPAREN,
    STATE(16744), 1,
      sym_limit_clause,
  [427061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10276), 1,
      anon_sym_RPAREN,
    STATE(16953), 1,
      sym_limit_clause,
  [427074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14334), 1,
      sym__string_start,
    STATE(7578), 2,
      sym__range_string,
      sym_string,
  [427085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14336), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [427098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14338), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [427111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14340), 1,
      anon_sym_RPAREN,
    STATE(17788), 1,
      sym_limit_clause,
  [427124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14342), 1,
      anon_sym_RPAREN,
    STATE(16743), 1,
      sym_limit_clause,
  [427137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14344), 1,
      anon_sym_RPAREN,
    STATE(19063), 1,
      sym_limit_clause,
  [427150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14346), 1,
      anon_sym_RPAREN,
    STATE(17789), 1,
      sym_limit_clause,
  [427163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14348), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [427176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7269), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [427189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11779), 1,
      anon_sym_RPAREN,
    STATE(16947), 1,
      sym_limit_clause,
  [427202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7267), 1,
      anon_sym_RPAREN,
    STATE(15662), 1,
      aux_sym_function_call_repeat1,
  [427215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14348), 1,
      anon_sym_RPAREN,
    STATE(15493), 1,
      aux_sym_struct_repeat1,
  [427228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10280), 1,
      anon_sym_RPAREN,
    STATE(16943), 1,
      sym_limit_clause,
  [427241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
    STATE(17757), 1,
      sym_limit_clause,
  [427254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14350), 1,
      anon_sym_RPAREN,
    STATE(19070), 1,
      sym_limit_clause,
  [427267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9773), 1,
      anon_sym_RPAREN,
    STATE(18153), 1,
      sym_limit_clause,
  [427280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14352), 1,
      anon_sym_RPAREN,
    STATE(16738), 1,
      sym_limit_clause,
  [427293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
    STATE(16942), 1,
      sym_limit_clause,
  [427306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14354), 1,
      anon_sym_RPAREN,
    STATE(17790), 1,
      sym_limit_clause,
  [427319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10340), 1,
      anon_sym_RPAREN,
    STATE(18340), 1,
      sym_limit_clause,
  [427332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14356), 1,
      anon_sym_RPAREN,
    STATE(16737), 1,
      sym_limit_clause,
  [427345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
    STATE(16940), 1,
      sym_limit_clause,
  [427358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14358), 3,
      aux_sym__keyword_add_token1,
      aux_sym__keyword_drop_token1,
      aux_sym_set_statement_token1,
  [427367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10284), 1,
      anon_sym_RPAREN,
    STATE(19075), 1,
      sym_limit_clause,
  [427380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11063), 1,
      anon_sym_RPAREN,
    STATE(18156), 1,
      sym_limit_clause,
  [427393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14360), 1,
      anon_sym_RPAREN,
    STATE(16736), 1,
      sym_limit_clause,
  [427406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14362), 1,
      anon_sym_RPAREN,
    STATE(16938), 1,
      sym_limit_clause,
  [427419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10388), 1,
      anon_sym_RPAREN,
    STATE(18326), 1,
      sym_limit_clause,
  [427432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14364), 1,
      anon_sym_RPAREN,
    STATE(16531), 1,
      sym_limit_clause,
  [427445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14366), 1,
      anon_sym_RPAREN,
    STATE(18158), 1,
      sym_limit_clause,
  [427458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7312), 1,
      anon_sym_RPAREN,
    STATE(15444), 1,
      aux_sym_function_call_repeat1,
  [427471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14368), 1,
      anon_sym_RPAREN,
    STATE(16934), 1,
      sym_limit_clause,
  [427484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14370), 1,
      sym__string_start,
    STATE(10863), 2,
      sym__range_string,
      sym_string,
  [427495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7314), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [427508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
    STATE(19080), 1,
      sym_limit_clause,
  [427521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3970), 1,
      anon_sym_RPAREN,
    ACTIONS(14372), 1,
      anon_sym_COMMA,
    STATE(15478), 1,
      aux_sym__grouping_list_repeat1,
  [427534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9793), 1,
      anon_sym_RPAREN,
    STATE(18037), 1,
      sym_limit_clause,
  [427547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14256), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [427560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7322), 1,
      anon_sym_RPAREN,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [427573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14375), 1,
      anon_sym_RPAREN,
    STATE(16930), 1,
      sym_limit_clause,
  [427586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10296), 1,
      anon_sym_RPAREN,
    STATE(19082), 1,
      sym_limit_clause,
  [427599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11759), 1,
      anon_sym_RPAREN,
    STATE(16929), 1,
      sym_limit_clause,
  [427612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11307), 1,
      anon_sym_RPAREN,
    STATE(16532), 1,
      sym_limit_clause,
  [427625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14377), 1,
      anon_sym_COMMA,
    ACTIONS(14380), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      aux_sym_grouping_sets_repeat1,
  [427638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    STATE(16927), 1,
      sym_limit_clause,
  [427651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14382), 1,
      anon_sym_RPAREN,
    STATE(16534), 1,
      sym_limit_clause,
  [427664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(10853), 1,
      sym__identifier,
    ACTIONS(14384), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [427675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11757), 1,
      anon_sym_RPAREN,
    STATE(19083), 1,
      sym_limit_clause,
  [427688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COMMA,
    ACTIONS(14386), 1,
      anon_sym_RPAREN,
    STATE(15789), 1,
      aux_sym_grouping_sets_repeat1,
  [427701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14388), 1,
      anon_sym_RPAREN,
    STATE(16891), 1,
      sym_limit_clause,
  [427714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14390), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [427727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(14392), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [427740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COMMA,
    ACTIONS(14394), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      aux_sym_grouping_sets_repeat1,
  [427753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11751), 1,
      anon_sym_RPAREN,
    STATE(16910), 1,
      sym_limit_clause,
  [427766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14396), 1,
      anon_sym_RPAREN,
    STATE(17795), 1,
      sym_limit_clause,
  [427779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COMMA,
    ACTIONS(14398), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      aux_sym_grouping_sets_repeat1,
  [427792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14400), 1,
      anon_sym_RPAREN,
    STATE(16908), 1,
      sym_limit_clause,
  [427805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14402), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [427818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14404), 1,
      anon_sym_RPAREN,
    STATE(15480), 1,
      aux_sym_struct_repeat1,
  [427831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7356), 1,
      anon_sym_RPAREN,
    STATE(15581), 1,
      aux_sym_function_call_repeat1,
  [427844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(14406), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [427857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14408), 1,
      anon_sym_RPAREN,
    STATE(15438), 1,
      aux_sym_option_clause_repeat1,
  [427870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14410), 1,
      anon_sym_RPAREN,
    STATE(16895), 1,
      sym_limit_clause,
  [427883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14412), 1,
      anon_sym_RPAREN,
    STATE(17796), 1,
      sym_limit_clause,
  [427896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14414), 1,
      anon_sym_RPAREN,
    STATE(16894), 1,
      sym_limit_clause,
  [427909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14416), 1,
      anon_sym_RPAREN,
    STATE(16444), 1,
      sym_limit_clause,
  [427922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14418), 1,
      anon_sym_RPAREN,
    STATE(16892), 1,
      sym_limit_clause,
  [427935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14420), 1,
      anon_sym_RPAREN,
    STATE(16446), 1,
      sym_limit_clause,
  [427948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10358), 1,
      anon_sym_RPAREN,
    STATE(18335), 1,
      sym_limit_clause,
  [427961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14422), 1,
      anon_sym_RPAREN,
    STATE(15440), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [427974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14424), 1,
      anon_sym_COMMA,
    ACTIONS(14426), 1,
      anon_sym_RPAREN,
    STATE(15796), 1,
      aux_sym_multi_column_unpivot_repeat1,
  [427987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14428), 1,
      anon_sym_RPAREN,
    STATE(16535), 1,
      sym_limit_clause,
  [428000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14430), 1,
      anon_sym_RPAREN,
    STATE(16888), 1,
      sym_limit_clause,
  [428013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14432), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [428026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14434), 1,
      anon_sym_RPAREN,
    STATE(16886), 1,
      sym_limit_clause,
  [428039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14436), 1,
      anon_sym_RPAREN,
    STATE(16536), 1,
      sym_limit_clause,
  [428052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
    STATE(19094), 1,
      sym_limit_clause,
  [428065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10628), 1,
      sym__string_content,
    ACTIONS(10630), 1,
      sym__string_end,
    STATE(15503), 1,
      aux_sym_string_repeat1,
  [428078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14438), 1,
      anon_sym_RPAREN,
    STATE(17002), 1,
      sym_limit_clause,
  [428091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14440), 1,
      anon_sym_RPAREN,
    STATE(17001), 1,
      sym_limit_clause,
  [428104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14442), 1,
      anon_sym_RPAREN,
    STATE(16881), 1,
      sym_limit_clause,
  [428117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14444), 1,
      anon_sym_RPAREN,
    STATE(17000), 1,
      sym_limit_clause,
  [428130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11731), 1,
      anon_sym_RPAREN,
    STATE(16880), 1,
      sym_limit_clause,
  [428143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11313), 1,
      anon_sym_RPAREN,
    STATE(16662), 1,
      sym_limit_clause,
  [428156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14446), 1,
      anon_sym_RPAREN,
    STATE(16999), 1,
      sym_limit_clause,
  [428169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14448), 1,
      anon_sym_RPAREN,
    STATE(16879), 1,
      sym_limit_clause,
  [428182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14450), 1,
      anon_sym_RPAREN,
    STATE(15500), 1,
      aux_sym_pivot_operator_repeat2,
  [428195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14452), 1,
      anon_sym_RPAREN,
    STATE(19143), 1,
      sym_limit_clause,
  [428208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
    STATE(19097), 1,
      sym_limit_clause,
  [428221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10360), 1,
      anon_sym_RPAREN,
    STATE(18334), 1,
      sym_limit_clause,
  [428234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 3,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym__function_language_token1,
  [428243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14454), 1,
      anon_sym_RPAREN,
    STATE(16875), 1,
      sym_limit_clause,
  [428256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14456), 1,
      anon_sym_RPAREN,
    STATE(16994), 1,
      sym_limit_clause,
  [428269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14458), 1,
      anon_sym_RPAREN,
    STATE(16874), 1,
      sym_limit_clause,
  [428282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14460), 1,
      anon_sym_RPAREN,
    STATE(16993), 1,
      sym_limit_clause,
  [428295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14462), 1,
      anon_sym_RPAREN,
    STATE(16873), 1,
      sym_limit_clause,
  [428308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14464), 1,
      anon_sym_RPAREN,
    STATE(16992), 1,
      sym_limit_clause,
  [428321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14466), 1,
      anon_sym_RPAREN,
    STATE(16991), 1,
      sym_limit_clause,
  [428334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14468), 1,
      anon_sym_RPAREN,
    STATE(16872), 1,
      sym_limit_clause,
  [428347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14470), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [428360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14472), 1,
      anon_sym_RPAREN,
    STATE(16871), 1,
      sym_limit_clause,
  [428373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14474), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14476), 1,
      aux_sym__keyword_and_token1,
    STATE(1412), 1,
      sym__keyword_and,
  [428386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14478), 1,
      anon_sym_RPAREN,
    STATE(16869), 1,
      sym_limit_clause,
  [428399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 3,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym__function_language_token1,
  [428408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 3,
      aux_sym__keyword_returns_token1,
      aux_sym__keyword_as_token1,
      aux_sym__function_language_token1,
  [428417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9816), 1,
      anon_sym_RPAREN,
    STATE(18035), 1,
      sym_limit_clause,
  [428430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14480), 1,
      anon_sym_RPAREN,
    STATE(16542), 1,
      sym_limit_clause,
  [428443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(14482), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [428456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14484), 1,
      anon_sym_RPAREN,
    STATE(16543), 1,
      sym_limit_clause,
  [428469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14486), 1,
      anon_sym_RPAREN,
    STATE(16861), 1,
      sym_limit_clause,
  [428482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14488), 1,
      anon_sym_RPAREN,
    STATE(15802), 1,
      aux_sym_option_clause_repeat1,
  [428495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14490), 1,
      anon_sym_RPAREN,
    STATE(16860), 1,
      sym_limit_clause,
  [428508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      aux_sym__keyword_from_token1,
    STATE(7517), 1,
      sym_from_files_clause,
    STATE(17561), 1,
      sym__keyword_from,
  [428521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14492), 1,
      anon_sym_RPAREN,
    STATE(16858), 1,
      sym_limit_clause,
  [428534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14494), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [428547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10370), 1,
      anon_sym_RPAREN,
    STATE(18332), 1,
      sym_limit_clause,
  [428560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(14496), 1,
      anon_sym_RPAREN,
    STATE(15808), 1,
      aux_sym_declare_statement_repeat1,
  [428573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14498), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [428586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
    STATE(19101), 1,
      sym_limit_clause,
  [428599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10017), 1,
      anon_sym_RPAREN,
    STATE(16664), 1,
      sym_limit_clause,
  [428612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14500), 1,
      anon_sym_RPAREN,
    STATE(16544), 1,
      sym_limit_clause,
  [428625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(14502), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [428638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14504), 1,
      anon_sym_RPAREN,
    STATE(16854), 1,
      sym_limit_clause,
  [428651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9857), 1,
      anon_sym_RPAREN,
    STATE(18060), 1,
      sym_limit_clause,
  [428664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14506), 1,
      anon_sym_RPAREN,
    STATE(19140), 1,
      sym_limit_clause,
  [428677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14508), 1,
      anon_sym_RPAREN,
    STATE(16853), 1,
      sym_limit_clause,
  [428690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14510), 1,
      anon_sym_RPAREN,
    STATE(15557), 1,
      aux_sym_pivot_operator_repeat2,
  [428703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14512), 1,
      anon_sym_RPAREN,
    STATE(16852), 1,
      sym_limit_clause,
  [428716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14514), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [428729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14516), 1,
      anon_sym_RPAREN,
    STATE(16850), 1,
      sym_limit_clause,
  [428742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14518), 1,
      anon_sym_RPAREN,
    STATE(15665), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [428755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14520), 1,
      anon_sym_RPAREN,
    STATE(18032), 1,
      sym_limit_clause,
  [428768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1953), 1,
      sym__identifier,
    ACTIONS(14522), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [428779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14524), 1,
      sym__string_start,
    STATE(1951), 2,
      sym__range_string,
      sym_string,
  [428790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14526), 1,
      anon_sym_COMMA,
    ACTIONS(14528), 1,
      anon_sym_RPAREN,
    STATE(15933), 1,
      aux_sym_column_type_repeat1,
  [428803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14530), 1,
      anon_sym_GT,
    STATE(15937), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [428816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14532), 1,
      anon_sym_RPAREN,
    STATE(18170), 1,
      sym_limit_clause,
  [428829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(12973), 1,
      sym_constraint_enfoce_option,
  [428842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14534), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [428855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14536), 1,
      anon_sym_RPAREN,
    STATE(16847), 1,
      sym_limit_clause,
  [428868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14538), 1,
      anon_sym_RPAREN,
    STATE(18027), 1,
      sym_limit_clause,
  [428881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14540), 1,
      anon_sym_RPAREN,
    STATE(16846), 1,
      sym_limit_clause,
  [428894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14542), 1,
      anon_sym_RPAREN,
    STATE(16550), 1,
      sym_limit_clause,
  [428907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14544), 1,
      anon_sym_RPAREN,
    STATE(19139), 1,
      sym_limit_clause,
  [428920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11703), 1,
      anon_sym_RPAREN,
    STATE(18327), 1,
      sym_limit_clause,
  [428933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
    STATE(19108), 1,
      sym_limit_clause,
  [428946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14546), 1,
      anon_sym_RPAREN,
    STATE(16845), 1,
      sym_limit_clause,
  [428959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14548), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [428972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14550), 1,
      anon_sym_RPAREN,
    STATE(16844), 1,
      sym_limit_clause,
  [428985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11329), 1,
      anon_sym_RPAREN,
    STATE(16551), 1,
      sym_limit_clause,
  [428998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14552), 1,
      anon_sym_RPAREN,
    STATE(15571), 1,
      aux_sym_struct_repeat1,
  [429011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8250), 1,
      sym_string,
    STATE(8277), 1,
      sym__function_body_js,
  [429024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
    STATE(16667), 1,
      sym_limit_clause,
  [429037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14554), 1,
      anon_sym_RPAREN,
    STATE(18185), 1,
      sym_limit_clause,
  [429050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_COMMA,
    ACTIONS(14556), 1,
      anon_sym_GT,
    STATE(14373), 1,
      aux_sym__type_struct_repeat1,
  [429063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14558), 1,
      anon_sym_RPAREN,
    STATE(16843), 1,
      sym_limit_clause,
  [429076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8250), 1,
      sym_string,
    STATE(8280), 1,
      sym__function_body_js,
  [429089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14560), 1,
      anon_sym_RPAREN,
    STATE(16842), 1,
      sym_limit_clause,
  [429102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7354), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [429115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9883), 1,
      anon_sym_RPAREN,
    STATE(18067), 1,
      sym_limit_clause,
  [429128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14552), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [429141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14562), 1,
      anon_sym_RPAREN,
    STATE(16555), 1,
      sym_limit_clause,
  [429154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
    STATE(18051), 1,
      sym_limit_clause,
  [429167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10540), 1,
      sym__string_content,
    ACTIONS(10542), 1,
      sym__string_end,
    STATE(14933), 1,
      aux_sym_string_repeat1,
  [429180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14564), 1,
      anon_sym_RPAREN,
    STATE(15603), 1,
      aux_sym_struct_repeat1,
  [429193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14566), 1,
      anon_sym_RPAREN,
    STATE(17797), 1,
      sym_limit_clause,
  [429206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(14568), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [429219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14570), 1,
      anon_sym_RPAREN,
    STATE(17798), 1,
      sym_limit_clause,
  [429232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14572), 1,
      anon_sym_RPAREN,
    STATE(19138), 1,
      sym_limit_clause,
  [429245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14574), 1,
      anon_sym_RPAREN,
    STATE(18022), 1,
      sym_limit_clause,
  [429258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
    STATE(16563), 1,
      sym_limit_clause,
  [429271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14576), 1,
      anon_sym_RPAREN,
    STATE(17803), 1,
      sym_limit_clause,
  [429284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14578), 1,
      anon_sym_RPAREN,
    STATE(19147), 1,
      sym_limit_clause,
  [429297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10474), 1,
      sym__string_content,
    ACTIONS(10476), 1,
      sym__string_end,
    STATE(15609), 1,
      aux_sym_string_repeat1,
  [429310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7348), 1,
      anon_sym_RPAREN,
    STATE(15627), 1,
      aux_sym_function_call_repeat1,
  [429323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14580), 1,
      anon_sym_RPAREN,
    STATE(17804), 1,
      sym_limit_clause,
  [429336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14582), 1,
      anon_sym_RPAREN,
    STATE(17775), 1,
      sym_limit_clause,
  [429349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11341), 1,
      anon_sym_RPAREN,
    STATE(16565), 1,
      sym_limit_clause,
  [429362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10382), 1,
      anon_sym_RPAREN,
    STATE(16837), 1,
      sym_limit_clause,
  [429375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14584), 1,
      anon_sym_RPAREN,
    STATE(17805), 1,
      sym_limit_clause,
  [429388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14586), 1,
      anon_sym_RPAREN,
    STATE(17776), 1,
      sym_limit_clause,
  [429401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14588), 1,
      anon_sym_RPAREN,
    STATE(17806), 1,
      sym_limit_clause,
  [429414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14590), 1,
      anon_sym_RPAREN,
    STATE(17807), 1,
      sym_limit_clause,
  [429427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14592), 1,
      anon_sym_RPAREN,
    STATE(17808), 1,
      sym_limit_clause,
  [429440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14594), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [429453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8250), 1,
      sym_string,
    STATE(8331), 1,
      sym__function_body_js,
  [429466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10394), 1,
      anon_sym_RPAREN,
    STATE(16833), 1,
      sym_limit_clause,
  [429479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9631), 1,
      anon_sym_RPAREN,
    STATE(16677), 1,
      sym_limit_clause,
  [429492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
    STATE(18324), 1,
      sym_limit_clause,
  [429505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14596), 1,
      anon_sym_RPAREN,
    STATE(17777), 1,
      sym_limit_clause,
  [429518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14598), 1,
      anon_sym_RPAREN,
    STATE(16566), 1,
      sym_limit_clause,
  [429531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10398), 1,
      anon_sym_RPAREN,
    STATE(16832), 1,
      sym_limit_clause,
  [429544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14600), 1,
      anon_sym_RPAREN,
    STATE(17785), 1,
      sym_limit_clause,
  [429557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10396), 1,
      anon_sym_RPAREN,
    STATE(17483), 1,
      sym_limit_clause,
  [429570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10406), 1,
      anon_sym_RPAREN,
    STATE(18322), 1,
      sym_limit_clause,
  [429583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14602), 1,
      anon_sym_RPAREN,
    STATE(17787), 1,
      sym_limit_clause,
  [429596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10400), 1,
      anon_sym_RPAREN,
    STATE(16830), 1,
      sym_limit_clause,
  [429609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10402), 1,
      anon_sym_RPAREN,
    STATE(17486), 1,
      sym_limit_clause,
  [429622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14604), 1,
      anon_sym_RPAREN,
    STATE(17792), 1,
      sym_limit_clause,
  [429635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14606), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [429648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14608), 1,
      anon_sym_RPAREN,
    STATE(18313), 1,
      sym_limit_clause,
  [429661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(14610), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [429674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14612), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [429687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7118), 1,
      sym__identifier,
    ACTIONS(14614), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [429698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11345), 1,
      anon_sym_RPAREN,
    STATE(18020), 1,
      sym_limit_clause,
  [429711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9911), 1,
      anon_sym_RPAREN,
    STATE(18019), 1,
      sym_limit_clause,
  [429724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11681), 1,
      anon_sym_RPAREN,
    STATE(16826), 1,
      sym_limit_clause,
  [429737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14616), 1,
      anon_sym_RPAREN,
    STATE(17802), 1,
      sym_limit_clause,
  [429750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14618), 1,
      sym__string_start,
    STATE(7111), 2,
      sym__range_string,
      sym_string,
  [429761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10412), 1,
      anon_sym_RPAREN,
    STATE(16785), 1,
      sym_limit_clause,
  [429774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14620), 1,
      anon_sym_RPAREN,
    STATE(17773), 1,
      sym_limit_clause,
  [429787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14622), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [429800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14624), 1,
      anon_sym_RPAREN,
    STATE(17810), 1,
      sym_limit_clause,
  [429813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9905), 1,
      anon_sym_RPAREN,
    STATE(18200), 1,
      sym_limit_clause,
  [429826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10418), 1,
      anon_sym_RPAREN,
    STATE(16824), 1,
      sym_limit_clause,
  [429839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_COMMA,
    ACTIONS(14556), 1,
      anon_sym_GT,
    STATE(14375), 1,
      aux_sym__type_struct_repeat1,
  [429852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14626), 1,
      anon_sym_RPAREN,
    STATE(16576), 1,
      sym_limit_clause,
  [429865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14628), 1,
      anon_sym_RPAREN,
    STATE(17811), 1,
      sym_limit_clause,
  [429878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10422), 1,
      anon_sym_RPAREN,
    STATE(16822), 1,
      sym_limit_clause,
  [429891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14630), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [429904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14632), 1,
      anon_sym_RPAREN,
    STATE(18308), 1,
      sym_limit_clause,
  [429917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14634), 1,
      anon_sym_COMMA,
    ACTIONS(14637), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [429930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14639), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [429943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14641), 1,
      anon_sym_RPAREN,
    STATE(16820), 1,
      sym_limit_clause,
  [429956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14643), 1,
      anon_sym_RPAREN,
    STATE(17817), 1,
      sym_limit_clause,
  [429969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14645), 1,
      anon_sym_RPAREN,
    STATE(18300), 1,
      sym_limit_clause,
  [429982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14647), 1,
      anon_sym_RPAREN,
    STATE(17818), 1,
      sym_limit_clause,
  [429995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14649), 1,
      anon_sym_RPAREN,
    STATE(18017), 1,
      sym_limit_clause,
  [430008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14651), 1,
      anon_sym_RPAREN,
    STATE(16813), 1,
      sym_limit_clause,
  [430021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14653), 1,
      anon_sym_RPAREN,
    STATE(17819), 1,
      sym_limit_clause,
  [430034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11663), 1,
      anon_sym_RPAREN,
    STATE(18299), 1,
      sym_limit_clause,
  [430047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10428), 1,
      anon_sym_RPAREN,
    STATE(18298), 1,
      sym_limit_clause,
  [430060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10432), 1,
      anon_sym_RPAREN,
    STATE(17852), 1,
      sym_limit_clause,
  [430073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14655), 1,
      anon_sym_RPAREN,
    STATE(17823), 1,
      sym_limit_clause,
  [430086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14657), 1,
      anon_sym_RPAREN,
    STATE(17824), 1,
      sym_limit_clause,
  [430099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14659), 1,
      anon_sym_RPAREN,
    STATE(17825), 1,
      sym_limit_clause,
  [430112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14661), 1,
      anon_sym_RPAREN,
    STATE(16804), 1,
      sym_limit_clause,
  [430125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14663), 1,
      anon_sym_RPAREN,
    STATE(18296), 1,
      sym_limit_clause,
  [430138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11653), 1,
      anon_sym_RPAREN,
    STATE(16802), 1,
      sym_limit_clause,
  [430151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14665), 1,
      anon_sym_RPAREN,
    STATE(17826), 1,
      sym_limit_clause,
  [430164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
    STATE(18048), 1,
      sym_limit_clause,
  [430177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10416), 1,
      anon_sym_RPAREN,
    STATE(16800), 1,
      sym_limit_clause,
  [430190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10404), 1,
      anon_sym_RPAREN,
    STATE(17869), 1,
      sym_limit_clause,
  [430203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14667), 1,
      anon_sym_RPAREN,
    STATE(17827), 1,
      sym_limit_clause,
  [430216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14669), 1,
      anon_sym_RPAREN,
    STATE(17828), 1,
      sym_limit_clause,
  [430229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14671), 1,
      anon_sym_RPAREN,
    STATE(17832), 1,
      sym_limit_clause,
  [430242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14673), 1,
      anon_sym_RPAREN,
    STATE(16795), 1,
      sym_limit_clause,
  [430255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10392), 1,
      anon_sym_RPAREN,
    STATE(17872), 1,
      sym_limit_clause,
  [430268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11639), 1,
      anon_sym_RPAREN,
    STATE(17833), 1,
      sym_limit_clause,
  [430281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14675), 1,
      anon_sym_RPAREN,
    STATE(18289), 1,
      sym_limit_clause,
  [430294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11629), 1,
      anon_sym_RPAREN,
    STATE(16789), 1,
      sym_limit_clause,
  [430307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14677), 1,
      anon_sym_RPAREN,
    STATE(17835), 1,
      sym_limit_clause,
  [430320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14679), 1,
      anon_sym_RPAREN,
    STATE(18285), 1,
      sym_limit_clause,
  [430333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14681), 1,
      anon_sym_RPAREN,
    STATE(16788), 1,
      sym_limit_clause,
  [430346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10376), 1,
      anon_sym_RPAREN,
    STATE(17881), 1,
      sym_limit_clause,
  [430359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14683), 1,
      anon_sym_RPAREN,
    STATE(17839), 1,
      sym_limit_clause,
  [430372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14685), 1,
      anon_sym_RPAREN,
    STATE(17840), 1,
      sym_limit_clause,
  [430385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14687), 1,
      anon_sym_RPAREN,
    STATE(18284), 1,
      sym_limit_clause,
  [430398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14689), 1,
      anon_sym_RPAREN,
    STATE(16581), 1,
      sym_limit_clause,
  [430411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14691), 1,
      anon_sym_RPAREN,
    STATE(16782), 1,
      sym_limit_clause,
  [430424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14693), 1,
      anon_sym_RPAREN,
    STATE(16925), 1,
      sym_limit_clause,
  [430437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14695), 1,
      anon_sym_RPAREN,
    STATE(16779), 1,
      sym_limit_clause,
  [430450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14697), 1,
      anon_sym_RPAREN,
    STATE(16924), 1,
      sym_limit_clause,
  [430463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14699), 1,
      anon_sym_RPAREN,
    STATE(16778), 1,
      sym_limit_clause,
  [430476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14701), 1,
      anon_sym_RPAREN,
    STATE(18283), 1,
      sym_limit_clause,
  [430489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14703), 1,
      anon_sym_RPAREN,
    STATE(17844), 1,
      sym_limit_clause,
  [430502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14705), 1,
      anon_sym_RPAREN,
    STATE(17846), 1,
      sym_limit_clause,
  [430515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14707), 1,
      anon_sym_RPAREN,
    STATE(16923), 1,
      sym_limit_clause,
  [430528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11607), 1,
      anon_sym_RPAREN,
    STATE(17895), 1,
      sym_limit_clause,
  [430541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14709), 1,
      anon_sym_RPAREN,
    STATE(16771), 1,
      sym_limit_clause,
  [430554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14711), 1,
      anon_sym_RPAREN,
    STATE(17847), 1,
      sym_limit_clause,
  [430567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14713), 1,
      anon_sym_RPAREN,
    STATE(16770), 1,
      sym_limit_clause,
  [430580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14715), 1,
      anon_sym_RPAREN,
    STATE(16918), 1,
      sym_limit_clause,
  [430593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10352), 1,
      anon_sym_RPAREN,
    STATE(17897), 1,
      sym_limit_clause,
  [430606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14717), 1,
      anon_sym_RPAREN,
    STATE(17853), 1,
      sym_limit_clause,
  [430619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14719), 1,
      anon_sym_RPAREN,
    STATE(16917), 1,
      sym_limit_clause,
  [430632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14721), 1,
      anon_sym_RPAREN,
    STATE(16916), 1,
      sym_limit_clause,
  [430645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14723), 1,
      anon_sym_RPAREN,
    STATE(16768), 1,
      sym_limit_clause,
  [430658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14725), 1,
      anon_sym_RPAREN,
    STATE(16915), 1,
      sym_limit_clause,
  [430671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11595), 1,
      anon_sym_RPAREN,
    STATE(16767), 1,
      sym_limit_clause,
  [430684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11597), 1,
      anon_sym_RPAREN,
    STATE(17854), 1,
      sym_limit_clause,
  [430697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14727), 1,
      anon_sym_RPAREN,
    STATE(16914), 1,
      sym_limit_clause,
  [430710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14729), 1,
      anon_sym_RPAREN,
    STATE(16766), 1,
      sym_limit_clause,
  [430723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14731), 1,
      anon_sym_RPAREN,
    STATE(18259), 1,
      sym_limit_clause,
  [430736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14733), 1,
      anon_sym_RPAREN,
    STATE(17858), 1,
      sym_limit_clause,
  [430749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14735), 1,
      anon_sym_RPAREN,
    STATE(18279), 1,
      sym_limit_clause,
  [430762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14737), 1,
      anon_sym_RPAREN,
    STATE(16913), 1,
      sym_limit_clause,
  [430775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14739), 1,
      anon_sym_RPAREN,
    STATE(18278), 1,
      sym_limit_clause,
  [430788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14741), 1,
      anon_sym_RPAREN,
    STATE(16762), 1,
      sym_limit_clause,
  [430801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10344), 1,
      anon_sym_RPAREN,
    STATE(17860), 1,
      sym_limit_clause,
  [430814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14743), 1,
      anon_sym_RPAREN,
    STATE(16761), 1,
      sym_limit_clause,
  [430827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10348), 1,
      anon_sym_RPAREN,
    STATE(17900), 1,
      sym_limit_clause,
  [430840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14745), 1,
      anon_sym_RPAREN,
    STATE(16759), 1,
      sym_limit_clause,
  [430853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14747), 1,
      anon_sym_RPAREN,
    STATE(16904), 1,
      sym_limit_clause,
  [430866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11581), 1,
      anon_sym_RPAREN,
    STATE(17861), 1,
      sym_limit_clause,
  [430879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14749), 1,
      anon_sym_RPAREN,
    STATE(16758), 1,
      sym_limit_clause,
  [430892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11577), 1,
      anon_sym_RPAREN,
    STATE(16902), 1,
      sym_limit_clause,
  [430905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14751), 1,
      anon_sym_RPAREN,
    STATE(16755), 1,
      sym_limit_clause,
  [430918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14753), 1,
      anon_sym_RPAREN,
    STATE(16901), 1,
      sym_limit_clause,
  [430931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14755), 1,
      anon_sym_RPAREN,
    STATE(16753), 1,
      sym_limit_clause,
  [430944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14757), 1,
      anon_sym_RPAREN,
    STATE(17863), 1,
      sym_limit_clause,
  [430957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14759), 1,
      anon_sym_RPAREN,
    STATE(18275), 1,
      sym_limit_clause,
  [430970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11571), 1,
      anon_sym_RPAREN,
    STATE(18274), 1,
      sym_limit_clause,
  [430983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10336), 1,
      anon_sym_RPAREN,
    STATE(17909), 1,
      sym_limit_clause,
  [430996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14761), 1,
      anon_sym_RPAREN,
    STATE(19136), 1,
      sym_limit_clause,
  [431009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(16611), 1,
      sym_range_boundary_end,
    ACTIONS(14763), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [431020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14765), 1,
      anon_sym_RPAREN,
    STATE(16749), 1,
      sym_limit_clause,
  [431033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14767), 1,
      anon_sym_RPAREN,
    STATE(18273), 1,
      sym_limit_clause,
  [431046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14769), 1,
      anon_sym_RPAREN,
    STATE(16741), 1,
      sym_limit_clause,
  [431059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11357), 1,
      anon_sym_RPAREN,
    STATE(18008), 1,
      sym_limit_clause,
  [431072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14771), 1,
      anon_sym_RPAREN,
    STATE(16739), 1,
      sym_limit_clause,
  [431085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14773), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [431098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14775), 1,
      anon_sym_RPAREN,
    STATE(17868), 1,
      sym_limit_clause,
  [431111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9665), 1,
      anon_sym_RPAREN,
    STATE(16585), 1,
      sym_limit_clause,
  [431124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14777), 1,
      anon_sym_RPAREN,
    STATE(16685), 1,
      sym_limit_clause,
  [431137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9907), 1,
      anon_sym_RPAREN,
    STATE(18201), 1,
      sym_limit_clause,
  [431150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14779), 1,
      anon_sym_RPAREN,
    STATE(17874), 1,
      sym_limit_clause,
  [431163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9671), 1,
      anon_sym_RPAREN,
    STATE(16588), 1,
      sym_limit_clause,
  [431176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14781), 1,
      anon_sym_RPAREN,
    STATE(18006), 1,
      sym_limit_clause,
  [431189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14783), 1,
      anon_sym_RPAREN,
    STATE(16730), 1,
      sym_limit_clause,
  [431202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14785), 1,
      anon_sym_RPAREN,
    STATE(19133), 1,
      sym_limit_clause,
  [431215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(143), 1,
      sym__keyword_struct,
    ACTIONS(14787), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [431226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14789), 1,
      anon_sym_RPAREN,
    STATE(16729), 1,
      sym_limit_clause,
  [431239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14791), 1,
      anon_sym_RPAREN,
    STATE(18269), 1,
      sym_limit_clause,
  [431252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14793), 1,
      anon_sym_RPAREN,
    STATE(16727), 1,
      sym_limit_clause,
  [431265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14795), 1,
      anon_sym_RPAREN,
    STATE(18268), 1,
      sym_limit_clause,
  [431278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14797), 1,
      anon_sym_RPAREN,
    STATE(16726), 1,
      sym_limit_clause,
  [431291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10316), 1,
      anon_sym_RPAREN,
    STATE(17876), 1,
      sym_limit_clause,
  [431304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14799), 1,
      anon_sym_RPAREN,
    STATE(17917), 1,
      sym_limit_clause,
  [431317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14801), 1,
      anon_sym_RPAREN,
    STATE(18267), 1,
      sym_limit_clause,
  [431330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9673), 1,
      anon_sym_RPAREN,
    STATE(16589), 1,
      sym_limit_clause,
  [431343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14803), 1,
      anon_sym_RPAREN,
    STATE(16571), 1,
      sym_limit_clause,
  [431356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14805), 1,
      anon_sym_RPAREN,
    STATE(16570), 1,
      sym_limit_clause,
  [431369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14807), 1,
      anon_sym_RPAREN,
    STATE(16569), 1,
      sym_limit_clause,
  [431382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14809), 1,
      anon_sym_RPAREN,
    STATE(16568), 1,
      sym_limit_clause,
  [431395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10298), 1,
      anon_sym_RPAREN,
    STATE(17809), 1,
      sym_limit_clause,
  [431408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14811), 1,
      anon_sym_RPAREN,
    STATE(16723), 1,
      sym_limit_clause,
  [431421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14813), 1,
      anon_sym_RPAREN,
    STATE(18265), 1,
      sym_limit_clause,
  [431434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14815), 1,
      anon_sym_RPAREN,
    STATE(16718), 1,
      sym_limit_clause,
  [431447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14817), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      sym_limit_clause,
  [431460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14819), 1,
      anon_sym_RPAREN,
    STATE(16561), 1,
      sym_limit_clause,
  [431473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14821), 1,
      anon_sym_RPAREN,
    STATE(16560), 1,
      sym_limit_clause,
  [431486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14823), 1,
      anon_sym_RPAREN,
    STATE(16559), 1,
      sym_limit_clause,
  [431499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14825), 1,
      anon_sym_RPAREN,
    STATE(16717), 1,
      sym_limit_clause,
  [431512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(14827), 1,
      anon_sym_RPAREN,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [431525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14829), 1,
      anon_sym_RPAREN,
    STATE(16716), 1,
      sym_limit_clause,
  [431538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COMMA,
    ACTIONS(14831), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      aux_sym_grouping_sets_repeat1,
  [431551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14833), 1,
      anon_sym_RPAREN,
    STATE(17991), 1,
      sym_limit_clause,
  [431564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14835), 1,
      anon_sym_RPAREN,
    STATE(18264), 1,
      sym_limit_clause,
  [431577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14837), 1,
      aux_sym__keyword_for_token1,
    ACTIONS(14839), 1,
      anon_sym_COMMA,
    STATE(15792), 1,
      aux_sym_pivot_operator_repeat1,
  [431590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    STATE(17880), 1,
      sym_limit_clause,
  [431603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9961), 1,
      anon_sym_RPAREN,
    STATE(18033), 1,
      sym_limit_clause,
  [431616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14842), 1,
      anon_sym_RPAREN,
    STATE(16715), 1,
      sym_limit_clause,
  [431629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14424), 1,
      anon_sym_COMMA,
    ACTIONS(14844), 1,
      anon_sym_RPAREN,
    STATE(15202), 1,
      aux_sym_multi_column_unpivot_repeat1,
  [431642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14846), 1,
      anon_sym_RPAREN,
    STATE(16713), 1,
      sym_limit_clause,
  [431655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14274), 1,
      anon_sym_COMMA,
    ACTIONS(14848), 1,
      anon_sym_RPAREN,
    STATE(15400), 1,
      aux_sym_join_condition_repeat1,
  [431668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11369), 1,
      anon_sym_RPAREN,
    STATE(16590), 1,
      sym_limit_clause,
  [431681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11537), 1,
      anon_sym_RPAREN,
    STATE(17882), 1,
      sym_limit_clause,
  [431694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14850), 1,
      anon_sym_RPAREN,
    STATE(17983), 1,
      sym_limit_clause,
  [431707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    ACTIONS(14852), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      aux_sym_option_clause_repeat1,
  [431720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(7504), 1,
      sym_constraint_enfoce_option,
  [431733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14854), 1,
      anon_sym_RPAREN,
    STATE(18262), 1,
      sym_limit_clause,
  [431746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14856), 1,
      anon_sym_RPAREN,
    STATE(15754), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [431759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14858), 1,
      anon_sym_RPAREN,
    STATE(17927), 1,
      sym_limit_clause,
  [431772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14860), 1,
      anon_sym_RPAREN,
    STATE(16695), 1,
      sym_limit_clause,
  [431785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9247), 1,
      anon_sym_COMMA,
    ACTIONS(14862), 1,
      anon_sym_RPAREN,
    STATE(12583), 1,
      aux_sym_declare_statement_repeat1,
  [431798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14864), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [431811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14866), 1,
      aux_sym__keyword_then_token1,
    ACTIONS(14868), 1,
      aux_sym__keyword_and_token1,
    STATE(1547), 1,
      sym__keyword_and,
  [431824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10242), 1,
      anon_sym_RPAREN,
    STATE(17888), 1,
      sym_limit_clause,
  [431837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14870), 1,
      anon_sym_RPAREN,
    STATE(18258), 1,
      sym_limit_clause,
  [431850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7350), 1,
      anon_sym_RPAREN,
    STATE(15823), 1,
      aux_sym_function_call_repeat1,
  [431863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14872), 1,
      anon_sym_RPAREN,
    STATE(18252), 1,
      sym_limit_clause,
  [431876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
    STATE(17890), 1,
      sym_limit_clause,
  [431889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
    STATE(18202), 1,
      sym_limit_clause,
  [431902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10268), 1,
      anon_sym_RPAREN,
    STATE(16709), 1,
      sym_limit_clause,
  [431915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    STATE(17892), 1,
      sym_limit_clause,
  [431928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14874), 1,
      anon_sym_RPAREN,
    STATE(17932), 1,
      sym_limit_clause,
  [431941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(14876), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [431954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14878), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [431967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9761), 1,
      anon_sym_RPAREN,
    STATE(16595), 1,
      sym_limit_clause,
  [431980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14880), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [431993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(389), 1,
      sym__identifier,
    ACTIONS(13611), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [432004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10410), 1,
      anon_sym_RPAREN,
    STATE(16705), 1,
      sym_limit_clause,
  [432017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14882), 1,
      sym__string_start,
    STATE(3159), 2,
      sym__range_string,
      sym_string,
  [432028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14884), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [432041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11517), 1,
      anon_sym_RPAREN,
    STATE(17933), 1,
      sym_limit_clause,
  [432054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14886), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [432067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    STATE(16704), 1,
      sym_limit_clause,
  [432080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14888), 1,
      anon_sym_RPAREN,
    STATE(15829), 1,
      aux_sym_pivot_operator_repeat2,
  [432093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14890), 1,
      anon_sym_RPAREN,
    STATE(14738), 1,
      aux_sym_pivot_operator_repeat2,
  [432106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    ACTIONS(14892), 1,
      anon_sym_RPAREN,
    STATE(15832), 1,
      aux_sym_pivot_operator_repeat2,
  [432119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14894), 1,
      anon_sym_RPAREN,
    STATE(17982), 1,
      sym_limit_clause,
  [432132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10254), 1,
      anon_sym_RPAREN,
    STATE(16702), 1,
      sym_limit_clause,
  [432145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
    STATE(17898), 1,
      sym_limit_clause,
  [432158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10180), 1,
      anon_sym_RPAREN,
    STATE(17935), 1,
      sym_limit_clause,
  [432171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14896), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [432184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14898), 1,
      anon_sym_RPAREN,
    STATE(18246), 1,
      sym_limit_clause,
  [432197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    ACTIONS(14900), 1,
      anon_sym_RPAREN,
    STATE(15542), 1,
      aux_sym_quantitve_like_patterns_repeat1,
  [432210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14902), 1,
      anon_sym_RPAREN,
    STATE(15821), 1,
      aux_sym_struct_repeat1,
  [432223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11647), 1,
      anon_sym_RPAREN,
    STATE(18290), 1,
      sym_limit_clause,
  [432236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7305), 1,
      anon_sym_RPAREN,
    STATE(15827), 1,
      aux_sym_function_call_repeat1,
  [432249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    STATE(16597), 1,
      sym_limit_clause,
  [432262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11511), 1,
      anon_sym_RPAREN,
    STATE(16697), 1,
      sym_limit_clause,
  [432275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7307), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [432288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14904), 1,
      anon_sym_GT,
    STATE(15392), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [432301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
    STATE(16694), 1,
      sym_limit_clause,
  [432314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14906), 1,
      anon_sym_RPAREN,
    STATE(18244), 1,
      sym_limit_clause,
  [432327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14902), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [432340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14908), 1,
      anon_sym_RPAREN,
    STATE(17974), 1,
      sym_limit_clause,
  [432353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14910), 1,
      sym__string_start,
    STATE(9932), 2,
      sym__range_string,
      sym_string,
  [432364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10238), 1,
      anon_sym_RPAREN,
    STATE(16693), 1,
      sym_limit_clause,
  [432377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14912), 1,
      anon_sym_RPAREN,
    STATE(18243), 1,
      sym_limit_clause,
  [432390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14914), 1,
      anon_sym_RPAREN,
    STATE(18205), 1,
      sym_limit_clause,
  [432403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9969), 1,
      anon_sym_RPAREN,
    STATE(16600), 1,
      sym_limit_clause,
  [432416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    STATE(16691), 1,
      sym_limit_clause,
  [432429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14916), 1,
      anon_sym_RPAREN,
    STATE(18237), 1,
      sym_limit_clause,
  [432442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(14918), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [432455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14920), 1,
      anon_sym_RPAREN,
    STATE(18236), 1,
      sym_limit_clause,
  [432468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14922), 1,
      anon_sym_RPAREN,
    STATE(18235), 1,
      sym_limit_clause,
  [432481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14924), 1,
      anon_sym_RPAREN,
    STATE(16687), 1,
      sym_limit_clause,
  [432494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14926), 1,
      anon_sym_RPAREN,
    STATE(15850), 1,
      aux_sym_struct_repeat1,
  [432507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(14928), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [432520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14930), 1,
      anon_sym_RPAREN,
    STATE(17943), 1,
      sym_limit_clause,
  [432533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14932), 1,
      anon_sym_RPAREN,
    STATE(16819), 1,
      sym_limit_clause,
  [432546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14934), 1,
      anon_sym_RPAREN,
    STATE(16681), 1,
      sym_limit_clause,
  [432559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14936), 1,
      anon_sym_RPAREN,
    STATE(17969), 1,
      sym_limit_clause,
  [432572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14938), 1,
      anon_sym_RPAREN,
    STATE(18245), 1,
      sym_limit_clause,
  [432585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10264), 1,
      anon_sym_RPAREN,
    STATE(16604), 1,
      sym_limit_clause,
  [432598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14940), 1,
      anon_sym_RPAREN,
    STATE(16818), 1,
      sym_limit_clause,
  [432611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10519), 1,
      sym__string_content,
    ACTIONS(10521), 1,
      sym__string_end,
    STATE(15864), 1,
      aux_sym_string_repeat1,
  [432624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14942), 1,
      anon_sym_RPAREN,
    STATE(18229), 1,
      sym_limit_clause,
  [432637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9975), 1,
      anon_sym_RPAREN,
    STATE(18209), 1,
      sym_limit_clause,
  [432650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14944), 1,
      anon_sym_RPAREN,
    STATE(16675), 1,
      sym_limit_clause,
  [432663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(136), 1,
      sym__keyword_struct,
    ACTIONS(14946), 2,
      aux_sym__keyword_struct_token1,
      aux_sym_select_token2,
  [432674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11487), 1,
      anon_sym_RPAREN,
    STATE(16674), 1,
      sym_limit_clause,
  [432687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9981), 1,
      anon_sym_RPAREN,
    STATE(18212), 1,
      sym_limit_clause,
  [432700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      aux_sym_set_operation_token1,
    ACTIONS(10714), 1,
      aux_sym_set_operation_token3,
    ACTIONS(10716), 1,
      aux_sym_set_operation_token4,
  [432713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
    STATE(16671), 1,
      sym_limit_clause,
  [432726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14948), 1,
      anon_sym_RPAREN,
    STATE(17965), 1,
      sym_limit_clause,
  [432739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10486), 1,
      sym__string_content,
    ACTIONS(10488), 1,
      sym__string_end,
    STATE(15890), 1,
      aux_sym_string_repeat1,
  [432752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11383), 1,
      anon_sym_RPAREN,
    STATE(17963), 1,
      sym_limit_clause,
  [432765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14950), 1,
      anon_sym_RPAREN,
    STATE(16809), 1,
      sym_limit_clause,
  [432778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14952), 1,
      anon_sym_RPAREN,
    STATE(16669), 1,
      sym_limit_clause,
  [432791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(9983), 1,
      anon_sym_RPAREN,
    STATE(18214), 1,
      sym_limit_clause,
  [432804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14954), 1,
      anon_sym_RPAREN,
    STATE(17958), 1,
      sym_limit_clause,
  [432817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14956), 1,
      anon_sym_RPAREN,
    STATE(16808), 1,
      sym_limit_clause,
  [432830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11477), 1,
      anon_sym_RPAREN,
    STATE(16665), 1,
      sym_limit_clause,
  [432843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym__string_content,
    ACTIONS(14958), 1,
      sym__string_end,
    STATE(14399), 1,
      aux_sym_string_repeat1,
  [432856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14960), 1,
      anon_sym_RPAREN,
    STATE(16807), 1,
      sym_limit_clause,
  [432869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14962), 1,
      anon_sym_RPAREN,
    STATE(16663), 1,
      sym_limit_clause,
  [432882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14964), 1,
      anon_sym_RPAREN,
    STATE(15899), 1,
      aux_sym_struct_repeat1,
  [432895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14966), 1,
      anon_sym_RPAREN,
    STATE(18230), 1,
      sym_limit_clause,
  [432908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14968), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [432921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9934), 1,
      sym__identifier,
    ACTIONS(14970), 2,
      sym__unquoted_identifier,
      sym__quoted_identifier,
  [432932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14972), 1,
      anon_sym_RPAREN,
    STATE(17952), 1,
      sym_limit_clause,
  [432945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14974), 1,
      anon_sym_RPAREN,
    STATE(16586), 1,
      sym_limit_clause,
  [432958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14976), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      aux_sym_struct_repeat1,
  [432971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14978), 1,
      anon_sym_RPAREN,
    STATE(16656), 1,
      sym_limit_clause,
  [432984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14980), 1,
      anon_sym_RPAREN,
    STATE(16798), 1,
      sym_limit_clause,
  [432997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14982), 1,
      anon_sym_RPAREN,
    STATE(16655), 1,
      sym_limit_clause,
  [433010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7235), 1,
      anon_sym_COMMA,
    ACTIONS(7273), 1,
      anon_sym_RBRACK,
    STATE(14313), 1,
      aux_sym_set_statement_repeat1,
  [433023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(7271), 1,
      anon_sym_RPAREN,
    STATE(15941), 1,
      aux_sym_function_call_repeat1,
  [433036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(14976), 1,
      anon_sym_RPAREN,
    STATE(15895), 1,
      aux_sym_struct_repeat1,
  [433049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11457), 1,
      anon_sym_RPAREN,
    STATE(17948), 1,
      sym_limit_clause,
  [433062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11455), 1,
      anon_sym_RPAREN,
    STATE(16796), 1,
      sym_limit_clause,
  [433075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14984), 1,
      anon_sym_RPAREN,
    STATE(16650), 1,
      sym_limit_clause,
  [433088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14986), 1,
      anon_sym_RPAREN,
    STATE(17950), 1,
      sym_limit_clause,
  [433101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14988), 1,
      anon_sym_RPAREN,
    STATE(16649), 1,
      sym_limit_clause,
  [433114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14990), 1,
      anon_sym_RPAREN,
    STATE(17908), 1,
      sym_limit_clause,
  [433127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14992), 1,
      anon_sym_RPAREN,
    STATE(17910), 1,
      sym_limit_clause,
  [433140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    STATE(18221), 1,
      sym_limit_clause,
  [433153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14994), 1,
      anon_sym_RPAREN,
    STATE(16791), 1,
      sym_limit_clause,
  [433166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14996), 1,
      anon_sym_RPAREN,
    STATE(17959), 1,
      sym_limit_clause,
  [433179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(14998), 1,
      anon_sym_RPAREN,
    STATE(16645), 1,
      sym_limit_clause,
  [433192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15000), 1,
      anon_sym_RPAREN,
    STATE(17960), 1,
      sym_limit_clause,
  [433205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11441), 1,
      anon_sym_RPAREN,
    STATE(16644), 1,
      sym_limit_clause,
  [433218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15002), 1,
      anon_sym_RPAREN,
    STATE(17961), 1,
      sym_limit_clause,
  [433231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15004), 1,
      anon_sym_RPAREN,
    STATE(17911), 1,
      sym_limit_clause,
  [433244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15006), 1,
      anon_sym_RPAREN,
    STATE(16643), 1,
      sym_limit_clause,
  [433257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15008), 1,
      anon_sym_RPAREN,
    STATE(17913), 1,
      sym_limit_clause,
  [433270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15010), 1,
      anon_sym_RPAREN,
    STATE(17970), 1,
      sym_limit_clause,
  [433283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15012), 1,
      anon_sym_RPAREN,
    STATE(17971), 1,
      sym_limit_clause,
  [433296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
    STATE(16783), 1,
      sym_limit_clause,
  [433309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15014), 1,
      anon_sym_RPAREN,
    STATE(17972), 1,
      sym_limit_clause,
  [433322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15016), 1,
      anon_sym_RPAREN,
    STATE(16639), 1,
      sym_limit_clause,
  [433335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11435), 1,
      anon_sym_RPAREN,
    STATE(16781), 1,
      sym_limit_clause,
  [433348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15018), 1,
      anon_sym_RPAREN,
    STATE(16638), 1,
      sym_limit_clause,
  [433361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15020), 1,
      anon_sym_RPAREN,
    STATE(16780), 1,
      sym_limit_clause,
  [433374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15022), 1,
      anon_sym_RPAREN,
    STATE(16637), 1,
      sym_limit_clause,
  [433387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11433), 1,
      anon_sym_RPAREN,
    STATE(17973), 1,
      sym_limit_clause,
  [433400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14526), 1,
      anon_sym_COMMA,
    ACTIONS(15024), 1,
      anon_sym_RPAREN,
    STATE(15362), 1,
      aux_sym_column_type_repeat1,
  [433413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15026), 1,
      anon_sym_RPAREN,
    STATE(16635), 1,
      sym_limit_clause,
  [433426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15028), 1,
      anon_sym_RPAREN,
    STATE(17914), 1,
      sym_limit_clause,
  [433439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15030), 1,
      anon_sym_RPAREN,
    STATE(16634), 1,
      sym_limit_clause,
  [433452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(15032), 1,
      anon_sym_GT,
    STATE(15353), 1,
      aux_sym__column_definition_type_struct_repeat1,
  [433465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15034), 1,
      anon_sym_RPAREN,
    STATE(16633), 1,
      sym_limit_clause,
  [433478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15036), 1,
      anon_sym_RPAREN,
    STATE(17915), 1,
      sym_limit_clause,
  [433491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15038), 1,
      anon_sym_RPAREN,
    STATE(17975), 1,
      sym_limit_clause,
  [433504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7239), 1,
      anon_sym_COMMA,
    ACTIONS(15040), 1,
      anon_sym_RPAREN,
    STATE(14382), 1,
      aux_sym_function_call_repeat1,
  [433517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15042), 1,
      anon_sym_RPAREN,
    STATE(17984), 1,
      sym_limit_clause,
  [433530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15044), 1,
      anon_sym_RPAREN,
    STATE(17985), 1,
      sym_limit_clause,
  [433543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15046), 1,
      anon_sym_RPAREN,
    STATE(17986), 1,
      sym_limit_clause,
  [433556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15048), 1,
      anon_sym_RPAREN,
    STATE(16629), 1,
      sym_limit_clause,
  [433569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15050), 1,
      anon_sym_RPAREN,
    STATE(17921), 1,
      sym_limit_clause,
  [433582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15052), 1,
      anon_sym_RPAREN,
    STATE(16628), 1,
      sym_limit_clause,
  [433595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15054), 1,
      anon_sym_RPAREN,
    STATE(17987), 1,
      sym_limit_clause,
  [433608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15056), 1,
      anon_sym_RPAREN,
    STATE(16627), 1,
      sym_limit_clause,
  [433621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15058), 1,
      anon_sym_RPAREN,
    STATE(17923), 1,
      sym_limit_clause,
  [433634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15060), 1,
      anon_sym_RPAREN,
    STATE(17988), 1,
      sym_limit_clause,
  [433647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(13788), 1,
      aux_sym_constraint_enfoce_option_token1,
    STATE(13008), 1,
      sym_constraint_enfoce_option,
  [433660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15062), 1,
      anon_sym_RPAREN,
    STATE(17924), 1,
      sym_limit_clause,
  [433673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15064), 1,
      anon_sym_RPAREN,
    STATE(17989), 1,
      sym_limit_clause,
  [433686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15066), 1,
      anon_sym_RPAREN,
    STATE(17925), 1,
      sym_limit_clause,
  [433699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15068), 1,
      anon_sym_RPAREN,
    STATE(17994), 1,
      sym_limit_clause,
  [433712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15070), 1,
      anon_sym_RPAREN,
    STATE(18010), 1,
      sym_limit_clause,
  [433725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15072), 1,
      anon_sym_RPAREN,
    STATE(16623), 1,
      sym_limit_clause,
  [433738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15074), 1,
      anon_sym_RPAREN,
    STATE(17995), 1,
      sym_limit_clause,
  [433751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15076), 1,
      anon_sym_RPAREN,
    STATE(17996), 1,
      sym_limit_clause,
  [433764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15078), 1,
      anon_sym_RPAREN,
    STATE(16622), 1,
      sym_limit_clause,
  [433777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15080), 1,
      anon_sym_RPAREN,
    STATE(17934), 1,
      sym_limit_clause,
  [433790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15082), 1,
      anon_sym_RPAREN,
    STATE(16621), 1,
      sym_limit_clause,
  [433803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15084), 1,
      anon_sym_RPAREN,
    STATE(18001), 1,
      sym_limit_clause,
  [433816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15086), 1,
      anon_sym_RPAREN,
    STATE(16620), 1,
      sym_limit_clause,
  [433829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15088), 1,
      anon_sym_RPAREN,
    STATE(17936), 1,
      sym_limit_clause,
  [433842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15090), 1,
      anon_sym_RPAREN,
    STATE(18002), 1,
      sym_limit_clause,
  [433855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8160), 1,
      sym__function_body_js,
    STATE(8250), 1,
      sym_string,
  [433868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15092), 1,
      anon_sym_RPAREN,
    STATE(17907), 1,
      sym_limit_clause,
  [433881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15094), 1,
      anon_sym_RPAREN,
    STATE(18003), 1,
      sym_limit_clause,
  [433894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15096), 1,
      anon_sym_RPAREN,
    STATE(18004), 1,
      sym_limit_clause,
  [433907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15098), 1,
      anon_sym_RPAREN,
    STATE(17941), 1,
      sym_limit_clause,
  [433920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15100), 1,
      anon_sym_RPAREN,
    STATE(18009), 1,
      sym_limit_clause,
  [433933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8190), 1,
      sym__function_body_js,
    STATE(8250), 1,
      sym_string,
  [433946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15102), 1,
      anon_sym_RPAREN,
    STATE(16617), 1,
      sym_limit_clause,
  [433959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8132), 1,
      sym__function_body_js,
    STATE(8250), 1,
      sym_string,
  [433972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15104), 1,
      anon_sym_RPAREN,
    STATE(16615), 1,
      sym_limit_clause,
  [433985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15106), 1,
      anon_sym_RPAREN,
    STATE(18014), 1,
      sym_limit_clause,
  [433998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15108), 1,
      anon_sym_RPAREN,
    STATE(17942), 1,
      sym_limit_clause,
  [434011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15110), 1,
      anon_sym_RPAREN,
    STATE(16608), 1,
      sym_limit_clause,
  [434024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(11281), 1,
      anon_sym_RPAREN,
    STATE(18074), 1,
      sym_limit_clause,
  [434037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15112), 1,
      anon_sym_RPAREN,
    STATE(16614), 1,
      sym_limit_clause,
  [434050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15114), 1,
      anon_sym_RPAREN,
    STATE(17945), 1,
      sym_limit_clause,
  [434063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15116), 1,
      anon_sym_RPAREN,
    STATE(16610), 1,
      sym_limit_clause,
  [434076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15118), 1,
      anon_sym_RPAREN,
    STATE(18011), 1,
      sym_limit_clause,
  [434089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15120), 1,
      anon_sym_RPAREN,
    STATE(18012), 1,
      sym_limit_clause,
  [434102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15122), 1,
      anon_sym_RPAREN,
    STATE(17947), 1,
      sym_limit_clause,
  [434115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15124), 1,
      anon_sym_RPAREN,
    STATE(18013), 1,
      sym_limit_clause,
  [434128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15126), 1,
      anon_sym_RPAREN,
    STATE(17949), 1,
      sym_limit_clause,
  [434141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_limit_clause_token1,
    ACTIONS(15128), 1,
      anon_sym_RPAREN,
    STATE(16609), 1,
      sym_limit_clause,
  [434154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7469), 1,
      sym_privilege_user,
  [434164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15512), 1,
      sym_string,
  [434174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15132), 1,
      aux_sym__keyword_as_token1,
    STATE(12086), 1,
      sym__keyword_as,
  [434184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15134), 1,
      aux_sym__keyword_as_token1,
    STATE(15153), 1,
      sym__keyword_as,
  [434194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8190), 1,
      sym__function_body_sql,
  [434204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11389), 1,
      aux_sym__keyword_as_token1,
    STATE(12085), 1,
      sym__keyword_as,
  [434214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9395), 1,
      aux_sym__keyword_end_token1,
    STATE(4521), 1,
      sym__keyword_end,
  [434224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15138), 1,
      anon_sym_LPAREN,
    STATE(9899), 1,
      sym_quantitve_like_patterns,
  [434234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9395), 1,
      aux_sym__keyword_end_token1,
    STATE(4560), 1,
      sym__keyword_end,
  [434244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym__string_start,
    STATE(9900), 1,
      sym_string,
  [434254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym__string_start,
    STATE(9913), 1,
      sym_string,
  [434264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9511), 1,
      aux_sym__keyword_end_token1,
    STATE(2217), 1,
      sym__keyword_end,
  [434274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(9916), 1,
      sym_select_subexpression,
  [434284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9511), 1,
      aux_sym__keyword_end_token1,
    STATE(2225), 1,
      sym__keyword_end,
  [434294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9427), 1,
      aux_sym__keyword_end_token1,
    STATE(7580), 1,
      sym__keyword_end,
  [434304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9427), 1,
      aux_sym__keyword_end_token1,
    STATE(7560), 1,
      sym__keyword_end,
  [434314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9487), 1,
      aux_sym__keyword_end_token1,
    STATE(4894), 1,
      sym__keyword_end,
  [434324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    STATE(3248), 1,
      sym_select_subexpression,
  [434334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      sym__string_start,
    STATE(3246), 1,
      sym_string,
  [434344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9351), 1,
      aux_sym__keyword_end_token1,
    STATE(10378), 1,
      sym__keyword_end,
  [434354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9439), 1,
      aux_sym__keyword_end_token1,
    STATE(6570), 1,
      sym__keyword_end,
  [434364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9439), 1,
      aux_sym__keyword_end_token1,
    STATE(6578), 1,
      sym__keyword_end,
  [434374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15140), 1,
      aux_sym__keyword_from_token1,
    STATE(1378), 1,
      sym__keyword_from,
  [434384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15142), 1,
      aux_sym_insert_statement_token1,
    STATE(7802), 1,
      sym_merge_insert_clause,
  [434394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15144), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(15146), 1,
      aux_sym_merge_matched_clause_token1,
  [434404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    STATE(3226), 1,
      sym_quantitve_like_patterns,
  [434414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15150), 1,
      aux_sym__keyword_from_token1,
    STATE(1753), 1,
      sym__keyword_from,
  [434424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15152), 1,
      anon_sym_DQUOTE,
    ACTIONS(15154), 1,
      anon_sym_SQUOTE,
  [434434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15156), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(15158), 1,
      aux_sym_set_operation_token2,
  [434444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9351), 1,
      aux_sym__keyword_end_token1,
    STATE(10386), 1,
      sym__keyword_end,
  [434454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15142), 1,
      aux_sym_insert_statement_token1,
    STATE(7986), 1,
      sym_merge_insert_clause,
  [434464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15160), 1,
      anon_sym_LPAREN,
    STATE(14290), 1,
      sym_procedure_parameters,
  [434474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15142), 1,
      aux_sym_insert_statement_token1,
    STATE(7891), 1,
      sym_merge_insert_clause,
  [434484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4032), 1,
      aux_sym_foreign_key_references_token1,
    STATE(7506), 1,
      sym_foreign_key_references,
  [434494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11519), 1,
      aux_sym__keyword_as_token1,
    STATE(12042), 1,
      sym__keyword_as,
  [434504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15162), 1,
      aux_sym__keyword_as_token1,
    STATE(12043), 1,
      sym__keyword_as,
  [434514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      sym__string_start,
    STATE(3227), 1,
      sym_string,
  [434524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15164), 1,
      aux_sym__keyword_from_token1,
    STATE(1713), 1,
      sym__keyword_from,
  [434534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12152), 1,
      sym_create_function_parameters,
  [434544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    STATE(8440), 1,
      sym_clone_clause,
  [434554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15168), 1,
      anon_sym_DQUOTE,
    ACTIONS(15170), 1,
      anon_sym_SQUOTE,
  [434564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15172), 1,
      sym__string_start,
    STATE(6163), 1,
      sym_string,
  [434574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    STATE(11645), 1,
      sym__keyword_for,
  [434584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14837), 2,
      aux_sym__keyword_for_token1,
      anon_sym_COMMA,
  [434592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15174), 2,
      aux_sym__keyword_and_token1,
      anon_sym_RPAREN,
  [434600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11551), 1,
      aux_sym__keyword_as_token1,
    STATE(12033), 1,
      sym__keyword_as,
  [434610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15176), 1,
      aux_sym__keyword_from_token1,
    STATE(1692), 1,
      sym__keyword_from,
  [434620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15178), 1,
      anon_sym_LPAREN,
    ACTIONS(15180), 1,
      anon_sym_LT,
  [434630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15182), 1,
      aux_sym_window_numeric_preceding_token1,
    ACTIONS(15184), 1,
      aux_sym_window_numeric_following_token1,
  [434640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15186), 1,
      aux_sym__keyword_and_token1,
    STATE(11319), 1,
      sym__keyword_and,
  [434650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15188), 1,
      aux_sym__keyword_and_token1,
    STATE(11448), 1,
      sym__keyword_and,
  [434660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15190), 1,
      anon_sym_DQUOTE,
    ACTIONS(15192), 1,
      anon_sym_SQUOTE,
  [434670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15194), 1,
      aux_sym__keyword_and_token1,
    STATE(11290), 1,
      sym__keyword_and,
  [434680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15196), 2,
      aux_sym__keyword_and_token1,
      anon_sym_RPAREN,
  [434688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15198), 2,
      aux_sym__keyword_and_token1,
      anon_sym_RPAREN,
  [434696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15200), 1,
      aux_sym__keyword_as_token1,
    STATE(15976), 1,
      sym__keyword_as,
  [434706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8132), 1,
      sym__function_body_sql,
  [434716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7174), 1,
      sym_select_subexpression,
  [434726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15091), 1,
      sym_string,
  [434736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8279), 1,
      sym__function_body_sql,
  [434746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      aux_sym_where_clause_token1,
    STATE(8291), 1,
      sym_where_clause,
  [434756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15202), 1,
      aux_sym__keyword_from_token1,
    STATE(1500), 1,
      sym__keyword_from,
  [434766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15204), 1,
      aux_sym__keyword_from_token1,
    STATE(1428), 1,
      sym__keyword_from,
  [434776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12991), 1,
      sym_create_function_parameters,
  [434786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15206), 1,
      aux_sym__keyword_as_token1,
    STATE(12051), 1,
      sym__keyword_as,
  [434796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11689), 1,
      aux_sym__keyword_as_token1,
    STATE(12052), 1,
      sym__keyword_as,
  [434806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9357), 1,
      aux_sym__keyword_end_token1,
    STATE(7115), 1,
      sym__keyword_end,
  [434816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15208), 1,
      aux_sym__keyword_as_token1,
    STATE(12064), 1,
      sym__keyword_as,
  [434826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14637), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [434834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15210), 1,
      aux_sym__keyword_as_token1,
    STATE(15974), 1,
      sym__keyword_as,
  [434844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15212), 1,
      anon_sym_LPAREN,
    ACTIONS(15214), 1,
      anon_sym_LT,
  [434854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12546), 1,
      anon_sym_LPAREN,
    STATE(1893), 1,
      sym_select_subexpression,
  [434864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      sym__string_start,
    STATE(1896), 1,
      sym_string,
  [434874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8331), 1,
      sym__function_body_sql,
  [434884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15216), 1,
      anon_sym_DQUOTE,
    ACTIONS(15218), 1,
      anon_sym_SQUOTE,
  [434894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15220), 1,
      aux_sym__keyword_from_token1,
    STATE(1810), 1,
      sym__keyword_from,
  [434904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      sym__string_start,
    STATE(1915), 1,
      sym_string,
  [434914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15222), 1,
      anon_sym_LPAREN,
    STATE(1916), 1,
      sym_quantitve_like_patterns,
  [434924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15224), 1,
      anon_sym_DQUOTE,
    ACTIONS(15226), 1,
      anon_sym_SQUOTE,
  [434934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15228), 1,
      aux_sym__keyword_as_token1,
    STATE(15968), 1,
      sym__keyword_as,
  [434944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8277), 1,
      sym__function_body_sql,
  [434954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7493), 1,
      sym_privilege_user,
  [434964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15230), 1,
      anon_sym_DQUOTE,
    ACTIONS(15232), 1,
      anon_sym_SQUOTE,
  [434974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15234), 1,
      aux_sym__keyword_from_token1,
    STATE(1855), 1,
      sym__keyword_from,
  [434984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15236), 1,
      anon_sym_LPAREN,
    STATE(11086), 1,
      sym_select_subexpression,
  [434994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15238), 1,
      anon_sym_DQUOTE,
    ACTIONS(15240), 1,
      anon_sym_SQUOTE,
  [435004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9443), 1,
      aux_sym__keyword_end_token1,
    STATE(3546), 1,
      sym__keyword_end,
  [435014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9443), 1,
      aux_sym__keyword_end_token1,
    STATE(3523), 1,
      sym__keyword_end,
  [435024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11713), 1,
      aux_sym__keyword_as_token1,
    STATE(12157), 1,
      sym__keyword_as,
  [435034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15242), 1,
      aux_sym__keyword_as_token1,
    STATE(12156), 1,
      sym__keyword_as,
  [435044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15244), 1,
      aux_sym__keyword_as_token1,
    STATE(12083), 1,
      sym__keyword_as,
  [435054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(7177), 1,
      sym_string,
  [435064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7487), 1,
      sym_privilege_user,
  [435074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7489), 1,
      sym_privilege_user,
  [435084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14380), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7497), 1,
      sym_privilege_user,
  [435102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15246), 1,
      aux_sym__keyword_from_token1,
    STATE(1818), 1,
      sym__keyword_from,
  [435112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9403), 1,
      aux_sym__keyword_end_token1,
    STATE(1952), 1,
      sym__keyword_end,
  [435122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9403), 1,
      aux_sym__keyword_end_token1,
    STATE(1929), 1,
      sym__keyword_end,
  [435132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15248), 2,
      aux_sym__keyword_and_token1,
      anon_sym_RPAREN,
  [435140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12535), 1,
      anon_sym_LPAREN,
    STATE(7585), 1,
      sym_select_subexpression,
  [435150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    STATE(7372), 1,
      sym_clone_clause,
  [435160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15250), 1,
      anon_sym_DQUOTE,
    ACTIONS(15252), 1,
      anon_sym_SQUOTE,
  [435170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 1,
      sym__string_start,
    STATE(7596), 1,
      sym_string,
  [435180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15254), 2,
      aux_sym__keyword_for_token1,
      anon_sym_COMMA,
  [435188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 1,
      sym__string_start,
    STATE(7548), 1,
      sym_string,
  [435198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15256), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15258), 1,
      anon_sym_LPAREN,
    STATE(7549), 1,
      sym_quantitve_like_patterns,
  [435216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15260), 1,
      anon_sym_DQUOTE,
    ACTIONS(15262), 1,
      anon_sym_SQUOTE,
  [435226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15264), 1,
      aux_sym__keyword_from_token1,
    STATE(1844), 1,
      sym__keyword_from,
  [435236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15266), 1,
      aux_sym__keyword_rename_token1,
    ACTIONS(15268), 1,
      aux_sym_set_statement_token1,
  [435246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15270), 1,
      anon_sym_LPAREN,
    ACTIONS(15272), 1,
      anon_sym_LT,
  [435256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15274), 1,
      aux_sym__keyword_from_token1,
    STATE(1813), 1,
      sym__keyword_from,
  [435266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15276), 1,
      anon_sym_DQUOTE,
    ACTIONS(15278), 1,
      anon_sym_SQUOTE,
  [435276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    STATE(11571), 1,
      sym__keyword_for,
  [435286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15280), 1,
      aux_sym__keyword_from_token1,
    STATE(1768), 1,
      sym__keyword_from,
  [435296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15282), 1,
      anon_sym_DQUOTE,
    ACTIONS(15284), 1,
      anon_sym_SQUOTE,
  [435306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15286), 1,
      aux_sym__keyword_as_token1,
    STATE(12140), 1,
      sym__keyword_as,
  [435316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15288), 1,
      aux_sym__keyword_from_token1,
    STATE(1736), 1,
      sym__keyword_from,
  [435326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15290), 1,
      anon_sym_LPAREN,
    STATE(10845), 1,
      sym_quantitve_like_patterns,
  [435336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2373), 1,
      sym__string_start,
    STATE(10919), 1,
      sym_string,
  [435346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15292), 1,
      anon_sym_DQUOTE,
    ACTIONS(15294), 1,
      anon_sym_SQUOTE,
  [435356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15296), 1,
      aux_sym_insert_statement_token1,
    STATE(7855), 1,
      sym_merge_insert_clause,
  [435366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15298), 1,
      aux_sym__keyword_column_token1,
    STATE(11426), 1,
      sym__keyword_column,
  [435376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15300), 1,
      aux_sym_merge_not_matched_by_target_clause_token1,
    ACTIONS(15302), 1,
      aux_sym_merge_not_matched_by_source_clause_token1,
  [435386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15142), 1,
      aux_sym_insert_statement_token1,
    STATE(7855), 1,
      sym_merge_insert_clause,
  [435396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15304), 1,
      aux_sym_merge_not_matched_by_target_clause_token1,
    ACTIONS(15306), 1,
      aux_sym_merge_not_matched_by_source_clause_token1,
  [435406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2373), 1,
      sym__string_start,
    STATE(11001), 1,
      sym_string,
  [435416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12523), 1,
      anon_sym_LPAREN,
    STATE(10998), 1,
      sym_select_subexpression,
  [435426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      aux_sym__keyword_begin_token1,
    STATE(8029), 1,
      sym_procedure_body,
  [435436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11815), 1,
      aux_sym__keyword_as_token1,
    STATE(12161), 1,
      sym__keyword_as,
  [435446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15308), 1,
      aux_sym__keyword_from_token1,
    STATE(1699), 1,
      sym__keyword_from,
  [435456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11159), 1,
      aux_sym_where_clause_token1,
    STATE(8217), 1,
      sym_where_clause,
  [435466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15310), 1,
      aux_sym__keyword_as_token1,
    STATE(15628), 1,
      sym__keyword_as,
  [435476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15312), 1,
      anon_sym_DQUOTE,
    ACTIONS(15314), 1,
      anon_sym_SQUOTE,
  [435486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14204), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8038), 1,
      sym__function_body_sql,
  [435504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9423), 1,
      aux_sym__keyword_end_token1,
    STATE(3154), 1,
      sym__keyword_end,
  [435514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15316), 1,
      aux_sym__keyword_from_token1,
    STATE(1628), 1,
      sym__keyword_from,
  [435524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15318), 2,
      aux_sym__keyword_begin_token1,
      aux_sym_option_clause_token1,
  [435532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9423), 1,
      aux_sym__keyword_end_token1,
    STATE(3209), 1,
      sym__keyword_end,
  [435542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14186), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [435550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14197), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15320), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15322), 1,
      aux_sym__keyword_as_token1,
    STATE(15599), 1,
      sym__keyword_as,
  [435576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8111), 1,
      sym__function_body_sql,
  [435586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15324), 1,
      aux_sym__keyword_column_token1,
    STATE(11334), 1,
      sym__keyword_column,
  [435596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14169), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15326), 1,
      anon_sym_DQUOTE,
    ACTIONS(15328), 1,
      anon_sym_SQUOTE,
  [435614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15330), 1,
      aux_sym__keyword_as_token1,
    STATE(15594), 1,
      sym__keyword_as,
  [435624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8118), 1,
      sym__function_body_sql,
  [435634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15332), 1,
      aux_sym__keyword_column_token1,
    STATE(11391), 1,
      sym__keyword_column,
  [435644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15334), 1,
      aux_sym__keyword_from_token1,
    STATE(1603), 1,
      sym__keyword_from,
  [435654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15336), 1,
      anon_sym_DQUOTE,
    ACTIONS(15338), 1,
      anon_sym_SQUOTE,
  [435664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15340), 1,
      aux_sym__keyword_column_token1,
    STATE(11366), 1,
      sym__keyword_column,
  [435674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15342), 1,
      aux_sym__keyword_column_token1,
    ACTIONS(15344), 1,
      aux_sym_alter_table_rename_statement_token1,
  [435684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(6163), 1,
      sym_string,
  [435694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15346), 1,
      aux_sym__keyword_from_token1,
    STATE(1576), 1,
      sym__keyword_from,
  [435704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15348), 1,
      anon_sym_LPAREN,
    ACTIONS(15350), 1,
      anon_sym_LT,
  [435714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14054), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14873), 1,
      sym_string,
  [435732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15354), 1,
      anon_sym_DQUOTE,
    ACTIONS(15356), 1,
      anon_sym_SQUOTE,
  [435750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15358), 1,
      aux_sym__keyword_as_token1,
    STATE(12055), 1,
      sym__keyword_as,
  [435760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11941), 1,
      aux_sym__keyword_as_token1,
    STATE(12060), 1,
      sym__keyword_as,
  [435770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15360), 1,
      aux_sym__keyword_from_token1,
    STATE(1482), 1,
      sym__keyword_from,
  [435780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15362), 1,
      anon_sym_DQUOTE,
    ACTIONS(15364), 1,
      anon_sym_SQUOTE,
  [435790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15366), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(15368), 1,
      aux_sym_default_clause_token1,
  [435800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15370), 1,
      anon_sym_LPAREN,
    ACTIONS(15372), 1,
      anon_sym_LT,
  [435810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15296), 1,
      aux_sym_insert_statement_token1,
    STATE(7891), 1,
      sym_merge_insert_clause,
  [435820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10862), 1,
      aux_sym_foreign_key_token1,
    STATE(7772), 1,
      sym_foreign_key,
  [435830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15296), 1,
      aux_sym_insert_statement_token1,
    STATE(7986), 1,
      sym_merge_insert_clause,
  [435840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15374), 1,
      anon_sym_LPAREN,
    STATE(7846), 1,
      sym_quantitve_like_patterns,
  [435850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11159), 1,
      aux_sym_where_clause_token1,
    STATE(8291), 1,
      sym_where_clause,
  [435860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      sym__string_start,
    STATE(7847), 1,
      sym_string,
  [435870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15376), 1,
      aux_sym__keyword_as_token1,
    STATE(18771), 1,
      sym__keyword_as,
  [435880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15378), 1,
      aux_sym_aggregation_threshold_clause_token1,
    ACTIONS(15380), 1,
      aux_sym_differential_privacy_clause_token1,
  [435890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      sym__string_start,
    STATE(7880), 1,
      sym_string,
  [435900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    STATE(7402), 1,
      sym_clone_clause,
  [435910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12476), 1,
      anon_sym_LPAREN,
    STATE(7883), 1,
      sym_select_subexpression,
  [435920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15382), 2,
      aux_sym_into_clause_token1,
      aux_sym_load_data_statement_token2,
  [435928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13871), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [435936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7479), 1,
      sym_privilege_user,
  [435946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7524), 1,
      sym_privilege_user,
  [435956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15384), 1,
      aux_sym_set_operation_token2,
    ACTIONS(15386), 1,
      sym_privilege_role,
  [435966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7827), 1,
      sym_privilege_user,
  [435976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15388), 1,
      aux_sym__keyword_from_token1,
    STATE(1645), 1,
      sym__keyword_from,
  [435986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15390), 1,
      aux_sym__keyword_as_token1,
    STATE(14561), 1,
      sym__keyword_as,
  [435996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      anon_sym_LPAREN,
    STATE(3608), 1,
      sym_select_subexpression,
  [436006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9487), 1,
      aux_sym__keyword_end_token1,
    STATE(4910), 1,
      sym__keyword_end,
  [436016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(10466), 1,
      sym_select_subexpression,
  [436026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7451), 1,
      sym_privilege_user,
  [436036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 1,
      sym__string_start,
    STATE(10464), 1,
      sym_string,
  [436046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 1,
      sym__string_start,
    STATE(10406), 1,
      sym_string,
  [436056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15392), 1,
      anon_sym_LPAREN,
    STATE(10405), 1,
      sym_quantitve_like_patterns,
  [436066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12476), 1,
      anon_sym_LPAREN,
    STATE(6203), 1,
      sym_select_subexpression,
  [436076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 2,
      anon_sym_COMMA,
      aux_sym_join_condition_token1,
  [436084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14508), 1,
      sym_string,
  [436094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      aux_sym_where_clause_token1,
    STATE(8131), 1,
      sym_where_clause,
  [436104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11159), 1,
      aux_sym_where_clause_token1,
    STATE(8131), 1,
      sym_where_clause,
  [436114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      aux_sym__keyword_end_token1,
    STATE(498), 1,
      sym__keyword_end,
  [436124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12912), 1,
      sym_create_function_parameters,
  [436134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      aux_sym__keyword_end_token1,
    STATE(519), 1,
      sym__keyword_end,
  [436144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_LPAREN,
    STATE(10481), 1,
      sym_select_subexpression,
  [436154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15394), 1,
      anon_sym_LPAREN,
    ACTIONS(15396), 1,
      anon_sym_LT,
  [436164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      sym__string_start,
    STATE(10483), 1,
      sym_string,
  [436174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12972), 1,
      sym_create_function_parameters,
  [436184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      sym__string_start,
    STATE(10494), 1,
      sym_string,
  [436194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15398), 1,
      anon_sym_LPAREN,
    STATE(10496), 1,
      sym_quantitve_like_patterns,
  [436204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(13001), 1,
      sym_create_function_parameters,
  [436214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15400), 1,
      aux_sym__keyword_as_token1,
    STATE(11409), 1,
      sym__keyword_as,
  [436224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9393), 1,
      aux_sym__keyword_end_token1,
    STATE(4403), 1,
      sym__keyword_end,
  [436234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15402), 1,
      aux_sym__keyword_as_token1,
    STATE(11396), 1,
      sym__keyword_as,
  [436244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15404), 1,
      aux_sym__keyword_column_token1,
    STATE(11432), 1,
      sym__keyword_column,
  [436254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15406), 1,
      aux_sym__keyword_column_token1,
    STATE(11325), 1,
      sym__keyword_column,
  [436264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(13024), 1,
      sym_create_function_parameters,
  [436274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15408), 1,
      anon_sym_LPAREN,
    STATE(2755), 1,
      sym_quantitve_like_patterns,
  [436284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15410), 1,
      aux_sym__keyword_from_token1,
    STATE(879), 1,
      sym__keyword_from,
  [436294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14807), 1,
      sym_string,
  [436304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      sym__string_start,
    STATE(2756), 1,
      sym_string,
  [436314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15412), 1,
      anon_sym_LPAREN,
    STATE(5104), 1,
      sym_select_subexpression,
  [436324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(16490), 1,
      sym_option_clause,
  [436334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15414), 1,
      aux_sym_set_statement_token1,
    STATE(13304), 1,
      sym_set_clause,
  [436344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15416), 1,
      anon_sym_LPAREN,
    STATE(5890), 1,
      sym_quantitve_like_patterns,
  [436354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      sym__string_start,
    STATE(5892), 1,
      sym_string,
  [436364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      sym__string_start,
    STATE(5913), 1,
      sym_string,
  [436374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12417), 1,
      anon_sym_LPAREN,
    STATE(5916), 1,
      sym_select_subexpression,
  [436384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7174), 1,
      sym_select_subexpression,
  [436394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15418), 1,
      aux_sym__keyword_in_token1,
    STATE(18592), 1,
      sym__keyword_in,
  [436404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15420), 1,
      aux_sym__keyword_replica_token1,
    STATE(11525), 1,
      sym__keyword_replica,
  [436414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15422), 1,
      aux_sym__keyword_replica_token1,
    STATE(11535), 1,
      sym__keyword_replica,
  [436424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15424), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(15426), 1,
      aux_sym_set_operation_token2,
  [436434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9441), 1,
      aux_sym__keyword_end_token1,
    STATE(10882), 1,
      sym__keyword_end,
  [436444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9441), 1,
      aux_sym__keyword_end_token1,
    STATE(10857), 1,
      sym__keyword_end,
  [436454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15428), 1,
      anon_sym_DQUOTE,
    ACTIONS(15430), 1,
      anon_sym_SQUOTE,
  [436464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12411), 1,
      anon_sym_LPAREN,
    STATE(2267), 1,
      sym_select_subexpression,
  [436474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 1,
      sym__string_start,
    STATE(2275), 1,
      sym_string,
  [436484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      sym__string_start,
    STATE(2554), 1,
      sym_string,
  [436494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 1,
      sym__string_start,
    STATE(2232), 1,
      sym_string,
  [436504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15432), 1,
      anon_sym_LPAREN,
    STATE(2231), 1,
      sym_quantitve_like_patterns,
  [436514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15434), 1,
      aux_sym_set_operation_token2,
    ACTIONS(15436), 1,
      sym_privilege_role,
  [436524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12595), 1,
      anon_sym_LPAREN,
    STATE(2547), 1,
      sym_select_subexpression,
  [436534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(7258), 1,
      sym_string,
  [436544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14621), 1,
      sym_string,
  [436554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15438), 1,
      anon_sym_LPAREN,
    ACTIONS(15440), 1,
      anon_sym_LT,
  [436564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15442), 1,
      anon_sym_LPAREN,
    STATE(7191), 1,
      sym_quantitve_like_patterns,
  [436574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15444), 1,
      aux_sym_join_type_token5,
    ACTIONS(15446), 1,
      aux_sym__cross_join_operation_token2,
  [436584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(8108), 1,
      sym_string,
  [436594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15448), 1,
      aux_sym_keyword_if_not_exists_token2,
    ACTIONS(15450), 1,
      aux_sym_merge_matched_clause_token1,
  [436604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15452), 1,
      anon_sym_LPAREN,
    STATE(7439), 1,
      sym_value_element,
  [436614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15454), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13364), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      aux_sym__keyword_for_token1,
    STATE(11622), 1,
      sym__keyword_for,
  [436640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15573), 1,
      sym_string,
  [436650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7453), 1,
      sym_privilege_user,
  [436660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15243), 1,
      sym_string,
  [436670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15452), 1,
      anon_sym_LPAREN,
    STATE(7418), 1,
      sym_value_element,
  [436688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15414), 1,
      aux_sym_set_statement_token1,
    STATE(14011), 1,
      sym_set_clause,
  [436698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15460), 1,
      anon_sym_LPAREN,
    STATE(484), 1,
      sym_quantitve_like_patterns,
  [436716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      sym__string_start,
    STATE(479), 1,
      sym_string,
  [436726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7454), 1,
      sym_privilege_user,
  [436736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12884), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      sym__string_start,
    STATE(435), 1,
      sym_string,
  [436754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8115), 1,
      sym__function_body_sql,
  [436764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(16319), 1,
      sym_string,
  [436774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15462), 1,
      anon_sym_LPAREN,
    ACTIONS(15464), 1,
      anon_sym_LT,
  [436784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12369), 1,
      anon_sym_LPAREN,
    STATE(432), 1,
      sym_select_subexpression,
  [436794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15466), 1,
      anon_sym_LPAREN,
    ACTIONS(15468), 1,
      anon_sym_LT,
  [436804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15470), 1,
      anon_sym_LPAREN,
    ACTIONS(15472), 1,
      anon_sym_LT,
  [436814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      aux_sym_where_clause_token1,
    STATE(8217), 1,
      sym_where_clause,
  [436824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9559), 1,
      aux_sym__keyword_end_token1,
    STATE(10506), 1,
      sym__keyword_end,
  [436834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9559), 1,
      aux_sym__keyword_end_token1,
    STATE(10501), 1,
      sym__keyword_end,
  [436844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(17007), 1,
      sym_string,
  [436854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11159), 1,
      aux_sym_where_clause_token1,
    STATE(8353), 1,
      sym_where_clause,
  [436864] = 2,
    ACTIONS(12367), 1,
      sym_comment,
    ACTIONS(15474), 2,
      aux_sym_keyword_unbounded_preceding_token1,
      aux_sym_range_content_token1,
  [436872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15476), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [436880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15478), 1,
      aux_sym__keyword_as_token1,
    STATE(15421), 1,
      sym__keyword_as,
  [436890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12111), 1,
      sym_create_function_parameters,
  [436900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14977), 1,
      sym_string,
  [436910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12950), 1,
      sym_create_function_parameters,
  [436920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15480), 1,
      anon_sym_LPAREN,
    ACTIONS(15482), 1,
      anon_sym_LT,
  [436930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15484), 1,
      anon_sym_LPAREN,
    STATE(4886), 1,
      sym_quantitve_like_patterns,
  [436940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      sym__string_start,
    STATE(4885), 1,
      sym_string,
  [436950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8545), 1,
      aux_sym_option_clause_token1,
    STATE(18365), 1,
      sym_option_clause,
  [436960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15486), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [436968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15488), 2,
      aux_sym__keyword_begin_token1,
      aux_sym_option_clause_token1,
  [436976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      sym__string_start,
    STATE(4865), 1,
      sym_string,
  [436986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14781), 1,
      sym_string,
  [436996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      aux_sym__keyword_begin_token1,
    STATE(8249), 1,
      sym_procedure_body,
  [437006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12913), 1,
      sym_create_function_parameters,
  [437016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15490), 1,
      aux_sym__keyword_as_token1,
    STATE(15347), 1,
      sym__keyword_as,
  [437026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8259), 1,
      sym__function_body_sql,
  [437036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12383), 1,
      anon_sym_LPAREN,
    STATE(4862), 1,
      sym_select_subexpression,
  [437046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15492), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15494), 1,
      aux_sym__keyword_as_token1,
    STATE(15335), 1,
      sym__keyword_as,
  [437064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(7233), 1,
      sym_string,
  [437074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8272), 1,
      sym__function_body_sql,
  [437084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15496), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15500), 1,
      anon_sym_LPAREN,
    ACTIONS(15502), 1,
      anon_sym_LT,
  [437110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9569), 1,
      aux_sym__keyword_end_token1,
    STATE(2745), 1,
      sym__keyword_end,
  [437120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14550), 1,
      sym_string,
  [437130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12078), 1,
      sym_create_function_parameters,
  [437140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_clone_clause_token1,
    STATE(8804), 1,
      sym_clone_clause,
  [437150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15504), 1,
      aux_sym__keyword_partition_by_token1,
    ACTIONS(15506), 1,
      aux_sym_create_remote_function_statement_token2,
  [437160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10862), 1,
      aux_sym_foreign_key_token1,
    STATE(16152), 1,
      sym_foreign_key,
  [437170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15840), 1,
      sym_string,
  [437180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15160), 1,
      anon_sym_LPAREN,
    STATE(14323), 1,
      sym_procedure_parameters,
  [437190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15508), 1,
      aux_sym__keyword_distinct_token1,
    ACTIONS(15510), 1,
      aux_sym_set_operation_token2,
  [437200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15512), 1,
      anon_sym_LPAREN,
    ACTIONS(15514), 1,
      anon_sym_LT,
  [437210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15516), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15012), 1,
      sym_string,
  [437228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12137), 1,
      aux_sym__keyword_as_token1,
    STATE(12045), 1,
      sym__keyword_as,
  [437238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9563), 1,
      aux_sym__keyword_end_token1,
    STATE(5884), 1,
      sym__keyword_end,
  [437248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9355), 1,
      aux_sym__keyword_end_token1,
    STATE(9894), 1,
      sym__keyword_end,
  [437258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9355), 1,
      aux_sym__keyword_end_token1,
    STATE(9933), 1,
      sym__keyword_end,
  [437268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_LPAREN,
    STATE(6392), 1,
      sym_select_subexpression,
  [437278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9563), 1,
      aux_sym__keyword_end_token1,
    STATE(5859), 1,
      sym__keyword_end,
  [437288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12442), 1,
      anon_sym_LPAREN,
    STATE(4474), 1,
      sym_select_subexpression,
  [437298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9569), 1,
      aux_sym__keyword_end_token1,
    STATE(2734), 1,
      sym__keyword_end,
  [437308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14420), 1,
      sym_string,
  [437318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15518), 1,
      anon_sym_LPAREN,
    ACTIONS(15520), 1,
      anon_sym_LT,
  [437328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 1,
      sym__string_start,
    STATE(4482), 1,
      sym_string,
  [437338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      sym__string_start,
    STATE(6587), 1,
      sym_string,
  [437348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15522), 1,
      anon_sym_LPAREN,
    STATE(6586), 1,
      sym_quantitve_like_patterns,
  [437358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15524), 1,
      aux_sym_having_max_clause_token1,
    ACTIONS(15526), 1,
      aux_sym_having_min_clause_token1,
  [437368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10862), 1,
      aux_sym_foreign_key_token1,
    STATE(7571), 1,
      sym_foreign_key,
  [437386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9393), 1,
      aux_sym__keyword_end_token1,
    STATE(4398), 1,
      sym__keyword_end,
  [437396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15382), 1,
      sym_string,
  [437406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    STATE(6807), 1,
      sym_select_subexpression,
  [437416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9357), 1,
      aux_sym__keyword_end_token1,
    STATE(7249), 1,
      sym__keyword_end,
  [437426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 1,
      sym__string_start,
    STATE(4514), 1,
      sym_string,
  [437436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15530), 1,
      anon_sym_LPAREN,
    STATE(4515), 1,
      sym_quantitve_like_patterns,
  [437446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15296), 1,
      aux_sym_insert_statement_token1,
    STATE(7802), 1,
      sym_merge_insert_clause,
  [437456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15136), 1,
      anon_sym_LPAREN,
    STATE(8287), 1,
      sym__function_body_sql,
  [437466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15532), 1,
      anon_sym_LPAREN,
    STATE(3597), 1,
      sym_quantitve_like_patterns,
  [437476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      sym__string_start,
    STATE(3596), 1,
      sym_string,
  [437486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15534), 1,
      anon_sym_LPAREN,
    ACTIONS(15536), 1,
      anon_sym_LT,
  [437496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15538), 1,
      anon_sym_LPAREN,
    ACTIONS(15540), 1,
      anon_sym_LT,
  [437506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7509), 1,
      sym_privilege_user,
  [437516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      sym__string_start,
    STATE(3547), 1,
      sym_string,
  [437526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7505), 1,
      sym_privilege_user,
  [437536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12498), 1,
      anon_sym_LPAREN,
    STATE(3455), 1,
      sym_select_subexpression,
  [437546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9565), 1,
      aux_sym__keyword_end_token1,
    STATE(7811), 1,
      sym__keyword_end,
  [437556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15542), 1,
      anon_sym_LPAREN,
    STATE(4715), 1,
      sym_select_subexpression,
  [437566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9565), 1,
      aux_sym__keyword_end_token1,
    STATE(7840), 1,
      sym__keyword_end,
  [437576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15544), 1,
      aux_sym__keyword_from_token1,
    STATE(1242), 1,
      sym__keyword_from,
  [437586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15546), 1,
      aux_sym__keyword_as_token1,
    STATE(14654), 1,
      sym__keyword_as,
  [437596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7527), 1,
      sym_privilege_user,
  [437606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15130), 1,
      anon_sym_DQUOTE,
    STATE(7525), 1,
      sym_privilege_user,
  [437616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      sym__string_start,
    STATE(6400), 1,
      sym_string,
  [437626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15548), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(14911), 1,
      sym_string,
  [437644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15550), 2,
      aux_sym__keyword_begin_token1,
      aux_sym_option_clause_token1,
  [437652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(16247), 1,
      sym_string,
  [437662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LT,
  [437672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      aux_sym__keyword_begin_token1,
    STATE(8307), 1,
      sym_procedure_body,
  [437682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12120), 1,
      sym_create_function_parameters,
  [437692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      aux_sym_where_clause_token1,
    STATE(8353), 1,
      sym_where_clause,
  [437702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15166), 1,
      anon_sym_LPAREN,
    STATE(12878), 1,
      sym_create_function_parameters,
  [437712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15556), 1,
      anon_sym_LPAREN,
    STATE(4391), 1,
      sym_quantitve_like_patterns,
  [437722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(4390), 1,
      sym_string,
  [437732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [437740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15558), 1,
      anon_sym_LPAREN,
    ACTIONS(15560), 1,
      anon_sym_LT,
  [437750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15160), 1,
      anon_sym_LPAREN,
    STATE(14210), 1,
      sym_procedure_parameters,
  [437760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12644), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [437768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15562), 1,
      aux_sym__nulls_preference_token2,
    ACTIONS(15564), 1,
      aux_sym__nulls_preference_token3,
  [437778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      sym__string_start,
    STATE(4374), 1,
      sym_string,
  [437788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15805), 1,
      sym_string,
  [437798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      sym__string_start,
    STATE(15384), 1,
      sym_string,
  [437808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      anon_sym_LPAREN,
    STATE(4372), 1,
      sym_select_subexpression,
  [437818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15566), 1,
      anon_sym_RPAREN,
  [437825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15568), 1,
      anon_sym_RPAREN,
  [437832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15570), 1,
      anon_sym_RPAREN,
  [437839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15572), 1,
      anon_sym_RPAREN,
  [437846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15574), 1,
      anon_sym_RPAREN,
  [437853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15576), 1,
      anon_sym_RPAREN,
  [437860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15578), 1,
      anon_sym_RPAREN,
  [437867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15580), 1,
      anon_sym_RPAREN,
  [437874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15582), 1,
      anon_sym_RPAREN,
  [437881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15584), 1,
      anon_sym_RPAREN,
  [437888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15586), 1,
      anon_sym_RPAREN,
  [437895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15588), 1,
      anon_sym_RPAREN,
  [437902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15590), 1,
      anon_sym_RPAREN,
  [437909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15592), 1,
      anon_sym_RPAREN,
  [437916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15594), 1,
      anon_sym_RPAREN,
  [437923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15596), 1,
      anon_sym_RPAREN,
  [437930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15598), 1,
      anon_sym_RPAREN,
  [437937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15600), 1,
      anon_sym_RPAREN,
  [437944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15602), 1,
      aux_sym__keyword_from_token1,
  [437951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15604), 1,
      aux_sym__keyword_from_token1,
  [437958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15606), 1,
      aux_sym__keyword_from_token1,
  [437965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15608), 1,
      aux_sym__keyword_from_token1,
  [437972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15610), 1,
      aux_sym__keyword_as_token1,
  [437979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15612), 1,
      aux_sym__keyword_from_token1,
  [437986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15614), 1,
      aux_sym__keyword_from_token1,
  [437993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15616), 1,
      aux_sym__keyword_from_token1,
  [438000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15618), 1,
      aux_sym__keyword_from_token1,
  [438007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15620), 1,
      aux_sym__keyword_from_token1,
  [438014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15622), 1,
      aux_sym__keyword_from_token1,
  [438021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15624), 1,
      aux_sym__keyword_from_token1,
  [438028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15626), 1,
      aux_sym__keyword_from_token1,
  [438035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15628), 1,
      aux_sym__keyword_from_token1,
  [438042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15630), 1,
      aux_sym__keyword_from_token1,
  [438049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15632), 1,
      aux_sym__keyword_from_token1,
  [438056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15634), 1,
      aux_sym__keyword_from_token1,
  [438063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15636), 1,
      aux_sym__keyword_from_token1,
  [438070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15638), 1,
      aux_sym__keyword_from_token1,
  [438077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15640), 1,
      anon_sym_RPAREN,
  [438084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15642), 1,
      anon_sym_RPAREN,
  [438091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15644), 1,
      anon_sym_RPAREN,
  [438098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15646), 1,
      aux_sym__keyword_from_token1,
  [438105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15648), 1,
      aux_sym__keyword_from_token1,
  [438112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15650), 1,
      anon_sym_RPAREN,
  [438119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15652), 1,
      anon_sym_RPAREN,
  [438126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15654), 1,
      anon_sym_RPAREN,
  [438133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15656), 1,
      aux_sym__keyword_from_token1,
  [438140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15658), 1,
      aux_sym__keyword_from_token1,
  [438147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15660), 1,
      anon_sym_RPAREN,
  [438154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15662), 1,
      anon_sym_RPAREN,
  [438161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15664), 1,
      aux_sym_execute_immediate_statement_token2,
  [438168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15666), 1,
      anon_sym_RPAREN,
  [438175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
  [438182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15668), 1,
      anon_sym_RPAREN,
  [438189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15670), 1,
      anon_sym_RPAREN,
  [438196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15672), 1,
      anon_sym_RPAREN,
  [438203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15674), 1,
      anon_sym_LBRACK,
  [438210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15676), 1,
      aux_sym_set_statement_token2,
  [438217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
  [438224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15678), 1,
      anon_sym_RPAREN,
  [438231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15680), 1,
      anon_sym_RPAREN,
  [438238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15682), 1,
      anon_sym_RPAREN,
  [438245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15684), 1,
      anon_sym_RPAREN,
  [438252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15686), 1,
      aux_sym__keyword_partition_by_token2,
  [438259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15688), 1,
      anon_sym_RPAREN,
  [438266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15690), 1,
      aux_sym__keyword_distinct_token1,
  [438273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15692), 1,
      aux_sym__keyword_distinct_token1,
  [438280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15694), 1,
      anon_sym_RPAREN,
  [438287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15696), 1,
      anon_sym_RPAREN,
  [438294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15698), 1,
      anon_sym_RPAREN,
  [438301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15700), 1,
      anon_sym_RPAREN,
  [438308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15702), 1,
      anon_sym_RPAREN,
  [438315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15704), 1,
      anon_sym_RPAREN,
  [438322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15706), 1,
      anon_sym_RPAREN,
  [438329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15708), 1,
      anon_sym_RPAREN,
  [438336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13063), 1,
      anon_sym_RPAREN,
  [438343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15710), 1,
      anon_sym_RPAREN,
  [438350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15712), 1,
      anon_sym_RPAREN,
  [438357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15714), 1,
      aux_sym__keyword_in_token1,
  [438364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15716), 1,
      anon_sym_LPAREN,
  [438371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15718), 1,
      anon_sym_RPAREN,
  [438378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15720), 1,
      anon_sym_RPAREN,
  [438385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15722), 1,
      anon_sym_RPAREN,
  [438392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15724), 1,
      anon_sym_RPAREN,
  [438399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15184), 1,
      aux_sym_window_numeric_following_token1,
  [438406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15726), 1,
      anon_sym_RPAREN,
  [438413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15728), 1,
      anon_sym_EQ,
  [438420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11155), 1,
      anon_sym_RPAREN,
  [438427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15730), 1,
      aux_sym_window_numeric_following_token1,
  [438434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15732), 1,
      aux_sym__keyword_partition_by_token2,
  [438441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 1,
      anon_sym_RPAREN,
  [438448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15506), 1,
      aux_sym_create_remote_function_statement_token2,
  [438455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15734), 1,
      anon_sym_LPAREN,
  [438462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15736), 1,
      anon_sym_AS,
  [438469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15738), 1,
      anon_sym_RPAREN,
  [438476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15740), 1,
      anon_sym_RPAREN,
  [438483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15742), 1,
      anon_sym_RPAREN,
  [438490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15744), 1,
      anon_sym_RPAREN,
  [438497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15746), 1,
      anon_sym_RPAREN,
  [438504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15748), 1,
      anon_sym_RPAREN,
  [438511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15750), 1,
      anon_sym_GT,
  [438518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15752), 1,
      anon_sym_RPAREN,
  [438525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15754), 1,
      anon_sym_RPAREN,
  [438532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15756), 1,
      aux_sym__nulls_preference_token1,
  [438539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15758), 1,
      anon_sym_RPAREN,
  [438546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9783), 1,
      anon_sym_RPAREN,
  [438553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15760), 1,
      anon_sym_RPAREN,
  [438560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15762), 1,
      anon_sym_RPAREN,
  [438567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11179), 1,
      anon_sym_RPAREN,
  [438574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15764), 1,
      aux_sym_create_remote_function_statement_token2,
  [438581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15766), 1,
      anon_sym_RPAREN,
  [438588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9919), 1,
      anon_sym_RPAREN,
  [438595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15768), 1,
      aux_sym_drop_notnull_token1,
  [438602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11193), 1,
      anon_sym_RPAREN,
  [438609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      anon_sym_RPAREN,
  [438616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15770), 1,
      anon_sym_RPAREN,
  [438623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15772), 1,
      anon_sym_RPAREN,
  [438630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
  [438637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10007), 1,
      anon_sym_RPAREN,
  [438644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
  [438651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15774), 1,
      anon_sym_LPAREN,
  [438658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11225), 1,
      anon_sym_RPAREN,
  [438665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15776), 1,
      aux_sym__keyword_from_token1,
  [438672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10013), 1,
      anon_sym_RPAREN,
  [438679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
  [438686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15778), 1,
      anon_sym_RPAREN,
  [438693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15780), 1,
      anon_sym_AS,
  [438700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15782), 1,
      aux_sym__keyword_from_token1,
  [438707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15784), 1,
      aux_sym__keyword_partition_by_token2,
  [438714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10037), 1,
      anon_sym_RPAREN,
  [438721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15786), 1,
      aux_sym_drop_notnull_token1,
  [438728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15788), 1,
      aux_sym_drop_notnull_token1,
  [438735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15790), 1,
      aux_sym_limit_clause_token2,
  [438742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15792), 1,
      anon_sym_RPAREN,
  [438749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15794), 1,
      anon_sym_RPAREN,
  [438756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15796), 1,
      anon_sym_RPAREN,
  [438763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15798), 1,
      anon_sym_RPAREN,
  [438770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15800), 1,
      anon_sym_RPAREN,
  [438777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15802), 1,
      anon_sym_RPAREN,
  [438784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15804), 1,
      anon_sym_RPAREN,
  [438791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15806), 1,
      anon_sym_RPAREN,
  [438798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15808), 1,
      anon_sym_RPAREN,
  [438805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15810), 1,
      anon_sym_RPAREN,
  [438812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15812), 1,
      anon_sym_RPAREN,
  [438819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15814), 1,
      anon_sym_RPAREN,
  [438826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15816), 1,
      anon_sym_RPAREN,
  [438833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15818), 1,
      anon_sym_RPAREN,
  [438840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15820), 1,
      anon_sym_RPAREN,
  [438847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15822), 1,
      anon_sym_RPAREN,
  [438854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15824), 1,
      anon_sym_RPAREN,
  [438861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15826), 1,
      anon_sym_RPAREN,
  [438868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10080), 1,
      anon_sym_RPAREN,
  [438875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15828), 1,
      anon_sym_RPAREN,
  [438882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15830), 1,
      anon_sym_RPAREN,
  [438889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15832), 1,
      anon_sym_RPAREN,
  [438896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15834), 1,
      anon_sym_RPAREN,
  [438903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15836), 1,
      aux_sym__nulls_preference_token1,
  [438910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10070), 1,
      anon_sym_RPAREN,
  [438917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15838), 1,
      anon_sym_RPAREN,
  [438924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15840), 1,
      anon_sym_RPAREN,
  [438931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15842), 1,
      anon_sym_RPAREN,
  [438938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15844), 1,
      anon_sym_RPAREN,
  [438945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15846), 1,
      aux_sym__nulls_preference_token1,
  [438952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10064), 1,
      anon_sym_RPAREN,
  [438959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15848), 1,
      anon_sym_RPAREN,
  [438966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15850), 1,
      anon_sym_RPAREN,
  [438973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15852), 1,
      anon_sym_RPAREN,
  [438980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15854), 1,
      anon_sym_RPAREN,
  [438987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14171), 1,
      anon_sym_RPAREN,
  [438994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15856), 1,
      aux_sym_drop_notnull_token1,
  [439001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15858), 1,
      anon_sym_RPAREN,
  [439008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15860), 1,
      anon_sym_RPAREN,
  [439015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15862), 1,
      anon_sym_RPAREN,
  [439022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15864), 1,
      anon_sym_RPAREN,
  [439029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15866), 1,
      anon_sym_RPAREN,
  [439036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15868), 1,
      aux_sym__cross_join_operation_token2,
  [439043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15870), 1,
      aux_sym__cross_join_operation_token2,
  [439050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15872), 1,
      anon_sym_RPAREN,
  [439057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15874), 1,
      anon_sym_RPAREN,
  [439064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15876), 1,
      anon_sym_RPAREN,
  [439071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15878), 1,
      anon_sym_RPAREN,
  [439078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15880), 1,
      aux_sym__keyword_as_token1,
  [439085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15882), 1,
      aux_sym_set_statement_token1,
  [439092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15884), 1,
      anon_sym_RPAREN,
  [439099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15886), 1,
      anon_sym_RPAREN,
  [439106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15888), 1,
      anon_sym_RPAREN,
  [439113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15890), 1,
      anon_sym_RPAREN,
  [439120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14298), 1,
      anon_sym_RPAREN,
  [439127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15892), 1,
      anon_sym_LPAREN,
  [439134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15894), 1,
      anon_sym_RPAREN,
  [439141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15896), 1,
      anon_sym_RPAREN,
  [439148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15898), 1,
      anon_sym_RPAREN,
  [439155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15900), 1,
      anon_sym_RPAREN,
  [439162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15902), 1,
      aux_sym__keyword_in_token1,
  [439169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15904), 1,
      anon_sym_LPAREN,
  [439176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15906), 1,
      anon_sym_RPAREN,
  [439183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15908), 1,
      anon_sym_RPAREN,
  [439190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15910), 1,
      anon_sym_RPAREN,
  [439197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15912), 1,
      anon_sym_RPAREN,
  [439204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11307), 1,
      anon_sym_RPAREN,
  [439211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15914), 1,
      anon_sym_RPAREN,
  [439218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14382), 1,
      anon_sym_RPAREN,
  [439225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15916), 1,
      anon_sym_RPAREN,
  [439232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15918), 1,
      anon_sym_RPAREN,
  [439239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15920), 1,
      anon_sym_RPAREN,
  [439246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15922), 1,
      anon_sym_RPAREN,
  [439253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15924), 1,
      anon_sym_RPAREN,
  [439260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15926), 1,
      anon_sym_RPAREN,
  [439267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15928), 1,
      anon_sym_RPAREN,
  [439274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15930), 1,
      anon_sym_RPAREN,
  [439281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_RPAREN,
  [439288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15932), 1,
      anon_sym_RPAREN,
  [439295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15934), 1,
      anon_sym_RPAREN,
  [439302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10017), 1,
      anon_sym_RPAREN,
  [439309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15936), 1,
      anon_sym_RPAREN,
  [439316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15938), 1,
      anon_sym_RPAREN,
  [439323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15940), 1,
      anon_sym_RPAREN,
  [439330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15942), 1,
      anon_sym_RPAREN,
  [439337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15944), 1,
      aux_sym__nulls_preference_token1,
  [439344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
  [439351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15946), 1,
      anon_sym_RPAREN,
  [439358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11329), 1,
      anon_sym_RPAREN,
  [439365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15948), 1,
      anon_sym_RPAREN,
  [439372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9631), 1,
      anon_sym_RPAREN,
  [439379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
  [439386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11341), 1,
      anon_sym_RPAREN,
  [439393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14598), 1,
      anon_sym_RPAREN,
  [439400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15950), 1,
      anon_sym_RPAREN,
  [439407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15952), 1,
      aux_sym__nulls_preference_token1,
  [439414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15954), 1,
      anon_sym_RPAREN,
  [439421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15956), 1,
      anon_sym_RPAREN,
  [439428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9665), 1,
      anon_sym_RPAREN,
  [439435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_RPAREN,
  [439442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9673), 1,
      anon_sym_RPAREN,
  [439449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15958), 1,
      aux_sym__nulls_preference_token1,
  [439456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15960), 1,
      anon_sym_RPAREN,
  [439463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11369), 1,
      anon_sym_RPAREN,
  [439470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15962), 1,
      aux_sym__keyword_from_token1,
  [439477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9761), 1,
      anon_sym_RPAREN,
  [439484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
  [439491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9969), 1,
      anon_sym_RPAREN,
  [439498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15964), 1,
      aux_sym__keyword_from_token1,
  [439505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10264), 1,
      anon_sym_RPAREN,
  [439512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15966), 1,
      aux_sym_limit_clause_token2,
  [439519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15968), 1,
      anon_sym_RPAREN,
  [439526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15970), 1,
      anon_sym_RPAREN,
  [439533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15972), 1,
      anon_sym_RPAREN,
  [439540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15974), 1,
      sym__string_end,
  [439547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15976), 1,
      sym__string_end,
  [439554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15978), 1,
      aux_sym__keyword_for_token1,
  [439561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15980), 1,
      anon_sym_RPAREN,
  [439568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15982), 1,
      anon_sym_RPAREN,
  [439575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15984), 1,
      aux_sym_partition_columns_clause_token1,
  [439582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15986), 1,
      anon_sym_RPAREN,
  [439589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15988), 1,
      anon_sym_RPAREN,
  [439596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15990), 1,
      anon_sym_RPAREN,
  [439603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15992), 1,
      anon_sym_RPAREN,
  [439610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15994), 1,
      anon_sym_RPAREN,
  [439617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15996), 1,
      anon_sym_RPAREN,
  [439624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15998), 1,
      anon_sym_RPAREN,
  [439631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16000), 1,
      anon_sym_RPAREN,
  [439638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16002), 1,
      anon_sym_RPAREN,
  [439645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16004), 1,
      anon_sym_RPAREN,
  [439652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16006), 1,
      anon_sym_RPAREN,
  [439659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16008), 1,
      anon_sym_RPAREN,
  [439666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16010), 1,
      anon_sym_RPAREN,
  [439673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16012), 1,
      aux_sym_create_remote_function_statement_token2,
  [439680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16014), 1,
      anon_sym_RPAREN,
  [439687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16016), 1,
      anon_sym_RPAREN,
  [439694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16018), 1,
      anon_sym_RPAREN,
  [439701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16020), 1,
      anon_sym_RPAREN,
  [439708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16022), 1,
      anon_sym_RPAREN,
  [439715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16024), 1,
      anon_sym_DQUOTE,
  [439722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16026), 1,
      anon_sym_RPAREN,
  [439729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16028), 1,
      anon_sym_RPAREN,
  [439736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16030), 1,
      anon_sym_RPAREN,
  [439743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16032), 1,
      anon_sym_RPAREN,
  [439750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16034), 1,
      anon_sym_RPAREN,
  [439757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16036), 1,
      anon_sym_RPAREN,
  [439764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16038), 1,
      anon_sym_RPAREN,
  [439771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15072), 1,
      anon_sym_RPAREN,
  [439778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16040), 1,
      anon_sym_RPAREN,
  [439785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10777), 1,
      anon_sym_RPAREN,
  [439792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16042), 1,
      aux_sym_drop_notnull_token1,
  [439799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16044), 1,
      aux_sym_drop_notnull_token1,
  [439806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16046), 1,
      anon_sym_RPAREN,
  [439813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16048), 1,
      anon_sym_RPAREN,
  [439820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16050), 1,
      aux_sym_drop_notnull_token1,
  [439827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16052), 1,
      anon_sym_RPAREN,
  [439834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16054), 1,
      anon_sym_RPAREN,
  [439841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16056), 1,
      anon_sym_RPAREN,
  [439848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16058), 1,
      anon_sym_RPAREN,
  [439855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16060), 1,
      anon_sym_RPAREN,
  [439862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16062), 1,
      aux_sym_constraint_enfoce_option_token1,
  [439869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16064), 1,
      anon_sym_RPAREN,
  [439876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16066), 1,
      anon_sym_RPAREN,
  [439883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16068), 1,
      aux_sym_limit_clause_token2,
  [439890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16070), 1,
      anon_sym_RPAREN,
  [439897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15020), 1,
      anon_sym_RPAREN,
  [439904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16072), 1,
      anon_sym_RPAREN,
  [439911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11435), 1,
      anon_sym_RPAREN,
  [439918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15022), 1,
      anon_sym_RPAREN,
  [439925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16074), 1,
      anon_sym_RPAREN,
  [439932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
  [439939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16076), 1,
      anon_sym_RPAREN,
  [439946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16078), 1,
      anon_sym_RPAREN,
  [439953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16080), 1,
      anon_sym_RPAREN,
  [439960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11441), 1,
      anon_sym_RPAREN,
  [439967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16082), 1,
      aux_sym__nulls_preference_token1,
  [439974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16084), 1,
      anon_sym_RPAREN,
  [439981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14998), 1,
      anon_sym_RPAREN,
  [439988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16086), 1,
      anon_sym_RPAREN,
  [439995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      anon_sym_RPAREN,
  [440002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11455), 1,
      anon_sym_RPAREN,
  [440009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16088), 1,
      anon_sym_RPAREN,
  [440016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16090), 1,
      anon_sym_RPAREN,
  [440023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16092), 1,
      anon_sym_RPAREN,
  [440030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16094), 1,
      anon_sym_RPAREN,
  [440037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16096), 1,
      anon_sym_RPAREN,
  [440044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16098), 1,
      anon_sym_RPAREN,
  [440051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16100), 1,
      anon_sym_RPAREN,
  [440058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16102), 1,
      anon_sym_RPAREN,
  [440065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16104), 1,
      anon_sym_RPAREN,
  [440072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16106), 1,
      anon_sym_RPAREN,
  [440079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16108), 1,
      anon_sym_RPAREN,
  [440086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16110), 1,
      anon_sym_RPAREN,
  [440093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16112), 1,
      anon_sym_RPAREN,
  [440100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11477), 1,
      anon_sym_RPAREN,
  [440107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16114), 1,
      anon_sym_RPAREN,
  [440114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
  [440121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11487), 1,
      anon_sym_RPAREN,
  [440128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16116), 1,
      anon_sym_RPAREN,
  [440135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16118), 1,
      anon_sym_RPAREN,
  [440142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14944), 1,
      anon_sym_RPAREN,
  [440149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16120), 1,
      anon_sym_RPAREN,
  [440156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9285), 1,
      anon_sym_RPAREN,
  [440163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16122), 1,
      anon_sym_RPAREN,
  [440170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16124), 1,
      anon_sym_RPAREN,
  [440177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
  [440184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10238), 1,
      anon_sym_RPAREN,
  [440191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
  [440198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11511), 1,
      anon_sym_RPAREN,
  [440205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16126), 1,
      aux_sym__keyword_from_token1,
  [440212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10254), 1,
      anon_sym_RPAREN,
  [440219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
  [440226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10410), 1,
      anon_sym_RPAREN,
  [440233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16128), 1,
      aux_sym__keyword_from_token1,
  [440240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10268), 1,
      anon_sym_RPAREN,
  [440247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16130), 1,
      anon_sym_RPAREN,
  [440254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16132), 1,
      anon_sym_RPAREN,
  [440261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14803), 1,
      anon_sym_RPAREN,
  [440268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16134), 1,
      anon_sym_RPAREN,
  [440275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16136), 1,
      anon_sym_RPAREN,
  [440282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16138), 1,
      anon_sym_RPAREN,
  [440289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16140), 1,
      anon_sym_RPAREN,
  [440296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16142), 1,
      anon_sym_RPAREN,
  [440303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16144), 1,
      anon_sym_RPAREN,
  [440310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16146), 1,
      anon_sym_RPAREN,
  [440317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16148), 1,
      aux_sym__keyword_in_token1,
  [440324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16150), 1,
      anon_sym_RPAREN,
  [440331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16152), 1,
      anon_sym_RPAREN,
  [440338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16154), 1,
      anon_sym_RPAREN,
  [440345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16156), 1,
      anon_sym_RPAREN,
  [440352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16158), 1,
      anon_sym_RPAREN,
  [440359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16160), 1,
      aux_sym__keyword_in_token1,
  [440366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16162), 1,
      anon_sym_RPAREN,
  [440373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16164), 1,
      anon_sym_RPAREN,
  [440380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16166), 1,
      anon_sym_RPAREN,
  [440387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16168), 1,
      anon_sym_RPAREN,
  [440394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16170), 1,
      anon_sym_RPAREN,
  [440401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16172), 1,
      anon_sym_RPAREN,
  [440408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16174), 1,
      anon_sym_RPAREN,
  [440415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16176), 1,
      anon_sym_RPAREN,
  [440422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16178), 1,
      anon_sym_RPAREN,
  [440429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16180), 1,
      anon_sym_RPAREN,
  [440436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16182), 1,
      anon_sym_RPAREN,
  [440443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16184), 1,
      anon_sym_RPAREN,
  [440450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16186), 1,
      anon_sym_RPAREN,
  [440457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16188), 1,
      anon_sym_RPAREN,
  [440464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16190), 1,
      anon_sym_RPAREN,
  [440471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16192), 1,
      anon_sym_RPAREN,
  [440478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16194), 1,
      anon_sym_RPAREN,
  [440485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16196), 1,
      anon_sym_RPAREN,
  [440492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16198), 1,
      anon_sym_RPAREN,
  [440499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16200), 1,
      anon_sym_RPAREN,
  [440506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16202), 1,
      anon_sym_RPAREN,
  [440513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16204), 1,
      anon_sym_RPAREN,
  [440520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16206), 1,
      anon_sym_RPAREN,
  [440527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16208), 1,
      anon_sym_RPAREN,
  [440534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16210), 1,
      anon_sym_RPAREN,
  [440541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16212), 1,
      anon_sym_RPAREN,
  [440548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16214), 1,
      anon_sym_RPAREN,
  [440555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16216), 1,
      anon_sym_RPAREN,
  [440562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16218), 1,
      anon_sym_RPAREN,
  [440569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16220), 1,
      anon_sym_RPAREN,
  [440576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16222), 1,
      anon_sym_RPAREN,
  [440583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16224), 1,
      anon_sym_RPAREN,
  [440590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16226), 1,
      anon_sym_RPAREN,
  [440597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16228), 1,
      anon_sym_RPAREN,
  [440604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16230), 1,
      anon_sym_RPAREN,
  [440611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16232), 1,
      anon_sym_RPAREN,
  [440618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16234), 1,
      anon_sym_RPAREN,
  [440625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16236), 1,
      anon_sym_RPAREN,
  [440632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14783), 1,
      anon_sym_RPAREN,
  [440639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16238), 1,
      anon_sym_RPAREN,
  [440646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_RPAREN,
  [440653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16240), 1,
      anon_sym_RPAREN,
  [440660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16242), 1,
      anon_sym_RPAREN,
  [440667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10982), 1,
      anon_sym_RPAREN,
  [440674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16244), 1,
      anon_sym_RPAREN,
  [440681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16246), 1,
      sym__string_end,
  [440688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16248), 1,
      anon_sym_RPAREN,
  [440695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16250), 1,
      aux_sym__keyword_for_token1,
  [440702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16252), 1,
      anon_sym_RPAREN,
  [440709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16254), 1,
      anon_sym_RPAREN,
  [440716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16256), 1,
      anon_sym_RPAREN,
  [440723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16258), 1,
      anon_sym_RPAREN,
  [440730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14753), 1,
      anon_sym_RPAREN,
  [440737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16260), 1,
      anon_sym_RPAREN,
  [440744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11577), 1,
      anon_sym_RPAREN,
  [440751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16262), 1,
      anon_sym_RPAREN,
  [440758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11653), 1,
      anon_sym_RPAREN,
  [440765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16264), 1,
      anon_sym_RPAREN,
  [440772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16266), 1,
      anon_sym_RPAREN,
  [440779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16268), 1,
      anon_sym_RPAREN,
  [440786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14745), 1,
      anon_sym_RPAREN,
  [440793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16270), 1,
      anon_sym_RPAREN,
  [440800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16272), 1,
      anon_sym_RPAREN,
  [440807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16274), 1,
      anon_sym_RPAREN,
  [440814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16276), 1,
      anon_sym_RPAREN,
  [440821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16278), 1,
      anon_sym_RPAREN,
  [440828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16280), 1,
      anon_sym_RPAREN,
  [440835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14725), 1,
      anon_sym_RPAREN,
  [440842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16282), 1,
      anon_sym_RPAREN,
  [440849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16284), 1,
      anon_sym_RPAREN,
  [440856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16286), 1,
      anon_sym_RPAREN,
  [440863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11595), 1,
      anon_sym_RPAREN,
  [440870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16288), 1,
      anon_sym_RPAREN,
  [440877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14723), 1,
      anon_sym_RPAREN,
  [440884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16290), 1,
      anon_sym_RPAREN,
  [440891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16292), 1,
      anon_sym_RPAREN,
  [440898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10366), 1,
      anon_sym_RPAREN,
  [440905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16294), 1,
      anon_sym_RPAREN,
  [440912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16296), 1,
      anon_sym_RPAREN,
  [440919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16298), 1,
      anon_sym_RPAREN,
  [440926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16300), 1,
      anon_sym_RPAREN,
  [440933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16302), 1,
      anon_sym_RPAREN,
  [440940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16304), 1,
      anon_sym_RPAREN,
  [440947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16306), 1,
      anon_sym_RPAREN,
  [440954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16308), 1,
      anon_sym_RPAREN,
  [440961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16310), 1,
      anon_sym_RPAREN,
  [440968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16312), 1,
      anon_sym_RPAREN,
  [440975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16314), 1,
      anon_sym_RPAREN,
  [440982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16316), 1,
      anon_sym_RPAREN,
  [440989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16318), 1,
      anon_sym_RPAREN,
  [440996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16320), 1,
      anon_sym_RPAREN,
  [441003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16322), 1,
      anon_sym_RPAREN,
  [441010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16324), 1,
      anon_sym_RPAREN,
  [441017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11629), 1,
      anon_sym_RPAREN,
  [441024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16326), 1,
      anon_sym_RPAREN,
  [441031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_RPAREN,
  [441038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16328), 1,
      anon_sym_RPAREN,
  [441045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14661), 1,
      anon_sym_RPAREN,
  [441052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9241), 1,
      anon_sym_RPAREN,
  [441059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16330), 1,
      anon_sym_RPAREN,
  [441066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16332), 1,
      anon_sym_RPAREN,
  [441073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10422), 1,
      anon_sym_RPAREN,
  [441080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10418), 1,
      anon_sym_RPAREN,
  [441087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10412), 1,
      anon_sym_RPAREN,
  [441094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11681), 1,
      anon_sym_RPAREN,
  [441101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16334), 1,
      aux_sym__keyword_from_token1,
  [441108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_RPAREN,
  [441115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10398), 1,
      anon_sym_RPAREN,
  [441122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10394), 1,
      anon_sym_RPAREN,
  [441129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16336), 1,
      aux_sym_partition_columns_clause_token1,
  [441136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16338), 1,
      aux_sym__keyword_from_token1,
  [441143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10382), 1,
      anon_sym_RPAREN,
  [441150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16340), 1,
      aux_sym_limit_clause_token2,
  [441157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16342), 1,
      anon_sym_RPAREN,
  [441164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16344), 1,
      anon_sym_RPAREN,
  [441171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16346), 1,
      anon_sym_RPAREN,
  [441178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16348), 1,
      anon_sym_RPAREN,
  [441185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16350), 1,
      anon_sym_RPAREN,
  [441192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16352), 1,
      anon_sym_RPAREN,
  [441199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16354), 1,
      anon_sym_RPAREN,
  [441206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16356), 1,
      anon_sym_RPAREN,
  [441213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16358), 1,
      anon_sym_RPAREN,
  [441220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16360), 1,
      aux_sym_create_remote_function_statement_token2,
  [441227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16362), 1,
      anon_sym_RPAREN,
  [441234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16364), 1,
      anon_sym_RPAREN,
  [441241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16366), 1,
      anon_sym_RPAREN,
  [441248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16368), 1,
      anon_sym_RPAREN,
  [441255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16370), 1,
      anon_sym_RPAREN,
  [441262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16372), 1,
      anon_sym_RPAREN,
  [441269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16374), 1,
      anon_sym_RPAREN,
  [441276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16376), 1,
      anon_sym_RPAREN,
  [441283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16378), 1,
      anon_sym_RPAREN,
  [441290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16380), 1,
      anon_sym_RPAREN,
  [441297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16382), 1,
      aux_sym_primary_key_token2,
  [441304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16384), 1,
      aux_sym_drop_notnull_token1,
  [441311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16386), 1,
      anon_sym_RPAREN,
  [441318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16388), 1,
      aux_sym_drop_notnull_token1,
  [441325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16390), 1,
      aux_sym_drop_notnull_token1,
  [441332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16392), 1,
      anon_sym_LPAREN,
  [441339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16394), 1,
      anon_sym_RPAREN,
  [441346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16396), 1,
      anon_sym_RPAREN,
  [441353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16398), 1,
      anon_sym_GT,
  [441360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16400), 1,
      anon_sym_RPAREN,
  [441367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16402), 1,
      anon_sym_RPAREN,
  [441374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16404), 1,
      anon_sym_RPAREN,
  [441381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16406), 1,
      anon_sym_RPAREN,
  [441388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16408), 1,
      anon_sym_RPAREN,
  [441395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16410), 1,
      anon_sym_RPAREN,
  [441402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16412), 1,
      anon_sym_RPAREN,
  [441409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16414), 1,
      anon_sym_RPAREN,
  [441416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16416), 1,
      anon_sym_RPAREN,
  [441423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14504), 1,
      anon_sym_RPAREN,
  [441430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16418), 1,
      anon_sym_RPAREN,
  [441437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10942), 1,
      anon_sym_RPAREN,
  [441444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16420), 1,
      aux_sym_set_data_type_token2,
  [441451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16422), 1,
      aux_sym_drop_notnull_token1,
  [441458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16424), 1,
      anon_sym_RPAREN,
  [441465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16426), 1,
      anon_sym_RPAREN,
  [441472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16428), 1,
      anon_sym_RPAREN,
  [441479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16430), 1,
      anon_sym_RPAREN,
  [441486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16432), 1,
      anon_sym_RPAREN,
  [441493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16434), 1,
      anon_sym_RPAREN,
  [441500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16436), 1,
      anon_sym_RPAREN,
  [441507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16438), 1,
      anon_sym_RPAREN,
  [441514] = 2,
    ACTIONS(12367), 1,
      sym_comment,
    ACTIONS(16440), 1,
      aux_sym_privilege_user_token1,
  [441521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16442), 1,
      anon_sym_RPAREN,
  [441528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16444), 1,
      anon_sym_RPAREN,
  [441535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16446), 1,
      aux_sym_merge_matched_clause_token1,
  [441542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16448), 1,
      aux_sym_join_condition_token1,
  [441549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16450), 1,
      aux_sym_join_condition_token1,
  [441556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16452), 1,
      anon_sym_RPAREN,
  [441563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16454), 1,
      aux_sym_tablesample_operator_token3,
  [441570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16456), 1,
      anon_sym_RPAREN,
  [441577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14466), 1,
      anon_sym_RPAREN,
  [441584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16458), 1,
      anon_sym_RPAREN,
  [441591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16460), 1,
      anon_sym_RPAREN,
  [441598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16462), 1,
      anon_sym_RPAREN,
  [441605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16464), 1,
      anon_sym_RPAREN,
  [441612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16466), 1,
      anon_sym_RPAREN,
  [441619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16468), 1,
      anon_sym_RPAREN,
  [441626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16470), 1,
      anon_sym_RPAREN,
  [441633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14462), 1,
      anon_sym_RPAREN,
  [441640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16472), 1,
      anon_sym_RPAREN,
  [441647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16474), 1,
      anon_sym_RPAREN,
  [441654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16476), 1,
      anon_sym_RPAREN,
  [441661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16478), 1,
      anon_sym_RPAREN,
  [441668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16480), 1,
      anon_sym_RPAREN,
  [441675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16482), 1,
      anon_sym_RPAREN,
  [441682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16484), 1,
      anon_sym_RPAREN,
  [441689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16486), 1,
      anon_sym_RPAREN,
  [441696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16488), 1,
      anon_sym_RPAREN,
  [441703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16490), 1,
      aux_sym__keyword_from_token1,
  [441710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16492), 1,
      anon_sym_RPAREN,
  [441717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16494), 1,
      anon_sym_RPAREN,
  [441724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16496), 1,
      anon_sym_RPAREN,
  [441731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16498), 1,
      anon_sym_RPAREN,
  [441738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16500), 1,
      anon_sym_RPAREN,
  [441745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16502), 1,
      anon_sym_RPAREN,
  [441752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11731), 1,
      anon_sym_RPAREN,
  [441759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16504), 1,
      anon_sym_RPAREN,
  [441766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14442), 1,
      anon_sym_RPAREN,
  [441773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16506), 1,
      anon_sym_RPAREN,
  [441780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
  [441787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16508), 1,
      anon_sym_RPAREN,
  [441794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16510), 1,
      anon_sym_RPAREN,
  [441801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16512), 1,
      anon_sym_RPAREN,
  [441808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16514), 1,
      anon_sym_RPAREN,
  [441815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16516), 1,
      anon_sym_RPAREN,
  [441822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16518), 1,
      anon_sym_RPAREN,
  [441829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16520), 1,
      anon_sym_RPAREN,
  [441836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16522), 1,
      anon_sym_RPAREN,
  [441843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11751), 1,
      anon_sym_RPAREN,
  [441850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16524), 1,
      anon_sym_RPAREN,
  [441857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
  [441864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_RPAREN,
  [441871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16526), 1,
      aux_sym_keyword_if_not_exists_token1,
  [441878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
  [441885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16530), 1,
      anon_sym_RPAREN,
  [441892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14375), 1,
      anon_sym_RPAREN,
  [441899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
  [441906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16532), 1,
      anon_sym_RPAREN,
  [441913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16534), 1,
      anon_sym_RPAREN,
  [441920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16536), 1,
      anon_sym_RPAREN,
  [441927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16538), 1,
      anon_sym_RPAREN,
  [441934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
  [441941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16540), 1,
      anon_sym_RPAREN,
  [441948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16542), 1,
      anon_sym_RPAREN,
  [441955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16544), 1,
      anon_sym_RPAREN,
  [441962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16546), 1,
      anon_sym_RPAREN,
  [441969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
  [441976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10280), 1,
      anon_sym_RPAREN,
  [441983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11779), 1,
      anon_sym_RPAREN,
  [441990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16548), 1,
      anon_sym_RPAREN,
  [441997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16550), 1,
      aux_sym__keyword_from_token1,
  [442004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16552), 1,
      anon_sym_RPAREN,
  [442011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10276), 1,
      anon_sym_RPAREN,
  [442018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16554), 1,
      anon_sym_RPAREN,
  [442025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16556), 1,
      anon_sym_RPAREN,
  [442032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10274), 1,
      anon_sym_RPAREN,
  [442039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14320), 1,
      anon_sym_RPAREN,
  [442046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
  [442053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16558), 1,
      anon_sym_RPAREN,
  [442060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16560), 1,
      anon_sym_RPAREN,
  [442067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_RPAREN,
  [442074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16562), 1,
      anon_sym_RPAREN,
  [442081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16564), 1,
      anon_sym_RPAREN,
  [442088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16566), 1,
      anon_sym_RPAREN,
  [442095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16568), 1,
      anon_sym_LPAREN,
  [442102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16570), 1,
      aux_sym_limit_clause_token2,
  [442109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16572), 1,
      anon_sym_RPAREN,
  [442116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16574), 1,
      anon_sym_RPAREN,
  [442123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16576), 1,
      anon_sym_RPAREN,
  [442130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16578), 1,
      anon_sym_RPAREN,
  [442137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11811), 1,
      anon_sym_RPAREN,
  [442144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16580), 1,
      anon_sym_RPAREN,
  [442151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14278), 1,
      anon_sym_RPAREN,
  [442158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16582), 1,
      anon_sym_RPAREN,
  [442165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16584), 1,
      anon_sym_RPAREN,
  [442172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15182), 1,
      aux_sym_window_numeric_preceding_token1,
  [442179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16586), 1,
      anon_sym_RPAREN,
  [442186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16588), 1,
      anon_sym_RPAREN,
  [442193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16590), 1,
      anon_sym_RPAREN,
  [442200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16592), 1,
      anon_sym_RPAREN,
  [442207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16594), 1,
      anon_sym_RPAREN,
  [442214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16596), 1,
      anon_sym_RPAREN,
  [442221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16598), 1,
      anon_sym_RPAREN,
  [442228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16600), 1,
      anon_sym_RPAREN,
  [442235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16602), 1,
      anon_sym_RPAREN,
  [442242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16604), 1,
      anon_sym_RPAREN,
  [442249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16606), 1,
      anon_sym_RPAREN,
  [442256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16608), 1,
      anon_sym_RPAREN,
  [442263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16610), 1,
      anon_sym_RPAREN,
  [442270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16612), 1,
      anon_sym_RPAREN,
  [442277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16614), 1,
      anon_sym_RPAREN,
  [442284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16616), 1,
      aux_sym_keyword_current_row_token2,
  [442291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16618), 1,
      aux_sym_window_numeric_preceding_token1,
  [442298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
  [442305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
  [442312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16622), 1,
      anon_sym_RPAREN,
  [442319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16624), 1,
      anon_sym_RPAREN,
  [442326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16626), 1,
      anon_sym_RPAREN,
  [442333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16628), 1,
      anon_sym_RPAREN,
  [442340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16630), 1,
      anon_sym_COMMA,
  [442347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16632), 1,
      anon_sym_RPAREN,
  [442354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16634), 1,
      anon_sym_RPAREN,
  [442361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16636), 1,
      anon_sym_RPAREN,
  [442368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16638), 1,
      anon_sym_RPAREN,
  [442375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16640), 1,
      anon_sym_RPAREN,
  [442382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16642), 1,
      anon_sym_RPAREN,
  [442389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16644), 1,
      anon_sym_RPAREN,
  [442396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16646), 1,
      anon_sym_RPAREN,
  [442403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16648), 1,
      anon_sym_RPAREN,
  [442410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16650), 1,
      anon_sym_RPAREN,
  [442417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16652), 1,
      anon_sym_RPAREN,
  [442424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16654), 1,
      anon_sym_RPAREN,
  [442431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16656), 1,
      anon_sym_RPAREN,
  [442438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16658), 1,
      anon_sym_RPAREN,
  [442445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16660), 1,
      anon_sym_RPAREN,
  [442452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
  [442459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16664), 1,
      anon_sym_RPAREN,
  [442466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16666), 1,
      anon_sym_RPAREN,
  [442473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14208), 1,
      anon_sym_RPAREN,
  [442480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16668), 1,
      anon_sym_RPAREN,
  [442487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10820), 1,
      anon_sym_RPAREN,
  [442494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16670), 1,
      sym__string_end,
  [442501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16672), 1,
      anon_sym_RPAREN,
  [442508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16674), 1,
      anon_sym_RPAREN,
  [442515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16676), 1,
      anon_sym_RPAREN,
  [442522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16678), 1,
      anon_sym_RPAREN,
  [442529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16680), 1,
      anon_sym_RPAREN,
  [442536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16682), 1,
      aux_sym_create_remote_function_statement_token2,
  [442543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16684), 1,
      anon_sym_RPAREN,
  [442550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16686), 1,
      anon_sym_RPAREN,
  [442557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16688), 1,
      anon_sym_RPAREN,
  [442564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16690), 1,
      anon_sym_RPAREN,
  [442571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16692), 1,
      anon_sym_RPAREN,
  [442578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16694), 1,
      anon_sym_RPAREN,
  [442585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16696), 1,
      anon_sym_RPAREN,
  [442592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16698), 1,
      anon_sym_RPAREN,
  [442599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16700), 1,
      anon_sym_RPAREN,
  [442606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14148), 1,
      anon_sym_RPAREN,
  [442613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16702), 1,
      aux_sym_partition_columns_clause_token1,
  [442620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16704), 1,
      anon_sym_RPAREN,
  [442627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16706), 1,
      anon_sym_RPAREN,
  [442634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16708), 1,
      anon_sym_RPAREN,
  [442641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16710), 1,
      anon_sym_RPAREN,
  [442648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11865), 1,
      anon_sym_RPAREN,
  [442655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14126), 1,
      anon_sym_RPAREN,
  [442662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16712), 1,
      anon_sym_RPAREN,
  [442669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16714), 1,
      aux_sym__keyword_system_as_of_token2,
  [442676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
  [442683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16716), 1,
      anon_sym_LPAREN,
  [442690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16718), 1,
      anon_sym_RPAREN,
  [442697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16720), 1,
      anon_sym_RPAREN,
  [442704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16722), 1,
      anon_sym_RPAREN,
  [442711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16724), 1,
      anon_sym_RPAREN,
  [442718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16726), 1,
      anon_sym_RPAREN,
  [442725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16728), 1,
      anon_sym_RPAREN,
  [442732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16730), 1,
      aux_sym_primary_key_token2,
  [442739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16732), 1,
      anon_sym_RPAREN,
  [442746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16734), 1,
      anon_sym_RPAREN,
  [442753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11891), 1,
      anon_sym_RPAREN,
  [442760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16736), 1,
      aux_sym_drop_notnull_token1,
  [442767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16738), 1,
      aux_sym_join_condition_token1,
  [442774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16740), 1,
      anon_sym_RPAREN,
  [442781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10132), 1,
      anon_sym_RPAREN,
  [442788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RPAREN,
  [442795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14060), 1,
      anon_sym_RPAREN,
  [442802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9243), 1,
      anon_sym_RPAREN,
  [442809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16742), 1,
      anon_sym_RPAREN,
  [442816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16744), 1,
      anon_sym_RPAREN,
  [442823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16746), 1,
      anon_sym_RPAREN,
  [442830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10118), 1,
      anon_sym_RPAREN,
  [442837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10116), 1,
      anon_sym_RPAREN,
  [442844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16748), 1,
      anon_sym_LT,
  [442851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
  [442858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11937), 1,
      anon_sym_RPAREN,
  [442865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16750), 1,
      aux_sym__keyword_in_token1,
  [442872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16752), 1,
      aux_sym__keyword_from_token1,
  [442879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10090), 1,
      anon_sym_RPAREN,
  [442886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10074), 1,
      anon_sym_RPAREN,
  [442893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16754), 1,
      aux_sym_alter_table_rename_statement_token1,
  [442900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10072), 1,
      anon_sym_RPAREN,
  [442907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16756), 1,
      sym__unquoted_identifier,
  [442914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16758), 1,
      aux_sym__keyword_from_token1,
  [442921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10054), 1,
      anon_sym_RPAREN,
  [442928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16760), 1,
      anon_sym_SQUOTE,
  [442935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16760), 1,
      anon_sym_DQUOTE,
  [442942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16762), 1,
      aux_sym_limit_clause_token2,
  [442949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16764), 1,
      aux_sym_drop_notnull_token1,
  [442956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16766), 1,
      aux_sym_argument_reference_token1,
  [442963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16768), 1,
      anon_sym_RPAREN,
  [442970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16770), 1,
      anon_sym_RPAREN,
  [442977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16772), 1,
      anon_sym_RPAREN,
  [442984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16774), 1,
      anon_sym_RPAREN,
  [442991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16776), 1,
      anon_sym_RPAREN,
  [442998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16778), 1,
      anon_sym_RPAREN,
  [443005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13692), 1,
      anon_sym_RPAREN,
  [443012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16780), 1,
      anon_sym_RPAREN,
  [443019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16782), 1,
      anon_sym_RPAREN,
  [443026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16784), 1,
      anon_sym_RPAREN,
  [443033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16786), 1,
      anon_sym_RPAREN,
  [443040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16788), 1,
      anon_sym_COLON,
  [443047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16790), 1,
      anon_sym_RPAREN,
  [443054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16792), 1,
      anon_sym_RPAREN,
  [443061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16794), 1,
      anon_sym_RPAREN,
  [443068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16796), 1,
      anon_sym_RPAREN,
  [443075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16798), 1,
      anon_sym_RPAREN,
  [443082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16800), 1,
      anon_sym_RPAREN,
  [443089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16802), 1,
      anon_sym_RPAREN,
  [443096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16804), 1,
      anon_sym_RPAREN,
  [443103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16806), 1,
      anon_sym_RPAREN,
  [443110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16808), 1,
      anon_sym_RPAREN,
  [443117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16810), 1,
      anon_sym_RPAREN,
  [443124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16812), 1,
      anon_sym_RPAREN,
  [443131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16814), 1,
      anon_sym_RPAREN,
  [443138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16816), 1,
      anon_sym_RPAREN,
  [443145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16818), 1,
      anon_sym_RPAREN,
  [443152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16820), 1,
      anon_sym_RPAREN,
  [443159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16822), 1,
      aux_sym_join_condition_token1,
  [443166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16824), 1,
      anon_sym_RPAREN,
  [443173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16826), 1,
      anon_sym_RPAREN,
  [443180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16828), 1,
      anon_sym_RPAREN,
  [443187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_RPAREN,
  [443194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16830), 1,
      anon_sym_RPAREN,
  [443201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10767), 1,
      anon_sym_RPAREN,
  [443208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16832), 1,
      sym__string_end,
  [443215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16834), 1,
      anon_sym_RPAREN,
  [443222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16836), 1,
      anon_sym_RPAREN,
  [443229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16838), 1,
      anon_sym_RPAREN,
  [443236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16840), 1,
      anon_sym_RPAREN,
  [443243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16842), 1,
      anon_sym_RPAREN,
  [443250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16844), 1,
      anon_sym_RPAREN,
  [443257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16846), 1,
      anon_sym_RPAREN,
  [443264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16848), 1,
      anon_sym_RPAREN,
  [443271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16850), 1,
      anon_sym_RPAREN,
  [443278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16852), 1,
      anon_sym_RPAREN,
  [443285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16854), 1,
      anon_sym_RPAREN,
  [443292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16856), 1,
      anon_sym_RPAREN,
  [443299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13764), 1,
      anon_sym_RPAREN,
  [443306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16858), 1,
      anon_sym_RPAREN,
  [443313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16860), 1,
      anon_sym_RPAREN,
  [443320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16862), 1,
      anon_sym_RPAREN,
  [443327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16864), 1,
      anon_sym_RPAREN,
  [443334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_RPAREN,
  [443341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13746), 1,
      anon_sym_RPAREN,
  [443348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16866), 1,
      anon_sym_RPAREN,
  [443355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9955), 1,
      anon_sym_RPAREN,
  [443362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16868), 1,
      anon_sym_RPAREN,
  [443369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16870), 1,
      anon_sym_RPAREN,
  [443376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16872), 1,
      anon_sym_RPAREN,
  [443383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16874), 1,
      anon_sym_RPAREN,
  [443390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16876), 1,
      anon_sym_RPAREN,
  [443397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16878), 1,
      anon_sym_RPAREN,
  [443404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16880), 1,
      anon_sym_RPAREN,
  [443411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16882), 1,
      anon_sym_RPAREN,
  [443418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12053), 1,
      anon_sym_RPAREN,
  [443425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16884), 1,
      anon_sym_RPAREN,
  [443432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9903), 1,
      anon_sym_RPAREN,
  [443439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12065), 1,
      anon_sym_RPAREN,
  [443446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16886), 1,
      anon_sym_RPAREN,
  [443453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9265), 1,
      anon_sym_RPAREN,
  [443460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16888), 1,
      anon_sym_RPAREN,
  [443467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16890), 1,
      anon_sym_RPAREN,
  [443474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16892), 1,
      anon_sym_RPAREN,
  [443481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9867), 1,
      anon_sym_RPAREN,
  [443488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9859), 1,
      anon_sym_RPAREN,
  [443495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9855), 1,
      anon_sym_RPAREN,
  [443502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12095), 1,
      anon_sym_RPAREN,
  [443509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16894), 1,
      aux_sym__keyword_from_token1,
  [443516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
  [443523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
  [443530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
  [443537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16896), 1,
      sym__unquoted_identifier,
  [443544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16898), 1,
      aux_sym__keyword_from_token1,
  [443551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9797), 1,
      anon_sym_RPAREN,
  [443558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16900), 1,
      anon_sym_SQUOTE,
  [443565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16900), 1,
      anon_sym_DQUOTE,
  [443572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16902), 1,
      aux_sym_limit_clause_token2,
  [443579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16904), 1,
      anon_sym_LPAREN,
  [443586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16906), 1,
      anon_sym_RPAREN,
  [443593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16908), 1,
      aux_sym_argument_reference_token1,
  [443600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16910), 1,
      anon_sym_RPAREN,
  [443607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16912), 1,
      anon_sym_RPAREN,
  [443614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16914), 1,
      anon_sym_RPAREN,
  [443621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16916), 1,
      anon_sym_RPAREN,
  [443628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16918), 1,
      anon_sym_RPAREN,
  [443635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16920), 1,
      anon_sym_RPAREN,
  [443642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16922), 1,
      anon_sym_RPAREN,
  [443649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16924), 1,
      anon_sym_RPAREN,
  [443656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16926), 1,
      anon_sym_RPAREN,
  [443663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16928), 1,
      anon_sym_RPAREN,
  [443670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16930), 1,
      anon_sym_RPAREN,
  [443677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16932), 1,
      anon_sym_RPAREN,
  [443684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16934), 1,
      anon_sym_RPAREN,
  [443691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16936), 1,
      anon_sym_RPAREN,
  [443698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16938), 1,
      anon_sym_RPAREN,
  [443705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16940), 1,
      anon_sym_RPAREN,
  [443712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16942), 1,
      anon_sym_RPAREN,
  [443719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16944), 1,
      anon_sym_RPAREN,
  [443726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16946), 1,
      anon_sym_RPAREN,
  [443733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16948), 1,
      anon_sym_RPAREN,
  [443740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16950), 1,
      anon_sym_RPAREN,
  [443747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16952), 1,
      anon_sym_RPAREN,
  [443754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16954), 1,
      anon_sym_RPAREN,
  [443761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16956), 1,
      anon_sym_RPAREN,
  [443768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16958), 1,
      anon_sym_RPAREN,
  [443775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16960), 1,
      anon_sym_RPAREN,
  [443782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12295), 1,
      anon_sym_RPAREN,
  [443789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16962), 1,
      anon_sym_RPAREN,
  [443796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16964), 1,
      anon_sym_RPAREN,
  [443803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16966), 1,
      anon_sym_RPAREN,
  [443810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16968), 1,
      anon_sym_RPAREN,
  [443817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      anon_sym_RPAREN,
  [443824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16970), 1,
      anon_sym_RPAREN,
  [443831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10966), 1,
      anon_sym_RPAREN,
  [443838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16972), 1,
      sym__string_end,
  [443845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16974), 1,
      anon_sym_RPAREN,
  [443852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16976), 1,
      anon_sym_RPAREN,
  [443859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16978), 1,
      anon_sym_RPAREN,
  [443866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16980), 1,
      anon_sym_RPAREN,
  [443873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16982), 1,
      anon_sym_RPAREN,
  [443880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16984), 1,
      anon_sym_RPAREN,
  [443887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16986), 1,
      anon_sym_RPAREN,
  [443894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16988), 1,
      anon_sym_RPAREN,
  [443901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16990), 1,
      anon_sym_RPAREN,
  [443908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16992), 1,
      anon_sym_RPAREN,
  [443915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16994), 1,
      anon_sym_RPAREN,
  [443922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16996), 1,
      anon_sym_RPAREN,
  [443929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      anon_sym_RPAREN,
  [443936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(16998), 1,
      anon_sym_RPAREN,
  [443943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17000), 1,
      anon_sym_RPAREN,
  [443950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17002), 1,
      anon_sym_RPAREN,
  [443957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17004), 1,
      anon_sym_RPAREN,
  [443964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12209), 1,
      anon_sym_RPAREN,
  [443971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_RPAREN,
  [443978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17006), 1,
      anon_sym_RPAREN,
  [443985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9703), 1,
      anon_sym_RPAREN,
  [443992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17008), 1,
      anon_sym_RPAREN,
  [443999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17010), 1,
      anon_sym_RPAREN,
  [444006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17012), 1,
      anon_sym_RPAREN,
  [444013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17014), 1,
      anon_sym_RPAREN,
  [444020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17016), 1,
      anon_sym_RPAREN,
  [444027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17018), 1,
      anon_sym_RPAREN,
  [444034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17020), 1,
      anon_sym_RPAREN,
  [444041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17022), 1,
      anon_sym_RPAREN,
  [444048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17024), 1,
      aux_sym_join_condition_token1,
  [444055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17026), 1,
      aux_sym_join_condition_token1,
  [444062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12243), 1,
      anon_sym_RPAREN,
  [444069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17028), 1,
      anon_sym_RPAREN,
  [444076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      anon_sym_RPAREN,
  [444083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_RPAREN,
  [444090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17030), 1,
      anon_sym_LPAREN,
  [444097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      anon_sym_RPAREN,
  [444104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17032), 1,
      anon_sym_LPAREN,
  [444111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17034), 1,
      anon_sym_LPAREN,
  [444118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9277), 1,
      anon_sym_RPAREN,
  [444125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17036), 1,
      anon_sym_RPAREN,
  [444132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17038), 1,
      anon_sym_RPAREN,
  [444139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17040), 1,
      anon_sym_LPAREN,
  [444146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17042), 1,
      anon_sym_RPAREN,
  [444153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17044), 1,
      anon_sym_RPAREN,
  [444160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9659), 1,
      anon_sym_RPAREN,
  [444167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9651), 1,
      anon_sym_RPAREN,
  [444174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9647), 1,
      anon_sym_RPAREN,
  [444181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17046), 1,
      anon_sym_RPAREN,
  [444188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17048), 1,
      aux_sym__keyword_from_token1,
  [444195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9643), 1,
      anon_sym_RPAREN,
  [444202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9641), 1,
      anon_sym_RPAREN,
  [444209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17050), 1,
      aux_sym_keyword_if_not_exists_token1,
  [444216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9639), 1,
      anon_sym_RPAREN,
  [444223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17052), 1,
      anon_sym_RPAREN,
  [444230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17054), 1,
      sym__unquoted_identifier,
  [444237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17056), 1,
      anon_sym_RPAREN,
  [444244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17058), 1,
      anon_sym_RPAREN,
  [444251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17060), 1,
      aux_sym__keyword_from_token1,
  [444258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9621), 1,
      anon_sym_RPAREN,
  [444265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17062), 1,
      anon_sym_RPAREN,
  [444272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17064), 1,
      anon_sym_SQUOTE,
  [444279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17066), 1,
      anon_sym_RPAREN,
  [444286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17064), 1,
      anon_sym_DQUOTE,
  [444293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17068), 1,
      anon_sym_RPAREN,
  [444300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17070), 1,
      anon_sym_RPAREN,
  [444307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17072), 1,
      anon_sym_RPAREN,
  [444314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17074), 1,
      anon_sym_RPAREN,
  [444321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17076), 1,
      aux_sym_limit_clause_token2,
  [444328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17078), 1,
      anon_sym_RPAREN,
  [444335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17080), 1,
      aux_sym_argument_reference_token1,
  [444342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17082), 1,
      anon_sym_RPAREN,
  [444349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17084), 1,
      anon_sym_RPAREN,
  [444356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17086), 1,
      anon_sym_RPAREN,
  [444363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17088), 1,
      anon_sym_RPAREN,
  [444370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12337), 1,
      anon_sym_RPAREN,
  [444377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17090), 1,
      anon_sym_RPAREN,
  [444384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17092), 1,
      anon_sym_RPAREN,
  [444391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17094), 1,
      anon_sym_RPAREN,
  [444398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17096), 1,
      anon_sym_RPAREN,
  [444405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17098), 1,
      aux_sym__nulls_preference_token1,
  [444412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17100), 1,
      anon_sym_RPAREN,
  [444419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17102), 1,
      anon_sym_RPAREN,
  [444426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17104), 1,
      anon_sym_RPAREN,
  [444433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17106), 1,
      anon_sym_RPAREN,
  [444440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
  [444447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17108), 1,
      anon_sym_RPAREN,
  [444454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17110), 1,
      anon_sym_RPAREN,
  [444461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12343), 1,
      anon_sym_RPAREN,
  [444468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17112), 1,
      anon_sym_RPAREN,
  [444475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_RPAREN,
  [444482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17114), 1,
      anon_sym_RPAREN,
  [444489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17116), 1,
      anon_sym_RPAREN,
  [444496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17118), 1,
      anon_sym_RPAREN,
  [444503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9233), 1,
      anon_sym_RPAREN,
  [444510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17120), 1,
      anon_sym_RPAREN,
  [444517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17122), 1,
      anon_sym_RPAREN,
  [444524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17124), 1,
      anon_sym_RPAREN,
  [444531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17126), 1,
      anon_sym_RPAREN,
  [444538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17128), 1,
      anon_sym_COMMA,
  [444545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17130), 1,
      anon_sym_RPAREN,
  [444552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17132), 1,
      anon_sym_RPAREN,
  [444559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17134), 1,
      anon_sym_RPAREN,
  [444566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17136), 1,
      aux_sym_while_statement_token2,
  [444573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17138), 1,
      anon_sym_RPAREN,
  [444580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17140), 1,
      anon_sym_RPAREN,
  [444587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17142), 1,
      anon_sym_RPAREN,
  [444594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17144), 1,
      anon_sym_RPAREN,
  [444601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17146), 1,
      anon_sym_RPAREN,
  [444608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17148), 1,
      anon_sym_RPAREN,
  [444615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17150), 1,
      anon_sym_RPAREN,
  [444622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17152), 1,
      anon_sym_RPAREN,
  [444629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
  [444636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17154), 1,
      anon_sym_RPAREN,
  [444643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17156), 1,
      anon_sym_RPAREN,
  [444650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11057), 1,
      anon_sym_RPAREN,
  [444657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17158), 1,
      sym__string_end,
  [444664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17160), 1,
      anon_sym_RPAREN,
  [444671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17162), 1,
      anon_sym_RPAREN,
  [444678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17164), 1,
      anon_sym_RPAREN,
  [444685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17166), 1,
      anon_sym_RPAREN,
  [444692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17168), 1,
      anon_sym_RPAREN,
  [444699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      anon_sym_RPAREN,
  [444706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17170), 1,
      anon_sym_RPAREN,
  [444713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17172), 1,
      aux_sym_partition_columns_clause_token1,
  [444720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17174), 1,
      anon_sym_RPAREN,
  [444727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17176), 1,
      anon_sym_RPAREN,
  [444734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17178), 1,
      anon_sym_RPAREN,
  [444741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17180), 1,
      aux_sym__keyword_as_token1,
  [444748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17182), 1,
      anon_sym_RPAREN,
  [444755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17184), 1,
      anon_sym_RPAREN,
  [444762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
  [444769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17186), 1,
      anon_sym_RPAREN,
  [444776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17188), 1,
      anon_sym_RPAREN,
  [444783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17190), 1,
      anon_sym_RPAREN,
  [444790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17192), 1,
      anon_sym_RPAREN,
  [444797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12273), 1,
      anon_sym_RPAREN,
  [444804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15504), 1,
      aux_sym__keyword_partition_by_token1,
  [444811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17194), 1,
      aux_sym_partition_columns_clause_token2,
  [444818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_RPAREN,
  [444825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17196), 1,
      anon_sym_RPAREN,
  [444832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9613), 1,
      anon_sym_RPAREN,
  [444839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17198), 1,
      anon_sym_RPAREN,
  [444846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17200), 1,
      aux_sym__keyword_as_token1,
  [444853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17202), 1,
      anon_sym_RPAREN,
  [444860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17204), 1,
      aux_sym_partition_expression_token10,
  [444867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17206), 1,
      anon_sym_RPAREN,
  [444874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17208), 1,
      anon_sym_RPAREN,
  [444881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17210), 1,
      anon_sym_LT,
  [444888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17212), 1,
      anon_sym_LT,
  [444895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17214), 1,
      anon_sym_RPAREN,
  [444902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17216), 1,
      anon_sym_RPAREN,
  [444909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17218), 1,
      anon_sym_RPAREN,
  [444916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12161), 1,
      anon_sym_RPAREN,
  [444923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17220), 1,
      anon_sym_RPAREN,
  [444930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9635), 1,
      anon_sym_RPAREN,
  [444937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12139), 1,
      anon_sym_RPAREN,
  [444944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
  [444951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17222), 1,
      aux_sym_create_table_statement_token1,
  [444958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9261), 1,
      anon_sym_RPAREN,
  [444965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15342), 1,
      aux_sym__keyword_column_token1,
  [444972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17224), 1,
      anon_sym_RPAREN,
  [444979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17226), 1,
      anon_sym_RPAREN,
  [444986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17228), 1,
      aux_sym_alter_table_rename_statement_token1,
  [444993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17230), 1,
      anon_sym_RPAREN,
  [445000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9691), 1,
      anon_sym_RPAREN,
  [445007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9707), 1,
      anon_sym_RPAREN,
  [445014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9709), 1,
      anon_sym_RPAREN,
  [445021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_RPAREN,
  [445028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17232), 1,
      aux_sym__keyword_from_token1,
  [445035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17234), 1,
      anon_sym_LPAREN,
  [445042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
  [445049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17236), 1,
      anon_sym_LPAREN,
  [445056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9741), 1,
      anon_sym_RPAREN,
  [445063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17238), 1,
      anon_sym_RPAREN,
  [445070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17240), 1,
      sym__unquoted_identifier,
  [445077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17242), 1,
      aux_sym__keyword_from_token1,
  [445084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9755), 1,
      anon_sym_RPAREN,
  [445091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17244), 1,
      aux_sym_keyword_if_not_exists_token1,
  [445098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17246), 1,
      anon_sym_LPAREN,
  [445105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17248), 1,
      anon_sym_RPAREN,
  [445112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17250), 1,
      anon_sym_SQUOTE,
  [445119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17250), 1,
      anon_sym_DQUOTE,
  [445126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17252), 1,
      anon_sym_RPAREN,
  [445133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17254), 1,
      aux_sym_limit_clause_token2,
  [445140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17256), 1,
      anon_sym_RPAREN,
  [445147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17258), 1,
      anon_sym_RPAREN,
  [445154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17260), 1,
      aux_sym_argument_reference_token1,
  [445161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17262), 1,
      anon_sym_RPAREN,
  [445168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17264), 1,
      anon_sym_RPAREN,
  [445175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17266), 1,
      anon_sym_RPAREN,
  [445182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17268), 1,
      anon_sym_RPAREN,
  [445189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17270), 1,
      anon_sym_RPAREN,
  [445196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17272), 1,
      anon_sym_RPAREN,
  [445203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17274), 1,
      anon_sym_RPAREN,
  [445210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17276), 1,
      anon_sym_RPAREN,
  [445217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17278), 1,
      anon_sym_RPAREN,
  [445224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17280), 1,
      anon_sym_RPAREN,
  [445231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17282), 1,
      aux_sym_join_condition_token1,
  [445238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17284), 1,
      aux_sym_join_condition_token1,
  [445245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17286), 1,
      anon_sym_RPAREN,
  [445252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17288), 1,
      anon_sym_RPAREN,
  [445259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17290), 1,
      anon_sym_RPAREN,
  [445266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17292), 1,
      anon_sym_RPAREN,
  [445273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17294), 1,
      anon_sym_RPAREN,
  [445280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17296), 1,
      anon_sym_RPAREN,
  [445287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17298), 1,
      anon_sym_RPAREN,
  [445294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17300), 1,
      anon_sym_RPAREN,
  [445301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17302), 1,
      anon_sym_RPAREN,
  [445308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17304), 1,
      anon_sym_RPAREN,
  [445315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17306), 1,
      anon_sym_RPAREN,
  [445322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17308), 1,
      anon_sym_RPAREN,
  [445329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17310), 1,
      anon_sym_RPAREN,
  [445336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17312), 1,
      aux_sym__cross_join_operation_token2,
  [445343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
  [445350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17316), 1,
      aux_sym__nulls_preference_token1,
  [445357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17318), 1,
      aux_sym__nulls_preference_token1,
  [445364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17320), 1,
      anon_sym_RPAREN,
  [445371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17322), 1,
      anon_sym_RPAREN,
  [445378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17324), 1,
      anon_sym_LPAREN,
  [445385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17326), 1,
      anon_sym_RPAREN,
  [445392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17328), 1,
      anon_sym_RPAREN,
  [445399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17330), 1,
      anon_sym_RPAREN,
  [445406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17332), 1,
      anon_sym_RPAREN,
  [445413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
  [445420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17336), 1,
      anon_sym_RPAREN,
  [445427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17338), 1,
      anon_sym_RPAREN,
  [445434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17340), 1,
      sym__unquoted_identifier,
  [445441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17342), 1,
      aux_sym_keyword_if_not_exists_token1,
  [445448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12750), 1,
      anon_sym_RPAREN,
  [445455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17344), 1,
      anon_sym_RPAREN,
  [445462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10866), 1,
      anon_sym_RPAREN,
  [445469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17346), 1,
      anon_sym_RPAREN,
  [445476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17348), 1,
      aux_sym__nulls_preference_token1,
  [445483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17350), 1,
      sym__string_end,
  [445490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17352), 1,
      anon_sym_RPAREN,
  [445497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17354), 1,
      anon_sym_RPAREN,
  [445504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17356), 1,
      anon_sym_RPAREN,
  [445511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17358), 1,
      anon_sym_RPAREN,
  [445518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17360), 1,
      anon_sym_RPAREN,
  [445525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17362), 1,
      anon_sym_RPAREN,
  [445532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17364), 1,
      aux_sym__nulls_preference_token1,
  [445539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17366), 1,
      anon_sym_RPAREN,
  [445546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17368), 1,
      anon_sym_RPAREN,
  [445553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17370), 1,
      anon_sym_RPAREN,
  [445560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17372), 1,
      anon_sym_RPAREN,
  [445567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9831), 1,
      anon_sym_RPAREN,
  [445574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17374), 1,
      anon_sym_RPAREN,
  [445581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17376), 1,
      anon_sym_RPAREN,
  [445588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17378), 1,
      anon_sym_RPAREN,
  [445595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12708), 1,
      anon_sym_RPAREN,
  [445602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9841), 1,
      anon_sym_RPAREN,
  [445609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17380), 1,
      aux_sym__nulls_preference_token1,
  [445616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17382), 1,
      anon_sym_RPAREN,
  [445623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17384), 1,
      anon_sym_RPAREN,
  [445630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17386), 1,
      anon_sym_DQUOTE,
  [445637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17388), 1,
      anon_sym_RPAREN,
  [445644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_RPAREN,
  [445651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_RPAREN,
  [445658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
  [445665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11305), 1,
      anon_sym_RPAREN,
  [445672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17390), 1,
      anon_sym_RPAREN,
  [445679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9849), 1,
      anon_sym_RPAREN,
  [445686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17392), 1,
      anon_sym_RPAREN,
  [445693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17394), 1,
      anon_sym_RPAREN,
  [445700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17396), 1,
      anon_sym_RPAREN,
  [445707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17398), 1,
      anon_sym_RPAREN,
  [445714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17400), 1,
      anon_sym_RPAREN,
  [445721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17402), 1,
      anon_sym_RPAREN,
  [445728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17404), 1,
      anon_sym_RPAREN,
  [445735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17406), 1,
      anon_sym_RPAREN,
  [445742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17408), 1,
      anon_sym_RPAREN,
  [445749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17410), 1,
      aux_sym__keyword_repeat_token1,
  [445756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11083), 1,
      anon_sym_RPAREN,
  [445763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17412), 1,
      anon_sym_RPAREN,
  [445770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_RPAREN,
  [445777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11075), 1,
      anon_sym_RPAREN,
  [445784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_RPAREN,
  [445791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9263), 1,
      anon_sym_RPAREN,
  [445798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17414), 1,
      anon_sym_RPAREN,
  [445805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17416), 1,
      anon_sym_RPAREN,
  [445812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17418), 1,
      anon_sym_RPAREN,
  [445819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 1,
      anon_sym_RPAREN,
  [445826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9909), 1,
      anon_sym_RPAREN,
  [445833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9913), 1,
      anon_sym_RPAREN,
  [445840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11533), 1,
      anon_sym_RPAREN,
  [445847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17420), 1,
      aux_sym__keyword_from_token1,
  [445854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9925), 1,
      anon_sym_RPAREN,
  [445861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
  [445868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9931), 1,
      anon_sym_RPAREN,
  [445875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17422), 1,
      sym__unquoted_identifier,
  [445882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17424), 1,
      aux_sym__keyword_from_token1,
  [445889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 1,
      anon_sym_RPAREN,
  [445896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17386), 1,
      anon_sym_SQUOTE,
  [445903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17426), 1,
      anon_sym_RPAREN,
  [445910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17428), 1,
      aux_sym_limit_clause_token2,
  [445917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17430), 1,
      aux_sym_argument_reference_token1,
  [445924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17432), 1,
      anon_sym_RPAREN,
  [445931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17434), 1,
      anon_sym_RPAREN,
  [445938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17436), 1,
      anon_sym_RPAREN,
  [445945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17438), 1,
      anon_sym_RPAREN,
  [445952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17440), 1,
      anon_sym_RPAREN,
  [445959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17442), 1,
      anon_sym_RPAREN,
  [445966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17444), 1,
      anon_sym_RPAREN,
  [445973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17446), 1,
      aux_sym__keyword_system_as_of_token1,
  [445980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17448), 1,
      anon_sym_RPAREN,
  [445987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17450), 1,
      anon_sym_RPAREN,
  [445994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17452), 1,
      anon_sym_LPAREN,
  [446001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17454), 1,
      anon_sym_RPAREN,
  [446008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17456), 1,
      anon_sym_RPAREN,
  [446015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17458), 1,
      anon_sym_RPAREN,
  [446022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17460), 1,
      anon_sym_RPAREN,
  [446029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17462), 1,
      anon_sym_RPAREN,
  [446036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17464), 1,
      anon_sym_RPAREN,
  [446043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17466), 1,
      anon_sym_RPAREN,
  [446050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17468), 1,
      anon_sym_RPAREN,
  [446057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17470), 1,
      anon_sym_RPAREN,
  [446064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17472), 1,
      anon_sym_RPAREN,
  [446071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17474), 1,
      aux_sym_set_statement_token1,
  [446078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17476), 1,
      anon_sym_RPAREN,
  [446085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17478), 1,
      anon_sym_RPAREN,
  [446092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17480), 1,
      anon_sym_RPAREN,
  [446099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17482), 1,
      anon_sym_RPAREN,
  [446106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17484), 1,
      anon_sym_RPAREN,
  [446113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17486), 1,
      anon_sym_RPAREN,
  [446120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17488), 1,
      aux_sym_primary_key_token2,
  [446127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17490), 1,
      anon_sym_RPAREN,
  [446134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17492), 1,
      aux_sym_primary_key_token2,
  [446141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17494), 1,
      aux_sym_primary_key_token2,
  [446148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17496), 1,
      anon_sym_RPAREN,
  [446155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17498), 1,
      aux_sym_alter_table_rename_statement_token1,
  [446162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17500), 1,
      anon_sym_RPAREN,
  [446169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17502), 1,
      anon_sym_RPAREN,
  [446176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17504), 1,
      anon_sym_RPAREN,
  [446183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_RPAREN,
  [446190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17506), 1,
      aux_sym_from_files_clause_token1,
  [446197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17508), 1,
      anon_sym_RPAREN,
  [446204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17510), 1,
      anon_sym_EQ,
  [446211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10678), 1,
      anon_sym_RPAREN,
  [446218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17512), 1,
      sym__string_end,
  [446225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17514), 1,
      anon_sym_RPAREN,
  [446232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17516), 1,
      anon_sym_RPAREN,
  [446239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17518), 1,
      anon_sym_RPAREN,
  [446246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17520), 1,
      anon_sym_RPAREN,
  [446253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17522), 1,
      anon_sym_RPAREN,
  [446260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17524), 1,
      anon_sym_RPAREN,
  [446267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17526), 1,
      anon_sym_RPAREN,
  [446274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17528), 1,
      anon_sym_RPAREN,
  [446281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17530), 1,
      aux_sym__keyword_from_token1,
  [446288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17532), 1,
      aux_sym__keyword_from_token1,
  [446295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17534), 1,
      anon_sym_RPAREN,
  [446302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17536), 1,
      anon_sym_RPAREN,
  [446309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17538), 1,
      anon_sym_RPAREN,
  [446316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17540), 1,
      anon_sym_RPAREN,
  [446323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13308), 1,
      anon_sym_RPAREN,
  [446330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17542), 1,
      anon_sym_RPAREN,
  [446337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17544), 1,
      anon_sym_RPAREN,
  [446344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17546), 1,
      anon_sym_RPAREN,
  [446351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17548), 1,
      anon_sym_RPAREN,
  [446358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12283), 1,
      anon_sym_RPAREN,
  [446365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_RPAREN,
  [446372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17550), 1,
      anon_sym_RPAREN,
  [446379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10049), 1,
      anon_sym_RPAREN,
  [446386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17552), 1,
      anon_sym_RPAREN,
  [446393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17554), 1,
      anon_sym_RPAREN,
  [446400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17556), 1,
      aux_sym_argument_reference_token1,
  [446407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17558), 1,
      anon_sym_RPAREN,
  [446414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17560), 1,
      anon_sym_RPAREN,
  [446421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17562), 1,
      anon_sym_RPAREN,
  [446428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17564), 1,
      anon_sym_RPAREN,
  [446435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17566), 1,
      anon_sym_RPAREN,
  [446442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12239), 1,
      anon_sym_RPAREN,
  [446449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17568), 1,
      aux_sym__nulls_preference_token1,
  [446456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17570), 1,
      anon_sym_RPAREN,
  [446463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
  [446470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17572), 1,
      aux_sym__cross_join_operation_token2,
  [446477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12219), 1,
      anon_sym_RPAREN,
  [446484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17574), 1,
      aux_sym__cross_join_operation_token2,
  [446491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_RPAREN,
  [446498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15446), 1,
      aux_sym__cross_join_operation_token2,
  [446505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17576), 1,
      aux_sym_tablesample_operator_token2,
  [446512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9229), 1,
      anon_sym_RPAREN,
  [446519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17578), 1,
      anon_sym_RPAREN,
  [446526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17580), 1,
      anon_sym_RPAREN,
  [446533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17582), 1,
      anon_sym_LPAREN,
  [446540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17584), 1,
      anon_sym_RPAREN,
  [446547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10088), 1,
      anon_sym_RPAREN,
  [446554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10097), 1,
      anon_sym_RPAREN,
  [446561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10099), 1,
      anon_sym_RPAREN,
  [446568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17586), 1,
      anon_sym_LPAREN,
  [446575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17588), 1,
      anon_sym_LPAREN,
  [446582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17590), 1,
      aux_sym_grouping_sets_token2,
  [446589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12167), 1,
      anon_sym_RPAREN,
  [446596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17592), 1,
      aux_sym__keyword_from_token1,
  [446603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
  [446610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17594), 1,
      aux_sym_while_statement_token1,
  [446617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10124), 1,
      anon_sym_RPAREN,
  [446624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17596), 1,
      aux_sym_set_statement_token2,
  [446631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17598), 1,
      anon_sym_LPAREN,
  [446638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17600), 1,
      anon_sym_RPAREN,
  [446645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17602), 1,
      aux_sym__keyword_then_token1,
  [446652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10128), 1,
      anon_sym_RPAREN,
  [446659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17604), 1,
      anon_sym_LPAREN,
  [446666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17606), 1,
      sym__unquoted_identifier,
  [446673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17608), 1,
      aux_sym__keyword_from_token1,
  [446680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17610), 1,
      aux_sym__keyword_from_token1,
  [446687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
  [446694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17612), 1,
      aux_sym_keyword_if_not_exists_token1,
  [446701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17614), 1,
      anon_sym_SQUOTE,
  [446708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17614), 1,
      anon_sym_DQUOTE,
  [446715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17616), 1,
      aux_sym_limit_clause_token2,
  [446722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17618), 1,
      sym__string_end,
  [446729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17620), 1,
      anon_sym_RPAREN,
  [446736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17622), 1,
      anon_sym_RPAREN,
  [446743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17624), 1,
      anon_sym_RPAREN,
  [446750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17626), 1,
      anon_sym_RPAREN,
  [446757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 1,
      anon_sym_RPAREN,
  [446764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
  [446771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17628), 1,
      anon_sym_RPAREN,
  [446778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17630), 1,
      anon_sym_RPAREN,
  [446785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17632), 1,
      anon_sym_RPAREN,
  [446792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17634), 1,
      anon_sym_RPAREN,
  [446799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
  [446806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17636), 1,
      anon_sym_RPAREN,
  [446813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
  [446820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17640), 1,
      anon_sym_RPAREN,
  [446827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17642), 1,
      anon_sym_RPAREN,
  [446834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_RPAREN,
  [446841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17644), 1,
      anon_sym_RPAREN,
  [446848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17646), 1,
      anon_sym_RPAREN,
  [446855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17648), 1,
      anon_sym_RPAREN,
  [446862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17650), 1,
      anon_sym_RPAREN,
  [446869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10182), 1,
      anon_sym_RPAREN,
  [446876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17652), 1,
      anon_sym_RPAREN,
  [446883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
  [446890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17656), 1,
      anon_sym_RPAREN,
  [446897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17658), 1,
      anon_sym_RPAREN,
  [446904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12013), 1,
      anon_sym_RPAREN,
  [446911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17660), 1,
      anon_sym_RPAREN,
  [446918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17662), 1,
      anon_sym_RPAREN,
  [446925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
  [446932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17664), 1,
      anon_sym_RPAREN,
  [446939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17666), 1,
      anon_sym_RPAREN,
  [446946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17668), 1,
      anon_sym_RPAREN,
  [446953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17670), 1,
      anon_sym_RPAREN,
  [446960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10190), 1,
      anon_sym_RPAREN,
  [446967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17672), 1,
      anon_sym_RPAREN,
  [446974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17674), 1,
      anon_sym_RPAREN,
  [446981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17676), 1,
      anon_sym_RPAREN,
  [446988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
  [446995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17678), 1,
      anon_sym_RPAREN,
  [447002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      anon_sym_RPAREN,
  [447009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17680), 1,
      anon_sym_RPAREN,
  [447016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10844), 1,
      anon_sym_RPAREN,
  [447023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17682), 1,
      anon_sym_RPAREN,
  [447030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17684), 1,
      anon_sym_RPAREN,
  [447037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17686), 1,
      anon_sym_RPAREN,
  [447044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17688), 1,
      anon_sym_RPAREN,
  [447051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17690), 1,
      anon_sym_RPAREN,
  [447058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17692), 1,
      anon_sym_RPAREN,
  [447065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17694), 1,
      anon_sym_RPAREN,
  [447072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17696), 1,
      anon_sym_RPAREN,
  [447079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17698), 1,
      anon_sym_RPAREN,
  [447086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      anon_sym_RPAREN,
  [447093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17700), 1,
      anon_sym_RPAREN,
  [447100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11967), 1,
      anon_sym_RPAREN,
  [447107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17702), 1,
      anon_sym_RPAREN,
  [447114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17704), 1,
      anon_sym_RPAREN,
  [447121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_RPAREN,
  [447128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17706), 1,
      anon_sym_RPAREN,
  [447135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17708), 1,
      anon_sym_RPAREN,
  [447142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17710), 1,
      anon_sym_RPAREN,
  [447149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13800), 1,
      anon_sym_RPAREN,
  [447156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17712), 1,
      anon_sym_RPAREN,
  [447163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17714), 1,
      anon_sym_RPAREN,
  [447170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17716), 1,
      anon_sym_RPAREN,
  [447177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17718), 1,
      anon_sym_RPAREN,
  [447184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11947), 1,
      anon_sym_RPAREN,
  [447191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17720), 1,
      anon_sym_RPAREN,
  [447198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11953), 1,
      anon_sym_RPAREN,
  [447205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17722), 1,
      anon_sym_RPAREN,
  [447212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13979), 1,
      anon_sym_RPAREN,
  [447219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17724), 1,
      anon_sym_RPAREN,
  [447226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10214), 1,
      anon_sym_RPAREN,
  [447233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17726), 1,
      anon_sym_RPAREN,
  [447240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17728), 1,
      anon_sym_RPAREN,
  [447247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17730), 1,
      anon_sym_RPAREN,
  [447254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17732), 1,
      anon_sym_RPAREN,
  [447261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17734), 1,
      anon_sym_RPAREN,
  [447268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17736), 1,
      anon_sym_RPAREN,
  [447275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17738), 1,
      anon_sym_RPAREN,
  [447282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17740), 1,
      anon_sym_RPAREN,
  [447289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17742), 1,
      anon_sym_RPAREN,
  [447296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17744), 1,
      anon_sym_RPAREN,
  [447303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17746), 1,
      anon_sym_RPAREN,
  [447310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17748), 1,
      anon_sym_RPAREN,
  [447317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17750), 1,
      anon_sym_RPAREN,
  [447324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17752), 1,
      anon_sym_RPAREN,
  [447331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17754), 1,
      anon_sym_RPAREN,
  [447338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11909), 1,
      anon_sym_RPAREN,
  [447345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17756), 1,
      anon_sym_RPAREN,
  [447352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 1,
      anon_sym_RPAREN,
  [447359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17758), 1,
      aux_sym_argument_reference_token1,
  [447366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      anon_sym_RPAREN,
  [447373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10236), 1,
      anon_sym_RPAREN,
  [447380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11889), 1,
      anon_sym_RPAREN,
  [447387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17760), 1,
      anon_sym_RPAREN,
  [447394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14106), 1,
      anon_sym_RPAREN,
  [447401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9269), 1,
      anon_sym_RPAREN,
  [447408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17762), 1,
      anon_sym_RPAREN,
  [447415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17764), 1,
      anon_sym_RPAREN,
  [447422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17766), 1,
      anon_sym_RPAREN,
  [447429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17768), 1,
      anon_sym_RPAREN,
  [447436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17770), 1,
      anon_sym_RPAREN,
  [447443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17772), 1,
      anon_sym_RPAREN,
  [447450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10250), 1,
      anon_sym_RPAREN,
  [447457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14220), 1,
      anon_sym_RPAREN,
  [447464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_RPAREN,
  [447471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17774), 1,
      anon_sym_RPAREN,
  [447478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17776), 1,
      anon_sym_RPAREN,
  [447485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10266), 1,
      anon_sym_RPAREN,
  [447492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17778), 1,
      anon_sym_RPAREN,
  [447499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11831), 1,
      anon_sym_RPAREN,
  [447506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17780), 1,
      anon_sym_RPAREN,
  [447513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17782), 1,
      aux_sym__keyword_from_token1,
  [447520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10304), 1,
      anon_sym_RPAREN,
  [447527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10308), 1,
      anon_sym_RPAREN,
  [447534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17784), 1,
      anon_sym_RPAREN,
  [447541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17786), 1,
      anon_sym_RPAREN,
  [447548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17788), 1,
      anon_sym_RPAREN,
  [447555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17790), 1,
      anon_sym_RPAREN,
  [447562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10322), 1,
      anon_sym_RPAREN,
  [447569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17792), 1,
      anon_sym_RPAREN,
  [447576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17794), 1,
      sym__unquoted_identifier,
  [447583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17796), 1,
      anon_sym_RPAREN,
  [447590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17798), 1,
      aux_sym__keyword_from_token1,
  [447597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
  [447604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17800), 1,
      anon_sym_SQUOTE,
  [447611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17802), 1,
      anon_sym_RPAREN,
  [447618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17804), 1,
      anon_sym_RPAREN,
  [447625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17806), 1,
      anon_sym_RPAREN,
  [447632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14396), 1,
      anon_sym_RPAREN,
  [447639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17800), 1,
      anon_sym_DQUOTE,
  [447646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17808), 1,
      anon_sym_RPAREN,
  [447653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17810), 1,
      anon_sym_RPAREN,
  [447660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17812), 1,
      aux_sym_limit_clause_token2,
  [447667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
  [447674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17816), 1,
      anon_sym_RPAREN,
  [447681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17818), 1,
      anon_sym_RPAREN,
  [447688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17820), 1,
      anon_sym_RPAREN,
  [447695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17822), 1,
      anon_sym_RPAREN,
  [447702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17824), 1,
      anon_sym_RPAREN,
  [447709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17826), 1,
      anon_sym_RPAREN,
  [447716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
  [447723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17830), 1,
      anon_sym_RPAREN,
  [447730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17832), 1,
      anon_sym_RPAREN,
  [447737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17834), 1,
      anon_sym_RPAREN,
  [447744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17836), 1,
      anon_sym_RPAREN,
  [447751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17838), 1,
      anon_sym_RPAREN,
  [447758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17840), 1,
      anon_sym_RPAREN,
  [447765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17842), 1,
      anon_sym_RPAREN,
  [447772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17844), 1,
      anon_sym_RPAREN,
  [447779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17846), 1,
      anon_sym_RPAREN,
  [447786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17848), 1,
      anon_sym_RPAREN,
  [447793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17850), 1,
      anon_sym_RPAREN,
  [447800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17852), 1,
      anon_sym_RPAREN,
  [447807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17854), 1,
      anon_sym_RPAREN,
  [447814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17856), 1,
      anon_sym_RPAREN,
  [447821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17858), 1,
      anon_sym_RPAREN,
  [447828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17860), 1,
      anon_sym_RPAREN,
  [447835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17862), 1,
      anon_sym_RPAREN,
  [447842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17864), 1,
      anon_sym_RPAREN,
  [447849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17866), 1,
      anon_sym_RPAREN,
  [447856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17868), 1,
      anon_sym_RPAREN,
  [447863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17870), 1,
      anon_sym_RPAREN,
  [447870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17872), 1,
      anon_sym_RPAREN,
  [447877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17874), 1,
      anon_sym_RPAREN,
  [447884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17876), 1,
      anon_sym_RPAREN,
  [447891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17878), 1,
      anon_sym_RPAREN,
  [447898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17880), 1,
      anon_sym_RPAREN,
  [447905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17882), 1,
      anon_sym_RPAREN,
  [447912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17884), 1,
      anon_sym_RPAREN,
  [447919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17886), 1,
      anon_sym_RPAREN,
  [447926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 1,
      anon_sym_RPAREN,
  [447933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17888), 1,
      anon_sym_RPAREN,
  [447940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17890), 1,
      anon_sym_RPAREN,
  [447947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17892), 1,
      anon_sym_RPAREN,
  [447954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17894), 1,
      anon_sym_RPAREN,
  [447961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10396), 1,
      anon_sym_RPAREN,
  [447968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17896), 1,
      aux_sym__nulls_preference_token1,
  [447975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
  [447982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17900), 1,
      anon_sym_RPAREN,
  [447989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17902), 1,
      anon_sym_RPAREN,
  [447996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17904), 1,
      anon_sym_RPAREN,
  [448003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_RPAREN,
  [448010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17906), 1,
      anon_sym_RPAREN,
  [448017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17908), 1,
      anon_sym_RPAREN,
  [448024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17910), 1,
      anon_sym_RPAREN,
  [448031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17912), 1,
      anon_sym_RPAREN,
  [448038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17914), 1,
      anon_sym_RPAREN,
  [448045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17916), 1,
      anon_sym_RPAREN,
  [448052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17918), 1,
      anon_sym_RPAREN,
  [448059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17920), 1,
      anon_sym_RPAREN,
  [448066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17922), 1,
      anon_sym_RPAREN,
  [448073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17924), 1,
      anon_sym_RPAREN,
  [448080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17926), 1,
      anon_sym_RPAREN,
  [448087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17928), 1,
      anon_sym_RPAREN,
  [448094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14628), 1,
      anon_sym_RPAREN,
  [448101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17930), 1,
      sym__unquoted_identifier,
  [448108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17932), 1,
      anon_sym_RPAREN,
  [448115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11049), 1,
      anon_sym_RPAREN,
  [448122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17934), 1,
      sym__integer,
  [448129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17936), 1,
      sym__string_end,
  [448136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17938), 1,
      anon_sym_RPAREN,
  [448143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17940), 1,
      anon_sym_RPAREN,
  [448150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17942), 1,
      anon_sym_RPAREN,
  [448157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17944), 1,
      anon_sym_RPAREN,
  [448164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17946), 1,
      anon_sym_RPAREN,
  [448171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17948), 1,
      anon_sym_RPAREN,
  [448178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10432), 1,
      anon_sym_RPAREN,
  [448185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17950), 1,
      anon_sym_RPAREN,
  [448192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17952), 1,
      anon_sym_RPAREN,
  [448199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17954), 1,
      anon_sym_RPAREN,
  [448206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17956), 1,
      anon_sym_RPAREN,
  [448213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17958), 1,
      anon_sym_RPAREN,
  [448220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17960), 1,
      aux_sym__keyword_from_token1,
  [448227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10404), 1,
      anon_sym_RPAREN,
  [448234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17962), 1,
      anon_sym_RPAREN,
  [448241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14665), 1,
      anon_sym_RPAREN,
  [448248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17964), 1,
      anon_sym_RPAREN,
  [448255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17966), 1,
      anon_sym_RPAREN,
  [448262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10392), 1,
      anon_sym_RPAREN,
  [448269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17968), 1,
      anon_sym_RPAREN,
  [448276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17970), 1,
      anon_sym_RPAREN,
  [448283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_RPAREN,
  [448290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14677), 1,
      anon_sym_RPAREN,
  [448297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10376), 1,
      anon_sym_RPAREN,
  [448304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17972), 1,
      anon_sym_RPAREN,
  [448311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10374), 1,
      anon_sym_RPAREN,
  [448318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17974), 1,
      anon_sym_RPAREN,
  [448325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17976), 1,
      anon_sym_RPAREN,
  [448332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17978), 1,
      aux_sym__keyword_from_token1,
  [448339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17980), 1,
      anon_sym_RPAREN,
  [448346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11607), 1,
      anon_sym_RPAREN,
  [448353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17982), 1,
      anon_sym_RPAREN,
  [448360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17984), 1,
      anon_sym_RPAREN,
  [448367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10352), 1,
      anon_sym_RPAREN,
  [448374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17986), 1,
      anon_sym_RPAREN,
  [448381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17988), 1,
      anon_sym_RPAREN,
  [448388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17990), 1,
      anon_sym_RPAREN,
  [448395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11597), 1,
      anon_sym_RPAREN,
  [448402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_RPAREN,
  [448409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17992), 1,
      anon_sym_RPAREN,
  [448416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17994), 1,
      aux_sym_argument_reference_token1,
  [448423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11581), 1,
      anon_sym_RPAREN,
  [448430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10336), 1,
      anon_sym_RPAREN,
  [448437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14757), 1,
      anon_sym_RPAREN,
  [448444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9254), 1,
      anon_sym_RPAREN,
  [448451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17996), 1,
      anon_sym_RPAREN,
  [448458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17998), 1,
      anon_sym_RPAREN,
  [448465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18000), 1,
      anon_sym_RPAREN,
  [448472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18002), 1,
      anon_sym_RPAREN,
  [448479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      anon_sym_RPAREN,
  [448486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10298), 1,
      anon_sym_RPAREN,
  [448493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
  [448500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18004), 1,
      anon_sym_RPAREN,
  [448507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11537), 1,
      anon_sym_RPAREN,
  [448514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18006), 1,
      aux_sym__keyword_from_token1,
  [448521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10242), 1,
      anon_sym_RPAREN,
  [448528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14874), 1,
      anon_sym_RPAREN,
  [448535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10218), 1,
      anon_sym_RPAREN,
  [448542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11517), 1,
      anon_sym_RPAREN,
  [448549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
  [448556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18008), 1,
      sym__unquoted_identifier,
  [448563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10180), 1,
      anon_sym_RPAREN,
  [448570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18010), 1,
      aux_sym__keyword_from_token1,
  [448577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
  [448584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18012), 1,
      anon_sym_SQUOTE,
  [448591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18012), 1,
      anon_sym_DQUOTE,
  [448598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18014), 1,
      anon_sym_RPAREN,
  [448605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18016), 1,
      aux_sym_limit_clause_token2,
  [448612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18018), 1,
      anon_sym_RPAREN,
  [448619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18020), 1,
      anon_sym_RPAREN,
  [448626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11457), 1,
      anon_sym_RPAREN,
  [448633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18022), 1,
      anon_sym_RPAREN,
  [448640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18024), 1,
      anon_sym_RPAREN,
  [448647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18026), 1,
      anon_sym_RPAREN,
  [448654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18028), 1,
      anon_sym_RPAREN,
  [448661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18030), 1,
      anon_sym_RPAREN,
  [448668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18032), 1,
      anon_sym_RPAREN,
  [448675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18034), 1,
      anon_sym_RPAREN,
  [448682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18036), 1,
      anon_sym_RPAREN,
  [448689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18038), 1,
      anon_sym_RPAREN,
  [448696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18040), 1,
      anon_sym_RPAREN,
  [448703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18042), 1,
      anon_sym_RPAREN,
  [448710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18044), 1,
      anon_sym_RPAREN,
  [448717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18046), 1,
      anon_sym_RPAREN,
  [448724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18048), 1,
      anon_sym_RPAREN,
  [448731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18050), 1,
      anon_sym_RPAREN,
  [448738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18052), 1,
      anon_sym_RPAREN,
  [448745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18054), 1,
      anon_sym_RPAREN,
  [448752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18056), 1,
      anon_sym_RPAREN,
  [448759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18058), 1,
      anon_sym_RPAREN,
  [448766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18060), 1,
      anon_sym_RPAREN,
  [448773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18062), 1,
      anon_sym_RPAREN,
  [448780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18064), 1,
      anon_sym_RPAREN,
  [448787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18066), 1,
      anon_sym_RPAREN,
  [448794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15014), 1,
      anon_sym_RPAREN,
  [448801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18068), 1,
      anon_sym_RPAREN,
  [448808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11433), 1,
      anon_sym_RPAREN,
  [448815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18070), 1,
      anon_sym_RPAREN,
  [448822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11345), 1,
      anon_sym_RPAREN,
  [448829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18072), 1,
      anon_sym_RPAREN,
  [448836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18074), 1,
      anon_sym_RPAREN,
  [448843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18076), 1,
      anon_sym_RPAREN,
  [448850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18078), 1,
      anon_sym_RPAREN,
  [448857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18080), 1,
      anon_sym_RPAREN,
  [448864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18082), 1,
      anon_sym_RPAREN,
  [448871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18084), 1,
      anon_sym_RPAREN,
  [448878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18086), 1,
      anon_sym_RPAREN,
  [448885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18088), 1,
      anon_sym_RPAREN,
  [448892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18090), 1,
      anon_sym_RPAREN,
  [448899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15046), 1,
      anon_sym_RPAREN,
  [448906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18092), 1,
      anon_sym_RPAREN,
  [448913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18094), 1,
      anon_sym_RPAREN,
  [448920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18096), 1,
      anon_sym_RPAREN,
  [448927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18098), 1,
      anon_sym_RPAREN,
  [448934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18100), 1,
      anon_sym_RPAREN,
  [448941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18102), 1,
      anon_sym_RPAREN,
  [448948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18104), 1,
      anon_sym_RPAREN,
  [448955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18106), 1,
      anon_sym_RPAREN,
  [448962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18108), 1,
      anon_sym_RPAREN,
  [448969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18110), 1,
      anon_sym_RPAREN,
  [448976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
  [448983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18114), 1,
      anon_sym_RPAREN,
  [448990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18116), 1,
      anon_sym_RPAREN,
  [448997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18118), 1,
      anon_sym_RPAREN,
  [449004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15066), 1,
      anon_sym_RPAREN,
  [449011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18120), 1,
      anon_sym_RPAREN,
  [449018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
  [449025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18124), 1,
      anon_sym_RPAREN,
  [449032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10753), 1,
      anon_sym_RPAREN,
  [449039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18126), 1,
      sym__string_end,
  [449046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18128), 1,
      anon_sym_RPAREN,
  [449053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18130), 1,
      anon_sym_RPAREN,
  [449060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18132), 1,
      anon_sym_RPAREN,
  [449067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18134), 1,
      anon_sym_RPAREN,
  [449074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15084), 1,
      anon_sym_RPAREN,
  [449081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18136), 1,
      anon_sym_RPAREN,
  [449088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
  [449095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18140), 1,
      anon_sym_RPAREN,
  [449102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18142), 1,
      anon_sym_RPAREN,
  [449109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18144), 1,
      anon_sym_RPAREN,
  [449116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18146), 1,
      anon_sym_RPAREN,
  [449123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18148), 1,
      anon_sym_RPAREN,
  [449130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18150), 1,
      anon_sym_RPAREN,
  [449137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18152), 1,
      anon_sym_RPAREN,
  [449144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18154), 1,
      anon_sym_RPAREN,
  [449151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18156), 1,
      anon_sym_RPAREN,
  [449158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18158), 1,
      anon_sym_RPAREN,
  [449165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
  [449172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18162), 1,
      anon_sym_RPAREN,
  [449179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18164), 1,
      anon_sym_RPAREN,
  [449186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18166), 1,
      anon_sym_RPAREN,
  [449193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18168), 1,
      anon_sym_RPAREN,
  [449200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18170), 1,
      anon_sym_RPAREN,
  [449207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18172), 1,
      anon_sym_RPAREN,
  [449214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18174), 1,
      anon_sym_RPAREN,
  [449221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18176), 1,
      anon_sym_RPAREN,
  [449228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18178), 1,
      anon_sym_RPAREN,
  [449235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18180), 1,
      anon_sym_RPAREN,
  [449242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18182), 1,
      anon_sym_RPAREN,
  [449249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18184), 1,
      anon_sym_RPAREN,
  [449256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18186), 1,
      anon_sym_RPAREN,
  [449263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18188), 1,
      anon_sym_RPAREN,
  [449270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18190), 1,
      anon_sym_RPAREN,
  [449277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18192), 1,
      anon_sym_RPAREN,
  [449284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18194), 1,
      anon_sym_RPAREN,
  [449291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18196), 1,
      anon_sym_RPAREN,
  [449298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18198), 1,
      anon_sym_RPAREN,
  [449305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18200), 1,
      anon_sym_RPAREN,
  [449312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18202), 1,
      anon_sym_RPAREN,
  [449319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15122), 1,
      anon_sym_RPAREN,
  [449326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18204), 1,
      anon_sym_RPAREN,
  [449333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18206), 1,
      anon_sym_RPAREN,
  [449340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18208), 1,
      anon_sym_RPAREN,
  [449347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18210), 1,
      anon_sym_RPAREN,
  [449354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18212), 1,
      anon_sym_RPAREN,
  [449361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18214), 1,
      anon_sym_RPAREN,
  [449368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18216), 1,
      anon_sym_RPAREN,
  [449375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18218), 1,
      anon_sym_RPAREN,
  [449382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18220), 1,
      anon_sym_RPAREN,
  [449389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18222), 1,
      anon_sym_RPAREN,
  [449396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11383), 1,
      anon_sym_RPAREN,
  [449403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14948), 1,
      anon_sym_RPAREN,
  [449410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18224), 1,
      aux_sym_limit_clause_token2,
  [449417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18226), 1,
      anon_sym_RPAREN,
  [449424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 1,
      anon_sym_RPAREN,
  [449431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18228), 1,
      aux_sym_limit_clause_token2,
  [449438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18230), 1,
      anon_sym_RPAREN,
  [449445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18232), 1,
      anon_sym_RPAREN,
  [449452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18234), 1,
      anon_sym_RPAREN,
  [449459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9961), 1,
      anon_sym_RPAREN,
  [449466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18236), 1,
      anon_sym_RPAREN,
  [449473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18238), 1,
      anon_sym_RPAREN,
  [449480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18240), 1,
      anon_sym_RPAREN,
  [449487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18242), 1,
      anon_sym_RPAREN,
  [449494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_RPAREN,
  [449501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18244), 1,
      anon_sym_RPAREN,
  [449508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_RPAREN,
  [449515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18246), 1,
      anon_sym_RPAREN,
  [449522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9911), 1,
      anon_sym_RPAREN,
  [449529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9895), 1,
      anon_sym_RPAREN,
  [449536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18248), 1,
      anon_sym_RPAREN,
  [449543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14574), 1,
      anon_sym_RPAREN,
  [449550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9273), 1,
      anon_sym_RPAREN,
  [449557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18250), 1,
      anon_sym_RPAREN,
  [449564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9857), 1,
      anon_sym_RPAREN,
  [449571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18252), 1,
      anon_sym_RPAREN,
  [449578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18254), 1,
      anon_sym_RPAREN,
  [449585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9816), 1,
      anon_sym_RPAREN,
  [449592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9793), 1,
      anon_sym_RPAREN,
  [449599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11281), 1,
      anon_sym_RPAREN,
  [449606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9787), 1,
      anon_sym_RPAREN,
  [449613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11299), 1,
      anon_sym_RPAREN,
  [449620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9745), 1,
      anon_sym_RPAREN,
  [449627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18256), 1,
      aux_sym__keyword_from_token1,
  [449634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9759), 1,
      anon_sym_RPAREN,
  [449641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      anon_sym_RPAREN,
  [449648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      anon_sym_RPAREN,
  [449655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
  [449662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18258), 1,
      sym__unquoted_identifier,
  [449669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18260), 1,
      aux_sym__keyword_from_token1,
  [449676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9725), 1,
      anon_sym_RPAREN,
  [449683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9677), 1,
      anon_sym_RPAREN,
  [449690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18262), 1,
      anon_sym_SQUOTE,
  [449697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18262), 1,
      anon_sym_DQUOTE,
  [449704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18264), 1,
      aux_sym_limit_clause_token2,
  [449711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18266), 1,
      aux_sym_argument_reference_token1,
  [449718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18268), 1,
      anon_sym_RPAREN,
  [449725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18270), 1,
      anon_sym_RPAREN,
  [449732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11269), 1,
      anon_sym_RPAREN,
  [449739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18272), 1,
      anon_sym_RPAREN,
  [449746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18274), 1,
      anon_sym_RPAREN,
  [449753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18276), 1,
      anon_sym_RPAREN,
  [449760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18278), 1,
      anon_sym_RPAREN,
  [449767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18280), 1,
      anon_sym_RPAREN,
  [449774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18282), 1,
      anon_sym_RPAREN,
  [449781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12999), 1,
      anon_sym_RPAREN,
  [449788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18284), 1,
      anon_sym_RPAREN,
  [449795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11133), 1,
      anon_sym_RPAREN,
  [449802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18286), 1,
      anon_sym_RPAREN,
  [449809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18288), 1,
      anon_sym_RPAREN,
  [449816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9599), 1,
      anon_sym_RPAREN,
  [449823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18290), 1,
      anon_sym_RPAREN,
  [449830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18292), 1,
      anon_sym_RPAREN,
  [449837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18294), 1,
      anon_sym_RPAREN,
  [449844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18296), 1,
      anon_sym_RPAREN,
  [449851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18298), 1,
      anon_sym_RPAREN,
  [449858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18300), 1,
      anon_sym_RPAREN,
  [449865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18302), 1,
      anon_sym_RPAREN,
  [449872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18304), 1,
      anon_sym_RPAREN,
  [449879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11119), 1,
      anon_sym_RPAREN,
  [449886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18306), 1,
      anon_sym_RPAREN,
  [449893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18308), 1,
      anon_sym_RPAREN,
  [449900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18310), 1,
      anon_sym_RPAREN,
  [449907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18312), 1,
      anon_sym_RPAREN,
  [449914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18314), 1,
      anon_sym_RPAREN,
  [449921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18316), 1,
      anon_sym_RPAREN,
  [449928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18318), 1,
      anon_sym_RPAREN,
  [449935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18320), 1,
      anon_sym_RPAREN,
  [449942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18322), 1,
      anon_sym_RPAREN,
  [449949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18324), 1,
      anon_sym_RPAREN,
  [449956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18326), 1,
      anon_sym_RPAREN,
  [449963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18328), 1,
      anon_sym_RPAREN,
  [449970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18330), 1,
      anon_sym_RPAREN,
  [449977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18332), 1,
      anon_sym_RPAREN,
  [449984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18334), 1,
      anon_sym_RPAREN,
  [449991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18336), 1,
      anon_sym_RPAREN,
  [449998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18338), 1,
      anon_sym_RPAREN,
  [450005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18340), 1,
      anon_sym_RPAREN,
  [450012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18342), 1,
      anon_sym_RPAREN,
  [450019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18344), 1,
      anon_sym_RPAREN,
  [450026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18346), 1,
      anon_sym_RPAREN,
  [450033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12677), 1,
      anon_sym_RPAREN,
  [450040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18348), 1,
      anon_sym_RPAREN,
  [450047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
  [450054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18350), 1,
      anon_sym_RPAREN,
  [450061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11077), 1,
      anon_sym_RPAREN,
  [450068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11055), 1,
      anon_sym_RPAREN,
  [450075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18352), 1,
      sym__string_end,
  [450082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18354), 1,
      anon_sym_RPAREN,
  [450089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18356), 1,
      anon_sym_RPAREN,
  [450096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18358), 1,
      anon_sym_RPAREN,
  [450103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18360), 1,
      anon_sym_RPAREN,
  [450110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18362), 1,
      anon_sym_RPAREN,
  [450117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18364), 1,
      anon_sym_RPAREN,
  [450124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18366), 1,
      anon_sym_RPAREN,
  [450131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18368), 1,
      anon_sym_RPAREN,
  [450138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18370), 1,
      anon_sym_RPAREN,
  [450145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18372), 1,
      anon_sym_RPAREN,
  [450152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_RPAREN,
  [450159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18374), 1,
      anon_sym_RPAREN,
  [450166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18376), 1,
      anon_sym_RPAREN,
  [450173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18378), 1,
      anon_sym_RPAREN,
  [450180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18380), 1,
      anon_sym_RPAREN,
  [450187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18382), 1,
      anon_sym_RPAREN,
  [450194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18384), 1,
      anon_sym_RPAREN,
  [450201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18386), 1,
      anon_sym_RPAREN,
  [450208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18388), 1,
      anon_sym_RPAREN,
  [450215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18390), 1,
      anon_sym_RPAREN,
  [450222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18392), 1,
      anon_sym_RPAREN,
  [450229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18394), 1,
      anon_sym_RPAREN,
  [450236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18396), 1,
      anon_sym_RPAREN,
  [450243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18398), 1,
      anon_sym_RPAREN,
  [450250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18400), 1,
      anon_sym_RPAREN,
  [450257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13278), 1,
      anon_sym_RPAREN,
  [450264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18402), 1,
      anon_sym_RPAREN,
  [450271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18404), 1,
      anon_sym_RPAREN,
  [450278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18406), 1,
      anon_sym_RPAREN,
  [450285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18408), 1,
      anon_sym_RPAREN,
  [450292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18410), 1,
      anon_sym_RPAREN,
  [450299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18412), 1,
      anon_sym_RPAREN,
  [450306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18414), 1,
      anon_sym_RPAREN,
  [450313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18416), 1,
      anon_sym_RPAREN,
  [450320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18418), 1,
      anon_sym_RPAREN,
  [450327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      anon_sym_RPAREN,
  [450334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11211), 1,
      anon_sym_RPAREN,
  [450341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18420), 1,
      anon_sym_RPAREN,
  [450348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18422), 1,
      anon_sym_RPAREN,
  [450355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_RPAREN,
  [450362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18424), 1,
      anon_sym_RPAREN,
  [450369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18426), 1,
      anon_sym_RPAREN,
  [450376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18428), 1,
      anon_sym_RPAREN,
  [450383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9683), 1,
      anon_sym_RPAREN,
  [450390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18430), 1,
      anon_sym_RPAREN,
  [450397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18432), 1,
      anon_sym_RPAREN,
  [450404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18434), 1,
      anon_sym_RPAREN,
  [450411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18436), 1,
      anon_sym_RPAREN,
  [450418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18438), 1,
      anon_sym_RPAREN,
  [450425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18440), 1,
      anon_sym_RPAREN,
  [450432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18442), 1,
      anon_sym_RPAREN,
  [450439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18444), 1,
      anon_sym_RPAREN,
  [450446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18446), 1,
      anon_sym_RPAREN,
  [450453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18448), 1,
      anon_sym_RPAREN,
  [450460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18450), 1,
      anon_sym_RPAREN,
  [450467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18452), 1,
      anon_sym_RPAREN,
  [450474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18454), 1,
      anon_sym_RPAREN,
  [450481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18456), 1,
      anon_sym_RPAREN,
  [450488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18458), 1,
      anon_sym_RPAREN,
  [450495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18460), 1,
      anon_sym_RPAREN,
  [450502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18462), 1,
      anon_sym_RPAREN,
  [450509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18464), 1,
      anon_sym_RPAREN,
  [450516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18466), 1,
      anon_sym_RPAREN,
  [450523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18468), 1,
      anon_sym_RPAREN,
  [450530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18470), 1,
      anon_sym_RPAREN,
  [450537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18472), 1,
      anon_sym_RPAREN,
  [450544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18474), 1,
      anon_sym_RPAREN,
  [450551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18476), 1,
      anon_sym_RPAREN,
  [450558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18478), 1,
      anon_sym_RPAREN,
  [450565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18480), 1,
      anon_sym_RPAREN,
  [450572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18482), 1,
      anon_sym_RPAREN,
  [450579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18484), 1,
      anon_sym_RPAREN,
  [450586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18486), 1,
      anon_sym_RPAREN,
  [450593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18488), 1,
      anon_sym_RPAREN,
  [450600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18490), 1,
      anon_sym_RPAREN,
  [450607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18492), 1,
      anon_sym_RPAREN,
  [450614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18494), 1,
      anon_sym_RPAREN,
  [450621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18496), 1,
      aux_sym_limit_clause_token2,
  [450628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18498), 1,
      aux_sym_limit_clause_token2,
  [450635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9267), 1,
      anon_sym_RPAREN,
  [450642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18500), 1,
      anon_sym_RPAREN,
  [450649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18502), 1,
      aux_sym__keyword_from_token1,
  [450656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18504), 1,
      aux_sym__keyword_from_token1,
  [450663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9773), 1,
      anon_sym_RPAREN,
  [450670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11063), 1,
      anon_sym_RPAREN,
  [450677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14366), 1,
      anon_sym_RPAREN,
  [450684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18506), 1,
      aux_sym__keyword_from_token1,
  [450691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18508), 1,
      aux_sym__keyword_from_token1,
  [450698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18510), 1,
      anon_sym_RPAREN,
  [450705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18512), 1,
      anon_sym_RPAREN,
  [450712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18514), 1,
      anon_sym_RPAREN,
  [450719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18516), 1,
      anon_sym_RPAREN,
  [450726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9883), 1,
      anon_sym_RPAREN,
  [450733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18518), 1,
      anon_sym_LBRACK,
  [450740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9905), 1,
      anon_sym_RPAREN,
  [450747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9907), 1,
      anon_sym_RPAREN,
  [450754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18520), 1,
      aux_sym__keyword_partition_by_token2,
  [450761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
  [450768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18522), 1,
      aux_sym__keyword_distinct_token1,
  [450775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18524), 1,
      aux_sym__keyword_distinct_token1,
  [450782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18526), 1,
      aux_sym__keyword_from_token1,
  [450789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9975), 1,
      anon_sym_RPAREN,
  [450796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9981), 1,
      anon_sym_RPAREN,
  [450803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18528), 1,
      aux_sym_create_table_statement_token2,
  [450810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 1,
      anon_sym_RPAREN,
  [450817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18530), 1,
      sym__unquoted_identifier,
  [450824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18532), 1,
      aux_sym__keyword_from_token1,
  [450831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
  [450838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18534), 1,
      anon_sym_SQUOTE,
  [450845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18534), 1,
      anon_sym_DQUOTE,
  [450852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18536), 1,
      aux_sym_limit_clause_token2,
  [450859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18538), 1,
      aux_sym_argument_reference_token1,
  [450866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18540), 1,
      anon_sym_RPAREN,
  [450873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18542), 1,
      anon_sym_RPAREN,
  [450880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18544), 1,
      aux_sym__keyword_partition_by_token2,
  [450887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18546), 1,
      anon_sym_LPAREN,
  [450894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18548), 1,
      anon_sym_GT,
  [450901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18550), 1,
      aux_sym__nulls_preference_token1,
  [450908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18552), 1,
      anon_sym_RPAREN,
  [450915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18554), 1,
      anon_sym_RPAREN,
  [450922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18556), 1,
      anon_sym_RPAREN,
  [450929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18558), 1,
      anon_sym_RPAREN,
  [450936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18560), 1,
      anon_sym_LPAREN,
  [450943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18562), 1,
      anon_sym_RPAREN,
  [450950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18564), 1,
      anon_sym_RPAREN,
  [450957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18566), 1,
      aux_sym__keyword_partition_by_token2,
  [450964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18568), 1,
      anon_sym_RPAREN,
  [450971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18570), 1,
      anon_sym_RPAREN,
  [450978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18572), 1,
      anon_sym_RPAREN,
  [450985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18574), 1,
      anon_sym_RPAREN,
  [450992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18576), 1,
      anon_sym_RPAREN,
  [450999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18578), 1,
      anon_sym_RPAREN,
  [451006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18580), 1,
      anon_sym_RPAREN,
  [451013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18582), 1,
      aux_sym__nulls_preference_token1,
  [451020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18584), 1,
      aux_sym__nulls_preference_token1,
  [451027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18586), 1,
      anon_sym_RPAREN,
  [451034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18588), 1,
      aux_sym__cross_join_operation_token2,
  [451041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18590), 1,
      aux_sym__cross_join_operation_token2,
  [451048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18592), 1,
      aux_sym__nulls_preference_token1,
  [451055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18594), 1,
      aux_sym__nulls_preference_token1,
  [451062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18596), 1,
      aux_sym__nulls_preference_token1,
  [451069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18598), 1,
      anon_sym_RPAREN,
  [451076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18600), 1,
      anon_sym_RPAREN,
  [451083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18602), 1,
      anon_sym_RPAREN,
  [451090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18604), 1,
      anon_sym_RPAREN,
  [451097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18606), 1,
      anon_sym_RPAREN,
  [451104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18608), 1,
      aux_sym__nulls_preference_token1,
  [451111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18610), 1,
      anon_sym_RPAREN,
  [451118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18612), 1,
      anon_sym_RPAREN,
  [451125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18614), 1,
      anon_sym_LPAREN,
  [451132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18616), 1,
      anon_sym_RPAREN,
  [451139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18618), 1,
      anon_sym_RPAREN,
  [451146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18620), 1,
      anon_sym_RPAREN,
  [451153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18622), 1,
      anon_sym_RPAREN,
  [451160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18624), 1,
      anon_sym_RPAREN,
  [451167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18626), 1,
      anon_sym_RPAREN,
  [451174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18628), 1,
      anon_sym_RPAREN,
  [451181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14898), 1,
      anon_sym_RPAREN,
  [451188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18630), 1,
      anon_sym_RPAREN,
  [451195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
  [451202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18632), 1,
      sym__string_end,
  [451209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18634), 1,
      anon_sym_RPAREN,
  [451216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18636), 1,
      anon_sym_RPAREN,
  [451223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18638), 1,
      anon_sym_RPAREN,
  [451230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18640), 1,
      anon_sym_RPAREN,
  [451237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18642), 1,
      anon_sym_RPAREN,
  [451244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18644), 1,
      anon_sym_RPAREN,
  [451251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18646), 1,
      anon_sym_RPAREN,
  [451258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18648), 1,
      anon_sym_RPAREN,
  [451265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18650), 1,
      anon_sym_RPAREN,
  [451272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18652), 1,
      anon_sym_RPAREN,
  [451279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18654), 1,
      anon_sym_RPAREN,
  [451286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18656), 1,
      anon_sym_RPAREN,
  [451293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14801), 1,
      anon_sym_RPAREN,
  [451300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18658), 1,
      anon_sym_RPAREN,
  [451307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18660), 1,
      anon_sym_RPAREN,
  [451314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18662), 1,
      aux_sym__keyword_partition_by_token2,
  [451321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18664), 1,
      anon_sym_LBRACK,
  [451328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18666), 1,
      aux_sym__keyword_partition_by_token2,
  [451335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18668), 1,
      anon_sym_RPAREN,
  [451342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18670), 1,
      anon_sym_RPAREN,
  [451349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11571), 1,
      anon_sym_RPAREN,
  [451356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14759), 1,
      anon_sym_RPAREN,
  [451363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18672), 1,
      anon_sym_RPAREN,
  [451370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
  [451377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18674), 1,
      aux_sym_default_collate_clause_token1,
  [451384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18676), 1,
      aux_sym__keyword_partition_by_token2,
  [451391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18678), 1,
      anon_sym_GT,
  [451398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18680), 1,
      aux_sym__nulls_preference_token1,
  [451405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18682), 1,
      anon_sym_RPAREN,
  [451412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18684), 1,
      anon_sym_RPAREN,
  [451419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18686), 1,
      anon_sym_RPAREN,
  [451426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18688), 1,
      anon_sym_RPAREN,
  [451433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15466), 1,
      anon_sym_LPAREN,
  [451440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18690), 1,
      anon_sym_RPAREN,
  [451447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18692), 1,
      anon_sym_RPAREN,
  [451454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18694), 1,
      anon_sym_RPAREN,
  [451461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18696), 1,
      aux_sym__nulls_preference_token1,
  [451468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18698), 1,
      aux_sym__nulls_preference_token1,
  [451475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18700), 1,
      aux_sym__cross_join_operation_token2,
  [451482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18702), 1,
      aux_sym__cross_join_operation_token2,
  [451489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18704), 1,
      aux_sym__nulls_preference_token1,
  [451496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18706), 1,
      aux_sym__nulls_preference_token1,
  [451503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18708), 1,
      aux_sym__nulls_preference_token1,
  [451510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18710), 1,
      anon_sym_RPAREN,
  [451517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11647), 1,
      anon_sym_RPAREN,
  [451524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18712), 1,
      anon_sym_RPAREN,
  [451531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10428), 1,
      anon_sym_RPAREN,
  [451538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18714), 1,
      aux_sym__nulls_preference_token1,
  [451545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      anon_sym_RPAREN,
  [451552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14645), 1,
      anon_sym_RPAREN,
  [451559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9237), 1,
      anon_sym_RPAREN,
  [451566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18716), 1,
      anon_sym_RPAREN,
  [451573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18718), 1,
      anon_sym_RPAREN,
  [451580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18720), 1,
      anon_sym_RPAREN,
  [451587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_RPAREN,
  [451594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
  [451601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 1,
      anon_sym_RPAREN,
  [451608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11703), 1,
      anon_sym_RPAREN,
  [451615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18722), 1,
      aux_sym__keyword_from_token1,
  [451622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10370), 1,
      anon_sym_RPAREN,
  [451629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10360), 1,
      anon_sym_RPAREN,
  [451636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18724), 1,
      aux_sym_keyword_if_not_exists_token3,
  [451643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10358), 1,
      anon_sym_RPAREN,
  [451650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18726), 1,
      sym__unquoted_identifier,
  [451657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18728), 1,
      aux_sym__keyword_from_token1,
  [451664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18730), 1,
      aux_sym_set_statement_token1,
  [451671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10340), 1,
      anon_sym_RPAREN,
  [451678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15268), 1,
      aux_sym_set_statement_token1,
  [451685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18732), 1,
      anon_sym_SQUOTE,
  [451692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18732), 1,
      anon_sym_DQUOTE,
  [451699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18734), 1,
      aux_sym_limit_clause_token2,
  [451706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18736), 1,
      aux_sym_argument_reference_token1,
  [451713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18738), 1,
      anon_sym_RPAREN,
  [451720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18740), 1,
      anon_sym_RPAREN,
  [451727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18742), 1,
      anon_sym_LBRACK,
  [451734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18744), 1,
      aux_sym__keyword_partition_by_token2,
  [451741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18746), 1,
      anon_sym_RPAREN,
  [451748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18748), 1,
      anon_sym_RPAREN,
  [451755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18750), 1,
      anon_sym_RPAREN,
  [451762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18752), 1,
      anon_sym_RPAREN,
  [451769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18754), 1,
      anon_sym_RPAREN,
  [451776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18756), 1,
      anon_sym_RPAREN,
  [451783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18758), 1,
      anon_sym_RPAREN,
  [451790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18760), 1,
      anon_sym_RPAREN,
  [451797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18762), 1,
      anon_sym_GT,
  [451804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18764), 1,
      aux_sym__nulls_preference_token1,
  [451811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18766), 1,
      anon_sym_RPAREN,
  [451818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18768), 1,
      anon_sym_AS,
  [451825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18770), 1,
      anon_sym_RPAREN,
  [451832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15518), 1,
      anon_sym_LPAREN,
  [451839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18772), 1,
      anon_sym_RPAREN,
  [451846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18774), 1,
      anon_sym_RPAREN,
  [451853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18776), 1,
      aux_sym__nulls_preference_token1,
  [451860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18778), 1,
      aux_sym__nulls_preference_token1,
  [451867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18780), 1,
      aux_sym__cross_join_operation_token2,
  [451874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18782), 1,
      aux_sym__nulls_preference_token1,
  [451881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18784), 1,
      aux_sym__nulls_preference_token1,
  [451888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18786), 1,
      aux_sym__nulls_preference_token1,
  [451895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18788), 1,
      anon_sym_RPAREN,
  [451902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18790), 1,
      aux_sym__nulls_preference_token1,
  [451909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18792), 1,
      anon_sym_RPAREN,
  [451916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18794), 1,
      anon_sym_RPAREN,
  [451923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18796), 1,
      anon_sym_RPAREN,
  [451930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18798), 1,
      anon_sym_RPAREN,
  [451937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18800), 1,
      anon_sym_RPAREN,
  [451944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18802), 1,
      anon_sym_RPAREN,
  [451951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18804), 1,
      anon_sym_RPAREN,
  [451958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18806), 1,
      anon_sym_RPAREN,
  [451965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18808), 1,
      anon_sym_RPAREN,
  [451972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18810), 1,
      anon_sym_RPAREN,
  [451979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18812), 1,
      anon_sym_LBRACK,
  [451986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18814), 1,
      aux_sym__keyword_partition_by_token2,
  [451993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18816), 1,
      anon_sym_RPAREN,
  [452000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18818), 1,
      anon_sym_RPAREN,
  [452007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18820), 1,
      anon_sym_RPAREN,
  [452014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18822), 1,
      anon_sym_RPAREN,
  [452021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18824), 1,
      anon_sym_RPAREN,
  [452028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13776), 1,
      anon_sym_RPAREN,
  [452035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18826), 1,
      aux_sym_create_table_statement_token1,
  [452042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18828), 1,
      anon_sym_RPAREN,
  [452049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18830), 1,
      anon_sym_GT,
  [452056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18832), 1,
      aux_sym__nulls_preference_token1,
  [452063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_RPAREN,
  [452070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18834), 1,
      sym__string_end,
  [452077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18836), 1,
      anon_sym_RPAREN,
  [452084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18838), 1,
      anon_sym_RPAREN,
  [452091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18840), 1,
      anon_sym_RPAREN,
  [452098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18842), 1,
      aux_sym__nulls_preference_token1,
  [452105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18844), 1,
      aux_sym__nulls_preference_token1,
  [452112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18846), 1,
      aux_sym__cross_join_operation_token2,
  [452119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18848), 1,
      aux_sym__nulls_preference_token1,
  [452126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18850), 1,
      aux_sym__nulls_preference_token1,
  [452133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18852), 1,
      aux_sym__nulls_preference_token1,
  [452140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18854), 1,
      anon_sym_RPAREN,
  [452147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18856), 1,
      aux_sym__nulls_preference_token1,
  [452154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18858), 1,
      anon_sym_RPAREN,
  [452161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18860), 1,
      anon_sym_RPAREN,
  [452168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18862), 1,
      aux_sym_using_clause_token1,
  [452175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18864), 1,
      anon_sym_RPAREN,
  [452182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18866), 1,
      anon_sym_RPAREN,
  [452189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18868), 1,
      anon_sym_RPAREN,
  [452196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18870), 1,
      anon_sym_RPAREN,
  [452203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18872), 1,
      anon_sym_RPAREN,
  [452210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18874), 1,
      anon_sym_RPAREN,
  [452217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18876), 1,
      anon_sym_EQ,
  [452224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18878), 1,
      anon_sym_LBRACK,
  [452231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13694), 1,
      anon_sym_RPAREN,
  [452238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18880), 1,
      anon_sym_RPAREN,
  [452245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18882), 1,
      anon_sym_RPAREN,
  [452252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18884), 1,
      anon_sym_RPAREN,
  [452259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18886), 1,
      anon_sym_RPAREN,
  [452266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12089), 1,
      anon_sym_RPAREN,
  [452273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_RPAREN,
  [452280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18888), 1,
      anon_sym_RPAREN,
  [452287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18890), 1,
      anon_sym_GT,
  [452294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18892), 1,
      aux_sym__nulls_preference_token1,
  [452301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18894), 1,
      anon_sym_LPAREN,
  [452308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10142), 1,
      anon_sym_RPAREN,
  [452315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18896), 1,
      anon_sym_RPAREN,
  [452322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18898), 1,
      anon_sym_RPAREN,
  [452329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18900), 1,
      anon_sym_RPAREN,
  [452336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18902), 1,
      aux_sym__nulls_preference_token1,
  [452343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18904), 1,
      aux_sym__nulls_preference_token1,
  [452350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18906), 1,
      aux_sym__cross_join_operation_token2,
  [452357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18908), 1,
      aux_sym__nulls_preference_token1,
  [452364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18910), 1,
      aux_sym__nulls_preference_token1,
  [452371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18912), 1,
      aux_sym__nulls_preference_token1,
  [452378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18914), 1,
      anon_sym_RPAREN,
  [452385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18916), 1,
      aux_sym__nulls_preference_token1,
  [452392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18918), 1,
      anon_sym_RPAREN,
  [452399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18920), 1,
      anon_sym_RPAREN,
  [452406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18922), 1,
      anon_sym_LPAREN,
  [452413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18924), 1,
      anon_sym_LPAREN,
  [452420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18926), 1,
      anon_sym_RPAREN,
  [452427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18928), 1,
      anon_sym_RPAREN,
  [452434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12149), 1,
      anon_sym_RPAREN,
  [452441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18930), 1,
      anon_sym_RPAREN,
  [452448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10107), 1,
      anon_sym_RPAREN,
  [452455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12176), 1,
      anon_sym_RPAREN,
  [452462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18932), 1,
      anon_sym_LBRACK,
  [452469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      anon_sym_RPAREN,
  [452476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
  [452483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18934), 1,
      anon_sym_RPAREN,
  [452490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18936), 1,
      anon_sym_RPAREN,
  [452497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18938), 1,
      aux_sym_while_statement_token1,
  [452504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18940), 1,
      anon_sym_RPAREN,
  [452511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10076), 1,
      anon_sym_RPAREN,
  [452518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10062), 1,
      anon_sym_RPAREN,
  [452525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18942), 1,
      anon_sym_GT,
  [452532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18944), 1,
      aux_sym__nulls_preference_token1,
  [452539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18946), 1,
      aux_sym_set_statement_token2,
  [452546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10060), 1,
      anon_sym_RPAREN,
  [452553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_RPAREN,
  [452560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18948), 1,
      aux_sym__keyword_from_token1,
  [452567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_RPAREN,
  [452574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18950), 1,
      aux_sym__nulls_preference_token1,
  [452581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18952), 1,
      aux_sym__nulls_preference_token1,
  [452588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18954), 1,
      aux_sym__cross_join_operation_token2,
  [452595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18956), 1,
      aux_sym__nulls_preference_token1,
  [452602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18958), 1,
      aux_sym__nulls_preference_token1,
  [452609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18960), 1,
      aux_sym__nulls_preference_token1,
  [452616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10043), 1,
      anon_sym_RPAREN,
  [452623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18962), 1,
      aux_sym__nulls_preference_token1,
  [452630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_RPAREN,
  [452637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18964), 1,
      sym__unquoted_identifier,
  [452644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18966), 1,
      aux_sym_begin_exception_end_statement_token2,
  [452651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOT,
  [452658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18968), 1,
      aux_sym__keyword_from_token1,
  [452665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
  [452672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18970), 1,
      anon_sym_LBRACK,
  [452679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18972), 1,
      anon_sym_SQUOTE,
  [452686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18974), 1,
      anon_sym_LPAREN,
  [452693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18972), 1,
      anon_sym_DQUOTE,
  [452700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18976), 1,
      aux_sym_limit_clause_token2,
  [452707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18978), 1,
      aux_sym_argument_reference_token1,
  [452714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18980), 1,
      anon_sym_RPAREN,
  [452721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18982), 1,
      aux_sym__keyword_from_token1,
  [452728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18984), 1,
      anon_sym_RPAREN,
  [452735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18986), 1,
      anon_sym_GT,
  [452742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18988), 1,
      aux_sym__nulls_preference_token1,
  [452749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18990), 1,
      anon_sym_RPAREN,
  [452756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18992), 1,
      aux_sym_keyword_if_not_exists_token1,
  [452763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18994), 1,
      anon_sym_RPAREN,
  [452770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18996), 1,
      anon_sym_RPAREN,
  [452777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(18998), 1,
      anon_sym_RPAREN,
  [452784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19000), 1,
      aux_sym__nulls_preference_token1,
  [452791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19002), 1,
      aux_sym__nulls_preference_token1,
  [452798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19004), 1,
      aux_sym__nulls_preference_token1,
  [452805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19006), 1,
      aux_sym__nulls_preference_token1,
  [452812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19008), 1,
      aux_sym__nulls_preference_token1,
  [452819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19010), 1,
      aux_sym__nulls_preference_token1,
  [452826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19012), 1,
      anon_sym_RPAREN,
  [452833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19014), 1,
      anon_sym_RPAREN,
  [452840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19016), 1,
      anon_sym_RPAREN,
  [452847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19018), 1,
      anon_sym_RPAREN,
  [452854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19020), 1,
      anon_sym_RPAREN,
  [452861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19022), 1,
      anon_sym_LBRACK,
  [452868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19024), 1,
      anon_sym_RPAREN,
  [452875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19026), 1,
      anon_sym_RPAREN,
  [452882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19028), 1,
      anon_sym_RPAREN,
  [452889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19030), 1,
      anon_sym_RPAREN,
  [452896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19032), 1,
      anon_sym_RPAREN,
  [452903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
  [452910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19034), 1,
      aux_sym__nulls_preference_token1,
  [452917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19036), 1,
      anon_sym_RPAREN,
  [452924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19038), 1,
      anon_sym_GT,
  [452931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19040), 1,
      aux_sym__nulls_preference_token1,
  [452938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19042), 1,
      anon_sym_RPAREN,
  [452945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19044), 1,
      anon_sym_RPAREN,
  [452952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19046), 1,
      anon_sym_RPAREN,
  [452959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19048), 1,
      anon_sym_RPAREN,
  [452966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19050), 1,
      anon_sym_RPAREN,
  [452973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19052), 1,
      aux_sym__nulls_preference_token1,
  [452980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19054), 1,
      aux_sym__nulls_preference_token1,
  [452987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19056), 1,
      aux_sym__nulls_preference_token1,
  [452994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19058), 1,
      aux_sym__nulls_preference_token1,
  [453001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19060), 1,
      aux_sym__nulls_preference_token1,
  [453008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19062), 1,
      aux_sym__nulls_preference_token1,
  [453015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19064), 1,
      anon_sym_RPAREN,
  [453022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19066), 1,
      anon_sym_RPAREN,
  [453029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19068), 1,
      anon_sym_RPAREN,
  [453036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19070), 1,
      anon_sym_RPAREN,
  [453043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19072), 1,
      anon_sym_RPAREN,
  [453050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19074), 1,
      anon_sym_LBRACK,
  [453057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19076), 1,
      anon_sym_RPAREN,
  [453064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19078), 1,
      anon_sym_GT,
  [453071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19080), 1,
      anon_sym_RPAREN,
  [453078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19082), 1,
      anon_sym_RPAREN,
  [453085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_RPAREN,
  [453092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19084), 1,
      anon_sym_RPAREN,
  [453099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 1,
      anon_sym_RPAREN,
  [453106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19086), 1,
      sym__string_end,
  [453113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19088), 1,
      anon_sym_GT,
  [453120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19090), 1,
      aux_sym__nulls_preference_token1,
  [453127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19092), 1,
      anon_sym_RPAREN,
  [453134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19094), 1,
      anon_sym_SQUOTE,
  [453141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19096), 1,
      anon_sym_RPAREN,
  [453148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19094), 1,
      anon_sym_DQUOTE,
  [453155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19098), 1,
      anon_sym_RPAREN,
  [453162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19100), 1,
      aux_sym__nulls_preference_token1,
  [453169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19102), 1,
      aux_sym__nulls_preference_token1,
  [453176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19104), 1,
      aux_sym__nulls_preference_token1,
  [453183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19106), 1,
      aux_sym__nulls_preference_token1,
  [453190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19108), 1,
      aux_sym__nulls_preference_token1,
  [453197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19110), 1,
      aux_sym__nulls_preference_token1,
  [453204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19112), 1,
      anon_sym_RPAREN,
  [453211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19114), 1,
      anon_sym_RPAREN,
  [453218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19116), 1,
      anon_sym_RPAREN,
  [453225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19118), 1,
      anon_sym_RPAREN,
  [453232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19120), 1,
      anon_sym_RPAREN,
  [453239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19122), 1,
      anon_sym_LBRACK,
  [453246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19124), 1,
      anon_sym_RPAREN,
  [453253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19126), 1,
      anon_sym_GT,
  [453260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19128), 1,
      anon_sym_RPAREN,
  [453267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19130), 1,
      anon_sym_RPAREN,
  [453274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19132), 1,
      anon_sym_RPAREN,
  [453281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12698), 1,
      anon_sym_RPAREN,
  [453288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19134), 1,
      anon_sym_RPAREN,
  [453295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19136), 1,
      anon_sym_RPAREN,
  [453302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19138), 1,
      anon_sym_GT,
  [453309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19140), 1,
      aux_sym__nulls_preference_token1,
  [453316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19142), 1,
      anon_sym_RPAREN,
  [453323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19144), 1,
      anon_sym_RPAREN,
  [453330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11097), 1,
      anon_sym_RPAREN,
  [453337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_RPAREN,
  [453344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19146), 1,
      anon_sym_RPAREN,
  [453351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19148), 1,
      aux_sym__nulls_preference_token1,
  [453358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19150), 1,
      aux_sym__nulls_preference_token1,
  [453365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19152), 1,
      aux_sym__nulls_preference_token1,
  [453372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19154), 1,
      aux_sym__nulls_preference_token1,
  [453379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19156), 1,
      aux_sym__nulls_preference_token1,
  [453386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19158), 1,
      aux_sym__nulls_preference_token1,
  [453393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9879), 1,
      anon_sym_RPAREN,
  [453400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19160), 1,
      anon_sym_RPAREN,
  [453407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19162), 1,
      anon_sym_LPAREN,
  [453414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19164), 1,
      anon_sym_RPAREN,
  [453421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19166), 1,
      anon_sym_RPAREN,
  [453428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19168), 1,
      anon_sym_LBRACK,
  [453435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19170), 1,
      anon_sym_RPAREN,
  [453442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19172), 1,
      anon_sym_RPAREN,
  [453449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19174), 1,
      anon_sym_RPAREN,
  [453456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19176), 1,
      anon_sym_RPAREN,
  [453463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19178), 1,
      anon_sym_RPAREN,
  [453470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11515), 1,
      anon_sym_RPAREN,
  [453477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19180), 1,
      anon_sym_RPAREN,
  [453484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 1,
      anon_sym_RPAREN,
  [453491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19182), 1,
      anon_sym_GT,
  [453498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19184), 1,
      aux_sym__nulls_preference_token1,
  [453505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_RPAREN,
  [453512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12774), 1,
      anon_sym_RPAREN,
  [453519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9249), 1,
      anon_sym_RPAREN,
  [453526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19186), 1,
      aux_sym_argument_reference_token1,
  [453533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19188), 1,
      anon_sym_RPAREN,
  [453540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19190), 1,
      aux_sym__nulls_preference_token1,
  [453547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19192), 1,
      aux_sym__nulls_preference_token1,
  [453554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19194), 1,
      aux_sym__nulls_preference_token1,
  [453561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19196), 1,
      aux_sym__nulls_preference_token1,
  [453568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19198), 1,
      aux_sym__nulls_preference_token1,
  [453575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19200), 1,
      aux_sym__nulls_preference_token1,
  [453582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19202), 1,
      anon_sym_RPAREN,
  [453589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9789), 1,
      anon_sym_RPAREN,
  [453596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9779), 1,
      anon_sym_RPAREN,
  [453603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9777), 1,
      anon_sym_RPAREN,
  [453610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_RPAREN,
  [453617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19204), 1,
      anon_sym_LBRACK,
  [453624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19206), 1,
      aux_sym__keyword_from_token1,
  [453631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9757), 1,
      anon_sym_RPAREN,
  [453638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9753), 1,
      anon_sym_RPAREN,
  [453645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9751), 1,
      anon_sym_RPAREN,
  [453652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19208), 1,
      sym__unquoted_identifier,
  [453659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19210), 1,
      aux_sym__keyword_from_token1,
  [453666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 1,
      anon_sym_RPAREN,
  [453673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19212), 1,
      aux_sym_create_table_statement_token1,
  [453680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19214), 1,
      anon_sym_GT,
  [453687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19216), 1,
      aux_sym__nulls_preference_token1,
  [453694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19218), 1,
      anon_sym_SQUOTE,
  [453701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19218), 1,
      anon_sym_DQUOTE,
  [453708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19220), 1,
      aux_sym_limit_clause_token2,
  [453715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19222), 1,
      aux_sym_create_table_statement_token2,
  [453722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19224), 1,
      anon_sym_RPAREN,
  [453729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19226), 1,
      aux_sym__nulls_preference_token1,
  [453736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19228), 1,
      aux_sym__nulls_preference_token1,
  [453743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19230), 1,
      aux_sym__nulls_preference_token1,
  [453750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19232), 1,
      aux_sym__nulls_preference_token1,
  [453757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19234), 1,
      aux_sym__nulls_preference_token1,
  [453764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19236), 1,
      aux_sym__nulls_preference_token1,
  [453771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19238), 1,
      anon_sym_RPAREN,
  [453778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19240), 1,
      anon_sym_RPAREN,
  [453785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19242), 1,
      anon_sym_RPAREN,
  [453792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19244), 1,
      anon_sym_RPAREN,
  [453799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19246), 1,
      anon_sym_RPAREN,
  [453806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19248), 1,
      anon_sym_LBRACK,
  [453813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19250), 1,
      anon_sym_RPAREN,
  [453820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19252), 1,
      anon_sym_RPAREN,
  [453827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19254), 1,
      anon_sym_RPAREN,
  [453834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19256), 1,
      anon_sym_RPAREN,
  [453841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19258), 1,
      anon_sym_RPAREN,
  [453848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19260), 1,
      anon_sym_RPAREN,
  [453855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19262), 1,
      anon_sym_RPAREN,
  [453862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19264), 1,
      anon_sym_RPAREN,
  [453869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19266), 1,
      anon_sym_GT,
  [453876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19268), 1,
      aux_sym__nulls_preference_token1,
  [453883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19270), 1,
      anon_sym_RPAREN,
  [453890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19272), 1,
      anon_sym_RPAREN,
  [453897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19274), 1,
      anon_sym_RPAREN,
  [453904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19276), 1,
      anon_sym_RPAREN,
  [453911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19278), 1,
      anon_sym_RPAREN,
  [453918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19280), 1,
      aux_sym__nulls_preference_token1,
  [453925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19282), 1,
      aux_sym__nulls_preference_token1,
  [453932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19284), 1,
      aux_sym__nulls_preference_token1,
  [453939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19286), 1,
      aux_sym__nulls_preference_token1,
  [453946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19288), 1,
      aux_sym__nulls_preference_token1,
  [453953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19290), 1,
      aux_sym__nulls_preference_token1,
  [453960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19292), 1,
      anon_sym_RPAREN,
  [453967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19294), 1,
      anon_sym_RPAREN,
  [453974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19296), 1,
      aux_sym_keyword_if_not_exists_token2,
  [453981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19298), 1,
      anon_sym_RPAREN,
  [453988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19300), 1,
      anon_sym_RPAREN,
  [453995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19302), 1,
      anon_sym_LBRACK,
  [454002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19304), 1,
      anon_sym_RPAREN,
  [454009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19306), 1,
      anon_sym_RPAREN,
  [454016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19308), 1,
      anon_sym_RPAREN,
  [454023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19310), 1,
      anon_sym_RPAREN,
  [454030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19312), 1,
      anon_sym_RPAREN,
  [454037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19314), 1,
      anon_sym_RPAREN,
  [454044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8224), 1,
      aux_sym_set_statement_token1,
  [454051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19316), 1,
      anon_sym_LPAREN,
  [454058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19318), 1,
      anon_sym_GT,
  [454065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19320), 1,
      aux_sym__nulls_preference_token1,
  [454072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19322), 1,
      anon_sym_RPAREN,
  [454079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19324), 1,
      anon_sym_RPAREN,
  [454086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13069), 1,
      anon_sym_RPAREN,
  [454093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19326), 1,
      aux_sym_keyword_if_not_exists_token3,
  [454100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19328), 1,
      anon_sym_RPAREN,
  [454107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19330), 1,
      aux_sym__nulls_preference_token1,
  [454114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19332), 1,
      aux_sym__nulls_preference_token1,
  [454121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19334), 1,
      aux_sym__nulls_preference_token1,
  [454128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19336), 1,
      aux_sym__nulls_preference_token1,
  [454135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19338), 1,
      aux_sym__nulls_preference_token1,
  [454142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19340), 1,
      aux_sym__nulls_preference_token1,
  [454149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11047), 1,
      anon_sym_RPAREN,
  [454156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19342), 1,
      sym__string_end,
  [454163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19344), 1,
      anon_sym_RPAREN,
  [454170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19346), 1,
      anon_sym_RPAREN,
  [454177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19348), 1,
      anon_sym_AS,
  [454184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19350), 1,
      anon_sym_LBRACK,
  [454191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19352), 1,
      anon_sym_RPAREN,
  [454198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19354), 1,
      anon_sym_LPAREN,
  [454205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12257), 1,
      anon_sym_RPAREN,
  [454212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19356), 1,
      anon_sym_RPAREN,
  [454219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19358), 1,
      aux_sym_create_remote_function_statement_token2,
  [454226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19360), 1,
      anon_sym_RPAREN,
  [454233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19362), 1,
      anon_sym_RPAREN,
  [454240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19364), 1,
      aux_sym_join_condition_token1,
  [454247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19366), 1,
      anon_sym_GT,
  [454254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19368), 1,
      aux_sym__nulls_preference_token1,
  [454261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19370), 1,
      anon_sym_RPAREN,
  [454268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19372), 1,
      anon_sym_RPAREN,
  [454275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19374), 1,
      anon_sym_RPAREN,
  [454282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19376), 1,
      sym_privilege_role,
  [454289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19378), 1,
      anon_sym_RPAREN,
  [454296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19380), 1,
      aux_sym__nulls_preference_token1,
  [454303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19382), 1,
      aux_sym__nulls_preference_token1,
  [454310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19384), 1,
      aux_sym__nulls_preference_token1,
  [454317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19386), 1,
      aux_sym__nulls_preference_token1,
  [454324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19388), 1,
      aux_sym__nulls_preference_token1,
  [454331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19390), 1,
      aux_sym__nulls_preference_token1,
  [454338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19392), 1,
      anon_sym_RPAREN,
  [454345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19394), 1,
      aux_sym_join_condition_token1,
  [454352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19396), 1,
      aux_sym_using_clause_token1,
  [454359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
  [454366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19398), 1,
      anon_sym_RPAREN,
  [454373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19400), 1,
      anon_sym_LBRACK,
  [454380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19402), 1,
      anon_sym_RPAREN,
  [454387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19404), 1,
      anon_sym_RPAREN,
  [454394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19406), 1,
      anon_sym_RPAREN,
  [454401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_RPAREN,
  [454408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13252), 1,
      anon_sym_RPAREN,
  [454415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19408), 1,
      anon_sym_RPAREN,
  [454422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9623), 1,
      anon_sym_RPAREN,
  [454429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19410), 1,
      anon_sym_RPAREN,
  [454436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19412), 1,
      anon_sym_GT,
  [454443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19414), 1,
      aux_sym__nulls_preference_token1,
  [454450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19416), 1,
      anon_sym_RPAREN,
  [454457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19418), 1,
      anon_sym_RPAREN,
  [454464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19420), 1,
      anon_sym_RPAREN,
  [454471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19422), 1,
      anon_sym_RPAREN,
  [454478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19424), 1,
      anon_sym_RPAREN,
  [454485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19426), 1,
      aux_sym__nulls_preference_token1,
  [454492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19428), 1,
      aux_sym__nulls_preference_token1,
  [454499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19430), 1,
      aux_sym__nulls_preference_token1,
  [454506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19432), 1,
      aux_sym__nulls_preference_token1,
  [454513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19434), 1,
      aux_sym__nulls_preference_token1,
  [454520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19436), 1,
      aux_sym__nulls_preference_token1,
  [454527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19438), 1,
      anon_sym_RPAREN,
  [454534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19440), 1,
      anon_sym_LPAREN,
  [454541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19442), 1,
      anon_sym_RPAREN,
  [454548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12291), 1,
      anon_sym_RPAREN,
  [454555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19444), 1,
      anon_sym_RPAREN,
  [454562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19446), 1,
      aux_sym__nulls_preference_token1,
  [454569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym_RPAREN,
  [454576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19448), 1,
      aux_sym__keyword_partition_by_token2,
  [454583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19450), 1,
      aux_sym_limit_clause_token2,
  [454590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19452), 1,
      aux_sym__nulls_preference_token1,
  [454597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19454), 1,
      aux_sym__nulls_preference_token1,
  [454604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19456), 1,
      aux_sym__nulls_preference_token1,
  [454611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19458), 1,
      aux_sym__nulls_preference_token1,
  [454618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19460), 1,
      aux_sym__nulls_preference_token1,
  [454625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19462), 1,
      aux_sym__nulls_preference_token1,
  [454632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13370), 1,
      anon_sym_RPAREN,
  [454639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19464), 1,
      anon_sym_OPTIONS,
  [454646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19466), 1,
      anon_sym_OPTIONS,
  [454653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19468), 1,
      aux_sym__nulls_preference_token1,
  [454660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19470), 1,
      anon_sym_LPAREN,
  [454667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9279), 1,
      anon_sym_RPAREN,
  [454674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19472), 1,
      anon_sym_RPAREN,
  [454681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19474), 1,
      aux_sym__nulls_preference_token1,
  [454688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19476), 1,
      aux_sym__nulls_preference_token1,
  [454695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19478), 1,
      aux_sym__nulls_preference_token1,
  [454702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19480), 1,
      aux_sym__nulls_preference_token1,
  [454709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19482), 1,
      aux_sym__nulls_preference_token1,
  [454716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19484), 1,
      aux_sym__nulls_preference_token1,
  [454723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19486), 1,
      anon_sym_RPAREN,
  [454730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19488), 1,
      anon_sym_RPAREN,
  [454737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9701), 1,
      anon_sym_RPAREN,
  [454744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19490), 1,
      aux_sym__nulls_preference_token1,
  [454751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19492), 1,
      anon_sym_EQ,
  [454758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19494), 1,
      aux_sym_loop_statement_token1,
  [454765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9705), 1,
      anon_sym_RPAREN,
  [454772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19496), 1,
      aux_sym__nulls_preference_token1,
  [454779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19498), 1,
      aux_sym__nulls_preference_token1,
  [454786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19500), 1,
      aux_sym__nulls_preference_token1,
  [454793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19502), 1,
      aux_sym__nulls_preference_token1,
  [454800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19504), 1,
      aux_sym__nulls_preference_token1,
  [454807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19506), 1,
      aux_sym__nulls_preference_token1,
  [454814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9711), 1,
      anon_sym_RPAREN,
  [454821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12191), 1,
      anon_sym_RPAREN,
  [454828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19508), 1,
      aux_sym__nulls_preference_token1,
  [454835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19510), 1,
      aux_sym__keyword_when_token1,
  [454842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19512), 1,
      aux_sym__nulls_preference_token1,
  [454849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19514), 1,
      aux_sym__nulls_preference_token1,
  [454856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19516), 1,
      aux_sym__nulls_preference_token1,
  [454863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19518), 1,
      aux_sym__nulls_preference_token1,
  [454870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19520), 1,
      aux_sym__nulls_preference_token1,
  [454877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19522), 1,
      aux_sym__nulls_preference_token1,
  [454884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19524), 1,
      aux_sym__keyword_from_token1,
  [454891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      anon_sym_RPAREN,
  [454898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19526), 1,
      aux_sym__nulls_preference_token1,
  [454905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9719), 1,
      anon_sym_RPAREN,
  [454912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19528), 1,
      aux_sym__nulls_preference_token1,
  [454919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19530), 1,
      aux_sym__nulls_preference_token1,
  [454926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19532), 1,
      aux_sym__nulls_preference_token1,
  [454933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19534), 1,
      aux_sym__nulls_preference_token1,
  [454940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19536), 1,
      aux_sym__nulls_preference_token1,
  [454947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19538), 1,
      aux_sym__nulls_preference_token1,
  [454954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9721), 1,
      anon_sym_RPAREN,
  [454961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19540), 1,
      sym__unquoted_identifier,
  [454968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19542), 1,
      aux_sym__nulls_preference_token1,
  [454975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19544), 1,
      aux_sym__keyword_from_token1,
  [454982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19546), 1,
      aux_sym__nulls_preference_token1,
  [454989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19548), 1,
      aux_sym__nulls_preference_token1,
  [454996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19550), 1,
      aux_sym__nulls_preference_token1,
  [455003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19552), 1,
      aux_sym__nulls_preference_token1,
  [455010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19554), 1,
      aux_sym__nulls_preference_token1,
  [455017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19556), 1,
      aux_sym__nulls_preference_token1,
  [455024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9723), 1,
      anon_sym_RPAREN,
  [455031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19558), 1,
      anon_sym_SQUOTE,
  [455038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19560), 1,
      aux_sym__nulls_preference_token1,
  [455045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19558), 1,
      anon_sym_DQUOTE,
  [455052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19562), 1,
      aux_sym__nulls_preference_token1,
  [455059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19564), 1,
      aux_sym__nulls_preference_token1,
  [455066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19566), 1,
      aux_sym__nulls_preference_token1,
  [455073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19568), 1,
      aux_sym__nulls_preference_token1,
  [455080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19570), 1,
      aux_sym__nulls_preference_token1,
  [455087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19572), 1,
      aux_sym__nulls_preference_token1,
  [455094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19574), 1,
      aux_sym_limit_clause_token2,
  [455101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19576), 1,
      aux_sym_argument_reference_token1,
  [455108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19578), 1,
      aux_sym__nulls_preference_token1,
  [455115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19580), 1,
      anon_sym_RPAREN,
  [455122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19582), 1,
      aux_sym__nulls_preference_token1,
  [455129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19584), 1,
      aux_sym__nulls_preference_token1,
  [455136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19586), 1,
      aux_sym__nulls_preference_token1,
  [455143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19588), 1,
      aux_sym__nulls_preference_token1,
  [455150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19590), 1,
      aux_sym__nulls_preference_token1,
  [455157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19592), 1,
      aux_sym__nulls_preference_token1,
  [455164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19594), 1,
      anon_sym_RPAREN,
  [455171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19596), 1,
      anon_sym_RPAREN,
  [455178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19598), 1,
      anon_sym_RPAREN,
  [455185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19600), 1,
      sym__unquoted_identifier,
  [455192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19602), 1,
      anon_sym_RPAREN,
  [455199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19604), 1,
      anon_sym_RPAREN,
  [455206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19606), 1,
      anon_sym_RPAREN,
  [455213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19608), 1,
      anon_sym_RPAREN,
  [455220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19610), 1,
      anon_sym_RPAREN,
  [455227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19612), 1,
      anon_sym_RPAREN,
  [455234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19614), 1,
      anon_sym_RPAREN,
  [455241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19616), 1,
      aux_sym__keyword_distinct_token1,
  [455248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19618), 1,
      aux_sym__keyword_distinct_token1,
  [455255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19620), 1,
      anon_sym_RPAREN,
  [455262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19622), 1,
      aux_sym__keyword_partition_by_token2,
  [455269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19624), 1,
      sym__integer,
  [455276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19626), 1,
      anon_sym_RPAREN,
  [455283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19628), 1,
      anon_sym_RPAREN,
  [455290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19630), 1,
      anon_sym_RPAREN,
  [455297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19632), 1,
      anon_sym_RPAREN,
  [455304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19634), 1,
      anon_sym_RPAREN,
  [455311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19636), 1,
      anon_sym_RPAREN,
  [455318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19638), 1,
      anon_sym_RPAREN,
  [455325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19640), 1,
      anon_sym_RPAREN,
  [455332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19642), 1,
      anon_sym_RPAREN,
  [455339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19644), 1,
      anon_sym_RPAREN,
  [455346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19646), 1,
      anon_sym_RPAREN,
  [455353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19648), 1,
      aux_sym_create_table_statement_token1,
  [455360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19650), 1,
      anon_sym_RPAREN,
  [455367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19652), 1,
      anon_sym_RPAREN,
  [455374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19654), 1,
      anon_sym_LPAREN,
  [455381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19656), 1,
      anon_sym_RPAREN,
  [455388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19658), 1,
      anon_sym_LPAREN,
  [455395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19660), 1,
      aux_sym_create_table_statement_token1,
  [455402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19662), 1,
      anon_sym_RPAREN,
  [455409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19664), 1,
      anon_sym_RPAREN,
  [455416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19666), 1,
      aux_sym_raise_statement_token2,
  [455423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19668), 1,
      anon_sym_RPAREN,
  [455430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19670), 1,
      anon_sym_RPAREN,
  [455437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19672), 1,
      anon_sym_RPAREN,
  [455444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19674), 1,
      anon_sym_RPAREN,
  [455451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19676), 1,
      anon_sym_RPAREN,
  [455458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19678), 1,
      anon_sym_RPAREN,
  [455465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19680), 1,
      anon_sym_RPAREN,
  [455472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19682), 1,
      aux_sym_limit_clause_token2,
  [455479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19684), 1,
      anon_sym_RPAREN,
  [455486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19686), 1,
      anon_sym_RPAREN,
  [455493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      anon_sym_RPAREN,
  [455500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19688), 1,
      anon_sym_RPAREN,
  [455507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10868), 1,
      anon_sym_RPAREN,
  [455514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19690), 1,
      sym__string_end,
  [455521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19692), 1,
      anon_sym_RPAREN,
  [455528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12025), 1,
      anon_sym_RPAREN,
  [455535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19694), 1,
      anon_sym_RPAREN,
  [455542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19696), 1,
      anon_sym_RPAREN,
  [455549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19698), 1,
      anon_sym_RPAREN,
  [455556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19700), 1,
      anon_sym_RPAREN,
  [455563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19702), 1,
      anon_sym_RPAREN,
  [455570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19704), 1,
      anon_sym_RPAREN,
  [455577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19706), 1,
      anon_sym_RPAREN,
  [455584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19708), 1,
      aux_sym_create_table_statement_token1,
  [455591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19710), 1,
      aux_sym__nulls_preference_token1,
  [455598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19712), 1,
      anon_sym_RPAREN,
  [455605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19714), 1,
      anon_sym_RPAREN,
  [455612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19716), 1,
      anon_sym_RPAREN,
  [455619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      anon_sym_RPAREN,
  [455626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19718), 1,
      anon_sym_RPAREN,
  [455633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19720), 1,
      anon_sym_RPAREN,
  [455640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19722), 1,
      anon_sym_RPAREN,
  [455647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19724), 1,
      anon_sym_RPAREN,
  [455654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12097), 1,
      anon_sym_RPAREN,
  [455661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_RPAREN,
  [455668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19726), 1,
      aux_sym__nulls_preference_token1,
  [455675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19728), 1,
      aux_sym__nulls_preference_token1,
  [455682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19730), 1,
      anon_sym_RPAREN,
  [455689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9812), 1,
      anon_sym_RPAREN,
  [455696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19732), 1,
      anon_sym_RPAREN,
  [455703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19734), 1,
      anon_sym_RPAREN,
  [455710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19736), 1,
      anon_sym_RPAREN,
  [455717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19738), 1,
      anon_sym_RPAREN,
  [455724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19740), 1,
      anon_sym_RPAREN,
  [455731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19742), 1,
      anon_sym_RPAREN,
  [455738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19744), 1,
      aux_sym__nulls_preference_token1,
  [455745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19746), 1,
      aux_sym__nulls_preference_token1,
  [455752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19748), 1,
      aux_sym__nulls_preference_token1,
  [455759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19750), 1,
      anon_sym_RPAREN,
  [455766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19752), 1,
      anon_sym_RPAREN,
  [455773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19754), 1,
      aux_sym_create_table_statement_token2,
  [455780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19756), 1,
      anon_sym_RPAREN,
  [455787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12071), 1,
      anon_sym_RPAREN,
  [455794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19758), 1,
      anon_sym_RPAREN,
  [455801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9889), 1,
      anon_sym_RPAREN,
  [455808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12063), 1,
      anon_sym_RPAREN,
  [455815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13698), 1,
      anon_sym_RPAREN,
  [455822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9271), 1,
      anon_sym_RPAREN,
  [455829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19760), 1,
      anon_sym_COMMA,
  [455836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19762), 1,
      aux_sym__nulls_preference_token1,
  [455843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19764), 1,
      anon_sym_RPAREN,
  [455850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19766), 1,
      anon_sym_LPAREN,
  [455857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19768), 1,
      anon_sym_LPAREN,
  [455864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19770), 1,
      anon_sym_RPAREN,
  [455871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19772), 1,
      anon_sym_RPAREN,
  [455878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19774), 1,
      anon_sym_LBRACK,
  [455885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9935), 1,
      anon_sym_RPAREN,
  [455892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19776), 1,
      aux_sym_create_table_statement_token1,
  [455899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19778), 1,
      aux_sym_create_table_statement_token1,
  [455906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19780), 1,
      aux_sym_create_table_statement_token2,
  [455913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9939), 1,
      anon_sym_RPAREN,
  [455920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9949), 1,
      anon_sym_RPAREN,
  [455927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19782), 1,
      aux_sym_drop_notnull_token1,
  [455934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19784), 1,
      sym__unquoted_identifier,
  [455941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19786), 1,
      aux_sym__keyword_from_token1,
  [455948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19788), 1,
      aux_sym_keyword_replace_token2,
  [455955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      anon_sym_RPAREN,
  [455962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
  [455969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19790), 1,
      aux_sym_create_table_statement_token2,
  [455976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9967), 1,
      anon_sym_RPAREN,
  [455983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19792), 1,
      aux_sym_drop_notnull_token1,
  [455990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19794), 1,
      aux_sym_drop_notnull_token1,
  [455997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19796), 1,
      aux_sym_drop_notnull_token1,
  [456004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19798), 1,
      aux_sym_argument_reference_token1,
  [456011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19800), 1,
      aux_sym__keyword_from_token1,
  [456018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_RPAREN,
  [456025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19802), 1,
      anon_sym_SQUOTE,
  [456032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19804), 1,
      aux_sym_drop_notnull_token1,
  [456039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19802), 1,
      anon_sym_DQUOTE,
  [456046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19806), 1,
      aux_sym_drop_notnull_token1,
  [456053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19808), 1,
      aux_sym_drop_notnull_token1,
  [456060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19810), 1,
      aux_sym_limit_clause_token2,
  [456067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19812), 1,
      anon_sym_RPAREN,
  [456074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19814), 1,
      aux_sym_set_statement_token1,
  [456081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19816), 1,
      aux_sym_drop_notnull_token1,
  [456088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19818), 1,
      aux_sym_drop_notnull_token1,
  [456095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19820), 1,
      anon_sym_RPAREN,
  [456102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19822), 1,
      anon_sym_RPAREN,
  [456109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19824), 1,
      aux_sym_drop_notnull_token1,
  [456116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19826), 1,
      aux_sym_drop_notnull_token1,
  [456123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19828), 1,
      anon_sym_RPAREN,
  [456130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19830), 1,
      aux_sym_grant_statement_token2,
  [456137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19832), 1,
      aux_sym_drop_notnull_token1,
  [456144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19834), 1,
      anon_sym_RPAREN,
  [456151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19836), 1,
      aux_sym_grant_statement_token2,
  [456158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19838), 1,
      anon_sym_RPAREN,
  [456165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19840), 1,
      anon_sym_RPAREN,
  [456172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19842), 1,
      anon_sym_RPAREN,
  [456179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19844), 1,
      anon_sym_RPAREN,
  [456186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19846), 1,
      anon_sym_RPAREN,
  [456193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19848), 1,
      anon_sym_RPAREN,
  [456200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19850), 1,
      anon_sym_RPAREN,
  [456207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19852), 1,
      anon_sym_RPAREN,
  [456214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19854), 1,
      anon_sym_RPAREN,
  [456221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19856), 1,
      anon_sym_RPAREN,
  [456228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19858), 1,
      anon_sym_RPAREN,
  [456235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19860), 1,
      anon_sym_RPAREN,
  [456242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19862), 1,
      anon_sym_RPAREN,
  [456249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19864), 1,
      anon_sym_RPAREN,
  [456256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19866), 1,
      anon_sym_RPAREN,
  [456263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19868), 1,
      anon_sym_RPAREN,
  [456270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19870), 1,
      anon_sym_RPAREN,
  [456277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19872), 1,
      anon_sym_RPAREN,
  [456284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19874), 1,
      anon_sym_RPAREN,
  [456291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19876), 1,
      anon_sym_RPAREN,
  [456298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19878), 1,
      anon_sym_RPAREN,
  [456305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19880), 1,
      anon_sym_RPAREN,
  [456312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19882), 1,
      anon_sym_LPAREN,
  [456319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19884), 1,
      anon_sym_RPAREN,
  [456326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19886), 1,
      anon_sym_LPAREN,
  [456333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19888), 1,
      anon_sym_RPAREN,
  [456340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19890), 1,
      anon_sym_RPAREN,
  [456347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19892), 1,
      anon_sym_RPAREN,
  [456354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19894), 1,
      anon_sym_RPAREN,
  [456361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19896), 1,
      anon_sym_RPAREN,
  [456368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19898), 1,
      anon_sym_RPAREN,
  [456375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19900), 1,
      anon_sym_RPAREN,
  [456382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19902), 1,
      anon_sym_COMMA,
  [456389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19904), 1,
      anon_sym_LPAREN,
  [456396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19906), 1,
      anon_sym_LPAREN,
  [456403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19908), 1,
      anon_sym_RPAREN,
  [456410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19910), 1,
      anon_sym_RPAREN,
  [456417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19912), 1,
      aux_sym_raise_statement_token2,
  [456424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19914), 1,
      anon_sym_LPAREN,
  [456431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14003), 1,
      anon_sym_RPAREN,
  [456438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19916), 1,
      anon_sym_RPAREN,
  [456445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10733), 1,
      anon_sym_RPAREN,
  [456452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19918), 1,
      sym__string_end,
  [456459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19920), 1,
      anon_sym_RPAREN,
  [456466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19922), 1,
      anon_sym_RPAREN,
  [456473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19924), 1,
      anon_sym_RPAREN,
  [456480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19926), 1,
      anon_sym_RPAREN,
  [456487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19928), 1,
      anon_sym_RPAREN,
  [456494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19930), 1,
      anon_sym_RPAREN,
  [456501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19932), 1,
      anon_sym_LPAREN,
  [456508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19934), 1,
      anon_sym_RPAREN,
  [456515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19936), 1,
      anon_sym_LPAREN,
  [456522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19938), 1,
      anon_sym_RPAREN,
  [456529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19940), 1,
      anon_sym_RPAREN,
  [456536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19942), 1,
      anon_sym_RPAREN,
  [456543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19944), 1,
      anon_sym_RPAREN,
  [456550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19946), 1,
      anon_sym_RPAREN,
  [456557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19948), 1,
      anon_sym_COMMA,
  [456564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19950), 1,
      anon_sym_LPAREN,
  [456571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19952), 1,
      anon_sym_LPAREN,
  [456578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14094), 1,
      anon_sym_RPAREN,
  [456585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19954), 1,
      anon_sym_RPAREN,
  [456592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19956), 1,
      aux_sym_set_statement_token2,
  [456599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19958), 1,
      anon_sym_RPAREN,
  [456606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19960), 1,
      anon_sym_RPAREN,
  [456613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19962), 1,
      anon_sym_RPAREN,
  [456620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19964), 1,
      anon_sym_LPAREN,
  [456627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11871), 1,
      anon_sym_RPAREN,
  [456634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19966), 1,
      anon_sym_LPAREN,
  [456641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14124), 1,
      anon_sym_RPAREN,
  [456648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19968), 1,
      anon_sym_RPAREN,
  [456655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
  [456662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19970), 1,
      anon_sym_COMMA,
  [456669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19972), 1,
      anon_sym_LPAREN,
  [456676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19974), 1,
      anon_sym_RPAREN,
  [456683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19976), 1,
      anon_sym_LPAREN,
  [456690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19978), 1,
      anon_sym_RPAREN,
  [456697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19980), 1,
      anon_sym_RPAREN,
  [456704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19982), 1,
      anon_sym_RPAREN,
  [456711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19984), 1,
      anon_sym_COMMA,
  [456718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19986), 1,
      anon_sym_LPAREN,
  [456725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19988), 1,
      anon_sym_RPAREN,
  [456732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19990), 1,
      anon_sym_LPAREN,
  [456739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19992), 1,
      anon_sym_RPAREN,
  [456746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19994), 1,
      anon_sym_RPAREN,
  [456753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19996), 1,
      anon_sym_RPAREN,
  [456760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19998), 1,
      anon_sym_COMMA,
  [456767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20000), 1,
      anon_sym_LPAREN,
  [456774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20002), 1,
      anon_sym_RPAREN,
  [456781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20004), 1,
      anon_sym_LPAREN,
  [456788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11813), 1,
      anon_sym_RPAREN,
  [456795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20006), 1,
      anon_sym_RPAREN,
  [456802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20008), 1,
      anon_sym_LPAREN,
  [456809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20010), 1,
      anon_sym_COMMA,
  [456816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20012), 1,
      anon_sym_LPAREN,
  [456823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
  [456830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20014), 1,
      anon_sym_LPAREN,
  [456837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11791), 1,
      anon_sym_RPAREN,
  [456844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14312), 1,
      anon_sym_RPAREN,
  [456851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20016), 1,
      anon_sym_LPAREN,
  [456858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20018), 1,
      anon_sym_COMMA,
  [456865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20020), 1,
      anon_sym_LPAREN,
  [456872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9275), 1,
      anon_sym_RPAREN,
  [456879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20022), 1,
      anon_sym_LPAREN,
  [456886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
  [456893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20024), 1,
      anon_sym_RPAREN,
  [456900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20026), 1,
      anon_sym_RPAREN,
  [456907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20028), 1,
      anon_sym_COMMA,
  [456914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20030), 1,
      anon_sym_LPAREN,
  [456921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10284), 1,
      anon_sym_RPAREN,
  [456928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20032), 1,
      anon_sym_LPAREN,
  [456935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20034), 1,
      aux_sym_argument_reference_token1,
  [456942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10296), 1,
      anon_sym_RPAREN,
  [456949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20036), 1,
      aux_sym_argument_reference_token1,
  [456956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20038), 1,
      anon_sym_COMMA,
  [456963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20040), 1,
      anon_sym_LPAREN,
  [456970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11757), 1,
      anon_sym_RPAREN,
  [456977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20042), 1,
      anon_sym_LPAREN,
  [456984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20044), 1,
      aux_sym__keyword_from_token1,
  [456991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
  [456998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
  [457005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20046), 1,
      anon_sym_COMMA,
  [457012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20048), 1,
      anon_sym_LPAREN,
  [457019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
  [457026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20050), 1,
      anon_sym_LPAREN,
  [457033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20052), 1,
      sym__unquoted_identifier,
  [457040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20054), 1,
      anon_sym_EQ,
  [457047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20056), 1,
      aux_sym__keyword_from_token1,
  [457054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20058), 1,
      anon_sym_COMMA,
  [457061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20060), 1,
      anon_sym_LPAREN,
  [457068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
  [457075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20062), 1,
      anon_sym_LPAREN,
  [457082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20064), 1,
      anon_sym_SQUOTE,
  [457089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20064), 1,
      anon_sym_DQUOTE,
  [457096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20066), 1,
      anon_sym_LPAREN,
  [457103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20068), 1,
      anon_sym_COMMA,
  [457110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20070), 1,
      anon_sym_LPAREN,
  [457117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20072), 1,
      aux_sym_limit_clause_token2,
  [457124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20074), 1,
      anon_sym_LPAREN,
  [457131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20076), 1,
      anon_sym_RPAREN,
  [457138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20078), 1,
      anon_sym_RPAREN,
  [457145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20080), 1,
      anon_sym_LPAREN,
  [457152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20082), 1,
      anon_sym_COMMA,
  [457159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20084), 1,
      anon_sym_LPAREN,
  [457166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20086), 1,
      anon_sym_RPAREN,
  [457173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20088), 1,
      anon_sym_LPAREN,
  [457180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20090), 1,
      anon_sym_RPAREN,
  [457187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20092), 1,
      anon_sym_RPAREN,
  [457194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20094), 1,
      anon_sym_RPAREN,
  [457201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20096), 1,
      anon_sym_COMMA,
  [457208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20098), 1,
      anon_sym_LPAREN,
  [457215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20100), 1,
      anon_sym_RPAREN,
  [457222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20102), 1,
      anon_sym_LPAREN,
  [457229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20104), 1,
      anon_sym_RPAREN,
  [457236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20106), 1,
      anon_sym_RPAREN,
  [457243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20108), 1,
      anon_sym_RPAREN,
  [457250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20110), 1,
      anon_sym_COMMA,
  [457257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20112), 1,
      anon_sym_LPAREN,
  [457264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20114), 1,
      anon_sym_RPAREN,
  [457271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20116), 1,
      anon_sym_LPAREN,
  [457278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20118), 1,
      anon_sym_RPAREN,
  [457285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20120), 1,
      anon_sym_RPAREN,
  [457292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20122), 1,
      anon_sym_RPAREN,
  [457299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20124), 1,
      anon_sym_COMMA,
  [457306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20126), 1,
      anon_sym_LPAREN,
  [457313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20128), 1,
      anon_sym_RPAREN,
  [457320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20130), 1,
      anon_sym_LPAREN,
  [457327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20132), 1,
      anon_sym_RPAREN,
  [457334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20134), 1,
      anon_sym_LPAREN,
  [457341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20136), 1,
      anon_sym_RPAREN,
  [457348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20138), 1,
      anon_sym_LPAREN,
  [457355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20140), 1,
      anon_sym_LPAREN,
  [457362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20142), 1,
      anon_sym_LPAREN,
  [457369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20144), 1,
      anon_sym_LPAREN,
  [457376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20146), 1,
      anon_sym_LPAREN,
  [457383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20148), 1,
      anon_sym_RPAREN,
  [457390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20150), 1,
      anon_sym_RPAREN,
  [457397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20152), 1,
      anon_sym_RPAREN,
  [457404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20154), 1,
      anon_sym_RPAREN,
  [457411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20156), 1,
      aux_sym_set_data_type_token1,
  [457418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20158), 1,
      anon_sym_RPAREN,
  [457425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20160), 1,
      aux_sym_create_table_statement_token2,
  [457432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20162), 1,
      aux_sym_create_table_statement_token1,
  [457439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20164), 1,
      anon_sym_RPAREN,
  [457446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20166), 1,
      anon_sym_RPAREN,
  [457453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20168), 1,
      anon_sym_RPAREN,
  [457460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20170), 1,
      sym__unquoted_identifier,
  [457467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20172), 1,
      anon_sym_RPAREN,
  [457474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20174), 1,
      anon_sym_RPAREN,
  [457481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20176), 1,
      aux_sym_create_table_statement_token2,
  [457488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20178), 1,
      anon_sym_RPAREN,
  [457495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20180), 1,
      anon_sym_RPAREN,
  [457502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20182), 1,
      anon_sym_RPAREN,
  [457509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20184), 1,
      aux_sym_create_table_statement_token2,
  [457516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20186), 1,
      anon_sym_RPAREN,
  [457523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20188), 1,
      anon_sym_RPAREN,
  [457530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20190), 1,
      anon_sym_RPAREN,
  [457537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20192), 1,
      anon_sym_RPAREN,
  [457544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20194), 1,
      anon_sym_RPAREN,
  [457551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20196), 1,
      anon_sym_RPAREN,
  [457558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20198), 1,
      anon_sym_RPAREN,
  [457565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14179), 1,
      anon_sym_RPAREN,
  [457572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20200), 1,
      anon_sym_RPAREN,
  [457579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20202), 1,
      aux_sym__nulls_preference_token1,
  [457586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20204), 1,
      aux_sym__nulls_preference_token1,
  [457593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10698), 1,
      anon_sym_RPAREN,
  [457600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20206), 1,
      sym__string_end,
  [457607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20208), 1,
      anon_sym_RPAREN,
  [457614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_RPAREN,
  [457621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20210), 1,
      anon_sym_RPAREN,
  [457628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20212), 1,
      anon_sym_RPAREN,
  [457635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20214), 1,
      aux_sym_join_condition_token1,
  [457642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20216), 1,
      aux_sym_join_condition_token1,
  [457649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20218), 1,
      anon_sym_RPAREN,
  [457656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20220), 1,
      anon_sym_RPAREN,
  [457663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20222), 1,
      anon_sym_RPAREN,
  [457670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20224), 1,
      anon_sym_RPAREN,
  [457677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20226), 1,
      aux_sym_join_condition_token1,
  [457684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20228), 1,
      aux_sym_join_condition_token1,
  [457691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20230), 1,
      anon_sym_RPAREN,
  [457698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20232), 1,
      anon_sym_RPAREN,
  [457705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20234), 1,
      aux_sym_join_condition_token1,
  [457712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20236), 1,
      aux_sym_join_condition_token1,
  [457719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20238), 1,
      aux_sym_primary_key_token2,
  [457726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20240), 1,
      aux_sym_join_condition_token1,
  [457733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20242), 1,
      aux_sym_join_condition_token1,
  [457740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20244), 1,
      aux_sym_merge_matched_clause_token1,
  [457747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20246), 1,
      aux_sym_primary_key_token2,
  [457754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20248), 1,
      anon_sym_LPAREN,
  [457761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20250), 1,
      anon_sym_LPAREN,
  [457768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20252), 1,
      anon_sym_RPAREN,
  [457775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20254), 1,
      anon_sym_RPAREN,
  [457782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20256), 1,
      sym__unquoted_identifier,
  [457789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11223), 1,
      anon_sym_RPAREN,
  [457796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20258), 1,
      aux_sym__nulls_preference_token1,
  [457803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20260), 1,
      aux_sym__nulls_preference_token1,
  [457810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20262), 1,
      aux_sym_primary_key_token2,
  [457817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20264), 1,
      aux_sym_primary_key_token2,
  [457824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20266), 1,
      anon_sym_LPAREN,
  [457831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20268), 1,
      anon_sym_LPAREN,
  [457838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20270), 1,
      sym__unquoted_identifier,
  [457845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20272), 1,
      anon_sym_RPAREN,
  [457852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20274), 1,
      aux_sym__nulls_preference_token1,
  [457859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20276), 1,
      aux_sym__nulls_preference_token1,
  [457866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20278), 1,
      aux_sym_primary_key_token2,
  [457873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20280), 1,
      aux_sym_primary_key_token2,
  [457880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20282), 1,
      anon_sym_LPAREN,
  [457887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20284), 1,
      anon_sym_LPAREN,
  [457894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20286), 1,
      sym__unquoted_identifier,
  [457901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20288), 1,
      ts_builtin_sym_end,
  [457908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20290), 1,
      sym__unquoted_identifier,
  [457915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20292), 1,
      aux_sym_set_data_type_token1,
  [457922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20294), 1,
      sym__unquoted_identifier,
  [457929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20296), 1,
      aux_sym_set_data_type_token1,
  [457936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20298), 1,
      sym__unquoted_identifier,
  [457943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20300), 1,
      anon_sym_RPAREN,
  [457950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20302), 1,
      sym__unquoted_identifier,
  [457957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20304), 1,
      anon_sym_RPAREN,
  [457964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20306), 1,
      sym__unquoted_identifier,
  [457971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20308), 1,
      anon_sym_RPAREN,
  [457978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20310), 1,
      sym__unquoted_identifier,
  [457985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11247), 1,
      anon_sym_RPAREN,
  [457992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20312), 1,
      sym__unquoted_identifier,
  [457999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20314), 1,
      aux_sym_create_table_statement_token1,
  [458006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20316), 1,
      sym__unquoted_identifier,
  [458013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      anon_sym_RPAREN,
  [458020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20318), 1,
      sym__unquoted_identifier,
  [458027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20320), 1,
      anon_sym_RPAREN,
  [458034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20322), 1,
      sym__unquoted_identifier,
  [458041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
  [458048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20324), 1,
      sym__unquoted_identifier,
  [458055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20326), 1,
      anon_sym_RPAREN,
  [458062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20328), 1,
      sym__unquoted_identifier,
  [458069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20330), 1,
      aux_sym_execute_immediate_statement_token2,
  [458076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20332), 1,
      sym__unquoted_identifier,
  [458083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20334), 1,
      anon_sym_RPAREN,
  [458090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20336), 1,
      sym__unquoted_identifier,
  [458097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20338), 1,
      sym__unquoted_identifier,
  [458104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20340), 1,
      sym__unquoted_identifier,
  [458111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20342), 1,
      anon_sym_LPAREN,
  [458118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20344), 1,
      anon_sym_LPAREN,
  [458125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20346), 1,
      anon_sym_RPAREN,
  [458132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20348), 1,
      anon_sym_RPAREN,
  [458139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20350), 1,
      anon_sym_RPAREN,
  [458146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20352), 1,
      anon_sym_RPAREN,
  [458153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20354), 1,
      anon_sym_RPAREN,
  [458160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20356), 1,
      anon_sym_RPAREN,
  [458167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20358), 1,
      anon_sym_RPAREN,
  [458174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20360), 1,
      aux_sym__keyword_from_token1,
  [458181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20362), 1,
      anon_sym_RPAREN,
  [458188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10003), 1,
      anon_sym_RPAREN,
  [458195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11213), 1,
      anon_sym_RPAREN,
  [458202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20364), 1,
      aux_sym__keyword_in_token1,
  [458209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20366), 1,
      aux_sym__keyword_in_token1,
  [458216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20368), 1,
      anon_sym_LPAREN,
  [458223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20370), 1,
      anon_sym_LPAREN,
  [458230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20372), 1,
      aux_sym__keyword_in_token1,
  [458237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20374), 1,
      aux_sym__keyword_in_token1,
  [458244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20376), 1,
      anon_sym_LPAREN,
  [458251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20378), 1,
      anon_sym_LPAREN,
  [458258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20380), 1,
      aux_sym__keyword_in_token1,
  [458265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20382), 1,
      aux_sym__keyword_in_token1,
  [458272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20384), 1,
      anon_sym_LPAREN,
  [458279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20386), 1,
      anon_sym_LPAREN,
  [458286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20388), 1,
      anon_sym_LPAREN,
  [458293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20390), 1,
      anon_sym_LPAREN,
  [458300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20392), 1,
      anon_sym_LPAREN,
  [458307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20394), 1,
      anon_sym_LPAREN,
  [458314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20396), 1,
      anon_sym_LPAREN,
  [458321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20398), 1,
      anon_sym_LPAREN,
  [458328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20400), 1,
      anon_sym_LPAREN,
  [458335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20402), 1,
      anon_sym_LPAREN,
  [458342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20404), 1,
      anon_sym_LPAREN,
  [458349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20406), 1,
      anon_sym_LPAREN,
  [458356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20408), 1,
      anon_sym_LPAREN,
  [458363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20410), 1,
      anon_sym_LPAREN,
  [458370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20412), 1,
      anon_sym_LPAREN,
  [458377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20414), 1,
      anon_sym_LPAREN,
  [458384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20416), 1,
      anon_sym_LPAREN,
  [458391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20418), 1,
      anon_sym_LPAREN,
  [458398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20420), 1,
      anon_sym_LPAREN,
  [458405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20422), 1,
      anon_sym_LPAREN,
  [458412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20424), 1,
      anon_sym_LPAREN,
  [458419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20426), 1,
      anon_sym_LPAREN,
  [458426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20428), 1,
      anon_sym_LPAREN,
  [458433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20430), 1,
      anon_sym_LPAREN,
  [458440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20432), 1,
      anon_sym_LPAREN,
  [458447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20434), 1,
      anon_sym_LPAREN,
  [458454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20436), 1,
      anon_sym_LPAREN,
  [458461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20438), 1,
      anon_sym_LPAREN,
  [458468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20440), 1,
      anon_sym_LPAREN,
  [458475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20442), 1,
      anon_sym_LPAREN,
  [458482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20444), 1,
      anon_sym_LPAREN,
  [458489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      anon_sym_RPAREN,
  [458496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20446), 1,
      aux_sym_using_clause_token1,
  [458503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9307), 1,
      anon_sym_RPAREN,
  [458510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20448), 1,
      anon_sym_RPAREN,
  [458517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20450), 1,
      aux_sym_using_clause_token1,
  [458524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20452), 1,
      anon_sym_RPAREN,
  [458531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20454), 1,
      anon_sym_RPAREN,
  [458538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9775), 1,
      anon_sym_RPAREN,
  [458545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9767), 1,
      anon_sym_RPAREN,
  [458552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_RPAREN,
  [458559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11145), 1,
      anon_sym_RPAREN,
  [458566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20456), 1,
      anon_sym_RPAREN,
  [458573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20458), 1,
      aux_sym_argument_reference_token1,
  [458580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9733), 1,
      anon_sym_RPAREN,
  [458587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
  [458594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9729), 1,
      anon_sym_RPAREN,
  [458601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20460), 1,
      sym__unquoted_identifier,
  [458608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20462), 1,
      aux_sym__keyword_partition_by_token2,
  [458615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20464), 1,
      anon_sym_EQ,
  [458622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15270), 1,
      anon_sym_LPAREN,
  [458629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20466), 1,
      aux_sym__keyword_from_token1,
  [458636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9637), 1,
      anon_sym_RPAREN,
  [458643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20468), 1,
      anon_sym_SQUOTE,
  [458650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20468), 1,
      anon_sym_DQUOTE,
  [458657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20470), 1,
      anon_sym_GT,
  [458664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20472), 1,
      aux_sym_limit_clause_token2,
  [458671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20474), 1,
      aux_sym__keyword_partition_by_token2,
  [458678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20476), 1,
      anon_sym_LPAREN,
  [458685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20478), 1,
      anon_sym_LPAREN,
  [458692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(20480), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(5257)] = 0,
  [SMALL_STATE(5258)] = 75,
  [SMALL_STATE(5259)] = 146,
  [SMALL_STATE(5260)] = 217,
  [SMALL_STATE(5261)] = 288,
  [SMALL_STATE(5262)] = 359,
  [SMALL_STATE(5263)] = 430,
  [SMALL_STATE(5264)] = 501,
  [SMALL_STATE(5265)] = 580,
  [SMALL_STATE(5266)] = 655,
  [SMALL_STATE(5267)] = 726,
  [SMALL_STATE(5268)] = 801,
  [SMALL_STATE(5269)] = 872,
  [SMALL_STATE(5270)] = 943,
  [SMALL_STATE(5271)] = 1036,
  [SMALL_STATE(5272)] = 1107,
  [SMALL_STATE(5273)] = 1186,
  [SMALL_STATE(5274)] = 1258,
  [SMALL_STATE(5275)] = 1330,
  [SMALL_STATE(5276)] = 1400,
  [SMALL_STATE(5277)] = 1470,
  [SMALL_STATE(5278)] = 1564,
  [SMALL_STATE(5279)] = 1633,
  [SMALL_STATE(5280)] = 1706,
  [SMALL_STATE(5281)] = 1775,
  [SMALL_STATE(5282)] = 1868,
  [SMALL_STATE(5283)] = 1955,
  [SMALL_STATE(5284)] = 2028,
  [SMALL_STATE(5285)] = 2128,
  [SMALL_STATE(5286)] = 2194,
  [SMALL_STATE(5287)] = 2292,
  [SMALL_STATE(5288)] = 2402,
  [SMALL_STATE(5289)] = 2514,
  [SMALL_STATE(5290)] = 2608,
  [SMALL_STATE(5291)] = 2702,
  [SMALL_STATE(5292)] = 2794,
  [SMALL_STATE(5293)] = 2894,
  [SMALL_STATE(5294)] = 2982,
  [SMALL_STATE(5295)] = 3094,
  [SMALL_STATE(5296)] = 3178,
  [SMALL_STATE(5297)] = 3272,
  [SMALL_STATE(5298)] = 3372,
  [SMALL_STATE(5299)] = 3490,
  [SMALL_STATE(5300)] = 3574,
  [SMALL_STATE(5301)] = 3668,
  [SMALL_STATE(5302)] = 3762,
  [SMALL_STATE(5303)] = 3828,
  [SMALL_STATE(5304)] = 3924,
  [SMALL_STATE(5305)] = 4018,
  [SMALL_STATE(5306)] = 4118,
  [SMALL_STATE(5307)] = 4218,
  [SMALL_STATE(5308)] = 4318,
  [SMALL_STATE(5309)] = 4383,
  [SMALL_STATE(5310)] = 4473,
  [SMALL_STATE(5311)] = 4563,
  [SMALL_STATE(5312)] = 4627,
  [SMALL_STATE(5313)] = 4717,
  [SMALL_STATE(5314)] = 4819,
  [SMALL_STATE(5315)] = 4921,
  [SMALL_STATE(5316)] = 4993,
  [SMALL_STATE(5317)] = 5057,
  [SMALL_STATE(5318)] = 5159,
  [SMALL_STATE(5319)] = 5223,
  [SMALL_STATE(5320)] = 5287,
  [SMALL_STATE(5321)] = 5377,
  [SMALL_STATE(5322)] = 5474,
  [SMALL_STATE(5323)] = 5571,
  [SMALL_STATE(5324)] = 5710,
  [SMALL_STATE(5325)] = 5795,
  [SMALL_STATE(5326)] = 5934,
  [SMALL_STATE(5327)] = 6073,
  [SMALL_STATE(5328)] = 6212,
  [SMALL_STATE(5329)] = 6351,
  [SMALL_STATE(5330)] = 6490,
  [SMALL_STATE(5331)] = 6579,
  [SMALL_STATE(5332)] = 6718,
  [SMALL_STATE(5333)] = 6857,
  [SMALL_STATE(5334)] = 6996,
  [SMALL_STATE(5335)] = 7085,
  [SMALL_STATE(5336)] = 7224,
  [SMALL_STATE(5337)] = 7363,
  [SMALL_STATE(5338)] = 7448,
  [SMALL_STATE(5339)] = 7587,
  [SMALL_STATE(5340)] = 7654,
  [SMALL_STATE(5341)] = 7793,
  [SMALL_STATE(5342)] = 7874,
  [SMALL_STATE(5343)] = 8013,
  [SMALL_STATE(5344)] = 8152,
  [SMALL_STATE(5345)] = 8291,
  [SMALL_STATE(5346)] = 8428,
  [SMALL_STATE(5347)] = 8525,
  [SMALL_STATE(5348)] = 8610,
  [SMALL_STATE(5349)] = 8699,
  [SMALL_STATE(5350)] = 8790,
  [SMALL_STATE(5351)] = 8883,
  [SMALL_STATE(5352)] = 8978,
  [SMALL_STATE(5353)] = 9085,
  [SMALL_STATE(5354)] = 9194,
  [SMALL_STATE(5355)] = 9305,
  [SMALL_STATE(5356)] = 9386,
  [SMALL_STATE(5357)] = 9525,
  [SMALL_STATE(5358)] = 9622,
  [SMALL_STATE(5359)] = 9761,
  [SMALL_STATE(5360)] = 9900,
  [SMALL_STATE(5361)] = 9985,
  [SMALL_STATE(5362)] = 10070,
  [SMALL_STATE(5363)] = 10167,
  [SMALL_STATE(5364)] = 10306,
  [SMALL_STATE(5365)] = 10445,
  [SMALL_STATE(5366)] = 10542,
  [SMALL_STATE(5367)] = 10627,
  [SMALL_STATE(5368)] = 10715,
  [SMALL_STATE(5369)] = 10803,
  [SMALL_STATE(5370)] = 10891,
  [SMALL_STATE(5371)] = 10979,
  [SMALL_STATE(5372)] = 11041,
  [SMALL_STATE(5373)] = 11103,
  [SMALL_STATE(5374)] = 11191,
  [SMALL_STATE(5375)] = 11279,
  [SMALL_STATE(5376)] = 11340,
  [SMALL_STATE(5377)] = 11419,
  [SMALL_STATE(5378)] = 11552,
  [SMALL_STATE(5379)] = 11631,
  [SMALL_STATE(5380)] = 11710,
  [SMALL_STATE(5381)] = 11771,
  [SMALL_STATE(5382)] = 11832,
  [SMALL_STATE(5383)] = 11893,
  [SMALL_STATE(5384)] = 11972,
  [SMALL_STATE(5385)] = 12037,
  [SMALL_STATE(5386)] = 12116,
  [SMALL_STATE(5387)] = 12177,
  [SMALL_STATE(5388)] = 12238,
  [SMALL_STATE(5389)] = 12317,
  [SMALL_STATE(5390)] = 12378,
  [SMALL_STATE(5391)] = 12440,
  [SMALL_STATE(5392)] = 12530,
  [SMALL_STATE(5393)] = 12626,
  [SMALL_STATE(5394)] = 12690,
  [SMALL_STATE(5395)] = 12780,
  [SMALL_STATE(5396)] = 12870,
  [SMALL_STATE(5397)] = 12960,
  [SMALL_STATE(5398)] = 13020,
  [SMALL_STATE(5399)] = 13084,
  [SMALL_STATE(5400)] = 13144,
  [SMALL_STATE(5401)] = 13204,
  [SMALL_STATE(5402)] = 13264,
  [SMALL_STATE(5403)] = 13360,
  [SMALL_STATE(5404)] = 13450,
  [SMALL_STATE(5405)] = 13514,
  [SMALL_STATE(5406)] = 13604,
  [SMALL_STATE(5407)] = 13668,
  [SMALL_STATE(5408)] = 13732,
  [SMALL_STATE(5409)] = 13794,
  [SMALL_STATE(5410)] = 13856,
  [SMALL_STATE(5411)] = 13946,
  [SMALL_STATE(5412)] = 14036,
  [SMALL_STATE(5413)] = 14126,
  [SMALL_STATE(5414)] = 14186,
  [SMALL_STATE(5415)] = 14282,
  [SMALL_STATE(5416)] = 14346,
  [SMALL_STATE(5417)] = 14436,
  [SMALL_STATE(5418)] = 14496,
  [SMALL_STATE(5419)] = 14556,
  [SMALL_STATE(5420)] = 14618,
  [SMALL_STATE(5421)] = 14681,
  [SMALL_STATE(5422)] = 14744,
  [SMALL_STATE(5423)] = 14803,
  [SMALL_STATE(5424)] = 14862,
  [SMALL_STATE(5425)] = 14925,
  [SMALL_STATE(5426)] = 14988,
  [SMALL_STATE(5427)] = 15051,
  [SMALL_STATE(5428)] = 15114,
  [SMALL_STATE(5429)] = 15177,
  [SMALL_STATE(5430)] = 15240,
  [SMALL_STATE(5431)] = 15303,
  [SMALL_STATE(5432)] = 15366,
  [SMALL_STATE(5433)] = 15445,
  [SMALL_STATE(5434)] = 15508,
  [SMALL_STATE(5435)] = 15571,
  [SMALL_STATE(5436)] = 15634,
  [SMALL_STATE(5437)] = 15697,
  [SMALL_STATE(5438)] = 15760,
  [SMALL_STATE(5439)] = 15823,
  [SMALL_STATE(5440)] = 15886,
  [SMALL_STATE(5441)] = 15949,
  [SMALL_STATE(5442)] = 16012,
  [SMALL_STATE(5443)] = 16075,
  [SMALL_STATE(5444)] = 16138,
  [SMALL_STATE(5445)] = 16201,
  [SMALL_STATE(5446)] = 16264,
  [SMALL_STATE(5447)] = 16327,
  [SMALL_STATE(5448)] = 16390,
  [SMALL_STATE(5449)] = 16453,
  [SMALL_STATE(5450)] = 16516,
  [SMALL_STATE(5451)] = 16579,
  [SMALL_STATE(5452)] = 16642,
  [SMALL_STATE(5453)] = 16705,
  [SMALL_STATE(5454)] = 16768,
  [SMALL_STATE(5455)] = 16831,
  [SMALL_STATE(5456)] = 16894,
  [SMALL_STATE(5457)] = 16957,
  [SMALL_STATE(5458)] = 17020,
  [SMALL_STATE(5459)] = 17083,
  [SMALL_STATE(5460)] = 17146,
  [SMALL_STATE(5461)] = 17209,
  [SMALL_STATE(5462)] = 17272,
  [SMALL_STATE(5463)] = 17335,
  [SMALL_STATE(5464)] = 17398,
  [SMALL_STATE(5465)] = 17461,
  [SMALL_STATE(5466)] = 17524,
  [SMALL_STATE(5467)] = 17587,
  [SMALL_STATE(5468)] = 17650,
  [SMALL_STATE(5469)] = 17713,
  [SMALL_STATE(5470)] = 17776,
  [SMALL_STATE(5471)] = 17839,
  [SMALL_STATE(5472)] = 17902,
  [SMALL_STATE(5473)] = 17975,
  [SMALL_STATE(5474)] = 18038,
  [SMALL_STATE(5475)] = 18101,
  [SMALL_STATE(5476)] = 18164,
  [SMALL_STATE(5477)] = 18227,
  [SMALL_STATE(5478)] = 18290,
  [SMALL_STATE(5479)] = 18363,
  [SMALL_STATE(5480)] = 18442,
  [SMALL_STATE(5481)] = 18505,
  [SMALL_STATE(5482)] = 18578,
  [SMALL_STATE(5483)] = 18651,
  [SMALL_STATE(5484)] = 18714,
  [SMALL_STATE(5485)] = 18777,
  [SMALL_STATE(5486)] = 18840,
  [SMALL_STATE(5487)] = 18903,
  [SMALL_STATE(5488)] = 18966,
  [SMALL_STATE(5489)] = 19039,
  [SMALL_STATE(5490)] = 19102,
  [SMALL_STATE(5491)] = 19165,
  [SMALL_STATE(5492)] = 19228,
  [SMALL_STATE(5493)] = 19291,
  [SMALL_STATE(5494)] = 19364,
  [SMALL_STATE(5495)] = 19427,
  [SMALL_STATE(5496)] = 19490,
  [SMALL_STATE(5497)] = 19553,
  [SMALL_STATE(5498)] = 19626,
  [SMALL_STATE(5499)] = 19689,
  [SMALL_STATE(5500)] = 19752,
  [SMALL_STATE(5501)] = 19815,
  [SMALL_STATE(5502)] = 19878,
  [SMALL_STATE(5503)] = 19941,
  [SMALL_STATE(5504)] = 20004,
  [SMALL_STATE(5505)] = 20067,
  [SMALL_STATE(5506)] = 20130,
  [SMALL_STATE(5507)] = 20193,
  [SMALL_STATE(5508)] = 20256,
  [SMALL_STATE(5509)] = 20319,
  [SMALL_STATE(5510)] = 20382,
  [SMALL_STATE(5511)] = 20445,
  [SMALL_STATE(5512)] = 20508,
  [SMALL_STATE(5513)] = 20571,
  [SMALL_STATE(5514)] = 20634,
  [SMALL_STATE(5515)] = 20697,
  [SMALL_STATE(5516)] = 20760,
  [SMALL_STATE(5517)] = 20823,
  [SMALL_STATE(5518)] = 20886,
  [SMALL_STATE(5519)] = 20949,
  [SMALL_STATE(5520)] = 21012,
  [SMALL_STATE(5521)] = 21075,
  [SMALL_STATE(5522)] = 21138,
  [SMALL_STATE(5523)] = 21201,
  [SMALL_STATE(5524)] = 21264,
  [SMALL_STATE(5525)] = 21327,
  [SMALL_STATE(5526)] = 21390,
  [SMALL_STATE(5527)] = 21453,
  [SMALL_STATE(5528)] = 21516,
  [SMALL_STATE(5529)] = 21579,
  [SMALL_STATE(5530)] = 21642,
  [SMALL_STATE(5531)] = 21701,
  [SMALL_STATE(5532)] = 21764,
  [SMALL_STATE(5533)] = 21827,
  [SMALL_STATE(5534)] = 21890,
  [SMALL_STATE(5535)] = 21953,
  [SMALL_STATE(5536)] = 22032,
  [SMALL_STATE(5537)] = 22095,
  [SMALL_STATE(5538)] = 22158,
  [SMALL_STATE(5539)] = 22221,
  [SMALL_STATE(5540)] = 22284,
  [SMALL_STATE(5541)] = 22347,
  [SMALL_STATE(5542)] = 22410,
  [SMALL_STATE(5543)] = 22473,
  [SMALL_STATE(5544)] = 22536,
  [SMALL_STATE(5545)] = 22599,
  [SMALL_STATE(5546)] = 22662,
  [SMALL_STATE(5547)] = 22725,
  [SMALL_STATE(5548)] = 22788,
  [SMALL_STATE(5549)] = 22867,
  [SMALL_STATE(5550)] = 22930,
  [SMALL_STATE(5551)] = 22993,
  [SMALL_STATE(5552)] = 23056,
  [SMALL_STATE(5553)] = 23119,
  [SMALL_STATE(5554)] = 23182,
  [SMALL_STATE(5555)] = 23245,
  [SMALL_STATE(5556)] = 23308,
  [SMALL_STATE(5557)] = 23371,
  [SMALL_STATE(5558)] = 23434,
  [SMALL_STATE(5559)] = 23497,
  [SMALL_STATE(5560)] = 23576,
  [SMALL_STATE(5561)] = 23639,
  [SMALL_STATE(5562)] = 23698,
  [SMALL_STATE(5563)] = 23761,
  [SMALL_STATE(5564)] = 23824,
  [SMALL_STATE(5565)] = 23887,
  [SMALL_STATE(5566)] = 23950,
  [SMALL_STATE(5567)] = 24013,
  [SMALL_STATE(5568)] = 24076,
  [SMALL_STATE(5569)] = 24139,
  [SMALL_STATE(5570)] = 24202,
  [SMALL_STATE(5571)] = 24265,
  [SMALL_STATE(5572)] = 24349,
  [SMALL_STATE(5573)] = 24407,
  [SMALL_STATE(5574)] = 24465,
  [SMALL_STATE(5575)] = 24523,
  [SMALL_STATE(5576)] = 24581,
  [SMALL_STATE(5577)] = 24639,
  [SMALL_STATE(5578)] = 24697,
  [SMALL_STATE(5579)] = 24755,
  [SMALL_STATE(5580)] = 24813,
  [SMALL_STATE(5581)] = 24871,
  [SMALL_STATE(5582)] = 24929,
  [SMALL_STATE(5583)] = 24987,
  [SMALL_STATE(5584)] = 25045,
  [SMALL_STATE(5585)] = 25103,
  [SMALL_STATE(5586)] = 25161,
  [SMALL_STATE(5587)] = 25221,
  [SMALL_STATE(5588)] = 25281,
  [SMALL_STATE(5589)] = 25339,
  [SMALL_STATE(5590)] = 25397,
  [SMALL_STATE(5591)] = 25455,
  [SMALL_STATE(5592)] = 25516,
  [SMALL_STATE(5593)] = 25577,
  [SMALL_STATE(5594)] = 25634,
  [SMALL_STATE(5595)] = 25691,
  [SMALL_STATE(5596)] = 25748,
  [SMALL_STATE(5597)] = 25809,
  [SMALL_STATE(5598)] = 25866,
  [SMALL_STATE(5599)] = 25923,
  [SMALL_STATE(5600)] = 25984,
  [SMALL_STATE(5601)] = 26041,
  [SMALL_STATE(5602)] = 26098,
  [SMALL_STATE(5603)] = 26155,
  [SMALL_STATE(5604)] = 26212,
  [SMALL_STATE(5605)] = 26269,
  [SMALL_STATE(5606)] = 26330,
  [SMALL_STATE(5607)] = 26387,
  [SMALL_STATE(5608)] = 26444,
  [SMALL_STATE(5609)] = 26501,
  [SMALL_STATE(5610)] = 26558,
  [SMALL_STATE(5611)] = 26619,
  [SMALL_STATE(5612)] = 26676,
  [SMALL_STATE(5613)] = 26733,
  [SMALL_STATE(5614)] = 26790,
  [SMALL_STATE(5615)] = 26847,
  [SMALL_STATE(5616)] = 26904,
  [SMALL_STATE(5617)] = 26961,
  [SMALL_STATE(5618)] = 27018,
  [SMALL_STATE(5619)] = 27075,
  [SMALL_STATE(5620)] = 27132,
  [SMALL_STATE(5621)] = 27193,
  [SMALL_STATE(5622)] = 27250,
  [SMALL_STATE(5623)] = 27307,
  [SMALL_STATE(5624)] = 27364,
  [SMALL_STATE(5625)] = 27421,
  [SMALL_STATE(5626)] = 27482,
  [SMALL_STATE(5627)] = 27539,
  [SMALL_STATE(5628)] = 27596,
  [SMALL_STATE(5629)] = 27653,
  [SMALL_STATE(5630)] = 27710,
  [SMALL_STATE(5631)] = 27767,
  [SMALL_STATE(5632)] = 27824,
  [SMALL_STATE(5633)] = 27881,
  [SMALL_STATE(5634)] = 27938,
  [SMALL_STATE(5635)] = 27995,
  [SMALL_STATE(5636)] = 28052,
  [SMALL_STATE(5637)] = 28109,
  [SMALL_STATE(5638)] = 28166,
  [SMALL_STATE(5639)] = 28223,
  [SMALL_STATE(5640)] = 28280,
  [SMALL_STATE(5641)] = 28337,
  [SMALL_STATE(5642)] = 28394,
  [SMALL_STATE(5643)] = 28451,
  [SMALL_STATE(5644)] = 28508,
  [SMALL_STATE(5645)] = 28565,
  [SMALL_STATE(5646)] = 28626,
  [SMALL_STATE(5647)] = 28687,
  [SMALL_STATE(5648)] = 28748,
  [SMALL_STATE(5649)] = 28809,
  [SMALL_STATE(5650)] = 28870,
  [SMALL_STATE(5651)] = 28931,
  [SMALL_STATE(5652)] = 28992,
  [SMALL_STATE(5653)] = 29049,
  [SMALL_STATE(5654)] = 29110,
  [SMALL_STATE(5655)] = 29171,
  [SMALL_STATE(5656)] = 29232,
  [SMALL_STATE(5657)] = 29293,
  [SMALL_STATE(5658)] = 29354,
  [SMALL_STATE(5659)] = 29415,
  [SMALL_STATE(5660)] = 29476,
  [SMALL_STATE(5661)] = 29537,
  [SMALL_STATE(5662)] = 29598,
  [SMALL_STATE(5663)] = 29659,
  [SMALL_STATE(5664)] = 29720,
  [SMALL_STATE(5665)] = 29781,
  [SMALL_STATE(5666)] = 29842,
  [SMALL_STATE(5667)] = 29903,
  [SMALL_STATE(5668)] = 29964,
  [SMALL_STATE(5669)] = 30025,
  [SMALL_STATE(5670)] = 30086,
  [SMALL_STATE(5671)] = 30147,
  [SMALL_STATE(5672)] = 30208,
  [SMALL_STATE(5673)] = 30269,
  [SMALL_STATE(5674)] = 30330,
  [SMALL_STATE(5675)] = 30391,
  [SMALL_STATE(5676)] = 30452,
  [SMALL_STATE(5677)] = 30513,
  [SMALL_STATE(5678)] = 30574,
  [SMALL_STATE(5679)] = 30631,
  [SMALL_STATE(5680)] = 30692,
  [SMALL_STATE(5681)] = 30753,
  [SMALL_STATE(5682)] = 30810,
  [SMALL_STATE(5683)] = 30871,
  [SMALL_STATE(5684)] = 30928,
  [SMALL_STATE(5685)] = 30985,
  [SMALL_STATE(5686)] = 31046,
  [SMALL_STATE(5687)] = 31107,
  [SMALL_STATE(5688)] = 31168,
  [SMALL_STATE(5689)] = 31225,
  [SMALL_STATE(5690)] = 31286,
  [SMALL_STATE(5691)] = 31347,
  [SMALL_STATE(5692)] = 31408,
  [SMALL_STATE(5693)] = 31465,
  [SMALL_STATE(5694)] = 31526,
  [SMALL_STATE(5695)] = 31583,
  [SMALL_STATE(5696)] = 31644,
  [SMALL_STATE(5697)] = 31717,
  [SMALL_STATE(5698)] = 31778,
  [SMALL_STATE(5699)] = 31835,
  [SMALL_STATE(5700)] = 31892,
  [SMALL_STATE(5701)] = 31953,
  [SMALL_STATE(5702)] = 32014,
  [SMALL_STATE(5703)] = 32071,
  [SMALL_STATE(5704)] = 32132,
  [SMALL_STATE(5705)] = 32189,
  [SMALL_STATE(5706)] = 32250,
  [SMALL_STATE(5707)] = 32307,
  [SMALL_STATE(5708)] = 32364,
  [SMALL_STATE(5709)] = 32425,
  [SMALL_STATE(5710)] = 32482,
  [SMALL_STATE(5711)] = 32539,
  [SMALL_STATE(5712)] = 32600,
  [SMALL_STATE(5713)] = 32661,
  [SMALL_STATE(5714)] = 32718,
  [SMALL_STATE(5715)] = 32779,
  [SMALL_STATE(5716)] = 32836,
  [SMALL_STATE(5717)] = 32909,
  [SMALL_STATE(5718)] = 32970,
  [SMALL_STATE(5719)] = 33031,
  [SMALL_STATE(5720)] = 33088,
  [SMALL_STATE(5721)] = 33149,
  [SMALL_STATE(5722)] = 33210,
  [SMALL_STATE(5723)] = 33267,
  [SMALL_STATE(5724)] = 33324,
  [SMALL_STATE(5725)] = 33381,
  [SMALL_STATE(5726)] = 33442,
  [SMALL_STATE(5727)] = 33503,
  [SMALL_STATE(5728)] = 33564,
  [SMALL_STATE(5729)] = 33625,
  [SMALL_STATE(5730)] = 33698,
  [SMALL_STATE(5731)] = 33755,
  [SMALL_STATE(5732)] = 33812,
  [SMALL_STATE(5733)] = 33869,
  [SMALL_STATE(5734)] = 33926,
  [SMALL_STATE(5735)] = 33983,
  [SMALL_STATE(5736)] = 34040,
  [SMALL_STATE(5737)] = 34101,
  [SMALL_STATE(5738)] = 34158,
  [SMALL_STATE(5739)] = 34219,
  [SMALL_STATE(5740)] = 34280,
  [SMALL_STATE(5741)] = 34341,
  [SMALL_STATE(5742)] = 34398,
  [SMALL_STATE(5743)] = 34455,
  [SMALL_STATE(5744)] = 34516,
  [SMALL_STATE(5745)] = 34573,
  [SMALL_STATE(5746)] = 34634,
  [SMALL_STATE(5747)] = 34691,
  [SMALL_STATE(5748)] = 34748,
  [SMALL_STATE(5749)] = 34809,
  [SMALL_STATE(5750)] = 34870,
  [SMALL_STATE(5751)] = 34927,
  [SMALL_STATE(5752)] = 34988,
  [SMALL_STATE(5753)] = 35045,
  [SMALL_STATE(5754)] = 35102,
  [SMALL_STATE(5755)] = 35163,
  [SMALL_STATE(5756)] = 35220,
  [SMALL_STATE(5757)] = 35277,
  [SMALL_STATE(5758)] = 35338,
  [SMALL_STATE(5759)] = 35395,
  [SMALL_STATE(5760)] = 35456,
  [SMALL_STATE(5761)] = 35517,
  [SMALL_STATE(5762)] = 35574,
  [SMALL_STATE(5763)] = 35635,
  [SMALL_STATE(5764)] = 35692,
  [SMALL_STATE(5765)] = 35769,
  [SMALL_STATE(5766)] = 35830,
  [SMALL_STATE(5767)] = 35887,
  [SMALL_STATE(5768)] = 35944,
  [SMALL_STATE(5769)] = 36005,
  [SMALL_STATE(5770)] = 36062,
  [SMALL_STATE(5771)] = 36119,
  [SMALL_STATE(5772)] = 36180,
  [SMALL_STATE(5773)] = 36237,
  [SMALL_STATE(5774)] = 36298,
  [SMALL_STATE(5775)] = 36359,
  [SMALL_STATE(5776)] = 36420,
  [SMALL_STATE(5777)] = 36477,
  [SMALL_STATE(5778)] = 36538,
  [SMALL_STATE(5779)] = 36599,
  [SMALL_STATE(5780)] = 36656,
  [SMALL_STATE(5781)] = 36713,
  [SMALL_STATE(5782)] = 36774,
  [SMALL_STATE(5783)] = 36831,
  [SMALL_STATE(5784)] = 36892,
  [SMALL_STATE(5785)] = 36949,
  [SMALL_STATE(5786)] = 37006,
  [SMALL_STATE(5787)] = 37067,
  [SMALL_STATE(5788)] = 37124,
  [SMALL_STATE(5789)] = 37185,
  [SMALL_STATE(5790)] = 37246,
  [SMALL_STATE(5791)] = 37303,
  [SMALL_STATE(5792)] = 37360,
  [SMALL_STATE(5793)] = 37417,
  [SMALL_STATE(5794)] = 37474,
  [SMALL_STATE(5795)] = 37535,
  [SMALL_STATE(5796)] = 37596,
  [SMALL_STATE(5797)] = 37657,
  [SMALL_STATE(5798)] = 37714,
  [SMALL_STATE(5799)] = 37775,
  [SMALL_STATE(5800)] = 37842,
  [SMALL_STATE(5801)] = 37899,
  [SMALL_STATE(5802)] = 37960,
  [SMALL_STATE(5803)] = 38021,
  [SMALL_STATE(5804)] = 38082,
  [SMALL_STATE(5805)] = 38143,
  [SMALL_STATE(5806)] = 38200,
  [SMALL_STATE(5807)] = 38261,
  [SMALL_STATE(5808)] = 38318,
  [SMALL_STATE(5809)] = 38379,
  [SMALL_STATE(5810)] = 38440,
  [SMALL_STATE(5811)] = 38501,
  [SMALL_STATE(5812)] = 38562,
  [SMALL_STATE(5813)] = 38629,
  [SMALL_STATE(5814)] = 38686,
  [SMALL_STATE(5815)] = 38743,
  [SMALL_STATE(5816)] = 38800,
  [SMALL_STATE(5817)] = 38857,
  [SMALL_STATE(5818)] = 38924,
  [SMALL_STATE(5819)] = 38981,
  [SMALL_STATE(5820)] = 39038,
  [SMALL_STATE(5821)] = 39095,
  [SMALL_STATE(5822)] = 39152,
  [SMALL_STATE(5823)] = 39213,
  [SMALL_STATE(5824)] = 39270,
  [SMALL_STATE(5825)] = 39327,
  [SMALL_STATE(5826)] = 39384,
  [SMALL_STATE(5827)] = 39441,
  [SMALL_STATE(5828)] = 39498,
  [SMALL_STATE(5829)] = 39577,
  [SMALL_STATE(5830)] = 39650,
  [SMALL_STATE(5831)] = 39707,
  [SMALL_STATE(5832)] = 39768,
  [SMALL_STATE(5833)] = 39835,
  [SMALL_STATE(5834)] = 39892,
  [SMALL_STATE(5835)] = 39953,
  [SMALL_STATE(5836)] = 40014,
  [SMALL_STATE(5837)] = 40071,
  [SMALL_STATE(5838)] = 40128,
  [SMALL_STATE(5839)] = 40185,
  [SMALL_STATE(5840)] = 40242,
  [SMALL_STATE(5841)] = 40299,
  [SMALL_STATE(5842)] = 40374,
  [SMALL_STATE(5843)] = 40449,
  [SMALL_STATE(5844)] = 40510,
  [SMALL_STATE(5845)] = 40613,
  [SMALL_STATE(5846)] = 40692,
  [SMALL_STATE(5847)] = 40749,
  [SMALL_STATE(5848)] = 40808,
  [SMALL_STATE(5849)] = 40875,
  [SMALL_STATE(5850)] = 40934,
  [SMALL_STATE(5851)] = 41001,
  [SMALL_STATE(5852)] = 41058,
  [SMALL_STATE(5853)] = 41131,
  [SMALL_STATE(5854)] = 41210,
  [SMALL_STATE(5855)] = 41267,
  [SMALL_STATE(5856)] = 41358,
  [SMALL_STATE(5857)] = 41467,
  [SMALL_STATE(5858)] = 41524,
  [SMALL_STATE(5859)] = 41615,
  [SMALL_STATE(5860)] = 41672,
  [SMALL_STATE(5861)] = 41729,
  [SMALL_STATE(5862)] = 41786,
  [SMALL_STATE(5863)] = 41853,
  [SMALL_STATE(5864)] = 41910,
  [SMALL_STATE(5865)] = 41967,
  [SMALL_STATE(5866)] = 42046,
  [SMALL_STATE(5867)] = 42113,
  [SMALL_STATE(5868)] = 42170,
  [SMALL_STATE(5869)] = 42227,
  [SMALL_STATE(5870)] = 42284,
  [SMALL_STATE(5871)] = 42341,
  [SMALL_STATE(5872)] = 42398,
  [SMALL_STATE(5873)] = 42455,
  [SMALL_STATE(5874)] = 42512,
  [SMALL_STATE(5875)] = 42569,
  [SMALL_STATE(5876)] = 42626,
  [SMALL_STATE(5877)] = 42705,
  [SMALL_STATE(5878)] = 42762,
  [SMALL_STATE(5879)] = 42819,
  [SMALL_STATE(5880)] = 42876,
  [SMALL_STATE(5881)] = 42933,
  [SMALL_STATE(5882)] = 42990,
  [SMALL_STATE(5883)] = 43047,
  [SMALL_STATE(5884)] = 43138,
  [SMALL_STATE(5885)] = 43195,
  [SMALL_STATE(5886)] = 43286,
  [SMALL_STATE(5887)] = 43347,
  [SMALL_STATE(5888)] = 43404,
  [SMALL_STATE(5889)] = 43461,
  [SMALL_STATE(5890)] = 43518,
  [SMALL_STATE(5891)] = 43575,
  [SMALL_STATE(5892)] = 43632,
  [SMALL_STATE(5893)] = 43689,
  [SMALL_STATE(5894)] = 43746,
  [SMALL_STATE(5895)] = 43803,
  [SMALL_STATE(5896)] = 43860,
  [SMALL_STATE(5897)] = 43917,
  [SMALL_STATE(5898)] = 43974,
  [SMALL_STATE(5899)] = 44031,
  [SMALL_STATE(5900)] = 44088,
  [SMALL_STATE(5901)] = 44145,
  [SMALL_STATE(5902)] = 44202,
  [SMALL_STATE(5903)] = 44259,
  [SMALL_STATE(5904)] = 44316,
  [SMALL_STATE(5905)] = 44373,
  [SMALL_STATE(5906)] = 44430,
  [SMALL_STATE(5907)] = 44487,
  [SMALL_STATE(5908)] = 44578,
  [SMALL_STATE(5909)] = 44635,
  [SMALL_STATE(5910)] = 44692,
  [SMALL_STATE(5911)] = 44749,
  [SMALL_STATE(5912)] = 44806,
  [SMALL_STATE(5913)] = 44863,
  [SMALL_STATE(5914)] = 44920,
  [SMALL_STATE(5915)] = 44977,
  [SMALL_STATE(5916)] = 45034,
  [SMALL_STATE(5917)] = 45091,
  [SMALL_STATE(5918)] = 45192,
  [SMALL_STATE(5919)] = 45249,
  [SMALL_STATE(5920)] = 45348,
  [SMALL_STATE(5921)] = 45405,
  [SMALL_STATE(5922)] = 45462,
  [SMALL_STATE(5923)] = 45519,
  [SMALL_STATE(5924)] = 45576,
  [SMALL_STATE(5925)] = 45665,
  [SMALL_STATE(5926)] = 45752,
  [SMALL_STATE(5927)] = 45837,
  [SMALL_STATE(5928)] = 45920,
  [SMALL_STATE(5929)] = 45999,
  [SMALL_STATE(5930)] = 46090,
  [SMALL_STATE(5931)] = 46147,
  [SMALL_STATE(5932)] = 46204,
  [SMALL_STATE(5933)] = 46261,
  [SMALL_STATE(5934)] = 46318,
  [SMALL_STATE(5935)] = 46379,
  [SMALL_STATE(5936)] = 46440,
  [SMALL_STATE(5937)] = 46501,
  [SMALL_STATE(5938)] = 46562,
  [SMALL_STATE(5939)] = 46623,
  [SMALL_STATE(5940)] = 46684,
  [SMALL_STATE(5941)] = 46741,
  [SMALL_STATE(5942)] = 46802,
  [SMALL_STATE(5943)] = 46859,
  [SMALL_STATE(5944)] = 46920,
  [SMALL_STATE(5945)] = 46981,
  [SMALL_STATE(5946)] = 47042,
  [SMALL_STATE(5947)] = 47103,
  [SMALL_STATE(5948)] = 47160,
  [SMALL_STATE(5949)] = 47217,
  [SMALL_STATE(5950)] = 47296,
  [SMALL_STATE(5951)] = 47375,
  [SMALL_STATE(5952)] = 47436,
  [SMALL_STATE(5953)] = 47509,
  [SMALL_STATE(5954)] = 47570,
  [SMALL_STATE(5955)] = 47631,
  [SMALL_STATE(5956)] = 47688,
  [SMALL_STATE(5957)] = 47749,
  [SMALL_STATE(5958)] = 47810,
  [SMALL_STATE(5959)] = 47869,
  [SMALL_STATE(5960)] = 47930,
  [SMALL_STATE(5961)] = 47987,
  [SMALL_STATE(5962)] = 48048,
  [SMALL_STATE(5963)] = 48109,
  [SMALL_STATE(5964)] = 48170,
  [SMALL_STATE(5965)] = 48249,
  [SMALL_STATE(5966)] = 48310,
  [SMALL_STATE(5967)] = 48371,
  [SMALL_STATE(5968)] = 48450,
  [SMALL_STATE(5969)] = 48511,
  [SMALL_STATE(5970)] = 48590,
  [SMALL_STATE(5971)] = 48668,
  [SMALL_STATE(5972)] = 48728,
  [SMALL_STATE(5973)] = 48788,
  [SMALL_STATE(5974)] = 48850,
  [SMALL_STATE(5975)] = 48910,
  [SMALL_STATE(5976)] = 48970,
  [SMALL_STATE(5977)] = 49030,
  [SMALL_STATE(5978)] = 49090,
  [SMALL_STATE(5979)] = 49150,
  [SMALL_STATE(5980)] = 49210,
  [SMALL_STATE(5981)] = 49270,
  [SMALL_STATE(5982)] = 49330,
  [SMALL_STATE(5983)] = 49390,
  [SMALL_STATE(5984)] = 49450,
  [SMALL_STATE(5985)] = 49510,
  [SMALL_STATE(5986)] = 49570,
  [SMALL_STATE(5987)] = 49630,
  [SMALL_STATE(5988)] = 49690,
  [SMALL_STATE(5989)] = 49750,
  [SMALL_STATE(5990)] = 49810,
  [SMALL_STATE(5991)] = 49870,
  [SMALL_STATE(5992)] = 49930,
  [SMALL_STATE(5993)] = 49990,
  [SMALL_STATE(5994)] = 50050,
  [SMALL_STATE(5995)] = 50110,
  [SMALL_STATE(5996)] = 50166,
  [SMALL_STATE(5997)] = 50226,
  [SMALL_STATE(5998)] = 50286,
  [SMALL_STATE(5999)] = 50346,
  [SMALL_STATE(6000)] = 50406,
  [SMALL_STATE(6001)] = 50466,
  [SMALL_STATE(6002)] = 50526,
  [SMALL_STATE(6003)] = 50586,
  [SMALL_STATE(6004)] = 50646,
  [SMALL_STATE(6005)] = 50706,
  [SMALL_STATE(6006)] = 50766,
  [SMALL_STATE(6007)] = 50826,
  [SMALL_STATE(6008)] = 50886,
  [SMALL_STATE(6009)] = 50946,
  [SMALL_STATE(6010)] = 51006,
  [SMALL_STATE(6011)] = 51066,
  [SMALL_STATE(6012)] = 51126,
  [SMALL_STATE(6013)] = 51186,
  [SMALL_STATE(6014)] = 51246,
  [SMALL_STATE(6015)] = 51306,
  [SMALL_STATE(6016)] = 51366,
  [SMALL_STATE(6017)] = 51450,
  [SMALL_STATE(6018)] = 51510,
  [SMALL_STATE(6019)] = 51570,
  [SMALL_STATE(6020)] = 51630,
  [SMALL_STATE(6021)] = 51712,
  [SMALL_STATE(6022)] = 51772,
  [SMALL_STATE(6023)] = 51832,
  [SMALL_STATE(6024)] = 51892,
  [SMALL_STATE(6025)] = 51950,
  [SMALL_STATE(6026)] = 52034,
  [SMALL_STATE(6027)] = 52094,
  [SMALL_STATE(6028)] = 52154,
  [SMALL_STATE(6029)] = 52214,
  [SMALL_STATE(6030)] = 52274,
  [SMALL_STATE(6031)] = 52334,
  [SMALL_STATE(6032)] = 52394,
  [SMALL_STATE(6033)] = 52454,
  [SMALL_STATE(6034)] = 52514,
  [SMALL_STATE(6035)] = 52574,
  [SMALL_STATE(6036)] = 52634,
  [SMALL_STATE(6037)] = 52694,
  [SMALL_STATE(6038)] = 52754,
  [SMALL_STATE(6039)] = 52814,
  [SMALL_STATE(6040)] = 52874,
  [SMALL_STATE(6041)] = 52934,
  [SMALL_STATE(6042)] = 52994,
  [SMALL_STATE(6043)] = 53054,
  [SMALL_STATE(6044)] = 53114,
  [SMALL_STATE(6045)] = 53174,
  [SMALL_STATE(6046)] = 53234,
  [SMALL_STATE(6047)] = 53290,
  [SMALL_STATE(6048)] = 53350,
  [SMALL_STATE(6049)] = 53410,
  [SMALL_STATE(6050)] = 53470,
  [SMALL_STATE(6051)] = 53528,
  [SMALL_STATE(6052)] = 53586,
  [SMALL_STATE(6053)] = 53646,
  [SMALL_STATE(6054)] = 53706,
  [SMALL_STATE(6055)] = 53766,
  [SMALL_STATE(6056)] = 53826,
  [SMALL_STATE(6057)] = 53886,
  [SMALL_STATE(6058)] = 53946,
  [SMALL_STATE(6059)] = 54030,
  [SMALL_STATE(6060)] = 54114,
  [SMALL_STATE(6061)] = 54174,
  [SMALL_STATE(6062)] = 54234,
  [SMALL_STATE(6063)] = 54294,
  [SMALL_STATE(6064)] = 54354,
  [SMALL_STATE(6065)] = 54438,
  [SMALL_STATE(6066)] = 54498,
  [SMALL_STATE(6067)] = 54558,
  [SMALL_STATE(6068)] = 54618,
  [SMALL_STATE(6069)] = 54678,
  [SMALL_STATE(6070)] = 54738,
  [SMALL_STATE(6071)] = 54798,
  [SMALL_STATE(6072)] = 54858,
  [SMALL_STATE(6073)] = 54918,
  [SMALL_STATE(6074)] = 54978,
  [SMALL_STATE(6075)] = 55034,
  [SMALL_STATE(6076)] = 55094,
  [SMALL_STATE(6077)] = 55154,
  [SMALL_STATE(6078)] = 55214,
  [SMALL_STATE(6079)] = 55274,
  [SMALL_STATE(6080)] = 55352,
  [SMALL_STATE(6081)] = 55436,
  [SMALL_STATE(6082)] = 55496,
  [SMALL_STATE(6083)] = 55558,
  [SMALL_STATE(6084)] = 55618,
  [SMALL_STATE(6085)] = 55678,
  [SMALL_STATE(6086)] = 55738,
  [SMALL_STATE(6087)] = 55798,
  [SMALL_STATE(6088)] = 55858,
  [SMALL_STATE(6089)] = 55918,
  [SMALL_STATE(6090)] = 55978,
  [SMALL_STATE(6091)] = 56038,
  [SMALL_STATE(6092)] = 56098,
  [SMALL_STATE(6093)] = 56158,
  [SMALL_STATE(6094)] = 56220,
  [SMALL_STATE(6095)] = 56280,
  [SMALL_STATE(6096)] = 56358,
  [SMALL_STATE(6097)] = 56416,
  [SMALL_STATE(6098)] = 56474,
  [SMALL_STATE(6099)] = 56536,
  [SMALL_STATE(6100)] = 56596,
  [SMALL_STATE(6101)] = 56656,
  [SMALL_STATE(6102)] = 56718,
  [SMALL_STATE(6103)] = 56796,
  [SMALL_STATE(6104)] = 56856,
  [SMALL_STATE(6105)] = 56912,
  [SMALL_STATE(6106)] = 56968,
  [SMALL_STATE(6107)] = 57028,
  [SMALL_STATE(6108)] = 57088,
  [SMALL_STATE(6109)] = 57148,
  [SMALL_STATE(6110)] = 57232,
  [SMALL_STATE(6111)] = 57294,
  [SMALL_STATE(6112)] = 57354,
  [SMALL_STATE(6113)] = 57432,
  [SMALL_STATE(6114)] = 57492,
  [SMALL_STATE(6115)] = 57548,
  [SMALL_STATE(6116)] = 57608,
  [SMALL_STATE(6117)] = 57692,
  [SMALL_STATE(6118)] = 57748,
  [SMALL_STATE(6119)] = 57804,
  [SMALL_STATE(6120)] = 57866,
  [SMALL_STATE(6121)] = 57926,
  [SMALL_STATE(6122)] = 57982,
  [SMALL_STATE(6123)] = 58042,
  [SMALL_STATE(6124)] = 58098,
  [SMALL_STATE(6125)] = 58176,
  [SMALL_STATE(6126)] = 58236,
  [SMALL_STATE(6127)] = 58298,
  [SMALL_STATE(6128)] = 58358,
  [SMALL_STATE(6129)] = 58418,
  [SMALL_STATE(6130)] = 58474,
  [SMALL_STATE(6131)] = 58534,
  [SMALL_STATE(6132)] = 58594,
  [SMALL_STATE(6133)] = 58654,
  [SMALL_STATE(6134)] = 58712,
  [SMALL_STATE(6135)] = 58796,
  [SMALL_STATE(6136)] = 58874,
  [SMALL_STATE(6137)] = 58952,
  [SMALL_STATE(6138)] = 59016,
  [SMALL_STATE(6139)] = 59076,
  [SMALL_STATE(6140)] = 59136,
  [SMALL_STATE(6141)] = 59214,
  [SMALL_STATE(6142)] = 59292,
  [SMALL_STATE(6143)] = 59352,
  [SMALL_STATE(6144)] = 59412,
  [SMALL_STATE(6145)] = 59472,
  [SMALL_STATE(6146)] = 59556,
  [SMALL_STATE(6147)] = 59612,
  [SMALL_STATE(6148)] = 59672,
  [SMALL_STATE(6149)] = 59732,
  [SMALL_STATE(6150)] = 59792,
  [SMALL_STATE(6151)] = 59912,
  [SMALL_STATE(6152)] = 59974,
  [SMALL_STATE(6153)] = 60034,
  [SMALL_STATE(6154)] = 60089,
  [SMALL_STATE(6155)] = 60144,
  [SMALL_STATE(6156)] = 60199,
  [SMALL_STATE(6157)] = 60266,
  [SMALL_STATE(6158)] = 60321,
  [SMALL_STATE(6159)] = 60378,
  [SMALL_STATE(6160)] = 60433,
  [SMALL_STATE(6161)] = 60488,
  [SMALL_STATE(6162)] = 60543,
  [SMALL_STATE(6163)] = 60598,
  [SMALL_STATE(6164)] = 60653,
  [SMALL_STATE(6165)] = 60708,
  [SMALL_STATE(6166)] = 60763,
  [SMALL_STATE(6167)] = 60818,
  [SMALL_STATE(6168)] = 60891,
  [SMALL_STATE(6169)] = 60946,
  [SMALL_STATE(6170)] = 61001,
  [SMALL_STATE(6171)] = 61074,
  [SMALL_STATE(6172)] = 61129,
  [SMALL_STATE(6173)] = 61184,
  [SMALL_STATE(6174)] = 61241,
  [SMALL_STATE(6175)] = 61298,
  [SMALL_STATE(6176)] = 61353,
  [SMALL_STATE(6177)] = 61426,
  [SMALL_STATE(6178)] = 61481,
  [SMALL_STATE(6179)] = 61536,
  [SMALL_STATE(6180)] = 61609,
  [SMALL_STATE(6181)] = 61664,
  [SMALL_STATE(6182)] = 61719,
  [SMALL_STATE(6183)] = 61774,
  [SMALL_STATE(6184)] = 61829,
  [SMALL_STATE(6185)] = 61884,
  [SMALL_STATE(6186)] = 61939,
  [SMALL_STATE(6187)] = 62012,
  [SMALL_STATE(6188)] = 62067,
  [SMALL_STATE(6189)] = 62122,
  [SMALL_STATE(6190)] = 62177,
  [SMALL_STATE(6191)] = 62232,
  [SMALL_STATE(6192)] = 62287,
  [SMALL_STATE(6193)] = 62342,
  [SMALL_STATE(6194)] = 62415,
  [SMALL_STATE(6195)] = 62488,
  [SMALL_STATE(6196)] = 62603,
  [SMALL_STATE(6197)] = 62676,
  [SMALL_STATE(6198)] = 62731,
  [SMALL_STATE(6199)] = 62786,
  [SMALL_STATE(6200)] = 62841,
  [SMALL_STATE(6201)] = 62896,
  [SMALL_STATE(6202)] = 62951,
  [SMALL_STATE(6203)] = 63006,
  [SMALL_STATE(6204)] = 63061,
  [SMALL_STATE(6205)] = 63116,
  [SMALL_STATE(6206)] = 63189,
  [SMALL_STATE(6207)] = 63262,
  [SMALL_STATE(6208)] = 63329,
  [SMALL_STATE(6209)] = 63402,
  [SMALL_STATE(6210)] = 63469,
  [SMALL_STATE(6211)] = 63542,
  [SMALL_STATE(6212)] = 63615,
  [SMALL_STATE(6213)] = 63688,
  [SMALL_STATE(6214)] = 63761,
  [SMALL_STATE(6215)] = 63834,
  [SMALL_STATE(6216)] = 63907,
  [SMALL_STATE(6217)] = 63980,
  [SMALL_STATE(6218)] = 64053,
  [SMALL_STATE(6219)] = 64126,
  [SMALL_STATE(6220)] = 64193,
  [SMALL_STATE(6221)] = 64248,
  [SMALL_STATE(6222)] = 64321,
  [SMALL_STATE(6223)] = 64376,
  [SMALL_STATE(6224)] = 64449,
  [SMALL_STATE(6225)] = 64522,
  [SMALL_STATE(6226)] = 64595,
  [SMALL_STATE(6227)] = 64658,
  [SMALL_STATE(6228)] = 64713,
  [SMALL_STATE(6229)] = 64784,
  [SMALL_STATE(6230)] = 64857,
  [SMALL_STATE(6231)] = 64930,
  [SMALL_STATE(6232)] = 64985,
  [SMALL_STATE(6233)] = 65040,
  [SMALL_STATE(6234)] = 65095,
  [SMALL_STATE(6235)] = 65168,
  [SMALL_STATE(6236)] = 65223,
  [SMALL_STATE(6237)] = 65278,
  [SMALL_STATE(6238)] = 65345,
  [SMALL_STATE(6239)] = 65400,
  [SMALL_STATE(6240)] = 65455,
  [SMALL_STATE(6241)] = 65510,
  [SMALL_STATE(6242)] = 65565,
  [SMALL_STATE(6243)] = 65620,
  [SMALL_STATE(6244)] = 65675,
  [SMALL_STATE(6245)] = 65730,
  [SMALL_STATE(6246)] = 65785,
  [SMALL_STATE(6247)] = 65840,
  [SMALL_STATE(6248)] = 65895,
  [SMALL_STATE(6249)] = 65950,
  [SMALL_STATE(6250)] = 66005,
  [SMALL_STATE(6251)] = 66060,
  [SMALL_STATE(6252)] = 66115,
  [SMALL_STATE(6253)] = 66170,
  [SMALL_STATE(6254)] = 66227,
  [SMALL_STATE(6255)] = 66282,
  [SMALL_STATE(6256)] = 66349,
  [SMALL_STATE(6257)] = 66404,
  [SMALL_STATE(6258)] = 66459,
  [SMALL_STATE(6259)] = 66514,
  [SMALL_STATE(6260)] = 66569,
  [SMALL_STATE(6261)] = 66624,
  [SMALL_STATE(6262)] = 66679,
  [SMALL_STATE(6263)] = 66734,
  [SMALL_STATE(6264)] = 66793,
  [SMALL_STATE(6265)] = 66848,
  [SMALL_STATE(6266)] = 66911,
  [SMALL_STATE(6267)] = 66970,
  [SMALL_STATE(6268)] = 67025,
  [SMALL_STATE(6269)] = 67080,
  [SMALL_STATE(6270)] = 67135,
  [SMALL_STATE(6271)] = 67190,
  [SMALL_STATE(6272)] = 67245,
  [SMALL_STATE(6273)] = 67364,
  [SMALL_STATE(6274)] = 67427,
  [SMALL_STATE(6275)] = 67482,
  [SMALL_STATE(6276)] = 67537,
  [SMALL_STATE(6277)] = 67592,
  [SMALL_STATE(6278)] = 67647,
  [SMALL_STATE(6279)] = 67702,
  [SMALL_STATE(6280)] = 67757,
  [SMALL_STATE(6281)] = 67812,
  [SMALL_STATE(6282)] = 67871,
  [SMALL_STATE(6283)] = 67926,
  [SMALL_STATE(6284)] = 67981,
  [SMALL_STATE(6285)] = 68036,
  [SMALL_STATE(6286)] = 68091,
  [SMALL_STATE(6287)] = 68146,
  [SMALL_STATE(6288)] = 68201,
  [SMALL_STATE(6289)] = 68256,
  [SMALL_STATE(6290)] = 68311,
  [SMALL_STATE(6291)] = 68366,
  [SMALL_STATE(6292)] = 68421,
  [SMALL_STATE(6293)] = 68476,
  [SMALL_STATE(6294)] = 68531,
  [SMALL_STATE(6295)] = 68586,
  [SMALL_STATE(6296)] = 68641,
  [SMALL_STATE(6297)] = 68696,
  [SMALL_STATE(6298)] = 68751,
  [SMALL_STATE(6299)] = 68806,
  [SMALL_STATE(6300)] = 68861,
  [SMALL_STATE(6301)] = 68916,
  [SMALL_STATE(6302)] = 68971,
  [SMALL_STATE(6303)] = 69026,
  [SMALL_STATE(6304)] = 69081,
  [SMALL_STATE(6305)] = 69136,
  [SMALL_STATE(6306)] = 69191,
  [SMALL_STATE(6307)] = 69246,
  [SMALL_STATE(6308)] = 69301,
  [SMALL_STATE(6309)] = 69356,
  [SMALL_STATE(6310)] = 69411,
  [SMALL_STATE(6311)] = 69466,
  [SMALL_STATE(6312)] = 69521,
  [SMALL_STATE(6313)] = 69594,
  [SMALL_STATE(6314)] = 69649,
  [SMALL_STATE(6315)] = 69704,
  [SMALL_STATE(6316)] = 69759,
  [SMALL_STATE(6317)] = 69814,
  [SMALL_STATE(6318)] = 69869,
  [SMALL_STATE(6319)] = 69924,
  [SMALL_STATE(6320)] = 69979,
  [SMALL_STATE(6321)] = 70034,
  [SMALL_STATE(6322)] = 70089,
  [SMALL_STATE(6323)] = 70144,
  [SMALL_STATE(6324)] = 70217,
  [SMALL_STATE(6325)] = 70272,
  [SMALL_STATE(6326)] = 70327,
  [SMALL_STATE(6327)] = 70382,
  [SMALL_STATE(6328)] = 70437,
  [SMALL_STATE(6329)] = 70492,
  [SMALL_STATE(6330)] = 70547,
  [SMALL_STATE(6331)] = 70602,
  [SMALL_STATE(6332)] = 70657,
  [SMALL_STATE(6333)] = 70712,
  [SMALL_STATE(6334)] = 70767,
  [SMALL_STATE(6335)] = 70822,
  [SMALL_STATE(6336)] = 70877,
  [SMALL_STATE(6337)] = 70932,
  [SMALL_STATE(6338)] = 70987,
  [SMALL_STATE(6339)] = 71060,
  [SMALL_STATE(6340)] = 71115,
  [SMALL_STATE(6341)] = 71170,
  [SMALL_STATE(6342)] = 71225,
  [SMALL_STATE(6343)] = 71280,
  [SMALL_STATE(6344)] = 71335,
  [SMALL_STATE(6345)] = 71390,
  [SMALL_STATE(6346)] = 71445,
  [SMALL_STATE(6347)] = 71500,
  [SMALL_STATE(6348)] = 71555,
  [SMALL_STATE(6349)] = 71610,
  [SMALL_STATE(6350)] = 71665,
  [SMALL_STATE(6351)] = 71720,
  [SMALL_STATE(6352)] = 71775,
  [SMALL_STATE(6353)] = 71830,
  [SMALL_STATE(6354)] = 71897,
  [SMALL_STATE(6355)] = 71952,
  [SMALL_STATE(6356)] = 72007,
  [SMALL_STATE(6357)] = 72062,
  [SMALL_STATE(6358)] = 72116,
  [SMALL_STATE(6359)] = 72170,
  [SMALL_STATE(6360)] = 72228,
  [SMALL_STATE(6361)] = 72286,
  [SMALL_STATE(6362)] = 72340,
  [SMALL_STATE(6363)] = 72398,
  [SMALL_STATE(6364)] = 72460,
  [SMALL_STATE(6365)] = 72518,
  [SMALL_STATE(6366)] = 72598,
  [SMALL_STATE(6367)] = 72652,
  [SMALL_STATE(6368)] = 72706,
  [SMALL_STATE(6369)] = 72760,
  [SMALL_STATE(6370)] = 72814,
  [SMALL_STATE(6371)] = 72932,
  [SMALL_STATE(6372)] = 72998,
  [SMALL_STATE(6373)] = 73112,
  [SMALL_STATE(6374)] = 73174,
  [SMALL_STATE(6375)] = 73240,
  [SMALL_STATE(6376)] = 73302,
  [SMALL_STATE(6377)] = 73364,
  [SMALL_STATE(6378)] = 73418,
  [SMALL_STATE(6379)] = 73476,
  [SMALL_STATE(6380)] = 73530,
  [SMALL_STATE(6381)] = 73596,
  [SMALL_STATE(6382)] = 73650,
  [SMALL_STATE(6383)] = 73704,
  [SMALL_STATE(6384)] = 73766,
  [SMALL_STATE(6385)] = 73820,
  [SMALL_STATE(6386)] = 73874,
  [SMALL_STATE(6387)] = 73928,
  [SMALL_STATE(6388)] = 73982,
  [SMALL_STATE(6389)] = 74036,
  [SMALL_STATE(6390)] = 74090,
  [SMALL_STATE(6391)] = 74144,
  [SMALL_STATE(6392)] = 74198,
  [SMALL_STATE(6393)] = 74252,
  [SMALL_STATE(6394)] = 74306,
  [SMALL_STATE(6395)] = 74364,
  [SMALL_STATE(6396)] = 74422,
  [SMALL_STATE(6397)] = 74480,
  [SMALL_STATE(6398)] = 74538,
  [SMALL_STATE(6399)] = 74596,
  [SMALL_STATE(6400)] = 74650,
  [SMALL_STATE(6401)] = 74704,
  [SMALL_STATE(6402)] = 74758,
  [SMALL_STATE(6403)] = 74816,
  [SMALL_STATE(6404)] = 74870,
  [SMALL_STATE(6405)] = 74924,
  [SMALL_STATE(6406)] = 74978,
  [SMALL_STATE(6407)] = 75032,
  [SMALL_STATE(6408)] = 75086,
  [SMALL_STATE(6409)] = 75140,
  [SMALL_STATE(6410)] = 75194,
  [SMALL_STATE(6411)] = 75248,
  [SMALL_STATE(6412)] = 75302,
  [SMALL_STATE(6413)] = 75356,
  [SMALL_STATE(6414)] = 75414,
  [SMALL_STATE(6415)] = 75468,
  [SMALL_STATE(6416)] = 75522,
  [SMALL_STATE(6417)] = 75576,
  [SMALL_STATE(6418)] = 75630,
  [SMALL_STATE(6419)] = 75684,
  [SMALL_STATE(6420)] = 75738,
  [SMALL_STATE(6421)] = 75792,
  [SMALL_STATE(6422)] = 75846,
  [SMALL_STATE(6423)] = 75900,
  [SMALL_STATE(6424)] = 75954,
  [SMALL_STATE(6425)] = 76008,
  [SMALL_STATE(6426)] = 76062,
  [SMALL_STATE(6427)] = 76116,
  [SMALL_STATE(6428)] = 76170,
  [SMALL_STATE(6429)] = 76224,
  [SMALL_STATE(6430)] = 76278,
  [SMALL_STATE(6431)] = 76332,
  [SMALL_STATE(6432)] = 76386,
  [SMALL_STATE(6433)] = 76440,
  [SMALL_STATE(6434)] = 76494,
  [SMALL_STATE(6435)] = 76548,
  [SMALL_STATE(6436)] = 76602,
  [SMALL_STATE(6437)] = 76656,
  [SMALL_STATE(6438)] = 76710,
  [SMALL_STATE(6439)] = 76764,
  [SMALL_STATE(6440)] = 76818,
  [SMALL_STATE(6441)] = 76872,
  [SMALL_STATE(6442)] = 76926,
  [SMALL_STATE(6443)] = 76980,
  [SMALL_STATE(6444)] = 77034,
  [SMALL_STATE(6445)] = 77088,
  [SMALL_STATE(6446)] = 77142,
  [SMALL_STATE(6447)] = 77196,
  [SMALL_STATE(6448)] = 77250,
  [SMALL_STATE(6449)] = 77304,
  [SMALL_STATE(6450)] = 77358,
  [SMALL_STATE(6451)] = 77412,
  [SMALL_STATE(6452)] = 77466,
  [SMALL_STATE(6453)] = 77520,
  [SMALL_STATE(6454)] = 77574,
  [SMALL_STATE(6455)] = 77628,
  [SMALL_STATE(6456)] = 77682,
  [SMALL_STATE(6457)] = 77736,
  [SMALL_STATE(6458)] = 77790,
  [SMALL_STATE(6459)] = 77844,
  [SMALL_STATE(6460)] = 77898,
  [SMALL_STATE(6461)] = 77952,
  [SMALL_STATE(6462)] = 78006,
  [SMALL_STATE(6463)] = 78060,
  [SMALL_STATE(6464)] = 78114,
  [SMALL_STATE(6465)] = 78168,
  [SMALL_STATE(6466)] = 78222,
  [SMALL_STATE(6467)] = 78276,
  [SMALL_STATE(6468)] = 78330,
  [SMALL_STATE(6469)] = 78384,
  [SMALL_STATE(6470)] = 78438,
  [SMALL_STATE(6471)] = 78492,
  [SMALL_STATE(6472)] = 78546,
  [SMALL_STATE(6473)] = 78600,
  [SMALL_STATE(6474)] = 78654,
  [SMALL_STATE(6475)] = 78708,
  [SMALL_STATE(6476)] = 78762,
  [SMALL_STATE(6477)] = 78816,
  [SMALL_STATE(6478)] = 78870,
  [SMALL_STATE(6479)] = 78924,
  [SMALL_STATE(6480)] = 78978,
  [SMALL_STATE(6481)] = 79032,
  [SMALL_STATE(6482)] = 79086,
  [SMALL_STATE(6483)] = 79140,
  [SMALL_STATE(6484)] = 79194,
  [SMALL_STATE(6485)] = 79248,
  [SMALL_STATE(6486)] = 79302,
  [SMALL_STATE(6487)] = 79356,
  [SMALL_STATE(6488)] = 79410,
  [SMALL_STATE(6489)] = 79464,
  [SMALL_STATE(6490)] = 79518,
  [SMALL_STATE(6491)] = 79572,
  [SMALL_STATE(6492)] = 79626,
  [SMALL_STATE(6493)] = 79680,
  [SMALL_STATE(6494)] = 79734,
  [SMALL_STATE(6495)] = 79788,
  [SMALL_STATE(6496)] = 79842,
  [SMALL_STATE(6497)] = 79896,
  [SMALL_STATE(6498)] = 79950,
  [SMALL_STATE(6499)] = 80004,
  [SMALL_STATE(6500)] = 80058,
  [SMALL_STATE(6501)] = 80112,
  [SMALL_STATE(6502)] = 80166,
  [SMALL_STATE(6503)] = 80220,
  [SMALL_STATE(6504)] = 80274,
  [SMALL_STATE(6505)] = 80328,
  [SMALL_STATE(6506)] = 80382,
  [SMALL_STATE(6507)] = 80436,
  [SMALL_STATE(6508)] = 80490,
  [SMALL_STATE(6509)] = 80544,
  [SMALL_STATE(6510)] = 80598,
  [SMALL_STATE(6511)] = 80652,
  [SMALL_STATE(6512)] = 80706,
  [SMALL_STATE(6513)] = 80760,
  [SMALL_STATE(6514)] = 80814,
  [SMALL_STATE(6515)] = 80868,
  [SMALL_STATE(6516)] = 80922,
  [SMALL_STATE(6517)] = 80976,
  [SMALL_STATE(6518)] = 81030,
  [SMALL_STATE(6519)] = 81084,
  [SMALL_STATE(6520)] = 81138,
  [SMALL_STATE(6521)] = 81192,
  [SMALL_STATE(6522)] = 81246,
  [SMALL_STATE(6523)] = 81300,
  [SMALL_STATE(6524)] = 81354,
  [SMALL_STATE(6525)] = 81408,
  [SMALL_STATE(6526)] = 81462,
  [SMALL_STATE(6527)] = 81516,
  [SMALL_STATE(6528)] = 81570,
  [SMALL_STATE(6529)] = 81650,
  [SMALL_STATE(6530)] = 81704,
  [SMALL_STATE(6531)] = 81758,
  [SMALL_STATE(6532)] = 81812,
  [SMALL_STATE(6533)] = 81866,
  [SMALL_STATE(6534)] = 81920,
  [SMALL_STATE(6535)] = 81974,
  [SMALL_STATE(6536)] = 82028,
  [SMALL_STATE(6537)] = 82082,
  [SMALL_STATE(6538)] = 82136,
  [SMALL_STATE(6539)] = 82190,
  [SMALL_STATE(6540)] = 82244,
  [SMALL_STATE(6541)] = 82298,
  [SMALL_STATE(6542)] = 82352,
  [SMALL_STATE(6543)] = 82406,
  [SMALL_STATE(6544)] = 82460,
  [SMALL_STATE(6545)] = 82514,
  [SMALL_STATE(6546)] = 82568,
  [SMALL_STATE(6547)] = 82622,
  [SMALL_STATE(6548)] = 82676,
  [SMALL_STATE(6549)] = 82730,
  [SMALL_STATE(6550)] = 82784,
  [SMALL_STATE(6551)] = 82838,
  [SMALL_STATE(6552)] = 82892,
  [SMALL_STATE(6553)] = 82946,
  [SMALL_STATE(6554)] = 83000,
  [SMALL_STATE(6555)] = 83054,
  [SMALL_STATE(6556)] = 83108,
  [SMALL_STATE(6557)] = 83162,
  [SMALL_STATE(6558)] = 83216,
  [SMALL_STATE(6559)] = 83270,
  [SMALL_STATE(6560)] = 83324,
  [SMALL_STATE(6561)] = 83378,
  [SMALL_STATE(6562)] = 83432,
  [SMALL_STATE(6563)] = 83486,
  [SMALL_STATE(6564)] = 83540,
  [SMALL_STATE(6565)] = 83594,
  [SMALL_STATE(6566)] = 83648,
  [SMALL_STATE(6567)] = 83702,
  [SMALL_STATE(6568)] = 83756,
  [SMALL_STATE(6569)] = 83810,
  [SMALL_STATE(6570)] = 83864,
  [SMALL_STATE(6571)] = 83918,
  [SMALL_STATE(6572)] = 83972,
  [SMALL_STATE(6573)] = 84026,
  [SMALL_STATE(6574)] = 84080,
  [SMALL_STATE(6575)] = 84134,
  [SMALL_STATE(6576)] = 84188,
  [SMALL_STATE(6577)] = 84242,
  [SMALL_STATE(6578)] = 84296,
  [SMALL_STATE(6579)] = 84350,
  [SMALL_STATE(6580)] = 84404,
  [SMALL_STATE(6581)] = 84458,
  [SMALL_STATE(6582)] = 84512,
  [SMALL_STATE(6583)] = 84566,
  [SMALL_STATE(6584)] = 84620,
  [SMALL_STATE(6585)] = 84678,
  [SMALL_STATE(6586)] = 84740,
  [SMALL_STATE(6587)] = 84794,
  [SMALL_STATE(6588)] = 84848,
  [SMALL_STATE(6589)] = 84902,
  [SMALL_STATE(6590)] = 84968,
  [SMALL_STATE(6591)] = 85022,
  [SMALL_STATE(6592)] = 85076,
  [SMALL_STATE(6593)] = 85163,
  [SMALL_STATE(6594)] = 85250,
  [SMALL_STATE(6595)] = 85303,
  [SMALL_STATE(6596)] = 85378,
  [SMALL_STATE(6597)] = 85449,
  [SMALL_STATE(6598)] = 85528,
  [SMALL_STATE(6599)] = 85585,
  [SMALL_STATE(6600)] = 85646,
  [SMALL_STATE(6601)] = 85729,
  [SMALL_STATE(6602)] = 85814,
  [SMALL_STATE(6603)] = 85909,
  [SMALL_STATE(6604)] = 85990,
  [SMALL_STATE(6605)] = 86051,
  [SMALL_STATE(6606)] = 86138,
  [SMALL_STATE(6607)] = 86211,
  [SMALL_STATE(6608)] = 86272,
  [SMALL_STATE(6609)] = 86345,
  [SMALL_STATE(6610)] = 86418,
  [SMALL_STATE(6611)] = 86491,
  [SMALL_STATE(6612)] = 86548,
  [SMALL_STATE(6613)] = 86609,
  [SMALL_STATE(6614)] = 86662,
  [SMALL_STATE(6615)] = 86715,
  [SMALL_STATE(6616)] = 86788,
  [SMALL_STATE(6617)] = 86845,
  [SMALL_STATE(6618)] = 86906,
  [SMALL_STATE(6619)] = 86963,
  [SMALL_STATE(6620)] = 87060,
  [SMALL_STATE(6621)] = 87113,
  [SMALL_STATE(6622)] = 87200,
  [SMALL_STATE(6623)] = 87275,
  [SMALL_STATE(6624)] = 87354,
  [SMALL_STATE(6625)] = 87435,
  [SMALL_STATE(6626)] = 87518,
  [SMALL_STATE(6627)] = 87603,
  [SMALL_STATE(6628)] = 87664,
  [SMALL_STATE(6629)] = 87721,
  [SMALL_STATE(6630)] = 87776,
  [SMALL_STATE(6631)] = 87833,
  [SMALL_STATE(6632)] = 87930,
  [SMALL_STATE(6633)] = 88017,
  [SMALL_STATE(6634)] = 88116,
  [SMALL_STATE(6635)] = 88215,
  [SMALL_STATE(6636)] = 88286,
  [SMALL_STATE(6637)] = 88385,
  [SMALL_STATE(6638)] = 88472,
  [SMALL_STATE(6639)] = 88559,
  [SMALL_STATE(6640)] = 88630,
  [SMALL_STATE(6641)] = 88729,
  [SMALL_STATE(6642)] = 88816,
  [SMALL_STATE(6643)] = 88903,
  [SMALL_STATE(6644)] = 88974,
  [SMALL_STATE(6645)] = 89047,
  [SMALL_STATE(6646)] = 89134,
  [SMALL_STATE(6647)] = 89233,
  [SMALL_STATE(6648)] = 89330,
  [SMALL_STATE(6649)] = 89415,
  [SMALL_STATE(6650)] = 89498,
  [SMALL_STATE(6651)] = 89579,
  [SMALL_STATE(6652)] = 89658,
  [SMALL_STATE(6653)] = 89733,
  [SMALL_STATE(6654)] = 89820,
  [SMALL_STATE(6655)] = 89907,
  [SMALL_STATE(6656)] = 89994,
  [SMALL_STATE(6657)] = 90069,
  [SMALL_STATE(6658)] = 90122,
  [SMALL_STATE(6659)] = 90201,
  [SMALL_STATE(6660)] = 90282,
  [SMALL_STATE(6661)] = 90365,
  [SMALL_STATE(6662)] = 90422,
  [SMALL_STATE(6663)] = 90507,
  [SMALL_STATE(6664)] = 90604,
  [SMALL_STATE(6665)] = 90677,
  [SMALL_STATE(6666)] = 90776,
  [SMALL_STATE(6667)] = 90863,
  [SMALL_STATE(6668)] = 90950,
  [SMALL_STATE(6669)] = 91037,
  [SMALL_STATE(6670)] = 91124,
  [SMALL_STATE(6671)] = 91223,
  [SMALL_STATE(6672)] = 91294,
  [SMALL_STATE(6673)] = 91381,
  [SMALL_STATE(6674)] = 91468,
  [SMALL_STATE(6675)] = 91539,
  [SMALL_STATE(6676)] = 91594,
  [SMALL_STATE(6677)] = 91649,
  [SMALL_STATE(6678)] = 91754,
  [SMALL_STATE(6679)] = 91815,
  [SMALL_STATE(6680)] = 91902,
  [SMALL_STATE(6681)] = 91989,
  [SMALL_STATE(6682)] = 92094,
  [SMALL_STATE(6683)] = 92181,
  [SMALL_STATE(6684)] = 92268,
  [SMALL_STATE(6685)] = 92381,
  [SMALL_STATE(6686)] = 92434,
  [SMALL_STATE(6687)] = 92507,
  [SMALL_STATE(6688)] = 92560,
  [SMALL_STATE(6689)] = 92615,
  [SMALL_STATE(6690)] = 92688,
  [SMALL_STATE(6691)] = 92759,
  [SMALL_STATE(6692)] = 92830,
  [SMALL_STATE(6693)] = 92901,
  [SMALL_STATE(6694)] = 92962,
  [SMALL_STATE(6695)] = 93049,
  [SMALL_STATE(6696)] = 93122,
  [SMALL_STATE(6697)] = 93175,
  [SMALL_STATE(6698)] = 93228,
  [SMALL_STATE(6699)] = 93284,
  [SMALL_STATE(6700)] = 93340,
  [SMALL_STATE(6701)] = 93410,
  [SMALL_STATE(6702)] = 93462,
  [SMALL_STATE(6703)] = 93548,
  [SMALL_STATE(6704)] = 93646,
  [SMALL_STATE(6705)] = 93698,
  [SMALL_STATE(6706)] = 93768,
  [SMALL_STATE(6707)] = 93832,
  [SMALL_STATE(6708)] = 93884,
  [SMALL_STATE(6709)] = 93936,
  [SMALL_STATE(6710)] = 93988,
  [SMALL_STATE(6711)] = 94040,
  [SMALL_STATE(6712)] = 94092,
  [SMALL_STATE(6713)] = 94144,
  [SMALL_STATE(6714)] = 94196,
  [SMALL_STATE(6715)] = 94248,
  [SMALL_STATE(6716)] = 94300,
  [SMALL_STATE(6717)] = 94356,
  [SMALL_STATE(6718)] = 94412,
  [SMALL_STATE(6719)] = 94468,
  [SMALL_STATE(6720)] = 94520,
  [SMALL_STATE(6721)] = 94576,
  [SMALL_STATE(6722)] = 94632,
  [SMALL_STATE(6723)] = 94688,
  [SMALL_STATE(6724)] = 94740,
  [SMALL_STATE(6725)] = 94792,
  [SMALL_STATE(6726)] = 94844,
  [SMALL_STATE(6727)] = 94918,
  [SMALL_STATE(6728)] = 94974,
  [SMALL_STATE(6729)] = 95030,
  [SMALL_STATE(6730)] = 95108,
  [SMALL_STATE(6731)] = 95164,
  [SMALL_STATE(6732)] = 95220,
  [SMALL_STATE(6733)] = 95276,
  [SMALL_STATE(6734)] = 95332,
  [SMALL_STATE(6735)] = 95388,
  [SMALL_STATE(6736)] = 95444,
  [SMALL_STATE(6737)] = 95524,
  [SMALL_STATE(6738)] = 95606,
  [SMALL_STATE(6739)] = 95662,
  [SMALL_STATE(6740)] = 95718,
  [SMALL_STATE(6741)] = 95770,
  [SMALL_STATE(6742)] = 95826,
  [SMALL_STATE(6743)] = 95882,
  [SMALL_STATE(6744)] = 95966,
  [SMALL_STATE(6745)] = 96062,
  [SMALL_STATE(6746)] = 96160,
  [SMALL_STATE(6747)] = 96246,
  [SMALL_STATE(6748)] = 96310,
  [SMALL_STATE(6749)] = 96396,
  [SMALL_STATE(6750)] = 96452,
  [SMALL_STATE(6751)] = 96504,
  [SMALL_STATE(6752)] = 96568,
  [SMALL_STATE(6753)] = 96624,
  [SMALL_STATE(6754)] = 96710,
  [SMALL_STATE(6755)] = 96766,
  [SMALL_STATE(6756)] = 96852,
  [SMALL_STATE(6757)] = 96938,
  [SMALL_STATE(6758)] = 97024,
  [SMALL_STATE(6759)] = 97080,
  [SMALL_STATE(6760)] = 97136,
  [SMALL_STATE(6761)] = 97222,
  [SMALL_STATE(6762)] = 97292,
  [SMALL_STATE(6763)] = 97348,
  [SMALL_STATE(6764)] = 97420,
  [SMALL_STATE(6765)] = 97476,
  [SMALL_STATE(6766)] = 97574,
  [SMALL_STATE(6767)] = 97630,
  [SMALL_STATE(6768)] = 97700,
  [SMALL_STATE(6769)] = 97786,
  [SMALL_STATE(6770)] = 97872,
  [SMALL_STATE(6771)] = 97924,
  [SMALL_STATE(6772)] = 98010,
  [SMALL_STATE(6773)] = 98062,
  [SMALL_STATE(6774)] = 98148,
  [SMALL_STATE(6775)] = 98204,
  [SMALL_STATE(6776)] = 98276,
  [SMALL_STATE(6777)] = 98338,
  [SMALL_STATE(6778)] = 98394,
  [SMALL_STATE(6779)] = 98448,
  [SMALL_STATE(6780)] = 98512,
  [SMALL_STATE(6781)] = 98568,
  [SMALL_STATE(6782)] = 98654,
  [SMALL_STATE(6783)] = 98740,
  [SMALL_STATE(6784)] = 98796,
  [SMALL_STATE(6785)] = 98852,
  [SMALL_STATE(6786)] = 98908,
  [SMALL_STATE(6787)] = 98964,
  [SMALL_STATE(6788)] = 99020,
  [SMALL_STATE(6789)] = 99118,
  [SMALL_STATE(6790)] = 99204,
  [SMALL_STATE(6791)] = 99300,
  [SMALL_STATE(6792)] = 99386,
  [SMALL_STATE(6793)] = 99470,
  [SMALL_STATE(6794)] = 99534,
  [SMALL_STATE(6795)] = 99616,
  [SMALL_STATE(6796)] = 99680,
  [SMALL_STATE(6797)] = 99760,
  [SMALL_STATE(6798)] = 99838,
  [SMALL_STATE(6799)] = 99912,
  [SMALL_STATE(6800)] = 99998,
  [SMALL_STATE(6801)] = 100054,
  [SMALL_STATE(6802)] = 100118,
  [SMALL_STATE(6803)] = 100174,
  [SMALL_STATE(6804)] = 100226,
  [SMALL_STATE(6805)] = 100282,
  [SMALL_STATE(6806)] = 100338,
  [SMALL_STATE(6807)] = 100434,
  [SMALL_STATE(6808)] = 100486,
  [SMALL_STATE(6809)] = 100542,
  [SMALL_STATE(6810)] = 100636,
  [SMALL_STATE(6811)] = 100700,
  [SMALL_STATE(6812)] = 100784,
  [SMALL_STATE(6813)] = 100866,
  [SMALL_STATE(6814)] = 100946,
  [SMALL_STATE(6815)] = 101002,
  [SMALL_STATE(6816)] = 101080,
  [SMALL_STATE(6817)] = 101144,
  [SMALL_STATE(6818)] = 101198,
  [SMALL_STATE(6819)] = 101250,
  [SMALL_STATE(6820)] = 101324,
  [SMALL_STATE(6821)] = 101376,
  [SMALL_STATE(6822)] = 101432,
  [SMALL_STATE(6823)] = 101518,
  [SMALL_STATE(6824)] = 101574,
  [SMALL_STATE(6825)] = 101626,
  [SMALL_STATE(6826)] = 101678,
  [SMALL_STATE(6827)] = 101734,
  [SMALL_STATE(6828)] = 101786,
  [SMALL_STATE(6829)] = 101838,
  [SMALL_STATE(6830)] = 101890,
  [SMALL_STATE(6831)] = 101942,
  [SMALL_STATE(6832)] = 101998,
  [SMALL_STATE(6833)] = 102060,
  [SMALL_STATE(6834)] = 102132,
  [SMALL_STATE(6835)] = 102196,
  [SMALL_STATE(6836)] = 102260,
  [SMALL_STATE(6837)] = 102322,
  [SMALL_STATE(6838)] = 102384,
  [SMALL_STATE(6839)] = 102436,
  [SMALL_STATE(6840)] = 102488,
  [SMALL_STATE(6841)] = 102540,
  [SMALL_STATE(6842)] = 102592,
  [SMALL_STATE(6843)] = 102648,
  [SMALL_STATE(6844)] = 102704,
  [SMALL_STATE(6845)] = 102768,
  [SMALL_STATE(6846)] = 102824,
  [SMALL_STATE(6847)] = 102876,
  [SMALL_STATE(6848)] = 102928,
  [SMALL_STATE(6849)] = 102980,
  [SMALL_STATE(6850)] = 103032,
  [SMALL_STATE(6851)] = 103084,
  [SMALL_STATE(6852)] = 103136,
  [SMALL_STATE(6853)] = 103200,
  [SMALL_STATE(6854)] = 103256,
  [SMALL_STATE(6855)] = 103312,
  [SMALL_STATE(6856)] = 103364,
  [SMALL_STATE(6857)] = 103420,
  [SMALL_STATE(6858)] = 103484,
  [SMALL_STATE(6859)] = 103536,
  [SMALL_STATE(6860)] = 103592,
  [SMALL_STATE(6861)] = 103644,
  [SMALL_STATE(6862)] = 103700,
  [SMALL_STATE(6863)] = 103800,
  [SMALL_STATE(6864)] = 103852,
  [SMALL_STATE(6865)] = 103922,
  [SMALL_STATE(6866)] = 103992,
  [SMALL_STATE(6867)] = 104044,
  [SMALL_STATE(6868)] = 104096,
  [SMALL_STATE(6869)] = 104148,
  [SMALL_STATE(6870)] = 104200,
  [SMALL_STATE(6871)] = 104252,
  [SMALL_STATE(6872)] = 104316,
  [SMALL_STATE(6873)] = 104368,
  [SMALL_STATE(6874)] = 104432,
  [SMALL_STATE(6875)] = 104488,
  [SMALL_STATE(6876)] = 104540,
  [SMALL_STATE(6877)] = 104604,
  [SMALL_STATE(6878)] = 104660,
  [SMALL_STATE(6879)] = 104712,
  [SMALL_STATE(6880)] = 104776,
  [SMALL_STATE(6881)] = 104832,
  [SMALL_STATE(6882)] = 104884,
  [SMALL_STATE(6883)] = 104948,
  [SMALL_STATE(6884)] = 105000,
  [SMALL_STATE(6885)] = 105072,
  [SMALL_STATE(6886)] = 105136,
  [SMALL_STATE(6887)] = 105200,
  [SMALL_STATE(6888)] = 105252,
  [SMALL_STATE(6889)] = 105308,
  [SMALL_STATE(6890)] = 105364,
  [SMALL_STATE(6891)] = 105420,
  [SMALL_STATE(6892)] = 105472,
  [SMALL_STATE(6893)] = 105524,
  [SMALL_STATE(6894)] = 105576,
  [SMALL_STATE(6895)] = 105628,
  [SMALL_STATE(6896)] = 105682,
  [SMALL_STATE(6897)] = 105746,
  [SMALL_STATE(6898)] = 105810,
  [SMALL_STATE(6899)] = 105866,
  [SMALL_STATE(6900)] = 105922,
  [SMALL_STATE(6901)] = 105978,
  [SMALL_STATE(6902)] = 106042,
  [SMALL_STATE(6903)] = 106106,
  [SMALL_STATE(6904)] = 106162,
  [SMALL_STATE(6905)] = 106218,
  [SMALL_STATE(6906)] = 106282,
  [SMALL_STATE(6907)] = 106346,
  [SMALL_STATE(6908)] = 106404,
  [SMALL_STATE(6909)] = 106460,
  [SMALL_STATE(6910)] = 106518,
  [SMALL_STATE(6911)] = 106574,
  [SMALL_STATE(6912)] = 106632,
  [SMALL_STATE(6913)] = 106690,
  [SMALL_STATE(6914)] = 106754,
  [SMALL_STATE(6915)] = 106806,
  [SMALL_STATE(6916)] = 106862,
  [SMALL_STATE(6917)] = 106918,
  [SMALL_STATE(6918)] = 106974,
  [SMALL_STATE(6919)] = 107026,
  [SMALL_STATE(6920)] = 107090,
  [SMALL_STATE(6921)] = 107142,
  [SMALL_STATE(6922)] = 107194,
  [SMALL_STATE(6923)] = 107246,
  [SMALL_STATE(6924)] = 107298,
  [SMALL_STATE(6925)] = 107350,
  [SMALL_STATE(6926)] = 107414,
  [SMALL_STATE(6927)] = 107478,
  [SMALL_STATE(6928)] = 107542,
  [SMALL_STATE(6929)] = 107598,
  [SMALL_STATE(6930)] = 107654,
  [SMALL_STATE(6931)] = 107718,
  [SMALL_STATE(6932)] = 107774,
  [SMALL_STATE(6933)] = 107830,
  [SMALL_STATE(6934)] = 107886,
  [SMALL_STATE(6935)] = 107942,
  [SMALL_STATE(6936)] = 107998,
  [SMALL_STATE(6937)] = 108050,
  [SMALL_STATE(6938)] = 108102,
  [SMALL_STATE(6939)] = 108158,
  [SMALL_STATE(6940)] = 108214,
  [SMALL_STATE(6941)] = 108286,
  [SMALL_STATE(6942)] = 108338,
  [SMALL_STATE(6943)] = 108390,
  [SMALL_STATE(6944)] = 108442,
  [SMALL_STATE(6945)] = 108494,
  [SMALL_STATE(6946)] = 108558,
  [SMALL_STATE(6947)] = 108614,
  [SMALL_STATE(6948)] = 108666,
  [SMALL_STATE(6949)] = 108718,
  [SMALL_STATE(6950)] = 108774,
  [SMALL_STATE(6951)] = 108830,
  [SMALL_STATE(6952)] = 108894,
  [SMALL_STATE(6953)] = 108950,
  [SMALL_STATE(6954)] = 109002,
  [SMALL_STATE(6955)] = 109058,
  [SMALL_STATE(6956)] = 109110,
  [SMALL_STATE(6957)] = 109162,
  [SMALL_STATE(6958)] = 109226,
  [SMALL_STATE(6959)] = 109282,
  [SMALL_STATE(6960)] = 109346,
  [SMALL_STATE(6961)] = 109402,
  [SMALL_STATE(6962)] = 109458,
  [SMALL_STATE(6963)] = 109522,
  [SMALL_STATE(6964)] = 109578,
  [SMALL_STATE(6965)] = 109630,
  [SMALL_STATE(6966)] = 109686,
  [SMALL_STATE(6967)] = 109738,
  [SMALL_STATE(6968)] = 109790,
  [SMALL_STATE(6969)] = 109846,
  [SMALL_STATE(6970)] = 109902,
  [SMALL_STATE(6971)] = 109954,
  [SMALL_STATE(6972)] = 110010,
  [SMALL_STATE(6973)] = 110062,
  [SMALL_STATE(6974)] = 110114,
  [SMALL_STATE(6975)] = 110166,
  [SMALL_STATE(6976)] = 110222,
  [SMALL_STATE(6977)] = 110294,
  [SMALL_STATE(6978)] = 110346,
  [SMALL_STATE(6979)] = 110402,
  [SMALL_STATE(6980)] = 110454,
  [SMALL_STATE(6981)] = 110506,
  [SMALL_STATE(6982)] = 110558,
  [SMALL_STATE(6983)] = 110610,
  [SMALL_STATE(6984)] = 110662,
  [SMALL_STATE(6985)] = 110718,
  [SMALL_STATE(6986)] = 110770,
  [SMALL_STATE(6987)] = 110822,
  [SMALL_STATE(6988)] = 110878,
  [SMALL_STATE(6989)] = 110942,
  [SMALL_STATE(6990)] = 110994,
  [SMALL_STATE(6991)] = 111050,
  [SMALL_STATE(6992)] = 111102,
  [SMALL_STATE(6993)] = 111154,
  [SMALL_STATE(6994)] = 111206,
  [SMALL_STATE(6995)] = 111270,
  [SMALL_STATE(6996)] = 111322,
  [SMALL_STATE(6997)] = 111378,
  [SMALL_STATE(6998)] = 111430,
  [SMALL_STATE(6999)] = 111482,
  [SMALL_STATE(7000)] = 111534,
  [SMALL_STATE(7001)] = 111586,
  [SMALL_STATE(7002)] = 111638,
  [SMALL_STATE(7003)] = 111694,
  [SMALL_STATE(7004)] = 111758,
  [SMALL_STATE(7005)] = 111810,
  [SMALL_STATE(7006)] = 111866,
  [SMALL_STATE(7007)] = 111918,
  [SMALL_STATE(7008)] = 111970,
  [SMALL_STATE(7009)] = 112022,
  [SMALL_STATE(7010)] = 112074,
  [SMALL_STATE(7011)] = 112126,
  [SMALL_STATE(7012)] = 112178,
  [SMALL_STATE(7013)] = 112234,
  [SMALL_STATE(7014)] = 112290,
  [SMALL_STATE(7015)] = 112342,
  [SMALL_STATE(7016)] = 112394,
  [SMALL_STATE(7017)] = 112458,
  [SMALL_STATE(7018)] = 112510,
  [SMALL_STATE(7019)] = 112562,
  [SMALL_STATE(7020)] = 112614,
  [SMALL_STATE(7021)] = 112678,
  [SMALL_STATE(7022)] = 112742,
  [SMALL_STATE(7023)] = 112794,
  [SMALL_STATE(7024)] = 112846,
  [SMALL_STATE(7025)] = 112898,
  [SMALL_STATE(7026)] = 112954,
  [SMALL_STATE(7027)] = 113006,
  [SMALL_STATE(7028)] = 113058,
  [SMALL_STATE(7029)] = 113114,
  [SMALL_STATE(7030)] = 113166,
  [SMALL_STATE(7031)] = 113238,
  [SMALL_STATE(7032)] = 113294,
  [SMALL_STATE(7033)] = 113350,
  [SMALL_STATE(7034)] = 113402,
  [SMALL_STATE(7035)] = 113454,
  [SMALL_STATE(7036)] = 113510,
  [SMALL_STATE(7037)] = 113562,
  [SMALL_STATE(7038)] = 113614,
  [SMALL_STATE(7039)] = 113678,
  [SMALL_STATE(7040)] = 113730,
  [SMALL_STATE(7041)] = 113782,
  [SMALL_STATE(7042)] = 113846,
  [SMALL_STATE(7043)] = 113898,
  [SMALL_STATE(7044)] = 113962,
  [SMALL_STATE(7045)] = 114014,
  [SMALL_STATE(7046)] = 114066,
  [SMALL_STATE(7047)] = 114130,
  [SMALL_STATE(7048)] = 114186,
  [SMALL_STATE(7049)] = 114242,
  [SMALL_STATE(7050)] = 114294,
  [SMALL_STATE(7051)] = 114346,
  [SMALL_STATE(7052)] = 114398,
  [SMALL_STATE(7053)] = 114454,
  [SMALL_STATE(7054)] = 114518,
  [SMALL_STATE(7055)] = 114574,
  [SMALL_STATE(7056)] = 114630,
  [SMALL_STATE(7057)] = 114694,
  [SMALL_STATE(7058)] = 114750,
  [SMALL_STATE(7059)] = 114806,
  [SMALL_STATE(7060)] = 114862,
  [SMALL_STATE(7061)] = 114918,
  [SMALL_STATE(7062)] = 114990,
  [SMALL_STATE(7063)] = 115054,
  [SMALL_STATE(7064)] = 115110,
  [SMALL_STATE(7065)] = 115162,
  [SMALL_STATE(7066)] = 115214,
  [SMALL_STATE(7067)] = 115286,
  [SMALL_STATE(7068)] = 115342,
  [SMALL_STATE(7069)] = 115394,
  [SMALL_STATE(7070)] = 115446,
  [SMALL_STATE(7071)] = 115504,
  [SMALL_STATE(7072)] = 115556,
  [SMALL_STATE(7073)] = 115608,
  [SMALL_STATE(7074)] = 115660,
  [SMALL_STATE(7075)] = 115716,
  [SMALL_STATE(7076)] = 115768,
  [SMALL_STATE(7077)] = 115820,
  [SMALL_STATE(7078)] = 115884,
  [SMALL_STATE(7079)] = 115936,
  [SMALL_STATE(7080)] = 115988,
  [SMALL_STATE(7081)] = 116040,
  [SMALL_STATE(7082)] = 116092,
  [SMALL_STATE(7083)] = 116144,
  [SMALL_STATE(7084)] = 116196,
  [SMALL_STATE(7085)] = 116252,
  [SMALL_STATE(7086)] = 116308,
  [SMALL_STATE(7087)] = 116360,
  [SMALL_STATE(7088)] = 116416,
  [SMALL_STATE(7089)] = 116472,
  [SMALL_STATE(7090)] = 116528,
  [SMALL_STATE(7091)] = 116580,
  [SMALL_STATE(7092)] = 116636,
  [SMALL_STATE(7093)] = 116700,
  [SMALL_STATE(7094)] = 116756,
  [SMALL_STATE(7095)] = 116808,
  [SMALL_STATE(7096)] = 116864,
  [SMALL_STATE(7097)] = 116920,
  [SMALL_STATE(7098)] = 116976,
  [SMALL_STATE(7099)] = 117028,
  [SMALL_STATE(7100)] = 117100,
  [SMALL_STATE(7101)] = 117152,
  [SMALL_STATE(7102)] = 117208,
  [SMALL_STATE(7103)] = 117264,
  [SMALL_STATE(7104)] = 117320,
  [SMALL_STATE(7105)] = 117375,
  [SMALL_STATE(7106)] = 117426,
  [SMALL_STATE(7107)] = 117477,
  [SMALL_STATE(7108)] = 117528,
  [SMALL_STATE(7109)] = 117595,
  [SMALL_STATE(7110)] = 117646,
  [SMALL_STATE(7111)] = 117731,
  [SMALL_STATE(7112)] = 117782,
  [SMALL_STATE(7113)] = 117867,
  [SMALL_STATE(7114)] = 117922,
  [SMALL_STATE(7115)] = 117977,
  [SMALL_STATE(7116)] = 118028,
  [SMALL_STATE(7117)] = 118079,
  [SMALL_STATE(7118)] = 118134,
  [SMALL_STATE(7119)] = 118185,
  [SMALL_STATE(7120)] = 118240,
  [SMALL_STATE(7121)] = 118299,
  [SMALL_STATE(7122)] = 118354,
  [SMALL_STATE(7123)] = 118411,
  [SMALL_STATE(7124)] = 118462,
  [SMALL_STATE(7125)] = 118513,
  [SMALL_STATE(7126)] = 118590,
  [SMALL_STATE(7127)] = 118695,
  [SMALL_STATE(7128)] = 118762,
  [SMALL_STATE(7129)] = 118847,
  [SMALL_STATE(7130)] = 118898,
  [SMALL_STATE(7131)] = 118983,
  [SMALL_STATE(7132)] = 119034,
  [SMALL_STATE(7133)] = 119085,
  [SMALL_STATE(7134)] = 119136,
  [SMALL_STATE(7135)] = 119187,
  [SMALL_STATE(7136)] = 119238,
  [SMALL_STATE(7137)] = 119293,
  [SMALL_STATE(7138)] = 119344,
  [SMALL_STATE(7139)] = 119395,
  [SMALL_STATE(7140)] = 119462,
  [SMALL_STATE(7141)] = 119529,
  [SMALL_STATE(7142)] = 119584,
  [SMALL_STATE(7143)] = 119669,
  [SMALL_STATE(7144)] = 119722,
  [SMALL_STATE(7145)] = 119817,
  [SMALL_STATE(7146)] = 119910,
  [SMALL_STATE(7147)] = 119971,
  [SMALL_STATE(7148)] = 120038,
  [SMALL_STATE(7149)] = 120121,
  [SMALL_STATE(7150)] = 120188,
  [SMALL_STATE(7151)] = 120269,
  [SMALL_STATE(7152)] = 120320,
  [SMALL_STATE(7153)] = 120371,
  [SMALL_STATE(7154)] = 120422,
  [SMALL_STATE(7155)] = 120479,
  [SMALL_STATE(7156)] = 120546,
  [SMALL_STATE(7157)] = 120597,
  [SMALL_STATE(7158)] = 120676,
  [SMALL_STATE(7159)] = 120743,
  [SMALL_STATE(7160)] = 120794,
  [SMALL_STATE(7161)] = 120861,
  [SMALL_STATE(7162)] = 120938,
  [SMALL_STATE(7163)] = 121011,
  [SMALL_STATE(7164)] = 121078,
  [SMALL_STATE(7165)] = 121163,
  [SMALL_STATE(7166)] = 121230,
  [SMALL_STATE(7167)] = 121335,
  [SMALL_STATE(7168)] = 121402,
  [SMALL_STATE(7169)] = 121453,
  [SMALL_STATE(7170)] = 121506,
  [SMALL_STATE(7171)] = 121557,
  [SMALL_STATE(7172)] = 121608,
  [SMALL_STATE(7173)] = 121659,
  [SMALL_STATE(7174)] = 121710,
  [SMALL_STATE(7175)] = 121761,
  [SMALL_STATE(7176)] = 121866,
  [SMALL_STATE(7177)] = 121917,
  [SMALL_STATE(7178)] = 121968,
  [SMALL_STATE(7179)] = 122019,
  [SMALL_STATE(7180)] = 122070,
  [SMALL_STATE(7181)] = 122121,
  [SMALL_STATE(7182)] = 122172,
  [SMALL_STATE(7183)] = 122229,
  [SMALL_STATE(7184)] = 122286,
  [SMALL_STATE(7185)] = 122353,
  [SMALL_STATE(7186)] = 122458,
  [SMALL_STATE(7187)] = 122513,
  [SMALL_STATE(7188)] = 122580,
  [SMALL_STATE(7189)] = 122685,
  [SMALL_STATE(7190)] = 122752,
  [SMALL_STATE(7191)] = 122803,
  [SMALL_STATE(7192)] = 122854,
  [SMALL_STATE(7193)] = 122921,
  [SMALL_STATE(7194)] = 122976,
  [SMALL_STATE(7195)] = 123043,
  [SMALL_STATE(7196)] = 123110,
  [SMALL_STATE(7197)] = 123165,
  [SMALL_STATE(7198)] = 123216,
  [SMALL_STATE(7199)] = 123283,
  [SMALL_STATE(7200)] = 123350,
  [SMALL_STATE(7201)] = 123411,
  [SMALL_STATE(7202)] = 123466,
  [SMALL_STATE(7203)] = 123521,
  [SMALL_STATE(7204)] = 123576,
  [SMALL_STATE(7205)] = 123681,
  [SMALL_STATE(7206)] = 123786,
  [SMALL_STATE(7207)] = 123841,
  [SMALL_STATE(7208)] = 123892,
  [SMALL_STATE(7209)] = 123959,
  [SMALL_STATE(7210)] = 124014,
  [SMALL_STATE(7211)] = 124069,
  [SMALL_STATE(7212)] = 124124,
  [SMALL_STATE(7213)] = 124229,
  [SMALL_STATE(7214)] = 124284,
  [SMALL_STATE(7215)] = 124389,
  [SMALL_STATE(7216)] = 124444,
  [SMALL_STATE(7217)] = 124549,
  [SMALL_STATE(7218)] = 124604,
  [SMALL_STATE(7219)] = 124665,
  [SMALL_STATE(7220)] = 124770,
  [SMALL_STATE(7221)] = 124837,
  [SMALL_STATE(7222)] = 124906,
  [SMALL_STATE(7223)] = 125003,
  [SMALL_STATE(7224)] = 125072,
  [SMALL_STATE(7225)] = 125133,
  [SMALL_STATE(7226)] = 125238,
  [SMALL_STATE(7227)] = 125295,
  [SMALL_STATE(7228)] = 125362,
  [SMALL_STATE(7229)] = 125421,
  [SMALL_STATE(7230)] = 125478,
  [SMALL_STATE(7231)] = 125583,
  [SMALL_STATE(7232)] = 125650,
  [SMALL_STATE(7233)] = 125701,
  [SMALL_STATE(7234)] = 125752,
  [SMALL_STATE(7235)] = 125819,
  [SMALL_STATE(7236)] = 125886,
  [SMALL_STATE(7237)] = 125941,
  [SMALL_STATE(7238)] = 126044,
  [SMALL_STATE(7239)] = 126095,
  [SMALL_STATE(7240)] = 126200,
  [SMALL_STATE(7241)] = 126251,
  [SMALL_STATE(7242)] = 126318,
  [SMALL_STATE(7243)] = 126369,
  [SMALL_STATE(7244)] = 126474,
  [SMALL_STATE(7245)] = 126525,
  [SMALL_STATE(7246)] = 126576,
  [SMALL_STATE(7247)] = 126681,
  [SMALL_STATE(7248)] = 126748,
  [SMALL_STATE(7249)] = 126799,
  [SMALL_STATE(7250)] = 126850,
  [SMALL_STATE(7251)] = 126955,
  [SMALL_STATE(7252)] = 127006,
  [SMALL_STATE(7253)] = 127061,
  [SMALL_STATE(7254)] = 127112,
  [SMALL_STATE(7255)] = 127163,
  [SMALL_STATE(7256)] = 127214,
  [SMALL_STATE(7257)] = 127265,
  [SMALL_STATE(7258)] = 127316,
  [SMALL_STATE(7259)] = 127367,
  [SMALL_STATE(7260)] = 127472,
  [SMALL_STATE(7261)] = 127539,
  [SMALL_STATE(7262)] = 127596,
  [SMALL_STATE(7263)] = 127661,
  [SMALL_STATE(7264)] = 127712,
  [SMALL_STATE(7265)] = 127763,
  [SMALL_STATE(7266)] = 127830,
  [SMALL_STATE(7267)] = 127881,
  [SMALL_STATE(7268)] = 127986,
  [SMALL_STATE(7269)] = 128091,
  [SMALL_STATE(7270)] = 128142,
  [SMALL_STATE(7271)] = 128247,
  [SMALL_STATE(7272)] = 128305,
  [SMALL_STATE(7273)] = 128363,
  [SMALL_STATE(7274)] = 128417,
  [SMALL_STATE(7275)] = 128467,
  [SMALL_STATE(7276)] = 128521,
  [SMALL_STATE(7277)] = 128571,
  [SMALL_STATE(7278)] = 128621,
  [SMALL_STATE(7279)] = 128679,
  [SMALL_STATE(7280)] = 128729,
  [SMALL_STATE(7281)] = 128787,
  [SMALL_STATE(7282)] = 128839,
  [SMALL_STATE(7283)] = 128897,
  [SMALL_STATE(7284)] = 128955,
  [SMALL_STATE(7285)] = 129009,
  [SMALL_STATE(7286)] = 129059,
  [SMALL_STATE(7287)] = 129113,
  [SMALL_STATE(7288)] = 129173,
  [SMALL_STATE(7289)] = 129231,
  [SMALL_STATE(7290)] = 129289,
  [SMALL_STATE(7291)] = 129343,
  [SMALL_STATE(7292)] = 129401,
  [SMALL_STATE(7293)] = 129459,
  [SMALL_STATE(7294)] = 129517,
  [SMALL_STATE(7295)] = 129575,
  [SMALL_STATE(7296)] = 129629,
  [SMALL_STATE(7297)] = 129679,
  [SMALL_STATE(7298)] = 129731,
  [SMALL_STATE(7299)] = 129833,
  [SMALL_STATE(7300)] = 129935,
  [SMALL_STATE(7301)] = 129993,
  [SMALL_STATE(7302)] = 130043,
  [SMALL_STATE(7303)] = 130101,
  [SMALL_STATE(7304)] = 130157,
  [SMALL_STATE(7305)] = 130207,
  [SMALL_STATE(7306)] = 130257,
  [SMALL_STATE(7307)] = 130311,
  [SMALL_STATE(7308)] = 130361,
  [SMALL_STATE(7309)] = 130413,
  [SMALL_STATE(7310)] = 130463,
  [SMALL_STATE(7311)] = 130517,
  [SMALL_STATE(7312)] = 130567,
  [SMALL_STATE(7313)] = 130619,
  [SMALL_STATE(7314)] = 130677,
  [SMALL_STATE(7315)] = 130735,
  [SMALL_STATE(7316)] = 130793,
  [SMALL_STATE(7317)] = 130851,
  [SMALL_STATE(7318)] = 130909,
  [SMALL_STATE(7319)] = 130967,
  [SMALL_STATE(7320)] = 131021,
  [SMALL_STATE(7321)] = 131079,
  [SMALL_STATE(7322)] = 131137,
  [SMALL_STATE(7323)] = 131195,
  [SMALL_STATE(7324)] = 131253,
  [SMALL_STATE(7325)] = 131305,
  [SMALL_STATE(7326)] = 131363,
  [SMALL_STATE(7327)] = 131421,
  [SMALL_STATE(7328)] = 131479,
  [SMALL_STATE(7329)] = 131533,
  [SMALL_STATE(7330)] = 131583,
  [SMALL_STATE(7331)] = 131633,
  [SMALL_STATE(7332)] = 131691,
  [SMALL_STATE(7333)] = 131749,
  [SMALL_STATE(7334)] = 131799,
  [SMALL_STATE(7335)] = 131855,
  [SMALL_STATE(7336)] = 131909,
  [SMALL_STATE(7337)] = 131967,
  [SMALL_STATE(7338)] = 132017,
  [SMALL_STATE(7339)] = 132067,
  [SMALL_STATE(7340)] = 132125,
  [SMALL_STATE(7341)] = 132181,
  [SMALL_STATE(7342)] = 132239,
  [SMALL_STATE(7343)] = 132297,
  [SMALL_STATE(7344)] = 132347,
  [SMALL_STATE(7345)] = 132401,
  [SMALL_STATE(7346)] = 132459,
  [SMALL_STATE(7347)] = 132517,
  [SMALL_STATE(7348)] = 132575,
  [SMALL_STATE(7349)] = 132633,
  [SMALL_STATE(7350)] = 132683,
  [SMALL_STATE(7351)] = 132741,
  [SMALL_STATE(7352)] = 132799,
  [SMALL_STATE(7353)] = 132849,
  [SMALL_STATE(7354)] = 132899,
  [SMALL_STATE(7355)] = 132957,
  [SMALL_STATE(7356)] = 133011,
  [SMALL_STATE(7357)] = 133069,
  [SMALL_STATE(7358)] = 133127,
  [SMALL_STATE(7359)] = 133229,
  [SMALL_STATE(7360)] = 133289,
  [SMALL_STATE(7361)] = 133347,
  [SMALL_STATE(7362)] = 133409,
  [SMALL_STATE(7363)] = 133467,
  [SMALL_STATE(7364)] = 133569,
  [SMALL_STATE(7365)] = 133627,
  [SMALL_STATE(7366)] = 133685,
  [SMALL_STATE(7367)] = 133743,
  [SMALL_STATE(7368)] = 133793,
  [SMALL_STATE(7369)] = 133851,
  [SMALL_STATE(7370)] = 133909,
  [SMALL_STATE(7371)] = 133963,
  [SMALL_STATE(7372)] = 134013,
  [SMALL_STATE(7373)] = 134073,
  [SMALL_STATE(7374)] = 134133,
  [SMALL_STATE(7375)] = 134191,
  [SMALL_STATE(7376)] = 134249,
  [SMALL_STATE(7377)] = 134307,
  [SMALL_STATE(7378)] = 134365,
  [SMALL_STATE(7379)] = 134423,
  [SMALL_STATE(7380)] = 134481,
  [SMALL_STATE(7381)] = 134539,
  [SMALL_STATE(7382)] = 134591,
  [SMALL_STATE(7383)] = 134641,
  [SMALL_STATE(7384)] = 134699,
  [SMALL_STATE(7385)] = 134757,
  [SMALL_STATE(7386)] = 134815,
  [SMALL_STATE(7387)] = 134873,
  [SMALL_STATE(7388)] = 134931,
  [SMALL_STATE(7389)] = 134981,
  [SMALL_STATE(7390)] = 135039,
  [SMALL_STATE(7391)] = 135097,
  [SMALL_STATE(7392)] = 135155,
  [SMALL_STATE(7393)] = 135209,
  [SMALL_STATE(7394)] = 135259,
  [SMALL_STATE(7395)] = 135317,
  [SMALL_STATE(7396)] = 135375,
  [SMALL_STATE(7397)] = 135433,
  [SMALL_STATE(7398)] = 135489,
  [SMALL_STATE(7399)] = 135547,
  [SMALL_STATE(7400)] = 135605,
  [SMALL_STATE(7401)] = 135663,
  [SMALL_STATE(7402)] = 135721,
  [SMALL_STATE(7403)] = 135781,
  [SMALL_STATE(7404)] = 135839,
  [SMALL_STATE(7405)] = 135893,
  [SMALL_STATE(7406)] = 135951,
  [SMALL_STATE(7407)] = 136005,
  [SMALL_STATE(7408)] = 136059,
  [SMALL_STATE(7409)] = 136113,
  [SMALL_STATE(7410)] = 136171,
  [SMALL_STATE(7411)] = 136229,
  [SMALL_STATE(7412)] = 136285,
  [SMALL_STATE(7413)] = 136343,
  [SMALL_STATE(7414)] = 136401,
  [SMALL_STATE(7415)] = 136453,
  [SMALL_STATE(7416)] = 136503,
  [SMALL_STATE(7417)] = 136561,
  [SMALL_STATE(7418)] = 136619,
  [SMALL_STATE(7419)] = 136673,
  [SMALL_STATE(7420)] = 136747,
  [SMALL_STATE(7421)] = 136805,
  [SMALL_STATE(7422)] = 136855,
  [SMALL_STATE(7423)] = 136907,
  [SMALL_STATE(7424)] = 136965,
  [SMALL_STATE(7425)] = 137019,
  [SMALL_STATE(7426)] = 137074,
  [SMALL_STATE(7427)] = 137127,
  [SMALL_STATE(7428)] = 137180,
  [SMALL_STATE(7429)] = 137233,
  [SMALL_STATE(7430)] = 137304,
  [SMALL_STATE(7431)] = 137357,
  [SMALL_STATE(7432)] = 137410,
  [SMALL_STATE(7433)] = 137463,
  [SMALL_STATE(7434)] = 137514,
  [SMALL_STATE(7435)] = 137563,
  [SMALL_STATE(7436)] = 137616,
  [SMALL_STATE(7437)] = 137669,
  [SMALL_STATE(7438)] = 137718,
  [SMALL_STATE(7439)] = 137771,
  [SMALL_STATE(7440)] = 137820,
  [SMALL_STATE(7441)] = 137873,
  [SMALL_STATE(7442)] = 137926,
  [SMALL_STATE(7443)] = 137975,
  [SMALL_STATE(7444)] = 138024,
  [SMALL_STATE(7445)] = 138077,
  [SMALL_STATE(7446)] = 138126,
  [SMALL_STATE(7447)] = 138179,
  [SMALL_STATE(7448)] = 138232,
  [SMALL_STATE(7449)] = 138281,
  [SMALL_STATE(7450)] = 138334,
  [SMALL_STATE(7451)] = 138439,
  [SMALL_STATE(7452)] = 138492,
  [SMALL_STATE(7453)] = 138545,
  [SMALL_STATE(7454)] = 138598,
  [SMALL_STATE(7455)] = 138651,
  [SMALL_STATE(7456)] = 138702,
  [SMALL_STATE(7457)] = 138755,
  [SMALL_STATE(7458)] = 138804,
  [SMALL_STATE(7459)] = 138855,
  [SMALL_STATE(7460)] = 138908,
  [SMALL_STATE(7461)] = 138963,
  [SMALL_STATE(7462)] = 139016,
  [SMALL_STATE(7463)] = 139069,
  [SMALL_STATE(7464)] = 139120,
  [SMALL_STATE(7465)] = 139173,
  [SMALL_STATE(7466)] = 139226,
  [SMALL_STATE(7467)] = 139279,
  [SMALL_STATE(7468)] = 139332,
  [SMALL_STATE(7469)] = 139385,
  [SMALL_STATE(7470)] = 139438,
  [SMALL_STATE(7471)] = 139493,
  [SMALL_STATE(7472)] = 139546,
  [SMALL_STATE(7473)] = 139595,
  [SMALL_STATE(7474)] = 139648,
  [SMALL_STATE(7475)] = 139703,
  [SMALL_STATE(7476)] = 139756,
  [SMALL_STATE(7477)] = 139807,
  [SMALL_STATE(7478)] = 139860,
  [SMALL_STATE(7479)] = 139913,
  [SMALL_STATE(7480)] = 139966,
  [SMALL_STATE(7481)] = 140017,
  [SMALL_STATE(7482)] = 140068,
  [SMALL_STATE(7483)] = 140119,
  [SMALL_STATE(7484)] = 140170,
  [SMALL_STATE(7485)] = 140219,
  [SMALL_STATE(7486)] = 140268,
  [SMALL_STATE(7487)] = 140319,
  [SMALL_STATE(7488)] = 140372,
  [SMALL_STATE(7489)] = 140425,
  [SMALL_STATE(7490)] = 140478,
  [SMALL_STATE(7491)] = 140527,
  [SMALL_STATE(7492)] = 140580,
  [SMALL_STATE(7493)] = 140633,
  [SMALL_STATE(7494)] = 140686,
  [SMALL_STATE(7495)] = 140739,
  [SMALL_STATE(7496)] = 140792,
  [SMALL_STATE(7497)] = 140845,
  [SMALL_STATE(7498)] = 140898,
  [SMALL_STATE(7499)] = 140951,
  [SMALL_STATE(7500)] = 141004,
  [SMALL_STATE(7501)] = 141057,
  [SMALL_STATE(7502)] = 141110,
  [SMALL_STATE(7503)] = 141161,
  [SMALL_STATE(7504)] = 141210,
  [SMALL_STATE(7505)] = 141259,
  [SMALL_STATE(7506)] = 141312,
  [SMALL_STATE(7507)] = 141361,
  [SMALL_STATE(7508)] = 141410,
  [SMALL_STATE(7509)] = 141465,
  [SMALL_STATE(7510)] = 141518,
  [SMALL_STATE(7511)] = 141571,
  [SMALL_STATE(7512)] = 141624,
  [SMALL_STATE(7513)] = 141677,
  [SMALL_STATE(7514)] = 141732,
  [SMALL_STATE(7515)] = 141781,
  [SMALL_STATE(7516)] = 141836,
  [SMALL_STATE(7517)] = 141885,
  [SMALL_STATE(7518)] = 141940,
  [SMALL_STATE(7519)] = 141993,
  [SMALL_STATE(7520)] = 142046,
  [SMALL_STATE(7521)] = 142099,
  [SMALL_STATE(7522)] = 142152,
  [SMALL_STATE(7523)] = 142205,
  [SMALL_STATE(7524)] = 142258,
  [SMALL_STATE(7525)] = 142311,
  [SMALL_STATE(7526)] = 142364,
  [SMALL_STATE(7527)] = 142413,
  [SMALL_STATE(7528)] = 142466,
  [SMALL_STATE(7529)] = 142519,
  [SMALL_STATE(7530)] = 142621,
  [SMALL_STATE(7531)] = 142669,
  [SMALL_STATE(7532)] = 142717,
  [SMALL_STATE(7533)] = 142769,
  [SMALL_STATE(7534)] = 142821,
  [SMALL_STATE(7535)] = 142869,
  [SMALL_STATE(7536)] = 142917,
  [SMALL_STATE(7537)] = 142969,
  [SMALL_STATE(7538)] = 143017,
  [SMALL_STATE(7539)] = 143065,
  [SMALL_STATE(7540)] = 143113,
  [SMALL_STATE(7541)] = 143165,
  [SMALL_STATE(7542)] = 143213,
  [SMALL_STATE(7543)] = 143261,
  [SMALL_STATE(7544)] = 143309,
  [SMALL_STATE(7545)] = 143357,
  [SMALL_STATE(7546)] = 143459,
  [SMALL_STATE(7547)] = 143507,
  [SMALL_STATE(7548)] = 143555,
  [SMALL_STATE(7549)] = 143603,
  [SMALL_STATE(7550)] = 143651,
  [SMALL_STATE(7551)] = 143703,
  [SMALL_STATE(7552)] = 143751,
  [SMALL_STATE(7553)] = 143799,
  [SMALL_STATE(7554)] = 143901,
  [SMALL_STATE(7555)] = 143949,
  [SMALL_STATE(7556)] = 143997,
  [SMALL_STATE(7557)] = 144099,
  [SMALL_STATE(7558)] = 144201,
  [SMALL_STATE(7559)] = 144249,
  [SMALL_STATE(7560)] = 144297,
  [SMALL_STATE(7561)] = 144345,
  [SMALL_STATE(7562)] = 144393,
  [SMALL_STATE(7563)] = 144445,
  [SMALL_STATE(7564)] = 144493,
  [SMALL_STATE(7565)] = 144541,
  [SMALL_STATE(7566)] = 144589,
  [SMALL_STATE(7567)] = 144637,
  [SMALL_STATE(7568)] = 144689,
  [SMALL_STATE(7569)] = 144737,
  [SMALL_STATE(7570)] = 144789,
  [SMALL_STATE(7571)] = 144837,
  [SMALL_STATE(7572)] = 144885,
  [SMALL_STATE(7573)] = 144933,
  [SMALL_STATE(7574)] = 144981,
  [SMALL_STATE(7575)] = 145029,
  [SMALL_STATE(7576)] = 145077,
  [SMALL_STATE(7577)] = 145125,
  [SMALL_STATE(7578)] = 145173,
  [SMALL_STATE(7579)] = 145221,
  [SMALL_STATE(7580)] = 145273,
  [SMALL_STATE(7581)] = 145321,
  [SMALL_STATE(7582)] = 145369,
  [SMALL_STATE(7583)] = 145417,
  [SMALL_STATE(7584)] = 145475,
  [SMALL_STATE(7585)] = 145523,
  [SMALL_STATE(7586)] = 145571,
  [SMALL_STATE(7587)] = 145629,
  [SMALL_STATE(7588)] = 145677,
  [SMALL_STATE(7589)] = 145725,
  [SMALL_STATE(7590)] = 145773,
  [SMALL_STATE(7591)] = 145825,
  [SMALL_STATE(7592)] = 145877,
  [SMALL_STATE(7593)] = 145925,
  [SMALL_STATE(7594)] = 145977,
  [SMALL_STATE(7595)] = 146025,
  [SMALL_STATE(7596)] = 146083,
  [SMALL_STATE(7597)] = 146131,
  [SMALL_STATE(7598)] = 146189,
  [SMALL_STATE(7599)] = 146237,
  [SMALL_STATE(7600)] = 146295,
  [SMALL_STATE(7601)] = 146353,
  [SMALL_STATE(7602)] = 146405,
  [SMALL_STATE(7603)] = 146453,
  [SMALL_STATE(7604)] = 146505,
  [SMALL_STATE(7605)] = 146553,
  [SMALL_STATE(7606)] = 146601,
  [SMALL_STATE(7607)] = 146649,
  [SMALL_STATE(7608)] = 146707,
  [SMALL_STATE(7609)] = 146765,
  [SMALL_STATE(7610)] = 146813,
  [SMALL_STATE(7611)] = 146865,
  [SMALL_STATE(7612)] = 146923,
  [SMALL_STATE(7613)] = 146981,
  [SMALL_STATE(7614)] = 147029,
  [SMALL_STATE(7615)] = 147081,
  [SMALL_STATE(7616)] = 147129,
  [SMALL_STATE(7617)] = 147181,
  [SMALL_STATE(7618)] = 147229,
  [SMALL_STATE(7619)] = 147281,
  [SMALL_STATE(7620)] = 147329,
  [SMALL_STATE(7621)] = 147377,
  [SMALL_STATE(7622)] = 147425,
  [SMALL_STATE(7623)] = 147473,
  [SMALL_STATE(7624)] = 147525,
  [SMALL_STATE(7625)] = 147573,
  [SMALL_STATE(7626)] = 147631,
  [SMALL_STATE(7627)] = 147689,
  [SMALL_STATE(7628)] = 147741,
  [SMALL_STATE(7629)] = 147799,
  [SMALL_STATE(7630)] = 147847,
  [SMALL_STATE(7631)] = 147895,
  [SMALL_STATE(7632)] = 147953,
  [SMALL_STATE(7633)] = 148001,
  [SMALL_STATE(7634)] = 148053,
  [SMALL_STATE(7635)] = 148105,
  [SMALL_STATE(7636)] = 148163,
  [SMALL_STATE(7637)] = 148211,
  [SMALL_STATE(7638)] = 148259,
  [SMALL_STATE(7639)] = 148311,
  [SMALL_STATE(7640)] = 148359,
  [SMALL_STATE(7641)] = 148417,
  [SMALL_STATE(7642)] = 148465,
  [SMALL_STATE(7643)] = 148513,
  [SMALL_STATE(7644)] = 148561,
  [SMALL_STATE(7645)] = 148609,
  [SMALL_STATE(7646)] = 148711,
  [SMALL_STATE(7647)] = 148763,
  [SMALL_STATE(7648)] = 148865,
  [SMALL_STATE(7649)] = 148923,
  [SMALL_STATE(7650)] = 149025,
  [SMALL_STATE(7651)] = 149073,
  [SMALL_STATE(7652)] = 149125,
  [SMALL_STATE(7653)] = 149173,
  [SMALL_STATE(7654)] = 149225,
  [SMALL_STATE(7655)] = 149273,
  [SMALL_STATE(7656)] = 149321,
  [SMALL_STATE(7657)] = 149369,
  [SMALL_STATE(7658)] = 149417,
  [SMALL_STATE(7659)] = 149469,
  [SMALL_STATE(7660)] = 149521,
  [SMALL_STATE(7661)] = 149621,
  [SMALL_STATE(7662)] = 149669,
  [SMALL_STATE(7663)] = 149727,
  [SMALL_STATE(7664)] = 149785,
  [SMALL_STATE(7665)] = 149833,
  [SMALL_STATE(7666)] = 149885,
  [SMALL_STATE(7667)] = 149933,
  [SMALL_STATE(7668)] = 149991,
  [SMALL_STATE(7669)] = 150043,
  [SMALL_STATE(7670)] = 150101,
  [SMALL_STATE(7671)] = 150153,
  [SMALL_STATE(7672)] = 150205,
  [SMALL_STATE(7673)] = 150253,
  [SMALL_STATE(7674)] = 150311,
  [SMALL_STATE(7675)] = 150363,
  [SMALL_STATE(7676)] = 150415,
  [SMALL_STATE(7677)] = 150463,
  [SMALL_STATE(7678)] = 150511,
  [SMALL_STATE(7679)] = 150569,
  [SMALL_STATE(7680)] = 150621,
  [SMALL_STATE(7681)] = 150673,
  [SMALL_STATE(7682)] = 150721,
  [SMALL_STATE(7683)] = 150779,
  [SMALL_STATE(7684)] = 150831,
  [SMALL_STATE(7685)] = 150879,
  [SMALL_STATE(7686)] = 150927,
  [SMALL_STATE(7687)] = 150975,
  [SMALL_STATE(7688)] = 151023,
  [SMALL_STATE(7689)] = 151071,
  [SMALL_STATE(7690)] = 151123,
  [SMALL_STATE(7691)] = 151225,
  [SMALL_STATE(7692)] = 151273,
  [SMALL_STATE(7693)] = 151321,
  [SMALL_STATE(7694)] = 151373,
  [SMALL_STATE(7695)] = 151425,
  [SMALL_STATE(7696)] = 151473,
  [SMALL_STATE(7697)] = 151531,
  [SMALL_STATE(7698)] = 151579,
  [SMALL_STATE(7699)] = 151631,
  [SMALL_STATE(7700)] = 151679,
  [SMALL_STATE(7701)] = 151727,
  [SMALL_STATE(7702)] = 151775,
  [SMALL_STATE(7703)] = 151833,
  [SMALL_STATE(7704)] = 151881,
  [SMALL_STATE(7705)] = 151929,
  [SMALL_STATE(7706)] = 151981,
  [SMALL_STATE(7707)] = 152029,
  [SMALL_STATE(7708)] = 152081,
  [SMALL_STATE(7709)] = 152129,
  [SMALL_STATE(7710)] = 152187,
  [SMALL_STATE(7711)] = 152245,
  [SMALL_STATE(7712)] = 152293,
  [SMALL_STATE(7713)] = 152341,
  [SMALL_STATE(7714)] = 152393,
  [SMALL_STATE(7715)] = 152495,
  [SMALL_STATE(7716)] = 152553,
  [SMALL_STATE(7717)] = 152601,
  [SMALL_STATE(7718)] = 152649,
  [SMALL_STATE(7719)] = 152697,
  [SMALL_STATE(7720)] = 152749,
  [SMALL_STATE(7721)] = 152851,
  [SMALL_STATE(7722)] = 152899,
  [SMALL_STATE(7723)] = 152947,
  [SMALL_STATE(7724)] = 153005,
  [SMALL_STATE(7725)] = 153053,
  [SMALL_STATE(7726)] = 153155,
  [SMALL_STATE(7727)] = 153257,
  [SMALL_STATE(7728)] = 153309,
  [SMALL_STATE(7729)] = 153361,
  [SMALL_STATE(7730)] = 153413,
  [SMALL_STATE(7731)] = 153461,
  [SMALL_STATE(7732)] = 153513,
  [SMALL_STATE(7733)] = 153565,
  [SMALL_STATE(7734)] = 153613,
  [SMALL_STATE(7735)] = 153661,
  [SMALL_STATE(7736)] = 153713,
  [SMALL_STATE(7737)] = 153815,
  [SMALL_STATE(7738)] = 153863,
  [SMALL_STATE(7739)] = 153965,
  [SMALL_STATE(7740)] = 154017,
  [SMALL_STATE(7741)] = 154065,
  [SMALL_STATE(7742)] = 154113,
  [SMALL_STATE(7743)] = 154161,
  [SMALL_STATE(7744)] = 154209,
  [SMALL_STATE(7745)] = 154257,
  [SMALL_STATE(7746)] = 154309,
  [SMALL_STATE(7747)] = 154357,
  [SMALL_STATE(7748)] = 154405,
  [SMALL_STATE(7749)] = 154507,
  [SMALL_STATE(7750)] = 154555,
  [SMALL_STATE(7751)] = 154657,
  [SMALL_STATE(7752)] = 154709,
  [SMALL_STATE(7753)] = 154757,
  [SMALL_STATE(7754)] = 154859,
  [SMALL_STATE(7755)] = 154907,
  [SMALL_STATE(7756)] = 155009,
  [SMALL_STATE(7757)] = 155057,
  [SMALL_STATE(7758)] = 155109,
  [SMALL_STATE(7759)] = 155157,
  [SMALL_STATE(7760)] = 155259,
  [SMALL_STATE(7761)] = 155307,
  [SMALL_STATE(7762)] = 155355,
  [SMALL_STATE(7763)] = 155403,
  [SMALL_STATE(7764)] = 155459,
  [SMALL_STATE(7765)] = 155511,
  [SMALL_STATE(7766)] = 155559,
  [SMALL_STATE(7767)] = 155611,
  [SMALL_STATE(7768)] = 155663,
  [SMALL_STATE(7769)] = 155715,
  [SMALL_STATE(7770)] = 155767,
  [SMALL_STATE(7771)] = 155869,
  [SMALL_STATE(7772)] = 155921,
  [SMALL_STATE(7773)] = 155969,
  [SMALL_STATE(7774)] = 156017,
  [SMALL_STATE(7775)] = 156067,
  [SMALL_STATE(7776)] = 156117,
  [SMALL_STATE(7777)] = 156165,
  [SMALL_STATE(7778)] = 156213,
  [SMALL_STATE(7779)] = 156265,
  [SMALL_STATE(7780)] = 156313,
  [SMALL_STATE(7781)] = 156365,
  [SMALL_STATE(7782)] = 156413,
  [SMALL_STATE(7783)] = 156461,
  [SMALL_STATE(7784)] = 156513,
  [SMALL_STATE(7785)] = 156561,
  [SMALL_STATE(7786)] = 156619,
  [SMALL_STATE(7787)] = 156671,
  [SMALL_STATE(7788)] = 156719,
  [SMALL_STATE(7789)] = 156767,
  [SMALL_STATE(7790)] = 156815,
  [SMALL_STATE(7791)] = 156867,
  [SMALL_STATE(7792)] = 156919,
  [SMALL_STATE(7793)] = 156967,
  [SMALL_STATE(7794)] = 157019,
  [SMALL_STATE(7795)] = 157077,
  [SMALL_STATE(7796)] = 157125,
  [SMALL_STATE(7797)] = 157173,
  [SMALL_STATE(7798)] = 157225,
  [SMALL_STATE(7799)] = 157273,
  [SMALL_STATE(7800)] = 157321,
  [SMALL_STATE(7801)] = 157373,
  [SMALL_STATE(7802)] = 157421,
  [SMALL_STATE(7803)] = 157469,
  [SMALL_STATE(7804)] = 157521,
  [SMALL_STATE(7805)] = 157569,
  [SMALL_STATE(7806)] = 157627,
  [SMALL_STATE(7807)] = 157675,
  [SMALL_STATE(7808)] = 157723,
  [SMALL_STATE(7809)] = 157771,
  [SMALL_STATE(7810)] = 157819,
  [SMALL_STATE(7811)] = 157871,
  [SMALL_STATE(7812)] = 157919,
  [SMALL_STATE(7813)] = 157967,
  [SMALL_STATE(7814)] = 158015,
  [SMALL_STATE(7815)] = 158073,
  [SMALL_STATE(7816)] = 158121,
  [SMALL_STATE(7817)] = 158169,
  [SMALL_STATE(7818)] = 158217,
  [SMALL_STATE(7819)] = 158265,
  [SMALL_STATE(7820)] = 158323,
  [SMALL_STATE(7821)] = 158371,
  [SMALL_STATE(7822)] = 158423,
  [SMALL_STATE(7823)] = 158475,
  [SMALL_STATE(7824)] = 158523,
  [SMALL_STATE(7825)] = 158581,
  [SMALL_STATE(7826)] = 158629,
  [SMALL_STATE(7827)] = 158681,
  [SMALL_STATE(7828)] = 158729,
  [SMALL_STATE(7829)] = 158781,
  [SMALL_STATE(7830)] = 158833,
  [SMALL_STATE(7831)] = 158885,
  [SMALL_STATE(7832)] = 158937,
  [SMALL_STATE(7833)] = 158989,
  [SMALL_STATE(7834)] = 159041,
  [SMALL_STATE(7835)] = 159089,
  [SMALL_STATE(7836)] = 159137,
  [SMALL_STATE(7837)] = 159189,
  [SMALL_STATE(7838)] = 159237,
  [SMALL_STATE(7839)] = 159285,
  [SMALL_STATE(7840)] = 159337,
  [SMALL_STATE(7841)] = 159385,
  [SMALL_STATE(7842)] = 159433,
  [SMALL_STATE(7843)] = 159481,
  [SMALL_STATE(7844)] = 159529,
  [SMALL_STATE(7845)] = 159577,
  [SMALL_STATE(7846)] = 159625,
  [SMALL_STATE(7847)] = 159673,
  [SMALL_STATE(7848)] = 159721,
  [SMALL_STATE(7849)] = 159769,
  [SMALL_STATE(7850)] = 159821,
  [SMALL_STATE(7851)] = 159869,
  [SMALL_STATE(7852)] = 159917,
  [SMALL_STATE(7853)] = 159969,
  [SMALL_STATE(7854)] = 160017,
  [SMALL_STATE(7855)] = 160065,
  [SMALL_STATE(7856)] = 160113,
  [SMALL_STATE(7857)] = 160161,
  [SMALL_STATE(7858)] = 160209,
  [SMALL_STATE(7859)] = 160257,
  [SMALL_STATE(7860)] = 160305,
  [SMALL_STATE(7861)] = 160363,
  [SMALL_STATE(7862)] = 160411,
  [SMALL_STATE(7863)] = 160463,
  [SMALL_STATE(7864)] = 160519,
  [SMALL_STATE(7865)] = 160567,
  [SMALL_STATE(7866)] = 160615,
  [SMALL_STATE(7867)] = 160663,
  [SMALL_STATE(7868)] = 160711,
  [SMALL_STATE(7869)] = 160769,
  [SMALL_STATE(7870)] = 160817,
  [SMALL_STATE(7871)] = 160865,
  [SMALL_STATE(7872)] = 160913,
  [SMALL_STATE(7873)] = 160961,
  [SMALL_STATE(7874)] = 161013,
  [SMALL_STATE(7875)] = 161115,
  [SMALL_STATE(7876)] = 161163,
  [SMALL_STATE(7877)] = 161211,
  [SMALL_STATE(7878)] = 161259,
  [SMALL_STATE(7879)] = 161307,
  [SMALL_STATE(7880)] = 161355,
  [SMALL_STATE(7881)] = 161403,
  [SMALL_STATE(7882)] = 161505,
  [SMALL_STATE(7883)] = 161553,
  [SMALL_STATE(7884)] = 161601,
  [SMALL_STATE(7885)] = 161649,
  [SMALL_STATE(7886)] = 161707,
  [SMALL_STATE(7887)] = 161759,
  [SMALL_STATE(7888)] = 161811,
  [SMALL_STATE(7889)] = 161859,
  [SMALL_STATE(7890)] = 161907,
  [SMALL_STATE(7891)] = 161955,
  [SMALL_STATE(7892)] = 162003,
  [SMALL_STATE(7893)] = 162055,
  [SMALL_STATE(7894)] = 162113,
  [SMALL_STATE(7895)] = 162161,
  [SMALL_STATE(7896)] = 162209,
  [SMALL_STATE(7897)] = 162257,
  [SMALL_STATE(7898)] = 162305,
  [SMALL_STATE(7899)] = 162357,
  [SMALL_STATE(7900)] = 162415,
  [SMALL_STATE(7901)] = 162463,
  [SMALL_STATE(7902)] = 162511,
  [SMALL_STATE(7903)] = 162559,
  [SMALL_STATE(7904)] = 162617,
  [SMALL_STATE(7905)] = 162669,
  [SMALL_STATE(7906)] = 162717,
  [SMALL_STATE(7907)] = 162765,
  [SMALL_STATE(7908)] = 162867,
  [SMALL_STATE(7909)] = 162919,
  [SMALL_STATE(7910)] = 162971,
  [SMALL_STATE(7911)] = 163023,
  [SMALL_STATE(7912)] = 163125,
  [SMALL_STATE(7913)] = 163183,
  [SMALL_STATE(7914)] = 163239,
  [SMALL_STATE(7915)] = 163341,
  [SMALL_STATE(7916)] = 163393,
  [SMALL_STATE(7917)] = 163451,
  [SMALL_STATE(7918)] = 163499,
  [SMALL_STATE(7919)] = 163551,
  [SMALL_STATE(7920)] = 163603,
  [SMALL_STATE(7921)] = 163655,
  [SMALL_STATE(7922)] = 163703,
  [SMALL_STATE(7923)] = 163761,
  [SMALL_STATE(7924)] = 163809,
  [SMALL_STATE(7925)] = 163911,
  [SMALL_STATE(7926)] = 163963,
  [SMALL_STATE(7927)] = 164015,
  [SMALL_STATE(7928)] = 164063,
  [SMALL_STATE(7929)] = 164111,
  [SMALL_STATE(7930)] = 164163,
  [SMALL_STATE(7931)] = 164211,
  [SMALL_STATE(7932)] = 164259,
  [SMALL_STATE(7933)] = 164311,
  [SMALL_STATE(7934)] = 164359,
  [SMALL_STATE(7935)] = 164407,
  [SMALL_STATE(7936)] = 164455,
  [SMALL_STATE(7937)] = 164507,
  [SMALL_STATE(7938)] = 164555,
  [SMALL_STATE(7939)] = 164607,
  [SMALL_STATE(7940)] = 164655,
  [SMALL_STATE(7941)] = 164703,
  [SMALL_STATE(7942)] = 164751,
  [SMALL_STATE(7943)] = 164799,
  [SMALL_STATE(7944)] = 164847,
  [SMALL_STATE(7945)] = 164905,
  [SMALL_STATE(7946)] = 164953,
  [SMALL_STATE(7947)] = 165005,
  [SMALL_STATE(7948)] = 165107,
  [SMALL_STATE(7949)] = 165159,
  [SMALL_STATE(7950)] = 165207,
  [SMALL_STATE(7951)] = 165259,
  [SMALL_STATE(7952)] = 165307,
  [SMALL_STATE(7953)] = 165355,
  [SMALL_STATE(7954)] = 165403,
  [SMALL_STATE(7955)] = 165451,
  [SMALL_STATE(7956)] = 165553,
  [SMALL_STATE(7957)] = 165601,
  [SMALL_STATE(7958)] = 165649,
  [SMALL_STATE(7959)] = 165701,
  [SMALL_STATE(7960)] = 165753,
  [SMALL_STATE(7961)] = 165801,
  [SMALL_STATE(7962)] = 165853,
  [SMALL_STATE(7963)] = 165901,
  [SMALL_STATE(7964)] = 165949,
  [SMALL_STATE(7965)] = 166001,
  [SMALL_STATE(7966)] = 166049,
  [SMALL_STATE(7967)] = 166097,
  [SMALL_STATE(7968)] = 166149,
  [SMALL_STATE(7969)] = 166197,
  [SMALL_STATE(7970)] = 166245,
  [SMALL_STATE(7971)] = 166293,
  [SMALL_STATE(7972)] = 166351,
  [SMALL_STATE(7973)] = 166399,
  [SMALL_STATE(7974)] = 166447,
  [SMALL_STATE(7975)] = 166495,
  [SMALL_STATE(7976)] = 166553,
  [SMALL_STATE(7977)] = 166601,
  [SMALL_STATE(7978)] = 166649,
  [SMALL_STATE(7979)] = 166751,
  [SMALL_STATE(7980)] = 166799,
  [SMALL_STATE(7981)] = 166857,
  [SMALL_STATE(7982)] = 166915,
  [SMALL_STATE(7983)] = 166963,
  [SMALL_STATE(7984)] = 167011,
  [SMALL_STATE(7985)] = 167059,
  [SMALL_STATE(7986)] = 167115,
  [SMALL_STATE(7987)] = 167163,
  [SMALL_STATE(7988)] = 167211,
  [SMALL_STATE(7989)] = 167259,
  [SMALL_STATE(7990)] = 167307,
  [SMALL_STATE(7991)] = 167359,
  [SMALL_STATE(7992)] = 167417,
  [SMALL_STATE(7993)] = 167465,
  [SMALL_STATE(7994)] = 167517,
  [SMALL_STATE(7995)] = 167569,
  [SMALL_STATE(7996)] = 167617,
  [SMALL_STATE(7997)] = 167675,
  [SMALL_STATE(7998)] = 167723,
  [SMALL_STATE(7999)] = 167825,
  [SMALL_STATE(8000)] = 167873,
  [SMALL_STATE(8001)] = 167921,
  [SMALL_STATE(8002)] = 167979,
  [SMALL_STATE(8003)] = 168027,
  [SMALL_STATE(8004)] = 168075,
  [SMALL_STATE(8005)] = 168123,
  [SMALL_STATE(8006)] = 168225,
  [SMALL_STATE(8007)] = 168327,
  [SMALL_STATE(8008)] = 168379,
  [SMALL_STATE(8009)] = 168427,
  [SMALL_STATE(8010)] = 168529,
  [SMALL_STATE(8011)] = 168577,
  [SMALL_STATE(8012)] = 168625,
  [SMALL_STATE(8013)] = 168673,
  [SMALL_STATE(8014)] = 168775,
  [SMALL_STATE(8015)] = 168877,
  [SMALL_STATE(8016)] = 168925,
  [SMALL_STATE(8017)] = 168973,
  [SMALL_STATE(8018)] = 169075,
  [SMALL_STATE(8019)] = 169177,
  [SMALL_STATE(8020)] = 169279,
  [SMALL_STATE(8021)] = 169327,
  [SMALL_STATE(8022)] = 169429,
  [SMALL_STATE(8023)] = 169478,
  [SMALL_STATE(8024)] = 169525,
  [SMALL_STATE(8025)] = 169572,
  [SMALL_STATE(8026)] = 169619,
  [SMALL_STATE(8027)] = 169666,
  [SMALL_STATE(8028)] = 169713,
  [SMALL_STATE(8029)] = 169760,
  [SMALL_STATE(8030)] = 169807,
  [SMALL_STATE(8031)] = 169854,
  [SMALL_STATE(8032)] = 169901,
  [SMALL_STATE(8033)] = 169948,
  [SMALL_STATE(8034)] = 170051,
  [SMALL_STATE(8035)] = 170098,
  [SMALL_STATE(8036)] = 170145,
  [SMALL_STATE(8037)] = 170192,
  [SMALL_STATE(8038)] = 170239,
  [SMALL_STATE(8039)] = 170286,
  [SMALL_STATE(8040)] = 170333,
  [SMALL_STATE(8041)] = 170380,
  [SMALL_STATE(8042)] = 170429,
  [SMALL_STATE(8043)] = 170476,
  [SMALL_STATE(8044)] = 170523,
  [SMALL_STATE(8045)] = 170570,
  [SMALL_STATE(8046)] = 170619,
  [SMALL_STATE(8047)] = 170722,
  [SMALL_STATE(8048)] = 170769,
  [SMALL_STATE(8049)] = 170816,
  [SMALL_STATE(8050)] = 170863,
  [SMALL_STATE(8051)] = 170910,
  [SMALL_STATE(8052)] = 170957,
  [SMALL_STATE(8053)] = 171004,
  [SMALL_STATE(8054)] = 171051,
  [SMALL_STATE(8055)] = 171098,
  [SMALL_STATE(8056)] = 171145,
  [SMALL_STATE(8057)] = 171192,
  [SMALL_STATE(8058)] = 171239,
  [SMALL_STATE(8059)] = 171288,
  [SMALL_STATE(8060)] = 171335,
  [SMALL_STATE(8061)] = 171384,
  [SMALL_STATE(8062)] = 171431,
  [SMALL_STATE(8063)] = 171478,
  [SMALL_STATE(8064)] = 171525,
  [SMALL_STATE(8065)] = 171572,
  [SMALL_STATE(8066)] = 171621,
  [SMALL_STATE(8067)] = 171668,
  [SMALL_STATE(8068)] = 171715,
  [SMALL_STATE(8069)] = 171764,
  [SMALL_STATE(8070)] = 171811,
  [SMALL_STATE(8071)] = 171858,
  [SMALL_STATE(8072)] = 171905,
  [SMALL_STATE(8073)] = 171952,
  [SMALL_STATE(8074)] = 171999,
  [SMALL_STATE(8075)] = 172046,
  [SMALL_STATE(8076)] = 172093,
  [SMALL_STATE(8077)] = 172140,
  [SMALL_STATE(8078)] = 172187,
  [SMALL_STATE(8079)] = 172234,
  [SMALL_STATE(8080)] = 172281,
  [SMALL_STATE(8081)] = 172328,
  [SMALL_STATE(8082)] = 172375,
  [SMALL_STATE(8083)] = 172422,
  [SMALL_STATE(8084)] = 172469,
  [SMALL_STATE(8085)] = 172516,
  [SMALL_STATE(8086)] = 172563,
  [SMALL_STATE(8087)] = 172610,
  [SMALL_STATE(8088)] = 172657,
  [SMALL_STATE(8089)] = 172704,
  [SMALL_STATE(8090)] = 172751,
  [SMALL_STATE(8091)] = 172798,
  [SMALL_STATE(8092)] = 172845,
  [SMALL_STATE(8093)] = 172892,
  [SMALL_STATE(8094)] = 172939,
  [SMALL_STATE(8095)] = 172986,
  [SMALL_STATE(8096)] = 173033,
  [SMALL_STATE(8097)] = 173080,
  [SMALL_STATE(8098)] = 173127,
  [SMALL_STATE(8099)] = 173174,
  [SMALL_STATE(8100)] = 173221,
  [SMALL_STATE(8101)] = 173268,
  [SMALL_STATE(8102)] = 173315,
  [SMALL_STATE(8103)] = 173362,
  [SMALL_STATE(8104)] = 173409,
  [SMALL_STATE(8105)] = 173456,
  [SMALL_STATE(8106)] = 173503,
  [SMALL_STATE(8107)] = 173606,
  [SMALL_STATE(8108)] = 173653,
  [SMALL_STATE(8109)] = 173700,
  [SMALL_STATE(8110)] = 173747,
  [SMALL_STATE(8111)] = 173794,
  [SMALL_STATE(8112)] = 173841,
  [SMALL_STATE(8113)] = 173890,
  [SMALL_STATE(8114)] = 173937,
  [SMALL_STATE(8115)] = 173986,
  [SMALL_STATE(8116)] = 174033,
  [SMALL_STATE(8117)] = 174080,
  [SMALL_STATE(8118)] = 174127,
  [SMALL_STATE(8119)] = 174174,
  [SMALL_STATE(8120)] = 174221,
  [SMALL_STATE(8121)] = 174324,
  [SMALL_STATE(8122)] = 174371,
  [SMALL_STATE(8123)] = 174418,
  [SMALL_STATE(8124)] = 174465,
  [SMALL_STATE(8125)] = 174512,
  [SMALL_STATE(8126)] = 174559,
  [SMALL_STATE(8127)] = 174606,
  [SMALL_STATE(8128)] = 174653,
  [SMALL_STATE(8129)] = 174700,
  [SMALL_STATE(8130)] = 174747,
  [SMALL_STATE(8131)] = 174794,
  [SMALL_STATE(8132)] = 174841,
  [SMALL_STATE(8133)] = 174888,
  [SMALL_STATE(8134)] = 174935,
  [SMALL_STATE(8135)] = 175000,
  [SMALL_STATE(8136)] = 175047,
  [SMALL_STATE(8137)] = 175140,
  [SMALL_STATE(8138)] = 175187,
  [SMALL_STATE(8139)] = 175252,
  [SMALL_STATE(8140)] = 175299,
  [SMALL_STATE(8141)] = 175346,
  [SMALL_STATE(8142)] = 175393,
  [SMALL_STATE(8143)] = 175440,
  [SMALL_STATE(8144)] = 175487,
  [SMALL_STATE(8145)] = 175534,
  [SMALL_STATE(8146)] = 175637,
  [SMALL_STATE(8147)] = 175684,
  [SMALL_STATE(8148)] = 175731,
  [SMALL_STATE(8149)] = 175778,
  [SMALL_STATE(8150)] = 175827,
  [SMALL_STATE(8151)] = 175874,
  [SMALL_STATE(8152)] = 175921,
  [SMALL_STATE(8153)] = 176024,
  [SMALL_STATE(8154)] = 176071,
  [SMALL_STATE(8155)] = 176118,
  [SMALL_STATE(8156)] = 176165,
  [SMALL_STATE(8157)] = 176212,
  [SMALL_STATE(8158)] = 176259,
  [SMALL_STATE(8159)] = 176306,
  [SMALL_STATE(8160)] = 176353,
  [SMALL_STATE(8161)] = 176400,
  [SMALL_STATE(8162)] = 176447,
  [SMALL_STATE(8163)] = 176494,
  [SMALL_STATE(8164)] = 176541,
  [SMALL_STATE(8165)] = 176588,
  [SMALL_STATE(8166)] = 176691,
  [SMALL_STATE(8167)] = 176738,
  [SMALL_STATE(8168)] = 176841,
  [SMALL_STATE(8169)] = 176888,
  [SMALL_STATE(8170)] = 176935,
  [SMALL_STATE(8171)] = 176982,
  [SMALL_STATE(8172)] = 177029,
  [SMALL_STATE(8173)] = 177076,
  [SMALL_STATE(8174)] = 177123,
  [SMALL_STATE(8175)] = 177170,
  [SMALL_STATE(8176)] = 177217,
  [SMALL_STATE(8177)] = 177264,
  [SMALL_STATE(8178)] = 177311,
  [SMALL_STATE(8179)] = 177414,
  [SMALL_STATE(8180)] = 177461,
  [SMALL_STATE(8181)] = 177508,
  [SMALL_STATE(8182)] = 177555,
  [SMALL_STATE(8183)] = 177602,
  [SMALL_STATE(8184)] = 177651,
  [SMALL_STATE(8185)] = 177698,
  [SMALL_STATE(8186)] = 177745,
  [SMALL_STATE(8187)] = 177794,
  [SMALL_STATE(8188)] = 177843,
  [SMALL_STATE(8189)] = 177890,
  [SMALL_STATE(8190)] = 177939,
  [SMALL_STATE(8191)] = 177986,
  [SMALL_STATE(8192)] = 178033,
  [SMALL_STATE(8193)] = 178080,
  [SMALL_STATE(8194)] = 178127,
  [SMALL_STATE(8195)] = 178174,
  [SMALL_STATE(8196)] = 178221,
  [SMALL_STATE(8197)] = 178268,
  [SMALL_STATE(8198)] = 178317,
  [SMALL_STATE(8199)] = 178364,
  [SMALL_STATE(8200)] = 178413,
  [SMALL_STATE(8201)] = 178460,
  [SMALL_STATE(8202)] = 178509,
  [SMALL_STATE(8203)] = 178556,
  [SMALL_STATE(8204)] = 178603,
  [SMALL_STATE(8205)] = 178650,
  [SMALL_STATE(8206)] = 178699,
  [SMALL_STATE(8207)] = 178746,
  [SMALL_STATE(8208)] = 178795,
  [SMALL_STATE(8209)] = 178898,
  [SMALL_STATE(8210)] = 178945,
  [SMALL_STATE(8211)] = 178992,
  [SMALL_STATE(8212)] = 179039,
  [SMALL_STATE(8213)] = 179086,
  [SMALL_STATE(8214)] = 179133,
  [SMALL_STATE(8215)] = 179180,
  [SMALL_STATE(8216)] = 179283,
  [SMALL_STATE(8217)] = 179330,
  [SMALL_STATE(8218)] = 179377,
  [SMALL_STATE(8219)] = 179424,
  [SMALL_STATE(8220)] = 179471,
  [SMALL_STATE(8221)] = 179518,
  [SMALL_STATE(8222)] = 179565,
  [SMALL_STATE(8223)] = 179612,
  [SMALL_STATE(8224)] = 179693,
  [SMALL_STATE(8225)] = 179796,
  [SMALL_STATE(8226)] = 179877,
  [SMALL_STATE(8227)] = 179980,
  [SMALL_STATE(8228)] = 180027,
  [SMALL_STATE(8229)] = 180130,
  [SMALL_STATE(8230)] = 180177,
  [SMALL_STATE(8231)] = 180280,
  [SMALL_STATE(8232)] = 180361,
  [SMALL_STATE(8233)] = 180464,
  [SMALL_STATE(8234)] = 180545,
  [SMALL_STATE(8235)] = 180592,
  [SMALL_STATE(8236)] = 180673,
  [SMALL_STATE(8237)] = 180720,
  [SMALL_STATE(8238)] = 180811,
  [SMALL_STATE(8239)] = 180900,
  [SMALL_STATE(8240)] = 180979,
  [SMALL_STATE(8241)] = 181056,
  [SMALL_STATE(8242)] = 181131,
  [SMALL_STATE(8243)] = 181204,
  [SMALL_STATE(8244)] = 181307,
  [SMALL_STATE(8245)] = 181354,
  [SMALL_STATE(8246)] = 181401,
  [SMALL_STATE(8247)] = 181470,
  [SMALL_STATE(8248)] = 181551,
  [SMALL_STATE(8249)] = 181598,
  [SMALL_STATE(8250)] = 181645,
  [SMALL_STATE(8251)] = 181692,
  [SMALL_STATE(8252)] = 181739,
  [SMALL_STATE(8253)] = 181786,
  [SMALL_STATE(8254)] = 181833,
  [SMALL_STATE(8255)] = 181880,
  [SMALL_STATE(8256)] = 181927,
  [SMALL_STATE(8257)] = 181974,
  [SMALL_STATE(8258)] = 182021,
  [SMALL_STATE(8259)] = 182068,
  [SMALL_STATE(8260)] = 182115,
  [SMALL_STATE(8261)] = 182162,
  [SMALL_STATE(8262)] = 182209,
  [SMALL_STATE(8263)] = 182256,
  [SMALL_STATE(8264)] = 182303,
  [SMALL_STATE(8265)] = 182350,
  [SMALL_STATE(8266)] = 182397,
  [SMALL_STATE(8267)] = 182444,
  [SMALL_STATE(8268)] = 182491,
  [SMALL_STATE(8269)] = 182594,
  [SMALL_STATE(8270)] = 182641,
  [SMALL_STATE(8271)] = 182688,
  [SMALL_STATE(8272)] = 182735,
  [SMALL_STATE(8273)] = 182782,
  [SMALL_STATE(8274)] = 182829,
  [SMALL_STATE(8275)] = 182876,
  [SMALL_STATE(8276)] = 182923,
  [SMALL_STATE(8277)] = 182970,
  [SMALL_STATE(8278)] = 183017,
  [SMALL_STATE(8279)] = 183064,
  [SMALL_STATE(8280)] = 183111,
  [SMALL_STATE(8281)] = 183158,
  [SMALL_STATE(8282)] = 183205,
  [SMALL_STATE(8283)] = 183252,
  [SMALL_STATE(8284)] = 183299,
  [SMALL_STATE(8285)] = 183346,
  [SMALL_STATE(8286)] = 183393,
  [SMALL_STATE(8287)] = 183440,
  [SMALL_STATE(8288)] = 183487,
  [SMALL_STATE(8289)] = 183534,
  [SMALL_STATE(8290)] = 183581,
  [SMALL_STATE(8291)] = 183628,
  [SMALL_STATE(8292)] = 183675,
  [SMALL_STATE(8293)] = 183722,
  [SMALL_STATE(8294)] = 183769,
  [SMALL_STATE(8295)] = 183816,
  [SMALL_STATE(8296)] = 183863,
  [SMALL_STATE(8297)] = 183910,
  [SMALL_STATE(8298)] = 183957,
  [SMALL_STATE(8299)] = 184006,
  [SMALL_STATE(8300)] = 184053,
  [SMALL_STATE(8301)] = 184100,
  [SMALL_STATE(8302)] = 184147,
  [SMALL_STATE(8303)] = 184196,
  [SMALL_STATE(8304)] = 184243,
  [SMALL_STATE(8305)] = 184290,
  [SMALL_STATE(8306)] = 184337,
  [SMALL_STATE(8307)] = 184384,
  [SMALL_STATE(8308)] = 184431,
  [SMALL_STATE(8309)] = 184478,
  [SMALL_STATE(8310)] = 184525,
  [SMALL_STATE(8311)] = 184572,
  [SMALL_STATE(8312)] = 184619,
  [SMALL_STATE(8313)] = 184666,
  [SMALL_STATE(8314)] = 184769,
  [SMALL_STATE(8315)] = 184816,
  [SMALL_STATE(8316)] = 184863,
  [SMALL_STATE(8317)] = 184910,
  [SMALL_STATE(8318)] = 184957,
  [SMALL_STATE(8319)] = 185004,
  [SMALL_STATE(8320)] = 185051,
  [SMALL_STATE(8321)] = 185098,
  [SMALL_STATE(8322)] = 185149,
  [SMALL_STATE(8323)] = 185196,
  [SMALL_STATE(8324)] = 185243,
  [SMALL_STATE(8325)] = 185290,
  [SMALL_STATE(8326)] = 185337,
  [SMALL_STATE(8327)] = 185384,
  [SMALL_STATE(8328)] = 185431,
  [SMALL_STATE(8329)] = 185478,
  [SMALL_STATE(8330)] = 185525,
  [SMALL_STATE(8331)] = 185572,
  [SMALL_STATE(8332)] = 185619,
  [SMALL_STATE(8333)] = 185666,
  [SMALL_STATE(8334)] = 185713,
  [SMALL_STATE(8335)] = 185760,
  [SMALL_STATE(8336)] = 185807,
  [SMALL_STATE(8337)] = 185854,
  [SMALL_STATE(8338)] = 185901,
  [SMALL_STATE(8339)] = 185948,
  [SMALL_STATE(8340)] = 185995,
  [SMALL_STATE(8341)] = 186042,
  [SMALL_STATE(8342)] = 186089,
  [SMALL_STATE(8343)] = 186136,
  [SMALL_STATE(8344)] = 186183,
  [SMALL_STATE(8345)] = 186232,
  [SMALL_STATE(8346)] = 186279,
  [SMALL_STATE(8347)] = 186326,
  [SMALL_STATE(8348)] = 186375,
  [SMALL_STATE(8349)] = 186422,
  [SMALL_STATE(8350)] = 186469,
  [SMALL_STATE(8351)] = 186516,
  [SMALL_STATE(8352)] = 186563,
  [SMALL_STATE(8353)] = 186610,
  [SMALL_STATE(8354)] = 186657,
  [SMALL_STATE(8355)] = 186704,
  [SMALL_STATE(8356)] = 186751,
  [SMALL_STATE(8357)] = 186798,
  [SMALL_STATE(8358)] = 186845,
  [SMALL_STATE(8359)] = 186892,
  [SMALL_STATE(8360)] = 186939,
  [SMALL_STATE(8361)] = 186986,
  [SMALL_STATE(8362)] = 187038,
  [SMALL_STATE(8363)] = 187088,
  [SMALL_STATE(8364)] = 187138,
  [SMALL_STATE(8365)] = 187184,
  [SMALL_STATE(8366)] = 187236,
  [SMALL_STATE(8367)] = 187286,
  [SMALL_STATE(8368)] = 187388,
  [SMALL_STATE(8369)] = 187438,
  [SMALL_STATE(8370)] = 187540,
  [SMALL_STATE(8371)] = 187590,
  [SMALL_STATE(8372)] = 187692,
  [SMALL_STATE(8373)] = 187742,
  [SMALL_STATE(8374)] = 187844,
  [SMALL_STATE(8375)] = 187946,
  [SMALL_STATE(8376)] = 188048,
  [SMALL_STATE(8377)] = 188150,
  [SMALL_STATE(8378)] = 188252,
  [SMALL_STATE(8379)] = 188354,
  [SMALL_STATE(8380)] = 188408,
  [SMALL_STATE(8381)] = 188510,
  [SMALL_STATE(8382)] = 188562,
  [SMALL_STATE(8383)] = 188664,
  [SMALL_STATE(8384)] = 188766,
  [SMALL_STATE(8385)] = 188868,
  [SMALL_STATE(8386)] = 188970,
  [SMALL_STATE(8387)] = 189072,
  [SMALL_STATE(8388)] = 189124,
  [SMALL_STATE(8389)] = 189226,
  [SMALL_STATE(8390)] = 189328,
  [SMALL_STATE(8391)] = 189430,
  [SMALL_STATE(8392)] = 189532,
  [SMALL_STATE(8393)] = 189634,
  [SMALL_STATE(8394)] = 189736,
  [SMALL_STATE(8395)] = 189838,
  [SMALL_STATE(8396)] = 189940,
  [SMALL_STATE(8397)] = 190042,
  [SMALL_STATE(8398)] = 190092,
  [SMALL_STATE(8399)] = 190142,
  [SMALL_STATE(8400)] = 190240,
  [SMALL_STATE(8401)] = 190290,
  [SMALL_STATE(8402)] = 190340,
  [SMALL_STATE(8403)] = 190390,
  [SMALL_STATE(8404)] = 190492,
  [SMALL_STATE(8405)] = 190542,
  [SMALL_STATE(8406)] = 190592,
  [SMALL_STATE(8407)] = 190642,
  [SMALL_STATE(8408)] = 190692,
  [SMALL_STATE(8409)] = 190742,
  [SMALL_STATE(8410)] = 190792,
  [SMALL_STATE(8411)] = 190842,
  [SMALL_STATE(8412)] = 190892,
  [SMALL_STATE(8413)] = 190942,
  [SMALL_STATE(8414)] = 190992,
  [SMALL_STATE(8415)] = 191042,
  [SMALL_STATE(8416)] = 191092,
  [SMALL_STATE(8417)] = 191142,
  [SMALL_STATE(8418)] = 191192,
  [SMALL_STATE(8419)] = 191242,
  [SMALL_STATE(8420)] = 191296,
  [SMALL_STATE(8421)] = 191348,
  [SMALL_STATE(8422)] = 191398,
  [SMALL_STATE(8423)] = 191448,
  [SMALL_STATE(8424)] = 191498,
  [SMALL_STATE(8425)] = 191548,
  [SMALL_STATE(8426)] = 191598,
  [SMALL_STATE(8427)] = 191648,
  [SMALL_STATE(8428)] = 191700,
  [SMALL_STATE(8429)] = 191750,
  [SMALL_STATE(8430)] = 191800,
  [SMALL_STATE(8431)] = 191850,
  [SMALL_STATE(8432)] = 191900,
  [SMALL_STATE(8433)] = 191952,
  [SMALL_STATE(8434)] = 192002,
  [SMALL_STATE(8435)] = 192048,
  [SMALL_STATE(8436)] = 192098,
  [SMALL_STATE(8437)] = 192150,
  [SMALL_STATE(8438)] = 192200,
  [SMALL_STATE(8439)] = 192252,
  [SMALL_STATE(8440)] = 192302,
  [SMALL_STATE(8441)] = 192356,
  [SMALL_STATE(8442)] = 192406,
  [SMALL_STATE(8443)] = 192454,
  [SMALL_STATE(8444)] = 192504,
  [SMALL_STATE(8445)] = 192554,
  [SMALL_STATE(8446)] = 192604,
  [SMALL_STATE(8447)] = 192654,
  [SMALL_STATE(8448)] = 192704,
  [SMALL_STATE(8449)] = 192754,
  [SMALL_STATE(8450)] = 192804,
  [SMALL_STATE(8451)] = 192854,
  [SMALL_STATE(8452)] = 192904,
  [SMALL_STATE(8453)] = 192954,
  [SMALL_STATE(8454)] = 193004,
  [SMALL_STATE(8455)] = 193054,
  [SMALL_STATE(8456)] = 193104,
  [SMALL_STATE(8457)] = 193154,
  [SMALL_STATE(8458)] = 193204,
  [SMALL_STATE(8459)] = 193254,
  [SMALL_STATE(8460)] = 193306,
  [SMALL_STATE(8461)] = 193356,
  [SMALL_STATE(8462)] = 193406,
  [SMALL_STATE(8463)] = 193456,
  [SMALL_STATE(8464)] = 193506,
  [SMALL_STATE(8465)] = 193556,
  [SMALL_STATE(8466)] = 193606,
  [SMALL_STATE(8467)] = 193656,
  [SMALL_STATE(8468)] = 193706,
  [SMALL_STATE(8469)] = 193756,
  [SMALL_STATE(8470)] = 193806,
  [SMALL_STATE(8471)] = 193856,
  [SMALL_STATE(8472)] = 193906,
  [SMALL_STATE(8473)] = 193954,
  [SMALL_STATE(8474)] = 194004,
  [SMALL_STATE(8475)] = 194054,
  [SMALL_STATE(8476)] = 194104,
  [SMALL_STATE(8477)] = 194154,
  [SMALL_STATE(8478)] = 194204,
  [SMALL_STATE(8479)] = 194254,
  [SMALL_STATE(8480)] = 194304,
  [SMALL_STATE(8481)] = 194354,
  [SMALL_STATE(8482)] = 194452,
  [SMALL_STATE(8483)] = 194502,
  [SMALL_STATE(8484)] = 194552,
  [SMALL_STATE(8485)] = 194602,
  [SMALL_STATE(8486)] = 194700,
  [SMALL_STATE(8487)] = 194798,
  [SMALL_STATE(8488)] = 194848,
  [SMALL_STATE(8489)] = 194900,
  [SMALL_STATE(8490)] = 194950,
  [SMALL_STATE(8491)] = 195000,
  [SMALL_STATE(8492)] = 195050,
  [SMALL_STATE(8493)] = 195102,
  [SMALL_STATE(8494)] = 195152,
  [SMALL_STATE(8495)] = 195202,
  [SMALL_STATE(8496)] = 195252,
  [SMALL_STATE(8497)] = 195302,
  [SMALL_STATE(8498)] = 195352,
  [SMALL_STATE(8499)] = 195402,
  [SMALL_STATE(8500)] = 195452,
  [SMALL_STATE(8501)] = 195502,
  [SMALL_STATE(8502)] = 195552,
  [SMALL_STATE(8503)] = 195602,
  [SMALL_STATE(8504)] = 195652,
  [SMALL_STATE(8505)] = 195702,
  [SMALL_STATE(8506)] = 195754,
  [SMALL_STATE(8507)] = 195804,
  [SMALL_STATE(8508)] = 195854,
  [SMALL_STATE(8509)] = 195904,
  [SMALL_STATE(8510)] = 195954,
  [SMALL_STATE(8511)] = 196004,
  [SMALL_STATE(8512)] = 196054,
  [SMALL_STATE(8513)] = 196104,
  [SMALL_STATE(8514)] = 196154,
  [SMALL_STATE(8515)] = 196204,
  [SMALL_STATE(8516)] = 196254,
  [SMALL_STATE(8517)] = 196304,
  [SMALL_STATE(8518)] = 196354,
  [SMALL_STATE(8519)] = 196404,
  [SMALL_STATE(8520)] = 196454,
  [SMALL_STATE(8521)] = 196504,
  [SMALL_STATE(8522)] = 196554,
  [SMALL_STATE(8523)] = 196604,
  [SMALL_STATE(8524)] = 196656,
  [SMALL_STATE(8525)] = 196706,
  [SMALL_STATE(8526)] = 196756,
  [SMALL_STATE(8527)] = 196806,
  [SMALL_STATE(8528)] = 196856,
  [SMALL_STATE(8529)] = 196906,
  [SMALL_STATE(8530)] = 196956,
  [SMALL_STATE(8531)] = 197006,
  [SMALL_STATE(8532)] = 197056,
  [SMALL_STATE(8533)] = 197158,
  [SMALL_STATE(8534)] = 197208,
  [SMALL_STATE(8535)] = 197258,
  [SMALL_STATE(8536)] = 197308,
  [SMALL_STATE(8537)] = 197358,
  [SMALL_STATE(8538)] = 197408,
  [SMALL_STATE(8539)] = 197458,
  [SMALL_STATE(8540)] = 197508,
  [SMALL_STATE(8541)] = 197558,
  [SMALL_STATE(8542)] = 197610,
  [SMALL_STATE(8543)] = 197660,
  [SMALL_STATE(8544)] = 197712,
  [SMALL_STATE(8545)] = 197762,
  [SMALL_STATE(8546)] = 197812,
  [SMALL_STATE(8547)] = 197862,
  [SMALL_STATE(8548)] = 197914,
  [SMALL_STATE(8549)] = 198016,
  [SMALL_STATE(8550)] = 198066,
  [SMALL_STATE(8551)] = 198118,
  [SMALL_STATE(8552)] = 198220,
  [SMALL_STATE(8553)] = 198270,
  [SMALL_STATE(8554)] = 198320,
  [SMALL_STATE(8555)] = 198372,
  [SMALL_STATE(8556)] = 198470,
  [SMALL_STATE(8557)] = 198572,
  [SMALL_STATE(8558)] = 198624,
  [SMALL_STATE(8559)] = 198674,
  [SMALL_STATE(8560)] = 198724,
  [SMALL_STATE(8561)] = 198774,
  [SMALL_STATE(8562)] = 198824,
  [SMALL_STATE(8563)] = 198874,
  [SMALL_STATE(8564)] = 198924,
  [SMALL_STATE(8565)] = 199026,
  [SMALL_STATE(8566)] = 199076,
  [SMALL_STATE(8567)] = 199178,
  [SMALL_STATE(8568)] = 199280,
  [SMALL_STATE(8569)] = 199376,
  [SMALL_STATE(8570)] = 199426,
  [SMALL_STATE(8571)] = 199528,
  [SMALL_STATE(8572)] = 199578,
  [SMALL_STATE(8573)] = 199680,
  [SMALL_STATE(8574)] = 199778,
  [SMALL_STATE(8575)] = 199880,
  [SMALL_STATE(8576)] = 199932,
  [SMALL_STATE(8577)] = 200034,
  [SMALL_STATE(8578)] = 200084,
  [SMALL_STATE(8579)] = 200136,
  [SMALL_STATE(8580)] = 200186,
  [SMALL_STATE(8581)] = 200236,
  [SMALL_STATE(8582)] = 200286,
  [SMALL_STATE(8583)] = 200336,
  [SMALL_STATE(8584)] = 200438,
  [SMALL_STATE(8585)] = 200488,
  [SMALL_STATE(8586)] = 200538,
  [SMALL_STATE(8587)] = 200640,
  [SMALL_STATE(8588)] = 200690,
  [SMALL_STATE(8589)] = 200740,
  [SMALL_STATE(8590)] = 200842,
  [SMALL_STATE(8591)] = 200892,
  [SMALL_STATE(8592)] = 200938,
  [SMALL_STATE(8593)] = 200988,
  [SMALL_STATE(8594)] = 201040,
  [SMALL_STATE(8595)] = 201090,
  [SMALL_STATE(8596)] = 201142,
  [SMALL_STATE(8597)] = 201244,
  [SMALL_STATE(8598)] = 201294,
  [SMALL_STATE(8599)] = 201396,
  [SMALL_STATE(8600)] = 201498,
  [SMALL_STATE(8601)] = 201548,
  [SMALL_STATE(8602)] = 201650,
  [SMALL_STATE(8603)] = 201752,
  [SMALL_STATE(8604)] = 201802,
  [SMALL_STATE(8605)] = 201852,
  [SMALL_STATE(8606)] = 201902,
  [SMALL_STATE(8607)] = 201952,
  [SMALL_STATE(8608)] = 202002,
  [SMALL_STATE(8609)] = 202104,
  [SMALL_STATE(8610)] = 202154,
  [SMALL_STATE(8611)] = 202204,
  [SMALL_STATE(8612)] = 202250,
  [SMALL_STATE(8613)] = 202352,
  [SMALL_STATE(8614)] = 202402,
  [SMALL_STATE(8615)] = 202452,
  [SMALL_STATE(8616)] = 202554,
  [SMALL_STATE(8617)] = 202604,
  [SMALL_STATE(8618)] = 202706,
  [SMALL_STATE(8619)] = 202808,
  [SMALL_STATE(8620)] = 202858,
  [SMALL_STATE(8621)] = 202908,
  [SMALL_STATE(8622)] = 203010,
  [SMALL_STATE(8623)] = 203060,
  [SMALL_STATE(8624)] = 203110,
  [SMALL_STATE(8625)] = 203162,
  [SMALL_STATE(8626)] = 203212,
  [SMALL_STATE(8627)] = 203262,
  [SMALL_STATE(8628)] = 203314,
  [SMALL_STATE(8629)] = 203416,
  [SMALL_STATE(8630)] = 203466,
  [SMALL_STATE(8631)] = 203516,
  [SMALL_STATE(8632)] = 203566,
  [SMALL_STATE(8633)] = 203616,
  [SMALL_STATE(8634)] = 203718,
  [SMALL_STATE(8635)] = 203820,
  [SMALL_STATE(8636)] = 203870,
  [SMALL_STATE(8637)] = 203920,
  [SMALL_STATE(8638)] = 203970,
  [SMALL_STATE(8639)] = 204020,
  [SMALL_STATE(8640)] = 204070,
  [SMALL_STATE(8641)] = 204120,
  [SMALL_STATE(8642)] = 204222,
  [SMALL_STATE(8643)] = 204324,
  [SMALL_STATE(8644)] = 204374,
  [SMALL_STATE(8645)] = 204424,
  [SMALL_STATE(8646)] = 204474,
  [SMALL_STATE(8647)] = 204524,
  [SMALL_STATE(8648)] = 204574,
  [SMALL_STATE(8649)] = 204624,
  [SMALL_STATE(8650)] = 204674,
  [SMALL_STATE(8651)] = 204724,
  [SMALL_STATE(8652)] = 204774,
  [SMALL_STATE(8653)] = 204824,
  [SMALL_STATE(8654)] = 204874,
  [SMALL_STATE(8655)] = 204924,
  [SMALL_STATE(8656)] = 204974,
  [SMALL_STATE(8657)] = 205024,
  [SMALL_STATE(8658)] = 205074,
  [SMALL_STATE(8659)] = 205124,
  [SMALL_STATE(8660)] = 205174,
  [SMALL_STATE(8661)] = 205224,
  [SMALL_STATE(8662)] = 205274,
  [SMALL_STATE(8663)] = 205376,
  [SMALL_STATE(8664)] = 205426,
  [SMALL_STATE(8665)] = 205476,
  [SMALL_STATE(8666)] = 205526,
  [SMALL_STATE(8667)] = 205576,
  [SMALL_STATE(8668)] = 205628,
  [SMALL_STATE(8669)] = 205680,
  [SMALL_STATE(8670)] = 205730,
  [SMALL_STATE(8671)] = 205782,
  [SMALL_STATE(8672)] = 205834,
  [SMALL_STATE(8673)] = 205884,
  [SMALL_STATE(8674)] = 205934,
  [SMALL_STATE(8675)] = 205986,
  [SMALL_STATE(8676)] = 206036,
  [SMALL_STATE(8677)] = 206088,
  [SMALL_STATE(8678)] = 206138,
  [SMALL_STATE(8679)] = 206188,
  [SMALL_STATE(8680)] = 206240,
  [SMALL_STATE(8681)] = 206290,
  [SMALL_STATE(8682)] = 206342,
  [SMALL_STATE(8683)] = 206392,
  [SMALL_STATE(8684)] = 206442,
  [SMALL_STATE(8685)] = 206492,
  [SMALL_STATE(8686)] = 206542,
  [SMALL_STATE(8687)] = 206592,
  [SMALL_STATE(8688)] = 206644,
  [SMALL_STATE(8689)] = 206694,
  [SMALL_STATE(8690)] = 206744,
  [SMALL_STATE(8691)] = 206794,
  [SMALL_STATE(8692)] = 206844,
  [SMALL_STATE(8693)] = 206894,
  [SMALL_STATE(8694)] = 206944,
  [SMALL_STATE(8695)] = 206996,
  [SMALL_STATE(8696)] = 207048,
  [SMALL_STATE(8697)] = 207098,
  [SMALL_STATE(8698)] = 207148,
  [SMALL_STATE(8699)] = 207198,
  [SMALL_STATE(8700)] = 207248,
  [SMALL_STATE(8701)] = 207298,
  [SMALL_STATE(8702)] = 207350,
  [SMALL_STATE(8703)] = 207400,
  [SMALL_STATE(8704)] = 207450,
  [SMALL_STATE(8705)] = 207500,
  [SMALL_STATE(8706)] = 207550,
  [SMALL_STATE(8707)] = 207600,
  [SMALL_STATE(8708)] = 207702,
  [SMALL_STATE(8709)] = 207752,
  [SMALL_STATE(8710)] = 207802,
  [SMALL_STATE(8711)] = 207852,
  [SMALL_STATE(8712)] = 207902,
  [SMALL_STATE(8713)] = 207952,
  [SMALL_STATE(8714)] = 208002,
  [SMALL_STATE(8715)] = 208052,
  [SMALL_STATE(8716)] = 208102,
  [SMALL_STATE(8717)] = 208152,
  [SMALL_STATE(8718)] = 208202,
  [SMALL_STATE(8719)] = 208252,
  [SMALL_STATE(8720)] = 208302,
  [SMALL_STATE(8721)] = 208352,
  [SMALL_STATE(8722)] = 208402,
  [SMALL_STATE(8723)] = 208452,
  [SMALL_STATE(8724)] = 208502,
  [SMALL_STATE(8725)] = 208552,
  [SMALL_STATE(8726)] = 208604,
  [SMALL_STATE(8727)] = 208656,
  [SMALL_STATE(8728)] = 208706,
  [SMALL_STATE(8729)] = 208756,
  [SMALL_STATE(8730)] = 208808,
  [SMALL_STATE(8731)] = 208858,
  [SMALL_STATE(8732)] = 208908,
  [SMALL_STATE(8733)] = 208958,
  [SMALL_STATE(8734)] = 209008,
  [SMALL_STATE(8735)] = 209058,
  [SMALL_STATE(8736)] = 209110,
  [SMALL_STATE(8737)] = 209160,
  [SMALL_STATE(8738)] = 209210,
  [SMALL_STATE(8739)] = 209260,
  [SMALL_STATE(8740)] = 209310,
  [SMALL_STATE(8741)] = 209360,
  [SMALL_STATE(8742)] = 209410,
  [SMALL_STATE(8743)] = 209460,
  [SMALL_STATE(8744)] = 209512,
  [SMALL_STATE(8745)] = 209562,
  [SMALL_STATE(8746)] = 209612,
  [SMALL_STATE(8747)] = 209664,
  [SMALL_STATE(8748)] = 209716,
  [SMALL_STATE(8749)] = 209766,
  [SMALL_STATE(8750)] = 209818,
  [SMALL_STATE(8751)] = 209868,
  [SMALL_STATE(8752)] = 209918,
  [SMALL_STATE(8753)] = 209968,
  [SMALL_STATE(8754)] = 210018,
  [SMALL_STATE(8755)] = 210068,
  [SMALL_STATE(8756)] = 210118,
  [SMALL_STATE(8757)] = 210168,
  [SMALL_STATE(8758)] = 210218,
  [SMALL_STATE(8759)] = 210268,
  [SMALL_STATE(8760)] = 210318,
  [SMALL_STATE(8761)] = 210368,
  [SMALL_STATE(8762)] = 210418,
  [SMALL_STATE(8763)] = 210520,
  [SMALL_STATE(8764)] = 210570,
  [SMALL_STATE(8765)] = 210620,
  [SMALL_STATE(8766)] = 210670,
  [SMALL_STATE(8767)] = 210720,
  [SMALL_STATE(8768)] = 210770,
  [SMALL_STATE(8769)] = 210820,
  [SMALL_STATE(8770)] = 210870,
  [SMALL_STATE(8771)] = 210920,
  [SMALL_STATE(8772)] = 210970,
  [SMALL_STATE(8773)] = 211022,
  [SMALL_STATE(8774)] = 211072,
  [SMALL_STATE(8775)] = 211122,
  [SMALL_STATE(8776)] = 211172,
  [SMALL_STATE(8777)] = 211222,
  [SMALL_STATE(8778)] = 211272,
  [SMALL_STATE(8779)] = 211322,
  [SMALL_STATE(8780)] = 211374,
  [SMALL_STATE(8781)] = 211424,
  [SMALL_STATE(8782)] = 211474,
  [SMALL_STATE(8783)] = 211522,
  [SMALL_STATE(8784)] = 211572,
  [SMALL_STATE(8785)] = 211622,
  [SMALL_STATE(8786)] = 211672,
  [SMALL_STATE(8787)] = 211722,
  [SMALL_STATE(8788)] = 211772,
  [SMALL_STATE(8789)] = 211822,
  [SMALL_STATE(8790)] = 211872,
  [SMALL_STATE(8791)] = 211922,
  [SMALL_STATE(8792)] = 211972,
  [SMALL_STATE(8793)] = 212024,
  [SMALL_STATE(8794)] = 212074,
  [SMALL_STATE(8795)] = 212124,
  [SMALL_STATE(8796)] = 212174,
  [SMALL_STATE(8797)] = 212226,
  [SMALL_STATE(8798)] = 212274,
  [SMALL_STATE(8799)] = 212326,
  [SMALL_STATE(8800)] = 212376,
  [SMALL_STATE(8801)] = 212426,
  [SMALL_STATE(8802)] = 212476,
  [SMALL_STATE(8803)] = 212528,
  [SMALL_STATE(8804)] = 212580,
  [SMALL_STATE(8805)] = 212634,
  [SMALL_STATE(8806)] = 212684,
  [SMALL_STATE(8807)] = 212734,
  [SMALL_STATE(8808)] = 212784,
  [SMALL_STATE(8809)] = 212836,
  [SMALL_STATE(8810)] = 212888,
  [SMALL_STATE(8811)] = 212938,
  [SMALL_STATE(8812)] = 212988,
  [SMALL_STATE(8813)] = 213040,
  [SMALL_STATE(8814)] = 213090,
  [SMALL_STATE(8815)] = 213142,
  [SMALL_STATE(8816)] = 213192,
  [SMALL_STATE(8817)] = 213242,
  [SMALL_STATE(8818)] = 213294,
  [SMALL_STATE(8819)] = 213344,
  [SMALL_STATE(8820)] = 213394,
  [SMALL_STATE(8821)] = 213446,
  [SMALL_STATE(8822)] = 213496,
  [SMALL_STATE(8823)] = 213546,
  [SMALL_STATE(8824)] = 213596,
  [SMALL_STATE(8825)] = 213646,
  [SMALL_STATE(8826)] = 213696,
  [SMALL_STATE(8827)] = 213746,
  [SMALL_STATE(8828)] = 213798,
  [SMALL_STATE(8829)] = 213848,
  [SMALL_STATE(8830)] = 213900,
  [SMALL_STATE(8831)] = 213950,
  [SMALL_STATE(8832)] = 214000,
  [SMALL_STATE(8833)] = 214050,
  [SMALL_STATE(8834)] = 214100,
  [SMALL_STATE(8835)] = 214150,
  [SMALL_STATE(8836)] = 214252,
  [SMALL_STATE(8837)] = 214354,
  [SMALL_STATE(8838)] = 214404,
  [SMALL_STATE(8839)] = 214454,
  [SMALL_STATE(8840)] = 214504,
  [SMALL_STATE(8841)] = 214554,
  [SMALL_STATE(8842)] = 214606,
  [SMALL_STATE(8843)] = 214656,
  [SMALL_STATE(8844)] = 214706,
  [SMALL_STATE(8845)] = 214756,
  [SMALL_STATE(8846)] = 214806,
  [SMALL_STATE(8847)] = 214856,
  [SMALL_STATE(8848)] = 214906,
  [SMALL_STATE(8849)] = 214956,
  [SMALL_STATE(8850)] = 215006,
  [SMALL_STATE(8851)] = 215056,
  [SMALL_STATE(8852)] = 215108,
  [SMALL_STATE(8853)] = 215158,
  [SMALL_STATE(8854)] = 215208,
  [SMALL_STATE(8855)] = 215258,
  [SMALL_STATE(8856)] = 215310,
  [SMALL_STATE(8857)] = 215360,
  [SMALL_STATE(8858)] = 215410,
  [SMALL_STATE(8859)] = 215460,
  [SMALL_STATE(8860)] = 215512,
  [SMALL_STATE(8861)] = 215562,
  [SMALL_STATE(8862)] = 215612,
  [SMALL_STATE(8863)] = 215662,
  [SMALL_STATE(8864)] = 215714,
  [SMALL_STATE(8865)] = 215764,
  [SMALL_STATE(8866)] = 215814,
  [SMALL_STATE(8867)] = 215864,
  [SMALL_STATE(8868)] = 215914,
  [SMALL_STATE(8869)] = 215964,
  [SMALL_STATE(8870)] = 216014,
  [SMALL_STATE(8871)] = 216064,
  [SMALL_STATE(8872)] = 216114,
  [SMALL_STATE(8873)] = 216164,
  [SMALL_STATE(8874)] = 216214,
  [SMALL_STATE(8875)] = 216264,
  [SMALL_STATE(8876)] = 216314,
  [SMALL_STATE(8877)] = 216364,
  [SMALL_STATE(8878)] = 216414,
  [SMALL_STATE(8879)] = 216464,
  [SMALL_STATE(8880)] = 216514,
  [SMALL_STATE(8881)] = 216564,
  [SMALL_STATE(8882)] = 216614,
  [SMALL_STATE(8883)] = 216664,
  [SMALL_STATE(8884)] = 216714,
  [SMALL_STATE(8885)] = 216764,
  [SMALL_STATE(8886)] = 216814,
  [SMALL_STATE(8887)] = 216864,
  [SMALL_STATE(8888)] = 216914,
  [SMALL_STATE(8889)] = 216964,
  [SMALL_STATE(8890)] = 217014,
  [SMALL_STATE(8891)] = 217064,
  [SMALL_STATE(8892)] = 217114,
  [SMALL_STATE(8893)] = 217164,
  [SMALL_STATE(8894)] = 217214,
  [SMALL_STATE(8895)] = 217264,
  [SMALL_STATE(8896)] = 217314,
  [SMALL_STATE(8897)] = 217364,
  [SMALL_STATE(8898)] = 217414,
  [SMALL_STATE(8899)] = 217464,
  [SMALL_STATE(8900)] = 217514,
  [SMALL_STATE(8901)] = 217564,
  [SMALL_STATE(8902)] = 217614,
  [SMALL_STATE(8903)] = 217664,
  [SMALL_STATE(8904)] = 217714,
  [SMALL_STATE(8905)] = 217764,
  [SMALL_STATE(8906)] = 217814,
  [SMALL_STATE(8907)] = 217864,
  [SMALL_STATE(8908)] = 217914,
  [SMALL_STATE(8909)] = 217964,
  [SMALL_STATE(8910)] = 218014,
  [SMALL_STATE(8911)] = 218064,
  [SMALL_STATE(8912)] = 218114,
  [SMALL_STATE(8913)] = 218164,
  [SMALL_STATE(8914)] = 218214,
  [SMALL_STATE(8915)] = 218264,
  [SMALL_STATE(8916)] = 218314,
  [SMALL_STATE(8917)] = 218364,
  [SMALL_STATE(8918)] = 218414,
  [SMALL_STATE(8919)] = 218464,
  [SMALL_STATE(8920)] = 218514,
  [SMALL_STATE(8921)] = 218616,
  [SMALL_STATE(8922)] = 218666,
  [SMALL_STATE(8923)] = 218716,
  [SMALL_STATE(8924)] = 218766,
  [SMALL_STATE(8925)] = 218816,
  [SMALL_STATE(8926)] = 218866,
  [SMALL_STATE(8927)] = 218916,
  [SMALL_STATE(8928)] = 218966,
  [SMALL_STATE(8929)] = 219016,
  [SMALL_STATE(8930)] = 219066,
  [SMALL_STATE(8931)] = 219116,
  [SMALL_STATE(8932)] = 219166,
  [SMALL_STATE(8933)] = 219216,
  [SMALL_STATE(8934)] = 219266,
  [SMALL_STATE(8935)] = 219316,
  [SMALL_STATE(8936)] = 219366,
  [SMALL_STATE(8937)] = 219416,
  [SMALL_STATE(8938)] = 219466,
  [SMALL_STATE(8939)] = 219516,
  [SMALL_STATE(8940)] = 219566,
  [SMALL_STATE(8941)] = 219616,
  [SMALL_STATE(8942)] = 219666,
  [SMALL_STATE(8943)] = 219716,
  [SMALL_STATE(8944)] = 219766,
  [SMALL_STATE(8945)] = 219816,
  [SMALL_STATE(8946)] = 219866,
  [SMALL_STATE(8947)] = 219916,
  [SMALL_STATE(8948)] = 219966,
  [SMALL_STATE(8949)] = 220016,
  [SMALL_STATE(8950)] = 220066,
  [SMALL_STATE(8951)] = 220116,
  [SMALL_STATE(8952)] = 220166,
  [SMALL_STATE(8953)] = 220216,
  [SMALL_STATE(8954)] = 220266,
  [SMALL_STATE(8955)] = 220316,
  [SMALL_STATE(8956)] = 220366,
  [SMALL_STATE(8957)] = 220416,
  [SMALL_STATE(8958)] = 220466,
  [SMALL_STATE(8959)] = 220516,
  [SMALL_STATE(8960)] = 220566,
  [SMALL_STATE(8961)] = 220616,
  [SMALL_STATE(8962)] = 220666,
  [SMALL_STATE(8963)] = 220716,
  [SMALL_STATE(8964)] = 220766,
  [SMALL_STATE(8965)] = 220816,
  [SMALL_STATE(8966)] = 220866,
  [SMALL_STATE(8967)] = 220916,
  [SMALL_STATE(8968)] = 220966,
  [SMALL_STATE(8969)] = 221016,
  [SMALL_STATE(8970)] = 221066,
  [SMALL_STATE(8971)] = 221116,
  [SMALL_STATE(8972)] = 221166,
  [SMALL_STATE(8973)] = 221216,
  [SMALL_STATE(8974)] = 221266,
  [SMALL_STATE(8975)] = 221316,
  [SMALL_STATE(8976)] = 221366,
  [SMALL_STATE(8977)] = 221416,
  [SMALL_STATE(8978)] = 221466,
  [SMALL_STATE(8979)] = 221516,
  [SMALL_STATE(8980)] = 221566,
  [SMALL_STATE(8981)] = 221616,
  [SMALL_STATE(8982)] = 221666,
  [SMALL_STATE(8983)] = 221716,
  [SMALL_STATE(8984)] = 221766,
  [SMALL_STATE(8985)] = 221816,
  [SMALL_STATE(8986)] = 221866,
  [SMALL_STATE(8987)] = 221916,
  [SMALL_STATE(8988)] = 221966,
  [SMALL_STATE(8989)] = 222016,
  [SMALL_STATE(8990)] = 222066,
  [SMALL_STATE(8991)] = 222116,
  [SMALL_STATE(8992)] = 222166,
  [SMALL_STATE(8993)] = 222216,
  [SMALL_STATE(8994)] = 222266,
  [SMALL_STATE(8995)] = 222316,
  [SMALL_STATE(8996)] = 222366,
  [SMALL_STATE(8997)] = 222416,
  [SMALL_STATE(8998)] = 222466,
  [SMALL_STATE(8999)] = 222516,
  [SMALL_STATE(9000)] = 222566,
  [SMALL_STATE(9001)] = 222616,
  [SMALL_STATE(9002)] = 222666,
  [SMALL_STATE(9003)] = 222718,
  [SMALL_STATE(9004)] = 222768,
  [SMALL_STATE(9005)] = 222818,
  [SMALL_STATE(9006)] = 222868,
  [SMALL_STATE(9007)] = 222918,
  [SMALL_STATE(9008)] = 222968,
  [SMALL_STATE(9009)] = 223018,
  [SMALL_STATE(9010)] = 223068,
  [SMALL_STATE(9011)] = 223118,
  [SMALL_STATE(9012)] = 223168,
  [SMALL_STATE(9013)] = 223218,
  [SMALL_STATE(9014)] = 223268,
  [SMALL_STATE(9015)] = 223318,
  [SMALL_STATE(9016)] = 223368,
  [SMALL_STATE(9017)] = 223418,
  [SMALL_STATE(9018)] = 223470,
  [SMALL_STATE(9019)] = 223520,
  [SMALL_STATE(9020)] = 223570,
  [SMALL_STATE(9021)] = 223620,
  [SMALL_STATE(9022)] = 223670,
  [SMALL_STATE(9023)] = 223720,
  [SMALL_STATE(9024)] = 223770,
  [SMALL_STATE(9025)] = 223820,
  [SMALL_STATE(9026)] = 223870,
  [SMALL_STATE(9027)] = 223924,
  [SMALL_STATE(9028)] = 223974,
  [SMALL_STATE(9029)] = 224024,
  [SMALL_STATE(9030)] = 224074,
  [SMALL_STATE(9031)] = 224126,
  [SMALL_STATE(9032)] = 224176,
  [SMALL_STATE(9033)] = 224226,
  [SMALL_STATE(9034)] = 224276,
  [SMALL_STATE(9035)] = 224326,
  [SMALL_STATE(9036)] = 224376,
  [SMALL_STATE(9037)] = 224426,
  [SMALL_STATE(9038)] = 224478,
  [SMALL_STATE(9039)] = 224530,
  [SMALL_STATE(9040)] = 224580,
  [SMALL_STATE(9041)] = 224630,
  [SMALL_STATE(9042)] = 224682,
  [SMALL_STATE(9043)] = 224732,
  [SMALL_STATE(9044)] = 224784,
  [SMALL_STATE(9045)] = 224834,
  [SMALL_STATE(9046)] = 224884,
  [SMALL_STATE(9047)] = 224934,
  [SMALL_STATE(9048)] = 224984,
  [SMALL_STATE(9049)] = 225034,
  [SMALL_STATE(9050)] = 225084,
  [SMALL_STATE(9051)] = 225134,
  [SMALL_STATE(9052)] = 225184,
  [SMALL_STATE(9053)] = 225234,
  [SMALL_STATE(9054)] = 225284,
  [SMALL_STATE(9055)] = 225334,
  [SMALL_STATE(9056)] = 225384,
  [SMALL_STATE(9057)] = 225433,
  [SMALL_STATE(9058)] = 225482,
  [SMALL_STATE(9059)] = 225531,
  [SMALL_STATE(9060)] = 225580,
  [SMALL_STATE(9061)] = 225629,
  [SMALL_STATE(9062)] = 225678,
  [SMALL_STATE(9063)] = 225727,
  [SMALL_STATE(9064)] = 225776,
  [SMALL_STATE(9065)] = 225825,
  [SMALL_STATE(9066)] = 225874,
  [SMALL_STATE(9067)] = 225971,
  [SMALL_STATE(9068)] = 226020,
  [SMALL_STATE(9069)] = 226069,
  [SMALL_STATE(9070)] = 226168,
  [SMALL_STATE(9071)] = 226217,
  [SMALL_STATE(9072)] = 226316,
  [SMALL_STATE(9073)] = 226415,
  [SMALL_STATE(9074)] = 226514,
  [SMALL_STATE(9075)] = 226563,
  [SMALL_STATE(9076)] = 226612,
  [SMALL_STATE(9077)] = 226711,
  [SMALL_STATE(9078)] = 226810,
  [SMALL_STATE(9079)] = 226859,
  [SMALL_STATE(9080)] = 226908,
  [SMALL_STATE(9081)] = 227007,
  [SMALL_STATE(9082)] = 227106,
  [SMALL_STATE(9083)] = 227155,
  [SMALL_STATE(9084)] = 227204,
  [SMALL_STATE(9085)] = 227253,
  [SMALL_STATE(9086)] = 227352,
  [SMALL_STATE(9087)] = 227401,
  [SMALL_STATE(9088)] = 227450,
  [SMALL_STATE(9089)] = 227499,
  [SMALL_STATE(9090)] = 227598,
  [SMALL_STATE(9091)] = 227647,
  [SMALL_STATE(9092)] = 227746,
  [SMALL_STATE(9093)] = 227795,
  [SMALL_STATE(9094)] = 227844,
  [SMALL_STATE(9095)] = 227893,
  [SMALL_STATE(9096)] = 227942,
  [SMALL_STATE(9097)] = 227987,
  [SMALL_STATE(9098)] = 228086,
  [SMALL_STATE(9099)] = 228185,
  [SMALL_STATE(9100)] = 228232,
  [SMALL_STATE(9101)] = 228331,
  [SMALL_STATE(9102)] = 228380,
  [SMALL_STATE(9103)] = 228425,
  [SMALL_STATE(9104)] = 228470,
  [SMALL_STATE(9105)] = 228569,
  [SMALL_STATE(9106)] = 228668,
  [SMALL_STATE(9107)] = 228715,
  [SMALL_STATE(9108)] = 228762,
  [SMALL_STATE(9109)] = 228811,
  [SMALL_STATE(9110)] = 228860,
  [SMALL_STATE(9111)] = 228909,
  [SMALL_STATE(9112)] = 228958,
  [SMALL_STATE(9113)] = 229007,
  [SMALL_STATE(9114)] = 229056,
  [SMALL_STATE(9115)] = 229105,
  [SMALL_STATE(9116)] = 229154,
  [SMALL_STATE(9117)] = 229203,
  [SMALL_STATE(9118)] = 229252,
  [SMALL_STATE(9119)] = 229301,
  [SMALL_STATE(9120)] = 229350,
  [SMALL_STATE(9121)] = 229399,
  [SMALL_STATE(9122)] = 229448,
  [SMALL_STATE(9123)] = 229497,
  [SMALL_STATE(9124)] = 229546,
  [SMALL_STATE(9125)] = 229595,
  [SMALL_STATE(9126)] = 229644,
  [SMALL_STATE(9127)] = 229693,
  [SMALL_STATE(9128)] = 229742,
  [SMALL_STATE(9129)] = 229791,
  [SMALL_STATE(9130)] = 229840,
  [SMALL_STATE(9131)] = 229889,
  [SMALL_STATE(9132)] = 229938,
  [SMALL_STATE(9133)] = 229987,
  [SMALL_STATE(9134)] = 230036,
  [SMALL_STATE(9135)] = 230085,
  [SMALL_STATE(9136)] = 230134,
  [SMALL_STATE(9137)] = 230183,
  [SMALL_STATE(9138)] = 230232,
  [SMALL_STATE(9139)] = 230281,
  [SMALL_STATE(9140)] = 230330,
  [SMALL_STATE(9141)] = 230379,
  [SMALL_STATE(9142)] = 230428,
  [SMALL_STATE(9143)] = 230477,
  [SMALL_STATE(9144)] = 230526,
  [SMALL_STATE(9145)] = 230625,
  [SMALL_STATE(9146)] = 230674,
  [SMALL_STATE(9147)] = 230723,
  [SMALL_STATE(9148)] = 230772,
  [SMALL_STATE(9149)] = 230821,
  [SMALL_STATE(9150)] = 230870,
  [SMALL_STATE(9151)] = 230919,
  [SMALL_STATE(9152)] = 230968,
  [SMALL_STATE(9153)] = 231017,
  [SMALL_STATE(9154)] = 231066,
  [SMALL_STATE(9155)] = 231115,
  [SMALL_STATE(9156)] = 231164,
  [SMALL_STATE(9157)] = 231213,
  [SMALL_STATE(9158)] = 231262,
  [SMALL_STATE(9159)] = 231311,
  [SMALL_STATE(9160)] = 231360,
  [SMALL_STATE(9161)] = 231409,
  [SMALL_STATE(9162)] = 231458,
  [SMALL_STATE(9163)] = 231507,
  [SMALL_STATE(9164)] = 231556,
  [SMALL_STATE(9165)] = 231605,
  [SMALL_STATE(9166)] = 231654,
  [SMALL_STATE(9167)] = 231703,
  [SMALL_STATE(9168)] = 231752,
  [SMALL_STATE(9169)] = 231801,
  [SMALL_STATE(9170)] = 231850,
  [SMALL_STATE(9171)] = 231899,
  [SMALL_STATE(9172)] = 231948,
  [SMALL_STATE(9173)] = 231997,
  [SMALL_STATE(9174)] = 232046,
  [SMALL_STATE(9175)] = 232095,
  [SMALL_STATE(9176)] = 232144,
  [SMALL_STATE(9177)] = 232193,
  [SMALL_STATE(9178)] = 232242,
  [SMALL_STATE(9179)] = 232291,
  [SMALL_STATE(9180)] = 232340,
  [SMALL_STATE(9181)] = 232389,
  [SMALL_STATE(9182)] = 232438,
  [SMALL_STATE(9183)] = 232487,
  [SMALL_STATE(9184)] = 232536,
  [SMALL_STATE(9185)] = 232585,
  [SMALL_STATE(9186)] = 232634,
  [SMALL_STATE(9187)] = 232683,
  [SMALL_STATE(9188)] = 232732,
  [SMALL_STATE(9189)] = 232781,
  [SMALL_STATE(9190)] = 232830,
  [SMALL_STATE(9191)] = 232879,
  [SMALL_STATE(9192)] = 232928,
  [SMALL_STATE(9193)] = 232977,
  [SMALL_STATE(9194)] = 233026,
  [SMALL_STATE(9195)] = 233075,
  [SMALL_STATE(9196)] = 233124,
  [SMALL_STATE(9197)] = 233173,
  [SMALL_STATE(9198)] = 233222,
  [SMALL_STATE(9199)] = 233271,
  [SMALL_STATE(9200)] = 233320,
  [SMALL_STATE(9201)] = 233369,
  [SMALL_STATE(9202)] = 233418,
  [SMALL_STATE(9203)] = 233467,
  [SMALL_STATE(9204)] = 233516,
  [SMALL_STATE(9205)] = 233565,
  [SMALL_STATE(9206)] = 233614,
  [SMALL_STATE(9207)] = 233663,
  [SMALL_STATE(9208)] = 233712,
  [SMALL_STATE(9209)] = 233761,
  [SMALL_STATE(9210)] = 233810,
  [SMALL_STATE(9211)] = 233859,
  [SMALL_STATE(9212)] = 233908,
  [SMALL_STATE(9213)] = 233957,
  [SMALL_STATE(9214)] = 234006,
  [SMALL_STATE(9215)] = 234055,
  [SMALL_STATE(9216)] = 234104,
  [SMALL_STATE(9217)] = 234153,
  [SMALL_STATE(9218)] = 234202,
  [SMALL_STATE(9219)] = 234251,
  [SMALL_STATE(9220)] = 234300,
  [SMALL_STATE(9221)] = 234349,
  [SMALL_STATE(9222)] = 234398,
  [SMALL_STATE(9223)] = 234447,
  [SMALL_STATE(9224)] = 234496,
  [SMALL_STATE(9225)] = 234545,
  [SMALL_STATE(9226)] = 234594,
  [SMALL_STATE(9227)] = 234643,
  [SMALL_STATE(9228)] = 234692,
  [SMALL_STATE(9229)] = 234741,
  [SMALL_STATE(9230)] = 234790,
  [SMALL_STATE(9231)] = 234839,
  [SMALL_STATE(9232)] = 234888,
  [SMALL_STATE(9233)] = 234937,
  [SMALL_STATE(9234)] = 234986,
  [SMALL_STATE(9235)] = 235033,
  [SMALL_STATE(9236)] = 235082,
  [SMALL_STATE(9237)] = 235131,
  [SMALL_STATE(9238)] = 235180,
  [SMALL_STATE(9239)] = 235229,
  [SMALL_STATE(9240)] = 235278,
  [SMALL_STATE(9241)] = 235327,
  [SMALL_STATE(9242)] = 235376,
  [SMALL_STATE(9243)] = 235425,
  [SMALL_STATE(9244)] = 235472,
  [SMALL_STATE(9245)] = 235521,
  [SMALL_STATE(9246)] = 235570,
  [SMALL_STATE(9247)] = 235619,
  [SMALL_STATE(9248)] = 235668,
  [SMALL_STATE(9249)] = 235717,
  [SMALL_STATE(9250)] = 235766,
  [SMALL_STATE(9251)] = 235815,
  [SMALL_STATE(9252)] = 235864,
  [SMALL_STATE(9253)] = 235913,
  [SMALL_STATE(9254)] = 235962,
  [SMALL_STATE(9255)] = 236011,
  [SMALL_STATE(9256)] = 236060,
  [SMALL_STATE(9257)] = 236109,
  [SMALL_STATE(9258)] = 236158,
  [SMALL_STATE(9259)] = 236207,
  [SMALL_STATE(9260)] = 236256,
  [SMALL_STATE(9261)] = 236305,
  [SMALL_STATE(9262)] = 236354,
  [SMALL_STATE(9263)] = 236403,
  [SMALL_STATE(9264)] = 236452,
  [SMALL_STATE(9265)] = 236501,
  [SMALL_STATE(9266)] = 236550,
  [SMALL_STATE(9267)] = 236597,
  [SMALL_STATE(9268)] = 236646,
  [SMALL_STATE(9269)] = 236695,
  [SMALL_STATE(9270)] = 236744,
  [SMALL_STATE(9271)] = 236793,
  [SMALL_STATE(9272)] = 236842,
  [SMALL_STATE(9273)] = 236891,
  [SMALL_STATE(9274)] = 236940,
  [SMALL_STATE(9275)] = 236989,
  [SMALL_STATE(9276)] = 237038,
  [SMALL_STATE(9277)] = 237087,
  [SMALL_STATE(9278)] = 237136,
  [SMALL_STATE(9279)] = 237185,
  [SMALL_STATE(9280)] = 237234,
  [SMALL_STATE(9281)] = 237283,
  [SMALL_STATE(9282)] = 237332,
  [SMALL_STATE(9283)] = 237379,
  [SMALL_STATE(9284)] = 237428,
  [SMALL_STATE(9285)] = 237477,
  [SMALL_STATE(9286)] = 237526,
  [SMALL_STATE(9287)] = 237575,
  [SMALL_STATE(9288)] = 237624,
  [SMALL_STATE(9289)] = 237673,
  [SMALL_STATE(9290)] = 237722,
  [SMALL_STATE(9291)] = 237771,
  [SMALL_STATE(9292)] = 237820,
  [SMALL_STATE(9293)] = 237869,
  [SMALL_STATE(9294)] = 237966,
  [SMALL_STATE(9295)] = 238015,
  [SMALL_STATE(9296)] = 238064,
  [SMALL_STATE(9297)] = 238113,
  [SMALL_STATE(9298)] = 238162,
  [SMALL_STATE(9299)] = 238211,
  [SMALL_STATE(9300)] = 238310,
  [SMALL_STATE(9301)] = 238359,
  [SMALL_STATE(9302)] = 238408,
  [SMALL_STATE(9303)] = 238457,
  [SMALL_STATE(9304)] = 238506,
  [SMALL_STATE(9305)] = 238555,
  [SMALL_STATE(9306)] = 238604,
  [SMALL_STATE(9307)] = 238653,
  [SMALL_STATE(9308)] = 238702,
  [SMALL_STATE(9309)] = 238751,
  [SMALL_STATE(9310)] = 238800,
  [SMALL_STATE(9311)] = 238897,
  [SMALL_STATE(9312)] = 238996,
  [SMALL_STATE(9313)] = 239045,
  [SMALL_STATE(9314)] = 239094,
  [SMALL_STATE(9315)] = 239143,
  [SMALL_STATE(9316)] = 239192,
  [SMALL_STATE(9317)] = 239241,
  [SMALL_STATE(9318)] = 239290,
  [SMALL_STATE(9319)] = 239339,
  [SMALL_STATE(9320)] = 239388,
  [SMALL_STATE(9321)] = 239437,
  [SMALL_STATE(9322)] = 239486,
  [SMALL_STATE(9323)] = 239535,
  [SMALL_STATE(9324)] = 239584,
  [SMALL_STATE(9325)] = 239633,
  [SMALL_STATE(9326)] = 239682,
  [SMALL_STATE(9327)] = 239731,
  [SMALL_STATE(9328)] = 239780,
  [SMALL_STATE(9329)] = 239877,
  [SMALL_STATE(9330)] = 239926,
  [SMALL_STATE(9331)] = 239975,
  [SMALL_STATE(9332)] = 240024,
  [SMALL_STATE(9333)] = 240073,
  [SMALL_STATE(9334)] = 240122,
  [SMALL_STATE(9335)] = 240171,
  [SMALL_STATE(9336)] = 240220,
  [SMALL_STATE(9337)] = 240269,
  [SMALL_STATE(9338)] = 240318,
  [SMALL_STATE(9339)] = 240367,
  [SMALL_STATE(9340)] = 240416,
  [SMALL_STATE(9341)] = 240465,
  [SMALL_STATE(9342)] = 240514,
  [SMALL_STATE(9343)] = 240563,
  [SMALL_STATE(9344)] = 240612,
  [SMALL_STATE(9345)] = 240661,
  [SMALL_STATE(9346)] = 240710,
  [SMALL_STATE(9347)] = 240759,
  [SMALL_STATE(9348)] = 240808,
  [SMALL_STATE(9349)] = 240857,
  [SMALL_STATE(9350)] = 240906,
  [SMALL_STATE(9351)] = 240955,
  [SMALL_STATE(9352)] = 241004,
  [SMALL_STATE(9353)] = 241051,
  [SMALL_STATE(9354)] = 241100,
  [SMALL_STATE(9355)] = 241149,
  [SMALL_STATE(9356)] = 241198,
  [SMALL_STATE(9357)] = 241247,
  [SMALL_STATE(9358)] = 241296,
  [SMALL_STATE(9359)] = 241345,
  [SMALL_STATE(9360)] = 241394,
  [SMALL_STATE(9361)] = 241443,
  [SMALL_STATE(9362)] = 241492,
  [SMALL_STATE(9363)] = 241541,
  [SMALL_STATE(9364)] = 241590,
  [SMALL_STATE(9365)] = 241639,
  [SMALL_STATE(9366)] = 241688,
  [SMALL_STATE(9367)] = 241737,
  [SMALL_STATE(9368)] = 241786,
  [SMALL_STATE(9369)] = 241835,
  [SMALL_STATE(9370)] = 241884,
  [SMALL_STATE(9371)] = 241933,
  [SMALL_STATE(9372)] = 241982,
  [SMALL_STATE(9373)] = 242031,
  [SMALL_STATE(9374)] = 242080,
  [SMALL_STATE(9375)] = 242129,
  [SMALL_STATE(9376)] = 242178,
  [SMALL_STATE(9377)] = 242227,
  [SMALL_STATE(9378)] = 242276,
  [SMALL_STATE(9379)] = 242325,
  [SMALL_STATE(9380)] = 242374,
  [SMALL_STATE(9381)] = 242423,
  [SMALL_STATE(9382)] = 242472,
  [SMALL_STATE(9383)] = 242521,
  [SMALL_STATE(9384)] = 242570,
  [SMALL_STATE(9385)] = 242619,
  [SMALL_STATE(9386)] = 242668,
  [SMALL_STATE(9387)] = 242717,
  [SMALL_STATE(9388)] = 242766,
  [SMALL_STATE(9389)] = 242815,
  [SMALL_STATE(9390)] = 242864,
  [SMALL_STATE(9391)] = 242913,
  [SMALL_STATE(9392)] = 242962,
  [SMALL_STATE(9393)] = 243011,
  [SMALL_STATE(9394)] = 243060,
  [SMALL_STATE(9395)] = 243109,
  [SMALL_STATE(9396)] = 243158,
  [SMALL_STATE(9397)] = 243207,
  [SMALL_STATE(9398)] = 243256,
  [SMALL_STATE(9399)] = 243305,
  [SMALL_STATE(9400)] = 243354,
  [SMALL_STATE(9401)] = 243403,
  [SMALL_STATE(9402)] = 243452,
  [SMALL_STATE(9403)] = 243501,
  [SMALL_STATE(9404)] = 243550,
  [SMALL_STATE(9405)] = 243599,
  [SMALL_STATE(9406)] = 243648,
  [SMALL_STATE(9407)] = 243697,
  [SMALL_STATE(9408)] = 243746,
  [SMALL_STATE(9409)] = 243795,
  [SMALL_STATE(9410)] = 243844,
  [SMALL_STATE(9411)] = 243893,
  [SMALL_STATE(9412)] = 243942,
  [SMALL_STATE(9413)] = 243991,
  [SMALL_STATE(9414)] = 244040,
  [SMALL_STATE(9415)] = 244089,
  [SMALL_STATE(9416)] = 244138,
  [SMALL_STATE(9417)] = 244187,
  [SMALL_STATE(9418)] = 244236,
  [SMALL_STATE(9419)] = 244285,
  [SMALL_STATE(9420)] = 244334,
  [SMALL_STATE(9421)] = 244383,
  [SMALL_STATE(9422)] = 244432,
  [SMALL_STATE(9423)] = 244481,
  [SMALL_STATE(9424)] = 244530,
  [SMALL_STATE(9425)] = 244579,
  [SMALL_STATE(9426)] = 244628,
  [SMALL_STATE(9427)] = 244677,
  [SMALL_STATE(9428)] = 244726,
  [SMALL_STATE(9429)] = 244775,
  [SMALL_STATE(9430)] = 244824,
  [SMALL_STATE(9431)] = 244873,
  [SMALL_STATE(9432)] = 244922,
  [SMALL_STATE(9433)] = 244971,
  [SMALL_STATE(9434)] = 245020,
  [SMALL_STATE(9435)] = 245069,
  [SMALL_STATE(9436)] = 245118,
  [SMALL_STATE(9437)] = 245167,
  [SMALL_STATE(9438)] = 245216,
  [SMALL_STATE(9439)] = 245265,
  [SMALL_STATE(9440)] = 245314,
  [SMALL_STATE(9441)] = 245363,
  [SMALL_STATE(9442)] = 245412,
  [SMALL_STATE(9443)] = 245461,
  [SMALL_STATE(9444)] = 245510,
  [SMALL_STATE(9445)] = 245559,
  [SMALL_STATE(9446)] = 245606,
  [SMALL_STATE(9447)] = 245655,
  [SMALL_STATE(9448)] = 245704,
  [SMALL_STATE(9449)] = 245801,
  [SMALL_STATE(9450)] = 245850,
  [SMALL_STATE(9451)] = 245899,
  [SMALL_STATE(9452)] = 245948,
  [SMALL_STATE(9453)] = 245997,
  [SMALL_STATE(9454)] = 246046,
  [SMALL_STATE(9455)] = 246095,
  [SMALL_STATE(9456)] = 246144,
  [SMALL_STATE(9457)] = 246193,
  [SMALL_STATE(9458)] = 246242,
  [SMALL_STATE(9459)] = 246291,
  [SMALL_STATE(9460)] = 246340,
  [SMALL_STATE(9461)] = 246385,
  [SMALL_STATE(9462)] = 246434,
  [SMALL_STATE(9463)] = 246483,
  [SMALL_STATE(9464)] = 246532,
  [SMALL_STATE(9465)] = 246581,
  [SMALL_STATE(9466)] = 246630,
  [SMALL_STATE(9467)] = 246679,
  [SMALL_STATE(9468)] = 246728,
  [SMALL_STATE(9469)] = 246777,
  [SMALL_STATE(9470)] = 246826,
  [SMALL_STATE(9471)] = 246875,
  [SMALL_STATE(9472)] = 246924,
  [SMALL_STATE(9473)] = 246973,
  [SMALL_STATE(9474)] = 247022,
  [SMALL_STATE(9475)] = 247071,
  [SMALL_STATE(9476)] = 247120,
  [SMALL_STATE(9477)] = 247169,
  [SMALL_STATE(9478)] = 247218,
  [SMALL_STATE(9479)] = 247267,
  [SMALL_STATE(9480)] = 247316,
  [SMALL_STATE(9481)] = 247365,
  [SMALL_STATE(9482)] = 247410,
  [SMALL_STATE(9483)] = 247459,
  [SMALL_STATE(9484)] = 247508,
  [SMALL_STATE(9485)] = 247557,
  [SMALL_STATE(9486)] = 247606,
  [SMALL_STATE(9487)] = 247655,
  [SMALL_STATE(9488)] = 247704,
  [SMALL_STATE(9489)] = 247753,
  [SMALL_STATE(9490)] = 247802,
  [SMALL_STATE(9491)] = 247851,
  [SMALL_STATE(9492)] = 247900,
  [SMALL_STATE(9493)] = 247949,
  [SMALL_STATE(9494)] = 247998,
  [SMALL_STATE(9495)] = 248047,
  [SMALL_STATE(9496)] = 248096,
  [SMALL_STATE(9497)] = 248145,
  [SMALL_STATE(9498)] = 248194,
  [SMALL_STATE(9499)] = 248243,
  [SMALL_STATE(9500)] = 248292,
  [SMALL_STATE(9501)] = 248341,
  [SMALL_STATE(9502)] = 248390,
  [SMALL_STATE(9503)] = 248439,
  [SMALL_STATE(9504)] = 248488,
  [SMALL_STATE(9505)] = 248537,
  [SMALL_STATE(9506)] = 248586,
  [SMALL_STATE(9507)] = 248635,
  [SMALL_STATE(9508)] = 248732,
  [SMALL_STATE(9509)] = 248781,
  [SMALL_STATE(9510)] = 248830,
  [SMALL_STATE(9511)] = 248879,
  [SMALL_STATE(9512)] = 248928,
  [SMALL_STATE(9513)] = 248977,
  [SMALL_STATE(9514)] = 249026,
  [SMALL_STATE(9515)] = 249075,
  [SMALL_STATE(9516)] = 249124,
  [SMALL_STATE(9517)] = 249173,
  [SMALL_STATE(9518)] = 249222,
  [SMALL_STATE(9519)] = 249271,
  [SMALL_STATE(9520)] = 249320,
  [SMALL_STATE(9521)] = 249369,
  [SMALL_STATE(9522)] = 249418,
  [SMALL_STATE(9523)] = 249467,
  [SMALL_STATE(9524)] = 249516,
  [SMALL_STATE(9525)] = 249565,
  [SMALL_STATE(9526)] = 249614,
  [SMALL_STATE(9527)] = 249663,
  [SMALL_STATE(9528)] = 249712,
  [SMALL_STATE(9529)] = 249761,
  [SMALL_STATE(9530)] = 249810,
  [SMALL_STATE(9531)] = 249859,
  [SMALL_STATE(9532)] = 249908,
  [SMALL_STATE(9533)] = 249957,
  [SMALL_STATE(9534)] = 250006,
  [SMALL_STATE(9535)] = 250055,
  [SMALL_STATE(9536)] = 250104,
  [SMALL_STATE(9537)] = 250153,
  [SMALL_STATE(9538)] = 250202,
  [SMALL_STATE(9539)] = 250251,
  [SMALL_STATE(9540)] = 250300,
  [SMALL_STATE(9541)] = 250349,
  [SMALL_STATE(9542)] = 250398,
  [SMALL_STATE(9543)] = 250447,
  [SMALL_STATE(9544)] = 250496,
  [SMALL_STATE(9545)] = 250545,
  [SMALL_STATE(9546)] = 250594,
  [SMALL_STATE(9547)] = 250643,
  [SMALL_STATE(9548)] = 250692,
  [SMALL_STATE(9549)] = 250741,
  [SMALL_STATE(9550)] = 250786,
  [SMALL_STATE(9551)] = 250835,
  [SMALL_STATE(9552)] = 250884,
  [SMALL_STATE(9553)] = 250933,
  [SMALL_STATE(9554)] = 250982,
  [SMALL_STATE(9555)] = 251031,
  [SMALL_STATE(9556)] = 251080,
  [SMALL_STATE(9557)] = 251129,
  [SMALL_STATE(9558)] = 251178,
  [SMALL_STATE(9559)] = 251227,
  [SMALL_STATE(9560)] = 251276,
  [SMALL_STATE(9561)] = 251325,
  [SMALL_STATE(9562)] = 251374,
  [SMALL_STATE(9563)] = 251423,
  [SMALL_STATE(9564)] = 251472,
  [SMALL_STATE(9565)] = 251521,
  [SMALL_STATE(9566)] = 251570,
  [SMALL_STATE(9567)] = 251619,
  [SMALL_STATE(9568)] = 251668,
  [SMALL_STATE(9569)] = 251717,
  [SMALL_STATE(9570)] = 251766,
  [SMALL_STATE(9571)] = 251815,
  [SMALL_STATE(9572)] = 251864,
  [SMALL_STATE(9573)] = 251913,
  [SMALL_STATE(9574)] = 251962,
  [SMALL_STATE(9575)] = 252011,
  [SMALL_STATE(9576)] = 252060,
  [SMALL_STATE(9577)] = 252109,
  [SMALL_STATE(9578)] = 252158,
  [SMALL_STATE(9579)] = 252207,
  [SMALL_STATE(9580)] = 252256,
  [SMALL_STATE(9581)] = 252305,
  [SMALL_STATE(9582)] = 252354,
  [SMALL_STATE(9583)] = 252403,
  [SMALL_STATE(9584)] = 252452,
  [SMALL_STATE(9585)] = 252501,
  [SMALL_STATE(9586)] = 252550,
  [SMALL_STATE(9587)] = 252599,
  [SMALL_STATE(9588)] = 252648,
  [SMALL_STATE(9589)] = 252697,
  [SMALL_STATE(9590)] = 252746,
  [SMALL_STATE(9591)] = 252795,
  [SMALL_STATE(9592)] = 252844,
  [SMALL_STATE(9593)] = 252893,
  [SMALL_STATE(9594)] = 252942,
  [SMALL_STATE(9595)] = 252991,
  [SMALL_STATE(9596)] = 253040,
  [SMALL_STATE(9597)] = 253089,
  [SMALL_STATE(9598)] = 253138,
  [SMALL_STATE(9599)] = 253187,
  [SMALL_STATE(9600)] = 253236,
  [SMALL_STATE(9601)] = 253285,
  [SMALL_STATE(9602)] = 253334,
  [SMALL_STATE(9603)] = 253383,
  [SMALL_STATE(9604)] = 253432,
  [SMALL_STATE(9605)] = 253481,
  [SMALL_STATE(9606)] = 253530,
  [SMALL_STATE(9607)] = 253579,
  [SMALL_STATE(9608)] = 253628,
  [SMALL_STATE(9609)] = 253677,
  [SMALL_STATE(9610)] = 253726,
  [SMALL_STATE(9611)] = 253775,
  [SMALL_STATE(9612)] = 253824,
  [SMALL_STATE(9613)] = 253871,
  [SMALL_STATE(9614)] = 253920,
  [SMALL_STATE(9615)] = 253969,
  [SMALL_STATE(9616)] = 254018,
  [SMALL_STATE(9617)] = 254067,
  [SMALL_STATE(9618)] = 254116,
  [SMALL_STATE(9619)] = 254165,
  [SMALL_STATE(9620)] = 254214,
  [SMALL_STATE(9621)] = 254263,
  [SMALL_STATE(9622)] = 254312,
  [SMALL_STATE(9623)] = 254361,
  [SMALL_STATE(9624)] = 254410,
  [SMALL_STATE(9625)] = 254459,
  [SMALL_STATE(9626)] = 254508,
  [SMALL_STATE(9627)] = 254557,
  [SMALL_STATE(9628)] = 254606,
  [SMALL_STATE(9629)] = 254655,
  [SMALL_STATE(9630)] = 254704,
  [SMALL_STATE(9631)] = 254750,
  [SMALL_STATE(9632)] = 254794,
  [SMALL_STATE(9633)] = 254840,
  [SMALL_STATE(9634)] = 254884,
  [SMALL_STATE(9635)] = 254980,
  [SMALL_STATE(9636)] = 255058,
  [SMALL_STATE(9637)] = 255154,
  [SMALL_STATE(9638)] = 255250,
  [SMALL_STATE(9639)] = 255296,
  [SMALL_STATE(9640)] = 255374,
  [SMALL_STATE(9641)] = 255470,
  [SMALL_STATE(9642)] = 255548,
  [SMALL_STATE(9643)] = 255644,
  [SMALL_STATE(9644)] = 255722,
  [SMALL_STATE(9645)] = 255766,
  [SMALL_STATE(9646)] = 255862,
  [SMALL_STATE(9647)] = 255940,
  [SMALL_STATE(9648)] = 255984,
  [SMALL_STATE(9649)] = 256080,
  [SMALL_STATE(9650)] = 256176,
  [SMALL_STATE(9651)] = 256266,
  [SMALL_STATE(9652)] = 256362,
  [SMALL_STATE(9653)] = 256458,
  [SMALL_STATE(9654)] = 256502,
  [SMALL_STATE(9655)] = 256590,
  [SMALL_STATE(9656)] = 256686,
  [SMALL_STATE(9657)] = 256782,
  [SMALL_STATE(9658)] = 256878,
  [SMALL_STATE(9659)] = 256954,
  [SMALL_STATE(9660)] = 257028,
  [SMALL_STATE(9661)] = 257124,
  [SMALL_STATE(9662)] = 257196,
  [SMALL_STATE(9663)] = 257242,
  [SMALL_STATE(9664)] = 257338,
  [SMALL_STATE(9665)] = 257434,
  [SMALL_STATE(9666)] = 257504,
  [SMALL_STATE(9667)] = 257550,
  [SMALL_STATE(9668)] = 257596,
  [SMALL_STATE(9669)] = 257662,
  [SMALL_STATE(9670)] = 257758,
  [SMALL_STATE(9671)] = 257836,
  [SMALL_STATE(9672)] = 257932,
  [SMALL_STATE(9673)] = 258028,
  [SMALL_STATE(9674)] = 258124,
  [SMALL_STATE(9675)] = 258172,
  [SMALL_STATE(9676)] = 258218,
  [SMALL_STATE(9677)] = 258262,
  [SMALL_STATE(9678)] = 258358,
  [SMALL_STATE(9679)] = 258404,
  [SMALL_STATE(9680)] = 258450,
  [SMALL_STATE(9681)] = 258546,
  [SMALL_STATE(9682)] = 258642,
  [SMALL_STATE(9683)] = 258688,
  [SMALL_STATE(9684)] = 258784,
  [SMALL_STATE(9685)] = 258880,
  [SMALL_STATE(9686)] = 258926,
  [SMALL_STATE(9687)] = 258972,
  [SMALL_STATE(9688)] = 259018,
  [SMALL_STATE(9689)] = 259114,
  [SMALL_STATE(9690)] = 259160,
  [SMALL_STATE(9691)] = 259256,
  [SMALL_STATE(9692)] = 259300,
  [SMALL_STATE(9693)] = 259344,
  [SMALL_STATE(9694)] = 259440,
  [SMALL_STATE(9695)] = 259536,
  [SMALL_STATE(9696)] = 259580,
  [SMALL_STATE(9697)] = 259626,
  [SMALL_STATE(9698)] = 259722,
  [SMALL_STATE(9699)] = 259768,
  [SMALL_STATE(9700)] = 259864,
  [SMALL_STATE(9701)] = 259942,
  [SMALL_STATE(9702)] = 260008,
  [SMALL_STATE(9703)] = 260078,
  [SMALL_STATE(9704)] = 260124,
  [SMALL_STATE(9705)] = 260198,
  [SMALL_STATE(9706)] = 260274,
  [SMALL_STATE(9707)] = 260360,
  [SMALL_STATE(9708)] = 260448,
  [SMALL_STATE(9709)] = 260494,
  [SMALL_STATE(9710)] = 260556,
  [SMALL_STATE(9711)] = 260648,
  [SMALL_STATE(9712)] = 260694,
  [SMALL_STATE(9713)] = 260766,
  [SMALL_STATE(9714)] = 260812,
  [SMALL_STATE(9715)] = 260858,
  [SMALL_STATE(9716)] = 260904,
  [SMALL_STATE(9717)] = 260950,
  [SMALL_STATE(9718)] = 261012,
  [SMALL_STATE(9719)] = 261056,
  [SMALL_STATE(9720)] = 261102,
  [SMALL_STATE(9721)] = 261146,
  [SMALL_STATE(9722)] = 261224,
  [SMALL_STATE(9723)] = 261302,
  [SMALL_STATE(9724)] = 261398,
  [SMALL_STATE(9725)] = 261494,
  [SMALL_STATE(9726)] = 261590,
  [SMALL_STATE(9727)] = 261636,
  [SMALL_STATE(9728)] = 261682,
  [SMALL_STATE(9729)] = 261728,
  [SMALL_STATE(9730)] = 261774,
  [SMALL_STATE(9731)] = 261818,
  [SMALL_STATE(9732)] = 261864,
  [SMALL_STATE(9733)] = 261908,
  [SMALL_STATE(9734)] = 261952,
  [SMALL_STATE(9735)] = 261998,
  [SMALL_STATE(9736)] = 262094,
  [SMALL_STATE(9737)] = 262140,
  [SMALL_STATE(9738)] = 262186,
  [SMALL_STATE(9739)] = 262282,
  [SMALL_STATE(9740)] = 262360,
  [SMALL_STATE(9741)] = 262438,
  [SMALL_STATE(9742)] = 262484,
  [SMALL_STATE(9743)] = 262530,
  [SMALL_STATE(9744)] = 262626,
  [SMALL_STATE(9745)] = 262672,
  [SMALL_STATE(9746)] = 262718,
  [SMALL_STATE(9747)] = 262814,
  [SMALL_STATE(9748)] = 262860,
  [SMALL_STATE(9749)] = 262956,
  [SMALL_STATE(9750)] = 263052,
  [SMALL_STATE(9751)] = 263148,
  [SMALL_STATE(9752)] = 263244,
  [SMALL_STATE(9753)] = 263340,
  [SMALL_STATE(9754)] = 263436,
  [SMALL_STATE(9755)] = 263482,
  [SMALL_STATE(9756)] = 263578,
  [SMALL_STATE(9757)] = 263674,
  [SMALL_STATE(9758)] = 263716,
  [SMALL_STATE(9759)] = 263762,
  [SMALL_STATE(9760)] = 263858,
  [SMALL_STATE(9761)] = 263954,
  [SMALL_STATE(9762)] = 264050,
  [SMALL_STATE(9763)] = 264146,
  [SMALL_STATE(9764)] = 264242,
  [SMALL_STATE(9765)] = 264338,
  [SMALL_STATE(9766)] = 264384,
  [SMALL_STATE(9767)] = 264430,
  [SMALL_STATE(9768)] = 264526,
  [SMALL_STATE(9769)] = 264622,
  [SMALL_STATE(9770)] = 264718,
  [SMALL_STATE(9771)] = 264814,
  [SMALL_STATE(9772)] = 264910,
  [SMALL_STATE(9773)] = 265006,
  [SMALL_STATE(9774)] = 265102,
  [SMALL_STATE(9775)] = 265198,
  [SMALL_STATE(9776)] = 265294,
  [SMALL_STATE(9777)] = 265390,
  [SMALL_STATE(9778)] = 265486,
  [SMALL_STATE(9779)] = 265582,
  [SMALL_STATE(9780)] = 265628,
  [SMALL_STATE(9781)] = 265674,
  [SMALL_STATE(9782)] = 265770,
  [SMALL_STATE(9783)] = 265866,
  [SMALL_STATE(9784)] = 265962,
  [SMALL_STATE(9785)] = 266058,
  [SMALL_STATE(9786)] = 266154,
  [SMALL_STATE(9787)] = 266250,
  [SMALL_STATE(9788)] = 266296,
  [SMALL_STATE(9789)] = 266392,
  [SMALL_STATE(9790)] = 266438,
  [SMALL_STATE(9791)] = 266534,
  [SMALL_STATE(9792)] = 266580,
  [SMALL_STATE(9793)] = 266658,
  [SMALL_STATE(9794)] = 266704,
  [SMALL_STATE(9795)] = 266800,
  [SMALL_STATE(9796)] = 266846,
  [SMALL_STATE(9797)] = 266892,
  [SMALL_STATE(9798)] = 266988,
  [SMALL_STATE(9799)] = 267034,
  [SMALL_STATE(9800)] = 267080,
  [SMALL_STATE(9801)] = 267176,
  [SMALL_STATE(9802)] = 267272,
  [SMALL_STATE(9803)] = 267368,
  [SMALL_STATE(9804)] = 267414,
  [SMALL_STATE(9805)] = 267510,
  [SMALL_STATE(9806)] = 267606,
  [SMALL_STATE(9807)] = 267702,
  [SMALL_STATE(9808)] = 267798,
  [SMALL_STATE(9809)] = 267894,
  [SMALL_STATE(9810)] = 267990,
  [SMALL_STATE(9811)] = 268086,
  [SMALL_STATE(9812)] = 268132,
  [SMALL_STATE(9813)] = 268228,
  [SMALL_STATE(9814)] = 268274,
  [SMALL_STATE(9815)] = 268320,
  [SMALL_STATE(9816)] = 268366,
  [SMALL_STATE(9817)] = 268412,
  [SMALL_STATE(9818)] = 268458,
  [SMALL_STATE(9819)] = 268502,
  [SMALL_STATE(9820)] = 268548,
  [SMALL_STATE(9821)] = 268644,
  [SMALL_STATE(9822)] = 268690,
  [SMALL_STATE(9823)] = 268736,
  [SMALL_STATE(9824)] = 268782,
  [SMALL_STATE(9825)] = 268828,
  [SMALL_STATE(9826)] = 268874,
  [SMALL_STATE(9827)] = 268920,
  [SMALL_STATE(9828)] = 268966,
  [SMALL_STATE(9829)] = 269012,
  [SMALL_STATE(9830)] = 269058,
  [SMALL_STATE(9831)] = 269154,
  [SMALL_STATE(9832)] = 269200,
  [SMALL_STATE(9833)] = 269246,
  [SMALL_STATE(9834)] = 269292,
  [SMALL_STATE(9835)] = 269338,
  [SMALL_STATE(9836)] = 269384,
  [SMALL_STATE(9837)] = 269430,
  [SMALL_STATE(9838)] = 269478,
  [SMALL_STATE(9839)] = 269574,
  [SMALL_STATE(9840)] = 269670,
  [SMALL_STATE(9841)] = 269716,
  [SMALL_STATE(9842)] = 269812,
  [SMALL_STATE(9843)] = 269858,
  [SMALL_STATE(9844)] = 269904,
  [SMALL_STATE(9845)] = 269950,
  [SMALL_STATE(9846)] = 269996,
  [SMALL_STATE(9847)] = 270042,
  [SMALL_STATE(9848)] = 270138,
  [SMALL_STATE(9849)] = 270184,
  [SMALL_STATE(9850)] = 270230,
  [SMALL_STATE(9851)] = 270276,
  [SMALL_STATE(9852)] = 270372,
  [SMALL_STATE(9853)] = 270418,
  [SMALL_STATE(9854)] = 270514,
  [SMALL_STATE(9855)] = 270560,
  [SMALL_STATE(9856)] = 270606,
  [SMALL_STATE(9857)] = 270702,
  [SMALL_STATE(9858)] = 270748,
  [SMALL_STATE(9859)] = 270794,
  [SMALL_STATE(9860)] = 270856,
  [SMALL_STATE(9861)] = 270902,
  [SMALL_STATE(9862)] = 270948,
  [SMALL_STATE(9863)] = 271038,
  [SMALL_STATE(9864)] = 271084,
  [SMALL_STATE(9865)] = 271130,
  [SMALL_STATE(9866)] = 271176,
  [SMALL_STATE(9867)] = 271222,
  [SMALL_STATE(9868)] = 271268,
  [SMALL_STATE(9869)] = 271314,
  [SMALL_STATE(9870)] = 271376,
  [SMALL_STATE(9871)] = 271422,
  [SMALL_STATE(9872)] = 271468,
  [SMALL_STATE(9873)] = 271514,
  [SMALL_STATE(9874)] = 271610,
  [SMALL_STATE(9875)] = 271656,
  [SMALL_STATE(9876)] = 271752,
  [SMALL_STATE(9877)] = 271798,
  [SMALL_STATE(9878)] = 271894,
  [SMALL_STATE(9879)] = 271940,
  [SMALL_STATE(9880)] = 271986,
  [SMALL_STATE(9881)] = 272032,
  [SMALL_STATE(9882)] = 272078,
  [SMALL_STATE(9883)] = 272124,
  [SMALL_STATE(9884)] = 272170,
  [SMALL_STATE(9885)] = 272216,
  [SMALL_STATE(9886)] = 272262,
  [SMALL_STATE(9887)] = 272308,
  [SMALL_STATE(9888)] = 272354,
  [SMALL_STATE(9889)] = 272400,
  [SMALL_STATE(9890)] = 272446,
  [SMALL_STATE(9891)] = 272489,
  [SMALL_STATE(9892)] = 272532,
  [SMALL_STATE(9893)] = 272575,
  [SMALL_STATE(9894)] = 272618,
  [SMALL_STATE(9895)] = 272661,
  [SMALL_STATE(9896)] = 272704,
  [SMALL_STATE(9897)] = 272747,
  [SMALL_STATE(9898)] = 272790,
  [SMALL_STATE(9899)] = 272833,
  [SMALL_STATE(9900)] = 272876,
  [SMALL_STATE(9901)] = 272919,
  [SMALL_STATE(9902)] = 272962,
  [SMALL_STATE(9903)] = 273005,
  [SMALL_STATE(9904)] = 273048,
  [SMALL_STATE(9905)] = 273091,
  [SMALL_STATE(9906)] = 273134,
  [SMALL_STATE(9907)] = 273177,
  [SMALL_STATE(9908)] = 273220,
  [SMALL_STATE(9909)] = 273263,
  [SMALL_STATE(9910)] = 273306,
  [SMALL_STATE(9911)] = 273349,
  [SMALL_STATE(9912)] = 273392,
  [SMALL_STATE(9913)] = 273435,
  [SMALL_STATE(9914)] = 273478,
  [SMALL_STATE(9915)] = 273521,
  [SMALL_STATE(9916)] = 273564,
  [SMALL_STATE(9917)] = 273607,
  [SMALL_STATE(9918)] = 273650,
  [SMALL_STATE(9919)] = 273693,
  [SMALL_STATE(9920)] = 273736,
  [SMALL_STATE(9921)] = 273829,
  [SMALL_STATE(9922)] = 273922,
  [SMALL_STATE(9923)] = 273965,
  [SMALL_STATE(9924)] = 274058,
  [SMALL_STATE(9925)] = 274151,
  [SMALL_STATE(9926)] = 274244,
  [SMALL_STATE(9927)] = 274337,
  [SMALL_STATE(9928)] = 274380,
  [SMALL_STATE(9929)] = 274473,
  [SMALL_STATE(9930)] = 274566,
  [SMALL_STATE(9931)] = 274609,
  [SMALL_STATE(9932)] = 274652,
  [SMALL_STATE(9933)] = 274695,
  [SMALL_STATE(9934)] = 274738,
  [SMALL_STATE(9935)] = 274781,
  [SMALL_STATE(9936)] = 274824,
  [SMALL_STATE(9937)] = 274867,
  [SMALL_STATE(9938)] = 274910,
  [SMALL_STATE(9939)] = 274953,
  [SMALL_STATE(9940)] = 274996,
  [SMALL_STATE(9941)] = 275039,
  [SMALL_STATE(9942)] = 275082,
  [SMALL_STATE(9943)] = 275125,
  [SMALL_STATE(9944)] = 275168,
  [SMALL_STATE(9945)] = 275211,
  [SMALL_STATE(9946)] = 275254,
  [SMALL_STATE(9947)] = 275297,
  [SMALL_STATE(9948)] = 275340,
  [SMALL_STATE(9949)] = 275383,
  [SMALL_STATE(9950)] = 275426,
  [SMALL_STATE(9951)] = 275469,
  [SMALL_STATE(9952)] = 275512,
  [SMALL_STATE(9953)] = 275555,
  [SMALL_STATE(9954)] = 275598,
  [SMALL_STATE(9955)] = 275641,
  [SMALL_STATE(9956)] = 275684,
  [SMALL_STATE(9957)] = 275727,
  [SMALL_STATE(9958)] = 275770,
  [SMALL_STATE(9959)] = 275813,
  [SMALL_STATE(9960)] = 275856,
  [SMALL_STATE(9961)] = 275899,
  [SMALL_STATE(9962)] = 275990,
  [SMALL_STATE(9963)] = 276083,
  [SMALL_STATE(9964)] = 276176,
  [SMALL_STATE(9965)] = 276269,
  [SMALL_STATE(9966)] = 276360,
  [SMALL_STATE(9967)] = 276453,
  [SMALL_STATE(9968)] = 276496,
  [SMALL_STATE(9969)] = 276539,
  [SMALL_STATE(9970)] = 276632,
  [SMALL_STATE(9971)] = 276725,
  [SMALL_STATE(9972)] = 276768,
  [SMALL_STATE(9973)] = 276811,
  [SMALL_STATE(9974)] = 276854,
  [SMALL_STATE(9975)] = 276897,
  [SMALL_STATE(9976)] = 276940,
  [SMALL_STATE(9977)] = 277033,
  [SMALL_STATE(9978)] = 277076,
  [SMALL_STATE(9979)] = 277119,
  [SMALL_STATE(9980)] = 277162,
  [SMALL_STATE(9981)] = 277205,
  [SMALL_STATE(9982)] = 277248,
  [SMALL_STATE(9983)] = 277291,
  [SMALL_STATE(9984)] = 277334,
  [SMALL_STATE(9985)] = 277427,
  [SMALL_STATE(9986)] = 277470,
  [SMALL_STATE(9987)] = 277513,
  [SMALL_STATE(9988)] = 277556,
  [SMALL_STATE(9989)] = 277599,
  [SMALL_STATE(9990)] = 277642,
  [SMALL_STATE(9991)] = 277685,
  [SMALL_STATE(9992)] = 277728,
  [SMALL_STATE(9993)] = 277771,
  [SMALL_STATE(9994)] = 277814,
  [SMALL_STATE(9995)] = 277857,
  [SMALL_STATE(9996)] = 277900,
  [SMALL_STATE(9997)] = 277943,
  [SMALL_STATE(9998)] = 277986,
  [SMALL_STATE(9999)] = 278029,
  [SMALL_STATE(10000)] = 278072,
  [SMALL_STATE(10001)] = 278115,
  [SMALL_STATE(10002)] = 278158,
  [SMALL_STATE(10003)] = 278249,
  [SMALL_STATE(10004)] = 278290,
  [SMALL_STATE(10005)] = 278383,
  [SMALL_STATE(10006)] = 278476,
  [SMALL_STATE(10007)] = 278569,
  [SMALL_STATE(10008)] = 278660,
  [SMALL_STATE(10009)] = 278703,
  [SMALL_STATE(10010)] = 278796,
  [SMALL_STATE(10011)] = 278889,
  [SMALL_STATE(10012)] = 278982,
  [SMALL_STATE(10013)] = 279075,
  [SMALL_STATE(10014)] = 279118,
  [SMALL_STATE(10015)] = 279161,
  [SMALL_STATE(10016)] = 279204,
  [SMALL_STATE(10017)] = 279247,
  [SMALL_STATE(10018)] = 279290,
  [SMALL_STATE(10019)] = 279333,
  [SMALL_STATE(10020)] = 279376,
  [SMALL_STATE(10021)] = 279419,
  [SMALL_STATE(10022)] = 279462,
  [SMALL_STATE(10023)] = 279505,
  [SMALL_STATE(10024)] = 279548,
  [SMALL_STATE(10025)] = 279591,
  [SMALL_STATE(10026)] = 279634,
  [SMALL_STATE(10027)] = 279677,
  [SMALL_STATE(10028)] = 279720,
  [SMALL_STATE(10029)] = 279763,
  [SMALL_STATE(10030)] = 279806,
  [SMALL_STATE(10031)] = 279849,
  [SMALL_STATE(10032)] = 279892,
  [SMALL_STATE(10033)] = 279935,
  [SMALL_STATE(10034)] = 279978,
  [SMALL_STATE(10035)] = 280021,
  [SMALL_STATE(10036)] = 280064,
  [SMALL_STATE(10037)] = 280107,
  [SMALL_STATE(10038)] = 280150,
  [SMALL_STATE(10039)] = 280193,
  [SMALL_STATE(10040)] = 280236,
  [SMALL_STATE(10041)] = 280279,
  [SMALL_STATE(10042)] = 280322,
  [SMALL_STATE(10043)] = 280365,
  [SMALL_STATE(10044)] = 280408,
  [SMALL_STATE(10045)] = 280451,
  [SMALL_STATE(10046)] = 280494,
  [SMALL_STATE(10047)] = 280537,
  [SMALL_STATE(10048)] = 280580,
  [SMALL_STATE(10049)] = 280623,
  [SMALL_STATE(10050)] = 280666,
  [SMALL_STATE(10051)] = 280709,
  [SMALL_STATE(10052)] = 280752,
  [SMALL_STATE(10053)] = 280795,
  [SMALL_STATE(10054)] = 280838,
  [SMALL_STATE(10055)] = 280881,
  [SMALL_STATE(10056)] = 280924,
  [SMALL_STATE(10057)] = 280967,
  [SMALL_STATE(10058)] = 281010,
  [SMALL_STATE(10059)] = 281053,
  [SMALL_STATE(10060)] = 281096,
  [SMALL_STATE(10061)] = 281139,
  [SMALL_STATE(10062)] = 281182,
  [SMALL_STATE(10063)] = 281225,
  [SMALL_STATE(10064)] = 281268,
  [SMALL_STATE(10065)] = 281311,
  [SMALL_STATE(10066)] = 281354,
  [SMALL_STATE(10067)] = 281397,
  [SMALL_STATE(10068)] = 281440,
  [SMALL_STATE(10069)] = 281483,
  [SMALL_STATE(10070)] = 281526,
  [SMALL_STATE(10071)] = 281569,
  [SMALL_STATE(10072)] = 281612,
  [SMALL_STATE(10073)] = 281655,
  [SMALL_STATE(10074)] = 281698,
  [SMALL_STATE(10075)] = 281741,
  [SMALL_STATE(10076)] = 281784,
  [SMALL_STATE(10077)] = 281827,
  [SMALL_STATE(10078)] = 281870,
  [SMALL_STATE(10079)] = 281913,
  [SMALL_STATE(10080)] = 281956,
  [SMALL_STATE(10081)] = 281999,
  [SMALL_STATE(10082)] = 282042,
  [SMALL_STATE(10083)] = 282085,
  [SMALL_STATE(10084)] = 282128,
  [SMALL_STATE(10085)] = 282171,
  [SMALL_STATE(10086)] = 282214,
  [SMALL_STATE(10087)] = 282257,
  [SMALL_STATE(10088)] = 282300,
  [SMALL_STATE(10089)] = 282343,
  [SMALL_STATE(10090)] = 282386,
  [SMALL_STATE(10091)] = 282429,
  [SMALL_STATE(10092)] = 282472,
  [SMALL_STATE(10093)] = 282515,
  [SMALL_STATE(10094)] = 282558,
  [SMALL_STATE(10095)] = 282601,
  [SMALL_STATE(10096)] = 282644,
  [SMALL_STATE(10097)] = 282687,
  [SMALL_STATE(10098)] = 282730,
  [SMALL_STATE(10099)] = 282773,
  [SMALL_STATE(10100)] = 282816,
  [SMALL_STATE(10101)] = 282859,
  [SMALL_STATE(10102)] = 282902,
  [SMALL_STATE(10103)] = 282945,
  [SMALL_STATE(10104)] = 282988,
  [SMALL_STATE(10105)] = 283031,
  [SMALL_STATE(10106)] = 283074,
  [SMALL_STATE(10107)] = 283117,
  [SMALL_STATE(10108)] = 283160,
  [SMALL_STATE(10109)] = 283203,
  [SMALL_STATE(10110)] = 283246,
  [SMALL_STATE(10111)] = 283289,
  [SMALL_STATE(10112)] = 283332,
  [SMALL_STATE(10113)] = 283375,
  [SMALL_STATE(10114)] = 283418,
  [SMALL_STATE(10115)] = 283461,
  [SMALL_STATE(10116)] = 283504,
  [SMALL_STATE(10117)] = 283547,
  [SMALL_STATE(10118)] = 283590,
  [SMALL_STATE(10119)] = 283633,
  [SMALL_STATE(10120)] = 283676,
  [SMALL_STATE(10121)] = 283719,
  [SMALL_STATE(10122)] = 283762,
  [SMALL_STATE(10123)] = 283805,
  [SMALL_STATE(10124)] = 283848,
  [SMALL_STATE(10125)] = 283891,
  [SMALL_STATE(10126)] = 283934,
  [SMALL_STATE(10127)] = 283977,
  [SMALL_STATE(10128)] = 284020,
  [SMALL_STATE(10129)] = 284063,
  [SMALL_STATE(10130)] = 284106,
  [SMALL_STATE(10131)] = 284149,
  [SMALL_STATE(10132)] = 284192,
  [SMALL_STATE(10133)] = 284235,
  [SMALL_STATE(10134)] = 284278,
  [SMALL_STATE(10135)] = 284321,
  [SMALL_STATE(10136)] = 284364,
  [SMALL_STATE(10137)] = 284407,
  [SMALL_STATE(10138)] = 284450,
  [SMALL_STATE(10139)] = 284493,
  [SMALL_STATE(10140)] = 284536,
  [SMALL_STATE(10141)] = 284579,
  [SMALL_STATE(10142)] = 284622,
  [SMALL_STATE(10143)] = 284665,
  [SMALL_STATE(10144)] = 284708,
  [SMALL_STATE(10145)] = 284751,
  [SMALL_STATE(10146)] = 284794,
  [SMALL_STATE(10147)] = 284837,
  [SMALL_STATE(10148)] = 284880,
  [SMALL_STATE(10149)] = 284923,
  [SMALL_STATE(10150)] = 284966,
  [SMALL_STATE(10151)] = 285009,
  [SMALL_STATE(10152)] = 285052,
  [SMALL_STATE(10153)] = 285095,
  [SMALL_STATE(10154)] = 285138,
  [SMALL_STATE(10155)] = 285181,
  [SMALL_STATE(10156)] = 285224,
  [SMALL_STATE(10157)] = 285267,
  [SMALL_STATE(10158)] = 285310,
  [SMALL_STATE(10159)] = 285353,
  [SMALL_STATE(10160)] = 285396,
  [SMALL_STATE(10161)] = 285439,
  [SMALL_STATE(10162)] = 285482,
  [SMALL_STATE(10163)] = 285525,
  [SMALL_STATE(10164)] = 285568,
  [SMALL_STATE(10165)] = 285611,
  [SMALL_STATE(10166)] = 285654,
  [SMALL_STATE(10167)] = 285697,
  [SMALL_STATE(10168)] = 285740,
  [SMALL_STATE(10169)] = 285783,
  [SMALL_STATE(10170)] = 285826,
  [SMALL_STATE(10171)] = 285919,
  [SMALL_STATE(10172)] = 286012,
  [SMALL_STATE(10173)] = 286055,
  [SMALL_STATE(10174)] = 286098,
  [SMALL_STATE(10175)] = 286191,
  [SMALL_STATE(10176)] = 286234,
  [SMALL_STATE(10177)] = 286277,
  [SMALL_STATE(10178)] = 286370,
  [SMALL_STATE(10179)] = 286413,
  [SMALL_STATE(10180)] = 286456,
  [SMALL_STATE(10181)] = 286499,
  [SMALL_STATE(10182)] = 286542,
  [SMALL_STATE(10183)] = 286585,
  [SMALL_STATE(10184)] = 286628,
  [SMALL_STATE(10185)] = 286721,
  [SMALL_STATE(10186)] = 286764,
  [SMALL_STATE(10187)] = 286811,
  [SMALL_STATE(10188)] = 286904,
  [SMALL_STATE(10189)] = 286997,
  [SMALL_STATE(10190)] = 287040,
  [SMALL_STATE(10191)] = 287083,
  [SMALL_STATE(10192)] = 287126,
  [SMALL_STATE(10193)] = 287219,
  [SMALL_STATE(10194)] = 287262,
  [SMALL_STATE(10195)] = 287305,
  [SMALL_STATE(10196)] = 287348,
  [SMALL_STATE(10197)] = 287441,
  [SMALL_STATE(10198)] = 287534,
  [SMALL_STATE(10199)] = 287577,
  [SMALL_STATE(10200)] = 287670,
  [SMALL_STATE(10201)] = 287713,
  [SMALL_STATE(10202)] = 287756,
  [SMALL_STATE(10203)] = 287799,
  [SMALL_STATE(10204)] = 287892,
  [SMALL_STATE(10205)] = 287985,
  [SMALL_STATE(10206)] = 288028,
  [SMALL_STATE(10207)] = 288071,
  [SMALL_STATE(10208)] = 288114,
  [SMALL_STATE(10209)] = 288157,
  [SMALL_STATE(10210)] = 288200,
  [SMALL_STATE(10211)] = 288243,
  [SMALL_STATE(10212)] = 288286,
  [SMALL_STATE(10213)] = 288329,
  [SMALL_STATE(10214)] = 288372,
  [SMALL_STATE(10215)] = 288415,
  [SMALL_STATE(10216)] = 288458,
  [SMALL_STATE(10217)] = 288501,
  [SMALL_STATE(10218)] = 288544,
  [SMALL_STATE(10219)] = 288587,
  [SMALL_STATE(10220)] = 288630,
  [SMALL_STATE(10221)] = 288673,
  [SMALL_STATE(10222)] = 288716,
  [SMALL_STATE(10223)] = 288759,
  [SMALL_STATE(10224)] = 288802,
  [SMALL_STATE(10225)] = 288845,
  [SMALL_STATE(10226)] = 288888,
  [SMALL_STATE(10227)] = 288931,
  [SMALL_STATE(10228)] = 289024,
  [SMALL_STATE(10229)] = 289117,
  [SMALL_STATE(10230)] = 289160,
  [SMALL_STATE(10231)] = 289203,
  [SMALL_STATE(10232)] = 289246,
  [SMALL_STATE(10233)] = 289339,
  [SMALL_STATE(10234)] = 289432,
  [SMALL_STATE(10235)] = 289475,
  [SMALL_STATE(10236)] = 289568,
  [SMALL_STATE(10237)] = 289611,
  [SMALL_STATE(10238)] = 289704,
  [SMALL_STATE(10239)] = 289797,
  [SMALL_STATE(10240)] = 289840,
  [SMALL_STATE(10241)] = 289933,
  [SMALL_STATE(10242)] = 289976,
  [SMALL_STATE(10243)] = 290019,
  [SMALL_STATE(10244)] = 290112,
  [SMALL_STATE(10245)] = 290155,
  [SMALL_STATE(10246)] = 290248,
  [SMALL_STATE(10247)] = 290291,
  [SMALL_STATE(10248)] = 290334,
  [SMALL_STATE(10249)] = 290377,
  [SMALL_STATE(10250)] = 290470,
  [SMALL_STATE(10251)] = 290513,
  [SMALL_STATE(10252)] = 290556,
  [SMALL_STATE(10253)] = 290599,
  [SMALL_STATE(10254)] = 290692,
  [SMALL_STATE(10255)] = 290735,
  [SMALL_STATE(10256)] = 290828,
  [SMALL_STATE(10257)] = 290871,
  [SMALL_STATE(10258)] = 290914,
  [SMALL_STATE(10259)] = 290957,
  [SMALL_STATE(10260)] = 291000,
  [SMALL_STATE(10261)] = 291043,
  [SMALL_STATE(10262)] = 291086,
  [SMALL_STATE(10263)] = 291129,
  [SMALL_STATE(10264)] = 291172,
  [SMALL_STATE(10265)] = 291265,
  [SMALL_STATE(10266)] = 291358,
  [SMALL_STATE(10267)] = 291401,
  [SMALL_STATE(10268)] = 291444,
  [SMALL_STATE(10269)] = 291537,
  [SMALL_STATE(10270)] = 291580,
  [SMALL_STATE(10271)] = 291623,
  [SMALL_STATE(10272)] = 291666,
  [SMALL_STATE(10273)] = 291759,
  [SMALL_STATE(10274)] = 291802,
  [SMALL_STATE(10275)] = 291845,
  [SMALL_STATE(10276)] = 291888,
  [SMALL_STATE(10277)] = 291931,
  [SMALL_STATE(10278)] = 292024,
  [SMALL_STATE(10279)] = 292117,
  [SMALL_STATE(10280)] = 292160,
  [SMALL_STATE(10281)] = 292253,
  [SMALL_STATE(10282)] = 292346,
  [SMALL_STATE(10283)] = 292389,
  [SMALL_STATE(10284)] = 292482,
  [SMALL_STATE(10285)] = 292525,
  [SMALL_STATE(10286)] = 292568,
  [SMALL_STATE(10287)] = 292611,
  [SMALL_STATE(10288)] = 292654,
  [SMALL_STATE(10289)] = 292697,
  [SMALL_STATE(10290)] = 292740,
  [SMALL_STATE(10291)] = 292783,
  [SMALL_STATE(10292)] = 292826,
  [SMALL_STATE(10293)] = 292869,
  [SMALL_STATE(10294)] = 292912,
  [SMALL_STATE(10295)] = 292955,
  [SMALL_STATE(10296)] = 292998,
  [SMALL_STATE(10297)] = 293041,
  [SMALL_STATE(10298)] = 293084,
  [SMALL_STATE(10299)] = 293127,
  [SMALL_STATE(10300)] = 293170,
  [SMALL_STATE(10301)] = 293213,
  [SMALL_STATE(10302)] = 293256,
  [SMALL_STATE(10303)] = 293299,
  [SMALL_STATE(10304)] = 293342,
  [SMALL_STATE(10305)] = 293385,
  [SMALL_STATE(10306)] = 293478,
  [SMALL_STATE(10307)] = 293521,
  [SMALL_STATE(10308)] = 293564,
  [SMALL_STATE(10309)] = 293607,
  [SMALL_STATE(10310)] = 293650,
  [SMALL_STATE(10311)] = 293693,
  [SMALL_STATE(10312)] = 293736,
  [SMALL_STATE(10313)] = 293779,
  [SMALL_STATE(10314)] = 293822,
  [SMALL_STATE(10315)] = 293865,
  [SMALL_STATE(10316)] = 293908,
  [SMALL_STATE(10317)] = 293951,
  [SMALL_STATE(10318)] = 293994,
  [SMALL_STATE(10319)] = 294037,
  [SMALL_STATE(10320)] = 294080,
  [SMALL_STATE(10321)] = 294123,
  [SMALL_STATE(10322)] = 294166,
  [SMALL_STATE(10323)] = 294209,
  [SMALL_STATE(10324)] = 294252,
  [SMALL_STATE(10325)] = 294295,
  [SMALL_STATE(10326)] = 294338,
  [SMALL_STATE(10327)] = 294381,
  [SMALL_STATE(10328)] = 294424,
  [SMALL_STATE(10329)] = 294467,
  [SMALL_STATE(10330)] = 294510,
  [SMALL_STATE(10331)] = 294553,
  [SMALL_STATE(10332)] = 294596,
  [SMALL_STATE(10333)] = 294639,
  [SMALL_STATE(10334)] = 294682,
  [SMALL_STATE(10335)] = 294725,
  [SMALL_STATE(10336)] = 294768,
  [SMALL_STATE(10337)] = 294811,
  [SMALL_STATE(10338)] = 294854,
  [SMALL_STATE(10339)] = 294897,
  [SMALL_STATE(10340)] = 294940,
  [SMALL_STATE(10341)] = 294983,
  [SMALL_STATE(10342)] = 295026,
  [SMALL_STATE(10343)] = 295069,
  [SMALL_STATE(10344)] = 295112,
  [SMALL_STATE(10345)] = 295205,
  [SMALL_STATE(10346)] = 295248,
  [SMALL_STATE(10347)] = 295291,
  [SMALL_STATE(10348)] = 295334,
  [SMALL_STATE(10349)] = 295377,
  [SMALL_STATE(10350)] = 295420,
  [SMALL_STATE(10351)] = 295463,
  [SMALL_STATE(10352)] = 295506,
  [SMALL_STATE(10353)] = 295549,
  [SMALL_STATE(10354)] = 295592,
  [SMALL_STATE(10355)] = 295635,
  [SMALL_STATE(10356)] = 295678,
  [SMALL_STATE(10357)] = 295721,
  [SMALL_STATE(10358)] = 295764,
  [SMALL_STATE(10359)] = 295807,
  [SMALL_STATE(10360)] = 295850,
  [SMALL_STATE(10361)] = 295893,
  [SMALL_STATE(10362)] = 295936,
  [SMALL_STATE(10363)] = 295979,
  [SMALL_STATE(10364)] = 296072,
  [SMALL_STATE(10365)] = 296165,
  [SMALL_STATE(10366)] = 296208,
  [SMALL_STATE(10367)] = 296251,
  [SMALL_STATE(10368)] = 296294,
  [SMALL_STATE(10369)] = 296337,
  [SMALL_STATE(10370)] = 296380,
  [SMALL_STATE(10371)] = 296423,
  [SMALL_STATE(10372)] = 296466,
  [SMALL_STATE(10373)] = 296509,
  [SMALL_STATE(10374)] = 296552,
  [SMALL_STATE(10375)] = 296595,
  [SMALL_STATE(10376)] = 296638,
  [SMALL_STATE(10377)] = 296681,
  [SMALL_STATE(10378)] = 296724,
  [SMALL_STATE(10379)] = 296767,
  [SMALL_STATE(10380)] = 296810,
  [SMALL_STATE(10381)] = 296853,
  [SMALL_STATE(10382)] = 296896,
  [SMALL_STATE(10383)] = 296939,
  [SMALL_STATE(10384)] = 296982,
  [SMALL_STATE(10385)] = 297025,
  [SMALL_STATE(10386)] = 297068,
  [SMALL_STATE(10387)] = 297111,
  [SMALL_STATE(10388)] = 297154,
  [SMALL_STATE(10389)] = 297197,
  [SMALL_STATE(10390)] = 297290,
  [SMALL_STATE(10391)] = 297333,
  [SMALL_STATE(10392)] = 297426,
  [SMALL_STATE(10393)] = 297469,
  [SMALL_STATE(10394)] = 297512,
  [SMALL_STATE(10395)] = 297555,
  [SMALL_STATE(10396)] = 297598,
  [SMALL_STATE(10397)] = 297641,
  [SMALL_STATE(10398)] = 297684,
  [SMALL_STATE(10399)] = 297727,
  [SMALL_STATE(10400)] = 297770,
  [SMALL_STATE(10401)] = 297813,
  [SMALL_STATE(10402)] = 297856,
  [SMALL_STATE(10403)] = 297899,
  [SMALL_STATE(10404)] = 297942,
  [SMALL_STATE(10405)] = 297985,
  [SMALL_STATE(10406)] = 298028,
  [SMALL_STATE(10407)] = 298071,
  [SMALL_STATE(10408)] = 298114,
  [SMALL_STATE(10409)] = 298157,
  [SMALL_STATE(10410)] = 298200,
  [SMALL_STATE(10411)] = 298243,
  [SMALL_STATE(10412)] = 298286,
  [SMALL_STATE(10413)] = 298329,
  [SMALL_STATE(10414)] = 298372,
  [SMALL_STATE(10415)] = 298415,
  [SMALL_STATE(10416)] = 298458,
  [SMALL_STATE(10417)] = 298501,
  [SMALL_STATE(10418)] = 298544,
  [SMALL_STATE(10419)] = 298587,
  [SMALL_STATE(10420)] = 298630,
  [SMALL_STATE(10421)] = 298673,
  [SMALL_STATE(10422)] = 298716,
  [SMALL_STATE(10423)] = 298759,
  [SMALL_STATE(10424)] = 298802,
  [SMALL_STATE(10425)] = 298845,
  [SMALL_STATE(10426)] = 298888,
  [SMALL_STATE(10427)] = 298931,
  [SMALL_STATE(10428)] = 298974,
  [SMALL_STATE(10429)] = 299017,
  [SMALL_STATE(10430)] = 299060,
  [SMALL_STATE(10431)] = 299103,
  [SMALL_STATE(10432)] = 299146,
  [SMALL_STATE(10433)] = 299189,
  [SMALL_STATE(10434)] = 299280,
  [SMALL_STATE(10435)] = 299323,
  [SMALL_STATE(10436)] = 299366,
  [SMALL_STATE(10437)] = 299459,
  [SMALL_STATE(10438)] = 299502,
  [SMALL_STATE(10439)] = 299545,
  [SMALL_STATE(10440)] = 299588,
  [SMALL_STATE(10441)] = 299631,
  [SMALL_STATE(10442)] = 299674,
  [SMALL_STATE(10443)] = 299717,
  [SMALL_STATE(10444)] = 299760,
  [SMALL_STATE(10445)] = 299803,
  [SMALL_STATE(10446)] = 299846,
  [SMALL_STATE(10447)] = 299889,
  [SMALL_STATE(10448)] = 299932,
  [SMALL_STATE(10449)] = 299975,
  [SMALL_STATE(10450)] = 300018,
  [SMALL_STATE(10451)] = 300061,
  [SMALL_STATE(10452)] = 300104,
  [SMALL_STATE(10453)] = 300147,
  [SMALL_STATE(10454)] = 300240,
  [SMALL_STATE(10455)] = 300283,
  [SMALL_STATE(10456)] = 300326,
  [SMALL_STATE(10457)] = 300369,
  [SMALL_STATE(10458)] = 300412,
  [SMALL_STATE(10459)] = 300455,
  [SMALL_STATE(10460)] = 300498,
  [SMALL_STATE(10461)] = 300541,
  [SMALL_STATE(10462)] = 300584,
  [SMALL_STATE(10463)] = 300627,
  [SMALL_STATE(10464)] = 300670,
  [SMALL_STATE(10465)] = 300713,
  [SMALL_STATE(10466)] = 300756,
  [SMALL_STATE(10467)] = 300799,
  [SMALL_STATE(10468)] = 300842,
  [SMALL_STATE(10469)] = 300885,
  [SMALL_STATE(10470)] = 300928,
  [SMALL_STATE(10471)] = 300971,
  [SMALL_STATE(10472)] = 301014,
  [SMALL_STATE(10473)] = 301057,
  [SMALL_STATE(10474)] = 301100,
  [SMALL_STATE(10475)] = 301143,
  [SMALL_STATE(10476)] = 301186,
  [SMALL_STATE(10477)] = 301229,
  [SMALL_STATE(10478)] = 301272,
  [SMALL_STATE(10479)] = 301315,
  [SMALL_STATE(10480)] = 301358,
  [SMALL_STATE(10481)] = 301401,
  [SMALL_STATE(10482)] = 301444,
  [SMALL_STATE(10483)] = 301487,
  [SMALL_STATE(10484)] = 301530,
  [SMALL_STATE(10485)] = 301573,
  [SMALL_STATE(10486)] = 301616,
  [SMALL_STATE(10487)] = 301659,
  [SMALL_STATE(10488)] = 301702,
  [SMALL_STATE(10489)] = 301745,
  [SMALL_STATE(10490)] = 301788,
  [SMALL_STATE(10491)] = 301831,
  [SMALL_STATE(10492)] = 301874,
  [SMALL_STATE(10493)] = 301917,
  [SMALL_STATE(10494)] = 301960,
  [SMALL_STATE(10495)] = 302003,
  [SMALL_STATE(10496)] = 302046,
  [SMALL_STATE(10497)] = 302089,
  [SMALL_STATE(10498)] = 302132,
  [SMALL_STATE(10499)] = 302175,
  [SMALL_STATE(10500)] = 302218,
  [SMALL_STATE(10501)] = 302261,
  [SMALL_STATE(10502)] = 302304,
  [SMALL_STATE(10503)] = 302347,
  [SMALL_STATE(10504)] = 302390,
  [SMALL_STATE(10505)] = 302433,
  [SMALL_STATE(10506)] = 302476,
  [SMALL_STATE(10507)] = 302519,
  [SMALL_STATE(10508)] = 302562,
  [SMALL_STATE(10509)] = 302605,
  [SMALL_STATE(10510)] = 302648,
  [SMALL_STATE(10511)] = 302691,
  [SMALL_STATE(10512)] = 302734,
  [SMALL_STATE(10513)] = 302777,
  [SMALL_STATE(10514)] = 302820,
  [SMALL_STATE(10515)] = 302863,
  [SMALL_STATE(10516)] = 302906,
  [SMALL_STATE(10517)] = 302949,
  [SMALL_STATE(10518)] = 302992,
  [SMALL_STATE(10519)] = 303035,
  [SMALL_STATE(10520)] = 303078,
  [SMALL_STATE(10521)] = 303121,
  [SMALL_STATE(10522)] = 303164,
  [SMALL_STATE(10523)] = 303207,
  [SMALL_STATE(10524)] = 303300,
  [SMALL_STATE(10525)] = 303393,
  [SMALL_STATE(10526)] = 303486,
  [SMALL_STATE(10527)] = 303579,
  [SMALL_STATE(10528)] = 303672,
  [SMALL_STATE(10529)] = 303765,
  [SMALL_STATE(10530)] = 303858,
  [SMALL_STATE(10531)] = 303951,
  [SMALL_STATE(10532)] = 304044,
  [SMALL_STATE(10533)] = 304137,
  [SMALL_STATE(10534)] = 304180,
  [SMALL_STATE(10535)] = 304223,
  [SMALL_STATE(10536)] = 304266,
  [SMALL_STATE(10537)] = 304309,
  [SMALL_STATE(10538)] = 304355,
  [SMALL_STATE(10539)] = 304423,
  [SMALL_STATE(10540)] = 304467,
  [SMALL_STATE(10541)] = 304511,
  [SMALL_STATE(10542)] = 304556,
  [SMALL_STATE(10543)] = 304601,
  [SMALL_STATE(10544)] = 304646,
  [SMALL_STATE(10545)] = 304691,
  [SMALL_STATE(10546)] = 304736,
  [SMALL_STATE(10547)] = 304781,
  [SMALL_STATE(10548)] = 304826,
  [SMALL_STATE(10549)] = 304871,
  [SMALL_STATE(10550)] = 304916,
  [SMALL_STATE(10551)] = 304961,
  [SMALL_STATE(10552)] = 305006,
  [SMALL_STATE(10553)] = 305051,
  [SMALL_STATE(10554)] = 305096,
  [SMALL_STATE(10555)] = 305141,
  [SMALL_STATE(10556)] = 305186,
  [SMALL_STATE(10557)] = 305231,
  [SMALL_STATE(10558)] = 305276,
  [SMALL_STATE(10559)] = 305321,
  [SMALL_STATE(10560)] = 305366,
  [SMALL_STATE(10561)] = 305411,
  [SMALL_STATE(10562)] = 305456,
  [SMALL_STATE(10563)] = 305501,
  [SMALL_STATE(10564)] = 305546,
  [SMALL_STATE(10565)] = 305591,
  [SMALL_STATE(10566)] = 305636,
  [SMALL_STATE(10567)] = 305681,
  [SMALL_STATE(10568)] = 305726,
  [SMALL_STATE(10569)] = 305771,
  [SMALL_STATE(10570)] = 305816,
  [SMALL_STATE(10571)] = 305861,
  [SMALL_STATE(10572)] = 305906,
  [SMALL_STATE(10573)] = 305951,
  [SMALL_STATE(10574)] = 305996,
  [SMALL_STATE(10575)] = 306041,
  [SMALL_STATE(10576)] = 306086,
  [SMALL_STATE(10577)] = 306131,
  [SMALL_STATE(10578)] = 306176,
  [SMALL_STATE(10579)] = 306221,
  [SMALL_STATE(10580)] = 306266,
  [SMALL_STATE(10581)] = 306311,
  [SMALL_STATE(10582)] = 306356,
  [SMALL_STATE(10583)] = 306401,
  [SMALL_STATE(10584)] = 306446,
  [SMALL_STATE(10585)] = 306491,
  [SMALL_STATE(10586)] = 306536,
  [SMALL_STATE(10587)] = 306581,
  [SMALL_STATE(10588)] = 306626,
  [SMALL_STATE(10589)] = 306671,
  [SMALL_STATE(10590)] = 306716,
  [SMALL_STATE(10591)] = 306761,
  [SMALL_STATE(10592)] = 306806,
  [SMALL_STATE(10593)] = 306851,
  [SMALL_STATE(10594)] = 306896,
  [SMALL_STATE(10595)] = 306941,
  [SMALL_STATE(10596)] = 306986,
  [SMALL_STATE(10597)] = 307031,
  [SMALL_STATE(10598)] = 307076,
  [SMALL_STATE(10599)] = 307121,
  [SMALL_STATE(10600)] = 307166,
  [SMALL_STATE(10601)] = 307211,
  [SMALL_STATE(10602)] = 307256,
  [SMALL_STATE(10603)] = 307301,
  [SMALL_STATE(10604)] = 307346,
  [SMALL_STATE(10605)] = 307391,
  [SMALL_STATE(10606)] = 307436,
  [SMALL_STATE(10607)] = 307481,
  [SMALL_STATE(10608)] = 307526,
  [SMALL_STATE(10609)] = 307571,
  [SMALL_STATE(10610)] = 307636,
  [SMALL_STATE(10611)] = 307681,
  [SMALL_STATE(10612)] = 307726,
  [SMALL_STATE(10613)] = 307771,
  [SMALL_STATE(10614)] = 307816,
  [SMALL_STATE(10615)] = 307861,
  [SMALL_STATE(10616)] = 307906,
  [SMALL_STATE(10617)] = 307951,
  [SMALL_STATE(10618)] = 307996,
  [SMALL_STATE(10619)] = 308041,
  [SMALL_STATE(10620)] = 308086,
  [SMALL_STATE(10621)] = 308131,
  [SMALL_STATE(10622)] = 308176,
  [SMALL_STATE(10623)] = 308221,
  [SMALL_STATE(10624)] = 308266,
  [SMALL_STATE(10625)] = 308311,
  [SMALL_STATE(10626)] = 308356,
  [SMALL_STATE(10627)] = 308401,
  [SMALL_STATE(10628)] = 308446,
  [SMALL_STATE(10629)] = 308491,
  [SMALL_STATE(10630)] = 308536,
  [SMALL_STATE(10631)] = 308581,
  [SMALL_STATE(10632)] = 308626,
  [SMALL_STATE(10633)] = 308671,
  [SMALL_STATE(10634)] = 308716,
  [SMALL_STATE(10635)] = 308761,
  [SMALL_STATE(10636)] = 308806,
  [SMALL_STATE(10637)] = 308851,
  [SMALL_STATE(10638)] = 308896,
  [SMALL_STATE(10639)] = 308941,
  [SMALL_STATE(10640)] = 308986,
  [SMALL_STATE(10641)] = 309031,
  [SMALL_STATE(10642)] = 309076,
  [SMALL_STATE(10643)] = 309121,
  [SMALL_STATE(10644)] = 309166,
  [SMALL_STATE(10645)] = 309211,
  [SMALL_STATE(10646)] = 309256,
  [SMALL_STATE(10647)] = 309301,
  [SMALL_STATE(10648)] = 309346,
  [SMALL_STATE(10649)] = 309391,
  [SMALL_STATE(10650)] = 309436,
  [SMALL_STATE(10651)] = 309481,
  [SMALL_STATE(10652)] = 309526,
  [SMALL_STATE(10653)] = 309571,
  [SMALL_STATE(10654)] = 309616,
  [SMALL_STATE(10655)] = 309661,
  [SMALL_STATE(10656)] = 309706,
  [SMALL_STATE(10657)] = 309751,
  [SMALL_STATE(10658)] = 309796,
  [SMALL_STATE(10659)] = 309841,
  [SMALL_STATE(10660)] = 309886,
  [SMALL_STATE(10661)] = 309931,
  [SMALL_STATE(10662)] = 309976,
  [SMALL_STATE(10663)] = 310021,
  [SMALL_STATE(10664)] = 310066,
  [SMALL_STATE(10665)] = 310111,
  [SMALL_STATE(10666)] = 310156,
  [SMALL_STATE(10667)] = 310201,
  [SMALL_STATE(10668)] = 310246,
  [SMALL_STATE(10669)] = 310291,
  [SMALL_STATE(10670)] = 310336,
  [SMALL_STATE(10671)] = 310381,
  [SMALL_STATE(10672)] = 310422,
  [SMALL_STATE(10673)] = 310467,
  [SMALL_STATE(10674)] = 310512,
  [SMALL_STATE(10675)] = 310557,
  [SMALL_STATE(10676)] = 310601,
  [SMALL_STATE(10677)] = 310645,
  [SMALL_STATE(10678)] = 310685,
  [SMALL_STATE(10679)] = 310725,
  [SMALL_STATE(10680)] = 310767,
  [SMALL_STATE(10681)] = 310809,
  [SMALL_STATE(10682)] = 310849,
  [SMALL_STATE(10683)] = 310893,
  [SMALL_STATE(10684)] = 310937,
  [SMALL_STATE(10685)] = 310981,
  [SMALL_STATE(10686)] = 311025,
  [SMALL_STATE(10687)] = 311069,
  [SMALL_STATE(10688)] = 311113,
  [SMALL_STATE(10689)] = 311157,
  [SMALL_STATE(10690)] = 311201,
  [SMALL_STATE(10691)] = 311245,
  [SMALL_STATE(10692)] = 311307,
  [SMALL_STATE(10693)] = 311347,
  [SMALL_STATE(10694)] = 311391,
  [SMALL_STATE(10695)] = 311435,
  [SMALL_STATE(10696)] = 311479,
  [SMALL_STATE(10697)] = 311523,
  [SMALL_STATE(10698)] = 311567,
  [SMALL_STATE(10699)] = 311611,
  [SMALL_STATE(10700)] = 311655,
  [SMALL_STATE(10701)] = 311699,
  [SMALL_STATE(10702)] = 311743,
  [SMALL_STATE(10703)] = 311787,
  [SMALL_STATE(10704)] = 311829,
  [SMALL_STATE(10705)] = 311873,
  [SMALL_STATE(10706)] = 311917,
  [SMALL_STATE(10707)] = 311961,
  [SMALL_STATE(10708)] = 312005,
  [SMALL_STATE(10709)] = 312049,
  [SMALL_STATE(10710)] = 312093,
  [SMALL_STATE(10711)] = 312137,
  [SMALL_STATE(10712)] = 312181,
  [SMALL_STATE(10713)] = 312225,
  [SMALL_STATE(10714)] = 312269,
  [SMALL_STATE(10715)] = 312313,
  [SMALL_STATE(10716)] = 312357,
  [SMALL_STATE(10717)] = 312401,
  [SMALL_STATE(10718)] = 312445,
  [SMALL_STATE(10719)] = 312489,
  [SMALL_STATE(10720)] = 312533,
  [SMALL_STATE(10721)] = 312577,
  [SMALL_STATE(10722)] = 312621,
  [SMALL_STATE(10723)] = 312665,
  [SMALL_STATE(10724)] = 312709,
  [SMALL_STATE(10725)] = 312753,
  [SMALL_STATE(10726)] = 312797,
  [SMALL_STATE(10727)] = 312841,
  [SMALL_STATE(10728)] = 312885,
  [SMALL_STATE(10729)] = 312929,
  [SMALL_STATE(10730)] = 312973,
  [SMALL_STATE(10731)] = 313017,
  [SMALL_STATE(10732)] = 313061,
  [SMALL_STATE(10733)] = 313105,
  [SMALL_STATE(10734)] = 313149,
  [SMALL_STATE(10735)] = 313193,
  [SMALL_STATE(10736)] = 313237,
  [SMALL_STATE(10737)] = 313281,
  [SMALL_STATE(10738)] = 313325,
  [SMALL_STATE(10739)] = 313369,
  [SMALL_STATE(10740)] = 313413,
  [SMALL_STATE(10741)] = 313457,
  [SMALL_STATE(10742)] = 313501,
  [SMALL_STATE(10743)] = 313545,
  [SMALL_STATE(10744)] = 313589,
  [SMALL_STATE(10745)] = 313633,
  [SMALL_STATE(10746)] = 313677,
  [SMALL_STATE(10747)] = 313721,
  [SMALL_STATE(10748)] = 313765,
  [SMALL_STATE(10749)] = 313809,
  [SMALL_STATE(10750)] = 313853,
  [SMALL_STATE(10751)] = 313897,
  [SMALL_STATE(10752)] = 313941,
  [SMALL_STATE(10753)] = 313985,
  [SMALL_STATE(10754)] = 314029,
  [SMALL_STATE(10755)] = 314073,
  [SMALL_STATE(10756)] = 314117,
  [SMALL_STATE(10757)] = 314161,
  [SMALL_STATE(10758)] = 314205,
  [SMALL_STATE(10759)] = 314249,
  [SMALL_STATE(10760)] = 314293,
  [SMALL_STATE(10761)] = 314337,
  [SMALL_STATE(10762)] = 314381,
  [SMALL_STATE(10763)] = 314425,
  [SMALL_STATE(10764)] = 314469,
  [SMALL_STATE(10765)] = 314513,
  [SMALL_STATE(10766)] = 314557,
  [SMALL_STATE(10767)] = 314601,
  [SMALL_STATE(10768)] = 314645,
  [SMALL_STATE(10769)] = 314689,
  [SMALL_STATE(10770)] = 314731,
  [SMALL_STATE(10771)] = 314775,
  [SMALL_STATE(10772)] = 314819,
  [SMALL_STATE(10773)] = 314863,
  [SMALL_STATE(10774)] = 314907,
  [SMALL_STATE(10775)] = 314951,
  [SMALL_STATE(10776)] = 314995,
  [SMALL_STATE(10777)] = 315039,
  [SMALL_STATE(10778)] = 315083,
  [SMALL_STATE(10779)] = 315127,
  [SMALL_STATE(10780)] = 315171,
  [SMALL_STATE(10781)] = 315215,
  [SMALL_STATE(10782)] = 315259,
  [SMALL_STATE(10783)] = 315303,
  [SMALL_STATE(10784)] = 315347,
  [SMALL_STATE(10785)] = 315391,
  [SMALL_STATE(10786)] = 315435,
  [SMALL_STATE(10787)] = 315479,
  [SMALL_STATE(10788)] = 315523,
  [SMALL_STATE(10789)] = 315567,
  [SMALL_STATE(10790)] = 315611,
  [SMALL_STATE(10791)] = 315655,
  [SMALL_STATE(10792)] = 315699,
  [SMALL_STATE(10793)] = 315743,
  [SMALL_STATE(10794)] = 315787,
  [SMALL_STATE(10795)] = 315831,
  [SMALL_STATE(10796)] = 315875,
  [SMALL_STATE(10797)] = 315919,
  [SMALL_STATE(10798)] = 315963,
  [SMALL_STATE(10799)] = 316007,
  [SMALL_STATE(10800)] = 316051,
  [SMALL_STATE(10801)] = 316095,
  [SMALL_STATE(10802)] = 316139,
  [SMALL_STATE(10803)] = 316183,
  [SMALL_STATE(10804)] = 316227,
  [SMALL_STATE(10805)] = 316271,
  [SMALL_STATE(10806)] = 316315,
  [SMALL_STATE(10807)] = 316359,
  [SMALL_STATE(10808)] = 316403,
  [SMALL_STATE(10809)] = 316447,
  [SMALL_STATE(10810)] = 316491,
  [SMALL_STATE(10811)] = 316535,
  [SMALL_STATE(10812)] = 316579,
  [SMALL_STATE(10813)] = 316623,
  [SMALL_STATE(10814)] = 316667,
  [SMALL_STATE(10815)] = 316711,
  [SMALL_STATE(10816)] = 316755,
  [SMALL_STATE(10817)] = 316799,
  [SMALL_STATE(10818)] = 316843,
  [SMALL_STATE(10819)] = 316882,
  [SMALL_STATE(10820)] = 316921,
  [SMALL_STATE(10821)] = 316960,
  [SMALL_STATE(10822)] = 316999,
  [SMALL_STATE(10823)] = 317038,
  [SMALL_STATE(10824)] = 317077,
  [SMALL_STATE(10825)] = 317116,
  [SMALL_STATE(10826)] = 317155,
  [SMALL_STATE(10827)] = 317194,
  [SMALL_STATE(10828)] = 317233,
  [SMALL_STATE(10829)] = 317272,
  [SMALL_STATE(10830)] = 317311,
  [SMALL_STATE(10831)] = 317350,
  [SMALL_STATE(10832)] = 317389,
  [SMALL_STATE(10833)] = 317428,
  [SMALL_STATE(10834)] = 317467,
  [SMALL_STATE(10835)] = 317506,
  [SMALL_STATE(10836)] = 317545,
  [SMALL_STATE(10837)] = 317584,
  [SMALL_STATE(10838)] = 317623,
  [SMALL_STATE(10839)] = 317662,
  [SMALL_STATE(10840)] = 317701,
  [SMALL_STATE(10841)] = 317740,
  [SMALL_STATE(10842)] = 317779,
  [SMALL_STATE(10843)] = 317818,
  [SMALL_STATE(10844)] = 317857,
  [SMALL_STATE(10845)] = 317896,
  [SMALL_STATE(10846)] = 317935,
  [SMALL_STATE(10847)] = 317974,
  [SMALL_STATE(10848)] = 318013,
  [SMALL_STATE(10849)] = 318052,
  [SMALL_STATE(10850)] = 318091,
  [SMALL_STATE(10851)] = 318130,
  [SMALL_STATE(10852)] = 318169,
  [SMALL_STATE(10853)] = 318208,
  [SMALL_STATE(10854)] = 318247,
  [SMALL_STATE(10855)] = 318286,
  [SMALL_STATE(10856)] = 318325,
  [SMALL_STATE(10857)] = 318364,
  [SMALL_STATE(10858)] = 318403,
  [SMALL_STATE(10859)] = 318442,
  [SMALL_STATE(10860)] = 318481,
  [SMALL_STATE(10861)] = 318520,
  [SMALL_STATE(10862)] = 318559,
  [SMALL_STATE(10863)] = 318598,
  [SMALL_STATE(10864)] = 318637,
  [SMALL_STATE(10865)] = 318676,
  [SMALL_STATE(10866)] = 318715,
  [SMALL_STATE(10867)] = 318754,
  [SMALL_STATE(10868)] = 318793,
  [SMALL_STATE(10869)] = 318832,
  [SMALL_STATE(10870)] = 318871,
  [SMALL_STATE(10871)] = 318910,
  [SMALL_STATE(10872)] = 318949,
  [SMALL_STATE(10873)] = 318988,
  [SMALL_STATE(10874)] = 319027,
  [SMALL_STATE(10875)] = 319066,
  [SMALL_STATE(10876)] = 319105,
  [SMALL_STATE(10877)] = 319144,
  [SMALL_STATE(10878)] = 319183,
  [SMALL_STATE(10879)] = 319222,
  [SMALL_STATE(10880)] = 319261,
  [SMALL_STATE(10881)] = 319300,
  [SMALL_STATE(10882)] = 319339,
  [SMALL_STATE(10883)] = 319378,
  [SMALL_STATE(10884)] = 319417,
  [SMALL_STATE(10885)] = 319456,
  [SMALL_STATE(10886)] = 319495,
  [SMALL_STATE(10887)] = 319534,
  [SMALL_STATE(10888)] = 319573,
  [SMALL_STATE(10889)] = 319612,
  [SMALL_STATE(10890)] = 319651,
  [SMALL_STATE(10891)] = 319690,
  [SMALL_STATE(10892)] = 319729,
  [SMALL_STATE(10893)] = 319768,
  [SMALL_STATE(10894)] = 319807,
  [SMALL_STATE(10895)] = 319846,
  [SMALL_STATE(10896)] = 319885,
  [SMALL_STATE(10897)] = 319924,
  [SMALL_STATE(10898)] = 319963,
  [SMALL_STATE(10899)] = 320002,
  [SMALL_STATE(10900)] = 320041,
  [SMALL_STATE(10901)] = 320080,
  [SMALL_STATE(10902)] = 320119,
  [SMALL_STATE(10903)] = 320158,
  [SMALL_STATE(10904)] = 320197,
  [SMALL_STATE(10905)] = 320236,
  [SMALL_STATE(10906)] = 320275,
  [SMALL_STATE(10907)] = 320314,
  [SMALL_STATE(10908)] = 320353,
  [SMALL_STATE(10909)] = 320392,
  [SMALL_STATE(10910)] = 320431,
  [SMALL_STATE(10911)] = 320470,
  [SMALL_STATE(10912)] = 320509,
  [SMALL_STATE(10913)] = 320548,
  [SMALL_STATE(10914)] = 320587,
  [SMALL_STATE(10915)] = 320626,
  [SMALL_STATE(10916)] = 320665,
  [SMALL_STATE(10917)] = 320704,
  [SMALL_STATE(10918)] = 320743,
  [SMALL_STATE(10919)] = 320782,
  [SMALL_STATE(10920)] = 320821,
  [SMALL_STATE(10921)] = 320860,
  [SMALL_STATE(10922)] = 320899,
  [SMALL_STATE(10923)] = 320938,
  [SMALL_STATE(10924)] = 320977,
  [SMALL_STATE(10925)] = 321016,
  [SMALL_STATE(10926)] = 321055,
  [SMALL_STATE(10927)] = 321094,
  [SMALL_STATE(10928)] = 321133,
  [SMALL_STATE(10929)] = 321172,
  [SMALL_STATE(10930)] = 321211,
  [SMALL_STATE(10931)] = 321250,
  [SMALL_STATE(10932)] = 321289,
  [SMALL_STATE(10933)] = 321328,
  [SMALL_STATE(10934)] = 321367,
  [SMALL_STATE(10935)] = 321406,
  [SMALL_STATE(10936)] = 321445,
  [SMALL_STATE(10937)] = 321484,
  [SMALL_STATE(10938)] = 321523,
  [SMALL_STATE(10939)] = 321562,
  [SMALL_STATE(10940)] = 321601,
  [SMALL_STATE(10941)] = 321640,
  [SMALL_STATE(10942)] = 321679,
  [SMALL_STATE(10943)] = 321718,
  [SMALL_STATE(10944)] = 321757,
  [SMALL_STATE(10945)] = 321796,
  [SMALL_STATE(10946)] = 321835,
  [SMALL_STATE(10947)] = 321874,
  [SMALL_STATE(10948)] = 321913,
  [SMALL_STATE(10949)] = 321952,
  [SMALL_STATE(10950)] = 321991,
  [SMALL_STATE(10951)] = 322030,
  [SMALL_STATE(10952)] = 322069,
  [SMALL_STATE(10953)] = 322108,
  [SMALL_STATE(10954)] = 322147,
  [SMALL_STATE(10955)] = 322186,
  [SMALL_STATE(10956)] = 322225,
  [SMALL_STATE(10957)] = 322264,
  [SMALL_STATE(10958)] = 322303,
  [SMALL_STATE(10959)] = 322342,
  [SMALL_STATE(10960)] = 322381,
  [SMALL_STATE(10961)] = 322420,
  [SMALL_STATE(10962)] = 322459,
  [SMALL_STATE(10963)] = 322498,
  [SMALL_STATE(10964)] = 322537,
  [SMALL_STATE(10965)] = 322576,
  [SMALL_STATE(10966)] = 322615,
  [SMALL_STATE(10967)] = 322654,
  [SMALL_STATE(10968)] = 322693,
  [SMALL_STATE(10969)] = 322732,
  [SMALL_STATE(10970)] = 322771,
  [SMALL_STATE(10971)] = 322810,
  [SMALL_STATE(10972)] = 322849,
  [SMALL_STATE(10973)] = 322888,
  [SMALL_STATE(10974)] = 322927,
  [SMALL_STATE(10975)] = 322966,
  [SMALL_STATE(10976)] = 323005,
  [SMALL_STATE(10977)] = 323044,
  [SMALL_STATE(10978)] = 323083,
  [SMALL_STATE(10979)] = 323122,
  [SMALL_STATE(10980)] = 323161,
  [SMALL_STATE(10981)] = 323200,
  [SMALL_STATE(10982)] = 323239,
  [SMALL_STATE(10983)] = 323278,
  [SMALL_STATE(10984)] = 323317,
  [SMALL_STATE(10985)] = 323356,
  [SMALL_STATE(10986)] = 323395,
  [SMALL_STATE(10987)] = 323434,
  [SMALL_STATE(10988)] = 323473,
  [SMALL_STATE(10989)] = 323512,
  [SMALL_STATE(10990)] = 323551,
  [SMALL_STATE(10991)] = 323590,
  [SMALL_STATE(10992)] = 323629,
  [SMALL_STATE(10993)] = 323668,
  [SMALL_STATE(10994)] = 323707,
  [SMALL_STATE(10995)] = 323746,
  [SMALL_STATE(10996)] = 323785,
  [SMALL_STATE(10997)] = 323824,
  [SMALL_STATE(10998)] = 323863,
  [SMALL_STATE(10999)] = 323902,
  [SMALL_STATE(11000)] = 323941,
  [SMALL_STATE(11001)] = 323980,
  [SMALL_STATE(11002)] = 324019,
  [SMALL_STATE(11003)] = 324058,
  [SMALL_STATE(11004)] = 324097,
  [SMALL_STATE(11005)] = 324136,
  [SMALL_STATE(11006)] = 324175,
  [SMALL_STATE(11007)] = 324214,
  [SMALL_STATE(11008)] = 324253,
  [SMALL_STATE(11009)] = 324292,
  [SMALL_STATE(11010)] = 324330,
  [SMALL_STATE(11011)] = 324368,
  [SMALL_STATE(11012)] = 324406,
  [SMALL_STATE(11013)] = 324444,
  [SMALL_STATE(11014)] = 324482,
  [SMALL_STATE(11015)] = 324520,
  [SMALL_STATE(11016)] = 324558,
  [SMALL_STATE(11017)] = 324596,
  [SMALL_STATE(11018)] = 324634,
  [SMALL_STATE(11019)] = 324672,
  [SMALL_STATE(11020)] = 324710,
  [SMALL_STATE(11021)] = 324748,
  [SMALL_STATE(11022)] = 324786,
  [SMALL_STATE(11023)] = 324824,
  [SMALL_STATE(11024)] = 324862,
  [SMALL_STATE(11025)] = 324900,
  [SMALL_STATE(11026)] = 324938,
  [SMALL_STATE(11027)] = 324976,
  [SMALL_STATE(11028)] = 325014,
  [SMALL_STATE(11029)] = 325052,
  [SMALL_STATE(11030)] = 325090,
  [SMALL_STATE(11031)] = 325128,
  [SMALL_STATE(11032)] = 325166,
  [SMALL_STATE(11033)] = 325204,
  [SMALL_STATE(11034)] = 325242,
  [SMALL_STATE(11035)] = 325280,
  [SMALL_STATE(11036)] = 325318,
  [SMALL_STATE(11037)] = 325356,
  [SMALL_STATE(11038)] = 325394,
  [SMALL_STATE(11039)] = 325432,
  [SMALL_STATE(11040)] = 325470,
  [SMALL_STATE(11041)] = 325508,
  [SMALL_STATE(11042)] = 325546,
  [SMALL_STATE(11043)] = 325584,
  [SMALL_STATE(11044)] = 325622,
  [SMALL_STATE(11045)] = 325660,
  [SMALL_STATE(11046)] = 325698,
  [SMALL_STATE(11047)] = 325736,
  [SMALL_STATE(11048)] = 325774,
  [SMALL_STATE(11049)] = 325812,
  [SMALL_STATE(11050)] = 325850,
  [SMALL_STATE(11051)] = 325888,
  [SMALL_STATE(11052)] = 325926,
  [SMALL_STATE(11053)] = 325964,
  [SMALL_STATE(11054)] = 326002,
  [SMALL_STATE(11055)] = 326040,
  [SMALL_STATE(11056)] = 326078,
  [SMALL_STATE(11057)] = 326116,
  [SMALL_STATE(11058)] = 326154,
  [SMALL_STATE(11059)] = 326192,
  [SMALL_STATE(11060)] = 326230,
  [SMALL_STATE(11061)] = 326268,
  [SMALL_STATE(11062)] = 326306,
  [SMALL_STATE(11063)] = 326344,
  [SMALL_STATE(11064)] = 326382,
  [SMALL_STATE(11065)] = 326420,
  [SMALL_STATE(11066)] = 326458,
  [SMALL_STATE(11067)] = 326496,
  [SMALL_STATE(11068)] = 326534,
  [SMALL_STATE(11069)] = 326572,
  [SMALL_STATE(11070)] = 326610,
  [SMALL_STATE(11071)] = 326648,
  [SMALL_STATE(11072)] = 326686,
  [SMALL_STATE(11073)] = 326724,
  [SMALL_STATE(11074)] = 326762,
  [SMALL_STATE(11075)] = 326800,
  [SMALL_STATE(11076)] = 326838,
  [SMALL_STATE(11077)] = 326876,
  [SMALL_STATE(11078)] = 326914,
  [SMALL_STATE(11079)] = 326952,
  [SMALL_STATE(11080)] = 326990,
  [SMALL_STATE(11081)] = 327028,
  [SMALL_STATE(11082)] = 327066,
  [SMALL_STATE(11083)] = 327104,
  [SMALL_STATE(11084)] = 327142,
  [SMALL_STATE(11085)] = 327180,
  [SMALL_STATE(11086)] = 327240,
  [SMALL_STATE(11087)] = 327278,
  [SMALL_STATE(11088)] = 327316,
  [SMALL_STATE(11089)] = 327354,
  [SMALL_STATE(11090)] = 327392,
  [SMALL_STATE(11091)] = 327452,
  [SMALL_STATE(11092)] = 327490,
  [SMALL_STATE(11093)] = 327528,
  [SMALL_STATE(11094)] = 327566,
  [SMALL_STATE(11095)] = 327604,
  [SMALL_STATE(11096)] = 327664,
  [SMALL_STATE(11097)] = 327702,
  [SMALL_STATE(11098)] = 327740,
  [SMALL_STATE(11099)] = 327778,
  [SMALL_STATE(11100)] = 327816,
  [SMALL_STATE(11101)] = 327854,
  [SMALL_STATE(11102)] = 327892,
  [SMALL_STATE(11103)] = 327930,
  [SMALL_STATE(11104)] = 327968,
  [SMALL_STATE(11105)] = 328006,
  [SMALL_STATE(11106)] = 328044,
  [SMALL_STATE(11107)] = 328082,
  [SMALL_STATE(11108)] = 328120,
  [SMALL_STATE(11109)] = 328158,
  [SMALL_STATE(11110)] = 328196,
  [SMALL_STATE(11111)] = 328234,
  [SMALL_STATE(11112)] = 328272,
  [SMALL_STATE(11113)] = 328310,
  [SMALL_STATE(11114)] = 328370,
  [SMALL_STATE(11115)] = 328408,
  [SMALL_STATE(11116)] = 328446,
  [SMALL_STATE(11117)] = 328484,
  [SMALL_STATE(11118)] = 328522,
  [SMALL_STATE(11119)] = 328582,
  [SMALL_STATE(11120)] = 328620,
  [SMALL_STATE(11121)] = 328658,
  [SMALL_STATE(11122)] = 328696,
  [SMALL_STATE(11123)] = 328756,
  [SMALL_STATE(11124)] = 328794,
  [SMALL_STATE(11125)] = 328832,
  [SMALL_STATE(11126)] = 328870,
  [SMALL_STATE(11127)] = 328908,
  [SMALL_STATE(11128)] = 328946,
  [SMALL_STATE(11129)] = 328984,
  [SMALL_STATE(11130)] = 329022,
  [SMALL_STATE(11131)] = 329060,
  [SMALL_STATE(11132)] = 329098,
  [SMALL_STATE(11133)] = 329136,
  [SMALL_STATE(11134)] = 329174,
  [SMALL_STATE(11135)] = 329212,
  [SMALL_STATE(11136)] = 329250,
  [SMALL_STATE(11137)] = 329288,
  [SMALL_STATE(11138)] = 329326,
  [SMALL_STATE(11139)] = 329364,
  [SMALL_STATE(11140)] = 329402,
  [SMALL_STATE(11141)] = 329462,
  [SMALL_STATE(11142)] = 329504,
  [SMALL_STATE(11143)] = 329542,
  [SMALL_STATE(11144)] = 329580,
  [SMALL_STATE(11145)] = 329618,
  [SMALL_STATE(11146)] = 329656,
  [SMALL_STATE(11147)] = 329694,
  [SMALL_STATE(11148)] = 329732,
  [SMALL_STATE(11149)] = 329770,
  [SMALL_STATE(11150)] = 329808,
  [SMALL_STATE(11151)] = 329846,
  [SMALL_STATE(11152)] = 329884,
  [SMALL_STATE(11153)] = 329922,
  [SMALL_STATE(11154)] = 329960,
  [SMALL_STATE(11155)] = 329998,
  [SMALL_STATE(11156)] = 330036,
  [SMALL_STATE(11157)] = 330074,
  [SMALL_STATE(11158)] = 330112,
  [SMALL_STATE(11159)] = 330150,
  [SMALL_STATE(11160)] = 330188,
  [SMALL_STATE(11161)] = 330226,
  [SMALL_STATE(11162)] = 330264,
  [SMALL_STATE(11163)] = 330302,
  [SMALL_STATE(11164)] = 330340,
  [SMALL_STATE(11165)] = 330413,
  [SMALL_STATE(11166)] = 330486,
  [SMALL_STATE(11167)] = 330559,
  [SMALL_STATE(11168)] = 330632,
  [SMALL_STATE(11169)] = 330705,
  [SMALL_STATE(11170)] = 330778,
  [SMALL_STATE(11171)] = 330851,
  [SMALL_STATE(11172)] = 330924,
  [SMALL_STATE(11173)] = 330997,
  [SMALL_STATE(11174)] = 331070,
  [SMALL_STATE(11175)] = 331143,
  [SMALL_STATE(11176)] = 331216,
  [SMALL_STATE(11177)] = 331289,
  [SMALL_STATE(11178)] = 331362,
  [SMALL_STATE(11179)] = 331435,
  [SMALL_STATE(11180)] = 331508,
  [SMALL_STATE(11181)] = 331581,
  [SMALL_STATE(11182)] = 331654,
  [SMALL_STATE(11183)] = 331727,
  [SMALL_STATE(11184)] = 331768,
  [SMALL_STATE(11185)] = 331841,
  [SMALL_STATE(11186)] = 331914,
  [SMALL_STATE(11187)] = 331987,
  [SMALL_STATE(11188)] = 332060,
  [SMALL_STATE(11189)] = 332133,
  [SMALL_STATE(11190)] = 332174,
  [SMALL_STATE(11191)] = 332247,
  [SMALL_STATE(11192)] = 332320,
  [SMALL_STATE(11193)] = 332361,
  [SMALL_STATE(11194)] = 332434,
  [SMALL_STATE(11195)] = 332507,
  [SMALL_STATE(11196)] = 332545,
  [SMALL_STATE(11197)] = 332613,
  [SMALL_STATE(11198)] = 332681,
  [SMALL_STATE(11199)] = 332749,
  [SMALL_STATE(11200)] = 332813,
  [SMALL_STATE(11201)] = 332881,
  [SMALL_STATE(11202)] = 332949,
  [SMALL_STATE(11203)] = 333017,
  [SMALL_STATE(11204)] = 333085,
  [SMALL_STATE(11205)] = 333153,
  [SMALL_STATE(11206)] = 333221,
  [SMALL_STATE(11207)] = 333285,
  [SMALL_STATE(11208)] = 333353,
  [SMALL_STATE(11209)] = 333421,
  [SMALL_STATE(11210)] = 333489,
  [SMALL_STATE(11211)] = 333557,
  [SMALL_STATE(11212)] = 333625,
  [SMALL_STATE(11213)] = 333693,
  [SMALL_STATE(11214)] = 333761,
  [SMALL_STATE(11215)] = 333829,
  [SMALL_STATE(11216)] = 333897,
  [SMALL_STATE(11217)] = 333965,
  [SMALL_STATE(11218)] = 334033,
  [SMALL_STATE(11219)] = 334101,
  [SMALL_STATE(11220)] = 334140,
  [SMALL_STATE(11221)] = 334175,
  [SMALL_STATE(11222)] = 334210,
  [SMALL_STATE(11223)] = 334263,
  [SMALL_STATE(11224)] = 334298,
  [SMALL_STATE(11225)] = 334337,
  [SMALL_STATE(11226)] = 334372,
  [SMALL_STATE(11227)] = 334430,
  [SMALL_STATE(11228)] = 334462,
  [SMALL_STATE(11229)] = 334494,
  [SMALL_STATE(11230)] = 334552,
  [SMALL_STATE(11231)] = 334582,
  [SMALL_STATE(11232)] = 334612,
  [SMALL_STATE(11233)] = 334666,
  [SMALL_STATE(11234)] = 334696,
  [SMALL_STATE(11235)] = 334748,
  [SMALL_STATE(11236)] = 334790,
  [SMALL_STATE(11237)] = 334842,
  [SMALL_STATE(11238)] = 334896,
  [SMALL_STATE(11239)] = 334946,
  [SMALL_STATE(11240)] = 334999,
  [SMALL_STATE(11241)] = 335050,
  [SMALL_STATE(11242)] = 335103,
  [SMALL_STATE(11243)] = 335156,
  [SMALL_STATE(11244)] = 335209,
  [SMALL_STATE(11245)] = 335260,
  [SMALL_STATE(11246)] = 335313,
  [SMALL_STATE(11247)] = 335364,
  [SMALL_STATE(11248)] = 335415,
  [SMALL_STATE(11249)] = 335461,
  [SMALL_STATE(11250)] = 335507,
  [SMALL_STATE(11251)] = 335553,
  [SMALL_STATE(11252)] = 335607,
  [SMALL_STATE(11253)] = 335657,
  [SMALL_STATE(11254)] = 335711,
  [SMALL_STATE(11255)] = 335757,
  [SMALL_STATE(11256)] = 335803,
  [SMALL_STATE(11257)] = 335857,
  [SMALL_STATE(11258)] = 335905,
  [SMALL_STATE(11259)] = 335955,
  [SMALL_STATE(11260)] = 336005,
  [SMALL_STATE(11261)] = 336053,
  [SMALL_STATE(11262)] = 336101,
  [SMALL_STATE(11263)] = 336151,
  [SMALL_STATE(11264)] = 336201,
  [SMALL_STATE(11265)] = 336251,
  [SMALL_STATE(11266)] = 336297,
  [SMALL_STATE(11267)] = 336351,
  [SMALL_STATE(11268)] = 336399,
  [SMALL_STATE(11269)] = 336445,
  [SMALL_STATE(11270)] = 336493,
  [SMALL_STATE(11271)] = 336541,
  [SMALL_STATE(11272)] = 336591,
  [SMALL_STATE(11273)] = 336639,
  [SMALL_STATE(11274)] = 336693,
  [SMALL_STATE(11275)] = 336740,
  [SMALL_STATE(11276)] = 336787,
  [SMALL_STATE(11277)] = 336834,
  [SMALL_STATE(11278)] = 336881,
  [SMALL_STATE(11279)] = 336928,
  [SMALL_STATE(11280)] = 336975,
  [SMALL_STATE(11281)] = 337022,
  [SMALL_STATE(11282)] = 337069,
  [SMALL_STATE(11283)] = 337116,
  [SMALL_STATE(11284)] = 337163,
  [SMALL_STATE(11285)] = 337210,
  [SMALL_STATE(11286)] = 337257,
  [SMALL_STATE(11287)] = 337304,
  [SMALL_STATE(11288)] = 337351,
  [SMALL_STATE(11289)] = 337398,
  [SMALL_STATE(11290)] = 337445,
  [SMALL_STATE(11291)] = 337486,
  [SMALL_STATE(11292)] = 337533,
  [SMALL_STATE(11293)] = 337580,
  [SMALL_STATE(11294)] = 337627,
  [SMALL_STATE(11295)] = 337674,
  [SMALL_STATE(11296)] = 337721,
  [SMALL_STATE(11297)] = 337768,
  [SMALL_STATE(11298)] = 337815,
  [SMALL_STATE(11299)] = 337862,
  [SMALL_STATE(11300)] = 337909,
  [SMALL_STATE(11301)] = 337956,
  [SMALL_STATE(11302)] = 338003,
  [SMALL_STATE(11303)] = 338046,
  [SMALL_STATE(11304)] = 338093,
  [SMALL_STATE(11305)] = 338140,
  [SMALL_STATE(11306)] = 338187,
  [SMALL_STATE(11307)] = 338234,
  [SMALL_STATE(11308)] = 338281,
  [SMALL_STATE(11309)] = 338328,
  [SMALL_STATE(11310)] = 338375,
  [SMALL_STATE(11311)] = 338422,
  [SMALL_STATE(11312)] = 338469,
  [SMALL_STATE(11313)] = 338511,
  [SMALL_STATE(11314)] = 338553,
  [SMALL_STATE(11315)] = 338597,
  [SMALL_STATE(11316)] = 338639,
  [SMALL_STATE(11317)] = 338681,
  [SMALL_STATE(11318)] = 338723,
  [SMALL_STATE(11319)] = 338765,
  [SMALL_STATE(11320)] = 338803,
  [SMALL_STATE(11321)] = 338845,
  [SMALL_STATE(11322)] = 338887,
  [SMALL_STATE(11323)] = 338931,
  [SMALL_STATE(11324)] = 338973,
  [SMALL_STATE(11325)] = 339017,
  [SMALL_STATE(11326)] = 339061,
  [SMALL_STATE(11327)] = 339103,
  [SMALL_STATE(11328)] = 339145,
  [SMALL_STATE(11329)] = 339187,
  [SMALL_STATE(11330)] = 339229,
  [SMALL_STATE(11331)] = 339271,
  [SMALL_STATE(11332)] = 339313,
  [SMALL_STATE(11333)] = 339355,
  [SMALL_STATE(11334)] = 339397,
  [SMALL_STATE(11335)] = 339441,
  [SMALL_STATE(11336)] = 339485,
  [SMALL_STATE(11337)] = 339527,
  [SMALL_STATE(11338)] = 339569,
  [SMALL_STATE(11339)] = 339611,
  [SMALL_STATE(11340)] = 339653,
  [SMALL_STATE(11341)] = 339695,
  [SMALL_STATE(11342)] = 339737,
  [SMALL_STATE(11343)] = 339779,
  [SMALL_STATE(11344)] = 339823,
  [SMALL_STATE(11345)] = 339865,
  [SMALL_STATE(11346)] = 339907,
  [SMALL_STATE(11347)] = 339949,
  [SMALL_STATE(11348)] = 339991,
  [SMALL_STATE(11349)] = 340033,
  [SMALL_STATE(11350)] = 340075,
  [SMALL_STATE(11351)] = 340117,
  [SMALL_STATE(11352)] = 340161,
  [SMALL_STATE(11353)] = 340203,
  [SMALL_STATE(11354)] = 340245,
  [SMALL_STATE(11355)] = 340287,
  [SMALL_STATE(11356)] = 340329,
  [SMALL_STATE(11357)] = 340371,
  [SMALL_STATE(11358)] = 340413,
  [SMALL_STATE(11359)] = 340455,
  [SMALL_STATE(11360)] = 340497,
  [SMALL_STATE(11361)] = 340539,
  [SMALL_STATE(11362)] = 340583,
  [SMALL_STATE(11363)] = 340624,
  [SMALL_STATE(11364)] = 340665,
  [SMALL_STATE(11365)] = 340706,
  [SMALL_STATE(11366)] = 340747,
  [SMALL_STATE(11367)] = 340788,
  [SMALL_STATE(11368)] = 340829,
  [SMALL_STATE(11369)] = 340870,
  [SMALL_STATE(11370)] = 340911,
  [SMALL_STATE(11371)] = 340952,
  [SMALL_STATE(11372)] = 340993,
  [SMALL_STATE(11373)] = 341034,
  [SMALL_STATE(11374)] = 341075,
  [SMALL_STATE(11375)] = 341116,
  [SMALL_STATE(11376)] = 341161,
  [SMALL_STATE(11377)] = 341202,
  [SMALL_STATE(11378)] = 341243,
  [SMALL_STATE(11379)] = 341284,
  [SMALL_STATE(11380)] = 341325,
  [SMALL_STATE(11381)] = 341366,
  [SMALL_STATE(11382)] = 341411,
  [SMALL_STATE(11383)] = 341452,
  [SMALL_STATE(11384)] = 341493,
  [SMALL_STATE(11385)] = 341534,
  [SMALL_STATE(11386)] = 341575,
  [SMALL_STATE(11387)] = 341616,
  [SMALL_STATE(11388)] = 341657,
  [SMALL_STATE(11389)] = 341698,
  [SMALL_STATE(11390)] = 341739,
  [SMALL_STATE(11391)] = 341780,
  [SMALL_STATE(11392)] = 341821,
  [SMALL_STATE(11393)] = 341862,
  [SMALL_STATE(11394)] = 341903,
  [SMALL_STATE(11395)] = 341944,
  [SMALL_STATE(11396)] = 341985,
  [SMALL_STATE(11397)] = 342024,
  [SMALL_STATE(11398)] = 342065,
  [SMALL_STATE(11399)] = 342106,
  [SMALL_STATE(11400)] = 342151,
  [SMALL_STATE(11401)] = 342192,
  [SMALL_STATE(11402)] = 342233,
  [SMALL_STATE(11403)] = 342274,
  [SMALL_STATE(11404)] = 342315,
  [SMALL_STATE(11405)] = 342356,
  [SMALL_STATE(11406)] = 342397,
  [SMALL_STATE(11407)] = 342438,
  [SMALL_STATE(11408)] = 342479,
  [SMALL_STATE(11409)] = 342520,
  [SMALL_STATE(11410)] = 342559,
  [SMALL_STATE(11411)] = 342600,
  [SMALL_STATE(11412)] = 342645,
  [SMALL_STATE(11413)] = 342686,
  [SMALL_STATE(11414)] = 342727,
  [SMALL_STATE(11415)] = 342768,
  [SMALL_STATE(11416)] = 342809,
  [SMALL_STATE(11417)] = 342850,
  [SMALL_STATE(11418)] = 342891,
  [SMALL_STATE(11419)] = 342932,
  [SMALL_STATE(11420)] = 342973,
  [SMALL_STATE(11421)] = 343014,
  [SMALL_STATE(11422)] = 343055,
  [SMALL_STATE(11423)] = 343096,
  [SMALL_STATE(11424)] = 343137,
  [SMALL_STATE(11425)] = 343178,
  [SMALL_STATE(11426)] = 343219,
  [SMALL_STATE(11427)] = 343260,
  [SMALL_STATE(11428)] = 343301,
  [SMALL_STATE(11429)] = 343342,
  [SMALL_STATE(11430)] = 343387,
  [SMALL_STATE(11431)] = 343428,
  [SMALL_STATE(11432)] = 343469,
  [SMALL_STATE(11433)] = 343510,
  [SMALL_STATE(11434)] = 343551,
  [SMALL_STATE(11435)] = 343592,
  [SMALL_STATE(11436)] = 343633,
  [SMALL_STATE(11437)] = 343674,
  [SMALL_STATE(11438)] = 343715,
  [SMALL_STATE(11439)] = 343756,
  [SMALL_STATE(11440)] = 343797,
  [SMALL_STATE(11441)] = 343838,
  [SMALL_STATE(11442)] = 343879,
  [SMALL_STATE(11443)] = 343917,
  [SMALL_STATE(11444)] = 343955,
  [SMALL_STATE(11445)] = 343993,
  [SMALL_STATE(11446)] = 344019,
  [SMALL_STATE(11447)] = 344057,
  [SMALL_STATE(11448)] = 344095,
  [SMALL_STATE(11449)] = 344131,
  [SMALL_STATE(11450)] = 344169,
  [SMALL_STATE(11451)] = 344207,
  [SMALL_STATE(11452)] = 344245,
  [SMALL_STATE(11453)] = 344271,
  [SMALL_STATE(11454)] = 344309,
  [SMALL_STATE(11455)] = 344347,
  [SMALL_STATE(11456)] = 344385,
  [SMALL_STATE(11457)] = 344423,
  [SMALL_STATE(11458)] = 344461,
  [SMALL_STATE(11459)] = 344499,
  [SMALL_STATE(11460)] = 344537,
  [SMALL_STATE(11461)] = 344575,
  [SMALL_STATE(11462)] = 344613,
  [SMALL_STATE(11463)] = 344651,
  [SMALL_STATE(11464)] = 344689,
  [SMALL_STATE(11465)] = 344727,
  [SMALL_STATE(11466)] = 344757,
  [SMALL_STATE(11467)] = 344795,
  [SMALL_STATE(11468)] = 344833,
  [SMALL_STATE(11469)] = 344863,
  [SMALL_STATE(11470)] = 344898,
  [SMALL_STATE(11471)] = 344937,
  [SMALL_STATE(11472)] = 344972,
  [SMALL_STATE(11473)] = 345007,
  [SMALL_STATE(11474)] = 345042,
  [SMALL_STATE(11475)] = 345077,
  [SMALL_STATE(11476)] = 345112,
  [SMALL_STATE(11477)] = 345147,
  [SMALL_STATE(11478)] = 345182,
  [SMALL_STATE(11479)] = 345217,
  [SMALL_STATE(11480)] = 345252,
  [SMALL_STATE(11481)] = 345287,
  [SMALL_STATE(11482)] = 345322,
  [SMALL_STATE(11483)] = 345357,
  [SMALL_STATE(11484)] = 345392,
  [SMALL_STATE(11485)] = 345427,
  [SMALL_STATE(11486)] = 345462,
  [SMALL_STATE(11487)] = 345505,
  [SMALL_STATE(11488)] = 345544,
  [SMALL_STATE(11489)] = 345579,
  [SMALL_STATE(11490)] = 345614,
  [SMALL_STATE(11491)] = 345649,
  [SMALL_STATE(11492)] = 345684,
  [SMALL_STATE(11493)] = 345719,
  [SMALL_STATE(11494)] = 345754,
  [SMALL_STATE(11495)] = 345789,
  [SMALL_STATE(11496)] = 345824,
  [SMALL_STATE(11497)] = 345859,
  [SMALL_STATE(11498)] = 345894,
  [SMALL_STATE(11499)] = 345929,
  [SMALL_STATE(11500)] = 345964,
  [SMALL_STATE(11501)] = 345999,
  [SMALL_STATE(11502)] = 346034,
  [SMALL_STATE(11503)] = 346069,
  [SMALL_STATE(11504)] = 346104,
  [SMALL_STATE(11505)] = 346139,
  [SMALL_STATE(11506)] = 346174,
  [SMALL_STATE(11507)] = 346209,
  [SMALL_STATE(11508)] = 346244,
  [SMALL_STATE(11509)] = 346279,
  [SMALL_STATE(11510)] = 346314,
  [SMALL_STATE(11511)] = 346349,
  [SMALL_STATE(11512)] = 346384,
  [SMALL_STATE(11513)] = 346419,
  [SMALL_STATE(11514)] = 346454,
  [SMALL_STATE(11515)] = 346489,
  [SMALL_STATE(11516)] = 346524,
  [SMALL_STATE(11517)] = 346559,
  [SMALL_STATE(11518)] = 346594,
  [SMALL_STATE(11519)] = 346629,
  [SMALL_STATE(11520)] = 346664,
  [SMALL_STATE(11521)] = 346699,
  [SMALL_STATE(11522)] = 346734,
  [SMALL_STATE(11523)] = 346769,
  [SMALL_STATE(11524)] = 346804,
  [SMALL_STATE(11525)] = 346839,
  [SMALL_STATE(11526)] = 346874,
  [SMALL_STATE(11527)] = 346909,
  [SMALL_STATE(11528)] = 346944,
  [SMALL_STATE(11529)] = 346979,
  [SMALL_STATE(11530)] = 347014,
  [SMALL_STATE(11531)] = 347049,
  [SMALL_STATE(11532)] = 347084,
  [SMALL_STATE(11533)] = 347119,
  [SMALL_STATE(11534)] = 347154,
  [SMALL_STATE(11535)] = 347189,
  [SMALL_STATE(11536)] = 347224,
  [SMALL_STATE(11537)] = 347259,
  [SMALL_STATE(11538)] = 347294,
  [SMALL_STATE(11539)] = 347333,
  [SMALL_STATE(11540)] = 347368,
  [SMALL_STATE(11541)] = 347403,
  [SMALL_STATE(11542)] = 347438,
  [SMALL_STATE(11543)] = 347473,
  [SMALL_STATE(11544)] = 347508,
  [SMALL_STATE(11545)] = 347543,
  [SMALL_STATE(11546)] = 347578,
  [SMALL_STATE(11547)] = 347613,
  [SMALL_STATE(11548)] = 347648,
  [SMALL_STATE(11549)] = 347683,
  [SMALL_STATE(11550)] = 347718,
  [SMALL_STATE(11551)] = 347741,
  [SMALL_STATE(11552)] = 347776,
  [SMALL_STATE(11553)] = 347811,
  [SMALL_STATE(11554)] = 347846,
  [SMALL_STATE(11555)] = 347881,
  [SMALL_STATE(11556)] = 347916,
  [SMALL_STATE(11557)] = 347951,
  [SMALL_STATE(11558)] = 347986,
  [SMALL_STATE(11559)] = 348021,
  [SMALL_STATE(11560)] = 348070,
  [SMALL_STATE(11561)] = 348105,
  [SMALL_STATE(11562)] = 348140,
  [SMALL_STATE(11563)] = 348175,
  [SMALL_STATE(11564)] = 348210,
  [SMALL_STATE(11565)] = 348245,
  [SMALL_STATE(11566)] = 348280,
  [SMALL_STATE(11567)] = 348315,
  [SMALL_STATE(11568)] = 348338,
  [SMALL_STATE(11569)] = 348373,
  [SMALL_STATE(11570)] = 348408,
  [SMALL_STATE(11571)] = 348443,
  [SMALL_STATE(11572)] = 348478,
  [SMALL_STATE(11573)] = 348513,
  [SMALL_STATE(11574)] = 348548,
  [SMALL_STATE(11575)] = 348583,
  [SMALL_STATE(11576)] = 348618,
  [SMALL_STATE(11577)] = 348653,
  [SMALL_STATE(11578)] = 348688,
  [SMALL_STATE(11579)] = 348723,
  [SMALL_STATE(11580)] = 348758,
  [SMALL_STATE(11581)] = 348793,
  [SMALL_STATE(11582)] = 348828,
  [SMALL_STATE(11583)] = 348863,
  [SMALL_STATE(11584)] = 348898,
  [SMALL_STATE(11585)] = 348933,
  [SMALL_STATE(11586)] = 348968,
  [SMALL_STATE(11587)] = 349003,
  [SMALL_STATE(11588)] = 349038,
  [SMALL_STATE(11589)] = 349073,
  [SMALL_STATE(11590)] = 349108,
  [SMALL_STATE(11591)] = 349143,
  [SMALL_STATE(11592)] = 349178,
  [SMALL_STATE(11593)] = 349213,
  [SMALL_STATE(11594)] = 349252,
  [SMALL_STATE(11595)] = 349287,
  [SMALL_STATE(11596)] = 349322,
  [SMALL_STATE(11597)] = 349357,
  [SMALL_STATE(11598)] = 349392,
  [SMALL_STATE(11599)] = 349427,
  [SMALL_STATE(11600)] = 349462,
  [SMALL_STATE(11601)] = 349497,
  [SMALL_STATE(11602)] = 349532,
  [SMALL_STATE(11603)] = 349567,
  [SMALL_STATE(11604)] = 349602,
  [SMALL_STATE(11605)] = 349637,
  [SMALL_STATE(11606)] = 349672,
  [SMALL_STATE(11607)] = 349707,
  [SMALL_STATE(11608)] = 349742,
  [SMALL_STATE(11609)] = 349777,
  [SMALL_STATE(11610)] = 349812,
  [SMALL_STATE(11611)] = 349847,
  [SMALL_STATE(11612)] = 349882,
  [SMALL_STATE(11613)] = 349917,
  [SMALL_STATE(11614)] = 349952,
  [SMALL_STATE(11615)] = 349991,
  [SMALL_STATE(11616)] = 350026,
  [SMALL_STATE(11617)] = 350065,
  [SMALL_STATE(11618)] = 350100,
  [SMALL_STATE(11619)] = 350135,
  [SMALL_STATE(11620)] = 350170,
  [SMALL_STATE(11621)] = 350205,
  [SMALL_STATE(11622)] = 350240,
  [SMALL_STATE(11623)] = 350275,
  [SMALL_STATE(11624)] = 350310,
  [SMALL_STATE(11625)] = 350345,
  [SMALL_STATE(11626)] = 350380,
  [SMALL_STATE(11627)] = 350415,
  [SMALL_STATE(11628)] = 350450,
  [SMALL_STATE(11629)] = 350485,
  [SMALL_STATE(11630)] = 350520,
  [SMALL_STATE(11631)] = 350555,
  [SMALL_STATE(11632)] = 350590,
  [SMALL_STATE(11633)] = 350625,
  [SMALL_STATE(11634)] = 350660,
  [SMALL_STATE(11635)] = 350695,
  [SMALL_STATE(11636)] = 350730,
  [SMALL_STATE(11637)] = 350765,
  [SMALL_STATE(11638)] = 350800,
  [SMALL_STATE(11639)] = 350849,
  [SMALL_STATE(11640)] = 350884,
  [SMALL_STATE(11641)] = 350919,
  [SMALL_STATE(11642)] = 350954,
  [SMALL_STATE(11643)] = 350989,
  [SMALL_STATE(11644)] = 351024,
  [SMALL_STATE(11645)] = 351059,
  [SMALL_STATE(11646)] = 351094,
  [SMALL_STATE(11647)] = 351129,
  [SMALL_STATE(11648)] = 351164,
  [SMALL_STATE(11649)] = 351199,
  [SMALL_STATE(11650)] = 351234,
  [SMALL_STATE(11651)] = 351256,
  [SMALL_STATE(11652)] = 351280,
  [SMALL_STATE(11653)] = 351304,
  [SMALL_STATE(11654)] = 351328,
  [SMALL_STATE(11655)] = 351352,
  [SMALL_STATE(11656)] = 351376,
  [SMALL_STATE(11657)] = 351398,
  [SMALL_STATE(11658)] = 351439,
  [SMALL_STATE(11659)] = 351480,
  [SMALL_STATE(11660)] = 351513,
  [SMALL_STATE(11661)] = 351554,
  [SMALL_STATE(11662)] = 351595,
  [SMALL_STATE(11663)] = 351628,
  [SMALL_STATE(11664)] = 351669,
  [SMALL_STATE(11665)] = 351710,
  [SMALL_STATE(11666)] = 351751,
  [SMALL_STATE(11667)] = 351784,
  [SMALL_STATE(11668)] = 351825,
  [SMALL_STATE(11669)] = 351866,
  [SMALL_STATE(11670)] = 351907,
  [SMALL_STATE(11671)] = 351948,
  [SMALL_STATE(11672)] = 351981,
  [SMALL_STATE(11673)] = 352022,
  [SMALL_STATE(11674)] = 352055,
  [SMALL_STATE(11675)] = 352076,
  [SMALL_STATE(11676)] = 352117,
  [SMALL_STATE(11677)] = 352158,
  [SMALL_STATE(11678)] = 352191,
  [SMALL_STATE(11679)] = 352212,
  [SMALL_STATE(11680)] = 352253,
  [SMALL_STATE(11681)] = 352294,
  [SMALL_STATE(11682)] = 352335,
  [SMALL_STATE(11683)] = 352376,
  [SMALL_STATE(11684)] = 352417,
  [SMALL_STATE(11685)] = 352450,
  [SMALL_STATE(11686)] = 352491,
  [SMALL_STATE(11687)] = 352532,
  [SMALL_STATE(11688)] = 352573,
  [SMALL_STATE(11689)] = 352614,
  [SMALL_STATE(11690)] = 352655,
  [SMALL_STATE(11691)] = 352696,
  [SMALL_STATE(11692)] = 352737,
  [SMALL_STATE(11693)] = 352778,
  [SMALL_STATE(11694)] = 352818,
  [SMALL_STATE(11695)] = 352856,
  [SMALL_STATE(11696)] = 352896,
  [SMALL_STATE(11697)] = 352934,
  [SMALL_STATE(11698)] = 352972,
  [SMALL_STATE(11699)] = 353010,
  [SMALL_STATE(11700)] = 353050,
  [SMALL_STATE(11701)] = 353090,
  [SMALL_STATE(11702)] = 353128,
  [SMALL_STATE(11703)] = 353166,
  [SMALL_STATE(11704)] = 353204,
  [SMALL_STATE(11705)] = 353244,
  [SMALL_STATE(11706)] = 353282,
  [SMALL_STATE(11707)] = 353322,
  [SMALL_STATE(11708)] = 353362,
  [SMALL_STATE(11709)] = 353402,
  [SMALL_STATE(11710)] = 353442,
  [SMALL_STATE(11711)] = 353480,
  [SMALL_STATE(11712)] = 353520,
  [SMALL_STATE(11713)] = 353558,
  [SMALL_STATE(11714)] = 353598,
  [SMALL_STATE(11715)] = 353638,
  [SMALL_STATE(11716)] = 353678,
  [SMALL_STATE(11717)] = 353718,
  [SMALL_STATE(11718)] = 353756,
  [SMALL_STATE(11719)] = 353796,
  [SMALL_STATE(11720)] = 353834,
  [SMALL_STATE(11721)] = 353874,
  [SMALL_STATE(11722)] = 353900,
  [SMALL_STATE(11723)] = 353940,
  [SMALL_STATE(11724)] = 353978,
  [SMALL_STATE(11725)] = 354016,
  [SMALL_STATE(11726)] = 354054,
  [SMALL_STATE(11727)] = 354094,
  [SMALL_STATE(11728)] = 354134,
  [SMALL_STATE(11729)] = 354174,
  [SMALL_STATE(11730)] = 354212,
  [SMALL_STATE(11731)] = 354250,
  [SMALL_STATE(11732)] = 354288,
  [SMALL_STATE(11733)] = 354328,
  [SMALL_STATE(11734)] = 354368,
  [SMALL_STATE(11735)] = 354408,
  [SMALL_STATE(11736)] = 354446,
  [SMALL_STATE(11737)] = 354484,
  [SMALL_STATE(11738)] = 354522,
  [SMALL_STATE(11739)] = 354560,
  [SMALL_STATE(11740)] = 354600,
  [SMALL_STATE(11741)] = 354638,
  [SMALL_STATE(11742)] = 354676,
  [SMALL_STATE(11743)] = 354714,
  [SMALL_STATE(11744)] = 354754,
  [SMALL_STATE(11745)] = 354792,
  [SMALL_STATE(11746)] = 354832,
  [SMALL_STATE(11747)] = 354872,
  [SMALL_STATE(11748)] = 354910,
  [SMALL_STATE(11749)] = 354948,
  [SMALL_STATE(11750)] = 354974,
  [SMALL_STATE(11751)] = 355014,
  [SMALL_STATE(11752)] = 355054,
  [SMALL_STATE(11753)] = 355094,
  [SMALL_STATE(11754)] = 355134,
  [SMALL_STATE(11755)] = 355172,
  [SMALL_STATE(11756)] = 355212,
  [SMALL_STATE(11757)] = 355252,
  [SMALL_STATE(11758)] = 355290,
  [SMALL_STATE(11759)] = 355330,
  [SMALL_STATE(11760)] = 355370,
  [SMALL_STATE(11761)] = 355410,
  [SMALL_STATE(11762)] = 355450,
  [SMALL_STATE(11763)] = 355488,
  [SMALL_STATE(11764)] = 355526,
  [SMALL_STATE(11765)] = 355564,
  [SMALL_STATE(11766)] = 355604,
  [SMALL_STATE(11767)] = 355644,
  [SMALL_STATE(11768)] = 355682,
  [SMALL_STATE(11769)] = 355722,
  [SMALL_STATE(11770)] = 355762,
  [SMALL_STATE(11771)] = 355788,
  [SMALL_STATE(11772)] = 355826,
  [SMALL_STATE(11773)] = 355866,
  [SMALL_STATE(11774)] = 355906,
  [SMALL_STATE(11775)] = 355946,
  [SMALL_STATE(11776)] = 355986,
  [SMALL_STATE(11777)] = 356024,
  [SMALL_STATE(11778)] = 356064,
  [SMALL_STATE(11779)] = 356102,
  [SMALL_STATE(11780)] = 356142,
  [SMALL_STATE(11781)] = 356180,
  [SMALL_STATE(11782)] = 356220,
  [SMALL_STATE(11783)] = 356260,
  [SMALL_STATE(11784)] = 356300,
  [SMALL_STATE(11785)] = 356340,
  [SMALL_STATE(11786)] = 356380,
  [SMALL_STATE(11787)] = 356420,
  [SMALL_STATE(11788)] = 356460,
  [SMALL_STATE(11789)] = 356500,
  [SMALL_STATE(11790)] = 356538,
  [SMALL_STATE(11791)] = 356576,
  [SMALL_STATE(11792)] = 356616,
  [SMALL_STATE(11793)] = 356656,
  [SMALL_STATE(11794)] = 356696,
  [SMALL_STATE(11795)] = 356734,
  [SMALL_STATE(11796)] = 356774,
  [SMALL_STATE(11797)] = 356814,
  [SMALL_STATE(11798)] = 356840,
  [SMALL_STATE(11799)] = 356878,
  [SMALL_STATE(11800)] = 356916,
  [SMALL_STATE(11801)] = 356956,
  [SMALL_STATE(11802)] = 356994,
  [SMALL_STATE(11803)] = 357034,
  [SMALL_STATE(11804)] = 357074,
  [SMALL_STATE(11805)] = 357112,
  [SMALL_STATE(11806)] = 357152,
  [SMALL_STATE(11807)] = 357190,
  [SMALL_STATE(11808)] = 357230,
  [SMALL_STATE(11809)] = 357268,
  [SMALL_STATE(11810)] = 357308,
  [SMALL_STATE(11811)] = 357348,
  [SMALL_STATE(11812)] = 357388,
  [SMALL_STATE(11813)] = 357428,
  [SMALL_STATE(11814)] = 357468,
  [SMALL_STATE(11815)] = 357508,
  [SMALL_STATE(11816)] = 357546,
  [SMALL_STATE(11817)] = 357586,
  [SMALL_STATE(11818)] = 357624,
  [SMALL_STATE(11819)] = 357662,
  [SMALL_STATE(11820)] = 357702,
  [SMALL_STATE(11821)] = 357740,
  [SMALL_STATE(11822)] = 357780,
  [SMALL_STATE(11823)] = 357818,
  [SMALL_STATE(11824)] = 357838,
  [SMALL_STATE(11825)] = 357876,
  [SMALL_STATE(11826)] = 357914,
  [SMALL_STATE(11827)] = 357954,
  [SMALL_STATE(11828)] = 357994,
  [SMALL_STATE(11829)] = 358032,
  [SMALL_STATE(11830)] = 358070,
  [SMALL_STATE(11831)] = 358108,
  [SMALL_STATE(11832)] = 358148,
  [SMALL_STATE(11833)] = 358186,
  [SMALL_STATE(11834)] = 358226,
  [SMALL_STATE(11835)] = 358266,
  [SMALL_STATE(11836)] = 358306,
  [SMALL_STATE(11837)] = 358346,
  [SMALL_STATE(11838)] = 358386,
  [SMALL_STATE(11839)] = 358409,
  [SMALL_STATE(11840)] = 358432,
  [SMALL_STATE(11841)] = 358455,
  [SMALL_STATE(11842)] = 358478,
  [SMALL_STATE(11843)] = 358501,
  [SMALL_STATE(11844)] = 358538,
  [SMALL_STATE(11845)] = 358565,
  [SMALL_STATE(11846)] = 358588,
  [SMALL_STATE(11847)] = 358625,
  [SMALL_STATE(11848)] = 358662,
  [SMALL_STATE(11849)] = 358699,
  [SMALL_STATE(11850)] = 358734,
  [SMALL_STATE(11851)] = 358757,
  [SMALL_STATE(11852)] = 358784,
  [SMALL_STATE(11853)] = 358807,
  [SMALL_STATE(11854)] = 358844,
  [SMALL_STATE(11855)] = 358881,
  [SMALL_STATE(11856)] = 358904,
  [SMALL_STATE(11857)] = 358939,
  [SMALL_STATE(11858)] = 358962,
  [SMALL_STATE(11859)] = 358985,
  [SMALL_STATE(11860)] = 359012,
  [SMALL_STATE(11861)] = 359035,
  [SMALL_STATE(11862)] = 359058,
  [SMALL_STATE(11863)] = 359091,
  [SMALL_STATE(11864)] = 359114,
  [SMALL_STATE(11865)] = 359137,
  [SMALL_STATE(11866)] = 359174,
  [SMALL_STATE(11867)] = 359197,
  [SMALL_STATE(11868)] = 359220,
  [SMALL_STATE(11869)] = 359253,
  [SMALL_STATE(11870)] = 359274,
  [SMALL_STATE(11871)] = 359311,
  [SMALL_STATE(11872)] = 359334,
  [SMALL_STATE(11873)] = 359357,
  [SMALL_STATE(11874)] = 359380,
  [SMALL_STATE(11875)] = 359403,
  [SMALL_STATE(11876)] = 359426,
  [SMALL_STATE(11877)] = 359449,
  [SMALL_STATE(11878)] = 359470,
  [SMALL_STATE(11879)] = 359493,
  [SMALL_STATE(11880)] = 359516,
  [SMALL_STATE(11881)] = 359539,
  [SMALL_STATE(11882)] = 359562,
  [SMALL_STATE(11883)] = 359585,
  [SMALL_STATE(11884)] = 359608,
  [SMALL_STATE(11885)] = 359631,
  [SMALL_STATE(11886)] = 359654,
  [SMALL_STATE(11887)] = 359677,
  [SMALL_STATE(11888)] = 359694,
  [SMALL_STATE(11889)] = 359717,
  [SMALL_STATE(11890)] = 359740,
  [SMALL_STATE(11891)] = 359763,
  [SMALL_STATE(11892)] = 359786,
  [SMALL_STATE(11893)] = 359809,
  [SMALL_STATE(11894)] = 359846,
  [SMALL_STATE(11895)] = 359881,
  [SMALL_STATE(11896)] = 359908,
  [SMALL_STATE(11897)] = 359945,
  [SMALL_STATE(11898)] = 359982,
  [SMALL_STATE(11899)] = 360005,
  [SMALL_STATE(11900)] = 360028,
  [SMALL_STATE(11901)] = 360065,
  [SMALL_STATE(11902)] = 360088,
  [SMALL_STATE(11903)] = 360111,
  [SMALL_STATE(11904)] = 360148,
  [SMALL_STATE(11905)] = 360185,
  [SMALL_STATE(11906)] = 360222,
  [SMALL_STATE(11907)] = 360249,
  [SMALL_STATE(11908)] = 360284,
  [SMALL_STATE(11909)] = 360307,
  [SMALL_STATE(11910)] = 360344,
  [SMALL_STATE(11911)] = 360381,
  [SMALL_STATE(11912)] = 360414,
  [SMALL_STATE(11913)] = 360451,
  [SMALL_STATE(11914)] = 360474,
  [SMALL_STATE(11915)] = 360509,
  [SMALL_STATE(11916)] = 360532,
  [SMALL_STATE(11917)] = 360553,
  [SMALL_STATE(11918)] = 360576,
  [SMALL_STATE(11919)] = 360603,
  [SMALL_STATE(11920)] = 360626,
  [SMALL_STATE(11921)] = 360649,
  [SMALL_STATE(11922)] = 360672,
  [SMALL_STATE(11923)] = 360709,
  [SMALL_STATE(11924)] = 360732,
  [SMALL_STATE(11925)] = 360755,
  [SMALL_STATE(11926)] = 360778,
  [SMALL_STATE(11927)] = 360801,
  [SMALL_STATE(11928)] = 360824,
  [SMALL_STATE(11929)] = 360847,
  [SMALL_STATE(11930)] = 360870,
  [SMALL_STATE(11931)] = 360897,
  [SMALL_STATE(11932)] = 360920,
  [SMALL_STATE(11933)] = 360943,
  [SMALL_STATE(11934)] = 360966,
  [SMALL_STATE(11935)] = 360989,
  [SMALL_STATE(11936)] = 361012,
  [SMALL_STATE(11937)] = 361035,
  [SMALL_STATE(11938)] = 361072,
  [SMALL_STATE(11939)] = 361095,
  [SMALL_STATE(11940)] = 361118,
  [SMALL_STATE(11941)] = 361141,
  [SMALL_STATE(11942)] = 361164,
  [SMALL_STATE(11943)] = 361187,
  [SMALL_STATE(11944)] = 361210,
  [SMALL_STATE(11945)] = 361243,
  [SMALL_STATE(11946)] = 361262,
  [SMALL_STATE(11947)] = 361283,
  [SMALL_STATE(11948)] = 361306,
  [SMALL_STATE(11949)] = 361341,
  [SMALL_STATE(11950)] = 361364,
  [SMALL_STATE(11951)] = 361387,
  [SMALL_STATE(11952)] = 361410,
  [SMALL_STATE(11953)] = 361433,
  [SMALL_STATE(11954)] = 361456,
  [SMALL_STATE(11955)] = 361479,
  [SMALL_STATE(11956)] = 361502,
  [SMALL_STATE(11957)] = 361525,
  [SMALL_STATE(11958)] = 361548,
  [SMALL_STATE(11959)] = 361571,
  [SMALL_STATE(11960)] = 361594,
  [SMALL_STATE(11961)] = 361617,
  [SMALL_STATE(11962)] = 361640,
  [SMALL_STATE(11963)] = 361663,
  [SMALL_STATE(11964)] = 361686,
  [SMALL_STATE(11965)] = 361709,
  [SMALL_STATE(11966)] = 361732,
  [SMALL_STATE(11967)] = 361755,
  [SMALL_STATE(11968)] = 361778,
  [SMALL_STATE(11969)] = 361801,
  [SMALL_STATE(11970)] = 361824,
  [SMALL_STATE(11971)] = 361847,
  [SMALL_STATE(11972)] = 361870,
  [SMALL_STATE(11973)] = 361907,
  [SMALL_STATE(11974)] = 361930,
  [SMALL_STATE(11975)] = 361953,
  [SMALL_STATE(11976)] = 361976,
  [SMALL_STATE(11977)] = 361999,
  [SMALL_STATE(11978)] = 362022,
  [SMALL_STATE(11979)] = 362045,
  [SMALL_STATE(11980)] = 362068,
  [SMALL_STATE(11981)] = 362091,
  [SMALL_STATE(11982)] = 362114,
  [SMALL_STATE(11983)] = 362137,
  [SMALL_STATE(11984)] = 362160,
  [SMALL_STATE(11985)] = 362183,
  [SMALL_STATE(11986)] = 362206,
  [SMALL_STATE(11987)] = 362229,
  [SMALL_STATE(11988)] = 362252,
  [SMALL_STATE(11989)] = 362275,
  [SMALL_STATE(11990)] = 362298,
  [SMALL_STATE(11991)] = 362321,
  [SMALL_STATE(11992)] = 362344,
  [SMALL_STATE(11993)] = 362367,
  [SMALL_STATE(11994)] = 362390,
  [SMALL_STATE(11995)] = 362413,
  [SMALL_STATE(11996)] = 362436,
  [SMALL_STATE(11997)] = 362459,
  [SMALL_STATE(11998)] = 362482,
  [SMALL_STATE(11999)] = 362519,
  [SMALL_STATE(12000)] = 362542,
  [SMALL_STATE(12001)] = 362565,
  [SMALL_STATE(12002)] = 362588,
  [SMALL_STATE(12003)] = 362615,
  [SMALL_STATE(12004)] = 362638,
  [SMALL_STATE(12005)] = 362661,
  [SMALL_STATE(12006)] = 362684,
  [SMALL_STATE(12007)] = 362707,
  [SMALL_STATE(12008)] = 362730,
  [SMALL_STATE(12009)] = 362753,
  [SMALL_STATE(12010)] = 362776,
  [SMALL_STATE(12011)] = 362799,
  [SMALL_STATE(12012)] = 362822,
  [SMALL_STATE(12013)] = 362845,
  [SMALL_STATE(12014)] = 362868,
  [SMALL_STATE(12015)] = 362891,
  [SMALL_STATE(12016)] = 362914,
  [SMALL_STATE(12017)] = 362944,
  [SMALL_STATE(12018)] = 362974,
  [SMALL_STATE(12019)] = 363006,
  [SMALL_STATE(12020)] = 363038,
  [SMALL_STATE(12021)] = 363070,
  [SMALL_STATE(12022)] = 363102,
  [SMALL_STATE(12023)] = 363132,
  [SMALL_STATE(12024)] = 363166,
  [SMALL_STATE(12025)] = 363200,
  [SMALL_STATE(12026)] = 363224,
  [SMALL_STATE(12027)] = 363256,
  [SMALL_STATE(12028)] = 363288,
  [SMALL_STATE(12029)] = 363322,
  [SMALL_STATE(12030)] = 363349,
  [SMALL_STATE(12031)] = 363378,
  [SMALL_STATE(12032)] = 363407,
  [SMALL_STATE(12033)] = 363436,
  [SMALL_STATE(12034)] = 363465,
  [SMALL_STATE(12035)] = 363494,
  [SMALL_STATE(12036)] = 363521,
  [SMALL_STATE(12037)] = 363550,
  [SMALL_STATE(12038)] = 363577,
  [SMALL_STATE(12039)] = 363604,
  [SMALL_STATE(12040)] = 363625,
  [SMALL_STATE(12041)] = 363646,
  [SMALL_STATE(12042)] = 363673,
  [SMALL_STATE(12043)] = 363702,
  [SMALL_STATE(12044)] = 363731,
  [SMALL_STATE(12045)] = 363760,
  [SMALL_STATE(12046)] = 363789,
  [SMALL_STATE(12047)] = 363818,
  [SMALL_STATE(12048)] = 363845,
  [SMALL_STATE(12049)] = 363866,
  [SMALL_STATE(12050)] = 363895,
  [SMALL_STATE(12051)] = 363916,
  [SMALL_STATE(12052)] = 363945,
  [SMALL_STATE(12053)] = 363974,
  [SMALL_STATE(12054)] = 364003,
  [SMALL_STATE(12055)] = 364030,
  [SMALL_STATE(12056)] = 364059,
  [SMALL_STATE(12057)] = 364086,
  [SMALL_STATE(12058)] = 364113,
  [SMALL_STATE(12059)] = 364142,
  [SMALL_STATE(12060)] = 364171,
  [SMALL_STATE(12061)] = 364200,
  [SMALL_STATE(12062)] = 364229,
  [SMALL_STATE(12063)] = 364256,
  [SMALL_STATE(12064)] = 364285,
  [SMALL_STATE(12065)] = 364314,
  [SMALL_STATE(12066)] = 364341,
  [SMALL_STATE(12067)] = 364370,
  [SMALL_STATE(12068)] = 364397,
  [SMALL_STATE(12069)] = 364426,
  [SMALL_STATE(12070)] = 364455,
  [SMALL_STATE(12071)] = 364476,
  [SMALL_STATE(12072)] = 364505,
  [SMALL_STATE(12073)] = 364534,
  [SMALL_STATE(12074)] = 364561,
  [SMALL_STATE(12075)] = 364582,
  [SMALL_STATE(12076)] = 364609,
  [SMALL_STATE(12077)] = 364638,
  [SMALL_STATE(12078)] = 364665,
  [SMALL_STATE(12079)] = 364696,
  [SMALL_STATE(12080)] = 364717,
  [SMALL_STATE(12081)] = 364744,
  [SMALL_STATE(12082)] = 364773,
  [SMALL_STATE(12083)] = 364794,
  [SMALL_STATE(12084)] = 364823,
  [SMALL_STATE(12085)] = 364852,
  [SMALL_STATE(12086)] = 364881,
  [SMALL_STATE(12087)] = 364910,
  [SMALL_STATE(12088)] = 364937,
  [SMALL_STATE(12089)] = 364958,
  [SMALL_STATE(12090)] = 364987,
  [SMALL_STATE(12091)] = 365014,
  [SMALL_STATE(12092)] = 365041,
  [SMALL_STATE(12093)] = 365068,
  [SMALL_STATE(12094)] = 365095,
  [SMALL_STATE(12095)] = 365122,
  [SMALL_STATE(12096)] = 365151,
  [SMALL_STATE(12097)] = 365180,
  [SMALL_STATE(12098)] = 365201,
  [SMALL_STATE(12099)] = 365228,
  [SMALL_STATE(12100)] = 365249,
  [SMALL_STATE(12101)] = 365278,
  [SMALL_STATE(12102)] = 365305,
  [SMALL_STATE(12103)] = 365332,
  [SMALL_STATE(12104)] = 365361,
  [SMALL_STATE(12105)] = 365390,
  [SMALL_STATE(12106)] = 365419,
  [SMALL_STATE(12107)] = 365448,
  [SMALL_STATE(12108)] = 365469,
  [SMALL_STATE(12109)] = 365496,
  [SMALL_STATE(12110)] = 365517,
  [SMALL_STATE(12111)] = 365544,
  [SMALL_STATE(12112)] = 365575,
  [SMALL_STATE(12113)] = 365602,
  [SMALL_STATE(12114)] = 365631,
  [SMALL_STATE(12115)] = 365652,
  [SMALL_STATE(12116)] = 365673,
  [SMALL_STATE(12117)] = 365702,
  [SMALL_STATE(12118)] = 365723,
  [SMALL_STATE(12119)] = 365744,
  [SMALL_STATE(12120)] = 365771,
  [SMALL_STATE(12121)] = 365802,
  [SMALL_STATE(12122)] = 365823,
  [SMALL_STATE(12123)] = 365850,
  [SMALL_STATE(12124)] = 365871,
  [SMALL_STATE(12125)] = 365898,
  [SMALL_STATE(12126)] = 365925,
  [SMALL_STATE(12127)] = 365946,
  [SMALL_STATE(12128)] = 365973,
  [SMALL_STATE(12129)] = 366000,
  [SMALL_STATE(12130)] = 366023,
  [SMALL_STATE(12131)] = 366052,
  [SMALL_STATE(12132)] = 366081,
  [SMALL_STATE(12133)] = 366102,
  [SMALL_STATE(12134)] = 366129,
  [SMALL_STATE(12135)] = 366158,
  [SMALL_STATE(12136)] = 366187,
  [SMALL_STATE(12137)] = 366214,
  [SMALL_STATE(12138)] = 366243,
  [SMALL_STATE(12139)] = 366272,
  [SMALL_STATE(12140)] = 366301,
  [SMALL_STATE(12141)] = 366330,
  [SMALL_STATE(12142)] = 366351,
  [SMALL_STATE(12143)] = 366380,
  [SMALL_STATE(12144)] = 366409,
  [SMALL_STATE(12145)] = 366430,
  [SMALL_STATE(12146)] = 366447,
  [SMALL_STATE(12147)] = 366468,
  [SMALL_STATE(12148)] = 366497,
  [SMALL_STATE(12149)] = 366518,
  [SMALL_STATE(12150)] = 366547,
  [SMALL_STATE(12151)] = 366574,
  [SMALL_STATE(12152)] = 366603,
  [SMALL_STATE(12153)] = 366634,
  [SMALL_STATE(12154)] = 366661,
  [SMALL_STATE(12155)] = 366688,
  [SMALL_STATE(12156)] = 366709,
  [SMALL_STATE(12157)] = 366738,
  [SMALL_STATE(12158)] = 366767,
  [SMALL_STATE(12159)] = 366794,
  [SMALL_STATE(12160)] = 366815,
  [SMALL_STATE(12161)] = 366844,
  [SMALL_STATE(12162)] = 366873,
  [SMALL_STATE(12163)] = 366900,
  [SMALL_STATE(12164)] = 366927,
  [SMALL_STATE(12165)] = 366953,
  [SMALL_STATE(12166)] = 366979,
  [SMALL_STATE(12167)] = 367007,
  [SMALL_STATE(12168)] = 367035,
  [SMALL_STATE(12169)] = 367061,
  [SMALL_STATE(12170)] = 367087,
  [SMALL_STATE(12171)] = 367113,
  [SMALL_STATE(12172)] = 367139,
  [SMALL_STATE(12173)] = 367165,
  [SMALL_STATE(12174)] = 367193,
  [SMALL_STATE(12175)] = 367221,
  [SMALL_STATE(12176)] = 367247,
  [SMALL_STATE(12177)] = 367271,
  [SMALL_STATE(12178)] = 367299,
  [SMALL_STATE(12179)] = 367327,
  [SMALL_STATE(12180)] = 367353,
  [SMALL_STATE(12181)] = 367381,
  [SMALL_STATE(12182)] = 367405,
  [SMALL_STATE(12183)] = 367431,
  [SMALL_STATE(12184)] = 367457,
  [SMALL_STATE(12185)] = 367485,
  [SMALL_STATE(12186)] = 367511,
  [SMALL_STATE(12187)] = 367537,
  [SMALL_STATE(12188)] = 367565,
  [SMALL_STATE(12189)] = 367591,
  [SMALL_STATE(12190)] = 367617,
  [SMALL_STATE(12191)] = 367643,
  [SMALL_STATE(12192)] = 367669,
  [SMALL_STATE(12193)] = 367695,
  [SMALL_STATE(12194)] = 367721,
  [SMALL_STATE(12195)] = 367747,
  [SMALL_STATE(12196)] = 367775,
  [SMALL_STATE(12197)] = 367803,
  [SMALL_STATE(12198)] = 367831,
  [SMALL_STATE(12199)] = 367855,
  [SMALL_STATE(12200)] = 367881,
  [SMALL_STATE(12201)] = 367907,
  [SMALL_STATE(12202)] = 367933,
  [SMALL_STATE(12203)] = 367959,
  [SMALL_STATE(12204)] = 367985,
  [SMALL_STATE(12205)] = 368011,
  [SMALL_STATE(12206)] = 368039,
  [SMALL_STATE(12207)] = 368067,
  [SMALL_STATE(12208)] = 368093,
  [SMALL_STATE(12209)] = 368121,
  [SMALL_STATE(12210)] = 368147,
  [SMALL_STATE(12211)] = 368173,
  [SMALL_STATE(12212)] = 368199,
  [SMALL_STATE(12213)] = 368227,
  [SMALL_STATE(12214)] = 368253,
  [SMALL_STATE(12215)] = 368279,
  [SMALL_STATE(12216)] = 368307,
  [SMALL_STATE(12217)] = 368333,
  [SMALL_STATE(12218)] = 368359,
  [SMALL_STATE(12219)] = 368385,
  [SMALL_STATE(12220)] = 368411,
  [SMALL_STATE(12221)] = 368437,
  [SMALL_STATE(12222)] = 368461,
  [SMALL_STATE(12223)] = 368487,
  [SMALL_STATE(12224)] = 368511,
  [SMALL_STATE(12225)] = 368539,
  [SMALL_STATE(12226)] = 368565,
  [SMALL_STATE(12227)] = 368593,
  [SMALL_STATE(12228)] = 368619,
  [SMALL_STATE(12229)] = 368647,
  [SMALL_STATE(12230)] = 368675,
  [SMALL_STATE(12231)] = 368703,
  [SMALL_STATE(12232)] = 368731,
  [SMALL_STATE(12233)] = 368757,
  [SMALL_STATE(12234)] = 368785,
  [SMALL_STATE(12235)] = 368813,
  [SMALL_STATE(12236)] = 368839,
  [SMALL_STATE(12237)] = 368865,
  [SMALL_STATE(12238)] = 368893,
  [SMALL_STATE(12239)] = 368919,
  [SMALL_STATE(12240)] = 368945,
  [SMALL_STATE(12241)] = 368973,
  [SMALL_STATE(12242)] = 368999,
  [SMALL_STATE(12243)] = 369027,
  [SMALL_STATE(12244)] = 369055,
  [SMALL_STATE(12245)] = 369081,
  [SMALL_STATE(12246)] = 369107,
  [SMALL_STATE(12247)] = 369133,
  [SMALL_STATE(12248)] = 369159,
  [SMALL_STATE(12249)] = 369187,
  [SMALL_STATE(12250)] = 369213,
  [SMALL_STATE(12251)] = 369241,
  [SMALL_STATE(12252)] = 369269,
  [SMALL_STATE(12253)] = 369297,
  [SMALL_STATE(12254)] = 369321,
  [SMALL_STATE(12255)] = 369349,
  [SMALL_STATE(12256)] = 369375,
  [SMALL_STATE(12257)] = 369403,
  [SMALL_STATE(12258)] = 369429,
  [SMALL_STATE(12259)] = 369457,
  [SMALL_STATE(12260)] = 369485,
  [SMALL_STATE(12261)] = 369511,
  [SMALL_STATE(12262)] = 369539,
  [SMALL_STATE(12263)] = 369565,
  [SMALL_STATE(12264)] = 369591,
  [SMALL_STATE(12265)] = 369619,
  [SMALL_STATE(12266)] = 369645,
  [SMALL_STATE(12267)] = 369671,
  [SMALL_STATE(12268)] = 369697,
  [SMALL_STATE(12269)] = 369723,
  [SMALL_STATE(12270)] = 369749,
  [SMALL_STATE(12271)] = 369777,
  [SMALL_STATE(12272)] = 369805,
  [SMALL_STATE(12273)] = 369831,
  [SMALL_STATE(12274)] = 369857,
  [SMALL_STATE(12275)] = 369883,
  [SMALL_STATE(12276)] = 369909,
  [SMALL_STATE(12277)] = 369935,
  [SMALL_STATE(12278)] = 369961,
  [SMALL_STATE(12279)] = 369987,
  [SMALL_STATE(12280)] = 370013,
  [SMALL_STATE(12281)] = 370039,
  [SMALL_STATE(12282)] = 370065,
  [SMALL_STATE(12283)] = 370091,
  [SMALL_STATE(12284)] = 370117,
  [SMALL_STATE(12285)] = 370143,
  [SMALL_STATE(12286)] = 370169,
  [SMALL_STATE(12287)] = 370195,
  [SMALL_STATE(12288)] = 370221,
  [SMALL_STATE(12289)] = 370247,
  [SMALL_STATE(12290)] = 370273,
  [SMALL_STATE(12291)] = 370299,
  [SMALL_STATE(12292)] = 370325,
  [SMALL_STATE(12293)] = 370351,
  [SMALL_STATE(12294)] = 370379,
  [SMALL_STATE(12295)] = 370405,
  [SMALL_STATE(12296)] = 370431,
  [SMALL_STATE(12297)] = 370457,
  [SMALL_STATE(12298)] = 370483,
  [SMALL_STATE(12299)] = 370509,
  [SMALL_STATE(12300)] = 370535,
  [SMALL_STATE(12301)] = 370561,
  [SMALL_STATE(12302)] = 370587,
  [SMALL_STATE(12303)] = 370613,
  [SMALL_STATE(12304)] = 370639,
  [SMALL_STATE(12305)] = 370665,
  [SMALL_STATE(12306)] = 370691,
  [SMALL_STATE(12307)] = 370717,
  [SMALL_STATE(12308)] = 370743,
  [SMALL_STATE(12309)] = 370769,
  [SMALL_STATE(12310)] = 370795,
  [SMALL_STATE(12311)] = 370821,
  [SMALL_STATE(12312)] = 370847,
  [SMALL_STATE(12313)] = 370873,
  [SMALL_STATE(12314)] = 370899,
  [SMALL_STATE(12315)] = 370925,
  [SMALL_STATE(12316)] = 370951,
  [SMALL_STATE(12317)] = 370977,
  [SMALL_STATE(12318)] = 371003,
  [SMALL_STATE(12319)] = 371031,
  [SMALL_STATE(12320)] = 371049,
  [SMALL_STATE(12321)] = 371067,
  [SMALL_STATE(12322)] = 371093,
  [SMALL_STATE(12323)] = 371119,
  [SMALL_STATE(12324)] = 371147,
  [SMALL_STATE(12325)] = 371175,
  [SMALL_STATE(12326)] = 371201,
  [SMALL_STATE(12327)] = 371227,
  [SMALL_STATE(12328)] = 371251,
  [SMALL_STATE(12329)] = 371277,
  [SMALL_STATE(12330)] = 371303,
  [SMALL_STATE(12331)] = 371329,
  [SMALL_STATE(12332)] = 371355,
  [SMALL_STATE(12333)] = 371383,
  [SMALL_STATE(12334)] = 371409,
  [SMALL_STATE(12335)] = 371435,
  [SMALL_STATE(12336)] = 371463,
  [SMALL_STATE(12337)] = 371489,
  [SMALL_STATE(12338)] = 371515,
  [SMALL_STATE(12339)] = 371539,
  [SMALL_STATE(12340)] = 371565,
  [SMALL_STATE(12341)] = 371593,
  [SMALL_STATE(12342)] = 371617,
  [SMALL_STATE(12343)] = 371643,
  [SMALL_STATE(12344)] = 371669,
  [SMALL_STATE(12345)] = 371695,
  [SMALL_STATE(12346)] = 371723,
  [SMALL_STATE(12347)] = 371751,
  [SMALL_STATE(12348)] = 371777,
  [SMALL_STATE(12349)] = 371803,
  [SMALL_STATE(12350)] = 371829,
  [SMALL_STATE(12351)] = 371855,
  [SMALL_STATE(12352)] = 371881,
  [SMALL_STATE(12353)] = 371899,
  [SMALL_STATE(12354)] = 371917,
  [SMALL_STATE(12355)] = 371935,
  [SMALL_STATE(12356)] = 371953,
  [SMALL_STATE(12357)] = 371979,
  [SMALL_STATE(12358)] = 372007,
  [SMALL_STATE(12359)] = 372033,
  [SMALL_STATE(12360)] = 372059,
  [SMALL_STATE(12361)] = 372087,
  [SMALL_STATE(12362)] = 372113,
  [SMALL_STATE(12363)] = 372141,
  [SMALL_STATE(12364)] = 372169,
  [SMALL_STATE(12365)] = 372195,
  [SMALL_STATE(12366)] = 372223,
  [SMALL_STATE(12367)] = 372249,
  [SMALL_STATE(12368)] = 372277,
  [SMALL_STATE(12369)] = 372295,
  [SMALL_STATE(12370)] = 372321,
  [SMALL_STATE(12371)] = 372349,
  [SMALL_STATE(12372)] = 372375,
  [SMALL_STATE(12373)] = 372403,
  [SMALL_STATE(12374)] = 372429,
  [SMALL_STATE(12375)] = 372455,
  [SMALL_STATE(12376)] = 372481,
  [SMALL_STATE(12377)] = 372509,
  [SMALL_STATE(12378)] = 372535,
  [SMALL_STATE(12379)] = 372563,
  [SMALL_STATE(12380)] = 372589,
  [SMALL_STATE(12381)] = 372617,
  [SMALL_STATE(12382)] = 372645,
  [SMALL_STATE(12383)] = 372673,
  [SMALL_STATE(12384)] = 372701,
  [SMALL_STATE(12385)] = 372727,
  [SMALL_STATE(12386)] = 372753,
  [SMALL_STATE(12387)] = 372781,
  [SMALL_STATE(12388)] = 372807,
  [SMALL_STATE(12389)] = 372833,
  [SMALL_STATE(12390)] = 372861,
  [SMALL_STATE(12391)] = 372885,
  [SMALL_STATE(12392)] = 372913,
  [SMALL_STATE(12393)] = 372941,
  [SMALL_STATE(12394)] = 372967,
  [SMALL_STATE(12395)] = 372995,
  [SMALL_STATE(12396)] = 373023,
  [SMALL_STATE(12397)] = 373049,
  [SMALL_STATE(12398)] = 373077,
  [SMALL_STATE(12399)] = 373095,
  [SMALL_STATE(12400)] = 373119,
  [SMALL_STATE(12401)] = 373147,
  [SMALL_STATE(12402)] = 373175,
  [SMALL_STATE(12403)] = 373203,
  [SMALL_STATE(12404)] = 373231,
  [SMALL_STATE(12405)] = 373257,
  [SMALL_STATE(12406)] = 373283,
  [SMALL_STATE(12407)] = 373309,
  [SMALL_STATE(12408)] = 373337,
  [SMALL_STATE(12409)] = 373363,
  [SMALL_STATE(12410)] = 373391,
  [SMALL_STATE(12411)] = 373417,
  [SMALL_STATE(12412)] = 373445,
  [SMALL_STATE(12413)] = 373473,
  [SMALL_STATE(12414)] = 373499,
  [SMALL_STATE(12415)] = 373525,
  [SMALL_STATE(12416)] = 373553,
  [SMALL_STATE(12417)] = 373579,
  [SMALL_STATE(12418)] = 373605,
  [SMALL_STATE(12419)] = 373631,
  [SMALL_STATE(12420)] = 373657,
  [SMALL_STATE(12421)] = 373683,
  [SMALL_STATE(12422)] = 373709,
  [SMALL_STATE(12423)] = 373735,
  [SMALL_STATE(12424)] = 373761,
  [SMALL_STATE(12425)] = 373787,
  [SMALL_STATE(12426)] = 373813,
  [SMALL_STATE(12427)] = 373839,
  [SMALL_STATE(12428)] = 373867,
  [SMALL_STATE(12429)] = 373895,
  [SMALL_STATE(12430)] = 373921,
  [SMALL_STATE(12431)] = 373949,
  [SMALL_STATE(12432)] = 373977,
  [SMALL_STATE(12433)] = 374003,
  [SMALL_STATE(12434)] = 374031,
  [SMALL_STATE(12435)] = 374055,
  [SMALL_STATE(12436)] = 374081,
  [SMALL_STATE(12437)] = 374107,
  [SMALL_STATE(12438)] = 374135,
  [SMALL_STATE(12439)] = 374161,
  [SMALL_STATE(12440)] = 374189,
  [SMALL_STATE(12441)] = 374215,
  [SMALL_STATE(12442)] = 374235,
  [SMALL_STATE(12443)] = 374261,
  [SMALL_STATE(12444)] = 374285,
  [SMALL_STATE(12445)] = 374311,
  [SMALL_STATE(12446)] = 374339,
  [SMALL_STATE(12447)] = 374365,
  [SMALL_STATE(12448)] = 374391,
  [SMALL_STATE(12449)] = 374417,
  [SMALL_STATE(12450)] = 374443,
  [SMALL_STATE(12451)] = 374469,
  [SMALL_STATE(12452)] = 374497,
  [SMALL_STATE(12453)] = 374523,
  [SMALL_STATE(12454)] = 374551,
  [SMALL_STATE(12455)] = 374579,
  [SMALL_STATE(12456)] = 374605,
  [SMALL_STATE(12457)] = 374631,
  [SMALL_STATE(12458)] = 374657,
  [SMALL_STATE(12459)] = 374683,
  [SMALL_STATE(12460)] = 374711,
  [SMALL_STATE(12461)] = 374735,
  [SMALL_STATE(12462)] = 374761,
  [SMALL_STATE(12463)] = 374787,
  [SMALL_STATE(12464)] = 374813,
  [SMALL_STATE(12465)] = 374839,
  [SMALL_STATE(12466)] = 374865,
  [SMALL_STATE(12467)] = 374891,
  [SMALL_STATE(12468)] = 374917,
  [SMALL_STATE(12469)] = 374943,
  [SMALL_STATE(12470)] = 374969,
  [SMALL_STATE(12471)] = 374993,
  [SMALL_STATE(12472)] = 375019,
  [SMALL_STATE(12473)] = 375045,
  [SMALL_STATE(12474)] = 375071,
  [SMALL_STATE(12475)] = 375099,
  [SMALL_STATE(12476)] = 375125,
  [SMALL_STATE(12477)] = 375151,
  [SMALL_STATE(12478)] = 375177,
  [SMALL_STATE(12479)] = 375203,
  [SMALL_STATE(12480)] = 375229,
  [SMALL_STATE(12481)] = 375255,
  [SMALL_STATE(12482)] = 375279,
  [SMALL_STATE(12483)] = 375305,
  [SMALL_STATE(12484)] = 375331,
  [SMALL_STATE(12485)] = 375357,
  [SMALL_STATE(12486)] = 375383,
  [SMALL_STATE(12487)] = 375409,
  [SMALL_STATE(12488)] = 375435,
  [SMALL_STATE(12489)] = 375461,
  [SMALL_STATE(12490)] = 375487,
  [SMALL_STATE(12491)] = 375513,
  [SMALL_STATE(12492)] = 375541,
  [SMALL_STATE(12493)] = 375567,
  [SMALL_STATE(12494)] = 375593,
  [SMALL_STATE(12495)] = 375621,
  [SMALL_STATE(12496)] = 375649,
  [SMALL_STATE(12497)] = 375675,
  [SMALL_STATE(12498)] = 375701,
  [SMALL_STATE(12499)] = 375729,
  [SMALL_STATE(12500)] = 375755,
  [SMALL_STATE(12501)] = 375781,
  [SMALL_STATE(12502)] = 375809,
  [SMALL_STATE(12503)] = 375837,
  [SMALL_STATE(12504)] = 375865,
  [SMALL_STATE(12505)] = 375891,
  [SMALL_STATE(12506)] = 375917,
  [SMALL_STATE(12507)] = 375943,
  [SMALL_STATE(12508)] = 375971,
  [SMALL_STATE(12509)] = 375997,
  [SMALL_STATE(12510)] = 376023,
  [SMALL_STATE(12511)] = 376049,
  [SMALL_STATE(12512)] = 376075,
  [SMALL_STATE(12513)] = 376101,
  [SMALL_STATE(12514)] = 376129,
  [SMALL_STATE(12515)] = 376155,
  [SMALL_STATE(12516)] = 376181,
  [SMALL_STATE(12517)] = 376209,
  [SMALL_STATE(12518)] = 376235,
  [SMALL_STATE(12519)] = 376261,
  [SMALL_STATE(12520)] = 376287,
  [SMALL_STATE(12521)] = 376315,
  [SMALL_STATE(12522)] = 376341,
  [SMALL_STATE(12523)] = 376367,
  [SMALL_STATE(12524)] = 376395,
  [SMALL_STATE(12525)] = 376423,
  [SMALL_STATE(12526)] = 376451,
  [SMALL_STATE(12527)] = 376477,
  [SMALL_STATE(12528)] = 376503,
  [SMALL_STATE(12529)] = 376529,
  [SMALL_STATE(12530)] = 376555,
  [SMALL_STATE(12531)] = 376581,
  [SMALL_STATE(12532)] = 376607,
  [SMALL_STATE(12533)] = 376633,
  [SMALL_STATE(12534)] = 376659,
  [SMALL_STATE(12535)] = 376685,
  [SMALL_STATE(12536)] = 376711,
  [SMALL_STATE(12537)] = 376737,
  [SMALL_STATE(12538)] = 376763,
  [SMALL_STATE(12539)] = 376789,
  [SMALL_STATE(12540)] = 376815,
  [SMALL_STATE(12541)] = 376841,
  [SMALL_STATE(12542)] = 376867,
  [SMALL_STATE(12543)] = 376893,
  [SMALL_STATE(12544)] = 376919,
  [SMALL_STATE(12545)] = 376945,
  [SMALL_STATE(12546)] = 376971,
  [SMALL_STATE(12547)] = 376997,
  [SMALL_STATE(12548)] = 377023,
  [SMALL_STATE(12549)] = 377049,
  [SMALL_STATE(12550)] = 377075,
  [SMALL_STATE(12551)] = 377101,
  [SMALL_STATE(12552)] = 377127,
  [SMALL_STATE(12553)] = 377153,
  [SMALL_STATE(12554)] = 377179,
  [SMALL_STATE(12555)] = 377205,
  [SMALL_STATE(12556)] = 377231,
  [SMALL_STATE(12557)] = 377259,
  [SMALL_STATE(12558)] = 377285,
  [SMALL_STATE(12559)] = 377311,
  [SMALL_STATE(12560)] = 377337,
  [SMALL_STATE(12561)] = 377363,
  [SMALL_STATE(12562)] = 377389,
  [SMALL_STATE(12563)] = 377415,
  [SMALL_STATE(12564)] = 377443,
  [SMALL_STATE(12565)] = 377469,
  [SMALL_STATE(12566)] = 377495,
  [SMALL_STATE(12567)] = 377519,
  [SMALL_STATE(12568)] = 377547,
  [SMALL_STATE(12569)] = 377573,
  [SMALL_STATE(12570)] = 377599,
  [SMALL_STATE(12571)] = 377625,
  [SMALL_STATE(12572)] = 377651,
  [SMALL_STATE(12573)] = 377677,
  [SMALL_STATE(12574)] = 377705,
  [SMALL_STATE(12575)] = 377731,
  [SMALL_STATE(12576)] = 377757,
  [SMALL_STATE(12577)] = 377783,
  [SMALL_STATE(12578)] = 377809,
  [SMALL_STATE(12579)] = 377835,
  [SMALL_STATE(12580)] = 377861,
  [SMALL_STATE(12581)] = 377887,
  [SMALL_STATE(12582)] = 377913,
  [SMALL_STATE(12583)] = 377939,
  [SMALL_STATE(12584)] = 377959,
  [SMALL_STATE(12585)] = 377985,
  [SMALL_STATE(12586)] = 378013,
  [SMALL_STATE(12587)] = 378039,
  [SMALL_STATE(12588)] = 378065,
  [SMALL_STATE(12589)] = 378093,
  [SMALL_STATE(12590)] = 378119,
  [SMALL_STATE(12591)] = 378145,
  [SMALL_STATE(12592)] = 378171,
  [SMALL_STATE(12593)] = 378199,
  [SMALL_STATE(12594)] = 378225,
  [SMALL_STATE(12595)] = 378247,
  [SMALL_STATE(12596)] = 378273,
  [SMALL_STATE(12597)] = 378299,
  [SMALL_STATE(12598)] = 378325,
  [SMALL_STATE(12599)] = 378351,
  [SMALL_STATE(12600)] = 378379,
  [SMALL_STATE(12601)] = 378405,
  [SMALL_STATE(12602)] = 378429,
  [SMALL_STATE(12603)] = 378457,
  [SMALL_STATE(12604)] = 378483,
  [SMALL_STATE(12605)] = 378511,
  [SMALL_STATE(12606)] = 378537,
  [SMALL_STATE(12607)] = 378563,
  [SMALL_STATE(12608)] = 378591,
  [SMALL_STATE(12609)] = 378619,
  [SMALL_STATE(12610)] = 378645,
  [SMALL_STATE(12611)] = 378671,
  [SMALL_STATE(12612)] = 378697,
  [SMALL_STATE(12613)] = 378725,
  [SMALL_STATE(12614)] = 378751,
  [SMALL_STATE(12615)] = 378777,
  [SMALL_STATE(12616)] = 378799,
  [SMALL_STATE(12617)] = 378825,
  [SMALL_STATE(12618)] = 378841,
  [SMALL_STATE(12619)] = 378867,
  [SMALL_STATE(12620)] = 378893,
  [SMALL_STATE(12621)] = 378917,
  [SMALL_STATE(12622)] = 378941,
  [SMALL_STATE(12623)] = 378963,
  [SMALL_STATE(12624)] = 378989,
  [SMALL_STATE(12625)] = 379015,
  [SMALL_STATE(12626)] = 379043,
  [SMALL_STATE(12627)] = 379065,
  [SMALL_STATE(12628)] = 379089,
  [SMALL_STATE(12629)] = 379115,
  [SMALL_STATE(12630)] = 379141,
  [SMALL_STATE(12631)] = 379167,
  [SMALL_STATE(12632)] = 379193,
  [SMALL_STATE(12633)] = 379219,
  [SMALL_STATE(12634)] = 379247,
  [SMALL_STATE(12635)] = 379273,
  [SMALL_STATE(12636)] = 379299,
  [SMALL_STATE(12637)] = 379325,
  [SMALL_STATE(12638)] = 379353,
  [SMALL_STATE(12639)] = 379379,
  [SMALL_STATE(12640)] = 379405,
  [SMALL_STATE(12641)] = 379431,
  [SMALL_STATE(12642)] = 379459,
  [SMALL_STATE(12643)] = 379487,
  [SMALL_STATE(12644)] = 379511,
  [SMALL_STATE(12645)] = 379537,
  [SMALL_STATE(12646)] = 379563,
  [SMALL_STATE(12647)] = 379589,
  [SMALL_STATE(12648)] = 379617,
  [SMALL_STATE(12649)] = 379645,
  [SMALL_STATE(12650)] = 379671,
  [SMALL_STATE(12651)] = 379699,
  [SMALL_STATE(12652)] = 379725,
  [SMALL_STATE(12653)] = 379751,
  [SMALL_STATE(12654)] = 379777,
  [SMALL_STATE(12655)] = 379803,
  [SMALL_STATE(12656)] = 379831,
  [SMALL_STATE(12657)] = 379859,
  [SMALL_STATE(12658)] = 379887,
  [SMALL_STATE(12659)] = 379913,
  [SMALL_STATE(12660)] = 379939,
  [SMALL_STATE(12661)] = 379961,
  [SMALL_STATE(12662)] = 379987,
  [SMALL_STATE(12663)] = 380013,
  [SMALL_STATE(12664)] = 380039,
  [SMALL_STATE(12665)] = 380063,
  [SMALL_STATE(12666)] = 380089,
  [SMALL_STATE(12667)] = 380117,
  [SMALL_STATE(12668)] = 380141,
  [SMALL_STATE(12669)] = 380167,
  [SMALL_STATE(12670)] = 380195,
  [SMALL_STATE(12671)] = 380221,
  [SMALL_STATE(12672)] = 380249,
  [SMALL_STATE(12673)] = 380277,
  [SMALL_STATE(12674)] = 380303,
  [SMALL_STATE(12675)] = 380331,
  [SMALL_STATE(12676)] = 380357,
  [SMALL_STATE(12677)] = 380383,
  [SMALL_STATE(12678)] = 380411,
  [SMALL_STATE(12679)] = 380439,
  [SMALL_STATE(12680)] = 380467,
  [SMALL_STATE(12681)] = 380493,
  [SMALL_STATE(12682)] = 380521,
  [SMALL_STATE(12683)] = 380549,
  [SMALL_STATE(12684)] = 380577,
  [SMALL_STATE(12685)] = 380603,
  [SMALL_STATE(12686)] = 380631,
  [SMALL_STATE(12687)] = 380657,
  [SMALL_STATE(12688)] = 380685,
  [SMALL_STATE(12689)] = 380709,
  [SMALL_STATE(12690)] = 380735,
  [SMALL_STATE(12691)] = 380761,
  [SMALL_STATE(12692)] = 380787,
  [SMALL_STATE(12693)] = 380813,
  [SMALL_STATE(12694)] = 380839,
  [SMALL_STATE(12695)] = 380865,
  [SMALL_STATE(12696)] = 380891,
  [SMALL_STATE(12697)] = 380917,
  [SMALL_STATE(12698)] = 380943,
  [SMALL_STATE(12699)] = 380971,
  [SMALL_STATE(12700)] = 380997,
  [SMALL_STATE(12701)] = 381023,
  [SMALL_STATE(12702)] = 381049,
  [SMALL_STATE(12703)] = 381075,
  [SMALL_STATE(12704)] = 381103,
  [SMALL_STATE(12705)] = 381131,
  [SMALL_STATE(12706)] = 381157,
  [SMALL_STATE(12707)] = 381185,
  [SMALL_STATE(12708)] = 381211,
  [SMALL_STATE(12709)] = 381237,
  [SMALL_STATE(12710)] = 381265,
  [SMALL_STATE(12711)] = 381293,
  [SMALL_STATE(12712)] = 381319,
  [SMALL_STATE(12713)] = 381347,
  [SMALL_STATE(12714)] = 381375,
  [SMALL_STATE(12715)] = 381401,
  [SMALL_STATE(12716)] = 381427,
  [SMALL_STATE(12717)] = 381453,
  [SMALL_STATE(12718)] = 381481,
  [SMALL_STATE(12719)] = 381509,
  [SMALL_STATE(12720)] = 381535,
  [SMALL_STATE(12721)] = 381561,
  [SMALL_STATE(12722)] = 381589,
  [SMALL_STATE(12723)] = 381617,
  [SMALL_STATE(12724)] = 381645,
  [SMALL_STATE(12725)] = 381669,
  [SMALL_STATE(12726)] = 381697,
  [SMALL_STATE(12727)] = 381723,
  [SMALL_STATE(12728)] = 381751,
  [SMALL_STATE(12729)] = 381779,
  [SMALL_STATE(12730)] = 381805,
  [SMALL_STATE(12731)] = 381833,
  [SMALL_STATE(12732)] = 381859,
  [SMALL_STATE(12733)] = 381885,
  [SMALL_STATE(12734)] = 381911,
  [SMALL_STATE(12735)] = 381937,
  [SMALL_STATE(12736)] = 381963,
  [SMALL_STATE(12737)] = 381991,
  [SMALL_STATE(12738)] = 382017,
  [SMALL_STATE(12739)] = 382045,
  [SMALL_STATE(12740)] = 382071,
  [SMALL_STATE(12741)] = 382099,
  [SMALL_STATE(12742)] = 382127,
  [SMALL_STATE(12743)] = 382153,
  [SMALL_STATE(12744)] = 382181,
  [SMALL_STATE(12745)] = 382207,
  [SMALL_STATE(12746)] = 382233,
  [SMALL_STATE(12747)] = 382259,
  [SMALL_STATE(12748)] = 382287,
  [SMALL_STATE(12749)] = 382313,
  [SMALL_STATE(12750)] = 382339,
  [SMALL_STATE(12751)] = 382365,
  [SMALL_STATE(12752)] = 382391,
  [SMALL_STATE(12753)] = 382417,
  [SMALL_STATE(12754)] = 382443,
  [SMALL_STATE(12755)] = 382471,
  [SMALL_STATE(12756)] = 382497,
  [SMALL_STATE(12757)] = 382523,
  [SMALL_STATE(12758)] = 382549,
  [SMALL_STATE(12759)] = 382575,
  [SMALL_STATE(12760)] = 382603,
  [SMALL_STATE(12761)] = 382629,
  [SMALL_STATE(12762)] = 382657,
  [SMALL_STATE(12763)] = 382683,
  [SMALL_STATE(12764)] = 382709,
  [SMALL_STATE(12765)] = 382735,
  [SMALL_STATE(12766)] = 382763,
  [SMALL_STATE(12767)] = 382791,
  [SMALL_STATE(12768)] = 382819,
  [SMALL_STATE(12769)] = 382845,
  [SMALL_STATE(12770)] = 382871,
  [SMALL_STATE(12771)] = 382897,
  [SMALL_STATE(12772)] = 382923,
  [SMALL_STATE(12773)] = 382949,
  [SMALL_STATE(12774)] = 382975,
  [SMALL_STATE(12775)] = 383003,
  [SMALL_STATE(12776)] = 383029,
  [SMALL_STATE(12777)] = 383057,
  [SMALL_STATE(12778)] = 383083,
  [SMALL_STATE(12779)] = 383109,
  [SMALL_STATE(12780)] = 383135,
  [SMALL_STATE(12781)] = 383161,
  [SMALL_STATE(12782)] = 383189,
  [SMALL_STATE(12783)] = 383215,
  [SMALL_STATE(12784)] = 383241,
  [SMALL_STATE(12785)] = 383267,
  [SMALL_STATE(12786)] = 383295,
  [SMALL_STATE(12787)] = 383323,
  [SMALL_STATE(12788)] = 383349,
  [SMALL_STATE(12789)] = 383377,
  [SMALL_STATE(12790)] = 383405,
  [SMALL_STATE(12791)] = 383431,
  [SMALL_STATE(12792)] = 383457,
  [SMALL_STATE(12793)] = 383485,
  [SMALL_STATE(12794)] = 383511,
  [SMALL_STATE(12795)] = 383537,
  [SMALL_STATE(12796)] = 383565,
  [SMALL_STATE(12797)] = 383591,
  [SMALL_STATE(12798)] = 383619,
  [SMALL_STATE(12799)] = 383647,
  [SMALL_STATE(12800)] = 383673,
  [SMALL_STATE(12801)] = 383699,
  [SMALL_STATE(12802)] = 383725,
  [SMALL_STATE(12803)] = 383751,
  [SMALL_STATE(12804)] = 383777,
  [SMALL_STATE(12805)] = 383803,
  [SMALL_STATE(12806)] = 383829,
  [SMALL_STATE(12807)] = 383855,
  [SMALL_STATE(12808)] = 383881,
  [SMALL_STATE(12809)] = 383907,
  [SMALL_STATE(12810)] = 383933,
  [SMALL_STATE(12811)] = 383961,
  [SMALL_STATE(12812)] = 383987,
  [SMALL_STATE(12813)] = 384015,
  [SMALL_STATE(12814)] = 384041,
  [SMALL_STATE(12815)] = 384067,
  [SMALL_STATE(12816)] = 384093,
  [SMALL_STATE(12817)] = 384121,
  [SMALL_STATE(12818)] = 384149,
  [SMALL_STATE(12819)] = 384175,
  [SMALL_STATE(12820)] = 384201,
  [SMALL_STATE(12821)] = 384229,
  [SMALL_STATE(12822)] = 384257,
  [SMALL_STATE(12823)] = 384285,
  [SMALL_STATE(12824)] = 384313,
  [SMALL_STATE(12825)] = 384339,
  [SMALL_STATE(12826)] = 384365,
  [SMALL_STATE(12827)] = 384391,
  [SMALL_STATE(12828)] = 384419,
  [SMALL_STATE(12829)] = 384445,
  [SMALL_STATE(12830)] = 384471,
  [SMALL_STATE(12831)] = 384497,
  [SMALL_STATE(12832)] = 384525,
  [SMALL_STATE(12833)] = 384551,
  [SMALL_STATE(12834)] = 384577,
  [SMALL_STATE(12835)] = 384601,
  [SMALL_STATE(12836)] = 384627,
  [SMALL_STATE(12837)] = 384655,
  [SMALL_STATE(12838)] = 384683,
  [SMALL_STATE(12839)] = 384709,
  [SMALL_STATE(12840)] = 384735,
  [SMALL_STATE(12841)] = 384763,
  [SMALL_STATE(12842)] = 384789,
  [SMALL_STATE(12843)] = 384815,
  [SMALL_STATE(12844)] = 384841,
  [SMALL_STATE(12845)] = 384867,
  [SMALL_STATE(12846)] = 384893,
  [SMALL_STATE(12847)] = 384919,
  [SMALL_STATE(12848)] = 384945,
  [SMALL_STATE(12849)] = 384971,
  [SMALL_STATE(12850)] = 384997,
  [SMALL_STATE(12851)] = 385023,
  [SMALL_STATE(12852)] = 385049,
  [SMALL_STATE(12853)] = 385075,
  [SMALL_STATE(12854)] = 385103,
  [SMALL_STATE(12855)] = 385129,
  [SMALL_STATE(12856)] = 385155,
  [SMALL_STATE(12857)] = 385179,
  [SMALL_STATE(12858)] = 385205,
  [SMALL_STATE(12859)] = 385233,
  [SMALL_STATE(12860)] = 385259,
  [SMALL_STATE(12861)] = 385285,
  [SMALL_STATE(12862)] = 385311,
  [SMALL_STATE(12863)] = 385337,
  [SMALL_STATE(12864)] = 385363,
  [SMALL_STATE(12865)] = 385389,
  [SMALL_STATE(12866)] = 385417,
  [SMALL_STATE(12867)] = 385445,
  [SMALL_STATE(12868)] = 385473,
  [SMALL_STATE(12869)] = 385499,
  [SMALL_STATE(12870)] = 385525,
  [SMALL_STATE(12871)] = 385553,
  [SMALL_STATE(12872)] = 385579,
  [SMALL_STATE(12873)] = 385605,
  [SMALL_STATE(12874)] = 385631,
  [SMALL_STATE(12875)] = 385659,
  [SMALL_STATE(12876)] = 385685,
  [SMALL_STATE(12877)] = 385706,
  [SMALL_STATE(12878)] = 385729,
  [SMALL_STATE(12879)] = 385754,
  [SMALL_STATE(12880)] = 385777,
  [SMALL_STATE(12881)] = 385798,
  [SMALL_STATE(12882)] = 385823,
  [SMALL_STATE(12883)] = 385836,
  [SMALL_STATE(12884)] = 385859,
  [SMALL_STATE(12885)] = 385882,
  [SMALL_STATE(12886)] = 385905,
  [SMALL_STATE(12887)] = 385928,
  [SMALL_STATE(12888)] = 385949,
  [SMALL_STATE(12889)] = 385970,
  [SMALL_STATE(12890)] = 385993,
  [SMALL_STATE(12891)] = 386016,
  [SMALL_STATE(12892)] = 386039,
  [SMALL_STATE(12893)] = 386062,
  [SMALL_STATE(12894)] = 386085,
  [SMALL_STATE(12895)] = 386108,
  [SMALL_STATE(12896)] = 386131,
  [SMALL_STATE(12897)] = 386154,
  [SMALL_STATE(12898)] = 386177,
  [SMALL_STATE(12899)] = 386202,
  [SMALL_STATE(12900)] = 386223,
  [SMALL_STATE(12901)] = 386246,
  [SMALL_STATE(12902)] = 386269,
  [SMALL_STATE(12903)] = 386290,
  [SMALL_STATE(12904)] = 386313,
  [SMALL_STATE(12905)] = 386336,
  [SMALL_STATE(12906)] = 386359,
  [SMALL_STATE(12907)] = 386382,
  [SMALL_STATE(12908)] = 386403,
  [SMALL_STATE(12909)] = 386426,
  [SMALL_STATE(12910)] = 386449,
  [SMALL_STATE(12911)] = 386472,
  [SMALL_STATE(12912)] = 386495,
  [SMALL_STATE(12913)] = 386520,
  [SMALL_STATE(12914)] = 386545,
  [SMALL_STATE(12915)] = 386562,
  [SMALL_STATE(12916)] = 386585,
  [SMALL_STATE(12917)] = 386608,
  [SMALL_STATE(12918)] = 386631,
  [SMALL_STATE(12919)] = 386654,
  [SMALL_STATE(12920)] = 386677,
  [SMALL_STATE(12921)] = 386700,
  [SMALL_STATE(12922)] = 386723,
  [SMALL_STATE(12923)] = 386748,
  [SMALL_STATE(12924)] = 386769,
  [SMALL_STATE(12925)] = 386792,
  [SMALL_STATE(12926)] = 386809,
  [SMALL_STATE(12927)] = 386830,
  [SMALL_STATE(12928)] = 386853,
  [SMALL_STATE(12929)] = 386874,
  [SMALL_STATE(12930)] = 386887,
  [SMALL_STATE(12931)] = 386904,
  [SMALL_STATE(12932)] = 386921,
  [SMALL_STATE(12933)] = 386938,
  [SMALL_STATE(12934)] = 386955,
  [SMALL_STATE(12935)] = 386978,
  [SMALL_STATE(12936)] = 386999,
  [SMALL_STATE(12937)] = 387022,
  [SMALL_STATE(12938)] = 387043,
  [SMALL_STATE(12939)] = 387064,
  [SMALL_STATE(12940)] = 387087,
  [SMALL_STATE(12941)] = 387110,
  [SMALL_STATE(12942)] = 387133,
  [SMALL_STATE(12943)] = 387154,
  [SMALL_STATE(12944)] = 387169,
  [SMALL_STATE(12945)] = 387182,
  [SMALL_STATE(12946)] = 387205,
  [SMALL_STATE(12947)] = 387228,
  [SMALL_STATE(12948)] = 387249,
  [SMALL_STATE(12949)] = 387272,
  [SMALL_STATE(12950)] = 387295,
  [SMALL_STATE(12951)] = 387320,
  [SMALL_STATE(12952)] = 387345,
  [SMALL_STATE(12953)] = 387368,
  [SMALL_STATE(12954)] = 387391,
  [SMALL_STATE(12955)] = 387414,
  [SMALL_STATE(12956)] = 387431,
  [SMALL_STATE(12957)] = 387454,
  [SMALL_STATE(12958)] = 387475,
  [SMALL_STATE(12959)] = 387500,
  [SMALL_STATE(12960)] = 387521,
  [SMALL_STATE(12961)] = 387544,
  [SMALL_STATE(12962)] = 387561,
  [SMALL_STATE(12963)] = 387578,
  [SMALL_STATE(12964)] = 387599,
  [SMALL_STATE(12965)] = 387616,
  [SMALL_STATE(12966)] = 387637,
  [SMALL_STATE(12967)] = 387652,
  [SMALL_STATE(12968)] = 387673,
  [SMALL_STATE(12969)] = 387696,
  [SMALL_STATE(12970)] = 387711,
  [SMALL_STATE(12971)] = 387734,
  [SMALL_STATE(12972)] = 387757,
  [SMALL_STATE(12973)] = 387782,
  [SMALL_STATE(12974)] = 387805,
  [SMALL_STATE(12975)] = 387828,
  [SMALL_STATE(12976)] = 387849,
  [SMALL_STATE(12977)] = 387872,
  [SMALL_STATE(12978)] = 387893,
  [SMALL_STATE(12979)] = 387906,
  [SMALL_STATE(12980)] = 387929,
  [SMALL_STATE(12981)] = 387950,
  [SMALL_STATE(12982)] = 387971,
  [SMALL_STATE(12983)] = 387994,
  [SMALL_STATE(12984)] = 388015,
  [SMALL_STATE(12985)] = 388036,
  [SMALL_STATE(12986)] = 388057,
  [SMALL_STATE(12987)] = 388078,
  [SMALL_STATE(12988)] = 388101,
  [SMALL_STATE(12989)] = 388124,
  [SMALL_STATE(12990)] = 388147,
  [SMALL_STATE(12991)] = 388170,
  [SMALL_STATE(12992)] = 388195,
  [SMALL_STATE(12993)] = 388218,
  [SMALL_STATE(12994)] = 388241,
  [SMALL_STATE(12995)] = 388264,
  [SMALL_STATE(12996)] = 388285,
  [SMALL_STATE(12997)] = 388308,
  [SMALL_STATE(12998)] = 388329,
  [SMALL_STATE(12999)] = 388342,
  [SMALL_STATE(13000)] = 388365,
  [SMALL_STATE(13001)] = 388388,
  [SMALL_STATE(13002)] = 388413,
  [SMALL_STATE(13003)] = 388436,
  [SMALL_STATE(13004)] = 388457,
  [SMALL_STATE(13005)] = 388470,
  [SMALL_STATE(13006)] = 388493,
  [SMALL_STATE(13007)] = 388514,
  [SMALL_STATE(13008)] = 388529,
  [SMALL_STATE(13009)] = 388552,
  [SMALL_STATE(13010)] = 388575,
  [SMALL_STATE(13011)] = 388598,
  [SMALL_STATE(13012)] = 388621,
  [SMALL_STATE(13013)] = 388638,
  [SMALL_STATE(13014)] = 388661,
  [SMALL_STATE(13015)] = 388682,
  [SMALL_STATE(13016)] = 388703,
  [SMALL_STATE(13017)] = 388724,
  [SMALL_STATE(13018)] = 388747,
  [SMALL_STATE(13019)] = 388770,
  [SMALL_STATE(13020)] = 388795,
  [SMALL_STATE(13021)] = 388818,
  [SMALL_STATE(13022)] = 388839,
  [SMALL_STATE(13023)] = 388860,
  [SMALL_STATE(13024)] = 388881,
  [SMALL_STATE(13025)] = 388906,
  [SMALL_STATE(13026)] = 388929,
  [SMALL_STATE(13027)] = 388952,
  [SMALL_STATE(13028)] = 388974,
  [SMALL_STATE(13029)] = 388996,
  [SMALL_STATE(13030)] = 389018,
  [SMALL_STATE(13031)] = 389040,
  [SMALL_STATE(13032)] = 389062,
  [SMALL_STATE(13033)] = 389084,
  [SMALL_STATE(13034)] = 389096,
  [SMALL_STATE(13035)] = 389118,
  [SMALL_STATE(13036)] = 389140,
  [SMALL_STATE(13037)] = 389156,
  [SMALL_STATE(13038)] = 389174,
  [SMALL_STATE(13039)] = 389196,
  [SMALL_STATE(13040)] = 389218,
  [SMALL_STATE(13041)] = 389240,
  [SMALL_STATE(13042)] = 389262,
  [SMALL_STATE(13043)] = 389278,
  [SMALL_STATE(13044)] = 389290,
  [SMALL_STATE(13045)] = 389312,
  [SMALL_STATE(13046)] = 389334,
  [SMALL_STATE(13047)] = 389348,
  [SMALL_STATE(13048)] = 389364,
  [SMALL_STATE(13049)] = 389382,
  [SMALL_STATE(13050)] = 389400,
  [SMALL_STATE(13051)] = 389416,
  [SMALL_STATE(13052)] = 389432,
  [SMALL_STATE(13053)] = 389454,
  [SMALL_STATE(13054)] = 389468,
  [SMALL_STATE(13055)] = 389490,
  [SMALL_STATE(13056)] = 389502,
  [SMALL_STATE(13057)] = 389524,
  [SMALL_STATE(13058)] = 389546,
  [SMALL_STATE(13059)] = 389564,
  [SMALL_STATE(13060)] = 389586,
  [SMALL_STATE(13061)] = 389608,
  [SMALL_STATE(13062)] = 389624,
  [SMALL_STATE(13063)] = 389640,
  [SMALL_STATE(13064)] = 389662,
  [SMALL_STATE(13065)] = 389678,
  [SMALL_STATE(13066)] = 389696,
  [SMALL_STATE(13067)] = 389718,
  [SMALL_STATE(13068)] = 389736,
  [SMALL_STATE(13069)] = 389754,
  [SMALL_STATE(13070)] = 389776,
  [SMALL_STATE(13071)] = 389798,
  [SMALL_STATE(13072)] = 389820,
  [SMALL_STATE(13073)] = 389842,
  [SMALL_STATE(13074)] = 389858,
  [SMALL_STATE(13075)] = 389874,
  [SMALL_STATE(13076)] = 389886,
  [SMALL_STATE(13077)] = 389908,
  [SMALL_STATE(13078)] = 389930,
  [SMALL_STATE(13079)] = 389946,
  [SMALL_STATE(13080)] = 389962,
  [SMALL_STATE(13081)] = 389978,
  [SMALL_STATE(13082)] = 389996,
  [SMALL_STATE(13083)] = 390018,
  [SMALL_STATE(13084)] = 390030,
  [SMALL_STATE(13085)] = 390048,
  [SMALL_STATE(13086)] = 390070,
  [SMALL_STATE(13087)] = 390082,
  [SMALL_STATE(13088)] = 390104,
  [SMALL_STATE(13089)] = 390120,
  [SMALL_STATE(13090)] = 390136,
  [SMALL_STATE(13091)] = 390158,
  [SMALL_STATE(13092)] = 390174,
  [SMALL_STATE(13093)] = 390196,
  [SMALL_STATE(13094)] = 390218,
  [SMALL_STATE(13095)] = 390240,
  [SMALL_STATE(13096)] = 390254,
  [SMALL_STATE(13097)] = 390270,
  [SMALL_STATE(13098)] = 390286,
  [SMALL_STATE(13099)] = 390308,
  [SMALL_STATE(13100)] = 390330,
  [SMALL_STATE(13101)] = 390346,
  [SMALL_STATE(13102)] = 390362,
  [SMALL_STATE(13103)] = 390384,
  [SMALL_STATE(13104)] = 390406,
  [SMALL_STATE(13105)] = 390428,
  [SMALL_STATE(13106)] = 390450,
  [SMALL_STATE(13107)] = 390472,
  [SMALL_STATE(13108)] = 390494,
  [SMALL_STATE(13109)] = 390516,
  [SMALL_STATE(13110)] = 390538,
  [SMALL_STATE(13111)] = 390554,
  [SMALL_STATE(13112)] = 390570,
  [SMALL_STATE(13113)] = 390592,
  [SMALL_STATE(13114)] = 390614,
  [SMALL_STATE(13115)] = 390636,
  [SMALL_STATE(13116)] = 390658,
  [SMALL_STATE(13117)] = 390680,
  [SMALL_STATE(13118)] = 390702,
  [SMALL_STATE(13119)] = 390724,
  [SMALL_STATE(13120)] = 390746,
  [SMALL_STATE(13121)] = 390768,
  [SMALL_STATE(13122)] = 390790,
  [SMALL_STATE(13123)] = 390812,
  [SMALL_STATE(13124)] = 390828,
  [SMALL_STATE(13125)] = 390844,
  [SMALL_STATE(13126)] = 390860,
  [SMALL_STATE(13127)] = 390882,
  [SMALL_STATE(13128)] = 390896,
  [SMALL_STATE(13129)] = 390912,
  [SMALL_STATE(13130)] = 390934,
  [SMALL_STATE(13131)] = 390956,
  [SMALL_STATE(13132)] = 390978,
  [SMALL_STATE(13133)] = 391000,
  [SMALL_STATE(13134)] = 391022,
  [SMALL_STATE(13135)] = 391034,
  [SMALL_STATE(13136)] = 391056,
  [SMALL_STATE(13137)] = 391068,
  [SMALL_STATE(13138)] = 391090,
  [SMALL_STATE(13139)] = 391112,
  [SMALL_STATE(13140)] = 391128,
  [SMALL_STATE(13141)] = 391144,
  [SMALL_STATE(13142)] = 391160,
  [SMALL_STATE(13143)] = 391182,
  [SMALL_STATE(13144)] = 391198,
  [SMALL_STATE(13145)] = 391214,
  [SMALL_STATE(13146)] = 391236,
  [SMALL_STATE(13147)] = 391258,
  [SMALL_STATE(13148)] = 391276,
  [SMALL_STATE(13149)] = 391298,
  [SMALL_STATE(13150)] = 391320,
  [SMALL_STATE(13151)] = 391342,
  [SMALL_STATE(13152)] = 391364,
  [SMALL_STATE(13153)] = 391386,
  [SMALL_STATE(13154)] = 391408,
  [SMALL_STATE(13155)] = 391430,
  [SMALL_STATE(13156)] = 391452,
  [SMALL_STATE(13157)] = 391474,
  [SMALL_STATE(13158)] = 391492,
  [SMALL_STATE(13159)] = 391508,
  [SMALL_STATE(13160)] = 391530,
  [SMALL_STATE(13161)] = 391552,
  [SMALL_STATE(13162)] = 391574,
  [SMALL_STATE(13163)] = 391590,
  [SMALL_STATE(13164)] = 391612,
  [SMALL_STATE(13165)] = 391634,
  [SMALL_STATE(13166)] = 391650,
  [SMALL_STATE(13167)] = 391672,
  [SMALL_STATE(13168)] = 391688,
  [SMALL_STATE(13169)] = 391710,
  [SMALL_STATE(13170)] = 391732,
  [SMALL_STATE(13171)] = 391754,
  [SMALL_STATE(13172)] = 391766,
  [SMALL_STATE(13173)] = 391782,
  [SMALL_STATE(13174)] = 391804,
  [SMALL_STATE(13175)] = 391826,
  [SMALL_STATE(13176)] = 391842,
  [SMALL_STATE(13177)] = 391858,
  [SMALL_STATE(13178)] = 391874,
  [SMALL_STATE(13179)] = 391896,
  [SMALL_STATE(13180)] = 391912,
  [SMALL_STATE(13181)] = 391928,
  [SMALL_STATE(13182)] = 391950,
  [SMALL_STATE(13183)] = 391966,
  [SMALL_STATE(13184)] = 391988,
  [SMALL_STATE(13185)] = 392004,
  [SMALL_STATE(13186)] = 392026,
  [SMALL_STATE(13187)] = 392048,
  [SMALL_STATE(13188)] = 392070,
  [SMALL_STATE(13189)] = 392086,
  [SMALL_STATE(13190)] = 392108,
  [SMALL_STATE(13191)] = 392130,
  [SMALL_STATE(13192)] = 392152,
  [SMALL_STATE(13193)] = 392174,
  [SMALL_STATE(13194)] = 392196,
  [SMALL_STATE(13195)] = 392218,
  [SMALL_STATE(13196)] = 392240,
  [SMALL_STATE(13197)] = 392262,
  [SMALL_STATE(13198)] = 392278,
  [SMALL_STATE(13199)] = 392297,
  [SMALL_STATE(13200)] = 392314,
  [SMALL_STATE(13201)] = 392333,
  [SMALL_STATE(13202)] = 392352,
  [SMALL_STATE(13203)] = 392367,
  [SMALL_STATE(13204)] = 392386,
  [SMALL_STATE(13205)] = 392405,
  [SMALL_STATE(13206)] = 392424,
  [SMALL_STATE(13207)] = 392443,
  [SMALL_STATE(13208)] = 392462,
  [SMALL_STATE(13209)] = 392479,
  [SMALL_STATE(13210)] = 392498,
  [SMALL_STATE(13211)] = 392517,
  [SMALL_STATE(13212)] = 392536,
  [SMALL_STATE(13213)] = 392555,
  [SMALL_STATE(13214)] = 392574,
  [SMALL_STATE(13215)] = 392593,
  [SMALL_STATE(13216)] = 392612,
  [SMALL_STATE(13217)] = 392631,
  [SMALL_STATE(13218)] = 392650,
  [SMALL_STATE(13219)] = 392669,
  [SMALL_STATE(13220)] = 392688,
  [SMALL_STATE(13221)] = 392707,
  [SMALL_STATE(13222)] = 392726,
  [SMALL_STATE(13223)] = 392745,
  [SMALL_STATE(13224)] = 392764,
  [SMALL_STATE(13225)] = 392783,
  [SMALL_STATE(13226)] = 392802,
  [SMALL_STATE(13227)] = 392821,
  [SMALL_STATE(13228)] = 392840,
  [SMALL_STATE(13229)] = 392859,
  [SMALL_STATE(13230)] = 392878,
  [SMALL_STATE(13231)] = 392897,
  [SMALL_STATE(13232)] = 392916,
  [SMALL_STATE(13233)] = 392935,
  [SMALL_STATE(13234)] = 392954,
  [SMALL_STATE(13235)] = 392973,
  [SMALL_STATE(13236)] = 392992,
  [SMALL_STATE(13237)] = 393011,
  [SMALL_STATE(13238)] = 393030,
  [SMALL_STATE(13239)] = 393049,
  [SMALL_STATE(13240)] = 393068,
  [SMALL_STATE(13241)] = 393087,
  [SMALL_STATE(13242)] = 393106,
  [SMALL_STATE(13243)] = 393125,
  [SMALL_STATE(13244)] = 393144,
  [SMALL_STATE(13245)] = 393163,
  [SMALL_STATE(13246)] = 393182,
  [SMALL_STATE(13247)] = 393201,
  [SMALL_STATE(13248)] = 393220,
  [SMALL_STATE(13249)] = 393239,
  [SMALL_STATE(13250)] = 393258,
  [SMALL_STATE(13251)] = 393277,
  [SMALL_STATE(13252)] = 393296,
  [SMALL_STATE(13253)] = 393311,
  [SMALL_STATE(13254)] = 393330,
  [SMALL_STATE(13255)] = 393349,
  [SMALL_STATE(13256)] = 393368,
  [SMALL_STATE(13257)] = 393387,
  [SMALL_STATE(13258)] = 393406,
  [SMALL_STATE(13259)] = 393425,
  [SMALL_STATE(13260)] = 393444,
  [SMALL_STATE(13261)] = 393463,
  [SMALL_STATE(13262)] = 393482,
  [SMALL_STATE(13263)] = 393501,
  [SMALL_STATE(13264)] = 393520,
  [SMALL_STATE(13265)] = 393539,
  [SMALL_STATE(13266)] = 393558,
  [SMALL_STATE(13267)] = 393577,
  [SMALL_STATE(13268)] = 393596,
  [SMALL_STATE(13269)] = 393615,
  [SMALL_STATE(13270)] = 393634,
  [SMALL_STATE(13271)] = 393653,
  [SMALL_STATE(13272)] = 393672,
  [SMALL_STATE(13273)] = 393691,
  [SMALL_STATE(13274)] = 393710,
  [SMALL_STATE(13275)] = 393729,
  [SMALL_STATE(13276)] = 393748,
  [SMALL_STATE(13277)] = 393767,
  [SMALL_STATE(13278)] = 393786,
  [SMALL_STATE(13279)] = 393805,
  [SMALL_STATE(13280)] = 393824,
  [SMALL_STATE(13281)] = 393843,
  [SMALL_STATE(13282)] = 393862,
  [SMALL_STATE(13283)] = 393881,
  [SMALL_STATE(13284)] = 393900,
  [SMALL_STATE(13285)] = 393919,
  [SMALL_STATE(13286)] = 393938,
  [SMALL_STATE(13287)] = 393957,
  [SMALL_STATE(13288)] = 393976,
  [SMALL_STATE(13289)] = 393995,
  [SMALL_STATE(13290)] = 394014,
  [SMALL_STATE(13291)] = 394033,
  [SMALL_STATE(13292)] = 394052,
  [SMALL_STATE(13293)] = 394071,
  [SMALL_STATE(13294)] = 394090,
  [SMALL_STATE(13295)] = 394109,
  [SMALL_STATE(13296)] = 394128,
  [SMALL_STATE(13297)] = 394147,
  [SMALL_STATE(13298)] = 394166,
  [SMALL_STATE(13299)] = 394185,
  [SMALL_STATE(13300)] = 394204,
  [SMALL_STATE(13301)] = 394223,
  [SMALL_STATE(13302)] = 394242,
  [SMALL_STATE(13303)] = 394261,
  [SMALL_STATE(13304)] = 394280,
  [SMALL_STATE(13305)] = 394299,
  [SMALL_STATE(13306)] = 394318,
  [SMALL_STATE(13307)] = 394337,
  [SMALL_STATE(13308)] = 394356,
  [SMALL_STATE(13309)] = 394375,
  [SMALL_STATE(13310)] = 394394,
  [SMALL_STATE(13311)] = 394413,
  [SMALL_STATE(13312)] = 394432,
  [SMALL_STATE(13313)] = 394451,
  [SMALL_STATE(13314)] = 394466,
  [SMALL_STATE(13315)] = 394481,
  [SMALL_STATE(13316)] = 394500,
  [SMALL_STATE(13317)] = 394515,
  [SMALL_STATE(13318)] = 394534,
  [SMALL_STATE(13319)] = 394553,
  [SMALL_STATE(13320)] = 394572,
  [SMALL_STATE(13321)] = 394591,
  [SMALL_STATE(13322)] = 394610,
  [SMALL_STATE(13323)] = 394629,
  [SMALL_STATE(13324)] = 394648,
  [SMALL_STATE(13325)] = 394667,
  [SMALL_STATE(13326)] = 394686,
  [SMALL_STATE(13327)] = 394705,
  [SMALL_STATE(13328)] = 394724,
  [SMALL_STATE(13329)] = 394743,
  [SMALL_STATE(13330)] = 394762,
  [SMALL_STATE(13331)] = 394781,
  [SMALL_STATE(13332)] = 394800,
  [SMALL_STATE(13333)] = 394819,
  [SMALL_STATE(13334)] = 394838,
  [SMALL_STATE(13335)] = 394857,
  [SMALL_STATE(13336)] = 394876,
  [SMALL_STATE(13337)] = 394895,
  [SMALL_STATE(13338)] = 394914,
  [SMALL_STATE(13339)] = 394933,
  [SMALL_STATE(13340)] = 394952,
  [SMALL_STATE(13341)] = 394971,
  [SMALL_STATE(13342)] = 394990,
  [SMALL_STATE(13343)] = 395009,
  [SMALL_STATE(13344)] = 395028,
  [SMALL_STATE(13345)] = 395047,
  [SMALL_STATE(13346)] = 395066,
  [SMALL_STATE(13347)] = 395085,
  [SMALL_STATE(13348)] = 395104,
  [SMALL_STATE(13349)] = 395123,
  [SMALL_STATE(13350)] = 395142,
  [SMALL_STATE(13351)] = 395161,
  [SMALL_STATE(13352)] = 395180,
  [SMALL_STATE(13353)] = 395199,
  [SMALL_STATE(13354)] = 395218,
  [SMALL_STATE(13355)] = 395237,
  [SMALL_STATE(13356)] = 395256,
  [SMALL_STATE(13357)] = 395275,
  [SMALL_STATE(13358)] = 395294,
  [SMALL_STATE(13359)] = 395313,
  [SMALL_STATE(13360)] = 395332,
  [SMALL_STATE(13361)] = 395351,
  [SMALL_STATE(13362)] = 395370,
  [SMALL_STATE(13363)] = 395389,
  [SMALL_STATE(13364)] = 395408,
  [SMALL_STATE(13365)] = 395427,
  [SMALL_STATE(13366)] = 395446,
  [SMALL_STATE(13367)] = 395465,
  [SMALL_STATE(13368)] = 395484,
  [SMALL_STATE(13369)] = 395503,
  [SMALL_STATE(13370)] = 395522,
  [SMALL_STATE(13371)] = 395541,
  [SMALL_STATE(13372)] = 395560,
  [SMALL_STATE(13373)] = 395579,
  [SMALL_STATE(13374)] = 395598,
  [SMALL_STATE(13375)] = 395617,
  [SMALL_STATE(13376)] = 395636,
  [SMALL_STATE(13377)] = 395655,
  [SMALL_STATE(13378)] = 395674,
  [SMALL_STATE(13379)] = 395693,
  [SMALL_STATE(13380)] = 395712,
  [SMALL_STATE(13381)] = 395731,
  [SMALL_STATE(13382)] = 395750,
  [SMALL_STATE(13383)] = 395769,
  [SMALL_STATE(13384)] = 395788,
  [SMALL_STATE(13385)] = 395807,
  [SMALL_STATE(13386)] = 395826,
  [SMALL_STATE(13387)] = 395845,
  [SMALL_STATE(13388)] = 395864,
  [SMALL_STATE(13389)] = 395883,
  [SMALL_STATE(13390)] = 395902,
  [SMALL_STATE(13391)] = 395921,
  [SMALL_STATE(13392)] = 395940,
  [SMALL_STATE(13393)] = 395959,
  [SMALL_STATE(13394)] = 395978,
  [SMALL_STATE(13395)] = 395997,
  [SMALL_STATE(13396)] = 396016,
  [SMALL_STATE(13397)] = 396035,
  [SMALL_STATE(13398)] = 396054,
  [SMALL_STATE(13399)] = 396073,
  [SMALL_STATE(13400)] = 396092,
  [SMALL_STATE(13401)] = 396111,
  [SMALL_STATE(13402)] = 396130,
  [SMALL_STATE(13403)] = 396149,
  [SMALL_STATE(13404)] = 396168,
  [SMALL_STATE(13405)] = 396187,
  [SMALL_STATE(13406)] = 396206,
  [SMALL_STATE(13407)] = 396225,
  [SMALL_STATE(13408)] = 396244,
  [SMALL_STATE(13409)] = 396263,
  [SMALL_STATE(13410)] = 396278,
  [SMALL_STATE(13411)] = 396293,
  [SMALL_STATE(13412)] = 396312,
  [SMALL_STATE(13413)] = 396327,
  [SMALL_STATE(13414)] = 396346,
  [SMALL_STATE(13415)] = 396361,
  [SMALL_STATE(13416)] = 396376,
  [SMALL_STATE(13417)] = 396391,
  [SMALL_STATE(13418)] = 396410,
  [SMALL_STATE(13419)] = 396425,
  [SMALL_STATE(13420)] = 396444,
  [SMALL_STATE(13421)] = 396459,
  [SMALL_STATE(13422)] = 396474,
  [SMALL_STATE(13423)] = 396493,
  [SMALL_STATE(13424)] = 396512,
  [SMALL_STATE(13425)] = 396527,
  [SMALL_STATE(13426)] = 396542,
  [SMALL_STATE(13427)] = 396561,
  [SMALL_STATE(13428)] = 396580,
  [SMALL_STATE(13429)] = 396595,
  [SMALL_STATE(13430)] = 396610,
  [SMALL_STATE(13431)] = 396625,
  [SMALL_STATE(13432)] = 396640,
  [SMALL_STATE(13433)] = 396655,
  [SMALL_STATE(13434)] = 396670,
  [SMALL_STATE(13435)] = 396685,
  [SMALL_STATE(13436)] = 396700,
  [SMALL_STATE(13437)] = 396715,
  [SMALL_STATE(13438)] = 396730,
  [SMALL_STATE(13439)] = 396745,
  [SMALL_STATE(13440)] = 396764,
  [SMALL_STATE(13441)] = 396783,
  [SMALL_STATE(13442)] = 396802,
  [SMALL_STATE(13443)] = 396821,
  [SMALL_STATE(13444)] = 396836,
  [SMALL_STATE(13445)] = 396851,
  [SMALL_STATE(13446)] = 396870,
  [SMALL_STATE(13447)] = 396889,
  [SMALL_STATE(13448)] = 396904,
  [SMALL_STATE(13449)] = 396919,
  [SMALL_STATE(13450)] = 396934,
  [SMALL_STATE(13451)] = 396953,
  [SMALL_STATE(13452)] = 396972,
  [SMALL_STATE(13453)] = 396991,
  [SMALL_STATE(13454)] = 397010,
  [SMALL_STATE(13455)] = 397025,
  [SMALL_STATE(13456)] = 397040,
  [SMALL_STATE(13457)] = 397055,
  [SMALL_STATE(13458)] = 397070,
  [SMALL_STATE(13459)] = 397089,
  [SMALL_STATE(13460)] = 397104,
  [SMALL_STATE(13461)] = 397123,
  [SMALL_STATE(13462)] = 397138,
  [SMALL_STATE(13463)] = 397157,
  [SMALL_STATE(13464)] = 397176,
  [SMALL_STATE(13465)] = 397191,
  [SMALL_STATE(13466)] = 397206,
  [SMALL_STATE(13467)] = 397221,
  [SMALL_STATE(13468)] = 397240,
  [SMALL_STATE(13469)] = 397259,
  [SMALL_STATE(13470)] = 397274,
  [SMALL_STATE(13471)] = 397289,
  [SMALL_STATE(13472)] = 397304,
  [SMALL_STATE(13473)] = 397323,
  [SMALL_STATE(13474)] = 397342,
  [SMALL_STATE(13475)] = 397361,
  [SMALL_STATE(13476)] = 397380,
  [SMALL_STATE(13477)] = 397395,
  [SMALL_STATE(13478)] = 397414,
  [SMALL_STATE(13479)] = 397429,
  [SMALL_STATE(13480)] = 397448,
  [SMALL_STATE(13481)] = 397463,
  [SMALL_STATE(13482)] = 397482,
  [SMALL_STATE(13483)] = 397501,
  [SMALL_STATE(13484)] = 397520,
  [SMALL_STATE(13485)] = 397539,
  [SMALL_STATE(13486)] = 397558,
  [SMALL_STATE(13487)] = 397577,
  [SMALL_STATE(13488)] = 397596,
  [SMALL_STATE(13489)] = 397611,
  [SMALL_STATE(13490)] = 397626,
  [SMALL_STATE(13491)] = 397641,
  [SMALL_STATE(13492)] = 397656,
  [SMALL_STATE(13493)] = 397675,
  [SMALL_STATE(13494)] = 397694,
  [SMALL_STATE(13495)] = 397713,
  [SMALL_STATE(13496)] = 397732,
  [SMALL_STATE(13497)] = 397751,
  [SMALL_STATE(13498)] = 397770,
  [SMALL_STATE(13499)] = 397785,
  [SMALL_STATE(13500)] = 397804,
  [SMALL_STATE(13501)] = 397823,
  [SMALL_STATE(13502)] = 397842,
  [SMALL_STATE(13503)] = 397861,
  [SMALL_STATE(13504)] = 397880,
  [SMALL_STATE(13505)] = 397895,
  [SMALL_STATE(13506)] = 397914,
  [SMALL_STATE(13507)] = 397929,
  [SMALL_STATE(13508)] = 397944,
  [SMALL_STATE(13509)] = 397963,
  [SMALL_STATE(13510)] = 397982,
  [SMALL_STATE(13511)] = 398001,
  [SMALL_STATE(13512)] = 398020,
  [SMALL_STATE(13513)] = 398039,
  [SMALL_STATE(13514)] = 398058,
  [SMALL_STATE(13515)] = 398077,
  [SMALL_STATE(13516)] = 398092,
  [SMALL_STATE(13517)] = 398107,
  [SMALL_STATE(13518)] = 398126,
  [SMALL_STATE(13519)] = 398145,
  [SMALL_STATE(13520)] = 398164,
  [SMALL_STATE(13521)] = 398179,
  [SMALL_STATE(13522)] = 398198,
  [SMALL_STATE(13523)] = 398213,
  [SMALL_STATE(13524)] = 398228,
  [SMALL_STATE(13525)] = 398243,
  [SMALL_STATE(13526)] = 398258,
  [SMALL_STATE(13527)] = 398273,
  [SMALL_STATE(13528)] = 398292,
  [SMALL_STATE(13529)] = 398311,
  [SMALL_STATE(13530)] = 398330,
  [SMALL_STATE(13531)] = 398345,
  [SMALL_STATE(13532)] = 398364,
  [SMALL_STATE(13533)] = 398383,
  [SMALL_STATE(13534)] = 398402,
  [SMALL_STATE(13535)] = 398417,
  [SMALL_STATE(13536)] = 398432,
  [SMALL_STATE(13537)] = 398447,
  [SMALL_STATE(13538)] = 398466,
  [SMALL_STATE(13539)] = 398481,
  [SMALL_STATE(13540)] = 398500,
  [SMALL_STATE(13541)] = 398519,
  [SMALL_STATE(13542)] = 398538,
  [SMALL_STATE(13543)] = 398557,
  [SMALL_STATE(13544)] = 398572,
  [SMALL_STATE(13545)] = 398587,
  [SMALL_STATE(13546)] = 398602,
  [SMALL_STATE(13547)] = 398621,
  [SMALL_STATE(13548)] = 398640,
  [SMALL_STATE(13549)] = 398659,
  [SMALL_STATE(13550)] = 398678,
  [SMALL_STATE(13551)] = 398693,
  [SMALL_STATE(13552)] = 398708,
  [SMALL_STATE(13553)] = 398723,
  [SMALL_STATE(13554)] = 398738,
  [SMALL_STATE(13555)] = 398753,
  [SMALL_STATE(13556)] = 398768,
  [SMALL_STATE(13557)] = 398783,
  [SMALL_STATE(13558)] = 398798,
  [SMALL_STATE(13559)] = 398817,
  [SMALL_STATE(13560)] = 398832,
  [SMALL_STATE(13561)] = 398851,
  [SMALL_STATE(13562)] = 398870,
  [SMALL_STATE(13563)] = 398885,
  [SMALL_STATE(13564)] = 398904,
  [SMALL_STATE(13565)] = 398919,
  [SMALL_STATE(13566)] = 398938,
  [SMALL_STATE(13567)] = 398953,
  [SMALL_STATE(13568)] = 398972,
  [SMALL_STATE(13569)] = 398991,
  [SMALL_STATE(13570)] = 399006,
  [SMALL_STATE(13571)] = 399021,
  [SMALL_STATE(13572)] = 399040,
  [SMALL_STATE(13573)] = 399055,
  [SMALL_STATE(13574)] = 399070,
  [SMALL_STATE(13575)] = 399089,
  [SMALL_STATE(13576)] = 399108,
  [SMALL_STATE(13577)] = 399127,
  [SMALL_STATE(13578)] = 399146,
  [SMALL_STATE(13579)] = 399161,
  [SMALL_STATE(13580)] = 399176,
  [SMALL_STATE(13581)] = 399195,
  [SMALL_STATE(13582)] = 399210,
  [SMALL_STATE(13583)] = 399229,
  [SMALL_STATE(13584)] = 399244,
  [SMALL_STATE(13585)] = 399263,
  [SMALL_STATE(13586)] = 399278,
  [SMALL_STATE(13587)] = 399293,
  [SMALL_STATE(13588)] = 399312,
  [SMALL_STATE(13589)] = 399327,
  [SMALL_STATE(13590)] = 399346,
  [SMALL_STATE(13591)] = 399361,
  [SMALL_STATE(13592)] = 399380,
  [SMALL_STATE(13593)] = 399399,
  [SMALL_STATE(13594)] = 399416,
  [SMALL_STATE(13595)] = 399435,
  [SMALL_STATE(13596)] = 399450,
  [SMALL_STATE(13597)] = 399469,
  [SMALL_STATE(13598)] = 399488,
  [SMALL_STATE(13599)] = 399503,
  [SMALL_STATE(13600)] = 399522,
  [SMALL_STATE(13601)] = 399541,
  [SMALL_STATE(13602)] = 399560,
  [SMALL_STATE(13603)] = 399579,
  [SMALL_STATE(13604)] = 399594,
  [SMALL_STATE(13605)] = 399613,
  [SMALL_STATE(13606)] = 399632,
  [SMALL_STATE(13607)] = 399651,
  [SMALL_STATE(13608)] = 399666,
  [SMALL_STATE(13609)] = 399685,
  [SMALL_STATE(13610)] = 399704,
  [SMALL_STATE(13611)] = 399719,
  [SMALL_STATE(13612)] = 399734,
  [SMALL_STATE(13613)] = 399753,
  [SMALL_STATE(13614)] = 399772,
  [SMALL_STATE(13615)] = 399791,
  [SMALL_STATE(13616)] = 399810,
  [SMALL_STATE(13617)] = 399829,
  [SMALL_STATE(13618)] = 399848,
  [SMALL_STATE(13619)] = 399867,
  [SMALL_STATE(13620)] = 399886,
  [SMALL_STATE(13621)] = 399901,
  [SMALL_STATE(13622)] = 399920,
  [SMALL_STATE(13623)] = 399935,
  [SMALL_STATE(13624)] = 399954,
  [SMALL_STATE(13625)] = 399973,
  [SMALL_STATE(13626)] = 399992,
  [SMALL_STATE(13627)] = 400011,
  [SMALL_STATE(13628)] = 400030,
  [SMALL_STATE(13629)] = 400049,
  [SMALL_STATE(13630)] = 400068,
  [SMALL_STATE(13631)] = 400087,
  [SMALL_STATE(13632)] = 400106,
  [SMALL_STATE(13633)] = 400121,
  [SMALL_STATE(13634)] = 400140,
  [SMALL_STATE(13635)] = 400159,
  [SMALL_STATE(13636)] = 400174,
  [SMALL_STATE(13637)] = 400193,
  [SMALL_STATE(13638)] = 400212,
  [SMALL_STATE(13639)] = 400231,
  [SMALL_STATE(13640)] = 400250,
  [SMALL_STATE(13641)] = 400269,
  [SMALL_STATE(13642)] = 400284,
  [SMALL_STATE(13643)] = 400303,
  [SMALL_STATE(13644)] = 400322,
  [SMALL_STATE(13645)] = 400337,
  [SMALL_STATE(13646)] = 400356,
  [SMALL_STATE(13647)] = 400375,
  [SMALL_STATE(13648)] = 400394,
  [SMALL_STATE(13649)] = 400413,
  [SMALL_STATE(13650)] = 400432,
  [SMALL_STATE(13651)] = 400451,
  [SMALL_STATE(13652)] = 400466,
  [SMALL_STATE(13653)] = 400485,
  [SMALL_STATE(13654)] = 400504,
  [SMALL_STATE(13655)] = 400523,
  [SMALL_STATE(13656)] = 400542,
  [SMALL_STATE(13657)] = 400561,
  [SMALL_STATE(13658)] = 400580,
  [SMALL_STATE(13659)] = 400599,
  [SMALL_STATE(13660)] = 400614,
  [SMALL_STATE(13661)] = 400633,
  [SMALL_STATE(13662)] = 400652,
  [SMALL_STATE(13663)] = 400671,
  [SMALL_STATE(13664)] = 400686,
  [SMALL_STATE(13665)] = 400705,
  [SMALL_STATE(13666)] = 400724,
  [SMALL_STATE(13667)] = 400743,
  [SMALL_STATE(13668)] = 400762,
  [SMALL_STATE(13669)] = 400777,
  [SMALL_STATE(13670)] = 400796,
  [SMALL_STATE(13671)] = 400815,
  [SMALL_STATE(13672)] = 400834,
  [SMALL_STATE(13673)] = 400849,
  [SMALL_STATE(13674)] = 400864,
  [SMALL_STATE(13675)] = 400883,
  [SMALL_STATE(13676)] = 400902,
  [SMALL_STATE(13677)] = 400921,
  [SMALL_STATE(13678)] = 400940,
  [SMALL_STATE(13679)] = 400959,
  [SMALL_STATE(13680)] = 400974,
  [SMALL_STATE(13681)] = 400993,
  [SMALL_STATE(13682)] = 401012,
  [SMALL_STATE(13683)] = 401031,
  [SMALL_STATE(13684)] = 401046,
  [SMALL_STATE(13685)] = 401065,
  [SMALL_STATE(13686)] = 401080,
  [SMALL_STATE(13687)] = 401095,
  [SMALL_STATE(13688)] = 401114,
  [SMALL_STATE(13689)] = 401129,
  [SMALL_STATE(13690)] = 401148,
  [SMALL_STATE(13691)] = 401163,
  [SMALL_STATE(13692)] = 401182,
  [SMALL_STATE(13693)] = 401201,
  [SMALL_STATE(13694)] = 401216,
  [SMALL_STATE(13695)] = 401235,
  [SMALL_STATE(13696)] = 401254,
  [SMALL_STATE(13697)] = 401273,
  [SMALL_STATE(13698)] = 401288,
  [SMALL_STATE(13699)] = 401303,
  [SMALL_STATE(13700)] = 401322,
  [SMALL_STATE(13701)] = 401341,
  [SMALL_STATE(13702)] = 401356,
  [SMALL_STATE(13703)] = 401375,
  [SMALL_STATE(13704)] = 401394,
  [SMALL_STATE(13705)] = 401409,
  [SMALL_STATE(13706)] = 401428,
  [SMALL_STATE(13707)] = 401447,
  [SMALL_STATE(13708)] = 401462,
  [SMALL_STATE(13709)] = 401481,
  [SMALL_STATE(13710)] = 401500,
  [SMALL_STATE(13711)] = 401515,
  [SMALL_STATE(13712)] = 401530,
  [SMALL_STATE(13713)] = 401549,
  [SMALL_STATE(13714)] = 401564,
  [SMALL_STATE(13715)] = 401579,
  [SMALL_STATE(13716)] = 401598,
  [SMALL_STATE(13717)] = 401613,
  [SMALL_STATE(13718)] = 401632,
  [SMALL_STATE(13719)] = 401647,
  [SMALL_STATE(13720)] = 401666,
  [SMALL_STATE(13721)] = 401685,
  [SMALL_STATE(13722)] = 401700,
  [SMALL_STATE(13723)] = 401719,
  [SMALL_STATE(13724)] = 401734,
  [SMALL_STATE(13725)] = 401753,
  [SMALL_STATE(13726)] = 401768,
  [SMALL_STATE(13727)] = 401787,
  [SMALL_STATE(13728)] = 401802,
  [SMALL_STATE(13729)] = 401821,
  [SMALL_STATE(13730)] = 401836,
  [SMALL_STATE(13731)] = 401851,
  [SMALL_STATE(13732)] = 401870,
  [SMALL_STATE(13733)] = 401889,
  [SMALL_STATE(13734)] = 401908,
  [SMALL_STATE(13735)] = 401923,
  [SMALL_STATE(13736)] = 401938,
  [SMALL_STATE(13737)] = 401957,
  [SMALL_STATE(13738)] = 401972,
  [SMALL_STATE(13739)] = 401991,
  [SMALL_STATE(13740)] = 402010,
  [SMALL_STATE(13741)] = 402029,
  [SMALL_STATE(13742)] = 402044,
  [SMALL_STATE(13743)] = 402059,
  [SMALL_STATE(13744)] = 402078,
  [SMALL_STATE(13745)] = 402093,
  [SMALL_STATE(13746)] = 402108,
  [SMALL_STATE(13747)] = 402123,
  [SMALL_STATE(13748)] = 402142,
  [SMALL_STATE(13749)] = 402161,
  [SMALL_STATE(13750)] = 402180,
  [SMALL_STATE(13751)] = 402199,
  [SMALL_STATE(13752)] = 402218,
  [SMALL_STATE(13753)] = 402233,
  [SMALL_STATE(13754)] = 402252,
  [SMALL_STATE(13755)] = 402271,
  [SMALL_STATE(13756)] = 402290,
  [SMALL_STATE(13757)] = 402305,
  [SMALL_STATE(13758)] = 402320,
  [SMALL_STATE(13759)] = 402339,
  [SMALL_STATE(13760)] = 402358,
  [SMALL_STATE(13761)] = 402377,
  [SMALL_STATE(13762)] = 402396,
  [SMALL_STATE(13763)] = 402415,
  [SMALL_STATE(13764)] = 402434,
  [SMALL_STATE(13765)] = 402453,
  [SMALL_STATE(13766)] = 402472,
  [SMALL_STATE(13767)] = 402491,
  [SMALL_STATE(13768)] = 402510,
  [SMALL_STATE(13769)] = 402529,
  [SMALL_STATE(13770)] = 402548,
  [SMALL_STATE(13771)] = 402567,
  [SMALL_STATE(13772)] = 402586,
  [SMALL_STATE(13773)] = 402605,
  [SMALL_STATE(13774)] = 402624,
  [SMALL_STATE(13775)] = 402643,
  [SMALL_STATE(13776)] = 402662,
  [SMALL_STATE(13777)] = 402681,
  [SMALL_STATE(13778)] = 402700,
  [SMALL_STATE(13779)] = 402719,
  [SMALL_STATE(13780)] = 402738,
  [SMALL_STATE(13781)] = 402757,
  [SMALL_STATE(13782)] = 402776,
  [SMALL_STATE(13783)] = 402795,
  [SMALL_STATE(13784)] = 402814,
  [SMALL_STATE(13785)] = 402833,
  [SMALL_STATE(13786)] = 402852,
  [SMALL_STATE(13787)] = 402871,
  [SMALL_STATE(13788)] = 402886,
  [SMALL_STATE(13789)] = 402903,
  [SMALL_STATE(13790)] = 402920,
  [SMALL_STATE(13791)] = 402937,
  [SMALL_STATE(13792)] = 402956,
  [SMALL_STATE(13793)] = 402975,
  [SMALL_STATE(13794)] = 402994,
  [SMALL_STATE(13795)] = 403013,
  [SMALL_STATE(13796)] = 403032,
  [SMALL_STATE(13797)] = 403051,
  [SMALL_STATE(13798)] = 403070,
  [SMALL_STATE(13799)] = 403089,
  [SMALL_STATE(13800)] = 403108,
  [SMALL_STATE(13801)] = 403127,
  [SMALL_STATE(13802)] = 403146,
  [SMALL_STATE(13803)] = 403165,
  [SMALL_STATE(13804)] = 403184,
  [SMALL_STATE(13805)] = 403203,
  [SMALL_STATE(13806)] = 403222,
  [SMALL_STATE(13807)] = 403241,
  [SMALL_STATE(13808)] = 403260,
  [SMALL_STATE(13809)] = 403279,
  [SMALL_STATE(13810)] = 403298,
  [SMALL_STATE(13811)] = 403317,
  [SMALL_STATE(13812)] = 403336,
  [SMALL_STATE(13813)] = 403355,
  [SMALL_STATE(13814)] = 403374,
  [SMALL_STATE(13815)] = 403393,
  [SMALL_STATE(13816)] = 403412,
  [SMALL_STATE(13817)] = 403431,
  [SMALL_STATE(13818)] = 403450,
  [SMALL_STATE(13819)] = 403469,
  [SMALL_STATE(13820)] = 403488,
  [SMALL_STATE(13821)] = 403507,
  [SMALL_STATE(13822)] = 403526,
  [SMALL_STATE(13823)] = 403545,
  [SMALL_STATE(13824)] = 403564,
  [SMALL_STATE(13825)] = 403583,
  [SMALL_STATE(13826)] = 403602,
  [SMALL_STATE(13827)] = 403621,
  [SMALL_STATE(13828)] = 403640,
  [SMALL_STATE(13829)] = 403659,
  [SMALL_STATE(13830)] = 403678,
  [SMALL_STATE(13831)] = 403693,
  [SMALL_STATE(13832)] = 403712,
  [SMALL_STATE(13833)] = 403731,
  [SMALL_STATE(13834)] = 403750,
  [SMALL_STATE(13835)] = 403769,
  [SMALL_STATE(13836)] = 403788,
  [SMALL_STATE(13837)] = 403807,
  [SMALL_STATE(13838)] = 403826,
  [SMALL_STATE(13839)] = 403845,
  [SMALL_STATE(13840)] = 403864,
  [SMALL_STATE(13841)] = 403883,
  [SMALL_STATE(13842)] = 403902,
  [SMALL_STATE(13843)] = 403921,
  [SMALL_STATE(13844)] = 403940,
  [SMALL_STATE(13845)] = 403959,
  [SMALL_STATE(13846)] = 403970,
  [SMALL_STATE(13847)] = 403989,
  [SMALL_STATE(13848)] = 404008,
  [SMALL_STATE(13849)] = 404027,
  [SMALL_STATE(13850)] = 404046,
  [SMALL_STATE(13851)] = 404061,
  [SMALL_STATE(13852)] = 404080,
  [SMALL_STATE(13853)] = 404099,
  [SMALL_STATE(13854)] = 404118,
  [SMALL_STATE(13855)] = 404137,
  [SMALL_STATE(13856)] = 404156,
  [SMALL_STATE(13857)] = 404175,
  [SMALL_STATE(13858)] = 404194,
  [SMALL_STATE(13859)] = 404213,
  [SMALL_STATE(13860)] = 404232,
  [SMALL_STATE(13861)] = 404251,
  [SMALL_STATE(13862)] = 404266,
  [SMALL_STATE(13863)] = 404285,
  [SMALL_STATE(13864)] = 404304,
  [SMALL_STATE(13865)] = 404323,
  [SMALL_STATE(13866)] = 404342,
  [SMALL_STATE(13867)] = 404361,
  [SMALL_STATE(13868)] = 404380,
  [SMALL_STATE(13869)] = 404399,
  [SMALL_STATE(13870)] = 404418,
  [SMALL_STATE(13871)] = 404437,
  [SMALL_STATE(13872)] = 404456,
  [SMALL_STATE(13873)] = 404475,
  [SMALL_STATE(13874)] = 404494,
  [SMALL_STATE(13875)] = 404513,
  [SMALL_STATE(13876)] = 404532,
  [SMALL_STATE(13877)] = 404551,
  [SMALL_STATE(13878)] = 404570,
  [SMALL_STATE(13879)] = 404589,
  [SMALL_STATE(13880)] = 404608,
  [SMALL_STATE(13881)] = 404627,
  [SMALL_STATE(13882)] = 404646,
  [SMALL_STATE(13883)] = 404665,
  [SMALL_STATE(13884)] = 404684,
  [SMALL_STATE(13885)] = 404703,
  [SMALL_STATE(13886)] = 404722,
  [SMALL_STATE(13887)] = 404741,
  [SMALL_STATE(13888)] = 404760,
  [SMALL_STATE(13889)] = 404779,
  [SMALL_STATE(13890)] = 404798,
  [SMALL_STATE(13891)] = 404817,
  [SMALL_STATE(13892)] = 404836,
  [SMALL_STATE(13893)] = 404855,
  [SMALL_STATE(13894)] = 404874,
  [SMALL_STATE(13895)] = 404893,
  [SMALL_STATE(13896)] = 404912,
  [SMALL_STATE(13897)] = 404931,
  [SMALL_STATE(13898)] = 404950,
  [SMALL_STATE(13899)] = 404969,
  [SMALL_STATE(13900)] = 404988,
  [SMALL_STATE(13901)] = 405007,
  [SMALL_STATE(13902)] = 405026,
  [SMALL_STATE(13903)] = 405045,
  [SMALL_STATE(13904)] = 405056,
  [SMALL_STATE(13905)] = 405075,
  [SMALL_STATE(13906)] = 405094,
  [SMALL_STATE(13907)] = 405113,
  [SMALL_STATE(13908)] = 405132,
  [SMALL_STATE(13909)] = 405151,
  [SMALL_STATE(13910)] = 405170,
  [SMALL_STATE(13911)] = 405189,
  [SMALL_STATE(13912)] = 405208,
  [SMALL_STATE(13913)] = 405227,
  [SMALL_STATE(13914)] = 405246,
  [SMALL_STATE(13915)] = 405265,
  [SMALL_STATE(13916)] = 405284,
  [SMALL_STATE(13917)] = 405303,
  [SMALL_STATE(13918)] = 405322,
  [SMALL_STATE(13919)] = 405341,
  [SMALL_STATE(13920)] = 405360,
  [SMALL_STATE(13921)] = 405379,
  [SMALL_STATE(13922)] = 405398,
  [SMALL_STATE(13923)] = 405413,
  [SMALL_STATE(13924)] = 405432,
  [SMALL_STATE(13925)] = 405451,
  [SMALL_STATE(13926)] = 405470,
  [SMALL_STATE(13927)] = 405489,
  [SMALL_STATE(13928)] = 405508,
  [SMALL_STATE(13929)] = 405527,
  [SMALL_STATE(13930)] = 405546,
  [SMALL_STATE(13931)] = 405565,
  [SMALL_STATE(13932)] = 405584,
  [SMALL_STATE(13933)] = 405601,
  [SMALL_STATE(13934)] = 405620,
  [SMALL_STATE(13935)] = 405639,
  [SMALL_STATE(13936)] = 405658,
  [SMALL_STATE(13937)] = 405677,
  [SMALL_STATE(13938)] = 405696,
  [SMALL_STATE(13939)] = 405713,
  [SMALL_STATE(13940)] = 405732,
  [SMALL_STATE(13941)] = 405747,
  [SMALL_STATE(13942)] = 405762,
  [SMALL_STATE(13943)] = 405777,
  [SMALL_STATE(13944)] = 405796,
  [SMALL_STATE(13945)] = 405815,
  [SMALL_STATE(13946)] = 405834,
  [SMALL_STATE(13947)] = 405853,
  [SMALL_STATE(13948)] = 405872,
  [SMALL_STATE(13949)] = 405891,
  [SMALL_STATE(13950)] = 405906,
  [SMALL_STATE(13951)] = 405925,
  [SMALL_STATE(13952)] = 405944,
  [SMALL_STATE(13953)] = 405963,
  [SMALL_STATE(13954)] = 405978,
  [SMALL_STATE(13955)] = 405997,
  [SMALL_STATE(13956)] = 406016,
  [SMALL_STATE(13957)] = 406035,
  [SMALL_STATE(13958)] = 406054,
  [SMALL_STATE(13959)] = 406073,
  [SMALL_STATE(13960)] = 406092,
  [SMALL_STATE(13961)] = 406111,
  [SMALL_STATE(13962)] = 406130,
  [SMALL_STATE(13963)] = 406149,
  [SMALL_STATE(13964)] = 406168,
  [SMALL_STATE(13965)] = 406187,
  [SMALL_STATE(13966)] = 406206,
  [SMALL_STATE(13967)] = 406225,
  [SMALL_STATE(13968)] = 406244,
  [SMALL_STATE(13969)] = 406263,
  [SMALL_STATE(13970)] = 406282,
  [SMALL_STATE(13971)] = 406301,
  [SMALL_STATE(13972)] = 406320,
  [SMALL_STATE(13973)] = 406339,
  [SMALL_STATE(13974)] = 406358,
  [SMALL_STATE(13975)] = 406377,
  [SMALL_STATE(13976)] = 406396,
  [SMALL_STATE(13977)] = 406415,
  [SMALL_STATE(13978)] = 406434,
  [SMALL_STATE(13979)] = 406453,
  [SMALL_STATE(13980)] = 406472,
  [SMALL_STATE(13981)] = 406491,
  [SMALL_STATE(13982)] = 406510,
  [SMALL_STATE(13983)] = 406525,
  [SMALL_STATE(13984)] = 406544,
  [SMALL_STATE(13985)] = 406563,
  [SMALL_STATE(13986)] = 406582,
  [SMALL_STATE(13987)] = 406601,
  [SMALL_STATE(13988)] = 406620,
  [SMALL_STATE(13989)] = 406639,
  [SMALL_STATE(13990)] = 406658,
  [SMALL_STATE(13991)] = 406677,
  [SMALL_STATE(13992)] = 406696,
  [SMALL_STATE(13993)] = 406715,
  [SMALL_STATE(13994)] = 406734,
  [SMALL_STATE(13995)] = 406753,
  [SMALL_STATE(13996)] = 406772,
  [SMALL_STATE(13997)] = 406791,
  [SMALL_STATE(13998)] = 406810,
  [SMALL_STATE(13999)] = 406829,
  [SMALL_STATE(14000)] = 406848,
  [SMALL_STATE(14001)] = 406867,
  [SMALL_STATE(14002)] = 406886,
  [SMALL_STATE(14003)] = 406905,
  [SMALL_STATE(14004)] = 406924,
  [SMALL_STATE(14005)] = 406943,
  [SMALL_STATE(14006)] = 406962,
  [SMALL_STATE(14007)] = 406981,
  [SMALL_STATE(14008)] = 407000,
  [SMALL_STATE(14009)] = 407015,
  [SMALL_STATE(14010)] = 407034,
  [SMALL_STATE(14011)] = 407053,
  [SMALL_STATE(14012)] = 407072,
  [SMALL_STATE(14013)] = 407091,
  [SMALL_STATE(14014)] = 407110,
  [SMALL_STATE(14015)] = 407129,
  [SMALL_STATE(14016)] = 407148,
  [SMALL_STATE(14017)] = 407167,
  [SMALL_STATE(14018)] = 407186,
  [SMALL_STATE(14019)] = 407205,
  [SMALL_STATE(14020)] = 407224,
  [SMALL_STATE(14021)] = 407243,
  [SMALL_STATE(14022)] = 407262,
  [SMALL_STATE(14023)] = 407281,
  [SMALL_STATE(14024)] = 407300,
  [SMALL_STATE(14025)] = 407319,
  [SMALL_STATE(14026)] = 407338,
  [SMALL_STATE(14027)] = 407357,
  [SMALL_STATE(14028)] = 407376,
  [SMALL_STATE(14029)] = 407395,
  [SMALL_STATE(14030)] = 407414,
  [SMALL_STATE(14031)] = 407433,
  [SMALL_STATE(14032)] = 407452,
  [SMALL_STATE(14033)] = 407471,
  [SMALL_STATE(14034)] = 407490,
  [SMALL_STATE(14035)] = 407509,
  [SMALL_STATE(14036)] = 407528,
  [SMALL_STATE(14037)] = 407547,
  [SMALL_STATE(14038)] = 407566,
  [SMALL_STATE(14039)] = 407585,
  [SMALL_STATE(14040)] = 407604,
  [SMALL_STATE(14041)] = 407623,
  [SMALL_STATE(14042)] = 407642,
  [SMALL_STATE(14043)] = 407661,
  [SMALL_STATE(14044)] = 407680,
  [SMALL_STATE(14045)] = 407699,
  [SMALL_STATE(14046)] = 407718,
  [SMALL_STATE(14047)] = 407737,
  [SMALL_STATE(14048)] = 407756,
  [SMALL_STATE(14049)] = 407775,
  [SMALL_STATE(14050)] = 407794,
  [SMALL_STATE(14051)] = 407813,
  [SMALL_STATE(14052)] = 407832,
  [SMALL_STATE(14053)] = 407851,
  [SMALL_STATE(14054)] = 407870,
  [SMALL_STATE(14055)] = 407889,
  [SMALL_STATE(14056)] = 407908,
  [SMALL_STATE(14057)] = 407927,
  [SMALL_STATE(14058)] = 407946,
  [SMALL_STATE(14059)] = 407961,
  [SMALL_STATE(14060)] = 407980,
  [SMALL_STATE(14061)] = 407995,
  [SMALL_STATE(14062)] = 408010,
  [SMALL_STATE(14063)] = 408029,
  [SMALL_STATE(14064)] = 408048,
  [SMALL_STATE(14065)] = 408067,
  [SMALL_STATE(14066)] = 408086,
  [SMALL_STATE(14067)] = 408105,
  [SMALL_STATE(14068)] = 408124,
  [SMALL_STATE(14069)] = 408143,
  [SMALL_STATE(14070)] = 408162,
  [SMALL_STATE(14071)] = 408177,
  [SMALL_STATE(14072)] = 408196,
  [SMALL_STATE(14073)] = 408215,
  [SMALL_STATE(14074)] = 408234,
  [SMALL_STATE(14075)] = 408253,
  [SMALL_STATE(14076)] = 408272,
  [SMALL_STATE(14077)] = 408291,
  [SMALL_STATE(14078)] = 408310,
  [SMALL_STATE(14079)] = 408329,
  [SMALL_STATE(14080)] = 408348,
  [SMALL_STATE(14081)] = 408367,
  [SMALL_STATE(14082)] = 408386,
  [SMALL_STATE(14083)] = 408405,
  [SMALL_STATE(14084)] = 408424,
  [SMALL_STATE(14085)] = 408443,
  [SMALL_STATE(14086)] = 408458,
  [SMALL_STATE(14087)] = 408477,
  [SMALL_STATE(14088)] = 408496,
  [SMALL_STATE(14089)] = 408515,
  [SMALL_STATE(14090)] = 408534,
  [SMALL_STATE(14091)] = 408553,
  [SMALL_STATE(14092)] = 408572,
  [SMALL_STATE(14093)] = 408591,
  [SMALL_STATE(14094)] = 408610,
  [SMALL_STATE(14095)] = 408629,
  [SMALL_STATE(14096)] = 408644,
  [SMALL_STATE(14097)] = 408663,
  [SMALL_STATE(14098)] = 408678,
  [SMALL_STATE(14099)] = 408697,
  [SMALL_STATE(14100)] = 408712,
  [SMALL_STATE(14101)] = 408731,
  [SMALL_STATE(14102)] = 408750,
  [SMALL_STATE(14103)] = 408769,
  [SMALL_STATE(14104)] = 408788,
  [SMALL_STATE(14105)] = 408807,
  [SMALL_STATE(14106)] = 408826,
  [SMALL_STATE(14107)] = 408845,
  [SMALL_STATE(14108)] = 408864,
  [SMALL_STATE(14109)] = 408883,
  [SMALL_STATE(14110)] = 408902,
  [SMALL_STATE(14111)] = 408921,
  [SMALL_STATE(14112)] = 408940,
  [SMALL_STATE(14113)] = 408959,
  [SMALL_STATE(14114)] = 408978,
  [SMALL_STATE(14115)] = 408997,
  [SMALL_STATE(14116)] = 409012,
  [SMALL_STATE(14117)] = 409031,
  [SMALL_STATE(14118)] = 409050,
  [SMALL_STATE(14119)] = 409069,
  [SMALL_STATE(14120)] = 409088,
  [SMALL_STATE(14121)] = 409107,
  [SMALL_STATE(14122)] = 409126,
  [SMALL_STATE(14123)] = 409145,
  [SMALL_STATE(14124)] = 409164,
  [SMALL_STATE(14125)] = 409175,
  [SMALL_STATE(14126)] = 409194,
  [SMALL_STATE(14127)] = 409213,
  [SMALL_STATE(14128)] = 409232,
  [SMALL_STATE(14129)] = 409251,
  [SMALL_STATE(14130)] = 409270,
  [SMALL_STATE(14131)] = 409289,
  [SMALL_STATE(14132)] = 409308,
  [SMALL_STATE(14133)] = 409327,
  [SMALL_STATE(14134)] = 409346,
  [SMALL_STATE(14135)] = 409365,
  [SMALL_STATE(14136)] = 409384,
  [SMALL_STATE(14137)] = 409403,
  [SMALL_STATE(14138)] = 409422,
  [SMALL_STATE(14139)] = 409441,
  [SMALL_STATE(14140)] = 409456,
  [SMALL_STATE(14141)] = 409475,
  [SMALL_STATE(14142)] = 409494,
  [SMALL_STATE(14143)] = 409513,
  [SMALL_STATE(14144)] = 409532,
  [SMALL_STATE(14145)] = 409551,
  [SMALL_STATE(14146)] = 409570,
  [SMALL_STATE(14147)] = 409589,
  [SMALL_STATE(14148)] = 409608,
  [SMALL_STATE(14149)] = 409627,
  [SMALL_STATE(14150)] = 409646,
  [SMALL_STATE(14151)] = 409665,
  [SMALL_STATE(14152)] = 409684,
  [SMALL_STATE(14153)] = 409703,
  [SMALL_STATE(14154)] = 409722,
  [SMALL_STATE(14155)] = 409741,
  [SMALL_STATE(14156)] = 409760,
  [SMALL_STATE(14157)] = 409779,
  [SMALL_STATE(14158)] = 409798,
  [SMALL_STATE(14159)] = 409817,
  [SMALL_STATE(14160)] = 409836,
  [SMALL_STATE(14161)] = 409855,
  [SMALL_STATE(14162)] = 409874,
  [SMALL_STATE(14163)] = 409893,
  [SMALL_STATE(14164)] = 409912,
  [SMALL_STATE(14165)] = 409931,
  [SMALL_STATE(14166)] = 409950,
  [SMALL_STATE(14167)] = 409969,
  [SMALL_STATE(14168)] = 409988,
  [SMALL_STATE(14169)] = 410007,
  [SMALL_STATE(14170)] = 410026,
  [SMALL_STATE(14171)] = 410041,
  [SMALL_STATE(14172)] = 410060,
  [SMALL_STATE(14173)] = 410079,
  [SMALL_STATE(14174)] = 410098,
  [SMALL_STATE(14175)] = 410117,
  [SMALL_STATE(14176)] = 410136,
  [SMALL_STATE(14177)] = 410155,
  [SMALL_STATE(14178)] = 410174,
  [SMALL_STATE(14179)] = 410193,
  [SMALL_STATE(14180)] = 410212,
  [SMALL_STATE(14181)] = 410231,
  [SMALL_STATE(14182)] = 410250,
  [SMALL_STATE(14183)] = 410269,
  [SMALL_STATE(14184)] = 410288,
  [SMALL_STATE(14185)] = 410307,
  [SMALL_STATE(14186)] = 410326,
  [SMALL_STATE(14187)] = 410345,
  [SMALL_STATE(14188)] = 410364,
  [SMALL_STATE(14189)] = 410383,
  [SMALL_STATE(14190)] = 410402,
  [SMALL_STATE(14191)] = 410421,
  [SMALL_STATE(14192)] = 410440,
  [SMALL_STATE(14193)] = 410455,
  [SMALL_STATE(14194)] = 410474,
  [SMALL_STATE(14195)] = 410493,
  [SMALL_STATE(14196)] = 410512,
  [SMALL_STATE(14197)] = 410531,
  [SMALL_STATE(14198)] = 410550,
  [SMALL_STATE(14199)] = 410569,
  [SMALL_STATE(14200)] = 410588,
  [SMALL_STATE(14201)] = 410607,
  [SMALL_STATE(14202)] = 410626,
  [SMALL_STATE(14203)] = 410645,
  [SMALL_STATE(14204)] = 410664,
  [SMALL_STATE(14205)] = 410683,
  [SMALL_STATE(14206)] = 410702,
  [SMALL_STATE(14207)] = 410721,
  [SMALL_STATE(14208)] = 410740,
  [SMALL_STATE(14209)] = 410759,
  [SMALL_STATE(14210)] = 410778,
  [SMALL_STATE(14211)] = 410794,
  [SMALL_STATE(14212)] = 410810,
  [SMALL_STATE(14213)] = 410826,
  [SMALL_STATE(14214)] = 410842,
  [SMALL_STATE(14215)] = 410858,
  [SMALL_STATE(14216)] = 410874,
  [SMALL_STATE(14217)] = 410890,
  [SMALL_STATE(14218)] = 410906,
  [SMALL_STATE(14219)] = 410916,
  [SMALL_STATE(14220)] = 410932,
  [SMALL_STATE(14221)] = 410942,
  [SMALL_STATE(14222)] = 410958,
  [SMALL_STATE(14223)] = 410974,
  [SMALL_STATE(14224)] = 410986,
  [SMALL_STATE(14225)] = 411002,
  [SMALL_STATE(14226)] = 411018,
  [SMALL_STATE(14227)] = 411032,
  [SMALL_STATE(14228)] = 411048,
  [SMALL_STATE(14229)] = 411062,
  [SMALL_STATE(14230)] = 411078,
  [SMALL_STATE(14231)] = 411094,
  [SMALL_STATE(14232)] = 411106,
  [SMALL_STATE(14233)] = 411116,
  [SMALL_STATE(14234)] = 411132,
  [SMALL_STATE(14235)] = 411146,
  [SMALL_STATE(14236)] = 411162,
  [SMALL_STATE(14237)] = 411178,
  [SMALL_STATE(14238)] = 411194,
  [SMALL_STATE(14239)] = 411210,
  [SMALL_STATE(14240)] = 411226,
  [SMALL_STATE(14241)] = 411242,
  [SMALL_STATE(14242)] = 411258,
  [SMALL_STATE(14243)] = 411274,
  [SMALL_STATE(14244)] = 411290,
  [SMALL_STATE(14245)] = 411306,
  [SMALL_STATE(14246)] = 411322,
  [SMALL_STATE(14247)] = 411338,
  [SMALL_STATE(14248)] = 411354,
  [SMALL_STATE(14249)] = 411370,
  [SMALL_STATE(14250)] = 411386,
  [SMALL_STATE(14251)] = 411402,
  [SMALL_STATE(14252)] = 411418,
  [SMALL_STATE(14253)] = 411434,
  [SMALL_STATE(14254)] = 411450,
  [SMALL_STATE(14255)] = 411466,
  [SMALL_STATE(14256)] = 411482,
  [SMALL_STATE(14257)] = 411498,
  [SMALL_STATE(14258)] = 411514,
  [SMALL_STATE(14259)] = 411530,
  [SMALL_STATE(14260)] = 411546,
  [SMALL_STATE(14261)] = 411562,
  [SMALL_STATE(14262)] = 411576,
  [SMALL_STATE(14263)] = 411586,
  [SMALL_STATE(14264)] = 411602,
  [SMALL_STATE(14265)] = 411618,
  [SMALL_STATE(14266)] = 411628,
  [SMALL_STATE(14267)] = 411640,
  [SMALL_STATE(14268)] = 411656,
  [SMALL_STATE(14269)] = 411672,
  [SMALL_STATE(14270)] = 411688,
  [SMALL_STATE(14271)] = 411704,
  [SMALL_STATE(14272)] = 411720,
  [SMALL_STATE(14273)] = 411736,
  [SMALL_STATE(14274)] = 411752,
  [SMALL_STATE(14275)] = 411768,
  [SMALL_STATE(14276)] = 411784,
  [SMALL_STATE(14277)] = 411798,
  [SMALL_STATE(14278)] = 411814,
  [SMALL_STATE(14279)] = 411830,
  [SMALL_STATE(14280)] = 411846,
  [SMALL_STATE(14281)] = 411862,
  [SMALL_STATE(14282)] = 411878,
  [SMALL_STATE(14283)] = 411894,
  [SMALL_STATE(14284)] = 411910,
  [SMALL_STATE(14285)] = 411926,
  [SMALL_STATE(14286)] = 411942,
  [SMALL_STATE(14287)] = 411958,
  [SMALL_STATE(14288)] = 411974,
  [SMALL_STATE(14289)] = 411990,
  [SMALL_STATE(14290)] = 412000,
  [SMALL_STATE(14291)] = 412016,
  [SMALL_STATE(14292)] = 412032,
  [SMALL_STATE(14293)] = 412042,
  [SMALL_STATE(14294)] = 412058,
  [SMALL_STATE(14295)] = 412072,
  [SMALL_STATE(14296)] = 412088,
  [SMALL_STATE(14297)] = 412104,
  [SMALL_STATE(14298)] = 412120,
  [SMALL_STATE(14299)] = 412136,
  [SMALL_STATE(14300)] = 412152,
  [SMALL_STATE(14301)] = 412168,
  [SMALL_STATE(14302)] = 412178,
  [SMALL_STATE(14303)] = 412194,
  [SMALL_STATE(14304)] = 412210,
  [SMALL_STATE(14305)] = 412226,
  [SMALL_STATE(14306)] = 412242,
  [SMALL_STATE(14307)] = 412256,
  [SMALL_STATE(14308)] = 412272,
  [SMALL_STATE(14309)] = 412288,
  [SMALL_STATE(14310)] = 412304,
  [SMALL_STATE(14311)] = 412320,
  [SMALL_STATE(14312)] = 412336,
  [SMALL_STATE(14313)] = 412352,
  [SMALL_STATE(14314)] = 412366,
  [SMALL_STATE(14315)] = 412382,
  [SMALL_STATE(14316)] = 412398,
  [SMALL_STATE(14317)] = 412414,
  [SMALL_STATE(14318)] = 412428,
  [SMALL_STATE(14319)] = 412444,
  [SMALL_STATE(14320)] = 412460,
  [SMALL_STATE(14321)] = 412476,
  [SMALL_STATE(14322)] = 412492,
  [SMALL_STATE(14323)] = 412508,
  [SMALL_STATE(14324)] = 412524,
  [SMALL_STATE(14325)] = 412540,
  [SMALL_STATE(14326)] = 412556,
  [SMALL_STATE(14327)] = 412572,
  [SMALL_STATE(14328)] = 412588,
  [SMALL_STATE(14329)] = 412604,
  [SMALL_STATE(14330)] = 412620,
  [SMALL_STATE(14331)] = 412636,
  [SMALL_STATE(14332)] = 412652,
  [SMALL_STATE(14333)] = 412668,
  [SMALL_STATE(14334)] = 412682,
  [SMALL_STATE(14335)] = 412698,
  [SMALL_STATE(14336)] = 412712,
  [SMALL_STATE(14337)] = 412728,
  [SMALL_STATE(14338)] = 412744,
  [SMALL_STATE(14339)] = 412756,
  [SMALL_STATE(14340)] = 412770,
  [SMALL_STATE(14341)] = 412786,
  [SMALL_STATE(14342)] = 412802,
  [SMALL_STATE(14343)] = 412818,
  [SMALL_STATE(14344)] = 412834,
  [SMALL_STATE(14345)] = 412850,
  [SMALL_STATE(14346)] = 412866,
  [SMALL_STATE(14347)] = 412882,
  [SMALL_STATE(14348)] = 412898,
  [SMALL_STATE(14349)] = 412914,
  [SMALL_STATE(14350)] = 412930,
  [SMALL_STATE(14351)] = 412946,
  [SMALL_STATE(14352)] = 412962,
  [SMALL_STATE(14353)] = 412978,
  [SMALL_STATE(14354)] = 412994,
  [SMALL_STATE(14355)] = 413010,
  [SMALL_STATE(14356)] = 413023,
  [SMALL_STATE(14357)] = 413036,
  [SMALL_STATE(14358)] = 413049,
  [SMALL_STATE(14359)] = 413062,
  [SMALL_STATE(14360)] = 413075,
  [SMALL_STATE(14361)] = 413088,
  [SMALL_STATE(14362)] = 413101,
  [SMALL_STATE(14363)] = 413114,
  [SMALL_STATE(14364)] = 413127,
  [SMALL_STATE(14365)] = 413140,
  [SMALL_STATE(14366)] = 413153,
  [SMALL_STATE(14367)] = 413166,
  [SMALL_STATE(14368)] = 413179,
  [SMALL_STATE(14369)] = 413192,
  [SMALL_STATE(14370)] = 413205,
  [SMALL_STATE(14371)] = 413218,
  [SMALL_STATE(14372)] = 413231,
  [SMALL_STATE(14373)] = 413244,
  [SMALL_STATE(14374)] = 413257,
  [SMALL_STATE(14375)] = 413270,
  [SMALL_STATE(14376)] = 413283,
  [SMALL_STATE(14377)] = 413296,
  [SMALL_STATE(14378)] = 413309,
  [SMALL_STATE(14379)] = 413322,
  [SMALL_STATE(14380)] = 413335,
  [SMALL_STATE(14381)] = 413348,
  [SMALL_STATE(14382)] = 413361,
  [SMALL_STATE(14383)] = 413374,
  [SMALL_STATE(14384)] = 413387,
  [SMALL_STATE(14385)] = 413400,
  [SMALL_STATE(14386)] = 413413,
  [SMALL_STATE(14387)] = 413426,
  [SMALL_STATE(14388)] = 413439,
  [SMALL_STATE(14389)] = 413452,
  [SMALL_STATE(14390)] = 413465,
  [SMALL_STATE(14391)] = 413478,
  [SMALL_STATE(14392)] = 413491,
  [SMALL_STATE(14393)] = 413504,
  [SMALL_STATE(14394)] = 413517,
  [SMALL_STATE(14395)] = 413530,
  [SMALL_STATE(14396)] = 413543,
  [SMALL_STATE(14397)] = 413556,
  [SMALL_STATE(14398)] = 413569,
  [SMALL_STATE(14399)] = 413582,
  [SMALL_STATE(14400)] = 413595,
  [SMALL_STATE(14401)] = 413608,
  [SMALL_STATE(14402)] = 413621,
  [SMALL_STATE(14403)] = 413634,
  [SMALL_STATE(14404)] = 413647,
  [SMALL_STATE(14405)] = 413660,
  [SMALL_STATE(14406)] = 413673,
  [SMALL_STATE(14407)] = 413686,
  [SMALL_STATE(14408)] = 413699,
  [SMALL_STATE(14409)] = 413712,
  [SMALL_STATE(14410)] = 413725,
  [SMALL_STATE(14411)] = 413738,
  [SMALL_STATE(14412)] = 413751,
  [SMALL_STATE(14413)] = 413764,
  [SMALL_STATE(14414)] = 413777,
  [SMALL_STATE(14415)] = 413790,
  [SMALL_STATE(14416)] = 413803,
  [SMALL_STATE(14417)] = 413816,
  [SMALL_STATE(14418)] = 413829,
  [SMALL_STATE(14419)] = 413842,
  [SMALL_STATE(14420)] = 413855,
  [SMALL_STATE(14421)] = 413868,
  [SMALL_STATE(14422)] = 413881,
  [SMALL_STATE(14423)] = 413894,
  [SMALL_STATE(14424)] = 413907,
  [SMALL_STATE(14425)] = 413920,
  [SMALL_STATE(14426)] = 413933,
  [SMALL_STATE(14427)] = 413946,
  [SMALL_STATE(14428)] = 413959,
  [SMALL_STATE(14429)] = 413972,
  [SMALL_STATE(14430)] = 413985,
  [SMALL_STATE(14431)] = 413998,
  [SMALL_STATE(14432)] = 414011,
  [SMALL_STATE(14433)] = 414024,
  [SMALL_STATE(14434)] = 414037,
  [SMALL_STATE(14435)] = 414050,
  [SMALL_STATE(14436)] = 414063,
  [SMALL_STATE(14437)] = 414076,
  [SMALL_STATE(14438)] = 414089,
  [SMALL_STATE(14439)] = 414102,
  [SMALL_STATE(14440)] = 414115,
  [SMALL_STATE(14441)] = 414128,
  [SMALL_STATE(14442)] = 414141,
  [SMALL_STATE(14443)] = 414154,
  [SMALL_STATE(14444)] = 414167,
  [SMALL_STATE(14445)] = 414180,
  [SMALL_STATE(14446)] = 414193,
  [SMALL_STATE(14447)] = 414206,
  [SMALL_STATE(14448)] = 414219,
  [SMALL_STATE(14449)] = 414232,
  [SMALL_STATE(14450)] = 414245,
  [SMALL_STATE(14451)] = 414258,
  [SMALL_STATE(14452)] = 414271,
  [SMALL_STATE(14453)] = 414284,
  [SMALL_STATE(14454)] = 414297,
  [SMALL_STATE(14455)] = 414310,
  [SMALL_STATE(14456)] = 414323,
  [SMALL_STATE(14457)] = 414336,
  [SMALL_STATE(14458)] = 414349,
  [SMALL_STATE(14459)] = 414362,
  [SMALL_STATE(14460)] = 414375,
  [SMALL_STATE(14461)] = 414388,
  [SMALL_STATE(14462)] = 414401,
  [SMALL_STATE(14463)] = 414414,
  [SMALL_STATE(14464)] = 414425,
  [SMALL_STATE(14465)] = 414436,
  [SMALL_STATE(14466)] = 414449,
  [SMALL_STATE(14467)] = 414462,
  [SMALL_STATE(14468)] = 414475,
  [SMALL_STATE(14469)] = 414488,
  [SMALL_STATE(14470)] = 414501,
  [SMALL_STATE(14471)] = 414514,
  [SMALL_STATE(14472)] = 414527,
  [SMALL_STATE(14473)] = 414540,
  [SMALL_STATE(14474)] = 414553,
  [SMALL_STATE(14475)] = 414566,
  [SMALL_STATE(14476)] = 414579,
  [SMALL_STATE(14477)] = 414592,
  [SMALL_STATE(14478)] = 414605,
  [SMALL_STATE(14479)] = 414618,
  [SMALL_STATE(14480)] = 414631,
  [SMALL_STATE(14481)] = 414644,
  [SMALL_STATE(14482)] = 414657,
  [SMALL_STATE(14483)] = 414670,
  [SMALL_STATE(14484)] = 414683,
  [SMALL_STATE(14485)] = 414696,
  [SMALL_STATE(14486)] = 414709,
  [SMALL_STATE(14487)] = 414722,
  [SMALL_STATE(14488)] = 414735,
  [SMALL_STATE(14489)] = 414748,
  [SMALL_STATE(14490)] = 414761,
  [SMALL_STATE(14491)] = 414774,
  [SMALL_STATE(14492)] = 414787,
  [SMALL_STATE(14493)] = 414800,
  [SMALL_STATE(14494)] = 414813,
  [SMALL_STATE(14495)] = 414826,
  [SMALL_STATE(14496)] = 414839,
  [SMALL_STATE(14497)] = 414852,
  [SMALL_STATE(14498)] = 414865,
  [SMALL_STATE(14499)] = 414878,
  [SMALL_STATE(14500)] = 414891,
  [SMALL_STATE(14501)] = 414904,
  [SMALL_STATE(14502)] = 414917,
  [SMALL_STATE(14503)] = 414930,
  [SMALL_STATE(14504)] = 414943,
  [SMALL_STATE(14505)] = 414956,
  [SMALL_STATE(14506)] = 414969,
  [SMALL_STATE(14507)] = 414982,
  [SMALL_STATE(14508)] = 414995,
  [SMALL_STATE(14509)] = 415008,
  [SMALL_STATE(14510)] = 415021,
  [SMALL_STATE(14511)] = 415034,
  [SMALL_STATE(14512)] = 415047,
  [SMALL_STATE(14513)] = 415060,
  [SMALL_STATE(14514)] = 415073,
  [SMALL_STATE(14515)] = 415086,
  [SMALL_STATE(14516)] = 415099,
  [SMALL_STATE(14517)] = 415112,
  [SMALL_STATE(14518)] = 415125,
  [SMALL_STATE(14519)] = 415138,
  [SMALL_STATE(14520)] = 415151,
  [SMALL_STATE(14521)] = 415164,
  [SMALL_STATE(14522)] = 415177,
  [SMALL_STATE(14523)] = 415190,
  [SMALL_STATE(14524)] = 415203,
  [SMALL_STATE(14525)] = 415216,
  [SMALL_STATE(14526)] = 415229,
  [SMALL_STATE(14527)] = 415240,
  [SMALL_STATE(14528)] = 415253,
  [SMALL_STATE(14529)] = 415264,
  [SMALL_STATE(14530)] = 415275,
  [SMALL_STATE(14531)] = 415288,
  [SMALL_STATE(14532)] = 415301,
  [SMALL_STATE(14533)] = 415314,
  [SMALL_STATE(14534)] = 415327,
  [SMALL_STATE(14535)] = 415338,
  [SMALL_STATE(14536)] = 415351,
  [SMALL_STATE(14537)] = 415364,
  [SMALL_STATE(14538)] = 415375,
  [SMALL_STATE(14539)] = 415388,
  [SMALL_STATE(14540)] = 415399,
  [SMALL_STATE(14541)] = 415412,
  [SMALL_STATE(14542)] = 415425,
  [SMALL_STATE(14543)] = 415438,
  [SMALL_STATE(14544)] = 415451,
  [SMALL_STATE(14545)] = 415464,
  [SMALL_STATE(14546)] = 415477,
  [SMALL_STATE(14547)] = 415490,
  [SMALL_STATE(14548)] = 415503,
  [SMALL_STATE(14549)] = 415516,
  [SMALL_STATE(14550)] = 415529,
  [SMALL_STATE(14551)] = 415542,
  [SMALL_STATE(14552)] = 415555,
  [SMALL_STATE(14553)] = 415568,
  [SMALL_STATE(14554)] = 415581,
  [SMALL_STATE(14555)] = 415594,
  [SMALL_STATE(14556)] = 415607,
  [SMALL_STATE(14557)] = 415620,
  [SMALL_STATE(14558)] = 415633,
  [SMALL_STATE(14559)] = 415646,
  [SMALL_STATE(14560)] = 415659,
  [SMALL_STATE(14561)] = 415672,
  [SMALL_STATE(14562)] = 415685,
  [SMALL_STATE(14563)] = 415698,
  [SMALL_STATE(14564)] = 415711,
  [SMALL_STATE(14565)] = 415724,
  [SMALL_STATE(14566)] = 415737,
  [SMALL_STATE(14567)] = 415750,
  [SMALL_STATE(14568)] = 415763,
  [SMALL_STATE(14569)] = 415776,
  [SMALL_STATE(14570)] = 415789,
  [SMALL_STATE(14571)] = 415802,
  [SMALL_STATE(14572)] = 415815,
  [SMALL_STATE(14573)] = 415828,
  [SMALL_STATE(14574)] = 415841,
  [SMALL_STATE(14575)] = 415854,
  [SMALL_STATE(14576)] = 415867,
  [SMALL_STATE(14577)] = 415880,
  [SMALL_STATE(14578)] = 415893,
  [SMALL_STATE(14579)] = 415904,
  [SMALL_STATE(14580)] = 415917,
  [SMALL_STATE(14581)] = 415930,
  [SMALL_STATE(14582)] = 415943,
  [SMALL_STATE(14583)] = 415956,
  [SMALL_STATE(14584)] = 415969,
  [SMALL_STATE(14585)] = 415982,
  [SMALL_STATE(14586)] = 415995,
  [SMALL_STATE(14587)] = 416008,
  [SMALL_STATE(14588)] = 416021,
  [SMALL_STATE(14589)] = 416034,
  [SMALL_STATE(14590)] = 416047,
  [SMALL_STATE(14591)] = 416060,
  [SMALL_STATE(14592)] = 416073,
  [SMALL_STATE(14593)] = 416086,
  [SMALL_STATE(14594)] = 416099,
  [SMALL_STATE(14595)] = 416112,
  [SMALL_STATE(14596)] = 416125,
  [SMALL_STATE(14597)] = 416138,
  [SMALL_STATE(14598)] = 416151,
  [SMALL_STATE(14599)] = 416164,
  [SMALL_STATE(14600)] = 416177,
  [SMALL_STATE(14601)] = 416190,
  [SMALL_STATE(14602)] = 416203,
  [SMALL_STATE(14603)] = 416216,
  [SMALL_STATE(14604)] = 416229,
  [SMALL_STATE(14605)] = 416242,
  [SMALL_STATE(14606)] = 416255,
  [SMALL_STATE(14607)] = 416268,
  [SMALL_STATE(14608)] = 416281,
  [SMALL_STATE(14609)] = 416294,
  [SMALL_STATE(14610)] = 416307,
  [SMALL_STATE(14611)] = 416320,
  [SMALL_STATE(14612)] = 416333,
  [SMALL_STATE(14613)] = 416346,
  [SMALL_STATE(14614)] = 416359,
  [SMALL_STATE(14615)] = 416372,
  [SMALL_STATE(14616)] = 416385,
  [SMALL_STATE(14617)] = 416398,
  [SMALL_STATE(14618)] = 416411,
  [SMALL_STATE(14619)] = 416424,
  [SMALL_STATE(14620)] = 416437,
  [SMALL_STATE(14621)] = 416450,
  [SMALL_STATE(14622)] = 416463,
  [SMALL_STATE(14623)] = 416476,
  [SMALL_STATE(14624)] = 416485,
  [SMALL_STATE(14625)] = 416498,
  [SMALL_STATE(14626)] = 416511,
  [SMALL_STATE(14627)] = 416524,
  [SMALL_STATE(14628)] = 416537,
  [SMALL_STATE(14629)] = 416550,
  [SMALL_STATE(14630)] = 416563,
  [SMALL_STATE(14631)] = 416576,
  [SMALL_STATE(14632)] = 416589,
  [SMALL_STATE(14633)] = 416602,
  [SMALL_STATE(14634)] = 416615,
  [SMALL_STATE(14635)] = 416628,
  [SMALL_STATE(14636)] = 416641,
  [SMALL_STATE(14637)] = 416654,
  [SMALL_STATE(14638)] = 416667,
  [SMALL_STATE(14639)] = 416680,
  [SMALL_STATE(14640)] = 416693,
  [SMALL_STATE(14641)] = 416706,
  [SMALL_STATE(14642)] = 416719,
  [SMALL_STATE(14643)] = 416732,
  [SMALL_STATE(14644)] = 416745,
  [SMALL_STATE(14645)] = 416758,
  [SMALL_STATE(14646)] = 416771,
  [SMALL_STATE(14647)] = 416784,
  [SMALL_STATE(14648)] = 416797,
  [SMALL_STATE(14649)] = 416810,
  [SMALL_STATE(14650)] = 416823,
  [SMALL_STATE(14651)] = 416836,
  [SMALL_STATE(14652)] = 416849,
  [SMALL_STATE(14653)] = 416862,
  [SMALL_STATE(14654)] = 416875,
  [SMALL_STATE(14655)] = 416888,
  [SMALL_STATE(14656)] = 416901,
  [SMALL_STATE(14657)] = 416914,
  [SMALL_STATE(14658)] = 416927,
  [SMALL_STATE(14659)] = 416940,
  [SMALL_STATE(14660)] = 416953,
  [SMALL_STATE(14661)] = 416966,
  [SMALL_STATE(14662)] = 416979,
  [SMALL_STATE(14663)] = 416992,
  [SMALL_STATE(14664)] = 417005,
  [SMALL_STATE(14665)] = 417018,
  [SMALL_STATE(14666)] = 417031,
  [SMALL_STATE(14667)] = 417044,
  [SMALL_STATE(14668)] = 417057,
  [SMALL_STATE(14669)] = 417070,
  [SMALL_STATE(14670)] = 417083,
  [SMALL_STATE(14671)] = 417096,
  [SMALL_STATE(14672)] = 417109,
  [SMALL_STATE(14673)] = 417122,
  [SMALL_STATE(14674)] = 417133,
  [SMALL_STATE(14675)] = 417146,
  [SMALL_STATE(14676)] = 417159,
  [SMALL_STATE(14677)] = 417172,
  [SMALL_STATE(14678)] = 417185,
  [SMALL_STATE(14679)] = 417198,
  [SMALL_STATE(14680)] = 417211,
  [SMALL_STATE(14681)] = 417224,
  [SMALL_STATE(14682)] = 417237,
  [SMALL_STATE(14683)] = 417250,
  [SMALL_STATE(14684)] = 417263,
  [SMALL_STATE(14685)] = 417276,
  [SMALL_STATE(14686)] = 417289,
  [SMALL_STATE(14687)] = 417302,
  [SMALL_STATE(14688)] = 417315,
  [SMALL_STATE(14689)] = 417328,
  [SMALL_STATE(14690)] = 417341,
  [SMALL_STATE(14691)] = 417354,
  [SMALL_STATE(14692)] = 417367,
  [SMALL_STATE(14693)] = 417380,
  [SMALL_STATE(14694)] = 417393,
  [SMALL_STATE(14695)] = 417406,
  [SMALL_STATE(14696)] = 417419,
  [SMALL_STATE(14697)] = 417432,
  [SMALL_STATE(14698)] = 417445,
  [SMALL_STATE(14699)] = 417458,
  [SMALL_STATE(14700)] = 417471,
  [SMALL_STATE(14701)] = 417484,
  [SMALL_STATE(14702)] = 417497,
  [SMALL_STATE(14703)] = 417508,
  [SMALL_STATE(14704)] = 417521,
  [SMALL_STATE(14705)] = 417534,
  [SMALL_STATE(14706)] = 417547,
  [SMALL_STATE(14707)] = 417560,
  [SMALL_STATE(14708)] = 417573,
  [SMALL_STATE(14709)] = 417586,
  [SMALL_STATE(14710)] = 417599,
  [SMALL_STATE(14711)] = 417612,
  [SMALL_STATE(14712)] = 417625,
  [SMALL_STATE(14713)] = 417638,
  [SMALL_STATE(14714)] = 417651,
  [SMALL_STATE(14715)] = 417664,
  [SMALL_STATE(14716)] = 417677,
  [SMALL_STATE(14717)] = 417690,
  [SMALL_STATE(14718)] = 417703,
  [SMALL_STATE(14719)] = 417716,
  [SMALL_STATE(14720)] = 417729,
  [SMALL_STATE(14721)] = 417742,
  [SMALL_STATE(14722)] = 417755,
  [SMALL_STATE(14723)] = 417768,
  [SMALL_STATE(14724)] = 417781,
  [SMALL_STATE(14725)] = 417794,
  [SMALL_STATE(14726)] = 417807,
  [SMALL_STATE(14727)] = 417820,
  [SMALL_STATE(14728)] = 417833,
  [SMALL_STATE(14729)] = 417846,
  [SMALL_STATE(14730)] = 417859,
  [SMALL_STATE(14731)] = 417872,
  [SMALL_STATE(14732)] = 417885,
  [SMALL_STATE(14733)] = 417898,
  [SMALL_STATE(14734)] = 417911,
  [SMALL_STATE(14735)] = 417924,
  [SMALL_STATE(14736)] = 417937,
  [SMALL_STATE(14737)] = 417950,
  [SMALL_STATE(14738)] = 417963,
  [SMALL_STATE(14739)] = 417976,
  [SMALL_STATE(14740)] = 417989,
  [SMALL_STATE(14741)] = 418002,
  [SMALL_STATE(14742)] = 418015,
  [SMALL_STATE(14743)] = 418028,
  [SMALL_STATE(14744)] = 418041,
  [SMALL_STATE(14745)] = 418054,
  [SMALL_STATE(14746)] = 418067,
  [SMALL_STATE(14747)] = 418080,
  [SMALL_STATE(14748)] = 418093,
  [SMALL_STATE(14749)] = 418106,
  [SMALL_STATE(14750)] = 418119,
  [SMALL_STATE(14751)] = 418132,
  [SMALL_STATE(14752)] = 418145,
  [SMALL_STATE(14753)] = 418156,
  [SMALL_STATE(14754)] = 418169,
  [SMALL_STATE(14755)] = 418182,
  [SMALL_STATE(14756)] = 418195,
  [SMALL_STATE(14757)] = 418208,
  [SMALL_STATE(14758)] = 418221,
  [SMALL_STATE(14759)] = 418234,
  [SMALL_STATE(14760)] = 418245,
  [SMALL_STATE(14761)] = 418256,
  [SMALL_STATE(14762)] = 418269,
  [SMALL_STATE(14763)] = 418282,
  [SMALL_STATE(14764)] = 418295,
  [SMALL_STATE(14765)] = 418308,
  [SMALL_STATE(14766)] = 418321,
  [SMALL_STATE(14767)] = 418332,
  [SMALL_STATE(14768)] = 418345,
  [SMALL_STATE(14769)] = 418358,
  [SMALL_STATE(14770)] = 418371,
  [SMALL_STATE(14771)] = 418384,
  [SMALL_STATE(14772)] = 418397,
  [SMALL_STATE(14773)] = 418410,
  [SMALL_STATE(14774)] = 418423,
  [SMALL_STATE(14775)] = 418436,
  [SMALL_STATE(14776)] = 418449,
  [SMALL_STATE(14777)] = 418462,
  [SMALL_STATE(14778)] = 418475,
  [SMALL_STATE(14779)] = 418488,
  [SMALL_STATE(14780)] = 418501,
  [SMALL_STATE(14781)] = 418514,
  [SMALL_STATE(14782)] = 418527,
  [SMALL_STATE(14783)] = 418540,
  [SMALL_STATE(14784)] = 418553,
  [SMALL_STATE(14785)] = 418566,
  [SMALL_STATE(14786)] = 418579,
  [SMALL_STATE(14787)] = 418592,
  [SMALL_STATE(14788)] = 418605,
  [SMALL_STATE(14789)] = 418618,
  [SMALL_STATE(14790)] = 418631,
  [SMALL_STATE(14791)] = 418644,
  [SMALL_STATE(14792)] = 418657,
  [SMALL_STATE(14793)] = 418670,
  [SMALL_STATE(14794)] = 418683,
  [SMALL_STATE(14795)] = 418696,
  [SMALL_STATE(14796)] = 418709,
  [SMALL_STATE(14797)] = 418722,
  [SMALL_STATE(14798)] = 418735,
  [SMALL_STATE(14799)] = 418748,
  [SMALL_STATE(14800)] = 418761,
  [SMALL_STATE(14801)] = 418774,
  [SMALL_STATE(14802)] = 418787,
  [SMALL_STATE(14803)] = 418800,
  [SMALL_STATE(14804)] = 418813,
  [SMALL_STATE(14805)] = 418826,
  [SMALL_STATE(14806)] = 418839,
  [SMALL_STATE(14807)] = 418852,
  [SMALL_STATE(14808)] = 418865,
  [SMALL_STATE(14809)] = 418878,
  [SMALL_STATE(14810)] = 418891,
  [SMALL_STATE(14811)] = 418904,
  [SMALL_STATE(14812)] = 418917,
  [SMALL_STATE(14813)] = 418930,
  [SMALL_STATE(14814)] = 418943,
  [SMALL_STATE(14815)] = 418956,
  [SMALL_STATE(14816)] = 418969,
  [SMALL_STATE(14817)] = 418982,
  [SMALL_STATE(14818)] = 418995,
  [SMALL_STATE(14819)] = 419008,
  [SMALL_STATE(14820)] = 419021,
  [SMALL_STATE(14821)] = 419034,
  [SMALL_STATE(14822)] = 419047,
  [SMALL_STATE(14823)] = 419060,
  [SMALL_STATE(14824)] = 419073,
  [SMALL_STATE(14825)] = 419086,
  [SMALL_STATE(14826)] = 419099,
  [SMALL_STATE(14827)] = 419112,
  [SMALL_STATE(14828)] = 419125,
  [SMALL_STATE(14829)] = 419138,
  [SMALL_STATE(14830)] = 419151,
  [SMALL_STATE(14831)] = 419164,
  [SMALL_STATE(14832)] = 419177,
  [SMALL_STATE(14833)] = 419190,
  [SMALL_STATE(14834)] = 419203,
  [SMALL_STATE(14835)] = 419216,
  [SMALL_STATE(14836)] = 419229,
  [SMALL_STATE(14837)] = 419242,
  [SMALL_STATE(14838)] = 419255,
  [SMALL_STATE(14839)] = 419268,
  [SMALL_STATE(14840)] = 419281,
  [SMALL_STATE(14841)] = 419294,
  [SMALL_STATE(14842)] = 419307,
  [SMALL_STATE(14843)] = 419320,
  [SMALL_STATE(14844)] = 419333,
  [SMALL_STATE(14845)] = 419346,
  [SMALL_STATE(14846)] = 419359,
  [SMALL_STATE(14847)] = 419372,
  [SMALL_STATE(14848)] = 419385,
  [SMALL_STATE(14849)] = 419398,
  [SMALL_STATE(14850)] = 419411,
  [SMALL_STATE(14851)] = 419424,
  [SMALL_STATE(14852)] = 419437,
  [SMALL_STATE(14853)] = 419450,
  [SMALL_STATE(14854)] = 419463,
  [SMALL_STATE(14855)] = 419476,
  [SMALL_STATE(14856)] = 419489,
  [SMALL_STATE(14857)] = 419502,
  [SMALL_STATE(14858)] = 419515,
  [SMALL_STATE(14859)] = 419528,
  [SMALL_STATE(14860)] = 419541,
  [SMALL_STATE(14861)] = 419554,
  [SMALL_STATE(14862)] = 419567,
  [SMALL_STATE(14863)] = 419580,
  [SMALL_STATE(14864)] = 419593,
  [SMALL_STATE(14865)] = 419606,
  [SMALL_STATE(14866)] = 419619,
  [SMALL_STATE(14867)] = 419632,
  [SMALL_STATE(14868)] = 419645,
  [SMALL_STATE(14869)] = 419658,
  [SMALL_STATE(14870)] = 419671,
  [SMALL_STATE(14871)] = 419684,
  [SMALL_STATE(14872)] = 419697,
  [SMALL_STATE(14873)] = 419710,
  [SMALL_STATE(14874)] = 419723,
  [SMALL_STATE(14875)] = 419736,
  [SMALL_STATE(14876)] = 419749,
  [SMALL_STATE(14877)] = 419762,
  [SMALL_STATE(14878)] = 419775,
  [SMALL_STATE(14879)] = 419788,
  [SMALL_STATE(14880)] = 419801,
  [SMALL_STATE(14881)] = 419814,
  [SMALL_STATE(14882)] = 419827,
  [SMALL_STATE(14883)] = 419840,
  [SMALL_STATE(14884)] = 419853,
  [SMALL_STATE(14885)] = 419866,
  [SMALL_STATE(14886)] = 419879,
  [SMALL_STATE(14887)] = 419890,
  [SMALL_STATE(14888)] = 419903,
  [SMALL_STATE(14889)] = 419916,
  [SMALL_STATE(14890)] = 419929,
  [SMALL_STATE(14891)] = 419942,
  [SMALL_STATE(14892)] = 419955,
  [SMALL_STATE(14893)] = 419968,
  [SMALL_STATE(14894)] = 419981,
  [SMALL_STATE(14895)] = 419994,
  [SMALL_STATE(14896)] = 420007,
  [SMALL_STATE(14897)] = 420020,
  [SMALL_STATE(14898)] = 420031,
  [SMALL_STATE(14899)] = 420042,
  [SMALL_STATE(14900)] = 420055,
  [SMALL_STATE(14901)] = 420068,
  [SMALL_STATE(14902)] = 420081,
  [SMALL_STATE(14903)] = 420094,
  [SMALL_STATE(14904)] = 420107,
  [SMALL_STATE(14905)] = 420120,
  [SMALL_STATE(14906)] = 420133,
  [SMALL_STATE(14907)] = 420146,
  [SMALL_STATE(14908)] = 420159,
  [SMALL_STATE(14909)] = 420172,
  [SMALL_STATE(14910)] = 420185,
  [SMALL_STATE(14911)] = 420198,
  [SMALL_STATE(14912)] = 420211,
  [SMALL_STATE(14913)] = 420224,
  [SMALL_STATE(14914)] = 420233,
  [SMALL_STATE(14915)] = 420246,
  [SMALL_STATE(14916)] = 420259,
  [SMALL_STATE(14917)] = 420272,
  [SMALL_STATE(14918)] = 420285,
  [SMALL_STATE(14919)] = 420298,
  [SMALL_STATE(14920)] = 420311,
  [SMALL_STATE(14921)] = 420324,
  [SMALL_STATE(14922)] = 420337,
  [SMALL_STATE(14923)] = 420350,
  [SMALL_STATE(14924)] = 420363,
  [SMALL_STATE(14925)] = 420376,
  [SMALL_STATE(14926)] = 420389,
  [SMALL_STATE(14927)] = 420402,
  [SMALL_STATE(14928)] = 420415,
  [SMALL_STATE(14929)] = 420428,
  [SMALL_STATE(14930)] = 420441,
  [SMALL_STATE(14931)] = 420454,
  [SMALL_STATE(14932)] = 420467,
  [SMALL_STATE(14933)] = 420480,
  [SMALL_STATE(14934)] = 420493,
  [SMALL_STATE(14935)] = 420506,
  [SMALL_STATE(14936)] = 420519,
  [SMALL_STATE(14937)] = 420532,
  [SMALL_STATE(14938)] = 420545,
  [SMALL_STATE(14939)] = 420558,
  [SMALL_STATE(14940)] = 420571,
  [SMALL_STATE(14941)] = 420584,
  [SMALL_STATE(14942)] = 420597,
  [SMALL_STATE(14943)] = 420610,
  [SMALL_STATE(14944)] = 420623,
  [SMALL_STATE(14945)] = 420636,
  [SMALL_STATE(14946)] = 420649,
  [SMALL_STATE(14947)] = 420662,
  [SMALL_STATE(14948)] = 420675,
  [SMALL_STATE(14949)] = 420688,
  [SMALL_STATE(14950)] = 420701,
  [SMALL_STATE(14951)] = 420714,
  [SMALL_STATE(14952)] = 420727,
  [SMALL_STATE(14953)] = 420740,
  [SMALL_STATE(14954)] = 420753,
  [SMALL_STATE(14955)] = 420766,
  [SMALL_STATE(14956)] = 420779,
  [SMALL_STATE(14957)] = 420792,
  [SMALL_STATE(14958)] = 420805,
  [SMALL_STATE(14959)] = 420818,
  [SMALL_STATE(14960)] = 420831,
  [SMALL_STATE(14961)] = 420842,
  [SMALL_STATE(14962)] = 420853,
  [SMALL_STATE(14963)] = 420866,
  [SMALL_STATE(14964)] = 420879,
  [SMALL_STATE(14965)] = 420892,
  [SMALL_STATE(14966)] = 420905,
  [SMALL_STATE(14967)] = 420918,
  [SMALL_STATE(14968)] = 420931,
  [SMALL_STATE(14969)] = 420944,
  [SMALL_STATE(14970)] = 420957,
  [SMALL_STATE(14971)] = 420970,
  [SMALL_STATE(14972)] = 420983,
  [SMALL_STATE(14973)] = 420996,
  [SMALL_STATE(14974)] = 421009,
  [SMALL_STATE(14975)] = 421022,
  [SMALL_STATE(14976)] = 421035,
  [SMALL_STATE(14977)] = 421048,
  [SMALL_STATE(14978)] = 421061,
  [SMALL_STATE(14979)] = 421074,
  [SMALL_STATE(14980)] = 421087,
  [SMALL_STATE(14981)] = 421100,
  [SMALL_STATE(14982)] = 421113,
  [SMALL_STATE(14983)] = 421126,
  [SMALL_STATE(14984)] = 421139,
  [SMALL_STATE(14985)] = 421152,
  [SMALL_STATE(14986)] = 421165,
  [SMALL_STATE(14987)] = 421178,
  [SMALL_STATE(14988)] = 421191,
  [SMALL_STATE(14989)] = 421204,
  [SMALL_STATE(14990)] = 421217,
  [SMALL_STATE(14991)] = 421228,
  [SMALL_STATE(14992)] = 421239,
  [SMALL_STATE(14993)] = 421252,
  [SMALL_STATE(14994)] = 421265,
  [SMALL_STATE(14995)] = 421278,
  [SMALL_STATE(14996)] = 421291,
  [SMALL_STATE(14997)] = 421304,
  [SMALL_STATE(14998)] = 421317,
  [SMALL_STATE(14999)] = 421330,
  [SMALL_STATE(15000)] = 421343,
  [SMALL_STATE(15001)] = 421356,
  [SMALL_STATE(15002)] = 421369,
  [SMALL_STATE(15003)] = 421382,
  [SMALL_STATE(15004)] = 421395,
  [SMALL_STATE(15005)] = 421408,
  [SMALL_STATE(15006)] = 421421,
  [SMALL_STATE(15007)] = 421434,
  [SMALL_STATE(15008)] = 421447,
  [SMALL_STATE(15009)] = 421460,
  [SMALL_STATE(15010)] = 421473,
  [SMALL_STATE(15011)] = 421486,
  [SMALL_STATE(15012)] = 421499,
  [SMALL_STATE(15013)] = 421512,
  [SMALL_STATE(15014)] = 421525,
  [SMALL_STATE(15015)] = 421538,
  [SMALL_STATE(15016)] = 421551,
  [SMALL_STATE(15017)] = 421564,
  [SMALL_STATE(15018)] = 421577,
  [SMALL_STATE(15019)] = 421590,
  [SMALL_STATE(15020)] = 421603,
  [SMALL_STATE(15021)] = 421616,
  [SMALL_STATE(15022)] = 421629,
  [SMALL_STATE(15023)] = 421642,
  [SMALL_STATE(15024)] = 421655,
  [SMALL_STATE(15025)] = 421668,
  [SMALL_STATE(15026)] = 421681,
  [SMALL_STATE(15027)] = 421694,
  [SMALL_STATE(15028)] = 421707,
  [SMALL_STATE(15029)] = 421720,
  [SMALL_STATE(15030)] = 421733,
  [SMALL_STATE(15031)] = 421746,
  [SMALL_STATE(15032)] = 421759,
  [SMALL_STATE(15033)] = 421772,
  [SMALL_STATE(15034)] = 421785,
  [SMALL_STATE(15035)] = 421798,
  [SMALL_STATE(15036)] = 421811,
  [SMALL_STATE(15037)] = 421824,
  [SMALL_STATE(15038)] = 421837,
  [SMALL_STATE(15039)] = 421850,
  [SMALL_STATE(15040)] = 421863,
  [SMALL_STATE(15041)] = 421876,
  [SMALL_STATE(15042)] = 421889,
  [SMALL_STATE(15043)] = 421902,
  [SMALL_STATE(15044)] = 421915,
  [SMALL_STATE(15045)] = 421928,
  [SMALL_STATE(15046)] = 421941,
  [SMALL_STATE(15047)] = 421954,
  [SMALL_STATE(15048)] = 421967,
  [SMALL_STATE(15049)] = 421980,
  [SMALL_STATE(15050)] = 421993,
  [SMALL_STATE(15051)] = 422006,
  [SMALL_STATE(15052)] = 422019,
  [SMALL_STATE(15053)] = 422032,
  [SMALL_STATE(15054)] = 422045,
  [SMALL_STATE(15055)] = 422058,
  [SMALL_STATE(15056)] = 422071,
  [SMALL_STATE(15057)] = 422084,
  [SMALL_STATE(15058)] = 422097,
  [SMALL_STATE(15059)] = 422110,
  [SMALL_STATE(15060)] = 422123,
  [SMALL_STATE(15061)] = 422136,
  [SMALL_STATE(15062)] = 422149,
  [SMALL_STATE(15063)] = 422162,
  [SMALL_STATE(15064)] = 422175,
  [SMALL_STATE(15065)] = 422188,
  [SMALL_STATE(15066)] = 422201,
  [SMALL_STATE(15067)] = 422214,
  [SMALL_STATE(15068)] = 422227,
  [SMALL_STATE(15069)] = 422240,
  [SMALL_STATE(15070)] = 422253,
  [SMALL_STATE(15071)] = 422266,
  [SMALL_STATE(15072)] = 422279,
  [SMALL_STATE(15073)] = 422292,
  [SMALL_STATE(15074)] = 422305,
  [SMALL_STATE(15075)] = 422318,
  [SMALL_STATE(15076)] = 422331,
  [SMALL_STATE(15077)] = 422344,
  [SMALL_STATE(15078)] = 422357,
  [SMALL_STATE(15079)] = 422370,
  [SMALL_STATE(15080)] = 422383,
  [SMALL_STATE(15081)] = 422396,
  [SMALL_STATE(15082)] = 422409,
  [SMALL_STATE(15083)] = 422422,
  [SMALL_STATE(15084)] = 422435,
  [SMALL_STATE(15085)] = 422448,
  [SMALL_STATE(15086)] = 422461,
  [SMALL_STATE(15087)] = 422474,
  [SMALL_STATE(15088)] = 422487,
  [SMALL_STATE(15089)] = 422500,
  [SMALL_STATE(15090)] = 422513,
  [SMALL_STATE(15091)] = 422526,
  [SMALL_STATE(15092)] = 422539,
  [SMALL_STATE(15093)] = 422552,
  [SMALL_STATE(15094)] = 422565,
  [SMALL_STATE(15095)] = 422578,
  [SMALL_STATE(15096)] = 422591,
  [SMALL_STATE(15097)] = 422604,
  [SMALL_STATE(15098)] = 422617,
  [SMALL_STATE(15099)] = 422630,
  [SMALL_STATE(15100)] = 422643,
  [SMALL_STATE(15101)] = 422656,
  [SMALL_STATE(15102)] = 422669,
  [SMALL_STATE(15103)] = 422682,
  [SMALL_STATE(15104)] = 422695,
  [SMALL_STATE(15105)] = 422708,
  [SMALL_STATE(15106)] = 422721,
  [SMALL_STATE(15107)] = 422734,
  [SMALL_STATE(15108)] = 422747,
  [SMALL_STATE(15109)] = 422760,
  [SMALL_STATE(15110)] = 422773,
  [SMALL_STATE(15111)] = 422786,
  [SMALL_STATE(15112)] = 422799,
  [SMALL_STATE(15113)] = 422812,
  [SMALL_STATE(15114)] = 422825,
  [SMALL_STATE(15115)] = 422838,
  [SMALL_STATE(15116)] = 422849,
  [SMALL_STATE(15117)] = 422860,
  [SMALL_STATE(15118)] = 422873,
  [SMALL_STATE(15119)] = 422886,
  [SMALL_STATE(15120)] = 422899,
  [SMALL_STATE(15121)] = 422912,
  [SMALL_STATE(15122)] = 422925,
  [SMALL_STATE(15123)] = 422938,
  [SMALL_STATE(15124)] = 422951,
  [SMALL_STATE(15125)] = 422964,
  [SMALL_STATE(15126)] = 422977,
  [SMALL_STATE(15127)] = 422990,
  [SMALL_STATE(15128)] = 423003,
  [SMALL_STATE(15129)] = 423016,
  [SMALL_STATE(15130)] = 423029,
  [SMALL_STATE(15131)] = 423042,
  [SMALL_STATE(15132)] = 423055,
  [SMALL_STATE(15133)] = 423068,
  [SMALL_STATE(15134)] = 423081,
  [SMALL_STATE(15135)] = 423094,
  [SMALL_STATE(15136)] = 423107,
  [SMALL_STATE(15137)] = 423120,
  [SMALL_STATE(15138)] = 423133,
  [SMALL_STATE(15139)] = 423146,
  [SMALL_STATE(15140)] = 423159,
  [SMALL_STATE(15141)] = 423172,
  [SMALL_STATE(15142)] = 423185,
  [SMALL_STATE(15143)] = 423198,
  [SMALL_STATE(15144)] = 423211,
  [SMALL_STATE(15145)] = 423224,
  [SMALL_STATE(15146)] = 423237,
  [SMALL_STATE(15147)] = 423250,
  [SMALL_STATE(15148)] = 423263,
  [SMALL_STATE(15149)] = 423276,
  [SMALL_STATE(15150)] = 423289,
  [SMALL_STATE(15151)] = 423302,
  [SMALL_STATE(15152)] = 423315,
  [SMALL_STATE(15153)] = 423328,
  [SMALL_STATE(15154)] = 423341,
  [SMALL_STATE(15155)] = 423354,
  [SMALL_STATE(15156)] = 423367,
  [SMALL_STATE(15157)] = 423380,
  [SMALL_STATE(15158)] = 423393,
  [SMALL_STATE(15159)] = 423406,
  [SMALL_STATE(15160)] = 423419,
  [SMALL_STATE(15161)] = 423432,
  [SMALL_STATE(15162)] = 423445,
  [SMALL_STATE(15163)] = 423458,
  [SMALL_STATE(15164)] = 423471,
  [SMALL_STATE(15165)] = 423484,
  [SMALL_STATE(15166)] = 423497,
  [SMALL_STATE(15167)] = 423510,
  [SMALL_STATE(15168)] = 423523,
  [SMALL_STATE(15169)] = 423536,
  [SMALL_STATE(15170)] = 423549,
  [SMALL_STATE(15171)] = 423562,
  [SMALL_STATE(15172)] = 423575,
  [SMALL_STATE(15173)] = 423588,
  [SMALL_STATE(15174)] = 423601,
  [SMALL_STATE(15175)] = 423614,
  [SMALL_STATE(15176)] = 423627,
  [SMALL_STATE(15177)] = 423640,
  [SMALL_STATE(15178)] = 423653,
  [SMALL_STATE(15179)] = 423666,
  [SMALL_STATE(15180)] = 423679,
  [SMALL_STATE(15181)] = 423692,
  [SMALL_STATE(15182)] = 423705,
  [SMALL_STATE(15183)] = 423718,
  [SMALL_STATE(15184)] = 423731,
  [SMALL_STATE(15185)] = 423744,
  [SMALL_STATE(15186)] = 423757,
  [SMALL_STATE(15187)] = 423770,
  [SMALL_STATE(15188)] = 423783,
  [SMALL_STATE(15189)] = 423796,
  [SMALL_STATE(15190)] = 423809,
  [SMALL_STATE(15191)] = 423822,
  [SMALL_STATE(15192)] = 423833,
  [SMALL_STATE(15193)] = 423844,
  [SMALL_STATE(15194)] = 423857,
  [SMALL_STATE(15195)] = 423870,
  [SMALL_STATE(15196)] = 423883,
  [SMALL_STATE(15197)] = 423896,
  [SMALL_STATE(15198)] = 423909,
  [SMALL_STATE(15199)] = 423922,
  [SMALL_STATE(15200)] = 423935,
  [SMALL_STATE(15201)] = 423948,
  [SMALL_STATE(15202)] = 423961,
  [SMALL_STATE(15203)] = 423974,
  [SMALL_STATE(15204)] = 423987,
  [SMALL_STATE(15205)] = 424000,
  [SMALL_STATE(15206)] = 424013,
  [SMALL_STATE(15207)] = 424026,
  [SMALL_STATE(15208)] = 424039,
  [SMALL_STATE(15209)] = 424052,
  [SMALL_STATE(15210)] = 424065,
  [SMALL_STATE(15211)] = 424078,
  [SMALL_STATE(15212)] = 424091,
  [SMALL_STATE(15213)] = 424104,
  [SMALL_STATE(15214)] = 424117,
  [SMALL_STATE(15215)] = 424130,
  [SMALL_STATE(15216)] = 424143,
  [SMALL_STATE(15217)] = 424156,
  [SMALL_STATE(15218)] = 424169,
  [SMALL_STATE(15219)] = 424182,
  [SMALL_STATE(15220)] = 424195,
  [SMALL_STATE(15221)] = 424208,
  [SMALL_STATE(15222)] = 424219,
  [SMALL_STATE(15223)] = 424230,
  [SMALL_STATE(15224)] = 424243,
  [SMALL_STATE(15225)] = 424256,
  [SMALL_STATE(15226)] = 424267,
  [SMALL_STATE(15227)] = 424280,
  [SMALL_STATE(15228)] = 424293,
  [SMALL_STATE(15229)] = 424306,
  [SMALL_STATE(15230)] = 424319,
  [SMALL_STATE(15231)] = 424330,
  [SMALL_STATE(15232)] = 424343,
  [SMALL_STATE(15233)] = 424356,
  [SMALL_STATE(15234)] = 424369,
  [SMALL_STATE(15235)] = 424382,
  [SMALL_STATE(15236)] = 424395,
  [SMALL_STATE(15237)] = 424408,
  [SMALL_STATE(15238)] = 424421,
  [SMALL_STATE(15239)] = 424434,
  [SMALL_STATE(15240)] = 424447,
  [SMALL_STATE(15241)] = 424460,
  [SMALL_STATE(15242)] = 424473,
  [SMALL_STATE(15243)] = 424486,
  [SMALL_STATE(15244)] = 424499,
  [SMALL_STATE(15245)] = 424512,
  [SMALL_STATE(15246)] = 424525,
  [SMALL_STATE(15247)] = 424538,
  [SMALL_STATE(15248)] = 424551,
  [SMALL_STATE(15249)] = 424564,
  [SMALL_STATE(15250)] = 424577,
  [SMALL_STATE(15251)] = 424590,
  [SMALL_STATE(15252)] = 424603,
  [SMALL_STATE(15253)] = 424616,
  [SMALL_STATE(15254)] = 424629,
  [SMALL_STATE(15255)] = 424642,
  [SMALL_STATE(15256)] = 424655,
  [SMALL_STATE(15257)] = 424668,
  [SMALL_STATE(15258)] = 424681,
  [SMALL_STATE(15259)] = 424694,
  [SMALL_STATE(15260)] = 424707,
  [SMALL_STATE(15261)] = 424720,
  [SMALL_STATE(15262)] = 424733,
  [SMALL_STATE(15263)] = 424746,
  [SMALL_STATE(15264)] = 424759,
  [SMALL_STATE(15265)] = 424772,
  [SMALL_STATE(15266)] = 424785,
  [SMALL_STATE(15267)] = 424798,
  [SMALL_STATE(15268)] = 424811,
  [SMALL_STATE(15269)] = 424824,
  [SMALL_STATE(15270)] = 424837,
  [SMALL_STATE(15271)] = 424850,
  [SMALL_STATE(15272)] = 424863,
  [SMALL_STATE(15273)] = 424876,
  [SMALL_STATE(15274)] = 424889,
  [SMALL_STATE(15275)] = 424902,
  [SMALL_STATE(15276)] = 424915,
  [SMALL_STATE(15277)] = 424928,
  [SMALL_STATE(15278)] = 424941,
  [SMALL_STATE(15279)] = 424954,
  [SMALL_STATE(15280)] = 424967,
  [SMALL_STATE(15281)] = 424980,
  [SMALL_STATE(15282)] = 424993,
  [SMALL_STATE(15283)] = 425006,
  [SMALL_STATE(15284)] = 425019,
  [SMALL_STATE(15285)] = 425032,
  [SMALL_STATE(15286)] = 425045,
  [SMALL_STATE(15287)] = 425058,
  [SMALL_STATE(15288)] = 425071,
  [SMALL_STATE(15289)] = 425084,
  [SMALL_STATE(15290)] = 425097,
  [SMALL_STATE(15291)] = 425110,
  [SMALL_STATE(15292)] = 425123,
  [SMALL_STATE(15293)] = 425136,
  [SMALL_STATE(15294)] = 425149,
  [SMALL_STATE(15295)] = 425162,
  [SMALL_STATE(15296)] = 425175,
  [SMALL_STATE(15297)] = 425188,
  [SMALL_STATE(15298)] = 425201,
  [SMALL_STATE(15299)] = 425214,
  [SMALL_STATE(15300)] = 425227,
  [SMALL_STATE(15301)] = 425240,
  [SMALL_STATE(15302)] = 425253,
  [SMALL_STATE(15303)] = 425266,
  [SMALL_STATE(15304)] = 425279,
  [SMALL_STATE(15305)] = 425292,
  [SMALL_STATE(15306)] = 425305,
  [SMALL_STATE(15307)] = 425318,
  [SMALL_STATE(15308)] = 425331,
  [SMALL_STATE(15309)] = 425344,
  [SMALL_STATE(15310)] = 425357,
  [SMALL_STATE(15311)] = 425370,
  [SMALL_STATE(15312)] = 425383,
  [SMALL_STATE(15313)] = 425396,
  [SMALL_STATE(15314)] = 425409,
  [SMALL_STATE(15315)] = 425422,
  [SMALL_STATE(15316)] = 425435,
  [SMALL_STATE(15317)] = 425448,
  [SMALL_STATE(15318)] = 425461,
  [SMALL_STATE(15319)] = 425474,
  [SMALL_STATE(15320)] = 425487,
  [SMALL_STATE(15321)] = 425500,
  [SMALL_STATE(15322)] = 425513,
  [SMALL_STATE(15323)] = 425526,
  [SMALL_STATE(15324)] = 425539,
  [SMALL_STATE(15325)] = 425552,
  [SMALL_STATE(15326)] = 425565,
  [SMALL_STATE(15327)] = 425578,
  [SMALL_STATE(15328)] = 425591,
  [SMALL_STATE(15329)] = 425604,
  [SMALL_STATE(15330)] = 425617,
  [SMALL_STATE(15331)] = 425630,
  [SMALL_STATE(15332)] = 425643,
  [SMALL_STATE(15333)] = 425656,
  [SMALL_STATE(15334)] = 425669,
  [SMALL_STATE(15335)] = 425682,
  [SMALL_STATE(15336)] = 425695,
  [SMALL_STATE(15337)] = 425708,
  [SMALL_STATE(15338)] = 425721,
  [SMALL_STATE(15339)] = 425734,
  [SMALL_STATE(15340)] = 425747,
  [SMALL_STATE(15341)] = 425760,
  [SMALL_STATE(15342)] = 425773,
  [SMALL_STATE(15343)] = 425786,
  [SMALL_STATE(15344)] = 425799,
  [SMALL_STATE(15345)] = 425812,
  [SMALL_STATE(15346)] = 425825,
  [SMALL_STATE(15347)] = 425838,
  [SMALL_STATE(15348)] = 425851,
  [SMALL_STATE(15349)] = 425864,
  [SMALL_STATE(15350)] = 425877,
  [SMALL_STATE(15351)] = 425890,
  [SMALL_STATE(15352)] = 425903,
  [SMALL_STATE(15353)] = 425916,
  [SMALL_STATE(15354)] = 425929,
  [SMALL_STATE(15355)] = 425942,
  [SMALL_STATE(15356)] = 425955,
  [SMALL_STATE(15357)] = 425968,
  [SMALL_STATE(15358)] = 425981,
  [SMALL_STATE(15359)] = 425994,
  [SMALL_STATE(15360)] = 426007,
  [SMALL_STATE(15361)] = 426020,
  [SMALL_STATE(15362)] = 426033,
  [SMALL_STATE(15363)] = 426046,
  [SMALL_STATE(15364)] = 426059,
  [SMALL_STATE(15365)] = 426072,
  [SMALL_STATE(15366)] = 426085,
  [SMALL_STATE(15367)] = 426098,
  [SMALL_STATE(15368)] = 426111,
  [SMALL_STATE(15369)] = 426124,
  [SMALL_STATE(15370)] = 426137,
  [SMALL_STATE(15371)] = 426150,
  [SMALL_STATE(15372)] = 426163,
  [SMALL_STATE(15373)] = 426176,
  [SMALL_STATE(15374)] = 426189,
  [SMALL_STATE(15375)] = 426202,
  [SMALL_STATE(15376)] = 426215,
  [SMALL_STATE(15377)] = 426228,
  [SMALL_STATE(15378)] = 426241,
  [SMALL_STATE(15379)] = 426254,
  [SMALL_STATE(15380)] = 426267,
  [SMALL_STATE(15381)] = 426280,
  [SMALL_STATE(15382)] = 426293,
  [SMALL_STATE(15383)] = 426306,
  [SMALL_STATE(15384)] = 426319,
  [SMALL_STATE(15385)] = 426332,
  [SMALL_STATE(15386)] = 426345,
  [SMALL_STATE(15387)] = 426358,
  [SMALL_STATE(15388)] = 426367,
  [SMALL_STATE(15389)] = 426380,
  [SMALL_STATE(15390)] = 426389,
  [SMALL_STATE(15391)] = 426402,
  [SMALL_STATE(15392)] = 426415,
  [SMALL_STATE(15393)] = 426428,
  [SMALL_STATE(15394)] = 426441,
  [SMALL_STATE(15395)] = 426454,
  [SMALL_STATE(15396)] = 426467,
  [SMALL_STATE(15397)] = 426480,
  [SMALL_STATE(15398)] = 426493,
  [SMALL_STATE(15399)] = 426506,
  [SMALL_STATE(15400)] = 426519,
  [SMALL_STATE(15401)] = 426532,
  [SMALL_STATE(15402)] = 426545,
  [SMALL_STATE(15403)] = 426558,
  [SMALL_STATE(15404)] = 426571,
  [SMALL_STATE(15405)] = 426584,
  [SMALL_STATE(15406)] = 426597,
  [SMALL_STATE(15407)] = 426610,
  [SMALL_STATE(15408)] = 426623,
  [SMALL_STATE(15409)] = 426636,
  [SMALL_STATE(15410)] = 426649,
  [SMALL_STATE(15411)] = 426662,
  [SMALL_STATE(15412)] = 426675,
  [SMALL_STATE(15413)] = 426688,
  [SMALL_STATE(15414)] = 426701,
  [SMALL_STATE(15415)] = 426714,
  [SMALL_STATE(15416)] = 426727,
  [SMALL_STATE(15417)] = 426740,
  [SMALL_STATE(15418)] = 426753,
  [SMALL_STATE(15419)] = 426766,
  [SMALL_STATE(15420)] = 426779,
  [SMALL_STATE(15421)] = 426792,
  [SMALL_STATE(15422)] = 426805,
  [SMALL_STATE(15423)] = 426818,
  [SMALL_STATE(15424)] = 426831,
  [SMALL_STATE(15425)] = 426844,
  [SMALL_STATE(15426)] = 426857,
  [SMALL_STATE(15427)] = 426870,
  [SMALL_STATE(15428)] = 426883,
  [SMALL_STATE(15429)] = 426896,
  [SMALL_STATE(15430)] = 426909,
  [SMALL_STATE(15431)] = 426920,
  [SMALL_STATE(15432)] = 426933,
  [SMALL_STATE(15433)] = 426946,
  [SMALL_STATE(15434)] = 426959,
  [SMALL_STATE(15435)] = 426972,
  [SMALL_STATE(15436)] = 426985,
  [SMALL_STATE(15437)] = 426998,
  [SMALL_STATE(15438)] = 427011,
  [SMALL_STATE(15439)] = 427024,
  [SMALL_STATE(15440)] = 427035,
  [SMALL_STATE(15441)] = 427048,
  [SMALL_STATE(15442)] = 427061,
  [SMALL_STATE(15443)] = 427074,
  [SMALL_STATE(15444)] = 427085,
  [SMALL_STATE(15445)] = 427098,
  [SMALL_STATE(15446)] = 427111,
  [SMALL_STATE(15447)] = 427124,
  [SMALL_STATE(15448)] = 427137,
  [SMALL_STATE(15449)] = 427150,
  [SMALL_STATE(15450)] = 427163,
  [SMALL_STATE(15451)] = 427176,
  [SMALL_STATE(15452)] = 427189,
  [SMALL_STATE(15453)] = 427202,
  [SMALL_STATE(15454)] = 427215,
  [SMALL_STATE(15455)] = 427228,
  [SMALL_STATE(15456)] = 427241,
  [SMALL_STATE(15457)] = 427254,
  [SMALL_STATE(15458)] = 427267,
  [SMALL_STATE(15459)] = 427280,
  [SMALL_STATE(15460)] = 427293,
  [SMALL_STATE(15461)] = 427306,
  [SMALL_STATE(15462)] = 427319,
  [SMALL_STATE(15463)] = 427332,
  [SMALL_STATE(15464)] = 427345,
  [SMALL_STATE(15465)] = 427358,
  [SMALL_STATE(15466)] = 427367,
  [SMALL_STATE(15467)] = 427380,
  [SMALL_STATE(15468)] = 427393,
  [SMALL_STATE(15469)] = 427406,
  [SMALL_STATE(15470)] = 427419,
  [SMALL_STATE(15471)] = 427432,
  [SMALL_STATE(15472)] = 427445,
  [SMALL_STATE(15473)] = 427458,
  [SMALL_STATE(15474)] = 427471,
  [SMALL_STATE(15475)] = 427484,
  [SMALL_STATE(15476)] = 427495,
  [SMALL_STATE(15477)] = 427508,
  [SMALL_STATE(15478)] = 427521,
  [SMALL_STATE(15479)] = 427534,
  [SMALL_STATE(15480)] = 427547,
  [SMALL_STATE(15481)] = 427560,
  [SMALL_STATE(15482)] = 427573,
  [SMALL_STATE(15483)] = 427586,
  [SMALL_STATE(15484)] = 427599,
  [SMALL_STATE(15485)] = 427612,
  [SMALL_STATE(15486)] = 427625,
  [SMALL_STATE(15487)] = 427638,
  [SMALL_STATE(15488)] = 427651,
  [SMALL_STATE(15489)] = 427664,
  [SMALL_STATE(15490)] = 427675,
  [SMALL_STATE(15491)] = 427688,
  [SMALL_STATE(15492)] = 427701,
  [SMALL_STATE(15493)] = 427714,
  [SMALL_STATE(15494)] = 427727,
  [SMALL_STATE(15495)] = 427740,
  [SMALL_STATE(15496)] = 427753,
  [SMALL_STATE(15497)] = 427766,
  [SMALL_STATE(15498)] = 427779,
  [SMALL_STATE(15499)] = 427792,
  [SMALL_STATE(15500)] = 427805,
  [SMALL_STATE(15501)] = 427818,
  [SMALL_STATE(15502)] = 427831,
  [SMALL_STATE(15503)] = 427844,
  [SMALL_STATE(15504)] = 427857,
  [SMALL_STATE(15505)] = 427870,
  [SMALL_STATE(15506)] = 427883,
  [SMALL_STATE(15507)] = 427896,
  [SMALL_STATE(15508)] = 427909,
  [SMALL_STATE(15509)] = 427922,
  [SMALL_STATE(15510)] = 427935,
  [SMALL_STATE(15511)] = 427948,
  [SMALL_STATE(15512)] = 427961,
  [SMALL_STATE(15513)] = 427974,
  [SMALL_STATE(15514)] = 427987,
  [SMALL_STATE(15515)] = 428000,
  [SMALL_STATE(15516)] = 428013,
  [SMALL_STATE(15517)] = 428026,
  [SMALL_STATE(15518)] = 428039,
  [SMALL_STATE(15519)] = 428052,
  [SMALL_STATE(15520)] = 428065,
  [SMALL_STATE(15521)] = 428078,
  [SMALL_STATE(15522)] = 428091,
  [SMALL_STATE(15523)] = 428104,
  [SMALL_STATE(15524)] = 428117,
  [SMALL_STATE(15525)] = 428130,
  [SMALL_STATE(15526)] = 428143,
  [SMALL_STATE(15527)] = 428156,
  [SMALL_STATE(15528)] = 428169,
  [SMALL_STATE(15529)] = 428182,
  [SMALL_STATE(15530)] = 428195,
  [SMALL_STATE(15531)] = 428208,
  [SMALL_STATE(15532)] = 428221,
  [SMALL_STATE(15533)] = 428234,
  [SMALL_STATE(15534)] = 428243,
  [SMALL_STATE(15535)] = 428256,
  [SMALL_STATE(15536)] = 428269,
  [SMALL_STATE(15537)] = 428282,
  [SMALL_STATE(15538)] = 428295,
  [SMALL_STATE(15539)] = 428308,
  [SMALL_STATE(15540)] = 428321,
  [SMALL_STATE(15541)] = 428334,
  [SMALL_STATE(15542)] = 428347,
  [SMALL_STATE(15543)] = 428360,
  [SMALL_STATE(15544)] = 428373,
  [SMALL_STATE(15545)] = 428386,
  [SMALL_STATE(15546)] = 428399,
  [SMALL_STATE(15547)] = 428408,
  [SMALL_STATE(15548)] = 428417,
  [SMALL_STATE(15549)] = 428430,
  [SMALL_STATE(15550)] = 428443,
  [SMALL_STATE(15551)] = 428456,
  [SMALL_STATE(15552)] = 428469,
  [SMALL_STATE(15553)] = 428482,
  [SMALL_STATE(15554)] = 428495,
  [SMALL_STATE(15555)] = 428508,
  [SMALL_STATE(15556)] = 428521,
  [SMALL_STATE(15557)] = 428534,
  [SMALL_STATE(15558)] = 428547,
  [SMALL_STATE(15559)] = 428560,
  [SMALL_STATE(15560)] = 428573,
  [SMALL_STATE(15561)] = 428586,
  [SMALL_STATE(15562)] = 428599,
  [SMALL_STATE(15563)] = 428612,
  [SMALL_STATE(15564)] = 428625,
  [SMALL_STATE(15565)] = 428638,
  [SMALL_STATE(15566)] = 428651,
  [SMALL_STATE(15567)] = 428664,
  [SMALL_STATE(15568)] = 428677,
  [SMALL_STATE(15569)] = 428690,
  [SMALL_STATE(15570)] = 428703,
  [SMALL_STATE(15571)] = 428716,
  [SMALL_STATE(15572)] = 428729,
  [SMALL_STATE(15573)] = 428742,
  [SMALL_STATE(15574)] = 428755,
  [SMALL_STATE(15575)] = 428768,
  [SMALL_STATE(15576)] = 428779,
  [SMALL_STATE(15577)] = 428790,
  [SMALL_STATE(15578)] = 428803,
  [SMALL_STATE(15579)] = 428816,
  [SMALL_STATE(15580)] = 428829,
  [SMALL_STATE(15581)] = 428842,
  [SMALL_STATE(15582)] = 428855,
  [SMALL_STATE(15583)] = 428868,
  [SMALL_STATE(15584)] = 428881,
  [SMALL_STATE(15585)] = 428894,
  [SMALL_STATE(15586)] = 428907,
  [SMALL_STATE(15587)] = 428920,
  [SMALL_STATE(15588)] = 428933,
  [SMALL_STATE(15589)] = 428946,
  [SMALL_STATE(15590)] = 428959,
  [SMALL_STATE(15591)] = 428972,
  [SMALL_STATE(15592)] = 428985,
  [SMALL_STATE(15593)] = 428998,
  [SMALL_STATE(15594)] = 429011,
  [SMALL_STATE(15595)] = 429024,
  [SMALL_STATE(15596)] = 429037,
  [SMALL_STATE(15597)] = 429050,
  [SMALL_STATE(15598)] = 429063,
  [SMALL_STATE(15599)] = 429076,
  [SMALL_STATE(15600)] = 429089,
  [SMALL_STATE(15601)] = 429102,
  [SMALL_STATE(15602)] = 429115,
  [SMALL_STATE(15603)] = 429128,
  [SMALL_STATE(15604)] = 429141,
  [SMALL_STATE(15605)] = 429154,
  [SMALL_STATE(15606)] = 429167,
  [SMALL_STATE(15607)] = 429180,
  [SMALL_STATE(15608)] = 429193,
  [SMALL_STATE(15609)] = 429206,
  [SMALL_STATE(15610)] = 429219,
  [SMALL_STATE(15611)] = 429232,
  [SMALL_STATE(15612)] = 429245,
  [SMALL_STATE(15613)] = 429258,
  [SMALL_STATE(15614)] = 429271,
  [SMALL_STATE(15615)] = 429284,
  [SMALL_STATE(15616)] = 429297,
  [SMALL_STATE(15617)] = 429310,
  [SMALL_STATE(15618)] = 429323,
  [SMALL_STATE(15619)] = 429336,
  [SMALL_STATE(15620)] = 429349,
  [SMALL_STATE(15621)] = 429362,
  [SMALL_STATE(15622)] = 429375,
  [SMALL_STATE(15623)] = 429388,
  [SMALL_STATE(15624)] = 429401,
  [SMALL_STATE(15625)] = 429414,
  [SMALL_STATE(15626)] = 429427,
  [SMALL_STATE(15627)] = 429440,
  [SMALL_STATE(15628)] = 429453,
  [SMALL_STATE(15629)] = 429466,
  [SMALL_STATE(15630)] = 429479,
  [SMALL_STATE(15631)] = 429492,
  [SMALL_STATE(15632)] = 429505,
  [SMALL_STATE(15633)] = 429518,
  [SMALL_STATE(15634)] = 429531,
  [SMALL_STATE(15635)] = 429544,
  [SMALL_STATE(15636)] = 429557,
  [SMALL_STATE(15637)] = 429570,
  [SMALL_STATE(15638)] = 429583,
  [SMALL_STATE(15639)] = 429596,
  [SMALL_STATE(15640)] = 429609,
  [SMALL_STATE(15641)] = 429622,
  [SMALL_STATE(15642)] = 429635,
  [SMALL_STATE(15643)] = 429648,
  [SMALL_STATE(15644)] = 429661,
  [SMALL_STATE(15645)] = 429674,
  [SMALL_STATE(15646)] = 429687,
  [SMALL_STATE(15647)] = 429698,
  [SMALL_STATE(15648)] = 429711,
  [SMALL_STATE(15649)] = 429724,
  [SMALL_STATE(15650)] = 429737,
  [SMALL_STATE(15651)] = 429750,
  [SMALL_STATE(15652)] = 429761,
  [SMALL_STATE(15653)] = 429774,
  [SMALL_STATE(15654)] = 429787,
  [SMALL_STATE(15655)] = 429800,
  [SMALL_STATE(15656)] = 429813,
  [SMALL_STATE(15657)] = 429826,
  [SMALL_STATE(15658)] = 429839,
  [SMALL_STATE(15659)] = 429852,
  [SMALL_STATE(15660)] = 429865,
  [SMALL_STATE(15661)] = 429878,
  [SMALL_STATE(15662)] = 429891,
  [SMALL_STATE(15663)] = 429904,
  [SMALL_STATE(15664)] = 429917,
  [SMALL_STATE(15665)] = 429930,
  [SMALL_STATE(15666)] = 429943,
  [SMALL_STATE(15667)] = 429956,
  [SMALL_STATE(15668)] = 429969,
  [SMALL_STATE(15669)] = 429982,
  [SMALL_STATE(15670)] = 429995,
  [SMALL_STATE(15671)] = 430008,
  [SMALL_STATE(15672)] = 430021,
  [SMALL_STATE(15673)] = 430034,
  [SMALL_STATE(15674)] = 430047,
  [SMALL_STATE(15675)] = 430060,
  [SMALL_STATE(15676)] = 430073,
  [SMALL_STATE(15677)] = 430086,
  [SMALL_STATE(15678)] = 430099,
  [SMALL_STATE(15679)] = 430112,
  [SMALL_STATE(15680)] = 430125,
  [SMALL_STATE(15681)] = 430138,
  [SMALL_STATE(15682)] = 430151,
  [SMALL_STATE(15683)] = 430164,
  [SMALL_STATE(15684)] = 430177,
  [SMALL_STATE(15685)] = 430190,
  [SMALL_STATE(15686)] = 430203,
  [SMALL_STATE(15687)] = 430216,
  [SMALL_STATE(15688)] = 430229,
  [SMALL_STATE(15689)] = 430242,
  [SMALL_STATE(15690)] = 430255,
  [SMALL_STATE(15691)] = 430268,
  [SMALL_STATE(15692)] = 430281,
  [SMALL_STATE(15693)] = 430294,
  [SMALL_STATE(15694)] = 430307,
  [SMALL_STATE(15695)] = 430320,
  [SMALL_STATE(15696)] = 430333,
  [SMALL_STATE(15697)] = 430346,
  [SMALL_STATE(15698)] = 430359,
  [SMALL_STATE(15699)] = 430372,
  [SMALL_STATE(15700)] = 430385,
  [SMALL_STATE(15701)] = 430398,
  [SMALL_STATE(15702)] = 430411,
  [SMALL_STATE(15703)] = 430424,
  [SMALL_STATE(15704)] = 430437,
  [SMALL_STATE(15705)] = 430450,
  [SMALL_STATE(15706)] = 430463,
  [SMALL_STATE(15707)] = 430476,
  [SMALL_STATE(15708)] = 430489,
  [SMALL_STATE(15709)] = 430502,
  [SMALL_STATE(15710)] = 430515,
  [SMALL_STATE(15711)] = 430528,
  [SMALL_STATE(15712)] = 430541,
  [SMALL_STATE(15713)] = 430554,
  [SMALL_STATE(15714)] = 430567,
  [SMALL_STATE(15715)] = 430580,
  [SMALL_STATE(15716)] = 430593,
  [SMALL_STATE(15717)] = 430606,
  [SMALL_STATE(15718)] = 430619,
  [SMALL_STATE(15719)] = 430632,
  [SMALL_STATE(15720)] = 430645,
  [SMALL_STATE(15721)] = 430658,
  [SMALL_STATE(15722)] = 430671,
  [SMALL_STATE(15723)] = 430684,
  [SMALL_STATE(15724)] = 430697,
  [SMALL_STATE(15725)] = 430710,
  [SMALL_STATE(15726)] = 430723,
  [SMALL_STATE(15727)] = 430736,
  [SMALL_STATE(15728)] = 430749,
  [SMALL_STATE(15729)] = 430762,
  [SMALL_STATE(15730)] = 430775,
  [SMALL_STATE(15731)] = 430788,
  [SMALL_STATE(15732)] = 430801,
  [SMALL_STATE(15733)] = 430814,
  [SMALL_STATE(15734)] = 430827,
  [SMALL_STATE(15735)] = 430840,
  [SMALL_STATE(15736)] = 430853,
  [SMALL_STATE(15737)] = 430866,
  [SMALL_STATE(15738)] = 430879,
  [SMALL_STATE(15739)] = 430892,
  [SMALL_STATE(15740)] = 430905,
  [SMALL_STATE(15741)] = 430918,
  [SMALL_STATE(15742)] = 430931,
  [SMALL_STATE(15743)] = 430944,
  [SMALL_STATE(15744)] = 430957,
  [SMALL_STATE(15745)] = 430970,
  [SMALL_STATE(15746)] = 430983,
  [SMALL_STATE(15747)] = 430996,
  [SMALL_STATE(15748)] = 431009,
  [SMALL_STATE(15749)] = 431020,
  [SMALL_STATE(15750)] = 431033,
  [SMALL_STATE(15751)] = 431046,
  [SMALL_STATE(15752)] = 431059,
  [SMALL_STATE(15753)] = 431072,
  [SMALL_STATE(15754)] = 431085,
  [SMALL_STATE(15755)] = 431098,
  [SMALL_STATE(15756)] = 431111,
  [SMALL_STATE(15757)] = 431124,
  [SMALL_STATE(15758)] = 431137,
  [SMALL_STATE(15759)] = 431150,
  [SMALL_STATE(15760)] = 431163,
  [SMALL_STATE(15761)] = 431176,
  [SMALL_STATE(15762)] = 431189,
  [SMALL_STATE(15763)] = 431202,
  [SMALL_STATE(15764)] = 431215,
  [SMALL_STATE(15765)] = 431226,
  [SMALL_STATE(15766)] = 431239,
  [SMALL_STATE(15767)] = 431252,
  [SMALL_STATE(15768)] = 431265,
  [SMALL_STATE(15769)] = 431278,
  [SMALL_STATE(15770)] = 431291,
  [SMALL_STATE(15771)] = 431304,
  [SMALL_STATE(15772)] = 431317,
  [SMALL_STATE(15773)] = 431330,
  [SMALL_STATE(15774)] = 431343,
  [SMALL_STATE(15775)] = 431356,
  [SMALL_STATE(15776)] = 431369,
  [SMALL_STATE(15777)] = 431382,
  [SMALL_STATE(15778)] = 431395,
  [SMALL_STATE(15779)] = 431408,
  [SMALL_STATE(15780)] = 431421,
  [SMALL_STATE(15781)] = 431434,
  [SMALL_STATE(15782)] = 431447,
  [SMALL_STATE(15783)] = 431460,
  [SMALL_STATE(15784)] = 431473,
  [SMALL_STATE(15785)] = 431486,
  [SMALL_STATE(15786)] = 431499,
  [SMALL_STATE(15787)] = 431512,
  [SMALL_STATE(15788)] = 431525,
  [SMALL_STATE(15789)] = 431538,
  [SMALL_STATE(15790)] = 431551,
  [SMALL_STATE(15791)] = 431564,
  [SMALL_STATE(15792)] = 431577,
  [SMALL_STATE(15793)] = 431590,
  [SMALL_STATE(15794)] = 431603,
  [SMALL_STATE(15795)] = 431616,
  [SMALL_STATE(15796)] = 431629,
  [SMALL_STATE(15797)] = 431642,
  [SMALL_STATE(15798)] = 431655,
  [SMALL_STATE(15799)] = 431668,
  [SMALL_STATE(15800)] = 431681,
  [SMALL_STATE(15801)] = 431694,
  [SMALL_STATE(15802)] = 431707,
  [SMALL_STATE(15803)] = 431720,
  [SMALL_STATE(15804)] = 431733,
  [SMALL_STATE(15805)] = 431746,
  [SMALL_STATE(15806)] = 431759,
  [SMALL_STATE(15807)] = 431772,
  [SMALL_STATE(15808)] = 431785,
  [SMALL_STATE(15809)] = 431798,
  [SMALL_STATE(15810)] = 431811,
  [SMALL_STATE(15811)] = 431824,
  [SMALL_STATE(15812)] = 431837,
  [SMALL_STATE(15813)] = 431850,
  [SMALL_STATE(15814)] = 431863,
  [SMALL_STATE(15815)] = 431876,
  [SMALL_STATE(15816)] = 431889,
  [SMALL_STATE(15817)] = 431902,
  [SMALL_STATE(15818)] = 431915,
  [SMALL_STATE(15819)] = 431928,
  [SMALL_STATE(15820)] = 431941,
  [SMALL_STATE(15821)] = 431954,
  [SMALL_STATE(15822)] = 431967,
  [SMALL_STATE(15823)] = 431980,
  [SMALL_STATE(15824)] = 431993,
  [SMALL_STATE(15825)] = 432004,
  [SMALL_STATE(15826)] = 432017,
  [SMALL_STATE(15827)] = 432028,
  [SMALL_STATE(15828)] = 432041,
  [SMALL_STATE(15829)] = 432054,
  [SMALL_STATE(15830)] = 432067,
  [SMALL_STATE(15831)] = 432080,
  [SMALL_STATE(15832)] = 432093,
  [SMALL_STATE(15833)] = 432106,
  [SMALL_STATE(15834)] = 432119,
  [SMALL_STATE(15835)] = 432132,
  [SMALL_STATE(15836)] = 432145,
  [SMALL_STATE(15837)] = 432158,
  [SMALL_STATE(15838)] = 432171,
  [SMALL_STATE(15839)] = 432184,
  [SMALL_STATE(15840)] = 432197,
  [SMALL_STATE(15841)] = 432210,
  [SMALL_STATE(15842)] = 432223,
  [SMALL_STATE(15843)] = 432236,
  [SMALL_STATE(15844)] = 432249,
  [SMALL_STATE(15845)] = 432262,
  [SMALL_STATE(15846)] = 432275,
  [SMALL_STATE(15847)] = 432288,
  [SMALL_STATE(15848)] = 432301,
  [SMALL_STATE(15849)] = 432314,
  [SMALL_STATE(15850)] = 432327,
  [SMALL_STATE(15851)] = 432340,
  [SMALL_STATE(15852)] = 432353,
  [SMALL_STATE(15853)] = 432364,
  [SMALL_STATE(15854)] = 432377,
  [SMALL_STATE(15855)] = 432390,
  [SMALL_STATE(15856)] = 432403,
  [SMALL_STATE(15857)] = 432416,
  [SMALL_STATE(15858)] = 432429,
  [SMALL_STATE(15859)] = 432442,
  [SMALL_STATE(15860)] = 432455,
  [SMALL_STATE(15861)] = 432468,
  [SMALL_STATE(15862)] = 432481,
  [SMALL_STATE(15863)] = 432494,
  [SMALL_STATE(15864)] = 432507,
  [SMALL_STATE(15865)] = 432520,
  [SMALL_STATE(15866)] = 432533,
  [SMALL_STATE(15867)] = 432546,
  [SMALL_STATE(15868)] = 432559,
  [SMALL_STATE(15869)] = 432572,
  [SMALL_STATE(15870)] = 432585,
  [SMALL_STATE(15871)] = 432598,
  [SMALL_STATE(15872)] = 432611,
  [SMALL_STATE(15873)] = 432624,
  [SMALL_STATE(15874)] = 432637,
  [SMALL_STATE(15875)] = 432650,
  [SMALL_STATE(15876)] = 432663,
  [SMALL_STATE(15877)] = 432674,
  [SMALL_STATE(15878)] = 432687,
  [SMALL_STATE(15879)] = 432700,
  [SMALL_STATE(15880)] = 432713,
  [SMALL_STATE(15881)] = 432726,
  [SMALL_STATE(15882)] = 432739,
  [SMALL_STATE(15883)] = 432752,
  [SMALL_STATE(15884)] = 432765,
  [SMALL_STATE(15885)] = 432778,
  [SMALL_STATE(15886)] = 432791,
  [SMALL_STATE(15887)] = 432804,
  [SMALL_STATE(15888)] = 432817,
  [SMALL_STATE(15889)] = 432830,
  [SMALL_STATE(15890)] = 432843,
  [SMALL_STATE(15891)] = 432856,
  [SMALL_STATE(15892)] = 432869,
  [SMALL_STATE(15893)] = 432882,
  [SMALL_STATE(15894)] = 432895,
  [SMALL_STATE(15895)] = 432908,
  [SMALL_STATE(15896)] = 432921,
  [SMALL_STATE(15897)] = 432932,
  [SMALL_STATE(15898)] = 432945,
  [SMALL_STATE(15899)] = 432958,
  [SMALL_STATE(15900)] = 432971,
  [SMALL_STATE(15901)] = 432984,
  [SMALL_STATE(15902)] = 432997,
  [SMALL_STATE(15903)] = 433010,
  [SMALL_STATE(15904)] = 433023,
  [SMALL_STATE(15905)] = 433036,
  [SMALL_STATE(15906)] = 433049,
  [SMALL_STATE(15907)] = 433062,
  [SMALL_STATE(15908)] = 433075,
  [SMALL_STATE(15909)] = 433088,
  [SMALL_STATE(15910)] = 433101,
  [SMALL_STATE(15911)] = 433114,
  [SMALL_STATE(15912)] = 433127,
  [SMALL_STATE(15913)] = 433140,
  [SMALL_STATE(15914)] = 433153,
  [SMALL_STATE(15915)] = 433166,
  [SMALL_STATE(15916)] = 433179,
  [SMALL_STATE(15917)] = 433192,
  [SMALL_STATE(15918)] = 433205,
  [SMALL_STATE(15919)] = 433218,
  [SMALL_STATE(15920)] = 433231,
  [SMALL_STATE(15921)] = 433244,
  [SMALL_STATE(15922)] = 433257,
  [SMALL_STATE(15923)] = 433270,
  [SMALL_STATE(15924)] = 433283,
  [SMALL_STATE(15925)] = 433296,
  [SMALL_STATE(15926)] = 433309,
  [SMALL_STATE(15927)] = 433322,
  [SMALL_STATE(15928)] = 433335,
  [SMALL_STATE(15929)] = 433348,
  [SMALL_STATE(15930)] = 433361,
  [SMALL_STATE(15931)] = 433374,
  [SMALL_STATE(15932)] = 433387,
  [SMALL_STATE(15933)] = 433400,
  [SMALL_STATE(15934)] = 433413,
  [SMALL_STATE(15935)] = 433426,
  [SMALL_STATE(15936)] = 433439,
  [SMALL_STATE(15937)] = 433452,
  [SMALL_STATE(15938)] = 433465,
  [SMALL_STATE(15939)] = 433478,
  [SMALL_STATE(15940)] = 433491,
  [SMALL_STATE(15941)] = 433504,
  [SMALL_STATE(15942)] = 433517,
  [SMALL_STATE(15943)] = 433530,
  [SMALL_STATE(15944)] = 433543,
  [SMALL_STATE(15945)] = 433556,
  [SMALL_STATE(15946)] = 433569,
  [SMALL_STATE(15947)] = 433582,
  [SMALL_STATE(15948)] = 433595,
  [SMALL_STATE(15949)] = 433608,
  [SMALL_STATE(15950)] = 433621,
  [SMALL_STATE(15951)] = 433634,
  [SMALL_STATE(15952)] = 433647,
  [SMALL_STATE(15953)] = 433660,
  [SMALL_STATE(15954)] = 433673,
  [SMALL_STATE(15955)] = 433686,
  [SMALL_STATE(15956)] = 433699,
  [SMALL_STATE(15957)] = 433712,
  [SMALL_STATE(15958)] = 433725,
  [SMALL_STATE(15959)] = 433738,
  [SMALL_STATE(15960)] = 433751,
  [SMALL_STATE(15961)] = 433764,
  [SMALL_STATE(15962)] = 433777,
  [SMALL_STATE(15963)] = 433790,
  [SMALL_STATE(15964)] = 433803,
  [SMALL_STATE(15965)] = 433816,
  [SMALL_STATE(15966)] = 433829,
  [SMALL_STATE(15967)] = 433842,
  [SMALL_STATE(15968)] = 433855,
  [SMALL_STATE(15969)] = 433868,
  [SMALL_STATE(15970)] = 433881,
  [SMALL_STATE(15971)] = 433894,
  [SMALL_STATE(15972)] = 433907,
  [SMALL_STATE(15973)] = 433920,
  [SMALL_STATE(15974)] = 433933,
  [SMALL_STATE(15975)] = 433946,
  [SMALL_STATE(15976)] = 433959,
  [SMALL_STATE(15977)] = 433972,
  [SMALL_STATE(15978)] = 433985,
  [SMALL_STATE(15979)] = 433998,
  [SMALL_STATE(15980)] = 434011,
  [SMALL_STATE(15981)] = 434024,
  [SMALL_STATE(15982)] = 434037,
  [SMALL_STATE(15983)] = 434050,
  [SMALL_STATE(15984)] = 434063,
  [SMALL_STATE(15985)] = 434076,
  [SMALL_STATE(15986)] = 434089,
  [SMALL_STATE(15987)] = 434102,
  [SMALL_STATE(15988)] = 434115,
  [SMALL_STATE(15989)] = 434128,
  [SMALL_STATE(15990)] = 434141,
  [SMALL_STATE(15991)] = 434154,
  [SMALL_STATE(15992)] = 434164,
  [SMALL_STATE(15993)] = 434174,
  [SMALL_STATE(15994)] = 434184,
  [SMALL_STATE(15995)] = 434194,
  [SMALL_STATE(15996)] = 434204,
  [SMALL_STATE(15997)] = 434214,
  [SMALL_STATE(15998)] = 434224,
  [SMALL_STATE(15999)] = 434234,
  [SMALL_STATE(16000)] = 434244,
  [SMALL_STATE(16001)] = 434254,
  [SMALL_STATE(16002)] = 434264,
  [SMALL_STATE(16003)] = 434274,
  [SMALL_STATE(16004)] = 434284,
  [SMALL_STATE(16005)] = 434294,
  [SMALL_STATE(16006)] = 434304,
  [SMALL_STATE(16007)] = 434314,
  [SMALL_STATE(16008)] = 434324,
  [SMALL_STATE(16009)] = 434334,
  [SMALL_STATE(16010)] = 434344,
  [SMALL_STATE(16011)] = 434354,
  [SMALL_STATE(16012)] = 434364,
  [SMALL_STATE(16013)] = 434374,
  [SMALL_STATE(16014)] = 434384,
  [SMALL_STATE(16015)] = 434394,
  [SMALL_STATE(16016)] = 434404,
  [SMALL_STATE(16017)] = 434414,
  [SMALL_STATE(16018)] = 434424,
  [SMALL_STATE(16019)] = 434434,
  [SMALL_STATE(16020)] = 434444,
  [SMALL_STATE(16021)] = 434454,
  [SMALL_STATE(16022)] = 434464,
  [SMALL_STATE(16023)] = 434474,
  [SMALL_STATE(16024)] = 434484,
  [SMALL_STATE(16025)] = 434494,
  [SMALL_STATE(16026)] = 434504,
  [SMALL_STATE(16027)] = 434514,
  [SMALL_STATE(16028)] = 434524,
  [SMALL_STATE(16029)] = 434534,
  [SMALL_STATE(16030)] = 434544,
  [SMALL_STATE(16031)] = 434554,
  [SMALL_STATE(16032)] = 434564,
  [SMALL_STATE(16033)] = 434574,
  [SMALL_STATE(16034)] = 434584,
  [SMALL_STATE(16035)] = 434592,
  [SMALL_STATE(16036)] = 434600,
  [SMALL_STATE(16037)] = 434610,
  [SMALL_STATE(16038)] = 434620,
  [SMALL_STATE(16039)] = 434630,
  [SMALL_STATE(16040)] = 434640,
  [SMALL_STATE(16041)] = 434650,
  [SMALL_STATE(16042)] = 434660,
  [SMALL_STATE(16043)] = 434670,
  [SMALL_STATE(16044)] = 434680,
  [SMALL_STATE(16045)] = 434688,
  [SMALL_STATE(16046)] = 434696,
  [SMALL_STATE(16047)] = 434706,
  [SMALL_STATE(16048)] = 434716,
  [SMALL_STATE(16049)] = 434726,
  [SMALL_STATE(16050)] = 434736,
  [SMALL_STATE(16051)] = 434746,
  [SMALL_STATE(16052)] = 434756,
  [SMALL_STATE(16053)] = 434766,
  [SMALL_STATE(16054)] = 434776,
  [SMALL_STATE(16055)] = 434786,
  [SMALL_STATE(16056)] = 434796,
  [SMALL_STATE(16057)] = 434806,
  [SMALL_STATE(16058)] = 434816,
  [SMALL_STATE(16059)] = 434826,
  [SMALL_STATE(16060)] = 434834,
  [SMALL_STATE(16061)] = 434844,
  [SMALL_STATE(16062)] = 434854,
  [SMALL_STATE(16063)] = 434864,
  [SMALL_STATE(16064)] = 434874,
  [SMALL_STATE(16065)] = 434884,
  [SMALL_STATE(16066)] = 434894,
  [SMALL_STATE(16067)] = 434904,
  [SMALL_STATE(16068)] = 434914,
  [SMALL_STATE(16069)] = 434924,
  [SMALL_STATE(16070)] = 434934,
  [SMALL_STATE(16071)] = 434944,
  [SMALL_STATE(16072)] = 434954,
  [SMALL_STATE(16073)] = 434964,
  [SMALL_STATE(16074)] = 434974,
  [SMALL_STATE(16075)] = 434984,
  [SMALL_STATE(16076)] = 434994,
  [SMALL_STATE(16077)] = 435004,
  [SMALL_STATE(16078)] = 435014,
  [SMALL_STATE(16079)] = 435024,
  [SMALL_STATE(16080)] = 435034,
  [SMALL_STATE(16081)] = 435044,
  [SMALL_STATE(16082)] = 435054,
  [SMALL_STATE(16083)] = 435064,
  [SMALL_STATE(16084)] = 435074,
  [SMALL_STATE(16085)] = 435084,
  [SMALL_STATE(16086)] = 435092,
  [SMALL_STATE(16087)] = 435102,
  [SMALL_STATE(16088)] = 435112,
  [SMALL_STATE(16089)] = 435122,
  [SMALL_STATE(16090)] = 435132,
  [SMALL_STATE(16091)] = 435140,
  [SMALL_STATE(16092)] = 435150,
  [SMALL_STATE(16093)] = 435160,
  [SMALL_STATE(16094)] = 435170,
  [SMALL_STATE(16095)] = 435180,
  [SMALL_STATE(16096)] = 435188,
  [SMALL_STATE(16097)] = 435198,
  [SMALL_STATE(16098)] = 435206,
  [SMALL_STATE(16099)] = 435216,
  [SMALL_STATE(16100)] = 435226,
  [SMALL_STATE(16101)] = 435236,
  [SMALL_STATE(16102)] = 435246,
  [SMALL_STATE(16103)] = 435256,
  [SMALL_STATE(16104)] = 435266,
  [SMALL_STATE(16105)] = 435276,
  [SMALL_STATE(16106)] = 435286,
  [SMALL_STATE(16107)] = 435296,
  [SMALL_STATE(16108)] = 435306,
  [SMALL_STATE(16109)] = 435316,
  [SMALL_STATE(16110)] = 435326,
  [SMALL_STATE(16111)] = 435336,
  [SMALL_STATE(16112)] = 435346,
  [SMALL_STATE(16113)] = 435356,
  [SMALL_STATE(16114)] = 435366,
  [SMALL_STATE(16115)] = 435376,
  [SMALL_STATE(16116)] = 435386,
  [SMALL_STATE(16117)] = 435396,
  [SMALL_STATE(16118)] = 435406,
  [SMALL_STATE(16119)] = 435416,
  [SMALL_STATE(16120)] = 435426,
  [SMALL_STATE(16121)] = 435436,
  [SMALL_STATE(16122)] = 435446,
  [SMALL_STATE(16123)] = 435456,
  [SMALL_STATE(16124)] = 435466,
  [SMALL_STATE(16125)] = 435476,
  [SMALL_STATE(16126)] = 435486,
  [SMALL_STATE(16127)] = 435494,
  [SMALL_STATE(16128)] = 435504,
  [SMALL_STATE(16129)] = 435514,
  [SMALL_STATE(16130)] = 435524,
  [SMALL_STATE(16131)] = 435532,
  [SMALL_STATE(16132)] = 435542,
  [SMALL_STATE(16133)] = 435550,
  [SMALL_STATE(16134)] = 435558,
  [SMALL_STATE(16135)] = 435566,
  [SMALL_STATE(16136)] = 435576,
  [SMALL_STATE(16137)] = 435586,
  [SMALL_STATE(16138)] = 435596,
  [SMALL_STATE(16139)] = 435604,
  [SMALL_STATE(16140)] = 435614,
  [SMALL_STATE(16141)] = 435624,
  [SMALL_STATE(16142)] = 435634,
  [SMALL_STATE(16143)] = 435644,
  [SMALL_STATE(16144)] = 435654,
  [SMALL_STATE(16145)] = 435664,
  [SMALL_STATE(16146)] = 435674,
  [SMALL_STATE(16147)] = 435684,
  [SMALL_STATE(16148)] = 435694,
  [SMALL_STATE(16149)] = 435704,
  [SMALL_STATE(16150)] = 435714,
  [SMALL_STATE(16151)] = 435722,
  [SMALL_STATE(16152)] = 435732,
  [SMALL_STATE(16153)] = 435740,
  [SMALL_STATE(16154)] = 435750,
  [SMALL_STATE(16155)] = 435760,
  [SMALL_STATE(16156)] = 435770,
  [SMALL_STATE(16157)] = 435780,
  [SMALL_STATE(16158)] = 435790,
  [SMALL_STATE(16159)] = 435800,
  [SMALL_STATE(16160)] = 435810,
  [SMALL_STATE(16161)] = 435820,
  [SMALL_STATE(16162)] = 435830,
  [SMALL_STATE(16163)] = 435840,
  [SMALL_STATE(16164)] = 435850,
  [SMALL_STATE(16165)] = 435860,
  [SMALL_STATE(16166)] = 435870,
  [SMALL_STATE(16167)] = 435880,
  [SMALL_STATE(16168)] = 435890,
  [SMALL_STATE(16169)] = 435900,
  [SMALL_STATE(16170)] = 435910,
  [SMALL_STATE(16171)] = 435920,
  [SMALL_STATE(16172)] = 435928,
  [SMALL_STATE(16173)] = 435936,
  [SMALL_STATE(16174)] = 435946,
  [SMALL_STATE(16175)] = 435956,
  [SMALL_STATE(16176)] = 435966,
  [SMALL_STATE(16177)] = 435976,
  [SMALL_STATE(16178)] = 435986,
  [SMALL_STATE(16179)] = 435996,
  [SMALL_STATE(16180)] = 436006,
  [SMALL_STATE(16181)] = 436016,
  [SMALL_STATE(16182)] = 436026,
  [SMALL_STATE(16183)] = 436036,
  [SMALL_STATE(16184)] = 436046,
  [SMALL_STATE(16185)] = 436056,
  [SMALL_STATE(16186)] = 436066,
  [SMALL_STATE(16187)] = 436076,
  [SMALL_STATE(16188)] = 436084,
  [SMALL_STATE(16189)] = 436094,
  [SMALL_STATE(16190)] = 436104,
  [SMALL_STATE(16191)] = 436114,
  [SMALL_STATE(16192)] = 436124,
  [SMALL_STATE(16193)] = 436134,
  [SMALL_STATE(16194)] = 436144,
  [SMALL_STATE(16195)] = 436154,
  [SMALL_STATE(16196)] = 436164,
  [SMALL_STATE(16197)] = 436174,
  [SMALL_STATE(16198)] = 436184,
  [SMALL_STATE(16199)] = 436194,
  [SMALL_STATE(16200)] = 436204,
  [SMALL_STATE(16201)] = 436214,
  [SMALL_STATE(16202)] = 436224,
  [SMALL_STATE(16203)] = 436234,
  [SMALL_STATE(16204)] = 436244,
  [SMALL_STATE(16205)] = 436254,
  [SMALL_STATE(16206)] = 436264,
  [SMALL_STATE(16207)] = 436274,
  [SMALL_STATE(16208)] = 436284,
  [SMALL_STATE(16209)] = 436294,
  [SMALL_STATE(16210)] = 436304,
  [SMALL_STATE(16211)] = 436314,
  [SMALL_STATE(16212)] = 436324,
  [SMALL_STATE(16213)] = 436334,
  [SMALL_STATE(16214)] = 436344,
  [SMALL_STATE(16215)] = 436354,
  [SMALL_STATE(16216)] = 436364,
  [SMALL_STATE(16217)] = 436374,
  [SMALL_STATE(16218)] = 436384,
  [SMALL_STATE(16219)] = 436394,
  [SMALL_STATE(16220)] = 436404,
  [SMALL_STATE(16221)] = 436414,
  [SMALL_STATE(16222)] = 436424,
  [SMALL_STATE(16223)] = 436434,
  [SMALL_STATE(16224)] = 436444,
  [SMALL_STATE(16225)] = 436454,
  [SMALL_STATE(16226)] = 436464,
  [SMALL_STATE(16227)] = 436474,
  [SMALL_STATE(16228)] = 436484,
  [SMALL_STATE(16229)] = 436494,
  [SMALL_STATE(16230)] = 436504,
  [SMALL_STATE(16231)] = 436514,
  [SMALL_STATE(16232)] = 436524,
  [SMALL_STATE(16233)] = 436534,
  [SMALL_STATE(16234)] = 436544,
  [SMALL_STATE(16235)] = 436554,
  [SMALL_STATE(16236)] = 436564,
  [SMALL_STATE(16237)] = 436574,
  [SMALL_STATE(16238)] = 436584,
  [SMALL_STATE(16239)] = 436594,
  [SMALL_STATE(16240)] = 436604,
  [SMALL_STATE(16241)] = 436614,
  [SMALL_STATE(16242)] = 436622,
  [SMALL_STATE(16243)] = 436630,
  [SMALL_STATE(16244)] = 436640,
  [SMALL_STATE(16245)] = 436650,
  [SMALL_STATE(16246)] = 436660,
  [SMALL_STATE(16247)] = 436670,
  [SMALL_STATE(16248)] = 436678,
  [SMALL_STATE(16249)] = 436688,
  [SMALL_STATE(16250)] = 436698,
  [SMALL_STATE(16251)] = 436706,
  [SMALL_STATE(16252)] = 436716,
  [SMALL_STATE(16253)] = 436726,
  [SMALL_STATE(16254)] = 436736,
  [SMALL_STATE(16255)] = 436744,
  [SMALL_STATE(16256)] = 436754,
  [SMALL_STATE(16257)] = 436764,
  [SMALL_STATE(16258)] = 436774,
  [SMALL_STATE(16259)] = 436784,
  [SMALL_STATE(16260)] = 436794,
  [SMALL_STATE(16261)] = 436804,
  [SMALL_STATE(16262)] = 436814,
  [SMALL_STATE(16263)] = 436824,
  [SMALL_STATE(16264)] = 436834,
  [SMALL_STATE(16265)] = 436844,
  [SMALL_STATE(16266)] = 436854,
  [SMALL_STATE(16267)] = 436864,
  [SMALL_STATE(16268)] = 436872,
  [SMALL_STATE(16269)] = 436880,
  [SMALL_STATE(16270)] = 436890,
  [SMALL_STATE(16271)] = 436900,
  [SMALL_STATE(16272)] = 436910,
  [SMALL_STATE(16273)] = 436920,
  [SMALL_STATE(16274)] = 436930,
  [SMALL_STATE(16275)] = 436940,
  [SMALL_STATE(16276)] = 436950,
  [SMALL_STATE(16277)] = 436960,
  [SMALL_STATE(16278)] = 436968,
  [SMALL_STATE(16279)] = 436976,
  [SMALL_STATE(16280)] = 436986,
  [SMALL_STATE(16281)] = 436996,
  [SMALL_STATE(16282)] = 437006,
  [SMALL_STATE(16283)] = 437016,
  [SMALL_STATE(16284)] = 437026,
  [SMALL_STATE(16285)] = 437036,
  [SMALL_STATE(16286)] = 437046,
  [SMALL_STATE(16287)] = 437054,
  [SMALL_STATE(16288)] = 437064,
  [SMALL_STATE(16289)] = 437074,
  [SMALL_STATE(16290)] = 437084,
  [SMALL_STATE(16291)] = 437092,
  [SMALL_STATE(16292)] = 437100,
  [SMALL_STATE(16293)] = 437110,
  [SMALL_STATE(16294)] = 437120,
  [SMALL_STATE(16295)] = 437130,
  [SMALL_STATE(16296)] = 437140,
  [SMALL_STATE(16297)] = 437150,
  [SMALL_STATE(16298)] = 437160,
  [SMALL_STATE(16299)] = 437170,
  [SMALL_STATE(16300)] = 437180,
  [SMALL_STATE(16301)] = 437190,
  [SMALL_STATE(16302)] = 437200,
  [SMALL_STATE(16303)] = 437210,
  [SMALL_STATE(16304)] = 437218,
  [SMALL_STATE(16305)] = 437228,
  [SMALL_STATE(16306)] = 437238,
  [SMALL_STATE(16307)] = 437248,
  [SMALL_STATE(16308)] = 437258,
  [SMALL_STATE(16309)] = 437268,
  [SMALL_STATE(16310)] = 437278,
  [SMALL_STATE(16311)] = 437288,
  [SMALL_STATE(16312)] = 437298,
  [SMALL_STATE(16313)] = 437308,
  [SMALL_STATE(16314)] = 437318,
  [SMALL_STATE(16315)] = 437328,
  [SMALL_STATE(16316)] = 437338,
  [SMALL_STATE(16317)] = 437348,
  [SMALL_STATE(16318)] = 437358,
  [SMALL_STATE(16319)] = 437368,
  [SMALL_STATE(16320)] = 437376,
  [SMALL_STATE(16321)] = 437386,
  [SMALL_STATE(16322)] = 437396,
  [SMALL_STATE(16323)] = 437406,
  [SMALL_STATE(16324)] = 437416,
  [SMALL_STATE(16325)] = 437426,
  [SMALL_STATE(16326)] = 437436,
  [SMALL_STATE(16327)] = 437446,
  [SMALL_STATE(16328)] = 437456,
  [SMALL_STATE(16329)] = 437466,
  [SMALL_STATE(16330)] = 437476,
  [SMALL_STATE(16331)] = 437486,
  [SMALL_STATE(16332)] = 437496,
  [SMALL_STATE(16333)] = 437506,
  [SMALL_STATE(16334)] = 437516,
  [SMALL_STATE(16335)] = 437526,
  [SMALL_STATE(16336)] = 437536,
  [SMALL_STATE(16337)] = 437546,
  [SMALL_STATE(16338)] = 437556,
  [SMALL_STATE(16339)] = 437566,
  [SMALL_STATE(16340)] = 437576,
  [SMALL_STATE(16341)] = 437586,
  [SMALL_STATE(16342)] = 437596,
  [SMALL_STATE(16343)] = 437606,
  [SMALL_STATE(16344)] = 437616,
  [SMALL_STATE(16345)] = 437626,
  [SMALL_STATE(16346)] = 437634,
  [SMALL_STATE(16347)] = 437644,
  [SMALL_STATE(16348)] = 437652,
  [SMALL_STATE(16349)] = 437662,
  [SMALL_STATE(16350)] = 437672,
  [SMALL_STATE(16351)] = 437682,
  [SMALL_STATE(16352)] = 437692,
  [SMALL_STATE(16353)] = 437702,
  [SMALL_STATE(16354)] = 437712,
  [SMALL_STATE(16355)] = 437722,
  [SMALL_STATE(16356)] = 437732,
  [SMALL_STATE(16357)] = 437740,
  [SMALL_STATE(16358)] = 437750,
  [SMALL_STATE(16359)] = 437760,
  [SMALL_STATE(16360)] = 437768,
  [SMALL_STATE(16361)] = 437778,
  [SMALL_STATE(16362)] = 437788,
  [SMALL_STATE(16363)] = 437798,
  [SMALL_STATE(16364)] = 437808,
  [SMALL_STATE(16365)] = 437818,
  [SMALL_STATE(16366)] = 437825,
  [SMALL_STATE(16367)] = 437832,
  [SMALL_STATE(16368)] = 437839,
  [SMALL_STATE(16369)] = 437846,
  [SMALL_STATE(16370)] = 437853,
  [SMALL_STATE(16371)] = 437860,
  [SMALL_STATE(16372)] = 437867,
  [SMALL_STATE(16373)] = 437874,
  [SMALL_STATE(16374)] = 437881,
  [SMALL_STATE(16375)] = 437888,
  [SMALL_STATE(16376)] = 437895,
  [SMALL_STATE(16377)] = 437902,
  [SMALL_STATE(16378)] = 437909,
  [SMALL_STATE(16379)] = 437916,
  [SMALL_STATE(16380)] = 437923,
  [SMALL_STATE(16381)] = 437930,
  [SMALL_STATE(16382)] = 437937,
  [SMALL_STATE(16383)] = 437944,
  [SMALL_STATE(16384)] = 437951,
  [SMALL_STATE(16385)] = 437958,
  [SMALL_STATE(16386)] = 437965,
  [SMALL_STATE(16387)] = 437972,
  [SMALL_STATE(16388)] = 437979,
  [SMALL_STATE(16389)] = 437986,
  [SMALL_STATE(16390)] = 437993,
  [SMALL_STATE(16391)] = 438000,
  [SMALL_STATE(16392)] = 438007,
  [SMALL_STATE(16393)] = 438014,
  [SMALL_STATE(16394)] = 438021,
  [SMALL_STATE(16395)] = 438028,
  [SMALL_STATE(16396)] = 438035,
  [SMALL_STATE(16397)] = 438042,
  [SMALL_STATE(16398)] = 438049,
  [SMALL_STATE(16399)] = 438056,
  [SMALL_STATE(16400)] = 438063,
  [SMALL_STATE(16401)] = 438070,
  [SMALL_STATE(16402)] = 438077,
  [SMALL_STATE(16403)] = 438084,
  [SMALL_STATE(16404)] = 438091,
  [SMALL_STATE(16405)] = 438098,
  [SMALL_STATE(16406)] = 438105,
  [SMALL_STATE(16407)] = 438112,
  [SMALL_STATE(16408)] = 438119,
  [SMALL_STATE(16409)] = 438126,
  [SMALL_STATE(16410)] = 438133,
  [SMALL_STATE(16411)] = 438140,
  [SMALL_STATE(16412)] = 438147,
  [SMALL_STATE(16413)] = 438154,
  [SMALL_STATE(16414)] = 438161,
  [SMALL_STATE(16415)] = 438168,
  [SMALL_STATE(16416)] = 438175,
  [SMALL_STATE(16417)] = 438182,
  [SMALL_STATE(16418)] = 438189,
  [SMALL_STATE(16419)] = 438196,
  [SMALL_STATE(16420)] = 438203,
  [SMALL_STATE(16421)] = 438210,
  [SMALL_STATE(16422)] = 438217,
  [SMALL_STATE(16423)] = 438224,
  [SMALL_STATE(16424)] = 438231,
  [SMALL_STATE(16425)] = 438238,
  [SMALL_STATE(16426)] = 438245,
  [SMALL_STATE(16427)] = 438252,
  [SMALL_STATE(16428)] = 438259,
  [SMALL_STATE(16429)] = 438266,
  [SMALL_STATE(16430)] = 438273,
  [SMALL_STATE(16431)] = 438280,
  [SMALL_STATE(16432)] = 438287,
  [SMALL_STATE(16433)] = 438294,
  [SMALL_STATE(16434)] = 438301,
  [SMALL_STATE(16435)] = 438308,
  [SMALL_STATE(16436)] = 438315,
  [SMALL_STATE(16437)] = 438322,
  [SMALL_STATE(16438)] = 438329,
  [SMALL_STATE(16439)] = 438336,
  [SMALL_STATE(16440)] = 438343,
  [SMALL_STATE(16441)] = 438350,
  [SMALL_STATE(16442)] = 438357,
  [SMALL_STATE(16443)] = 438364,
  [SMALL_STATE(16444)] = 438371,
  [SMALL_STATE(16445)] = 438378,
  [SMALL_STATE(16446)] = 438385,
  [SMALL_STATE(16447)] = 438392,
  [SMALL_STATE(16448)] = 438399,
  [SMALL_STATE(16449)] = 438406,
  [SMALL_STATE(16450)] = 438413,
  [SMALL_STATE(16451)] = 438420,
  [SMALL_STATE(16452)] = 438427,
  [SMALL_STATE(16453)] = 438434,
  [SMALL_STATE(16454)] = 438441,
  [SMALL_STATE(16455)] = 438448,
  [SMALL_STATE(16456)] = 438455,
  [SMALL_STATE(16457)] = 438462,
  [SMALL_STATE(16458)] = 438469,
  [SMALL_STATE(16459)] = 438476,
  [SMALL_STATE(16460)] = 438483,
  [SMALL_STATE(16461)] = 438490,
  [SMALL_STATE(16462)] = 438497,
  [SMALL_STATE(16463)] = 438504,
  [SMALL_STATE(16464)] = 438511,
  [SMALL_STATE(16465)] = 438518,
  [SMALL_STATE(16466)] = 438525,
  [SMALL_STATE(16467)] = 438532,
  [SMALL_STATE(16468)] = 438539,
  [SMALL_STATE(16469)] = 438546,
  [SMALL_STATE(16470)] = 438553,
  [SMALL_STATE(16471)] = 438560,
  [SMALL_STATE(16472)] = 438567,
  [SMALL_STATE(16473)] = 438574,
  [SMALL_STATE(16474)] = 438581,
  [SMALL_STATE(16475)] = 438588,
  [SMALL_STATE(16476)] = 438595,
  [SMALL_STATE(16477)] = 438602,
  [SMALL_STATE(16478)] = 438609,
  [SMALL_STATE(16479)] = 438616,
  [SMALL_STATE(16480)] = 438623,
  [SMALL_STATE(16481)] = 438630,
  [SMALL_STATE(16482)] = 438637,
  [SMALL_STATE(16483)] = 438644,
  [SMALL_STATE(16484)] = 438651,
  [SMALL_STATE(16485)] = 438658,
  [SMALL_STATE(16486)] = 438665,
  [SMALL_STATE(16487)] = 438672,
  [SMALL_STATE(16488)] = 438679,
  [SMALL_STATE(16489)] = 438686,
  [SMALL_STATE(16490)] = 438693,
  [SMALL_STATE(16491)] = 438700,
  [SMALL_STATE(16492)] = 438707,
  [SMALL_STATE(16493)] = 438714,
  [SMALL_STATE(16494)] = 438721,
  [SMALL_STATE(16495)] = 438728,
  [SMALL_STATE(16496)] = 438735,
  [SMALL_STATE(16497)] = 438742,
  [SMALL_STATE(16498)] = 438749,
  [SMALL_STATE(16499)] = 438756,
  [SMALL_STATE(16500)] = 438763,
  [SMALL_STATE(16501)] = 438770,
  [SMALL_STATE(16502)] = 438777,
  [SMALL_STATE(16503)] = 438784,
  [SMALL_STATE(16504)] = 438791,
  [SMALL_STATE(16505)] = 438798,
  [SMALL_STATE(16506)] = 438805,
  [SMALL_STATE(16507)] = 438812,
  [SMALL_STATE(16508)] = 438819,
  [SMALL_STATE(16509)] = 438826,
  [SMALL_STATE(16510)] = 438833,
  [SMALL_STATE(16511)] = 438840,
  [SMALL_STATE(16512)] = 438847,
  [SMALL_STATE(16513)] = 438854,
  [SMALL_STATE(16514)] = 438861,
  [SMALL_STATE(16515)] = 438868,
  [SMALL_STATE(16516)] = 438875,
  [SMALL_STATE(16517)] = 438882,
  [SMALL_STATE(16518)] = 438889,
  [SMALL_STATE(16519)] = 438896,
  [SMALL_STATE(16520)] = 438903,
  [SMALL_STATE(16521)] = 438910,
  [SMALL_STATE(16522)] = 438917,
  [SMALL_STATE(16523)] = 438924,
  [SMALL_STATE(16524)] = 438931,
  [SMALL_STATE(16525)] = 438938,
  [SMALL_STATE(16526)] = 438945,
  [SMALL_STATE(16527)] = 438952,
  [SMALL_STATE(16528)] = 438959,
  [SMALL_STATE(16529)] = 438966,
  [SMALL_STATE(16530)] = 438973,
  [SMALL_STATE(16531)] = 438980,
  [SMALL_STATE(16532)] = 438987,
  [SMALL_STATE(16533)] = 438994,
  [SMALL_STATE(16534)] = 439001,
  [SMALL_STATE(16535)] = 439008,
  [SMALL_STATE(16536)] = 439015,
  [SMALL_STATE(16537)] = 439022,
  [SMALL_STATE(16538)] = 439029,
  [SMALL_STATE(16539)] = 439036,
  [SMALL_STATE(16540)] = 439043,
  [SMALL_STATE(16541)] = 439050,
  [SMALL_STATE(16542)] = 439057,
  [SMALL_STATE(16543)] = 439064,
  [SMALL_STATE(16544)] = 439071,
  [SMALL_STATE(16545)] = 439078,
  [SMALL_STATE(16546)] = 439085,
  [SMALL_STATE(16547)] = 439092,
  [SMALL_STATE(16548)] = 439099,
  [SMALL_STATE(16549)] = 439106,
  [SMALL_STATE(16550)] = 439113,
  [SMALL_STATE(16551)] = 439120,
  [SMALL_STATE(16552)] = 439127,
  [SMALL_STATE(16553)] = 439134,
  [SMALL_STATE(16554)] = 439141,
  [SMALL_STATE(16555)] = 439148,
  [SMALL_STATE(16556)] = 439155,
  [SMALL_STATE(16557)] = 439162,
  [SMALL_STATE(16558)] = 439169,
  [SMALL_STATE(16559)] = 439176,
  [SMALL_STATE(16560)] = 439183,
  [SMALL_STATE(16561)] = 439190,
  [SMALL_STATE(16562)] = 439197,
  [SMALL_STATE(16563)] = 439204,
  [SMALL_STATE(16564)] = 439211,
  [SMALL_STATE(16565)] = 439218,
  [SMALL_STATE(16566)] = 439225,
  [SMALL_STATE(16567)] = 439232,
  [SMALL_STATE(16568)] = 439239,
  [SMALL_STATE(16569)] = 439246,
  [SMALL_STATE(16570)] = 439253,
  [SMALL_STATE(16571)] = 439260,
  [SMALL_STATE(16572)] = 439267,
  [SMALL_STATE(16573)] = 439274,
  [SMALL_STATE(16574)] = 439281,
  [SMALL_STATE(16575)] = 439288,
  [SMALL_STATE(16576)] = 439295,
  [SMALL_STATE(16577)] = 439302,
  [SMALL_STATE(16578)] = 439309,
  [SMALL_STATE(16579)] = 439316,
  [SMALL_STATE(16580)] = 439323,
  [SMALL_STATE(16581)] = 439330,
  [SMALL_STATE(16582)] = 439337,
  [SMALL_STATE(16583)] = 439344,
  [SMALL_STATE(16584)] = 439351,
  [SMALL_STATE(16585)] = 439358,
  [SMALL_STATE(16586)] = 439365,
  [SMALL_STATE(16587)] = 439372,
  [SMALL_STATE(16588)] = 439379,
  [SMALL_STATE(16589)] = 439386,
  [SMALL_STATE(16590)] = 439393,
  [SMALL_STATE(16591)] = 439400,
  [SMALL_STATE(16592)] = 439407,
  [SMALL_STATE(16593)] = 439414,
  [SMALL_STATE(16594)] = 439421,
  [SMALL_STATE(16595)] = 439428,
  [SMALL_STATE(16596)] = 439435,
  [SMALL_STATE(16597)] = 439442,
  [SMALL_STATE(16598)] = 439449,
  [SMALL_STATE(16599)] = 439456,
  [SMALL_STATE(16600)] = 439463,
  [SMALL_STATE(16601)] = 439470,
  [SMALL_STATE(16602)] = 439477,
  [SMALL_STATE(16603)] = 439484,
  [SMALL_STATE(16604)] = 439491,
  [SMALL_STATE(16605)] = 439498,
  [SMALL_STATE(16606)] = 439505,
  [SMALL_STATE(16607)] = 439512,
  [SMALL_STATE(16608)] = 439519,
  [SMALL_STATE(16609)] = 439526,
  [SMALL_STATE(16610)] = 439533,
  [SMALL_STATE(16611)] = 439540,
  [SMALL_STATE(16612)] = 439547,
  [SMALL_STATE(16613)] = 439554,
  [SMALL_STATE(16614)] = 439561,
  [SMALL_STATE(16615)] = 439568,
  [SMALL_STATE(16616)] = 439575,
  [SMALL_STATE(16617)] = 439582,
  [SMALL_STATE(16618)] = 439589,
  [SMALL_STATE(16619)] = 439596,
  [SMALL_STATE(16620)] = 439603,
  [SMALL_STATE(16621)] = 439610,
  [SMALL_STATE(16622)] = 439617,
  [SMALL_STATE(16623)] = 439624,
  [SMALL_STATE(16624)] = 439631,
  [SMALL_STATE(16625)] = 439638,
  [SMALL_STATE(16626)] = 439645,
  [SMALL_STATE(16627)] = 439652,
  [SMALL_STATE(16628)] = 439659,
  [SMALL_STATE(16629)] = 439666,
  [SMALL_STATE(16630)] = 439673,
  [SMALL_STATE(16631)] = 439680,
  [SMALL_STATE(16632)] = 439687,
  [SMALL_STATE(16633)] = 439694,
  [SMALL_STATE(16634)] = 439701,
  [SMALL_STATE(16635)] = 439708,
  [SMALL_STATE(16636)] = 439715,
  [SMALL_STATE(16637)] = 439722,
  [SMALL_STATE(16638)] = 439729,
  [SMALL_STATE(16639)] = 439736,
  [SMALL_STATE(16640)] = 439743,
  [SMALL_STATE(16641)] = 439750,
  [SMALL_STATE(16642)] = 439757,
  [SMALL_STATE(16643)] = 439764,
  [SMALL_STATE(16644)] = 439771,
  [SMALL_STATE(16645)] = 439778,
  [SMALL_STATE(16646)] = 439785,
  [SMALL_STATE(16647)] = 439792,
  [SMALL_STATE(16648)] = 439799,
  [SMALL_STATE(16649)] = 439806,
  [SMALL_STATE(16650)] = 439813,
  [SMALL_STATE(16651)] = 439820,
  [SMALL_STATE(16652)] = 439827,
  [SMALL_STATE(16653)] = 439834,
  [SMALL_STATE(16654)] = 439841,
  [SMALL_STATE(16655)] = 439848,
  [SMALL_STATE(16656)] = 439855,
  [SMALL_STATE(16657)] = 439862,
  [SMALL_STATE(16658)] = 439869,
  [SMALL_STATE(16659)] = 439876,
  [SMALL_STATE(16660)] = 439883,
  [SMALL_STATE(16661)] = 439890,
  [SMALL_STATE(16662)] = 439897,
  [SMALL_STATE(16663)] = 439904,
  [SMALL_STATE(16664)] = 439911,
  [SMALL_STATE(16665)] = 439918,
  [SMALL_STATE(16666)] = 439925,
  [SMALL_STATE(16667)] = 439932,
  [SMALL_STATE(16668)] = 439939,
  [SMALL_STATE(16669)] = 439946,
  [SMALL_STATE(16670)] = 439953,
  [SMALL_STATE(16671)] = 439960,
  [SMALL_STATE(16672)] = 439967,
  [SMALL_STATE(16673)] = 439974,
  [SMALL_STATE(16674)] = 439981,
  [SMALL_STATE(16675)] = 439988,
  [SMALL_STATE(16676)] = 439995,
  [SMALL_STATE(16677)] = 440002,
  [SMALL_STATE(16678)] = 440009,
  [SMALL_STATE(16679)] = 440016,
  [SMALL_STATE(16680)] = 440023,
  [SMALL_STATE(16681)] = 440030,
  [SMALL_STATE(16682)] = 440037,
  [SMALL_STATE(16683)] = 440044,
  [SMALL_STATE(16684)] = 440051,
  [SMALL_STATE(16685)] = 440058,
  [SMALL_STATE(16686)] = 440065,
  [SMALL_STATE(16687)] = 440072,
  [SMALL_STATE(16688)] = 440079,
  [SMALL_STATE(16689)] = 440086,
  [SMALL_STATE(16690)] = 440093,
  [SMALL_STATE(16691)] = 440100,
  [SMALL_STATE(16692)] = 440107,
  [SMALL_STATE(16693)] = 440114,
  [SMALL_STATE(16694)] = 440121,
  [SMALL_STATE(16695)] = 440128,
  [SMALL_STATE(16696)] = 440135,
  [SMALL_STATE(16697)] = 440142,
  [SMALL_STATE(16698)] = 440149,
  [SMALL_STATE(16699)] = 440156,
  [SMALL_STATE(16700)] = 440163,
  [SMALL_STATE(16701)] = 440170,
  [SMALL_STATE(16702)] = 440177,
  [SMALL_STATE(16703)] = 440184,
  [SMALL_STATE(16704)] = 440191,
  [SMALL_STATE(16705)] = 440198,
  [SMALL_STATE(16706)] = 440205,
  [SMALL_STATE(16707)] = 440212,
  [SMALL_STATE(16708)] = 440219,
  [SMALL_STATE(16709)] = 440226,
  [SMALL_STATE(16710)] = 440233,
  [SMALL_STATE(16711)] = 440240,
  [SMALL_STATE(16712)] = 440247,
  [SMALL_STATE(16713)] = 440254,
  [SMALL_STATE(16714)] = 440261,
  [SMALL_STATE(16715)] = 440268,
  [SMALL_STATE(16716)] = 440275,
  [SMALL_STATE(16717)] = 440282,
  [SMALL_STATE(16718)] = 440289,
  [SMALL_STATE(16719)] = 440296,
  [SMALL_STATE(16720)] = 440303,
  [SMALL_STATE(16721)] = 440310,
  [SMALL_STATE(16722)] = 440317,
  [SMALL_STATE(16723)] = 440324,
  [SMALL_STATE(16724)] = 440331,
  [SMALL_STATE(16725)] = 440338,
  [SMALL_STATE(16726)] = 440345,
  [SMALL_STATE(16727)] = 440352,
  [SMALL_STATE(16728)] = 440359,
  [SMALL_STATE(16729)] = 440366,
  [SMALL_STATE(16730)] = 440373,
  [SMALL_STATE(16731)] = 440380,
  [SMALL_STATE(16732)] = 440387,
  [SMALL_STATE(16733)] = 440394,
  [SMALL_STATE(16734)] = 440401,
  [SMALL_STATE(16735)] = 440408,
  [SMALL_STATE(16736)] = 440415,
  [SMALL_STATE(16737)] = 440422,
  [SMALL_STATE(16738)] = 440429,
  [SMALL_STATE(16739)] = 440436,
  [SMALL_STATE(16740)] = 440443,
  [SMALL_STATE(16741)] = 440450,
  [SMALL_STATE(16742)] = 440457,
  [SMALL_STATE(16743)] = 440464,
  [SMALL_STATE(16744)] = 440471,
  [SMALL_STATE(16745)] = 440478,
  [SMALL_STATE(16746)] = 440485,
  [SMALL_STATE(16747)] = 440492,
  [SMALL_STATE(16748)] = 440499,
  [SMALL_STATE(16749)] = 440506,
  [SMALL_STATE(16750)] = 440513,
  [SMALL_STATE(16751)] = 440520,
  [SMALL_STATE(16752)] = 440527,
  [SMALL_STATE(16753)] = 440534,
  [SMALL_STATE(16754)] = 440541,
  [SMALL_STATE(16755)] = 440548,
  [SMALL_STATE(16756)] = 440555,
  [SMALL_STATE(16757)] = 440562,
  [SMALL_STATE(16758)] = 440569,
  [SMALL_STATE(16759)] = 440576,
  [SMALL_STATE(16760)] = 440583,
  [SMALL_STATE(16761)] = 440590,
  [SMALL_STATE(16762)] = 440597,
  [SMALL_STATE(16763)] = 440604,
  [SMALL_STATE(16764)] = 440611,
  [SMALL_STATE(16765)] = 440618,
  [SMALL_STATE(16766)] = 440625,
  [SMALL_STATE(16767)] = 440632,
  [SMALL_STATE(16768)] = 440639,
  [SMALL_STATE(16769)] = 440646,
  [SMALL_STATE(16770)] = 440653,
  [SMALL_STATE(16771)] = 440660,
  [SMALL_STATE(16772)] = 440667,
  [SMALL_STATE(16773)] = 440674,
  [SMALL_STATE(16774)] = 440681,
  [SMALL_STATE(16775)] = 440688,
  [SMALL_STATE(16776)] = 440695,
  [SMALL_STATE(16777)] = 440702,
  [SMALL_STATE(16778)] = 440709,
  [SMALL_STATE(16779)] = 440716,
  [SMALL_STATE(16780)] = 440723,
  [SMALL_STATE(16781)] = 440730,
  [SMALL_STATE(16782)] = 440737,
  [SMALL_STATE(16783)] = 440744,
  [SMALL_STATE(16784)] = 440751,
  [SMALL_STATE(16785)] = 440758,
  [SMALL_STATE(16786)] = 440765,
  [SMALL_STATE(16787)] = 440772,
  [SMALL_STATE(16788)] = 440779,
  [SMALL_STATE(16789)] = 440786,
  [SMALL_STATE(16790)] = 440793,
  [SMALL_STATE(16791)] = 440800,
  [SMALL_STATE(16792)] = 440807,
  [SMALL_STATE(16793)] = 440814,
  [SMALL_STATE(16794)] = 440821,
  [SMALL_STATE(16795)] = 440828,
  [SMALL_STATE(16796)] = 440835,
  [SMALL_STATE(16797)] = 440842,
  [SMALL_STATE(16798)] = 440849,
  [SMALL_STATE(16799)] = 440856,
  [SMALL_STATE(16800)] = 440863,
  [SMALL_STATE(16801)] = 440870,
  [SMALL_STATE(16802)] = 440877,
  [SMALL_STATE(16803)] = 440884,
  [SMALL_STATE(16804)] = 440891,
  [SMALL_STATE(16805)] = 440898,
  [SMALL_STATE(16806)] = 440905,
  [SMALL_STATE(16807)] = 440912,
  [SMALL_STATE(16808)] = 440919,
  [SMALL_STATE(16809)] = 440926,
  [SMALL_STATE(16810)] = 440933,
  [SMALL_STATE(16811)] = 440940,
  [SMALL_STATE(16812)] = 440947,
  [SMALL_STATE(16813)] = 440954,
  [SMALL_STATE(16814)] = 440961,
  [SMALL_STATE(16815)] = 440968,
  [SMALL_STATE(16816)] = 440975,
  [SMALL_STATE(16817)] = 440982,
  [SMALL_STATE(16818)] = 440989,
  [SMALL_STATE(16819)] = 440996,
  [SMALL_STATE(16820)] = 441003,
  [SMALL_STATE(16821)] = 441010,
  [SMALL_STATE(16822)] = 441017,
  [SMALL_STATE(16823)] = 441024,
  [SMALL_STATE(16824)] = 441031,
  [SMALL_STATE(16825)] = 441038,
  [SMALL_STATE(16826)] = 441045,
  [SMALL_STATE(16827)] = 441052,
  [SMALL_STATE(16828)] = 441059,
  [SMALL_STATE(16829)] = 441066,
  [SMALL_STATE(16830)] = 441073,
  [SMALL_STATE(16831)] = 441080,
  [SMALL_STATE(16832)] = 441087,
  [SMALL_STATE(16833)] = 441094,
  [SMALL_STATE(16834)] = 441101,
  [SMALL_STATE(16835)] = 441108,
  [SMALL_STATE(16836)] = 441115,
  [SMALL_STATE(16837)] = 441122,
  [SMALL_STATE(16838)] = 441129,
  [SMALL_STATE(16839)] = 441136,
  [SMALL_STATE(16840)] = 441143,
  [SMALL_STATE(16841)] = 441150,
  [SMALL_STATE(16842)] = 441157,
  [SMALL_STATE(16843)] = 441164,
  [SMALL_STATE(16844)] = 441171,
  [SMALL_STATE(16845)] = 441178,
  [SMALL_STATE(16846)] = 441185,
  [SMALL_STATE(16847)] = 441192,
  [SMALL_STATE(16848)] = 441199,
  [SMALL_STATE(16849)] = 441206,
  [SMALL_STATE(16850)] = 441213,
  [SMALL_STATE(16851)] = 441220,
  [SMALL_STATE(16852)] = 441227,
  [SMALL_STATE(16853)] = 441234,
  [SMALL_STATE(16854)] = 441241,
  [SMALL_STATE(16855)] = 441248,
  [SMALL_STATE(16856)] = 441255,
  [SMALL_STATE(16857)] = 441262,
  [SMALL_STATE(16858)] = 441269,
  [SMALL_STATE(16859)] = 441276,
  [SMALL_STATE(16860)] = 441283,
  [SMALL_STATE(16861)] = 441290,
  [SMALL_STATE(16862)] = 441297,
  [SMALL_STATE(16863)] = 441304,
  [SMALL_STATE(16864)] = 441311,
  [SMALL_STATE(16865)] = 441318,
  [SMALL_STATE(16866)] = 441325,
  [SMALL_STATE(16867)] = 441332,
  [SMALL_STATE(16868)] = 441339,
  [SMALL_STATE(16869)] = 441346,
  [SMALL_STATE(16870)] = 441353,
  [SMALL_STATE(16871)] = 441360,
  [SMALL_STATE(16872)] = 441367,
  [SMALL_STATE(16873)] = 441374,
  [SMALL_STATE(16874)] = 441381,
  [SMALL_STATE(16875)] = 441388,
  [SMALL_STATE(16876)] = 441395,
  [SMALL_STATE(16877)] = 441402,
  [SMALL_STATE(16878)] = 441409,
  [SMALL_STATE(16879)] = 441416,
  [SMALL_STATE(16880)] = 441423,
  [SMALL_STATE(16881)] = 441430,
  [SMALL_STATE(16882)] = 441437,
  [SMALL_STATE(16883)] = 441444,
  [SMALL_STATE(16884)] = 441451,
  [SMALL_STATE(16885)] = 441458,
  [SMALL_STATE(16886)] = 441465,
  [SMALL_STATE(16887)] = 441472,
  [SMALL_STATE(16888)] = 441479,
  [SMALL_STATE(16889)] = 441486,
  [SMALL_STATE(16890)] = 441493,
  [SMALL_STATE(16891)] = 441500,
  [SMALL_STATE(16892)] = 441507,
  [SMALL_STATE(16893)] = 441514,
  [SMALL_STATE(16894)] = 441521,
  [SMALL_STATE(16895)] = 441528,
  [SMALL_STATE(16896)] = 441535,
  [SMALL_STATE(16897)] = 441542,
  [SMALL_STATE(16898)] = 441549,
  [SMALL_STATE(16899)] = 441556,
  [SMALL_STATE(16900)] = 441563,
  [SMALL_STATE(16901)] = 441570,
  [SMALL_STATE(16902)] = 441577,
  [SMALL_STATE(16903)] = 441584,
  [SMALL_STATE(16904)] = 441591,
  [SMALL_STATE(16905)] = 441598,
  [SMALL_STATE(16906)] = 441605,
  [SMALL_STATE(16907)] = 441612,
  [SMALL_STATE(16908)] = 441619,
  [SMALL_STATE(16909)] = 441626,
  [SMALL_STATE(16910)] = 441633,
  [SMALL_STATE(16911)] = 441640,
  [SMALL_STATE(16912)] = 441647,
  [SMALL_STATE(16913)] = 441654,
  [SMALL_STATE(16914)] = 441661,
  [SMALL_STATE(16915)] = 441668,
  [SMALL_STATE(16916)] = 441675,
  [SMALL_STATE(16917)] = 441682,
  [SMALL_STATE(16918)] = 441689,
  [SMALL_STATE(16919)] = 441696,
  [SMALL_STATE(16920)] = 441703,
  [SMALL_STATE(16921)] = 441710,
  [SMALL_STATE(16922)] = 441717,
  [SMALL_STATE(16923)] = 441724,
  [SMALL_STATE(16924)] = 441731,
  [SMALL_STATE(16925)] = 441738,
  [SMALL_STATE(16926)] = 441745,
  [SMALL_STATE(16927)] = 441752,
  [SMALL_STATE(16928)] = 441759,
  [SMALL_STATE(16929)] = 441766,
  [SMALL_STATE(16930)] = 441773,
  [SMALL_STATE(16931)] = 441780,
  [SMALL_STATE(16932)] = 441787,
  [SMALL_STATE(16933)] = 441794,
  [SMALL_STATE(16934)] = 441801,
  [SMALL_STATE(16935)] = 441808,
  [SMALL_STATE(16936)] = 441815,
  [SMALL_STATE(16937)] = 441822,
  [SMALL_STATE(16938)] = 441829,
  [SMALL_STATE(16939)] = 441836,
  [SMALL_STATE(16940)] = 441843,
  [SMALL_STATE(16941)] = 441850,
  [SMALL_STATE(16942)] = 441857,
  [SMALL_STATE(16943)] = 441864,
  [SMALL_STATE(16944)] = 441871,
  [SMALL_STATE(16945)] = 441878,
  [SMALL_STATE(16946)] = 441885,
  [SMALL_STATE(16947)] = 441892,
  [SMALL_STATE(16948)] = 441899,
  [SMALL_STATE(16949)] = 441906,
  [SMALL_STATE(16950)] = 441913,
  [SMALL_STATE(16951)] = 441920,
  [SMALL_STATE(16952)] = 441927,
  [SMALL_STATE(16953)] = 441934,
  [SMALL_STATE(16954)] = 441941,
  [SMALL_STATE(16955)] = 441948,
  [SMALL_STATE(16956)] = 441955,
  [SMALL_STATE(16957)] = 441962,
  [SMALL_STATE(16958)] = 441969,
  [SMALL_STATE(16959)] = 441976,
  [SMALL_STATE(16960)] = 441983,
  [SMALL_STATE(16961)] = 441990,
  [SMALL_STATE(16962)] = 441997,
  [SMALL_STATE(16963)] = 442004,
  [SMALL_STATE(16964)] = 442011,
  [SMALL_STATE(16965)] = 442018,
  [SMALL_STATE(16966)] = 442025,
  [SMALL_STATE(16967)] = 442032,
  [SMALL_STATE(16968)] = 442039,
  [SMALL_STATE(16969)] = 442046,
  [SMALL_STATE(16970)] = 442053,
  [SMALL_STATE(16971)] = 442060,
  [SMALL_STATE(16972)] = 442067,
  [SMALL_STATE(16973)] = 442074,
  [SMALL_STATE(16974)] = 442081,
  [SMALL_STATE(16975)] = 442088,
  [SMALL_STATE(16976)] = 442095,
  [SMALL_STATE(16977)] = 442102,
  [SMALL_STATE(16978)] = 442109,
  [SMALL_STATE(16979)] = 442116,
  [SMALL_STATE(16980)] = 442123,
  [SMALL_STATE(16981)] = 442130,
  [SMALL_STATE(16982)] = 442137,
  [SMALL_STATE(16983)] = 442144,
  [SMALL_STATE(16984)] = 442151,
  [SMALL_STATE(16985)] = 442158,
  [SMALL_STATE(16986)] = 442165,
  [SMALL_STATE(16987)] = 442172,
  [SMALL_STATE(16988)] = 442179,
  [SMALL_STATE(16989)] = 442186,
  [SMALL_STATE(16990)] = 442193,
  [SMALL_STATE(16991)] = 442200,
  [SMALL_STATE(16992)] = 442207,
  [SMALL_STATE(16993)] = 442214,
  [SMALL_STATE(16994)] = 442221,
  [SMALL_STATE(16995)] = 442228,
  [SMALL_STATE(16996)] = 442235,
  [SMALL_STATE(16997)] = 442242,
  [SMALL_STATE(16998)] = 442249,
  [SMALL_STATE(16999)] = 442256,
  [SMALL_STATE(17000)] = 442263,
  [SMALL_STATE(17001)] = 442270,
  [SMALL_STATE(17002)] = 442277,
  [SMALL_STATE(17003)] = 442284,
  [SMALL_STATE(17004)] = 442291,
  [SMALL_STATE(17005)] = 442298,
  [SMALL_STATE(17006)] = 442305,
  [SMALL_STATE(17007)] = 442312,
  [SMALL_STATE(17008)] = 442319,
  [SMALL_STATE(17009)] = 442326,
  [SMALL_STATE(17010)] = 442333,
  [SMALL_STATE(17011)] = 442340,
  [SMALL_STATE(17012)] = 442347,
  [SMALL_STATE(17013)] = 442354,
  [SMALL_STATE(17014)] = 442361,
  [SMALL_STATE(17015)] = 442368,
  [SMALL_STATE(17016)] = 442375,
  [SMALL_STATE(17017)] = 442382,
  [SMALL_STATE(17018)] = 442389,
  [SMALL_STATE(17019)] = 442396,
  [SMALL_STATE(17020)] = 442403,
  [SMALL_STATE(17021)] = 442410,
  [SMALL_STATE(17022)] = 442417,
  [SMALL_STATE(17023)] = 442424,
  [SMALL_STATE(17024)] = 442431,
  [SMALL_STATE(17025)] = 442438,
  [SMALL_STATE(17026)] = 442445,
  [SMALL_STATE(17027)] = 442452,
  [SMALL_STATE(17028)] = 442459,
  [SMALL_STATE(17029)] = 442466,
  [SMALL_STATE(17030)] = 442473,
  [SMALL_STATE(17031)] = 442480,
  [SMALL_STATE(17032)] = 442487,
  [SMALL_STATE(17033)] = 442494,
  [SMALL_STATE(17034)] = 442501,
  [SMALL_STATE(17035)] = 442508,
  [SMALL_STATE(17036)] = 442515,
  [SMALL_STATE(17037)] = 442522,
  [SMALL_STATE(17038)] = 442529,
  [SMALL_STATE(17039)] = 442536,
  [SMALL_STATE(17040)] = 442543,
  [SMALL_STATE(17041)] = 442550,
  [SMALL_STATE(17042)] = 442557,
  [SMALL_STATE(17043)] = 442564,
  [SMALL_STATE(17044)] = 442571,
  [SMALL_STATE(17045)] = 442578,
  [SMALL_STATE(17046)] = 442585,
  [SMALL_STATE(17047)] = 442592,
  [SMALL_STATE(17048)] = 442599,
  [SMALL_STATE(17049)] = 442606,
  [SMALL_STATE(17050)] = 442613,
  [SMALL_STATE(17051)] = 442620,
  [SMALL_STATE(17052)] = 442627,
  [SMALL_STATE(17053)] = 442634,
  [SMALL_STATE(17054)] = 442641,
  [SMALL_STATE(17055)] = 442648,
  [SMALL_STATE(17056)] = 442655,
  [SMALL_STATE(17057)] = 442662,
  [SMALL_STATE(17058)] = 442669,
  [SMALL_STATE(17059)] = 442676,
  [SMALL_STATE(17060)] = 442683,
  [SMALL_STATE(17061)] = 442690,
  [SMALL_STATE(17062)] = 442697,
  [SMALL_STATE(17063)] = 442704,
  [SMALL_STATE(17064)] = 442711,
  [SMALL_STATE(17065)] = 442718,
  [SMALL_STATE(17066)] = 442725,
  [SMALL_STATE(17067)] = 442732,
  [SMALL_STATE(17068)] = 442739,
  [SMALL_STATE(17069)] = 442746,
  [SMALL_STATE(17070)] = 442753,
  [SMALL_STATE(17071)] = 442760,
  [SMALL_STATE(17072)] = 442767,
  [SMALL_STATE(17073)] = 442774,
  [SMALL_STATE(17074)] = 442781,
  [SMALL_STATE(17075)] = 442788,
  [SMALL_STATE(17076)] = 442795,
  [SMALL_STATE(17077)] = 442802,
  [SMALL_STATE(17078)] = 442809,
  [SMALL_STATE(17079)] = 442816,
  [SMALL_STATE(17080)] = 442823,
  [SMALL_STATE(17081)] = 442830,
  [SMALL_STATE(17082)] = 442837,
  [SMALL_STATE(17083)] = 442844,
  [SMALL_STATE(17084)] = 442851,
  [SMALL_STATE(17085)] = 442858,
  [SMALL_STATE(17086)] = 442865,
  [SMALL_STATE(17087)] = 442872,
  [SMALL_STATE(17088)] = 442879,
  [SMALL_STATE(17089)] = 442886,
  [SMALL_STATE(17090)] = 442893,
  [SMALL_STATE(17091)] = 442900,
  [SMALL_STATE(17092)] = 442907,
  [SMALL_STATE(17093)] = 442914,
  [SMALL_STATE(17094)] = 442921,
  [SMALL_STATE(17095)] = 442928,
  [SMALL_STATE(17096)] = 442935,
  [SMALL_STATE(17097)] = 442942,
  [SMALL_STATE(17098)] = 442949,
  [SMALL_STATE(17099)] = 442956,
  [SMALL_STATE(17100)] = 442963,
  [SMALL_STATE(17101)] = 442970,
  [SMALL_STATE(17102)] = 442977,
  [SMALL_STATE(17103)] = 442984,
  [SMALL_STATE(17104)] = 442991,
  [SMALL_STATE(17105)] = 442998,
  [SMALL_STATE(17106)] = 443005,
  [SMALL_STATE(17107)] = 443012,
  [SMALL_STATE(17108)] = 443019,
  [SMALL_STATE(17109)] = 443026,
  [SMALL_STATE(17110)] = 443033,
  [SMALL_STATE(17111)] = 443040,
  [SMALL_STATE(17112)] = 443047,
  [SMALL_STATE(17113)] = 443054,
  [SMALL_STATE(17114)] = 443061,
  [SMALL_STATE(17115)] = 443068,
  [SMALL_STATE(17116)] = 443075,
  [SMALL_STATE(17117)] = 443082,
  [SMALL_STATE(17118)] = 443089,
  [SMALL_STATE(17119)] = 443096,
  [SMALL_STATE(17120)] = 443103,
  [SMALL_STATE(17121)] = 443110,
  [SMALL_STATE(17122)] = 443117,
  [SMALL_STATE(17123)] = 443124,
  [SMALL_STATE(17124)] = 443131,
  [SMALL_STATE(17125)] = 443138,
  [SMALL_STATE(17126)] = 443145,
  [SMALL_STATE(17127)] = 443152,
  [SMALL_STATE(17128)] = 443159,
  [SMALL_STATE(17129)] = 443166,
  [SMALL_STATE(17130)] = 443173,
  [SMALL_STATE(17131)] = 443180,
  [SMALL_STATE(17132)] = 443187,
  [SMALL_STATE(17133)] = 443194,
  [SMALL_STATE(17134)] = 443201,
  [SMALL_STATE(17135)] = 443208,
  [SMALL_STATE(17136)] = 443215,
  [SMALL_STATE(17137)] = 443222,
  [SMALL_STATE(17138)] = 443229,
  [SMALL_STATE(17139)] = 443236,
  [SMALL_STATE(17140)] = 443243,
  [SMALL_STATE(17141)] = 443250,
  [SMALL_STATE(17142)] = 443257,
  [SMALL_STATE(17143)] = 443264,
  [SMALL_STATE(17144)] = 443271,
  [SMALL_STATE(17145)] = 443278,
  [SMALL_STATE(17146)] = 443285,
  [SMALL_STATE(17147)] = 443292,
  [SMALL_STATE(17148)] = 443299,
  [SMALL_STATE(17149)] = 443306,
  [SMALL_STATE(17150)] = 443313,
  [SMALL_STATE(17151)] = 443320,
  [SMALL_STATE(17152)] = 443327,
  [SMALL_STATE(17153)] = 443334,
  [SMALL_STATE(17154)] = 443341,
  [SMALL_STATE(17155)] = 443348,
  [SMALL_STATE(17156)] = 443355,
  [SMALL_STATE(17157)] = 443362,
  [SMALL_STATE(17158)] = 443369,
  [SMALL_STATE(17159)] = 443376,
  [SMALL_STATE(17160)] = 443383,
  [SMALL_STATE(17161)] = 443390,
  [SMALL_STATE(17162)] = 443397,
  [SMALL_STATE(17163)] = 443404,
  [SMALL_STATE(17164)] = 443411,
  [SMALL_STATE(17165)] = 443418,
  [SMALL_STATE(17166)] = 443425,
  [SMALL_STATE(17167)] = 443432,
  [SMALL_STATE(17168)] = 443439,
  [SMALL_STATE(17169)] = 443446,
  [SMALL_STATE(17170)] = 443453,
  [SMALL_STATE(17171)] = 443460,
  [SMALL_STATE(17172)] = 443467,
  [SMALL_STATE(17173)] = 443474,
  [SMALL_STATE(17174)] = 443481,
  [SMALL_STATE(17175)] = 443488,
  [SMALL_STATE(17176)] = 443495,
  [SMALL_STATE(17177)] = 443502,
  [SMALL_STATE(17178)] = 443509,
  [SMALL_STATE(17179)] = 443516,
  [SMALL_STATE(17180)] = 443523,
  [SMALL_STATE(17181)] = 443530,
  [SMALL_STATE(17182)] = 443537,
  [SMALL_STATE(17183)] = 443544,
  [SMALL_STATE(17184)] = 443551,
  [SMALL_STATE(17185)] = 443558,
  [SMALL_STATE(17186)] = 443565,
  [SMALL_STATE(17187)] = 443572,
  [SMALL_STATE(17188)] = 443579,
  [SMALL_STATE(17189)] = 443586,
  [SMALL_STATE(17190)] = 443593,
  [SMALL_STATE(17191)] = 443600,
  [SMALL_STATE(17192)] = 443607,
  [SMALL_STATE(17193)] = 443614,
  [SMALL_STATE(17194)] = 443621,
  [SMALL_STATE(17195)] = 443628,
  [SMALL_STATE(17196)] = 443635,
  [SMALL_STATE(17197)] = 443642,
  [SMALL_STATE(17198)] = 443649,
  [SMALL_STATE(17199)] = 443656,
  [SMALL_STATE(17200)] = 443663,
  [SMALL_STATE(17201)] = 443670,
  [SMALL_STATE(17202)] = 443677,
  [SMALL_STATE(17203)] = 443684,
  [SMALL_STATE(17204)] = 443691,
  [SMALL_STATE(17205)] = 443698,
  [SMALL_STATE(17206)] = 443705,
  [SMALL_STATE(17207)] = 443712,
  [SMALL_STATE(17208)] = 443719,
  [SMALL_STATE(17209)] = 443726,
  [SMALL_STATE(17210)] = 443733,
  [SMALL_STATE(17211)] = 443740,
  [SMALL_STATE(17212)] = 443747,
  [SMALL_STATE(17213)] = 443754,
  [SMALL_STATE(17214)] = 443761,
  [SMALL_STATE(17215)] = 443768,
  [SMALL_STATE(17216)] = 443775,
  [SMALL_STATE(17217)] = 443782,
  [SMALL_STATE(17218)] = 443789,
  [SMALL_STATE(17219)] = 443796,
  [SMALL_STATE(17220)] = 443803,
  [SMALL_STATE(17221)] = 443810,
  [SMALL_STATE(17222)] = 443817,
  [SMALL_STATE(17223)] = 443824,
  [SMALL_STATE(17224)] = 443831,
  [SMALL_STATE(17225)] = 443838,
  [SMALL_STATE(17226)] = 443845,
  [SMALL_STATE(17227)] = 443852,
  [SMALL_STATE(17228)] = 443859,
  [SMALL_STATE(17229)] = 443866,
  [SMALL_STATE(17230)] = 443873,
  [SMALL_STATE(17231)] = 443880,
  [SMALL_STATE(17232)] = 443887,
  [SMALL_STATE(17233)] = 443894,
  [SMALL_STATE(17234)] = 443901,
  [SMALL_STATE(17235)] = 443908,
  [SMALL_STATE(17236)] = 443915,
  [SMALL_STATE(17237)] = 443922,
  [SMALL_STATE(17238)] = 443929,
  [SMALL_STATE(17239)] = 443936,
  [SMALL_STATE(17240)] = 443943,
  [SMALL_STATE(17241)] = 443950,
  [SMALL_STATE(17242)] = 443957,
  [SMALL_STATE(17243)] = 443964,
  [SMALL_STATE(17244)] = 443971,
  [SMALL_STATE(17245)] = 443978,
  [SMALL_STATE(17246)] = 443985,
  [SMALL_STATE(17247)] = 443992,
  [SMALL_STATE(17248)] = 443999,
  [SMALL_STATE(17249)] = 444006,
  [SMALL_STATE(17250)] = 444013,
  [SMALL_STATE(17251)] = 444020,
  [SMALL_STATE(17252)] = 444027,
  [SMALL_STATE(17253)] = 444034,
  [SMALL_STATE(17254)] = 444041,
  [SMALL_STATE(17255)] = 444048,
  [SMALL_STATE(17256)] = 444055,
  [SMALL_STATE(17257)] = 444062,
  [SMALL_STATE(17258)] = 444069,
  [SMALL_STATE(17259)] = 444076,
  [SMALL_STATE(17260)] = 444083,
  [SMALL_STATE(17261)] = 444090,
  [SMALL_STATE(17262)] = 444097,
  [SMALL_STATE(17263)] = 444104,
  [SMALL_STATE(17264)] = 444111,
  [SMALL_STATE(17265)] = 444118,
  [SMALL_STATE(17266)] = 444125,
  [SMALL_STATE(17267)] = 444132,
  [SMALL_STATE(17268)] = 444139,
  [SMALL_STATE(17269)] = 444146,
  [SMALL_STATE(17270)] = 444153,
  [SMALL_STATE(17271)] = 444160,
  [SMALL_STATE(17272)] = 444167,
  [SMALL_STATE(17273)] = 444174,
  [SMALL_STATE(17274)] = 444181,
  [SMALL_STATE(17275)] = 444188,
  [SMALL_STATE(17276)] = 444195,
  [SMALL_STATE(17277)] = 444202,
  [SMALL_STATE(17278)] = 444209,
  [SMALL_STATE(17279)] = 444216,
  [SMALL_STATE(17280)] = 444223,
  [SMALL_STATE(17281)] = 444230,
  [SMALL_STATE(17282)] = 444237,
  [SMALL_STATE(17283)] = 444244,
  [SMALL_STATE(17284)] = 444251,
  [SMALL_STATE(17285)] = 444258,
  [SMALL_STATE(17286)] = 444265,
  [SMALL_STATE(17287)] = 444272,
  [SMALL_STATE(17288)] = 444279,
  [SMALL_STATE(17289)] = 444286,
  [SMALL_STATE(17290)] = 444293,
  [SMALL_STATE(17291)] = 444300,
  [SMALL_STATE(17292)] = 444307,
  [SMALL_STATE(17293)] = 444314,
  [SMALL_STATE(17294)] = 444321,
  [SMALL_STATE(17295)] = 444328,
  [SMALL_STATE(17296)] = 444335,
  [SMALL_STATE(17297)] = 444342,
  [SMALL_STATE(17298)] = 444349,
  [SMALL_STATE(17299)] = 444356,
  [SMALL_STATE(17300)] = 444363,
  [SMALL_STATE(17301)] = 444370,
  [SMALL_STATE(17302)] = 444377,
  [SMALL_STATE(17303)] = 444384,
  [SMALL_STATE(17304)] = 444391,
  [SMALL_STATE(17305)] = 444398,
  [SMALL_STATE(17306)] = 444405,
  [SMALL_STATE(17307)] = 444412,
  [SMALL_STATE(17308)] = 444419,
  [SMALL_STATE(17309)] = 444426,
  [SMALL_STATE(17310)] = 444433,
  [SMALL_STATE(17311)] = 444440,
  [SMALL_STATE(17312)] = 444447,
  [SMALL_STATE(17313)] = 444454,
  [SMALL_STATE(17314)] = 444461,
  [SMALL_STATE(17315)] = 444468,
  [SMALL_STATE(17316)] = 444475,
  [SMALL_STATE(17317)] = 444482,
  [SMALL_STATE(17318)] = 444489,
  [SMALL_STATE(17319)] = 444496,
  [SMALL_STATE(17320)] = 444503,
  [SMALL_STATE(17321)] = 444510,
  [SMALL_STATE(17322)] = 444517,
  [SMALL_STATE(17323)] = 444524,
  [SMALL_STATE(17324)] = 444531,
  [SMALL_STATE(17325)] = 444538,
  [SMALL_STATE(17326)] = 444545,
  [SMALL_STATE(17327)] = 444552,
  [SMALL_STATE(17328)] = 444559,
  [SMALL_STATE(17329)] = 444566,
  [SMALL_STATE(17330)] = 444573,
  [SMALL_STATE(17331)] = 444580,
  [SMALL_STATE(17332)] = 444587,
  [SMALL_STATE(17333)] = 444594,
  [SMALL_STATE(17334)] = 444601,
  [SMALL_STATE(17335)] = 444608,
  [SMALL_STATE(17336)] = 444615,
  [SMALL_STATE(17337)] = 444622,
  [SMALL_STATE(17338)] = 444629,
  [SMALL_STATE(17339)] = 444636,
  [SMALL_STATE(17340)] = 444643,
  [SMALL_STATE(17341)] = 444650,
  [SMALL_STATE(17342)] = 444657,
  [SMALL_STATE(17343)] = 444664,
  [SMALL_STATE(17344)] = 444671,
  [SMALL_STATE(17345)] = 444678,
  [SMALL_STATE(17346)] = 444685,
  [SMALL_STATE(17347)] = 444692,
  [SMALL_STATE(17348)] = 444699,
  [SMALL_STATE(17349)] = 444706,
  [SMALL_STATE(17350)] = 444713,
  [SMALL_STATE(17351)] = 444720,
  [SMALL_STATE(17352)] = 444727,
  [SMALL_STATE(17353)] = 444734,
  [SMALL_STATE(17354)] = 444741,
  [SMALL_STATE(17355)] = 444748,
  [SMALL_STATE(17356)] = 444755,
  [SMALL_STATE(17357)] = 444762,
  [SMALL_STATE(17358)] = 444769,
  [SMALL_STATE(17359)] = 444776,
  [SMALL_STATE(17360)] = 444783,
  [SMALL_STATE(17361)] = 444790,
  [SMALL_STATE(17362)] = 444797,
  [SMALL_STATE(17363)] = 444804,
  [SMALL_STATE(17364)] = 444811,
  [SMALL_STATE(17365)] = 444818,
  [SMALL_STATE(17366)] = 444825,
  [SMALL_STATE(17367)] = 444832,
  [SMALL_STATE(17368)] = 444839,
  [SMALL_STATE(17369)] = 444846,
  [SMALL_STATE(17370)] = 444853,
  [SMALL_STATE(17371)] = 444860,
  [SMALL_STATE(17372)] = 444867,
  [SMALL_STATE(17373)] = 444874,
  [SMALL_STATE(17374)] = 444881,
  [SMALL_STATE(17375)] = 444888,
  [SMALL_STATE(17376)] = 444895,
  [SMALL_STATE(17377)] = 444902,
  [SMALL_STATE(17378)] = 444909,
  [SMALL_STATE(17379)] = 444916,
  [SMALL_STATE(17380)] = 444923,
  [SMALL_STATE(17381)] = 444930,
  [SMALL_STATE(17382)] = 444937,
  [SMALL_STATE(17383)] = 444944,
  [SMALL_STATE(17384)] = 444951,
  [SMALL_STATE(17385)] = 444958,
  [SMALL_STATE(17386)] = 444965,
  [SMALL_STATE(17387)] = 444972,
  [SMALL_STATE(17388)] = 444979,
  [SMALL_STATE(17389)] = 444986,
  [SMALL_STATE(17390)] = 444993,
  [SMALL_STATE(17391)] = 445000,
  [SMALL_STATE(17392)] = 445007,
  [SMALL_STATE(17393)] = 445014,
  [SMALL_STATE(17394)] = 445021,
  [SMALL_STATE(17395)] = 445028,
  [SMALL_STATE(17396)] = 445035,
  [SMALL_STATE(17397)] = 445042,
  [SMALL_STATE(17398)] = 445049,
  [SMALL_STATE(17399)] = 445056,
  [SMALL_STATE(17400)] = 445063,
  [SMALL_STATE(17401)] = 445070,
  [SMALL_STATE(17402)] = 445077,
  [SMALL_STATE(17403)] = 445084,
  [SMALL_STATE(17404)] = 445091,
  [SMALL_STATE(17405)] = 445098,
  [SMALL_STATE(17406)] = 445105,
  [SMALL_STATE(17407)] = 445112,
  [SMALL_STATE(17408)] = 445119,
  [SMALL_STATE(17409)] = 445126,
  [SMALL_STATE(17410)] = 445133,
  [SMALL_STATE(17411)] = 445140,
  [SMALL_STATE(17412)] = 445147,
  [SMALL_STATE(17413)] = 445154,
  [SMALL_STATE(17414)] = 445161,
  [SMALL_STATE(17415)] = 445168,
  [SMALL_STATE(17416)] = 445175,
  [SMALL_STATE(17417)] = 445182,
  [SMALL_STATE(17418)] = 445189,
  [SMALL_STATE(17419)] = 445196,
  [SMALL_STATE(17420)] = 445203,
  [SMALL_STATE(17421)] = 445210,
  [SMALL_STATE(17422)] = 445217,
  [SMALL_STATE(17423)] = 445224,
  [SMALL_STATE(17424)] = 445231,
  [SMALL_STATE(17425)] = 445238,
  [SMALL_STATE(17426)] = 445245,
  [SMALL_STATE(17427)] = 445252,
  [SMALL_STATE(17428)] = 445259,
  [SMALL_STATE(17429)] = 445266,
  [SMALL_STATE(17430)] = 445273,
  [SMALL_STATE(17431)] = 445280,
  [SMALL_STATE(17432)] = 445287,
  [SMALL_STATE(17433)] = 445294,
  [SMALL_STATE(17434)] = 445301,
  [SMALL_STATE(17435)] = 445308,
  [SMALL_STATE(17436)] = 445315,
  [SMALL_STATE(17437)] = 445322,
  [SMALL_STATE(17438)] = 445329,
  [SMALL_STATE(17439)] = 445336,
  [SMALL_STATE(17440)] = 445343,
  [SMALL_STATE(17441)] = 445350,
  [SMALL_STATE(17442)] = 445357,
  [SMALL_STATE(17443)] = 445364,
  [SMALL_STATE(17444)] = 445371,
  [SMALL_STATE(17445)] = 445378,
  [SMALL_STATE(17446)] = 445385,
  [SMALL_STATE(17447)] = 445392,
  [SMALL_STATE(17448)] = 445399,
  [SMALL_STATE(17449)] = 445406,
  [SMALL_STATE(17450)] = 445413,
  [SMALL_STATE(17451)] = 445420,
  [SMALL_STATE(17452)] = 445427,
  [SMALL_STATE(17453)] = 445434,
  [SMALL_STATE(17454)] = 445441,
  [SMALL_STATE(17455)] = 445448,
  [SMALL_STATE(17456)] = 445455,
  [SMALL_STATE(17457)] = 445462,
  [SMALL_STATE(17458)] = 445469,
  [SMALL_STATE(17459)] = 445476,
  [SMALL_STATE(17460)] = 445483,
  [SMALL_STATE(17461)] = 445490,
  [SMALL_STATE(17462)] = 445497,
  [SMALL_STATE(17463)] = 445504,
  [SMALL_STATE(17464)] = 445511,
  [SMALL_STATE(17465)] = 445518,
  [SMALL_STATE(17466)] = 445525,
  [SMALL_STATE(17467)] = 445532,
  [SMALL_STATE(17468)] = 445539,
  [SMALL_STATE(17469)] = 445546,
  [SMALL_STATE(17470)] = 445553,
  [SMALL_STATE(17471)] = 445560,
  [SMALL_STATE(17472)] = 445567,
  [SMALL_STATE(17473)] = 445574,
  [SMALL_STATE(17474)] = 445581,
  [SMALL_STATE(17475)] = 445588,
  [SMALL_STATE(17476)] = 445595,
  [SMALL_STATE(17477)] = 445602,
  [SMALL_STATE(17478)] = 445609,
  [SMALL_STATE(17479)] = 445616,
  [SMALL_STATE(17480)] = 445623,
  [SMALL_STATE(17481)] = 445630,
  [SMALL_STATE(17482)] = 445637,
  [SMALL_STATE(17483)] = 445644,
  [SMALL_STATE(17484)] = 445651,
  [SMALL_STATE(17485)] = 445658,
  [SMALL_STATE(17486)] = 445665,
  [SMALL_STATE(17487)] = 445672,
  [SMALL_STATE(17488)] = 445679,
  [SMALL_STATE(17489)] = 445686,
  [SMALL_STATE(17490)] = 445693,
  [SMALL_STATE(17491)] = 445700,
  [SMALL_STATE(17492)] = 445707,
  [SMALL_STATE(17493)] = 445714,
  [SMALL_STATE(17494)] = 445721,
  [SMALL_STATE(17495)] = 445728,
  [SMALL_STATE(17496)] = 445735,
  [SMALL_STATE(17497)] = 445742,
  [SMALL_STATE(17498)] = 445749,
  [SMALL_STATE(17499)] = 445756,
  [SMALL_STATE(17500)] = 445763,
  [SMALL_STATE(17501)] = 445770,
  [SMALL_STATE(17502)] = 445777,
  [SMALL_STATE(17503)] = 445784,
  [SMALL_STATE(17504)] = 445791,
  [SMALL_STATE(17505)] = 445798,
  [SMALL_STATE(17506)] = 445805,
  [SMALL_STATE(17507)] = 445812,
  [SMALL_STATE(17508)] = 445819,
  [SMALL_STATE(17509)] = 445826,
  [SMALL_STATE(17510)] = 445833,
  [SMALL_STATE(17511)] = 445840,
  [SMALL_STATE(17512)] = 445847,
  [SMALL_STATE(17513)] = 445854,
  [SMALL_STATE(17514)] = 445861,
  [SMALL_STATE(17515)] = 445868,
  [SMALL_STATE(17516)] = 445875,
  [SMALL_STATE(17517)] = 445882,
  [SMALL_STATE(17518)] = 445889,
  [SMALL_STATE(17519)] = 445896,
  [SMALL_STATE(17520)] = 445903,
  [SMALL_STATE(17521)] = 445910,
  [SMALL_STATE(17522)] = 445917,
  [SMALL_STATE(17523)] = 445924,
  [SMALL_STATE(17524)] = 445931,
  [SMALL_STATE(17525)] = 445938,
  [SMALL_STATE(17526)] = 445945,
  [SMALL_STATE(17527)] = 445952,
  [SMALL_STATE(17528)] = 445959,
  [SMALL_STATE(17529)] = 445966,
  [SMALL_STATE(17530)] = 445973,
  [SMALL_STATE(17531)] = 445980,
  [SMALL_STATE(17532)] = 445987,
  [SMALL_STATE(17533)] = 445994,
  [SMALL_STATE(17534)] = 446001,
  [SMALL_STATE(17535)] = 446008,
  [SMALL_STATE(17536)] = 446015,
  [SMALL_STATE(17537)] = 446022,
  [SMALL_STATE(17538)] = 446029,
  [SMALL_STATE(17539)] = 446036,
  [SMALL_STATE(17540)] = 446043,
  [SMALL_STATE(17541)] = 446050,
  [SMALL_STATE(17542)] = 446057,
  [SMALL_STATE(17543)] = 446064,
  [SMALL_STATE(17544)] = 446071,
  [SMALL_STATE(17545)] = 446078,
  [SMALL_STATE(17546)] = 446085,
  [SMALL_STATE(17547)] = 446092,
  [SMALL_STATE(17548)] = 446099,
  [SMALL_STATE(17549)] = 446106,
  [SMALL_STATE(17550)] = 446113,
  [SMALL_STATE(17551)] = 446120,
  [SMALL_STATE(17552)] = 446127,
  [SMALL_STATE(17553)] = 446134,
  [SMALL_STATE(17554)] = 446141,
  [SMALL_STATE(17555)] = 446148,
  [SMALL_STATE(17556)] = 446155,
  [SMALL_STATE(17557)] = 446162,
  [SMALL_STATE(17558)] = 446169,
  [SMALL_STATE(17559)] = 446176,
  [SMALL_STATE(17560)] = 446183,
  [SMALL_STATE(17561)] = 446190,
  [SMALL_STATE(17562)] = 446197,
  [SMALL_STATE(17563)] = 446204,
  [SMALL_STATE(17564)] = 446211,
  [SMALL_STATE(17565)] = 446218,
  [SMALL_STATE(17566)] = 446225,
  [SMALL_STATE(17567)] = 446232,
  [SMALL_STATE(17568)] = 446239,
  [SMALL_STATE(17569)] = 446246,
  [SMALL_STATE(17570)] = 446253,
  [SMALL_STATE(17571)] = 446260,
  [SMALL_STATE(17572)] = 446267,
  [SMALL_STATE(17573)] = 446274,
  [SMALL_STATE(17574)] = 446281,
  [SMALL_STATE(17575)] = 446288,
  [SMALL_STATE(17576)] = 446295,
  [SMALL_STATE(17577)] = 446302,
  [SMALL_STATE(17578)] = 446309,
  [SMALL_STATE(17579)] = 446316,
  [SMALL_STATE(17580)] = 446323,
  [SMALL_STATE(17581)] = 446330,
  [SMALL_STATE(17582)] = 446337,
  [SMALL_STATE(17583)] = 446344,
  [SMALL_STATE(17584)] = 446351,
  [SMALL_STATE(17585)] = 446358,
  [SMALL_STATE(17586)] = 446365,
  [SMALL_STATE(17587)] = 446372,
  [SMALL_STATE(17588)] = 446379,
  [SMALL_STATE(17589)] = 446386,
  [SMALL_STATE(17590)] = 446393,
  [SMALL_STATE(17591)] = 446400,
  [SMALL_STATE(17592)] = 446407,
  [SMALL_STATE(17593)] = 446414,
  [SMALL_STATE(17594)] = 446421,
  [SMALL_STATE(17595)] = 446428,
  [SMALL_STATE(17596)] = 446435,
  [SMALL_STATE(17597)] = 446442,
  [SMALL_STATE(17598)] = 446449,
  [SMALL_STATE(17599)] = 446456,
  [SMALL_STATE(17600)] = 446463,
  [SMALL_STATE(17601)] = 446470,
  [SMALL_STATE(17602)] = 446477,
  [SMALL_STATE(17603)] = 446484,
  [SMALL_STATE(17604)] = 446491,
  [SMALL_STATE(17605)] = 446498,
  [SMALL_STATE(17606)] = 446505,
  [SMALL_STATE(17607)] = 446512,
  [SMALL_STATE(17608)] = 446519,
  [SMALL_STATE(17609)] = 446526,
  [SMALL_STATE(17610)] = 446533,
  [SMALL_STATE(17611)] = 446540,
  [SMALL_STATE(17612)] = 446547,
  [SMALL_STATE(17613)] = 446554,
  [SMALL_STATE(17614)] = 446561,
  [SMALL_STATE(17615)] = 446568,
  [SMALL_STATE(17616)] = 446575,
  [SMALL_STATE(17617)] = 446582,
  [SMALL_STATE(17618)] = 446589,
  [SMALL_STATE(17619)] = 446596,
  [SMALL_STATE(17620)] = 446603,
  [SMALL_STATE(17621)] = 446610,
  [SMALL_STATE(17622)] = 446617,
  [SMALL_STATE(17623)] = 446624,
  [SMALL_STATE(17624)] = 446631,
  [SMALL_STATE(17625)] = 446638,
  [SMALL_STATE(17626)] = 446645,
  [SMALL_STATE(17627)] = 446652,
  [SMALL_STATE(17628)] = 446659,
  [SMALL_STATE(17629)] = 446666,
  [SMALL_STATE(17630)] = 446673,
  [SMALL_STATE(17631)] = 446680,
  [SMALL_STATE(17632)] = 446687,
  [SMALL_STATE(17633)] = 446694,
  [SMALL_STATE(17634)] = 446701,
  [SMALL_STATE(17635)] = 446708,
  [SMALL_STATE(17636)] = 446715,
  [SMALL_STATE(17637)] = 446722,
  [SMALL_STATE(17638)] = 446729,
  [SMALL_STATE(17639)] = 446736,
  [SMALL_STATE(17640)] = 446743,
  [SMALL_STATE(17641)] = 446750,
  [SMALL_STATE(17642)] = 446757,
  [SMALL_STATE(17643)] = 446764,
  [SMALL_STATE(17644)] = 446771,
  [SMALL_STATE(17645)] = 446778,
  [SMALL_STATE(17646)] = 446785,
  [SMALL_STATE(17647)] = 446792,
  [SMALL_STATE(17648)] = 446799,
  [SMALL_STATE(17649)] = 446806,
  [SMALL_STATE(17650)] = 446813,
  [SMALL_STATE(17651)] = 446820,
  [SMALL_STATE(17652)] = 446827,
  [SMALL_STATE(17653)] = 446834,
  [SMALL_STATE(17654)] = 446841,
  [SMALL_STATE(17655)] = 446848,
  [SMALL_STATE(17656)] = 446855,
  [SMALL_STATE(17657)] = 446862,
  [SMALL_STATE(17658)] = 446869,
  [SMALL_STATE(17659)] = 446876,
  [SMALL_STATE(17660)] = 446883,
  [SMALL_STATE(17661)] = 446890,
  [SMALL_STATE(17662)] = 446897,
  [SMALL_STATE(17663)] = 446904,
  [SMALL_STATE(17664)] = 446911,
  [SMALL_STATE(17665)] = 446918,
  [SMALL_STATE(17666)] = 446925,
  [SMALL_STATE(17667)] = 446932,
  [SMALL_STATE(17668)] = 446939,
  [SMALL_STATE(17669)] = 446946,
  [SMALL_STATE(17670)] = 446953,
  [SMALL_STATE(17671)] = 446960,
  [SMALL_STATE(17672)] = 446967,
  [SMALL_STATE(17673)] = 446974,
  [SMALL_STATE(17674)] = 446981,
  [SMALL_STATE(17675)] = 446988,
  [SMALL_STATE(17676)] = 446995,
  [SMALL_STATE(17677)] = 447002,
  [SMALL_STATE(17678)] = 447009,
  [SMALL_STATE(17679)] = 447016,
  [SMALL_STATE(17680)] = 447023,
  [SMALL_STATE(17681)] = 447030,
  [SMALL_STATE(17682)] = 447037,
  [SMALL_STATE(17683)] = 447044,
  [SMALL_STATE(17684)] = 447051,
  [SMALL_STATE(17685)] = 447058,
  [SMALL_STATE(17686)] = 447065,
  [SMALL_STATE(17687)] = 447072,
  [SMALL_STATE(17688)] = 447079,
  [SMALL_STATE(17689)] = 447086,
  [SMALL_STATE(17690)] = 447093,
  [SMALL_STATE(17691)] = 447100,
  [SMALL_STATE(17692)] = 447107,
  [SMALL_STATE(17693)] = 447114,
  [SMALL_STATE(17694)] = 447121,
  [SMALL_STATE(17695)] = 447128,
  [SMALL_STATE(17696)] = 447135,
  [SMALL_STATE(17697)] = 447142,
  [SMALL_STATE(17698)] = 447149,
  [SMALL_STATE(17699)] = 447156,
  [SMALL_STATE(17700)] = 447163,
  [SMALL_STATE(17701)] = 447170,
  [SMALL_STATE(17702)] = 447177,
  [SMALL_STATE(17703)] = 447184,
  [SMALL_STATE(17704)] = 447191,
  [SMALL_STATE(17705)] = 447198,
  [SMALL_STATE(17706)] = 447205,
  [SMALL_STATE(17707)] = 447212,
  [SMALL_STATE(17708)] = 447219,
  [SMALL_STATE(17709)] = 447226,
  [SMALL_STATE(17710)] = 447233,
  [SMALL_STATE(17711)] = 447240,
  [SMALL_STATE(17712)] = 447247,
  [SMALL_STATE(17713)] = 447254,
  [SMALL_STATE(17714)] = 447261,
  [SMALL_STATE(17715)] = 447268,
  [SMALL_STATE(17716)] = 447275,
  [SMALL_STATE(17717)] = 447282,
  [SMALL_STATE(17718)] = 447289,
  [SMALL_STATE(17719)] = 447296,
  [SMALL_STATE(17720)] = 447303,
  [SMALL_STATE(17721)] = 447310,
  [SMALL_STATE(17722)] = 447317,
  [SMALL_STATE(17723)] = 447324,
  [SMALL_STATE(17724)] = 447331,
  [SMALL_STATE(17725)] = 447338,
  [SMALL_STATE(17726)] = 447345,
  [SMALL_STATE(17727)] = 447352,
  [SMALL_STATE(17728)] = 447359,
  [SMALL_STATE(17729)] = 447366,
  [SMALL_STATE(17730)] = 447373,
  [SMALL_STATE(17731)] = 447380,
  [SMALL_STATE(17732)] = 447387,
  [SMALL_STATE(17733)] = 447394,
  [SMALL_STATE(17734)] = 447401,
  [SMALL_STATE(17735)] = 447408,
  [SMALL_STATE(17736)] = 447415,
  [SMALL_STATE(17737)] = 447422,
  [SMALL_STATE(17738)] = 447429,
  [SMALL_STATE(17739)] = 447436,
  [SMALL_STATE(17740)] = 447443,
  [SMALL_STATE(17741)] = 447450,
  [SMALL_STATE(17742)] = 447457,
  [SMALL_STATE(17743)] = 447464,
  [SMALL_STATE(17744)] = 447471,
  [SMALL_STATE(17745)] = 447478,
  [SMALL_STATE(17746)] = 447485,
  [SMALL_STATE(17747)] = 447492,
  [SMALL_STATE(17748)] = 447499,
  [SMALL_STATE(17749)] = 447506,
  [SMALL_STATE(17750)] = 447513,
  [SMALL_STATE(17751)] = 447520,
  [SMALL_STATE(17752)] = 447527,
  [SMALL_STATE(17753)] = 447534,
  [SMALL_STATE(17754)] = 447541,
  [SMALL_STATE(17755)] = 447548,
  [SMALL_STATE(17756)] = 447555,
  [SMALL_STATE(17757)] = 447562,
  [SMALL_STATE(17758)] = 447569,
  [SMALL_STATE(17759)] = 447576,
  [SMALL_STATE(17760)] = 447583,
  [SMALL_STATE(17761)] = 447590,
  [SMALL_STATE(17762)] = 447597,
  [SMALL_STATE(17763)] = 447604,
  [SMALL_STATE(17764)] = 447611,
  [SMALL_STATE(17765)] = 447618,
  [SMALL_STATE(17766)] = 447625,
  [SMALL_STATE(17767)] = 447632,
  [SMALL_STATE(17768)] = 447639,
  [SMALL_STATE(17769)] = 447646,
  [SMALL_STATE(17770)] = 447653,
  [SMALL_STATE(17771)] = 447660,
  [SMALL_STATE(17772)] = 447667,
  [SMALL_STATE(17773)] = 447674,
  [SMALL_STATE(17774)] = 447681,
  [SMALL_STATE(17775)] = 447688,
  [SMALL_STATE(17776)] = 447695,
  [SMALL_STATE(17777)] = 447702,
  [SMALL_STATE(17778)] = 447709,
  [SMALL_STATE(17779)] = 447716,
  [SMALL_STATE(17780)] = 447723,
  [SMALL_STATE(17781)] = 447730,
  [SMALL_STATE(17782)] = 447737,
  [SMALL_STATE(17783)] = 447744,
  [SMALL_STATE(17784)] = 447751,
  [SMALL_STATE(17785)] = 447758,
  [SMALL_STATE(17786)] = 447765,
  [SMALL_STATE(17787)] = 447772,
  [SMALL_STATE(17788)] = 447779,
  [SMALL_STATE(17789)] = 447786,
  [SMALL_STATE(17790)] = 447793,
  [SMALL_STATE(17791)] = 447800,
  [SMALL_STATE(17792)] = 447807,
  [SMALL_STATE(17793)] = 447814,
  [SMALL_STATE(17794)] = 447821,
  [SMALL_STATE(17795)] = 447828,
  [SMALL_STATE(17796)] = 447835,
  [SMALL_STATE(17797)] = 447842,
  [SMALL_STATE(17798)] = 447849,
  [SMALL_STATE(17799)] = 447856,
  [SMALL_STATE(17800)] = 447863,
  [SMALL_STATE(17801)] = 447870,
  [SMALL_STATE(17802)] = 447877,
  [SMALL_STATE(17803)] = 447884,
  [SMALL_STATE(17804)] = 447891,
  [SMALL_STATE(17805)] = 447898,
  [SMALL_STATE(17806)] = 447905,
  [SMALL_STATE(17807)] = 447912,
  [SMALL_STATE(17808)] = 447919,
  [SMALL_STATE(17809)] = 447926,
  [SMALL_STATE(17810)] = 447933,
  [SMALL_STATE(17811)] = 447940,
  [SMALL_STATE(17812)] = 447947,
  [SMALL_STATE(17813)] = 447954,
  [SMALL_STATE(17814)] = 447961,
  [SMALL_STATE(17815)] = 447968,
  [SMALL_STATE(17816)] = 447975,
  [SMALL_STATE(17817)] = 447982,
  [SMALL_STATE(17818)] = 447989,
  [SMALL_STATE(17819)] = 447996,
  [SMALL_STATE(17820)] = 448003,
  [SMALL_STATE(17821)] = 448010,
  [SMALL_STATE(17822)] = 448017,
  [SMALL_STATE(17823)] = 448024,
  [SMALL_STATE(17824)] = 448031,
  [SMALL_STATE(17825)] = 448038,
  [SMALL_STATE(17826)] = 448045,
  [SMALL_STATE(17827)] = 448052,
  [SMALL_STATE(17828)] = 448059,
  [SMALL_STATE(17829)] = 448066,
  [SMALL_STATE(17830)] = 448073,
  [SMALL_STATE(17831)] = 448080,
  [SMALL_STATE(17832)] = 448087,
  [SMALL_STATE(17833)] = 448094,
  [SMALL_STATE(17834)] = 448101,
  [SMALL_STATE(17835)] = 448108,
  [SMALL_STATE(17836)] = 448115,
  [SMALL_STATE(17837)] = 448122,
  [SMALL_STATE(17838)] = 448129,
  [SMALL_STATE(17839)] = 448136,
  [SMALL_STATE(17840)] = 448143,
  [SMALL_STATE(17841)] = 448150,
  [SMALL_STATE(17842)] = 448157,
  [SMALL_STATE(17843)] = 448164,
  [SMALL_STATE(17844)] = 448171,
  [SMALL_STATE(17845)] = 448178,
  [SMALL_STATE(17846)] = 448185,
  [SMALL_STATE(17847)] = 448192,
  [SMALL_STATE(17848)] = 448199,
  [SMALL_STATE(17849)] = 448206,
  [SMALL_STATE(17850)] = 448213,
  [SMALL_STATE(17851)] = 448220,
  [SMALL_STATE(17852)] = 448227,
  [SMALL_STATE(17853)] = 448234,
  [SMALL_STATE(17854)] = 448241,
  [SMALL_STATE(17855)] = 448248,
  [SMALL_STATE(17856)] = 448255,
  [SMALL_STATE(17857)] = 448262,
  [SMALL_STATE(17858)] = 448269,
  [SMALL_STATE(17859)] = 448276,
  [SMALL_STATE(17860)] = 448283,
  [SMALL_STATE(17861)] = 448290,
  [SMALL_STATE(17862)] = 448297,
  [SMALL_STATE(17863)] = 448304,
  [SMALL_STATE(17864)] = 448311,
  [SMALL_STATE(17865)] = 448318,
  [SMALL_STATE(17866)] = 448325,
  [SMALL_STATE(17867)] = 448332,
  [SMALL_STATE(17868)] = 448339,
  [SMALL_STATE(17869)] = 448346,
  [SMALL_STATE(17870)] = 448353,
  [SMALL_STATE(17871)] = 448360,
  [SMALL_STATE(17872)] = 448367,
  [SMALL_STATE(17873)] = 448374,
  [SMALL_STATE(17874)] = 448381,
  [SMALL_STATE(17875)] = 448388,
  [SMALL_STATE(17876)] = 448395,
  [SMALL_STATE(17877)] = 448402,
  [SMALL_STATE(17878)] = 448409,
  [SMALL_STATE(17879)] = 448416,
  [SMALL_STATE(17880)] = 448423,
  [SMALL_STATE(17881)] = 448430,
  [SMALL_STATE(17882)] = 448437,
  [SMALL_STATE(17883)] = 448444,
  [SMALL_STATE(17884)] = 448451,
  [SMALL_STATE(17885)] = 448458,
  [SMALL_STATE(17886)] = 448465,
  [SMALL_STATE(17887)] = 448472,
  [SMALL_STATE(17888)] = 448479,
  [SMALL_STATE(17889)] = 448486,
  [SMALL_STATE(17890)] = 448493,
  [SMALL_STATE(17891)] = 448500,
  [SMALL_STATE(17892)] = 448507,
  [SMALL_STATE(17893)] = 448514,
  [SMALL_STATE(17894)] = 448521,
  [SMALL_STATE(17895)] = 448528,
  [SMALL_STATE(17896)] = 448535,
  [SMALL_STATE(17897)] = 448542,
  [SMALL_STATE(17898)] = 448549,
  [SMALL_STATE(17899)] = 448556,
  [SMALL_STATE(17900)] = 448563,
  [SMALL_STATE(17901)] = 448570,
  [SMALL_STATE(17902)] = 448577,
  [SMALL_STATE(17903)] = 448584,
  [SMALL_STATE(17904)] = 448591,
  [SMALL_STATE(17905)] = 448598,
  [SMALL_STATE(17906)] = 448605,
  [SMALL_STATE(17907)] = 448612,
  [SMALL_STATE(17908)] = 448619,
  [SMALL_STATE(17909)] = 448626,
  [SMALL_STATE(17910)] = 448633,
  [SMALL_STATE(17911)] = 448640,
  [SMALL_STATE(17912)] = 448647,
  [SMALL_STATE(17913)] = 448654,
  [SMALL_STATE(17914)] = 448661,
  [SMALL_STATE(17915)] = 448668,
  [SMALL_STATE(17916)] = 448675,
  [SMALL_STATE(17917)] = 448682,
  [SMALL_STATE(17918)] = 448689,
  [SMALL_STATE(17919)] = 448696,
  [SMALL_STATE(17920)] = 448703,
  [SMALL_STATE(17921)] = 448710,
  [SMALL_STATE(17922)] = 448717,
  [SMALL_STATE(17923)] = 448724,
  [SMALL_STATE(17924)] = 448731,
  [SMALL_STATE(17925)] = 448738,
  [SMALL_STATE(17926)] = 448745,
  [SMALL_STATE(17927)] = 448752,
  [SMALL_STATE(17928)] = 448759,
  [SMALL_STATE(17929)] = 448766,
  [SMALL_STATE(17930)] = 448773,
  [SMALL_STATE(17931)] = 448780,
  [SMALL_STATE(17932)] = 448787,
  [SMALL_STATE(17933)] = 448794,
  [SMALL_STATE(17934)] = 448801,
  [SMALL_STATE(17935)] = 448808,
  [SMALL_STATE(17936)] = 448815,
  [SMALL_STATE(17937)] = 448822,
  [SMALL_STATE(17938)] = 448829,
  [SMALL_STATE(17939)] = 448836,
  [SMALL_STATE(17940)] = 448843,
  [SMALL_STATE(17941)] = 448850,
  [SMALL_STATE(17942)] = 448857,
  [SMALL_STATE(17943)] = 448864,
  [SMALL_STATE(17944)] = 448871,
  [SMALL_STATE(17945)] = 448878,
  [SMALL_STATE(17946)] = 448885,
  [SMALL_STATE(17947)] = 448892,
  [SMALL_STATE(17948)] = 448899,
  [SMALL_STATE(17949)] = 448906,
  [SMALL_STATE(17950)] = 448913,
  [SMALL_STATE(17951)] = 448920,
  [SMALL_STATE(17952)] = 448927,
  [SMALL_STATE(17953)] = 448934,
  [SMALL_STATE(17954)] = 448941,
  [SMALL_STATE(17955)] = 448948,
  [SMALL_STATE(17956)] = 448955,
  [SMALL_STATE(17957)] = 448962,
  [SMALL_STATE(17958)] = 448969,
  [SMALL_STATE(17959)] = 448976,
  [SMALL_STATE(17960)] = 448983,
  [SMALL_STATE(17961)] = 448990,
  [SMALL_STATE(17962)] = 448997,
  [SMALL_STATE(17963)] = 449004,
  [SMALL_STATE(17964)] = 449011,
  [SMALL_STATE(17965)] = 449018,
  [SMALL_STATE(17966)] = 449025,
  [SMALL_STATE(17967)] = 449032,
  [SMALL_STATE(17968)] = 449039,
  [SMALL_STATE(17969)] = 449046,
  [SMALL_STATE(17970)] = 449053,
  [SMALL_STATE(17971)] = 449060,
  [SMALL_STATE(17972)] = 449067,
  [SMALL_STATE(17973)] = 449074,
  [SMALL_STATE(17974)] = 449081,
  [SMALL_STATE(17975)] = 449088,
  [SMALL_STATE(17976)] = 449095,
  [SMALL_STATE(17977)] = 449102,
  [SMALL_STATE(17978)] = 449109,
  [SMALL_STATE(17979)] = 449116,
  [SMALL_STATE(17980)] = 449123,
  [SMALL_STATE(17981)] = 449130,
  [SMALL_STATE(17982)] = 449137,
  [SMALL_STATE(17983)] = 449144,
  [SMALL_STATE(17984)] = 449151,
  [SMALL_STATE(17985)] = 449158,
  [SMALL_STATE(17986)] = 449165,
  [SMALL_STATE(17987)] = 449172,
  [SMALL_STATE(17988)] = 449179,
  [SMALL_STATE(17989)] = 449186,
  [SMALL_STATE(17990)] = 449193,
  [SMALL_STATE(17991)] = 449200,
  [SMALL_STATE(17992)] = 449207,
  [SMALL_STATE(17993)] = 449214,
  [SMALL_STATE(17994)] = 449221,
  [SMALL_STATE(17995)] = 449228,
  [SMALL_STATE(17996)] = 449235,
  [SMALL_STATE(17997)] = 449242,
  [SMALL_STATE(17998)] = 449249,
  [SMALL_STATE(17999)] = 449256,
  [SMALL_STATE(18000)] = 449263,
  [SMALL_STATE(18001)] = 449270,
  [SMALL_STATE(18002)] = 449277,
  [SMALL_STATE(18003)] = 449284,
  [SMALL_STATE(18004)] = 449291,
  [SMALL_STATE(18005)] = 449298,
  [SMALL_STATE(18006)] = 449305,
  [SMALL_STATE(18007)] = 449312,
  [SMALL_STATE(18008)] = 449319,
  [SMALL_STATE(18009)] = 449326,
  [SMALL_STATE(18010)] = 449333,
  [SMALL_STATE(18011)] = 449340,
  [SMALL_STATE(18012)] = 449347,
  [SMALL_STATE(18013)] = 449354,
  [SMALL_STATE(18014)] = 449361,
  [SMALL_STATE(18015)] = 449368,
  [SMALL_STATE(18016)] = 449375,
  [SMALL_STATE(18017)] = 449382,
  [SMALL_STATE(18018)] = 449389,
  [SMALL_STATE(18019)] = 449396,
  [SMALL_STATE(18020)] = 449403,
  [SMALL_STATE(18021)] = 449410,
  [SMALL_STATE(18022)] = 449417,
  [SMALL_STATE(18023)] = 449424,
  [SMALL_STATE(18024)] = 449431,
  [SMALL_STATE(18025)] = 449438,
  [SMALL_STATE(18026)] = 449445,
  [SMALL_STATE(18027)] = 449452,
  [SMALL_STATE(18028)] = 449459,
  [SMALL_STATE(18029)] = 449466,
  [SMALL_STATE(18030)] = 449473,
  [SMALL_STATE(18031)] = 449480,
  [SMALL_STATE(18032)] = 449487,
  [SMALL_STATE(18033)] = 449494,
  [SMALL_STATE(18034)] = 449501,
  [SMALL_STATE(18035)] = 449508,
  [SMALL_STATE(18036)] = 449515,
  [SMALL_STATE(18037)] = 449522,
  [SMALL_STATE(18038)] = 449529,
  [SMALL_STATE(18039)] = 449536,
  [SMALL_STATE(18040)] = 449543,
  [SMALL_STATE(18041)] = 449550,
  [SMALL_STATE(18042)] = 449557,
  [SMALL_STATE(18043)] = 449564,
  [SMALL_STATE(18044)] = 449571,
  [SMALL_STATE(18045)] = 449578,
  [SMALL_STATE(18046)] = 449585,
  [SMALL_STATE(18047)] = 449592,
  [SMALL_STATE(18048)] = 449599,
  [SMALL_STATE(18049)] = 449606,
  [SMALL_STATE(18050)] = 449613,
  [SMALL_STATE(18051)] = 449620,
  [SMALL_STATE(18052)] = 449627,
  [SMALL_STATE(18053)] = 449634,
  [SMALL_STATE(18054)] = 449641,
  [SMALL_STATE(18055)] = 449648,
  [SMALL_STATE(18056)] = 449655,
  [SMALL_STATE(18057)] = 449662,
  [SMALL_STATE(18058)] = 449669,
  [SMALL_STATE(18059)] = 449676,
  [SMALL_STATE(18060)] = 449683,
  [SMALL_STATE(18061)] = 449690,
  [SMALL_STATE(18062)] = 449697,
  [SMALL_STATE(18063)] = 449704,
  [SMALL_STATE(18064)] = 449711,
  [SMALL_STATE(18065)] = 449718,
  [SMALL_STATE(18066)] = 449725,
  [SMALL_STATE(18067)] = 449732,
  [SMALL_STATE(18068)] = 449739,
  [SMALL_STATE(18069)] = 449746,
  [SMALL_STATE(18070)] = 449753,
  [SMALL_STATE(18071)] = 449760,
  [SMALL_STATE(18072)] = 449767,
  [SMALL_STATE(18073)] = 449774,
  [SMALL_STATE(18074)] = 449781,
  [SMALL_STATE(18075)] = 449788,
  [SMALL_STATE(18076)] = 449795,
  [SMALL_STATE(18077)] = 449802,
  [SMALL_STATE(18078)] = 449809,
  [SMALL_STATE(18079)] = 449816,
  [SMALL_STATE(18080)] = 449823,
  [SMALL_STATE(18081)] = 449830,
  [SMALL_STATE(18082)] = 449837,
  [SMALL_STATE(18083)] = 449844,
  [SMALL_STATE(18084)] = 449851,
  [SMALL_STATE(18085)] = 449858,
  [SMALL_STATE(18086)] = 449865,
  [SMALL_STATE(18087)] = 449872,
  [SMALL_STATE(18088)] = 449879,
  [SMALL_STATE(18089)] = 449886,
  [SMALL_STATE(18090)] = 449893,
  [SMALL_STATE(18091)] = 449900,
  [SMALL_STATE(18092)] = 449907,
  [SMALL_STATE(18093)] = 449914,
  [SMALL_STATE(18094)] = 449921,
  [SMALL_STATE(18095)] = 449928,
  [SMALL_STATE(18096)] = 449935,
  [SMALL_STATE(18097)] = 449942,
  [SMALL_STATE(18098)] = 449949,
  [SMALL_STATE(18099)] = 449956,
  [SMALL_STATE(18100)] = 449963,
  [SMALL_STATE(18101)] = 449970,
  [SMALL_STATE(18102)] = 449977,
  [SMALL_STATE(18103)] = 449984,
  [SMALL_STATE(18104)] = 449991,
  [SMALL_STATE(18105)] = 449998,
  [SMALL_STATE(18106)] = 450005,
  [SMALL_STATE(18107)] = 450012,
  [SMALL_STATE(18108)] = 450019,
  [SMALL_STATE(18109)] = 450026,
  [SMALL_STATE(18110)] = 450033,
  [SMALL_STATE(18111)] = 450040,
  [SMALL_STATE(18112)] = 450047,
  [SMALL_STATE(18113)] = 450054,
  [SMALL_STATE(18114)] = 450061,
  [SMALL_STATE(18115)] = 450068,
  [SMALL_STATE(18116)] = 450075,
  [SMALL_STATE(18117)] = 450082,
  [SMALL_STATE(18118)] = 450089,
  [SMALL_STATE(18119)] = 450096,
  [SMALL_STATE(18120)] = 450103,
  [SMALL_STATE(18121)] = 450110,
  [SMALL_STATE(18122)] = 450117,
  [SMALL_STATE(18123)] = 450124,
  [SMALL_STATE(18124)] = 450131,
  [SMALL_STATE(18125)] = 450138,
  [SMALL_STATE(18126)] = 450145,
  [SMALL_STATE(18127)] = 450152,
  [SMALL_STATE(18128)] = 450159,
  [SMALL_STATE(18129)] = 450166,
  [SMALL_STATE(18130)] = 450173,
  [SMALL_STATE(18131)] = 450180,
  [SMALL_STATE(18132)] = 450187,
  [SMALL_STATE(18133)] = 450194,
  [SMALL_STATE(18134)] = 450201,
  [SMALL_STATE(18135)] = 450208,
  [SMALL_STATE(18136)] = 450215,
  [SMALL_STATE(18137)] = 450222,
  [SMALL_STATE(18138)] = 450229,
  [SMALL_STATE(18139)] = 450236,
  [SMALL_STATE(18140)] = 450243,
  [SMALL_STATE(18141)] = 450250,
  [SMALL_STATE(18142)] = 450257,
  [SMALL_STATE(18143)] = 450264,
  [SMALL_STATE(18144)] = 450271,
  [SMALL_STATE(18145)] = 450278,
  [SMALL_STATE(18146)] = 450285,
  [SMALL_STATE(18147)] = 450292,
  [SMALL_STATE(18148)] = 450299,
  [SMALL_STATE(18149)] = 450306,
  [SMALL_STATE(18150)] = 450313,
  [SMALL_STATE(18151)] = 450320,
  [SMALL_STATE(18152)] = 450327,
  [SMALL_STATE(18153)] = 450334,
  [SMALL_STATE(18154)] = 450341,
  [SMALL_STATE(18155)] = 450348,
  [SMALL_STATE(18156)] = 450355,
  [SMALL_STATE(18157)] = 450362,
  [SMALL_STATE(18158)] = 450369,
  [SMALL_STATE(18159)] = 450376,
  [SMALL_STATE(18160)] = 450383,
  [SMALL_STATE(18161)] = 450390,
  [SMALL_STATE(18162)] = 450397,
  [SMALL_STATE(18163)] = 450404,
  [SMALL_STATE(18164)] = 450411,
  [SMALL_STATE(18165)] = 450418,
  [SMALL_STATE(18166)] = 450425,
  [SMALL_STATE(18167)] = 450432,
  [SMALL_STATE(18168)] = 450439,
  [SMALL_STATE(18169)] = 450446,
  [SMALL_STATE(18170)] = 450453,
  [SMALL_STATE(18171)] = 450460,
  [SMALL_STATE(18172)] = 450467,
  [SMALL_STATE(18173)] = 450474,
  [SMALL_STATE(18174)] = 450481,
  [SMALL_STATE(18175)] = 450488,
  [SMALL_STATE(18176)] = 450495,
  [SMALL_STATE(18177)] = 450502,
  [SMALL_STATE(18178)] = 450509,
  [SMALL_STATE(18179)] = 450516,
  [SMALL_STATE(18180)] = 450523,
  [SMALL_STATE(18181)] = 450530,
  [SMALL_STATE(18182)] = 450537,
  [SMALL_STATE(18183)] = 450544,
  [SMALL_STATE(18184)] = 450551,
  [SMALL_STATE(18185)] = 450558,
  [SMALL_STATE(18186)] = 450565,
  [SMALL_STATE(18187)] = 450572,
  [SMALL_STATE(18188)] = 450579,
  [SMALL_STATE(18189)] = 450586,
  [SMALL_STATE(18190)] = 450593,
  [SMALL_STATE(18191)] = 450600,
  [SMALL_STATE(18192)] = 450607,
  [SMALL_STATE(18193)] = 450614,
  [SMALL_STATE(18194)] = 450621,
  [SMALL_STATE(18195)] = 450628,
  [SMALL_STATE(18196)] = 450635,
  [SMALL_STATE(18197)] = 450642,
  [SMALL_STATE(18198)] = 450649,
  [SMALL_STATE(18199)] = 450656,
  [SMALL_STATE(18200)] = 450663,
  [SMALL_STATE(18201)] = 450670,
  [SMALL_STATE(18202)] = 450677,
  [SMALL_STATE(18203)] = 450684,
  [SMALL_STATE(18204)] = 450691,
  [SMALL_STATE(18205)] = 450698,
  [SMALL_STATE(18206)] = 450705,
  [SMALL_STATE(18207)] = 450712,
  [SMALL_STATE(18208)] = 450719,
  [SMALL_STATE(18209)] = 450726,
  [SMALL_STATE(18210)] = 450733,
  [SMALL_STATE(18211)] = 450740,
  [SMALL_STATE(18212)] = 450747,
  [SMALL_STATE(18213)] = 450754,
  [SMALL_STATE(18214)] = 450761,
  [SMALL_STATE(18215)] = 450768,
  [SMALL_STATE(18216)] = 450775,
  [SMALL_STATE(18217)] = 450782,
  [SMALL_STATE(18218)] = 450789,
  [SMALL_STATE(18219)] = 450796,
  [SMALL_STATE(18220)] = 450803,
  [SMALL_STATE(18221)] = 450810,
  [SMALL_STATE(18222)] = 450817,
  [SMALL_STATE(18223)] = 450824,
  [SMALL_STATE(18224)] = 450831,
  [SMALL_STATE(18225)] = 450838,
  [SMALL_STATE(18226)] = 450845,
  [SMALL_STATE(18227)] = 450852,
  [SMALL_STATE(18228)] = 450859,
  [SMALL_STATE(18229)] = 450866,
  [SMALL_STATE(18230)] = 450873,
  [SMALL_STATE(18231)] = 450880,
  [SMALL_STATE(18232)] = 450887,
  [SMALL_STATE(18233)] = 450894,
  [SMALL_STATE(18234)] = 450901,
  [SMALL_STATE(18235)] = 450908,
  [SMALL_STATE(18236)] = 450915,
  [SMALL_STATE(18237)] = 450922,
  [SMALL_STATE(18238)] = 450929,
  [SMALL_STATE(18239)] = 450936,
  [SMALL_STATE(18240)] = 450943,
  [SMALL_STATE(18241)] = 450950,
  [SMALL_STATE(18242)] = 450957,
  [SMALL_STATE(18243)] = 450964,
  [SMALL_STATE(18244)] = 450971,
  [SMALL_STATE(18245)] = 450978,
  [SMALL_STATE(18246)] = 450985,
  [SMALL_STATE(18247)] = 450992,
  [SMALL_STATE(18248)] = 450999,
  [SMALL_STATE(18249)] = 451006,
  [SMALL_STATE(18250)] = 451013,
  [SMALL_STATE(18251)] = 451020,
  [SMALL_STATE(18252)] = 451027,
  [SMALL_STATE(18253)] = 451034,
  [SMALL_STATE(18254)] = 451041,
  [SMALL_STATE(18255)] = 451048,
  [SMALL_STATE(18256)] = 451055,
  [SMALL_STATE(18257)] = 451062,
  [SMALL_STATE(18258)] = 451069,
  [SMALL_STATE(18259)] = 451076,
  [SMALL_STATE(18260)] = 451083,
  [SMALL_STATE(18261)] = 451090,
  [SMALL_STATE(18262)] = 451097,
  [SMALL_STATE(18263)] = 451104,
  [SMALL_STATE(18264)] = 451111,
  [SMALL_STATE(18265)] = 451118,
  [SMALL_STATE(18266)] = 451125,
  [SMALL_STATE(18267)] = 451132,
  [SMALL_STATE(18268)] = 451139,
  [SMALL_STATE(18269)] = 451146,
  [SMALL_STATE(18270)] = 451153,
  [SMALL_STATE(18271)] = 451160,
  [SMALL_STATE(18272)] = 451167,
  [SMALL_STATE(18273)] = 451174,
  [SMALL_STATE(18274)] = 451181,
  [SMALL_STATE(18275)] = 451188,
  [SMALL_STATE(18276)] = 451195,
  [SMALL_STATE(18277)] = 451202,
  [SMALL_STATE(18278)] = 451209,
  [SMALL_STATE(18279)] = 451216,
  [SMALL_STATE(18280)] = 451223,
  [SMALL_STATE(18281)] = 451230,
  [SMALL_STATE(18282)] = 451237,
  [SMALL_STATE(18283)] = 451244,
  [SMALL_STATE(18284)] = 451251,
  [SMALL_STATE(18285)] = 451258,
  [SMALL_STATE(18286)] = 451265,
  [SMALL_STATE(18287)] = 451272,
  [SMALL_STATE(18288)] = 451279,
  [SMALL_STATE(18289)] = 451286,
  [SMALL_STATE(18290)] = 451293,
  [SMALL_STATE(18291)] = 451300,
  [SMALL_STATE(18292)] = 451307,
  [SMALL_STATE(18293)] = 451314,
  [SMALL_STATE(18294)] = 451321,
  [SMALL_STATE(18295)] = 451328,
  [SMALL_STATE(18296)] = 451335,
  [SMALL_STATE(18297)] = 451342,
  [SMALL_STATE(18298)] = 451349,
  [SMALL_STATE(18299)] = 451356,
  [SMALL_STATE(18300)] = 451363,
  [SMALL_STATE(18301)] = 451370,
  [SMALL_STATE(18302)] = 451377,
  [SMALL_STATE(18303)] = 451384,
  [SMALL_STATE(18304)] = 451391,
  [SMALL_STATE(18305)] = 451398,
  [SMALL_STATE(18306)] = 451405,
  [SMALL_STATE(18307)] = 451412,
  [SMALL_STATE(18308)] = 451419,
  [SMALL_STATE(18309)] = 451426,
  [SMALL_STATE(18310)] = 451433,
  [SMALL_STATE(18311)] = 451440,
  [SMALL_STATE(18312)] = 451447,
  [SMALL_STATE(18313)] = 451454,
  [SMALL_STATE(18314)] = 451461,
  [SMALL_STATE(18315)] = 451468,
  [SMALL_STATE(18316)] = 451475,
  [SMALL_STATE(18317)] = 451482,
  [SMALL_STATE(18318)] = 451489,
  [SMALL_STATE(18319)] = 451496,
  [SMALL_STATE(18320)] = 451503,
  [SMALL_STATE(18321)] = 451510,
  [SMALL_STATE(18322)] = 451517,
  [SMALL_STATE(18323)] = 451524,
  [SMALL_STATE(18324)] = 451531,
  [SMALL_STATE(18325)] = 451538,
  [SMALL_STATE(18326)] = 451545,
  [SMALL_STATE(18327)] = 451552,
  [SMALL_STATE(18328)] = 451559,
  [SMALL_STATE(18329)] = 451566,
  [SMALL_STATE(18330)] = 451573,
  [SMALL_STATE(18331)] = 451580,
  [SMALL_STATE(18332)] = 451587,
  [SMALL_STATE(18333)] = 451594,
  [SMALL_STATE(18334)] = 451601,
  [SMALL_STATE(18335)] = 451608,
  [SMALL_STATE(18336)] = 451615,
  [SMALL_STATE(18337)] = 451622,
  [SMALL_STATE(18338)] = 451629,
  [SMALL_STATE(18339)] = 451636,
  [SMALL_STATE(18340)] = 451643,
  [SMALL_STATE(18341)] = 451650,
  [SMALL_STATE(18342)] = 451657,
  [SMALL_STATE(18343)] = 451664,
  [SMALL_STATE(18344)] = 451671,
  [SMALL_STATE(18345)] = 451678,
  [SMALL_STATE(18346)] = 451685,
  [SMALL_STATE(18347)] = 451692,
  [SMALL_STATE(18348)] = 451699,
  [SMALL_STATE(18349)] = 451706,
  [SMALL_STATE(18350)] = 451713,
  [SMALL_STATE(18351)] = 451720,
  [SMALL_STATE(18352)] = 451727,
  [SMALL_STATE(18353)] = 451734,
  [SMALL_STATE(18354)] = 451741,
  [SMALL_STATE(18355)] = 451748,
  [SMALL_STATE(18356)] = 451755,
  [SMALL_STATE(18357)] = 451762,
  [SMALL_STATE(18358)] = 451769,
  [SMALL_STATE(18359)] = 451776,
  [SMALL_STATE(18360)] = 451783,
  [SMALL_STATE(18361)] = 451790,
  [SMALL_STATE(18362)] = 451797,
  [SMALL_STATE(18363)] = 451804,
  [SMALL_STATE(18364)] = 451811,
  [SMALL_STATE(18365)] = 451818,
  [SMALL_STATE(18366)] = 451825,
  [SMALL_STATE(18367)] = 451832,
  [SMALL_STATE(18368)] = 451839,
  [SMALL_STATE(18369)] = 451846,
  [SMALL_STATE(18370)] = 451853,
  [SMALL_STATE(18371)] = 451860,
  [SMALL_STATE(18372)] = 451867,
  [SMALL_STATE(18373)] = 451874,
  [SMALL_STATE(18374)] = 451881,
  [SMALL_STATE(18375)] = 451888,
  [SMALL_STATE(18376)] = 451895,
  [SMALL_STATE(18377)] = 451902,
  [SMALL_STATE(18378)] = 451909,
  [SMALL_STATE(18379)] = 451916,
  [SMALL_STATE(18380)] = 451923,
  [SMALL_STATE(18381)] = 451930,
  [SMALL_STATE(18382)] = 451937,
  [SMALL_STATE(18383)] = 451944,
  [SMALL_STATE(18384)] = 451951,
  [SMALL_STATE(18385)] = 451958,
  [SMALL_STATE(18386)] = 451965,
  [SMALL_STATE(18387)] = 451972,
  [SMALL_STATE(18388)] = 451979,
  [SMALL_STATE(18389)] = 451986,
  [SMALL_STATE(18390)] = 451993,
  [SMALL_STATE(18391)] = 452000,
  [SMALL_STATE(18392)] = 452007,
  [SMALL_STATE(18393)] = 452014,
  [SMALL_STATE(18394)] = 452021,
  [SMALL_STATE(18395)] = 452028,
  [SMALL_STATE(18396)] = 452035,
  [SMALL_STATE(18397)] = 452042,
  [SMALL_STATE(18398)] = 452049,
  [SMALL_STATE(18399)] = 452056,
  [SMALL_STATE(18400)] = 452063,
  [SMALL_STATE(18401)] = 452070,
  [SMALL_STATE(18402)] = 452077,
  [SMALL_STATE(18403)] = 452084,
  [SMALL_STATE(18404)] = 452091,
  [SMALL_STATE(18405)] = 452098,
  [SMALL_STATE(18406)] = 452105,
  [SMALL_STATE(18407)] = 452112,
  [SMALL_STATE(18408)] = 452119,
  [SMALL_STATE(18409)] = 452126,
  [SMALL_STATE(18410)] = 452133,
  [SMALL_STATE(18411)] = 452140,
  [SMALL_STATE(18412)] = 452147,
  [SMALL_STATE(18413)] = 452154,
  [SMALL_STATE(18414)] = 452161,
  [SMALL_STATE(18415)] = 452168,
  [SMALL_STATE(18416)] = 452175,
  [SMALL_STATE(18417)] = 452182,
  [SMALL_STATE(18418)] = 452189,
  [SMALL_STATE(18419)] = 452196,
  [SMALL_STATE(18420)] = 452203,
  [SMALL_STATE(18421)] = 452210,
  [SMALL_STATE(18422)] = 452217,
  [SMALL_STATE(18423)] = 452224,
  [SMALL_STATE(18424)] = 452231,
  [SMALL_STATE(18425)] = 452238,
  [SMALL_STATE(18426)] = 452245,
  [SMALL_STATE(18427)] = 452252,
  [SMALL_STATE(18428)] = 452259,
  [SMALL_STATE(18429)] = 452266,
  [SMALL_STATE(18430)] = 452273,
  [SMALL_STATE(18431)] = 452280,
  [SMALL_STATE(18432)] = 452287,
  [SMALL_STATE(18433)] = 452294,
  [SMALL_STATE(18434)] = 452301,
  [SMALL_STATE(18435)] = 452308,
  [SMALL_STATE(18436)] = 452315,
  [SMALL_STATE(18437)] = 452322,
  [SMALL_STATE(18438)] = 452329,
  [SMALL_STATE(18439)] = 452336,
  [SMALL_STATE(18440)] = 452343,
  [SMALL_STATE(18441)] = 452350,
  [SMALL_STATE(18442)] = 452357,
  [SMALL_STATE(18443)] = 452364,
  [SMALL_STATE(18444)] = 452371,
  [SMALL_STATE(18445)] = 452378,
  [SMALL_STATE(18446)] = 452385,
  [SMALL_STATE(18447)] = 452392,
  [SMALL_STATE(18448)] = 452399,
  [SMALL_STATE(18449)] = 452406,
  [SMALL_STATE(18450)] = 452413,
  [SMALL_STATE(18451)] = 452420,
  [SMALL_STATE(18452)] = 452427,
  [SMALL_STATE(18453)] = 452434,
  [SMALL_STATE(18454)] = 452441,
  [SMALL_STATE(18455)] = 452448,
  [SMALL_STATE(18456)] = 452455,
  [SMALL_STATE(18457)] = 452462,
  [SMALL_STATE(18458)] = 452469,
  [SMALL_STATE(18459)] = 452476,
  [SMALL_STATE(18460)] = 452483,
  [SMALL_STATE(18461)] = 452490,
  [SMALL_STATE(18462)] = 452497,
  [SMALL_STATE(18463)] = 452504,
  [SMALL_STATE(18464)] = 452511,
  [SMALL_STATE(18465)] = 452518,
  [SMALL_STATE(18466)] = 452525,
  [SMALL_STATE(18467)] = 452532,
  [SMALL_STATE(18468)] = 452539,
  [SMALL_STATE(18469)] = 452546,
  [SMALL_STATE(18470)] = 452553,
  [SMALL_STATE(18471)] = 452560,
  [SMALL_STATE(18472)] = 452567,
  [SMALL_STATE(18473)] = 452574,
  [SMALL_STATE(18474)] = 452581,
  [SMALL_STATE(18475)] = 452588,
  [SMALL_STATE(18476)] = 452595,
  [SMALL_STATE(18477)] = 452602,
  [SMALL_STATE(18478)] = 452609,
  [SMALL_STATE(18479)] = 452616,
  [SMALL_STATE(18480)] = 452623,
  [SMALL_STATE(18481)] = 452630,
  [SMALL_STATE(18482)] = 452637,
  [SMALL_STATE(18483)] = 452644,
  [SMALL_STATE(18484)] = 452651,
  [SMALL_STATE(18485)] = 452658,
  [SMALL_STATE(18486)] = 452665,
  [SMALL_STATE(18487)] = 452672,
  [SMALL_STATE(18488)] = 452679,
  [SMALL_STATE(18489)] = 452686,
  [SMALL_STATE(18490)] = 452693,
  [SMALL_STATE(18491)] = 452700,
  [SMALL_STATE(18492)] = 452707,
  [SMALL_STATE(18493)] = 452714,
  [SMALL_STATE(18494)] = 452721,
  [SMALL_STATE(18495)] = 452728,
  [SMALL_STATE(18496)] = 452735,
  [SMALL_STATE(18497)] = 452742,
  [SMALL_STATE(18498)] = 452749,
  [SMALL_STATE(18499)] = 452756,
  [SMALL_STATE(18500)] = 452763,
  [SMALL_STATE(18501)] = 452770,
  [SMALL_STATE(18502)] = 452777,
  [SMALL_STATE(18503)] = 452784,
  [SMALL_STATE(18504)] = 452791,
  [SMALL_STATE(18505)] = 452798,
  [SMALL_STATE(18506)] = 452805,
  [SMALL_STATE(18507)] = 452812,
  [SMALL_STATE(18508)] = 452819,
  [SMALL_STATE(18509)] = 452826,
  [SMALL_STATE(18510)] = 452833,
  [SMALL_STATE(18511)] = 452840,
  [SMALL_STATE(18512)] = 452847,
  [SMALL_STATE(18513)] = 452854,
  [SMALL_STATE(18514)] = 452861,
  [SMALL_STATE(18515)] = 452868,
  [SMALL_STATE(18516)] = 452875,
  [SMALL_STATE(18517)] = 452882,
  [SMALL_STATE(18518)] = 452889,
  [SMALL_STATE(18519)] = 452896,
  [SMALL_STATE(18520)] = 452903,
  [SMALL_STATE(18521)] = 452910,
  [SMALL_STATE(18522)] = 452917,
  [SMALL_STATE(18523)] = 452924,
  [SMALL_STATE(18524)] = 452931,
  [SMALL_STATE(18525)] = 452938,
  [SMALL_STATE(18526)] = 452945,
  [SMALL_STATE(18527)] = 452952,
  [SMALL_STATE(18528)] = 452959,
  [SMALL_STATE(18529)] = 452966,
  [SMALL_STATE(18530)] = 452973,
  [SMALL_STATE(18531)] = 452980,
  [SMALL_STATE(18532)] = 452987,
  [SMALL_STATE(18533)] = 452994,
  [SMALL_STATE(18534)] = 453001,
  [SMALL_STATE(18535)] = 453008,
  [SMALL_STATE(18536)] = 453015,
  [SMALL_STATE(18537)] = 453022,
  [SMALL_STATE(18538)] = 453029,
  [SMALL_STATE(18539)] = 453036,
  [SMALL_STATE(18540)] = 453043,
  [SMALL_STATE(18541)] = 453050,
  [SMALL_STATE(18542)] = 453057,
  [SMALL_STATE(18543)] = 453064,
  [SMALL_STATE(18544)] = 453071,
  [SMALL_STATE(18545)] = 453078,
  [SMALL_STATE(18546)] = 453085,
  [SMALL_STATE(18547)] = 453092,
  [SMALL_STATE(18548)] = 453099,
  [SMALL_STATE(18549)] = 453106,
  [SMALL_STATE(18550)] = 453113,
  [SMALL_STATE(18551)] = 453120,
  [SMALL_STATE(18552)] = 453127,
  [SMALL_STATE(18553)] = 453134,
  [SMALL_STATE(18554)] = 453141,
  [SMALL_STATE(18555)] = 453148,
  [SMALL_STATE(18556)] = 453155,
  [SMALL_STATE(18557)] = 453162,
  [SMALL_STATE(18558)] = 453169,
  [SMALL_STATE(18559)] = 453176,
  [SMALL_STATE(18560)] = 453183,
  [SMALL_STATE(18561)] = 453190,
  [SMALL_STATE(18562)] = 453197,
  [SMALL_STATE(18563)] = 453204,
  [SMALL_STATE(18564)] = 453211,
  [SMALL_STATE(18565)] = 453218,
  [SMALL_STATE(18566)] = 453225,
  [SMALL_STATE(18567)] = 453232,
  [SMALL_STATE(18568)] = 453239,
  [SMALL_STATE(18569)] = 453246,
  [SMALL_STATE(18570)] = 453253,
  [SMALL_STATE(18571)] = 453260,
  [SMALL_STATE(18572)] = 453267,
  [SMALL_STATE(18573)] = 453274,
  [SMALL_STATE(18574)] = 453281,
  [SMALL_STATE(18575)] = 453288,
  [SMALL_STATE(18576)] = 453295,
  [SMALL_STATE(18577)] = 453302,
  [SMALL_STATE(18578)] = 453309,
  [SMALL_STATE(18579)] = 453316,
  [SMALL_STATE(18580)] = 453323,
  [SMALL_STATE(18581)] = 453330,
  [SMALL_STATE(18582)] = 453337,
  [SMALL_STATE(18583)] = 453344,
  [SMALL_STATE(18584)] = 453351,
  [SMALL_STATE(18585)] = 453358,
  [SMALL_STATE(18586)] = 453365,
  [SMALL_STATE(18587)] = 453372,
  [SMALL_STATE(18588)] = 453379,
  [SMALL_STATE(18589)] = 453386,
  [SMALL_STATE(18590)] = 453393,
  [SMALL_STATE(18591)] = 453400,
  [SMALL_STATE(18592)] = 453407,
  [SMALL_STATE(18593)] = 453414,
  [SMALL_STATE(18594)] = 453421,
  [SMALL_STATE(18595)] = 453428,
  [SMALL_STATE(18596)] = 453435,
  [SMALL_STATE(18597)] = 453442,
  [SMALL_STATE(18598)] = 453449,
  [SMALL_STATE(18599)] = 453456,
  [SMALL_STATE(18600)] = 453463,
  [SMALL_STATE(18601)] = 453470,
  [SMALL_STATE(18602)] = 453477,
  [SMALL_STATE(18603)] = 453484,
  [SMALL_STATE(18604)] = 453491,
  [SMALL_STATE(18605)] = 453498,
  [SMALL_STATE(18606)] = 453505,
  [SMALL_STATE(18607)] = 453512,
  [SMALL_STATE(18608)] = 453519,
  [SMALL_STATE(18609)] = 453526,
  [SMALL_STATE(18610)] = 453533,
  [SMALL_STATE(18611)] = 453540,
  [SMALL_STATE(18612)] = 453547,
  [SMALL_STATE(18613)] = 453554,
  [SMALL_STATE(18614)] = 453561,
  [SMALL_STATE(18615)] = 453568,
  [SMALL_STATE(18616)] = 453575,
  [SMALL_STATE(18617)] = 453582,
  [SMALL_STATE(18618)] = 453589,
  [SMALL_STATE(18619)] = 453596,
  [SMALL_STATE(18620)] = 453603,
  [SMALL_STATE(18621)] = 453610,
  [SMALL_STATE(18622)] = 453617,
  [SMALL_STATE(18623)] = 453624,
  [SMALL_STATE(18624)] = 453631,
  [SMALL_STATE(18625)] = 453638,
  [SMALL_STATE(18626)] = 453645,
  [SMALL_STATE(18627)] = 453652,
  [SMALL_STATE(18628)] = 453659,
  [SMALL_STATE(18629)] = 453666,
  [SMALL_STATE(18630)] = 453673,
  [SMALL_STATE(18631)] = 453680,
  [SMALL_STATE(18632)] = 453687,
  [SMALL_STATE(18633)] = 453694,
  [SMALL_STATE(18634)] = 453701,
  [SMALL_STATE(18635)] = 453708,
  [SMALL_STATE(18636)] = 453715,
  [SMALL_STATE(18637)] = 453722,
  [SMALL_STATE(18638)] = 453729,
  [SMALL_STATE(18639)] = 453736,
  [SMALL_STATE(18640)] = 453743,
  [SMALL_STATE(18641)] = 453750,
  [SMALL_STATE(18642)] = 453757,
  [SMALL_STATE(18643)] = 453764,
  [SMALL_STATE(18644)] = 453771,
  [SMALL_STATE(18645)] = 453778,
  [SMALL_STATE(18646)] = 453785,
  [SMALL_STATE(18647)] = 453792,
  [SMALL_STATE(18648)] = 453799,
  [SMALL_STATE(18649)] = 453806,
  [SMALL_STATE(18650)] = 453813,
  [SMALL_STATE(18651)] = 453820,
  [SMALL_STATE(18652)] = 453827,
  [SMALL_STATE(18653)] = 453834,
  [SMALL_STATE(18654)] = 453841,
  [SMALL_STATE(18655)] = 453848,
  [SMALL_STATE(18656)] = 453855,
  [SMALL_STATE(18657)] = 453862,
  [SMALL_STATE(18658)] = 453869,
  [SMALL_STATE(18659)] = 453876,
  [SMALL_STATE(18660)] = 453883,
  [SMALL_STATE(18661)] = 453890,
  [SMALL_STATE(18662)] = 453897,
  [SMALL_STATE(18663)] = 453904,
  [SMALL_STATE(18664)] = 453911,
  [SMALL_STATE(18665)] = 453918,
  [SMALL_STATE(18666)] = 453925,
  [SMALL_STATE(18667)] = 453932,
  [SMALL_STATE(18668)] = 453939,
  [SMALL_STATE(18669)] = 453946,
  [SMALL_STATE(18670)] = 453953,
  [SMALL_STATE(18671)] = 453960,
  [SMALL_STATE(18672)] = 453967,
  [SMALL_STATE(18673)] = 453974,
  [SMALL_STATE(18674)] = 453981,
  [SMALL_STATE(18675)] = 453988,
  [SMALL_STATE(18676)] = 453995,
  [SMALL_STATE(18677)] = 454002,
  [SMALL_STATE(18678)] = 454009,
  [SMALL_STATE(18679)] = 454016,
  [SMALL_STATE(18680)] = 454023,
  [SMALL_STATE(18681)] = 454030,
  [SMALL_STATE(18682)] = 454037,
  [SMALL_STATE(18683)] = 454044,
  [SMALL_STATE(18684)] = 454051,
  [SMALL_STATE(18685)] = 454058,
  [SMALL_STATE(18686)] = 454065,
  [SMALL_STATE(18687)] = 454072,
  [SMALL_STATE(18688)] = 454079,
  [SMALL_STATE(18689)] = 454086,
  [SMALL_STATE(18690)] = 454093,
  [SMALL_STATE(18691)] = 454100,
  [SMALL_STATE(18692)] = 454107,
  [SMALL_STATE(18693)] = 454114,
  [SMALL_STATE(18694)] = 454121,
  [SMALL_STATE(18695)] = 454128,
  [SMALL_STATE(18696)] = 454135,
  [SMALL_STATE(18697)] = 454142,
  [SMALL_STATE(18698)] = 454149,
  [SMALL_STATE(18699)] = 454156,
  [SMALL_STATE(18700)] = 454163,
  [SMALL_STATE(18701)] = 454170,
  [SMALL_STATE(18702)] = 454177,
  [SMALL_STATE(18703)] = 454184,
  [SMALL_STATE(18704)] = 454191,
  [SMALL_STATE(18705)] = 454198,
  [SMALL_STATE(18706)] = 454205,
  [SMALL_STATE(18707)] = 454212,
  [SMALL_STATE(18708)] = 454219,
  [SMALL_STATE(18709)] = 454226,
  [SMALL_STATE(18710)] = 454233,
  [SMALL_STATE(18711)] = 454240,
  [SMALL_STATE(18712)] = 454247,
  [SMALL_STATE(18713)] = 454254,
  [SMALL_STATE(18714)] = 454261,
  [SMALL_STATE(18715)] = 454268,
  [SMALL_STATE(18716)] = 454275,
  [SMALL_STATE(18717)] = 454282,
  [SMALL_STATE(18718)] = 454289,
  [SMALL_STATE(18719)] = 454296,
  [SMALL_STATE(18720)] = 454303,
  [SMALL_STATE(18721)] = 454310,
  [SMALL_STATE(18722)] = 454317,
  [SMALL_STATE(18723)] = 454324,
  [SMALL_STATE(18724)] = 454331,
  [SMALL_STATE(18725)] = 454338,
  [SMALL_STATE(18726)] = 454345,
  [SMALL_STATE(18727)] = 454352,
  [SMALL_STATE(18728)] = 454359,
  [SMALL_STATE(18729)] = 454366,
  [SMALL_STATE(18730)] = 454373,
  [SMALL_STATE(18731)] = 454380,
  [SMALL_STATE(18732)] = 454387,
  [SMALL_STATE(18733)] = 454394,
  [SMALL_STATE(18734)] = 454401,
  [SMALL_STATE(18735)] = 454408,
  [SMALL_STATE(18736)] = 454415,
  [SMALL_STATE(18737)] = 454422,
  [SMALL_STATE(18738)] = 454429,
  [SMALL_STATE(18739)] = 454436,
  [SMALL_STATE(18740)] = 454443,
  [SMALL_STATE(18741)] = 454450,
  [SMALL_STATE(18742)] = 454457,
  [SMALL_STATE(18743)] = 454464,
  [SMALL_STATE(18744)] = 454471,
  [SMALL_STATE(18745)] = 454478,
  [SMALL_STATE(18746)] = 454485,
  [SMALL_STATE(18747)] = 454492,
  [SMALL_STATE(18748)] = 454499,
  [SMALL_STATE(18749)] = 454506,
  [SMALL_STATE(18750)] = 454513,
  [SMALL_STATE(18751)] = 454520,
  [SMALL_STATE(18752)] = 454527,
  [SMALL_STATE(18753)] = 454534,
  [SMALL_STATE(18754)] = 454541,
  [SMALL_STATE(18755)] = 454548,
  [SMALL_STATE(18756)] = 454555,
  [SMALL_STATE(18757)] = 454562,
  [SMALL_STATE(18758)] = 454569,
  [SMALL_STATE(18759)] = 454576,
  [SMALL_STATE(18760)] = 454583,
  [SMALL_STATE(18761)] = 454590,
  [SMALL_STATE(18762)] = 454597,
  [SMALL_STATE(18763)] = 454604,
  [SMALL_STATE(18764)] = 454611,
  [SMALL_STATE(18765)] = 454618,
  [SMALL_STATE(18766)] = 454625,
  [SMALL_STATE(18767)] = 454632,
  [SMALL_STATE(18768)] = 454639,
  [SMALL_STATE(18769)] = 454646,
  [SMALL_STATE(18770)] = 454653,
  [SMALL_STATE(18771)] = 454660,
  [SMALL_STATE(18772)] = 454667,
  [SMALL_STATE(18773)] = 454674,
  [SMALL_STATE(18774)] = 454681,
  [SMALL_STATE(18775)] = 454688,
  [SMALL_STATE(18776)] = 454695,
  [SMALL_STATE(18777)] = 454702,
  [SMALL_STATE(18778)] = 454709,
  [SMALL_STATE(18779)] = 454716,
  [SMALL_STATE(18780)] = 454723,
  [SMALL_STATE(18781)] = 454730,
  [SMALL_STATE(18782)] = 454737,
  [SMALL_STATE(18783)] = 454744,
  [SMALL_STATE(18784)] = 454751,
  [SMALL_STATE(18785)] = 454758,
  [SMALL_STATE(18786)] = 454765,
  [SMALL_STATE(18787)] = 454772,
  [SMALL_STATE(18788)] = 454779,
  [SMALL_STATE(18789)] = 454786,
  [SMALL_STATE(18790)] = 454793,
  [SMALL_STATE(18791)] = 454800,
  [SMALL_STATE(18792)] = 454807,
  [SMALL_STATE(18793)] = 454814,
  [SMALL_STATE(18794)] = 454821,
  [SMALL_STATE(18795)] = 454828,
  [SMALL_STATE(18796)] = 454835,
  [SMALL_STATE(18797)] = 454842,
  [SMALL_STATE(18798)] = 454849,
  [SMALL_STATE(18799)] = 454856,
  [SMALL_STATE(18800)] = 454863,
  [SMALL_STATE(18801)] = 454870,
  [SMALL_STATE(18802)] = 454877,
  [SMALL_STATE(18803)] = 454884,
  [SMALL_STATE(18804)] = 454891,
  [SMALL_STATE(18805)] = 454898,
  [SMALL_STATE(18806)] = 454905,
  [SMALL_STATE(18807)] = 454912,
  [SMALL_STATE(18808)] = 454919,
  [SMALL_STATE(18809)] = 454926,
  [SMALL_STATE(18810)] = 454933,
  [SMALL_STATE(18811)] = 454940,
  [SMALL_STATE(18812)] = 454947,
  [SMALL_STATE(18813)] = 454954,
  [SMALL_STATE(18814)] = 454961,
  [SMALL_STATE(18815)] = 454968,
  [SMALL_STATE(18816)] = 454975,
  [SMALL_STATE(18817)] = 454982,
  [SMALL_STATE(18818)] = 454989,
  [SMALL_STATE(18819)] = 454996,
  [SMALL_STATE(18820)] = 455003,
  [SMALL_STATE(18821)] = 455010,
  [SMALL_STATE(18822)] = 455017,
  [SMALL_STATE(18823)] = 455024,
  [SMALL_STATE(18824)] = 455031,
  [SMALL_STATE(18825)] = 455038,
  [SMALL_STATE(18826)] = 455045,
  [SMALL_STATE(18827)] = 455052,
  [SMALL_STATE(18828)] = 455059,
  [SMALL_STATE(18829)] = 455066,
  [SMALL_STATE(18830)] = 455073,
  [SMALL_STATE(18831)] = 455080,
  [SMALL_STATE(18832)] = 455087,
  [SMALL_STATE(18833)] = 455094,
  [SMALL_STATE(18834)] = 455101,
  [SMALL_STATE(18835)] = 455108,
  [SMALL_STATE(18836)] = 455115,
  [SMALL_STATE(18837)] = 455122,
  [SMALL_STATE(18838)] = 455129,
  [SMALL_STATE(18839)] = 455136,
  [SMALL_STATE(18840)] = 455143,
  [SMALL_STATE(18841)] = 455150,
  [SMALL_STATE(18842)] = 455157,
  [SMALL_STATE(18843)] = 455164,
  [SMALL_STATE(18844)] = 455171,
  [SMALL_STATE(18845)] = 455178,
  [SMALL_STATE(18846)] = 455185,
  [SMALL_STATE(18847)] = 455192,
  [SMALL_STATE(18848)] = 455199,
  [SMALL_STATE(18849)] = 455206,
  [SMALL_STATE(18850)] = 455213,
  [SMALL_STATE(18851)] = 455220,
  [SMALL_STATE(18852)] = 455227,
  [SMALL_STATE(18853)] = 455234,
  [SMALL_STATE(18854)] = 455241,
  [SMALL_STATE(18855)] = 455248,
  [SMALL_STATE(18856)] = 455255,
  [SMALL_STATE(18857)] = 455262,
  [SMALL_STATE(18858)] = 455269,
  [SMALL_STATE(18859)] = 455276,
  [SMALL_STATE(18860)] = 455283,
  [SMALL_STATE(18861)] = 455290,
  [SMALL_STATE(18862)] = 455297,
  [SMALL_STATE(18863)] = 455304,
  [SMALL_STATE(18864)] = 455311,
  [SMALL_STATE(18865)] = 455318,
  [SMALL_STATE(18866)] = 455325,
  [SMALL_STATE(18867)] = 455332,
  [SMALL_STATE(18868)] = 455339,
  [SMALL_STATE(18869)] = 455346,
  [SMALL_STATE(18870)] = 455353,
  [SMALL_STATE(18871)] = 455360,
  [SMALL_STATE(18872)] = 455367,
  [SMALL_STATE(18873)] = 455374,
  [SMALL_STATE(18874)] = 455381,
  [SMALL_STATE(18875)] = 455388,
  [SMALL_STATE(18876)] = 455395,
  [SMALL_STATE(18877)] = 455402,
  [SMALL_STATE(18878)] = 455409,
  [SMALL_STATE(18879)] = 455416,
  [SMALL_STATE(18880)] = 455423,
  [SMALL_STATE(18881)] = 455430,
  [SMALL_STATE(18882)] = 455437,
  [SMALL_STATE(18883)] = 455444,
  [SMALL_STATE(18884)] = 455451,
  [SMALL_STATE(18885)] = 455458,
  [SMALL_STATE(18886)] = 455465,
  [SMALL_STATE(18887)] = 455472,
  [SMALL_STATE(18888)] = 455479,
  [SMALL_STATE(18889)] = 455486,
  [SMALL_STATE(18890)] = 455493,
  [SMALL_STATE(18891)] = 455500,
  [SMALL_STATE(18892)] = 455507,
  [SMALL_STATE(18893)] = 455514,
  [SMALL_STATE(18894)] = 455521,
  [SMALL_STATE(18895)] = 455528,
  [SMALL_STATE(18896)] = 455535,
  [SMALL_STATE(18897)] = 455542,
  [SMALL_STATE(18898)] = 455549,
  [SMALL_STATE(18899)] = 455556,
  [SMALL_STATE(18900)] = 455563,
  [SMALL_STATE(18901)] = 455570,
  [SMALL_STATE(18902)] = 455577,
  [SMALL_STATE(18903)] = 455584,
  [SMALL_STATE(18904)] = 455591,
  [SMALL_STATE(18905)] = 455598,
  [SMALL_STATE(18906)] = 455605,
  [SMALL_STATE(18907)] = 455612,
  [SMALL_STATE(18908)] = 455619,
  [SMALL_STATE(18909)] = 455626,
  [SMALL_STATE(18910)] = 455633,
  [SMALL_STATE(18911)] = 455640,
  [SMALL_STATE(18912)] = 455647,
  [SMALL_STATE(18913)] = 455654,
  [SMALL_STATE(18914)] = 455661,
  [SMALL_STATE(18915)] = 455668,
  [SMALL_STATE(18916)] = 455675,
  [SMALL_STATE(18917)] = 455682,
  [SMALL_STATE(18918)] = 455689,
  [SMALL_STATE(18919)] = 455696,
  [SMALL_STATE(18920)] = 455703,
  [SMALL_STATE(18921)] = 455710,
  [SMALL_STATE(18922)] = 455717,
  [SMALL_STATE(18923)] = 455724,
  [SMALL_STATE(18924)] = 455731,
  [SMALL_STATE(18925)] = 455738,
  [SMALL_STATE(18926)] = 455745,
  [SMALL_STATE(18927)] = 455752,
  [SMALL_STATE(18928)] = 455759,
  [SMALL_STATE(18929)] = 455766,
  [SMALL_STATE(18930)] = 455773,
  [SMALL_STATE(18931)] = 455780,
  [SMALL_STATE(18932)] = 455787,
  [SMALL_STATE(18933)] = 455794,
  [SMALL_STATE(18934)] = 455801,
  [SMALL_STATE(18935)] = 455808,
  [SMALL_STATE(18936)] = 455815,
  [SMALL_STATE(18937)] = 455822,
  [SMALL_STATE(18938)] = 455829,
  [SMALL_STATE(18939)] = 455836,
  [SMALL_STATE(18940)] = 455843,
  [SMALL_STATE(18941)] = 455850,
  [SMALL_STATE(18942)] = 455857,
  [SMALL_STATE(18943)] = 455864,
  [SMALL_STATE(18944)] = 455871,
  [SMALL_STATE(18945)] = 455878,
  [SMALL_STATE(18946)] = 455885,
  [SMALL_STATE(18947)] = 455892,
  [SMALL_STATE(18948)] = 455899,
  [SMALL_STATE(18949)] = 455906,
  [SMALL_STATE(18950)] = 455913,
  [SMALL_STATE(18951)] = 455920,
  [SMALL_STATE(18952)] = 455927,
  [SMALL_STATE(18953)] = 455934,
  [SMALL_STATE(18954)] = 455941,
  [SMALL_STATE(18955)] = 455948,
  [SMALL_STATE(18956)] = 455955,
  [SMALL_STATE(18957)] = 455962,
  [SMALL_STATE(18958)] = 455969,
  [SMALL_STATE(18959)] = 455976,
  [SMALL_STATE(18960)] = 455983,
  [SMALL_STATE(18961)] = 455990,
  [SMALL_STATE(18962)] = 455997,
  [SMALL_STATE(18963)] = 456004,
  [SMALL_STATE(18964)] = 456011,
  [SMALL_STATE(18965)] = 456018,
  [SMALL_STATE(18966)] = 456025,
  [SMALL_STATE(18967)] = 456032,
  [SMALL_STATE(18968)] = 456039,
  [SMALL_STATE(18969)] = 456046,
  [SMALL_STATE(18970)] = 456053,
  [SMALL_STATE(18971)] = 456060,
  [SMALL_STATE(18972)] = 456067,
  [SMALL_STATE(18973)] = 456074,
  [SMALL_STATE(18974)] = 456081,
  [SMALL_STATE(18975)] = 456088,
  [SMALL_STATE(18976)] = 456095,
  [SMALL_STATE(18977)] = 456102,
  [SMALL_STATE(18978)] = 456109,
  [SMALL_STATE(18979)] = 456116,
  [SMALL_STATE(18980)] = 456123,
  [SMALL_STATE(18981)] = 456130,
  [SMALL_STATE(18982)] = 456137,
  [SMALL_STATE(18983)] = 456144,
  [SMALL_STATE(18984)] = 456151,
  [SMALL_STATE(18985)] = 456158,
  [SMALL_STATE(18986)] = 456165,
  [SMALL_STATE(18987)] = 456172,
  [SMALL_STATE(18988)] = 456179,
  [SMALL_STATE(18989)] = 456186,
  [SMALL_STATE(18990)] = 456193,
  [SMALL_STATE(18991)] = 456200,
  [SMALL_STATE(18992)] = 456207,
  [SMALL_STATE(18993)] = 456214,
  [SMALL_STATE(18994)] = 456221,
  [SMALL_STATE(18995)] = 456228,
  [SMALL_STATE(18996)] = 456235,
  [SMALL_STATE(18997)] = 456242,
  [SMALL_STATE(18998)] = 456249,
  [SMALL_STATE(18999)] = 456256,
  [SMALL_STATE(19000)] = 456263,
  [SMALL_STATE(19001)] = 456270,
  [SMALL_STATE(19002)] = 456277,
  [SMALL_STATE(19003)] = 456284,
  [SMALL_STATE(19004)] = 456291,
  [SMALL_STATE(19005)] = 456298,
  [SMALL_STATE(19006)] = 456305,
  [SMALL_STATE(19007)] = 456312,
  [SMALL_STATE(19008)] = 456319,
  [SMALL_STATE(19009)] = 456326,
  [SMALL_STATE(19010)] = 456333,
  [SMALL_STATE(19011)] = 456340,
  [SMALL_STATE(19012)] = 456347,
  [SMALL_STATE(19013)] = 456354,
  [SMALL_STATE(19014)] = 456361,
  [SMALL_STATE(19015)] = 456368,
  [SMALL_STATE(19016)] = 456375,
  [SMALL_STATE(19017)] = 456382,
  [SMALL_STATE(19018)] = 456389,
  [SMALL_STATE(19019)] = 456396,
  [SMALL_STATE(19020)] = 456403,
  [SMALL_STATE(19021)] = 456410,
  [SMALL_STATE(19022)] = 456417,
  [SMALL_STATE(19023)] = 456424,
  [SMALL_STATE(19024)] = 456431,
  [SMALL_STATE(19025)] = 456438,
  [SMALL_STATE(19026)] = 456445,
  [SMALL_STATE(19027)] = 456452,
  [SMALL_STATE(19028)] = 456459,
  [SMALL_STATE(19029)] = 456466,
  [SMALL_STATE(19030)] = 456473,
  [SMALL_STATE(19031)] = 456480,
  [SMALL_STATE(19032)] = 456487,
  [SMALL_STATE(19033)] = 456494,
  [SMALL_STATE(19034)] = 456501,
  [SMALL_STATE(19035)] = 456508,
  [SMALL_STATE(19036)] = 456515,
  [SMALL_STATE(19037)] = 456522,
  [SMALL_STATE(19038)] = 456529,
  [SMALL_STATE(19039)] = 456536,
  [SMALL_STATE(19040)] = 456543,
  [SMALL_STATE(19041)] = 456550,
  [SMALL_STATE(19042)] = 456557,
  [SMALL_STATE(19043)] = 456564,
  [SMALL_STATE(19044)] = 456571,
  [SMALL_STATE(19045)] = 456578,
  [SMALL_STATE(19046)] = 456585,
  [SMALL_STATE(19047)] = 456592,
  [SMALL_STATE(19048)] = 456599,
  [SMALL_STATE(19049)] = 456606,
  [SMALL_STATE(19050)] = 456613,
  [SMALL_STATE(19051)] = 456620,
  [SMALL_STATE(19052)] = 456627,
  [SMALL_STATE(19053)] = 456634,
  [SMALL_STATE(19054)] = 456641,
  [SMALL_STATE(19055)] = 456648,
  [SMALL_STATE(19056)] = 456655,
  [SMALL_STATE(19057)] = 456662,
  [SMALL_STATE(19058)] = 456669,
  [SMALL_STATE(19059)] = 456676,
  [SMALL_STATE(19060)] = 456683,
  [SMALL_STATE(19061)] = 456690,
  [SMALL_STATE(19062)] = 456697,
  [SMALL_STATE(19063)] = 456704,
  [SMALL_STATE(19064)] = 456711,
  [SMALL_STATE(19065)] = 456718,
  [SMALL_STATE(19066)] = 456725,
  [SMALL_STATE(19067)] = 456732,
  [SMALL_STATE(19068)] = 456739,
  [SMALL_STATE(19069)] = 456746,
  [SMALL_STATE(19070)] = 456753,
  [SMALL_STATE(19071)] = 456760,
  [SMALL_STATE(19072)] = 456767,
  [SMALL_STATE(19073)] = 456774,
  [SMALL_STATE(19074)] = 456781,
  [SMALL_STATE(19075)] = 456788,
  [SMALL_STATE(19076)] = 456795,
  [SMALL_STATE(19077)] = 456802,
  [SMALL_STATE(19078)] = 456809,
  [SMALL_STATE(19079)] = 456816,
  [SMALL_STATE(19080)] = 456823,
  [SMALL_STATE(19081)] = 456830,
  [SMALL_STATE(19082)] = 456837,
  [SMALL_STATE(19083)] = 456844,
  [SMALL_STATE(19084)] = 456851,
  [SMALL_STATE(19085)] = 456858,
  [SMALL_STATE(19086)] = 456865,
  [SMALL_STATE(19087)] = 456872,
  [SMALL_STATE(19088)] = 456879,
  [SMALL_STATE(19089)] = 456886,
  [SMALL_STATE(19090)] = 456893,
  [SMALL_STATE(19091)] = 456900,
  [SMALL_STATE(19092)] = 456907,
  [SMALL_STATE(19093)] = 456914,
  [SMALL_STATE(19094)] = 456921,
  [SMALL_STATE(19095)] = 456928,
  [SMALL_STATE(19096)] = 456935,
  [SMALL_STATE(19097)] = 456942,
  [SMALL_STATE(19098)] = 456949,
  [SMALL_STATE(19099)] = 456956,
  [SMALL_STATE(19100)] = 456963,
  [SMALL_STATE(19101)] = 456970,
  [SMALL_STATE(19102)] = 456977,
  [SMALL_STATE(19103)] = 456984,
  [SMALL_STATE(19104)] = 456991,
  [SMALL_STATE(19105)] = 456998,
  [SMALL_STATE(19106)] = 457005,
  [SMALL_STATE(19107)] = 457012,
  [SMALL_STATE(19108)] = 457019,
  [SMALL_STATE(19109)] = 457026,
  [SMALL_STATE(19110)] = 457033,
  [SMALL_STATE(19111)] = 457040,
  [SMALL_STATE(19112)] = 457047,
  [SMALL_STATE(19113)] = 457054,
  [SMALL_STATE(19114)] = 457061,
  [SMALL_STATE(19115)] = 457068,
  [SMALL_STATE(19116)] = 457075,
  [SMALL_STATE(19117)] = 457082,
  [SMALL_STATE(19118)] = 457089,
  [SMALL_STATE(19119)] = 457096,
  [SMALL_STATE(19120)] = 457103,
  [SMALL_STATE(19121)] = 457110,
  [SMALL_STATE(19122)] = 457117,
  [SMALL_STATE(19123)] = 457124,
  [SMALL_STATE(19124)] = 457131,
  [SMALL_STATE(19125)] = 457138,
  [SMALL_STATE(19126)] = 457145,
  [SMALL_STATE(19127)] = 457152,
  [SMALL_STATE(19128)] = 457159,
  [SMALL_STATE(19129)] = 457166,
  [SMALL_STATE(19130)] = 457173,
  [SMALL_STATE(19131)] = 457180,
  [SMALL_STATE(19132)] = 457187,
  [SMALL_STATE(19133)] = 457194,
  [SMALL_STATE(19134)] = 457201,
  [SMALL_STATE(19135)] = 457208,
  [SMALL_STATE(19136)] = 457215,
  [SMALL_STATE(19137)] = 457222,
  [SMALL_STATE(19138)] = 457229,
  [SMALL_STATE(19139)] = 457236,
  [SMALL_STATE(19140)] = 457243,
  [SMALL_STATE(19141)] = 457250,
  [SMALL_STATE(19142)] = 457257,
  [SMALL_STATE(19143)] = 457264,
  [SMALL_STATE(19144)] = 457271,
  [SMALL_STATE(19145)] = 457278,
  [SMALL_STATE(19146)] = 457285,
  [SMALL_STATE(19147)] = 457292,
  [SMALL_STATE(19148)] = 457299,
  [SMALL_STATE(19149)] = 457306,
  [SMALL_STATE(19150)] = 457313,
  [SMALL_STATE(19151)] = 457320,
  [SMALL_STATE(19152)] = 457327,
  [SMALL_STATE(19153)] = 457334,
  [SMALL_STATE(19154)] = 457341,
  [SMALL_STATE(19155)] = 457348,
  [SMALL_STATE(19156)] = 457355,
  [SMALL_STATE(19157)] = 457362,
  [SMALL_STATE(19158)] = 457369,
  [SMALL_STATE(19159)] = 457376,
  [SMALL_STATE(19160)] = 457383,
  [SMALL_STATE(19161)] = 457390,
  [SMALL_STATE(19162)] = 457397,
  [SMALL_STATE(19163)] = 457404,
  [SMALL_STATE(19164)] = 457411,
  [SMALL_STATE(19165)] = 457418,
  [SMALL_STATE(19166)] = 457425,
  [SMALL_STATE(19167)] = 457432,
  [SMALL_STATE(19168)] = 457439,
  [SMALL_STATE(19169)] = 457446,
  [SMALL_STATE(19170)] = 457453,
  [SMALL_STATE(19171)] = 457460,
  [SMALL_STATE(19172)] = 457467,
  [SMALL_STATE(19173)] = 457474,
  [SMALL_STATE(19174)] = 457481,
  [SMALL_STATE(19175)] = 457488,
  [SMALL_STATE(19176)] = 457495,
  [SMALL_STATE(19177)] = 457502,
  [SMALL_STATE(19178)] = 457509,
  [SMALL_STATE(19179)] = 457516,
  [SMALL_STATE(19180)] = 457523,
  [SMALL_STATE(19181)] = 457530,
  [SMALL_STATE(19182)] = 457537,
  [SMALL_STATE(19183)] = 457544,
  [SMALL_STATE(19184)] = 457551,
  [SMALL_STATE(19185)] = 457558,
  [SMALL_STATE(19186)] = 457565,
  [SMALL_STATE(19187)] = 457572,
  [SMALL_STATE(19188)] = 457579,
  [SMALL_STATE(19189)] = 457586,
  [SMALL_STATE(19190)] = 457593,
  [SMALL_STATE(19191)] = 457600,
  [SMALL_STATE(19192)] = 457607,
  [SMALL_STATE(19193)] = 457614,
  [SMALL_STATE(19194)] = 457621,
  [SMALL_STATE(19195)] = 457628,
  [SMALL_STATE(19196)] = 457635,
  [SMALL_STATE(19197)] = 457642,
  [SMALL_STATE(19198)] = 457649,
  [SMALL_STATE(19199)] = 457656,
  [SMALL_STATE(19200)] = 457663,
  [SMALL_STATE(19201)] = 457670,
  [SMALL_STATE(19202)] = 457677,
  [SMALL_STATE(19203)] = 457684,
  [SMALL_STATE(19204)] = 457691,
  [SMALL_STATE(19205)] = 457698,
  [SMALL_STATE(19206)] = 457705,
  [SMALL_STATE(19207)] = 457712,
  [SMALL_STATE(19208)] = 457719,
  [SMALL_STATE(19209)] = 457726,
  [SMALL_STATE(19210)] = 457733,
  [SMALL_STATE(19211)] = 457740,
  [SMALL_STATE(19212)] = 457747,
  [SMALL_STATE(19213)] = 457754,
  [SMALL_STATE(19214)] = 457761,
  [SMALL_STATE(19215)] = 457768,
  [SMALL_STATE(19216)] = 457775,
  [SMALL_STATE(19217)] = 457782,
  [SMALL_STATE(19218)] = 457789,
  [SMALL_STATE(19219)] = 457796,
  [SMALL_STATE(19220)] = 457803,
  [SMALL_STATE(19221)] = 457810,
  [SMALL_STATE(19222)] = 457817,
  [SMALL_STATE(19223)] = 457824,
  [SMALL_STATE(19224)] = 457831,
  [SMALL_STATE(19225)] = 457838,
  [SMALL_STATE(19226)] = 457845,
  [SMALL_STATE(19227)] = 457852,
  [SMALL_STATE(19228)] = 457859,
  [SMALL_STATE(19229)] = 457866,
  [SMALL_STATE(19230)] = 457873,
  [SMALL_STATE(19231)] = 457880,
  [SMALL_STATE(19232)] = 457887,
  [SMALL_STATE(19233)] = 457894,
  [SMALL_STATE(19234)] = 457901,
  [SMALL_STATE(19235)] = 457908,
  [SMALL_STATE(19236)] = 457915,
  [SMALL_STATE(19237)] = 457922,
  [SMALL_STATE(19238)] = 457929,
  [SMALL_STATE(19239)] = 457936,
  [SMALL_STATE(19240)] = 457943,
  [SMALL_STATE(19241)] = 457950,
  [SMALL_STATE(19242)] = 457957,
  [SMALL_STATE(19243)] = 457964,
  [SMALL_STATE(19244)] = 457971,
  [SMALL_STATE(19245)] = 457978,
  [SMALL_STATE(19246)] = 457985,
  [SMALL_STATE(19247)] = 457992,
  [SMALL_STATE(19248)] = 457999,
  [SMALL_STATE(19249)] = 458006,
  [SMALL_STATE(19250)] = 458013,
  [SMALL_STATE(19251)] = 458020,
  [SMALL_STATE(19252)] = 458027,
  [SMALL_STATE(19253)] = 458034,
  [SMALL_STATE(19254)] = 458041,
  [SMALL_STATE(19255)] = 458048,
  [SMALL_STATE(19256)] = 458055,
  [SMALL_STATE(19257)] = 458062,
  [SMALL_STATE(19258)] = 458069,
  [SMALL_STATE(19259)] = 458076,
  [SMALL_STATE(19260)] = 458083,
  [SMALL_STATE(19261)] = 458090,
  [SMALL_STATE(19262)] = 458097,
  [SMALL_STATE(19263)] = 458104,
  [SMALL_STATE(19264)] = 458111,
  [SMALL_STATE(19265)] = 458118,
  [SMALL_STATE(19266)] = 458125,
  [SMALL_STATE(19267)] = 458132,
  [SMALL_STATE(19268)] = 458139,
  [SMALL_STATE(19269)] = 458146,
  [SMALL_STATE(19270)] = 458153,
  [SMALL_STATE(19271)] = 458160,
  [SMALL_STATE(19272)] = 458167,
  [SMALL_STATE(19273)] = 458174,
  [SMALL_STATE(19274)] = 458181,
  [SMALL_STATE(19275)] = 458188,
  [SMALL_STATE(19276)] = 458195,
  [SMALL_STATE(19277)] = 458202,
  [SMALL_STATE(19278)] = 458209,
  [SMALL_STATE(19279)] = 458216,
  [SMALL_STATE(19280)] = 458223,
  [SMALL_STATE(19281)] = 458230,
  [SMALL_STATE(19282)] = 458237,
  [SMALL_STATE(19283)] = 458244,
  [SMALL_STATE(19284)] = 458251,
  [SMALL_STATE(19285)] = 458258,
  [SMALL_STATE(19286)] = 458265,
  [SMALL_STATE(19287)] = 458272,
  [SMALL_STATE(19288)] = 458279,
  [SMALL_STATE(19289)] = 458286,
  [SMALL_STATE(19290)] = 458293,
  [SMALL_STATE(19291)] = 458300,
  [SMALL_STATE(19292)] = 458307,
  [SMALL_STATE(19293)] = 458314,
  [SMALL_STATE(19294)] = 458321,
  [SMALL_STATE(19295)] = 458328,
  [SMALL_STATE(19296)] = 458335,
  [SMALL_STATE(19297)] = 458342,
  [SMALL_STATE(19298)] = 458349,
  [SMALL_STATE(19299)] = 458356,
  [SMALL_STATE(19300)] = 458363,
  [SMALL_STATE(19301)] = 458370,
  [SMALL_STATE(19302)] = 458377,
  [SMALL_STATE(19303)] = 458384,
  [SMALL_STATE(19304)] = 458391,
  [SMALL_STATE(19305)] = 458398,
  [SMALL_STATE(19306)] = 458405,
  [SMALL_STATE(19307)] = 458412,
  [SMALL_STATE(19308)] = 458419,
  [SMALL_STATE(19309)] = 458426,
  [SMALL_STATE(19310)] = 458433,
  [SMALL_STATE(19311)] = 458440,
  [SMALL_STATE(19312)] = 458447,
  [SMALL_STATE(19313)] = 458454,
  [SMALL_STATE(19314)] = 458461,
  [SMALL_STATE(19315)] = 458468,
  [SMALL_STATE(19316)] = 458475,
  [SMALL_STATE(19317)] = 458482,
  [SMALL_STATE(19318)] = 458489,
  [SMALL_STATE(19319)] = 458496,
  [SMALL_STATE(19320)] = 458503,
  [SMALL_STATE(19321)] = 458510,
  [SMALL_STATE(19322)] = 458517,
  [SMALL_STATE(19323)] = 458524,
  [SMALL_STATE(19324)] = 458531,
  [SMALL_STATE(19325)] = 458538,
  [SMALL_STATE(19326)] = 458545,
  [SMALL_STATE(19327)] = 458552,
  [SMALL_STATE(19328)] = 458559,
  [SMALL_STATE(19329)] = 458566,
  [SMALL_STATE(19330)] = 458573,
  [SMALL_STATE(19331)] = 458580,
  [SMALL_STATE(19332)] = 458587,
  [SMALL_STATE(19333)] = 458594,
  [SMALL_STATE(19334)] = 458601,
  [SMALL_STATE(19335)] = 458608,
  [SMALL_STATE(19336)] = 458615,
  [SMALL_STATE(19337)] = 458622,
  [SMALL_STATE(19338)] = 458629,
  [SMALL_STATE(19339)] = 458636,
  [SMALL_STATE(19340)] = 458643,
  [SMALL_STATE(19341)] = 458650,
  [SMALL_STATE(19342)] = 458657,
  [SMALL_STATE(19343)] = 458664,
  [SMALL_STATE(19344)] = 458671,
  [SMALL_STATE(19345)] = 458678,
  [SMALL_STATE(19346)] = 458685,
  [SMALL_STATE(19347)] = 458692,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13312),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11559),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11887),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13127),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13002),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19258),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19248),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16175),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19238),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19236),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [73] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 2, 0, 0),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16226),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6778),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11650),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14237),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19288),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [91] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 2, 0, 0),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19287),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19051),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16144),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16227),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18834),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14831),
  [137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 2, 0, 8),
  [139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 2, 0, 8),
  [141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 3, 0, 0),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 3, 0, 0),
  [145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 3, 0, 8),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 3, 0, 8),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16062),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14311),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19280),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19279),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19007),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16157),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16063),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_clause, 1, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11564),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_clause, 1, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18024),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16003),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14328),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19296),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8611),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13953),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11607),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9941),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16318),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18858),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12753),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19344),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18795),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19295),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19072),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9943),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9942),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9918),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16107),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16001),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9919),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9922),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18228),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15882),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12450),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18659),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12839),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18783),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12873),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18632),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12702),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18551),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12545),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18433),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12458),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18815),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12218),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16467),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12750),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18825),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12779),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18234),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12799),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18467),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12745),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18770),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__aliasable_expression, 1, 0, 0),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12929),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7666),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12041),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14223),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11583),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliasable_expression, 1, 0, 0),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12802),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18578),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12557),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18835),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12279),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18524),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12349),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18740),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12334),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18904),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11902),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12165),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18805),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12477),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18305),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12584),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18757),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12649),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18605),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12202),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18713),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12518),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18497),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12467),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18521),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12277),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18363),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12280),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18399),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12306),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18686),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12220),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18719),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12777),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18584),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12790),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18250),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12273),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18370),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8782),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16218),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14243),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19084),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11376),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17616),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17615),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19126),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19119),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6685),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16073),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16082),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6772),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7156),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19098),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15606),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12636),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18611),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12289),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16520),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16309),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14248),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19290),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6385),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19289),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19058),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6386),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16139),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16344),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18609),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12848),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18787),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12595),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18915),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12302),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18405),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12295),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18692),
  [669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(987),
  [672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(13211),
  [675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11638),
  [678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11887),
  [681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11387),
  [684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(105),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list, 2, 0, 0),
  [691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(109),
  [694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(13127),
  [697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11625),
  [700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11463),
  [703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(13011),
  [706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(16414),
  [709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8310),
  [712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11600),
  [715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(108),
  [718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(864),
  [721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8308),
  [724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8305),
  [727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8304),
  [730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8303),
  [733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(8298),
  [736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(961),
  [739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11376),
  [742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(81),
  [745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11457),
  [748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(19248),
  [751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11633),
  [754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(11464),
  [757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(16231),
  [760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(16175),
  [763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(19164),
  [766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list, 2, 0, 0), SHIFT_REPEAT(19236),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12845),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18638),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12720),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18557),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12413),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18817),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12478),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18503),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12691),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18807),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12358),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18746),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12565),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18439),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13410),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12746),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18797),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12435),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18665),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12463),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18314),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12757),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18774),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12819),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18473),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12406),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18827),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12521),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18837),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12847),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17815),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12300),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18530),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12597),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18761),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13211),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17633),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18499),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 4, 0, 135),
  [911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 4, 0, 135),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 3, 0, 100),
  [915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 3, 0, 100),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12102),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7170),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14578),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16167),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18796),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15192),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15764),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17278),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16944),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18785),
  [975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(987),
  [978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(13211),
  [981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11638),
  [984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11887),
  [987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11387),
  [990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(109),
  [998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(13127),
  [1001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11625),
  [1004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11463),
  [1007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(13011),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(16414),
  [1013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8310),
  [1016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11600),
  [1019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(108),
  [1022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [1025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8308),
  [1028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8305),
  [1031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8304),
  [1034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8303),
  [1037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8298),
  [1040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(961),
  [1043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11376),
  [1046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(81),
  [1049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11457),
  [1052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19248),
  [1055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11633),
  [1058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11464),
  [1061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(16231),
  [1064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(16175),
  [1067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19164),
  [1070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19236),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5572),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17617),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19086),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18462),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16776),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16613),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19128),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [1101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(13312),
  [1104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11559),
  [1107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11425),
  [1110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11640),
  [1113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11446),
  [1116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(13002),
  [1119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19258),
  [1122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(10471),
  [1125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [1128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(83),
  [1131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11443),
  [1134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11563),
  [1137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(11442),
  [1140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(19238),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17454),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19107),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17621),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15876),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_operator, 5, 0, 102),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_operator, 5, 0, 102),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14673),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 12),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 12),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 14),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12929),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 14),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12075),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 5, 0, 103),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 5, 0, 103),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 31),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 31),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11545),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18635),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 4, 0, 64),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 4, 0, 64),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_operator, 6, 0, 138),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_operator, 6, 0, 138),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_condition, 2, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_condition, 2, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 6, 0, 137),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 6, 0, 137),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14702),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_operator, 4, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_operator, 4, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16048),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14332),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11644),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17771),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11597),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16660),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11606),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18021),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11497),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17521),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12122),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11561),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11494),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19122),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 133),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 133),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 96),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 96),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 96),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 96),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 96),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 96),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 11),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 11),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 61),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 61),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 3, 0, 11),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 3, 0, 11),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 62),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 62),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 133),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 133),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 94),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 94),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 11, 0, 133),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 11, 0, 133),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 94),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 94),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 61),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 61),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 96),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 96),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 96),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 96),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 8, 0, 62),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 8, 0, 62),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 11),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 11),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 61),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 61),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 62),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 62),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 133),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 133),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 11),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 11),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 61),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 61),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 94),
  [1455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 94),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 62),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 62),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 62),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 62),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 94),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 94),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_withoffset, 2, 0, 29),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_withoffset, 2, 0, 29),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14991),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 133),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 133),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 11),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 11),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 94),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 94),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 61),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 61),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 94),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 94),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 61),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 61),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 133),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 133),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 62),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 62),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 7, 0, 11),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 7, 0, 11),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 96),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 96),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_clause, 2, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_clause, 2, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18024),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_withoffset, 4, 0, 29),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_withoffset, 4, 0, 29),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11078),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14913),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 2, 0, 0),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 2, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_chrono, 1, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_chrono, 1, 0, 0),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unnest_clause, 3, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unnest_clause, 3, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 3, 0, 26),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 3, 0, 26),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17281),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 9, 0, 11),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 9, 0, 11),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_json, 2, 0, 0),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_json, 2, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_reference, 2, 0, 0),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_reference, 2, 0, 0),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 11, 0, 94),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 11, 0, 94),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 3, 0, 0),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 3, 0, 0),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_expression, 3, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_expression, 3, 0, 0),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 62),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 62),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_end, 1, 0, 28),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_end, 1, 0, 28),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_expression, 3, 0, 0),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_casewhen_expression, 3, 0, 0),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, 0, 0),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, 0, 0),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 3, 0, 0),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 3, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 10, 0, 61),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 10, 0, 61),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 4, 0, 0),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 4, 0, 0),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 4, 0, 0),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 4, 0, 0),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_expression, 4, 0, 58),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_casewhen_expression, 4, 0, 58),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_expression, 4, 0, 0),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_casewhen_expression, 4, 0, 0),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 5, 0, 0),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 5, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 11, 0, 96),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 11, 0, 96),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_access, 4, 0, 0),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element_access, 4, 0, 0),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 4, 0, 0),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 4, 0, 0),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 5, 0, 89),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 5, 0, 89),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 5, 0, 91),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 5, 0, 91),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_expression, 5, 0, 58),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_casewhen_expression, 5, 0, 58),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 5, 0, 0),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 5, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12037),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 6, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 6, 0, 0),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 2, 0, 11),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 2, 0, 11),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantitve_like_patterns, 3, 0, 104),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quantitve_like_patterns, 3, 0, 104),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 6, 0, 132),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 6, 0, 132),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_alias, 1, 0, 15),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_alias, 1, 0, 15),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantitve_like_patterns, 4, 0, 104),
  [1773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quantitve_like_patterns, 4, 0, 104),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_subexpression, 3, 0, 0),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_subexpression, 3, 0, 0),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 7, 0, 132),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 7, 0, 132),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 3, 0, 27),
  [1785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 3, 0, 27),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_alias, 2, 0, 30),
  [1789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_alias, 2, 0, 30),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 2, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 2, 0, 0),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range_string, 5, 0, 0),
  [1797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__range_string, 5, 0, 0),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 57),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 57),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 90),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 90),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_analytics_clause, 2, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_analytics_clause, 2, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_over_clause, 1, 0, 0),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_over_clause, 1, 0, 0),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 99),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 99),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 6, 0, 131),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 6, 0, 131),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 1, 0, 0),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 1, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_parameter, 1, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_parameter, 1, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_FALSE, 1, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_FALSE, 1, 0, 0),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 2, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 2, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_TRUE, 1, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_TRUE, 1, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NULL, 1, 0, 4),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_NULL, 1, 0, 4),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 12, 0, 133),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 12, 0, 133),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 4, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 4, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 3, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 3, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11321),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16008),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14327),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19300),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19301),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19121),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16099),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16009),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17879),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15872),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16336),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14281),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19308),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19315),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19034),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16065),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16334),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17413),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16232),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14341),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19298),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19297),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19157),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16104),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16228),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18064),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14891),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16311),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14252),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19306),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19311),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18873),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4466),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16069),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16315),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17522),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19100),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19158),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16181),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14268),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19284),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9481),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10495),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19283),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19151),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10441),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10473),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10468),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16153),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16183),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10472),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10470),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18963),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15154),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7143),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16091),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14305),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19302),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7421),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19305),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19159),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7588),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7543),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7564),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16093),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16094),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17728),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15520),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11000),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10888),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8442),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16194),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14256),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19304),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9549),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10511),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19309),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19142),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10474),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10475),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10479),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16076),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16196),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10476),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10477),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17591),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15052),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11342),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10539),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16119),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14297),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19294),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10671),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10978),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19293),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10979),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10982),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10988),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10988),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16112),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16118),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10983),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10983),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10985),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18349),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15365),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5419),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16217),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14241),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19312),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5423),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19317),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19135),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5920),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16031),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16216),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17190),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14948),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16364),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14353),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19265),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19264),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19153),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16225),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16361),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19330),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14593),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19156),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16285),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14219),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19292),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19291),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19065),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16125),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16279),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18492),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14640),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19079),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19155),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16170),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14270),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19314),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7906),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19313),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19149),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7905),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7901),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7889),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16042),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16168),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7897),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7896),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17099),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15179),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16259),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14212),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19310),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19316),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19114),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16018),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16255),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17296),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19093),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 1, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 1, 0, 0),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12057),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16360),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11474),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19110),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11585),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19343),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17906),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18814),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11636),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18348),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11499),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16841),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 2, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_item, 1, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_item, 1, 0, 0),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12119),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_having_clause, 2, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_having_clause, 2, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualify_clause, 2, 0, 0),
  [2931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualify_clause, 2, 0, 0),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11493),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17097),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18057),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11556),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17636),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 1, 0, 0),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 1, 0, 0),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 1, 0, 37),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 1, 0, 37),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15575),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_cluster_clause, 3, 0, 118),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_cluster_clause, 3, 0, 118),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12125),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15230),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_execute_immediate_statement, 3, 0, 0),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_execute_immediate_statement, 3, 0, 0),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12124),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11483),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [3091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17771),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15439),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18021),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12153),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assigment_expression, 3, 0, 0),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assigment_expression, 3, 0, 0),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17521),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16238),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17899),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_clause, 2, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_clause, 2, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11348),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_default, 3, 0, 201),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_default, 3, 0, 201),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_system_time_clause, 2, 0, 0),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_system_time_clause, 2, 0, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 5, 0, 68),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raise_statement, 5, 0, 68),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 4, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_statement, 4, 0, 0),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17401),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12136),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11328),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11313),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14534),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19334),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11533),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18195),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17906),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14766),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19343),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17516),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18348),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18482),
  [3393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 10, 0, 277),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 10, 0, 277),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 12, 0, 280),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 12, 0, 280),
  [3401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 11, 0, 280),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 11, 0, 280),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 11, 0, 277),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 11, 0, 277),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 6, 0, 218),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 6, 0, 218),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 6, 0, 217),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 6, 0, 217),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 4, 0, 0),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 4, 0, 0),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11323),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12094),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11646),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6283),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15824),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_join_operator, 4, 0, 0),
  [3463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_join_operator, 4, 0, 0),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_operation, 1, 0, 36),
  [3467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_operation, 1, 0, 36),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_operation, 1, 0, 0),
  [3471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_operation, 1, 0, 0),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_join_operator, 5, 0, 0),
  [3475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_join_operator, 5, 0, 0),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_condition, 4, 0, 220),
  [3479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_condition, 4, 0, 220),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 3, 0, 0),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 3, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17261),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_join_operator, 3, 0, 0),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_join_operator, 3, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 2, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17636),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_condition, 5, 0, 245),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_join_condition, 5, 0, 245),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_item, 2, 0, 37),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_item, 2, 0, 37),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 2, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_clause, 2, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19345),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15015),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17606),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17605),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16539),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cross_join_operation, 3, 0, 109),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cross_join_operation, 3, 0, 109),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cross_join_operation, 4, 0, 140),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cross_join_operation, 4, 0, 140),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11518),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5652),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16496),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11537),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18491),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11171),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17610),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14876),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17603),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12038),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 6, 0, 0),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [3589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 6, 0, 0),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16453),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 3, 0, 0),
  [3603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 3, 0, 0),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 2, 0, 0),
  [3611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 2, 0, 0),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 4, 0, 0),
  [3615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 4, 0, 0),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 5, 0, 0),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 5, 0, 0),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11623),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18194),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11517),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9460),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16607),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk_expression, 1, 0, 0),
  [3633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asterisk_expression, 1, 0, 0),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11529),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17410),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 3, 0, 23),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 3, 0, 23),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11505),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12283),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18302),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11566),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16492),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 77),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 77),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12489),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all, 1, 0, 0),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18684),
  [3671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all, 1, 0, 0),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18753),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 4, 0, 43),
  [3677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 4, 0, 43),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12304),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk_expression, 2, 0, 0),
  [3683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asterisk_expression, 2, 0, 0),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11624),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6105),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18833),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12093),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11581),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11603),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9676),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18063),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11536),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9720),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17187),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [3759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all, 2, 0, 0),
  [3761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all, 2, 0, 0),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10890),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 7, 0, 0),
  [3779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 7, 0, 0),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18759),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11546),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9718),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16977),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all_except, 4, 0, 110),
  [3799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all_except, 4, 0, 110),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all_except, 5, 0, 142),
  [3803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all_except, 5, 0, 142),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all_replace, 4, 0, 0),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all_replace, 4, 0, 0),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 8, 0, 0),
  [3811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 8, 0, 0),
  [3813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all, 3, 0, 0),
  [3815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all, 3, 0, 0),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 38),
  [3819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 38),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_all_replace, 5, 0, 0),
  [3823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_all_replace, 5, 0, 0),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 3, 0, 0),
  [3827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_clause, 3, 0, 0),
  [3829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliasable_expression, 2, 0, 0),
  [3831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__aliasable_expression, 2, 0, 0),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0),
  [3835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 78),
  [3839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 78),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12490),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12169),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18293),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 123),
  [3851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 123),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12553),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 122),
  [3857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 122),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12552),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 120),
  [3863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 120),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12546),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 12, 0, 277),
  [3869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 12, 0, 277),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 1, 0, 8),
  [3873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 1, 0, 8),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 7, 0, 218),
  [3879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 7, 0, 218),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12784),
  [3883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 4, 0, 44),
  [3885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 4, 0, 44),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12164),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_list, 1, 0, 0),
  [3891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_list, 1, 0, 0),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [3895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0), SHIFT_REPEAT(263),
  [3898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 75),
  [3900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 75),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12475),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 160),
  [3906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 160),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12537),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 7, 0, 217),
  [3912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 7, 0, 217),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12515),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_operator, 13, 0, 280),
  [3920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_operator, 13, 0, 280),
  [3922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_operator, 5, 0, 0),
  [3924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unpivot_operator, 5, 0, 0),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [3928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tablesample_operator, 6, 0, 219),
  [3930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tablesample_operator, 6, 0, 219),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18195),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 9, 0, 0),
  [3936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 9, 0, 0),
  [3938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 3, 0, 161),
  [3940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 3, 0, 161),
  [3942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 4, 0, 0),
  [3944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_clause, 4, 0, 0),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15222),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11575),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10681),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18887),
  [3954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_all, 1, 0, 0),
  [3956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_all, 1, 0, 0),
  [3958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_empty, 2, 0, 0),
  [3960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_empty, 2, 0, 0),
  [3962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_item_sets, 3, 0, 0),
  [3964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_item_sets, 3, 0, 0),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0),
  [3968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0),
  [3970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0),
  [3972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_item_sets, 4, 0, 0),
  [3976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_item_sets, 4, 0, 0),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rollup, 4, 0, 0),
  [3980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rollup, 4, 0, 0),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cube, 4, 0, 0),
  [3984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cube, 4, 0, 0),
  [3986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_sets, 5, 0, 0),
  [3988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_sets, 5, 0, 0),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rollup, 5, 0, 0),
  [3992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rollup, 5, 0, 0),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__direction_keywords, 1, 0, 85),
  [3996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__direction_keywords, 1, 0, 85),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cube, 5, 0, 0),
  [4000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cube, 5, 0, 0),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17182),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping_sets, 6, 0, 0),
  [4008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping_sets, 6, 0, 0),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11352),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nulls_preference, 2, 0, 125),
  [4014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nulls_preference, 2, 0, 125),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nulls_preference, 2, 0, 126),
  [4018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nulls_preference, 2, 0, 126),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 2, 0, 117),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18952),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 2, 0, 117),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16147),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 3, 0, 162),
  [4036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 3, 0, 162),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 160),
  [4040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 160),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12207),
  [4044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by_clause, 4, 0, 0),
  [4046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group_by_clause, 4, 0, 0),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [4053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [4082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 122),
  [4084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 122),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12539),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 123),
  [4090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 123),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12532),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 4, 0, 189),
  [4096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 4, 0, 189),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 120),
  [4104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 120),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12555),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 10, 0, 0),
  [4110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 10, 0, 0),
  [4112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_distinct, 1, 0, 7),
  [4114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_distinct, 1, 0, 7),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 4, 0, 23),
  [4118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 4, 0, 23),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12309),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 78),
  [4124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 78),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12462),
  [4128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 77),
  [4130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 77),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12544),
  [4134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__grouping_list, 2, 0, 0),
  [4136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__grouping_list, 2, 0, 0),
  [4138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 75),
  [4140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 75),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12536),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 43),
  [4146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 43),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12457),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by_clause, 3, 0, 0),
  [4152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group_by_clause, 3, 0, 0),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 44),
  [4156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 44),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12479),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 5, 0, 43),
  [4162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 5, 0, 43),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12455),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11318),
  [4168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_type, 1, 0, 0),
  [4170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_type, 1, 0, 0),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12695),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11522),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18971),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11797),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12716),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12168),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12772),
  [4190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause, 3, 0, 52),
  [4192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause, 3, 0, 52),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 5, 0, 44),
  [4196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 5, 0, 44),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12476),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12191),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 11, 0, 0),
  [4204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 11, 0, 0),
  [4206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 75),
  [4208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 75),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12535),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 4, 0, 23),
  [4218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 4, 0, 23),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12305),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 77),
  [4224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 77),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12542),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_type, 4, 0, 0),
  [4230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_type, 4, 0, 0),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_definition_type_struct, 4, 0, 0),
  [4234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_definition_type_struct, 4, 0, 0),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_definition_type_array, 4, 0, 0),
  [4238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_definition_type_array, 4, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 123),
  [4242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 123),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12533),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_definition_type_struct, 5, 0, 0),
  [4248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_definition_type_struct, 5, 0, 0),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0), SHIFT_REPEAT(347),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12484),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 160),
  [4257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 160),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12203),
  [4261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 122),
  [4263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 122),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12543),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 2, 0, 86),
  [4269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 2, 0, 86),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 78),
  [4273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 78),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12549),
  [4277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 120),
  [4279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 120),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12558),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12875),
  [4285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_type, 5, 0, 0),
  [4287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_type, 5, 0, 0),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_collate_clause, 2, 0, 179),
  [4325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_collate_clause, 2, 0, 179),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 120),
  [4329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 120),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12190),
  [4333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 122),
  [4335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 122),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12200),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit_clause, 2, 0, 0),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limit_clause, 2, 0, 0),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17837),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18627),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 122),
  [4349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 122),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12201),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 5, 0, 23),
  [4355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 5, 0, 23),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12465),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 5, 0, 23),
  [4361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 5, 0, 23),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12473),
  [4365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 123),
  [4367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 123),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12210),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 123),
  [4373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 123),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12211),
  [4377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 78),
  [4379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 78),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12551),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 160),
  [4385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 160),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12287),
  [4389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 78),
  [4391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 78),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12554),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 160),
  [4397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 160),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12292),
  [4401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 77),
  [4403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 77),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12562),
  [4407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 77),
  [4409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 77),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12574),
  [4413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 75),
  [4415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 75),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12579),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 75),
  [4421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 75),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12581),
  [4425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 44),
  [4427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 44),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12540),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 157),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18962),
  [4435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 3, 0, 157),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19222),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 120),
  [4441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 120),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12188),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 44),
  [4447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 44),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12538),
  [4451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0),
  [4453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 2, 0, 0),
  [4455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), SHIFT(18858),
  [4458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0),
  [4460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 3, 0, 0),
  [4462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), REDUCE(sym_query_expr, 3, 0, 0),
  [4465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 2, 0, 0), REDUCE(sym_query_expr, 3, 0, 0),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), SHIFT(18858),
  [4471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0),
  [4473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 4, 0, 0),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), SHIFT(18858),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12162),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11618),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 5, 0, 0),
  [4512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 5, 0, 0),
  [4514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), REDUCE(sym_query_expr, 5, 0, 0),
  [4517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 4, 0, 0), REDUCE(sym_query_expr, 5, 0, 0),
  [4520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 5, 0, 0), SHIFT(18858),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 43),
  [4525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 43),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12527),
  [4529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 43),
  [4531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 43),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12526),
  [4535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), REDUCE(sym_query_expr, 4, 0, 0),
  [4538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 3, 0, 0), REDUCE(sym_query_expr, 4, 0, 0),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 6, 0, 0),
  [4543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 6, 0, 0),
  [4545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 5, 0, 0), REDUCE(sym_query_expr, 6, 0, 0),
  [4548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 5, 0, 0), REDUCE(sym_query_expr, 6, 0, 0),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130),
  [4553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130),
  [4555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130), SHIFT_REPEAT(1700),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18858),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18760),
  [4562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit_clause, 4, 0, 84),
  [4564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_limit_clause, 4, 0, 84),
  [4566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_window_expression, 3, 0, 0),
  [4568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_window_expression, 3, 0, 0),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12029),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [4602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), SHIFT(18353),
  [4605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), SHIFT(18353),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), REDUCE(sym_query_expr, 2, 0, 0),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_query_expr, 1, 0, 0), REDUCE(sym_query_expr, 2, 0, 0),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), SHIFT(18353),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0),
  [4619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 1, 0, 0),
  [4621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), SHIFT(18858),
  [4624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), SHIFT(18353),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16427),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 12, 0, 0),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select, 12, 0, 0),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 3, 0, 129),
  [4635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 3, 0, 129),
  [4637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 3, 0, 128),
  [4639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 3, 0, 128),
  [4641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 3, 0, 127),
  [4643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 3, 0, 127),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 2, 0, 88),
  [4647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 2, 0, 88),
  [4649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 2, 0, 87),
  [4651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 2, 0, 87),
  [4653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause_body, 4, 0, 163),
  [4655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_order_by_clause_body, 4, 0, 163),
  [4657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_clause, 2, 0, 0),
  [4659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_clause, 2, 0, 0),
  [4661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18227),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_enfoce_option, 2, 0, 230),
  [4685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_enfoce_option, 2, 0, 230),
  [4687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130), SHIFT_REPEAT(1593),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12616),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12872),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12863),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12826),
  [4706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_if_exists, 2, 0, 39),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_if_exists, 2, 0, 39),
  [4710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_enfoce_option, 1, 0, 0),
  [4712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_enfoce_option, 1, 0, 0),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12485),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_parameters, 4, 0, 0),
  [4720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_parameters, 4, 0, 0),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12163),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12213),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_key_references, 6, 0, 264),
  [4780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_key_references, 6, 0, 264),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12185),
  [4784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [4787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12699),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12694),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19208),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12676),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_parameters, 3, 0, 0),
  [4806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_parameters, 3, 0, 0),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [4836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 6, 0, 23),
  [4838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 6, 0, 23),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12534),
  [4842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 6, 0, 23),
  [4844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 6, 0, 23),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12528),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_array, 4, 0, 0),
  [4850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_array, 4, 0, 0),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12696),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12690),
  [4856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 155),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18961),
  [4860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 3, 0, 155),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_struct, 1, 0, 0),
  [4864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_struct, 1, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 5, 0, 80),
  [4870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 5, 0, 80),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12492),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18266),
  [4876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_array, 1, 0, 0),
  [4878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_array, 1, 0, 0),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12338),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 184),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18970),
  [4886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 184),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12675),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 77),
  [4892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 77),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12183),
  [4896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 204),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18974),
  [4900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 204),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 237),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18979),
  [4906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 237),
  [4908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 77),
  [4910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 77),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12186),
  [4914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 160),
  [4916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 160),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12374),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 78),
  [4922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 78),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12192),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 78),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 78),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12193),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12488),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 160),
  [4936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 160),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12364),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17834),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 43),
  [4944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 43),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12605),
  [4948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 43),
  [4950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 43),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12587),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 4, 0, 56),
  [4956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_operation, 4, 0, 56),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16301),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16429),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16430),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 4, 0, 55),
  [4966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_operation, 4, 0, 55),
  [4968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 4, 0, 54),
  [4970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_operation, 4, 0, 54),
  [4972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 4, 0, 53),
  [4974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_operation, 4, 0, 53),
  [4976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 4, 0, 46),
  [4978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 4, 0, 46),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12315),
  [4982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 75),
  [4984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 75),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12311),
  [4988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 44),
  [4990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 44),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12576),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12825),
  [4996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 44),
  [4998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 44),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12575),
  [5002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 3, 0, 24),
  [5004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 3, 0, 24),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12285),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12529),
  [5010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 75),
  [5012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 75),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12496),
  [5016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 120),
  [5018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 120),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12275),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 120),
  [5024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 120),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12276),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12189),
  [5030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 122),
  [5032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 122),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12284),
  [5036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 122),
  [5038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 122),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12286),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12869),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12871),
  [5046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 123),
  [5048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 123),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12308),
  [5052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 123),
  [5054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 123),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12312),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12217),
  [5060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 7, 0, 145),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16015),
  [5064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 7, 0, 145),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_struct, 5, 0, 0),
  [5068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_struct, 5, 0, 0),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 223),
  [5072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 223),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 221),
  [5076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 221),
  [5078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 222),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 222),
  [5082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 224),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 224),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 4, 0, 42),
  [5088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 4, 0, 42),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 10, 0, 225),
  [5092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 10, 0, 225),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 231),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18978),
  [5098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 231),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11586),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17294),
  [5104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_expression, 7, 0, 0),
  [5112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_expression, 7, 0, 0),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_struct, 6, 0, 0),
  [5116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_struct, 6, 0, 0),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_expression, 1, 0, 0),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_expression, 1, 0, 0),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition_clause, 2, 0, 0),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition_clause, 2, 0, 0),
  [5126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_item, 1, 0, 0),
  [5128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_item, 1, 0, 0),
  [5130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__base_type, 4, 0, 0),
  [5132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__base_type, 4, 0, 0),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12199),
  [5136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 194),
  [5138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 194),
  [5140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 6, 0, 121),
  [5142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 6, 0, 121),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16297),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12511),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12508),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12194),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12806),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12808),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bqtype, 1, 0, 0),
  [5158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bqtype, 1, 0, 0),
  [5160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 253),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18982),
  [5164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 253),
  [5166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 210),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18975),
  [5170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 210),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12613),
  [5174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 169),
  [5176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 169),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12684),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12614),
  [5182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_like_clause, 2, 0, 73),
  [5184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_like_clause, 2, 0, 73),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 170),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 170),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12680),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12630),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 11, 0, 248),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 11, 0, 248),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_struct, 4, 0, 0),
  [5200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_struct, 4, 0, 0),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12635),
  [5204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 5, 0, 76),
  [5206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 5, 0, 76),
  [5208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 198),
  [5210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 198),
  [5212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_merge_statement_repeat1, 2, 0, 0),
  [5214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(16015),
  [5217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_merge_statement_repeat1, 2, 0, 0),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 197),
  [5221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 197),
  [5223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 196),
  [5225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 196),
  [5227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0),
  [5229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12829),
  [5233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 11, 0, 247),
  [5235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 11, 0, 247),
  [5237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 171),
  [5239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 171),
  [5241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 195),
  [5243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 195),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 172),
  [5247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 172),
  [5249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 8, 0, 173),
  [5251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 8, 0, 173),
  [5253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 9, 0, 193),
  [5255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 9, 0, 193),
  [5257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 4, 0, 45),
  [5259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 4, 0, 45),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12828),
  [5263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 5, 0, 79),
  [5265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 5, 0, 79),
  [5267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 181),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [5271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 181),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12645),
  [5275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 3, 0, 21),
  [5277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 3, 0, 21),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 183),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18969),
  [5283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 183),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12652),
  [5287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_collate_clause, 3, 0, 116),
  [5289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_collate_clause, 3, 0, 116),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12640),
  [5293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_expression, 5, 0, 0),
  [5295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_expression, 5, 0, 0),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12815),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_statement, 7, 0, 144),
  [5301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_statement, 7, 0, 144),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12631),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 154),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18960),
  [5309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 3, 0, 154),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19212),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12814),
  [5315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_expression, 6, 0, 0),
  [5317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_expression, 6, 0, 0),
  [5319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 7, 0, 121),
  [5321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 7, 0, 121),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17363),
  [5325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), SHIFT(18295),
  [5328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 9, 0, 275),
  [5330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 9, 0, 275),
  [5332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 236),
  [5334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 236),
  [5336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 265),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 265),
  [5340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 234),
  [5342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 234),
  [5344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 233),
  [5346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 233),
  [5348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 232),
  [5350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 232),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 7, 0, 23),
  [5354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 7, 0, 23),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12582),
  [5358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 7, 0, 23),
  [5360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 7, 0, 23),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12586),
  [5364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_cluster_clause, 4, 0, 118),
  [5366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_cluster_clause, 4, 0, 118),
  [5368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 10, 0, 279),
  [5370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 10, 0, 279),
  [5372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values_clause, 3, 0, 0),
  [5374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_values_clause, 3, 0, 0),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16240),
  [5378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 5, 0, 43),
  [5380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 5, 0, 43),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17530),
  [5384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_statement, 4, 0, 42),
  [5386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_statement, 4, 0, 42),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [5390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 122),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 122),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12359),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 235),
  [5398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 235),
  [5400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 98),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 256),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 256),
  [5406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), SHIFT(18295),
  [5409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 255),
  [5411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 255),
  [5413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 254),
  [5415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 254),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 263),
  [5419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 263),
  [5421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 252),
  [5423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 252),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [5427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 251),
  [5429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 251),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15430),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 156),
  [5435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 3, 0, 156),
  [5437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 5, 0, 45),
  [5439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 5, 0, 45),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18857),
  [5443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 238),
  [5445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 238),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 6, 0, 79),
  [5449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 6, 0, 79),
  [5451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130), SHIFT_REPEAT(1297),
  [5454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 44),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 44),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12468),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 239),
  [5462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 239),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 262),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 262),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 9, 0, 273),
  [5470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 9, 0, 273),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 160),
  [5474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 160),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12448),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 6, 0, 240),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 6, 0, 240),
  [5482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [5485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 203),
  [5487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 203),
  [5489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 266),
  [5491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 266),
  [5493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), SHIFT(18295),
  [5496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 122),
  [5498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 122),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12350),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 8, 0, 267),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 8, 0, 267),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16496),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 207),
  [5510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 207),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 209),
  [5514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 209),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 211),
  [5518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 211),
  [5520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_statement, 3, 0, 21),
  [5522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_statement, 3, 0, 21),
  [5524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 4, 0, 23),
  [5526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 4, 0, 23),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18213),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 78),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 78),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12281),
  [5536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 160),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 160),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12447),
  [5542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), SHIFT(18295),
  [5545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 178),
  [5547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 178),
  [5549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 180),
  [5551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 180),
  [5553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 6, 0, 82),
  [5555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 6, 0, 82),
  [5557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 6, 0, 77),
  [5559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 6, 0, 77),
  [5561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 123),
  [5563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 123),
  [5565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12388),
  [5567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 43),
  [5569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 43),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12486),
  [5573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 78),
  [5575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 78),
  [5577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12278),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 43),
  [5581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 43),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12487),
  [5585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 123),
  [5587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 123),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12405),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 182),
  [5593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 182),
  [5595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 120),
  [5597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 120),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12337),
  [5601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 120),
  [5603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 120),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12333),
  [5607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 4, 0, 185),
  [5609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 4, 0, 185),
  [5611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_values_clause_repeat1, 2, 0, 0),
  [5613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_values_clause_repeat1, 2, 0, 0),
  [5615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_values_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(16240),
  [5618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 9, 0, 274),
  [5620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 9, 0, 274),
  [5622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 77),
  [5624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 77),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12266),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 77),
  [5630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 77),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12263),
  [5634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 5, 0, 46),
  [5636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 5, 0, 46),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12480),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_statement, 1, 0, 0),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_statement, 1, 0, 0),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 4, 0, 24),
  [5646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 4, 0, 24),
  [5648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12317),
  [5650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 6, 0, 80),
  [5652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 6, 0, 80),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12550),
  [5656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 5, 0, 48),
  [5658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 5, 0, 48),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 6, 0, 76),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 6, 0, 76),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 250),
  [5666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 250),
  [5668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 205),
  [5670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 205),
  [5672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 206),
  [5674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 206),
  [5676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 5, 0, 208),
  [5678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 5, 0, 208),
  [5680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 75),
  [5682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 75),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12247),
  [5686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 44),
  [5688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 44),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12179),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [5694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [5696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values_clause, 2, 0, 0),
  [5698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_values_clause, 2, 0, 0),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [5702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 75),
  [5704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 75),
  [5706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12249),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 7, 0, 257),
  [5710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definition, 7, 0, 257),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 6, 0, 43),
  [5714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 6, 0, 43),
  [5716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 7, 0, 77),
  [5718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 7, 0, 77),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_columns_clause, 3, 0, 6),
  [5722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_columns_clause, 3, 0, 6),
  [5724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 6, 0, 48),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 6, 0, 48),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 7, 0, 76),
  [5730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 7, 0, 76),
  [5732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_element, 3, 0, 0),
  [5734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_element, 3, 0, 0),
  [5736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_statement, 2, 0, 9),
  [5738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_statement, 2, 0, 9),
  [5740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 4, 0, 23),
  [5742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 4, 0, 23),
  [5744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aggregation_threshold_clause, 7, 0, 107),
  [5746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aggregation_threshold_clause, 7, 0, 107),
  [5748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 9, 0, 212),
  [5750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 9, 0, 212),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 7, 0, 82),
  [5754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 7, 0, 82),
  [5756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 6, 0, 45),
  [5758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 6, 0, 45),
  [5760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_differential_privacy_clause, 7, 0, 108),
  [5762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_differential_privacy_clause, 7, 0, 108),
  [5764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_clause, 4, 0, 0),
  [5766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_clause, 4, 0, 0),
  [5768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 8, 0, 121),
  [5770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 8, 0, 121),
  [5772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_into_clause, 3, 0, 0),
  [5774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_into_clause, 3, 0, 0),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11609),
  [5778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 12, 0, 268),
  [5780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 12, 0, 268),
  [5782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_clause, 3, 0, 0),
  [5784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_clause, 3, 0, 0),
  [5786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 6, 0, 75),
  [5788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 6, 0, 75),
  [5790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_partition_clause, 2, 0, 166),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [5794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 8, 0, 146),
  [5796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 8, 0, 146),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16176),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 4, 0, 23),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 4, 0, 23),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 6, 0, 0),
  [5806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 6, 0, 0),
  [5808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 6, 0, 0),
  [5810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 6, 0, 0),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [5814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_clause, 5, 0, 0),
  [5816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option_clause, 5, 0, 0),
  [5818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 5, 0, 42),
  [5820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 5, 0, 42),
  [5822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 5, 0, 43),
  [5824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 5, 0, 43),
  [5826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 5, 0, 43),
  [5828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 5, 0, 43),
  [5830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 6, 0, 43),
  [5832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 6, 0, 43),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17092),
  [5836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 7, 0, 79),
  [5838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 7, 0, 79),
  [5840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 4, 0, 21),
  [5842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 4, 0, 21),
  [5844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 8, 0, 0),
  [5846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 8, 0, 0),
  [5848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11609),
  [5851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 6, 0, 77),
  [5853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 6, 0, 77),
  [5855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 8, 0, 43),
  [5857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 8, 0, 43),
  [5859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transoform_clause, 4, 0, 0),
  [5861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transoform_clause, 4, 0, 0),
  [5863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 5, 0, 23),
  [5865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 5, 0, 23),
  [5867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 8, 0, 111),
  [5869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 8, 0, 111),
  [5871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_update_clause, 3, 0, 260),
  [5873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_update_clause, 3, 0, 260),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_primary_key_action, 3, 0, 113),
  [5879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_primary_key_action, 3, 0, 113),
  [5881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_update_clause, 4, 0, 260),
  [5883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_update_clause, 4, 0, 260),
  [5885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 8, 0, 0),
  [5887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 8, 0, 0),
  [5889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130), SHIFT_REPEAT(948),
  [5892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_differential_privacy_clause, 5, 0, 108),
  [5894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_differential_privacy_clause, 5, 0, 108),
  [5896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aggregation_threshold_clause, 5, 0, 107),
  [5898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aggregation_threshold_clause, 5, 0, 107),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17759),
  [5902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 9, 0, 0),
  [5904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 9, 0, 0),
  [5906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 9, 0, 146),
  [5908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 9, 0, 146),
  [5910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 10, 0, 241),
  [5912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 10, 0, 241),
  [5914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 9, 0, 0),
  [5916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 9, 0, 0),
  [5918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 5, 0, 44),
  [5920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 5, 0, 44),
  [5922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 10, 0, 146),
  [5924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 10, 0, 146),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 9, 0, 146),
  [5928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 9, 0, 146),
  [5930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 10, 0, 0),
  [5932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 10, 0, 0),
  [5934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 10, 0, 146),
  [5936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 10, 0, 146),
  [5938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 10, 0, 0),
  [5940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 10, 0, 0),
  [5942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_key, 6, 0, 227),
  [5944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_key, 6, 0, 227),
  [5946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 7, 0, 146),
  [5948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 7, 0, 146),
  [5950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_key, 6, 0, 228),
  [5952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_key, 6, 0, 228),
  [5954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 6, 0, 111),
  [5956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 6, 0, 111),
  [5958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 7, 0, 0),
  [5960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 7, 0, 0),
  [5962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grant_statement_repeat2, 2, 0, 0),
  [5964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_grant_statement_repeat2, 2, 0, 0),
  [5966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grant_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(16176),
  [5969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_into_clause, 2, 0, 0),
  [5971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_into_clause, 2, 0, 0),
  [5973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 7, 0, 111),
  [5975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 7, 0, 111),
  [5977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aggregation_threshold_clause, 6, 0, 107),
  [5979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aggregation_threshold_clause, 6, 0, 107),
  [5981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 7, 0, 43),
  [5983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 7, 0, 43),
  [5985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_differential_privacy_clause, 6, 0, 108),
  [5987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_differential_privacy_clause, 6, 0, 108),
  [5989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 9, 0, 111),
  [5991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 9, 0, 111),
  [5993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11424),
  [5996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 11, 0, 258),
  [5998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 11, 0, 258),
  [6000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revoke_statement, 8, 0, 146),
  [6002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revoke_statement, 8, 0, 146),
  [6004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_add_replica_statement, 4, 0, 51),
  [6006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_add_replica_statement, 4, 0, 51),
  [6008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 5, 0, 43),
  [6010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 5, 0, 43),
  [6012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 7, 0, 146),
  [6014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 7, 0, 146),
  [6016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_element, 4, 0, 0),
  [6018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_element, 4, 0, 0),
  [6020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grant_statement, 7, 0, 0),
  [6022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grant_statement, 7, 0, 0),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16239),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18855),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18854),
  [6034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 65),
  [6036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 65),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16455),
  [6040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_column_actions_list_repeat1, 2, 0, 0),
  [6042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alter_column_actions_list_repeat1, 2, 0, 0),
  [6044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_column_actions_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11456),
  [6047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_foreign_key_action, 4, 0, 149),
  [6049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_foreign_key_action, 4, 0, 149),
  [6051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint_action, 4, 0, 150),
  [6053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_constraint_action, 4, 0, 150),
  [6055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column_action, 4, 0, 115),
  [6057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_column_action, 4, 0, 115),
  [6059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column_action, 4, 0, 0),
  [6061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_column_action, 4, 0, 0),
  [6063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column_action, 4, 0, 151),
  [6065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_column_action, 4, 0, 151),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12793),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12794),
  [6071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_primary_key_action, 4, 0, 113),
  [6073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_primary_key_action, 4, 0, 113),
  [6075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 160),
  [6077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 160),
  [6079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12461),
  [6081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 160),
  [6083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 160),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12456),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12519),
  [6089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12561),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12512),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12425),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 123),
  [6097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 123),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12452),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 123),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 123),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12449),
  [6107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column_actions_list, 2, 0, 0),
  [6109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_column_actions_list, 2, 0, 0),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [6113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 4, 0, 33),
  [6115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 4, 0, 33),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_execute_immediate_statement, 4, 0, 0),
  [6121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_execute_immediate_statement, 4, 0, 0),
  [6123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_not, 1, 0, 3),
  [6125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_not, 1, 0, 3),
  [6127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12568),
  [6129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 122),
  [6131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 122),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12446),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12505),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 122),
  [6139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 122),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12444),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12801),
  [6145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 120),
  [6147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 120),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12418),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12809),
  [6153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column_actions_list, 1, 0, 0),
  [6155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_column_actions_list, 1, 0, 0),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12500),
  [6159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 120),
  [6161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 120),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12408),
  [6165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_window_partition_clause_repeat1, 2, 0, 166),
  [6167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_when, 1, 0, 13),
  [6169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_when, 1, 0, 13),
  [6171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 5, 0, 24),
  [6173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 5, 0, 24),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12482),
  [6177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_or, 1, 0, 16),
  [6179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_or, 1, 0, 16),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12663),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12662),
  [6185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 6, 0, 46),
  [6187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 6, 0, 46),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12541),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12658),
  [6193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 0),
  [6195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 0),
  [6197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(776),
  [6200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_system_as_of, 4, 0, 186),
  [6202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_system_as_of, 4, 0, 186),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12175),
  [6206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values_clause, 1, 0, 0),
  [6208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_values_clause, 1, 0, 0),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12661),
  [6212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_partition_by, 2, 0, 74),
  [6214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_partition_by, 2, 0, 74),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12673),
  [6218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column_action, 6, 0, 202),
  [6220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rename_column_action, 6, 0, 202),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12832),
  [6224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_notnull, 3, 0, 200),
  [6226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_notnull, 3, 0, 200),
  [6228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 9, 0, 43),
  [6230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 9, 0, 43),
  [6232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_delete_clause, 1, 0, 0),
  [6234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_delete_clause, 1, 0, 0),
  [6236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_matched_clause, 4, 0, 0),
  [6238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_matched_clause, 4, 0, 0),
  [6240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_privilege_user, 5, 0, 0),
  [6242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_privilege_user, 5, 0, 0),
  [6244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column_action, 5, 0, 176),
  [6246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rename_column_action, 5, 0, 176),
  [6248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 10, 0, 111),
  [6250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 10, 0, 111),
  [6252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_option, 2, 0, 0),
  [6254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_option, 2, 0, 0),
  [6256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_data_type, 4, 0, 229),
  [6258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_data_type, 4, 0, 229),
  [6260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_default, 2, 0, 175),
  [6262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_default, 2, 0, 175),
  [6264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column_action, 5, 0, 151),
  [6266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_column_action, 5, 0, 151),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_clause, 3, 0, 65),
  [6270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_clause, 3, 0, 65),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [6274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_clause, 2, 0, 65),
  [6276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_clause, 2, 0, 65),
  [6278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_foreign_key_action, 5, 0, 174),
  [6280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_foreign_key_action, 5, 0, 174),
  [6282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_source_clause, 9, 0, 283),
  [6284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_source_clause, 9, 0, 283),
  [6286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_target_clause, 9, 0, 282),
  [6288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_target_clause, 9, 0, 282),
  [6290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column_action, 3, 0, 115),
  [6292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_column_action, 3, 0, 115),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12838),
  [6296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column_action, 3, 0, 0),
  [6298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_column_action, 3, 0, 0),
  [6300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_primary_key_action, 2, 0, 0),
  [6302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_primary_key_action, 2, 0, 0),
  [6304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 78),
  [6306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 78),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12344),
  [6310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 78),
  [6312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 78),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12343),
  [6316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 77),
  [6318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 77),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12328),
  [6322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 77),
  [6324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 77),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12326),
  [6328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 75),
  [6330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 75),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12316),
  [6334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 3, 0, 18),
  [6336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 3, 0, 18),
  [6338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_connection_clause, 3, 0, 70),
  [6340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_connection_clause, 3, 0, 70),
  [6342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint_action, 3, 0, 114),
  [6344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_constraint_action, 3, 0, 114),
  [6346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_columns_clause, 4, 0, 187),
  [6348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_partition_columns_clause, 4, 0, 187),
  [6350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 75),
  [6352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 75),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12314),
  [6356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_target_clause, 5, 0, 249),
  [6358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_target_clause, 5, 0, 249),
  [6360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_foreign_key_action, 2, 0, 0),
  [6362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_foreign_key_action, 2, 0, 0),
  [6364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 8, 0, 23),
  [6366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 8, 0, 23),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12469),
  [6370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_target_clause, 7, 0, 270),
  [6372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_target_clause, 7, 0, 270),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12653),
  [6376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_clause, 2, 0, 73),
  [6378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_clause, 2, 0, 73),
  [6380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copy_clause, 2, 0, 73),
  [6382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copy_clause, 2, 0, 73),
  [6384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_insert_clause, 2, 0, 0),
  [6386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_insert_clause, 2, 0, 0),
  [6388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_matched_clause, 6, 0, 261),
  [6390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_matched_clause, 6, 0, 261),
  [6392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 8, 0, 23),
  [6394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 8, 0, 23),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12472),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12623),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12644),
  [6402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 7, 0, 80),
  [6404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 7, 0, 80),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12548),
  [6408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 44),
  [6410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 44),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12260),
  [6414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 44),
  [6416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 44),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12257),
  [6420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_insert_clause, 3, 0, 0),
  [6422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_insert_clause, 3, 0, 0),
  [6424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_source_clause, 7, 0, 271),
  [6426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_source_clause, 7, 0, 271),
  [6428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merge_not_matched_by_target_clause, 7, 0, 272),
  [6430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merge_not_matched_by_target_clause, 7, 0, 272),
  [6432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 43),
  [6434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 43),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12246),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12639),
  [6440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 43),
  [6442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 43),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12244),
  [6446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 8, 0, 177),
  [6448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 8, 0, 177),
  [6450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 13, 0, 122),
  [6452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 13, 0, 122),
  [6454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 8, 0, 77),
  [6456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 8, 0, 77),
  [6458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 13, 0, 120),
  [6460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 13, 0, 120),
  [6462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 8, 0, 79),
  [6464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 8, 0, 79),
  [6466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 8, 0, 159),
  [6468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 8, 0, 159),
  [6470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 8, 0, 80),
  [6472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 8, 0, 80),
  [6474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 13, 0, 160),
  [6476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 13, 0, 160),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [6480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_statement, 4, 0, 35),
  [6482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop_statement, 4, 0, 35),
  [6484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 8, 0, 0),
  [6486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_statement, 8, 0, 0),
  [6488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_exception_end_statement, 8, 0, 168),
  [6490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_exception_end_statement, 8, 0, 168),
  [6492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 13, 0, 160),
  [6494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 13, 0, 160),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 8, 0, 159),
  [6498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 8, 0, 159),
  [6500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 167),
  [6502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 167),
  [6504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 13, 0, 122),
  [6506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 13, 0, 122),
  [6508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_statement, 4, 0, 23),
  [6510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_insert_statement, 4, 0, 23),
  [6512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 134),
  [6514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 134),
  [6516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 12, 0, 214),
  [6518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 12, 0, 214),
  [6520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 123),
  [6522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 123),
  [6524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 123),
  [6526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 123),
  [6528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 122),
  [6530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 122),
  [6532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 122),
  [6534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 122),
  [6536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 12, 0, 258),
  [6538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 12, 0, 258),
  [6540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 78),
  [6542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 78),
  [6544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(16239),
  [6547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 78),
  [6549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 78),
  [6551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 13, 0, 123),
  [6553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 13, 0, 123),
  [6555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 120),
  [6557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 120),
  [6559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 120),
  [6561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 120),
  [6563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 77),
  [6565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 77),
  [6567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_statement, 4, 0, 19),
  [6569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_insert_statement, 4, 0, 19),
  [6571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 77),
  [6573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 77),
  [6575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 12, 0, 75),
  [6577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 12, 0, 75),
  [6579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 12, 0, 75),
  [6581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 12, 0, 75),
  [6583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 5, 0, 23),
  [6585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 5, 0, 23),
  [6587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 4, 0, 19),
  [6589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_statement, 4, 0, 19),
  [6591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_data_statement, 6, 0, 71),
  [6593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_data_statement, 6, 0, 71),
  [6595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 13, 0, 123),
  [6597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 13, 0, 123),
  [6599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 10, 0, 242),
  [6601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 10, 0, 242),
  [6603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 13, 0, 268),
  [6605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 13, 0, 268),
  [6607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_statement, 4, 0, 34),
  [6609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_statement, 4, 0, 34),
  [6611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 11, 0, 213),
  [6613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 11, 0, 213),
  [6615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 11, 0, 159),
  [6617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 11, 0, 159),
  [6619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 8, 0, 46),
  [6621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 8, 0, 46),
  [6623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 78),
  [6625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 78),
  [6627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 78),
  [6629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 78),
  [6631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 77),
  [6633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 77),
  [6635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 77),
  [6637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 77),
  [6639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 11, 0, 241),
  [6641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 11, 0, 241),
  [6643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 44),
  [6645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 44),
  [6647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 44),
  [6649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 44),
  [6651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 75),
  [6653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 75),
  [6655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 75),
  [6657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 75),
  [6659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 4, 0, 18),
  [6661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 4, 0, 18),
  [6663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 5, 0, 23),
  [6665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 5, 0, 23),
  [6667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 11, 0, 43),
  [6669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 11, 0, 43),
  [6671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 4, 0, 0),
  [6673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 4, 0, 0),
  [6675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 11, 0, 43),
  [6677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 11, 0, 43),
  [6679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 11, 0, 111),
  [6681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 11, 0, 111),
  [6683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 8, 0, 25),
  [6685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 8, 0, 25),
  [6687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_body_sql, 3, 0, 0),
  [6689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_body_sql, 3, 0, 0),
  [6691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 11, 0, 214),
  [6693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 11, 0, 214),
  [6695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 8, 0, 50),
  [6697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 8, 0, 50),
  [6699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 7, 0, 159),
  [6701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 7, 0, 159),
  [6703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 8, 0, 76),
  [6705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 8, 0, 76),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 6, 0, 43),
  [6709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 6, 0, 43),
  [6711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_data_statement, 5, 0, 71),
  [6713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_data_statement, 5, 0, 71),
  [6715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_rename_statement, 6, 0, 112),
  [6717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_rename_statement, 6, 0, 112),
  [6719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_truncate_statement, 3, 0, 20),
  [6721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_truncate_statement, 3, 0, 20),
  [6723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 7, 0, 77),
  [6725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 7, 0, 77),
  [6727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 5, 0, 19),
  [6729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_statement, 5, 0, 19),
  [6731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 10, 0, 214),
  [6733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 10, 0, 214),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [6747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [6761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 8, 0, 82),
  [6763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 8, 0, 82),
  [6765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 10, 0, 188),
  [6767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 10, 0, 188),
  [6769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 14, 0, 160),
  [6771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 14, 0, 160),
  [6773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 14, 0, 160),
  [6775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 14, 0, 160),
  [6777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 10, 0, 213),
  [6779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 10, 0, 213),
  [6781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 6, 0, 44),
  [6783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 6, 0, 44),
  [6785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_remote_function_statement, 10, 0, 212),
  [6787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_remote_function_statement, 10, 0, 212),
  [6789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 10, 0, 50),
  [6791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 10, 0, 50),
  [6793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 44),
  [6795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 44),
  [6797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 44),
  [6799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 44),
  [6801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_statement, 5, 0, 23),
  [6803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_insert_statement, 5, 0, 23),
  [6805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 23),
  [6807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 23),
  [6809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 192),
  [6811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 9, 0, 192),
  [6813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 5, 0, 25),
  [6815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 5, 0, 25),
  [6817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 9, 0, 0),
  [6819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_statement, 9, 0, 0),
  [6821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 23),
  [6823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 23),
  [6825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 67),
  [6827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 67),
  [6829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_statement, 5, 0, 66),
  [6831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_statement, 5, 0, 66),
  [6833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_execute_immediate_statement, 5, 0, 0),
  [6835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_execute_immediate_statement, 5, 0, 0),
  [6837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 33),
  [6839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 33),
  [6841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 10, 0, 43),
  [6843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 10, 0, 43),
  [6845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 10, 0, 43),
  [6847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 10, 0, 43),
  [6849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 10, 0, 177),
  [6851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 10, 0, 177),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load_data_statement, 10, 0, 43),
  [6855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load_data_statement, 10, 0, 43),
  [6857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 10, 0, 159),
  [6859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 10, 0, 159),
  [6861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 8, 0, 188),
  [6863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 8, 0, 188),
  [6865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 13, 0, 120),
  [6867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 13, 0, 120),
  [6869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_files_clause, 6, 0, 226),
  [6871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_files_clause, 6, 0, 226),
  [6873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_statement, 3, 0, 9),
  [6875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_statement, 3, 0, 9),
  [6877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 3, 0, 19),
  [6879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_statement, 3, 0, 19),
  [6881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 8, 0, 152),
  [6883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 8, 0, 152),
  [6885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_files_clause, 5, 0, 199),
  [6887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_files_clause, 5, 0, 199),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_model_statement, 3, 0, 24),
  [6891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_model_statement, 3, 0, 24),
  [6893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_procedure_statement, 3, 0, 25),
  [6895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_procedure_statement, 3, 0, 25),
  [6897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_function_statement, 3, 0, 25),
  [6899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_function_statement, 3, 0, 25),
  [6901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 3, 0, 23),
  [6903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 3, 0, 23),
  [6905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 9, 0, 177),
  [6907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 9, 0, 177),
  [6909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 10, 0, 0),
  [6911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_statement, 10, 0, 0),
  [6913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 6, 0, 19),
  [6915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_statement, 6, 0, 19),
  [6917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 9, 0, 152),
  [6919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 9, 0, 152),
  [6921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 7, 0, 24),
  [6923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 7, 0, 24),
  [6925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 7, 0, 46),
  [6927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 7, 0, 46),
  [6929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_column_statement, 4, 0, 41),
  [6931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_column_statement, 4, 0, 41),
  [6933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_body, 3, 0, 17),
  [6935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_body, 3, 0, 17),
  [6937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_statement, 3, 0, 19),
  [6939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_insert_statement, 3, 0, 19),
  [6941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 63),
  [6943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 63),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [6951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_copy_statement, 6, 0, 43),
  [6953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_copy_statement, 6, 0, 43),
  [6955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_like_statement, 9, 0, 23),
  [6957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_like_statement, 9, 0, 23),
  [6959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 7, 0, 50),
  [6961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 7, 0, 50),
  [6963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_body_js, 1, 0, 0),
  [6965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_body_js, 1, 0, 0),
  [6967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_statement, 9, 0, 23),
  [6969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_statement, 9, 0, 23),
  [6971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 6, 0, 23),
  [6973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 6, 0, 23),
  [6975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 5, 0, 21),
  [6977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 5, 0, 21),
  [6979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 7, 0, 25),
  [6981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 7, 0, 25),
  [6983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_end_statement, 3, 0, 17),
  [6985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_end_statement, 3, 0, 17),
  [6987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_function_statement, 5, 0, 81),
  [6989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_function_statement, 5, 0, 81),
  [6991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 5, 0, 75),
  [6993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 5, 0, 75),
  [6995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 5, 0, 82),
  [6997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 5, 0, 82),
  [6999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 7, 0, 50),
  [7001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 7, 0, 50),
  [7003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 9, 0, 215),
  [7005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 9, 0, 215),
  [7007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 5, 0, 76),
  [7009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 5, 0, 76),
  [7011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 5, 0, 83),
  [7013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 5, 0, 83),
  [7015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 7, 0, 45),
  [7017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 7, 0, 45),
  [7019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 9, 0, 50),
  [7021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 9, 0, 50),
  [7023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 9, 0, 214),
  [7025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 9, 0, 214),
  [7027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 9, 0, 25),
  [7029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 9, 0, 25),
  [7031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_snapshot_table_statement, 7, 0, 48),
  [7033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_snapshot_table_statement, 7, 0, 48),
  [7035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 6, 0, 25),
  [7037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 6, 0, 25),
  [7039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_end_statement, 2, 0, 5),
  [7041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_end_statement, 2, 0, 5),
  [7043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_statement, 5, 0, 42),
  [7045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_statement, 5, 0, 42),
  [7047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 5, 0, 23),
  [7049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_statement, 5, 0, 23),
  [7051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_add_replica_statement, 5, 0, 51),
  [7053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_add_replica_statement, 5, 0, 51),
  [7055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 6, 0, 50),
  [7057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 6, 0, 50),
  [7059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [7061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18879),
  [7065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_body, 2, 0, 5),
  [7067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_body, 2, 0, 5),
  [7069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, 0, 0),
  [7071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, 0, 0),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [7075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterate_statement, 1, 0, 0),
  [7077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterate_statement, 1, 0, 0),
  [7079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [7081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [7083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave_statement, 1, 0, 0),
  [7085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave_statement, 1, 0, 0),
  [7087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_procedure_statement, 6, 0, 25),
  [7089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_procedure_statement, 6, 0, 25),
  [7091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [7093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1, 0, 0),
  [7095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [7097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1, 0, 0),
  [7099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 6, 0, 24),
  [7101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 6, 0, 24),
  [7103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 106),
  [7105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 106),
  [7107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema_statement, 6, 0, 42),
  [7109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_schema_statement, 6, 0, 42),
  [7111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_statement, 6, 0, 124),
  [7113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_statement, 6, 0, 124),
  [7115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_clone_statement, 7, 0, 43),
  [7117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_clone_statement, 7, 0, 43),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_body, 1, 0, 0),
  [7121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_body, 1, 0, 0),
  [7123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 7, 0, 152),
  [7125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 7, 0, 152),
  [7127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_statement, 7, 0, 75),
  [7129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_statement, 7, 0, 75),
  [7131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_statement, 9, 0, 159),
  [7133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_function_statement, 9, 0, 159),
  [7135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_statement, 6, 0, 105),
  [7137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_statement, 6, 0, 105),
  [7139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table_rename_statement, 7, 0, 148),
  [7141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_table_rename_statement, 7, 0, 148),
  [7143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 9, 0, 213),
  [7145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 9, 0, 213),
  [7147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_function_statement, 4, 0, 47),
  [7149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_function_statement, 4, 0, 47),
  [7151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 43),
  [7153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 43),
  [7155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 44),
  [7157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 44),
  [7159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 48),
  [7161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 48),
  [7163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 45),
  [7165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 45),
  [7167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table_statement, 4, 0, 49),
  [7169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_table_statement, 4, 0, 49),
  [7171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_function_statement, 4, 0, 50),
  [7173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_function_statement, 4, 0, 50),
  [7175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_procedure_statement, 4, 0, 50),
  [7177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_procedure_statement, 4, 0, 50),
  [7179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_model_statement, 4, 0, 46),
  [7181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_model_statement, 4, 0, 46),
  [7183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_option, 1, 0, 0),
  [7185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_option, 1, 0, 0),
  [7187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_statement, 9, 0, 188),
  [7189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table_function_statement, 9, 0, 188),
  [7191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema_statement, 4, 0, 21),
  [7193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_drop_schema_statement, 4, 0, 21),
  [7195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 4, 0, 23),
  [7197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_statement, 4, 0, 23),
  [7199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 4, 0, 19),
  [7201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_statement, 4, 0, 19),
  [7203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema_drop_replica_statement, 4, 0, 51),
  [7205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alter_schema_drop_replica_statement, 4, 0, 51),
  [7207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_external_table_statement, 9, 0, 121),
  [7209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_external_table_statement, 9, 0, 121),
  [7211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_model_statement, 9, 0, 80),
  [7213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_model_statement, 9, 0, 80),
  [7215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 101),
  [7217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 101),
  [7219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_exception_end_statement, 7, 0, 139),
  [7221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_exception_end_statement, 7, 0, 139),
  [7223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 136),
  [7225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 136),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [7229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 2, 0, 0),
  [7231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 2, 0, 0),
  [7233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14960),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18833),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12419),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18194),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14960),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [7287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12172),
  [7289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_casewhen_clause, 4, 0, 92),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [7293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_having_max_clause, 3, 0, 93),
  [7295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_having_min_clause, 3, 0, 93),
  [7297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12705),
  [7299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12715),
  [7301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12659),
  [7303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12654),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [7309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1697),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11144),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12351),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16607),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12371),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12733),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12830),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12841),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12855),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12770),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12755),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12807),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14537),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12603),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12571),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12569),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12805),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12803),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12560),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12559),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17410),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [7398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12714),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11339),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [7404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option_item, 3, 0, 147),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11350),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [7422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12181),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12198),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12221),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12341),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12399),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11330),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12481),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12688),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [7466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list, 1, 0, 0),
  [7468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list, 1, 0, 0),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12667),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12601),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [7484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11596),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12856),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [7495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11403),
  [7498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17187),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14463),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18063),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17629),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12056),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [7516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [7522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [7544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caseelse_clause, 2, 0, 59),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17498),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9931),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [7556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9662),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16977),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [7586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10769),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [7598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12665),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9713),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12668),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18953),
  [7616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12171),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [7628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9632),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [7652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [7660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [7662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12686),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [7670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13932),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16327),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [7688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12204),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12209),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7463),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12348),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [7710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12297),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12347),
  [7716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12577),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12578),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12580),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16162),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [7746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6895),
  [7748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_column_actions_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11451),
  [7751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12835),
  [7753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12778),
  [7755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12752),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12737),
  [7759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12780),
  [7761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12606),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [7767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12862),
  [7769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15115),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13788),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12530),
  [7781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12531),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16021),
  [7789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12800),
  [7791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12572),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16014),
  [7799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_using_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(795),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16186),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19022),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [7962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11642),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11317),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15489),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18341),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [7980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10679),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16075),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10966),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19307),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16338),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19303),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16211),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19299),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18227),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19335),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11823),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16179),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7134),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17533),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11615),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10517),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11167),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19346),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15240),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18253),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15824),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17294),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12441),
  [8090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17554),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17553),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11637),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [8102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame_clause, 1, 0, 0),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17004),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17003),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16073),
  [8110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16323),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13095),
  [8116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18396),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18231),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11420),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11584),
  [8136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pivot_value, 1, 0, 0),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_value, 1, 0, 0),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11579),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11648),
  [8148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [8158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [8168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [8172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11383),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11382),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [8182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11407),
  [8186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [8188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [8196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [8198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [8206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [8208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11422),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16145),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13113),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15292),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16452),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11214),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18673),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11412),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16204),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11386),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11215),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18690),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11398),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [8276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11436),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11435),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11460),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11472),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11521),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15533),
  [8302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11512),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11504),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17386),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11612),
  [8312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11582),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19347),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15300),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18316),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14262),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18955),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18949),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18948),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18947),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19166),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19167),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [8360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_range, 1, 0, 0),
  [8362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_range, 1, 0, 0),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [8368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16318),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12222),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19344),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18720),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18798),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12610),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18762),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18828),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12775),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18585),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17598),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12471),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18788),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18612),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12310),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18531),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12570),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18440),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12693),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18808),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18916),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18251),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18558),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18315),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18406),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18666),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12385),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18818),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18639),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18371),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18775),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12291),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18693),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18474),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16526),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18747),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17561),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18705),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18242),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18840),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16248),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18839),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12228),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18926),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18925),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18586),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12322),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16582),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18587),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18588),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18697),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18263),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10816),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18694),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12332),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12440),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18318),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18778),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12362),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16598),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18777),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18319),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12433),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18320),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18776),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18506),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18507),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12331),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18408),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18409),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12345),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18410),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18589),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18508),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13430),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18802),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18325),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12844),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18476),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18559),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18667),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12786),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18560),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12238),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18829),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18819),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12415),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18668),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18724),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13421),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18800),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12265),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12411),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18669),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12453),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18841),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12795),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18561),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12430),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18535),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13418),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18799),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18820),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12395),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18670),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18812),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18723),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18810),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12233),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18722),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12254),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18695),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18442),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12370),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18696),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12227),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18721),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18477),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12173),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18821),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18562),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12599),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18443),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18830),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18505),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12226),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18831),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18791),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18257),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12365),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17459),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12383),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18534),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18751),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12367),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18533),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12858),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18478),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12184),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17306),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12342),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18532),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17071),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17067),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18256),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18444),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12679),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18377),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12507),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12372),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17467),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18255),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18842),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18822),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12377),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17478),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12608),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18614),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18613),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18750),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18789),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12397),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18749),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18642),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18641),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12867),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18480),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18616),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18748),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18832),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18790),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12811),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18640),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12625),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18446),
  [9159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rows_range, 1, 0, 0),
  [9161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rows_range, 1, 0, 0),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13424),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18801),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18375),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16032),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19229),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18763),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12648),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12633),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18764),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12641),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12607),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18615),
  [9223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11345),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19335),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11823),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [9245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [9251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0), SHIFT_REPEAT(825),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [9256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_by_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [9259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_drop, 1, 0, 1),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11393),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18930),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18903),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18876),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18870),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19230),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16862),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18636),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18630),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19174),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16491),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18223),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16405),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18485),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [9397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13007),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12969),
  [9401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12966),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16385),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16394),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19338),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17183),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17093),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18058),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10982),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18232),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17453),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17851),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17631),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18494),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17402),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17284),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18964),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18342),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [9515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14266),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19112),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17901),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18198),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16050),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16410),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16392),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16127),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16383),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17761),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16388),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17517),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10490),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17574),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [9571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_replace, 2, 0, 22),
  [9573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_replace, 2, 0, 22),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18628),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16289),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18203),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16390),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16710),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16920),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10716),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10728),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10784),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10519),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10815),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10676),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10802),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [9799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130), SHIFT_REPEAT(1636),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [9820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 97), SHIFT_REPEAT(204),
  [9823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 97),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [9835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17375),
  [9837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17374),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [9941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [9943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__base_type, 1, 0, 0),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [9947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9329),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18213),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [10051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declare_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11641),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [10092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 1, 0, 0), SHIFT(18389),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [10101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 2, 0, 0), SHIFT(18389),
  [10104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 3, 0, 0), SHIFT(18389),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [10111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_query_expr, 4, 0, 0), SHIFT(18389),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13551),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13523),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13480),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13455),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13454),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12013),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13432),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13431),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11839),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11962),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13429),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13428),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11840),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13416),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13434),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10542),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [10352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [10354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10666),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10665),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13415),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10643),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18336),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17384),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12113),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16865),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16391),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16141),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17050),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigquery_resource, 2, 0, 60),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16647),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16494),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13009),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16384),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16267),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15041),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16047),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16616),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19103),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17893),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15890),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16386),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12993),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16158),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14279),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13010),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16395),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15405),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18052),
  [10516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130), SHIFT_REPEAT(991),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17395),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15185),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17275),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16411),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17867),
  [10535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 95), REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 95),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14933),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18199),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12918),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16064),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16838),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14322),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18954),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16284),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17350),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18803),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17750),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12253),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14723),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12016),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14954),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15145),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14367),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16406),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17087),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17630),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17178),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17512),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16486),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14922),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12919),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12992),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18204),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19273),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12941),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12084),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15503),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16962),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18623),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17575),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18471),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14920),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14564),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17619),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16601),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18217),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12059),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14662),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14570),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14231),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18347),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18347),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16495),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18346),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18346),
  [10704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 69),
  [10706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 69),
  [10708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18226),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18226),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16019),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18215),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18216),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [10720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18225),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18225),
  [10724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_window_partition_clause_repeat1, 2, 0, 0),
  [10726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_window_partition_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [10729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_if_not_exists, 3, 0, 72),
  [10731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_if_not_exists, 3, 0, 72),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16866),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [10745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19117),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19117),
  [10749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19118),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19118),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [10773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18488),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18488),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18062),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18062),
  [10783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18061),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [10787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18490),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18490),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16476),
  [10793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_casewhen_expression_repeat1, 2, 0, 0),
  [10795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_casewhen_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(7661),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17185),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17185),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17904),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17904),
  [10810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17903),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17903),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [10822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 1, 0, 0),
  [10824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 1, 0, 0),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17768),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17768),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17763),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17763),
  [10834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18633),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18633),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18634),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18634),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10892),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17635),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17635),
  [10850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17634),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17634),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [10858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_add, 1, 0, 0),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17554),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17553),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18824),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18824),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18555),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18555),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18553),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18553),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [10894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_for, 1, 0, 2),
  [10896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_for, 1, 0, 2),
  [10898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18826),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18826),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [10922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19340),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19340),
  [10926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19341),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19341),
  [10930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17481),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17481),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [10938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17519),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17519),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16651),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16648),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [10984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18968),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18968),
  [10988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18966),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18966),
  [10992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_body_repeat1, 2, 0, 130), SHIFT_REPEAT(1782),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [11005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_partition_clause, 3, 0, 166),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17408),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17408),
  [11015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17407),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17407),
  [11019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17095),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17095),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17096),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17096),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17289),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17289),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17287),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17287),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [11059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17186),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17186),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18973),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16546),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11413),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11172),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [11223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [11227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [11233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [11249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16220),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13679),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13673),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13607),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13579),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13578),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13550),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13545),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13635),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13516),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13515),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13478),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13476),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13469),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13461),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13459),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13449),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13447),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13444),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13436),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13425),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10593),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12033),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [11555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10674),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10541),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [11627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10637),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10644),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10651),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12011),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [11705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11880),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12161),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [11825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_columns, 4, 0, 0),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10540),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11866),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11874),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17111),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12060),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11958),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [11971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte_clause, 2, 0, 6),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12045),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [12169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cte_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11458),
  [12172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cte_clause_repeat1, 2, 0, 0),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [12184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(18484),
  [12187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte_clause, 4, 0, 6),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [12215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte_clause, 3, 0, 6),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [12227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert_columns, 3, 0, 0),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10702),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10697),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10774),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [12363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15387),
  [12365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15389),
  [12367] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16136),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10534),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16265),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [12381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_return_clause, 2, 0, 0),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12970),
  [12385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_parameters, 3, 0, 0),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18489),
  [12391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_like_operator, 1, 0, 0),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [12397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_clause, 3, 0, 0),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17628),
  [12405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_like_operator, 2, 0, 0),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10510),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12939),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14301),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12915),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12916),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18708),
  [12427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [12429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [12431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1763),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12948),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17404),
  [12440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [12464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_temporary, 1, 0, 0),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16116),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16117),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12940),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12893),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16257),
  [12488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_column, 1, 0, 0),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16883),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12626),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16859),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16071),
  [12514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_parameters, 4, 0, 0),
  [12516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11388),
  [12519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16870),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [12529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 5, 0, 15),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12921),
  [12537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1833),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15995),
  [12550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1840),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [12555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_clause, 2, 0, 0),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16113),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16115),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16256),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19178),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11235),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12920),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [12641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_struct_repeat1, 2, 0, 0), SHIFT_REPEAT(12017),
  [12644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_struct_repeat1, 2, 0, 0),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16348),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [12666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_call_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [12693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(14399),
  [12696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16278),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10516),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13018),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16182),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15991),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [12838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_list_repeat1, 2, 0, 0), SHIFT_REPEAT(310),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16173),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17409),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [12881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_single_column_unpivot_repeat1, 2, 0, 0), SHIFT_REPEAT(11246),
  [12884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_single_column_unpivot_repeat1, 2, 0, 0),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12976),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11148),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16160),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10756),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11229),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [12992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_join_condition_repeat1, 2, 0, 246), SHIFT_REPEAT(11629),
  [12995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_join_condition_repeat1, 2, 0, 246),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16430),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10722),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10707),
  [13043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alter_schema_clause, 3, 0, 21),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10699),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13171),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14292),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16130),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10763),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18717),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17406),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17414),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [13239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat2, 2, 0, 0), SHIFT_REPEAT(816),
  [13242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat2, 2, 0, 0),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16335),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12968),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16342),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [13314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quantitve_like_patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(16348),
  [13317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quantitve_like_patterns_repeat1, 2, 0, 0),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16343),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9226),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17623),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [13361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_all_replace_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [13364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_all_replace_repeat1, 2, 0, 0),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [13374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_all_except_repeat1, 2, 0, 143), SHIFT_REPEAT(11471),
  [13377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_all_except_repeat1, 2, 0, 143),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18468),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17442),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17441),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10507),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10509),
  [13497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dotted_identifier, 2, 0, 0),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17295),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17291),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17286),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19188),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19189),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [13673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_statement_repeat1, 2, 0, 97), SHIFT_REPEAT(205),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10487),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [13726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16245),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10375),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16657),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16086),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16072),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16084),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16083),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [13868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_option_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(11462),
  [13871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_option_clause_repeat1, 2, 0, 0),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [13883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grant_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(18717),
  [13886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grant_statement_repeat1, 2, 0, 0),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17189),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11969),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [13908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifier_repeat1, 1, 0, 0),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11966),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [13930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multi_column_unpivot_repeat1, 2, 0, 0), SHIFT_REPEAT(11514),
  [13933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multi_column_unpivot_repeat1, 2, 0, 0),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16253),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12936),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12987),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19219),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19220),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11921),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11917),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11913),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [14051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11234),
  [14054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_table_parameters_repeat1, 2, 0, 0),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11891),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19125),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11883),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19129),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19131),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11875),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19227),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19228),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19132),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16023),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [14166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11229),
  [14169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_function_parameters_repeat1, 2, 0, 0),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [14183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_definition_type_struct_repeat1, 2, 0, 0), SHIFT_REPEAT(11461),
  [14186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_definition_type_struct_repeat1, 2, 0, 0),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11845),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [14194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11302),
  [14197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_parameters_repeat1, 2, 0, 0),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [14201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_type_repeat1, 2, 0, 0), SHIFT_REPEAT(11721),
  [14204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_type_repeat1, 2, 0, 0),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11863),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [14248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_content, 1, 0, 164),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [14252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_content, 1, 0, 0),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16387),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15411),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17191),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15547),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13005),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [14358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alter_schema_clause, 4, 0, 42),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12927),
  [14372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__grouping_list_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [14377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grouping_sets_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [14380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grouping_sets_repeat1, 2, 0, 0),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10852),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11987),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18843),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15546),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11514),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16033),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [14450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18844),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13593),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9935),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [14486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18845),
  [14496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_list, 1, 0, 0),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18847),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10821),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12895),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11721),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11991),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11986),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11960),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11939),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12946),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [14634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_repeat1, 2, 0, 0), SHIFT_REPEAT(773),
  [14637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_repeat1, 2, 0, 0),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10645),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10628),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10624),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9231),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10614),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16612),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10600),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10603),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [14837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat1, 2, 0, 0),
  [14839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat1, 2, 0, 0), SHIFT_REPEAT(11243),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16105),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10595),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [14862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_list, 2, 0, 0),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13789),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [14886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18976),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18977),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18980),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18983),
  [14894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [14904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16545),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12903),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10561),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [14922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10552),
  [14924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13538),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [14928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [14934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13443),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13448),
  [14946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [14948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [14950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13457),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [14958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13471),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [14966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [14968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [14972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [14974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13490),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [14978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13498),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [14982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13507),
  [14984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13526),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [14988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13534),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [14992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13536),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [15012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [15016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13554),
  [15018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13556),
  [15020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13559),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13570),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [15036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [15040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [15042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [15044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [15046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [15048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13588),
  [15050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [15054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13603),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13632),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13659),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13668),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13698),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13704),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13735),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [15118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [15124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [15126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [15128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13903),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16299),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19211),
  [15146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15349),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16362),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [15152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [15156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12892),
  [15158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [15168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15410),
  [15174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_numeric_preceding, 2, 0, 0),
  [15176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [15178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12144),
  [15182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16035),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16090),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [15188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [15196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_current_row, 2, 0, 191),
  [15198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_unbounded_preceding, 2, 0, 190),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15976),
  [15202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [15206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15974),
  [15212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [15214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [15216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15992),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13141),
  [15226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15968),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12900),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13111),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12083),
  [15246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [15248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_numeric_following, 2, 0, 0),
  [15250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [15252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [15254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pivot_value, 2, 0, 0),
  [15256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multi_column_unpivot_repeat1, 2, 0, 216),
  [15258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16363),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13089),
  [15262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13091),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17556),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [15270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [15272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12117),
  [15274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [15276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13078),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13047),
  [15284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12140),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16244),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [15296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14574),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15340),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [15310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [15314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13073),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [15318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_parameters, 4, 0, 0),
  [15320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_argument, 3, 0, 158),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15599),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [15326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13100),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15594),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [15334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [15340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11366),
  [15342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_rename, 1, 0, 40),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12115),
  [15352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_definition, 3, 0, 153),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12055),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [15364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16884),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [15370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16246),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18771),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18769),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18768),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11476),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18981),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15177),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16049),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16346),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11396),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11432),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [15414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [15416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16304),
  [15418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18592),
  [15420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [15422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [15426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12952),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13140),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [15432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16151),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18984),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15188),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12107),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16271),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17439),
  [15446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_type, 1, 0, 0),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16896),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [15454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_all_except_repeat1, 2, 0, 141),
  [15456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quantitve_like_patterns_repeat1, 2, 0, 104),
  [15458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pivot_operator_repeat2, 2, 0, 276),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16280),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [15468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12155),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [15474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_boundary_start, 1, 0, 0),
  [15476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_struct_repeat1, 3, 0, 0),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15421),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16209),
  [15486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_argument, 2, 0, 0),
  [15488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_parameters, 3, 0, 0),
  [15490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15347),
  [15492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_parameter, 2, 0, 0),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15335),
  [15496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_join_condition_repeat1, 2, 0, 244),
  [15498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_definition, 1, 0, 0),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17364),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12908),
  [15510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12082),
  [15516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function_parameter, 1, 0, 0),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [15520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [15528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unpivot_column, 3, 0, 278),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16313),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16294),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12079),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [15540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [15548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_replace_expression, 2, 0, 0),
  [15550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_parameters, 2, 0, 0),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16234),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [15566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [15568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [15570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [15610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_returns, 6, 0, 0),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [15652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [15674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12905),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12904),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [15702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16976),
  [15716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [15722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [15724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [15726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__window_frame_end_c, 1, 0, 0),
  [15728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16975),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12282),
  [15738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__window_frame_end_a, 1, 0, 0),
  [15740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame_between, 4, 0, 243),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [15756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12288),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [15762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13412),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12303),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13941),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [15792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [15794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [15800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [15802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [15804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [15808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [15810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [15812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [15818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [15820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15148),
  [15826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12321),
  [15838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12329),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [15850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [15852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [15858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [15860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [15864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [15870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [15872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [15878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [15880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table_function_returns, 5, 0, 0),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [15884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [15886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [15888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [15890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [15894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [15896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [15898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [15900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [15902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [15904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [15906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [15910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [15912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [15928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [15930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [15938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [15944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [15948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13581),
  [15950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [15952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12513),
  [15954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [15956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [15958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [15960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [15962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [15968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13746),
  [15970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13744),
  [15974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_end, 2, 0, 0),
  [15976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_boundary_end, 1, 0, 0),
  [15978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [15980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13742),
  [15982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13741),
  [15984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16473),
  [15986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13737),
  [15988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13734),
  [15990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13729),
  [15992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13727),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13725),
  [15996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13723),
  [15998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13721),
  [16000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13716),
  [16004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13713),
  [16006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13711),
  [16008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13707),
  [16012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [16014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13701),
  [16016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [16018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13693),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13690),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13688),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13685),
  [16030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13683),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13663),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13641),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13730),
  [16040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13622),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13313),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13314),
  [16046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13620),
  [16048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13316),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13598),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13590),
  [16056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13586),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13585),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13569),
  [16066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13572),
  [16068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [16070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13564),
  [16072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13562),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13555),
  [16076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13553),
  [16078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13552),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13543),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [16084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13535),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13525),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [16094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13524),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13506),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13491),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13489),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [16106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13488),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13470),
  [16112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [16114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13456),
  [16116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [16120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13438),
  [16124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [16126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [16130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [16132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [16134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [16136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [16138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [16140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [16142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [16144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [16146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [16148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16552),
  [16150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [16154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [16156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [16158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [16160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16558),
  [16162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [16164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [16166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [16168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [16170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [16172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [16174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [16176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [16178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [16180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [16182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [16184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [16186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [16188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [16190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [16192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [16194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [16196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [16198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [16200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [16202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [16204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [16208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [16210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [16214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [16220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [16222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [16224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [16226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [16228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [16230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [16232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [16234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [16236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [16238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [16240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [16242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [16244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [16246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [16248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [16250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [16252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [16254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [16256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [16258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [16262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [16264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [16266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [16270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [16272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [16274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [16278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [16284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [16286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [16288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [16290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [16292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [16294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [16296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [16298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [16300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [16302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [16308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [16312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [16314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [16318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [16320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [16322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [16330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [16332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [16334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16630),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [16342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [16344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [16346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [16348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [16350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [16354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [16356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [16364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [16366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [16368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [16370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [16372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [16374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [16376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [16380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [16382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15952),
  [16384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13464),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [16388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13465),
  [16390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13466),
  [16392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [16394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [16396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [16400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [16404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [16406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [16408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [16412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [16414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [16420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16024),
  [16426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [16428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15803),
  [16430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [16438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [16440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16636),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [16444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16719),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [16466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [16470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [16472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [16476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [16498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [16514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [16516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [16518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [16526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [16536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [16540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [16550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [16552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [16564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [16566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_unbounded_following, 2, 0, 259),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [16572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [16574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [16586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame_start, 1, 0, 0),
  [16588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame_clause, 2, 0, 0),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16044),
  [16618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16045),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [16622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_format_clause, 2, 0, 165),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [16630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_start, 2, 0, 0),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [16660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [16676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [16694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [16726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15580),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13757),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [16744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17188),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [16790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [16796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [16802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [16808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [16812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [16832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [16836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [16842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [16876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [16896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [16906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_single_column_unpivot, 7, 0, 269),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [16910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9592),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [16962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [16966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [16972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [16976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [16990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [16994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [16996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [17004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [17012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [17030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [17040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [17046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [17048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [17050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [17052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [17054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [17056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [17062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [17078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_single_column_unpivot, 8, 0, 269),
  [17080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [17088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14298),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10768),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10684),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10781),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10783),
  [17172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17039),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [17180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_language, 2, 0, 119),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10794),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10795),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10694),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10710),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17058),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10714),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10720),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10723),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14295),
  [17212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [17218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [17222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17083),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [17226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [17248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_column_unpivot, 9, 0, 281),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [17252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_column_unpivot, 10, 0, 281),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [17256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_column_unpivot, 10, 0, 284),
  [17258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_column_unpivot, 11, 0, 284),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [17312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_type, 2, 0, 0),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14226),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17263),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17264),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17354),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12196),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17329),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17369),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17396),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17398),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17405),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17440),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17445),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17450),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [17604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantitve_like_operator, 3, 0, 0),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10504),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11950),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11908),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11888),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11841),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11842),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11881),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11884),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11885),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11889),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11983),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11988),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11989),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12010),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11997),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11996),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11977),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11976),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11975),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11963),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11953),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11943),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11936),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11932),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12379),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [17938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [17956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [17968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [17988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [17994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [18052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [18188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9956),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12896),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15576),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10670),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10635),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10548),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10948),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12762),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11164),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12713),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10558),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10562),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12656),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10576),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10589),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10591),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10596),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15116),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10629),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12410),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12394),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10830),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14898),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12274),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12269),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12236),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12224),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12195),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13046),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12301),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12369),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12392),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [18858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11441),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [18870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [18886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [18888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14752),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [18896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [18898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [18900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [18902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15475),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17624),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12843),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12868),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17626),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [18974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantitve_like_operator, 2, 0, 0),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15852),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12483),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12421),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12404),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12293),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12271),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12229),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15225),
  [19040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12299),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12336),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12366),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12454),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15651),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15826),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12756),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12783),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12804),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15443),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12751),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12727),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12861),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14961),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12609),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12588),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14464),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12796),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12502),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14528),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12424),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12389),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12380),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [19294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [19296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18339),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14759),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12216),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12726),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14990),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12219),
  [19370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16187),
  [19378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12232),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12245),
  [19386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12256),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12259),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12270),
  [19392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15221),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12356),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12417),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12459),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12632),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12646),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18449),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18450),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12748),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12996),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12864),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12823),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12854),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18483),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12721),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12740),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12414),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12298),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12167),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12466),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12235),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12503),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12522),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12510),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12335),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12318),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16340),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9602),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12954),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12953),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16450),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12600),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11395),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14318),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11354),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [19820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [19824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [19826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [19828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18711),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18726),
  [19838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [19840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [19842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [19844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [19846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [19854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11090),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14325),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18784),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14314),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14284),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11085),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14240),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14309),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14354),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14286),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14211),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14221),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11364),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16208),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11385),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18941),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18942),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15118),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15139),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16156),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19018),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19019),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15244),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15250),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16148),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19043),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19044),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15310),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16143),
  [20288] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16129),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16171),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16122),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16109),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16106),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16103),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16100),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16087),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11510),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16074),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16066),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16017),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16028),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16037),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16177),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16052),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16053),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16013),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19171),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19213),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19214),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [20370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19223),
  [20374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19224),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19225),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19231),
  [20382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19232),
  [20384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19233),
  [20386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19235),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19237),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19239),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19241),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19243),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19245),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19247),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19249),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [20424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19253),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19255),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19257),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19259),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19261),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19262),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19263),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13055),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__string_start = 0,
  ts_external_token__string_content = 1,
  ts_external_token__string_end = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static const bool ts_external_scanner_states[5][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [4] = {
    [ts_external_token__string_end] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_sql_bigquery_external_scanner_create(void);
void tree_sitter_sql_bigquery_external_scanner_destroy(void *);
bool tree_sitter_sql_bigquery_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_sql_bigquery_external_scanner_serialize(void *, char *);
void tree_sitter_sql_bigquery_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_sql_bigquery(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__unquoted_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_sql_bigquery_external_scanner_create,
      tree_sitter_sql_bigquery_external_scanner_destroy,
      tree_sitter_sql_bigquery_external_scanner_scan,
      tree_sitter_sql_bigquery_external_scanner_serialize,
      tree_sitter_sql_bigquery_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
